#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 17517
#define LARGE_STATE_COUNT 2351
#define SYMBOL_COUNT 327
#define ALIAS_COUNT 4
#define TOKEN_COUNT 110
#define EXTERNAL_TOKEN_COUNT 15
#define FIELD_COUNT 32
#define MAX_ALIAS_SEQUENCE_LENGTH 8
#define PRODUCTION_ID_COUNT 189

enum ts_symbol_identifiers {
  sym__alpha_identifier = 1,
  anon_sym_enum = 2,
  anon_sym_COLON = 3,
  anon_sym_LBRACE = 4,
  anon_sym_RBRACE = 5,
  anon_sym_case = 6,
  anon_sym_COMMA = 7,
  anon_sym_package = 8,
  anon_sym_DOT = 9,
  anon_sym_object = 10,
  anon_sym_import = 11,
  anon_sym_export = 12,
  anon_sym_STAR = 13,
  anon_sym__ = 14,
  anon_sym_given = 15,
  anon_sym_EQ_GT = 16,
  anon_sym_as = 17,
  anon_sym_class = 18,
  anon_sym_trait = 19,
  anon_sym_LBRACK = 20,
  anon_sym_RBRACK = 21,
  anon_sym_PLUS = 22,
  anon_sym_DASH = 23,
  anon_sym_LT_COLON = 24,
  anon_sym_GT_COLON = 25,
  anon_sym_LT_PERCENT = 26,
  anon_sym_end = 27,
  anon_sym_if = 28,
  anon_sym_while = 29,
  anon_sym_for = 30,
  anon_sym_match = 31,
  anon_sym_try = 32,
  anon_sym_new = 33,
  anon_sym_this = 34,
  anon_sym_extension = 35,
  anon_sym_val = 36,
  anon_sym_AT = 37,
  anon_sym_EQ = 38,
  anon_sym_var = 39,
  anon_sym_type = 40,
  anon_sym_def = 41,
  anon_sym_opaque = 42,
  anon_sym_with = 43,
  anon_sym_abstract = 44,
  anon_sym_final = 45,
  anon_sym_sealed = 46,
  anon_sym_implicit = 47,
  anon_sym_lazy = 48,
  anon_sym_override = 49,
  anon_sym_private = 50,
  anon_sym_protected = 51,
  anon_sym_inline = 52,
  anon_sym_infix = 53,
  anon_sym_open = 54,
  anon_sym_transparent = 55,
  anon_sym_extends = 56,
  anon_sym_derives = 57,
  anon_sym_LPAREN = 58,
  anon_sym_using = 59,
  anon_sym_RPAREN = 60,
  anon_sym_SEMI = 61,
  anon_sym_POUND = 62,
  anon_sym_QMARK_EQ_GT = 63,
  anon_sym_EQ_GT_GT = 64,
  anon_sym_PIPE = 65,
  anon_sym_else = 66,
  anon_sym_then = 67,
  anon_sym_catch = 68,
  anon_sym_finally = 69,
  anon_sym_macro = 70,
  anon_sym_BANG = 71,
  anon_sym_TILDE = 72,
  anon_sym_DOLLAR = 73,
  anon_sym_SQUOTE = 74,
  sym_symbol_literal = 75,
  sym__interpolation_identifier = 76,
  sym__backquoted_id = 77,
  sym_operator_identifier = 78,
  sym_integer_literal = 79,
  sym_floating_point_literal = 80,
  anon_sym_true = 81,
  anon_sym_false = 82,
  sym_character_literal = 83,
  anon_sym_DQUOTE = 84,
  sym__interpolated_multiline_string_start = 85,
  sym_null_literal = 86,
  anon_sym_return = 87,
  anon_sym_throw = 88,
  anon_sym_do = 89,
  anon_sym_yield = 90,
  anon_sym_LT_DASH = 91,
  aux_sym__shebang_token1 = 92,
  anon_sym_SLASH_SLASH = 93,
  sym__comment_text = 94,
  anon_sym_GT = 95,
  sym_using_directive_key = 96,
  sym_using_directive_value = 97,
  anon_sym_SLASH_STAR = 98,
  aux_sym_block_comment_token1 = 99,
  anon_sym_STAR_SLASH = 100,
  sym__automatic_semicolon = 101,
  sym__indent = 102,
  sym__interpolated_string_middle = 103,
  sym__interpolated_string_end = 104,
  sym__interpolated_multiline_string_middle = 105,
  sym__interpolated_multiline_string_end = 106,
  sym__outdent = 107,
  sym__simple_multiline_string = 108,
  sym__simple_string = 109,
  sym_compilation_unit = 110,
  sym__top_level_definition = 111,
  sym_enum_definition = 112,
  sym__enum_block = 113,
  sym_enum_body = 114,
  sym_enum_case_definitions = 115,
  sym_simple_enum_case = 116,
  sym_full_enum_case = 117,
  sym__full_enum_def = 118,
  sym_package_clause = 119,
  sym_package_identifier = 120,
  sym_package_object = 121,
  sym_import_declaration = 122,
  sym_export_declaration = 123,
  sym__namespace_expression = 124,
  sym_namespace_wildcard = 125,
  sym__namespace_given_by_type = 126,
  sym_namespace_selectors = 127,
  sym_arrow_renamed_identifier = 128,
  sym_as_renamed_identifier = 129,
  sym_object_definition = 130,
  sym__object_definition = 131,
  sym_class_definition = 132,
  sym__class_definition = 133,
  sym__definition_body = 134,
  sym__class_constructor = 135,
  sym_trait_definition = 136,
  sym_type_parameters = 137,
  sym__variant_type_parameter = 138,
  sym_covariant_type_parameter = 139,
  sym_contravariant_type_parameter = 140,
  sym__type_parameter = 141,
  sym_upper_bound = 142,
  sym_lower_bound = 143,
  sym_view_bound = 144,
  sym_context_bound = 145,
  sym_template_body = 146,
  sym__indented_template_body = 147,
  sym__braced_template_body = 148,
  sym__braced_template_body1 = 149,
  sym__braced_template_body2 = 150,
  sym_with_template_body = 151,
  sym__extension_template_body = 152,
  sym__end_marker = 153,
  sym_self_type = 154,
  sym__self_type_ascription = 155,
  sym_annotation = 156,
  sym_val_definition = 157,
  sym_val_declaration = 158,
  sym__start_val = 159,
  sym_var_declaration = 160,
  sym_var_definition = 161,
  sym__start_var = 162,
  sym_type_definition = 163,
  sym__type_constructor = 164,
  sym_function_definition = 165,
  sym_function_declaration = 166,
  sym__function_declaration = 167,
  sym__function_constructor = 168,
  sym_opaque_modifier = 169,
  sym_extension_definition = 170,
  sym_given_definition = 171,
  sym__given_constructor = 172,
  sym__structural_instance = 173,
  sym__constructor_application = 174,
  sym__constructor_applications = 175,
  sym_modifiers = 176,
  sym_access_modifier = 177,
  sym_access_qualifier = 178,
  sym_inline_modifier = 179,
  sym_infix_modifier = 180,
  sym_open_modifier = 181,
  sym_transparent_modifier = 182,
  sym_extends_clause = 183,
  sym_derives_clause = 184,
  sym_class_parameters = 185,
  sym_parameters = 186,
  sym__using_parameters_clause = 187,
  sym_class_parameter = 188,
  sym_parameter = 189,
  sym__block = 190,
  sym__indentable_expression = 191,
  sym_block = 192,
  sym_indented_block = 193,
  sym_indented_cases = 194,
  sym__indented_type_cases = 195,
  sym__type = 196,
  sym__annotated_type = 197,
  sym_annotated_type = 198,
  sym__simple_type = 199,
  sym_compound_type = 200,
  sym__structural_type = 201,
  sym__refinement = 202,
  sym__infix_type_choice = 203,
  sym_infix_type = 204,
  sym_tuple_type = 205,
  sym_singleton_type = 206,
  sym_stable_type_identifier = 207,
  sym_stable_identifier = 208,
  sym_generic_type = 209,
  sym_projected_type = 210,
  sym_match_type = 211,
  sym_type_case_clause = 212,
  sym_function_type = 213,
  sym__arrow_then_type = 214,
  sym_parameter_types = 215,
  sym_lazy_parameter_type = 216,
  sym_repeated_parameter_type = 217,
  sym__type_identifier = 218,
  sym_type_lambda = 219,
  sym_case_class_pattern = 220,
  sym_infix_pattern = 221,
  sym_capture_pattern = 222,
  sym_repeat_pattern = 223,
  sym_typed_pattern = 224,
  sym_given_pattern = 225,
  sym_alternative_pattern = 226,
  sym_tuple_pattern = 227,
  sym_expression = 228,
  sym__simple_expression = 229,
  sym_lambda_expression = 230,
  sym_if_expression = 231,
  sym__if_condition = 232,
  sym_match_expression = 233,
  sym_try_expression = 234,
  sym_catch_clause = 235,
  sym__expr_case_clause = 236,
  sym_finally_clause = 237,
  sym_binding = 238,
  sym_bindings = 239,
  sym_case_block = 240,
  sym_case_clause = 241,
  sym__case_pattern = 242,
  sym_guard = 243,
  sym_assignment_expression = 244,
  sym_generic_function = 245,
  sym_call_expression = 246,
  sym_colon_argument = 247,
  sym_field_expression = 248,
  sym_instance_expression = 249,
  sym_ascription_expression = 250,
  sym_infix_expression = 251,
  sym_postfix_expression = 252,
  sym__postfix_expression_choice = 253,
  sym_macro_body = 254,
  sym_prefix_expression = 255,
  sym_tuple_expression = 256,
  sym_parenthesized_expression = 257,
  sym_type_arguments = 258,
  sym_arguments = 259,
  sym__exprs_in_parens = 260,
  sym_splice_expression = 261,
  sym_quote_expression = 262,
  sym_identifier = 263,
  sym__soft_identifier = 264,
  sym_identifiers = 265,
  sym_wildcard = 266,
  sym__non_null_literal = 267,
  sym_literal_type = 268,
  sym_boolean_literal = 269,
  sym_interpolated_string_expression = 270,
  sym__interpolated_string_start = 271,
  sym__dollar_escape = 272,
  sym__aliased_interpolation_identifier = 273,
  sym_interpolation = 274,
  sym_interpolated_string = 275,
  sym_string = 276,
  sym_unit = 277,
  sym_return_expression = 278,
  sym_throw_expression = 279,
  sym_while_expression = 280,
  sym_do_while_expression = 281,
  sym_for_expression = 282,
  sym_enumerators = 283,
  sym_enumerator = 284,
  sym__shebang = 285,
  sym_comment = 286,
  sym_using_directive = 287,
  sym_block_comment = 288,
  aux_sym_compilation_unit_repeat1 = 289,
  aux_sym_enum_definition_repeat1 = 290,
  aux_sym__enum_block_repeat1 = 291,
  aux_sym_enum_case_definitions_repeat1 = 292,
  aux_sym__full_enum_def_repeat1 = 293,
  aux_sym_package_identifier_repeat1 = 294,
  aux_sym_import_declaration_repeat1 = 295,
  aux_sym_namespace_selectors_repeat1 = 296,
  aux_sym__class_constructor_repeat1 = 297,
  aux_sym_type_parameters_repeat1 = 298,
  aux_sym__type_parameter_repeat1 = 299,
  aux_sym__type_parameter_repeat2 = 300,
  aux_sym_annotation_repeat1 = 301,
  aux_sym_val_declaration_repeat1 = 302,
  aux_sym__function_constructor_repeat1 = 303,
  aux_sym_extension_definition_repeat1 = 304,
  aux_sym__constructor_applications_repeat1 = 305,
  aux_sym__constructor_applications_repeat2 = 306,
  aux_sym_modifiers_repeat1 = 307,
  aux_sym_derives_clause_repeat1 = 308,
  aux_sym_class_parameters_repeat1 = 309,
  aux_sym_parameters_repeat1 = 310,
  aux_sym__using_parameters_clause_repeat1 = 311,
  aux_sym__block_repeat1 = 312,
  aux_sym_indented_cases_repeat1 = 313,
  aux_sym__indented_type_cases_repeat1 = 314,
  aux_sym_compound_type_repeat1 = 315,
  aux_sym_tuple_type_repeat1 = 316,
  aux_sym_type_lambda_repeat1 = 317,
  aux_sym_case_class_pattern_repeat1 = 318,
  aux_sym_bindings_repeat1 = 319,
  aux_sym_tuple_expression_repeat1 = 320,
  aux_sym_identifiers_repeat1 = 321,
  aux_sym_interpolated_string_repeat1 = 322,
  aux_sym_interpolated_string_repeat2 = 323,
  aux_sym_enumerators_repeat1 = 324,
  aux_sym_enumerator_repeat1 = 325,
  aux_sym_block_comment_repeat1 = 326,
  anon_alias_sym__end_ident = 327,
  alias_sym_refinement = 328,
  alias_sym_structural_type = 329,
  alias_sym_type_identifier = 330,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym__alpha_identifier] = "_alpha_identifier",
  [anon_sym_enum] = "enum",
  [anon_sym_COLON] = ":",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [anon_sym_case] = "case",
  [anon_sym_COMMA] = ",",
  [anon_sym_package] = "package",
  [anon_sym_DOT] = ".",
  [anon_sym_object] = "object",
  [anon_sym_import] = "import",
  [anon_sym_export] = "export",
  [anon_sym_STAR] = "*",
  [anon_sym__] = "_",
  [anon_sym_given] = "given",
  [anon_sym_EQ_GT] = "=>",
  [anon_sym_as] = "as",
  [anon_sym_class] = "class",
  [anon_sym_trait] = "trait",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_LT_COLON] = "<:",
  [anon_sym_GT_COLON] = ">:",
  [anon_sym_LT_PERCENT] = "<%",
  [anon_sym_end] = "end",
  [anon_sym_if] = "if",
  [anon_sym_while] = "while",
  [anon_sym_for] = "for",
  [anon_sym_match] = "match",
  [anon_sym_try] = "try",
  [anon_sym_new] = "new",
  [anon_sym_this] = "this",
  [anon_sym_extension] = "extension",
  [anon_sym_val] = "val",
  [anon_sym_AT] = "@",
  [anon_sym_EQ] = "=",
  [anon_sym_var] = "var",
  [anon_sym_type] = "type",
  [anon_sym_def] = "def",
  [anon_sym_opaque] = "opaque",
  [anon_sym_with] = "with",
  [anon_sym_abstract] = "abstract",
  [anon_sym_final] = "final",
  [anon_sym_sealed] = "sealed",
  [anon_sym_implicit] = "implicit",
  [anon_sym_lazy] = "lazy",
  [anon_sym_override] = "override",
  [anon_sym_private] = "private",
  [anon_sym_protected] = "protected",
  [anon_sym_inline] = "inline",
  [anon_sym_infix] = "infix",
  [anon_sym_open] = "open",
  [anon_sym_transparent] = "transparent",
  [anon_sym_extends] = "extends",
  [anon_sym_derives] = "derives",
  [anon_sym_LPAREN] = "(",
  [anon_sym_using] = "using",
  [anon_sym_RPAREN] = ")",
  [anon_sym_SEMI] = ";",
  [anon_sym_POUND] = "#",
  [anon_sym_QMARK_EQ_GT] = "\?=>",
  [anon_sym_EQ_GT_GT] = "=>>",
  [anon_sym_PIPE] = "|",
  [anon_sym_else] = "else",
  [anon_sym_then] = "then",
  [anon_sym_catch] = "catch",
  [anon_sym_finally] = "finally",
  [anon_sym_macro] = "macro",
  [anon_sym_BANG] = "!",
  [anon_sym_TILDE] = "~",
  [anon_sym_DOLLAR] = "$",
  [anon_sym_SQUOTE] = "'",
  [sym_symbol_literal] = "symbol_literal",
  [sym__interpolation_identifier] = "identifier",
  [sym__backquoted_id] = "_backquoted_id",
  [sym_operator_identifier] = "operator_identifier",
  [sym_integer_literal] = "integer_literal",
  [sym_floating_point_literal] = "floating_point_literal",
  [anon_sym_true] = "true",
  [anon_sym_false] = "false",
  [sym_character_literal] = "character_literal",
  [anon_sym_DQUOTE] = "\"",
  [sym__interpolated_multiline_string_start] = "_interpolated_multiline_string_start",
  [sym_null_literal] = "null_literal",
  [anon_sym_return] = "return",
  [anon_sym_throw] = "throw",
  [anon_sym_do] = "do",
  [anon_sym_yield] = "yield",
  [anon_sym_LT_DASH] = "<-",
  [aux_sym__shebang_token1] = "comment",
  [anon_sym_SLASH_SLASH] = "//",
  [sym__comment_text] = "_comment_text",
  [anon_sym_GT] = ">",
  [sym_using_directive_key] = "using_directive_key",
  [sym_using_directive_value] = "using_directive_value",
  [anon_sym_SLASH_STAR] = "/*",
  [aux_sym_block_comment_token1] = "block_comment_token1",
  [anon_sym_STAR_SLASH] = "*/",
  [sym__automatic_semicolon] = "_automatic_semicolon",
  [sym__indent] = "_indent",
  [sym__interpolated_string_middle] = "_interpolated_string_middle",
  [sym__interpolated_string_end] = "_interpolated_string_end",
  [sym__interpolated_multiline_string_middle] = "_interpolated_multiline_string_middle",
  [sym__interpolated_multiline_string_end] = "_interpolated_multiline_string_end",
  [sym__outdent] = "_outdent",
  [sym__simple_multiline_string] = "_simple_multiline_string",
  [sym__simple_string] = "_simple_string",
  [sym_compilation_unit] = "compilation_unit",
  [sym__top_level_definition] = "_top_level_definition",
  [sym_enum_definition] = "enum_definition",
  [sym__enum_block] = "_enum_block",
  [sym_enum_body] = "enum_body",
  [sym_enum_case_definitions] = "enum_case_definitions",
  [sym_simple_enum_case] = "simple_enum_case",
  [sym_full_enum_case] = "full_enum_case",
  [sym__full_enum_def] = "_full_enum_def",
  [sym_package_clause] = "package_clause",
  [sym_package_identifier] = "package_identifier",
  [sym_package_object] = "package_object",
  [sym_import_declaration] = "import_declaration",
  [sym_export_declaration] = "export_declaration",
  [sym__namespace_expression] = "_namespace_expression",
  [sym_namespace_wildcard] = "namespace_wildcard",
  [sym__namespace_given_by_type] = "_namespace_given_by_type",
  [sym_namespace_selectors] = "namespace_selectors",
  [sym_arrow_renamed_identifier] = "arrow_renamed_identifier",
  [sym_as_renamed_identifier] = "as_renamed_identifier",
  [sym_object_definition] = "object_definition",
  [sym__object_definition] = "_object_definition",
  [sym_class_definition] = "class_definition",
  [sym__class_definition] = "_class_definition",
  [sym__definition_body] = "_definition_body",
  [sym__class_constructor] = "_class_constructor",
  [sym_trait_definition] = "trait_definition",
  [sym_type_parameters] = "type_parameters",
  [sym__variant_type_parameter] = "_variant_type_parameter",
  [sym_covariant_type_parameter] = "covariant_type_parameter",
  [sym_contravariant_type_parameter] = "contravariant_type_parameter",
  [sym__type_parameter] = "_type_parameter",
  [sym_upper_bound] = "upper_bound",
  [sym_lower_bound] = "lower_bound",
  [sym_view_bound] = "view_bound",
  [sym_context_bound] = "context_bound",
  [sym_template_body] = "template_body",
  [sym__indented_template_body] = "_indented_template_body",
  [sym__braced_template_body] = "_braced_template_body",
  [sym__braced_template_body1] = "_braced_template_body1",
  [sym__braced_template_body2] = "_braced_template_body2",
  [sym_with_template_body] = "with_template_body",
  [sym__extension_template_body] = "_extension_template_body",
  [sym__end_marker] = "_end_marker",
  [sym_self_type] = "self_type",
  [sym__self_type_ascription] = "_self_type_ascription",
  [sym_annotation] = "annotation",
  [sym_val_definition] = "val_definition",
  [sym_val_declaration] = "val_declaration",
  [sym__start_val] = "_start_val",
  [sym_var_declaration] = "var_declaration",
  [sym_var_definition] = "var_definition",
  [sym__start_var] = "_start_var",
  [sym_type_definition] = "type_definition",
  [sym__type_constructor] = "_type_constructor",
  [sym_function_definition] = "function_definition",
  [sym_function_declaration] = "function_declaration",
  [sym__function_declaration] = "_function_declaration",
  [sym__function_constructor] = "_function_constructor",
  [sym_opaque_modifier] = "opaque_modifier",
  [sym_extension_definition] = "extension_definition",
  [sym_given_definition] = "given_definition",
  [sym__given_constructor] = "_given_constructor",
  [sym__structural_instance] = "_structural_instance",
  [sym__constructor_application] = "_constructor_application",
  [sym__constructor_applications] = "_constructor_applications",
  [sym_modifiers] = "modifiers",
  [sym_access_modifier] = "access_modifier",
  [sym_access_qualifier] = "access_qualifier",
  [sym_inline_modifier] = "inline_modifier",
  [sym_infix_modifier] = "infix_modifier",
  [sym_open_modifier] = "open_modifier",
  [sym_transparent_modifier] = "transparent_modifier",
  [sym_extends_clause] = "extends_clause",
  [sym_derives_clause] = "derives_clause",
  [sym_class_parameters] = "class_parameters",
  [sym_parameters] = "parameters",
  [sym__using_parameters_clause] = "_using_parameters_clause",
  [sym_class_parameter] = "class_parameter",
  [sym_parameter] = "parameter",
  [sym__block] = "_block",
  [sym__indentable_expression] = "_indentable_expression",
  [sym_block] = "block",
  [sym_indented_block] = "indented_block",
  [sym_indented_cases] = "indented_cases",
  [sym__indented_type_cases] = "_indented_type_cases",
  [sym__type] = "_type",
  [sym__annotated_type] = "_annotated_type",
  [sym_annotated_type] = "annotated_type",
  [sym__simple_type] = "_simple_type",
  [sym_compound_type] = "compound_type",
  [sym__structural_type] = "_structural_type",
  [sym__refinement] = "_refinement",
  [sym__infix_type_choice] = "_infix_type_choice",
  [sym_infix_type] = "infix_type",
  [sym_tuple_type] = "tuple_type",
  [sym_singleton_type] = "singleton_type",
  [sym_stable_type_identifier] = "stable_type_identifier",
  [sym_stable_identifier] = "stable_identifier",
  [sym_generic_type] = "generic_type",
  [sym_projected_type] = "projected_type",
  [sym_match_type] = "match_type",
  [sym_type_case_clause] = "type_case_clause",
  [sym_function_type] = "function_type",
  [sym__arrow_then_type] = "_arrow_then_type",
  [sym_parameter_types] = "parameter_types",
  [sym_lazy_parameter_type] = "lazy_parameter_type",
  [sym_repeated_parameter_type] = "repeated_parameter_type",
  [sym__type_identifier] = "_type_identifier",
  [sym_type_lambda] = "type_lambda",
  [sym_case_class_pattern] = "case_class_pattern",
  [sym_infix_pattern] = "infix_pattern",
  [sym_capture_pattern] = "capture_pattern",
  [sym_repeat_pattern] = "repeat_pattern",
  [sym_typed_pattern] = "typed_pattern",
  [sym_given_pattern] = "given_pattern",
  [sym_alternative_pattern] = "alternative_pattern",
  [sym_tuple_pattern] = "tuple_pattern",
  [sym_expression] = "expression",
  [sym__simple_expression] = "_simple_expression",
  [sym_lambda_expression] = "lambda_expression",
  [sym_if_expression] = "if_expression",
  [sym__if_condition] = "_if_condition",
  [sym_match_expression] = "match_expression",
  [sym_try_expression] = "try_expression",
  [sym_catch_clause] = "catch_clause",
  [sym__expr_case_clause] = "_expr_case_clause",
  [sym_finally_clause] = "finally_clause",
  [sym_binding] = "binding",
  [sym_bindings] = "bindings",
  [sym_case_block] = "case_block",
  [sym_case_clause] = "case_clause",
  [sym__case_pattern] = "_case_pattern",
  [sym_guard] = "guard",
  [sym_assignment_expression] = "assignment_expression",
  [sym_generic_function] = "generic_function",
  [sym_call_expression] = "call_expression",
  [sym_colon_argument] = "colon_argument",
  [sym_field_expression] = "field_expression",
  [sym_instance_expression] = "instance_expression",
  [sym_ascription_expression] = "ascription_expression",
  [sym_infix_expression] = "infix_expression",
  [sym_postfix_expression] = "postfix_expression",
  [sym__postfix_expression_choice] = "_postfix_expression_choice",
  [sym_macro_body] = "macro_body",
  [sym_prefix_expression] = "prefix_expression",
  [sym_tuple_expression] = "tuple_expression",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_type_arguments] = "type_arguments",
  [sym_arguments] = "arguments",
  [sym__exprs_in_parens] = "_exprs_in_parens",
  [sym_splice_expression] = "splice_expression",
  [sym_quote_expression] = "quote_expression",
  [sym_identifier] = "identifier",
  [sym__soft_identifier] = "_soft_identifier",
  [sym_identifiers] = "identifiers",
  [sym_wildcard] = "wildcard",
  [sym__non_null_literal] = "_non_null_literal",
  [sym_literal_type] = "literal_type",
  [sym_boolean_literal] = "boolean_literal",
  [sym_interpolated_string_expression] = "interpolated_string_expression",
  [sym__interpolated_string_start] = "_interpolated_string_start",
  [sym__dollar_escape] = "_dollar_escape",
  [sym__aliased_interpolation_identifier] = "_aliased_interpolation_identifier",
  [sym_interpolation] = "interpolation",
  [sym_interpolated_string] = "interpolated_string",
  [sym_string] = "string",
  [sym_unit] = "unit",
  [sym_return_expression] = "return_expression",
  [sym_throw_expression] = "throw_expression",
  [sym_while_expression] = "while_expression",
  [sym_do_while_expression] = "do_while_expression",
  [sym_for_expression] = "for_expression",
  [sym_enumerators] = "enumerators",
  [sym_enumerator] = "enumerator",
  [sym__shebang] = "_shebang",
  [sym_comment] = "comment",
  [sym_using_directive] = "using_directive",
  [sym_block_comment] = "block_comment",
  [aux_sym_compilation_unit_repeat1] = "compilation_unit_repeat1",
  [aux_sym_enum_definition_repeat1] = "enum_definition_repeat1",
  [aux_sym__enum_block_repeat1] = "_enum_block_repeat1",
  [aux_sym_enum_case_definitions_repeat1] = "enum_case_definitions_repeat1",
  [aux_sym__full_enum_def_repeat1] = "_full_enum_def_repeat1",
  [aux_sym_package_identifier_repeat1] = "package_identifier_repeat1",
  [aux_sym_import_declaration_repeat1] = "import_declaration_repeat1",
  [aux_sym_namespace_selectors_repeat1] = "namespace_selectors_repeat1",
  [aux_sym__class_constructor_repeat1] = "_class_constructor_repeat1",
  [aux_sym_type_parameters_repeat1] = "type_parameters_repeat1",
  [aux_sym__type_parameter_repeat1] = "_type_parameter_repeat1",
  [aux_sym__type_parameter_repeat2] = "_type_parameter_repeat2",
  [aux_sym_annotation_repeat1] = "annotation_repeat1",
  [aux_sym_val_declaration_repeat1] = "val_declaration_repeat1",
  [aux_sym__function_constructor_repeat1] = "_function_constructor_repeat1",
  [aux_sym_extension_definition_repeat1] = "extension_definition_repeat1",
  [aux_sym__constructor_applications_repeat1] = "_constructor_applications_repeat1",
  [aux_sym__constructor_applications_repeat2] = "_constructor_applications_repeat2",
  [aux_sym_modifiers_repeat1] = "modifiers_repeat1",
  [aux_sym_derives_clause_repeat1] = "derives_clause_repeat1",
  [aux_sym_class_parameters_repeat1] = "class_parameters_repeat1",
  [aux_sym_parameters_repeat1] = "parameters_repeat1",
  [aux_sym__using_parameters_clause_repeat1] = "_using_parameters_clause_repeat1",
  [aux_sym__block_repeat1] = "_block_repeat1",
  [aux_sym_indented_cases_repeat1] = "indented_cases_repeat1",
  [aux_sym__indented_type_cases_repeat1] = "_indented_type_cases_repeat1",
  [aux_sym_compound_type_repeat1] = "compound_type_repeat1",
  [aux_sym_tuple_type_repeat1] = "tuple_type_repeat1",
  [aux_sym_type_lambda_repeat1] = "type_lambda_repeat1",
  [aux_sym_case_class_pattern_repeat1] = "case_class_pattern_repeat1",
  [aux_sym_bindings_repeat1] = "bindings_repeat1",
  [aux_sym_tuple_expression_repeat1] = "tuple_expression_repeat1",
  [aux_sym_identifiers_repeat1] = "identifiers_repeat1",
  [aux_sym_interpolated_string_repeat1] = "interpolated_string_repeat1",
  [aux_sym_interpolated_string_repeat2] = "interpolated_string_repeat2",
  [aux_sym_enumerators_repeat1] = "enumerators_repeat1",
  [aux_sym_enumerator_repeat1] = "enumerator_repeat1",
  [aux_sym_block_comment_repeat1] = "block_comment_repeat1",
  [anon_alias_sym__end_ident] = "_end_ident",
  [alias_sym_refinement] = "refinement",
  [alias_sym_structural_type] = "structural_type",
  [alias_sym_type_identifier] = "type_identifier",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym__alpha_identifier] = sym__alpha_identifier,
  [anon_sym_enum] = anon_sym_enum,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_case] = anon_sym_case,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_package] = anon_sym_package,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_object] = anon_sym_object,
  [anon_sym_import] = anon_sym_import,
  [anon_sym_export] = anon_sym_export,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym__] = anon_sym__,
  [anon_sym_given] = anon_sym_given,
  [anon_sym_EQ_GT] = anon_sym_EQ_GT,
  [anon_sym_as] = anon_sym_as,
  [anon_sym_class] = anon_sym_class,
  [anon_sym_trait] = anon_sym_trait,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_LT_COLON] = anon_sym_LT_COLON,
  [anon_sym_GT_COLON] = anon_sym_GT_COLON,
  [anon_sym_LT_PERCENT] = anon_sym_LT_PERCENT,
  [anon_sym_end] = anon_sym_end,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_match] = anon_sym_match,
  [anon_sym_try] = anon_sym_try,
  [anon_sym_new] = anon_sym_new,
  [anon_sym_this] = anon_sym_this,
  [anon_sym_extension] = anon_sym_extension,
  [anon_sym_val] = anon_sym_val,
  [anon_sym_AT] = anon_sym_AT,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_var] = anon_sym_var,
  [anon_sym_type] = anon_sym_type,
  [anon_sym_def] = anon_sym_def,
  [anon_sym_opaque] = anon_sym_opaque,
  [anon_sym_with] = anon_sym_with,
  [anon_sym_abstract] = anon_sym_abstract,
  [anon_sym_final] = anon_sym_final,
  [anon_sym_sealed] = anon_sym_sealed,
  [anon_sym_implicit] = anon_sym_implicit,
  [anon_sym_lazy] = anon_sym_lazy,
  [anon_sym_override] = anon_sym_override,
  [anon_sym_private] = anon_sym_private,
  [anon_sym_protected] = anon_sym_protected,
  [anon_sym_inline] = anon_sym_inline,
  [anon_sym_infix] = anon_sym_infix,
  [anon_sym_open] = anon_sym_open,
  [anon_sym_transparent] = anon_sym_transparent,
  [anon_sym_extends] = anon_sym_extends,
  [anon_sym_derives] = anon_sym_derives,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_using] = anon_sym_using,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_POUND] = anon_sym_POUND,
  [anon_sym_QMARK_EQ_GT] = anon_sym_QMARK_EQ_GT,
  [anon_sym_EQ_GT_GT] = anon_sym_EQ_GT_GT,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_then] = anon_sym_then,
  [anon_sym_catch] = anon_sym_catch,
  [anon_sym_finally] = anon_sym_finally,
  [anon_sym_macro] = anon_sym_macro,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_DOLLAR] = anon_sym_DOLLAR,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [sym_symbol_literal] = sym_symbol_literal,
  [sym__interpolation_identifier] = sym_identifier,
  [sym__backquoted_id] = sym__backquoted_id,
  [sym_operator_identifier] = sym_operator_identifier,
  [sym_integer_literal] = sym_integer_literal,
  [sym_floating_point_literal] = sym_floating_point_literal,
  [anon_sym_true] = anon_sym_true,
  [anon_sym_false] = anon_sym_false,
  [sym_character_literal] = sym_character_literal,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [sym__interpolated_multiline_string_start] = sym__interpolated_multiline_string_start,
  [sym_null_literal] = sym_null_literal,
  [anon_sym_return] = anon_sym_return,
  [anon_sym_throw] = anon_sym_throw,
  [anon_sym_do] = anon_sym_do,
  [anon_sym_yield] = anon_sym_yield,
  [anon_sym_LT_DASH] = anon_sym_LT_DASH,
  [aux_sym__shebang_token1] = sym_comment,
  [anon_sym_SLASH_SLASH] = anon_sym_SLASH_SLASH,
  [sym__comment_text] = sym__comment_text,
  [anon_sym_GT] = anon_sym_GT,
  [sym_using_directive_key] = sym_using_directive_key,
  [sym_using_directive_value] = sym_using_directive_value,
  [anon_sym_SLASH_STAR] = anon_sym_SLASH_STAR,
  [aux_sym_block_comment_token1] = aux_sym_block_comment_token1,
  [anon_sym_STAR_SLASH] = anon_sym_STAR_SLASH,
  [sym__automatic_semicolon] = sym__automatic_semicolon,
  [sym__indent] = sym__indent,
  [sym__interpolated_string_middle] = sym__interpolated_string_middle,
  [sym__interpolated_string_end] = sym__interpolated_string_end,
  [sym__interpolated_multiline_string_middle] = sym__interpolated_multiline_string_middle,
  [sym__interpolated_multiline_string_end] = sym__interpolated_multiline_string_end,
  [sym__outdent] = sym__outdent,
  [sym__simple_multiline_string] = sym__simple_multiline_string,
  [sym__simple_string] = sym__simple_string,
  [sym_compilation_unit] = sym_compilation_unit,
  [sym__top_level_definition] = sym__top_level_definition,
  [sym_enum_definition] = sym_enum_definition,
  [sym__enum_block] = sym__enum_block,
  [sym_enum_body] = sym_enum_body,
  [sym_enum_case_definitions] = sym_enum_case_definitions,
  [sym_simple_enum_case] = sym_simple_enum_case,
  [sym_full_enum_case] = sym_full_enum_case,
  [sym__full_enum_def] = sym__full_enum_def,
  [sym_package_clause] = sym_package_clause,
  [sym_package_identifier] = sym_package_identifier,
  [sym_package_object] = sym_package_object,
  [sym_import_declaration] = sym_import_declaration,
  [sym_export_declaration] = sym_export_declaration,
  [sym__namespace_expression] = sym__namespace_expression,
  [sym_namespace_wildcard] = sym_namespace_wildcard,
  [sym__namespace_given_by_type] = sym__namespace_given_by_type,
  [sym_namespace_selectors] = sym_namespace_selectors,
  [sym_arrow_renamed_identifier] = sym_arrow_renamed_identifier,
  [sym_as_renamed_identifier] = sym_as_renamed_identifier,
  [sym_object_definition] = sym_object_definition,
  [sym__object_definition] = sym__object_definition,
  [sym_class_definition] = sym_class_definition,
  [sym__class_definition] = sym__class_definition,
  [sym__definition_body] = sym__definition_body,
  [sym__class_constructor] = sym__class_constructor,
  [sym_trait_definition] = sym_trait_definition,
  [sym_type_parameters] = sym_type_parameters,
  [sym__variant_type_parameter] = sym__variant_type_parameter,
  [sym_covariant_type_parameter] = sym_covariant_type_parameter,
  [sym_contravariant_type_parameter] = sym_contravariant_type_parameter,
  [sym__type_parameter] = sym__type_parameter,
  [sym_upper_bound] = sym_upper_bound,
  [sym_lower_bound] = sym_lower_bound,
  [sym_view_bound] = sym_view_bound,
  [sym_context_bound] = sym_context_bound,
  [sym_template_body] = sym_template_body,
  [sym__indented_template_body] = sym__indented_template_body,
  [sym__braced_template_body] = sym__braced_template_body,
  [sym__braced_template_body1] = sym__braced_template_body1,
  [sym__braced_template_body2] = sym__braced_template_body2,
  [sym_with_template_body] = sym_with_template_body,
  [sym__extension_template_body] = sym__extension_template_body,
  [sym__end_marker] = sym__end_marker,
  [sym_self_type] = sym_self_type,
  [sym__self_type_ascription] = sym__self_type_ascription,
  [sym_annotation] = sym_annotation,
  [sym_val_definition] = sym_val_definition,
  [sym_val_declaration] = sym_val_declaration,
  [sym__start_val] = sym__start_val,
  [sym_var_declaration] = sym_var_declaration,
  [sym_var_definition] = sym_var_definition,
  [sym__start_var] = sym__start_var,
  [sym_type_definition] = sym_type_definition,
  [sym__type_constructor] = sym__type_constructor,
  [sym_function_definition] = sym_function_definition,
  [sym_function_declaration] = sym_function_declaration,
  [sym__function_declaration] = sym__function_declaration,
  [sym__function_constructor] = sym__function_constructor,
  [sym_opaque_modifier] = sym_opaque_modifier,
  [sym_extension_definition] = sym_extension_definition,
  [sym_given_definition] = sym_given_definition,
  [sym__given_constructor] = sym__given_constructor,
  [sym__structural_instance] = sym__structural_instance,
  [sym__constructor_application] = sym__constructor_application,
  [sym__constructor_applications] = sym__constructor_applications,
  [sym_modifiers] = sym_modifiers,
  [sym_access_modifier] = sym_access_modifier,
  [sym_access_qualifier] = sym_access_qualifier,
  [sym_inline_modifier] = sym_inline_modifier,
  [sym_infix_modifier] = sym_infix_modifier,
  [sym_open_modifier] = sym_open_modifier,
  [sym_transparent_modifier] = sym_transparent_modifier,
  [sym_extends_clause] = sym_extends_clause,
  [sym_derives_clause] = sym_derives_clause,
  [sym_class_parameters] = sym_class_parameters,
  [sym_parameters] = sym_parameters,
  [sym__using_parameters_clause] = sym__using_parameters_clause,
  [sym_class_parameter] = sym_class_parameter,
  [sym_parameter] = sym_parameter,
  [sym__block] = sym__block,
  [sym__indentable_expression] = sym__indentable_expression,
  [sym_block] = sym_block,
  [sym_indented_block] = sym_indented_block,
  [sym_indented_cases] = sym_indented_cases,
  [sym__indented_type_cases] = sym__indented_type_cases,
  [sym__type] = sym__type,
  [sym__annotated_type] = sym__annotated_type,
  [sym_annotated_type] = sym_annotated_type,
  [sym__simple_type] = sym__simple_type,
  [sym_compound_type] = sym_compound_type,
  [sym__structural_type] = sym__structural_type,
  [sym__refinement] = sym__refinement,
  [sym__infix_type_choice] = sym__infix_type_choice,
  [sym_infix_type] = sym_infix_type,
  [sym_tuple_type] = sym_tuple_type,
  [sym_singleton_type] = sym_singleton_type,
  [sym_stable_type_identifier] = sym_stable_type_identifier,
  [sym_stable_identifier] = sym_stable_identifier,
  [sym_generic_type] = sym_generic_type,
  [sym_projected_type] = sym_projected_type,
  [sym_match_type] = sym_match_type,
  [sym_type_case_clause] = sym_type_case_clause,
  [sym_function_type] = sym_function_type,
  [sym__arrow_then_type] = sym__arrow_then_type,
  [sym_parameter_types] = sym_parameter_types,
  [sym_lazy_parameter_type] = sym_lazy_parameter_type,
  [sym_repeated_parameter_type] = sym_repeated_parameter_type,
  [sym__type_identifier] = sym__type_identifier,
  [sym_type_lambda] = sym_type_lambda,
  [sym_case_class_pattern] = sym_case_class_pattern,
  [sym_infix_pattern] = sym_infix_pattern,
  [sym_capture_pattern] = sym_capture_pattern,
  [sym_repeat_pattern] = sym_repeat_pattern,
  [sym_typed_pattern] = sym_typed_pattern,
  [sym_given_pattern] = sym_given_pattern,
  [sym_alternative_pattern] = sym_alternative_pattern,
  [sym_tuple_pattern] = sym_tuple_pattern,
  [sym_expression] = sym_expression,
  [sym__simple_expression] = sym__simple_expression,
  [sym_lambda_expression] = sym_lambda_expression,
  [sym_if_expression] = sym_if_expression,
  [sym__if_condition] = sym__if_condition,
  [sym_match_expression] = sym_match_expression,
  [sym_try_expression] = sym_try_expression,
  [sym_catch_clause] = sym_catch_clause,
  [sym__expr_case_clause] = sym__expr_case_clause,
  [sym_finally_clause] = sym_finally_clause,
  [sym_binding] = sym_binding,
  [sym_bindings] = sym_bindings,
  [sym_case_block] = sym_case_block,
  [sym_case_clause] = sym_case_clause,
  [sym__case_pattern] = sym__case_pattern,
  [sym_guard] = sym_guard,
  [sym_assignment_expression] = sym_assignment_expression,
  [sym_generic_function] = sym_generic_function,
  [sym_call_expression] = sym_call_expression,
  [sym_colon_argument] = sym_colon_argument,
  [sym_field_expression] = sym_field_expression,
  [sym_instance_expression] = sym_instance_expression,
  [sym_ascription_expression] = sym_ascription_expression,
  [sym_infix_expression] = sym_infix_expression,
  [sym_postfix_expression] = sym_postfix_expression,
  [sym__postfix_expression_choice] = sym__postfix_expression_choice,
  [sym_macro_body] = sym_macro_body,
  [sym_prefix_expression] = sym_prefix_expression,
  [sym_tuple_expression] = sym_tuple_expression,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_type_arguments] = sym_type_arguments,
  [sym_arguments] = sym_arguments,
  [sym__exprs_in_parens] = sym__exprs_in_parens,
  [sym_splice_expression] = sym_splice_expression,
  [sym_quote_expression] = sym_quote_expression,
  [sym_identifier] = sym_identifier,
  [sym__soft_identifier] = sym__soft_identifier,
  [sym_identifiers] = sym_identifiers,
  [sym_wildcard] = sym_wildcard,
  [sym__non_null_literal] = sym__non_null_literal,
  [sym_literal_type] = sym_literal_type,
  [sym_boolean_literal] = sym_boolean_literal,
  [sym_interpolated_string_expression] = sym_interpolated_string_expression,
  [sym__interpolated_string_start] = sym__interpolated_string_start,
  [sym__dollar_escape] = sym__dollar_escape,
  [sym__aliased_interpolation_identifier] = sym__aliased_interpolation_identifier,
  [sym_interpolation] = sym_interpolation,
  [sym_interpolated_string] = sym_interpolated_string,
  [sym_string] = sym_string,
  [sym_unit] = sym_unit,
  [sym_return_expression] = sym_return_expression,
  [sym_throw_expression] = sym_throw_expression,
  [sym_while_expression] = sym_while_expression,
  [sym_do_while_expression] = sym_do_while_expression,
  [sym_for_expression] = sym_for_expression,
  [sym_enumerators] = sym_enumerators,
  [sym_enumerator] = sym_enumerator,
  [sym__shebang] = sym__shebang,
  [sym_comment] = sym_comment,
  [sym_using_directive] = sym_using_directive,
  [sym_block_comment] = sym_block_comment,
  [aux_sym_compilation_unit_repeat1] = aux_sym_compilation_unit_repeat1,
  [aux_sym_enum_definition_repeat1] = aux_sym_enum_definition_repeat1,
  [aux_sym__enum_block_repeat1] = aux_sym__enum_block_repeat1,
  [aux_sym_enum_case_definitions_repeat1] = aux_sym_enum_case_definitions_repeat1,
  [aux_sym__full_enum_def_repeat1] = aux_sym__full_enum_def_repeat1,
  [aux_sym_package_identifier_repeat1] = aux_sym_package_identifier_repeat1,
  [aux_sym_import_declaration_repeat1] = aux_sym_import_declaration_repeat1,
  [aux_sym_namespace_selectors_repeat1] = aux_sym_namespace_selectors_repeat1,
  [aux_sym__class_constructor_repeat1] = aux_sym__class_constructor_repeat1,
  [aux_sym_type_parameters_repeat1] = aux_sym_type_parameters_repeat1,
  [aux_sym__type_parameter_repeat1] = aux_sym__type_parameter_repeat1,
  [aux_sym__type_parameter_repeat2] = aux_sym__type_parameter_repeat2,
  [aux_sym_annotation_repeat1] = aux_sym_annotation_repeat1,
  [aux_sym_val_declaration_repeat1] = aux_sym_val_declaration_repeat1,
  [aux_sym__function_constructor_repeat1] = aux_sym__function_constructor_repeat1,
  [aux_sym_extension_definition_repeat1] = aux_sym_extension_definition_repeat1,
  [aux_sym__constructor_applications_repeat1] = aux_sym__constructor_applications_repeat1,
  [aux_sym__constructor_applications_repeat2] = aux_sym__constructor_applications_repeat2,
  [aux_sym_modifiers_repeat1] = aux_sym_modifiers_repeat1,
  [aux_sym_derives_clause_repeat1] = aux_sym_derives_clause_repeat1,
  [aux_sym_class_parameters_repeat1] = aux_sym_class_parameters_repeat1,
  [aux_sym_parameters_repeat1] = aux_sym_parameters_repeat1,
  [aux_sym__using_parameters_clause_repeat1] = aux_sym__using_parameters_clause_repeat1,
  [aux_sym__block_repeat1] = aux_sym__block_repeat1,
  [aux_sym_indented_cases_repeat1] = aux_sym_indented_cases_repeat1,
  [aux_sym__indented_type_cases_repeat1] = aux_sym__indented_type_cases_repeat1,
  [aux_sym_compound_type_repeat1] = aux_sym_compound_type_repeat1,
  [aux_sym_tuple_type_repeat1] = aux_sym_tuple_type_repeat1,
  [aux_sym_type_lambda_repeat1] = aux_sym_type_lambda_repeat1,
  [aux_sym_case_class_pattern_repeat1] = aux_sym_case_class_pattern_repeat1,
  [aux_sym_bindings_repeat1] = aux_sym_bindings_repeat1,
  [aux_sym_tuple_expression_repeat1] = aux_sym_tuple_expression_repeat1,
  [aux_sym_identifiers_repeat1] = aux_sym_identifiers_repeat1,
  [aux_sym_interpolated_string_repeat1] = aux_sym_interpolated_string_repeat1,
  [aux_sym_interpolated_string_repeat2] = aux_sym_interpolated_string_repeat2,
  [aux_sym_enumerators_repeat1] = aux_sym_enumerators_repeat1,
  [aux_sym_enumerator_repeat1] = aux_sym_enumerator_repeat1,
  [aux_sym_block_comment_repeat1] = aux_sym_block_comment_repeat1,
  [anon_alias_sym__end_ident] = anon_alias_sym__end_ident,
  [alias_sym_refinement] = alias_sym_refinement,
  [alias_sym_structural_type] = alias_sym_structural_type,
  [alias_sym_type_identifier] = alias_sym_type_identifier,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym__alpha_identifier] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_enum] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_case] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_package] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_object] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_import] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_export] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_given] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_as] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_class] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_trait] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_end] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_match] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_new] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_this] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_extension] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_val] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_var] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_type] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_def] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_opaque] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_with] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_abstract] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_final] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_sealed] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_implicit] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_lazy] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_override] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_private] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_protected] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_inline] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_infix] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_open] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_transparent] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_extends] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_derives] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_using] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_POUND] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_then] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_catch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_finally] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_macro] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [sym_symbol_literal] = {
    .visible = true,
    .named = true,
  },
  [sym__interpolation_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym__backquoted_id] = {
    .visible = false,
    .named = true,
  },
  [sym_operator_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_integer_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_floating_point_literal] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_true] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_false] = {
    .visible = true,
    .named = false,
  },
  [sym_character_literal] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [sym__interpolated_multiline_string_start] = {
    .visible = false,
    .named = true,
  },
  [sym_null_literal] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_throw] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_do] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_yield] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_DASH] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__shebang_token1] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_SLASH_SLASH] = {
    .visible = true,
    .named = false,
  },
  [sym__comment_text] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [sym_using_directive_key] = {
    .visible = true,
    .named = true,
  },
  [sym_using_directive_value] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_SLASH_STAR] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_block_comment_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_STAR_SLASH] = {
    .visible = true,
    .named = false,
  },
  [sym__automatic_semicolon] = {
    .visible = false,
    .named = true,
  },
  [sym__indent] = {
    .visible = false,
    .named = true,
  },
  [sym__interpolated_string_middle] = {
    .visible = false,
    .named = true,
  },
  [sym__interpolated_string_end] = {
    .visible = false,
    .named = true,
  },
  [sym__interpolated_multiline_string_middle] = {
    .visible = false,
    .named = true,
  },
  [sym__interpolated_multiline_string_end] = {
    .visible = false,
    .named = true,
  },
  [sym__outdent] = {
    .visible = false,
    .named = true,
  },
  [sym__simple_multiline_string] = {
    .visible = false,
    .named = true,
  },
  [sym__simple_string] = {
    .visible = false,
    .named = true,
  },
  [sym_compilation_unit] = {
    .visible = true,
    .named = true,
  },
  [sym__top_level_definition] = {
    .visible = false,
    .named = true,
  },
  [sym_enum_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__enum_block] = {
    .visible = false,
    .named = true,
  },
  [sym_enum_body] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_case_definitions] = {
    .visible = true,
    .named = true,
  },
  [sym_simple_enum_case] = {
    .visible = true,
    .named = true,
  },
  [sym_full_enum_case] = {
    .visible = true,
    .named = true,
  },
  [sym__full_enum_def] = {
    .visible = false,
    .named = true,
  },
  [sym_package_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_package_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_package_object] = {
    .visible = true,
    .named = true,
  },
  [sym_import_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_export_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__namespace_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_namespace_wildcard] = {
    .visible = true,
    .named = true,
  },
  [sym__namespace_given_by_type] = {
    .visible = false,
    .named = true,
  },
  [sym_namespace_selectors] = {
    .visible = true,
    .named = true,
  },
  [sym_arrow_renamed_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_as_renamed_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_object_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__object_definition] = {
    .visible = false,
    .named = true,
  },
  [sym_class_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__class_definition] = {
    .visible = false,
    .named = true,
  },
  [sym__definition_body] = {
    .visible = false,
    .named = true,
  },
  [sym__class_constructor] = {
    .visible = false,
    .named = true,
  },
  [sym_trait_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_type_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym__variant_type_parameter] = {
    .visible = false,
    .named = true,
  },
  [sym_covariant_type_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_contravariant_type_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym__type_parameter] = {
    .visible = false,
    .named = true,
  },
  [sym_upper_bound] = {
    .visible = true,
    .named = true,
  },
  [sym_lower_bound] = {
    .visible = true,
    .named = true,
  },
  [sym_view_bound] = {
    .visible = true,
    .named = true,
  },
  [sym_context_bound] = {
    .visible = true,
    .named = true,
  },
  [sym_template_body] = {
    .visible = true,
    .named = true,
  },
  [sym__indented_template_body] = {
    .visible = false,
    .named = true,
  },
  [sym__braced_template_body] = {
    .visible = false,
    .named = true,
  },
  [sym__braced_template_body1] = {
    .visible = false,
    .named = true,
  },
  [sym__braced_template_body2] = {
    .visible = false,
    .named = true,
  },
  [sym_with_template_body] = {
    .visible = true,
    .named = true,
  },
  [sym__extension_template_body] = {
    .visible = false,
    .named = true,
  },
  [sym__end_marker] = {
    .visible = false,
    .named = true,
  },
  [sym_self_type] = {
    .visible = true,
    .named = true,
  },
  [sym__self_type_ascription] = {
    .visible = false,
    .named = true,
  },
  [sym_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym_val_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_val_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__start_val] = {
    .visible = false,
    .named = true,
  },
  [sym_var_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_var_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__start_var] = {
    .visible = false,
    .named = true,
  },
  [sym_type_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__type_constructor] = {
    .visible = false,
    .named = true,
  },
  [sym_function_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_function_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__function_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym__function_constructor] = {
    .visible = false,
    .named = true,
  },
  [sym_opaque_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_extension_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_given_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__given_constructor] = {
    .visible = false,
    .named = true,
  },
  [sym__structural_instance] = {
    .visible = false,
    .named = true,
  },
  [sym__constructor_application] = {
    .visible = false,
    .named = true,
  },
  [sym__constructor_applications] = {
    .visible = false,
    .named = true,
  },
  [sym_modifiers] = {
    .visible = true,
    .named = true,
  },
  [sym_access_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_access_qualifier] = {
    .visible = true,
    .named = true,
  },
  [sym_inline_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_infix_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_open_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_transparent_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_extends_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_derives_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_class_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym__using_parameters_clause] = {
    .visible = false,
    .named = true,
  },
  [sym_class_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym__block] = {
    .visible = false,
    .named = true,
  },
  [sym__indentable_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_block] = {
    .visible = true,
    .named = true,
  },
  [sym_indented_block] = {
    .visible = true,
    .named = true,
  },
  [sym_indented_cases] = {
    .visible = true,
    .named = true,
  },
  [sym__indented_type_cases] = {
    .visible = false,
    .named = true,
  },
  [sym__type] = {
    .visible = false,
    .named = true,
  },
  [sym__annotated_type] = {
    .visible = false,
    .named = true,
  },
  [sym_annotated_type] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_type] = {
    .visible = false,
    .named = true,
  },
  [sym_compound_type] = {
    .visible = true,
    .named = true,
  },
  [sym__structural_type] = {
    .visible = false,
    .named = true,
  },
  [sym__refinement] = {
    .visible = false,
    .named = true,
  },
  [sym__infix_type_choice] = {
    .visible = false,
    .named = true,
  },
  [sym_infix_type] = {
    .visible = true,
    .named = true,
  },
  [sym_tuple_type] = {
    .visible = true,
    .named = true,
  },
  [sym_singleton_type] = {
    .visible = true,
    .named = true,
  },
  [sym_stable_type_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_stable_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_generic_type] = {
    .visible = true,
    .named = true,
  },
  [sym_projected_type] = {
    .visible = true,
    .named = true,
  },
  [sym_match_type] = {
    .visible = true,
    .named = true,
  },
  [sym_type_case_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_function_type] = {
    .visible = true,
    .named = true,
  },
  [sym__arrow_then_type] = {
    .visible = false,
    .named = true,
  },
  [sym_parameter_types] = {
    .visible = true,
    .named = true,
  },
  [sym_lazy_parameter_type] = {
    .visible = true,
    .named = true,
  },
  [sym_repeated_parameter_type] = {
    .visible = true,
    .named = true,
  },
  [sym__type_identifier] = {
    .visible = false,
    .named = true,
  },
  [sym_type_lambda] = {
    .visible = true,
    .named = true,
  },
  [sym_case_class_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_infix_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_capture_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_repeat_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_typed_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_given_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_alternative_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_tuple_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__simple_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_lambda_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_if_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__if_condition] = {
    .visible = false,
    .named = true,
  },
  [sym_match_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_try_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_catch_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__expr_case_clause] = {
    .visible = false,
    .named = true,
  },
  [sym_finally_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_binding] = {
    .visible = true,
    .named = true,
  },
  [sym_bindings] = {
    .visible = true,
    .named = true,
  },
  [sym_case_block] = {
    .visible = true,
    .named = true,
  },
  [sym_case_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__case_pattern] = {
    .visible = false,
    .named = true,
  },
  [sym_guard] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_generic_function] = {
    .visible = true,
    .named = true,
  },
  [sym_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_colon_argument] = {
    .visible = true,
    .named = true,
  },
  [sym_field_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_instance_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_ascription_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_infix_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_postfix_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__postfix_expression_choice] = {
    .visible = false,
    .named = true,
  },
  [sym_macro_body] = {
    .visible = true,
    .named = true,
  },
  [sym_prefix_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_tuple_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_type_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym__exprs_in_parens] = {
    .visible = false,
    .named = true,
  },
  [sym_splice_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_quote_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym__soft_identifier] = {
    .visible = false,
    .named = true,
  },
  [sym_identifiers] = {
    .visible = true,
    .named = true,
  },
  [sym_wildcard] = {
    .visible = true,
    .named = true,
  },
  [sym__non_null_literal] = {
    .visible = false,
    .named = true,
  },
  [sym_literal_type] = {
    .visible = true,
    .named = true,
  },
  [sym_boolean_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_interpolated_string_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__interpolated_string_start] = {
    .visible = false,
    .named = true,
  },
  [sym__dollar_escape] = {
    .visible = false,
    .named = true,
  },
  [sym__aliased_interpolation_identifier] = {
    .visible = false,
    .named = true,
  },
  [sym_interpolation] = {
    .visible = true,
    .named = true,
  },
  [sym_interpolated_string] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_unit] = {
    .visible = true,
    .named = true,
  },
  [sym_return_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_throw_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_while_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_do_while_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_for_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_enumerators] = {
    .visible = true,
    .named = true,
  },
  [sym_enumerator] = {
    .visible = true,
    .named = true,
  },
  [sym__shebang] = {
    .visible = false,
    .named = true,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_using_directive] = {
    .visible = true,
    .named = true,
  },
  [sym_block_comment] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_compilation_unit_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enum_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__enum_block_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enum_case_definitions_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__full_enum_def_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_package_identifier_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_import_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_namespace_selectors_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__class_constructor_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__type_parameter_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__type_parameter_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_annotation_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_val_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__function_constructor_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_extension_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__constructor_applications_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__constructor_applications_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_modifiers_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_derives_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_class_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__using_parameters_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__block_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_indented_cases_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__indented_type_cases_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_compound_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_tuple_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_lambda_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_case_class_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_bindings_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_tuple_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_identifiers_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_interpolated_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_interpolated_string_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enumerators_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enumerator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_block_comment_repeat1] = {
    .visible = false,
    .named = false,
  },
  [anon_alias_sym__end_ident] = {
    .visible = true,
    .named = false,
  },
  [alias_sym_refinement] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_structural_type] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_type_identifier] = {
    .visible = true,
    .named = true,
  },
};

enum ts_field_identifiers {
  field_alias = 1,
  field_alternative = 2,
  field_arguments = 3,
  field_base = 4,
  field_body = 5,
  field_bound = 6,
  field_class_parameters = 7,
  field_condition = 8,
  field_consequence = 9,
  field_default_value = 10,
  field_derive = 11,
  field_enumerators = 12,
  field_extend = 13,
  field_extra = 14,
  field_field = 15,
  field_function = 16,
  field_interpolator = 17,
  field_lambda_start = 18,
  field_left = 19,
  field_name = 20,
  field_operator = 21,
  field_parameter_types = 22,
  field_parameters = 23,
  field_path = 24,
  field_pattern = 25,
  field_return_type = 26,
  field_right = 27,
  field_selector = 28,
  field_type = 29,
  field_type_arguments = 30,
  field_type_parameters = 31,
  field_value = 32,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alias] = "alias",
  [field_alternative] = "alternative",
  [field_arguments] = "arguments",
  [field_base] = "base",
  [field_body] = "body",
  [field_bound] = "bound",
  [field_class_parameters] = "class_parameters",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_default_value] = "default_value",
  [field_derive] = "derive",
  [field_enumerators] = "enumerators",
  [field_extend] = "extend",
  [field_extra] = "extra",
  [field_field] = "field",
  [field_function] = "function",
  [field_interpolator] = "interpolator",
  [field_lambda_start] = "lambda_start",
  [field_left] = "left",
  [field_name] = "name",
  [field_operator] = "operator",
  [field_parameter_types] = "parameter_types",
  [field_parameters] = "parameters",
  [field_path] = "path",
  [field_pattern] = "pattern",
  [field_return_type] = "return_type",
  [field_right] = "right",
  [field_selector] = "selector",
  [field_type] = "type",
  [field_type_arguments] = "type_arguments",
  [field_type_parameters] = "type_parameters",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [1] = {.index = 0, .length = 4},
  [2] = {.index = 4, .length = 1},
  [3] = {.index = 5, .length = 1},
  [4] = {.index = 6, .length = 4},
  [5] = {.index = 10, .length = 1},
  [6] = {.index = 11, .length = 1},
  [9] = {.index = 12, .length = 3},
  [10] = {.index = 15, .length = 1},
  [11] = {.index = 16, .length = 6},
  [12] = {.index = 22, .length = 3},
  [14] = {.index = 25, .length = 1},
  [15] = {.index = 26, .length = 1},
  [16] = {.index = 27, .length = 3},
  [17] = {.index = 30, .length = 3},
  [18] = {.index = 33, .length = 5},
  [19] = {.index = 38, .length = 2},
  [20] = {.index = 40, .length = 2},
  [21] = {.index = 42, .length = 1},
  [22] = {.index = 43, .length = 2},
  [23] = {.index = 45, .length = 2},
  [24] = {.index = 47, .length = 4},
  [25] = {.index = 51, .length = 1},
  [26] = {.index = 52, .length = 4},
  [27] = {.index = 56, .length = 6},
  [28] = {.index = 62, .length = 2},
  [29] = {.index = 64, .length = 3},
  [30] = {.index = 67, .length = 1},
  [31] = {.index = 68, .length = 2},
  [32] = {.index = 70, .length = 2},
  [33] = {.index = 72, .length = 2},
  [34] = {.index = 74, .length = 2},
  [35] = {.index = 76, .length = 3},
  [36] = {.index = 79, .length = 1},
  [37] = {.index = 80, .length = 6},
  [38] = {.index = 86, .length = 4},
  [40] = {.index = 90, .length = 1},
  [41] = {.index = 91, .length = 1},
  [42] = {.index = 92, .length = 2},
  [43] = {.index = 94, .length = 2},
  [44] = {.index = 96, .length = 1},
  [45] = {.index = 97, .length = 5},
  [46] = {.index = 102, .length = 4},
  [47] = {.index = 106, .length = 4},
  [48] = {.index = 110, .length = 2},
  [49] = {.index = 112, .length = 2},
  [50] = {.index = 114, .length = 1},
  [51] = {.index = 115, .length = 1},
  [52] = {.index = 116, .length = 1},
  [53] = {.index = 117, .length = 2},
  [54] = {.index = 119, .length = 2},
  [55] = {.index = 121, .length = 2},
  [56] = {.index = 123, .length = 2},
  [57] = {.index = 125, .length = 2},
  [58] = {.index = 127, .length = 5},
  [59] = {.index = 132, .length = 3},
  [60] = {.index = 135, .length = 3},
  [61] = {.index = 138, .length = 1},
  [62] = {.index = 139, .length = 3},
  [63] = {.index = 142, .length = 2},
  [64] = {.index = 144, .length = 2},
  [65] = {.index = 146, .length = 2},
  [66] = {.index = 148, .length = 3},
  [67] = {.index = 151, .length = 2},
  [68] = {.index = 153, .length = 3},
  [69] = {.index = 156, .length = 2},
  [70] = {.index = 158, .length = 1},
  [71] = {.index = 159, .length = 2},
  [72] = {.index = 161, .length = 5},
  [73] = {.index = 166, .length = 5},
  [74] = {.index = 171, .length = 2},
  [75] = {.index = 173, .length = 4},
  [76] = {.index = 177, .length = 3},
  [77] = {.index = 180, .length = 4},
  [78] = {.index = 184, .length = 2},
  [79] = {.index = 186, .length = 2},
  [80] = {.index = 188, .length = 2},
  [81] = {.index = 190, .length = 2},
  [82] = {.index = 192, .length = 2},
  [83] = {.index = 194, .length = 1},
  [84] = {.index = 195, .length = 2},
  [85] = {.index = 197, .length = 2},
  [86] = {.index = 199, .length = 6},
  [87] = {.index = 205, .length = 5},
  [88] = {.index = 210, .length = 6},
  [89] = {.index = 216, .length = 3},
  [90] = {.index = 219, .length = 2},
  [91] = {.index = 221, .length = 2},
  [92] = {.index = 223, .length = 1},
  [93] = {.index = 224, .length = 2},
  [94] = {.index = 226, .length = 2},
  [95] = {.index = 228, .length = 3},
  [96] = {.index = 231, .length = 4},
  [97] = {.index = 235, .length = 3},
  [98] = {.index = 238, .length = 3},
  [99] = {.index = 241, .length = 3},
  [100] = {.index = 244, .length = 4},
  [101] = {.index = 248, .length = 2},
  [102] = {.index = 250, .length = 2},
  [103] = {.index = 252, .length = 1},
  [104] = {.index = 253, .length = 2},
  [105] = {.index = 255, .length = 2},
  [106] = {.index = 257, .length = 2},
  [107] = {.index = 259, .length = 2},
  [108] = {.index = 261, .length = 4},
  [109] = {.index = 265, .length = 6},
  [110] = {.index = 271, .length = 6},
  [111] = {.index = 277, .length = 4},
  [112] = {.index = 281, .length = 3},
  [113] = {.index = 284, .length = 2},
  [114] = {.index = 286, .length = 2},
  [115] = {.index = 288, .length = 4},
  [116] = {.index = 292, .length = 4},
  [117] = {.index = 296, .length = 3},
  [118] = {.index = 299, .length = 1},
  [119] = {.index = 300, .length = 3},
  [120] = {.index = 303, .length = 3},
  [121] = {.index = 306, .length = 2},
  [122] = {.index = 308, .length = 2},
  [123] = {.index = 310, .length = 2},
  [124] = {.index = 312, .length = 6},
  [125] = {.index = 318, .length = 5},
  [126] = {.index = 323, .length = 6},
  [127] = {.index = 329, .length = 6},
  [128] = {.index = 335, .length = 5},
  [129] = {.index = 340, .length = 7},
  [130] = {.index = 347, .length = 3},
  [131] = {.index = 350, .length = 4},
  [132] = {.index = 354, .length = 2},
  [133] = {.index = 356, .length = 4},
  [134] = {.index = 360, .length = 3},
  [135] = {.index = 363, .length = 4},
  [136] = {.index = 367, .length = 2},
  [137] = {.index = 369, .length = 4},
  [138] = {.index = 373, .length = 2},
  [139] = {.index = 375, .length = 5},
  [140] = {.index = 380, .length = 5},
  [141] = {.index = 385, .length = 4},
  [142] = {.index = 389, .length = 6},
  [143] = {.index = 395, .length = 6},
  [144] = {.index = 401, .length = 4},
  [145] = {.index = 405, .length = 3},
  [146] = {.index = 408, .length = 2},
  [147] = {.index = 410, .length = 1},
  [148] = {.index = 411, .length = 3},
  [149] = {.index = 414, .length = 4},
  [150] = {.index = 418, .length = 1},
  [151] = {.index = 419, .length = 2},
  [152] = {.index = 421, .length = 2},
  [153] = {.index = 423, .length = 4},
  [154] = {.index = 427, .length = 3},
  [155] = {.index = 430, .length = 4},
  [156] = {.index = 434, .length = 3},
  [157] = {.index = 437, .length = 3},
  [158] = {.index = 440, .length = 5},
  [159] = {.index = 445, .length = 4},
  [160] = {.index = 449, .length = 3},
  [161] = {.index = 452, .length = 6},
  [162] = {.index = 458, .length = 2},
  [163] = {.index = 460, .length = 4},
  [164] = {.index = 464, .length = 2},
  [165] = {.index = 466, .length = 1},
  [166] = {.index = 467, .length = 2},
  [167] = {.index = 469, .length = 2},
  [168] = {.index = 471, .length = 4},
  [169] = {.index = 475, .length = 5},
  [170] = {.index = 480, .length = 5},
  [171] = {.index = 485, .length = 3},
  [172] = {.index = 488, .length = 2},
  [173] = {.index = 490, .length = 4},
  [174] = {.index = 494, .length = 3},
  [175] = {.index = 497, .length = 5},
  [176] = {.index = 502, .length = 4},
  [177] = {.index = 506, .length = 2},
  [178] = {.index = 508, .length = 3},
  [179] = {.index = 511, .length = 4},
  [180] = {.index = 515, .length = 7},
  [181] = {.index = 522, .length = 6},
  [182] = {.index = 528, .length = 3},
  [183] = {.index = 531, .length = 2},
  [184] = {.index = 533, .length = 2},
  [185] = {.index = 535, .length = 2},
  [186] = {.index = 537, .length = 7},
  [187] = {.index = 544, .length = 3},
  [188] = {.index = 547, .length = 3},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_name, 0, .inherited = true},
    {field_parameters, 0, .inherited = true},
    {field_return_type, 0, .inherited = true},
    {field_type_parameters, 0, .inherited = true},
  [4] =
    {field_name, 0},
  [5] =
    {field_name, 1},
  [6] =
    {field_body, 1, .inherited = true},
    {field_derive, 1, .inherited = true},
    {field_extend, 1, .inherited = true},
    {field_name, 1, .inherited = true},
  [10] =
    {field_path, 0},
  [11] =
    {field_path, 1, .inherited = true},
  [12] =
    {field_arguments, 1, .inherited = true},
    {field_body, 1, .inherited = true},
    {field_return_type, 1},
  [15] =
    {field_return_type, 1},
  [16] =
    {field_body, 1, .inherited = true},
    {field_class_parameters, 1, .inherited = true},
    {field_derive, 1, .inherited = true},
    {field_extend, 1, .inherited = true},
    {field_name, 1, .inherited = true},
    {field_type_parameters, 1, .inherited = true},
  [22] =
    {field_class_parameters, 0, .inherited = true},
    {field_name, 0, .inherited = true},
    {field_type_parameters, 0, .inherited = true},
  [25] =
    {field_body, 1},
  [26] =
    {field_arguments, 1, .inherited = true},
  [27] =
    {field_bound, 1, .inherited = true},
    {field_name, 1, .inherited = true},
    {field_type_parameters, 1, .inherited = true},
  [30] =
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_type_parameters, 1, .inherited = true},
  [33] =
    {field_body, 1},
    {field_name, 0, .inherited = true},
    {field_parameters, 0, .inherited = true},
    {field_return_type, 0, .inherited = true},
    {field_type_parameters, 0, .inherited = true},
  [38] =
    {field_function, 0},
    {field_type_arguments, 1},
  [40] =
    {field_arguments, 1},
    {field_function, 0},
  [42] =
    {field_interpolator, 0},
  [43] =
    {field_name, 0},
    {field_type_parameters, 1},
  [45] =
    {field_class_parameters, 1},
    {field_name, 0},
  [47] =
    {field_body, 2},
    {field_class_parameters, 1, .inherited = true},
    {field_name, 1, .inherited = true},
    {field_type_parameters, 1, .inherited = true},
  [51] =
    {field_pattern, 1, .inherited = true},
  [52] =
    {field_body, 2, .inherited = true},
    {field_derive, 2, .inherited = true},
    {field_extend, 2, .inherited = true},
    {field_name, 2, .inherited = true},
  [56] =
    {field_body, 2, .inherited = true},
    {field_class_parameters, 2, .inherited = true},
    {field_derive, 2, .inherited = true},
    {field_extend, 2, .inherited = true},
    {field_name, 2, .inherited = true},
    {field_type_parameters, 2, .inherited = true},
  [62] =
    {field_body, 2},
    {field_name, 1},
  [64] =
    {field_body, 1},
    {field_body, 1, .inherited = true},
    {field_name, 0},
  [67] =
    {field_body, 0},
  [68] =
    {field_extend, 1},
    {field_name, 0},
  [70] =
    {field_derive, 1},
    {field_name, 0},
  [72] =
    {field_path, 0},
    {field_path, 1},
  [74] =
    {field_path, 1, .inherited = true},
    {field_path, 2, .inherited = true},
  [76] =
    {field_bound, 0, .inherited = true},
    {field_name, 0, .inherited = true},
    {field_type_parameters, 0, .inherited = true},
  [79] =
    {field_type_parameters, 0},
  [80] =
    {field_arguments, 2, .inherited = true},
    {field_body, 2, .inherited = true},
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 2},
    {field_type_parameters, 1, .inherited = true},
  [86] =
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 2},
    {field_type_parameters, 1, .inherited = true},
  [90] =
    {field_base, 0},
  [91] =
    {field_arguments, 1},
  [92] =
    {field_base, 0},
    {field_extra, 1, .inherited = true},
  [94] =
    {field_type, 0},
    {field_type_arguments, 1},
  [96] =
    {field_parameters, 0},
  [97] =
    {field_body, 1},
    {field_body, 1, .inherited = true},
    {field_class_parameters, 0, .inherited = true},
    {field_name, 0, .inherited = true},
    {field_type_parameters, 0, .inherited = true},
  [102] =
    {field_class_parameters, 0, .inherited = true},
    {field_extend, 1},
    {field_name, 0, .inherited = true},
    {field_type_parameters, 0, .inherited = true},
  [106] =
    {field_class_parameters, 0, .inherited = true},
    {field_derive, 1},
    {field_name, 0, .inherited = true},
    {field_type_parameters, 0, .inherited = true},
  [110] =
    {field_condition, 1},
    {field_consequence, 2},
  [112] =
    {field_body, 2},
    {field_condition, 1},
  [114] =
    {field_type, 1},
  [115] =
    {field_condition, 1},
  [116] =
    {field_pattern, 0},
  [117] =
    {field_body, 2},
    {field_type_parameters, 1},
  [119] =
    {field_body, 2},
    {field_parameters, 1},
  [121] =
    {field_arguments, 2},
    {field_name, 1},
  [123] =
    {field_bound, 1},
    {field_name, 0},
  [125] =
    {field_name, 0},
    {field_parameters, 1},
  [127] =
    {field_body, 2},
    {field_name, 0, .inherited = true},
    {field_parameters, 0, .inherited = true},
    {field_return_type, 0, .inherited = true},
    {field_type_parameters, 0, .inherited = true},
  [132] =
    {field_bound, 2, .inherited = true},
    {field_name, 2, .inherited = true},
    {field_type_parameters, 2, .inherited = true},
  [135] =
    {field_arguments, 2, .inherited = true},
    {field_body, 2, .inherited = true},
    {field_return_type, 2},
  [138] =
    {field_return_type, 2},
  [139] =
    {field_name, 2, .inherited = true},
    {field_parameters, 2, .inherited = true},
    {field_type_parameters, 2, .inherited = true},
  [142] =
    {field_body, 2},
    {field_value, 0},
  [144] =
    {field_field, 2},
    {field_value, 0},
  [146] =
    {field_left, 0},
    {field_right, 2},
  [148] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [151] =
    {field_arguments, 2},
    {field_function, 0},
  [153] =
    {field_class_parameters, 2},
    {field_name, 0},
    {field_type_parameters, 1},
  [156] =
    {field_class_parameters, 2},
    {field_name, 0},
  [158] =
    {field_arguments, 0, .inherited = true},
  [159] =
    {field_arguments, 1, .inherited = true},
    {field_type, 1},
  [161] =
    {field_body, 3},
    {field_class_parameters, 1, .inherited = true},
    {field_extend, 2},
    {field_name, 1, .inherited = true},
    {field_type_parameters, 1, .inherited = true},
  [166] =
    {field_body, 3},
    {field_class_parameters, 1, .inherited = true},
    {field_derive, 2},
    {field_name, 1, .inherited = true},
    {field_type_parameters, 1, .inherited = true},
  [171] =
    {field_body, 2},
    {field_pattern, 1, .inherited = true},
  [173] =
    {field_body, 2},
    {field_body, 2, .inherited = true},
    {field_extend, 1},
    {field_name, 0},
  [177] =
    {field_derive, 2},
    {field_extend, 1},
    {field_name, 0},
  [180] =
    {field_body, 2},
    {field_body, 2, .inherited = true},
    {field_derive, 1},
    {field_name, 0},
  [184] =
    {field_path, 0, .inherited = true},
    {field_path, 1, .inherited = true},
  [186] =
    {field_parameter_types, 0},
    {field_return_type, 1, .inherited = true},
  [188] =
    {field_parameters, 1},
    {field_type_parameters, 0},
  [190] =
    {field_arguments, 0, .inherited = true},
    {field_body, 2},
  [192] =
    {field_body, 3},
    {field_return_type, 1},
  [194] =
    {field_extra, 1},
  [195] =
    {field_extra, 0, .inherited = true},
    {field_extra, 1, .inherited = true},
  [197] =
    {field_selector, 2},
    {field_type, 0},
  [199] =
    {field_body, 2},
    {field_body, 2, .inherited = true},
    {field_class_parameters, 0, .inherited = true},
    {field_extend, 1},
    {field_name, 0, .inherited = true},
    {field_type_parameters, 0, .inherited = true},
  [205] =
    {field_class_parameters, 0, .inherited = true},
    {field_derive, 2},
    {field_extend, 1},
    {field_name, 0, .inherited = true},
    {field_type_parameters, 0, .inherited = true},
  [210] =
    {field_body, 2},
    {field_body, 2, .inherited = true},
    {field_class_parameters, 0, .inherited = true},
    {field_derive, 1},
    {field_name, 0, .inherited = true},
    {field_type_parameters, 0, .inherited = true},
  [216] =
    {field_body, 3},
    {field_condition, 1},
    {field_condition, 2},
  [219] =
    {field_pattern, 0},
    {field_type, 2},
  [221] =
    {field_name, 0},
    {field_pattern, 2},
  [223] =
    {field_type, 0},
  [224] =
    {field_body, 3},
    {field_enumerators, 1},
  [226] =
    {field_body, 1, .inherited = true},
    {field_pattern, 1, .inherited = true},
  [228] =
    {field_body, 3},
    {field_parameters, 2},
    {field_type_parameters, 1},
  [231] =
    {field_bound, 1, .inherited = true},
    {field_name, 1, .inherited = true},
    {field_type, 3},
    {field_type_parameters, 1, .inherited = true},
  [235] =
    {field_bound, 2},
    {field_name, 0},
    {field_type_parameters, 1},
  [238] =
    {field_bound, 1},
    {field_bound, 2},
    {field_name, 0},
  [241] =
    {field_name, 0},
    {field_parameters, 2},
    {field_type_parameters, 1},
  [244] =
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 3},
    {field_type_parameters, 1, .inherited = true},
  [248] =
    {field_parameters, 0},
    {field_parameters, 1},
  [250] =
    {field_name, 0},
    {field_type, 2},
  [252] =
    {field_type, 2},
  [253] =
    {field_body, 1},
    {field_condition, 3},
  [255] =
    {field_name, 1},
    {field_type, 3},
  [257] =
    {field_pattern, 1},
    {field_value, 3},
  [259] =
    {field_name, 0, .inherited = true},
    {field_name, 1, .inherited = true},
  [261] =
    {field_body, 3, .inherited = true},
    {field_derive, 3, .inherited = true},
    {field_extend, 3, .inherited = true},
    {field_name, 3, .inherited = true},
  [265] =
    {field_body, 3, .inherited = true},
    {field_class_parameters, 3, .inherited = true},
    {field_derive, 3, .inherited = true},
    {field_extend, 3, .inherited = true},
    {field_name, 3, .inherited = true},
    {field_type_parameters, 3, .inherited = true},
  [271] =
    {field_arguments, 3, .inherited = true},
    {field_body, 3, .inherited = true},
    {field_name, 2, .inherited = true},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 3},
    {field_type_parameters, 2, .inherited = true},
  [277] =
    {field_name, 2, .inherited = true},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 3},
    {field_type_parameters, 2, .inherited = true},
  [281] =
    {field_bound, 3, .inherited = true},
    {field_name, 3, .inherited = true},
    {field_type_parameters, 3, .inherited = true},
  [284] =
    {field_condition, 2},
    {field_consequence, 3},
  [286] =
    {field_body, 3},
    {field_value, 1},
  [288] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
    {field_right, 3},
  [292] =
    {field_body, 3},
    {field_class_parameters, 2, .inherited = true},
    {field_name, 2, .inherited = true},
    {field_type_parameters, 2, .inherited = true},
  [296] =
    {field_arguments, 3, .inherited = true},
    {field_body, 3, .inherited = true},
    {field_return_type, 3},
  [299] =
    {field_return_type, 3},
  [300] =
    {field_name, 3, .inherited = true},
    {field_parameters, 3, .inherited = true},
    {field_type_parameters, 3, .inherited = true},
  [303] =
    {field_class_parameters, 3},
    {field_name, 0},
    {field_type_parameters, 1},
  [306] =
    {field_class_parameters, 3},
    {field_name, 0},
  [308] =
    {field_arguments, 0, .inherited = true},
    {field_arguments, 1, .inherited = true},
  [310] =
    {field_type, 1},
    {field_type, 2, .inherited = true},
  [312] =
    {field_body, 4},
    {field_class_parameters, 1, .inherited = true},
    {field_derive, 3},
    {field_extend, 2},
    {field_name, 1, .inherited = true},
    {field_type_parameters, 1, .inherited = true},
  [318] =
    {field_body, 3},
    {field_body, 3, .inherited = true},
    {field_derive, 2},
    {field_extend, 1},
    {field_name, 0},
  [323] =
    {field_bound, 1, .inherited = true},
    {field_bound, 2, .inherited = true},
    {field_name, 1, .inherited = true},
    {field_name, 2, .inherited = true},
    {field_type_parameters, 1, .inherited = true},
    {field_type_parameters, 2, .inherited = true},
  [329] =
    {field_bound, 0, .inherited = true},
    {field_bound, 1, .inherited = true},
    {field_name, 0, .inherited = true},
    {field_name, 1, .inherited = true},
    {field_type_parameters, 0, .inherited = true},
    {field_type_parameters, 1, .inherited = true},
  [335] =
    {field_body, 4},
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 2},
    {field_type_parameters, 1, .inherited = true},
  [340] =
    {field_body, 3},
    {field_body, 3, .inherited = true},
    {field_class_parameters, 0, .inherited = true},
    {field_derive, 2},
    {field_extend, 1},
    {field_name, 0, .inherited = true},
    {field_type_parameters, 0, .inherited = true},
  [347] =
    {field_alternative, 4},
    {field_condition, 1},
    {field_consequence, 2},
  [350] =
    {field_body, 4},
    {field_enumerators, 1},
    {field_enumerators, 2},
    {field_enumerators, 3},
  [354] =
    {field_pattern, 2},
    {field_type, 0},
  [356] =
    {field_bound, 2},
    {field_bound, 3},
    {field_name, 0},
    {field_type_parameters, 1},
  [360] =
    {field_name, 1},
    {field_name, 2, .inherited = true},
    {field_type, 4},
  [363] =
    {field_bound, 2, .inherited = true},
    {field_name, 2, .inherited = true},
    {field_type, 4},
    {field_type_parameters, 2, .inherited = true},
  [367] =
    {field_body, 4},
    {field_return_type, 2},
  [369] =
    {field_name, 2, .inherited = true},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 4},
    {field_type_parameters, 2, .inherited = true},
  [373] =
    {field_lambda_start, 0},
    {field_lambda_start, 1},
  [375] =
    {field_body, 4},
    {field_class_parameters, 2, .inherited = true},
    {field_extend, 3},
    {field_name, 2, .inherited = true},
    {field_type_parameters, 2, .inherited = true},
  [380] =
    {field_body, 4},
    {field_class_parameters, 2, .inherited = true},
    {field_derive, 3},
    {field_name, 2, .inherited = true},
    {field_type_parameters, 2, .inherited = true},
  [385] =
    {field_body, 4, .inherited = true},
    {field_derive, 4, .inherited = true},
    {field_extend, 4, .inherited = true},
    {field_name, 4, .inherited = true},
  [389] =
    {field_body, 4, .inherited = true},
    {field_class_parameters, 4, .inherited = true},
    {field_derive, 4, .inherited = true},
    {field_extend, 4, .inherited = true},
    {field_name, 4, .inherited = true},
    {field_type_parameters, 4, .inherited = true},
  [395] =
    {field_arguments, 4, .inherited = true},
    {field_body, 4, .inherited = true},
    {field_name, 3, .inherited = true},
    {field_parameters, 3, .inherited = true},
    {field_return_type, 4},
    {field_type_parameters, 3, .inherited = true},
  [401] =
    {field_name, 3, .inherited = true},
    {field_parameters, 3, .inherited = true},
    {field_return_type, 4},
    {field_type_parameters, 3, .inherited = true},
  [405] =
    {field_bound, 4, .inherited = true},
    {field_name, 4, .inherited = true},
    {field_type_parameters, 4, .inherited = true},
  [408] =
    {field_default_value, 2},
    {field_name, 0},
  [410] =
    {field_name, 2},
  [411] =
    {field_class_parameters, 4},
    {field_name, 0},
    {field_type_parameters, 1},
  [414] =
    {field_class_parameters, 1, .inherited = true},
    {field_extend, 1, .inherited = true},
    {field_name, 0},
    {field_type_parameters, 1, .inherited = true},
  [418] =
    {field_class_parameters, 0},
  [419] =
    {field_type, 0, .inherited = true},
    {field_type, 1, .inherited = true},
  [421] =
    {field_alias, 2},
    {field_name, 0},
  [423] =
    {field_bound, 1},
    {field_bound, 2},
    {field_bound, 3},
    {field_name, 0},
  [427] =
    {field_alternative, 5},
    {field_condition, 1},
    {field_consequence, 2},
  [430] =
    {field_body, 5},
    {field_enumerators, 1},
    {field_enumerators, 2},
    {field_enumerators, 3},
  [434] =
    {field_pattern, 2},
    {field_pattern, 3},
    {field_type, 0},
  [437] =
    {field_pattern, 1},
    {field_type, 3},
    {field_value, 5},
  [440] =
    {field_body, 5},
    {field_name, 2, .inherited = true},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 3},
    {field_type_parameters, 2, .inherited = true},
  [445] =
    {field_bound, 3, .inherited = true},
    {field_name, 3, .inherited = true},
    {field_type, 5},
    {field_type_parameters, 3, .inherited = true},
  [449] =
    {field_alternative, 5},
    {field_condition, 2},
    {field_consequence, 3},
  [452] =
    {field_body, 5},
    {field_class_parameters, 2, .inherited = true},
    {field_derive, 4},
    {field_extend, 3},
    {field_name, 2, .inherited = true},
    {field_type_parameters, 2, .inherited = true},
  [458] =
    {field_body, 5},
    {field_return_type, 3},
  [460] =
    {field_name, 3, .inherited = true},
    {field_parameters, 3, .inherited = true},
    {field_return_type, 5},
    {field_type_parameters, 3, .inherited = true},
  [464] =
    {field_default_value, 3},
    {field_name, 1},
  [466] =
    {field_name, 3},
  [467] =
    {field_class_parameters, 1},
    {field_type_parameters, 0},
  [469] =
    {field_class_parameters, 0},
    {field_extend, 1},
  [471] =
    {field_bound, 1, .inherited = true},
    {field_name, 1, .inherited = true},
    {field_return_type, 4},
    {field_type_parameters, 1, .inherited = true},
  [475] =
    {field_bound, 2},
    {field_bound, 3},
    {field_bound, 4},
    {field_name, 0},
    {field_type_parameters, 1},
  [480] =
    {field_bound, 1},
    {field_bound, 2},
    {field_bound, 3},
    {field_bound, 4},
    {field_name, 0},
  [485] =
    {field_default_value, 4},
    {field_name, 0},
    {field_type, 2},
  [488] =
    {field_name, 2},
    {field_type, 4},
  [490] =
    {field_pattern, 2},
    {field_pattern, 3},
    {field_pattern, 4},
    {field_type, 0},
  [494] =
    {field_alternative, 6},
    {field_condition, 2},
    {field_consequence, 3},
  [497] =
    {field_body, 6},
    {field_name, 3, .inherited = true},
    {field_parameters, 3, .inherited = true},
    {field_return_type, 4},
    {field_type_parameters, 3, .inherited = true},
  [502] =
    {field_bound, 4, .inherited = true},
    {field_name, 4, .inherited = true},
    {field_type, 6},
    {field_type_parameters, 4, .inherited = true},
  [506] =
    {field_default_value, 4},
    {field_name, 2},
  [508] =
    {field_class_parameters, 1},
    {field_extend, 2},
    {field_type_parameters, 0},
  [511] =
    {field_bound, 1, .inherited = true},
    {field_name, 1, .inherited = true},
    {field_return_type, 5},
    {field_type_parameters, 1, .inherited = true},
  [515] =
    {field_bound, 1, .inherited = true},
    {field_bound, 2, .inherited = true},
    {field_name, 1, .inherited = true},
    {field_name, 2, .inherited = true},
    {field_return_type, 5},
    {field_type_parameters, 1, .inherited = true},
    {field_type_parameters, 2, .inherited = true},
  [522] =
    {field_bound, 2},
    {field_bound, 3},
    {field_bound, 4},
    {field_bound, 5},
    {field_name, 0},
    {field_type_parameters, 1},
  [528] =
    {field_default_value, 5},
    {field_name, 1},
    {field_type, 3},
  [531] =
    {field_body, 2},
    {field_return_type, 2, .inherited = true},
  [533] =
    {field_name, 3},
    {field_type, 5},
  [535] =
    {field_default_value, 5},
    {field_name, 3},
  [537] =
    {field_bound, 1, .inherited = true},
    {field_bound, 2, .inherited = true},
    {field_name, 1, .inherited = true},
    {field_name, 2, .inherited = true},
    {field_return_type, 6},
    {field_type_parameters, 1, .inherited = true},
    {field_type_parameters, 2, .inherited = true},
  [544] =
    {field_default_value, 6},
    {field_name, 2},
    {field_type, 4},
  [547] =
    {field_default_value, 7},
    {field_name, 3},
    {field_type, 5},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [7] = {
    [0] = alias_sym_type_identifier,
  },
  [8] = {
    [0] = alias_sym_structural_type,
  },
  [13] = {
    [1] = anon_alias_sym__end_ident,
  },
  [39] = {
    [0] = alias_sym_refinement,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym_template_body, 3,
    sym_template_body,
    alias_sym_refinement,
    alias_sym_structural_type,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 2,
  [4] = 2,
  [5] = 2,
  [6] = 2,
  [7] = 2,
  [8] = 2,
  [9] = 2,
  [10] = 2,
  [11] = 2,
  [12] = 2,
  [13] = 2,
  [14] = 2,
  [15] = 2,
  [16] = 2,
  [17] = 2,
  [18] = 2,
  [19] = 2,
  [20] = 2,
  [21] = 2,
  [22] = 2,
  [23] = 2,
  [24] = 2,
  [25] = 2,
  [26] = 2,
  [27] = 2,
  [28] = 2,
  [29] = 2,
  [30] = 2,
  [31] = 2,
  [32] = 2,
  [33] = 2,
  [34] = 2,
  [35] = 2,
  [36] = 2,
  [37] = 2,
  [38] = 2,
  [39] = 2,
  [40] = 2,
  [41] = 2,
  [42] = 2,
  [43] = 2,
  [44] = 2,
  [45] = 2,
  [46] = 2,
  [47] = 2,
  [48] = 2,
  [49] = 2,
  [50] = 2,
  [51] = 2,
  [52] = 2,
  [53] = 2,
  [54] = 2,
  [55] = 2,
  [56] = 2,
  [57] = 2,
  [58] = 2,
  [59] = 2,
  [60] = 2,
  [61] = 2,
  [62] = 2,
  [63] = 2,
  [64] = 2,
  [65] = 2,
  [66] = 2,
  [67] = 2,
  [68] = 2,
  [69] = 2,
  [70] = 2,
  [71] = 2,
  [72] = 2,
  [73] = 2,
  [74] = 2,
  [75] = 2,
  [76] = 2,
  [77] = 2,
  [78] = 2,
  [79] = 2,
  [80] = 2,
  [81] = 2,
  [82] = 2,
  [83] = 2,
  [84] = 2,
  [85] = 2,
  [86] = 2,
  [87] = 2,
  [88] = 2,
  [89] = 2,
  [90] = 2,
  [91] = 2,
  [92] = 2,
  [93] = 2,
  [94] = 2,
  [95] = 2,
  [96] = 2,
  [97] = 2,
  [98] = 2,
  [99] = 2,
  [100] = 2,
  [101] = 2,
  [102] = 2,
  [103] = 2,
  [104] = 2,
  [105] = 2,
  [106] = 2,
  [107] = 2,
  [108] = 2,
  [109] = 2,
  [110] = 2,
  [111] = 2,
  [112] = 2,
  [113] = 2,
  [114] = 2,
  [115] = 2,
  [116] = 2,
  [117] = 2,
  [118] = 2,
  [119] = 2,
  [120] = 120,
  [121] = 120,
  [122] = 120,
  [123] = 123,
  [124] = 120,
  [125] = 120,
  [126] = 120,
  [127] = 127,
  [128] = 120,
  [129] = 120,
  [130] = 120,
  [131] = 120,
  [132] = 120,
  [133] = 120,
  [134] = 120,
  [135] = 120,
  [136] = 136,
  [137] = 120,
  [138] = 120,
  [139] = 120,
  [140] = 120,
  [141] = 120,
  [142] = 120,
  [143] = 120,
  [144] = 120,
  [145] = 120,
  [146] = 120,
  [147] = 120,
  [148] = 148,
  [149] = 149,
  [150] = 149,
  [151] = 149,
  [152] = 149,
  [153] = 153,
  [154] = 149,
  [155] = 149,
  [156] = 149,
  [157] = 149,
  [158] = 149,
  [159] = 149,
  [160] = 149,
  [161] = 149,
  [162] = 149,
  [163] = 149,
  [164] = 149,
  [165] = 149,
  [166] = 166,
  [167] = 149,
  [168] = 149,
  [169] = 149,
  [170] = 149,
  [171] = 149,
  [172] = 149,
  [173] = 149,
  [174] = 149,
  [175] = 149,
  [176] = 149,
  [177] = 149,
  [178] = 149,
  [179] = 149,
  [180] = 149,
  [181] = 149,
  [182] = 149,
  [183] = 149,
  [184] = 149,
  [185] = 149,
  [186] = 149,
  [187] = 149,
  [188] = 149,
  [189] = 149,
  [190] = 149,
  [191] = 149,
  [192] = 149,
  [193] = 149,
  [194] = 194,
  [195] = 195,
  [196] = 194,
  [197] = 194,
  [198] = 194,
  [199] = 194,
  [200] = 194,
  [201] = 194,
  [202] = 194,
  [203] = 203,
  [204] = 194,
  [205] = 194,
  [206] = 194,
  [207] = 194,
  [208] = 194,
  [209] = 194,
  [210] = 194,
  [211] = 194,
  [212] = 194,
  [213] = 194,
  [214] = 194,
  [215] = 215,
  [216] = 216,
  [217] = 194,
  [218] = 194,
  [219] = 194,
  [220] = 194,
  [221] = 194,
  [222] = 194,
  [223] = 194,
  [224] = 194,
  [225] = 194,
  [226] = 194,
  [227] = 194,
  [228] = 194,
  [229] = 194,
  [230] = 194,
  [231] = 194,
  [232] = 232,
  [233] = 194,
  [234] = 194,
  [235] = 194,
  [236] = 194,
  [237] = 194,
  [238] = 194,
  [239] = 194,
  [240] = 194,
  [241] = 194,
  [242] = 194,
  [243] = 194,
  [244] = 194,
  [245] = 194,
  [246] = 194,
  [247] = 194,
  [248] = 194,
  [249] = 194,
  [250] = 194,
  [251] = 194,
  [252] = 194,
  [253] = 194,
  [254] = 194,
  [255] = 194,
  [256] = 194,
  [257] = 194,
  [258] = 194,
  [259] = 194,
  [260] = 194,
  [261] = 194,
  [262] = 194,
  [263] = 194,
  [264] = 194,
  [265] = 194,
  [266] = 194,
  [267] = 203,
  [268] = 194,
  [269] = 194,
  [270] = 194,
  [271] = 194,
  [272] = 194,
  [273] = 194,
  [274] = 194,
  [275] = 194,
  [276] = 194,
  [277] = 194,
  [278] = 194,
  [279] = 194,
  [280] = 232,
  [281] = 194,
  [282] = 194,
  [283] = 194,
  [284] = 215,
  [285] = 194,
  [286] = 194,
  [287] = 194,
  [288] = 194,
  [289] = 194,
  [290] = 194,
  [291] = 194,
  [292] = 194,
  [293] = 194,
  [294] = 194,
  [295] = 194,
  [296] = 194,
  [297] = 194,
  [298] = 194,
  [299] = 299,
  [300] = 194,
  [301] = 194,
  [302] = 194,
  [303] = 194,
  [304] = 195,
  [305] = 194,
  [306] = 194,
  [307] = 194,
  [308] = 194,
  [309] = 194,
  [310] = 194,
  [311] = 194,
  [312] = 215,
  [313] = 215,
  [314] = 194,
  [315] = 194,
  [316] = 194,
  [317] = 194,
  [318] = 194,
  [319] = 194,
  [320] = 194,
  [321] = 194,
  [322] = 194,
  [323] = 194,
  [324] = 324,
  [325] = 325,
  [326] = 325,
  [327] = 325,
  [328] = 328,
  [329] = 324,
  [330] = 325,
  [331] = 325,
  [332] = 325,
  [333] = 325,
  [334] = 325,
  [335] = 335,
  [336] = 336,
  [337] = 325,
  [338] = 328,
  [339] = 324,
  [340] = 325,
  [341] = 324,
  [342] = 328,
  [343] = 325,
  [344] = 325,
  [345] = 325,
  [346] = 325,
  [347] = 325,
  [348] = 325,
  [349] = 325,
  [350] = 328,
  [351] = 325,
  [352] = 324,
  [353] = 325,
  [354] = 325,
  [355] = 325,
  [356] = 324,
  [357] = 325,
  [358] = 325,
  [359] = 328,
  [360] = 328,
  [361] = 325,
  [362] = 325,
  [363] = 325,
  [364] = 324,
  [365] = 324,
  [366] = 328,
  [367] = 325,
  [368] = 325,
  [369] = 325,
  [370] = 325,
  [371] = 325,
  [372] = 325,
  [373] = 328,
  [374] = 325,
  [375] = 324,
  [376] = 328,
  [377] = 324,
  [378] = 325,
  [379] = 325,
  [380] = 325,
  [381] = 325,
  [382] = 324,
  [383] = 383,
  [384] = 328,
  [385] = 325,
  [386] = 328,
  [387] = 324,
  [388] = 325,
  [389] = 389,
  [390] = 325,
  [391] = 325,
  [392] = 325,
  [393] = 325,
  [394] = 328,
  [395] = 325,
  [396] = 325,
  [397] = 325,
  [398] = 325,
  [399] = 325,
  [400] = 324,
  [401] = 389,
  [402] = 325,
  [403] = 328,
  [404] = 325,
  [405] = 325,
  [406] = 325,
  [407] = 325,
  [408] = 328,
  [409] = 328,
  [410] = 335,
  [411] = 325,
  [412] = 325,
  [413] = 325,
  [414] = 324,
  [415] = 325,
  [416] = 324,
  [417] = 325,
  [418] = 328,
  [419] = 325,
  [420] = 325,
  [421] = 325,
  [422] = 325,
  [423] = 325,
  [424] = 336,
  [425] = 425,
  [426] = 325,
  [427] = 325,
  [428] = 325,
  [429] = 383,
  [430] = 325,
  [431] = 425,
  [432] = 325,
  [433] = 328,
  [434] = 325,
  [435] = 325,
  [436] = 324,
  [437] = 328,
  [438] = 328,
  [439] = 325,
  [440] = 325,
  [441] = 325,
  [442] = 325,
  [443] = 324,
  [444] = 325,
  [445] = 325,
  [446] = 325,
  [447] = 324,
  [448] = 328,
  [449] = 325,
  [450] = 325,
  [451] = 325,
  [452] = 325,
  [453] = 325,
  [454] = 325,
  [455] = 325,
  [456] = 325,
  [457] = 325,
  [458] = 325,
  [459] = 324,
  [460] = 425,
  [461] = 328,
  [462] = 325,
  [463] = 325,
  [464] = 325,
  [465] = 328,
  [466] = 325,
  [467] = 325,
  [468] = 324,
  [469] = 325,
  [470] = 425,
  [471] = 325,
  [472] = 324,
  [473] = 325,
  [474] = 324,
  [475] = 325,
  [476] = 328,
  [477] = 325,
  [478] = 325,
  [479] = 325,
  [480] = 325,
  [481] = 328,
  [482] = 325,
  [483] = 328,
  [484] = 325,
  [485] = 325,
  [486] = 324,
  [487] = 325,
  [488] = 324,
  [489] = 328,
  [490] = 325,
  [491] = 328,
  [492] = 325,
  [493] = 325,
  [494] = 325,
  [495] = 325,
  [496] = 325,
  [497] = 325,
  [498] = 335,
  [499] = 325,
  [500] = 325,
  [501] = 325,
  [502] = 325,
  [503] = 324,
  [504] = 328,
  [505] = 325,
  [506] = 325,
  [507] = 335,
  [508] = 325,
  [509] = 509,
  [510] = 510,
  [511] = 510,
  [512] = 510,
  [513] = 513,
  [514] = 514,
  [515] = 510,
  [516] = 509,
  [517] = 514,
  [518] = 513,
  [519] = 519,
  [520] = 519,
  [521] = 521,
  [522] = 521,
  [523] = 521,
  [524] = 524,
  [525] = 524,
  [526] = 524,
  [527] = 524,
  [528] = 524,
  [529] = 529,
  [530] = 529,
  [531] = 529,
  [532] = 529,
  [533] = 529,
  [534] = 529,
  [535] = 529,
  [536] = 536,
  [537] = 536,
  [538] = 536,
  [539] = 529,
  [540] = 529,
  [541] = 529,
  [542] = 529,
  [543] = 536,
  [544] = 536,
  [545] = 529,
  [546] = 529,
  [547] = 536,
  [548] = 529,
  [549] = 536,
  [550] = 529,
  [551] = 536,
  [552] = 536,
  [553] = 536,
  [554] = 529,
  [555] = 529,
  [556] = 536,
  [557] = 529,
  [558] = 536,
  [559] = 536,
  [560] = 536,
  [561] = 529,
  [562] = 529,
  [563] = 536,
  [564] = 536,
  [565] = 536,
  [566] = 529,
  [567] = 536,
  [568] = 536,
  [569] = 536,
  [570] = 536,
  [571] = 529,
  [572] = 536,
  [573] = 536,
  [574] = 536,
  [575] = 536,
  [576] = 536,
  [577] = 536,
  [578] = 536,
  [579] = 529,
  [580] = 580,
  [581] = 580,
  [582] = 536,
  [583] = 536,
  [584] = 536,
  [585] = 580,
  [586] = 580,
  [587] = 580,
  [588] = 580,
  [589] = 580,
  [590] = 580,
  [591] = 580,
  [592] = 580,
  [593] = 580,
  [594] = 536,
  [595] = 580,
  [596] = 580,
  [597] = 580,
  [598] = 536,
  [599] = 580,
  [600] = 580,
  [601] = 580,
  [602] = 580,
  [603] = 580,
  [604] = 536,
  [605] = 580,
  [606] = 580,
  [607] = 580,
  [608] = 580,
  [609] = 529,
  [610] = 580,
  [611] = 536,
  [612] = 536,
  [613] = 536,
  [614] = 580,
  [615] = 536,
  [616] = 580,
  [617] = 536,
  [618] = 536,
  [619] = 580,
  [620] = 580,
  [621] = 529,
  [622] = 580,
  [623] = 580,
  [624] = 580,
  [625] = 529,
  [626] = 580,
  [627] = 580,
  [628] = 580,
  [629] = 580,
  [630] = 580,
  [631] = 631,
  [632] = 632,
  [633] = 631,
  [634] = 631,
  [635] = 631,
  [636] = 636,
  [637] = 636,
  [638] = 636,
  [639] = 636,
  [640] = 636,
  [641] = 631,
  [642] = 632,
  [643] = 631,
  [644] = 636,
  [645] = 631,
  [646] = 631,
  [647] = 632,
  [648] = 632,
  [649] = 632,
  [650] = 631,
  [651] = 636,
  [652] = 636,
  [653] = 632,
  [654] = 636,
  [655] = 632,
  [656] = 631,
  [657] = 636,
  [658] = 631,
  [659] = 632,
  [660] = 636,
  [661] = 631,
  [662] = 632,
  [663] = 636,
  [664] = 632,
  [665] = 632,
  [666] = 636,
  [667] = 631,
  [668] = 536,
  [669] = 631,
  [670] = 631,
  [671] = 536,
  [672] = 631,
  [673] = 632,
  [674] = 636,
  [675] = 636,
  [676] = 631,
  [677] = 636,
  [678] = 636,
  [679] = 631,
  [680] = 631,
  [681] = 632,
  [682] = 632,
  [683] = 631,
  [684] = 632,
  [685] = 636,
  [686] = 636,
  [687] = 636,
  [688] = 632,
  [689] = 636,
  [690] = 632,
  [691] = 636,
  [692] = 631,
  [693] = 631,
  [694] = 632,
  [695] = 632,
  [696] = 632,
  [697] = 631,
  [698] = 636,
  [699] = 631,
  [700] = 636,
  [701] = 632,
  [702] = 632,
  [703] = 632,
  [704] = 636,
  [705] = 631,
  [706] = 631,
  [707] = 636,
  [708] = 636,
  [709] = 632,
  [710] = 631,
  [711] = 632,
  [712] = 631,
  [713] = 636,
  [714] = 632,
  [715] = 636,
  [716] = 636,
  [717] = 632,
  [718] = 632,
  [719] = 631,
  [720] = 632,
  [721] = 631,
  [722] = 631,
  [723] = 636,
  [724] = 536,
  [725] = 632,
  [726] = 636,
  [727] = 536,
  [728] = 632,
  [729] = 632,
  [730] = 632,
  [731] = 636,
  [732] = 536,
  [733] = 636,
  [734] = 631,
  [735] = 631,
  [736] = 632,
  [737] = 636,
  [738] = 631,
  [739] = 636,
  [740] = 536,
  [741] = 631,
  [742] = 632,
  [743] = 632,
  [744] = 636,
  [745] = 631,
  [746] = 632,
  [747] = 632,
  [748] = 632,
  [749] = 636,
  [750] = 631,
  [751] = 636,
  [752] = 632,
  [753] = 536,
  [754] = 636,
  [755] = 632,
  [756] = 631,
  [757] = 631,
  [758] = 636,
  [759] = 536,
  [760] = 636,
  [761] = 636,
  [762] = 632,
  [763] = 631,
  [764] = 632,
  [765] = 636,
  [766] = 631,
  [767] = 631,
  [768] = 631,
  [769] = 631,
  [770] = 636,
  [771] = 632,
  [772] = 636,
  [773] = 632,
  [774] = 632,
  [775] = 631,
  [776] = 631,
  [777] = 632,
  [778] = 636,
  [779] = 636,
  [780] = 632,
  [781] = 631,
  [782] = 631,
  [783] = 636,
  [784] = 631,
  [785] = 636,
  [786] = 636,
  [787] = 632,
  [788] = 631,
  [789] = 631,
  [790] = 636,
  [791] = 632,
  [792] = 636,
  [793] = 632,
  [794] = 632,
  [795] = 631,
  [796] = 631,
  [797] = 631,
  [798] = 636,
  [799] = 636,
  [800] = 631,
  [801] = 631,
  [802] = 632,
  [803] = 632,
  [804] = 632,
  [805] = 632,
  [806] = 636,
  [807] = 807,
  [808] = 808,
  [809] = 809,
  [810] = 810,
  [811] = 811,
  [812] = 811,
  [813] = 813,
  [814] = 814,
  [815] = 815,
  [816] = 808,
  [817] = 817,
  [818] = 815,
  [819] = 819,
  [820] = 820,
  [821] = 821,
  [822] = 817,
  [823] = 814,
  [824] = 824,
  [825] = 811,
  [826] = 809,
  [827] = 813,
  [828] = 820,
  [829] = 829,
  [830] = 815,
  [831] = 808,
  [832] = 819,
  [833] = 821,
  [834] = 817,
  [835] = 824,
  [836] = 820,
  [837] = 529,
  [838] = 838,
  [839] = 838,
  [840] = 840,
  [841] = 809,
  [842] = 840,
  [843] = 819,
  [844] = 821,
  [845] = 808,
  [846] = 840,
  [847] = 810,
  [848] = 838,
  [849] = 809,
  [850] = 813,
  [851] = 814,
  [852] = 819,
  [853] = 810,
  [854] = 817,
  [855] = 814,
  [856] = 808,
  [857] = 811,
  [858] = 824,
  [859] = 813,
  [860] = 838,
  [861] = 815,
  [862] = 815,
  [863] = 840,
  [864] = 808,
  [865] = 820,
  [866] = 824,
  [867] = 819,
  [868] = 821,
  [869] = 821,
  [870] = 821,
  [871] = 821,
  [872] = 824,
  [873] = 820,
  [874] = 824,
  [875] = 817,
  [876] = 840,
  [877] = 820,
  [878] = 808,
  [879] = 879,
  [880] = 815,
  [881] = 810,
  [882] = 819,
  [883] = 840,
  [884] = 813,
  [885] = 820,
  [886] = 809,
  [887] = 840,
  [888] = 820,
  [889] = 824,
  [890] = 811,
  [891] = 821,
  [892] = 814,
  [893] = 838,
  [894] = 821,
  [895] = 895,
  [896] = 817,
  [897] = 824,
  [898] = 895,
  [899] = 817,
  [900] = 900,
  [901] = 814,
  [902] = 811,
  [903] = 824,
  [904] = 904,
  [905] = 813,
  [906] = 809,
  [907] = 815,
  [908] = 900,
  [909] = 820,
  [910] = 904,
  [911] = 815,
  [912] = 820,
  [913] = 810,
  [914] = 810,
  [915] = 810,
  [916] = 821,
  [917] = 821,
  [918] = 824,
  [919] = 820,
  [920] = 840,
  [921] = 921,
  [922] = 840,
  [923] = 829,
  [924] = 838,
  [925] = 820,
  [926] = 921,
  [927] = 824,
  [928] = 808,
  [929] = 809,
  [930] = 838,
  [931] = 815,
  [932] = 821,
  [933] = 813,
  [934] = 817,
  [935] = 811,
  [936] = 819,
  [937] = 814,
  [938] = 809,
  [939] = 817,
  [940] = 814,
  [941] = 811,
  [942] = 815,
  [943] = 813,
  [944] = 813,
  [945] = 815,
  [946] = 811,
  [947] = 947,
  [948] = 948,
  [949] = 814,
  [950] = 821,
  [951] = 817,
  [952] = 824,
  [953] = 819,
  [954] = 820,
  [955] = 840,
  [956] = 809,
  [957] = 808,
  [958] = 838,
  [959] = 813,
  [960] = 809,
  [961] = 815,
  [962] = 809,
  [963] = 838,
  [964] = 810,
  [965] = 819,
  [966] = 809,
  [967] = 810,
  [968] = 840,
  [969] = 811,
  [970] = 809,
  [971] = 814,
  [972] = 817,
  [973] = 820,
  [974] = 817,
  [975] = 824,
  [976] = 821,
  [977] = 808,
  [978] = 814,
  [979] = 810,
  [980] = 811,
  [981] = 840,
  [982] = 813,
  [983] = 815,
  [984] = 815,
  [985] = 813,
  [986] = 986,
  [987] = 821,
  [988] = 824,
  [989] = 811,
  [990] = 820,
  [991] = 817,
  [992] = 840,
  [993] = 814,
  [994] = 808,
  [995] = 813,
  [996] = 536,
  [997] = 817,
  [998] = 811,
  [999] = 814,
  [1000] = 819,
  [1001] = 838,
  [1002] = 813,
  [1003] = 813,
  [1004] = 809,
  [1005] = 817,
  [1006] = 810,
  [1007] = 814,
  [1008] = 840,
  [1009] = 817,
  [1010] = 814,
  [1011] = 838,
  [1012] = 811,
  [1013] = 809,
  [1014] = 813,
  [1015] = 811,
  [1016] = 820,
  [1017] = 808,
  [1018] = 824,
  [1019] = 821,
  [1020] = 819,
  [1021] = 815,
  [1022] = 840,
  [1023] = 814,
  [1024] = 820,
  [1025] = 821,
  [1026] = 824,
  [1027] = 840,
  [1028] = 824,
  [1029] = 820,
  [1030] = 840,
  [1031] = 1031,
  [1032] = 821,
  [1033] = 811,
  [1034] = 808,
  [1035] = 813,
  [1036] = 815,
  [1037] = 809,
  [1038] = 809,
  [1039] = 1031,
  [1040] = 810,
  [1041] = 815,
  [1042] = 815,
  [1043] = 807,
  [1044] = 810,
  [1045] = 819,
  [1046] = 813,
  [1047] = 817,
  [1048] = 814,
  [1049] = 811,
  [1050] = 811,
  [1051] = 809,
  [1052] = 813,
  [1053] = 814,
  [1054] = 815,
  [1055] = 808,
  [1056] = 838,
  [1057] = 821,
  [1058] = 811,
  [1059] = 824,
  [1060] = 817,
  [1061] = 820,
  [1062] = 819,
  [1063] = 840,
  [1064] = 815,
  [1065] = 814,
  [1066] = 838,
  [1067] = 809,
  [1068] = 809,
  [1069] = 813,
  [1070] = 817,
  [1071] = 809,
  [1072] = 840,
  [1073] = 815,
  [1074] = 838,
  [1075] = 821,
  [1076] = 810,
  [1077] = 811,
  [1078] = 814,
  [1079] = 817,
  [1080] = 824,
  [1081] = 817,
  [1082] = 820,
  [1083] = 814,
  [1084] = 879,
  [1085] = 811,
  [1086] = 810,
  [1087] = 813,
  [1088] = 820,
  [1089] = 815,
  [1090] = 813,
  [1091] = 821,
  [1092] = 824,
  [1093] = 821,
  [1094] = 819,
  [1095] = 824,
  [1096] = 820,
  [1097] = 824,
  [1098] = 821,
  [1099] = 840,
  [1100] = 808,
  [1101] = 838,
  [1102] = 820,
  [1103] = 840,
  [1104] = 819,
  [1105] = 815,
  [1106] = 809,
  [1107] = 815,
  [1108] = 813,
  [1109] = 811,
  [1110] = 809,
  [1111] = 808,
  [1112] = 819,
  [1113] = 811,
  [1114] = 814,
  [1115] = 817,
  [1116] = 838,
  [1117] = 814,
  [1118] = 817,
  [1119] = 814,
  [1120] = 811,
  [1121] = 840,
  [1122] = 813,
  [1123] = 809,
  [1124] = 815,
  [1125] = 817,
  [1126] = 808,
  [1127] = 810,
  [1128] = 821,
  [1129] = 824,
  [1130] = 820,
  [1131] = 808,
  [1132] = 817,
  [1133] = 840,
  [1134] = 819,
  [1135] = 838,
  [1136] = 810,
  [1137] = 840,
  [1138] = 817,
  [1139] = 814,
  [1140] = 809,
  [1141] = 820,
  [1142] = 824,
  [1143] = 809,
  [1144] = 821,
  [1145] = 811,
  [1146] = 810,
  [1147] = 817,
  [1148] = 840,
  [1149] = 813,
  [1150] = 815,
  [1151] = 814,
  [1152] = 813,
  [1153] = 811,
  [1154] = 811,
  [1155] = 813,
  [1156] = 814,
  [1157] = 815,
  [1158] = 838,
  [1159] = 808,
  [1160] = 817,
  [1161] = 821,
  [1162] = 819,
  [1163] = 824,
  [1164] = 810,
  [1165] = 820,
  [1166] = 809,
  [1167] = 840,
  [1168] = 840,
  [1169] = 808,
  [1170] = 809,
  [1171] = 819,
  [1172] = 808,
  [1173] = 838,
  [1174] = 808,
  [1175] = 820,
  [1176] = 809,
  [1177] = 838,
  [1178] = 824,
  [1179] = 840,
  [1180] = 821,
  [1181] = 820,
  [1182] = 824,
  [1183] = 819,
  [1184] = 820,
  [1185] = 817,
  [1186] = 814,
  [1187] = 821,
  [1188] = 811,
  [1189] = 813,
  [1190] = 815,
  [1191] = 821,
  [1192] = 824,
  [1193] = 821,
  [1194] = 815,
  [1195] = 824,
  [1196] = 815,
  [1197] = 820,
  [1198] = 840,
  [1199] = 824,
  [1200] = 810,
  [1201] = 813,
  [1202] = 808,
  [1203] = 809,
  [1204] = 811,
  [1205] = 820,
  [1206] = 840,
  [1207] = 814,
  [1208] = 815,
  [1209] = 817,
  [1210] = 1031,
  [1211] = 809,
  [1212] = 821,
  [1213] = 809,
  [1214] = 840,
  [1215] = 817,
  [1216] = 810,
  [1217] = 814,
  [1218] = 840,
  [1219] = 811,
  [1220] = 814,
  [1221] = 813,
  [1222] = 838,
  [1223] = 815,
  [1224] = 814,
  [1225] = 810,
  [1226] = 811,
  [1227] = 817,
  [1228] = 809,
  [1229] = 821,
  [1230] = 813,
  [1231] = 824,
  [1232] = 819,
  [1233] = 820,
  [1234] = 813,
  [1235] = 840,
  [1236] = 819,
  [1237] = 811,
  [1238] = 840,
  [1239] = 814,
  [1240] = 820,
  [1241] = 817,
  [1242] = 808,
  [1243] = 808,
  [1244] = 824,
  [1245] = 838,
  [1246] = 821,
  [1247] = 809,
  [1248] = 814,
  [1249] = 811,
  [1250] = 815,
  [1251] = 813,
  [1252] = 810,
  [1253] = 819,
  [1254] = 811,
  [1255] = 840,
  [1256] = 986,
  [1257] = 817,
  [1258] = 820,
  [1259] = 536,
  [1260] = 824,
  [1261] = 813,
  [1262] = 821,
  [1263] = 817,
  [1264] = 921,
  [1265] = 838,
  [1266] = 815,
  [1267] = 820,
  [1268] = 813,
  [1269] = 809,
  [1270] = 817,
  [1271] = 811,
  [1272] = 814,
  [1273] = 817,
  [1274] = 904,
  [1275] = 814,
  [1276] = 900,
  [1277] = 811,
  [1278] = 815,
  [1279] = 808,
  [1280] = 895,
  [1281] = 809,
  [1282] = 810,
  [1283] = 840,
  [1284] = 824,
  [1285] = 838,
  [1286] = 536,
  [1287] = 819,
  [1288] = 840,
  [1289] = 809,
  [1290] = 820,
  [1291] = 810,
  [1292] = 824,
  [1293] = 813,
  [1294] = 821,
  [1295] = 821,
  [1296] = 948,
  [1297] = 947,
  [1298] = 840,
  [1299] = 815,
  [1300] = 820,
  [1301] = 813,
  [1302] = 820,
  [1303] = 811,
  [1304] = 815,
  [1305] = 814,
  [1306] = 824,
  [1307] = 817,
  [1308] = 821,
  [1309] = 810,
  [1310] = 838,
  [1311] = 838,
  [1312] = 809,
  [1313] = 815,
  [1314] = 813,
  [1315] = 815,
  [1316] = 821,
  [1317] = 840,
  [1318] = 820,
  [1319] = 947,
  [1320] = 824,
  [1321] = 824,
  [1322] = 821,
  [1323] = 808,
  [1324] = 811,
  [1325] = 815,
  [1326] = 815,
  [1327] = 813,
  [1328] = 819,
  [1329] = 811,
  [1330] = 820,
  [1331] = 814,
  [1332] = 948,
  [1333] = 817,
  [1334] = 814,
  [1335] = 809,
  [1336] = 838,
  [1337] = 809,
  [1338] = 817,
  [1339] = 819,
  [1340] = 813,
  [1341] = 824,
  [1342] = 838,
  [1343] = 809,
  [1344] = 819,
  [1345] = 821,
  [1346] = 821,
  [1347] = 840,
  [1348] = 821,
  [1349] = 840,
  [1350] = 820,
  [1351] = 808,
  [1352] = 824,
  [1353] = 819,
  [1354] = 821,
  [1355] = 840,
  [1356] = 824,
  [1357] = 815,
  [1358] = 813,
  [1359] = 829,
  [1360] = 811,
  [1361] = 808,
  [1362] = 820,
  [1363] = 814,
  [1364] = 813,
  [1365] = 817,
  [1366] = 810,
  [1367] = 824,
  [1368] = 821,
  [1369] = 817,
  [1370] = 810,
  [1371] = 838,
  [1372] = 879,
  [1373] = 820,
  [1374] = 819,
  [1375] = 814,
  [1376] = 809,
  [1377] = 815,
  [1378] = 811,
  [1379] = 813,
  [1380] = 808,
  [1381] = 811,
  [1382] = 814,
  [1383] = 808,
  [1384] = 815,
  [1385] = 810,
  [1386] = 840,
  [1387] = 811,
  [1388] = 813,
  [1389] = 819,
  [1390] = 811,
  [1391] = 838,
  [1392] = 810,
  [1393] = 809,
  [1394] = 838,
  [1395] = 813,
  [1396] = 813,
  [1397] = 808,
  [1398] = 814,
  [1399] = 819,
  [1400] = 814,
  [1401] = 819,
  [1402] = 809,
  [1403] = 838,
  [1404] = 810,
  [1405] = 810,
  [1406] = 840,
  [1407] = 808,
  [1408] = 838,
  [1409] = 810,
  [1410] = 811,
  [1411] = 840,
  [1412] = 819,
  [1413] = 820,
  [1414] = 820,
  [1415] = 824,
  [1416] = 824,
  [1417] = 821,
  [1418] = 817,
  [1419] = 821,
  [1420] = 824,
  [1421] = 815,
  [1422] = 808,
  [1423] = 815,
  [1424] = 815,
  [1425] = 809,
  [1426] = 879,
  [1427] = 815,
  [1428] = 807,
  [1429] = 986,
  [1430] = 948,
  [1431] = 813,
  [1432] = 947,
  [1433] = 819,
  [1434] = 813,
  [1435] = 879,
  [1436] = 829,
  [1437] = 811,
  [1438] = 895,
  [1439] = 900,
  [1440] = 904,
  [1441] = 811,
  [1442] = 814,
  [1443] = 814,
  [1444] = 921,
  [1445] = 817,
  [1446] = 829,
  [1447] = 817,
  [1448] = 1031,
  [1449] = 838,
  [1450] = 810,
  [1451] = 817,
  [1452] = 814,
  [1453] = 819,
  [1454] = 811,
  [1455] = 817,
  [1456] = 817,
  [1457] = 809,
  [1458] = 809,
  [1459] = 838,
  [1460] = 819,
  [1461] = 810,
  [1462] = 814,
  [1463] = 810,
  [1464] = 808,
  [1465] = 811,
  [1466] = 821,
  [1467] = 817,
  [1468] = 814,
  [1469] = 808,
  [1470] = 813,
  [1471] = 815,
  [1472] = 824,
  [1473] = 808,
  [1474] = 986,
  [1475] = 819,
  [1476] = 809,
  [1477] = 820,
  [1478] = 809,
  [1479] = 838,
  [1480] = 821,
  [1481] = 819,
  [1482] = 810,
  [1483] = 838,
  [1484] = 824,
  [1485] = 819,
  [1486] = 840,
  [1487] = 819,
  [1488] = 808,
  [1489] = 840,
  [1490] = 811,
  [1491] = 840,
  [1492] = 838,
  [1493] = 820,
  [1494] = 824,
  [1495] = 821,
  [1496] = 810,
  [1497] = 840,
  [1498] = 820,
  [1499] = 810,
  [1500] = 820,
  [1501] = 824,
  [1502] = 838,
  [1503] = 819,
  [1504] = 821,
  [1505] = 821,
  [1506] = 813,
  [1507] = 824,
  [1508] = 813,
  [1509] = 838,
  [1510] = 815,
  [1511] = 815,
  [1512] = 947,
  [1513] = 808,
  [1514] = 813,
  [1515] = 948,
  [1516] = 840,
  [1517] = 895,
  [1518] = 811,
  [1519] = 819,
  [1520] = 900,
  [1521] = 810,
  [1522] = 808,
  [1523] = 819,
  [1524] = 904,
  [1525] = 819,
  [1526] = 813,
  [1527] = 838,
  [1528] = 820,
  [1529] = 811,
  [1530] = 814,
  [1531] = 817,
  [1532] = 813,
  [1533] = 838,
  [1534] = 810,
  [1535] = 820,
  [1536] = 808,
  [1537] = 815,
  [1538] = 838,
  [1539] = 819,
  [1540] = 819,
  [1541] = 921,
  [1542] = 838,
  [1543] = 810,
  [1544] = 808,
  [1545] = 811,
  [1546] = 814,
  [1547] = 814,
  [1548] = 817,
  [1549] = 809,
  [1550] = 809,
  [1551] = 808,
  [1552] = 808,
  [1553] = 817,
  [1554] = 808,
  [1555] = 815,
  [1556] = 824,
  [1557] = 810,
  [1558] = 536,
  [1559] = 810,
  [1560] = 821,
  [1561] = 809,
  [1562] = 819,
  [1563] = 817,
  [1564] = 810,
  [1565] = 824,
  [1566] = 838,
  [1567] = 986,
  [1568] = 838,
  [1569] = 840,
  [1570] = 819,
  [1571] = 807,
  [1572] = 820,
  [1573] = 810,
  [1574] = 808,
  [1575] = 824,
  [1576] = 838,
  [1577] = 821,
  [1578] = 819,
  [1579] = 808,
  [1580] = 813,
  [1581] = 838,
  [1582] = 824,
  [1583] = 840,
  [1584] = 819,
  [1585] = 810,
  [1586] = 821,
  [1587] = 1031,
  [1588] = 819,
  [1589] = 838,
  [1590] = 840,
  [1591] = 820,
  [1592] = 808,
  [1593] = 821,
  [1594] = 820,
  [1595] = 824,
  [1596] = 838,
  [1597] = 824,
  [1598] = 819,
  [1599] = 820,
  [1600] = 821,
  [1601] = 810,
  [1602] = 820,
  [1603] = 808,
  [1604] = 808,
  [1605] = 810,
  [1606] = 840,
  [1607] = 810,
  [1608] = 807,
  [1609] = 840,
  [1610] = 808,
  [1611] = 809,
  [1612] = 810,
  [1613] = 815,
  [1614] = 838,
  [1615] = 819,
  [1616] = 809,
  [1617] = 815,
  [1618] = 810,
  [1619] = 840,
  [1620] = 808,
  [1621] = 819,
  [1622] = 838,
  [1623] = 814,
  [1624] = 810,
  [1625] = 809,
  [1626] = 808,
  [1627] = 808,
  [1628] = 838,
  [1629] = 838,
  [1630] = 808,
  [1631] = 811,
  [1632] = 814,
  [1633] = 810,
  [1634] = 838,
  [1635] = 819,
  [1636] = 813,
  [1637] = 817,
  [1638] = 810,
  [1639] = 811,
  [1640] = 819,
  [1641] = 814,
  [1642] = 809,
  [1643] = 808,
  [1644] = 815,
  [1645] = 810,
  [1646] = 838,
  [1647] = 811,
  [1648] = 817,
  [1649] = 817,
  [1650] = 814,
  [1651] = 1651,
  [1652] = 1651,
  [1653] = 1651,
  [1654] = 1651,
  [1655] = 1651,
  [1656] = 1651,
  [1657] = 1651,
  [1658] = 1651,
  [1659] = 1651,
  [1660] = 1651,
  [1661] = 1651,
  [1662] = 1651,
  [1663] = 1651,
  [1664] = 1651,
  [1665] = 529,
  [1666] = 1651,
  [1667] = 1651,
  [1668] = 529,
  [1669] = 1651,
  [1670] = 1651,
  [1671] = 1651,
  [1672] = 1651,
  [1673] = 1651,
  [1674] = 1651,
  [1675] = 1651,
  [1676] = 1651,
  [1677] = 1651,
  [1678] = 1651,
  [1679] = 1651,
  [1680] = 1651,
  [1681] = 1651,
  [1682] = 529,
  [1683] = 1651,
  [1684] = 1651,
  [1685] = 529,
  [1686] = 1651,
  [1687] = 1651,
  [1688] = 1651,
  [1689] = 1651,
  [1690] = 1651,
  [1691] = 1651,
  [1692] = 529,
  [1693] = 1651,
  [1694] = 1651,
  [1695] = 1651,
  [1696] = 1651,
  [1697] = 1651,
  [1698] = 1651,
  [1699] = 529,
  [1700] = 1651,
  [1701] = 1651,
  [1702] = 529,
  [1703] = 1651,
  [1704] = 1651,
  [1705] = 1651,
  [1706] = 1651,
  [1707] = 529,
  [1708] = 529,
  [1709] = 1651,
  [1710] = 1651,
  [1711] = 1651,
  [1712] = 1651,
  [1713] = 1651,
  [1714] = 1651,
  [1715] = 1651,
  [1716] = 529,
  [1717] = 1651,
  [1718] = 1651,
  [1719] = 1651,
  [1720] = 1651,
  [1721] = 529,
  [1722] = 1651,
  [1723] = 1651,
  [1724] = 1651,
  [1725] = 529,
  [1726] = 1651,
  [1727] = 1651,
  [1728] = 1651,
  [1729] = 1651,
  [1730] = 1651,
  [1731] = 529,
  [1732] = 1651,
  [1733] = 1651,
  [1734] = 529,
  [1735] = 1651,
  [1736] = 1651,
  [1737] = 1651,
  [1738] = 1651,
  [1739] = 1651,
  [1740] = 1651,
  [1741] = 1651,
  [1742] = 1651,
  [1743] = 1651,
  [1744] = 1651,
  [1745] = 1651,
  [1746] = 1651,
  [1747] = 1651,
  [1748] = 1651,
  [1749] = 529,
  [1750] = 529,
  [1751] = 529,
  [1752] = 1651,
  [1753] = 1651,
  [1754] = 1651,
  [1755] = 1651,
  [1756] = 1651,
  [1757] = 1651,
  [1758] = 1651,
  [1759] = 1651,
  [1760] = 1651,
  [1761] = 529,
  [1762] = 1651,
  [1763] = 529,
  [1764] = 1651,
  [1765] = 1651,
  [1766] = 529,
  [1767] = 1651,
  [1768] = 1651,
  [1769] = 529,
  [1770] = 536,
  [1771] = 1651,
  [1772] = 1651,
  [1773] = 1651,
  [1774] = 1651,
  [1775] = 1651,
  [1776] = 1651,
  [1777] = 1651,
  [1778] = 1651,
  [1779] = 529,
  [1780] = 1651,
  [1781] = 1651,
  [1782] = 1651,
  [1783] = 529,
  [1784] = 1651,
  [1785] = 536,
  [1786] = 1651,
  [1787] = 529,
  [1788] = 1651,
  [1789] = 1651,
  [1790] = 1651,
  [1791] = 1651,
  [1792] = 1651,
  [1793] = 1651,
  [1794] = 529,
  [1795] = 1651,
  [1796] = 1651,
  [1797] = 1651,
  [1798] = 1651,
  [1799] = 1651,
  [1800] = 1800,
  [1801] = 1800,
  [1802] = 1800,
  [1803] = 536,
  [1804] = 1800,
  [1805] = 536,
  [1806] = 1800,
  [1807] = 1800,
  [1808] = 1800,
  [1809] = 1800,
  [1810] = 1800,
  [1811] = 1800,
  [1812] = 1800,
  [1813] = 1800,
  [1814] = 1800,
  [1815] = 1800,
  [1816] = 1800,
  [1817] = 1800,
  [1818] = 1800,
  [1819] = 1800,
  [1820] = 1800,
  [1821] = 1800,
  [1822] = 1800,
  [1823] = 1800,
  [1824] = 1800,
  [1825] = 1800,
  [1826] = 1800,
  [1827] = 1800,
  [1828] = 1800,
  [1829] = 1829,
  [1830] = 1830,
  [1831] = 1829,
  [1832] = 1829,
  [1833] = 1829,
  [1834] = 1830,
  [1835] = 1830,
  [1836] = 1829,
  [1837] = 1829,
  [1838] = 1829,
  [1839] = 1829,
  [1840] = 1840,
  [1841] = 1829,
  [1842] = 1830,
  [1843] = 1829,
  [1844] = 1829,
  [1845] = 1829,
  [1846] = 1830,
  [1847] = 1829,
  [1848] = 1829,
  [1849] = 1830,
  [1850] = 1830,
  [1851] = 1829,
  [1852] = 1829,
  [1853] = 1829,
  [1854] = 1829,
  [1855] = 1829,
  [1856] = 1830,
  [1857] = 1829,
  [1858] = 1829,
  [1859] = 1829,
  [1860] = 1829,
  [1861] = 1829,
  [1862] = 1830,
  [1863] = 1829,
  [1864] = 1830,
  [1865] = 1829,
  [1866] = 1840,
  [1867] = 1829,
  [1868] = 1829,
  [1869] = 1829,
  [1870] = 1830,
  [1871] = 1829,
  [1872] = 1840,
  [1873] = 1829,
  [1874] = 1829,
  [1875] = 1829,
  [1876] = 1829,
  [1877] = 1829,
  [1878] = 1830,
  [1879] = 1829,
  [1880] = 1830,
  [1881] = 1829,
  [1882] = 1829,
  [1883] = 1829,
  [1884] = 1830,
  [1885] = 1829,
  [1886] = 1830,
  [1887] = 1829,
  [1888] = 1829,
  [1889] = 1830,
  [1890] = 1829,
  [1891] = 1829,
  [1892] = 1829,
  [1893] = 1829,
  [1894] = 1829,
  [1895] = 1830,
  [1896] = 1829,
  [1897] = 1829,
  [1898] = 1829,
  [1899] = 1840,
  [1900] = 1840,
  [1901] = 1829,
  [1902] = 1830,
  [1903] = 1840,
  [1904] = 1830,
  [1905] = 1840,
  [1906] = 1829,
  [1907] = 1829,
  [1908] = 1829,
  [1909] = 1830,
  [1910] = 1829,
  [1911] = 1830,
  [1912] = 1830,
  [1913] = 1830,
  [1914] = 1829,
  [1915] = 1829,
  [1916] = 1830,
  [1917] = 1829,
  [1918] = 1829,
  [1919] = 1830,
  [1920] = 1830,
  [1921] = 1829,
  [1922] = 1829,
  [1923] = 1830,
  [1924] = 1829,
  [1925] = 1829,
  [1926] = 1829,
  [1927] = 1829,
  [1928] = 1830,
  [1929] = 1830,
  [1930] = 1829,
  [1931] = 1840,
  [1932] = 1830,
  [1933] = 1840,
  [1934] = 1829,
  [1935] = 1829,
  [1936] = 1840,
  [1937] = 1829,
  [1938] = 1830,
  [1939] = 1829,
  [1940] = 1829,
  [1941] = 1830,
  [1942] = 1829,
  [1943] = 1829,
  [1944] = 1830,
  [1945] = 1829,
  [1946] = 1829,
  [1947] = 1829,
  [1948] = 1830,
  [1949] = 1840,
  [1950] = 1830,
  [1951] = 1829,
  [1952] = 1830,
  [1953] = 1829,
  [1954] = 1829,
  [1955] = 1829,
  [1956] = 1829,
  [1957] = 1830,
  [1958] = 1829,
  [1959] = 1829,
  [1960] = 1829,
  [1961] = 1830,
  [1962] = 1830,
  [1963] = 1830,
  [1964] = 1829,
  [1965] = 1829,
  [1966] = 1840,
  [1967] = 1840,
  [1968] = 1829,
  [1969] = 1840,
  [1970] = 1829,
  [1971] = 1830,
  [1972] = 1840,
  [1973] = 1829,
  [1974] = 1829,
  [1975] = 1829,
  [1976] = 1829,
  [1977] = 1829,
  [1978] = 1829,
  [1979] = 1830,
  [1980] = 1829,
  [1981] = 1830,
  [1982] = 1829,
  [1983] = 1840,
  [1984] = 1840,
  [1985] = 1830,
  [1986] = 1829,
  [1987] = 1829,
  [1988] = 1829,
  [1989] = 1830,
  [1990] = 1829,
  [1991] = 1829,
  [1992] = 1830,
  [1993] = 1830,
  [1994] = 1994,
  [1995] = 1840,
  [1996] = 1829,
  [1997] = 1829,
  [1998] = 1998,
  [1999] = 1830,
  [2000] = 1829,
  [2001] = 1829,
  [2002] = 1840,
  [2003] = 1840,
  [2004] = 1829,
  [2005] = 1829,
  [2006] = 1829,
  [2007] = 1829,
  [2008] = 1830,
  [2009] = 1830,
  [2010] = 1829,
  [2011] = 1829,
  [2012] = 1840,
  [2013] = 1830,
  [2014] = 1830,
  [2015] = 1829,
  [2016] = 1829,
  [2017] = 1830,
  [2018] = 1829,
  [2019] = 1840,
  [2020] = 1830,
  [2021] = 1840,
  [2022] = 1840,
  [2023] = 1829,
  [2024] = 1829,
  [2025] = 1829,
  [2026] = 1829,
  [2027] = 1829,
  [2028] = 1830,
  [2029] = 1829,
  [2030] = 1829,
  [2031] = 1840,
  [2032] = 1830,
  [2033] = 1829,
  [2034] = 2034,
  [2035] = 2035,
  [2036] = 2036,
  [2037] = 2036,
  [2038] = 2038,
  [2039] = 2039,
  [2040] = 2038,
  [2041] = 2035,
  [2042] = 2034,
  [2043] = 2036,
  [2044] = 2038,
  [2045] = 2034,
  [2046] = 2035,
  [2047] = 2038,
  [2048] = 2036,
  [2049] = 2038,
  [2050] = 2038,
  [2051] = 2036,
  [2052] = 2052,
  [2053] = 2036,
  [2054] = 2038,
  [2055] = 2038,
  [2056] = 2036,
  [2057] = 2057,
  [2058] = 2039,
  [2059] = 2035,
  [2060] = 2038,
  [2061] = 2034,
  [2062] = 2036,
  [2063] = 2036,
  [2064] = 2038,
  [2065] = 2036,
  [2066] = 2039,
  [2067] = 2038,
  [2068] = 2052,
  [2069] = 2034,
  [2070] = 2038,
  [2071] = 2036,
  [2072] = 2039,
  [2073] = 2036,
  [2074] = 2038,
  [2075] = 2039,
  [2076] = 2038,
  [2077] = 2057,
  [2078] = 2035,
  [2079] = 2034,
  [2080] = 2052,
  [2081] = 2038,
  [2082] = 2082,
  [2083] = 2036,
  [2084] = 2038,
  [2085] = 2039,
  [2086] = 2038,
  [2087] = 2052,
  [2088] = 2036,
  [2089] = 2057,
  [2090] = 2035,
  [2091] = 2034,
  [2092] = 2036,
  [2093] = 2034,
  [2094] = 2035,
  [2095] = 2095,
  [2096] = 2057,
  [2097] = 2039,
  [2098] = 2038,
  [2099] = 2057,
  [2100] = 2038,
  [2101] = 2035,
  [2102] = 2036,
  [2103] = 2052,
  [2104] = 2034,
  [2105] = 2052,
  [2106] = 2038,
  [2107] = 2039,
  [2108] = 2038,
  [2109] = 2095,
  [2110] = 2052,
  [2111] = 2052,
  [2112] = 2034,
  [2113] = 2038,
  [2114] = 2038,
  [2115] = 2038,
  [2116] = 2057,
  [2117] = 2036,
  [2118] = 2038,
  [2119] = 2035,
  [2120] = 2039,
  [2121] = 2052,
  [2122] = 2038,
  [2123] = 2057,
  [2124] = 2034,
  [2125] = 2038,
  [2126] = 2052,
  [2127] = 2038,
  [2128] = 2035,
  [2129] = 2034,
  [2130] = 2038,
  [2131] = 2095,
  [2132] = 2038,
  [2133] = 2133,
  [2134] = 2052,
  [2135] = 2034,
  [2136] = 2039,
  [2137] = 2052,
  [2138] = 2057,
  [2139] = 2035,
  [2140] = 2034,
  [2141] = 2034,
  [2142] = 2095,
  [2143] = 2039,
  [2144] = 2039,
  [2145] = 2039,
  [2146] = 2057,
  [2147] = 2039,
  [2148] = 2038,
  [2149] = 2038,
  [2150] = 2035,
  [2151] = 2034,
  [2152] = 2095,
  [2153] = 2052,
  [2154] = 2038,
  [2155] = 2052,
  [2156] = 2034,
  [2157] = 2052,
  [2158] = 2057,
  [2159] = 2038,
  [2160] = 2035,
  [2161] = 2052,
  [2162] = 2034,
  [2163] = 2095,
  [2164] = 2052,
  [2165] = 2057,
  [2166] = 2035,
  [2167] = 2057,
  [2168] = 2036,
  [2169] = 2034,
  [2170] = 2095,
  [2171] = 2039,
  [2172] = 2039,
  [2173] = 2034,
  [2174] = 2057,
  [2175] = 2035,
  [2176] = 2034,
  [2177] = 2052,
  [2178] = 2095,
  [2179] = 2038,
  [2180] = 2039,
  [2181] = 2038,
  [2182] = 2052,
  [2183] = 2038,
  [2184] = 2184,
  [2185] = 2034,
  [2186] = 2057,
  [2187] = 2035,
  [2188] = 2034,
  [2189] = 2038,
  [2190] = 2095,
  [2191] = 2038,
  [2192] = 2039,
  [2193] = 2052,
  [2194] = 2039,
  [2195] = 2038,
  [2196] = 2057,
  [2197] = 2095,
  [2198] = 2035,
  [2199] = 2039,
  [2200] = 2039,
  [2201] = 2052,
  [2202] = 2052,
  [2203] = 2034,
  [2204] = 2034,
  [2205] = 2095,
  [2206] = 2039,
  [2207] = 2039,
  [2208] = 2038,
  [2209] = 2052,
  [2210] = 2057,
  [2211] = 2057,
  [2212] = 2038,
  [2213] = 2035,
  [2214] = 2034,
  [2215] = 2095,
  [2216] = 2057,
  [2217] = 2039,
  [2218] = 2052,
  [2219] = 2035,
  [2220] = 2052,
  [2221] = 2057,
  [2222] = 2034,
  [2223] = 2038,
  [2224] = 2095,
  [2225] = 2039,
  [2226] = 2057,
  [2227] = 2035,
  [2228] = 2034,
  [2229] = 2095,
  [2230] = 2052,
  [2231] = 2052,
  [2232] = 2057,
  [2233] = 2052,
  [2234] = 2038,
  [2235] = 2057,
  [2236] = 2035,
  [2237] = 2034,
  [2238] = 2052,
  [2239] = 2052,
  [2240] = 2034,
  [2241] = 2241,
  [2242] = 2095,
  [2243] = 2039,
  [2244] = 2039,
  [2245] = 2039,
  [2246] = 2038,
  [2247] = 2057,
  [2248] = 2035,
  [2249] = 2034,
  [2250] = 2038,
  [2251] = 2095,
  [2252] = 2038,
  [2253] = 2039,
  [2254] = 2052,
  [2255] = 2038,
  [2256] = 2052,
  [2257] = 2057,
  [2258] = 2035,
  [2259] = 2038,
  [2260] = 2034,
  [2261] = 2039,
  [2262] = 2038,
  [2263] = 2095,
  [2264] = 2264,
  [2265] = 2034,
  [2266] = 2266,
  [2267] = 2052,
  [2268] = 2052,
  [2269] = 2038,
  [2270] = 2270,
  [2271] = 2271,
  [2272] = 2057,
  [2273] = 2039,
  [2274] = 2133,
  [2275] = 2264,
  [2276] = 2039,
  [2277] = 2095,
  [2278] = 2035,
  [2279] = 2052,
  [2280] = 2035,
  [2281] = 2038,
  [2282] = 2034,
  [2283] = 2039,
  [2284] = 2038,
  [2285] = 2264,
  [2286] = 2034,
  [2287] = 2270,
  [2288] = 2039,
  [2289] = 2052,
  [2290] = 2270,
  [2291] = 2052,
  [2292] = 2039,
  [2293] = 2038,
  [2294] = 2039,
  [2295] = 2133,
  [2296] = 2052,
  [2297] = 2039,
  [2298] = 2298,
  [2299] = 2052,
  [2300] = 2039,
  [2301] = 2039,
  [2302] = 2034,
  [2303] = 2052,
  [2304] = 2052,
  [2305] = 2052,
  [2306] = 2039,
  [2307] = 2052,
  [2308] = 2052,
  [2309] = 2039,
  [2310] = 2039,
  [2311] = 2039,
  [2312] = 2052,
  [2313] = 2039,
  [2314] = 2052,
  [2315] = 2039,
  [2316] = 2039,
  [2317] = 2039,
  [2318] = 2039,
  [2319] = 2039,
  [2320] = 2052,
  [2321] = 2035,
  [2322] = 2052,
  [2323] = 2038,
  [2324] = 2039,
  [2325] = 2039,
  [2326] = 2052,
  [2327] = 2327,
  [2328] = 2052,
  [2329] = 2039,
  [2330] = 2052,
  [2331] = 2039,
  [2332] = 2052,
  [2333] = 2052,
  [2334] = 2052,
  [2335] = 2038,
  [2336] = 2052,
  [2337] = 2057,
  [2338] = 2338,
  [2339] = 2339,
  [2340] = 2039,
  [2341] = 2035,
  [2342] = 2342,
  [2343] = 2039,
  [2344] = 2344,
  [2345] = 2345,
  [2346] = 2039,
  [2347] = 2052,
  [2348] = 2348,
  [2349] = 2348,
  [2350] = 2348,
  [2351] = 2351,
  [2352] = 2351,
  [2353] = 2351,
  [2354] = 2351,
  [2355] = 2351,
  [2356] = 2351,
  [2357] = 2351,
  [2358] = 2351,
  [2359] = 2351,
  [2360] = 2351,
  [2361] = 2351,
  [2362] = 2351,
  [2363] = 2351,
  [2364] = 2351,
  [2365] = 2351,
  [2366] = 2351,
  [2367] = 2351,
  [2368] = 2351,
  [2369] = 2351,
  [2370] = 2351,
  [2371] = 2351,
  [2372] = 2351,
  [2373] = 2351,
  [2374] = 2351,
  [2375] = 2351,
  [2376] = 2351,
  [2377] = 2351,
  [2378] = 2351,
  [2379] = 2351,
  [2380] = 2351,
  [2381] = 2351,
  [2382] = 2351,
  [2383] = 2351,
  [2384] = 2351,
  [2385] = 2351,
  [2386] = 2351,
  [2387] = 2351,
  [2388] = 2351,
  [2389] = 2351,
  [2390] = 2351,
  [2391] = 2351,
  [2392] = 2351,
  [2393] = 2351,
  [2394] = 2351,
  [2395] = 2351,
  [2396] = 2351,
  [2397] = 2351,
  [2398] = 2351,
  [2399] = 2399,
  [2400] = 2400,
  [2401] = 2399,
  [2402] = 2402,
  [2403] = 2402,
  [2404] = 2404,
  [2405] = 2404,
  [2406] = 2406,
  [2407] = 2407,
  [2408] = 2407,
  [2409] = 2406,
  [2410] = 2407,
  [2411] = 2399,
  [2412] = 2412,
  [2413] = 2412,
  [2414] = 2412,
  [2415] = 2412,
  [2416] = 2412,
  [2417] = 2412,
  [2418] = 2412,
  [2419] = 2412,
  [2420] = 2412,
  [2421] = 2412,
  [2422] = 2412,
  [2423] = 2412,
  [2424] = 2412,
  [2425] = 2412,
  [2426] = 2412,
  [2427] = 2412,
  [2428] = 2412,
  [2429] = 2412,
  [2430] = 2412,
  [2431] = 2412,
  [2432] = 2412,
  [2433] = 2412,
  [2434] = 2412,
  [2435] = 2412,
  [2436] = 2436,
  [2437] = 2437,
  [2438] = 2437,
  [2439] = 2439,
  [2440] = 2437,
  [2441] = 2441,
  [2442] = 2442,
  [2443] = 2437,
  [2444] = 2441,
  [2445] = 2437,
  [2446] = 2437,
  [2447] = 2437,
  [2448] = 2437,
  [2449] = 2441,
  [2450] = 2437,
  [2451] = 2441,
  [2452] = 2441,
  [2453] = 2437,
  [2454] = 2441,
  [2455] = 2441,
  [2456] = 2441,
  [2457] = 2437,
  [2458] = 2437,
  [2459] = 2437,
  [2460] = 2437,
  [2461] = 2437,
  [2462] = 2441,
  [2463] = 2441,
  [2464] = 2441,
  [2465] = 2437,
  [2466] = 2437,
  [2467] = 2441,
  [2468] = 2437,
  [2469] = 2437,
  [2470] = 2441,
  [2471] = 2437,
  [2472] = 2437,
  [2473] = 2437,
  [2474] = 2441,
  [2475] = 2437,
  [2476] = 2437,
  [2477] = 2441,
  [2478] = 2437,
  [2479] = 2441,
  [2480] = 2437,
  [2481] = 2441,
  [2482] = 2437,
  [2483] = 2441,
  [2484] = 2437,
  [2485] = 2437,
  [2486] = 2441,
  [2487] = 2437,
  [2488] = 2437,
  [2489] = 2437,
  [2490] = 2437,
  [2491] = 2437,
  [2492] = 2437,
  [2493] = 2441,
  [2494] = 2437,
  [2495] = 2441,
  [2496] = 2441,
  [2497] = 2497,
  [2498] = 2437,
  [2499] = 2441,
  [2500] = 2437,
  [2501] = 2441,
  [2502] = 2437,
  [2503] = 2441,
  [2504] = 2437,
  [2505] = 2437,
  [2506] = 2441,
  [2507] = 2437,
  [2508] = 2437,
  [2509] = 2441,
  [2510] = 2437,
  [2511] = 2441,
  [2512] = 2437,
  [2513] = 2437,
  [2514] = 2441,
  [2515] = 2437,
  [2516] = 2441,
  [2517] = 2441,
  [2518] = 2441,
  [2519] = 2441,
  [2520] = 2441,
  [2521] = 2442,
  [2522] = 2441,
  [2523] = 2441,
  [2524] = 2441,
  [2525] = 2441,
  [2526] = 2437,
  [2527] = 2441,
  [2528] = 2436,
  [2529] = 2437,
  [2530] = 2437,
  [2531] = 2437,
  [2532] = 2441,
  [2533] = 2437,
  [2534] = 2441,
  [2535] = 2437,
  [2536] = 2348,
  [2537] = 2437,
  [2538] = 2441,
  [2539] = 2441,
  [2540] = 2441,
  [2541] = 2441,
  [2542] = 2441,
  [2543] = 2441,
  [2544] = 2441,
  [2545] = 2441,
  [2546] = 2441,
  [2547] = 2441,
  [2548] = 2441,
  [2549] = 2441,
  [2550] = 2437,
  [2551] = 2442,
  [2552] = 2436,
  [2553] = 2437,
  [2554] = 2441,
  [2555] = 2441,
  [2556] = 2437,
  [2557] = 2441,
  [2558] = 2441,
  [2559] = 2437,
  [2560] = 2441,
  [2561] = 2441,
  [2562] = 2437,
  [2563] = 2563,
  [2564] = 2564,
  [2565] = 2565,
  [2566] = 2566,
  [2567] = 2567,
  [2568] = 2568,
  [2569] = 2348,
  [2570] = 2570,
  [2571] = 2571,
  [2572] = 2572,
  [2573] = 2573,
  [2574] = 2348,
  [2575] = 2348,
  [2576] = 2348,
  [2577] = 2577,
  [2578] = 2348,
  [2579] = 2348,
  [2580] = 2580,
  [2581] = 2580,
  [2582] = 2580,
  [2583] = 2580,
  [2584] = 2584,
  [2585] = 2580,
  [2586] = 2584,
  [2587] = 2587,
  [2588] = 2588,
  [2589] = 2584,
  [2590] = 2580,
  [2591] = 2587,
  [2592] = 2588,
  [2593] = 2348,
  [2594] = 2580,
  [2595] = 2580,
  [2596] = 2584,
  [2597] = 2588,
  [2598] = 2587,
  [2599] = 2587,
  [2600] = 2587,
  [2601] = 2584,
  [2602] = 2584,
  [2603] = 2584,
  [2604] = 2588,
  [2605] = 2587,
  [2606] = 2580,
  [2607] = 2587,
  [2608] = 2588,
  [2609] = 2580,
  [2610] = 2587,
  [2611] = 2587,
  [2612] = 2584,
  [2613] = 2588,
  [2614] = 2588,
  [2615] = 2580,
  [2616] = 2580,
  [2617] = 2348,
  [2618] = 2588,
  [2619] = 2588,
  [2620] = 2584,
  [2621] = 2587,
  [2622] = 2587,
  [2623] = 2584,
  [2624] = 2584,
  [2625] = 2587,
  [2626] = 2588,
  [2627] = 2580,
  [2628] = 2584,
  [2629] = 2584,
  [2630] = 2588,
  [2631] = 2588,
  [2632] = 2580,
  [2633] = 2580,
  [2634] = 2587,
  [2635] = 2587,
  [2636] = 2584,
  [2637] = 2584,
  [2638] = 2588,
  [2639] = 2580,
  [2640] = 2587,
  [2641] = 2588,
  [2642] = 2587,
  [2643] = 2584,
  [2644] = 2580,
  [2645] = 2587,
  [2646] = 2584,
  [2647] = 2584,
  [2648] = 2588,
  [2649] = 2588,
  [2650] = 2580,
  [2651] = 2587,
  [2652] = 2580,
  [2653] = 2584,
  [2654] = 2588,
  [2655] = 2587,
  [2656] = 2588,
  [2657] = 2580,
  [2658] = 2587,
  [2659] = 2580,
  [2660] = 2584,
  [2661] = 2580,
  [2662] = 2584,
  [2663] = 2588,
  [2664] = 2580,
  [2665] = 2584,
  [2666] = 2584,
  [2667] = 2587,
  [2668] = 2587,
  [2669] = 2588,
  [2670] = 2580,
  [2671] = 2588,
  [2672] = 2584,
  [2673] = 2580,
  [2674] = 2580,
  [2675] = 2587,
  [2676] = 2584,
  [2677] = 2580,
  [2678] = 2584,
  [2679] = 2587,
  [2680] = 2588,
  [2681] = 2580,
  [2682] = 2584,
  [2683] = 2580,
  [2684] = 2584,
  [2685] = 2580,
  [2686] = 2348,
  [2687] = 2588,
  [2688] = 2584,
  [2689] = 2584,
  [2690] = 2580,
  [2691] = 2587,
  [2692] = 2580,
  [2693] = 2584,
  [2694] = 2580,
  [2695] = 2584,
  [2696] = 2580,
  [2697] = 2588,
  [2698] = 2584,
  [2699] = 2587,
  [2700] = 2587,
  [2701] = 2580,
  [2702] = 2584,
  [2703] = 2584,
  [2704] = 2587,
  [2705] = 2580,
  [2706] = 2588,
  [2707] = 2584,
  [2708] = 2588,
  [2709] = 2580,
  [2710] = 2580,
  [2711] = 2584,
  [2712] = 2580,
  [2713] = 2587,
  [2714] = 2588,
  [2715] = 2580,
  [2716] = 2580,
  [2717] = 2584,
  [2718] = 2580,
  [2719] = 2584,
  [2720] = 2580,
  [2721] = 2587,
  [2722] = 2584,
  [2723] = 2580,
  [2724] = 2584,
  [2725] = 2580,
  [2726] = 2584,
  [2727] = 2580,
  [2728] = 2584,
  [2729] = 2588,
  [2730] = 2588,
  [2731] = 2584,
  [2732] = 2580,
  [2733] = 2587,
  [2734] = 2588,
  [2735] = 2588,
  [2736] = 2580,
  [2737] = 2584,
  [2738] = 2580,
  [2739] = 2587,
  [2740] = 2584,
  [2741] = 2584,
  [2742] = 2587,
  [2743] = 2584,
  [2744] = 2584,
  [2745] = 2588,
  [2746] = 2580,
  [2747] = 2584,
  [2748] = 2584,
  [2749] = 2580,
  [2750] = 2587,
  [2751] = 2588,
  [2752] = 2587,
  [2753] = 2584,
  [2754] = 2588,
  [2755] = 2580,
  [2756] = 2587,
  [2757] = 2580,
  [2758] = 2584,
  [2759] = 2580,
  [2760] = 2584,
  [2761] = 2580,
  [2762] = 2584,
  [2763] = 2580,
  [2764] = 2584,
  [2765] = 2580,
  [2766] = 2584,
  [2767] = 2587,
  [2768] = 2580,
  [2769] = 2584,
  [2770] = 2580,
  [2771] = 2584,
  [2772] = 2587,
  [2773] = 2588,
  [2774] = 2584,
  [2775] = 2588,
  [2776] = 2588,
  [2777] = 2584,
  [2778] = 2580,
  [2779] = 2587,
  [2780] = 2580,
  [2781] = 2584,
  [2782] = 2580,
  [2783] = 2588,
  [2784] = 2580,
  [2785] = 2584,
  [2786] = 2580,
  [2787] = 2584,
  [2788] = 2580,
  [2789] = 2588,
  [2790] = 2584,
  [2791] = 2580,
  [2792] = 2588,
  [2793] = 2584,
  [2794] = 2587,
  [2795] = 2580,
  [2796] = 2580,
  [2797] = 2588,
  [2798] = 2584,
  [2799] = 2587,
  [2800] = 2587,
  [2801] = 2588,
  [2802] = 2580,
  [2803] = 2580,
  [2804] = 2584,
  [2805] = 2587,
  [2806] = 2584,
  [2807] = 2588,
  [2808] = 2587,
  [2809] = 2588,
  [2810] = 2584,
  [2811] = 2588,
  [2812] = 2580,
  [2813] = 2588,
  [2814] = 2580,
  [2815] = 2584,
  [2816] = 2587,
  [2817] = 2587,
  [2818] = 2580,
  [2819] = 2588,
  [2820] = 2584,
  [2821] = 2584,
  [2822] = 2584,
  [2823] = 2587,
  [2824] = 2580,
  [2825] = 2588,
  [2826] = 2580,
  [2827] = 2584,
  [2828] = 2588,
  [2829] = 2580,
  [2830] = 2584,
  [2831] = 2588,
  [2832] = 2587,
  [2833] = 2580,
  [2834] = 2587,
  [2835] = 2588,
  [2836] = 2587,
  [2837] = 2584,
  [2838] = 2587,
  [2839] = 2587,
  [2840] = 2588,
  [2841] = 2584,
  [2842] = 2588,
  [2843] = 2580,
  [2844] = 2584,
  [2845] = 2580,
  [2846] = 2587,
  [2847] = 2580,
  [2848] = 2588,
  [2849] = 2584,
  [2850] = 2587,
  [2851] = 2587,
  [2852] = 2580,
  [2853] = 2588,
  [2854] = 2584,
  [2855] = 2587,
  [2856] = 2580,
  [2857] = 2588,
  [2858] = 2584,
  [2859] = 2580,
  [2860] = 2587,
  [2861] = 2588,
  [2862] = 2584,
  [2863] = 2584,
  [2864] = 2584,
  [2865] = 2580,
  [2866] = 2587,
  [2867] = 2588,
  [2868] = 2588,
  [2869] = 2580,
  [2870] = 2584,
  [2871] = 2587,
  [2872] = 2588,
  [2873] = 2587,
  [2874] = 2587,
  [2875] = 2587,
  [2876] = 2584,
  [2877] = 2588,
  [2878] = 2588,
  [2879] = 2584,
  [2880] = 2588,
  [2881] = 2580,
  [2882] = 2588,
  [2883] = 2580,
  [2884] = 2584,
  [2885] = 2587,
  [2886] = 2580,
  [2887] = 2588,
  [2888] = 2580,
  [2889] = 2584,
  [2890] = 2588,
  [2891] = 2580,
  [2892] = 2584,
  [2893] = 2587,
  [2894] = 2580,
  [2895] = 2587,
  [2896] = 2588,
  [2897] = 2587,
  [2898] = 2584,
  [2899] = 2587,
  [2900] = 2584,
  [2901] = 2588,
  [2902] = 2580,
  [2903] = 2580,
  [2904] = 2587,
  [2905] = 2588,
  [2906] = 2584,
  [2907] = 2584,
  [2908] = 2587,
  [2909] = 2587,
  [2910] = 2588,
  [2911] = 2584,
  [2912] = 2587,
  [2913] = 2580,
  [2914] = 2580,
  [2915] = 2588,
  [2916] = 2588,
  [2917] = 2584,
  [2918] = 2580,
  [2919] = 2580,
  [2920] = 2588,
  [2921] = 2584,
  [2922] = 2584,
  [2923] = 2587,
  [2924] = 2580,
  [2925] = 2587,
  [2926] = 2588,
  [2927] = 2584,
  [2928] = 2587,
  [2929] = 2580,
  [2930] = 2587,
  [2931] = 2588,
  [2932] = 2584,
  [2933] = 2588,
  [2934] = 2580,
  [2935] = 2584,
  [2936] = 2587,
  [2937] = 2580,
  [2938] = 2588,
  [2939] = 2584,
  [2940] = 2587,
  [2941] = 2587,
  [2942] = 2587,
  [2943] = 2580,
  [2944] = 2588,
  [2945] = 2584,
  [2946] = 2588,
  [2947] = 2580,
  [2948] = 2584,
  [2949] = 2588,
  [2950] = 2588,
  [2951] = 2584,
  [2952] = 2580,
  [2953] = 2588,
  [2954] = 2584,
  [2955] = 2587,
  [2956] = 2580,
  [2957] = 2580,
  [2958] = 2587,
  [2959] = 2587,
  [2960] = 2584,
  [2961] = 2588,
  [2962] = 2580,
  [2963] = 2588,
  [2964] = 2587,
  [2965] = 2584,
  [2966] = 2584,
  [2967] = 2587,
  [2968] = 2588,
  [2969] = 2580,
  [2970] = 2587,
  [2971] = 2580,
  [2972] = 2584,
  [2973] = 2588,
  [2974] = 2580,
  [2975] = 2587,
  [2976] = 2588,
  [2977] = 2584,
  [2978] = 2587,
  [2979] = 2580,
  [2980] = 2588,
  [2981] = 2580,
  [2982] = 2584,
  [2983] = 2588,
  [2984] = 2580,
  [2985] = 2584,
  [2986] = 2588,
  [2987] = 2584,
  [2988] = 2587,
  [2989] = 2580,
  [2990] = 2587,
  [2991] = 2587,
  [2992] = 2584,
  [2993] = 2588,
  [2994] = 2580,
  [2995] = 2587,
  [2996] = 2584,
  [2997] = 2588,
  [2998] = 2580,
  [2999] = 2587,
  [3000] = 2587,
  [3001] = 2584,
  [3002] = 2588,
  [3003] = 2580,
  [3004] = 2587,
  [3005] = 2584,
  [3006] = 2580,
  [3007] = 2588,
  [3008] = 2587,
  [3009] = 2584,
  [3010] = 2587,
  [3011] = 2584,
  [3012] = 2580,
  [3013] = 2588,
  [3014] = 2588,
  [3015] = 2584,
  [3016] = 2584,
  [3017] = 2580,
  [3018] = 2588,
  [3019] = 2588,
  [3020] = 2587,
  [3021] = 2587,
  [3022] = 2584,
  [3023] = 2588,
  [3024] = 2580,
  [3025] = 2587,
  [3026] = 2584,
  [3027] = 2588,
  [3028] = 2588,
  [3029] = 2580,
  [3030] = 2348,
  [3031] = 2587,
  [3032] = 2584,
  [3033] = 2588,
  [3034] = 2580,
  [3035] = 2587,
  [3036] = 2580,
  [3037] = 2580,
  [3038] = 2588,
  [3039] = 2584,
  [3040] = 2587,
  [3041] = 2580,
  [3042] = 2584,
  [3043] = 2588,
  [3044] = 2580,
  [3045] = 2584,
  [3046] = 2588,
  [3047] = 2580,
  [3048] = 2580,
  [3049] = 2587,
  [3050] = 2587,
  [3051] = 2584,
  [3052] = 2588,
  [3053] = 2580,
  [3054] = 2587,
  [3055] = 2588,
  [3056] = 2584,
  [3057] = 2588,
  [3058] = 2580,
  [3059] = 2587,
  [3060] = 2584,
  [3061] = 2588,
  [3062] = 2580,
  [3063] = 2587,
  [3064] = 2584,
  [3065] = 2580,
  [3066] = 2588,
  [3067] = 2588,
  [3068] = 2587,
  [3069] = 2584,
  [3070] = 2580,
  [3071] = 2587,
  [3072] = 2584,
  [3073] = 2587,
  [3074] = 2580,
  [3075] = 2580,
  [3076] = 2587,
  [3077] = 2584,
  [3078] = 2584,
  [3079] = 2588,
  [3080] = 2580,
  [3081] = 2587,
  [3082] = 3082,
  [3083] = 3083,
  [3084] = 3084,
  [3085] = 3085,
  [3086] = 3086,
  [3087] = 3087,
  [3088] = 3088,
  [3089] = 3086,
  [3090] = 3090,
  [3091] = 3090,
  [3092] = 3092,
  [3093] = 3086,
  [3094] = 3086,
  [3095] = 2348,
  [3096] = 3088,
  [3097] = 3084,
  [3098] = 3083,
  [3099] = 3085,
  [3100] = 3090,
  [3101] = 3101,
  [3102] = 3092,
  [3103] = 3083,
  [3104] = 3084,
  [3105] = 3092,
  [3106] = 3090,
  [3107] = 3085,
  [3108] = 3086,
  [3109] = 3082,
  [3110] = 3088,
  [3111] = 3086,
  [3112] = 3084,
  [3113] = 3083,
  [3114] = 3088,
  [3115] = 3092,
  [3116] = 3086,
  [3117] = 3090,
  [3118] = 3085,
  [3119] = 3092,
  [3120] = 3086,
  [3121] = 3086,
  [3122] = 3083,
  [3123] = 3088,
  [3124] = 3101,
  [3125] = 3084,
  [3126] = 3083,
  [3127] = 3084,
  [3128] = 3092,
  [3129] = 3090,
  [3130] = 3085,
  [3131] = 3086,
  [3132] = 3132,
  [3133] = 3101,
  [3134] = 3086,
  [3135] = 3088,
  [3136] = 3085,
  [3137] = 3090,
  [3138] = 3092,
  [3139] = 3083,
  [3140] = 3084,
  [3141] = 3090,
  [3142] = 3086,
  [3143] = 3086,
  [3144] = 3086,
  [3145] = 3084,
  [3146] = 3083,
  [3147] = 3092,
  [3148] = 3088,
  [3149] = 3132,
  [3150] = 3090,
  [3151] = 3101,
  [3152] = 3085,
  [3153] = 3090,
  [3154] = 3084,
  [3155] = 3092,
  [3156] = 3083,
  [3157] = 3088,
  [3158] = 3084,
  [3159] = 3088,
  [3160] = 3092,
  [3161] = 3092,
  [3162] = 3086,
  [3163] = 3132,
  [3164] = 3083,
  [3165] = 3088,
  [3166] = 3084,
  [3167] = 3084,
  [3168] = 3083,
  [3169] = 3086,
  [3170] = 3085,
  [3171] = 3090,
  [3172] = 3092,
  [3173] = 3083,
  [3174] = 3084,
  [3175] = 3092,
  [3176] = 3090,
  [3177] = 3085,
  [3178] = 3088,
  [3179] = 3090,
  [3180] = 3101,
  [3181] = 3092,
  [3182] = 3088,
  [3183] = 3090,
  [3184] = 3083,
  [3185] = 3084,
  [3186] = 3092,
  [3187] = 3086,
  [3188] = 3088,
  [3189] = 3090,
  [3190] = 3088,
  [3191] = 3092,
  [3192] = 3083,
  [3193] = 3083,
  [3194] = 3084,
  [3195] = 3084,
  [3196] = 3083,
  [3197] = 3197,
  [3198] = 3092,
  [3199] = 3101,
  [3200] = 3085,
  [3201] = 3090,
  [3202] = 3092,
  [3203] = 3083,
  [3204] = 3084,
  [3205] = 3090,
  [3206] = 3085,
  [3207] = 3084,
  [3208] = 3208,
  [3209] = 3088,
  [3210] = 3101,
  [3211] = 3090,
  [3212] = 3088,
  [3213] = 3092,
  [3214] = 3086,
  [3215] = 3086,
  [3216] = 3084,
  [3217] = 3088,
  [3218] = 3088,
  [3219] = 3088,
  [3220] = 3084,
  [3221] = 2348,
  [3222] = 3083,
  [3223] = 3084,
  [3224] = 3092,
  [3225] = 3086,
  [3226] = 3090,
  [3227] = 3085,
  [3228] = 3090,
  [3229] = 3132,
  [3230] = 3092,
  [3231] = 3085,
  [3232] = 3197,
  [3233] = 3090,
  [3234] = 3092,
  [3235] = 3083,
  [3236] = 3084,
  [3237] = 3101,
  [3238] = 3101,
  [3239] = 3083,
  [3240] = 3084,
  [3241] = 3088,
  [3242] = 3086,
  [3243] = 3243,
  [3244] = 3090,
  [3245] = 3088,
  [3246] = 3088,
  [3247] = 3092,
  [3248] = 3083,
  [3249] = 3084,
  [3250] = 3083,
  [3251] = 3084,
  [3252] = 3086,
  [3253] = 3132,
  [3254] = 3083,
  [3255] = 3090,
  [3256] = 3092,
  [3257] = 3092,
  [3258] = 3090,
  [3259] = 3088,
  [3260] = 3083,
  [3261] = 3090,
  [3262] = 3085,
  [3263] = 3086,
  [3264] = 3090,
  [3265] = 3092,
  [3266] = 3083,
  [3267] = 3084,
  [3268] = 3132,
  [3269] = 3083,
  [3270] = 3084,
  [3271] = 3197,
  [3272] = 3088,
  [3273] = 3088,
  [3274] = 3088,
  [3275] = 3088,
  [3276] = 3090,
  [3277] = 3101,
  [3278] = 3084,
  [3279] = 3083,
  [3280] = 3083,
  [3281] = 3092,
  [3282] = 3084,
  [3283] = 2348,
  [3284] = 3083,
  [3285] = 3092,
  [3286] = 3092,
  [3287] = 3086,
  [3288] = 3090,
  [3289] = 3092,
  [3290] = 3132,
  [3291] = 3083,
  [3292] = 3084,
  [3293] = 3088,
  [3294] = 3197,
  [3295] = 3101,
  [3296] = 3085,
  [3297] = 3090,
  [3298] = 3092,
  [3299] = 3083,
  [3300] = 3090,
  [3301] = 3084,
  [3302] = 3086,
  [3303] = 3088,
  [3304] = 3132,
  [3305] = 3088,
  [3306] = 3197,
  [3307] = 3084,
  [3308] = 3088,
  [3309] = 3088,
  [3310] = 3101,
  [3311] = 3083,
  [3312] = 3312,
  [3313] = 3092,
  [3314] = 3090,
  [3315] = 3090,
  [3316] = 3090,
  [3317] = 3090,
  [3318] = 3086,
  [3319] = 3132,
  [3320] = 3197,
  [3321] = 3092,
  [3322] = 3083,
  [3323] = 3084,
  [3324] = 3101,
  [3325] = 3088,
  [3326] = 3084,
  [3327] = 3101,
  [3328] = 3086,
  [3329] = 3092,
  [3330] = 3085,
  [3331] = 3090,
  [3332] = 3092,
  [3333] = 3083,
  [3334] = 3084,
  [3335] = 3083,
  [3336] = 3083,
  [3337] = 3092,
  [3338] = 3090,
  [3339] = 3088,
  [3340] = 3086,
  [3341] = 3090,
  [3342] = 3088,
  [3343] = 3092,
  [3344] = 3132,
  [3345] = 3083,
  [3346] = 3197,
  [3347] = 3084,
  [3348] = 3088,
  [3349] = 3084,
  [3350] = 3083,
  [3351] = 3090,
  [3352] = 3101,
  [3353] = 3092,
  [3354] = 3090,
  [3355] = 3088,
  [3356] = 3090,
  [3357] = 3092,
  [3358] = 3083,
  [3359] = 3085,
  [3360] = 3090,
  [3361] = 3092,
  [3362] = 3083,
  [3363] = 3084,
  [3364] = 3084,
  [3365] = 3084,
  [3366] = 3088,
  [3367] = 3088,
  [3368] = 3084,
  [3369] = 3083,
  [3370] = 3092,
  [3371] = 3088,
  [3372] = 3090,
  [3373] = 3084,
  [3374] = 3088,
  [3375] = 3083,
  [3376] = 3086,
  [3377] = 3092,
  [3378] = 3132,
  [3379] = 3092,
  [3380] = 3083,
  [3381] = 3083,
  [3382] = 3101,
  [3383] = 3084,
  [3384] = 3088,
  [3385] = 3084,
  [3386] = 3083,
  [3387] = 3092,
  [3388] = 3090,
  [3389] = 3092,
  [3390] = 3090,
  [3391] = 3085,
  [3392] = 3090,
  [3393] = 3092,
  [3394] = 3083,
  [3395] = 3084,
  [3396] = 3092,
  [3397] = 3090,
  [3398] = 3083,
  [3399] = 3083,
  [3400] = 3084,
  [3401] = 3088,
  [3402] = 3243,
  [3403] = 3084,
  [3404] = 3088,
  [3405] = 3083,
  [3406] = 3090,
  [3407] = 3086,
  [3408] = 3132,
  [3409] = 2348,
  [3410] = 3197,
  [3411] = 3101,
  [3412] = 3088,
  [3413] = 3086,
  [3414] = 3132,
  [3415] = 3197,
  [3416] = 3101,
  [3417] = 3090,
  [3418] = 3092,
  [3419] = 3101,
  [3420] = 3197,
  [3421] = 3132,
  [3422] = 3084,
  [3423] = 3086,
  [3424] = 3101,
  [3425] = 3085,
  [3426] = 3090,
  [3427] = 3092,
  [3428] = 3083,
  [3429] = 3086,
  [3430] = 3084,
  [3431] = 3092,
  [3432] = 3086,
  [3433] = 3132,
  [3434] = 3090,
  [3435] = 3088,
  [3436] = 3088,
  [3437] = 3086,
  [3438] = 3086,
  [3439] = 3090,
  [3440] = 3092,
  [3441] = 3197,
  [3442] = 3101,
  [3443] = 3088,
  [3444] = 3083,
  [3445] = 3084,
  [3446] = 3446,
  [3447] = 3088,
  [3448] = 3448,
  [3449] = 3449,
  [3450] = 3450,
  [3451] = 3084,
  [3452] = 3084,
  [3453] = 3083,
  [3454] = 3092,
  [3455] = 3086,
  [3456] = 3132,
  [3457] = 3197,
  [3458] = 3101,
  [3459] = 3090,
  [3460] = 3086,
  [3461] = 3088,
  [3462] = 3085,
  [3463] = 3101,
  [3464] = 3101,
  [3465] = 3086,
  [3466] = 3090,
  [3467] = 3092,
  [3468] = 3083,
  [3469] = 3090,
  [3470] = 3084,
  [3471] = 3101,
  [3472] = 3086,
  [3473] = 3197,
  [3474] = 3086,
  [3475] = 3092,
  [3476] = 3088,
  [3477] = 3083,
  [3478] = 3084,
  [3479] = 3101,
  [3480] = 3088,
  [3481] = 3086,
  [3482] = 3088,
  [3483] = 3084,
  [3484] = 3087,
  [3485] = 3083,
  [3486] = 3086,
  [3487] = 3101,
  [3488] = 3488,
  [3489] = 3489,
  [3490] = 3088,
  [3491] = 3084,
  [3492] = 3086,
  [3493] = 3101,
  [3494] = 3086,
  [3495] = 3489,
  [3496] = 3488,
  [3497] = 3497,
  [3498] = 3498,
  [3499] = 3083,
  [3500] = 3132,
  [3501] = 3197,
  [3502] = 3101,
  [3503] = 3086,
  [3504] = 3086,
  [3505] = 3086,
  [3506] = 3086,
  [3507] = 3090,
  [3508] = 3101,
  [3509] = 3101,
  [3510] = 3086,
  [3511] = 3083,
  [3512] = 3090,
  [3513] = 3513,
  [3514] = 3514,
  [3515] = 3101,
  [3516] = 3101,
  [3517] = 3197,
  [3518] = 3132,
  [3519] = 3519,
  [3520] = 3086,
  [3521] = 3086,
  [3522] = 3522,
  [3523] = 3101,
  [3524] = 3086,
  [3525] = 3086,
  [3526] = 3526,
  [3527] = 3092,
  [3528] = 3528,
  [3529] = 3086,
  [3530] = 3085,
  [3531] = 3101,
  [3532] = 3090,
  [3533] = 3092,
  [3534] = 3083,
  [3535] = 3086,
  [3536] = 3083,
  [3537] = 3101,
  [3538] = 3084,
  [3539] = 3092,
  [3540] = 3084,
  [3541] = 3086,
  [3542] = 3088,
  [3543] = 3101,
  [3544] = 3446,
  [3545] = 3086,
  [3546] = 3088,
  [3547] = 3448,
  [3548] = 3090,
  [3549] = 3449,
  [3550] = 3086,
  [3551] = 3092,
  [3552] = 3090,
  [3553] = 3101,
  [3554] = 3092,
  [3555] = 3086,
  [3556] = 3450,
  [3557] = 3557,
  [3558] = 3132,
  [3559] = 3090,
  [3560] = 3083,
  [3561] = 3513,
  [3562] = 3101,
  [3563] = 3084,
  [3564] = 3086,
  [3565] = 3088,
  [3566] = 3197,
  [3567] = 3088,
  [3568] = 3092,
  [3569] = 3101,
  [3570] = 3101,
  [3571] = 3489,
  [3572] = 3488,
  [3573] = 3086,
  [3574] = 3083,
  [3575] = 3086,
  [3576] = 3576,
  [3577] = 3497,
  [3578] = 3498,
  [3579] = 3092,
  [3580] = 3101,
  [3581] = 3086,
  [3582] = 3086,
  [3583] = 3084,
  [3584] = 3101,
  [3585] = 3086,
  [3586] = 3083,
  [3587] = 3101,
  [3588] = 3588,
  [3589] = 3086,
  [3590] = 3092,
  [3591] = 3088,
  [3592] = 3088,
  [3593] = 3090,
  [3594] = 3101,
  [3595] = 3086,
  [3596] = 3101,
  [3597] = 3086,
  [3598] = 3197,
  [3599] = 3312,
  [3600] = 3086,
  [3601] = 3086,
  [3602] = 3132,
  [3603] = 3086,
  [3604] = 3088,
  [3605] = 3088,
  [3606] = 3086,
  [3607] = 3446,
  [3608] = 3448,
  [3609] = 3449,
  [3610] = 3450,
  [3611] = 3101,
  [3612] = 3197,
  [3613] = 3084,
  [3614] = 3101,
  [3615] = 3086,
  [3616] = 3132,
  [3617] = 3086,
  [3618] = 3090,
  [3619] = 3101,
  [3620] = 3620,
  [3621] = 3621,
  [3622] = 3101,
  [3623] = 3086,
  [3624] = 3197,
  [3625] = 3086,
  [3626] = 3092,
  [3627] = 3101,
  [3628] = 3628,
  [3629] = 3085,
  [3630] = 3086,
  [3631] = 3101,
  [3632] = 3101,
  [3633] = 3086,
  [3634] = 3083,
  [3635] = 3101,
  [3636] = 3101,
  [3637] = 3514,
  [3638] = 3519,
  [3639] = 3522,
  [3640] = 3197,
  [3641] = 3526,
  [3642] = 3528,
  [3643] = 3086,
  [3644] = 3132,
  [3645] = 3086,
  [3646] = 3083,
  [3647] = 3446,
  [3648] = 3090,
  [3649] = 3092,
  [3650] = 3083,
  [3651] = 3086,
  [3652] = 3084,
  [3653] = 3448,
  [3654] = 3088,
  [3655] = 3085,
  [3656] = 3084,
  [3657] = 3101,
  [3658] = 3449,
  [3659] = 3086,
  [3660] = 3090,
  [3661] = 3084,
  [3662] = 3101,
  [3663] = 3101,
  [3664] = 3092,
  [3665] = 3083,
  [3666] = 3101,
  [3667] = 3086,
  [3668] = 3084,
  [3669] = 3243,
  [3670] = 3450,
  [3671] = 3101,
  [3672] = 3083,
  [3673] = 3090,
  [3674] = 3084,
  [3675] = 3101,
  [3676] = 3086,
  [3677] = 3101,
  [3678] = 3086,
  [3679] = 3082,
  [3680] = 3090,
  [3681] = 3087,
  [3682] = 3101,
  [3683] = 3086,
  [3684] = 3092,
  [3685] = 3083,
  [3686] = 3084,
  [3687] = 3101,
  [3688] = 3086,
  [3689] = 3101,
  [3690] = 3086,
  [3691] = 3101,
  [3692] = 3086,
  [3693] = 3101,
  [3694] = 3086,
  [3695] = 3101,
  [3696] = 3086,
  [3697] = 3513,
  [3698] = 3514,
  [3699] = 3519,
  [3700] = 3092,
  [3701] = 3522,
  [3702] = 3085,
  [3703] = 3526,
  [3704] = 3528,
  [3705] = 3101,
  [3706] = 3197,
  [3707] = 3132,
  [3708] = 3086,
  [3709] = 3088,
  [3710] = 3101,
  [3711] = 3086,
  [3712] = 3101,
  [3713] = 3086,
  [3714] = 3088,
  [3715] = 3101,
  [3716] = 3085,
  [3717] = 3088,
  [3718] = 3086,
  [3719] = 3489,
  [3720] = 3488,
  [3721] = 3576,
  [3722] = 3497,
  [3723] = 3498,
  [3724] = 3557,
  [3725] = 3101,
  [3726] = 3086,
  [3727] = 3450,
  [3728] = 3101,
  [3729] = 3090,
  [3730] = 3101,
  [3731] = 3132,
  [3732] = 3449,
  [3733] = 3086,
  [3734] = 3489,
  [3735] = 3448,
  [3736] = 3446,
  [3737] = 3588,
  [3738] = 3101,
  [3739] = 3488,
  [3740] = 3086,
  [3741] = 3101,
  [3742] = 3101,
  [3743] = 3086,
  [3744] = 3197,
  [3745] = 3101,
  [3746] = 3132,
  [3747] = 3086,
  [3748] = 3086,
  [3749] = 3088,
  [3750] = 3101,
  [3751] = 3090,
  [3752] = 3092,
  [3753] = 3312,
  [3754] = 2348,
  [3755] = 3086,
  [3756] = 3132,
  [3757] = 3197,
  [3758] = 3086,
  [3759] = 3101,
  [3760] = 3101,
  [3761] = 3086,
  [3762] = 3088,
  [3763] = 3576,
  [3764] = 3101,
  [3765] = 3086,
  [3766] = 3497,
  [3767] = 3101,
  [3768] = 3197,
  [3769] = 3132,
  [3770] = 3498,
  [3771] = 3557,
  [3772] = 3086,
  [3773] = 3084,
  [3774] = 3086,
  [3775] = 3086,
  [3776] = 3086,
  [3777] = 3086,
  [3778] = 3101,
  [3779] = 3101,
  [3780] = 3086,
  [3781] = 3101,
  [3782] = 3086,
  [3783] = 3101,
  [3784] = 3086,
  [3785] = 3086,
  [3786] = 3588,
  [3787] = 3101,
  [3788] = 3101,
  [3789] = 3086,
  [3790] = 3101,
  [3791] = 3088,
  [3792] = 3086,
  [3793] = 3084,
  [3794] = 3101,
  [3795] = 3086,
  [3796] = 3101,
  [3797] = 3083,
  [3798] = 3086,
  [3799] = 3101,
  [3800] = 3086,
  [3801] = 2348,
  [3802] = 3101,
  [3803] = 3086,
  [3804] = 3086,
  [3805] = 3101,
  [3806] = 3086,
  [3807] = 3101,
  [3808] = 3101,
  [3809] = 3086,
  [3810] = 3086,
  [3811] = 3086,
  [3812] = 3101,
  [3813] = 3086,
  [3814] = 3101,
  [3815] = 3101,
  [3816] = 3086,
  [3817] = 3101,
  [3818] = 3132,
  [3819] = 3086,
  [3820] = 3086,
  [3821] = 3197,
  [3822] = 3101,
  [3823] = 3101,
  [3824] = 3101,
  [3825] = 3101,
  [3826] = 3090,
  [3827] = 3086,
  [3828] = 3092,
  [3829] = 3086,
  [3830] = 3101,
  [3831] = 3101,
  [3832] = 3086,
  [3833] = 3086,
  [3834] = 3101,
  [3835] = 3086,
  [3836] = 3101,
  [3837] = 3101,
  [3838] = 3086,
  [3839] = 3101,
  [3840] = 3086,
  [3841] = 2348,
  [3842] = 2348,
  [3843] = 2348,
  [3844] = 2348,
  [3845] = 2348,
  [3846] = 3846,
  [3847] = 3846,
  [3848] = 3846,
  [3849] = 3846,
  [3850] = 3846,
  [3851] = 3846,
  [3852] = 3846,
  [3853] = 3846,
  [3854] = 3846,
  [3855] = 3846,
  [3856] = 3846,
  [3857] = 3846,
  [3858] = 3846,
  [3859] = 3846,
  [3860] = 3846,
  [3861] = 3846,
  [3862] = 3846,
  [3863] = 3846,
  [3864] = 3846,
  [3865] = 3846,
  [3866] = 3846,
  [3867] = 3846,
  [3868] = 3846,
  [3869] = 3846,
  [3870] = 3846,
  [3871] = 3846,
  [3872] = 3846,
  [3873] = 3846,
  [3874] = 3846,
  [3875] = 3846,
  [3876] = 3846,
  [3877] = 3846,
  [3878] = 3846,
  [3879] = 3846,
  [3880] = 3880,
  [3881] = 3846,
  [3882] = 3846,
  [3883] = 3846,
  [3884] = 3846,
  [3885] = 3846,
  [3886] = 3846,
  [3887] = 2348,
  [3888] = 3888,
  [3889] = 3846,
  [3890] = 3846,
  [3891] = 3846,
  [3892] = 3846,
  [3893] = 3846,
  [3894] = 3846,
  [3895] = 3846,
  [3896] = 3846,
  [3897] = 3846,
  [3898] = 3846,
  [3899] = 3846,
  [3900] = 3846,
  [3901] = 3846,
  [3902] = 3846,
  [3903] = 3846,
  [3904] = 3846,
  [3905] = 3905,
  [3906] = 3905,
  [3907] = 3907,
  [3908] = 3907,
  [3909] = 3905,
  [3910] = 3905,
  [3911] = 3907,
  [3912] = 3905,
  [3913] = 3905,
  [3914] = 3907,
  [3915] = 3907,
  [3916] = 3905,
  [3917] = 3907,
  [3918] = 3907,
  [3919] = 3907,
  [3920] = 3907,
  [3921] = 3905,
  [3922] = 3905,
  [3923] = 3905,
  [3924] = 3924,
  [3925] = 3905,
  [3926] = 3907,
  [3927] = 3907,
  [3928] = 3905,
  [3929] = 3907,
  [3930] = 3905,
  [3931] = 3907,
  [3932] = 3907,
  [3933] = 3905,
  [3934] = 3905,
  [3935] = 3907,
  [3936] = 3936,
  [3937] = 3905,
  [3938] = 3905,
  [3939] = 3905,
  [3940] = 3907,
  [3941] = 3907,
  [3942] = 3905,
  [3943] = 3905,
  [3944] = 3907,
  [3945] = 3905,
  [3946] = 3907,
  [3947] = 3905,
  [3948] = 3905,
  [3949] = 3905,
  [3950] = 3907,
  [3951] = 3924,
  [3952] = 3905,
  [3953] = 3936,
  [3954] = 3888,
  [3955] = 3905,
  [3956] = 3907,
  [3957] = 3907,
  [3958] = 3907,
  [3959] = 3905,
  [3960] = 3907,
  [3961] = 3907,
  [3962] = 3907,
  [3963] = 3888,
  [3964] = 3905,
  [3965] = 3905,
  [3966] = 3907,
  [3967] = 3907,
  [3968] = 3907,
  [3969] = 3905,
  [3970] = 3907,
  [3971] = 3905,
  [3972] = 3907,
  [3973] = 3880,
  [3974] = 3907,
  [3975] = 3905,
  [3976] = 3907,
  [3977] = 3905,
  [3978] = 3905,
  [3979] = 3907,
  [3980] = 3907,
  [3981] = 3905,
  [3982] = 3907,
  [3983] = 3905,
  [3984] = 3907,
  [3985] = 3905,
  [3986] = 3907,
  [3987] = 3907,
  [3988] = 3905,
  [3989] = 3905,
  [3990] = 3905,
  [3991] = 3907,
  [3992] = 3905,
  [3993] = 3907,
  [3994] = 3907,
  [3995] = 3907,
  [3996] = 3905,
  [3997] = 3905,
  [3998] = 3907,
  [3999] = 3905,
  [4000] = 3907,
  [4001] = 3907,
  [4002] = 3905,
  [4003] = 3905,
  [4004] = 3905,
  [4005] = 3905,
  [4006] = 3907,
  [4007] = 3880,
  [4008] = 3905,
  [4009] = 3907,
  [4010] = 3907,
  [4011] = 3905,
  [4012] = 3905,
  [4013] = 3907,
  [4014] = 3905,
  [4015] = 3905,
  [4016] = 3905,
  [4017] = 3907,
  [4018] = 3907,
  [4019] = 3905,
  [4020] = 3907,
  [4021] = 3907,
  [4022] = 3907,
  [4023] = 3905,
  [4024] = 3907,
  [4025] = 3888,
  [4026] = 4026,
  [4027] = 3880,
  [4028] = 3888,
  [4029] = 3880,
  [4030] = 3880,
  [4031] = 4031,
  [4032] = 3888,
  [4033] = 3888,
  [4034] = 3880,
  [4035] = 3888,
  [4036] = 3880,
  [4037] = 3888,
  [4038] = 4038,
  [4039] = 4039,
  [4040] = 3880,
  [4041] = 3888,
  [4042] = 3888,
  [4043] = 3880,
  [4044] = 4038,
  [4045] = 3888,
  [4046] = 3880,
  [4047] = 3880,
  [4048] = 4038,
  [4049] = 3888,
  [4050] = 3888,
  [4051] = 3888,
  [4052] = 3880,
  [4053] = 3880,
  [4054] = 3880,
  [4055] = 3880,
  [4056] = 3880,
  [4057] = 3888,
  [4058] = 3880,
  [4059] = 3888,
  [4060] = 3888,
  [4061] = 3880,
  [4062] = 3888,
  [4063] = 3880,
  [4064] = 3888,
  [4065] = 4065,
  [4066] = 4066,
  [4067] = 3880,
  [4068] = 4068,
  [4069] = 4068,
  [4070] = 3888,
  [4071] = 3880,
  [4072] = 3888,
  [4073] = 3888,
  [4074] = 3880,
  [4075] = 3888,
  [4076] = 3880,
  [4077] = 3888,
  [4078] = 3880,
  [4079] = 4079,
  [4080] = 4079,
  [4081] = 4079,
  [4082] = 4079,
  [4083] = 4079,
  [4084] = 4084,
  [4085] = 4079,
  [4086] = 4086,
  [4087] = 4087,
  [4088] = 4079,
  [4089] = 4086,
  [4090] = 4090,
  [4091] = 4079,
  [4092] = 4079,
  [4093] = 4079,
  [4094] = 4079,
  [4095] = 4087,
  [4096] = 4079,
  [4097] = 4066,
  [4098] = 4098,
  [4099] = 4079,
  [4100] = 4090,
  [4101] = 4079,
  [4102] = 4079,
  [4103] = 4079,
  [4104] = 4079,
  [4105] = 4079,
  [4106] = 4079,
  [4107] = 4079,
  [4108] = 4079,
  [4109] = 4086,
  [4110] = 4079,
  [4111] = 4079,
  [4112] = 4112,
  [4113] = 4084,
  [4114] = 4079,
  [4115] = 4098,
  [4116] = 4079,
  [4117] = 4079,
  [4118] = 4079,
  [4119] = 4084,
  [4120] = 4112,
  [4121] = 4079,
  [4122] = 4098,
  [4123] = 4084,
  [4124] = 4086,
  [4125] = 4112,
  [4126] = 4090,
  [4127] = 4079,
  [4128] = 4079,
  [4129] = 4079,
  [4130] = 4079,
  [4131] = 4084,
  [4132] = 4079,
  [4133] = 4086,
  [4134] = 4079,
  [4135] = 4079,
  [4136] = 4079,
  [4137] = 4137,
  [4138] = 4138,
  [4139] = 4137,
  [4140] = 4140,
  [4141] = 4141,
  [4142] = 4142,
  [4143] = 4143,
  [4144] = 4144,
  [4145] = 4145,
  [4146] = 4140,
  [4147] = 4147,
  [4148] = 4147,
  [4149] = 4140,
  [4150] = 4137,
  [4151] = 4147,
  [4152] = 4144,
  [4153] = 4137,
  [4154] = 4138,
  [4155] = 4155,
  [4156] = 4138,
  [4157] = 4141,
  [4158] = 3880,
  [4159] = 4159,
  [4160] = 4142,
  [4161] = 4155,
  [4162] = 3888,
  [4163] = 4145,
  [4164] = 4140,
  [4165] = 4159,
  [4166] = 4137,
  [4167] = 4145,
  [4168] = 4140,
  [4169] = 4169,
  [4170] = 4144,
  [4171] = 4143,
  [4172] = 4155,
  [4173] = 4147,
  [4174] = 4143,
  [4175] = 4142,
  [4176] = 4141,
  [4177] = 4147,
  [4178] = 4159,
  [4179] = 4179,
  [4180] = 4180,
  [4181] = 4181,
  [4182] = 4182,
  [4183] = 4182,
  [4184] = 4182,
  [4185] = 4182,
  [4186] = 4186,
  [4187] = 4187,
  [4188] = 4187,
  [4189] = 4182,
  [4190] = 4190,
  [4191] = 4191,
  [4192] = 4192,
  [4193] = 4193,
  [4194] = 4191,
  [4195] = 4193,
  [4196] = 4196,
  [4197] = 4191,
  [4198] = 4192,
  [4199] = 4199,
  [4200] = 4187,
  [4201] = 4190,
  [4202] = 4202,
  [4203] = 4203,
  [4204] = 4202,
  [4205] = 4202,
  [4206] = 4190,
  [4207] = 4191,
  [4208] = 4202,
  [4209] = 4191,
  [4210] = 4210,
  [4211] = 4190,
  [4212] = 4212,
  [4213] = 4196,
  [4214] = 4214,
  [4215] = 4215,
  [4216] = 4215,
  [4217] = 4210,
  [4218] = 4218,
  [4219] = 4219,
  [4220] = 4220,
  [4221] = 4221,
  [4222] = 4222,
  [4223] = 4223,
  [4224] = 4224,
  [4225] = 4225,
  [4226] = 4226,
  [4227] = 4221,
  [4228] = 4218,
  [4229] = 4224,
  [4230] = 4219,
  [4231] = 4231,
  [4232] = 4232,
  [4233] = 4233,
  [4234] = 4234,
  [4235] = 4231,
  [4236] = 4232,
  [4237] = 4237,
  [4238] = 4231,
  [4239] = 4203,
  [4240] = 4240,
  [4241] = 4232,
  [4242] = 4242,
  [4243] = 4243,
  [4244] = 4234,
  [4245] = 4245,
  [4246] = 4215,
  [4247] = 4233,
  [4248] = 4248,
  [4249] = 4249,
  [4250] = 4210,
  [4251] = 4251,
  [4252] = 4243,
  [4253] = 4221,
  [4254] = 4254,
  [4255] = 4234,
  [4256] = 4248,
  [4257] = 4248,
  [4258] = 4258,
  [4259] = 4210,
  [4260] = 4219,
  [4261] = 4221,
  [4262] = 4196,
  [4263] = 4263,
  [4264] = 4210,
  [4265] = 4218,
  [4266] = 4220,
  [4267] = 4249,
  [4268] = 4221,
  [4269] = 4215,
  [4270] = 4270,
  [4271] = 4245,
  [4272] = 4220,
  [4273] = 4212,
  [4274] = 4270,
  [4275] = 4275,
  [4276] = 4220,
  [4277] = 4240,
  [4278] = 4215,
  [4279] = 4240,
  [4280] = 4280,
  [4281] = 4270,
  [4282] = 4240,
  [4283] = 4212,
  [4284] = 4248,
  [4285] = 4240,
  [4286] = 4263,
  [4287] = 4243,
  [4288] = 4288,
  [4289] = 4234,
  [4290] = 4232,
  [4291] = 4231,
  [4292] = 4292,
  [4293] = 4270,
  [4294] = 4275,
  [4295] = 4212,
  [4296] = 4270,
  [4297] = 4212,
  [4298] = 4298,
  [4299] = 4299,
  [4300] = 4243,
  [4301] = 4249,
  [4302] = 4221,
  [4303] = 4303,
  [4304] = 4304,
  [4305] = 4237,
  [4306] = 4249,
  [4307] = 4221,
  [4308] = 4220,
  [4309] = 4218,
  [4310] = 4249,
  [4311] = 4203,
  [4312] = 4224,
  [4313] = 4224,
  [4314] = 4219,
  [4315] = 4223,
  [4316] = 4222,
  [4317] = 4317,
  [4318] = 4318,
  [4319] = 4196,
  [4320] = 4320,
  [4321] = 4317,
  [4322] = 4322,
  [4323] = 4323,
  [4324] = 4324,
  [4325] = 4317,
  [4326] = 4225,
  [4327] = 4317,
  [4328] = 4225,
  [4329] = 4317,
  [4330] = 4210,
  [4331] = 4317,
  [4332] = 3888,
  [4333] = 4275,
  [4334] = 4275,
  [4335] = 4210,
  [4336] = 4317,
  [4337] = 4337,
  [4338] = 4317,
  [4339] = 4337,
  [4340] = 4254,
  [4341] = 4320,
  [4342] = 4337,
  [4343] = 4320,
  [4344] = 3880,
  [4345] = 4317,
  [4346] = 4317,
  [4347] = 4337,
  [4348] = 4320,
  [4349] = 4317,
  [4350] = 4275,
  [4351] = 4263,
  [4352] = 4317,
  [4353] = 4263,
  [4354] = 4210,
  [4355] = 4280,
  [4356] = 4280,
  [4357] = 4317,
  [4358] = 4317,
  [4359] = 4359,
  [4360] = 4360,
  [4361] = 4263,
  [4362] = 4210,
  [4363] = 4317,
  [4364] = 4364,
  [4365] = 4317,
  [4366] = 4317,
  [4367] = 4367,
  [4368] = 4203,
  [4369] = 4196,
  [4370] = 4320,
  [4371] = 4317,
  [4372] = 4196,
  [4373] = 4317,
  [4374] = 4337,
  [4375] = 4317,
  [4376] = 4254,
  [4377] = 4275,
  [4378] = 4181,
  [4379] = 4317,
  [4380] = 3888,
  [4381] = 3880,
  [4382] = 4317,
  [4383] = 4280,
  [4384] = 4317,
  [4385] = 4317,
  [4386] = 4263,
  [4387] = 4203,
  [4388] = 4203,
  [4389] = 4210,
  [4390] = 4275,
  [4391] = 4225,
  [4392] = 4392,
  [4393] = 4393,
  [4394] = 4210,
  [4395] = 4210,
  [4396] = 4199,
  [4397] = 4397,
  [4398] = 4263,
  [4399] = 4317,
  [4400] = 4275,
  [4401] = 4275,
  [4402] = 4397,
  [4403] = 4280,
  [4404] = 4199,
  [4405] = 3880,
  [4406] = 3880,
  [4407] = 4304,
  [4408] = 4210,
  [4409] = 4258,
  [4410] = 4181,
  [4411] = 4181,
  [4412] = 4397,
  [4413] = 4225,
  [4414] = 4414,
  [4415] = 4415,
  [4416] = 4415,
  [4417] = 4280,
  [4418] = 4418,
  [4419] = 3888,
  [4420] = 4364,
  [4421] = 4225,
  [4422] = 4196,
  [4423] = 4263,
  [4424] = 4288,
  [4425] = 4275,
  [4426] = 4322,
  [4427] = 4324,
  [4428] = 4322,
  [4429] = 4324,
  [4430] = 4299,
  [4431] = 4280,
  [4432] = 4214,
  [4433] = 4225,
  [4434] = 4364,
  [4435] = 4210,
  [4436] = 4275,
  [4437] = 3880,
  [4438] = 4196,
  [4439] = 4414,
  [4440] = 4251,
  [4441] = 4324,
  [4442] = 4263,
  [4443] = 4275,
  [4444] = 3880,
  [4445] = 4210,
  [4446] = 4322,
  [4447] = 4275,
  [4448] = 4263,
  [4449] = 3888,
  [4450] = 4226,
  [4451] = 4179,
  [4452] = 4263,
  [4453] = 4225,
  [4454] = 4210,
  [4455] = 3888,
  [4456] = 4225,
  [4457] = 4210,
  [4458] = 4210,
  [4459] = 4263,
  [4460] = 4263,
  [4461] = 4461,
  [4462] = 3888,
  [4463] = 4203,
  [4464] = 4242,
  [4465] = 4263,
  [4466] = 4263,
  [4467] = 4275,
  [4468] = 4280,
  [4469] = 4196,
  [4470] = 4186,
  [4471] = 4280,
  [4472] = 4292,
  [4473] = 4298,
  [4474] = 3880,
  [4475] = 4210,
  [4476] = 4203,
  [4477] = 4254,
  [4478] = 4203,
  [4479] = 4322,
  [4480] = 3880,
  [4481] = 4393,
  [4482] = 3888,
  [4483] = 4199,
  [4484] = 4324,
  [4485] = 3888,
  [4486] = 4210,
  [4487] = 4210,
  [4488] = 4275,
  [4489] = 4303,
  [4490] = 4199,
  [4491] = 4254,
  [4492] = 4210,
  [4493] = 4393,
  [4494] = 3888,
  [4495] = 4254,
  [4496] = 4181,
  [4497] = 4214,
  [4498] = 4304,
  [4499] = 4304,
  [4500] = 4186,
  [4501] = 4418,
  [4502] = 4298,
  [4503] = 4292,
  [4504] = 4275,
  [4505] = 4210,
  [4506] = 4280,
  [4507] = 3888,
  [4508] = 4258,
  [4509] = 4324,
  [4510] = 4251,
  [4511] = 4199,
  [4512] = 4303,
  [4513] = 4322,
  [4514] = 4292,
  [4515] = 4254,
  [4516] = 4298,
  [4517] = 4303,
  [4518] = 4292,
  [4519] = 4225,
  [4520] = 4288,
  [4521] = 4258,
  [4522] = 4242,
  [4523] = 4225,
  [4524] = 4203,
  [4525] = 4397,
  [4526] = 4226,
  [4527] = 3880,
  [4528] = 4322,
  [4529] = 4242,
  [4530] = 3880,
  [4531] = 4263,
  [4532] = 4532,
  [4533] = 3880,
  [4534] = 4242,
  [4535] = 4324,
  [4536] = 4263,
  [4537] = 4324,
  [4538] = 4181,
  [4539] = 4322,
  [4540] = 4280,
  [4541] = 4196,
  [4542] = 4199,
  [4543] = 4298,
  [4544] = 4393,
  [4545] = 3888,
  [4546] = 3888,
  [4547] = 4304,
  [4548] = 4280,
  [4549] = 4196,
  [4550] = 4275,
  [4551] = 3880,
  [4552] = 4397,
  [4553] = 4210,
  [4554] = 4179,
  [4555] = 3888,
  [4556] = 4210,
  [4557] = 4203,
  [4558] = 4254,
  [4559] = 4275,
  [4560] = 4414,
  [4561] = 4561,
  [4562] = 4199,
  [4563] = 4299,
  [4564] = 4304,
  [4565] = 4364,
  [4566] = 4226,
  [4567] = 3888,
  [4568] = 4210,
  [4569] = 4275,
  [4570] = 4364,
  [4571] = 3880,
  [4572] = 4214,
  [4573] = 4263,
  [4574] = 4275,
  [4575] = 4418,
  [4576] = 4324,
  [4577] = 4263,
  [4578] = 4275,
  [4579] = 4186,
  [4580] = 4226,
  [4581] = 4199,
  [4582] = 4226,
  [4583] = 3880,
  [4584] = 4242,
  [4585] = 4288,
  [4586] = 3888,
  [4587] = 4393,
  [4588] = 4225,
  [4589] = 4275,
  [4590] = 4210,
  [4591] = 4251,
  [4592] = 3880,
  [4593] = 4414,
  [4594] = 4292,
  [4595] = 4299,
  [4596] = 3888,
  [4597] = 4298,
  [4598] = 4181,
  [4599] = 4364,
  [4600] = 4203,
  [4601] = 4303,
  [4602] = 4203,
  [4603] = 4397,
  [4604] = 4393,
  [4605] = 4254,
  [4606] = 4280,
  [4607] = 4179,
  [4608] = 4280,
  [4609] = 4210,
  [4610] = 4251,
  [4611] = 4258,
  [4612] = 4280,
  [4613] = 4251,
  [4614] = 4196,
  [4615] = 4186,
  [4616] = 4303,
  [4617] = 4263,
  [4618] = 4414,
  [4619] = 4275,
  [4620] = 4263,
  [4621] = 4258,
  [4622] = 4324,
  [4623] = 4263,
  [4624] = 4322,
  [4625] = 4288,
  [4626] = 4299,
  [4627] = 4254,
  [4628] = 4318,
  [4629] = 4181,
  [4630] = 4210,
  [4631] = 4214,
  [4632] = 4367,
  [4633] = 4210,
  [4634] = 4415,
  [4635] = 4199,
  [4636] = 4280,
  [4637] = 4181,
  [4638] = 4392,
  [4639] = 4179,
  [4640] = 4415,
  [4641] = 4415,
  [4642] = 4186,
  [4643] = 4210,
  [4644] = 4263,
  [4645] = 4210,
  [4646] = 4254,
  [4647] = 4647,
  [4648] = 4263,
  [4649] = 4263,
  [4650] = 4225,
  [4651] = 3888,
  [4652] = 4210,
  [4653] = 4653,
  [4654] = 3880,
  [4655] = 3888,
  [4656] = 3880,
  [4657] = 4322,
  [4658] = 4225,
  [4659] = 4199,
  [4660] = 4415,
  [4661] = 4324,
  [4662] = 4275,
  [4663] = 4225,
  [4664] = 4322,
  [4665] = 4324,
  [4666] = 4415,
  [4667] = 3888,
  [4668] = 4179,
  [4669] = 4181,
  [4670] = 3880,
  [4671] = 4275,
  [4672] = 4414,
  [4673] = 4225,
  [4674] = 4181,
  [4675] = 4322,
  [4676] = 4414,
  [4677] = 4288,
  [4678] = 4196,
  [4679] = 4299,
  [4680] = 4214,
  [4681] = 4360,
  [4682] = 4199,
  [4683] = 4258,
  [4684] = 4414,
  [4685] = 4251,
  [4686] = 4254,
  [4687] = 4561,
  [4688] = 4203,
  [4689] = 4532,
  [4690] = 4418,
  [4691] = 4280,
  [4692] = 4304,
  [4693] = 4226,
  [4694] = 4254,
  [4695] = 4242,
  [4696] = 4292,
  [4697] = 4263,
  [4698] = 4226,
  [4699] = 4242,
  [4700] = 4225,
  [4701] = 4647,
  [4702] = 4298,
  [4703] = 4199,
  [4704] = 4263,
  [4705] = 4292,
  [4706] = 4186,
  [4707] = 4298,
  [4708] = 4653,
  [4709] = 4225,
  [4710] = 4275,
  [4711] = 4254,
  [4712] = 4303,
  [4713] = 4258,
  [4714] = 4258,
  [4715] = 4303,
  [4716] = 4298,
  [4717] = 4186,
  [4718] = 4414,
  [4719] = 4292,
  [4720] = 4251,
  [4721] = 4254,
  [4722] = 4722,
  [4723] = 4254,
  [4724] = 4724,
  [4725] = 4242,
  [4726] = 4226,
  [4727] = 4303,
  [4728] = 4653,
  [4729] = 4203,
  [4730] = 4258,
  [4731] = 4254,
  [4732] = 4225,
  [4733] = 4647,
  [4734] = 4254,
  [4735] = 4280,
  [4736] = 4722,
  [4737] = 4392,
  [4738] = 4254,
  [4739] = 4367,
  [4740] = 4318,
  [4741] = 4393,
  [4742] = 4275,
  [4743] = 4199,
  [4744] = 4275,
  [4745] = 4251,
  [4746] = 4746,
  [4747] = 4263,
  [4748] = 4210,
  [4749] = 4196,
  [4750] = 3888,
  [4751] = 4397,
  [4752] = 4263,
  [4753] = 3880,
  [4754] = 3888,
  [4755] = 4360,
  [4756] = 4318,
  [4757] = 4397,
  [4758] = 4196,
  [4759] = 3880,
  [4760] = 3888,
  [4761] = 4324,
  [4762] = 4414,
  [4763] = 4225,
  [4764] = 3880,
  [4765] = 3888,
  [4766] = 4766,
  [4767] = 3880,
  [4768] = 4322,
  [4769] = 4203,
  [4770] = 4210,
  [4771] = 4275,
  [4772] = 3888,
  [4773] = 4418,
  [4774] = 4254,
  [4775] = 3880,
  [4776] = 3888,
  [4777] = 4179,
  [4778] = 4225,
  [4779] = 4199,
  [4780] = 4214,
  [4781] = 4299,
  [4782] = 4324,
  [4783] = 4322,
  [4784] = 4280,
  [4785] = 4415,
  [4786] = 4786,
  [4787] = 4186,
  [4788] = 4280,
  [4789] = 4364,
  [4790] = 4415,
  [4791] = 4288,
  [4792] = 3880,
  [4793] = 4275,
  [4794] = 4263,
  [4795] = 4280,
  [4796] = 4414,
  [4797] = 4225,
  [4798] = 4275,
  [4799] = 4210,
  [4800] = 4414,
  [4801] = 3880,
  [4802] = 4263,
  [4803] = 4225,
  [4804] = 4179,
  [4805] = 4210,
  [4806] = 4304,
  [4807] = 4414,
  [4808] = 4179,
  [4809] = 4214,
  [4810] = 4280,
  [4811] = 4299,
  [4812] = 4196,
  [4813] = 4288,
  [4814] = 4304,
  [4815] = 4532,
  [4816] = 4226,
  [4817] = 4242,
  [4818] = 4292,
  [4819] = 4280,
  [4820] = 4392,
  [4821] = 4304,
  [4822] = 4367,
  [4823] = 4288,
  [4824] = 4298,
  [4825] = 4415,
  [4826] = 4303,
  [4827] = 3888,
  [4828] = 4251,
  [4829] = 3880,
  [4830] = 4304,
  [4831] = 4414,
  [4832] = 4258,
  [4833] = 4186,
  [4834] = 4199,
  [4835] = 4288,
  [4836] = 4210,
  [4837] = 4318,
  [4838] = 4275,
  [4839] = 4263,
  [4840] = 4367,
  [4841] = 4392,
  [4842] = 4288,
  [4843] = 4299,
  [4844] = 4214,
  [4845] = 3880,
  [4846] = 4324,
  [4847] = 4210,
  [4848] = 4181,
  [4849] = 4322,
  [4850] = 4324,
  [4851] = 4186,
  [4852] = 4299,
  [4853] = 4181,
  [4854] = 4322,
  [4855] = 4360,
  [4856] = 4322,
  [4857] = 4179,
  [4858] = 3888,
  [4859] = 4214,
  [4860] = 4418,
  [4861] = 4254,
  [4862] = 4210,
  [4863] = 4415,
  [4864] = 4179,
  [4865] = 4181,
  [4866] = 4263,
  [4867] = 4322,
  [4868] = 4360,
  [4869] = 4324,
  [4870] = 4263,
  [4871] = 4186,
  [4872] = 4179,
  [4873] = 4318,
  [4874] = 4367,
  [4875] = 4199,
  [4876] = 4299,
  [4877] = 4322,
  [4878] = 4786,
  [4879] = 4254,
  [4880] = 4214,
  [4881] = 4181,
  [4882] = 4392,
  [4883] = 4324,
  [4884] = 3888,
  [4885] = 4647,
  [4886] = 3880,
  [4887] = 4258,
  [4888] = 4214,
  [4889] = 4251,
  [4890] = 4299,
  [4891] = 4653,
  [4892] = 4288,
  [4893] = 4324,
  [4894] = 4179,
  [4895] = 4561,
  [4896] = 4303,
  [4897] = 4298,
  [4898] = 4292,
  [4899] = 4324,
  [4900] = 4364,
  [4901] = 4214,
  [4902] = 4415,
  [4903] = 4242,
  [4904] = 4322,
  [4905] = 4299,
  [4906] = 4226,
  [4907] = 4288,
  [4908] = 4179,
  [4909] = 4258,
  [4910] = 4210,
  [4911] = 4251,
  [4912] = 4322,
  [4913] = 4303,
  [4914] = 4393,
  [4915] = 4298,
  [4916] = 4324,
  [4917] = 4292,
  [4918] = 4242,
  [4919] = 4226,
  [4920] = 4263,
  [4921] = 3880,
  [4922] = 3888,
  [4923] = 4210,
  [4924] = 4415,
  [4925] = 4181,
  [4926] = 4181,
  [4927] = 4360,
  [4928] = 4263,
  [4929] = 3888,
  [4930] = 4414,
  [4931] = 4415,
  [4932] = 4181,
  [4933] = 3880,
  [4934] = 4199,
  [4935] = 4275,
  [4936] = 4210,
  [4937] = 4324,
  [4938] = 4210,
  [4939] = 4393,
  [4940] = 4275,
  [4941] = 4322,
  [4942] = 4203,
  [4943] = 3888,
  [4944] = 4181,
  [4945] = 4397,
  [4946] = 4766,
  [4947] = 4415,
  [4948] = 4199,
  [4949] = 4196,
  [4950] = 4275,
  [4951] = 4254,
  [4952] = 4210,
  [4953] = 4210,
  [4954] = 4226,
  [4955] = 4275,
  [4956] = 4242,
  [4957] = 4199,
  [4958] = 4210,
  [4959] = 4292,
  [4960] = 4181,
  [4961] = 4298,
  [4962] = 4304,
  [4963] = 4303,
  [4964] = 4210,
  [4965] = 4251,
  [4966] = 4304,
  [4967] = 4186,
  [4968] = 4242,
  [4969] = 4324,
  [4970] = 4304,
  [4971] = 4766,
  [4972] = 4322,
  [4973] = 4973,
  [4974] = 3888,
  [4975] = 4199,
  [4976] = 4976,
  [4977] = 4415,
  [4978] = 4786,
  [4979] = 4210,
  [4980] = 4392,
  [4981] = 4367,
  [4982] = 4299,
  [4983] = 4318,
  [4984] = 4984,
  [4985] = 4392,
  [4986] = 4214,
  [4987] = 4199,
  [4988] = 4186,
  [4989] = 4324,
  [4990] = 4275,
  [4991] = 4367,
  [4992] = 4275,
  [4993] = 4414,
  [4994] = 4318,
  [4995] = 3880,
  [4996] = 4181,
  [4997] = 4414,
  [4998] = 4263,
  [4999] = 4254,
  [5000] = 4258,
  [5001] = 4298,
  [5002] = 4199,
  [5003] = 4251,
  [5004] = 4303,
  [5005] = 4298,
  [5006] = 4766,
  [5007] = 4186,
  [5008] = 4292,
  [5009] = 4242,
  [5010] = 4226,
  [5011] = 4360,
  [5012] = 4225,
  [5013] = 4414,
  [5014] = 4360,
  [5015] = 5015,
  [5016] = 4415,
  [5017] = 4414,
  [5018] = 4258,
  [5019] = 4275,
  [5020] = 4210,
  [5021] = 4251,
  [5022] = 4275,
  [5023] = 5023,
  [5024] = 4254,
  [5025] = 4303,
  [5026] = 4210,
  [5027] = 4364,
  [5028] = 4214,
  [5029] = 4418,
  [5030] = 4292,
  [5031] = 4254,
  [5032] = 4242,
  [5033] = 4226,
  [5034] = 4414,
  [5035] = 4360,
  [5036] = 4786,
  [5037] = 4415,
  [5038] = 4275,
  [5039] = 4561,
  [5040] = 4360,
  [5041] = 4418,
  [5042] = 4186,
  [5043] = 4179,
  [5044] = 4786,
  [5045] = 4415,
  [5046] = 4766,
  [5047] = 4254,
  [5048] = 4288,
  [5049] = 4299,
  [5050] = 4214,
  [5051] = 4722,
  [5052] = 4263,
  [5053] = 4258,
  [5054] = 5054,
  [5055] = 5055,
  [5056] = 4251,
  [5057] = 4210,
  [5058] = 5058,
  [5059] = 4275,
  [5060] = 4179,
  [5061] = 4303,
  [5062] = 4225,
  [5063] = 4298,
  [5064] = 4766,
  [5065] = 4292,
  [5066] = 5066,
  [5067] = 4263,
  [5068] = 4242,
  [5069] = 4214,
  [5070] = 4299,
  [5071] = 4226,
  [5072] = 4280,
  [5073] = 4179,
  [5074] = 4288,
  [5075] = 4324,
  [5076] = 4322,
  [5077] = 4746,
  [5078] = 4263,
  [5079] = 4392,
  [5080] = 4304,
  [5081] = 4263,
  [5082] = 4367,
  [5083] = 4275,
  [5084] = 4318,
  [5085] = 4225,
  [5086] = 4199,
  [5087] = 4210,
  [5088] = 5088,
  [5089] = 4724,
  [5090] = 4647,
  [5091] = 4179,
  [5092] = 4226,
  [5093] = 4242,
  [5094] = 4653,
  [5095] = 4415,
  [5096] = 4210,
  [5097] = 4304,
  [5098] = 4292,
  [5099] = 4298,
  [5100] = 4186,
  [5101] = 4303,
  [5102] = 4251,
  [5103] = 4210,
  [5104] = 4210,
  [5105] = 4280,
  [5106] = 4304,
  [5107] = 4258,
  [5108] = 4280,
  [5109] = 4258,
  [5110] = 4251,
  [5111] = 4532,
  [5112] = 4263,
  [5113] = 4303,
  [5114] = 4298,
  [5115] = 4415,
  [5116] = 4292,
  [5117] = 4318,
  [5118] = 4299,
  [5119] = 4242,
  [5120] = 4367,
  [5121] = 4226,
  [5122] = 4324,
  [5123] = 4647,
  [5124] = 4647,
  [5125] = 3880,
  [5126] = 4288,
  [5127] = 4199,
  [5128] = 4322,
  [5129] = 4653,
  [5130] = 4322,
  [5131] = 4179,
  [5132] = 3888,
  [5133] = 4392,
  [5134] = 4304,
  [5135] = 4324,
  [5136] = 4225,
  [5137] = 4263,
  [5138] = 4304,
  [5139] = 4181,
  [5140] = 4186,
  [5141] = 4653,
  [5142] = 4263,
  [5143] = 4397,
  [5144] = 4414,
  [5145] = 4199,
  [5146] = 3888,
  [5147] = 4199,
  [5148] = 3880,
  [5149] = 4324,
  [5150] = 4322,
  [5151] = 4318,
  [5152] = 4367,
  [5153] = 4254,
  [5154] = 4251,
  [5155] = 4210,
  [5156] = 4392,
  [5157] = 4280,
  [5158] = 4561,
  [5159] = 4275,
  [5160] = 4280,
  [5161] = 4318,
  [5162] = 4210,
  [5163] = 3880,
  [5164] = 4288,
  [5165] = 4225,
  [5166] = 4367,
  [5167] = 3888,
  [5168] = 4225,
  [5169] = 3888,
  [5170] = 4392,
  [5171] = 4418,
  [5172] = 4299,
  [5173] = 3880,
  [5174] = 4360,
  [5175] = 4214,
  [5176] = 4722,
  [5177] = 4288,
  [5178] = 4322,
  [5179] = 4288,
  [5180] = 4254,
  [5181] = 4275,
  [5182] = 4299,
  [5183] = 4214,
  [5184] = 3888,
  [5185] = 4324,
  [5186] = 4210,
  [5187] = 4392,
  [5188] = 4393,
  [5189] = 4181,
  [5190] = 4254,
  [5191] = 4181,
  [5192] = 4322,
  [5193] = 4367,
  [5194] = 4318,
  [5195] = 4179,
  [5196] = 4199,
  [5197] = 3880,
  [5198] = 4288,
  [5199] = 4299,
  [5200] = 5200,
  [5201] = 4181,
  [5202] = 4304,
  [5203] = 4199,
  [5204] = 4214,
  [5205] = 4181,
  [5206] = 4179,
  [5207] = 3880,
  [5208] = 4288,
  [5209] = 4280,
  [5210] = 4414,
  [5211] = 4299,
  [5212] = 4214,
  [5213] = 3888,
  [5214] = 4251,
  [5215] = 4179,
  [5216] = 3880,
  [5217] = 3888,
  [5218] = 4288,
  [5219] = 4299,
  [5220] = 4214,
  [5221] = 4226,
  [5222] = 3880,
  [5223] = 4210,
  [5224] = 4322,
  [5225] = 4324,
  [5226] = 4415,
  [5227] = 4263,
  [5228] = 4242,
  [5229] = 4179,
  [5230] = 3880,
  [5231] = 5231,
  [5232] = 4292,
  [5233] = 4298,
  [5234] = 3888,
  [5235] = 4304,
  [5236] = 4532,
  [5237] = 4360,
  [5238] = 4976,
  [5239] = 4647,
  [5240] = 4303,
  [5241] = 4653,
  [5242] = 4179,
  [5243] = 4263,
  [5244] = 4210,
  [5245] = 5015,
  [5246] = 4304,
  [5247] = 4364,
  [5248] = 4360,
  [5249] = 4275,
  [5250] = 4280,
  [5251] = 4186,
  [5252] = 4258,
  [5253] = 3880,
  [5254] = 3888,
  [5255] = 3880,
  [5256] = 3888,
  [5257] = 4226,
  [5258] = 4414,
  [5259] = 4181,
  [5260] = 3888,
  [5261] = 4722,
  [5262] = 4275,
  [5263] = 4254,
  [5264] = 4181,
  [5265] = 5265,
  [5266] = 4242,
  [5267] = 4292,
  [5268] = 4186,
  [5269] = 4298,
  [5270] = 4066,
  [5271] = 5265,
  [5272] = 4303,
  [5273] = 4263,
  [5274] = 4722,
  [5275] = 4263,
  [5276] = 4254,
  [5277] = 4254,
  [5278] = 4181,
  [5279] = 4722,
  [5280] = 4275,
  [5281] = 4254,
  [5282] = 4722,
  [5283] = 4251,
  [5284] = 4251,
  [5285] = 4210,
  [5286] = 4415,
  [5287] = 4226,
  [5288] = 4254,
  [5289] = 4210,
  [5290] = 4242,
  [5291] = 4258,
  [5292] = 3880,
  [5293] = 4647,
  [5294] = 4786,
  [5295] = 4210,
  [5296] = 4318,
  [5297] = 4722,
  [5298] = 4292,
  [5299] = 4298,
  [5300] = 4254,
  [5301] = 4226,
  [5302] = 4225,
  [5303] = 4254,
  [5304] = 4722,
  [5305] = 4242,
  [5306] = 4263,
  [5307] = 4275,
  [5308] = 5265,
  [5309] = 4258,
  [5310] = 4292,
  [5311] = 4186,
  [5312] = 4298,
  [5313] = 4303,
  [5314] = 3888,
  [5315] = 4392,
  [5316] = 4653,
  [5317] = 4303,
  [5318] = 5265,
  [5319] = 4251,
  [5320] = 4280,
  [5321] = 4414,
  [5322] = 4367,
  [5323] = 4415,
  [5324] = 5324,
  [5325] = 4203,
  [5326] = 4304,
  [5327] = 4415,
  [5328] = 4303,
  [5329] = 4258,
  [5330] = 4179,
  [5331] = 4766,
  [5332] = 4393,
  [5333] = 4364,
  [5334] = 4210,
  [5335] = 4397,
  [5336] = 4196,
  [5337] = 4724,
  [5338] = 4397,
  [5339] = 4196,
  [5340] = 4393,
  [5341] = 4226,
  [5342] = 4288,
  [5343] = 4364,
  [5344] = 4203,
  [5345] = 5345,
  [5346] = 5346,
  [5347] = 4254,
  [5348] = 5348,
  [5349] = 4322,
  [5350] = 5350,
  [5351] = 4179,
  [5352] = 4299,
  [5353] = 4275,
  [5354] = 4532,
  [5355] = 4214,
  [5356] = 4196,
  [5357] = 4324,
  [5358] = 4298,
  [5359] = 4203,
  [5360] = 4203,
  [5361] = 4561,
  [5362] = 4186,
  [5363] = 4196,
  [5364] = 4254,
  [5365] = 4786,
  [5366] = 5366,
  [5367] = 4722,
  [5368] = 4292,
  [5369] = 4746,
  [5370] = 4258,
  [5371] = 4322,
  [5372] = 4181,
  [5373] = 4397,
  [5374] = 4324,
  [5375] = 4199,
  [5376] = 4225,
  [5377] = 4364,
  [5378] = 5378,
  [5379] = 5265,
  [5380] = 4275,
  [5381] = 4280,
  [5382] = 4186,
  [5383] = 4393,
  [5384] = 4414,
  [5385] = 4225,
  [5386] = 4397,
  [5387] = 5350,
  [5388] = 5324,
  [5389] = 4203,
  [5390] = 3880,
  [5391] = 5391,
  [5392] = 5392,
  [5393] = 4288,
  [5394] = 3888,
  [5395] = 4214,
  [5396] = 5396,
  [5397] = 5397,
  [5398] = 5350,
  [5399] = 4303,
  [5400] = 5400,
  [5401] = 4242,
  [5402] = 5402,
  [5403] = 5403,
  [5404] = 4299,
  [5405] = 4298,
  [5406] = 5348,
  [5407] = 4275,
  [5408] = 4280,
  [5409] = 4292,
  [5410] = 5410,
  [5411] = 3888,
  [5412] = 5412,
  [5413] = 4414,
  [5414] = 4263,
  [5415] = 4251,
  [5416] = 4414,
  [5417] = 4360,
  [5418] = 3880,
  [5419] = 3888,
  [5420] = 3880,
  [5421] = 4210,
  [5422] = 4181,
  [5423] = 5231,
  [5424] = 5424,
  [5425] = 4066,
  [5426] = 4532,
  [5427] = 4199,
  [5428] = 4258,
  [5429] = 3888,
  [5430] = 3888,
  [5431] = 4304,
  [5432] = 3880,
  [5433] = 4724,
  [5434] = 4766,
  [5435] = 4393,
  [5436] = 5436,
  [5437] = 4263,
  [5438] = 4722,
  [5439] = 4226,
  [5440] = 4722,
  [5441] = 3880,
  [5442] = 4254,
  [5443] = 4322,
  [5444] = 4722,
  [5445] = 4199,
  [5446] = 5446,
  [5447] = 4179,
  [5448] = 4186,
  [5449] = 5449,
  [5450] = 4179,
  [5451] = 5346,
  [5452] = 5345,
  [5453] = 4225,
  [5454] = 4324,
  [5455] = 3888,
  [5456] = 3880,
  [5457] = 3888,
  [5458] = 4254,
  [5459] = 5346,
  [5460] = 5345,
  [5461] = 4280,
  [5462] = 4263,
  [5463] = 4263,
  [5464] = 4561,
  [5465] = 4304,
  [5466] = 3880,
  [5467] = 4254,
  [5468] = 4722,
  [5469] = 4415,
  [5470] = 4364,
  [5471] = 4722,
  [5472] = 4254,
  [5473] = 4280,
  [5474] = 4258,
  [5475] = 3888,
  [5476] = 4414,
  [5477] = 4186,
  [5478] = 4786,
  [5479] = 4199,
  [5480] = 3888,
  [5481] = 4647,
  [5482] = 4318,
  [5483] = 3880,
  [5484] = 3880,
  [5485] = 3888,
  [5486] = 4653,
  [5487] = 4367,
  [5488] = 5324,
  [5489] = 4179,
  [5490] = 4254,
  [5491] = 4392,
  [5492] = 4258,
  [5493] = 5412,
  [5494] = 4324,
  [5495] = 4251,
  [5496] = 4210,
  [5497] = 4303,
  [5498] = 4303,
  [5499] = 4415,
  [5500] = 3880,
  [5501] = 4360,
  [5502] = 4298,
  [5503] = 4214,
  [5504] = 4226,
  [5505] = 4766,
  [5506] = 4292,
  [5507] = 4299,
  [5508] = 4225,
  [5509] = 4242,
  [5510] = 4415,
  [5511] = 4415,
  [5512] = 4263,
  [5513] = 4242,
  [5514] = 4304,
  [5515] = 4225,
  [5516] = 4288,
  [5517] = 4292,
  [5518] = 4298,
  [5519] = 4304,
  [5520] = 4722,
  [5521] = 4298,
  [5522] = 4226,
  [5523] = 4186,
  [5524] = 4722,
  [5525] = 4303,
  [5526] = 4179,
  [5527] = 4786,
  [5528] = 4280,
  [5529] = 4292,
  [5530] = 4254,
  [5531] = 4275,
  [5532] = 4414,
  [5533] = 5350,
  [5534] = 4322,
  [5535] = 4251,
  [5536] = 4364,
  [5537] = 4214,
  [5538] = 4258,
  [5539] = 4299,
  [5540] = 4746,
  [5541] = 4288,
  [5542] = 4199,
  [5543] = 4318,
  [5544] = 4766,
  [5545] = 5412,
  [5546] = 4415,
  [5547] = 4367,
  [5548] = 4242,
  [5549] = 5348,
  [5550] = 4254,
  [5551] = 3888,
  [5552] = 4392,
  [5553] = 4179,
  [5554] = 4415,
  [5555] = 5412,
  [5556] = 4199,
  [5557] = 4254,
  [5558] = 3880,
  [5559] = 4181,
  [5560] = 5560,
  [5561] = 5412,
  [5562] = 4722,
  [5563] = 3888,
  [5564] = 4280,
  [5565] = 4214,
  [5566] = 4299,
  [5567] = 4179,
  [5568] = 4225,
  [5569] = 4288,
  [5570] = 4318,
  [5571] = 4225,
  [5572] = 4186,
  [5573] = 5412,
  [5574] = 3880,
  [5575] = 4367,
  [5576] = 4226,
  [5577] = 4647,
  [5578] = 5412,
  [5579] = 4254,
  [5580] = 3888,
  [5581] = 4653,
  [5582] = 4322,
  [5583] = 4210,
  [5584] = 5412,
  [5585] = 4393,
  [5586] = 5586,
  [5587] = 5058,
  [5588] = 4275,
  [5589] = 5412,
  [5590] = 5412,
  [5591] = 4392,
  [5592] = 5055,
  [5593] = 3880,
  [5594] = 5345,
  [5595] = 4324,
  [5596] = 5412,
  [5597] = 4275,
  [5598] = 4364,
  [5599] = 4414,
  [5600] = 5054,
  [5601] = 4393,
  [5602] = 4210,
  [5603] = 5346,
  [5604] = 4196,
  [5605] = 5412,
  [5606] = 3880,
  [5607] = 4397,
  [5608] = 4722,
  [5609] = 4414,
  [5610] = 4196,
  [5611] = 4786,
  [5612] = 3880,
  [5613] = 4254,
  [5614] = 5412,
  [5615] = 4722,
  [5616] = 5088,
  [5617] = 4258,
  [5618] = 4324,
  [5619] = 4179,
  [5620] = 5412,
  [5621] = 5621,
  [5622] = 5412,
  [5623] = 4397,
  [5624] = 5412,
  [5625] = 4225,
  [5626] = 5015,
  [5627] = 5412,
  [5628] = 4786,
  [5629] = 4786,
  [5630] = 4418,
  [5631] = 4179,
  [5632] = 4199,
  [5633] = 4647,
  [5634] = 5412,
  [5635] = 5412,
  [5636] = 3888,
  [5637] = 5055,
  [5638] = 3888,
  [5639] = 5054,
  [5640] = 4653,
  [5641] = 4254,
  [5642] = 4324,
  [5643] = 5412,
  [5644] = 4181,
  [5645] = 4414,
  [5646] = 4210,
  [5647] = 5412,
  [5648] = 4976,
  [5649] = 4322,
  [5650] = 4360,
  [5651] = 5066,
  [5652] = 4263,
  [5653] = 4280,
  [5654] = 4263,
  [5655] = 5412,
  [5656] = 4275,
  [5657] = 4199,
  [5658] = 4303,
  [5659] = 3880,
  [5660] = 4179,
  [5661] = 4786,
  [5662] = 5662,
  [5663] = 4724,
  [5664] = 5412,
  [5665] = 4214,
  [5666] = 4066,
  [5667] = 5412,
  [5668] = 4199,
  [5669] = 4254,
  [5670] = 4322,
  [5671] = 5058,
  [5672] = 5088,
  [5673] = 4324,
  [5674] = 5200,
  [5675] = 4299,
  [5676] = 5676,
  [5677] = 5324,
  [5678] = 4214,
  [5679] = 4722,
  [5680] = 4322,
  [5681] = 4275,
  [5682] = 4299,
  [5683] = 4288,
  [5684] = 4179,
  [5685] = 5412,
  [5686] = 5066,
  [5687] = 4280,
  [5688] = 4288,
  [5689] = 4415,
  [5690] = 4304,
  [5691] = 5088,
  [5692] = 4199,
  [5693] = 5412,
  [5694] = 4324,
  [5695] = 4415,
  [5696] = 5023,
  [5697] = 5412,
  [5698] = 4786,
  [5699] = 5066,
  [5700] = 4263,
  [5701] = 4226,
  [5702] = 4392,
  [5703] = 4242,
  [5704] = 5023,
  [5705] = 4186,
  [5706] = 4418,
  [5707] = 4647,
  [5708] = 5023,
  [5709] = 3888,
  [5710] = 5015,
  [5711] = 4181,
  [5712] = 4181,
  [5713] = 4292,
  [5714] = 4298,
  [5715] = 4225,
  [5716] = 5412,
  [5717] = 4292,
  [5718] = 4653,
  [5719] = 4973,
  [5720] = 4304,
  [5721] = 4318,
  [5722] = 4322,
  [5723] = 4973,
  [5724] = 4303,
  [5725] = 5412,
  [5726] = 4984,
  [5727] = 4181,
  [5728] = 4251,
  [5729] = 4199,
  [5730] = 4984,
  [5731] = 4275,
  [5732] = 4258,
  [5733] = 4324,
  [5734] = 4367,
  [5735] = 4766,
  [5736] = 4275,
  [5737] = 4322,
  [5738] = 4724,
  [5739] = 3880,
  [5740] = 4976,
  [5741] = 5412,
  [5742] = 4210,
  [5743] = 4973,
  [5744] = 4203,
  [5745] = 4653,
  [5746] = 4242,
  [5747] = 5412,
  [5748] = 4214,
  [5749] = 4786,
  [5750] = 4392,
  [5751] = 4304,
  [5752] = 3888,
  [5753] = 4299,
  [5754] = 4181,
  [5755] = 4210,
  [5756] = 4226,
  [5757] = 5412,
  [5758] = 4214,
  [5759] = 4367,
  [5760] = 4242,
  [5761] = 4647,
  [5762] = 4318,
  [5763] = 4318,
  [5764] = 4299,
  [5765] = 4298,
  [5766] = 4647,
  [5767] = 4367,
  [5768] = 4288,
  [5769] = 4318,
  [5770] = 4415,
  [5771] = 4322,
  [5772] = 4292,
  [5773] = 4226,
  [5774] = 5774,
  [5775] = 5412,
  [5776] = 4653,
  [5777] = 4367,
  [5778] = 4288,
  [5779] = 4254,
  [5780] = 4225,
  [5781] = 4186,
  [5782] = 4298,
  [5783] = 4324,
  [5784] = 4303,
  [5785] = 3888,
  [5786] = 4392,
  [5787] = 4251,
  [5788] = 4210,
  [5789] = 4258,
  [5790] = 5412,
  [5791] = 5412,
  [5792] = 4214,
  [5793] = 4299,
  [5794] = 5794,
  [5795] = 4199,
  [5796] = 3880,
  [5797] = 4225,
  [5798] = 5412,
  [5799] = 5799,
  [5800] = 4288,
  [5801] = 4360,
  [5802] = 4746,
  [5803] = 5412,
  [5804] = 4318,
  [5805] = 4367,
  [5806] = 5348,
  [5807] = 4186,
  [5808] = 4304,
  [5809] = 4392,
  [5810] = 4766,
  [5811] = 4199,
  [5812] = 4254,
  [5813] = 4392,
  [5814] = 5814,
  [5815] = 4304,
  [5816] = 5816,
  [5817] = 4722,
  [5818] = 5412,
  [5819] = 5412,
  [5820] = 4367,
  [5821] = 4318,
  [5822] = 4254,
  [5823] = 4280,
  [5824] = 3888,
  [5825] = 4393,
  [5826] = 4322,
  [5827] = 5412,
  [5828] = 4275,
  [5829] = 4324,
  [5830] = 4392,
  [5831] = 4746,
  [5832] = 4322,
  [5833] = 4360,
  [5834] = 5231,
  [5835] = 4766,
  [5836] = 4322,
  [5837] = 4324,
  [5838] = 4263,
  [5839] = 5412,
  [5840] = 4984,
  [5841] = 4251,
  [5842] = 4532,
  [5843] = 4254,
  [5844] = 3880,
  [5845] = 4415,
  [5846] = 4976,
  [5847] = 4360,
  [5848] = 4181,
  [5849] = 5412,
  [5850] = 4275,
  [5851] = 4263,
  [5852] = 5015,
  [5853] = 5015,
  [5854] = 4324,
  [5855] = 4415,
  [5856] = 4766,
  [5857] = 4288,
  [5858] = 4299,
  [5859] = 4392,
  [5860] = 5860,
  [5861] = 4214,
  [5862] = 5412,
  [5863] = 3880,
  [5864] = 4976,
  [5865] = 4226,
  [5866] = 5866,
  [5867] = 4367,
  [5868] = 4242,
  [5869] = 4324,
  [5870] = 4653,
  [5871] = 5412,
  [5872] = 5015,
  [5873] = 4292,
  [5874] = 4199,
  [5875] = 4766,
  [5876] = 4318,
  [5877] = 5877,
  [5878] = 4322,
  [5879] = 5412,
  [5880] = 4561,
  [5881] = 4647,
  [5882] = 5882,
  [5883] = 5883,
  [5884] = 4179,
  [5885] = 5412,
  [5886] = 5412,
  [5887] = 4179,
  [5888] = 4298,
  [5889] = 4303,
  [5890] = 4199,
  [5891] = 4275,
  [5892] = 4263,
  [5893] = 4251,
  [5894] = 4364,
  [5895] = 4258,
  [5896] = 4181,
  [5897] = 5412,
  [5898] = 3888,
  [5899] = 4304,
  [5900] = 4360,
  [5901] = 4275,
  [5902] = 4280,
  [5903] = 4186,
  [5904] = 4418,
  [5905] = 5412,
  [5906] = 5412,
  [5907] = 4318,
  [5908] = 4251,
  [5909] = 3888,
  [5910] = 4414,
  [5911] = 4367,
  [5912] = 4280,
  [5913] = 5412,
  [5914] = 4210,
  [5915] = 4226,
  [5916] = 4263,
  [5917] = 4275,
  [5918] = 4275,
  [5919] = 4242,
  [5920] = 4292,
  [5921] = 5412,
  [5922] = 4298,
  [5923] = 4976,
  [5924] = 5412,
  [5925] = 4360,
  [5926] = 4303,
  [5927] = 4225,
  [5928] = 4392,
  [5929] = 4275,
  [5930] = 4392,
  [5931] = 5412,
  [5932] = 4258,
  [5933] = 4066,
  [5934] = 4254,
  [5935] = 4258,
  [5936] = 5412,
  [5937] = 4251,
  [5938] = 4397,
  [5939] = 4181,
  [5940] = 4418,
  [5941] = 4303,
  [5942] = 5412,
  [5943] = 4367,
  [5944] = 4181,
  [5945] = 4298,
  [5946] = 4561,
  [5947] = 4181,
  [5948] = 4392,
  [5949] = 4532,
  [5950] = 4181,
  [5951] = 4181,
  [5952] = 4179,
  [5953] = 4360,
  [5954] = 4318,
  [5955] = 5412,
  [5956] = 4292,
  [5957] = 5412,
  [5958] = 4275,
  [5959] = 4263,
  [5960] = 4414,
  [5961] = 4242,
  [5962] = 4226,
  [5963] = 5412,
  [5964] = 4414,
  [5965] = 4288,
  [5966] = 4367,
  [5967] = 5412,
  [5968] = 4254,
  [5969] = 4299,
  [5970] = 5054,
  [5971] = 5055,
  [5972] = 5058,
  [5973] = 4318,
  [5974] = 4214,
  [5975] = 4322,
  [5976] = 4251,
  [5977] = 4263,
  [5978] = 4360,
  [5979] = 5412,
  [5980] = 4186,
  [5981] = 5200,
  [5982] = 4186,
  [5983] = 4414,
  [5984] = 5412,
  [5985] = 3880,
  [5986] = 4275,
  [5987] = 5412,
  [5988] = 4324,
  [5989] = 5989,
  [5990] = 4360,
  [5991] = 4280,
  [5992] = 4179,
  [5993] = 4786,
  [5994] = 4179,
  [5995] = 4210,
  [5996] = 4392,
  [5997] = 4226,
  [5998] = 4263,
  [5999] = 4415,
  [6000] = 4242,
  [6001] = 3880,
  [6002] = 3888,
  [6003] = 5348,
  [6004] = 5015,
  [6005] = 4318,
  [6006] = 4292,
  [6007] = 4786,
  [6008] = 4186,
  [6009] = 4181,
  [6010] = 5621,
  [6011] = 4318,
  [6012] = 4288,
  [6013] = 4298,
  [6014] = 4397,
  [6015] = 4304,
  [6016] = 4254,
  [6017] = 4367,
  [6018] = 4275,
  [6019] = 3888,
  [6020] = 4303,
  [6021] = 4225,
  [6022] = 4181,
  [6023] = 4263,
  [6024] = 3880,
  [6025] = 5023,
  [6026] = 4251,
  [6027] = 3888,
  [6028] = 4304,
  [6029] = 4186,
  [6030] = 3880,
  [6031] = 4258,
  [6032] = 4299,
  [6033] = 4288,
  [6034] = 3888,
  [6035] = 3880,
  [6036] = 4318,
  [6037] = 4722,
  [6038] = 4786,
  [6039] = 4225,
  [6040] = 3888,
  [6041] = 3880,
  [6042] = 4299,
  [6043] = 3880,
  [6044] = 4179,
  [6045] = 4258,
  [6046] = 4225,
  [6047] = 4367,
  [6048] = 4318,
  [6049] = 4214,
  [6050] = 5350,
  [6051] = 5402,
  [6052] = 3888,
  [6053] = 3880,
  [6054] = 4322,
  [6055] = 4304,
  [6056] = 4724,
  [6057] = 4367,
  [6058] = 4392,
  [6059] = 6059,
  [6060] = 4766,
  [6061] = 4303,
  [6062] = 4214,
  [6063] = 4186,
  [6064] = 4066,
  [6065] = 4766,
  [6066] = 3888,
  [6067] = 4214,
  [6068] = 4181,
  [6069] = 4415,
  [6070] = 4066,
  [6071] = 5054,
  [6072] = 4976,
  [6073] = 4298,
  [6074] = 5794,
  [6075] = 4186,
  [6076] = 5055,
  [6077] = 4299,
  [6078] = 4392,
  [6079] = 4292,
  [6080] = 4367,
  [6081] = 4254,
  [6082] = 4415,
  [6083] = 4304,
  [6084] = 4393,
  [6085] = 4722,
  [6086] = 3888,
  [6087] = 4288,
  [6088] = 4242,
  [6089] = 4392,
  [6090] = 4258,
  [6091] = 6091,
  [6092] = 4532,
  [6093] = 4251,
  [6094] = 4324,
  [6095] = 3880,
  [6096] = 4199,
  [6097] = 4722,
  [6098] = 4210,
  [6099] = 4226,
  [6100] = 4303,
  [6101] = 4766,
  [6102] = 4304,
  [6103] = 4251,
  [6104] = 4258,
  [6105] = 4254,
  [6106] = 5231,
  [6107] = 4724,
  [6108] = 3888,
  [6109] = 4303,
  [6110] = 3880,
  [6111] = 4722,
  [6112] = 4199,
  [6113] = 5200,
  [6114] = 4324,
  [6115] = 4186,
  [6116] = 3880,
  [6117] = 4179,
  [6118] = 4367,
  [6119] = 4251,
  [6120] = 4214,
  [6121] = 4226,
  [6122] = 4226,
  [6123] = 4647,
  [6124] = 4304,
  [6125] = 4280,
  [6126] = 4199,
  [6127] = 4242,
  [6128] = 4299,
  [6129] = 4214,
  [6130] = 4263,
  [6131] = 3888,
  [6132] = 4298,
  [6133] = 5088,
  [6134] = 4258,
  [6135] = 4292,
  [6136] = 4766,
  [6137] = 4414,
  [6138] = 4722,
  [6139] = 4186,
  [6140] = 4199,
  [6141] = 4318,
  [6142] = 4298,
  [6143] = 4786,
  [6144] = 4242,
  [6145] = 4653,
  [6146] = 4397,
  [6147] = 4288,
  [6148] = 5058,
  [6149] = 4532,
  [6150] = 4418,
  [6151] = 4292,
  [6152] = 4303,
  [6153] = 4292,
  [6154] = 4298,
  [6155] = 5058,
  [6156] = 5055,
  [6157] = 4210,
  [6158] = 4392,
  [6159] = 4318,
  [6160] = 5054,
  [6161] = 4258,
  [6162] = 4280,
  [6163] = 4299,
  [6164] = 4322,
  [6165] = 4746,
  [6166] = 4303,
  [6167] = 4280,
  [6168] = 4254,
  [6169] = 4251,
  [6170] = 4254,
  [6171] = 4324,
  [6172] = 6059,
  [6173] = 4181,
  [6174] = 4251,
  [6175] = 4367,
  [6176] = 5088,
  [6177] = 4766,
  [6178] = 5066,
  [6179] = 4766,
  [6180] = 4258,
  [6181] = 4258,
  [6182] = 4288,
  [6183] = 6183,
  [6184] = 4288,
  [6185] = 4258,
  [6186] = 4367,
  [6187] = 4786,
  [6188] = 4214,
  [6189] = 4653,
  [6190] = 4242,
  [6191] = 4414,
  [6192] = 4746,
  [6193] = 4414,
  [6194] = 4299,
  [6195] = 4299,
  [6196] = 4392,
  [6197] = 4318,
  [6198] = 5866,
  [6199] = 4561,
  [6200] = 4263,
  [6201] = 4303,
  [6202] = 4226,
  [6203] = 4288,
  [6204] = 6204,
  [6205] = 4766,
  [6206] = 5877,
  [6207] = 4322,
  [6208] = 4324,
  [6209] = 5345,
  [6210] = 5860,
  [6211] = 4647,
  [6212] = 4214,
  [6213] = 4298,
  [6214] = 4251,
  [6215] = 4179,
  [6216] = 5346,
  [6217] = 5324,
  [6218] = 3880,
  [6219] = 4292,
  [6220] = 4214,
  [6221] = 5066,
  [6222] = 4303,
  [6223] = 4322,
  [6224] = 4179,
  [6225] = 4299,
  [6226] = 4288,
  [6227] = 4414,
  [6228] = 4242,
  [6229] = 4976,
  [6230] = 4263,
  [6231] = 4186,
  [6232] = 4199,
  [6233] = 4304,
  [6234] = 4298,
  [6235] = 4393,
  [6236] = 4418,
  [6237] = 5015,
  [6238] = 4392,
  [6239] = 4226,
  [6240] = 4210,
  [6241] = 5882,
  [6242] = 5058,
  [6243] = 5883,
  [6244] = 4393,
  [6245] = 4292,
  [6246] = 5055,
  [6247] = 5054,
  [6248] = 4210,
  [6249] = 4722,
  [6250] = 4653,
  [6251] = 4360,
  [6252] = 4722,
  [6253] = 4364,
  [6254] = 4254,
  [6255] = 4199,
  [6256] = 4304,
  [6257] = 3888,
  [6258] = 4254,
  [6259] = 4251,
  [6260] = 4746,
  [6261] = 4242,
  [6262] = 4298,
  [6263] = 4288,
  [6264] = 4186,
  [6265] = 4226,
  [6266] = 4179,
  [6267] = 4254,
  [6268] = 4226,
  [6269] = 3880,
  [6270] = 4263,
  [6271] = 4647,
  [6272] = 5816,
  [6273] = 4179,
  [6274] = 4226,
  [6275] = 5023,
  [6276] = 4299,
  [6277] = 4242,
  [6278] = 4179,
  [6279] = 4214,
  [6280] = 4251,
  [6281] = 4179,
  [6282] = 4292,
  [6283] = 4722,
  [6284] = 4181,
  [6285] = 3880,
  [6286] = 5015,
  [6287] = 4724,
  [6288] = 5392,
  [6289] = 4976,
  [6290] = 4292,
  [6291] = 5066,
  [6292] = 5794,
  [6293] = 4196,
  [6294] = 5350,
  [6295] = 4288,
  [6296] = 4263,
  [6297] = 4322,
  [6298] = 4199,
  [6299] = 4186,
  [6300] = 5774,
  [6301] = 4973,
  [6302] = 4647,
  [6303] = 5676,
  [6304] = 4288,
  [6305] = 4298,
  [6306] = 5088,
  [6307] = 4280,
  [6308] = 4254,
  [6309] = 4181,
  [6310] = 5662,
  [6311] = 4304,
  [6312] = 4179,
  [6313] = 4364,
  [6314] = 4242,
  [6315] = 4724,
  [6316] = 5015,
  [6317] = 4242,
  [6318] = 4303,
  [6319] = 5799,
  [6320] = 4275,
  [6321] = 4299,
  [6322] = 4324,
  [6323] = 4722,
  [6324] = 5774,
  [6325] = 4225,
  [6326] = 4225,
  [6327] = 5324,
  [6328] = 4210,
  [6329] = 4415,
  [6330] = 4275,
  [6331] = 4653,
  [6332] = 4251,
  [6333] = 4214,
  [6334] = 4226,
  [6335] = 4299,
  [6336] = 4275,
  [6337] = 3888,
  [6338] = 4258,
  [6339] = 4414,
  [6340] = 4984,
  [6341] = 4210,
  [6342] = 4976,
  [6343] = 4322,
  [6344] = 5560,
  [6345] = 5586,
  [6346] = 4214,
  [6347] = 4397,
  [6348] = 4179,
  [6349] = 4292,
  [6350] = 4181,
  [6351] = 4984,
  [6352] = 4214,
  [6353] = 4722,
  [6354] = 4786,
  [6355] = 4973,
  [6356] = 5015,
  [6357] = 4415,
  [6358] = 4318,
  [6359] = 4299,
  [6360] = 4322,
  [6361] = 4298,
  [6362] = 4214,
  [6363] = 4263,
  [6364] = 4203,
  [6365] = 4304,
  [6366] = 4179,
  [6367] = 4367,
  [6368] = 4288,
  [6369] = 4304,
  [6370] = 6370,
  [6371] = 4179,
  [6372] = 6372,
  [6373] = 6373,
  [6374] = 5023,
  [6375] = 6375,
  [6376] = 4324,
  [6377] = 4299,
  [6378] = 4360,
  [6379] = 4304,
  [6380] = 4392,
  [6381] = 4288,
  [6382] = 4984,
  [6383] = 5066,
  [6384] = 4415,
  [6385] = 6385,
  [6386] = 4324,
  [6387] = 4186,
  [6388] = 5088,
  [6389] = 4214,
  [6390] = 4299,
  [6391] = 3880,
  [6392] = 4973,
  [6393] = 4303,
  [6394] = 4976,
  [6395] = 4414,
  [6396] = 4364,
  [6397] = 5449,
  [6398] = 5446,
  [6399] = 4766,
  [6400] = 4973,
  [6401] = 4288,
  [6402] = 5436,
  [6403] = 4561,
  [6404] = 4179,
  [6405] = 4303,
  [6406] = 4766,
  [6407] = 4414,
  [6408] = 4786,
  [6409] = 3880,
  [6410] = 4181,
  [6411] = 4318,
  [6412] = 3888,
  [6413] = 4367,
  [6414] = 5424,
  [6415] = 4258,
  [6416] = 5816,
  [6417] = 4181,
  [6418] = 3880,
  [6419] = 5023,
  [6420] = 4186,
  [6421] = 4418,
  [6422] = 4199,
  [6423] = 3888,
  [6424] = 4181,
  [6425] = 4392,
  [6426] = 5015,
  [6427] = 4280,
  [6428] = 6059,
  [6429] = 3880,
  [6430] = 4199,
  [6431] = 5345,
  [6432] = 4303,
  [6433] = 4066,
  [6434] = 4415,
  [6435] = 4324,
  [6436] = 3880,
  [6437] = 4298,
  [6438] = 4280,
  [6439] = 5066,
  [6440] = 4186,
  [6441] = 4292,
  [6442] = 4414,
  [6443] = 4322,
  [6444] = 4199,
  [6445] = 5346,
  [6446] = 3888,
  [6447] = 4199,
  [6448] = 4242,
  [6449] = 4275,
  [6450] = 5403,
  [6451] = 4179,
  [6452] = 5345,
  [6453] = 4258,
  [6454] = 4214,
  [6455] = 4263,
  [6456] = 5346,
  [6457] = 4226,
  [6458] = 4199,
  [6459] = 4226,
  [6460] = 5200,
  [6461] = 4304,
  [6462] = 4418,
  [6463] = 3888,
  [6464] = 4976,
  [6465] = 5088,
  [6466] = 5324,
  [6467] = 5410,
  [6468] = 4299,
  [6469] = 4242,
  [6470] = 3888,
  [6471] = 4322,
  [6472] = 5396,
  [6473] = 4288,
  [6474] = 4214,
  [6475] = 5397,
  [6476] = 4275,
  [6477] = 4360,
  [6478] = 4299,
  [6479] = 4251,
  [6480] = 4199,
  [6481] = 5348,
  [6482] = 5400,
  [6483] = 5023,
  [6484] = 4322,
  [6485] = 4225,
  [6486] = 4288,
  [6487] = 4647,
  [6488] = 4647,
  [6489] = 3880,
  [6490] = 4324,
  [6491] = 5348,
  [6492] = 5799,
  [6493] = 4392,
  [6494] = 4181,
  [6495] = 4786,
  [6496] = 5015,
  [6497] = 4360,
  [6498] = 4179,
  [6499] = 4722,
  [6500] = 4415,
  [6501] = 4324,
  [6502] = 5391,
  [6503] = 4292,
  [6504] = 4225,
  [6505] = 4298,
  [6506] = 4181,
  [6507] = 4199,
  [6508] = 4414,
  [6509] = 4298,
  [6510] = 4415,
  [6511] = 5799,
  [6512] = 4324,
  [6513] = 5350,
  [6514] = 4766,
  [6515] = 4786,
  [6516] = 4292,
  [6517] = 5877,
  [6518] = 4199,
  [6519] = 3888,
  [6520] = 5400,
  [6521] = 4532,
  [6522] = 4324,
  [6523] = 4258,
  [6524] = 4251,
  [6525] = 5397,
  [6526] = 5882,
  [6527] = 5860,
  [6528] = 5396,
  [6529] = 5410,
  [6530] = 5866,
  [6531] = 5883,
  [6532] = 4322,
  [6533] = 4318,
  [6534] = 4976,
  [6535] = 4275,
  [6536] = 4303,
  [6537] = 4722,
  [6538] = 4322,
  [6539] = 4303,
  [6540] = 5403,
  [6541] = 4322,
  [6542] = 4288,
  [6543] = 4298,
  [6544] = 4181,
  [6545] = 4561,
  [6546] = 4225,
  [6547] = 4324,
  [6548] = 5392,
  [6549] = 5345,
  [6550] = 5200,
  [6551] = 4415,
  [6552] = 4292,
  [6553] = 4251,
  [6554] = 4360,
  [6555] = 5346,
  [6556] = 4258,
  [6557] = 4360,
  [6558] = 5324,
  [6559] = 5231,
  [6560] = 4299,
  [6561] = 4722,
  [6562] = 4414,
  [6563] = 4397,
  [6564] = 4318,
  [6565] = 4392,
  [6566] = 4199,
  [6567] = 4722,
  [6568] = 4367,
  [6569] = 4242,
  [6570] = 5054,
  [6571] = 4179,
  [6572] = 5055,
  [6573] = 4318,
  [6574] = 4392,
  [6575] = 4214,
  [6576] = 4251,
  [6577] = 4414,
  [6578] = 4226,
  [6579] = 4263,
  [6580] = 5058,
  [6581] = 3888,
  [6582] = 4367,
  [6583] = 4318,
  [6584] = 5424,
  [6585] = 4367,
  [6586] = 5676,
  [6587] = 4242,
  [6588] = 4280,
  [6589] = 4414,
  [6590] = 4318,
  [6591] = 5662,
  [6592] = 5436,
  [6593] = 4973,
  [6594] = 4304,
  [6595] = 4724,
  [6596] = 4653,
  [6597] = 4392,
  [6598] = 4225,
  [6599] = 4415,
  [6600] = 5621,
  [6601] = 4318,
  [6602] = 3880,
  [6603] = 3880,
  [6604] = 4976,
  [6605] = 4561,
  [6606] = 4653,
  [6607] = 4199,
  [6608] = 4653,
  [6609] = 4415,
  [6610] = 4367,
  [6611] = 3888,
  [6612] = 5348,
  [6613] = 3880,
  [6614] = 4254,
  [6615] = 4210,
  [6616] = 4181,
  [6617] = 4186,
  [6618] = 5391,
  [6619] = 4226,
  [6620] = 5231,
  [6621] = 5446,
  [6622] = 4242,
  [6623] = 4292,
  [6624] = 4298,
  [6625] = 5015,
  [6626] = 6626,
  [6627] = 3888,
  [6628] = 4367,
  [6629] = 4786,
  [6630] = 5449,
  [6631] = 5560,
  [6632] = 5586,
  [6633] = 4186,
  [6634] = 4360,
  [6635] = 4360,
  [6636] = 4322,
  [6637] = 4304,
  [6638] = 4181,
  [6639] = 4984,
  [6640] = 4647,
  [6641] = 4360,
  [6642] = 4066,
  [6643] = 4324,
  [6644] = 4186,
  [6645] = 4392,
  [6646] = 4181,
  [6647] = 4393,
  [6648] = 4415,
  [6649] = 4392,
  [6650] = 3888,
  [6651] = 4226,
  [6652] = 4532,
  [6653] = 4984,
  [6654] = 4414,
  [6655] = 4258,
  [6656] = 4251,
  [6657] = 4181,
  [6658] = 4414,
  [6659] = 4367,
  [6660] = 4303,
  [6661] = 5402,
  [6662] = 4263,
  [6663] = 5350,
  [6664] = 4275,
  [6665] = 5345,
  [6666] = 4766,
  [6667] = 4292,
  [6668] = 4288,
  [6669] = 4414,
  [6670] = 4242,
  [6671] = 4324,
  [6672] = 5350,
  [6673] = 5877,
  [6674] = 4299,
  [6675] = 4360,
  [6676] = 4199,
  [6677] = 4225,
  [6678] = 4280,
  [6679] = 4303,
  [6680] = 4298,
  [6681] = 5676,
  [6682] = 3880,
  [6683] = 4976,
  [6684] = 4298,
  [6685] = 5402,
  [6686] = 4181,
  [6687] = 4322,
  [6688] = 4303,
  [6689] = 5882,
  [6690] = 4226,
  [6691] = 4214,
  [6692] = 5883,
  [6693] = 4303,
  [6694] = 4414,
  [6695] = 4251,
  [6696] = 4360,
  [6697] = 3880,
  [6698] = 4214,
  [6699] = 5877,
  [6700] = 4414,
  [6701] = 4304,
  [6702] = 4179,
  [6703] = 5403,
  [6704] = 6091,
  [6705] = 4746,
  [6706] = 5882,
  [6707] = 5883,
  [6708] = 4242,
  [6709] = 4258,
  [6710] = 6710,
  [6711] = 3888,
  [6712] = 4288,
  [6713] = 5088,
  [6714] = 5200,
  [6715] = 4360,
  [6716] = 5410,
  [6717] = 4225,
  [6718] = 5088,
  [6719] = 4226,
  [6720] = 4251,
  [6721] = 4258,
  [6722] = 3888,
  [6723] = 4299,
  [6724] = 5348,
  [6725] = 5662,
  [6726] = 5066,
  [6727] = 4199,
  [6728] = 4984,
  [6729] = 4214,
  [6730] = 3888,
  [6731] = 4299,
  [6732] = 5799,
  [6733] = 4724,
  [6734] = 6734,
  [6735] = 4415,
  [6736] = 6736,
  [6737] = 4186,
  [6738] = 5403,
  [6739] = 6183,
  [6740] = 4258,
  [6741] = 6741,
  [6742] = 4322,
  [6743] = 4186,
  [6744] = 4181,
  [6745] = 3888,
  [6746] = 5348,
  [6747] = 5023,
  [6748] = 4298,
  [6749] = 4199,
  [6750] = 4181,
  [6751] = 4360,
  [6752] = 4766,
  [6753] = 4976,
  [6754] = 4181,
  [6755] = 4324,
  [6756] = 4415,
  [6757] = 4292,
  [6758] = 4288,
  [6759] = 4415,
  [6760] = 5662,
  [6761] = 5621,
  [6762] = 5346,
  [6763] = 5058,
  [6764] = 4226,
  [6765] = 4392,
  [6766] = 5345,
  [6767] = 5676,
  [6768] = 4318,
  [6769] = 4367,
  [6770] = 4251,
  [6771] = 4746,
  [6772] = 4181,
  [6773] = 4973,
  [6774] = 4288,
  [6775] = 4367,
  [6776] = 4976,
  [6777] = 4724,
  [6778] = 4360,
  [6779] = 4299,
  [6780] = 5055,
  [6781] = 5054,
  [6782] = 4318,
  [6783] = 5662,
  [6784] = 4242,
  [6785] = 4214,
  [6786] = 4251,
  [6787] = 6787,
  [6788] = 5391,
  [6789] = 4299,
  [6790] = 4786,
  [6791] = 4225,
  [6792] = 4242,
  [6793] = 4766,
  [6794] = 4304,
  [6795] = 3880,
  [6796] = 6796,
  [6797] = 4392,
  [6798] = 4186,
  [6799] = 5676,
  [6800] = 4181,
  [6801] = 4324,
  [6802] = 4066,
  [6803] = 4976,
  [6804] = 4786,
  [6805] = 4179,
  [6806] = 6806,
  [6807] = 4288,
  [6808] = 4179,
  [6809] = 5560,
  [6810] = 4214,
  [6811] = 5586,
  [6812] = 6183,
  [6813] = 3880,
  [6814] = 4288,
  [6815] = 4299,
  [6816] = 4973,
  [6817] = 5348,
  [6818] = 3880,
  [6819] = 4292,
  [6820] = 4280,
  [6821] = 5799,
  [6822] = 4322,
  [6823] = 5015,
  [6824] = 4225,
  [6825] = 4179,
  [6826] = 4984,
  [6827] = 4226,
  [6828] = 4392,
  [6829] = 4299,
  [6830] = 4288,
  [6831] = 5400,
  [6832] = 4367,
  [6833] = 3888,
  [6834] = 4299,
  [6835] = 4298,
  [6836] = 4318,
  [6837] = 5231,
  [6838] = 4288,
  [6839] = 4214,
  [6840] = 4415,
  [6841] = 3888,
  [6842] = 4304,
  [6843] = 4179,
  [6844] = 4186,
  [6845] = 5449,
  [6846] = 5446,
  [6847] = 5436,
  [6848] = 5350,
  [6849] = 5397,
  [6850] = 4179,
  [6851] = 5396,
  [6852] = 5410,
  [6853] = 4304,
  [6854] = 4532,
  [6855] = 4066,
  [6856] = 4288,
  [6857] = 4214,
  [6858] = 4299,
  [6859] = 4214,
  [6860] = 4179,
  [6861] = 5424,
  [6862] = 4414,
  [6863] = 3888,
  [6864] = 4303,
  [6865] = 4976,
  [6866] = 4299,
  [6867] = 4263,
  [6868] = 4318,
  [6869] = 5621,
  [6870] = 4275,
  [6871] = 4280,
  [6872] = 5396,
  [6873] = 4786,
  [6874] = 5324,
  [6875] = 4214,
  [6876] = 4414,
  [6877] = 5392,
  [6878] = 4254,
  [6879] = 4561,
  [6880] = 5392,
  [6881] = 4299,
  [6882] = 4418,
  [6883] = 5324,
  [6884] = 4324,
  [6885] = 4786,
  [6886] = 4288,
  [6887] = 5397,
  [6888] = 6888,
  [6889] = 5066,
  [6890] = 5866,
  [6891] = 5860,
  [6892] = 5400,
  [6893] = 4280,
  [6894] = 4258,
  [6895] = 4392,
  [6896] = 4181,
  [6897] = 4251,
  [6898] = 5402,
  [6899] = 4226,
  [6900] = 4360,
  [6901] = 4066,
  [6902] = 4367,
  [6903] = 4251,
  [6904] = 4304,
  [6905] = 4179,
  [6906] = 5391,
  [6907] = 4324,
  [6908] = 4360,
  [6909] = 4280,
  [6910] = 4766,
  [6911] = 4324,
  [6912] = 5877,
  [6913] = 4226,
  [6914] = 4532,
  [6915] = 4288,
  [6916] = 4251,
  [6917] = 5816,
  [6918] = 4653,
  [6919] = 4181,
  [6920] = 4242,
  [6921] = 4251,
  [6922] = 4360,
  [6923] = 4318,
  [6924] = 5436,
  [6925] = 4258,
  [6926] = 4299,
  [6927] = 4322,
  [6928] = 5015,
  [6929] = 4647,
  [6930] = 5324,
  [6931] = 5015,
  [6932] = 4214,
  [6933] = 4292,
  [6934] = 4414,
  [6935] = 5882,
  [6936] = 5883,
  [6937] = 4415,
  [6938] = 5350,
  [6939] = 4322,
  [6940] = 4179,
  [6941] = 5794,
  [6942] = 4275,
  [6943] = 4226,
  [6944] = 5774,
  [6945] = 5410,
  [6946] = 4746,
  [6947] = 4242,
  [6948] = 4561,
  [6949] = 6091,
  [6950] = 4242,
  [6951] = 4251,
  [6952] = 4303,
  [6953] = 4298,
  [6954] = 5403,
  [6955] = 4292,
  [6956] = 4304,
  [6957] = 4186,
  [6958] = 4186,
  [6959] = 5348,
  [6960] = 4561,
  [6961] = 4303,
  [6962] = 4414,
  [6963] = 4298,
  [6964] = 5345,
  [6965] = 4647,
  [6966] = 4324,
  [6967] = 4324,
  [6968] = 5346,
  [6969] = 4214,
  [6970] = 6710,
  [6971] = 4251,
  [6972] = 4226,
  [6973] = 4367,
  [6974] = 4210,
  [6975] = 6796,
  [6976] = 4258,
  [6977] = 4976,
  [6978] = 4367,
  [6979] = 4186,
  [6980] = 4392,
  [6981] = 4322,
  [6982] = 6888,
  [6983] = 4242,
  [6984] = 3880,
  [6985] = 4303,
  [6986] = 4288,
  [6987] = 4653,
  [6988] = 5058,
  [6989] = 5200,
  [6990] = 4318,
  [6991] = 4179,
  [6992] = 4724,
  [6993] = 4393,
  [6994] = 4292,
  [6995] = 5345,
  [6996] = 4360,
  [6997] = 5055,
  [6998] = 4392,
  [6999] = 4298,
  [7000] = 5054,
  [7001] = 4179,
  [7002] = 4292,
  [7003] = 5346,
  [7004] = 4179,
  [7005] = 4251,
  [7006] = 4322,
  [7007] = 4179,
  [7008] = 4766,
  [7009] = 4298,
  [7010] = 4392,
  [7011] = 4258,
  [7012] = 4292,
  [7013] = 4199,
  [7014] = 5088,
  [7015] = 4724,
  [7016] = 3880,
  [7017] = 5866,
  [7018] = 4397,
  [7019] = 4303,
  [7020] = 5346,
  [7021] = 4292,
  [7022] = 6710,
  [7023] = 4414,
  [7024] = 5560,
  [7025] = 6796,
  [7026] = 4364,
  [7027] = 4179,
  [7028] = 4367,
  [7029] = 4214,
  [7030] = 4199,
  [7031] = 4226,
  [7032] = 4647,
  [7033] = 5391,
  [7034] = 4786,
  [7035] = 4299,
  [7036] = 4254,
  [7037] = 4251,
  [7038] = 5586,
  [7039] = 4288,
  [7040] = 5366,
  [7041] = 4186,
  [7042] = 4258,
  [7043] = 4414,
  [7044] = 4242,
  [7045] = 4653,
  [7046] = 4299,
  [7047] = 4418,
  [7048] = 4288,
  [7049] = 6710,
  [7050] = 4225,
  [7051] = 4214,
  [7052] = 4292,
  [7053] = 4393,
  [7054] = 4303,
  [7055] = 5066,
  [7056] = 4322,
  [7057] = 6796,
  [7058] = 4225,
  [7059] = 4242,
  [7060] = 4186,
  [7061] = 4360,
  [7062] = 3880,
  [7063] = 4298,
  [7064] = 5774,
  [7065] = 5055,
  [7066] = 4179,
  [7067] = 3888,
  [7068] = 4179,
  [7069] = 4303,
  [7070] = 4254,
  [7071] = 4263,
  [7072] = 4392,
  [7073] = 5023,
  [7074] = 4226,
  [7075] = 5860,
  [7076] = 4724,
  [7077] = 4722,
  [7078] = 4766,
  [7079] = 5794,
  [7080] = 4647,
  [7081] = 4251,
  [7082] = 4242,
  [7083] = 4766,
  [7084] = 4653,
  [7085] = 4280,
  [7086] = 4258,
  [7087] = 4318,
  [7088] = 4251,
  [7089] = 4258,
  [7090] = 5424,
  [7091] = 4292,
  [7092] = 4766,
  [7093] = 4226,
  [7094] = 3888,
  [7095] = 4415,
  [7096] = 4298,
  [7097] = 4304,
  [7098] = 4288,
  [7099] = 4367,
  [7100] = 4254,
  [7101] = 4214,
  [7102] = 4973,
  [7103] = 4299,
  [7104] = 4318,
  [7105] = 4318,
  [7106] = 4303,
  [7107] = 4214,
  [7108] = 4984,
  [7109] = 4722,
  [7110] = 4254,
  [7111] = 4299,
  [7112] = 4299,
  [7113] = 4214,
  [7114] = 4724,
  [7115] = 4724,
  [7116] = 4210,
  [7117] = 4186,
  [7118] = 4766,
  [7119] = 4258,
  [7120] = 4360,
  [7121] = 4304,
  [7122] = 4288,
  [7123] = 4976,
  [7124] = 4367,
  [7125] = 5816,
  [7126] = 4532,
  [7127] = 4288,
  [7128] = 5400,
  [7129] = 4304,
  [7130] = 5560,
  [7131] = 4786,
  [7132] = 5877,
  [7133] = 4647,
  [7134] = 4186,
  [7135] = 6710,
  [7136] = 4984,
  [7137] = 5586,
  [7138] = 4647,
  [7139] = 4392,
  [7140] = 4746,
  [7141] = 4318,
  [7142] = 4258,
  [7143] = 4318,
  [7144] = 4392,
  [7145] = 4766,
  [7146] = 4275,
  [7147] = 4275,
  [7148] = 4214,
  [7149] = 4360,
  [7150] = 4298,
  [7151] = 5882,
  [7152] = 5883,
  [7153] = 4724,
  [7154] = 4653,
  [7155] = 4251,
  [7156] = 6796,
  [7157] = 4415,
  [7158] = 4303,
  [7159] = 4973,
  [7160] = 4415,
  [7161] = 4263,
  [7162] = 5402,
  [7163] = 4199,
  [7164] = 4280,
  [7165] = 4324,
  [7166] = 4722,
  [7167] = 4653,
  [7168] = 4976,
  [7169] = 5231,
  [7170] = 4298,
  [7171] = 5054,
  [7172] = 5397,
  [7173] = 4367,
  [7174] = 4179,
  [7175] = 4258,
  [7176] = 4292,
  [7177] = 4186,
  [7178] = 4226,
  [7179] = 4322,
  [7180] = 4288,
  [7181] = 4367,
  [7182] = 4414,
  [7183] = 5023,
  [7184] = 4242,
  [7185] = 5396,
  [7186] = 5015,
  [7187] = 4214,
  [7188] = 4364,
  [7189] = 4766,
  [7190] = 4186,
  [7191] = 4299,
  [7192] = 5066,
  [7193] = 4242,
  [7194] = 5015,
  [7195] = 4226,
  [7196] = 4299,
  [7197] = 4214,
  [7198] = 4304,
  [7199] = 4179,
  [7200] = 7200,
  [7201] = 5860,
  [7202] = 4786,
  [7203] = 4397,
  [7204] = 4292,
  [7205] = 5350,
  [7206] = 5088,
  [7207] = 4976,
  [7208] = 3880,
  [7209] = 5015,
  [7210] = 4251,
  [7211] = 5866,
  [7212] = 4288,
  [7213] = 7213,
  [7214] = 4392,
  [7215] = 4561,
  [7216] = 4298,
  [7217] = 4304,
  [7218] = 4214,
  [7219] = 4724,
  [7220] = 4532,
  [7221] = 4647,
  [7222] = 4415,
  [7223] = 4392,
  [7224] = 4722,
  [7225] = 4299,
  [7226] = 4263,
  [7227] = 4724,
  [7228] = 5449,
  [7229] = 4415,
  [7230] = 5446,
  [7231] = 4303,
  [7232] = 5392,
  [7233] = 4653,
  [7234] = 5324,
  [7235] = 4722,
  [7236] = 4415,
  [7237] = 3880,
  [7238] = 4414,
  [7239] = 4288,
  [7240] = 4322,
  [7241] = 3888,
  [7242] = 4275,
  [7243] = 4324,
  [7244] = 4263,
  [7245] = 4415,
  [7246] = 4226,
  [7247] = 4186,
  [7248] = 3888,
  [7249] = 4242,
  [7250] = 4324,
  [7251] = 4392,
  [7252] = 5200,
  [7253] = 5015,
  [7254] = 4322,
  [7255] = 4242,
  [7256] = 4258,
  [7257] = 4226,
  [7258] = 4414,
  [7259] = 5621,
  [7260] = 4303,
  [7261] = 4199,
  [7262] = 4647,
  [7263] = 4258,
  [7264] = 4976,
  [7265] = 4179,
  [7266] = 4292,
  [7267] = 5231,
  [7268] = 4292,
  [7269] = 4186,
  [7270] = 4647,
  [7271] = 4298,
  [7272] = 5436,
  [7273] = 4263,
  [7274] = 3880,
  [7275] = 4066,
  [7276] = 4414,
  [7277] = 4199,
  [7278] = 4254,
  [7279] = 4298,
  [7280] = 4318,
  [7281] = 4367,
  [7282] = 4653,
  [7283] = 4304,
  [7284] = 4364,
  [7285] = 4418,
  [7286] = 4722,
  [7287] = 4304,
  [7288] = 4225,
  [7289] = 4722,
  [7290] = 4254,
  [7291] = 5799,
  [7292] = 4318,
  [7293] = 5799,
  [7294] = 4186,
  [7295] = 5054,
  [7296] = 5015,
  [7297] = 4298,
  [7298] = 4724,
  [7299] = 4303,
  [7300] = 4324,
  [7301] = 5055,
  [7302] = 4418,
  [7303] = 4179,
  [7304] = 4392,
  [7305] = 4367,
  [7306] = 4786,
  [7307] = 5816,
  [7308] = 5015,
  [7309] = 4415,
  [7310] = 4364,
  [7311] = 4722,
  [7312] = 4303,
  [7313] = 4367,
  [7314] = 4280,
  [7315] = 4179,
  [7316] = 4292,
  [7317] = 4322,
  [7318] = 4186,
  [7319] = 5058,
  [7320] = 4226,
  [7321] = 4367,
  [7322] = 4199,
  [7323] = 6710,
  [7324] = 4724,
  [7325] = 4653,
  [7326] = 4392,
  [7327] = 4786,
  [7328] = 4653,
  [7329] = 4786,
  [7330] = 4364,
  [7331] = 4318,
  [7332] = 4251,
  [7333] = 4647,
  [7334] = 4318,
  [7335] = 4258,
  [7336] = 5424,
  [7337] = 5058,
  [7338] = 6796,
  [7339] = 4324,
  [7340] = 4242,
  [7341] = 4392,
  [7342] = 5446,
  [7343] = 5015,
  [7344] = 4263,
  [7345] = 4318,
  [7346] = 4653,
  [7347] = 5799,
  [7348] = 4242,
  [7349] = 4415,
  [7350] = 3888,
  [7351] = 4367,
  [7352] = 4304,
  [7353] = 4303,
  [7354] = 3880,
  [7355] = 4258,
  [7356] = 4263,
  [7357] = 4722,
  [7358] = 4304,
  [7359] = 4292,
  [7360] = 4181,
  [7361] = 4304,
  [7362] = 4392,
  [7363] = 4322,
  [7364] = 4254,
  [7365] = 4360,
  [7366] = 5794,
  [7367] = 4367,
  [7368] = 4414,
  [7369] = 4298,
  [7370] = 4304,
  [7371] = 4318,
  [7372] = 4786,
  [7373] = 5449,
  [7374] = 5023,
  [7375] = 4647,
  [7376] = 4226,
  [7377] = 5774,
  [7378] = 4324,
  [7379] = 4318,
  [7380] = 5816,
  [7381] = 4225,
  [7382] = 4392,
  [7383] = 7383,
  [7384] = 7384,
  [7385] = 4984,
  [7386] = 7386,
  [7387] = 7387,
  [7388] = 4973,
  [7389] = 4199,
  [7390] = 5402,
  [7391] = 7383,
  [7392] = 4367,
  [7393] = 7383,
  [7394] = 7383,
  [7395] = 6183,
  [7396] = 4984,
  [7397] = 4318,
  [7398] = 5794,
  [7399] = 4179,
  [7400] = 5774,
  [7401] = 4653,
  [7402] = 4653,
  [7403] = 5023,
  [7404] = 7383,
  [7405] = 4653,
  [7406] = 4647,
  [7407] = 4415,
  [7408] = 4724,
  [7409] = 4179,
  [7410] = 4973,
  [7411] = 4415,
  [7412] = 7383,
  [7413] = 7413,
  [7414] = 4414,
  [7415] = 5066,
  [7416] = 4199,
  [7417] = 7417,
  [7418] = 7383,
  [7419] = 4647,
  [7420] = 7383,
  [7421] = 4179,
  [7422] = 4179,
  [7423] = 4647,
  [7424] = 3888,
  [7425] = 4318,
  [7426] = 4766,
  [7427] = 5088,
  [7428] = 4724,
  [7429] = 7383,
  [7430] = 4367,
  [7431] = 4324,
  [7432] = 3888,
  [7433] = 5860,
  [7434] = 5866,
  [7435] = 4532,
  [7436] = 3880,
  [7437] = 7383,
  [7438] = 7383,
  [7439] = 4251,
  [7440] = 4392,
  [7441] = 4181,
  [7442] = 4722,
  [7443] = 5403,
  [7444] = 4724,
  [7445] = 4722,
  [7446] = 4724,
  [7447] = 4976,
  [7448] = 5410,
  [7449] = 3888,
  [7450] = 5621,
  [7451] = 3880,
  [7452] = 4786,
  [7453] = 4976,
  [7454] = 7383,
  [7455] = 6091,
  [7456] = 4724,
  [7457] = 7383,
  [7458] = 3888,
  [7459] = 3880,
  [7460] = 3880,
  [7461] = 4561,
  [7462] = 7383,
  [7463] = 4324,
  [7464] = 4360,
  [7465] = 5877,
  [7466] = 5391,
  [7467] = 4254,
  [7468] = 7383,
  [7469] = 4415,
  [7470] = 7383,
  [7471] = 5023,
  [7472] = 5015,
  [7473] = 3888,
  [7474] = 4322,
  [7475] = 4724,
  [7476] = 4288,
  [7477] = 7383,
  [7478] = 5400,
  [7479] = 3880,
  [7480] = 4299,
  [7481] = 5397,
  [7482] = 4746,
  [7483] = 7383,
  [7484] = 5396,
  [7485] = 7387,
  [7486] = 7383,
  [7487] = 7386,
  [7488] = 5015,
  [7489] = 5324,
  [7490] = 4214,
  [7491] = 6888,
  [7492] = 4976,
  [7493] = 5799,
  [7494] = 7383,
  [7495] = 4653,
  [7496] = 7383,
  [7497] = 4179,
  [7498] = 5200,
  [7499] = 4766,
  [7500] = 4414,
  [7501] = 5088,
  [7502] = 7413,
  [7503] = 7383,
  [7504] = 4532,
  [7505] = 7383,
  [7506] = 4415,
  [7507] = 4324,
  [7508] = 5066,
  [7509] = 4786,
  [7510] = 4392,
  [7511] = 5231,
  [7512] = 7213,
  [7513] = 5424,
  [7514] = 5402,
  [7515] = 7417,
  [7516] = 5436,
  [7517] = 4214,
  [7518] = 5015,
  [7519] = 5350,
  [7520] = 5023,
  [7521] = 4304,
  [7522] = 5882,
  [7523] = 4786,
  [7524] = 4415,
  [7525] = 4722,
  [7526] = 4322,
  [7527] = 5446,
  [7528] = 4647,
  [7529] = 4299,
  [7530] = 5449,
  [7531] = 4976,
  [7532] = 4973,
  [7533] = 7383,
  [7534] = 4367,
  [7535] = 5015,
  [7536] = 4226,
  [7537] = 4318,
  [7538] = 4722,
  [7539] = 4647,
  [7540] = 4984,
  [7541] = 4179,
  [7542] = 4724,
  [7543] = 4288,
  [7544] = 4722,
  [7545] = 5015,
  [7546] = 5883,
  [7547] = 3880,
  [7548] = 5066,
  [7549] = 7383,
  [7550] = 4724,
  [7551] = 5877,
  [7552] = 5015,
  [7553] = 5586,
  [7554] = 4414,
  [7555] = 5560,
  [7556] = 4254,
  [7557] = 3880,
  [7558] = 7387,
  [7559] = 4322,
  [7560] = 4179,
  [7561] = 7383,
  [7562] = 7386,
  [7563] = 3888,
  [7564] = 4214,
  [7565] = 4299,
  [7566] = 4392,
  [7567] = 4288,
  [7568] = 4181,
  [7569] = 7383,
  [7570] = 7383,
  [7571] = 4242,
  [7572] = 4418,
  [7573] = 3888,
  [7574] = 4203,
  [7575] = 6787,
  [7576] = 4280,
  [7577] = 4653,
  [7578] = 4367,
  [7579] = 4322,
  [7580] = 5662,
  [7581] = 4360,
  [7582] = 4561,
  [7583] = 5882,
  [7584] = 5676,
  [7585] = 5883,
  [7586] = 4318,
  [7587] = 7387,
  [7588] = 7386,
  [7589] = 7383,
  [7590] = 4181,
  [7591] = 7591,
  [7592] = 7383,
  [7593] = 5015,
  [7594] = 5231,
  [7595] = 3880,
  [7596] = 4976,
  [7597] = 5200,
  [7598] = 4766,
  [7599] = 4976,
  [7600] = 4786,
  [7601] = 5621,
  [7602] = 4292,
  [7603] = 4397,
  [7604] = 4647,
  [7605] = 7383,
  [7606] = 5345,
  [7607] = 7383,
  [7608] = 5088,
  [7609] = 4181,
  [7610] = 4653,
  [7611] = 7383,
  [7612] = 4298,
  [7613] = 4392,
  [7614] = 4722,
  [7615] = 4304,
  [7616] = 5346,
  [7617] = 4199,
  [7618] = 5799,
  [7619] = 4181,
  [7620] = 4724,
  [7621] = 4766,
  [7622] = 7622,
  [7623] = 7383,
  [7624] = 4288,
  [7625] = 4367,
  [7626] = 4746,
  [7627] = 4364,
  [7628] = 7383,
  [7629] = 4299,
  [7630] = 4318,
  [7631] = 7387,
  [7632] = 7386,
  [7633] = 4214,
  [7634] = 4066,
  [7635] = 3888,
  [7636] = 4786,
  [7637] = 7383,
  [7638] = 7384,
  [7639] = 4199,
  [7640] = 4303,
  [7641] = 6806,
  [7642] = 7213,
  [7643] = 4414,
  [7644] = 4199,
  [7645] = 7383,
  [7646] = 4199,
  [7647] = 7383,
  [7648] = 5015,
  [7649] = 4360,
  [7650] = 7200,
  [7651] = 7383,
  [7652] = 4263,
  [7653] = 3880,
  [7654] = 4360,
  [7655] = 5392,
  [7656] = 4414,
  [7657] = 5015,
  [7658] = 4786,
  [7659] = 7383,
  [7660] = 4724,
  [7661] = 7383,
  [7662] = 3888,
  [7663] = 4258,
  [7664] = 4766,
  [7665] = 4392,
  [7666] = 7383,
  [7667] = 4367,
  [7668] = 4214,
  [7669] = 4746,
  [7670] = 4214,
  [7671] = 7383,
  [7672] = 7383,
  [7673] = 4318,
  [7674] = 7591,
  [7675] = 4532,
  [7676] = 4786,
  [7677] = 4179,
  [7678] = 3880,
  [7679] = 4181,
  [7680] = 4647,
  [7681] = 4186,
  [7682] = 4976,
  [7683] = 7383,
  [7684] = 7383,
  [7685] = 7413,
  [7686] = 4653,
  [7687] = 4786,
  [7688] = 4263,
  [7689] = 4647,
  [7690] = 4304,
  [7691] = 7383,
  [7692] = 4766,
  [7693] = 4324,
  [7694] = 6787,
  [7695] = 4393,
  [7696] = 7383,
  [7697] = 5015,
  [7698] = 4360,
  [7699] = 4322,
  [7700] = 4304,
  [7701] = 7383,
  [7702] = 4299,
  [7703] = 4288,
  [7704] = 5058,
  [7705] = 3888,
  [7706] = 5348,
  [7707] = 5055,
  [7708] = 5054,
  [7709] = 4288,
  [7710] = 7383,
  [7711] = 7383,
  [7712] = 4299,
  [7713] = 4976,
  [7714] = 4299,
  [7715] = 4179,
  [7716] = 5621,
  [7717] = 4226,
  [7718] = 4214,
  [7719] = 5799,
  [7720] = 4214,
  [7721] = 4181,
  [7722] = 7383,
  [7723] = 4242,
  [7724] = 5402,
  [7725] = 5676,
  [7726] = 4292,
  [7727] = 4415,
  [7728] = 4324,
  [7729] = 4299,
  [7730] = 7383,
  [7731] = 4766,
  [7732] = 4298,
  [7733] = 5662,
  [7734] = 5799,
  [7735] = 7591,
  [7736] = 4280,
  [7737] = 4303,
  [7738] = 4322,
  [7739] = 4414,
  [7740] = 4186,
  [7741] = 7383,
  [7742] = 4251,
  [7743] = 4258,
  [7744] = 3880,
  [7745] = 7383,
  [7746] = 4724,
  [7747] = 4258,
  [7748] = 4766,
  [7749] = 4360,
  [7750] = 4258,
  [7751] = 5088,
  [7752] = 4976,
  [7753] = 7383,
  [7754] = 5346,
  [7755] = 4179,
  [7756] = 5345,
  [7757] = 4653,
  [7758] = 4561,
  [7759] = 5066,
  [7760] = 4288,
  [7761] = 4179,
  [7762] = 7200,
  [7763] = 4786,
  [7764] = 7383,
  [7765] = 4766,
  [7766] = 4360,
  [7767] = 4304,
  [7768] = 7417,
  [7769] = 7383,
  [7770] = 5023,
  [7771] = 4647,
  [7772] = 4766,
  [7773] = 7591,
  [7774] = 4318,
  [7775] = 5883,
  [7776] = 5882,
  [7777] = 4647,
  [7778] = 4288,
  [7779] = 4414,
  [7780] = 4973,
  [7781] = 5799,
  [7782] = 4653,
  [7783] = 4367,
  [7784] = 4299,
  [7785] = 4984,
  [7786] = 4225,
  [7787] = 4186,
  [7788] = 4303,
  [7789] = 5877,
  [7790] = 4766,
  [7791] = 4214,
  [7792] = 4066,
  [7793] = 4415,
  [7794] = 4318,
  [7795] = 4724,
  [7796] = 7383,
  [7797] = 4653,
  [7798] = 5088,
  [7799] = 4392,
  [7800] = 4367,
  [7801] = 7383,
  [7802] = 4186,
  [7803] = 5200,
  [7804] = 4786,
  [7805] = 5066,
  [7806] = 4303,
  [7807] = 4392,
  [7808] = 5023,
  [7809] = 7383,
  [7810] = 4367,
  [7811] = 4976,
  [7812] = 7383,
  [7813] = 4288,
  [7814] = 3888,
  [7815] = 4973,
  [7816] = 4984,
  [7817] = 7591,
  [7818] = 4647,
  [7819] = 4304,
  [7820] = 4724,
  [7821] = 4360,
  [7822] = 4214,
  [7823] = 4298,
  [7824] = 4299,
  [7825] = 4179,
  [7826] = 4186,
  [7827] = 4292,
  [7828] = 7383,
  [7829] = 4288,
  [7830] = 5799,
  [7831] = 4766,
  [7832] = 5794,
  [7833] = 7383,
  [7834] = 6806,
  [7835] = 4360,
  [7836] = 5560,
  [7837] = 5586,
  [7838] = 4298,
  [7839] = 7591,
  [7840] = 4766,
  [7841] = 7383,
  [7842] = 4242,
  [7843] = 4304,
  [7844] = 5348,
  [7845] = 7383,
  [7846] = 6734,
  [7847] = 4226,
  [7848] = 6736,
  [7849] = 4258,
  [7850] = 4318,
  [7851] = 4367,
  [7852] = 4251,
  [7853] = 4292,
  [7854] = 4392,
  [7855] = 7213,
  [7856] = 5350,
  [7857] = 7383,
  [7858] = 5350,
  [7859] = 4303,
  [7860] = 4251,
  [7861] = 4251,
  [7862] = 6741,
  [7863] = 4242,
  [7864] = 4304,
  [7865] = 7383,
  [7866] = 4298,
  [7867] = 4318,
  [7868] = 4976,
  [7869] = 5676,
  [7870] = 4722,
  [7871] = 4367,
  [7872] = 4292,
  [7873] = 5392,
  [7874] = 4226,
  [7875] = 5662,
  [7876] = 7383,
  [7877] = 4242,
  [7878] = 4653,
  [7879] = 5348,
  [7880] = 5799,
  [7881] = 4226,
  [7882] = 5877,
  [7883] = 4392,
  [7884] = 4242,
  [7885] = 4786,
  [7886] = 5346,
  [7887] = 5345,
  [7888] = 5231,
  [7889] = 4304,
  [7890] = 4292,
  [7891] = 5015,
  [7892] = 4392,
  [7893] = 4298,
  [7894] = 4199,
  [7895] = 4561,
  [7896] = 5882,
  [7897] = 4226,
  [7898] = 7383,
  [7899] = 5883,
  [7900] = 5774,
  [7901] = 7383,
  [7902] = 4179,
  [7903] = 4303,
  [7904] = 5560,
  [7905] = 3888,
  [7906] = 4367,
  [7907] = 4181,
  [7908] = 5586,
  [7909] = 7383,
  [7910] = 4984,
  [7911] = 4318,
  [7912] = 4258,
  [7913] = 7383,
  [7914] = 4973,
  [7915] = 4415,
  [7916] = 4360,
  [7917] = 7383,
  [7918] = 6091,
  [7919] = 7383,
  [7920] = 5816,
  [7921] = 6183,
  [7922] = 5449,
  [7923] = 7383,
  [7924] = 5446,
  [7925] = 4786,
  [7926] = 4532,
  [7927] = 5023,
  [7928] = 4392,
  [7929] = 4196,
  [7930] = 4199,
  [7931] = 5449,
  [7932] = 6787,
  [7933] = 5446,
  [7934] = 5436,
  [7935] = 7935,
  [7936] = 7383,
  [7937] = 4181,
  [7938] = 4179,
  [7939] = 5066,
  [7940] = 5436,
  [7941] = 4360,
  [7942] = 4360,
  [7943] = 4066,
  [7944] = 6091,
  [7945] = 7383,
  [7946] = 5088,
  [7947] = 4226,
  [7948] = 7383,
  [7949] = 4242,
  [7950] = 4292,
  [7951] = 5866,
  [7952] = 5424,
  [7953] = 5424,
  [7954] = 4298,
  [7955] = 5860,
  [7956] = 4303,
  [7957] = 4251,
  [7958] = 4258,
  [7959] = 4251,
  [7960] = 4653,
  [7961] = 4179,
  [7962] = 4318,
  [7963] = 4415,
  [7964] = 4367,
  [7965] = 4786,
  [7966] = 4179,
  [7967] = 4414,
  [7968] = 7383,
  [7969] = 4226,
  [7970] = 5877,
  [7971] = 7383,
  [7972] = 4647,
  [7973] = 7383,
  [7974] = 5883,
  [7975] = 4392,
  [7976] = 5882,
  [7977] = 4242,
  [7978] = 6183,
  [7979] = 7383,
  [7980] = 5324,
  [7981] = 5882,
  [7982] = 5883,
  [7983] = 4292,
  [7984] = 4214,
  [7985] = 4186,
  [7986] = 4724,
  [7987] = 4298,
  [7988] = 5396,
  [7989] = 4318,
  [7990] = 4299,
  [7991] = 4786,
  [7992] = 5397,
  [7993] = 4415,
  [7994] = 4367,
  [7995] = 7383,
  [7996] = 4288,
  [7997] = 5200,
  [7998] = 4186,
  [7999] = 3880,
  [8000] = 4303,
  [8001] = 4258,
  [8002] = 4199,
  [8003] = 5400,
  [8004] = 4414,
  [8005] = 4251,
  [8006] = 4258,
  [8007] = 5816,
  [8008] = 4251,
  [8009] = 4415,
  [8010] = 4392,
  [8011] = 5324,
  [8012] = 5391,
  [8013] = 4724,
  [8014] = 3888,
  [8015] = 4322,
  [8016] = 5392,
  [8017] = 7383,
  [8018] = 4360,
  [8019] = 4647,
  [8020] = 4275,
  [8021] = 4360,
  [8022] = 4181,
  [8023] = 4392,
  [8024] = 4318,
  [8025] = 5058,
  [8026] = 4746,
  [8027] = 5877,
  [8028] = 4653,
  [8029] = 7383,
  [8030] = 4367,
  [8031] = 5860,
  [8032] = 4303,
  [8033] = 5231,
  [8034] = 5055,
  [8035] = 4367,
  [8036] = 5410,
  [8037] = 4324,
  [8038] = 5396,
  [8039] = 4318,
  [8040] = 5054,
  [8041] = 5403,
  [8042] = 4392,
  [8043] = 4210,
  [8044] = 4722,
  [8045] = 4186,
  [8046] = 5794,
  [8047] = 4226,
  [8048] = 4414,
  [8049] = 5774,
  [8050] = 5410,
  [8051] = 4318,
  [8052] = 3880,
  [8053] = 7383,
  [8054] = 5054,
  [8055] = 5055,
  [8056] = 5058,
  [8057] = 4367,
  [8058] = 4214,
  [8059] = 4299,
  [8060] = 4242,
  [8061] = 4288,
  [8062] = 7383,
  [8063] = 4292,
  [8064] = 4186,
  [8065] = 4298,
  [8066] = 5391,
  [8067] = 7383,
  [8068] = 4414,
  [8069] = 4418,
  [8070] = 5403,
  [8071] = 4199,
  [8072] = 5400,
  [8073] = 4392,
  [8074] = 5866,
  [8075] = 4724,
  [8076] = 7383,
  [8077] = 5397,
  [8078] = 4318,
  [8079] = 5799,
  [8080] = 5882,
  [8081] = 4532,
  [8082] = 4242,
  [8083] = 5348,
  [8084] = 5346,
  [8085] = 4226,
  [8086] = 3880,
  [8087] = 4367,
  [8088] = 4392,
  [8089] = 4066,
  [8090] = 5348,
  [8091] = 5883,
  [8092] = 5231,
  [8093] = 4414,
  [8094] = 4786,
  [8095] = 5350,
  [8096] = 8096,
  [8097] = 4318,
  [8098] = 4214,
  [8099] = 4786,
  [8100] = 5058,
  [8101] = 4299,
  [8102] = 5350,
  [8103] = 4392,
  [8104] = 4186,
  [8105] = 5877,
  [8106] = 4292,
  [8107] = 4322,
  [8108] = 4288,
  [8109] = 5088,
  [8110] = 4298,
  [8111] = 4298,
  [8112] = 8112,
  [8113] = 5066,
  [8114] = 4179,
  [8115] = 4367,
  [8116] = 4724,
  [8117] = 5055,
  [8118] = 5023,
  [8119] = 4318,
  [8120] = 5054,
  [8121] = 4561,
  [8122] = 5345,
  [8123] = 4786,
  [8124] = 8124,
  [8125] = 8125,
  [8126] = 4263,
  [8127] = 5088,
  [8128] = 4324,
  [8129] = 5621,
  [8130] = 4973,
  [8131] = 5346,
  [8132] = 5345,
  [8133] = 4414,
  [8134] = 5066,
  [8135] = 4179,
  [8136] = 4984,
  [8137] = 4303,
  [8138] = 4360,
  [8139] = 4766,
  [8140] = 7213,
  [8141] = 4360,
  [8142] = 4415,
  [8143] = 7200,
  [8144] = 5023,
  [8145] = 8145,
  [8146] = 4181,
  [8147] = 5866,
  [8148] = 4415,
  [8149] = 5348,
  [8150] = 8150,
  [8151] = 4360,
  [8152] = 5860,
  [8153] = 5883,
  [8154] = 5882,
  [8155] = 7213,
  [8156] = 4973,
  [8157] = 4724,
  [8158] = 7213,
  [8159] = 5402,
  [8160] = 4984,
  [8161] = 4258,
  [8162] = 4415,
  [8163] = 5883,
  [8164] = 3888,
  [8165] = 5882,
  [8166] = 6806,
  [8167] = 4303,
  [8168] = 6183,
  [8169] = 5350,
  [8170] = 4392,
  [8171] = 4786,
  [8172] = 4786,
  [8173] = 4226,
  [8174] = 5816,
  [8175] = 4724,
  [8176] = 6091,
  [8177] = 5877,
  [8178] = 4292,
  [8179] = 4367,
  [8180] = 4242,
  [8181] = 5345,
  [8182] = 5346,
  [8183] = 4288,
  [8184] = 4258,
  [8185] = 6091,
  [8186] = 4299,
  [8187] = 4318,
  [8188] = 5231,
  [8189] = 4766,
  [8190] = 4214,
  [8191] = 5200,
  [8192] = 4186,
  [8193] = 5877,
  [8194] = 7200,
  [8195] = 4226,
  [8196] = 5774,
  [8197] = 7213,
  [8198] = 4653,
  [8199] = 4251,
  [8200] = 4766,
  [8201] = 4786,
  [8202] = 4251,
  [8203] = 5794,
  [8204] = 6787,
  [8205] = 4647,
  [8206] = 4746,
  [8207] = 5088,
  [8208] = 4724,
  [8209] = 4179,
  [8210] = 4214,
  [8211] = 2348,
  [8212] = 8212,
  [8213] = 4299,
  [8214] = 5066,
  [8215] = 4275,
  [8216] = 4724,
  [8217] = 4288,
  [8218] = 5403,
  [8219] = 6787,
  [8220] = 4242,
  [8221] = 4304,
  [8222] = 4288,
  [8223] = 4360,
  [8224] = 5023,
  [8225] = 4415,
  [8226] = 6806,
  [8227] = 5231,
  [8228] = 4292,
  [8229] = 5410,
  [8230] = 5088,
  [8231] = 4766,
  [8232] = 4298,
  [8233] = 5200,
  [8234] = 4258,
  [8235] = 8235,
  [8236] = 4973,
  [8237] = 4766,
  [8238] = 5058,
  [8239] = 5799,
  [8240] = 4984,
  [8241] = 4303,
  [8242] = 5055,
  [8243] = 5054,
  [8244] = 8244,
  [8245] = 5391,
  [8246] = 3880,
  [8247] = 4225,
  [8248] = 4976,
  [8249] = 5676,
  [8250] = 4199,
  [8251] = 4258,
  [8252] = 4976,
  [8253] = 5662,
  [8254] = 5400,
  [8255] = 4186,
  [8256] = 5397,
  [8257] = 5396,
  [8258] = 5054,
  [8259] = 5015,
  [8260] = 4984,
  [8261] = 5560,
  [8262] = 5403,
  [8263] = 4392,
  [8264] = 5586,
  [8265] = 6787,
  [8266] = 4322,
  [8267] = 5392,
  [8268] = 4973,
  [8269] = 5055,
  [8270] = 5324,
  [8271] = 4392,
  [8272] = 4299,
  [8273] = 5066,
  [8274] = 4303,
  [8275] = 4367,
  [8276] = 5015,
  [8277] = 5424,
  [8278] = 4360,
  [8279] = 4318,
  [8280] = 4766,
  [8281] = 5436,
  [8282] = 4367,
  [8283] = 5410,
  [8284] = 5023,
  [8285] = 5446,
  [8286] = 5449,
  [8287] = 5058,
  [8288] = 5200,
  [8289] = 5449,
  [8290] = 4258,
  [8291] = 4318,
  [8292] = 5402,
  [8293] = 5023,
  [8294] = 3880,
  [8295] = 4298,
  [8296] = 5066,
  [8297] = 4186,
  [8298] = 5446,
  [8299] = 5391,
  [8300] = 4251,
  [8301] = 5621,
  [8302] = 5586,
  [8303] = 3888,
  [8304] = 4976,
  [8305] = 4304,
  [8306] = 5586,
  [8307] = 5088,
  [8308] = 5560,
  [8309] = 5436,
  [8310] = 5400,
  [8311] = 4766,
  [8312] = 4324,
  [8313] = 5397,
  [8314] = 5424,
  [8315] = 4973,
  [8316] = 4226,
  [8317] = 4214,
  [8318] = 4242,
  [8319] = 4242,
  [8320] = 5396,
  [8321] = 4181,
  [8322] = 5015,
  [8323] = 4292,
  [8324] = 3888,
  [8325] = 4786,
  [8326] = 5015,
  [8327] = 4414,
  [8328] = 4976,
  [8329] = 4298,
  [8330] = 5324,
  [8331] = 5662,
  [8332] = 5676,
  [8333] = 4984,
  [8334] = 5324,
  [8335] = 5392,
  [8336] = 4303,
  [8337] = 4186,
  [8338] = 4226,
  [8339] = 5396,
  [8340] = 5015,
  [8341] = 4186,
  [8342] = 5397,
  [8343] = 4226,
  [8344] = 4251,
  [8345] = 4292,
  [8346] = 4258,
  [8347] = 4360,
  [8348] = 5400,
  [8349] = 5015,
  [8350] = 4303,
  [8351] = 4976,
  [8352] = 5424,
  [8353] = 5391,
  [8354] = 4973,
  [8355] = 4976,
  [8356] = 5436,
  [8357] = 4746,
  [8358] = 4318,
  [8359] = 8359,
  [8360] = 5403,
  [8361] = 4367,
  [8362] = 5410,
  [8363] = 5446,
  [8364] = 5449,
  [8365] = 5410,
  [8366] = 5391,
  [8367] = 4214,
  [8368] = 4304,
  [8369] = 5015,
  [8370] = 4299,
  [8371] = 4298,
  [8372] = 5400,
  [8373] = 5397,
  [8374] = 5396,
  [8375] = 5403,
  [8376] = 8376,
  [8377] = 4288,
  [8378] = 4392,
  [8379] = 5392,
  [8380] = 4724,
  [8381] = 4766,
  [8382] = 4179,
  [8383] = 5324,
  [8384] = 4292,
  [8385] = 8385,
  [8386] = 4724,
  [8387] = 4392,
  [8388] = 4367,
  [8389] = 6806,
  [8390] = 5424,
  [8391] = 4766,
  [8392] = 4318,
  [8393] = 4226,
  [8394] = 5560,
  [8395] = 4360,
  [8396] = 5436,
  [8397] = 5446,
  [8398] = 5449,
  [8399] = 4976,
  [8400] = 4984,
  [8401] = 4179,
  [8402] = 4392,
  [8403] = 4288,
  [8404] = 4367,
  [8405] = 4786,
  [8406] = 4242,
  [8407] = 4299,
  [8408] = 4318,
  [8409] = 4214,
  [8410] = 4392,
  [8411] = 4367,
  [8412] = 5586,
  [8413] = 5055,
  [8414] = 5560,
  [8415] = 5799,
  [8416] = 4186,
  [8417] = 4647,
  [8418] = 4318,
  [8419] = 6787,
  [8420] = 5799,
  [8421] = 5662,
  [8422] = 8359,
  [8423] = 4392,
  [8424] = 4653,
  [8425] = 4367,
  [8426] = 4288,
  [8427] = 5676,
  [8428] = 4186,
  [8429] = 4414,
  [8430] = 5877,
  [8431] = 4976,
  [8432] = 4766,
  [8433] = 4242,
  [8434] = 4392,
  [8435] = 4367,
  [8436] = 4418,
  [8437] = 5015,
  [8438] = 5662,
  [8439] = 4318,
  [8440] = 5088,
  [8441] = 4299,
  [8442] = 5882,
  [8443] = 5883,
  [8444] = 4724,
  [8445] = 5676,
  [8446] = 4214,
  [8447] = 8376,
  [8448] = 4724,
  [8449] = 4976,
  [8450] = 4786,
  [8451] = 5023,
  [8452] = 4984,
  [8453] = 4214,
  [8454] = 8359,
  [8455] = 4318,
  [8456] = 4299,
  [8457] = 4973,
  [8458] = 4251,
  [8459] = 4367,
  [8460] = 4304,
  [8461] = 5023,
  [8462] = 4288,
  [8463] = 4280,
  [8464] = 5066,
  [8465] = 4414,
  [8466] = 5877,
  [8467] = 5015,
  [8468] = 4415,
  [8469] = 8469,
  [8470] = 5088,
  [8471] = 4299,
  [8472] = 8472,
  [8473] = 8473,
  [8474] = 4392,
  [8475] = 4318,
  [8476] = 4367,
  [8477] = 4392,
  [8478] = 8478,
  [8479] = 5882,
  [8480] = 5883,
  [8481] = 4360,
  [8482] = 5345,
  [8483] = 5346,
  [8484] = 4263,
  [8485] = 4786,
  [8486] = 3880,
  [8487] = 4392,
  [8488] = 4066,
  [8489] = 4258,
  [8490] = 5058,
  [8491] = 4367,
  [8492] = 4251,
  [8493] = 4304,
  [8494] = 5066,
  [8495] = 4360,
  [8496] = 4318,
  [8497] = 3888,
  [8498] = 4258,
  [8499] = 4303,
  [8500] = 5877,
  [8501] = 4976,
  [8502] = 4724,
  [8503] = 5055,
  [8504] = 5054,
  [8505] = 6787,
  [8506] = 4298,
  [8507] = 5877,
  [8508] = 5015,
  [8509] = 4360,
  [8510] = 8510,
  [8511] = 4251,
  [8512] = 4292,
  [8513] = 4214,
  [8514] = 4766,
  [8515] = 4299,
  [8516] = 5088,
  [8517] = 4242,
  [8518] = 4766,
  [8519] = 8376,
  [8520] = 5882,
  [8521] = 4226,
  [8522] = 5883,
  [8523] = 4786,
  [8524] = 4288,
  [8525] = 4984,
  [8526] = 6183,
  [8527] = 5877,
  [8528] = 4724,
  [8529] = 5015,
  [8530] = 4179,
  [8531] = 5877,
  [8532] = 5621,
  [8533] = 4288,
  [8534] = 4561,
  [8535] = 4647,
  [8536] = 5866,
  [8537] = 7213,
  [8538] = 4318,
  [8539] = 4746,
  [8540] = 4973,
  [8541] = 4724,
  [8542] = 5402,
  [8543] = 4066,
  [8544] = 5882,
  [8545] = 4653,
  [8546] = 5883,
  [8547] = 4532,
  [8548] = 5816,
  [8549] = 4367,
  [8550] = 5794,
  [8551] = 5882,
  [8552] = 5883,
  [8553] = 4322,
  [8554] = 4724,
  [8555] = 4722,
  [8556] = 4976,
  [8557] = 4275,
  [8558] = 4199,
  [8559] = 8559,
  [8560] = 4304,
  [8561] = 4766,
  [8562] = 5799,
  [8563] = 4288,
  [8564] = 3888,
  [8565] = 4254,
  [8566] = 4214,
  [8567] = 5774,
  [8568] = 5860,
  [8569] = 4299,
  [8570] = 4214,
  [8571] = 6091,
  [8572] = 4392,
  [8573] = 5088,
  [8574] = 5066,
  [8575] = 5066,
  [8576] = 7213,
  [8577] = 5054,
  [8578] = 5023,
  [8579] = 4292,
  [8580] = 4414,
  [8581] = 4724,
  [8582] = 4360,
  [8583] = 5023,
  [8584] = 4179,
  [8585] = 5015,
  [8586] = 5621,
  [8587] = 3880,
  [8588] = 4280,
  [8589] = 5799,
  [8590] = 4324,
  [8591] = 4984,
  [8592] = 4179,
  [8593] = 5088,
  [8594] = 4210,
  [8595] = 4298,
  [8596] = 5066,
  [8597] = 5066,
  [8598] = 5774,
  [8599] = 4304,
  [8600] = 5794,
  [8601] = 5866,
  [8602] = 4724,
  [8603] = 4976,
  [8604] = 4392,
  [8605] = 5231,
  [8606] = 5023,
  [8607] = 4724,
  [8608] = 5350,
  [8609] = 4304,
  [8610] = 4199,
  [8611] = 5816,
  [8612] = 4724,
  [8613] = 4746,
  [8614] = 4367,
  [8615] = 4973,
  [8616] = 5799,
  [8617] = 6741,
  [8618] = 4318,
  [8619] = 4984,
  [8620] = 6736,
  [8621] = 4786,
  [8622] = 3880,
  [8623] = 6734,
  [8624] = 5860,
  [8625] = 4976,
  [8626] = 4722,
  [8627] = 8559,
  [8628] = 5866,
  [8629] = 4392,
  [8630] = 4786,
  [8631] = 4766,
  [8632] = 4179,
  [8633] = 5088,
  [8634] = 3880,
  [8635] = 5200,
  [8636] = 4251,
  [8637] = 5402,
  [8638] = 6787,
  [8639] = 4724,
  [8640] = 5860,
  [8641] = 4254,
  [8642] = 4159,
  [8643] = 4179,
  [8644] = 5816,
  [8645] = 4141,
  [8646] = 4973,
  [8647] = 5015,
  [8648] = 5023,
  [8649] = 4138,
  [8650] = 5794,
  [8651] = 5774,
  [8652] = 4647,
  [8653] = 4984,
  [8654] = 4360,
  [8655] = 5392,
  [8656] = 5883,
  [8657] = 5882,
  [8658] = 4318,
  [8659] = 8510,
  [8660] = 5058,
  [8661] = 4360,
  [8662] = 3880,
  [8663] = 4415,
  [8664] = 3888,
  [8665] = 5882,
  [8666] = 5883,
  [8667] = 4786,
  [8668] = 3888,
  [8669] = 4647,
  [8670] = 5877,
  [8671] = 4367,
  [8672] = 7200,
  [8673] = 4653,
  [8674] = 4288,
  [8675] = 4973,
  [8676] = 4653,
  [8677] = 4303,
  [8678] = 4299,
  [8679] = 4181,
  [8680] = 8510,
  [8681] = 5348,
  [8682] = 4214,
  [8683] = 5200,
  [8684] = 4066,
  [8685] = 8685,
  [8686] = 8685,
  [8687] = 4288,
  [8688] = 8685,
  [8689] = 3880,
  [8690] = 4226,
  [8691] = 4299,
  [8692] = 5231,
  [8693] = 4292,
  [8694] = 4766,
  [8695] = 4766,
  [8696] = 8685,
  [8697] = 5350,
  [8698] = 8685,
  [8699] = 4766,
  [8700] = 4298,
  [8701] = 8685,
  [8702] = 5088,
  [8703] = 4242,
  [8704] = 5066,
  [8705] = 5015,
  [8706] = 4724,
  [8707] = 5621,
  [8708] = 4303,
  [8709] = 4724,
  [8710] = 4724,
  [8711] = 8559,
  [8712] = 5023,
  [8713] = 8685,
  [8714] = 4976,
  [8715] = 6787,
  [8716] = 6091,
  [8717] = 4258,
  [8718] = 4973,
  [8719] = 4722,
  [8720] = 4984,
  [8721] = 5015,
  [8722] = 4976,
  [8723] = 8685,
  [8724] = 3888,
  [8725] = 8559,
  [8726] = 5877,
  [8727] = 4724,
  [8728] = 8685,
  [8729] = 5231,
  [8730] = 4288,
  [8731] = 8685,
  [8732] = 4214,
  [8733] = 5882,
  [8734] = 5348,
  [8735] = 4214,
  [8736] = 8685,
  [8737] = 5799,
  [8738] = 5883,
  [8739] = 4179,
  [8740] = 7213,
  [8741] = 5015,
  [8742] = 7213,
  [8743] = 4976,
  [8744] = 4066,
  [8745] = 8685,
  [8746] = 4299,
  [8747] = 4299,
  [8748] = 8685,
  [8749] = 8685,
  [8750] = 4251,
  [8751] = 4288,
  [8752] = 4214,
  [8753] = 5877,
  [8754] = 4766,
  [8755] = 7213,
  [8756] = 4304,
  [8757] = 4179,
  [8758] = 8685,
  [8759] = 5860,
  [8760] = 8685,
  [8761] = 4179,
  [8762] = 6183,
  [8763] = 5402,
  [8764] = 5882,
  [8765] = 4786,
  [8766] = 5883,
  [8767] = 8685,
  [8768] = 6787,
  [8769] = 4292,
  [8770] = 4360,
  [8771] = 8685,
  [8772] = 4397,
  [8773] = 5346,
  [8774] = 5345,
  [8775] = 4766,
  [8776] = 4414,
  [8777] = 4298,
  [8778] = 4263,
  [8779] = 4304,
  [8780] = 8780,
  [8781] = 4360,
  [8782] = 4976,
  [8783] = 8685,
  [8784] = 4242,
  [8785] = 4766,
  [8786] = 5799,
  [8787] = 4976,
  [8788] = 8685,
  [8789] = 4746,
  [8790] = 6091,
  [8791] = 8685,
  [8792] = 4724,
  [8793] = 8559,
  [8794] = 4976,
  [8795] = 8559,
  [8796] = 5774,
  [8797] = 5054,
  [8798] = 5055,
  [8799] = 8685,
  [8800] = 8685,
  [8801] = 6091,
  [8802] = 5058,
  [8803] = 4318,
  [8804] = 5794,
  [8805] = 8685,
  [8806] = 7213,
  [8807] = 5088,
  [8808] = 4367,
  [8809] = 4318,
  [8810] = 8685,
  [8811] = 4766,
  [8812] = 8685,
  [8813] = 8685,
  [8814] = 5066,
  [8815] = 8685,
  [8816] = 4724,
  [8817] = 4186,
  [8818] = 5866,
  [8819] = 4392,
  [8820] = 4360,
  [8821] = 5403,
  [8822] = 8559,
  [8823] = 8685,
  [8824] = 5023,
  [8825] = 5816,
  [8826] = 8685,
  [8827] = 4766,
  [8828] = 8685,
  [8829] = 5410,
  [8830] = 4288,
  [8831] = 4722,
  [8832] = 4393,
  [8833] = 4199,
  [8834] = 6787,
  [8835] = 4561,
  [8836] = 4973,
  [8837] = 8837,
  [8838] = 8685,
  [8839] = 6787,
  [8840] = 4984,
  [8841] = 5877,
  [8842] = 8685,
  [8843] = 5402,
  [8844] = 4766,
  [8845] = 5015,
  [8846] = 8685,
  [8847] = 5860,
  [8848] = 4299,
  [8849] = 4199,
  [8850] = 8685,
  [8851] = 8685,
  [8852] = 5350,
  [8853] = 8685,
  [8854] = 8473,
  [8855] = 5816,
  [8856] = 5799,
  [8857] = 7213,
  [8858] = 5676,
  [8859] = 8685,
  [8860] = 4786,
  [8861] = 5662,
  [8862] = 8685,
  [8863] = 5883,
  [8864] = 5391,
  [8865] = 8685,
  [8866] = 5015,
  [8867] = 8685,
  [8868] = 4214,
  [8869] = 8559,
  [8870] = 5882,
  [8871] = 5883,
  [8872] = 4786,
  [8873] = 5882,
  [8874] = 5088,
  [8875] = 5015,
  [8876] = 5799,
  [8877] = 8685,
  [8878] = 5058,
  [8879] = 5348,
  [8880] = 5400,
  [8881] = 8685,
  [8882] = 5676,
  [8883] = 5866,
  [8884] = 5397,
  [8885] = 4367,
  [8886] = 8685,
  [8887] = 5560,
  [8888] = 5586,
  [8889] = 8685,
  [8890] = 4303,
  [8891] = 8685,
  [8892] = 4360,
  [8893] = 5882,
  [8894] = 4392,
  [8895] = 8685,
  [8896] = 6183,
  [8897] = 4724,
  [8898] = 5396,
  [8899] = 5799,
  [8900] = 8685,
  [8901] = 4226,
  [8902] = 3880,
  [8903] = 8685,
  [8904] = 8904,
  [8905] = 5055,
  [8906] = 5794,
  [8907] = 8685,
  [8908] = 5877,
  [8909] = 5054,
  [8910] = 5058,
  [8911] = 4392,
  [8912] = 5860,
  [8913] = 6806,
  [8914] = 4647,
  [8915] = 5774,
  [8916] = 8837,
  [8917] = 5088,
  [8918] = 6787,
  [8919] = 5324,
  [8920] = 4984,
  [8921] = 5799,
  [8922] = 5621,
  [8923] = 5066,
  [8924] = 5866,
  [8925] = 8685,
  [8926] = 6183,
  [8927] = 8685,
  [8928] = 5055,
  [8929] = 4647,
  [8930] = 4392,
  [8931] = 5023,
  [8932] = 6787,
  [8933] = 4225,
  [8934] = 5621,
  [8935] = 5449,
  [8936] = 5446,
  [8937] = 5054,
  [8938] = 4746,
  [8939] = 5662,
  [8940] = 4367,
  [8941] = 4973,
  [8942] = 5346,
  [8943] = 4318,
  [8944] = 4318,
  [8945] = 4984,
  [8946] = 5345,
  [8947] = 8685,
  [8948] = 4318,
  [8949] = 8685,
  [8950] = 5436,
  [8951] = 3888,
  [8952] = 8685,
  [8953] = 4367,
  [8954] = 4973,
  [8955] = 4225,
  [8956] = 5015,
  [8957] = 5877,
  [8958] = 4653,
  [8959] = 4367,
  [8960] = 4392,
  [8961] = 8685,
  [8962] = 8685,
  [8963] = 8685,
  [8964] = 5866,
  [8965] = 8685,
  [8966] = 5015,
  [8967] = 8685,
  [8968] = 6183,
  [8969] = 5877,
  [8970] = 8685,
  [8971] = 5424,
  [8972] = 5560,
  [8973] = 8837,
  [8974] = 5860,
  [8975] = 5586,
  [8976] = 5799,
  [8977] = 7213,
  [8978] = 4415,
  [8979] = 5066,
  [8980] = 4179,
  [8981] = 5200,
  [8982] = 4392,
  [8983] = 8685,
  [8984] = 8559,
  [8985] = 8685,
  [8986] = 4976,
  [8987] = 4786,
  [8988] = 5883,
  [8989] = 5402,
  [8990] = 4653,
  [8991] = 5882,
  [8992] = 3888,
  [8993] = 6806,
  [8994] = 4976,
  [8995] = 5883,
  [8996] = 4786,
  [8997] = 4367,
  [8998] = 3880,
  [8999] = 6183,
  [9000] = 8685,
  [9001] = 8685,
  [9002] = 4214,
  [9003] = 4976,
  [9004] = 8685,
  [9005] = 5449,
  [9006] = 5424,
  [9007] = 4299,
  [9008] = 4360,
  [9009] = 4288,
  [9010] = 5446,
  [9011] = 5392,
  [9012] = 4299,
  [9013] = 4786,
  [9014] = 5396,
  [9015] = 4288,
  [9016] = 4214,
  [9017] = 5436,
  [9018] = 5397,
  [9019] = 5424,
  [9020] = 8685,
  [9021] = 5023,
  [9022] = 4280,
  [9023] = 5621,
  [9024] = 5400,
  [9025] = 6787,
  [9026] = 5816,
  [9027] = 5015,
  [9028] = 4318,
  [9029] = 3888,
  [9030] = 8685,
  [9031] = 8685,
  [9032] = 3880,
  [9033] = 8685,
  [9034] = 7213,
  [9035] = 4324,
  [9036] = 4066,
  [9037] = 5436,
  [9038] = 8685,
  [9039] = 4280,
  [9040] = 5324,
  [9041] = 5392,
  [9042] = 4766,
  [9043] = 4786,
  [9044] = 5396,
  [9045] = 5883,
  [9046] = 5015,
  [9047] = 4318,
  [9048] = 8685,
  [9049] = 8685,
  [9050] = 4647,
  [9051] = 5882,
  [9052] = 5397,
  [9053] = 5446,
  [9054] = 5799,
  [9055] = 4367,
  [9056] = 4258,
  [9057] = 5877,
  [9058] = 9058,
  [9059] = 5799,
  [9060] = 5088,
  [9061] = 5200,
  [9062] = 8685,
  [9063] = 8685,
  [9064] = 5400,
  [9065] = 4976,
  [9066] = 4318,
  [9067] = 5066,
  [9068] = 7200,
  [9069] = 5391,
  [9070] = 5023,
  [9071] = 5088,
  [9072] = 5794,
  [9073] = 4973,
  [9074] = 5877,
  [9075] = 4984,
  [9076] = 5066,
  [9077] = 5015,
  [9078] = 5449,
  [9079] = 4786,
  [9080] = 5877,
  [9081] = 5391,
  [9082] = 5023,
  [9083] = 4392,
  [9084] = 5774,
  [9085] = 4322,
  [9086] = 4724,
  [9087] = 5200,
  [9088] = 5403,
  [9089] = 5882,
  [9090] = 5883,
  [9091] = 4973,
  [9092] = 3888,
  [9093] = 4653,
  [9094] = 8685,
  [9095] = 4984,
  [9096] = 5816,
  [9097] = 8685,
  [9098] = 5410,
  [9099] = 4392,
  [9100] = 5799,
  [9101] = 5402,
  [9102] = 3880,
  [9103] = 8685,
  [9104] = 5088,
  [9105] = 5410,
  [9106] = 8685,
  [9107] = 4367,
  [9108] = 8685,
  [9109] = 4653,
  [9110] = 4254,
  [9111] = 4318,
  [9112] = 8685,
  [9113] = 4976,
  [9114] = 3880,
  [9115] = 8559,
  [9116] = 5403,
  [9117] = 5410,
  [9118] = 4786,
  [9119] = 5088,
  [9120] = 5403,
  [9121] = 4263,
  [9122] = 5560,
  [9123] = 4367,
  [9124] = 4414,
  [9125] = 8685,
  [9126] = 4318,
  [9127] = 8685,
  [9128] = 4976,
  [9129] = 5088,
  [9130] = 5066,
  [9131] = 4766,
  [9132] = 5877,
  [9133] = 8473,
  [9134] = 3888,
  [9135] = 5882,
  [9136] = 8685,
  [9137] = 5883,
  [9138] = 5346,
  [9139] = 5345,
  [9140] = 8685,
  [9141] = 8685,
  [9142] = 2348,
  [9143] = 8685,
  [9144] = 8685,
  [9145] = 4984,
  [9146] = 4973,
  [9147] = 5391,
  [9148] = 6091,
  [9149] = 5877,
  [9150] = 4647,
  [9151] = 8685,
  [9152] = 5023,
  [9153] = 4984,
  [9154] = 8685,
  [9155] = 5200,
  [9156] = 4973,
  [9157] = 5066,
  [9158] = 5023,
  [9159] = 5088,
  [9160] = 3880,
  [9161] = 5023,
  [9162] = 5023,
  [9163] = 4984,
  [9164] = 4360,
  [9165] = 8685,
  [9166] = 4360,
  [9167] = 4251,
  [9168] = 8685,
  [9169] = 5066,
  [9170] = 4724,
  [9171] = 5662,
  [9172] = 5231,
  [9173] = 4181,
  [9174] = 5088,
  [9175] = 4973,
  [9176] = 4984,
  [9177] = 5348,
  [9178] = 4367,
  [9179] = 8685,
  [9180] = 4722,
  [9181] = 5400,
  [9182] = 4984,
  [9183] = 8685,
  [9184] = 8685,
  [9185] = 5586,
  [9186] = 8685,
  [9187] = 5676,
  [9188] = 3888,
  [9189] = 4786,
  [9190] = 5621,
  [9191] = 8685,
  [9192] = 5397,
  [9193] = 5662,
  [9194] = 4786,
  [9195] = 5883,
  [9196] = 5882,
  [9197] = 8685,
  [9198] = 5396,
  [9199] = 5794,
  [9200] = 8559,
  [9201] = 8685,
  [9202] = 4186,
  [9203] = 4181,
  [9204] = 4724,
  [9205] = 5015,
  [9206] = 5877,
  [9207] = 5392,
  [9208] = 4392,
  [9209] = 4973,
  [9210] = 8685,
  [9211] = 5324,
  [9212] = 4976,
  [9213] = 8685,
  [9214] = 5774,
  [9215] = 5676,
  [9216] = 8685,
  [9217] = 4392,
  [9218] = 5066,
  [9219] = 4066,
  [9220] = 4532,
  [9221] = 8685,
  [9222] = 5015,
  [9223] = 5560,
  [9224] = 5586,
  [9225] = 4392,
  [9226] = 5882,
  [9227] = 8685,
  [9228] = 4973,
  [9229] = 8685,
  [9230] = 5350,
  [9231] = 5402,
  [9232] = 5066,
  [9233] = 8685,
  [9234] = 5883,
  [9235] = 4367,
  [9236] = 4976,
  [9237] = 5015,
  [9238] = 7200,
  [9239] = 8685,
  [9240] = 5449,
  [9241] = 8685,
  [9242] = 5424,
  [9243] = 5799,
  [9244] = 4653,
  [9245] = 4318,
  [9246] = 5023,
  [9247] = 8685,
  [9248] = 4647,
  [9249] = 5231,
  [9250] = 8685,
  [9251] = 5392,
  [9252] = 5446,
  [9253] = 8685,
  [9254] = 5883,
  [9255] = 8685,
  [9256] = 5436,
  [9257] = 8685,
  [9258] = 5882,
  [9259] = 5449,
  [9260] = 5088,
  [9261] = 5066,
  [9262] = 8559,
  [9263] = 4976,
  [9264] = 8559,
  [9265] = 5023,
  [9266] = 5774,
  [9267] = 4786,
  [9268] = 4724,
  [9269] = 5015,
  [9270] = 4973,
  [9271] = 5402,
  [9272] = 5877,
  [9273] = 4984,
  [9274] = 5816,
  [9275] = 5396,
  [9276] = 6091,
  [9277] = 5449,
  [9278] = 5088,
  [9279] = 5015,
  [9280] = 8559,
  [9281] = 5015,
  [9282] = 5066,
  [9283] = 5883,
  [9284] = 5446,
  [9285] = 5882,
  [9286] = 5023,
  [9287] = 4724,
  [9288] = 5877,
  [9289] = 9289,
  [9290] = 5794,
  [9291] = 4766,
  [9292] = 5882,
  [9293] = 4066,
  [9294] = 4360,
  [9295] = 4973,
  [9296] = 5877,
  [9297] = 5662,
  [9298] = 5866,
  [9299] = 4984,
  [9300] = 5799,
  [9301] = 5883,
  [9302] = 4984,
  [9303] = 5088,
  [9304] = 5860,
  [9305] = 5676,
  [9306] = 3888,
  [9307] = 9289,
  [9308] = 4976,
  [9309] = 7213,
  [9310] = 9289,
  [9311] = 4214,
  [9312] = 4299,
  [9313] = 5877,
  [9314] = 5424,
  [9315] = 5015,
  [9316] = 5882,
  [9317] = 5799,
  [9318] = 5883,
  [9319] = 4288,
  [9320] = 9289,
  [9321] = 4724,
  [9322] = 9289,
  [9323] = 3888,
  [9324] = 4724,
  [9325] = 4973,
  [9326] = 4066,
  [9327] = 5403,
  [9328] = 5396,
  [9329] = 7200,
  [9330] = 5015,
  [9331] = 5392,
  [9332] = 4360,
  [9333] = 4766,
  [9334] = 5023,
  [9335] = 5877,
  [9336] = 5410,
  [9337] = 3888,
  [9338] = 5015,
  [9339] = 5424,
  [9340] = 4304,
  [9341] = 9341,
  [9342] = 5397,
  [9343] = 5436,
  [9344] = 6183,
  [9345] = 9345,
  [9346] = 6183,
  [9347] = 9347,
  [9348] = 5436,
  [9349] = 5882,
  [9350] = 5883,
  [9351] = 5088,
  [9352] = 5391,
  [9353] = 4324,
  [9354] = 8559,
  [9355] = 4766,
  [9356] = 4322,
  [9357] = 6787,
  [9358] = 5436,
  [9359] = 5799,
  [9360] = 4976,
  [9361] = 8559,
  [9362] = 3880,
  [9363] = 4766,
  [9364] = 6806,
  [9365] = 9289,
  [9366] = 8559,
  [9367] = 4724,
  [9368] = 5015,
  [9369] = 8559,
  [9370] = 8559,
  [9371] = 5400,
  [9372] = 2348,
  [9373] = 5816,
  [9374] = 5397,
  [9375] = 5396,
  [9376] = 5446,
  [9377] = 4976,
  [9378] = 3888,
  [9379] = 5449,
  [9380] = 5392,
  [9381] = 4214,
  [9382] = 5396,
  [9383] = 5324,
  [9384] = 5200,
  [9385] = 5066,
  [9386] = 5400,
  [9387] = 4724,
  [9388] = 9289,
  [9389] = 4392,
  [9390] = 5424,
  [9391] = 5794,
  [9392] = 9392,
  [9393] = 5015,
  [9394] = 4322,
  [9395] = 4299,
  [9396] = 5397,
  [9397] = 5883,
  [9398] = 5446,
  [9399] = 4414,
  [9400] = 4324,
  [9401] = 5774,
  [9402] = 5424,
  [9403] = 5449,
  [9404] = 6806,
  [9405] = 5400,
  [9406] = 5799,
  [9407] = 5436,
  [9408] = 5799,
  [9409] = 9409,
  [9410] = 4214,
  [9411] = 9289,
  [9412] = 5883,
  [9413] = 5774,
  [9414] = 5446,
  [9415] = 5882,
  [9416] = 9416,
  [9417] = 6787,
  [9418] = 5799,
  [9419] = 5774,
  [9420] = 4288,
  [9421] = 5794,
  [9422] = 5799,
  [9423] = 4299,
  [9424] = 6806,
  [9425] = 6183,
  [9426] = 4766,
  [9427] = 4724,
  [9428] = 5877,
  [9429] = 9289,
  [9430] = 5231,
  [9431] = 8473,
  [9432] = 4746,
  [9433] = 5877,
  [9434] = 9434,
  [9435] = 4976,
  [9436] = 5088,
  [9437] = 5586,
  [9438] = 5877,
  [9439] = 5560,
  [9440] = 9440,
  [9441] = 5200,
  [9442] = 5882,
  [9443] = 9289,
  [9444] = 9444,
  [9445] = 9445,
  [9446] = 4288,
  [9447] = 9289,
  [9448] = 5799,
  [9449] = 5015,
  [9450] = 5662,
  [9451] = 4360,
  [9452] = 6806,
  [9453] = 5066,
  [9454] = 5860,
  [9455] = 5883,
  [9456] = 5882,
  [9457] = 5676,
  [9458] = 9289,
  [9459] = 5866,
  [9460] = 4984,
  [9461] = 5621,
  [9462] = 5402,
  [9463] = 5882,
  [9464] = 4367,
  [9465] = 5883,
  [9466] = 7200,
  [9467] = 5350,
  [9468] = 4973,
  [9469] = 5586,
  [9470] = 5877,
  [9471] = 7213,
  [9472] = 5392,
  [9473] = 5560,
  [9474] = 5816,
  [9475] = 5816,
  [9476] = 5799,
  [9477] = 5023,
  [9478] = 4647,
  [9479] = 7213,
  [9480] = 4976,
  [9481] = 5392,
  [9482] = 4976,
  [9483] = 8559,
  [9484] = 3880,
  [9485] = 6806,
  [9486] = 5799,
  [9487] = 7200,
  [9488] = 9289,
  [9489] = 6787,
  [9490] = 5402,
  [9491] = 5882,
  [9492] = 5883,
  [9493] = 6091,
  [9494] = 5324,
  [9495] = 5392,
  [9496] = 5391,
  [9497] = 5402,
  [9498] = 5662,
  [9499] = 5586,
  [9500] = 4973,
  [9501] = 5794,
  [9502] = 5676,
  [9503] = 5560,
  [9504] = 5023,
  [9505] = 5860,
  [9506] = 5066,
  [9507] = 7200,
  [9508] = 4984,
  [9509] = 5866,
  [9510] = 4724,
  [9511] = 5877,
  [9512] = 3880,
  [9513] = 5560,
  [9514] = 5088,
  [9515] = 3880,
  [9516] = 3880,
  [9517] = 9289,
  [9518] = 5586,
  [9519] = 4976,
  [9520] = 8904,
  [9521] = 5348,
  [9522] = 6787,
  [9523] = 5403,
  [9524] = 5621,
  [9525] = 8559,
  [9526] = 5054,
  [9527] = 4786,
  [9528] = 4414,
  [9529] = 4766,
  [9530] = 9289,
  [9531] = 5015,
  [9532] = 5410,
  [9533] = 5882,
  [9534] = 5348,
  [9535] = 5883,
  [9536] = 8559,
  [9537] = 8473,
  [9538] = 4786,
  [9539] = 5403,
  [9540] = 6091,
  [9541] = 7200,
  [9542] = 4258,
  [9543] = 4976,
  [9544] = 9289,
  [9545] = 5403,
  [9546] = 3888,
  [9547] = 3880,
  [9548] = 5055,
  [9549] = 5860,
  [9550] = 4186,
  [9551] = 4288,
  [9552] = 5410,
  [9553] = 4786,
  [9554] = 8473,
  [9555] = 6183,
  [9556] = 4415,
  [9557] = 9289,
  [9558] = 6787,
  [9559] = 4786,
  [9560] = 4976,
  [9561] = 5015,
  [9562] = 7213,
  [9563] = 6787,
  [9564] = 4786,
  [9565] = 5345,
  [9566] = 5410,
  [9567] = 5346,
  [9568] = 4214,
  [9569] = 6091,
  [9570] = 7213,
  [9571] = 5391,
  [9572] = 5397,
  [9573] = 5350,
  [9574] = 4318,
  [9575] = 5058,
  [9576] = 5231,
  [9577] = 5346,
  [9578] = 5345,
  [9579] = 5866,
  [9580] = 5676,
  [9581] = 6806,
  [9582] = 8559,
  [9583] = 5400,
  [9584] = 5621,
  [9585] = 4299,
  [9586] = 5662,
  [9587] = 5799,
  [9588] = 7213,
  [9589] = 4392,
  [9590] = 5391,
  [9591] = 4415,
  [9592] = 4367,
  [9593] = 9289,
  [9594] = 4653,
  [9595] = 4298,
  [9596] = 4318,
  [9597] = 4288,
  [9598] = 4226,
  [9599] = 4299,
  [9600] = 4984,
  [9601] = 4973,
  [9602] = 4214,
  [9603] = 4179,
  [9604] = 4303,
  [9605] = 4976,
  [9606] = 5066,
  [9607] = 4251,
  [9608] = 5621,
  [9609] = 4242,
  [9610] = 4292,
  [9611] = 5023,
  [9612] = 6183,
  [9613] = 5877,
  [9614] = 6787,
  [9615] = 5882,
  [9616] = 8559,
  [9617] = 5231,
  [9618] = 4298,
  [9619] = 5066,
  [9620] = 4976,
  [9621] = 5882,
  [9622] = 4976,
  [9623] = 5883,
  [9624] = 4392,
  [9625] = 4367,
  [9626] = 5066,
  [9627] = 4318,
  [9628] = 5015,
  [9629] = 5023,
  [9630] = 5860,
  [9631] = 5088,
  [9632] = 4418,
  [9633] = 9633,
  [9634] = 5882,
  [9635] = 5877,
  [9636] = 5560,
  [9637] = 5883,
  [9638] = 5586,
  [9639] = 9639,
  [9640] = 4292,
  [9641] = 7213,
  [9642] = 8473,
  [9643] = 4304,
  [9644] = 5560,
  [9645] = 4973,
  [9646] = 4984,
  [9647] = 4418,
  [9648] = 9648,
  [9649] = 5883,
  [9650] = 4418,
  [9651] = 5816,
  [9652] = 4303,
  [9653] = 7213,
  [9654] = 5088,
  [9655] = 4653,
  [9656] = 9656,
  [9657] = 5088,
  [9658] = 5023,
  [9659] = 6806,
  [9660] = 8559,
  [9661] = 5066,
  [9662] = 6787,
  [9663] = 4418,
  [9664] = 5015,
  [9665] = 4724,
  [9666] = 4418,
  [9667] = 5877,
  [9668] = 5883,
  [9669] = 5023,
  [9670] = 5799,
  [9671] = 8473,
  [9672] = 5662,
  [9673] = 3888,
  [9674] = 6787,
  [9675] = 4647,
  [9676] = 6787,
  [9677] = 5877,
  [9678] = 5586,
  [9679] = 5088,
  [9680] = 5676,
  [9681] = 5882,
  [9682] = 5449,
  [9683] = 5446,
  [9684] = 4418,
  [9685] = 4242,
  [9686] = 5436,
  [9687] = 5023,
  [9688] = 9392,
  [9689] = 5799,
  [9690] = 4418,
  [9691] = 5424,
  [9692] = 9692,
  [9693] = 5866,
  [9694] = 9434,
  [9695] = 8559,
  [9696] = 5023,
  [9697] = 5883,
  [9698] = 9440,
  [9699] = 4418,
  [9700] = 4973,
  [9701] = 5882,
  [9702] = 4973,
  [9703] = 5794,
  [9704] = 4418,
  [9705] = 4984,
  [9706] = 9706,
  [9707] = 5392,
  [9708] = 5391,
  [9709] = 5396,
  [9710] = 4226,
  [9711] = 5397,
  [9712] = 3888,
  [9713] = 6787,
  [9714] = 4973,
  [9715] = 8559,
  [9716] = 4984,
  [9717] = 5446,
  [9718] = 8559,
  [9719] = 9656,
  [9720] = 4984,
  [9721] = 4360,
  [9722] = 9633,
  [9723] = 5877,
  [9724] = 5400,
  [9725] = 4973,
  [9726] = 5774,
  [9727] = 5015,
  [9728] = 4418,
  [9729] = 5023,
  [9730] = 6091,
  [9731] = 4984,
  [9732] = 9633,
  [9733] = 5877,
  [9734] = 9656,
  [9735] = 4561,
  [9736] = 4258,
  [9737] = 6787,
  [9738] = 5402,
  [9739] = 4414,
  [9740] = 5066,
  [9741] = 5066,
  [9742] = 5877,
  [9743] = 5883,
  [9744] = 5449,
  [9745] = 7213,
  [9746] = 5882,
  [9747] = 7200,
  [9748] = 4786,
  [9749] = 4418,
  [9750] = 5088,
  [9751] = 5015,
  [9752] = 5877,
  [9753] = 4418,
  [9754] = 8559,
  [9755] = 4724,
  [9756] = 4976,
  [9757] = 4418,
  [9758] = 8559,
  [9759] = 4786,
  [9760] = 8559,
  [9761] = 8559,
  [9762] = 5402,
  [9763] = 8473,
  [9764] = 7213,
  [9765] = 8559,
  [9766] = 7213,
  [9767] = 6091,
  [9768] = 5883,
  [9769] = 9692,
  [9770] = 4199,
  [9771] = 5799,
  [9772] = 3880,
  [9773] = 6806,
  [9774] = 5882,
  [9775] = 4280,
  [9776] = 5436,
  [9777] = 4984,
  [9778] = 5883,
  [9779] = 4973,
  [9780] = 5088,
  [9781] = 5882,
  [9782] = 7200,
  [9783] = 9783,
  [9784] = 5883,
  [9785] = 5410,
  [9786] = 5883,
  [9787] = 7213,
  [9788] = 5882,
  [9789] = 5882,
  [9790] = 5424,
  [9791] = 5015,
  [9792] = 6091,
  [9793] = 6806,
  [9794] = 5621,
  [9795] = 4418,
  [9796] = 5774,
  [9797] = 4984,
  [9798] = 4984,
  [9799] = 4973,
  [9800] = 5403,
  [9801] = 4418,
  [9802] = 5882,
  [9803] = 4973,
  [9804] = 4418,
  [9805] = 5023,
  [9806] = 5860,
  [9807] = 5066,
  [9808] = 4418,
  [9809] = 5877,
  [9810] = 5023,
  [9811] = 5015,
  [9812] = 7213,
  [9813] = 4766,
  [9814] = 5088,
  [9815] = 3880,
  [9816] = 8559,
  [9817] = 7213,
  [9818] = 5066,
  [9819] = 5088,
  [9820] = 6806,
  [9821] = 5866,
  [9822] = 5799,
  [9823] = 5799,
  [9824] = 4181,
  [9825] = 5877,
  [9826] = 5066,
  [9827] = 7213,
  [9828] = 8559,
  [9829] = 5023,
  [9830] = 5877,
  [9831] = 5066,
  [9832] = 4251,
  [9833] = 4186,
  [9834] = 5023,
  [9835] = 4418,
  [9836] = 4984,
  [9837] = 4973,
  [9838] = 4976,
  [9839] = 5023,
  [9840] = 6787,
  [9841] = 5877,
  [9842] = 4288,
  [9843] = 5066,
  [9844] = 3888,
  [9845] = 6091,
  [9846] = 4973,
  [9847] = 5392,
  [9848] = 6183,
  [9849] = 3888,
  [9850] = 5883,
  [9851] = 5088,
  [9852] = 6787,
  [9853] = 4299,
  [9854] = 4984,
  [9855] = 4179,
  [9856] = 5088,
  [9857] = 4214,
  [9858] = 5799,
  [9859] = 7200,
  [9860] = 4418,
  [9861] = 4288,
  [9862] = 4418,
  [9863] = 8559,
  [9864] = 9864,
  [9865] = 3880,
  [9866] = 5799,
  [9867] = 5396,
  [9868] = 6787,
  [9869] = 5397,
  [9870] = 8559,
  [9871] = 5088,
  [9872] = 9872,
  [9873] = 3880,
  [9874] = 4976,
  [9875] = 4418,
  [9876] = 5066,
  [9877] = 5662,
  [9878] = 3888,
  [9879] = 5088,
  [9880] = 9656,
  [9881] = 5400,
  [9882] = 6183,
  [9883] = 5621,
  [9884] = 5882,
  [9885] = 9656,
  [9886] = 9633,
  [9887] = 7200,
  [9888] = 5066,
  [9889] = 4299,
  [9890] = 5877,
  [9891] = 9633,
  [9892] = 9692,
  [9893] = 4976,
  [9894] = 9706,
  [9895] = 7213,
  [9896] = 4418,
  [9897] = 5391,
  [9898] = 5877,
  [9899] = 5883,
  [9900] = 5794,
  [9901] = 5816,
  [9902] = 6787,
  [9903] = 4214,
  [9904] = 4214,
  [9905] = 4984,
  [9906] = 5023,
  [9907] = 6787,
  [9908] = 4418,
  [9909] = 4299,
  [9910] = 4973,
  [9911] = 4973,
  [9912] = 4984,
  [9913] = 5403,
  [9914] = 9914,
  [9915] = 9706,
  [9916] = 7213,
  [9917] = 6787,
  [9918] = 5676,
  [9919] = 7213,
  [9920] = 5882,
  [9921] = 5799,
  [9922] = 4288,
  [9923] = 5882,
  [9924] = 5883,
  [9925] = 9914,
  [9926] = 4415,
  [9927] = 5883,
  [9928] = 4418,
  [9929] = 5410,
  [9930] = 6787,
  [9931] = 4973,
  [9932] = 9932,
  [9933] = 9933,
  [9934] = 5066,
  [9935] = 4532,
  [9936] = 5882,
  [9937] = 5066,
  [9938] = 4984,
  [9939] = 9939,
  [9940] = 9932,
  [9941] = 5883,
  [9942] = 5774,
  [9943] = 7200,
  [9944] = 5883,
  [9945] = 5023,
  [9946] = 5586,
  [9947] = 4973,
  [9948] = 4973,
  [9949] = 8559,
  [9950] = 9932,
  [9951] = 9932,
  [9952] = 5066,
  [9953] = 6787,
  [9954] = 5088,
  [9955] = 4532,
  [9956] = 9933,
  [9957] = 5877,
  [9958] = 9958,
  [9959] = 4786,
  [9960] = 9932,
  [9961] = 5023,
  [9962] = 9440,
  [9963] = 8559,
  [9964] = 5882,
  [9965] = 5424,
  [9966] = 4532,
  [9967] = 4360,
  [9968] = 9932,
  [9969] = 4984,
  [9970] = 8559,
  [9971] = 6183,
  [9972] = 5023,
  [9973] = 5023,
  [9974] = 9932,
  [9975] = 9932,
  [9976] = 7213,
  [9977] = 5860,
  [9978] = 5396,
  [9979] = 4532,
  [9980] = 6806,
  [9981] = 4532,
  [9982] = 5397,
  [9983] = 5877,
  [9984] = 4392,
  [9985] = 4532,
  [9986] = 9932,
  [9987] = 4532,
  [9988] = 5560,
  [9989] = 5088,
  [9990] = 5799,
  [9991] = 5066,
  [9992] = 4766,
  [9993] = 5023,
  [9994] = 4288,
  [9995] = 4367,
  [9996] = 9996,
  [9997] = 5088,
  [9998] = 4392,
  [9999] = 4532,
  [10000] = 10000,
  [10001] = 9932,
  [10002] = 6787,
  [10003] = 4984,
  [10004] = 5088,
  [10005] = 8559,
  [10006] = 5023,
  [10007] = 9932,
  [10008] = 6787,
  [10009] = 4318,
  [10010] = 5794,
  [10011] = 4210,
  [10012] = 6787,
  [10013] = 4532,
  [10014] = 6787,
  [10015] = 9958,
  [10016] = 5877,
  [10017] = 5816,
  [10018] = 5882,
  [10019] = 7213,
  [10020] = 8559,
  [10021] = 4976,
  [10022] = 7213,
  [10023] = 5883,
  [10024] = 5449,
  [10025] = 6091,
  [10026] = 8473,
  [10027] = 4532,
  [10028] = 4973,
  [10029] = 9932,
  [10030] = 9932,
  [10031] = 8559,
  [10032] = 5088,
  [10033] = 9932,
  [10034] = 10034,
  [10035] = 4532,
  [10036] = 7213,
  [10037] = 8559,
  [10038] = 6183,
  [10039] = 4724,
  [10040] = 5066,
  [10041] = 7200,
  [10042] = 4367,
  [10043] = 5866,
  [10044] = 10044,
  [10045] = 4532,
  [10046] = 9939,
  [10047] = 3880,
  [10048] = 5400,
  [10049] = 4318,
  [10050] = 4984,
  [10051] = 6787,
  [10052] = 4973,
  [10053] = 5676,
  [10054] = 5088,
  [10055] = 7213,
  [10056] = 6806,
  [10057] = 5023,
  [10058] = 9434,
  [10059] = 4766,
  [10060] = 5662,
  [10061] = 10061,
  [10062] = 5799,
  [10063] = 5883,
  [10064] = 5883,
  [10065] = 7213,
  [10066] = 4973,
  [10067] = 5446,
  [10068] = 9932,
  [10069] = 5066,
  [10070] = 4532,
  [10071] = 8473,
  [10072] = 4532,
  [10073] = 5883,
  [10074] = 5877,
  [10075] = 4532,
  [10076] = 5877,
  [10077] = 4984,
  [10078] = 5882,
  [10079] = 4973,
  [10080] = 5088,
  [10081] = 8473,
  [10082] = 5023,
  [10083] = 5066,
  [10084] = 9392,
  [10085] = 5882,
  [10086] = 4210,
  [10087] = 9932,
  [10088] = 5882,
  [10089] = 4299,
  [10090] = 4532,
  [10091] = 4973,
  [10092] = 9933,
  [10093] = 6183,
  [10094] = 5015,
  [10095] = 9996,
  [10096] = 7200,
  [10097] = 4984,
  [10098] = 4984,
  [10099] = 5023,
  [10100] = 5410,
  [10101] = 5882,
  [10102] = 9932,
  [10103] = 5883,
  [10104] = 3880,
  [10105] = 5023,
  [10106] = 4786,
  [10107] = 10107,
  [10108] = 5088,
  [10109] = 5066,
  [10110] = 4532,
  [10111] = 5883,
  [10112] = 10034,
  [10113] = 4973,
  [10114] = 6787,
  [10115] = 9932,
  [10116] = 9932,
  [10117] = 5088,
  [10118] = 9932,
  [10119] = 5882,
  [10120] = 5799,
  [10121] = 4532,
  [10122] = 9939,
  [10123] = 4532,
  [10124] = 8559,
  [10125] = 5066,
  [10126] = 5436,
  [10127] = 5877,
  [10128] = 7213,
  [10129] = 9932,
  [10130] = 6787,
  [10131] = 9932,
  [10132] = 6183,
  [10133] = 5403,
  [10134] = 5877,
  [10135] = 10135,
  [10136] = 4973,
  [10137] = 5799,
  [10138] = 6183,
  [10139] = 6091,
  [10140] = 4532,
  [10141] = 5391,
  [10142] = 8559,
  [10143] = 4532,
  [10144] = 4532,
  [10145] = 4214,
  [10146] = 7213,
  [10147] = 5066,
  [10148] = 10148,
  [10149] = 4724,
  [10150] = 9958,
  [10151] = 6787,
  [10152] = 5883,
  [10153] = 3888,
  [10154] = 4984,
  [10155] = 10155,
  [10156] = 5799,
  [10157] = 10157,
  [10158] = 8473,
  [10159] = 4984,
  [10160] = 7213,
  [10161] = 3888,
  [10162] = 5799,
  [10163] = 5882,
  [10164] = 4532,
  [10165] = 5877,
  [10166] = 9932,
  [10167] = 5799,
  [10168] = 5882,
  [10169] = 10169,
  [10170] = 5883,
  [10171] = 5877,
  [10172] = 5877,
  [10173] = 5088,
  [10174] = 4360,
  [10175] = 4984,
  [10176] = 9932,
  [10177] = 4532,
  [10178] = 9932,
  [10179] = 6806,
  [10180] = 5088,
  [10181] = 7200,
  [10182] = 5066,
  [10183] = 10183,
  [10184] = 10184,
  [10185] = 10157,
  [10186] = 5882,
  [10187] = 10155,
  [10188] = 4724,
  [10189] = 5799,
  [10190] = 10190,
  [10191] = 8559,
  [10192] = 4973,
  [10193] = 5883,
  [10194] = 4973,
  [10195] = 6787,
  [10196] = 4973,
  [10197] = 6091,
  [10198] = 5882,
  [10199] = 5023,
  [10200] = 5883,
  [10201] = 10107,
  [10202] = 5882,
  [10203] = 6787,
  [10204] = 4984,
  [10205] = 6806,
  [10206] = 10206,
  [10207] = 5066,
  [10208] = 5088,
  [10209] = 7200,
  [10210] = 10061,
  [10211] = 10000,
  [10212] = 10148,
  [10213] = 4196,
  [10214] = 10169,
  [10215] = 5066,
  [10216] = 7200,
  [10217] = 7200,
  [10218] = 5088,
  [10219] = 8473,
  [10220] = 6806,
  [10221] = 5877,
  [10222] = 4984,
  [10223] = 10223,
  [10224] = 5023,
  [10225] = 5088,
  [10226] = 10226,
  [10227] = 5877,
  [10228] = 5200,
  [10229] = 5882,
  [10230] = 10226,
  [10231] = 5023,
  [10232] = 5877,
  [10233] = 7200,
  [10234] = 5231,
  [10235] = 8473,
  [10236] = 5883,
  [10237] = 10237,
  [10238] = 10238,
  [10239] = 8559,
  [10240] = 5877,
  [10241] = 6787,
  [10242] = 6787,
  [10243] = 10243,
  [10244] = 5883,
  [10245] = 8473,
  [10246] = 6183,
  [10247] = 5023,
  [10248] = 5066,
  [10249] = 10249,
  [10250] = 6787,
  [10251] = 4766,
  [10252] = 4976,
  [10253] = 5023,
  [10254] = 4984,
  [10255] = 6806,
  [10256] = 5023,
  [10257] = 10257,
  [10258] = 5877,
  [10259] = 8559,
  [10260] = 5066,
  [10261] = 5088,
  [10262] = 10183,
  [10263] = 5883,
  [10264] = 10184,
  [10265] = 10183,
  [10266] = 4786,
  [10267] = 5882,
  [10268] = 4973,
  [10269] = 4984,
  [10270] = 5883,
  [10271] = 6806,
  [10272] = 4984,
  [10273] = 8559,
  [10274] = 8559,
  [10275] = 4973,
  [10276] = 8473,
  [10277] = 7213,
  [10278] = 4976,
  [10279] = 7213,
  [10280] = 7213,
  [10281] = 8559,
  [10282] = 5023,
  [10283] = 7213,
  [10284] = 5015,
  [10285] = 5882,
  [10286] = 4210,
  [10287] = 10287,
  [10288] = 7213,
  [10289] = 10237,
  [10290] = 10243,
  [10291] = 6787,
  [10292] = 5877,
  [10293] = 4973,
  [10294] = 5088,
  [10295] = 10237,
  [10296] = 6787,
  [10297] = 5883,
  [10298] = 10238,
  [10299] = 5882,
  [10300] = 8559,
  [10301] = 5066,
  [10302] = 10302,
  [10303] = 4984,
  [10304] = 6806,
  [10305] = 10184,
  [10306] = 4984,
  [10307] = 5066,
  [10308] = 4181,
  [10309] = 7213,
  [10310] = 4210,
  [10311] = 7213,
  [10312] = 10238,
  [10313] = 5877,
  [10314] = 4973,
  [10315] = 6806,
  [10316] = 5015,
  [10317] = 5088,
  [10318] = 4746,
  [10319] = 7213,
  [10320] = 10249,
  [10321] = 8559,
  [10322] = 10322,
  [10323] = 4196,
  [10324] = 10257,
  [10325] = 10322,
  [10326] = 5054,
  [10327] = 5400,
  [10328] = 4179,
  [10329] = 10329,
  [10330] = 4196,
  [10331] = 10331,
  [10332] = 5391,
  [10333] = 4199,
  [10334] = 10334,
  [10335] = 10335,
  [10336] = 5023,
  [10337] = 10302,
  [10338] = 4973,
  [10339] = 10339,
  [10340] = 10340,
  [10341] = 4199,
  [10342] = 5348,
  [10343] = 4973,
  [10344] = 5397,
  [10345] = 5396,
  [10346] = 5058,
  [10347] = 10061,
  [10348] = 3880,
  [10349] = 10349,
  [10350] = 5882,
  [10351] = 10351,
  [10352] = 10352,
  [10353] = 4203,
  [10354] = 4210,
  [10355] = 3888,
  [10356] = 8469,
  [10357] = 8472,
  [10358] = 5392,
  [10359] = 4196,
  [10360] = 10360,
  [10361] = 4984,
  [10362] = 5055,
  [10363] = 5866,
  [10364] = 3888,
  [10365] = 5324,
  [10366] = 5066,
  [10367] = 4181,
  [10368] = 8244,
  [10369] = 5402,
  [10370] = 10370,
  [10371] = 5054,
  [10372] = 8559,
  [10373] = 5883,
  [10374] = 4973,
  [10375] = 4973,
  [10376] = 5023,
  [10377] = 4203,
  [10378] = 10378,
  [10379] = 5410,
  [10380] = 10000,
  [10381] = 5023,
  [10382] = 5066,
  [10383] = 5058,
  [10384] = 4367,
  [10385] = 7213,
  [10386] = 4324,
  [10387] = 6787,
  [10388] = 8473,
  [10389] = 3880,
  [10390] = 4984,
  [10391] = 5055,
  [10392] = 4322,
  [10393] = 10393,
  [10394] = 10394,
  [10395] = 4318,
  [10396] = 5066,
  [10397] = 5088,
  [10398] = 5403,
  [10399] = 10399,
  [10400] = 3880,
  [10401] = 4275,
  [10402] = 4181,
  [10403] = 10107,
  [10404] = 5877,
  [10405] = 5066,
  [10406] = 4984,
  [10407] = 8112,
  [10408] = 10206,
  [10409] = 5882,
  [10410] = 4288,
  [10411] = 5088,
  [10412] = 8124,
  [10413] = 8125,
  [10414] = 8145,
  [10415] = 5088,
  [10416] = 8096,
  [10417] = 5066,
  [10418] = 8150,
  [10419] = 5350,
  [10420] = 10420,
  [10421] = 10190,
  [10422] = 5436,
  [10423] = 5883,
  [10424] = 5088,
  [10425] = 4984,
  [10426] = 5023,
  [10427] = 7213,
  [10428] = 5023,
  [10429] = 5066,
  [10430] = 10360,
  [10431] = 10378,
  [10432] = 10432,
  [10433] = 6787,
  [10434] = 5424,
  [10435] = 5794,
  [10436] = 10436,
  [10437] = 10437,
  [10438] = 10399,
  [10439] = 10439,
  [10440] = 10157,
  [10441] = 10441,
  [10442] = 10223,
  [10443] = 10394,
  [10444] = 4984,
  [10445] = 10445,
  [10446] = 5816,
  [10447] = 8235,
  [10448] = 5446,
  [10449] = 6787,
  [10450] = 10436,
  [10451] = 5860,
  [10452] = 10437,
  [10453] = 5088,
  [10454] = 5449,
  [10455] = 8244,
  [10456] = 5877,
  [10457] = 10457,
  [10458] = 10441,
  [10459] = 10459,
  [10460] = 4973,
  [10461] = 10461,
  [10462] = 4210,
  [10463] = 8235,
  [10464] = 10420,
  [10465] = 5066,
  [10466] = 5877,
  [10467] = 10340,
  [10468] = 10352,
  [10469] = 10329,
  [10470] = 5877,
  [10471] = 5088,
  [10472] = 5586,
  [10473] = 5560,
  [10474] = 10331,
  [10475] = 8096,
  [10476] = 5054,
  [10477] = 5621,
  [10478] = 10148,
  [10479] = 5066,
  [10480] = 5799,
  [10481] = 10352,
  [10482] = 10340,
  [10483] = 5055,
  [10484] = 5058,
  [10485] = 7213,
  [10486] = 4299,
  [10487] = 10461,
  [10488] = 5023,
  [10489] = 6806,
  [10490] = 8150,
  [10491] = 4984,
  [10492] = 10360,
  [10493] = 5023,
  [10494] = 10331,
  [10495] = 4392,
  [10496] = 4324,
  [10497] = 7200,
  [10498] = 6787,
  [10499] = 8145,
  [10500] = 5882,
  [10501] = 8473,
  [10502] = 4973,
  [10503] = 8125,
  [10504] = 7213,
  [10505] = 4210,
  [10506] = 10506,
  [10507] = 4976,
  [10508] = 8472,
  [10509] = 3888,
  [10510] = 8124,
  [10511] = 8469,
  [10512] = 10512,
  [10513] = 10329,
  [10514] = 5345,
  [10515] = 5346,
  [10516] = 5883,
  [10517] = 4210,
  [10518] = 5088,
  [10519] = 5662,
  [10520] = 10155,
  [10521] = 8473,
  [10522] = 5676,
  [10523] = 4181,
  [10524] = 10378,
  [10525] = 4322,
  [10526] = 5015,
  [10527] = 7213,
  [10528] = 6787,
  [10529] = 8112,
  [10530] = 10393,
  [10531] = 4984,
  [10532] = 4066,
  [10533] = 10420,
  [10534] = 8385,
  [10535] = 4214,
  [10536] = 8385,
  [10537] = 5877,
  [10538] = 5774,
  [10539] = 4181,
  [10540] = 5088,
  [10541] = 10541,
  [10542] = 4196,
  [10543] = 10543,
  [10544] = 10544,
  [10545] = 4210,
  [10546] = 10546,
  [10547] = 10441,
  [10548] = 10393,
  [10549] = 4973,
  [10550] = 5883,
  [10551] = 5882,
  [10552] = 10552,
  [10553] = 5883,
  [10554] = 5023,
  [10555] = 8096,
  [10556] = 5883,
  [10557] = 10461,
  [10558] = 10546,
  [10559] = 8473,
  [10560] = 10394,
  [10561] = 5882,
  [10562] = 5877,
  [10563] = 10399,
  [10564] = 4973,
  [10565] = 8559,
  [10566] = 5882,
  [10567] = 4984,
  [10568] = 8385,
  [10569] = 4299,
  [10570] = 5799,
  [10571] = 4324,
  [10572] = 8559,
  [10573] = 10437,
  [10574] = 10574,
  [10575] = 4210,
  [10576] = 10576,
  [10577] = 10577,
  [10578] = 4322,
  [10579] = 8473,
  [10580] = 10580,
  [10581] = 7213,
  [10582] = 10582,
  [10583] = 7213,
  [10584] = 10584,
  [10585] = 10436,
  [10586] = 4984,
  [10587] = 4181,
  [10588] = 5231,
  [10589] = 10576,
  [10590] = 10436,
  [10591] = 3880,
  [10592] = 10437,
  [10593] = 10577,
  [10594] = 4214,
  [10595] = 4414,
  [10596] = 10580,
  [10597] = 4322,
  [10598] = 10582,
  [10599] = 3888,
  [10600] = 3880,
  [10601] = 4973,
  [10602] = 4199,
  [10603] = 4299,
  [10604] = 8112,
  [10605] = 8124,
  [10606] = 8125,
  [10607] = 10582,
  [10608] = 4210,
  [10609] = 10580,
  [10610] = 8145,
  [10611] = 10577,
  [10612] = 8150,
  [10613] = 10613,
  [10614] = 10576,
  [10615] = 4210,
  [10616] = 10584,
  [10617] = 5882,
  [10618] = 5088,
  [10619] = 10619,
  [10620] = 4304,
  [10621] = 4251,
  [10622] = 4226,
  [10623] = 8235,
  [10624] = 10624,
  [10625] = 5023,
  [10626] = 8244,
  [10627] = 8473,
  [10628] = 4242,
  [10629] = 5883,
  [10630] = 6787,
  [10631] = 5774,
  [10632] = 4203,
  [10633] = 4984,
  [10634] = 6091,
  [10635] = 8559,
  [10636] = 4973,
  [10637] = 4196,
  [10638] = 4263,
  [10639] = 4292,
  [10640] = 5023,
  [10641] = 5066,
  [10642] = 5088,
  [10643] = 10574,
  [10644] = 10432,
  [10645] = 3880,
  [10646] = 10646,
  [10647] = 10647,
  [10648] = 4298,
  [10649] = 5794,
  [10650] = 4288,
  [10651] = 4210,
  [10652] = 3888,
  [10653] = 5055,
  [10654] = 4186,
  [10655] = 4258,
  [10656] = 3888,
  [10657] = 5054,
  [10658] = 4179,
  [10659] = 5816,
  [10660] = 4181,
  [10661] = 4181,
  [10662] = 5058,
  [10663] = 10574,
  [10664] = 5058,
  [10665] = 4275,
  [10666] = 4179,
  [10667] = 4303,
  [10668] = 4226,
  [10669] = 4251,
  [10670] = 3880,
  [10671] = 4984,
  [10672] = 10672,
  [10673] = 4973,
  [10674] = 5023,
  [10675] = 5066,
  [10676] = 5088,
  [10677] = 4210,
  [10678] = 5066,
  [10679] = 4258,
  [10680] = 10584,
  [10681] = 4214,
  [10682] = 5877,
  [10683] = 10436,
  [10684] = 4288,
  [10685] = 4179,
  [10686] = 4324,
  [10687] = 8559,
  [10688] = 8469,
  [10689] = 8472,
  [10690] = 10690,
  [10691] = 10582,
  [10692] = 4186,
  [10693] = 10580,
  [10694] = 8096,
  [10695] = 4251,
  [10696] = 5055,
  [10697] = 5054,
  [10698] = 10577,
  [10699] = 4263,
  [10700] = 3888,
  [10701] = 10701,
  [10702] = 5860,
  [10703] = 4242,
  [10704] = 10576,
  [10705] = 4303,
  [10706] = 10576,
  [10707] = 10223,
  [10708] = 4203,
  [10709] = 5866,
  [10710] = 10710,
  [10711] = 10577,
  [10712] = 10712,
  [10713] = 10713,
  [10714] = 10580,
  [10715] = 4292,
  [10716] = 10582,
  [10717] = 4199,
  [10718] = 10437,
  [10719] = 4304,
  [10720] = 4298,
  [10721] = 10206,
  [10722] = 4186,
  [10723] = 10190,
  [10724] = 8096,
  [10725] = 10647,
  [10726] = 10726,
  [10727] = 10726,
  [10728] = 10728,
  [10729] = 4199,
  [10730] = 10730,
  [10731] = 4322,
  [10732] = 10728,
  [10733] = 10728,
  [10734] = 10726,
  [10735] = 10728,
  [10736] = 10726,
  [10737] = 10728,
  [10738] = 10726,
  [10739] = 10726,
  [10740] = 10728,
  [10741] = 4199,
  [10742] = 3880,
  [10743] = 10646,
  [10744] = 5088,
  [10745] = 10728,
  [10746] = 10726,
  [10747] = 5231,
  [10748] = 10728,
  [10749] = 10726,
  [10750] = 10726,
  [10751] = 10751,
  [10752] = 10728,
  [10753] = 10728,
  [10754] = 10726,
  [10755] = 10726,
  [10756] = 10756,
  [10757] = 10757,
  [10758] = 10728,
  [10759] = 10726,
  [10760] = 10728,
  [10761] = 4318,
  [10762] = 10726,
  [10763] = 10726,
  [10764] = 10728,
  [10765] = 10726,
  [10766] = 4196,
  [10767] = 10726,
  [10768] = 10728,
  [10769] = 10728,
  [10770] = 10726,
  [10771] = 4186,
  [10772] = 10726,
  [10773] = 10773,
  [10774] = 10728,
  [10775] = 10775,
  [10776] = 10728,
  [10777] = 5860,
  [10778] = 10728,
  [10779] = 4984,
  [10780] = 10757,
  [10781] = 4181,
  [10782] = 10726,
  [10783] = 8385,
  [10784] = 10728,
  [10785] = 10785,
  [10786] = 10726,
  [10787] = 10751,
  [10788] = 5066,
  [10789] = 10789,
  [10790] = 10726,
  [10791] = 4210,
  [10792] = 8244,
  [10793] = 10728,
  [10794] = 10726,
  [10795] = 4196,
  [10796] = 10726,
  [10797] = 10728,
  [10798] = 10728,
  [10799] = 4186,
  [10800] = 10800,
  [10801] = 10801,
  [10802] = 4179,
  [10803] = 10728,
  [10804] = 10728,
  [10805] = 10805,
  [10806] = 4181,
  [10807] = 4258,
  [10808] = 10726,
  [10809] = 4251,
  [10810] = 4303,
  [10811] = 8472,
  [10812] = 8469,
  [10813] = 4298,
  [10814] = 4292,
  [10815] = 4199,
  [10816] = 4181,
  [10817] = 8235,
  [10818] = 4199,
  [10819] = 5088,
  [10820] = 4242,
  [10821] = 4226,
  [10822] = 10726,
  [10823] = 10728,
  [10824] = 10728,
  [10825] = 4258,
  [10826] = 10726,
  [10827] = 4210,
  [10828] = 10828,
  [10829] = 5088,
  [10830] = 10726,
  [10831] = 5066,
  [10832] = 10728,
  [10833] = 5023,
  [10834] = 4973,
  [10835] = 4360,
  [10836] = 4984,
  [10837] = 10712,
  [10838] = 5054,
  [10839] = 5055,
  [10840] = 4303,
  [10841] = 10726,
  [10842] = 10713,
  [10843] = 5023,
  [10844] = 10728,
  [10845] = 4298,
  [10846] = 6806,
  [10847] = 8145,
  [10848] = 8385,
  [10849] = 10728,
  [10850] = 5058,
  [10851] = 4292,
  [10852] = 10852,
  [10853] = 4973,
  [10854] = 5066,
  [10855] = 10726,
  [10856] = 10726,
  [10857] = 10728,
  [10858] = 10728,
  [10859] = 10726,
  [10860] = 4214,
  [10861] = 10613,
  [10862] = 10726,
  [10863] = 10863,
  [10864] = 10785,
  [10865] = 4299,
  [10866] = 8244,
  [10867] = 10728,
  [10868] = 10728,
  [10869] = 4288,
  [10870] = 5055,
  [10871] = 10726,
  [10872] = 10728,
  [10873] = 10873,
  [10874] = 5054,
  [10875] = 10873,
  [10876] = 10169,
  [10877] = 4242,
  [10878] = 8235,
  [10879] = 10828,
  [10880] = 10726,
  [10881] = 10881,
  [10882] = 10728,
  [10883] = 10726,
  [10884] = 10805,
  [10885] = 4973,
  [10886] = 10730,
  [10887] = 10728,
  [10888] = 10756,
  [10889] = 10726,
  [10890] = 5774,
  [10891] = 4984,
  [10892] = 4179,
  [10893] = 10728,
  [10894] = 8096,
  [10895] = 3888,
  [10896] = 10726,
  [10897] = 10800,
  [10898] = 10728,
  [10899] = 10726,
  [10900] = 8112,
  [10901] = 10726,
  [10902] = 10728,
  [10903] = 4181,
  [10904] = 8124,
  [10905] = 4324,
  [10906] = 8125,
  [10907] = 10728,
  [10908] = 8145,
  [10909] = 10728,
  [10910] = 10726,
  [10911] = 10726,
  [10912] = 3880,
  [10913] = 8150,
  [10914] = 8150,
  [10915] = 10728,
  [10916] = 10726,
  [10917] = 4322,
  [10918] = 3888,
  [10919] = 4263,
  [10920] = 10728,
  [10921] = 10726,
  [10922] = 4288,
  [10923] = 10728,
  [10924] = 4299,
  [10925] = 10726,
  [10926] = 4214,
  [10927] = 4179,
  [10928] = 10775,
  [10929] = 4304,
  [10930] = 10728,
  [10931] = 3880,
  [10932] = 8125,
  [10933] = 10757,
  [10934] = 10728,
  [10935] = 10726,
  [10936] = 8124,
  [10937] = 5058,
  [10938] = 8112,
  [10939] = 5058,
  [10940] = 10751,
  [10941] = 10728,
  [10942] = 5055,
  [10943] = 10728,
  [10944] = 10726,
  [10945] = 8235,
  [10946] = 10726,
  [10947] = 3880,
  [10948] = 10728,
  [10949] = 3888,
  [10950] = 5054,
  [10951] = 10726,
  [10952] = 10728,
  [10953] = 10728,
  [10954] = 3888,
  [10955] = 10726,
  [10956] = 8244,
  [10957] = 4304,
  [10958] = 8472,
  [10959] = 10726,
  [10960] = 5794,
  [10961] = 10728,
  [10962] = 10726,
  [10963] = 8469,
  [10964] = 8112,
  [10965] = 8124,
  [10966] = 8125,
  [10967] = 10728,
  [10968] = 10968,
  [10969] = 10728,
  [10970] = 10726,
  [10971] = 3888,
  [10972] = 4199,
  [10973] = 4226,
  [10974] = 10751,
  [10975] = 4251,
  [10976] = 10728,
  [10977] = 10672,
  [10978] = 10726,
  [10979] = 8473,
  [10980] = 10980,
  [10981] = 4263,
  [10982] = 10728,
  [10983] = 10757,
  [10984] = 5866,
  [10985] = 8145,
  [10986] = 4367,
  [10987] = 10987,
  [10988] = 4324,
  [10989] = 8150,
  [10990] = 10726,
  [10991] = 4196,
  [10992] = 4196,
  [10993] = 5023,
  [10994] = 10728,
  [10995] = 5816,
  [10996] = 10751,
  [10997] = 10726,
  [10998] = 5231,
  [10999] = 10726,
  [11000] = 10624,
  [11001] = 10726,
  [11002] = 4392,
  [11003] = 10728,
  [11004] = 10619,
  [11005] = 10757,
  [11006] = 11006,
  [11007] = 10726,
  [11008] = 4181,
  [11009] = 10728,
  [11010] = 10726,
  [11011] = 10728,
  [11012] = 10726,
  [11013] = 10726,
  [11014] = 10728,
  [11015] = 10728,
  [11016] = 10726,
  [11017] = 10728,
  [11018] = 10726,
  [11019] = 10728,
  [11020] = 10726,
  [11021] = 10728,
  [11022] = 10726,
  [11023] = 10726,
  [11024] = 10728,
  [11025] = 3880,
  [11026] = 10728,
  [11027] = 10726,
  [11028] = 10728,
  [11029] = 8469,
  [11030] = 10726,
  [11031] = 10690,
  [11032] = 10728,
  [11033] = 8385,
  [11034] = 8472,
  [11035] = 4360,
  [11036] = 10726,
  [11037] = 8096,
  [11038] = 10624,
  [11039] = 4973,
  [11040] = 8472,
  [11041] = 6787,
  [11042] = 10712,
  [11043] = 10713,
  [11044] = 4360,
  [11045] = 5231,
  [11046] = 10730,
  [11047] = 4203,
  [11048] = 8469,
  [11049] = 4288,
  [11050] = 4299,
  [11051] = 4214,
  [11052] = 5088,
  [11053] = 4299,
  [11054] = 11054,
  [11055] = 11054,
  [11056] = 11054,
  [11057] = 11054,
  [11058] = 11054,
  [11059] = 11054,
  [11060] = 5066,
  [11061] = 10805,
  [11062] = 8244,
  [11063] = 5023,
  [11064] = 4973,
  [11065] = 3888,
  [11066] = 11054,
  [11067] = 11054,
  [11068] = 11054,
  [11069] = 4984,
  [11070] = 11054,
  [11071] = 11054,
  [11072] = 10756,
  [11073] = 5877,
  [11074] = 11054,
  [11075] = 11054,
  [11076] = 4179,
  [11077] = 11054,
  [11078] = 11054,
  [11079] = 11054,
  [11080] = 4324,
  [11081] = 11054,
  [11082] = 11082,
  [11083] = 10805,
  [11084] = 11054,
  [11085] = 11085,
  [11086] = 11054,
  [11087] = 11054,
  [11088] = 11082,
  [11089] = 11054,
  [11090] = 11054,
  [11091] = 5774,
  [11092] = 4258,
  [11093] = 8244,
  [11094] = 11054,
  [11095] = 5882,
  [11096] = 5883,
  [11097] = 4210,
  [11098] = 11054,
  [11099] = 4304,
  [11100] = 4226,
  [11101] = 4984,
  [11102] = 11054,
  [11103] = 11054,
  [11104] = 11054,
  [11105] = 4199,
  [11106] = 11054,
  [11107] = 11054,
  [11108] = 4242,
  [11109] = 4973,
  [11110] = 11054,
  [11111] = 11054,
  [11112] = 4292,
  [11113] = 4299,
  [11114] = 10800,
  [11115] = 11054,
  [11116] = 11054,
  [11117] = 11054,
  [11118] = 4251,
  [11119] = 4298,
  [11120] = 10828,
  [11121] = 4288,
  [11122] = 5023,
  [11123] = 8235,
  [11124] = 4303,
  [11125] = 4275,
  [11126] = 11126,
  [11127] = 5066,
  [11128] = 4251,
  [11129] = 11054,
  [11130] = 4322,
  [11131] = 11054,
  [11132] = 4258,
  [11133] = 11133,
  [11134] = 5088,
  [11135] = 11135,
  [11136] = 11136,
  [11137] = 4199,
  [11138] = 11126,
  [11139] = 11054,
  [11140] = 4214,
  [11141] = 8150,
  [11142] = 11054,
  [11143] = 8145,
  [11144] = 4322,
  [11145] = 10805,
  [11146] = 10672,
  [11147] = 10756,
  [11148] = 11054,
  [11149] = 5794,
  [11150] = 8112,
  [11151] = 4324,
  [11152] = 5023,
  [11153] = 11054,
  [11154] = 8124,
  [11155] = 4186,
  [11156] = 4258,
  [11157] = 8124,
  [11158] = 4984,
  [11159] = 8125,
  [11160] = 11054,
  [11161] = 4303,
  [11162] = 11054,
  [11163] = 10828,
  [11164] = 10690,
  [11165] = 4288,
  [11166] = 10828,
  [11167] = 4181,
  [11168] = 8112,
  [11169] = 11054,
  [11170] = 8385,
  [11171] = 3888,
  [11172] = 4292,
  [11173] = 3880,
  [11174] = 8145,
  [11175] = 4179,
  [11176] = 4242,
  [11177] = 4203,
  [11178] = 8150,
  [11179] = 4322,
  [11180] = 8235,
  [11181] = 4199,
  [11182] = 4324,
  [11183] = 4360,
  [11184] = 4186,
  [11185] = 4415,
  [11186] = 4298,
  [11187] = 10773,
  [11188] = 10613,
  [11189] = 4179,
  [11190] = 4214,
  [11191] = 4303,
  [11192] = 10756,
  [11193] = 4251,
  [11194] = 11126,
  [11195] = 4304,
  [11196] = 11196,
  [11197] = 8125,
  [11198] = 11198,
  [11199] = 4303,
  [11200] = 4322,
  [11201] = 4415,
  [11202] = 11202,
  [11203] = 11054,
  [11204] = 10789,
  [11205] = 11205,
  [11206] = 11206,
  [11207] = 4298,
  [11208] = 11208,
  [11209] = 5066,
  [11210] = 8469,
  [11211] = 11211,
  [11212] = 10646,
  [11213] = 8472,
  [11214] = 4181,
  [11215] = 10789,
  [11216] = 10873,
  [11217] = 4186,
  [11218] = 10873,
  [11219] = 10730,
  [11220] = 10852,
  [11221] = 4292,
  [11222] = 5058,
  [11223] = 11223,
  [11224] = 11224,
  [11225] = 4304,
  [11226] = 5058,
  [11227] = 5055,
  [11228] = 11228,
  [11229] = 4324,
  [11230] = 5816,
  [11231] = 4214,
  [11232] = 11232,
  [11233] = 11233,
  [11234] = 4322,
  [11235] = 5054,
  [11236] = 11054,
  [11237] = 5055,
  [11238] = 4199,
  [11239] = 4181,
  [11240] = 5055,
  [11241] = 4275,
  [11242] = 11242,
  [11243] = 11243,
  [11244] = 8150,
  [11245] = 11245,
  [11246] = 8145,
  [11247] = 8125,
  [11248] = 5054,
  [11249] = 11249,
  [11250] = 10800,
  [11251] = 11251,
  [11252] = 11054,
  [11253] = 11082,
  [11254] = 11054,
  [11255] = 4299,
  [11256] = 11054,
  [11257] = 11054,
  [11258] = 4242,
  [11259] = 4288,
  [11260] = 11054,
  [11261] = 4304,
  [11262] = 11054,
  [11263] = 8124,
  [11264] = 11054,
  [11265] = 10647,
  [11266] = 11054,
  [11267] = 11054,
  [11268] = 4414,
  [11269] = 11054,
  [11270] = 3888,
  [11271] = 4199,
  [11272] = 11272,
  [11273] = 8235,
  [11274] = 11274,
  [11275] = 4324,
  [11276] = 4298,
  [11277] = 4186,
  [11278] = 11278,
  [11279] = 8385,
  [11280] = 11054,
  [11281] = 10801,
  [11282] = 11054,
  [11283] = 3880,
  [11284] = 11284,
  [11285] = 5054,
  [11286] = 4210,
  [11287] = 4414,
  [11288] = 11288,
  [11289] = 4186,
  [11290] = 11290,
  [11291] = 11054,
  [11292] = 4226,
  [11293] = 10800,
  [11294] = 4203,
  [11295] = 11054,
  [11296] = 10987,
  [11297] = 8244,
  [11298] = 11298,
  [11299] = 10881,
  [11300] = 4210,
  [11301] = 10873,
  [11302] = 4179,
  [11303] = 11054,
  [11304] = 5058,
  [11305] = 4210,
  [11306] = 10773,
  [11307] = 4251,
  [11308] = 7213,
  [11309] = 11309,
  [11310] = 11054,
  [11311] = 5231,
  [11312] = 4226,
  [11313] = 8112,
  [11314] = 4203,
  [11315] = 4292,
  [11316] = 4258,
  [11317] = 4258,
  [11318] = 4251,
  [11319] = 8472,
  [11320] = 8096,
  [11321] = 11321,
  [11322] = 8096,
  [11323] = 8469,
  [11324] = 11054,
  [11325] = 4303,
  [11326] = 8385,
  [11327] = 11054,
  [11328] = 4786,
  [11329] = 10730,
  [11330] = 4304,
  [11331] = 4298,
  [11332] = 11054,
  [11333] = 4292,
  [11334] = 11054,
  [11335] = 3880,
  [11336] = 4242,
  [11337] = 11054,
  [11338] = 4288,
  [11339] = 11054,
  [11340] = 4226,
  [11341] = 4242,
  [11342] = 4226,
  [11343] = 4299,
  [11344] = 11054,
  [11345] = 4214,
  [11346] = 11054,
  [11347] = 5088,
  [11348] = 5023,
  [11349] = 5066,
  [11350] = 11350,
  [11351] = 5088,
  [11352] = 4179,
  [11353] = 4984,
  [11354] = 11354,
  [11355] = 11355,
  [11356] = 4181,
  [11357] = 11357,
  [11358] = 5860,
  [11359] = 11359,
  [11360] = 4973,
  [11361] = 11361,
  [11362] = 11362,
  [11363] = 10619,
  [11364] = 11364,
  [11365] = 5866,
  [11366] = 5054,
  [11367] = 11367,
  [11368] = 11367,
  [11369] = 8125,
  [11370] = 8124,
  [11371] = 8112,
  [11372] = 11372,
  [11373] = 4210,
  [11374] = 11364,
  [11375] = 11298,
  [11376] = 11367,
  [11377] = 11367,
  [11378] = 11367,
  [11379] = 11367,
  [11380] = 11367,
  [11381] = 8385,
  [11382] = 11350,
  [11383] = 4984,
  [11384] = 11290,
  [11385] = 11355,
  [11386] = 11288,
  [11387] = 4304,
  [11388] = 5088,
  [11389] = 11367,
  [11390] = 11085,
  [11391] = 11359,
  [11392] = 11367,
  [11393] = 11354,
  [11394] = 11361,
  [11395] = 11395,
  [11396] = 11362,
  [11397] = 5066,
  [11398] = 11367,
  [11399] = 11367,
  [11400] = 11367,
  [11401] = 8385,
  [11402] = 8145,
  [11403] = 11357,
  [11404] = 4226,
  [11405] = 5023,
  [11406] = 4973,
  [11407] = 4288,
  [11408] = 11408,
  [11409] = 8150,
  [11410] = 4984,
  [11411] = 11411,
  [11412] = 4196,
  [11413] = 4186,
  [11414] = 4242,
  [11415] = 4304,
  [11416] = 11367,
  [11417] = 11367,
  [11418] = 4292,
  [11419] = 4196,
  [11420] = 4299,
  [11421] = 11421,
  [11422] = 4322,
  [11423] = 4322,
  [11424] = 11367,
  [11425] = 11425,
  [11426] = 11284,
  [11427] = 4324,
  [11428] = 4973,
  [11429] = 11367,
  [11430] = 11411,
  [11431] = 11367,
  [11432] = 11367,
  [11433] = 4214,
  [11434] = 11434,
  [11435] = 4181,
  [11436] = 4181,
  [11437] = 11367,
  [11438] = 4322,
  [11439] = 11367,
  [11440] = 11367,
  [11441] = 11441,
  [11442] = 11367,
  [11443] = 11367,
  [11444] = 4288,
  [11445] = 11367,
  [11446] = 4299,
  [11447] = 4214,
  [11448] = 4199,
  [11449] = 11367,
  [11450] = 11367,
  [11451] = 11367,
  [11452] = 4242,
  [11453] = 11367,
  [11454] = 4258,
  [11455] = 11455,
  [11456] = 11354,
  [11457] = 4251,
  [11458] = 11367,
  [11459] = 11367,
  [11460] = 4414,
  [11461] = 8235,
  [11462] = 11357,
  [11463] = 11367,
  [11464] = 11464,
  [11465] = 11367,
  [11466] = 11367,
  [11467] = 8244,
  [11468] = 11367,
  [11469] = 11367,
  [11470] = 4179,
  [11471] = 11367,
  [11472] = 4324,
  [11473] = 11367,
  [11474] = 11367,
  [11475] = 10339,
  [11476] = 4288,
  [11477] = 11350,
  [11478] = 11367,
  [11479] = 11367,
  [11480] = 4292,
  [11481] = 11362,
  [11482] = 11298,
  [11483] = 11274,
  [11484] = 11361,
  [11485] = 4298,
  [11486] = 11359,
  [11487] = 11367,
  [11488] = 11488,
  [11489] = 11395,
  [11490] = 8244,
  [11491] = 11367,
  [11492] = 11367,
  [11493] = 4973,
  [11494] = 11494,
  [11495] = 4226,
  [11496] = 10789,
  [11497] = 11367,
  [11498] = 4298,
  [11499] = 10789,
  [11500] = 11367,
  [11501] = 11501,
  [11502] = 11367,
  [11503] = 4360,
  [11504] = 4210,
  [11505] = 5023,
  [11506] = 4263,
  [11507] = 11288,
  [11508] = 11367,
  [11509] = 11488,
  [11510] = 5066,
  [11511] = 11367,
  [11512] = 11512,
  [11513] = 4181,
  [11514] = 4299,
  [11515] = 8244,
  [11516] = 11367,
  [11517] = 4214,
  [11518] = 11367,
  [11519] = 11284,
  [11520] = 5023,
  [11521] = 11521,
  [11522] = 11372,
  [11523] = 4263,
  [11524] = 11367,
  [11525] = 4214,
  [11526] = 11290,
  [11527] = 4303,
  [11528] = 4288,
  [11529] = 5231,
  [11530] = 4299,
  [11531] = 4214,
  [11532] = 11367,
  [11533] = 4179,
  [11534] = 11367,
  [11535] = 11085,
  [11536] = 11367,
  [11537] = 11367,
  [11538] = 11367,
  [11539] = 5055,
  [11540] = 4179,
  [11541] = 11541,
  [11542] = 11408,
  [11543] = 11543,
  [11544] = 8235,
  [11545] = 8096,
  [11546] = 11367,
  [11547] = 11367,
  [11548] = 11367,
  [11549] = 11364,
  [11550] = 8469,
  [11551] = 11274,
  [11552] = 11367,
  [11553] = 11272,
  [11554] = 11249,
  [11555] = 11367,
  [11556] = 4984,
  [11557] = 11557,
  [11558] = 11372,
  [11559] = 11245,
  [11560] = 4304,
  [11561] = 11242,
  [11562] = 11233,
  [11563] = 4258,
  [11564] = 11367,
  [11565] = 11367,
  [11566] = 11272,
  [11567] = 11367,
  [11568] = 11568,
  [11569] = 8473,
  [11570] = 11251,
  [11571] = 5055,
  [11572] = 11249,
  [11573] = 4251,
  [11574] = 4199,
  [11575] = 11245,
  [11576] = 11367,
  [11577] = 11228,
  [11578] = 11224,
  [11579] = 11367,
  [11580] = 11223,
  [11581] = 11367,
  [11582] = 8472,
  [11583] = 4263,
  [11584] = 8469,
  [11585] = 11242,
  [11586] = 11586,
  [11587] = 5058,
  [11588] = 11367,
  [11589] = 11243,
  [11590] = 11590,
  [11591] = 11591,
  [11592] = 8112,
  [11593] = 5054,
  [11594] = 11594,
  [11595] = 8124,
  [11596] = 4322,
  [11597] = 11211,
  [11598] = 4324,
  [11599] = 11425,
  [11600] = 11367,
  [11601] = 11367,
  [11602] = 11421,
  [11603] = 11233,
  [11604] = 8096,
  [11605] = 4299,
  [11606] = 11355,
  [11607] = 11607,
  [11608] = 11608,
  [11609] = 5231,
  [11610] = 4226,
  [11611] = 11367,
  [11612] = 11232,
  [11613] = 4179,
  [11614] = 11614,
  [11615] = 4292,
  [11616] = 8125,
  [11617] = 8472,
  [11618] = 11421,
  [11619] = 11425,
  [11620] = 11367,
  [11621] = 4242,
  [11622] = 4415,
  [11623] = 11623,
  [11624] = 11464,
  [11625] = 11208,
  [11626] = 11206,
  [11627] = 11205,
  [11628] = 8145,
  [11629] = 4292,
  [11630] = 11202,
  [11631] = 4298,
  [11632] = 8150,
  [11633] = 11367,
  [11634] = 11367,
  [11635] = 11367,
  [11636] = 11636,
  [11637] = 4324,
  [11638] = 11367,
  [11639] = 11639,
  [11640] = 4288,
  [11641] = 11232,
  [11642] = 11367,
  [11643] = 11228,
  [11644] = 4303,
  [11645] = 11367,
  [11646] = 3880,
  [11647] = 3888,
  [11648] = 4251,
  [11649] = 11367,
  [11650] = 4179,
  [11651] = 4322,
  [11652] = 11367,
  [11653] = 11653,
  [11654] = 11367,
  [11655] = 8096,
  [11656] = 11639,
  [11657] = 11224,
  [11658] = 11223,
  [11659] = 4303,
  [11660] = 11367,
  [11661] = 11202,
  [11662] = 11488,
  [11663] = 8385,
  [11664] = 11664,
  [11665] = 11665,
  [11666] = 11367,
  [11667] = 11367,
  [11668] = 3880,
  [11669] = 5088,
  [11670] = 4258,
  [11671] = 11205,
  [11672] = 11367,
  [11673] = 3888,
  [11674] = 11367,
  [11675] = 11421,
  [11676] = 11676,
  [11677] = 11425,
  [11678] = 4258,
  [11679] = 11367,
  [11680] = 11367,
  [11681] = 11367,
  [11682] = 11512,
  [11683] = 11683,
  [11684] = 11512,
  [11685] = 11367,
  [11686] = 5058,
  [11687] = 4324,
  [11688] = 11688,
  [11689] = 11367,
  [11690] = 8469,
  [11691] = 11521,
  [11692] = 8472,
  [11693] = 11639,
  [11694] = 10370,
  [11695] = 11557,
  [11696] = 4226,
  [11697] = 11206,
  [11698] = 11208,
  [11699] = 4304,
  [11700] = 8235,
  [11701] = 11367,
  [11702] = 4242,
  [11703] = 11367,
  [11704] = 11664,
  [11705] = 4226,
  [11706] = 10773,
  [11707] = 11367,
  [11708] = 10351,
  [11709] = 4242,
  [11710] = 11367,
  [11711] = 4210,
  [11712] = 11712,
  [11713] = 8150,
  [11714] = 4292,
  [11715] = 11367,
  [11716] = 4298,
  [11717] = 8145,
  [11718] = 11251,
  [11719] = 10541,
  [11720] = 11367,
  [11721] = 5088,
  [11722] = 11196,
  [11723] = 11196,
  [11724] = 4414,
  [11725] = 4303,
  [11726] = 4251,
  [11727] = 4258,
  [11728] = 11367,
  [11729] = 11367,
  [11730] = 4304,
  [11731] = 11367,
  [11732] = 11367,
  [11733] = 11421,
  [11734] = 11367,
  [11735] = 11367,
  [11736] = 4186,
  [11737] = 11367,
  [11738] = 11367,
  [11739] = 11367,
  [11740] = 4360,
  [11741] = 4298,
  [11742] = 4186,
  [11743] = 5054,
  [11744] = 11367,
  [11745] = 5055,
  [11746] = 4303,
  [11747] = 11367,
  [11748] = 5058,
  [11749] = 10432,
  [11750] = 11411,
  [11751] = 10773,
  [11752] = 11425,
  [11753] = 5066,
  [11754] = 4186,
  [11755] = 11712,
  [11756] = 8112,
  [11757] = 4263,
  [11758] = 8096,
  [11759] = 8124,
  [11760] = 4415,
  [11761] = 8125,
  [11762] = 11367,
  [11763] = 11367,
  [11764] = 11367,
  [11765] = 11367,
  [11766] = 11211,
  [11767] = 11354,
  [11768] = 11768,
  [11769] = 4304,
  [11770] = 11770,
  [11771] = 11771,
  [11772] = 11770,
  [11773] = 11773,
  [11774] = 11774,
  [11775] = 11775,
  [11776] = 11771,
  [11777] = 11777,
  [11778] = 11778,
  [11779] = 11771,
  [11780] = 4324,
  [11781] = 11770,
  [11782] = 11770,
  [11783] = 11770,
  [11784] = 11777,
  [11785] = 11770,
  [11786] = 11786,
  [11787] = 11787,
  [11788] = 11788,
  [11789] = 11770,
  [11790] = 11771,
  [11791] = 11778,
  [11792] = 11223,
  [11793] = 11770,
  [11794] = 11794,
  [11795] = 11771,
  [11796] = 11224,
  [11797] = 11770,
  [11798] = 11771,
  [11799] = 11775,
  [11800] = 11228,
  [11801] = 11770,
  [11802] = 11501,
  [11803] = 11786,
  [11804] = 11770,
  [11805] = 11771,
  [11806] = 11232,
  [11807] = 11770,
  [11808] = 5200,
  [11809] = 11771,
  [11810] = 11233,
  [11811] = 11770,
  [11812] = 11771,
  [11813] = 11770,
  [11814] = 11770,
  [11815] = 11242,
  [11816] = 11778,
  [11817] = 11770,
  [11818] = 11245,
  [11819] = 11249,
  [11820] = 11768,
  [11821] = 11821,
  [11822] = 11272,
  [11823] = 11274,
  [11824] = 11777,
  [11825] = 11770,
  [11826] = 11777,
  [11827] = 11778,
  [11828] = 11778,
  [11829] = 4322,
  [11830] = 11830,
  [11831] = 11211,
  [11832] = 11770,
  [11833] = 11770,
  [11834] = 4181,
  [11835] = 11770,
  [11836] = 11770,
  [11837] = 11770,
  [11838] = 11777,
  [11839] = 11770,
  [11840] = 4318,
  [11841] = 11771,
  [11842] = 11775,
  [11843] = 11770,
  [11844] = 11777,
  [11845] = 11778,
  [11846] = 11541,
  [11847] = 11770,
  [11848] = 11208,
  [11849] = 11770,
  [11850] = 11771,
  [11851] = 11770,
  [11852] = 11773,
  [11853] = 11354,
  [11854] = 11771,
  [11855] = 4360,
  [11856] = 11771,
  [11857] = 11770,
  [11858] = 11770,
  [11859] = 11770,
  [11860] = 11860,
  [11861] = 11251,
  [11862] = 11770,
  [11863] = 11196,
  [11864] = 4304,
  [11865] = 11771,
  [11866] = 11205,
  [11867] = 11778,
  [11868] = 11777,
  [11869] = 11770,
  [11870] = 4786,
  [11871] = 4367,
  [11872] = 11770,
  [11873] = 11873,
  [11874] = 11874,
  [11875] = 11770,
  [11876] = 11771,
  [11877] = 11770,
  [11878] = 11778,
  [11879] = 11775,
  [11880] = 11770,
  [11881] = 11771,
  [11882] = 11882,
  [11883] = 11206,
  [11884] = 11884,
  [11885] = 11771,
  [11886] = 8096,
  [11887] = 4210,
  [11888] = 11771,
  [11889] = 4360,
  [11890] = 11890,
  [11891] = 11284,
  [11892] = 11892,
  [11893] = 11770,
  [11894] = 11894,
  [11895] = 11771,
  [11896] = 11830,
  [11897] = 11288,
  [11898] = 11290,
  [11899] = 4322,
  [11900] = 11860,
  [11901] = 11770,
  [11902] = 11902,
  [11903] = 11777,
  [11904] = 11778,
  [11905] = 11770,
  [11906] = 11770,
  [11907] = 5231,
  [11908] = 11771,
  [11909] = 11770,
  [11910] = 11298,
  [11911] = 11770,
  [11912] = 11775,
  [11913] = 11770,
  [11914] = 11770,
  [11915] = 4318,
  [11916] = 5378,
  [11917] = 11770,
  [11918] = 4181,
  [11919] = 11771,
  [11920] = 11357,
  [11921] = 11777,
  [11922] = 11778,
  [11923] = 11085,
  [11924] = 11771,
  [11925] = 11770,
  [11926] = 4392,
  [11927] = 11770,
  [11928] = 11778,
  [11929] = 11777,
  [11930] = 10789,
  [11931] = 11931,
  [11932] = 4186,
  [11933] = 5058,
  [11934] = 11771,
  [11935] = 5055,
  [11936] = 11778,
  [11937] = 11770,
  [11938] = 11770,
  [11939] = 5054,
  [11940] = 11940,
  [11941] = 11773,
  [11942] = 11771,
  [11943] = 11884,
  [11944] = 11770,
  [11945] = 11770,
  [11946] = 11771,
  [11947] = 4258,
  [11948] = 10773,
  [11949] = 11770,
  [11950] = 11778,
  [11951] = 4251,
  [11952] = 4303,
  [11953] = 11777,
  [11954] = 11771,
  [11955] = 11830,
  [11956] = 4298,
  [11957] = 11770,
  [11958] = 4292,
  [11959] = 11771,
  [11960] = 11770,
  [11961] = 4242,
  [11962] = 11777,
  [11963] = 4226,
  [11964] = 4324,
  [11965] = 11771,
  [11966] = 11770,
  [11967] = 11770,
  [11968] = 11771,
  [11969] = 11770,
  [11970] = 11778,
  [11971] = 11441,
  [11972] = 7213,
  [11973] = 11202,
  [11974] = 11770,
  [11975] = 11777,
  [11976] = 11778,
  [11977] = 11770,
  [11978] = 11770,
  [11979] = 11771,
  [11980] = 11771,
  [11981] = 11770,
  [11982] = 11205,
  [11983] = 11770,
  [11984] = 11771,
  [11985] = 11770,
  [11986] = 4392,
  [11987] = 11206,
  [11988] = 11208,
  [11989] = 4324,
  [11990] = 11771,
  [11991] = 11770,
  [11992] = 4322,
  [11993] = 11993,
  [11994] = 11770,
  [11995] = 4210,
  [11996] = 4203,
  [11997] = 11770,
  [11998] = 11770,
  [11999] = 11884,
  [12000] = 12000,
  [12001] = 11778,
  [12002] = 11771,
  [12003] = 11359,
  [12004] = 11085,
  [12005] = 4186,
  [12006] = 11771,
  [12007] = 11770,
  [12008] = 11770,
  [12009] = 4367,
  [12010] = 11771,
  [12011] = 11211,
  [12012] = 4258,
  [12013] = 11771,
  [12014] = 11770,
  [12015] = 11830,
  [12016] = 4251,
  [12017] = 11771,
  [12018] = 11223,
  [12019] = 11770,
  [12020] = 4367,
  [12021] = 4303,
  [12022] = 8235,
  [12023] = 4298,
  [12024] = 4292,
  [12025] = 11771,
  [12026] = 11770,
  [12027] = 4242,
  [12028] = 11355,
  [12029] = 11224,
  [12030] = 11770,
  [12031] = 11770,
  [12032] = 4226,
  [12033] = 4786,
  [12034] = 11770,
  [12035] = 11770,
  [12036] = 4766,
  [12037] = 11771,
  [12038] = 4199,
  [12039] = 11770,
  [12040] = 11228,
  [12041] = 11232,
  [12042] = 11233,
  [12043] = 4318,
  [12044] = 11771,
  [12045] = 12045,
  [12046] = 11364,
  [12047] = 11777,
  [12048] = 11778,
  [12049] = 11770,
  [12050] = 11770,
  [12051] = 4199,
  [12052] = 11775,
  [12053] = 11242,
  [12054] = 10789,
  [12055] = 11778,
  [12056] = 11771,
  [12057] = 11777,
  [12058] = 11777,
  [12059] = 11245,
  [12060] = 11777,
  [12061] = 11361,
  [12062] = 11249,
  [12063] = 11778,
  [12064] = 11777,
  [12065] = 11770,
  [12066] = 11272,
  [12067] = 11202,
  [12068] = 11770,
  [12069] = 11770,
  [12070] = 11274,
  [12071] = 11770,
  [12072] = 11778,
  [12073] = 11771,
  [12074] = 11770,
  [12075] = 11770,
  [12076] = 11771,
  [12077] = 11284,
  [12078] = 11882,
  [12079] = 11771,
  [12080] = 11288,
  [12081] = 3880,
  [12082] = 4181,
  [12083] = 11770,
  [12084] = 11290,
  [12085] = 3888,
  [12086] = 11771,
  [12087] = 11298,
  [12088] = 11770,
  [12089] = 4251,
  [12090] = 11771,
  [12091] = 4199,
  [12092] = 11770,
  [12093] = 11771,
  [12094] = 4288,
  [12095] = 4299,
  [12096] = 11770,
  [12097] = 4214,
  [12098] = 4179,
  [12099] = 11771,
  [12100] = 4360,
  [12101] = 11770,
  [12102] = 11362,
  [12103] = 12103,
  [12104] = 4288,
  [12105] = 4299,
  [12106] = 4214,
  [12107] = 4179,
  [12108] = 12108,
  [12109] = 12109,
  [12110] = 11778,
  [12111] = 11777,
  [12112] = 11931,
  [12113] = 11771,
  [12114] = 5231,
  [12115] = 11770,
  [12116] = 3888,
  [12117] = 11771,
  [12118] = 11777,
  [12119] = 11778,
  [12120] = 4181,
  [12121] = 3880,
  [12122] = 3888,
  [12123] = 4360,
  [12124] = 11770,
  [12125] = 11830,
  [12126] = 11770,
  [12127] = 11778,
  [12128] = 11770,
  [12129] = 11777,
  [12130] = 11940,
  [12131] = 11770,
  [12132] = 11778,
  [12133] = 11777,
  [12134] = 11771,
  [12135] = 11770,
  [12136] = 5088,
  [12137] = 11771,
  [12138] = 11771,
  [12139] = 11770,
  [12140] = 11770,
  [12141] = 11771,
  [12142] = 3880,
  [12143] = 8472,
  [12144] = 11364,
  [12145] = 11770,
  [12146] = 3888,
  [12147] = 4275,
  [12148] = 8469,
  [12149] = 12149,
  [12150] = 12150,
  [12151] = 11770,
  [12152] = 12152,
  [12153] = 12153,
  [12154] = 11771,
  [12155] = 3880,
  [12156] = 11771,
  [12157] = 4203,
  [12158] = 11940,
  [12159] = 11770,
  [12160] = 11777,
  [12161] = 11778,
  [12162] = 11770,
  [12163] = 11357,
  [12164] = 11770,
  [12165] = 12165,
  [12166] = 11350,
  [12167] = 11362,
  [12168] = 11361,
  [12169] = 11359,
  [12170] = 11771,
  [12171] = 11355,
  [12172] = 11357,
  [12173] = 11350,
  [12174] = 11770,
  [12175] = 11771,
  [12176] = 11362,
  [12177] = 4360,
  [12178] = 11771,
  [12179] = 11770,
  [12180] = 11770,
  [12181] = 4324,
  [12182] = 11830,
  [12183] = 11770,
  [12184] = 4210,
  [12185] = 11778,
  [12186] = 4392,
  [12187] = 11361,
  [12188] = 11359,
  [12189] = 11778,
  [12190] = 11777,
  [12191] = 11778,
  [12192] = 11777,
  [12193] = 8112,
  [12194] = 8125,
  [12195] = 5023,
  [12196] = 8145,
  [12197] = 11350,
  [12198] = 10339,
  [12199] = 12199,
  [12200] = 11771,
  [12201] = 8150,
  [12202] = 10541,
  [12203] = 11821,
  [12204] = 11770,
  [12205] = 4186,
  [12206] = 11355,
  [12207] = 11770,
  [12208] = 11771,
  [12209] = 12165,
  [12210] = 4322,
  [12211] = 11771,
  [12212] = 11770,
  [12213] = 5066,
  [12214] = 12149,
  [12215] = 8244,
  [12216] = 11771,
  [12217] = 10370,
  [12218] = 12150,
  [12219] = 12153,
  [12220] = 11770,
  [12221] = 10773,
  [12222] = 8124,
  [12223] = 11771,
  [12224] = 11770,
  [12225] = 10351,
  [12226] = 8385,
  [12227] = 4973,
  [12228] = 4199,
  [12229] = 11771,
  [12230] = 4984,
  [12231] = 12199,
  [12232] = 11892,
  [12233] = 5066,
  [12234] = 12234,
  [12235] = 12235,
  [12236] = 11357,
  [12237] = 4226,
  [12238] = 12238,
  [12239] = 8472,
  [12240] = 5231,
  [12241] = 10541,
  [12242] = 4242,
  [12243] = 12235,
  [12244] = 11357,
  [12245] = 10773,
  [12246] = 11350,
  [12247] = 4292,
  [12248] = 11362,
  [12249] = 11284,
  [12250] = 8150,
  [12251] = 12235,
  [12252] = 5023,
  [12253] = 11775,
  [12254] = 4251,
  [12255] = 4298,
  [12256] = 11355,
  [12257] = 12257,
  [12258] = 12258,
  [12259] = 11350,
  [12260] = 8235,
  [12261] = 8145,
  [12262] = 12262,
  [12263] = 11775,
  [12264] = 12235,
  [12265] = 11288,
  [12266] = 11290,
  [12267] = 12267,
  [12268] = 11362,
  [12269] = 12269,
  [12270] = 12235,
  [12271] = 8096,
  [12272] = 12258,
  [12273] = 12258,
  [12274] = 4973,
  [12275] = 12235,
  [12276] = 4786,
  [12277] = 12277,
  [12278] = 12258,
  [12279] = 11361,
  [12280] = 12280,
  [12281] = 12235,
  [12282] = 11359,
  [12283] = 11298,
  [12284] = 12262,
  [12285] = 12285,
  [12286] = 12235,
  [12287] = 8235,
  [12288] = 12235,
  [12289] = 11208,
  [12290] = 11775,
  [12291] = 11206,
  [12292] = 11085,
  [12293] = 4258,
  [12294] = 8124,
  [12295] = 12235,
  [12296] = 3888,
  [12297] = 11361,
  [12298] = 3880,
  [12299] = 11359,
  [12300] = 12235,
  [12301] = 8096,
  [12302] = 3888,
  [12303] = 3880,
  [12304] = 11205,
  [12305] = 11355,
  [12306] = 12258,
  [12307] = 12258,
  [12308] = 4303,
  [12309] = 12258,
  [12310] = 11775,
  [12311] = 4360,
  [12312] = 4304,
  [12313] = 12235,
  [12314] = 3888,
  [12315] = 3880,
  [12316] = 4186,
  [12317] = 4304,
  [12318] = 12318,
  [12319] = 5378,
  [12320] = 12320,
  [12321] = 12321,
  [12322] = 11775,
  [12323] = 8096,
  [12324] = 12285,
  [12325] = 4984,
  [12326] = 11364,
  [12327] = 12235,
  [12328] = 11274,
  [12329] = 4179,
  [12330] = 4214,
  [12331] = 8112,
  [12332] = 10881,
  [12333] = 11272,
  [12334] = 10339,
  [12335] = 4299,
  [12336] = 4288,
  [12337] = 4324,
  [12338] = 12235,
  [12339] = 12339,
  [12340] = 12235,
  [12341] = 4322,
  [12342] = 12258,
  [12343] = 10789,
  [12344] = 11787,
  [12345] = 11788,
  [12346] = 12235,
  [12347] = 11775,
  [12348] = 12235,
  [12349] = 12349,
  [12350] = 12350,
  [12351] = 4226,
  [12352] = 12235,
  [12353] = 4242,
  [12354] = 4292,
  [12355] = 11211,
  [12356] = 4766,
  [12357] = 4298,
  [12358] = 4360,
  [12359] = 12235,
  [12360] = 12258,
  [12361] = 4303,
  [12362] = 4251,
  [12363] = 11249,
  [12364] = 11245,
  [12365] = 11242,
  [12366] = 4258,
  [12367] = 4984,
  [12368] = 12235,
  [12369] = 11774,
  [12370] = 4186,
  [12371] = 4786,
  [12372] = 11085,
  [12373] = 12258,
  [12374] = 12235,
  [12375] = 5054,
  [12376] = 12258,
  [12377] = 8125,
  [12378] = 11233,
  [12379] = 5877,
  [12380] = 5015,
  [12381] = 12235,
  [12382] = 8145,
  [12383] = 11232,
  [12384] = 5055,
  [12385] = 11228,
  [12386] = 10789,
  [12387] = 4973,
  [12388] = 12235,
  [12389] = 12389,
  [12390] = 4324,
  [12391] = 12235,
  [12392] = 4322,
  [12393] = 12393,
  [12394] = 10351,
  [12395] = 11224,
  [12396] = 11223,
  [12397] = 4181,
  [12398] = 12235,
  [12399] = 12235,
  [12400] = 10370,
  [12401] = 12235,
  [12402] = 5058,
  [12403] = 4186,
  [12404] = 4304,
  [12405] = 11274,
  [12406] = 5882,
  [12407] = 12258,
  [12408] = 11202,
  [12409] = 5883,
  [12410] = 11775,
  [12411] = 11890,
  [12412] = 5088,
  [12413] = 11775,
  [12414] = 11775,
  [12415] = 11894,
  [12416] = 12258,
  [12417] = 11902,
  [12418] = 12235,
  [12419] = 5088,
  [12420] = 12235,
  [12421] = 12235,
  [12422] = 12258,
  [12423] = 4179,
  [12424] = 12318,
  [12425] = 4214,
  [12426] = 4299,
  [12427] = 12235,
  [12428] = 12277,
  [12429] = 4288,
  [12430] = 11364,
  [12431] = 4186,
  [12432] = 11284,
  [12433] = 4263,
  [12434] = 12235,
  [12435] = 12285,
  [12436] = 12277,
  [12437] = 12285,
  [12438] = 4976,
  [12439] = 5231,
  [12440] = 12277,
  [12441] = 12258,
  [12442] = 4258,
  [12443] = 4251,
  [12444] = 12285,
  [12445] = 12445,
  [12446] = 11775,
  [12447] = 11288,
  [12448] = 4303,
  [12449] = 12235,
  [12450] = 4976,
  [12451] = 4298,
  [12452] = 4292,
  [12453] = 11775,
  [12454] = 4242,
  [12455] = 4226,
  [12456] = 4288,
  [12457] = 4299,
  [12458] = 12235,
  [12459] = 4214,
  [12460] = 12235,
  [12461] = 12258,
  [12462] = 4179,
  [12463] = 11775,
  [12464] = 11211,
  [12465] = 12235,
  [12466] = 12235,
  [12467] = 12467,
  [12468] = 12258,
  [12469] = 4199,
  [12470] = 12258,
  [12471] = 11357,
  [12472] = 12235,
  [12473] = 12235,
  [12474] = 11208,
  [12475] = 11206,
  [12476] = 4179,
  [12477] = 8112,
  [12478] = 11205,
  [12479] = 8472,
  [12480] = 8469,
  [12481] = 11202,
  [12482] = 12045,
  [12483] = 8124,
  [12484] = 8125,
  [12485] = 4181,
  [12486] = 12235,
  [12487] = 4303,
  [12488] = 8150,
  [12489] = 4214,
  [12490] = 4258,
  [12491] = 5058,
  [12492] = 4299,
  [12493] = 5055,
  [12494] = 4251,
  [12495] = 5054,
  [12496] = 4288,
  [12497] = 4304,
  [12498] = 5200,
  [12499] = 12499,
  [12500] = 12500,
  [12501] = 4263,
  [12502] = 12235,
  [12503] = 11354,
  [12504] = 12504,
  [12505] = 5023,
  [12506] = 11290,
  [12507] = 8385,
  [12508] = 11272,
  [12509] = 4298,
  [12510] = 4292,
  [12511] = 11775,
  [12512] = 4242,
  [12513] = 12235,
  [12514] = 12514,
  [12515] = 4226,
  [12516] = 11223,
  [12517] = 12235,
  [12518] = 12262,
  [12519] = 5088,
  [12520] = 12258,
  [12521] = 11224,
  [12522] = 12235,
  [12523] = 8244,
  [12524] = 12258,
  [12525] = 11249,
  [12526] = 11874,
  [12527] = 11873,
  [12528] = 11775,
  [12529] = 12235,
  [12530] = 4360,
  [12531] = 11245,
  [12532] = 5066,
  [12533] = 11228,
  [12534] = 5023,
  [12535] = 8244,
  [12536] = 12235,
  [12537] = 8235,
  [12538] = 11298,
  [12539] = 11232,
  [12540] = 4318,
  [12541] = 12235,
  [12542] = 4392,
  [12543] = 11794,
  [12544] = 4984,
  [12545] = 4181,
  [12546] = 11775,
  [12547] = 4360,
  [12548] = 11775,
  [12549] = 11354,
  [12550] = 8150,
  [12551] = 12235,
  [12552] = 4973,
  [12553] = 8145,
  [12554] = 5231,
  [12555] = 8385,
  [12556] = 8125,
  [12557] = 8124,
  [12558] = 8112,
  [12559] = 12258,
  [12560] = 4367,
  [12561] = 12235,
  [12562] = 8244,
  [12563] = 4360,
  [12564] = 4367,
  [12565] = 12235,
  [12566] = 12103,
  [12567] = 12258,
  [12568] = 12108,
  [12569] = 12109,
  [12570] = 11196,
  [12571] = 12258,
  [12572] = 12277,
  [12573] = 4318,
  [12574] = 5054,
  [12575] = 10987,
  [12576] = 5055,
  [12577] = 11251,
  [12578] = 5058,
  [12579] = 4199,
  [12580] = 4392,
  [12581] = 11355,
  [12582] = 4984,
  [12583] = 12269,
  [12584] = 4973,
  [12585] = 5066,
  [12586] = 5621,
  [12587] = 12235,
  [12588] = 8472,
  [12589] = 5023,
  [12590] = 12235,
  [12591] = 12269,
  [12592] = 5231,
  [12593] = 4392,
  [12594] = 8469,
  [12595] = 12595,
  [12596] = 4324,
  [12597] = 11233,
  [12598] = 5066,
  [12599] = 5088,
  [12600] = 11359,
  [12601] = 12258,
  [12602] = 12602,
  [12603] = 8385,
  [12604] = 12235,
  [12605] = 12000,
  [12606] = 11775,
  [12607] = 4199,
  [12608] = 5200,
  [12609] = 11775,
  [12610] = 10773,
  [12611] = 11361,
  [12612] = 4367,
  [12613] = 12258,
  [12614] = 4322,
  [12615] = 5402,
  [12616] = 11350,
  [12617] = 12267,
  [12618] = 12235,
  [12619] = 11242,
  [12620] = 12235,
  [12621] = 12621,
  [12622] = 4318,
  [12623] = 8469,
  [12624] = 12624,
  [12625] = 11362,
  [12626] = 12235,
  [12627] = 12627,
  [12628] = 4303,
  [12629] = 10773,
  [12630] = 12339,
  [12631] = 5066,
  [12632] = 12318,
  [12633] = 6385,
  [12634] = 5231,
  [12635] = 11290,
  [12636] = 11298,
  [12637] = 4360,
  [12638] = 12318,
  [12639] = 5023,
  [12640] = 11350,
  [12641] = 11284,
  [12642] = 8385,
  [12643] = 11298,
  [12644] = 5088,
  [12645] = 4304,
  [12646] = 11290,
  [12647] = 10789,
  [12648] = 11288,
  [12649] = 12234,
  [12650] = 12257,
  [12651] = 3888,
  [12652] = 11775,
  [12653] = 4324,
  [12654] = 11284,
  [12655] = 4973,
  [12656] = 4199,
  [12657] = 4322,
  [12658] = 4360,
  [12659] = 3880,
  [12660] = 11362,
  [12661] = 5088,
  [12662] = 12318,
  [12663] = 8244,
  [12664] = 11274,
  [12665] = 4186,
  [12666] = 4984,
  [12667] = 11272,
  [12668] = 4322,
  [12669] = 5200,
  [12670] = 11249,
  [12671] = 5882,
  [12672] = 11242,
  [12673] = 11274,
  [12674] = 5066,
  [12675] = 5883,
  [12676] = 5402,
  [12677] = 5877,
  [12678] = 11233,
  [12679] = 11085,
  [12680] = 11232,
  [12681] = 11272,
  [12682] = 11355,
  [12683] = 11228,
  [12684] = 5621,
  [12685] = 12685,
  [12686] = 11249,
  [12687] = 4324,
  [12688] = 11288,
  [12689] = 12318,
  [12690] = 8096,
  [12691] = 12691,
  [12692] = 11364,
  [12693] = 11242,
  [12694] = 11224,
  [12695] = 12695,
  [12696] = 11223,
  [12697] = 11211,
  [12698] = 8469,
  [12699] = 11233,
  [12700] = 11085,
  [12701] = 11208,
  [12702] = 5088,
  [12703] = 11361,
  [12704] = 12320,
  [12705] = 11206,
  [12706] = 11232,
  [12707] = 11228,
  [12708] = 11359,
  [12709] = 8235,
  [12710] = 11202,
  [12711] = 8469,
  [12712] = 12321,
  [12713] = 8472,
  [12714] = 8472,
  [12715] = 8469,
  [12716] = 4258,
  [12717] = 4251,
  [12718] = 5066,
  [12719] = 5023,
  [12720] = 4976,
  [12721] = 4303,
  [12722] = 5058,
  [12723] = 5055,
  [12724] = 4298,
  [12725] = 8096,
  [12726] = 11205,
  [12727] = 5054,
  [12728] = 5054,
  [12729] = 12602,
  [12730] = 5055,
  [12731] = 4292,
  [12732] = 4242,
  [12733] = 5058,
  [12734] = 8096,
  [12735] = 12735,
  [12736] = 5023,
  [12737] = 11775,
  [12738] = 8244,
  [12739] = 4226,
  [12740] = 11224,
  [12741] = 12741,
  [12742] = 11364,
  [12743] = 11223,
  [12744] = 12744,
  [12745] = 11775,
  [12746] = 12746,
  [12747] = 12747,
  [12748] = 4186,
  [12749] = 8145,
  [12750] = 8235,
  [12751] = 12751,
  [12752] = 12741,
  [12753] = 12744,
  [12754] = 10339,
  [12755] = 8385,
  [12756] = 12318,
  [12757] = 4392,
  [12758] = 11245,
  [12759] = 4258,
  [12760] = 12760,
  [12761] = 6626,
  [12762] = 4251,
  [12763] = 12763,
  [12764] = 4303,
  [12765] = 10789,
  [12766] = 5883,
  [12767] = 5882,
  [12768] = 4984,
  [12769] = 4298,
  [12770] = 8112,
  [12771] = 12624,
  [12772] = 4181,
  [12773] = 4242,
  [12774] = 4226,
  [12775] = 11211,
  [12776] = 11775,
  [12777] = 12318,
  [12778] = 12504,
  [12779] = 4973,
  [12780] = 11775,
  [12781] = 8124,
  [12782] = 8150,
  [12783] = 11354,
  [12784] = 4976,
  [12785] = 8125,
  [12786] = 8150,
  [12787] = 4179,
  [12788] = 12788,
  [12789] = 4214,
  [12790] = 4299,
  [12791] = 4288,
  [12792] = 11196,
  [12793] = 8124,
  [12794] = 10370,
  [12795] = 11251,
  [12796] = 10351,
  [12797] = 4973,
  [12798] = 8244,
  [12799] = 11357,
  [12800] = 11355,
  [12801] = 4973,
  [12802] = 8235,
  [12803] = 8145,
  [12804] = 12804,
  [12805] = 8112,
  [12806] = 4367,
  [12807] = 8125,
  [12808] = 4179,
  [12809] = 10789,
  [12810] = 4214,
  [12811] = 4299,
  [12812] = 11775,
  [12813] = 8385,
  [12814] = 4288,
  [12815] = 5023,
  [12816] = 10541,
  [12817] = 11357,
  [12818] = 8150,
  [12819] = 8145,
  [12820] = 11775,
  [12821] = 8145,
  [12822] = 12741,
  [12823] = 11208,
  [12824] = 12595,
  [12825] = 12744,
  [12826] = 12826,
  [12827] = 8125,
  [12828] = 11206,
  [12829] = 4360,
  [12830] = 4179,
  [12831] = 4984,
  [12832] = 8125,
  [12833] = 12741,
  [12834] = 12744,
  [12835] = 11205,
  [12836] = 8124,
  [12837] = 4214,
  [12838] = 4299,
  [12839] = 12318,
  [12840] = 5402,
  [12841] = 8124,
  [12842] = 8096,
  [12843] = 11202,
  [12844] = 5231,
  [12845] = 12845,
  [12846] = 4292,
  [12847] = 11775,
  [12848] = 4288,
  [12849] = 5088,
  [12850] = 5066,
  [12851] = 12393,
  [12852] = 10789,
  [12853] = 4984,
  [12854] = 12318,
  [12855] = 5066,
  [12856] = 12318,
  [12857] = 5023,
  [12858] = 8150,
  [12859] = 4973,
  [12860] = 4318,
  [12861] = 8112,
  [12862] = 4984,
  [12863] = 12863,
  [12864] = 11775,
  [12865] = 5877,
  [12866] = 10789,
  [12867] = 11355,
  [12868] = 11355,
  [12869] = 12869,
  [12870] = 11245,
  [12871] = 5231,
  [12872] = 11357,
  [12873] = 12238,
  [12874] = 5015,
  [12875] = 8096,
  [12876] = 8472,
  [12877] = 4304,
  [12878] = 12514,
  [12879] = 11359,
  [12880] = 11361,
  [12881] = 8235,
  [12882] = 11775,
  [12883] = 11775,
  [12884] = 8244,
  [12885] = 5054,
  [12886] = 5088,
  [12887] = 8469,
  [12888] = 11359,
  [12889] = 11361,
  [12890] = 10773,
  [12891] = 11251,
  [12892] = 11196,
  [12893] = 8472,
  [12894] = 12894,
  [12895] = 11359,
  [12896] = 11361,
  [12897] = 5088,
  [12898] = 4186,
  [12899] = 8096,
  [12900] = 11350,
  [12901] = 4973,
  [12902] = 8385,
  [12903] = 4984,
  [12904] = 4210,
  [12905] = 5055,
  [12906] = 5054,
  [12907] = 4275,
  [12908] = 5066,
  [12909] = 12909,
  [12910] = 11354,
  [12911] = 11362,
  [12912] = 4199,
  [12913] = 5058,
  [12914] = 8112,
  [12915] = 4360,
  [12916] = 10773,
  [12917] = 11362,
  [12918] = 11362,
  [12919] = 11354,
  [12920] = 11357,
  [12921] = 4304,
  [12922] = 4226,
  [12923] = 11775,
  [12924] = 5058,
  [12925] = 5023,
  [12926] = 4242,
  [12927] = 11350,
  [12928] = 5055,
  [12929] = 12318,
  [12930] = 5621,
  [12931] = 4258,
  [12932] = 11350,
  [12933] = 12933,
  [12934] = 4292,
  [12935] = 4251,
  [12936] = 10773,
  [12937] = 12267,
  [12938] = 4298,
  [12939] = 11208,
  [12940] = 5066,
  [12941] = 11775,
  [12942] = 11355,
  [12943] = 12741,
  [12944] = 11284,
  [12945] = 12744,
  [12946] = 4367,
  [12947] = 11284,
  [12948] = 11290,
  [12949] = 12741,
  [12950] = 12318,
  [12951] = 11288,
  [12952] = 11245,
  [12953] = 12744,
  [12954] = 11288,
  [12955] = 12318,
  [12956] = 10544,
  [12957] = 12318,
  [12958] = 11775,
  [12959] = 11290,
  [12960] = 8472,
  [12961] = 12804,
  [12962] = 12788,
  [12963] = 8469,
  [12964] = 12964,
  [12965] = 4318,
  [12966] = 4392,
  [12967] = 11208,
  [12968] = 11206,
  [12969] = 12909,
  [12970] = 10789,
  [12971] = 12741,
  [12972] = 12318,
  [12973] = 11205,
  [12974] = 11298,
  [12975] = 11284,
  [12976] = 12318,
  [12977] = 11354,
  [12978] = 11211,
  [12979] = 11350,
  [12980] = 11359,
  [12981] = 11775,
  [12982] = 11288,
  [12983] = 12741,
  [12984] = 11290,
  [12985] = 11775,
  [12986] = 12318,
  [12987] = 4179,
  [12988] = 8385,
  [12989] = 4766,
  [12990] = 11298,
  [12991] = 4304,
  [12992] = 11274,
  [12993] = 11272,
  [12994] = 12744,
  [12995] = 11290,
  [12996] = 11298,
  [12997] = 11249,
  [12998] = 11357,
  [12999] = 12999,
  [13000] = 11245,
  [13001] = 12741,
  [13002] = 13002,
  [13003] = 11242,
  [13004] = 4186,
  [13005] = 12685,
  [13006] = 10349,
  [13007] = 8469,
  [13008] = 11288,
  [13009] = 12744,
  [13010] = 12691,
  [13011] = 11233,
  [13012] = 8472,
  [13013] = 11298,
  [13014] = 11232,
  [13015] = 11228,
  [13016] = 11224,
  [13017] = 11223,
  [13018] = 10335,
  [13019] = 11775,
  [13020] = 12741,
  [13021] = 10543,
  [13022] = 11274,
  [13023] = 4303,
  [13024] = 11284,
  [13025] = 4360,
  [13026] = 11272,
  [13027] = 11775,
  [13028] = 11249,
  [13029] = 13029,
  [13030] = 11232,
  [13031] = 4242,
  [13032] = 12741,
  [13033] = 8096,
  [13034] = 12318,
  [13035] = 4360,
  [13036] = 11242,
  [13037] = 4324,
  [13038] = 12318,
  [13039] = 12747,
  [13040] = 11775,
  [13041] = 11211,
  [13042] = 5231,
  [13043] = 8112,
  [13044] = 13044,
  [13045] = 8125,
  [13046] = 4415,
  [13047] = 11362,
  [13048] = 8124,
  [13049] = 12746,
  [13050] = 8145,
  [13051] = 8150,
  [13052] = 11205,
  [13053] = 10552,
  [13054] = 5621,
  [13055] = 12318,
  [13056] = 4251,
  [13057] = 8150,
  [13058] = 11085,
  [13059] = 11085,
  [13060] = 13060,
  [13061] = 13061,
  [13062] = 8145,
  [13063] = 11775,
  [13064] = 12744,
  [13065] = 11202,
  [13066] = 11274,
  [13067] = 4214,
  [13068] = 10506,
  [13069] = 11233,
  [13070] = 13070,
  [13071] = 11272,
  [13072] = 8125,
  [13073] = 8124,
  [13074] = 8244,
  [13075] = 11085,
  [13076] = 11362,
  [13077] = 11196,
  [13078] = 11251,
  [13079] = 4360,
  [13080] = 11249,
  [13081] = 11245,
  [13082] = 11242,
  [13083] = 4214,
  [13084] = 4299,
  [13085] = 4263,
  [13086] = 11357,
  [13087] = 8096,
  [13088] = 11233,
  [13089] = 11224,
  [13090] = 12741,
  [13091] = 12744,
  [13092] = 11223,
  [13093] = 4288,
  [13094] = 8112,
  [13095] = 8385,
  [13096] = 4304,
  [13097] = 11364,
  [13098] = 11364,
  [13099] = 8096,
  [13100] = 5402,
  [13101] = 11359,
  [13102] = 5054,
  [13103] = 11361,
  [13104] = 11232,
  [13105] = 4226,
  [13106] = 4288,
  [13107] = 4414,
  [13108] = 12744,
  [13109] = 12741,
  [13110] = 4242,
  [13111] = 12744,
  [13112] = 12741,
  [13113] = 11228,
  [13114] = 12318,
  [13115] = 4322,
  [13116] = 12760,
  [13117] = 10789,
  [13118] = 12318,
  [13119] = 5088,
  [13120] = 11224,
  [13121] = 13121,
  [13122] = 11223,
  [13123] = 12318,
  [13124] = 5055,
  [13125] = 13125,
  [13126] = 5066,
  [13127] = 11775,
  [13128] = 11211,
  [13129] = 11350,
  [13130] = 4292,
  [13131] = 5882,
  [13132] = 8244,
  [13133] = 5023,
  [13134] = 11775,
  [13135] = 4299,
  [13136] = 13044,
  [13137] = 8235,
  [13138] = 10445,
  [13139] = 12318,
  [13140] = 11775,
  [13141] = 11361,
  [13142] = 4298,
  [13143] = 11206,
  [13144] = 4303,
  [13145] = 5058,
  [13146] = 11775,
  [13147] = 11362,
  [13148] = 10789,
  [13149] = 11357,
  [13150] = 5054,
  [13151] = 11355,
  [13152] = 10773,
  [13153] = 5877,
  [13154] = 11354,
  [13155] = 11350,
  [13156] = 11223,
  [13157] = 4258,
  [13158] = 12318,
  [13159] = 5055,
  [13160] = 6385,
  [13161] = 11208,
  [13162] = 11274,
  [13163] = 12869,
  [13164] = 11206,
  [13165] = 12845,
  [13166] = 4984,
  [13167] = 11228,
  [13168] = 11272,
  [13169] = 11224,
  [13170] = 4973,
  [13171] = 11775,
  [13172] = 10773,
  [13173] = 10789,
  [13174] = 11205,
  [13175] = 11228,
  [13176] = 4973,
  [13177] = 11211,
  [13178] = 11196,
  [13179] = 4984,
  [13180] = 4973,
  [13181] = 11232,
  [13182] = 5055,
  [13183] = 11085,
  [13184] = 11202,
  [13185] = 11364,
  [13186] = 12744,
  [13187] = 4984,
  [13188] = 5054,
  [13189] = 4766,
  [13190] = 12695,
  [13191] = 11233,
  [13192] = 11362,
  [13193] = 5023,
  [13194] = 4258,
  [13195] = 11361,
  [13196] = 5058,
  [13197] = 11355,
  [13198] = 4298,
  [13199] = 12744,
  [13200] = 11251,
  [13201] = 10439,
  [13202] = 8112,
  [13203] = 4226,
  [13204] = 11208,
  [13205] = 11359,
  [13206] = 11206,
  [13207] = 5058,
  [13208] = 11205,
  [13209] = 4179,
  [13210] = 11245,
  [13211] = 11355,
  [13212] = 5088,
  [13213] = 10334,
  [13214] = 11361,
  [13215] = 5883,
  [13216] = 8244,
  [13217] = 6626,
  [13218] = 8124,
  [13219] = 12735,
  [13220] = 8235,
  [13221] = 8125,
  [13222] = 11359,
  [13223] = 11354,
  [13224] = 4292,
  [13225] = 11251,
  [13226] = 11196,
  [13227] = 11242,
  [13228] = 11202,
  [13229] = 11364,
  [13230] = 11775,
  [13231] = 11249,
  [13232] = 8385,
  [13233] = 8145,
  [13234] = 12894,
  [13235] = 5088,
  [13236] = 11202,
  [13237] = 8472,
  [13238] = 12318,
  [13239] = 10773,
  [13240] = 5231,
  [13241] = 4984,
  [13242] = 8096,
  [13243] = 5023,
  [13244] = 11350,
  [13245] = 12826,
  [13246] = 8469,
  [13247] = 5066,
  [13248] = 8150,
  [13249] = 4973,
  [13250] = 5066,
  [13251] = 5088,
  [13252] = 12744,
  [13253] = 12627,
  [13254] = 12741,
  [13255] = 11357,
  [13256] = 8235,
  [13257] = 12318,
  [13258] = 5023,
  [13259] = 12741,
  [13260] = 12863,
  [13261] = 12744,
  [13262] = 11224,
  [13263] = 11357,
  [13264] = 10789,
  [13265] = 11298,
  [13266] = 12744,
  [13267] = 11288,
  [13268] = 12318,
  [13269] = 11290,
  [13270] = 11441,
  [13271] = 3888,
  [13272] = 11288,
  [13273] = 12318,
  [13274] = 11233,
  [13275] = 11284,
  [13276] = 11242,
  [13277] = 13277,
  [13278] = 12744,
  [13279] = 12741,
  [13280] = 11245,
  [13281] = 12318,
  [13282] = 13282,
  [13283] = 11228,
  [13284] = 11787,
  [13285] = 11249,
  [13286] = 11357,
  [13287] = 13061,
  [13288] = 11272,
  [13289] = 11359,
  [13290] = 11224,
  [13291] = 11361,
  [13292] = 13292,
  [13293] = 11223,
  [13294] = 13294,
  [13295] = 11274,
  [13296] = 13292,
  [13297] = 13297,
  [13298] = 11224,
  [13299] = 11249,
  [13300] = 11274,
  [13301] = 11272,
  [13302] = 10506,
  [13303] = 11245,
  [13304] = 11242,
  [13305] = 13305,
  [13306] = 11274,
  [13307] = 11223,
  [13308] = 11085,
  [13309] = 12000,
  [13310] = 11272,
  [13311] = 12741,
  [13312] = 11355,
  [13313] = 11249,
  [13314] = 11245,
  [13315] = 11251,
  [13316] = 11196,
  [13317] = 11233,
  [13318] = 12744,
  [13319] = 5015,
  [13320] = 11232,
  [13321] = 11362,
  [13322] = 11228,
  [13323] = 11224,
  [13324] = 12318,
  [13325] = 11284,
  [13326] = 11223,
  [13327] = 12744,
  [13328] = 11242,
  [13329] = 11290,
  [13330] = 13330,
  [13331] = 11211,
  [13332] = 11284,
  [13333] = 13333,
  [13334] = 11298,
  [13335] = 12744,
  [13336] = 12318,
  [13337] = 11364,
  [13338] = 11364,
  [13339] = 12318,
  [13340] = 11350,
  [13341] = 11890,
  [13342] = 11354,
  [13343] = 10439,
  [13344] = 11208,
  [13345] = 11206,
  [13346] = 11359,
  [13347] = 11205,
  [13348] = 3880,
  [13349] = 11202,
  [13350] = 11361,
  [13351] = 10445,
  [13352] = 13352,
  [13353] = 12445,
  [13354] = 11892,
  [13355] = 10773,
  [13356] = 13070,
  [13357] = 13357,
  [13358] = 11232,
  [13359] = 11441,
  [13360] = 11288,
  [13361] = 13361,
  [13362] = 10349,
  [13363] = 11788,
  [13364] = 10334,
  [13365] = 12744,
  [13366] = 12744,
  [13367] = 11233,
  [13368] = 13368,
  [13369] = 12741,
  [13370] = 11354,
  [13371] = 13125,
  [13372] = 12318,
  [13373] = 4199,
  [13374] = 4360,
  [13375] = 12744,
  [13376] = 13376,
  [13377] = 11232,
  [13378] = 11196,
  [13379] = 11251,
  [13380] = 11228,
  [13381] = 12318,
  [13382] = 12318,
  [13383] = 11223,
  [13384] = 12741,
  [13385] = 11211,
  [13386] = 10544,
  [13387] = 12103,
  [13388] = 11085,
  [13389] = 12741,
  [13390] = 12108,
  [13391] = 10552,
  [13392] = 11350,
  [13393] = 13361,
  [13394] = 11902,
  [13395] = 11298,
  [13396] = 12109,
  [13397] = 11208,
  [13398] = 11206,
  [13399] = 12741,
  [13400] = 13400,
  [13401] = 12744,
  [13402] = 11211,
  [13403] = 11205,
  [13404] = 11894,
  [13405] = 10543,
  [13406] = 11355,
  [13407] = 11202,
  [13408] = 10335,
  [13409] = 13409,
  [13410] = 11441,
  [13411] = 12741,
  [13412] = 12318,
  [13413] = 11362,
  [13414] = 13294,
  [13415] = 11362,
  [13416] = 13416,
  [13417] = 13121,
  [13418] = 12744,
  [13419] = 13419,
  [13420] = 12741,
  [13421] = 12741,
  [13422] = 11364,
  [13423] = 11361,
  [13424] = 12744,
  [13425] = 12741,
  [13426] = 12744,
  [13427] = 12741,
  [13428] = 11359,
  [13429] = 13044,
  [13430] = 12318,
  [13431] = 11290,
  [13432] = 12744,
  [13433] = 11355,
  [13434] = 4181,
  [13435] = 12741,
  [13436] = 11362,
  [13437] = 11350,
  [13438] = 11085,
  [13439] = 11359,
  [13440] = 12349,
  [13441] = 11357,
  [13442] = 11355,
  [13443] = 11361,
  [13444] = 13444,
  [13445] = 13445,
  [13446] = 13002,
  [13447] = 5015,
  [13448] = 12741,
  [13449] = 12744,
  [13450] = 12318,
  [13451] = 11357,
  [13452] = 12741,
  [13453] = 12999,
  [13454] = 11441,
  [13455] = 11350,
  [13456] = 11441,
  [13457] = 13457,
  [13458] = 11202,
  [13459] = 10773,
  [13460] = 11205,
  [13461] = 13461,
  [13462] = 11206,
  [13463] = 11208,
  [13464] = 12741,
  [13465] = 13465,
  [13466] = 4324,
  [13467] = 11202,
  [13468] = 11775,
  [13469] = 13469,
  [13470] = 12744,
  [13471] = 13471,
  [13472] = 12318,
  [13473] = 11205,
  [13474] = 12318,
  [13475] = 13368,
  [13476] = 13465,
  [13477] = 12744,
  [13478] = 13478,
  [13479] = 13479,
  [13480] = 13357,
  [13481] = 11357,
  [13482] = 11775,
  [13483] = 13376,
  [13484] = 13484,
  [13485] = 4766,
  [13486] = 11206,
  [13487] = 12741,
  [13488] = 3880,
  [13489] = 11208,
  [13490] = 3888,
  [13491] = 12744,
  [13492] = 12741,
  [13493] = 11350,
  [13494] = 12744,
  [13495] = 12318,
  [13496] = 11298,
  [13497] = 11362,
  [13498] = 12741,
  [13499] = 12257,
  [13500] = 12744,
  [13501] = 11355,
  [13502] = 12741,
  [13503] = 4360,
  [13504] = 13504,
  [13505] = 13352,
  [13506] = 4251,
  [13507] = 12744,
  [13508] = 11290,
  [13509] = 4414,
  [13510] = 10789,
  [13511] = 12741,
  [13512] = 12741,
  [13513] = 13294,
  [13514] = 13514,
  [13515] = 12744,
  [13516] = 13419,
  [13517] = 12318,
  [13518] = 13518,
  [13519] = 12741,
  [13520] = 11288,
  [13521] = 11361,
  [13522] = 12744,
  [13523] = 11359,
  [13524] = 11211,
  [13525] = 11775,
  [13526] = 11211,
  [13527] = 11284,
  [13528] = 4299,
  [13529] = 11364,
  [13530] = 12741,
  [13531] = 13531,
  [13532] = 11085,
  [13533] = 4186,
  [13534] = 4214,
  [13535] = 4322,
  [13536] = 13514,
  [13537] = 4786,
  [13538] = 12318,
  [13539] = 13419,
  [13540] = 12318,
  [13541] = 13333,
  [13542] = 11775,
  [13543] = 11354,
  [13544] = 11775,
  [13545] = 12320,
  [13546] = 13546,
  [13547] = 4288,
  [13548] = 11085,
  [13549] = 3888,
  [13550] = 12318,
  [13551] = 13551,
  [13552] = 13552,
  [13553] = 5200,
  [13554] = 11274,
  [13555] = 12320,
  [13556] = 13556,
  [13557] = 12741,
  [13558] = 13558,
  [13559] = 4392,
  [13560] = 4258,
  [13561] = 3880,
  [13562] = 11223,
  [13563] = 13294,
  [13564] = 11357,
  [13565] = 11224,
  [13566] = 11272,
  [13567] = 13567,
  [13568] = 11355,
  [13569] = 13569,
  [13570] = 11245,
  [13571] = 4226,
  [13572] = 11228,
  [13573] = 13546,
  [13574] = 13574,
  [13575] = 11232,
  [13576] = 4304,
  [13577] = 11233,
  [13578] = 12257,
  [13579] = 13579,
  [13580] = 13580,
  [13581] = 11242,
  [13582] = 4303,
  [13583] = 11242,
  [13584] = 11233,
  [13585] = 12744,
  [13586] = 5200,
  [13587] = 11364,
  [13588] = 12318,
  [13589] = 13518,
  [13590] = 4298,
  [13591] = 12744,
  [13592] = 12741,
  [13593] = 13593,
  [13594] = 4415,
  [13595] = 11245,
  [13596] = 12744,
  [13597] = 4292,
  [13598] = 11232,
  [13599] = 13599,
  [13600] = 11249,
  [13601] = 11202,
  [13602] = 11228,
  [13603] = 12741,
  [13604] = 12744,
  [13605] = 12318,
  [13606] = 12741,
  [13607] = 4367,
  [13608] = 13608,
  [13609] = 11272,
  [13610] = 11274,
  [13611] = 12744,
  [13612] = 12741,
  [13613] = 13574,
  [13614] = 13599,
  [13615] = 11350,
  [13616] = 4242,
  [13617] = 13556,
  [13618] = 11298,
  [13619] = 13569,
  [13620] = 11288,
  [13621] = 11206,
  [13622] = 13580,
  [13623] = 11290,
  [13624] = 4179,
  [13625] = 11208,
  [13626] = 11362,
  [13627] = 5200,
  [13628] = 11775,
  [13629] = 11361,
  [13630] = 13504,
  [13631] = 11284,
  [13632] = 4318,
  [13633] = 12318,
  [13634] = 11205,
  [13635] = 11249,
  [13636] = 13558,
  [13637] = 12744,
  [13638] = 11359,
  [13639] = 5877,
  [13640] = 5877,
  [13641] = 13641,
  [13642] = 13642,
  [13643] = 12744,
  [13644] = 13641,
  [13645] = 13645,
  [13646] = 13580,
  [13647] = 13647,
  [13648] = 13648,
  [13649] = 13649,
  [13650] = 13650,
  [13651] = 13641,
  [13652] = 8096,
  [13653] = 13653,
  [13654] = 12318,
  [13655] = 13641,
  [13656] = 12964,
  [13657] = 5200,
  [13658] = 13593,
  [13659] = 13479,
  [13660] = 13641,
  [13661] = 13478,
  [13662] = 12741,
  [13663] = 13641,
  [13664] = 11362,
  [13665] = 5877,
  [13666] = 12744,
  [13667] = 12909,
  [13668] = 13641,
  [13669] = 13669,
  [13670] = 13641,
  [13671] = 13469,
  [13672] = 13546,
  [13673] = 13642,
  [13674] = 13674,
  [13675] = 4984,
  [13676] = 13676,
  [13677] = 8096,
  [13678] = 5402,
  [13679] = 13060,
  [13680] = 5015,
  [13681] = 13681,
  [13682] = 12234,
  [13683] = 12741,
  [13684] = 13556,
  [13685] = 13641,
  [13686] = 4973,
  [13687] = 12321,
  [13688] = 12234,
  [13689] = 13689,
  [13690] = 13690,
  [13691] = 12691,
  [13692] = 11361,
  [13693] = 13551,
  [13694] = 13552,
  [13695] = 12321,
  [13696] = 13641,
  [13697] = 11359,
  [13698] = 12741,
  [13699] = 13641,
  [13700] = 12741,
  [13701] = 4984,
  [13702] = 12320,
  [13703] = 5882,
  [13704] = 5883,
  [13705] = 13641,
  [13706] = 5882,
  [13707] = 13707,
  [13708] = 5883,
  [13709] = 13641,
  [13710] = 13641,
  [13711] = 13711,
  [13712] = 12741,
  [13713] = 13567,
  [13714] = 4984,
  [13715] = 4973,
  [13716] = 13641,
  [13717] = 12744,
  [13718] = 13641,
  [13719] = 5621,
  [13720] = 5023,
  [13721] = 13465,
  [13722] = 5023,
  [13723] = 5066,
  [13724] = 5088,
  [13725] = 13725,
  [13726] = 13641,
  [13727] = 12741,
  [13728] = 12257,
  [13729] = 13546,
  [13730] = 13730,
  [13731] = 13731,
  [13732] = 13641,
  [13733] = 5066,
  [13734] = 12744,
  [13735] = 13641,
  [13736] = 13504,
  [13737] = 13518,
  [13738] = 13029,
  [13739] = 8096,
  [13740] = 4976,
  [13741] = 13641,
  [13742] = 13546,
  [13743] = 12909,
  [13744] = 13744,
  [13745] = 10339,
  [13746] = 12321,
  [13747] = 13608,
  [13748] = 13748,
  [13749] = 4973,
  [13750] = 13641,
  [13751] = 13751,
  [13752] = 11350,
  [13753] = 13641,
  [13754] = 13754,
  [13755] = 5088,
  [13756] = 11357,
  [13757] = 13757,
  [13758] = 13641,
  [13759] = 13759,
  [13760] = 13760,
  [13761] = 12321,
  [13762] = 5621,
  [13763] = 13763,
  [13764] = 13641,
  [13765] = 11355,
  [13766] = 13766,
  [13767] = 10370,
  [13768] = 13731,
  [13769] = 10351,
  [13770] = 12744,
  [13771] = 12691,
  [13772] = 12321,
  [13773] = 12234,
  [13774] = 5402,
  [13775] = 10541,
  [13776] = 13641,
  [13777] = 13641,
  [13778] = 5402,
  [13779] = 13641,
  [13780] = 12744,
  [13781] = 5621,
  [13782] = 5023,
  [13783] = 12741,
  [13784] = 13653,
  [13785] = 5066,
  [13786] = 5088,
  [13787] = 12318,
  [13788] = 12741,
  [13789] = 12744,
  [13790] = 13790,
  [13791] = 12744,
  [13792] = 13471,
  [13793] = 5883,
  [13794] = 5882,
  [13795] = 13795,
  [13796] = 13669,
  [13797] = 12744,
  [13798] = 13798,
  [13799] = 12744,
  [13800] = 13800,
  [13801] = 13801,
  [13802] = 13802,
  [13803] = 13803,
  [13804] = 13804,
  [13805] = 13805,
  [13806] = 12894,
  [13807] = 4360,
  [13808] = 5402,
  [13809] = 5066,
  [13810] = 13810,
  [13811] = 12691,
  [13812] = 12685,
  [13813] = 13813,
  [13814] = 13814,
  [13815] = 13798,
  [13816] = 13816,
  [13817] = 13817,
  [13818] = 5088,
  [13819] = 13802,
  [13820] = 13820,
  [13821] = 12746,
  [13822] = 13822,
  [13823] = 13802,
  [13824] = 13824,
  [13825] = 12894,
  [13826] = 13802,
  [13827] = 13827,
  [13828] = 12627,
  [13829] = 13829,
  [13830] = 13830,
  [13831] = 13831,
  [13832] = 13802,
  [13833] = 13833,
  [13834] = 13802,
  [13835] = 13835,
  [13836] = 13763,
  [13837] = 13802,
  [13838] = 12735,
  [13839] = 13839,
  [13840] = 13840,
  [13841] = 12909,
  [13842] = 13647,
  [13843] = 13802,
  [13844] = 13844,
  [13845] = 13802,
  [13846] = 13846,
  [13847] = 13645,
  [13848] = 13469,
  [13849] = 13802,
  [13850] = 13850,
  [13851] = 13851,
  [13852] = 13802,
  [13853] = 13751,
  [13854] = 13854,
  [13855] = 13855,
  [13856] = 13766,
  [13857] = 13857,
  [13858] = 13858,
  [13859] = 13802,
  [13860] = 5621,
  [13861] = 13861,
  [13862] = 12735,
  [13863] = 13802,
  [13864] = 12741,
  [13865] = 13865,
  [13866] = 4392,
  [13867] = 12685,
  [13868] = 12746,
  [13869] = 13869,
  [13870] = 12869,
  [13871] = 13871,
  [13872] = 13872,
  [13873] = 12741,
  [13874] = 13874,
  [13875] = 12627,
  [13876] = 13802,
  [13877] = 13877,
  [13878] = 13878,
  [13879] = 13822,
  [13880] = 13760,
  [13881] = 13802,
  [13882] = 13802,
  [13883] = 13883,
  [13884] = 13884,
  [13885] = 13802,
  [13886] = 13886,
  [13887] = 13802,
  [13888] = 13888,
  [13889] = 13889,
  [13890] = 13890,
  [13891] = 13802,
  [13892] = 13802,
  [13893] = 13893,
  [13894] = 13802,
  [13895] = 13895,
  [13896] = 4318,
  [13897] = 13897,
  [13898] = 12318,
  [13899] = 13800,
  [13900] = 4367,
  [13901] = 13802,
  [13902] = 4392,
  [13903] = 13903,
  [13904] = 13802,
  [13905] = 13802,
  [13906] = 13906,
  [13907] = 13802,
  [13908] = 13802,
  [13909] = 13827,
  [13910] = 13910,
  [13911] = 13802,
  [13912] = 13912,
  [13913] = 13913,
  [13914] = 12869,
  [13915] = 13915,
  [13916] = 13802,
  [13917] = 13802,
  [13918] = 13918,
  [13919] = 13802,
  [13920] = 13920,
  [13921] = 13886,
  [13922] = 13922,
  [13923] = 13802,
  [13924] = 13924,
  [13925] = 8096,
  [13926] = 13926,
  [13927] = 13846,
  [13928] = 13928,
  [13929] = 13802,
  [13930] = 13930,
  [13931] = 5877,
  [13932] = 13932,
  [13933] = 13910,
  [13934] = 13802,
  [13935] = 13935,
  [13936] = 13936,
  [13937] = 13802,
  [13938] = 13938,
  [13939] = 13939,
  [13940] = 13940,
  [13941] = 13913,
  [13942] = 13942,
  [13943] = 13305,
  [13944] = 13802,
  [13945] = 13945,
  [13946] = 13802,
  [13947] = 13947,
  [13948] = 13948,
  [13949] = 4367,
  [13950] = 13802,
  [13951] = 5882,
  [13952] = 5883,
  [13953] = 13939,
  [13954] = 13954,
  [13955] = 13802,
  [13956] = 4786,
  [13957] = 13957,
  [13958] = 13958,
  [13959] = 13874,
  [13960] = 13960,
  [13961] = 13961,
  [13962] = 13962,
  [13963] = 13802,
  [13964] = 13802,
  [13965] = 13802,
  [13966] = 13802,
  [13967] = 13967,
  [13968] = 12685,
  [13969] = 13802,
  [13970] = 13970,
  [13971] = 13790,
  [13972] = 13802,
  [13973] = 13973,
  [13974] = 13974,
  [13975] = 13975,
  [13976] = 13711,
  [13977] = 13977,
  [13978] = 13978,
  [13979] = 13851,
  [13980] = 13690,
  [13981] = 13888,
  [13982] = 13802,
  [13983] = 13983,
  [13984] = 13802,
  [13985] = 13689,
  [13986] = 13986,
  [13987] = 5023,
  [13988] = 13988,
  [13989] = 12788,
  [13990] = 12741,
  [13991] = 13991,
  [13992] = 13992,
  [13993] = 13802,
  [13994] = 13994,
  [13995] = 13802,
  [13996] = 13986,
  [13997] = 13997,
  [13998] = 4984,
  [13999] = 12318,
  [14000] = 14000,
  [14001] = 14001,
  [14002] = 4318,
  [14003] = 13707,
  [14004] = 13681,
  [14005] = 14005,
  [14006] = 14006,
  [14007] = 13802,
  [14008] = 13802,
  [14009] = 12318,
  [14010] = 12744,
  [14011] = 4766,
  [14012] = 14012,
  [14013] = 13802,
  [14014] = 14014,
  [14015] = 14015,
  [14016] = 13802,
  [14017] = 13831,
  [14018] = 14018,
  [14019] = 14019,
  [14020] = 13802,
  [14021] = 13829,
  [14022] = 13973,
  [14023] = 14023,
  [14024] = 14024,
  [14025] = 12788,
  [14026] = 13802,
  [14027] = 14027,
  [14028] = 13967,
  [14029] = 13988,
  [14030] = 14030,
  [14031] = 14031,
  [14032] = 14000,
  [14033] = 13802,
  [14034] = 13844,
  [14035] = 12741,
  [14036] = 13802,
  [14037] = 12318,
  [14038] = 14038,
  [14039] = 14039,
  [14040] = 13802,
  [14041] = 14041,
  [14042] = 14042,
  [14043] = 13802,
  [14044] = 4973,
  [14045] = 12744,
  [14046] = 14046,
  [14047] = 13802,
  [14048] = 14048,
  [14049] = 14049,
  [14050] = 14050,
  [14051] = 14051,
  [14052] = 13947,
  [14053] = 14053,
  [14054] = 14054,
  [14055] = 14055,
  [14056] = 14054,
  [14057] = 14049,
  [14058] = 13940,
  [14059] = 14000,
  [14060] = 14060,
  [14061] = 13958,
  [14062] = 14049,
  [14063] = 13932,
  [14064] = 14064,
  [14065] = 14048,
  [14066] = 13992,
  [14067] = 14067,
  [14068] = 14068,
  [14069] = 14069,
  [14070] = 14069,
  [14071] = 14064,
  [14072] = 14054,
  [14073] = 14048,
  [14074] = 13960,
  [14075] = 14075,
  [14076] = 14076,
  [14077] = 13846,
  [14078] = 14048,
  [14079] = 14079,
  [14080] = 14080,
  [14081] = 5015,
  [14082] = 14082,
  [14083] = 14053,
  [14084] = 14084,
  [14085] = 14050,
  [14086] = 13844,
  [14087] = 14050,
  [14088] = 13844,
  [14089] = 13851,
  [14090] = 14054,
  [14091] = 13121,
  [14092] = 13994,
  [14093] = 14050,
  [14094] = 13935,
  [14095] = 14042,
  [14096] = 14053,
  [14097] = 13928,
  [14098] = 14049,
  [14099] = 14099,
  [14100] = 14050,
  [14101] = 13988,
  [14102] = 14038,
  [14103] = 14048,
  [14104] = 13795,
  [14105] = 14105,
  [14106] = 12999,
  [14107] = 14055,
  [14108] = 13803,
  [14109] = 14048,
  [14110] = 14049,
  [14111] = 13805,
  [14112] = 14053,
  [14113] = 14053,
  [14114] = 14054,
  [14115] = 13938,
  [14116] = 13869,
  [14117] = 14055,
  [14118] = 14064,
  [14119] = 14031,
  [14120] = 13961,
  [14121] = 14024,
  [14122] = 14054,
  [14123] = 4976,
  [14124] = 13991,
  [14125] = 14053,
  [14126] = 13924,
  [14127] = 14127,
  [14128] = 14128,
  [14129] = 13857,
  [14130] = 13906,
  [14131] = 14131,
  [14132] = 14048,
  [14133] = 13861,
  [14134] = 14055,
  [14135] = 13801,
  [14136] = 13357,
  [14137] = 14055,
  [14138] = 13922,
  [14139] = 14048,
  [14140] = 14140,
  [14141] = 14049,
  [14142] = 13125,
  [14143] = 14055,
  [14144] = 13893,
  [14145] = 14053,
  [14146] = 14050,
  [14147] = 14050,
  [14148] = 14148,
  [14149] = 14053,
  [14150] = 14069,
  [14151] = 14151,
  [14152] = 13926,
  [14153] = 14064,
  [14154] = 14048,
  [14155] = 14050,
  [14156] = 14064,
  [14157] = 14157,
  [14158] = 14049,
  [14159] = 14053,
  [14160] = 14053,
  [14161] = 13970,
  [14162] = 14069,
  [14163] = 14163,
  [14164] = 13945,
  [14165] = 14165,
  [14166] = 14064,
  [14167] = 14049,
  [14168] = 14064,
  [14169] = 14169,
  [14170] = 14048,
  [14171] = 14069,
  [14172] = 14064,
  [14173] = 3888,
  [14174] = 14054,
  [14175] = 14053,
  [14176] = 14176,
  [14177] = 14055,
  [14178] = 14048,
  [14179] = 14049,
  [14180] = 14049,
  [14181] = 14049,
  [14182] = 14049,
  [14183] = 13903,
  [14184] = 13975,
  [14185] = 14069,
  [14186] = 14048,
  [14187] = 14069,
  [14188] = 14006,
  [14189] = 14151,
  [14190] = 14050,
  [14191] = 14049,
  [14192] = 14055,
  [14193] = 14069,
  [14194] = 13974,
  [14195] = 14064,
  [14196] = 14053,
  [14197] = 13889,
  [14198] = 14050,
  [14199] = 14069,
  [14200] = 14053,
  [14201] = 14048,
  [14202] = 14055,
  [14203] = 14203,
  [14204] = 14067,
  [14205] = 14048,
  [14206] = 14206,
  [14207] = 14054,
  [14208] = 14012,
  [14209] = 14005,
  [14210] = 14030,
  [14211] = 14211,
  [14212] = 14054,
  [14213] = 14051,
  [14214] = 14048,
  [14215] = 14053,
  [14216] = 14216,
  [14217] = 14217,
  [14218] = 14064,
  [14219] = 14054,
  [14220] = 14220,
  [14221] = 14050,
  [14222] = 14064,
  [14223] = 14223,
  [14224] = 14069,
  [14225] = 14018,
  [14226] = 13813,
  [14227] = 14227,
  [14228] = 14048,
  [14229] = 14229,
  [14230] = 3880,
  [14231] = 14211,
  [14232] = 13942,
  [14233] = 14055,
  [14234] = 14049,
  [14235] = 14049,
  [14236] = 14023,
  [14237] = 14069,
  [14238] = 13800,
  [14239] = 14239,
  [14240] = 14054,
  [14241] = 14053,
  [14242] = 13357,
  [14243] = 14053,
  [14244] = 13858,
  [14245] = 14050,
  [14246] = 14049,
  [14247] = 14053,
  [14248] = 14049,
  [14249] = 14053,
  [14250] = 14055,
  [14251] = 14048,
  [14252] = 14252,
  [14253] = 14069,
  [14254] = 14064,
  [14255] = 13973,
  [14256] = 14053,
  [14257] = 14257,
  [14258] = 14069,
  [14259] = 14064,
  [14260] = 14001,
  [14261] = 14064,
  [14262] = 14050,
  [14263] = 13886,
  [14264] = 14064,
  [14265] = 13930,
  [14266] = 14069,
  [14267] = 14049,
  [14268] = 14223,
  [14269] = 14054,
  [14270] = 14220,
  [14271] = 14055,
  [14272] = 13988,
  [14273] = 14069,
  [14274] = 14054,
  [14275] = 14053,
  [14276] = 13804,
  [14277] = 14054,
  [14278] = 13531,
  [14279] = 13814,
  [14280] = 14050,
  [14281] = 14049,
  [14282] = 14053,
  [14283] = 13871,
  [14284] = 14048,
  [14285] = 13872,
  [14286] = 14286,
  [14287] = 14049,
  [14288] = 13877,
  [14289] = 13855,
  [14290] = 13912,
  [14291] = 14049,
  [14292] = 13878,
  [14293] = 13850,
  [14294] = 14050,
  [14295] = 14257,
  [14296] = 13820,
  [14297] = 13973,
  [14298] = 14054,
  [14299] = 14299,
  [14300] = 14053,
  [14301] = 13830,
  [14302] = 14302,
  [14303] = 14050,
  [14304] = 13954,
  [14305] = 13895,
  [14306] = 14055,
  [14307] = 14053,
  [14308] = 14048,
  [14309] = 13816,
  [14310] = 13669,
  [14311] = 13817,
  [14312] = 14015,
  [14313] = 14048,
  [14314] = 14048,
  [14315] = 14055,
  [14316] = 14316,
  [14317] = 14048,
  [14318] = 14055,
  [14319] = 14049,
  [14320] = 14054,
  [14321] = 14054,
  [14322] = 14053,
  [14323] = 14064,
  [14324] = 14055,
  [14325] = 14069,
  [14326] = 14053,
  [14327] = 14064,
  [14328] = 14048,
  [14329] = 14329,
  [14330] = 14330,
  [14331] = 13002,
  [14332] = 14048,
  [14333] = 14049,
  [14334] = 14211,
  [14335] = 13962,
  [14336] = 14048,
  [14337] = 14050,
  [14338] = 14338,
  [14339] = 14069,
  [14340] = 14340,
  [14341] = 14341,
  [14342] = 14055,
  [14343] = 13840,
  [14344] = 13824,
  [14345] = 14050,
  [14346] = 14055,
  [14347] = 14064,
  [14348] = 13865,
  [14349] = 13883,
  [14350] = 14069,
  [14351] = 13884,
  [14352] = 14352,
  [14353] = 13897,
  [14354] = 13854,
  [14355] = 14054,
  [14356] = 14049,
  [14357] = 14053,
  [14358] = 14049,
  [14359] = 14359,
  [14360] = 14341,
  [14361] = 14068,
  [14362] = 14362,
  [14363] = 14363,
  [14364] = 14364,
  [14365] = 14365,
  [14366] = 14366,
  [14367] = 14367,
  [14368] = 14365,
  [14369] = 14362,
  [14370] = 14370,
  [14371] = 14365,
  [14372] = 14372,
  [14373] = 14373,
  [14374] = 14374,
  [14375] = 14374,
  [14376] = 14374,
  [14377] = 14377,
  [14378] = 14363,
  [14379] = 14379,
  [14380] = 14380,
  [14381] = 14366,
  [14382] = 14379,
  [14383] = 14383,
  [14384] = 14374,
  [14385] = 14379,
  [14386] = 14379,
  [14387] = 14366,
  [14388] = 14365,
  [14389] = 14366,
  [14390] = 14365,
  [14391] = 14365,
  [14392] = 14392,
  [14393] = 14374,
  [14394] = 14366,
  [14395] = 14395,
  [14396] = 14370,
  [14397] = 14379,
  [14398] = 14379,
  [14399] = 14366,
  [14400] = 14363,
  [14401] = 14377,
  [14402] = 14366,
  [14403] = 14379,
  [14404] = 14404,
  [14405] = 14405,
  [14406] = 14374,
  [14407] = 14380,
  [14408] = 14365,
  [14409] = 14365,
  [14410] = 14364,
  [14411] = 14374,
  [14412] = 14412,
  [14413] = 14413,
  [14414] = 14414,
  [14415] = 14379,
  [14416] = 14416,
  [14417] = 14366,
  [14418] = 14365,
  [14419] = 14362,
  [14420] = 14366,
  [14421] = 14379,
  [14422] = 14395,
  [14423] = 14423,
  [14424] = 14374,
  [14425] = 14425,
  [14426] = 14365,
  [14427] = 14365,
  [14428] = 14428,
  [14429] = 14374,
  [14430] = 14380,
  [14431] = 14425,
  [14432] = 14428,
  [14433] = 14379,
  [14434] = 14434,
  [14435] = 14366,
  [14436] = 14425,
  [14437] = 14437,
  [14438] = 14366,
  [14439] = 14379,
  [14440] = 14428,
  [14441] = 14441,
  [14442] = 14374,
  [14443] = 14425,
  [14444] = 14365,
  [14445] = 14366,
  [14446] = 14374,
  [14447] = 14374,
  [14448] = 14428,
  [14449] = 14449,
  [14450] = 14425,
  [14451] = 14379,
  [14452] = 14452,
  [14453] = 14366,
  [14454] = 14428,
  [14455] = 14377,
  [14456] = 14366,
  [14457] = 14379,
  [14458] = 14425,
  [14459] = 14363,
  [14460] = 14374,
  [14461] = 14428,
  [14462] = 14365,
  [14463] = 14365,
  [14464] = 14364,
  [14465] = 14374,
  [14466] = 14425,
  [14467] = 14428,
  [14468] = 14468,
  [14469] = 14379,
  [14470] = 14425,
  [14471] = 14366,
  [14472] = 14428,
  [14473] = 14473,
  [14474] = 14366,
  [14475] = 14379,
  [14476] = 14425,
  [14477] = 14428,
  [14478] = 14374,
  [14479] = 14425,
  [14480] = 14365,
  [14481] = 14365,
  [14482] = 14428,
  [14483] = 14374,
  [14484] = 14484,
  [14485] = 14425,
  [14486] = 14486,
  [14487] = 14379,
  [14488] = 14428,
  [14489] = 14366,
  [14490] = 14490,
  [14491] = 14425,
  [14492] = 14366,
  [14493] = 14379,
  [14494] = 14494,
  [14495] = 14428,
  [14496] = 14374,
  [14497] = 14497,
  [14498] = 14365,
  [14499] = 14365,
  [14500] = 14500,
  [14501] = 14374,
  [14502] = 14425,
  [14503] = 14379,
  [14504] = 14428,
  [14505] = 14379,
  [14506] = 14374,
  [14507] = 14366,
  [14508] = 14508,
  [14509] = 14425,
  [14510] = 14428,
  [14511] = 14379,
  [14512] = 14512,
  [14513] = 14425,
  [14514] = 14374,
  [14515] = 14428,
  [14516] = 14365,
  [14517] = 14365,
  [14518] = 14365,
  [14519] = 14374,
  [14520] = 14362,
  [14521] = 14425,
  [14522] = 14366,
  [14523] = 14379,
  [14524] = 14428,
  [14525] = 14366,
  [14526] = 14392,
  [14527] = 14425,
  [14528] = 14366,
  [14529] = 14379,
  [14530] = 14530,
  [14531] = 14428,
  [14532] = 14374,
  [14533] = 14533,
  [14534] = 14365,
  [14535] = 14365,
  [14536] = 14536,
  [14537] = 14374,
  [14538] = 14425,
  [14539] = 14539,
  [14540] = 14428,
  [14541] = 14379,
  [14542] = 14542,
  [14543] = 14366,
  [14544] = 14425,
  [14545] = 14428,
  [14546] = 14366,
  [14547] = 14379,
  [14548] = 14548,
  [14549] = 14425,
  [14550] = 14374,
  [14551] = 14551,
  [14552] = 14365,
  [14553] = 14365,
  [14554] = 14428,
  [14555] = 14374,
  [14556] = 14556,
  [14557] = 14425,
  [14558] = 14558,
  [14559] = 14379,
  [14560] = 14428,
  [14561] = 14366,
  [14562] = 14562,
  [14563] = 14425,
  [14564] = 14366,
  [14565] = 14379,
  [14566] = 14566,
  [14567] = 14428,
  [14568] = 14374,
  [14569] = 14569,
  [14570] = 14365,
  [14571] = 14365,
  [14572] = 14572,
  [14573] = 14374,
  [14574] = 14425,
  [14575] = 14575,
  [14576] = 14428,
  [14577] = 14379,
  [14578] = 14425,
  [14579] = 14366,
  [14580] = 14428,
  [14581] = 14581,
  [14582] = 14366,
  [14583] = 14379,
  [14584] = 14584,
  [14585] = 14425,
  [14586] = 14374,
  [14587] = 14428,
  [14588] = 14365,
  [14589] = 14365,
  [14590] = 14367,
  [14591] = 14374,
  [14592] = 14425,
  [14593] = 14428,
  [14594] = 14370,
  [14595] = 14379,
  [14596] = 14425,
  [14597] = 14366,
  [14598] = 14423,
  [14599] = 14428,
  [14600] = 14366,
  [14601] = 14379,
  [14602] = 14362,
  [14603] = 14365,
  [14604] = 14374,
  [14605] = 14425,
  [14606] = 14365,
  [14607] = 14365,
  [14608] = 14608,
  [14609] = 14374,
  [14610] = 14428,
  [14611] = 14380,
  [14612] = 14364,
  [14613] = 14379,
  [14614] = 14425,
  [14615] = 14366,
  [14616] = 14428,
  [14617] = 14414,
  [14618] = 14366,
  [14619] = 14379,
  [14620] = 14416,
  [14621] = 14425,
  [14622] = 14374,
  [14623] = 14365,
  [14624] = 14365,
  [14625] = 14365,
  [14626] = 14365,
  [14627] = 14374,
  [14628] = 14428,
  [14629] = 14362,
  [14630] = 14425,
  [14631] = 14379,
  [14632] = 14364,
  [14633] = 14366,
  [14634] = 14428,
  [14635] = 14425,
  [14636] = 14366,
  [14637] = 14379,
  [14638] = 14423,
  [14639] = 14428,
  [14640] = 14374,
  [14641] = 14425,
  [14642] = 14365,
  [14643] = 14365,
  [14644] = 14428,
  [14645] = 14374,
  [14646] = 14646,
  [14647] = 14425,
  [14648] = 14374,
  [14649] = 14379,
  [14650] = 14428,
  [14651] = 14366,
  [14652] = 14374,
  [14653] = 14425,
  [14654] = 14366,
  [14655] = 14379,
  [14656] = 14377,
  [14657] = 14428,
  [14658] = 14374,
  [14659] = 14363,
  [14660] = 14365,
  [14661] = 14365,
  [14662] = 14468,
  [14663] = 14374,
  [14664] = 14425,
  [14665] = 14428,
  [14666] = 14425,
  [14667] = 14379,
  [14668] = 14484,
  [14669] = 14366,
  [14670] = 14428,
  [14671] = 14486,
  [14672] = 14366,
  [14673] = 14379,
  [14674] = 14380,
  [14675] = 14490,
  [14676] = 14425,
  [14677] = 14494,
  [14678] = 14365,
  [14679] = 14374,
  [14680] = 14365,
  [14681] = 14374,
  [14682] = 14428,
  [14683] = 14683,
  [14684] = 14500,
  [14685] = 14379,
  [14686] = 14377,
  [14687] = 14366,
  [14688] = 14425,
  [14689] = 14379,
  [14690] = 14428,
  [14691] = 14691,
  [14692] = 14366,
  [14693] = 14379,
  [14694] = 14425,
  [14695] = 14512,
  [14696] = 14365,
  [14697] = 14428,
  [14698] = 14374,
  [14699] = 14374,
  [14700] = 14425,
  [14701] = 14366,
  [14702] = 14428,
  [14703] = 14379,
  [14704] = 14425,
  [14705] = 14366,
  [14706] = 14392,
  [14707] = 14428,
  [14708] = 14536,
  [14709] = 14395,
  [14710] = 14539,
  [14711] = 14366,
  [14712] = 14379,
  [14713] = 14425,
  [14714] = 14365,
  [14715] = 14428,
  [14716] = 14548,
  [14717] = 14374,
  [14718] = 14425,
  [14719] = 14551,
  [14720] = 14374,
  [14721] = 14379,
  [14722] = 14365,
  [14723] = 14366,
  [14724] = 14428,
  [14725] = 14556,
  [14726] = 14558,
  [14727] = 14425,
  [14728] = 14428,
  [14729] = 14366,
  [14730] = 14379,
  [14731] = 14572,
  [14732] = 14365,
  [14733] = 14425,
  [14734] = 14428,
  [14735] = 14374,
  [14736] = 14584,
  [14737] = 14581,
  [14738] = 14374,
  [14739] = 14379,
  [14740] = 14365,
  [14741] = 14366,
  [14742] = 14425,
  [14743] = 14428,
  [14744] = 14367,
  [14745] = 14425,
  [14746] = 14428,
  [14747] = 14366,
  [14748] = 14379,
  [14749] = 14370,
  [14750] = 14365,
  [14751] = 14425,
  [14752] = 14363,
  [14753] = 14374,
  [14754] = 14428,
  [14755] = 14395,
  [14756] = 14374,
  [14757] = 14379,
  [14758] = 14365,
  [14759] = 14366,
  [14760] = 14425,
  [14761] = 14423,
  [14762] = 14428,
  [14763] = 14379,
  [14764] = 14380,
  [14765] = 14366,
  [14766] = 14379,
  [14767] = 14364,
  [14768] = 14365,
  [14769] = 14425,
  [14770] = 14374,
  [14771] = 14428,
  [14772] = 14366,
  [14773] = 14425,
  [14774] = 14379,
  [14775] = 14374,
  [14776] = 14366,
  [14777] = 14365,
  [14778] = 14428,
  [14779] = 14365,
  [14780] = 14581,
  [14781] = 14362,
  [14782] = 14425,
  [14783] = 14366,
  [14784] = 14428,
  [14785] = 14365,
  [14786] = 14374,
  [14787] = 14787,
  [14788] = 14425,
  [14789] = 14379,
  [14790] = 14379,
  [14791] = 14423,
  [14792] = 14366,
  [14793] = 14428,
  [14794] = 14425,
  [14795] = 14428,
  [14796] = 14374,
  [14797] = 14365,
  [14798] = 14392,
  [14799] = 14374,
  [14800] = 14374,
  [14801] = 14425,
  [14802] = 14377,
  [14803] = 14428,
  [14804] = 14366,
  [14805] = 14363,
  [14806] = 14468,
  [14807] = 14425,
  [14808] = 14366,
  [14809] = 14379,
  [14810] = 14428,
  [14811] = 14374,
  [14812] = 14366,
  [14813] = 14484,
  [14814] = 14379,
  [14815] = 14366,
  [14816] = 14425,
  [14817] = 14380,
  [14818] = 14428,
  [14819] = 14374,
  [14820] = 14365,
  [14821] = 14425,
  [14822] = 14374,
  [14823] = 14366,
  [14824] = 14428,
  [14825] = 14392,
  [14826] = 14366,
  [14827] = 14536,
  [14828] = 14425,
  [14829] = 14539,
  [14830] = 14428,
  [14831] = 14366,
  [14832] = 14572,
  [14833] = 14374,
  [14834] = 14425,
  [14835] = 14581,
  [14836] = 14379,
  [14837] = 14366,
  [14838] = 14428,
  [14839] = 14367,
  [14840] = 14364,
  [14841] = 14425,
  [14842] = 14374,
  [14843] = 14370,
  [14844] = 14374,
  [14845] = 14428,
  [14846] = 14379,
  [14847] = 14365,
  [14848] = 14366,
  [14849] = 14365,
  [14850] = 14425,
  [14851] = 14414,
  [14852] = 14428,
  [14853] = 14362,
  [14854] = 14380,
  [14855] = 14374,
  [14856] = 14364,
  [14857] = 14425,
  [14858] = 14366,
  [14859] = 14366,
  [14860] = 14414,
  [14861] = 14428,
  [14862] = 14379,
  [14863] = 14365,
  [14864] = 14374,
  [14865] = 14362,
  [14866] = 14866,
  [14867] = 14366,
  [14868] = 14425,
  [14869] = 14374,
  [14870] = 14365,
  [14871] = 14374,
  [14872] = 14428,
  [14873] = 14423,
  [14874] = 14366,
  [14875] = 14363,
  [14876] = 14377,
  [14877] = 14374,
  [14878] = 14374,
  [14879] = 14377,
  [14880] = 14366,
  [14881] = 14366,
  [14882] = 14363,
  [14883] = 14379,
  [14884] = 14425,
  [14885] = 14374,
  [14886] = 14484,
  [14887] = 14428,
  [14888] = 14366,
  [14889] = 14379,
  [14890] = 14374,
  [14891] = 14374,
  [14892] = 14365,
  [14893] = 14366,
  [14894] = 14374,
  [14895] = 14374,
  [14896] = 5200,
  [14897] = 14366,
  [14898] = 14366,
  [14899] = 14374,
  [14900] = 14366,
  [14901] = 14366,
  [14902] = 14379,
  [14903] = 14374,
  [14904] = 14392,
  [14905] = 14366,
  [14906] = 14906,
  [14907] = 14374,
  [14908] = 14373,
  [14909] = 14366,
  [14910] = 14395,
  [14911] = 14374,
  [14912] = 14374,
  [14913] = 14366,
  [14914] = 14365,
  [14915] = 14374,
  [14916] = 14370,
  [14917] = 14366,
  [14918] = 14362,
  [14919] = 14374,
  [14920] = 14370,
  [14921] = 14366,
  [14922] = 14366,
  [14923] = 14374,
  [14924] = 14379,
  [14925] = 14366,
  [14926] = 14365,
  [14927] = 14374,
  [14928] = 14380,
  [14929] = 14366,
  [14930] = 14374,
  [14931] = 14374,
  [14932] = 14365,
  [14933] = 14366,
  [14934] = 14364,
  [14935] = 14374,
  [14936] = 14414,
  [14937] = 14366,
  [14938] = 14365,
  [14939] = 14374,
  [14940] = 14366,
  [14941] = 14366,
  [14942] = 14379,
  [14943] = 14374,
  [14944] = 14608,
  [14945] = 14366,
  [14946] = 14362,
  [14947] = 14374,
  [14948] = 14948,
  [14949] = 14366,
  [14950] = 14374,
  [14951] = 14365,
  [14952] = 14395,
  [14953] = 14374,
  [14954] = 14377,
  [14955] = 14366,
  [14956] = 14379,
  [14957] = 14374,
  [14958] = 14363,
  [14959] = 14484,
  [14960] = 14379,
  [14961] = 14365,
  [14962] = 14364,
  [14963] = 14366,
  [14964] = 14392,
  [14965] = 14380,
  [14966] = 14374,
  [14967] = 14370,
  [14968] = 13725,
  [14969] = 14366,
  [14970] = 14970,
  [14971] = 14379,
  [14972] = 14377,
  [14973] = 14973,
  [14974] = 14380,
  [14975] = 14374,
  [14976] = 14364,
  [14977] = 14365,
  [14978] = 14365,
  [14979] = 14362,
  [14980] = 14363,
  [14981] = 14379,
  [14982] = 14423,
  [14983] = 14983,
  [14984] = 14984,
  [14985] = 14374,
  [14986] = 14366,
  [14987] = 14366,
  [14988] = 14377,
  [14989] = 14379,
  [14990] = 14363,
  [14991] = 14395,
  [14992] = 14984,
  [14993] = 14379,
  [14994] = 14374,
  [14995] = 14995,
  [14996] = 14370,
  [14997] = 14365,
  [14998] = 14366,
  [14999] = 14362,
  [15000] = 14365,
  [15001] = 14392,
  [15002] = 14366,
  [15003] = 15003,
  [15004] = 14392,
  [15005] = 14984,
  [15006] = 14423,
  [15007] = 14366,
  [15008] = 14370,
  [15009] = 14452,
  [15010] = 14379,
  [15011] = 14434,
  [15012] = 15012,
  [15013] = 14437,
  [15014] = 14374,
  [15015] = 14441,
  [15016] = 14380,
  [15017] = 14374,
  [15018] = 14364,
  [15019] = 14379,
  [15020] = 14365,
  [15021] = 14449,
  [15022] = 15022,
  [15023] = 14395,
  [15024] = 14380,
  [15025] = 14363,
  [15026] = 14364,
  [15027] = 14395,
  [15028] = 15028,
  [15029] = 14412,
  [15030] = 14377,
  [15031] = 14365,
  [15032] = 14428,
  [15033] = 14362,
  [15034] = 14423,
  [15035] = 14366,
  [15036] = 14413,
  [15037] = 14379,
  [15038] = 14379,
  [15039] = 14374,
  [15040] = 14374,
  [15041] = 14377,
  [15042] = 14363,
  [15043] = 14379,
  [15044] = 14425,
  [15045] = 14395,
  [15046] = 14365,
  [15047] = 14575,
  [15048] = 15048,
  [15049] = 14374,
  [15050] = 14366,
  [15051] = 15051,
  [15052] = 14366,
  [15053] = 14392,
  [15054] = 14449,
  [15055] = 13368,
  [15056] = 14370,
  [15057] = 14423,
  [15058] = 14366,
  [15059] = 14984,
  [15060] = 14379,
  [15061] = 14380,
  [15062] = 14364,
  [15063] = 14374,
  [15064] = 15012,
  [15065] = 14365,
  [15066] = 14365,
  [15067] = 14362,
  [15068] = 14362,
  [15069] = 14365,
  [15070] = 14365,
  [15071] = 14364,
  [15072] = 15022,
  [15073] = 14414,
  [15074] = 14374,
  [15075] = 14380,
  [15076] = 14370,
  [15077] = 14379,
  [15078] = 14362,
  [15079] = 14366,
  [15080] = 14906,
  [15081] = 14379,
  [15082] = 14362,
  [15083] = 14362,
  [15084] = 14362,
  [15085] = 14362,
  [15086] = 14362,
  [15087] = 14362,
  [15088] = 14362,
  [15089] = 14362,
  [15090] = 14362,
  [15091] = 14362,
  [15092] = 14362,
  [15093] = 14362,
  [15094] = 14362,
  [15095] = 14362,
  [15096] = 14362,
  [15097] = 14362,
  [15098] = 14362,
  [15099] = 14416,
  [15100] = 14365,
  [15101] = 14374,
  [15102] = 14374,
  [15103] = 14377,
  [15104] = 14365,
  [15105] = 14362,
  [15106] = 14366,
  [15107] = 14363,
  [15108] = 14392,
  [15109] = 14379,
  [15110] = 15110,
  [15111] = 14395,
  [15112] = 14366,
  [15113] = 14392,
  [15114] = 13759,
  [15115] = 14366,
  [15116] = 14366,
  [15117] = 15117,
  [15118] = 14370,
  [15119] = 14379,
  [15120] = 14572,
  [15121] = 14449,
  [15122] = 14374,
  [15123] = 14379,
  [15124] = 14365,
  [15125] = 14365,
  [15126] = 14984,
  [15127] = 14569,
  [15128] = 14566,
  [15129] = 14380,
  [15130] = 14363,
  [15131] = 14984,
  [15132] = 14364,
  [15133] = 14365,
  [15134] = 14362,
  [15135] = 14366,
  [15136] = 14423,
  [15137] = 14379,
  [15138] = 14423,
  [15139] = 14374,
  [15140] = 14374,
  [15141] = 14374,
  [15142] = 14377,
  [15143] = 14365,
  [15144] = 14363,
  [15145] = 14377,
  [15146] = 14374,
  [15147] = 14449,
  [15148] = 14379,
  [15149] = 14379,
  [15150] = 14562,
  [15151] = 14366,
  [15152] = 14392,
  [15153] = 14370,
  [15154] = 14366,
  [15155] = 14428,
  [15156] = 14423,
  [15157] = 14366,
  [15158] = 14380,
  [15159] = 14364,
  [15160] = 14425,
  [15161] = 14395,
  [15162] = 14365,
  [15163] = 14379,
  [15164] = 14362,
  [15165] = 14423,
  [15166] = 14423,
  [15167] = 14362,
  [15168] = 14374,
  [15169] = 15169,
  [15170] = 14362,
  [15171] = 14362,
  [15172] = 14362,
  [15173] = 14362,
  [15174] = 14362,
  [15175] = 14362,
  [15176] = 14362,
  [15177] = 14362,
  [15178] = 14365,
  [15179] = 14365,
  [15180] = 15180,
  [15181] = 14364,
  [15182] = 14380,
  [15183] = 14395,
  [15184] = 14374,
  [15185] = 14377,
  [15186] = 14370,
  [15187] = 14363,
  [15188] = 14452,
  [15189] = 15189,
  [15190] = 14379,
  [15191] = 14366,
  [15192] = 14434,
  [15193] = 14379,
  [15194] = 14437,
  [15195] = 14441,
  [15196] = 14374,
  [15197] = 14984,
  [15198] = 14365,
  [15199] = 14366,
  [15200] = 14365,
  [15201] = 14392,
  [15202] = 14392,
  [15203] = 14449,
  [15204] = 14370,
  [15205] = 14366,
  [15206] = 14449,
  [15207] = 14374,
  [15208] = 14449,
  [15209] = 14374,
  [15210] = 14984,
  [15211] = 14380,
  [15212] = 14366,
  [15213] = 14364,
  [15214] = 14395,
  [15215] = 14365,
  [15216] = 14362,
  [15217] = 14423,
  [15218] = 14558,
  [15219] = 14379,
  [15220] = 14379,
  [15221] = 14362,
  [15222] = 14362,
  [15223] = 14362,
  [15224] = 14362,
  [15225] = 14362,
  [15226] = 14362,
  [15227] = 14362,
  [15228] = 14362,
  [15229] = 15229,
  [15230] = 14374,
  [15231] = 14374,
  [15232] = 14377,
  [15233] = 14365,
  [15234] = 14379,
  [15235] = 15235,
  [15236] = 14363,
  [15237] = 14366,
  [15238] = 15238,
  [15239] = 14363,
  [15240] = 14363,
  [15241] = 14377,
  [15242] = 14379,
  [15243] = 14374,
  [15244] = 14366,
  [15245] = 14366,
  [15246] = 14379,
  [15247] = 14392,
  [15248] = 14984,
  [15249] = 14423,
  [15250] = 14374,
  [15251] = 14370,
  [15252] = 14468,
  [15253] = 14365,
  [15254] = 14362,
  [15255] = 14365,
  [15256] = 14365,
  [15257] = 14449,
  [15258] = 14364,
  [15259] = 14380,
  [15260] = 14380,
  [15261] = 14364,
  [15262] = 14365,
  [15263] = 14423,
  [15264] = 14395,
  [15265] = 14370,
  [15266] = 14374,
  [15267] = 14473,
  [15268] = 14377,
  [15269] = 14366,
  [15270] = 14362,
  [15271] = 14362,
  [15272] = 14362,
  [15273] = 14395,
  [15274] = 14379,
  [15275] = 14363,
  [15276] = 14379,
  [15277] = 14392,
  [15278] = 14366,
  [15279] = 14374,
  [15280] = 14392,
  [15281] = 14395,
  [15282] = 14365,
  [15283] = 14370,
  [15284] = 14374,
  [15285] = 14366,
  [15286] = 15286,
  [15287] = 14449,
  [15288] = 14377,
  [15289] = 14984,
  [15290] = 14380,
  [15291] = 14364,
  [15292] = 14366,
  [15293] = 14365,
  [15294] = 14449,
  [15295] = 14379,
  [15296] = 13674,
  [15297] = 14379,
  [15298] = 14428,
  [15299] = 15299,
  [15300] = 14366,
  [15301] = 14395,
  [15302] = 14362,
  [15303] = 14984,
  [15304] = 14423,
  [15305] = 14374,
  [15306] = 15306,
  [15307] = 14362,
  [15308] = 15308,
  [15309] = 14484,
  [15310] = 14379,
  [15311] = 14556,
  [15312] = 14365,
  [15313] = 14374,
  [15314] = 14365,
  [15315] = 14551,
  [15316] = 14486,
  [15317] = 14363,
  [15318] = 14377,
  [15319] = 14377,
  [15320] = 15320,
  [15321] = 14366,
  [15322] = 14363,
  [15323] = 14984,
  [15324] = 14379,
  [15325] = 14490,
  [15326] = 14494,
  [15327] = 14374,
  [15328] = 14449,
  [15329] = 14379,
  [15330] = 14500,
  [15331] = 15331,
  [15332] = 14379,
  [15333] = 14365,
  [15334] = 14374,
  [15335] = 14395,
  [15336] = 14366,
  [15337] = 14392,
  [15338] = 14548,
  [15339] = 14370,
  [15340] = 14374,
  [15341] = 14362,
  [15342] = 14379,
  [15343] = 15343,
  [15344] = 14380,
  [15345] = 14364,
  [15346] = 14423,
  [15347] = 14365,
  [15348] = 14362,
  [15349] = 14423,
  [15350] = 14366,
  [15351] = 14395,
  [15352] = 14379,
  [15353] = 14362,
  [15354] = 14508,
  [15355] = 14374,
  [15356] = 14374,
  [15357] = 14984,
  [15358] = 14377,
  [15359] = 14363,
  [15360] = 14365,
  [15361] = 14379,
  [15362] = 14449,
  [15363] = 14365,
  [15364] = 14366,
  [15365] = 14364,
  [15366] = 14366,
  [15367] = 14380,
  [15368] = 14392,
  [15369] = 14395,
  [15370] = 14512,
  [15371] = 14449,
  [15372] = 14370,
  [15373] = 14366,
  [15374] = 14370,
  [15375] = 14362,
  [15376] = 14984,
  [15377] = 14366,
  [15378] = 14380,
  [15379] = 14364,
  [15380] = 14365,
  [15381] = 14379,
  [15382] = 14362,
  [15383] = 14423,
  [15384] = 14374,
  [15385] = 15385,
  [15386] = 14365,
  [15387] = 14374,
  [15388] = 14377,
  [15389] = 14365,
  [15390] = 14363,
  [15391] = 14984,
  [15392] = 14425,
  [15393] = 14374,
  [15394] = 14379,
  [15395] = 14392,
  [15396] = 14449,
  [15397] = 14542,
  [15398] = 14366,
  [15399] = 14392,
  [15400] = 14379,
  [15401] = 14366,
  [15402] = 14370,
  [15403] = 14395,
  [15404] = 14379,
  [15405] = 14366,
  [15406] = 14380,
  [15407] = 14366,
  [15408] = 14364,
  [15409] = 14379,
  [15410] = 14365,
  [15411] = 14362,
  [15412] = 14423,
  [15413] = 13357,
  [15414] = 14374,
  [15415] = 15415,
  [15416] = 14363,
  [15417] = 14374,
  [15418] = 14365,
  [15419] = 14377,
  [15420] = 14377,
  [15421] = 14374,
  [15422] = 15189,
  [15423] = 14423,
  [15424] = 14984,
  [15425] = 14395,
  [15426] = 15426,
  [15427] = 14395,
  [15428] = 14366,
  [15429] = 14449,
  [15430] = 15430,
  [15431] = 14379,
  [15432] = 14379,
  [15433] = 15433,
  [15434] = 15434,
  [15435] = 14362,
  [15436] = 14395,
  [15437] = 14539,
  [15438] = 14366,
  [15439] = 14392,
  [15440] = 14374,
  [15441] = 14365,
  [15442] = 15442,
  [15443] = 14449,
  [15444] = 14370,
  [15445] = 14536,
  [15446] = 14365,
  [15447] = 14365,
  [15448] = 15448,
  [15449] = 14364,
  [15450] = 14380,
  [15451] = 14984,
  [15452] = 14364,
  [15453] = 14365,
  [15454] = 14362,
  [15455] = 14423,
  [15456] = 14366,
  [15457] = 14984,
  [15458] = 14379,
  [15459] = 15459,
  [15460] = 14533,
  [15461] = 14374,
  [15462] = 14449,
  [15463] = 14374,
  [15464] = 14374,
  [15465] = 14377,
  [15466] = 14363,
  [15467] = 14365,
  [15468] = 14392,
  [15469] = 14395,
  [15470] = 14380,
  [15471] = 14379,
  [15472] = 15472,
  [15473] = 14366,
  [15474] = 14370,
  [15475] = 14379,
  [15476] = 15476,
  [15477] = 14366,
  [15478] = 14530,
  [15479] = 14392,
  [15480] = 15480,
  [15481] = 15481,
  [15482] = 15482,
  [15483] = 15483,
  [15484] = 15481,
  [15485] = 15485,
  [15486] = 15482,
  [15487] = 15487,
  [15488] = 15488,
  [15489] = 15489,
  [15490] = 15480,
  [15491] = 15481,
  [15492] = 15482,
  [15493] = 15482,
  [15494] = 15481,
  [15495] = 15480,
  [15496] = 15482,
  [15497] = 15481,
  [15498] = 15498,
  [15499] = 15485,
  [15500] = 15480,
  [15501] = 15501,
  [15502] = 15502,
  [15503] = 15480,
  [15504] = 15504,
  [15505] = 15481,
  [15506] = 15482,
  [15507] = 15507,
  [15508] = 15489,
  [15509] = 15482,
  [15510] = 15481,
  [15511] = 15485,
  [15512] = 15480,
  [15513] = 15513,
  [15514] = 15485,
  [15515] = 15480,
  [15516] = 15481,
  [15517] = 4973,
  [15518] = 15480,
  [15519] = 15482,
  [15520] = 15489,
  [15521] = 13681,
  [15522] = 15482,
  [15523] = 15482,
  [15524] = 15481,
  [15525] = 15481,
  [15526] = 15480,
  [15527] = 15481,
  [15528] = 15480,
  [15529] = 15482,
  [15530] = 15480,
  [15531] = 15485,
  [15532] = 15481,
  [15533] = 15482,
  [15534] = 15489,
  [15535] = 5877,
  [15536] = 15480,
  [15537] = 15537,
  [15538] = 15482,
  [15539] = 15481,
  [15540] = 15482,
  [15541] = 15480,
  [15542] = 15485,
  [15543] = 15485,
  [15544] = 15544,
  [15545] = 15545,
  [15546] = 15480,
  [15547] = 15481,
  [15548] = 15482,
  [15549] = 15480,
  [15550] = 15482,
  [15551] = 15481,
  [15552] = 15552,
  [15553] = 15480,
  [15554] = 15554,
  [15555] = 15489,
  [15556] = 15482,
  [15557] = 15557,
  [15558] = 15558,
  [15559] = 15559,
  [15560] = 5023,
  [15561] = 15481,
  [15562] = 15485,
  [15563] = 15481,
  [15564] = 15481,
  [15565] = 15482,
  [15566] = 15480,
  [15567] = 15485,
  [15568] = 15513,
  [15569] = 15489,
  [15570] = 15481,
  [15571] = 15482,
  [15572] = 15480,
  [15573] = 15482,
  [15574] = 15481,
  [15575] = 15482,
  [15576] = 15481,
  [15577] = 15480,
  [15578] = 15482,
  [15579] = 15481,
  [15580] = 15485,
  [15581] = 15480,
  [15582] = 15582,
  [15583] = 15480,
  [15584] = 15481,
  [15585] = 15482,
  [15586] = 15480,
  [15587] = 15489,
  [15588] = 15480,
  [15589] = 15482,
  [15590] = 15485,
  [15591] = 15481,
  [15592] = 15480,
  [15593] = 15593,
  [15594] = 15480,
  [15595] = 15482,
  [15596] = 15485,
  [15597] = 15480,
  [15598] = 15480,
  [15599] = 15482,
  [15600] = 15481,
  [15601] = 15489,
  [15602] = 15482,
  [15603] = 15481,
  [15604] = 15482,
  [15605] = 15481,
  [15606] = 15489,
  [15607] = 15480,
  [15608] = 15608,
  [15609] = 15609,
  [15610] = 15610,
  [15611] = 15611,
  [15612] = 15482,
  [15613] = 15481,
  [15614] = 15485,
  [15615] = 15480,
  [15616] = 15481,
  [15617] = 15482,
  [15618] = 15489,
  [15619] = 15480,
  [15620] = 15481,
  [15621] = 15482,
  [15622] = 15482,
  [15623] = 15481,
  [15624] = 15481,
  [15625] = 15482,
  [15626] = 15481,
  [15627] = 5882,
  [15628] = 5883,
  [15629] = 15480,
  [15630] = 15480,
  [15631] = 15631,
  [15632] = 15480,
  [15633] = 15485,
  [15634] = 15480,
  [15635] = 15635,
  [15636] = 15485,
  [15637] = 15481,
  [15638] = 15480,
  [15639] = 15482,
  [15640] = 15489,
  [15641] = 15641,
  [15642] = 15609,
  [15643] = 15481,
  [15644] = 15482,
  [15645] = 15610,
  [15646] = 15646,
  [15647] = 15611,
  [15648] = 15480,
  [15649] = 15480,
  [15650] = 15481,
  [15651] = 15482,
  [15652] = 15482,
  [15653] = 15481,
  [15654] = 5066,
  [15655] = 15482,
  [15656] = 15480,
  [15657] = 15481,
  [15658] = 15480,
  [15659] = 15659,
  [15660] = 15480,
  [15661] = 15481,
  [15662] = 15482,
  [15663] = 15485,
  [15664] = 15489,
  [15665] = 4984,
  [15666] = 15480,
  [15667] = 15481,
  [15668] = 15482,
  [15669] = 15482,
  [15670] = 15670,
  [15671] = 15481,
  [15672] = 15672,
  [15673] = 15480,
  [15674] = 15485,
  [15675] = 15675,
  [15676] = 15481,
  [15677] = 15480,
  [15678] = 15482,
  [15679] = 15485,
  [15680] = 15482,
  [15681] = 15481,
  [15682] = 15682,
  [15683] = 15480,
  [15684] = 13763,
  [15685] = 15685,
  [15686] = 15686,
  [15687] = 15687,
  [15688] = 15489,
  [15689] = 15480,
  [15690] = 15481,
  [15691] = 15481,
  [15692] = 15482,
  [15693] = 15482,
  [15694] = 15481,
  [15695] = 15482,
  [15696] = 15482,
  [15697] = 15480,
  [15698] = 15485,
  [15699] = 15489,
  [15700] = 15481,
  [15701] = 15482,
  [15702] = 15481,
  [15703] = 15703,
  [15704] = 15480,
  [15705] = 15485,
  [15706] = 15489,
  [15707] = 5088,
  [15708] = 15687,
  [15709] = 15682,
  [15710] = 15710,
  [15711] = 15482,
  [15712] = 15481,
  [15713] = 15480,
  [15714] = 15485,
  [15715] = 15482,
  [15716] = 15481,
  [15717] = 15485,
  [15718] = 15480,
  [15719] = 15710,
  [15720] = 15489,
  [15721] = 15721,
  [15722] = 15480,
  [15723] = 15480,
  [15724] = 15682,
  [15725] = 15687,
  [15726] = 15482,
  [15727] = 15481,
  [15728] = 15480,
  [15729] = 13305,
  [15730] = 15485,
  [15731] = 15481,
  [15732] = 15482,
  [15733] = 14024,
  [15734] = 14024,
  [15735] = 15489,
  [15736] = 15480,
  [15737] = 15682,
  [15738] = 15687,
  [15739] = 15482,
  [15740] = 15481,
  [15741] = 15741,
  [15742] = 15742,
  [15743] = 8235,
  [15744] = 15744,
  [15745] = 15485,
  [15746] = 15582,
  [15747] = 15489,
  [15748] = 15482,
  [15749] = 15481,
  [15750] = 15631,
  [15751] = 15675,
  [15752] = 15480,
  [15753] = 15682,
  [15754] = 15687,
  [15755] = 15482,
  [15756] = 15481,
  [15757] = 15485,
  [15758] = 15758,
  [15759] = 15744,
  [15760] = 15480,
  [15761] = 8469,
  [15762] = 15480,
  [15763] = 5392,
  [15764] = 8472,
  [15765] = 15765,
  [15766] = 15485,
  [15767] = 15481,
  [15768] = 15482,
  [15769] = 8244,
  [15770] = 8385,
  [15771] = 5392,
  [15772] = 8150,
  [15773] = 8145,
  [15774] = 8125,
  [15775] = 8124,
  [15776] = 8112,
  [15777] = 5058,
  [15778] = 5054,
  [15779] = 5055,
  [15780] = 8096,
  [15781] = 15781,
  [15782] = 15782,
  [15783] = 15783,
  [15784] = 15784,
  [15785] = 15785,
  [15786] = 15786,
  [15787] = 15787,
  [15788] = 15788,
  [15789] = 15789,
  [15790] = 15790,
  [15791] = 15782,
  [15792] = 15792,
  [15793] = 15788,
  [15794] = 15794,
  [15795] = 15795,
  [15796] = 15796,
  [15797] = 15797,
  [15798] = 15795,
  [15799] = 15799,
  [15800] = 15797,
  [15801] = 15801,
  [15802] = 15781,
  [15803] = 15803,
  [15804] = 15792,
  [15805] = 15805,
  [15806] = 15782,
  [15807] = 15790,
  [15808] = 15801,
  [15809] = 15788,
  [15810] = 15805,
  [15811] = 15794,
  [15812] = 15803,
  [15813] = 15785,
  [15814] = 15792,
  [15815] = 15785,
  [15816] = 15816,
  [15817] = 15781,
  [15818] = 15788,
  [15819] = 15799,
  [15820] = 15790,
  [15821] = 15782,
  [15822] = 15792,
  [15823] = 15796,
  [15824] = 15787,
  [15825] = 15783,
  [15826] = 15786,
  [15827] = 15797,
  [15828] = 15795,
  [15829] = 15829,
  [15830] = 15789,
  [15831] = 15831,
  [15832] = 15832,
  [15833] = 15784,
  [15834] = 15832,
  [15835] = 15789,
  [15836] = 15784,
  [15837] = 15783,
  [15838] = 15795,
  [15839] = 15786,
  [15840] = 15797,
  [15841] = 15787,
  [15842] = 15816,
  [15843] = 15792,
  [15844] = 15782,
  [15845] = 15785,
  [15846] = 15796,
  [15847] = 15790,
  [15848] = 15788,
  [15849] = 15794,
  [15850] = 15790,
  [15851] = 15782,
  [15852] = 15792,
  [15853] = 15832,
  [15854] = 15799,
  [15855] = 15785,
  [15856] = 15801,
  [15857] = 15797,
  [15858] = 15795,
  [15859] = 15781,
  [15860] = 15803,
  [15861] = 15805,
  [15862] = 15805,
  [15863] = 15803,
  [15864] = 15801,
  [15865] = 15790,
  [15866] = 15781,
  [15867] = 15796,
  [15868] = 15794,
  [15869] = 15786,
  [15870] = 15795,
  [15871] = 15797,
  [15872] = 15816,
  [15873] = 15789,
  [15874] = 15787,
  [15875] = 15785,
  [15876] = 15783,
  [15877] = 15829,
  [15878] = 15788,
  [15879] = 15832,
  [15880] = 15790,
  [15881] = 15782,
  [15882] = 15792,
  [15883] = 15831,
  [15884] = 15805,
  [15885] = 15797,
  [15886] = 15795,
  [15887] = 15784,
  [15888] = 15888,
  [15889] = 15832,
  [15890] = 15789,
  [15891] = 15784,
  [15892] = 15783,
  [15893] = 15792,
  [15894] = 15786,
  [15895] = 15782,
  [15896] = 15790,
  [15897] = 15788,
  [15898] = 15787,
  [15899] = 15785,
  [15900] = 15816,
  [15901] = 15794,
  [15902] = 15785,
  [15903] = 15801,
  [15904] = 15805,
  [15905] = 15788,
  [15906] = 15803,
  [15907] = 15790,
  [15908] = 15782,
  [15909] = 15792,
  [15910] = 15794,
  [15911] = 15796,
  [15912] = 15797,
  [15913] = 15795,
  [15914] = 15796,
  [15915] = 15799,
  [15916] = 15786,
  [15917] = 15781,
  [15918] = 15803,
  [15919] = 15789,
  [15920] = 15805,
  [15921] = 15795,
  [15922] = 15801,
  [15923] = 15797,
  [15924] = 15832,
  [15925] = 15784,
  [15926] = 15782,
  [15927] = 15794,
  [15928] = 15816,
  [15929] = 15788,
  [15930] = 15792,
  [15931] = 15790,
  [15932] = 15782,
  [15933] = 15792,
  [15934] = 15782,
  [15935] = 15935,
  [15936] = 15797,
  [15937] = 15795,
  [15938] = 15790,
  [15939] = 15788,
  [15940] = 15816,
  [15941] = 15794,
  [15942] = 15785,
  [15943] = 15787,
  [15944] = 15783,
  [15945] = 15801,
  [15946] = 15829,
  [15947] = 15805,
  [15948] = 15831,
  [15949] = 15803,
  [15950] = 15784,
  [15951] = 15832,
  [15952] = 15789,
  [15953] = 15788,
  [15954] = 15790,
  [15955] = 15782,
  [15956] = 15792,
  [15957] = 15781,
  [15958] = 15796,
  [15959] = 15797,
  [15960] = 15795,
  [15961] = 15786,
  [15962] = 15786,
  [15963] = 15789,
  [15964] = 15832,
  [15965] = 15784,
  [15966] = 15816,
  [15967] = 15792,
  [15968] = 15796,
  [15969] = 15795,
  [15970] = 15799,
  [15971] = 15797,
  [15972] = 15801,
  [15973] = 15781,
  [15974] = 15803,
  [15975] = 15805,
  [15976] = 15788,
  [15977] = 15790,
  [15978] = 15782,
  [15979] = 15792,
  [15980] = 15803,
  [15981] = 15782,
  [15982] = 15797,
  [15983] = 15795,
  [15984] = 15790,
  [15985] = 15788,
  [15986] = 15801,
  [15987] = 15803,
  [15988] = 15781,
  [15989] = 15785,
  [15990] = 15796,
  [15991] = 15786,
  [15992] = 15789,
  [15993] = 15794,
  [15994] = 15832,
  [15995] = 15784,
  [15996] = 15816,
  [15997] = 15788,
  [15998] = 15790,
  [15999] = 15782,
  [16000] = 15792,
  [16001] = 15816,
  [16002] = 15787,
  [16003] = 15797,
  [16004] = 15795,
  [16005] = 15783,
  [16006] = 15829,
  [16007] = 15831,
  [16008] = 15794,
  [16009] = 15801,
  [16010] = 15805,
  [16011] = 15803,
  [16012] = 15795,
  [16013] = 15784,
  [16014] = 15832,
  [16015] = 16015,
  [16016] = 15789,
  [16017] = 15797,
  [16018] = 15788,
  [16019] = 15790,
  [16020] = 15782,
  [16021] = 15792,
  [16022] = 15781,
  [16023] = 15781,
  [16024] = 15797,
  [16025] = 15795,
  [16026] = 15786,
  [16027] = 15796,
  [16028] = 15792,
  [16029] = 15782,
  [16030] = 15790,
  [16031] = 15796,
  [16032] = 15788,
  [16033] = 15799,
  [16034] = 15781,
  [16035] = 15781,
  [16036] = 15803,
  [16037] = 15785,
  [16038] = 15789,
  [16039] = 15788,
  [16040] = 15790,
  [16041] = 15782,
  [16042] = 15792,
  [16043] = 15805,
  [16044] = 15832,
  [16045] = 15797,
  [16046] = 15795,
  [16047] = 15801,
  [16048] = 15784,
  [16049] = 15816,
  [16050] = 15794,
  [16051] = 15794,
  [16052] = 15801,
  [16053] = 15805,
  [16054] = 15803,
  [16055] = 15816,
  [16056] = 15781,
  [16057] = 15787,
  [16058] = 15783,
  [16059] = 15829,
  [16060] = 15788,
  [16061] = 15790,
  [16062] = 15782,
  [16063] = 15792,
  [16064] = 15831,
  [16065] = 15796,
  [16066] = 15797,
  [16067] = 15795,
  [16068] = 15784,
  [16069] = 15832,
  [16070] = 15789,
  [16071] = 15795,
  [16072] = 15797,
  [16073] = 15786,
  [16074] = 16074,
  [16075] = 15786,
  [16076] = 15789,
  [16077] = 15832,
  [16078] = 15792,
  [16079] = 15796,
  [16080] = 15782,
  [16081] = 15788,
  [16082] = 15790,
  [16083] = 15782,
  [16084] = 15792,
  [16085] = 15799,
  [16086] = 16086,
  [16087] = 15797,
  [16088] = 15795,
  [16089] = 15794,
  [16090] = 15781,
  [16091] = 15803,
  [16092] = 15790,
  [16093] = 15805,
  [16094] = 15788,
  [16095] = 15784,
  [16096] = 15785,
  [16097] = 15801,
  [16098] = 15816,
  [16099] = 15794,
  [16100] = 15801,
  [16101] = 15805,
  [16102] = 15788,
  [16103] = 15790,
  [16104] = 15782,
  [16105] = 15792,
  [16106] = 15784,
  [16107] = 15781,
  [16108] = 15797,
  [16109] = 15795,
  [16110] = 15796,
  [16111] = 15786,
  [16112] = 15789,
  [16113] = 15832,
  [16114] = 15784,
  [16115] = 15795,
  [16116] = 15816,
  [16117] = 15797,
  [16118] = 15816,
  [16119] = 15787,
  [16120] = 15783,
  [16121] = 15794,
  [16122] = 15829,
  [16123] = 15788,
  [16124] = 15790,
  [16125] = 15782,
  [16126] = 15792,
  [16127] = 15831,
  [16128] = 15792,
  [16129] = 15797,
  [16130] = 15795,
  [16131] = 15782,
  [16132] = 15784,
  [16133] = 15832,
  [16134] = 15789,
  [16135] = 15790,
  [16136] = 15788,
  [16137] = 15786,
  [16138] = 15801,
  [16139] = 15785,
  [16140] = 15786,
  [16141] = 15803,
  [16142] = 15796,
  [16143] = 15781,
  [16144] = 15788,
  [16145] = 15790,
  [16146] = 15782,
  [16147] = 15792,
  [16148] = 15796,
  [16149] = 15786,
  [16150] = 15797,
  [16151] = 15795,
  [16152] = 15799,
  [16153] = 15788,
  [16154] = 15789,
  [16155] = 16155,
  [16156] = 16156,
  [16157] = 16157,
  [16158] = 15832,
  [16159] = 15803,
  [16160] = 15781,
  [16161] = 15803,
  [16162] = 15796,
  [16163] = 15816,
  [16164] = 15788,
  [16165] = 15790,
  [16166] = 15782,
  [16167] = 15792,
  [16168] = 15805,
  [16169] = 15794,
  [16170] = 15797,
  [16171] = 15795,
  [16172] = 15801,
  [16173] = 15801,
  [16174] = 15795,
  [16175] = 15794,
  [16176] = 15797,
  [16177] = 15805,
  [16178] = 15803,
  [16179] = 15816,
  [16180] = 15781,
  [16181] = 15787,
  [16182] = 15783,
  [16183] = 15792,
  [16184] = 15788,
  [16185] = 15790,
  [16186] = 15782,
  [16187] = 15792,
  [16188] = 15829,
  [16189] = 15831,
  [16190] = 15797,
  [16191] = 15795,
  [16192] = 15782,
  [16193] = 16193,
  [16194] = 15784,
  [16195] = 15832,
  [16196] = 15789,
  [16197] = 15790,
  [16198] = 15788,
  [16199] = 15796,
  [16200] = 15785,
  [16201] = 15786,
  [16202] = 15786,
  [16203] = 15789,
  [16204] = 15788,
  [16205] = 15790,
  [16206] = 15782,
  [16207] = 15792,
  [16208] = 15832,
  [16209] = 15784,
  [16210] = 15797,
  [16211] = 15795,
  [16212] = 15816,
  [16213] = 8124,
  [16214] = 15794,
  [16215] = 15796,
  [16216] = 15801,
  [16217] = 15799,
  [16218] = 15805,
  [16219] = 15781,
  [16220] = 15803,
  [16221] = 15803,
  [16222] = 15781,
  [16223] = 15805,
  [16224] = 15788,
  [16225] = 15790,
  [16226] = 15782,
  [16227] = 15792,
  [16228] = 15795,
  [16229] = 15797,
  [16230] = 15797,
  [16231] = 15795,
  [16232] = 15801,
  [16233] = 15786,
  [16234] = 15805,
  [16235] = 15792,
  [16236] = 15782,
  [16237] = 15831,
  [16238] = 15794,
  [16239] = 15790,
  [16240] = 15788,
  [16241] = 15789,
  [16242] = 15816,
  [16243] = 15785,
  [16244] = 15788,
  [16245] = 15790,
  [16246] = 15782,
  [16247] = 15792,
  [16248] = 15832,
  [16249] = 15784,
  [16250] = 15797,
  [16251] = 15795,
  [16252] = 15787,
  [16253] = 15783,
  [16254] = 15829,
  [16255] = 15816,
  [16256] = 15805,
  [16257] = 15831,
  [16258] = 15794,
  [16259] = 15801,
  [16260] = 15784,
  [16261] = 15832,
  [16262] = 15789,
  [16263] = 15786,
  [16264] = 15788,
  [16265] = 15790,
  [16266] = 15782,
  [16267] = 15792,
  [16268] = 15805,
  [16269] = 15786,
  [16270] = 15797,
  [16271] = 15795,
  [16272] = 15803,
  [16273] = 15781,
  [16274] = 15796,
  [16275] = 16275,
  [16276] = 15786,
  [16277] = 15796,
  [16278] = 15795,
  [16279] = 16279,
  [16280] = 15799,
  [16281] = 15797,
  [16282] = 15781,
  [16283] = 15789,
  [16284] = 15788,
  [16285] = 15790,
  [16286] = 15782,
  [16287] = 15792,
  [16288] = 15803,
  [16289] = 15832,
  [16290] = 15797,
  [16291] = 15795,
  [16292] = 15784,
  [16293] = 15805,
  [16294] = 15792,
  [16295] = 15801,
  [16296] = 15782,
  [16297] = 15790,
  [16298] = 15788,
  [16299] = 15816,
  [16300] = 15794,
  [16301] = 15794,
  [16302] = 15785,
  [16303] = 15788,
  [16304] = 15790,
  [16305] = 15782,
  [16306] = 15792,
  [16307] = 15801,
  [16308] = 15805,
  [16309] = 15797,
  [16310] = 15795,
  [16311] = 15803,
  [16312] = 15781,
  [16313] = 15796,
  [16314] = 15816,
  [16315] = 15786,
  [16316] = 15789,
  [16317] = 15832,
  [16318] = 15784,
  [16319] = 15787,
  [16320] = 15783,
  [16321] = 15829,
  [16322] = 15788,
  [16323] = 15790,
  [16324] = 15782,
  [16325] = 15792,
  [16326] = 15816,
  [16327] = 15816,
  [16328] = 15797,
  [16329] = 15795,
  [16330] = 15784,
  [16331] = 15832,
  [16332] = 15789,
  [16333] = 15795,
  [16334] = 15797,
  [16335] = 15786,
  [16336] = 15794,
  [16337] = 15801,
  [16338] = 15792,
  [16339] = 15782,
  [16340] = 15796,
  [16341] = 15788,
  [16342] = 15790,
  [16343] = 15782,
  [16344] = 15792,
  [16345] = 15790,
  [16346] = 15799,
  [16347] = 15797,
  [16348] = 15795,
  [16349] = 15788,
  [16350] = 15781,
  [16351] = 15803,
  [16352] = 15805,
  [16353] = 15805,
  [16354] = 15785,
  [16355] = 15801,
  [16356] = 15803,
  [16357] = 15781,
  [16358] = 15794,
  [16359] = 15796,
  [16360] = 15788,
  [16361] = 15790,
  [16362] = 15782,
  [16363] = 15792,
  [16364] = 15789,
  [16365] = 15781,
  [16366] = 15797,
  [16367] = 15795,
  [16368] = 15784,
  [16369] = 15832,
  [16370] = 15787,
  [16371] = 15783,
  [16372] = 15829,
  [16373] = 15831,
  [16374] = 15784,
  [16375] = 15784,
  [16376] = 15832,
  [16377] = 15789,
  [16378] = 15816,
  [16379] = 15788,
  [16380] = 15790,
  [16381] = 15782,
  [16382] = 15792,
  [16383] = 15794,
  [16384] = 15786,
  [16385] = 15795,
  [16386] = 15801,
  [16387] = 15795,
  [16388] = 15797,
  [16389] = 15805,
  [16390] = 15796,
  [16391] = 15803,
  [16392] = 15799,
  [16393] = 15792,
  [16394] = 15832,
  [16395] = 15803,
  [16396] = 15782,
  [16397] = 15788,
  [16398] = 15790,
  [16399] = 15782,
  [16400] = 15792,
  [16401] = 15790,
  [16402] = 15805,
  [16403] = 15795,
  [16404] = 15788,
  [16405] = 15801,
  [16406] = 15796,
  [16407] = 15801,
  [16408] = 15785,
  [16409] = 15794,
  [16410] = 15786,
  [16411] = 15789,
  [16412] = 15816,
  [16413] = 15832,
  [16414] = 15784,
  [16415] = 15788,
  [16416] = 15790,
  [16417] = 15782,
  [16418] = 15792,
  [16419] = 15816,
  [16420] = 15787,
  [16421] = 15795,
  [16422] = 15783,
  [16423] = 15829,
  [16424] = 15794,
  [16425] = 15831,
  [16426] = 15801,
  [16427] = 15784,
  [16428] = 15832,
  [16429] = 15789,
  [16430] = 15805,
  [16431] = 15803,
  [16432] = 15786,
  [16433] = 15788,
  [16434] = 15790,
  [16435] = 15782,
  [16436] = 15792,
  [16437] = 15781,
  [16438] = 15795,
  [16439] = 15795,
  [16440] = 15797,
  [16441] = 15796,
  [16442] = 15796,
  [16443] = 15781,
  [16444] = 15799,
  [16445] = 15786,
  [16446] = 15781,
  [16447] = 15803,
  [16448] = 15792,
  [16449] = 15805,
  [16450] = 15782,
  [16451] = 15788,
  [16452] = 15790,
  [16453] = 15782,
  [16454] = 15792,
  [16455] = 15790,
  [16456] = 15788,
  [16457] = 15795,
  [16458] = 15801,
  [16459] = 15789,
  [16460] = 15785,
  [16461] = 15832,
  [16462] = 16462,
  [16463] = 15784,
  [16464] = 15794,
  [16465] = 15816,
  [16466] = 15794,
  [16467] = 15801,
  [16468] = 15805,
  [16469] = 15788,
  [16470] = 15790,
  [16471] = 15782,
  [16472] = 15792,
  [16473] = 15803,
  [16474] = 15781,
  [16475] = 15795,
  [16476] = 15816,
  [16477] = 15796,
  [16478] = 15786,
  [16479] = 15795,
  [16480] = 15797,
  [16481] = 15789,
  [16482] = 15787,
  [16483] = 15783,
  [16484] = 15829,
  [16485] = 15831,
  [16486] = 15832,
  [16487] = 15788,
  [16488] = 15790,
  [16489] = 15782,
  [16490] = 15792,
  [16491] = 15785,
  [16492] = 15784,
  [16493] = 15795,
  [16494] = 15792,
  [16495] = 15789,
  [16496] = 15782,
  [16497] = 15790,
  [16498] = 15788,
  [16499] = 15816,
  [16500] = 16500,
  [16501] = 15794,
  [16502] = 15785,
  [16503] = 16503,
  [16504] = 16504,
  [16505] = 15788,
  [16506] = 15790,
  [16507] = 15782,
  [16508] = 15792,
  [16509] = 16509,
  [16510] = 15794,
  [16511] = 15795,
  [16512] = 15786,
  [16513] = 15801,
  [16514] = 15805,
  [16515] = 15803,
  [16516] = 15781,
  [16517] = 15796,
  [16518] = 15796,
  [16519] = 15799,
  [16520] = 15786,
  [16521] = 15781,
  [16522] = 15803,
  [16523] = 15788,
  [16524] = 15790,
  [16525] = 15782,
  [16526] = 15792,
  [16527] = 15795,
  [16528] = 15832,
  [16529] = 15805,
  [16530] = 15784,
  [16531] = 15801,
  [16532] = 15816,
  [16533] = 15795,
  [16534] = 15794,
  [16535] = 15788,
  [16536] = 15790,
  [16537] = 15782,
  [16538] = 15792,
  [16539] = 15795,
  [16540] = 15794,
  [16541] = 15797,
  [16542] = 16542,
  [16543] = 15801,
  [16544] = 15816,
  [16545] = 15805,
  [16546] = 15792,
  [16547] = 15788,
  [16548] = 15790,
  [16549] = 15782,
  [16550] = 15792,
  [16551] = 15795,
  [16552] = 16552,
  [16553] = 15782,
  [16554] = 15787,
  [16555] = 15783,
  [16556] = 15829,
  [16557] = 15831,
  [16558] = 15790,
  [16559] = 15788,
  [16560] = 15790,
  [16561] = 15782,
  [16562] = 15792,
  [16563] = 15795,
  [16564] = 16564,
  [16565] = 15784,
  [16566] = 15832,
  [16567] = 15789,
  [16568] = 15788,
  [16569] = 15786,
  [16570] = 15788,
  [16571] = 15790,
  [16572] = 15782,
  [16573] = 15792,
  [16574] = 15795,
  [16575] = 15803,
  [16576] = 15831,
  [16577] = 15781,
  [16578] = 15796,
  [16579] = 15796,
  [16580] = 15796,
  [16581] = 15788,
  [16582] = 15790,
  [16583] = 15782,
  [16584] = 15792,
  [16585] = 15795,
  [16586] = 15786,
  [16587] = 15832,
  [16588] = 15799,
  [16589] = 15784,
  [16590] = 15781,
  [16591] = 15803,
  [16592] = 15788,
  [16593] = 15790,
  [16594] = 15782,
  [16595] = 15792,
  [16596] = 15795,
  [16597] = 15816,
  [16598] = 16598,
  [16599] = 16599,
  [16600] = 15805,
  [16601] = 16601,
  [16602] = 15794,
  [16603] = 15788,
  [16604] = 15790,
  [16605] = 15782,
  [16606] = 15792,
  [16607] = 15795,
  [16608] = 15801,
  [16609] = 15801,
  [16610] = 15805,
  [16611] = 15794,
  [16612] = 15803,
  [16613] = 15781,
  [16614] = 15788,
  [16615] = 15790,
  [16616] = 15782,
  [16617] = 15792,
  [16618] = 15795,
  [16619] = 15816,
  [16620] = 15816,
  [16621] = 15795,
  [16622] = 15786,
  [16623] = 15797,
  [16624] = 15832,
  [16625] = 15788,
  [16626] = 15790,
  [16627] = 15782,
  [16628] = 15792,
  [16629] = 15795,
  [16630] = 15784,
  [16631] = 15816,
  [16632] = 15787,
  [16633] = 15783,
  [16634] = 15785,
  [16635] = 15829,
  [16636] = 15788,
  [16637] = 15790,
  [16638] = 15782,
  [16639] = 15792,
  [16640] = 15795,
  [16641] = 15831,
  [16642] = 15794,
  [16643] = 15784,
  [16644] = 15832,
  [16645] = 15789,
  [16646] = 15788,
  [16647] = 15790,
  [16648] = 15816,
  [16649] = 15792,
  [16650] = 15795,
  [16651] = 15792,
  [16652] = 15816,
  [16653] = 15782,
  [16654] = 15786,
  [16655] = 15790,
  [16656] = 15795,
  [16657] = 15788,
  [16658] = 15805,
  [16659] = 16598,
  [16660] = 15785,
  [16661] = 15803,
  [16662] = 15795,
  [16663] = 15796,
  [16664] = 15781,
  [16665] = 15799,
  [16666] = 15796,
  [16667] = 15781,
  [16668] = 15795,
  [16669] = 15803,
  [16670] = 15801,
  [16671] = 15805,
  [16672] = 15786,
  [16673] = 15801,
  [16674] = 15795,
  [16675] = 15832,
  [16676] = 15784,
  [16677] = 15816,
  [16678] = 15794,
  [16679] = 15801,
  [16680] = 15795,
  [16681] = 15805,
  [16682] = 15794,
  [16683] = 15803,
  [16684] = 15781,
  [16685] = 15816,
  [16686] = 15795,
  [16687] = 15795,
  [16688] = 15796,
  [16689] = 15787,
  [16690] = 15797,
  [16691] = 15786,
  [16692] = 15795,
  [16693] = 15783,
  [16694] = 15787,
  [16695] = 15783,
  [16696] = 15829,
  [16697] = 15829,
  [16698] = 15795,
  [16699] = 15832,
  [16700] = 15784,
  [16701] = 15831,
  [16702] = 15816,
  [16703] = 15794,
  [16704] = 15795,
  [16705] = 16705,
  [16706] = 15784,
  [16707] = 15832,
  [16708] = 15789,
  [16709] = 15792,
  [16710] = 15795,
  [16711] = 15782,
  [16712] = 15786,
  [16713] = 15790,
  [16714] = 15788,
  [16715] = 15801,
  [16716] = 15795,
  [16717] = 16717,
  [16718] = 15805,
  [16719] = 16719,
  [16720] = 16720,
  [16721] = 15796,
  [16722] = 15795,
  [16723] = 16723,
  [16724] = 15803,
  [16725] = 15799,
  [16726] = 15829,
  [16727] = 15781,
  [16728] = 15795,
  [16729] = 15803,
  [16730] = 16552,
  [16731] = 15805,
  [16732] = 15784,
  [16733] = 16598,
  [16734] = 15795,
  [16735] = 15801,
  [16736] = 15805,
  [16737] = 15785,
  [16738] = 15794,
  [16739] = 15796,
  [16740] = 15795,
  [16741] = 15786,
  [16742] = 15816,
  [16743] = 15832,
  [16744] = 15784,
  [16745] = 15787,
  [16746] = 15795,
  [16747] = 15783,
  [16748] = 15832,
  [16749] = 15781,
  [16750] = 15831,
  [16751] = 15794,
  [16752] = 15795,
  [16753] = 15784,
  [16754] = 15789,
  [16755] = 15832,
  [16756] = 15789,
  [16757] = 15801,
  [16758] = 15795,
  [16759] = 15805,
  [16760] = 15786,
  [16761] = 15803,
  [16762] = 15816,
  [16763] = 15796,
  [16764] = 15795,
  [16765] = 15786,
  [16766] = 15796,
  [16767] = 5402,
  [16768] = 15832,
  [16769] = 15816,
  [16770] = 15795,
  [16771] = 15794,
  [16772] = 15801,
  [16773] = 15799,
  [16774] = 16774,
  [16775] = 15781,
  [16776] = 15795,
  [16777] = 15803,
  [16778] = 15805,
  [16779] = 15805,
  [16780] = 15803,
  [16781] = 15801,
  [16782] = 15795,
  [16783] = 15781,
  [16784] = 15795,
  [16785] = 15794,
  [16786] = 15796,
  [16787] = 15797,
  [16788] = 15795,
  [16789] = 15786,
  [16790] = 15816,
  [16791] = 15832,
  [16792] = 15784,
  [16793] = 15816,
  [16794] = 15795,
  [16795] = 15784,
  [16796] = 15787,
  [16797] = 15783,
  [16798] = 15829,
  [16799] = 15831,
  [16800] = 15795,
  [16801] = 15801,
  [16802] = 15805,
  [16803] = 15803,
  [16804] = 15781,
  [16805] = 15784,
  [16806] = 15795,
  [16807] = 15832,
  [16808] = 15789,
  [16809] = 15796,
  [16810] = 16810,
  [16811] = 15786,
  [16812] = 15795,
  [16813] = 15786,
  [16814] = 15832,
  [16815] = 15786,
  [16816] = 15784,
  [16817] = 15816,
  [16818] = 15795,
  [16819] = 15794,
  [16820] = 15801,
  [16821] = 15796,
  [16822] = 15805,
  [16823] = 15799,
  [16824] = 15795,
  [16825] = 15803,
  [16826] = 15781,
  [16827] = 15803,
  [16828] = 15781,
  [16829] = 15796,
  [16830] = 15795,
  [16831] = 15805,
  [16832] = 15792,
  [16833] = 15782,
  [16834] = 15801,
  [16835] = 15790,
  [16836] = 15795,
  [16837] = 15786,
  [16838] = 15794,
  [16839] = 15788,
  [16840] = 15832,
  [16841] = 15816,
  [16842] = 15795,
  [16843] = 15784,
  [16844] = 15816,
  [16845] = 15787,
  [16846] = 15783,
  [16847] = 15794,
  [16848] = 15795,
  [16849] = 15829,
  [16850] = 15831,
  [16851] = 15801,
  [16852] = 16852,
  [16853] = 15784,
  [16854] = 15795,
  [16855] = 15832,
  [16856] = 15789,
  [16857] = 15794,
  [16858] = 15803,
  [16859] = 15781,
  [16860] = 15795,
  [16861] = 15796,
  [16862] = 8125,
  [16863] = 16863,
  [16864] = 15786,
  [16865] = 16552,
  [16866] = 15795,
  [16867] = 16598,
  [16868] = 15785,
  [16869] = 15786,
  [16870] = 15832,
  [16871] = 15784,
  [16872] = 15795,
  [16873] = 15781,
  [16874] = 15796,
  [16875] = 15794,
  [16876] = 15799,
  [16877] = 15801,
  [16878] = 15795,
  [16879] = 15805,
  [16880] = 16880,
  [16881] = 16881,
  [16882] = 15781,
  [16883] = 15803,
  [16884] = 15795,
  [16885] = 15803,
  [16886] = 15805,
  [16887] = 15803,
  [16888] = 15796,
  [16889] = 15801,
  [16890] = 15795,
  [16891] = 15786,
  [16892] = 15832,
  [16893] = 15784,
  [16894] = 15794,
  [16895] = 15816,
  [16896] = 15795,
  [16897] = 15794,
  [16898] = 15816,
  [16899] = 15801,
  [16900] = 15805,
  [16901] = 15803,
  [16902] = 15795,
  [16903] = 15787,
  [16904] = 15783,
  [16905] = 15829,
  [16906] = 15831,
  [16907] = 15781,
  [16908] = 15795,
  [16909] = 15784,
  [16910] = 15832,
  [16911] = 15789,
  [16912] = 15796,
  [16913] = 15786,
  [16914] = 15786,
  [16915] = 15832,
  [16916] = 15784,
  [16917] = 15816,
  [16918] = 15794,
  [16919] = 16774,
  [16920] = 15796,
  [16921] = 15801,
  [16922] = 15799,
  [16923] = 15805,
  [16924] = 15803,
  [16925] = 15781,
  [16926] = 15803,
  [16927] = 15795,
  [16928] = 15805,
  [16929] = 16929,
  [16930] = 15801,
  [16931] = 16931,
  [16932] = 15781,
  [16933] = 15786,
  [16934] = 15797,
  [16935] = 15794,
  [16936] = 15805,
  [16937] = 15816,
  [16938] = 15816,
  [16939] = 15805,
  [16940] = 15803,
  [16941] = 15787,
  [16942] = 16942,
  [16943] = 15783,
  [16944] = 15829,
  [16945] = 15831,
  [16946] = 15786,
  [16947] = 15789,
  [16948] = 15784,
  [16949] = 15832,
  [16950] = 15789,
  [16951] = 16774,
  [16952] = 15816,
  [16953] = 15794,
  [16954] = 15796,
  [16955] = 15805,
  [16956] = 15786,
  [16957] = 16957,
  [16958] = 15803,
  [16959] = 15786,
  [16960] = 15816,
  [16961] = 15794,
  [16962] = 15805,
  [16963] = 15796,
  [16964] = 15803,
  [16965] = 15799,
  [16966] = 15786,
  [16967] = 15781,
  [16968] = 15803,
  [16969] = 15816,
  [16970] = 16970,
  [16971] = 15805,
  [16972] = 15795,
  [16973] = 15794,
  [16974] = 5621,
  [16975] = 15805,
  [16976] = 16275,
  [16977] = 16942,
  [16978] = 16279,
  [16979] = 16880,
  [16980] = 15801,
  [16981] = 16852,
  [16982] = 15803,
  [16983] = 15786,
  [16984] = 16601,
  [16985] = 15805,
  [16986] = 15816,
  [16987] = 15816,
  [16988] = 15794,
  [16989] = 15794,
  [16990] = 15805,
  [16991] = 15816,
  [16992] = 15816,
  [16993] = 15805,
  [16994] = 15787,
  [16995] = 15783,
  [16996] = 15829,
  [16997] = 16929,
  [16998] = 15831,
  [16999] = 15805,
  [17000] = 16942,
  [17001] = 15786,
  [17002] = 15784,
  [17003] = 15794,
  [17004] = 15832,
  [17005] = 15816,
  [17006] = 15805,
  [17007] = 8096,
  [17008] = 15816,
  [17009] = 15816,
  [17010] = 16942,
  [17011] = 15794,
  [17012] = 15803,
  [17013] = 15805,
  [17014] = 15786,
  [17015] = 15794,
  [17016] = 15816,
  [17017] = 15786,
  [17018] = 16942,
  [17019] = 15805,
  [17020] = 15803,
  [17021] = 15786,
  [17022] = 15803,
  [17023] = 15805,
  [17024] = 15796,
  [17025] = 16942,
  [17026] = 15794,
  [17027] = 15816,
  [17028] = 15786,
  [17029] = 15799,
  [17030] = 15816,
  [17031] = 15794,
  [17032] = 16942,
  [17033] = 15803,
  [17034] = 15805,
  [17035] = 15794,
  [17036] = 15816,
  [17037] = 15781,
  [17038] = 15803,
  [17039] = 16942,
  [17040] = 15786,
  [17041] = 15805,
  [17042] = 15786,
  [17043] = 15803,
  [17044] = 15805,
  [17045] = 15805,
  [17046] = 16942,
  [17047] = 15786,
  [17048] = 15794,
  [17049] = 15816,
  [17050] = 16275,
  [17051] = 16279,
  [17052] = 15801,
  [17053] = 16942,
  [17054] = 15786,
  [17055] = 15816,
  [17056] = 15803,
  [17057] = 15805,
  [17058] = 15794,
  [17059] = 15794,
  [17060] = 16942,
  [17061] = 15816,
  [17062] = 15794,
  [17063] = 15786,
  [17064] = 15805,
  [17065] = 15803,
  [17066] = 15799,
  [17067] = 16942,
  [17068] = 15805,
  [17069] = 15803,
  [17070] = 15794,
  [17071] = 15816,
  [17072] = 15816,
  [17073] = 15786,
  [17074] = 16942,
  [17075] = 15786,
  [17076] = 15787,
  [17077] = 15816,
  [17078] = 15783,
  [17079] = 15829,
  [17080] = 15831,
  [17081] = 16942,
  [17082] = 15803,
  [17083] = 15805,
  [17084] = 15794,
  [17085] = 15784,
  [17086] = 15832,
  [17087] = 15794,
  [17088] = 16942,
  [17089] = 15816,
  [17090] = 15789,
  [17091] = 15786,
  [17092] = 15805,
  [17093] = 8145,
  [17094] = 15803,
  [17095] = 16942,
  [17096] = 15786,
  [17097] = 15803,
  [17098] = 15805,
  [17099] = 15816,
  [17100] = 17100,
  [17101] = 8150,
  [17102] = 16942,
  [17103] = 15794,
  [17104] = 15786,
  [17105] = 15816,
  [17106] = 15794,
  [17107] = 15786,
  [17108] = 15805,
  [17109] = 16942,
  [17110] = 15803,
  [17111] = 15786,
  [17112] = 15803,
  [17113] = 15805,
  [17114] = 15797,
  [17115] = 16942,
  [17116] = 15794,
  [17117] = 15816,
  [17118] = 15803,
  [17119] = 15796,
  [17120] = 15794,
  [17121] = 16942,
  [17122] = 15803,
  [17123] = 15799,
  [17124] = 15805,
  [17125] = 15782,
  [17126] = 15803,
  [17127] = 16942,
  [17128] = 15786,
  [17129] = 15792,
  [17130] = 15794,
  [17131] = 15805,
  [17132] = 15794,
  [17133] = 16942,
  [17134] = 15816,
  [17135] = 15832,
  [17136] = 15816,
  [17137] = 15790,
  [17138] = 15794,
  [17139] = 16942,
  [17140] = 15786,
  [17141] = 15781,
  [17142] = 15805,
  [17143] = 15803,
  [17144] = 15786,
  [17145] = 16942,
  [17146] = 15803,
  [17147] = 15805,
  [17148] = 15794,
  [17149] = 15816,
  [17150] = 15788,
  [17151] = 16942,
  [17152] = 15816,
  [17153] = 15803,
  [17154] = 15794,
  [17155] = 15786,
  [17156] = 15805,
  [17157] = 16942,
  [17158] = 15803,
  [17159] = 15803,
  [17160] = 15805,
  [17161] = 15805,
  [17162] = 16970,
  [17163] = 16942,
  [17164] = 15786,
  [17165] = 15816,
  [17166] = 15794,
  [17167] = 16275,
  [17168] = 16279,
  [17169] = 16942,
  [17170] = 15816,
  [17171] = 15816,
  [17172] = 15786,
  [17173] = 15801,
  [17174] = 15794,
  [17175] = 16942,
  [17176] = 15805,
  [17177] = 15803,
  [17178] = 15803,
  [17179] = 15805,
  [17180] = 15786,
  [17181] = 16942,
  [17182] = 15794,
  [17183] = 15816,
  [17184] = 15786,
  [17185] = 15816,
  [17186] = 15794,
  [17187] = 16942,
  [17188] = 15803,
  [17189] = 15805,
  [17190] = 15805,
  [17191] = 16503,
  [17192] = 17192,
  [17193] = 16942,
  [17194] = 15803,
  [17195] = 15794,
  [17196] = 15794,
  [17197] = 15816,
  [17198] = 15786,
  [17199] = 16942,
  [17200] = 15786,
  [17201] = 15816,
  [17202] = 15794,
  [17203] = 15816,
  [17204] = 15803,
  [17205] = 16942,
  [17206] = 15805,
  [17207] = 15805,
  [17208] = 15803,
  [17209] = 15787,
  [17210] = 15794,
  [17211] = 16942,
  [17212] = 15816,
  [17213] = 15783,
  [17214] = 15786,
  [17215] = 15829,
  [17216] = 15831,
  [17217] = 16942,
  [17218] = 15786,
  [17219] = 15816,
  [17220] = 15794,
  [17221] = 16705,
  [17222] = 15784,
  [17223] = 16942,
  [17224] = 15803,
  [17225] = 15805,
  [17226] = 15805,
  [17227] = 15789,
  [17228] = 15803,
  [17229] = 16942,
  [17230] = 15794,
  [17231] = 15816,
  [17232] = 15786,
  [17233] = 15816,
  [17234] = 15816,
  [17235] = 16942,
  [17236] = 15803,
  [17237] = 15786,
  [17238] = 15805,
  [17239] = 15805,
  [17240] = 15803,
  [17241] = 16942,
  [17242] = 15794,
  [17243] = 15816,
  [17244] = 15786,
  [17245] = 15786,
  [17246] = 15816,
  [17247] = 16942,
  [17248] = 15794,
  [17249] = 15803,
  [17250] = 15805,
  [17251] = 15796,
  [17252] = 15805,
  [17253] = 16942,
  [17254] = 15803,
  [17255] = 15799,
  [17256] = 15794,
  [17257] = 15792,
  [17258] = 15794,
  [17259] = 16942,
  [17260] = 15786,
  [17261] = 15816,
  [17262] = 15786,
  [17263] = 15816,
  [17264] = 15794,
  [17265] = 16942,
  [17266] = 15803,
  [17267] = 15888,
  [17268] = 15805,
  [17269] = 15782,
  [17270] = 15790,
  [17271] = 16942,
  [17272] = 15805,
  [17273] = 15786,
  [17274] = 15794,
  [17275] = 15816,
  [17276] = 15786,
  [17277] = 16942,
  [17278] = 15786,
  [17279] = 15816,
  [17280] = 15794,
  [17281] = 15803,
  [17282] = 15781,
  [17283] = 16942,
  [17284] = 15805,
  [17285] = 15805,
  [17286] = 15803,
  [17287] = 16074,
  [17288] = 15794,
  [17289] = 16942,
  [17290] = 15816,
  [17291] = 15786,
  [17292] = 15786,
  [17293] = 15816,
  [17294] = 15788,
  [17295] = 16942,
  [17296] = 15794,
  [17297] = 15803,
  [17298] = 15803,
  [17299] = 15805,
  [17300] = 16193,
  [17301] = 16942,
  [17302] = 15805,
  [17303] = 15803,
  [17304] = 15794,
  [17305] = 15816,
  [17306] = 15786,
  [17307] = 16942,
  [17308] = 15786,
  [17309] = 15816,
  [17310] = 15794,
  [17311] = 15803,
  [17312] = 15805,
  [17313] = 16942,
  [17314] = 15805,
  [17315] = 15805,
  [17316] = 15803,
  [17317] = 15794,
  [17318] = 15816,
  [17319] = 16942,
  [17320] = 15786,
  [17321] = 16275,
  [17322] = 15786,
  [17323] = 16279,
  [17324] = 15816,
  [17325] = 16942,
  [17326] = 15794,
  [17327] = 15801,
  [17328] = 15803,
  [17329] = 15803,
  [17330] = 15805,
  [17331] = 16942,
  [17332] = 15805,
  [17333] = 15803,
  [17334] = 15794,
  [17335] = 15816,
  [17336] = 15786,
  [17337] = 16942,
  [17338] = 15786,
  [17339] = 15816,
  [17340] = 15803,
  [17341] = 15803,
  [17342] = 16942,
  [17343] = 15805,
  [17344] = 15805,
  [17345] = 15803,
  [17346] = 15794,
  [17347] = 16942,
  [17348] = 15816,
  [17349] = 16503,
  [17350] = 15786,
  [17351] = 15794,
  [17352] = 16942,
  [17353] = 15786,
  [17354] = 16542,
  [17355] = 15816,
  [17356] = 15794,
  [17357] = 16942,
  [17358] = 15803,
  [17359] = 16564,
  [17360] = 15805,
  [17361] = 15805,
  [17362] = 16942,
  [17363] = 15803,
  [17364] = 16601,
  [17365] = 15794,
  [17366] = 15816,
  [17367] = 16942,
  [17368] = 15786,
  [17369] = 15786,
  [17370] = 15816,
  [17371] = 15794,
  [17372] = 16942,
  [17373] = 15803,
  [17374] = 15805,
  [17375] = 15805,
  [17376] = 15803,
  [17377] = 16942,
  [17378] = 15794,
  [17379] = 15816,
  [17380] = 15786,
  [17381] = 15786,
  [17382] = 16942,
  [17383] = 15816,
  [17384] = 15794,
  [17385] = 15803,
  [17386] = 15805,
  [17387] = 16942,
  [17388] = 15805,
  [17389] = 15799,
  [17390] = 15803,
  [17391] = 15794,
  [17392] = 16942,
  [17393] = 15816,
  [17394] = 15787,
  [17395] = 15786,
  [17396] = 15783,
  [17397] = 16942,
  [17398] = 16942,
  [17399] = 16942,
  [17400] = 16942,
  [17401] = 16942,
  [17402] = 16942,
  [17403] = 16942,
  [17404] = 16942,
  [17405] = 16942,
  [17406] = 16942,
  [17407] = 16942,
  [17408] = 16942,
  [17409] = 16942,
  [17410] = 16942,
  [17411] = 16942,
  [17412] = 16942,
  [17413] = 16942,
  [17414] = 16942,
  [17415] = 16942,
  [17416] = 16942,
  [17417] = 16942,
  [17418] = 16942,
  [17419] = 16942,
  [17420] = 16942,
  [17421] = 16942,
  [17422] = 16942,
  [17423] = 16942,
  [17424] = 16942,
  [17425] = 16942,
  [17426] = 16942,
  [17427] = 16942,
  [17428] = 16942,
  [17429] = 16942,
  [17430] = 16942,
  [17431] = 16942,
  [17432] = 16942,
  [17433] = 16942,
  [17434] = 16942,
  [17435] = 16942,
  [17436] = 16942,
  [17437] = 16942,
  [17438] = 16942,
  [17439] = 16942,
  [17440] = 16942,
  [17441] = 16942,
  [17442] = 16942,
  [17443] = 16942,
  [17444] = 16942,
  [17445] = 16942,
  [17446] = 16942,
  [17447] = 16942,
  [17448] = 16931,
  [17449] = 15829,
  [17450] = 15831,
  [17451] = 16717,
  [17452] = 15786,
  [17453] = 16705,
  [17454] = 16717,
  [17455] = 16720,
  [17456] = 16723,
  [17457] = 15784,
  [17458] = 15832,
  [17459] = 15789,
  [17460] = 15816,
  [17461] = 15794,
  [17462] = 15803,
  [17463] = 15805,
  [17464] = 15805,
  [17465] = 15786,
  [17466] = 15803,
  [17467] = 15794,
  [17468] = 15816,
  [17469] = 15786,
  [17470] = 16880,
  [17471] = 15786,
  [17472] = 15816,
  [17473] = 15794,
  [17474] = 15803,
  [17475] = 16931,
  [17476] = 15805,
  [17477] = 15796,
  [17478] = 15805,
  [17479] = 15795,
  [17480] = 15803,
  [17481] = 15794,
  [17482] = 16970,
  [17483] = 5088,
  [17484] = 4984,
  [17485] = 4973,
  [17486] = 5023,
  [17487] = 5066,
  [17488] = 15816,
  [17489] = 15786,
  [17490] = 15786,
  [17491] = 15803,
  [17492] = 15805,
  [17493] = 5054,
  [17494] = 5055,
  [17495] = 5058,
  [17496] = 15794,
  [17497] = 15816,
  [17498] = 15794,
  [17499] = 15816,
  [17500] = 15794,
  [17501] = 15803,
  [17502] = 15786,
  [17503] = 15805,
  [17504] = 15786,
  [17505] = 8096,
  [17506] = 8112,
  [17507] = 8472,
  [17508] = 8469,
  [17509] = 8385,
  [17510] = 8244,
  [17511] = 8235,
  [17512] = 15816,
  [17513] = 17513,
  [17514] = 17514,
  [17515] = 17515,
  [17516] = 17516,
};

static TSCharacterRange sym__alpha_identifier_character_set_1[] = {
  {'$', '$'}, {'A', 'Z'}, {'_', '_'}, {'a', 'z'}, {0xaa, 0xaa}, {0xb5, 0xb5}, {0xba, 0xbb}, {0xc0, 0xd6},
  {0xd8, 0xf6}, {0xf8, 0x2c1}, {0x2c6, 0x2d1}, {0x2e0, 0x2e4}, {0x2ec, 0x2ec}, {0x2ee, 0x2ee}, {0x370, 0x374}, {0x376, 0x377},
  {0x37a, 0x37d}, {0x37f, 0x37f}, {0x386, 0x386}, {0x388, 0x38a}, {0x38c, 0x38c}, {0x38e, 0x3a1}, {0x3a3, 0x3f5}, {0x3f7, 0x481},
  {0x48a, 0x52f}, {0x531, 0x556}, {0x559, 0x559}, {0x560, 0x588}, {0x5d0, 0x5ea}, {0x5ef, 0x5f2}, {0x620, 0x64a}, {0x66e, 0x66f},
  {0x671, 0x6d3}, {0x6d5, 0x6d5}, {0x6e5, 0x6e6}, {0x6ee, 0x6ef}, {0x6fa, 0x6fc}, {0x6ff, 0x6ff}, {0x710, 0x710}, {0x712, 0x72f},
  {0x74d, 0x7a5}, {0x7b1, 0x7b1}, {0x7ca, 0x7ea}, {0x7f4, 0x7f5}, {0x7fa, 0x7fa}, {0x800, 0x815}, {0x81a, 0x81a}, {0x824, 0x824},
  {0x828, 0x828}, {0x840, 0x858}, {0x860, 0x86a}, {0x870, 0x887}, {0x889, 0x88e}, {0x8a0, 0x8c9}, {0x904, 0x939}, {0x93d, 0x93d},
  {0x950, 0x950}, {0x958, 0x961}, {0x971, 0x980}, {0x985, 0x98c}, {0x98f, 0x990}, {0x993, 0x9a8}, {0x9aa, 0x9b0}, {0x9b2, 0x9b2},
  {0x9b6, 0x9b9}, {0x9bd, 0x9bd}, {0x9ce, 0x9ce}, {0x9dc, 0x9dd}, {0x9df, 0x9e1}, {0x9f0, 0x9f1}, {0x9fc, 0x9fc}, {0xa05, 0xa0a},
  {0xa0f, 0xa10}, {0xa13, 0xa28}, {0xa2a, 0xa30}, {0xa32, 0xa33}, {0xa35, 0xa36}, {0xa38, 0xa39}, {0xa59, 0xa5c}, {0xa5e, 0xa5e},
  {0xa72, 0xa74}, {0xa85, 0xa8d}, {0xa8f, 0xa91}, {0xa93, 0xaa8}, {0xaaa, 0xab0}, {0xab2, 0xab3}, {0xab5, 0xab9}, {0xabd, 0xabd},
  {0xad0, 0xad0}, {0xae0, 0xae1}, {0xaf9, 0xaf9}, {0xb05, 0xb0c}, {0xb0f, 0xb10}, {0xb13, 0xb28}, {0xb2a, 0xb30}, {0xb32, 0xb33},
  {0xb35, 0xb39}, {0xb3d, 0xb3d}, {0xb5c, 0xb5d}, {0xb5f, 0xb61}, {0xb71, 0xb71}, {0xb83, 0xb83}, {0xb85, 0xb8a}, {0xb8e, 0xb90},
  {0xb92, 0xb95}, {0xb99, 0xb9a}, {0xb9c, 0xb9c}, {0xb9e, 0xb9f}, {0xba3, 0xba4}, {0xba8, 0xbaa}, {0xbae, 0xbb9}, {0xbd0, 0xbd0},
  {0xc05, 0xc0c}, {0xc0e, 0xc10}, {0xc12, 0xc28}, {0xc2a, 0xc39}, {0xc3d, 0xc3d}, {0xc58, 0xc5a}, {0xc5d, 0xc5d}, {0xc60, 0xc61},
  {0xc80, 0xc80}, {0xc85, 0xc8c}, {0xc8e, 0xc90}, {0xc92, 0xca8}, {0xcaa, 0xcb3}, {0xcb5, 0xcb9}, {0xcbd, 0xcbd}, {0xcdd, 0xcde},
  {0xce0, 0xce1}, {0xcf1, 0xcf2}, {0xd04, 0xd0c}, {0xd0e, 0xd10}, {0xd12, 0xd3a}, {0xd3d, 0xd3d}, {0xd4e, 0xd4e}, {0xd54, 0xd56},
  {0xd5f, 0xd61}, {0xd7a, 0xd7f}, {0xd85, 0xd96}, {0xd9a, 0xdb1}, {0xdb3, 0xdbb}, {0xdbd, 0xdbd}, {0xdc0, 0xdc6}, {0xe01, 0xe30},
  {0xe32, 0xe33}, {0xe40, 0xe46}, {0xe81, 0xe82}, {0xe84, 0xe84}, {0xe86, 0xe8a}, {0xe8c, 0xea3}, {0xea5, 0xea5}, {0xea7, 0xeb0},
  {0xeb2, 0xeb3}, {0xebd, 0xebd}, {0xec0, 0xec4}, {0xec6, 0xec6}, {0xedc, 0xedf}, {0xf00, 0xf00}, {0xf40, 0xf47}, {0xf49, 0xf6c},
  {0xf88, 0xf8c}, {0x1000, 0x102a}, {0x103f, 0x103f}, {0x1050, 0x1055}, {0x105a, 0x105d}, {0x1061, 0x1061}, {0x1065, 0x1066}, {0x106e, 0x1070},
  {0x1075, 0x1081}, {0x108e, 0x108e}, {0x10a0, 0x10c5}, {0x10c7, 0x10c7}, {0x10cd, 0x10cd}, {0x10d0, 0x10fa}, {0x10fc, 0x1248}, {0x124a, 0x124d},
  {0x1250, 0x1256}, {0x1258, 0x1258}, {0x125a, 0x125d}, {0x1260, 0x1288}, {0x128a, 0x128d}, {0x1290, 0x12b0}, {0x12b2, 0x12b5}, {0x12b8, 0x12be},
  {0x12c0, 0x12c0}, {0x12c2, 0x12c5}, {0x12c8, 0x12d6}, {0x12d8, 0x1310}, {0x1312, 0x1315}, {0x1318, 0x135a}, {0x1380, 0x138f}, {0x13a0, 0x13f5},
  {0x13f8, 0x13fd}, {0x1401, 0x166c}, {0x166f, 0x167f}, {0x1681, 0x169a}, {0x16a0, 0x16ea}, {0x16ee, 0x16f8}, {0x1700, 0x1711}, {0x171f, 0x1731},
  {0x1740, 0x1751}, {0x1760, 0x176c}, {0x176e, 0x1770}, {0x1780, 0x17b3}, {0x17d7, 0x17d7}, {0x17dc, 0x17dc}, {0x1820, 0x1878}, {0x1880, 0x1884},
  {0x1887, 0x18a8}, {0x18aa, 0x18aa}, {0x18b0, 0x18f5}, {0x1900, 0x191e}, {0x1950, 0x196d}, {0x1970, 0x1974}, {0x1980, 0x19ab}, {0x19b0, 0x19c9},
  {0x1a00, 0x1a16}, {0x1a20, 0x1a54}, {0x1aa7, 0x1aa7}, {0x1b05, 0x1b33}, {0x1b45, 0x1b4c}, {0x1b83, 0x1ba0}, {0x1bae, 0x1baf}, {0x1bba, 0x1be5},
  {0x1c00, 0x1c23}, {0x1c4d, 0x1c4f}, {0x1c5a, 0x1c7d}, {0x1c80, 0x1c88}, {0x1c90, 0x1cba}, {0x1cbd, 0x1cbf}, {0x1ce9, 0x1cec}, {0x1cee, 0x1cf3},
  {0x1cf5, 0x1cf6}, {0x1cfa, 0x1cfa}, {0x1d00, 0x1dbf}, {0x1e00, 0x1f15}, {0x1f18, 0x1f1d}, {0x1f20, 0x1f45}, {0x1f48, 0x1f4d}, {0x1f50, 0x1f57},
  {0x1f59, 0x1f59}, {0x1f5b, 0x1f5b}, {0x1f5d, 0x1f5d}, {0x1f5f, 0x1f7d}, {0x1f80, 0x1fb4}, {0x1fb6, 0x1fbc}, {0x1fbe, 0x1fbe}, {0x1fc2, 0x1fc4},
  {0x1fc6, 0x1fcc}, {0x1fd0, 0x1fd3}, {0x1fd6, 0x1fdb}, {0x1fe0, 0x1fec}, {0x1ff2, 0x1ff4}, {0x1ff6, 0x1ffc}, {0x2071, 0x2071}, {0x207f, 0x207f},
  {0x2090, 0x209c}, {0x2102, 0x2102}, {0x2107, 0x2107}, {0x210a, 0x2113}, {0x2115, 0x2115}, {0x2119, 0x211d}, {0x2124, 0x2124}, {0x2126, 0x2126},
  {0x2128, 0x2128}, {0x212a, 0x212d}, {0x212f, 0x2139}, {0x213c, 0x213f}, {0x2145, 0x2149}, {0x214e, 0x214e}, {0x2160, 0x2188}, {0x2c00, 0x2ce4},
  {0x2ceb, 0x2cee}, {0x2cf2, 0x2cf3}, {0x2d00, 0x2d25}, {0x2d27, 0x2d27}, {0x2d2d, 0x2d2d}, {0x2d30, 0x2d67}, {0x2d6f, 0x2d6f}, {0x2d80, 0x2d96},
  {0x2da0, 0x2da6}, {0x2da8, 0x2dae}, {0x2db0, 0x2db6}, {0x2db8, 0x2dbe}, {0x2dc0, 0x2dc6}, {0x2dc8, 0x2dce}, {0x2dd0, 0x2dd6}, {0x2dd8, 0x2dde},
  {0x2e2f, 0x2e2f}, {0x3005, 0x3007}, {0x3021, 0x3029}, {0x3031, 0x3035}, {0x3038, 0x303c}, {0x3041, 0x3096}, {0x309d, 0x309f}, {0x30a1, 0x30fa},
  {0x30fc, 0x30ff}, {0x3105, 0x312f}, {0x3131, 0x318e}, {0x31a0, 0x31bf}, {0x31f0, 0x31ff}, {0x3400, 0x3400}, {0x4dbf, 0x4dbf}, {0x4e00, 0x4e00},
  {0x9fff, 0xa48c}, {0xa4d0, 0xa4fd}, {0xa500, 0xa60c}, {0xa610, 0xa61f}, {0xa62a, 0xa62b}, {0xa640, 0xa66e}, {0xa67f, 0xa69d}, {0xa6a0, 0xa6ef},
  {0xa717, 0xa71f}, {0xa722, 0xa788}, {0xa78b, 0xa7ca}, {0xa7d0, 0xa7d1}, {0xa7d3, 0xa7d3}, {0xa7d5, 0xa7d9}, {0xa7f2, 0xa801}, {0xa803, 0xa805},
  {0xa807, 0xa80a}, {0xa80c, 0xa822}, {0xa840, 0xa873}, {0xa882, 0xa8b3}, {0xa8f2, 0xa8f7}, {0xa8fb, 0xa8fb}, {0xa8fd, 0xa8fe}, {0xa90a, 0xa925},
  {0xa930, 0xa946}, {0xa960, 0xa97c}, {0xa984, 0xa9b2}, {0xa9cf, 0xa9cf}, {0xa9e0, 0xa9e4}, {0xa9e6, 0xa9ef}, {0xa9fa, 0xa9fe}, {0xaa00, 0xaa28},
  {0xaa40, 0xaa42}, {0xaa44, 0xaa4b}, {0xaa60, 0xaa76}, {0xaa7a, 0xaa7a}, {0xaa7e, 0xaaaf}, {0xaab1, 0xaab1}, {0xaab5, 0xaab6}, {0xaab9, 0xaabd},
  {0xaac0, 0xaac0}, {0xaac2, 0xaac2}, {0xaadb, 0xaadd}, {0xaae0, 0xaaea}, {0xaaf2, 0xaaf4}, {0xab01, 0xab06}, {0xab09, 0xab0e}, {0xab11, 0xab16},
  {0xab20, 0xab26}, {0xab28, 0xab2e}, {0xab30, 0xab5a}, {0xab5c, 0xab69}, {0xab70, 0xabe2}, {0xac00, 0xac00}, {0xd7a3, 0xd7a3}, {0xd7b0, 0xd7c6},
  {0xd7cb, 0xd7fb}, {0xf900, 0xfa6d}, {0xfa70, 0xfad9}, {0xfb00, 0xfb06}, {0xfb13, 0xfb17}, {0xfb1d, 0xfb1d}, {0xfb1f, 0xfb28}, {0xfb2a, 0xfb36},
  {0xfb38, 0xfb3c}, {0xfb3e, 0xfb3e}, {0xfb40, 0xfb41}, {0xfb43, 0xfb44}, {0xfb46, 0xfbb1}, {0xfbd3, 0xfd3d}, {0xfd50, 0xfd8f}, {0xfd92, 0xfdc7},
  {0xfdf0, 0xfdfb}, {0xfe70, 0xfe74}, {0xfe76, 0xfefc}, {0xff21, 0xff3a}, {0xff41, 0xff5a}, {0xff66, 0xffbe}, {0xffc2, 0xffc7}, {0xffca, 0xffcf},
  {0xffd2, 0xffd7}, {0xffda, 0xffdc}, {0x10000, 0x1000b}, {0x1000d, 0x10026}, {0x10028, 0x1003a}, {0x1003c, 0x1003d}, {0x1003f, 0x1004d}, {0x10050, 0x1005d},
  {0x10080, 0x100fa}, {0x10140, 0x10174}, {0x10280, 0x1029c}, {0x102a0, 0x102d0}, {0x10300, 0x1031f}, {0x1032d, 0x1034a}, {0x10350, 0x10375}, {0x10380, 0x1039d},
  {0x103a0, 0x103c3}, {0x103c8, 0x103cf}, {0x103d1, 0x103d5}, {0x10400, 0x1049d}, {0x104b0, 0x104d3}, {0x104d8, 0x104fb}, {0x10500, 0x10527}, {0x10530, 0x10563},
  {0x10570, 0x1057a}, {0x1057c, 0x1058a}, {0x1058c, 0x10592}, {0x10594, 0x10595}, {0x10597, 0x105a1}, {0x105a3, 0x105b1}, {0x105b3, 0x105b9}, {0x105bb, 0x105bc},
  {0x10600, 0x10736}, {0x10740, 0x10755}, {0x10760, 0x10767}, {0x10780, 0x10785}, {0x10787, 0x107b0}, {0x107b2, 0x107ba}, {0x10800, 0x10805}, {0x10808, 0x10808},
  {0x1080a, 0x10835}, {0x10837, 0x10838}, {0x1083c, 0x1083c}, {0x1083f, 0x10855}, {0x10860, 0x10876}, {0x10880, 0x1089e}, {0x108e0, 0x108f2}, {0x108f4, 0x108f5},
  {0x10900, 0x10915}, {0x10920, 0x1092b},
};

static TSCharacterRange sym__alpha_identifier_character_set_2[] = {
  {'$', '$'}, {'0', '9'}, {'A', 'Z'}, {'_', '_'}, {'a', 'z'}, {0xaa, 0xaa}, {0xb5, 0xb5}, {0xba, 0xbb},
  {0xc0, 0xd6}, {0xd8, 0xf6}, {0xf8, 0x2c1}, {0x2c6, 0x2d1}, {0x2e0, 0x2e4}, {0x2ec, 0x2ec}, {0x2ee, 0x2ee}, {0x370, 0x374},
  {0x376, 0x377}, {0x37a, 0x37d}, {0x37f, 0x37f}, {0x386, 0x386}, {0x388, 0x38a}, {0x38c, 0x38c}, {0x38e, 0x3a1}, {0x3a3, 0x3f5},
  {0x3f7, 0x481}, {0x48a, 0x52f}, {0x531, 0x556}, {0x559, 0x559}, {0x560, 0x588}, {0x5d0, 0x5ea}, {0x5ef, 0x5f2}, {0x620, 0x64a},
  {0x66e, 0x66f}, {0x671, 0x6d3}, {0x6d5, 0x6d5}, {0x6e5, 0x6e6}, {0x6ee, 0x6ef}, {0x6fa, 0x6fc}, {0x6ff, 0x6ff}, {0x710, 0x710},
  {0x712, 0x72f}, {0x74d, 0x7a5}, {0x7b1, 0x7b1}, {0x7ca, 0x7ea}, {0x7f4, 0x7f5}, {0x7fa, 0x7fa}, {0x800, 0x815}, {0x81a, 0x81a},
  {0x824, 0x824}, {0x828, 0x828}, {0x840, 0x858}, {0x860, 0x86a}, {0x870, 0x887}, {0x889, 0x88e}, {0x8a0, 0x8c9}, {0x904, 0x939},
  {0x93d, 0x93d}, {0x950, 0x950}, {0x958, 0x961}, {0x971, 0x980}, {0x985, 0x98c}, {0x98f, 0x990}, {0x993, 0x9a8}, {0x9aa, 0x9b0},
  {0x9b2, 0x9b2}, {0x9b6, 0x9b9}, {0x9bd, 0x9bd}, {0x9ce, 0x9ce}, {0x9dc, 0x9dd}, {0x9df, 0x9e1}, {0x9f0, 0x9f1}, {0x9fc, 0x9fc},
  {0xa05, 0xa0a}, {0xa0f, 0xa10}, {0xa13, 0xa28}, {0xa2a, 0xa30}, {0xa32, 0xa33}, {0xa35, 0xa36}, {0xa38, 0xa39}, {0xa59, 0xa5c},
  {0xa5e, 0xa5e}, {0xa72, 0xa74}, {0xa85, 0xa8d}, {0xa8f, 0xa91}, {0xa93, 0xaa8}, {0xaaa, 0xab0}, {0xab2, 0xab3}, {0xab5, 0xab9},
  {0xabd, 0xabd}, {0xad0, 0xad0}, {0xae0, 0xae1}, {0xaf9, 0xaf9}, {0xb05, 0xb0c}, {0xb0f, 0xb10}, {0xb13, 0xb28}, {0xb2a, 0xb30},
  {0xb32, 0xb33}, {0xb35, 0xb39}, {0xb3d, 0xb3d}, {0xb5c, 0xb5d}, {0xb5f, 0xb61}, {0xb71, 0xb71}, {0xb83, 0xb83}, {0xb85, 0xb8a},
  {0xb8e, 0xb90}, {0xb92, 0xb95}, {0xb99, 0xb9a}, {0xb9c, 0xb9c}, {0xb9e, 0xb9f}, {0xba3, 0xba4}, {0xba8, 0xbaa}, {0xbae, 0xbb9},
  {0xbd0, 0xbd0}, {0xc05, 0xc0c}, {0xc0e, 0xc10}, {0xc12, 0xc28}, {0xc2a, 0xc39}, {0xc3d, 0xc3d}, {0xc58, 0xc5a}, {0xc5d, 0xc5d},
  {0xc60, 0xc61}, {0xc80, 0xc80}, {0xc85, 0xc8c}, {0xc8e, 0xc90}, {0xc92, 0xca8}, {0xcaa, 0xcb3}, {0xcb5, 0xcb9}, {0xcbd, 0xcbd},
  {0xcdd, 0xcde}, {0xce0, 0xce1}, {0xcf1, 0xcf2}, {0xd04, 0xd0c}, {0xd0e, 0xd10}, {0xd12, 0xd3a}, {0xd3d, 0xd3d}, {0xd4e, 0xd4e},
  {0xd54, 0xd56}, {0xd5f, 0xd61}, {0xd7a, 0xd7f}, {0xd85, 0xd96}, {0xd9a, 0xdb1}, {0xdb3, 0xdbb}, {0xdbd, 0xdbd}, {0xdc0, 0xdc6},
  {0xe01, 0xe30}, {0xe32, 0xe33}, {0xe40, 0xe46}, {0xe81, 0xe82}, {0xe84, 0xe84}, {0xe86, 0xe8a}, {0xe8c, 0xea3}, {0xea5, 0xea5},
  {0xea7, 0xeb0}, {0xeb2, 0xeb3}, {0xebd, 0xebd}, {0xec0, 0xec4}, {0xec6, 0xec6}, {0xedc, 0xedf}, {0xf00, 0xf00}, {0xf40, 0xf47},
  {0xf49, 0xf6c}, {0xf88, 0xf8c}, {0x1000, 0x102a}, {0x103f, 0x103f}, {0x1050, 0x1055}, {0x105a, 0x105d}, {0x1061, 0x1061}, {0x1065, 0x1066},
  {0x106e, 0x1070}, {0x1075, 0x1081}, {0x108e, 0x108e}, {0x10a0, 0x10c5}, {0x10c7, 0x10c7}, {0x10cd, 0x10cd}, {0x10d0, 0x10fa}, {0x10fc, 0x1248},
  {0x124a, 0x124d}, {0x1250, 0x1256}, {0x1258, 0x1258}, {0x125a, 0x125d}, {0x1260, 0x1288}, {0x128a, 0x128d}, {0x1290, 0x12b0}, {0x12b2, 0x12b5},
  {0x12b8, 0x12be}, {0x12c0, 0x12c0}, {0x12c2, 0x12c5}, {0x12c8, 0x12d6}, {0x12d8, 0x1310}, {0x1312, 0x1315}, {0x1318, 0x135a}, {0x1380, 0x138f},
  {0x13a0, 0x13f5}, {0x13f8, 0x13fd}, {0x1401, 0x166c}, {0x166f, 0x167f}, {0x1681, 0x169a}, {0x16a0, 0x16ea}, {0x16ee, 0x16f8}, {0x1700, 0x1711},
  {0x171f, 0x1731}, {0x1740, 0x1751}, {0x1760, 0x176c}, {0x176e, 0x1770}, {0x1780, 0x17b3}, {0x17d7, 0x17d7}, {0x17dc, 0x17dc}, {0x1820, 0x1878},
  {0x1880, 0x1884}, {0x1887, 0x18a8}, {0x18aa, 0x18aa}, {0x18b0, 0x18f5}, {0x1900, 0x191e}, {0x1950, 0x196d}, {0x1970, 0x1974}, {0x1980, 0x19ab},
  {0x19b0, 0x19c9}, {0x1a00, 0x1a16}, {0x1a20, 0x1a54}, {0x1aa7, 0x1aa7}, {0x1b05, 0x1b33}, {0x1b45, 0x1b4c}, {0x1b83, 0x1ba0}, {0x1bae, 0x1baf},
  {0x1bba, 0x1be5}, {0x1c00, 0x1c23}, {0x1c4d, 0x1c4f}, {0x1c5a, 0x1c7d}, {0x1c80, 0x1c88}, {0x1c90, 0x1cba}, {0x1cbd, 0x1cbf}, {0x1ce9, 0x1cec},
  {0x1cee, 0x1cf3}, {0x1cf5, 0x1cf6}, {0x1cfa, 0x1cfa}, {0x1d00, 0x1dbf}, {0x1e00, 0x1f15}, {0x1f18, 0x1f1d}, {0x1f20, 0x1f45}, {0x1f48, 0x1f4d},
  {0x1f50, 0x1f57}, {0x1f59, 0x1f59}, {0x1f5b, 0x1f5b}, {0x1f5d, 0x1f5d}, {0x1f5f, 0x1f7d}, {0x1f80, 0x1fb4}, {0x1fb6, 0x1fbc}, {0x1fbe, 0x1fbe},
  {0x1fc2, 0x1fc4}, {0x1fc6, 0x1fcc}, {0x1fd0, 0x1fd3}, {0x1fd6, 0x1fdb}, {0x1fe0, 0x1fec}, {0x1ff2, 0x1ff4}, {0x1ff6, 0x1ffc}, {0x2071, 0x2071},
  {0x207f, 0x207f}, {0x2090, 0x209c}, {0x2102, 0x2102}, {0x2107, 0x2107}, {0x210a, 0x2113}, {0x2115, 0x2115}, {0x2119, 0x211d}, {0x2124, 0x2124},
  {0x2126, 0x2126}, {0x2128, 0x2128}, {0x212a, 0x212d}, {0x212f, 0x2139}, {0x213c, 0x213f}, {0x2145, 0x2149}, {0x214e, 0x214e}, {0x2160, 0x2188},
  {0x2c00, 0x2ce4}, {0x2ceb, 0x2cee}, {0x2cf2, 0x2cf3}, {0x2d00, 0x2d25}, {0x2d27, 0x2d27}, {0x2d2d, 0x2d2d}, {0x2d30, 0x2d67}, {0x2d6f, 0x2d6f},
  {0x2d80, 0x2d96}, {0x2da0, 0x2da6}, {0x2da8, 0x2dae}, {0x2db0, 0x2db6}, {0x2db8, 0x2dbe}, {0x2dc0, 0x2dc6}, {0x2dc8, 0x2dce}, {0x2dd0, 0x2dd6},
  {0x2dd8, 0x2dde}, {0x2e2f, 0x2e2f}, {0x3005, 0x3007}, {0x3021, 0x3029}, {0x3031, 0x3035}, {0x3038, 0x303c}, {0x3041, 0x3096}, {0x309d, 0x309f},
  {0x30a1, 0x30fa}, {0x30fc, 0x30ff}, {0x3105, 0x312f}, {0x3131, 0x318e}, {0x31a0, 0x31bf}, {0x31f0, 0x31ff}, {0x3400, 0x3400}, {0x4dbf, 0x4dbf},
  {0x4e00, 0x4e00}, {0x9fff, 0xa48c}, {0xa4d0, 0xa4fd}, {0xa500, 0xa60c}, {0xa610, 0xa61f}, {0xa62a, 0xa62b}, {0xa640, 0xa66e}, {0xa67f, 0xa69d},
  {0xa6a0, 0xa6ef}, {0xa717, 0xa71f}, {0xa722, 0xa788}, {0xa78b, 0xa7ca}, {0xa7d0, 0xa7d1}, {0xa7d3, 0xa7d3}, {0xa7d5, 0xa7d9}, {0xa7f2, 0xa801},
  {0xa803, 0xa805}, {0xa807, 0xa80a}, {0xa80c, 0xa822}, {0xa840, 0xa873}, {0xa882, 0xa8b3}, {0xa8f2, 0xa8f7}, {0xa8fb, 0xa8fb}, {0xa8fd, 0xa8fe},
  {0xa90a, 0xa925}, {0xa930, 0xa946}, {0xa960, 0xa97c}, {0xa984, 0xa9b2}, {0xa9cf, 0xa9cf}, {0xa9e0, 0xa9e4}, {0xa9e6, 0xa9ef}, {0xa9fa, 0xa9fe},
  {0xaa00, 0xaa28}, {0xaa40, 0xaa42}, {0xaa44, 0xaa4b}, {0xaa60, 0xaa76}, {0xaa7a, 0xaa7a}, {0xaa7e, 0xaaaf}, {0xaab1, 0xaab1}, {0xaab5, 0xaab6},
  {0xaab9, 0xaabd}, {0xaac0, 0xaac0}, {0xaac2, 0xaac2}, {0xaadb, 0xaadd}, {0xaae0, 0xaaea}, {0xaaf2, 0xaaf4}, {0xab01, 0xab06}, {0xab09, 0xab0e},
  {0xab11, 0xab16}, {0xab20, 0xab26}, {0xab28, 0xab2e}, {0xab30, 0xab5a}, {0xab5c, 0xab69}, {0xab70, 0xabe2}, {0xac00, 0xac00}, {0xd7a3, 0xd7a3},
  {0xd7b0, 0xd7c6}, {0xd7cb, 0xd7fb}, {0xf900, 0xfa6d}, {0xfa70, 0xfad9}, {0xfb00, 0xfb06}, {0xfb13, 0xfb17}, {0xfb1d, 0xfb1d}, {0xfb1f, 0xfb28},
  {0xfb2a, 0xfb36}, {0xfb38, 0xfb3c}, {0xfb3e, 0xfb3e}, {0xfb40, 0xfb41}, {0xfb43, 0xfb44}, {0xfb46, 0xfbb1}, {0xfbd3, 0xfd3d}, {0xfd50, 0xfd8f},
  {0xfd92, 0xfdc7}, {0xfdf0, 0xfdfb}, {0xfe70, 0xfe74}, {0xfe76, 0xfefc}, {0xff21, 0xff3a}, {0xff41, 0xff5a}, {0xff66, 0xffbe}, {0xffc2, 0xffc7},
  {0xffca, 0xffcf}, {0xffd2, 0xffd7}, {0xffda, 0xffdc}, {0x10000, 0x1000b}, {0x1000d, 0x10026}, {0x10028, 0x1003a}, {0x1003c, 0x1003d}, {0x1003f, 0x1004d},
  {0x10050, 0x1005d}, {0x10080, 0x100fa}, {0x10140, 0x10174}, {0x10280, 0x1029c}, {0x102a0, 0x102d0}, {0x10300, 0x1031f}, {0x1032d, 0x1034a}, {0x10350, 0x10375},
  {0x10380, 0x1039d}, {0x103a0, 0x103c3}, {0x103c8, 0x103cf}, {0x103d1, 0x103d5}, {0x10400, 0x1049d}, {0x104b0, 0x104d3}, {0x104d8, 0x104fb}, {0x10500, 0x10527},
  {0x10530, 0x10563}, {0x10570, 0x1057a}, {0x1057c, 0x1058a}, {0x1058c, 0x10592}, {0x10594, 0x10595}, {0x10597, 0x105a1}, {0x105a3, 0x105b1}, {0x105b3, 0x105b9},
  {0x105bb, 0x105bc}, {0x10600, 0x10736}, {0x10740, 0x10755}, {0x10760, 0x10767}, {0x10780, 0x10785}, {0x10787, 0x107b0}, {0x107b2, 0x107ba}, {0x10800, 0x10805},
  {0x10808, 0x10808}, {0x1080a, 0x10835}, {0x10837, 0x10838}, {0x1083c, 0x1083c}, {0x1083f, 0x10855}, {0x10860, 0x10876}, {0x10880, 0x1089e}, {0x108e0, 0x108f2},
  {0x108f4, 0x108f5}, {0x10900, 0x10915}, {0x10920, 0x1092b},
};

static TSCharacterRange sym__alpha_identifier_character_set_3[] = {
  {'!', '!'}, {'#', '&'}, {'*', '+'}, {'-', '-'}, {'/', ':'}, {'<', 'Z'}, {'\\', '\\'}, {'^', '_'},
  {'a', 'z'}, {'|', '|'}, {'~', '~'}, {0xa6, 0xa6}, {0xa9, 0xaa}, {0xac, 0xac}, {0xae, 0xae}, {0xb0, 0xb1},
  {0xb5, 0xb5}, {0xba, 0xbb}, {0xc0, 0x2c1}, {0x2c6, 0x2d1}, {0x2e0, 0x2e4}, {0x2ec, 0x2ec}, {0x2ee, 0x2ee}, {0x370, 0x374},
  {0x376, 0x377}, {0x37a, 0x37d}, {0x37f, 0x37f}, {0x386, 0x386}, {0x388, 0x38a}, {0x38c, 0x38c}, {0x38e, 0x3a1}, {0x3a3, 0x482},
  {0x48a, 0x52f}, {0x531, 0x556}, {0x559, 0x559}, {0x560, 0x588}, {0x58d, 0x58e}, {0x5d0, 0x5ea}, {0x5ef, 0x5f2}, {0x606, 0x608},
  {0x60e, 0x60f}, {0x620, 0x64a}, {0x66e, 0x66f}, {0x671, 0x6d3}, {0x6d5, 0x6d5}, {0x6de, 0x6de}, {0x6e5, 0x6e6}, {0x6e9, 0x6e9},
  {0x6ee, 0x6ef}, {0x6fa, 0x6ff}, {0x710, 0x710}, {0x712, 0x72f}, {0x74d, 0x7a5}, {0x7b1, 0x7b1}, {0x7ca, 0x7ea}, {0x7f4, 0x7f6},
  {0x7fa, 0x7fa}, {0x800, 0x815}, {0x81a, 0x81a}, {0x824, 0x824}, {0x828, 0x828}, {0x840, 0x858}, {0x860, 0x86a}, {0x870, 0x887},
  {0x889, 0x88e}, {0x8a0, 0x8c9}, {0x904, 0x939}, {0x93d, 0x93d}, {0x950, 0x950}, {0x958, 0x961}, {0x971, 0x980}, {0x985, 0x98c},
  {0x98f, 0x990}, {0x993, 0x9a8}, {0x9aa, 0x9b0}, {0x9b2, 0x9b2}, {0x9b6, 0x9b9}, {0x9bd, 0x9bd}, {0x9ce, 0x9ce}, {0x9dc, 0x9dd},
  {0x9df, 0x9e1}, {0x9f0, 0x9f1}, {0x9fa, 0x9fa}, {0x9fc, 0x9fc}, {0xa05, 0xa0a}, {0xa0f, 0xa10}, {0xa13, 0xa28}, {0xa2a, 0xa30},
  {0xa32, 0xa33}, {0xa35, 0xa36}, {0xa38, 0xa39}, {0xa59, 0xa5c}, {0xa5e, 0xa5e}, {0xa72, 0xa74}, {0xa85, 0xa8d}, {0xa8f, 0xa91},
  {0xa93, 0xaa8}, {0xaaa, 0xab0}, {0xab2, 0xab3}, {0xab5, 0xab9}, {0xabd, 0xabd}, {0xad0, 0xad0}, {0xae0, 0xae1}, {0xaf9, 0xaf9},
  {0xb05, 0xb0c}, {0xb0f, 0xb10}, {0xb13, 0xb28}, {0xb2a, 0xb30}, {0xb32, 0xb33}, {0xb35, 0xb39}, {0xb3d, 0xb3d}, {0xb5c, 0xb5d},
  {0xb5f, 0xb61}, {0xb70, 0xb71}, {0xb83, 0xb83}, {0xb85, 0xb8a}, {0xb8e, 0xb90}, {0xb92, 0xb95}, {0xb99, 0xb9a}, {0xb9c, 0xb9c},
  {0xb9e, 0xb9f}, {0xba3, 0xba4}, {0xba8, 0xbaa}, {0xbae, 0xbb9}, {0xbd0, 0xbd0}, {0xbf3, 0xbf8}, {0xbfa, 0xbfa}, {0xc05, 0xc0c},
  {0xc0e, 0xc10}, {0xc12, 0xc28}, {0xc2a, 0xc39}, {0xc3d, 0xc3d}, {0xc58, 0xc5a}, {0xc5d, 0xc5d}, {0xc60, 0xc61}, {0xc7f, 0xc80},
  {0xc85, 0xc8c}, {0xc8e, 0xc90}, {0xc92, 0xca8}, {0xcaa, 0xcb3}, {0xcb5, 0xcb9}, {0xcbd, 0xcbd}, {0xcdd, 0xcde}, {0xce0, 0xce1},
  {0xcf1, 0xcf2}, {0xd04, 0xd0c}, {0xd0e, 0xd10}, {0xd12, 0xd3a}, {0xd3d, 0xd3d}, {0xd4e, 0xd4f}, {0xd54, 0xd56}, {0xd5f, 0xd61},
  {0xd79, 0xd7f}, {0xd85, 0xd96}, {0xd9a, 0xdb1}, {0xdb3, 0xdbb}, {0xdbd, 0xdbd}, {0xdc0, 0xdc6}, {0xe01, 0xe30}, {0xe32, 0xe33},
  {0xe40, 0xe46}, {0xe81, 0xe82}, {0xe84, 0xe84}, {0xe86, 0xe8a}, {0xe8c, 0xea3}, {0xea5, 0xea5}, {0xea7, 0xeb0}, {0xeb2, 0xeb3},
  {0xebd, 0xebd}, {0xec0, 0xec4}, {0xec6, 0xec6}, {0xedc, 0xedf}, {0xf00, 0xf03}, {0xf13, 0xf13}, {0xf15, 0xf17}, {0xf1a, 0xf1f},
  {0xf34, 0xf34}, {0xf36, 0xf36}, {0xf38, 0xf38}, {0xf40, 0xf47}, {0xf49, 0xf6c}, {0xf88, 0xf8c}, {0xfbe, 0xfc5}, {0xfc7, 0xfcc},
  {0xfce, 0xfcf}, {0xfd5, 0xfd8}, {0x1000, 0x102a}, {0x103f, 0x103f}, {0x1050, 0x1055}, {0x105a, 0x105d}, {0x1061, 0x1061}, {0x1065, 0x1066},
  {0x106e, 0x1070}, {0x1075, 0x1081}, {0x108e, 0x108e}, {0x109e, 0x10c5}, {0x10c7, 0x10c7}, {0x10cd, 0x10cd}, {0x10d0, 0x10fa}, {0x10fc, 0x1248},
  {0x124a, 0x124d}, {0x1250, 0x1256}, {0x1258, 0x1258}, {0x125a, 0x125d}, {0x1260, 0x1288}, {0x128a, 0x128d}, {0x1290, 0x12b0}, {0x12b2, 0x12b5},
  {0x12b8, 0x12be}, {0x12c0, 0x12c0}, {0x12c2, 0x12c5}, {0x12c8, 0x12d6}, {0x12d8, 0x1310}, {0x1312, 0x1315}, {0x1318, 0x135a}, {0x1380, 0x1399},
  {0x13a0, 0x13f5}, {0x13f8, 0x13fd}, {0x1401, 0x166d}, {0x166f, 0x167f}, {0x1681, 0x169a}, {0x16a0, 0x16ea}, {0x16ee, 0x16f8}, {0x1700, 0x1711},
  {0x171f, 0x1731}, {0x1740, 0x1751}, {0x1760, 0x176c}, {0x176e, 0x1770}, {0x1780, 0x17b3}, {0x17d7, 0x17d7}, {0x17dc, 0x17dc}, {0x1820, 0x1878},
  {0x1880, 0x1884}, {0x1887, 0x18a8}, {0x18aa, 0x18aa}, {0x18b0, 0x18f5}, {0x1900, 0x191e}, {0x1940, 0x1940}, {0x1950, 0x196d}, {0x1970, 0x1974},
  {0x1980, 0x19ab}, {0x19b0, 0x19c9}, {0x19de, 0x1a16}, {0x1a20, 0x1a54}, {0x1aa7, 0x1aa7}, {0x1b05, 0x1b33}, {0x1b45, 0x1b4c}, {0x1b61, 0x1b6a},
  {0x1b74, 0x1b7c}, {0x1b83, 0x1ba0}, {0x1bae, 0x1baf}, {0x1bba, 0x1be5}, {0x1c00, 0x1c23}, {0x1c4d, 0x1c4f}, {0x1c5a, 0x1c7d}, {0x1c80, 0x1c88},
  {0x1c90, 0x1cba}, {0x1cbd, 0x1cbf}, {0x1ce9, 0x1cec}, {0x1cee, 0x1cf3}, {0x1cf5, 0x1cf6}, {0x1cfa, 0x1cfa}, {0x1d00, 0x1dbf}, {0x1e00, 0x1f15},
  {0x1f18, 0x1f1d}, {0x1f20, 0x1f45}, {0x1f48, 0x1f4d}, {0x1f50, 0x1f57}, {0x1f59, 0x1f59}, {0x1f5b, 0x1f5b}, {0x1f5d, 0x1f5d}, {0x1f5f, 0x1f7d},
  {0x1f80, 0x1fb4}, {0x1fb6, 0x1fbc}, {0x1fbe, 0x1fbe}, {0x1fc2, 0x1fc4}, {0x1fc6, 0x1fcc}, {0x1fd0, 0x1fd3}, {0x1fd6, 0x1fdb}, {0x1fe0, 0x1fec},
  {0x1ff2, 0x1ff4}, {0x1ff6, 0x1ffc}, {0x2044, 0x2044}, {0x2052, 0x2052}, {0x2071, 0x2071}, {0x207a, 0x207c}, {0x207f, 0x207f}, {0x208a, 0x208c},
  {0x2090, 0x209c}, {0x2100, 0x214f}, {0x2160, 0x2188}, {0x218a, 0x218b}, {0x2190, 0x2307}, {0x230c, 0x2328}, {0x232b, 0x2426}, {0x2440, 0x244a},
  {0x249c, 0x24e9}, {0x2500, 0x2767}, {0x2794, 0x27c4}, {0x27c7, 0x27e5}, {0x27f0, 0x2982}, {0x2999, 0x29d7}, {0x29dc, 0x29fb}, {0x29fe, 0x2b73},
  {0x2b76, 0x2b95}, {0x2b97, 0x2cee}, {0x2cf2, 0x2cf3}, {0x2d00, 0x2d25}, {0x2d27, 0x2d27}, {0x2d2d, 0x2d2d}, {0x2d30, 0x2d67}, {0x2d6f, 0x2d6f},
  {0x2d80, 0x2d96}, {0x2da0, 0x2da6}, {0x2da8, 0x2dae}, {0x2db0, 0x2db6}, {0x2db8, 0x2dbe}, {0x2dc0, 0x2dc6}, {0x2dc8, 0x2dce}, {0x2dd0, 0x2dd6},
  {0x2dd8, 0x2dde}, {0x2e2f, 0x2e2f}, {0x2e50, 0x2e51}, {0x2e80, 0x2e99}, {0x2e9b, 0x2ef3}, {0x2f00, 0x2fd5}, {0x2ff0, 0x2ffb}, {0x3004, 0x3007},
  {0x3012, 0x3013}, {0x3020, 0x3029}, {0x3031, 0x303c}, {0x303e, 0x303f}, {0x3041, 0x3096}, {0x309d, 0x309f}, {0x30a1, 0x30fa}, {0x30fc, 0x30ff},
  {0x3105, 0x312f}, {0x3131, 0x318e}, {0x3190, 0x3191}, {0x3196, 0x31e3}, {0x31f0, 0x321e}, {0x322a, 0x3247}, {0x3250, 0x3250}, {0x3260, 0x327f},
  {0x328a, 0x32b0}, {0x32c0, 0x3400}, {0x4dbf, 0x4e00}, {0x9fff, 0xa48c}, {0xa490, 0xa4c6}, {0xa4d0, 0xa4fd}, {0xa500, 0xa60c}, {0xa610, 0xa61f},
  {0xa62a, 0xa62b}, {0xa640, 0xa66e}, {0xa67f, 0xa69d}, {0xa6a0, 0xa6ef}, {0xa717, 0xa71f}, {0xa722, 0xa788}, {0xa78b, 0xa7ca}, {0xa7d0, 0xa7d1},
  {0xa7d3, 0xa7d3}, {0xa7d5, 0xa7d9}, {0xa7f2, 0xa801}, {0xa803, 0xa805}, {0xa807, 0xa80a}, {0xa80c, 0xa822}, {0xa828, 0xa82b}, {0xa836, 0xa837},
  {0xa839, 0xa839}, {0xa840, 0xa873}, {0xa882, 0xa8b3}, {0xa8f2, 0xa8f7}, {0xa8fb, 0xa8fb}, {0xa8fd, 0xa8fe}, {0xa90a, 0xa925}, {0xa930, 0xa946},
  {0xa960, 0xa97c}, {0xa984, 0xa9b2}, {0xa9cf, 0xa9cf}, {0xa9e0, 0xa9e4}, {0xa9e6, 0xa9ef}, {0xa9fa, 0xa9fe}, {0xaa00, 0xaa28}, {0xaa40, 0xaa42},
  {0xaa44, 0xaa4b}, {0xaa60, 0xaa7a}, {0xaa7e, 0xaaaf}, {0xaab1, 0xaab1}, {0xaab5, 0xaab6}, {0xaab9, 0xaabd}, {0xaac0, 0xaac0}, {0xaac2, 0xaac2},
  {0xaadb, 0xaadd}, {0xaae0, 0xaaea}, {0xaaf2, 0xaaf4}, {0xab01, 0xab06}, {0xab09, 0xab0e}, {0xab11, 0xab16}, {0xab20, 0xab26}, {0xab28, 0xab2e},
  {0xab30, 0xab5a}, {0xab5c, 0xab69}, {0xab70, 0xabe2}, {0xac00, 0xac00}, {0xd7a3, 0xd7a3}, {0xd7b0, 0xd7c6}, {0xd7cb, 0xd7fb}, {0xf900, 0xfa6d},
  {0xfa70, 0xfad9}, {0xfb00, 0xfb06}, {0xfb13, 0xfb17}, {0xfb1d, 0xfb1d}, {0xfb1f, 0xfb36}, {0xfb38, 0xfb3c}, {0xfb3e, 0xfb3e}, {0xfb40, 0xfb41},
  {0xfb43, 0xfb44}, {0xfb46, 0xfbb1}, {0xfbd3, 0xfd3d}, {0xfd40, 0xfd8f}, {0xfd92, 0xfdc7}, {0xfdcf, 0xfdcf}, {0xfdf0, 0xfdfb}, {0xfdfd, 0xfdff},
  {0xfe62, 0xfe62}, {0xfe64, 0xfe66}, {0xfe70, 0xfe74}, {0xfe76, 0xfefc}, {0xff0b, 0xff0b}, {0xff1c, 0xff1e}, {0xff21, 0xff3a}, {0xff41, 0xff5a},
  {0xff5c, 0xff5c}, {0xff5e, 0xff5e}, {0xff66, 0xffbe}, {0xffc2, 0xffc7}, {0xffca, 0xffcf}, {0xffd2, 0xffd7}, {0xffda, 0xffdc}, {0xffe2, 0xffe2},
  {0xffe4, 0xffe4}, {0xffe8, 0xffee}, {0xfffc, 0xfffd}, {0x10000, 0x1000b}, {0x1000d, 0x10026}, {0x10028, 0x1003a}, {0x1003c, 0x1003d}, {0x1003f, 0x1004d},
  {0x10050, 0x1005d}, {0x10080, 0x100fa}, {0x10137, 0x10174}, {0x10179, 0x10189}, {0x1018c, 0x1018e}, {0x10190, 0x1019c}, {0x101a0, 0x101a0}, {0x101d0, 0x101fc},
  {0x10280, 0x1029c}, {0x102a0, 0x102d0}, {0x10300, 0x1031f}, {0x1032d, 0x1034a}, {0x10350, 0x10375}, {0x10380, 0x1039d}, {0x103a0, 0x103c3}, {0x103c8, 0x103cf},
  {0x103d1, 0x103d5}, {0x10400, 0x1049d}, {0x104b0, 0x104d3}, {0x104d8, 0x104fb}, {0x10500, 0x10527}, {0x10530, 0x10563}, {0x10570, 0x1057a}, {0x1057c, 0x1058a},
  {0x1058c, 0x10592}, {0x10594, 0x10595}, {0x10597, 0x105a1}, {0x105a3, 0x105b1}, {0x105b3, 0x105b9}, {0x105bb, 0x105bc}, {0x10600, 0x10736}, {0x10740, 0x10755},
  {0x10760, 0x10767}, {0x10780, 0x10785}, {0x10787, 0x107b0}, {0x107b2, 0x107ba}, {0x10800, 0x10805}, {0x10808, 0x10808}, {0x1080a, 0x10835}, {0x10837, 0x10838},
  {0x1083c, 0x1083c}, {0x1083f, 0x10855}, {0x10860, 0x10878}, {0x10880, 0x1089e}, {0x108e0, 0x108f2}, {0x108f4, 0x108f5}, {0x10900, 0x10915}, {0x10920, 0x1092b},
};

static TSCharacterRange sym__alpha_identifier_character_set_4[] = {
  {'!', '!'}, {'#', '#'}, {'%', '&'}, {'*', '+'}, {'-', '-'}, {'/', '/'}, {':', ':'}, {'<', '@'},
  {'\\', '\\'}, {'^', '^'}, {'|', '|'}, {'~', '~'}, {0xa6, 0xa6}, {0xa9, 0xa9}, {0xac, 0xac}, {0xae, 0xae},
  {0xb0, 0xb1}, {0xd7, 0xd7}, {0xf7, 0xf7}, {0x3f6, 0x3f6}, {0x482, 0x482}, {0x58d, 0x58e}, {0x606, 0x608}, {0x60e, 0x60f},
  {0x6de, 0x6de}, {0x6e9, 0x6e9}, {0x6fd, 0x6fe}, {0x7f6, 0x7f6}, {0x9fa, 0x9fa}, {0xb70, 0xb70}, {0xbf3, 0xbf8}, {0xbfa, 0xbfa},
  {0xc7f, 0xc7f}, {0xd4f, 0xd4f}, {0xd79, 0xd79}, {0xf01, 0xf03}, {0xf13, 0xf13}, {0xf15, 0xf17}, {0xf1a, 0xf1f}, {0xf34, 0xf34},
  {0xf36, 0xf36}, {0xf38, 0xf38}, {0xfbe, 0xfc5}, {0xfc7, 0xfcc}, {0xfce, 0xfcf}, {0xfd5, 0xfd8}, {0x109e, 0x109f}, {0x1390, 0x1399},
  {0x166d, 0x166d}, {0x1940, 0x1940}, {0x19de, 0x19ff}, {0x1b61, 0x1b6a}, {0x1b74, 0x1b7c}, {0x2044, 0x2044}, {0x2052, 0x2052}, {0x207a, 0x207c},
  {0x208a, 0x208c}, {0x2100, 0x2101}, {0x2103, 0x2106}, {0x2108, 0x2109}, {0x2114, 0x2114}, {0x2116, 0x2118}, {0x211e, 0x2123}, {0x2125, 0x2125},
  {0x2127, 0x2127}, {0x2129, 0x2129}, {0x212e, 0x212e}, {0x213a, 0x213b}, {0x2140, 0x2144}, {0x214a, 0x214d}, {0x214f, 0x214f}, {0x218a, 0x218b},
  {0x2190, 0x2307}, {0x230c, 0x2328}, {0x232b, 0x2426}, {0x2440, 0x244a}, {0x249c, 0x24e9}, {0x2500, 0x2767}, {0x2794, 0x27c4}, {0x27c7, 0x27e5},
  {0x27f0, 0x2982}, {0x2999, 0x29d7}, {0x29dc, 0x29fb}, {0x29fe, 0x2b73}, {0x2b76, 0x2b95}, {0x2b97, 0x2bff}, {0x2ce5, 0x2cea}, {0x2e50, 0x2e51},
  {0x2e80, 0x2e99}, {0x2e9b, 0x2ef3}, {0x2f00, 0x2fd5}, {0x2ff0, 0x2ffb}, {0x3004, 0x3004}, {0x3012, 0x3013}, {0x3020, 0x3020}, {0x3036, 0x3037},
  {0x303e, 0x303f}, {0x3190, 0x3191}, {0x3196, 0x319f}, {0x31c0, 0x31e3}, {0x3200, 0x321e}, {0x322a, 0x3247}, {0x3250, 0x3250}, {0x3260, 0x327f},
  {0x328a, 0x32b0}, {0x32c0, 0x33ff}, {0x4dc0, 0x4dff}, {0xa490, 0xa4c6}, {0xa828, 0xa82b}, {0xa836, 0xa837}, {0xa839, 0xa839}, {0xaa77, 0xaa79},
  {0xfb29, 0xfb29}, {0xfd40, 0xfd4f}, {0xfdcf, 0xfdcf}, {0xfdfd, 0xfdff}, {0xfe62, 0xfe62}, {0xfe64, 0xfe66}, {0xff0b, 0xff0b}, {0xff1c, 0xff1e},
  {0xff5c, 0xff5c}, {0xff5e, 0xff5e}, {0xffe2, 0xffe2}, {0xffe4, 0xffe4}, {0xffe8, 0xffee}, {0xfffc, 0xfffd}, {0x10137, 0x1013f}, {0x10179, 0x10189},
  {0x1018c, 0x1018e}, {0x10190, 0x1019c}, {0x101a0, 0x101a0}, {0x101d0, 0x101fc}, {0x10877, 0x10878},
};

static TSCharacterRange sym__interpolation_identifier_character_set_1[] = {
  {'A', 'Z'}, {'_', '_'}, {'a', 'z'}, {0xaa, 0xaa}, {0xb5, 0xb5}, {0xba, 0xbb}, {0xc0, 0xd6}, {0xd8, 0xf6},
  {0xf8, 0x2c1}, {0x2c6, 0x2d1}, {0x2e0, 0x2e4}, {0x2ec, 0x2ec}, {0x2ee, 0x2ee}, {0x370, 0x374}, {0x376, 0x377}, {0x37a, 0x37d},
  {0x37f, 0x37f}, {0x386, 0x386}, {0x388, 0x38a}, {0x38c, 0x38c}, {0x38e, 0x3a1}, {0x3a3, 0x3f5}, {0x3f7, 0x481}, {0x48a, 0x52f},
  {0x531, 0x556}, {0x559, 0x559}, {0x560, 0x588}, {0x5d0, 0x5ea}, {0x5ef, 0x5f2}, {0x620, 0x64a}, {0x66e, 0x66f}, {0x671, 0x6d3},
  {0x6d5, 0x6d5}, {0x6e5, 0x6e6}, {0x6ee, 0x6ef}, {0x6fa, 0x6fc}, {0x6ff, 0x6ff}, {0x710, 0x710}, {0x712, 0x72f}, {0x74d, 0x7a5},
  {0x7b1, 0x7b1}, {0x7ca, 0x7ea}, {0x7f4, 0x7f5}, {0x7fa, 0x7fa}, {0x800, 0x815}, {0x81a, 0x81a}, {0x824, 0x824}, {0x828, 0x828},
  {0x840, 0x858}, {0x860, 0x86a}, {0x870, 0x887}, {0x889, 0x88e}, {0x8a0, 0x8c9}, {0x904, 0x939}, {0x93d, 0x93d}, {0x950, 0x950},
  {0x958, 0x961}, {0x971, 0x980}, {0x985, 0x98c}, {0x98f, 0x990}, {0x993, 0x9a8}, {0x9aa, 0x9b0}, {0x9b2, 0x9b2}, {0x9b6, 0x9b9},
  {0x9bd, 0x9bd}, {0x9ce, 0x9ce}, {0x9dc, 0x9dd}, {0x9df, 0x9e1}, {0x9f0, 0x9f1}, {0x9fc, 0x9fc}, {0xa05, 0xa0a}, {0xa0f, 0xa10},
  {0xa13, 0xa28}, {0xa2a, 0xa30}, {0xa32, 0xa33}, {0xa35, 0xa36}, {0xa38, 0xa39}, {0xa59, 0xa5c}, {0xa5e, 0xa5e}, {0xa72, 0xa74},
  {0xa85, 0xa8d}, {0xa8f, 0xa91}, {0xa93, 0xaa8}, {0xaaa, 0xab0}, {0xab2, 0xab3}, {0xab5, 0xab9}, {0xabd, 0xabd}, {0xad0, 0xad0},
  {0xae0, 0xae1}, {0xaf9, 0xaf9}, {0xb05, 0xb0c}, {0xb0f, 0xb10}, {0xb13, 0xb28}, {0xb2a, 0xb30}, {0xb32, 0xb33}, {0xb35, 0xb39},
  {0xb3d, 0xb3d}, {0xb5c, 0xb5d}, {0xb5f, 0xb61}, {0xb71, 0xb71}, {0xb83, 0xb83}, {0xb85, 0xb8a}, {0xb8e, 0xb90}, {0xb92, 0xb95},
  {0xb99, 0xb9a}, {0xb9c, 0xb9c}, {0xb9e, 0xb9f}, {0xba3, 0xba4}, {0xba8, 0xbaa}, {0xbae, 0xbb9}, {0xbd0, 0xbd0}, {0xc05, 0xc0c},
  {0xc0e, 0xc10}, {0xc12, 0xc28}, {0xc2a, 0xc39}, {0xc3d, 0xc3d}, {0xc58, 0xc5a}, {0xc5d, 0xc5d}, {0xc60, 0xc61}, {0xc80, 0xc80},
  {0xc85, 0xc8c}, {0xc8e, 0xc90}, {0xc92, 0xca8}, {0xcaa, 0xcb3}, {0xcb5, 0xcb9}, {0xcbd, 0xcbd}, {0xcdd, 0xcde}, {0xce0, 0xce1},
  {0xcf1, 0xcf2}, {0xd04, 0xd0c}, {0xd0e, 0xd10}, {0xd12, 0xd3a}, {0xd3d, 0xd3d}, {0xd4e, 0xd4e}, {0xd54, 0xd56}, {0xd5f, 0xd61},
  {0xd7a, 0xd7f}, {0xd85, 0xd96}, {0xd9a, 0xdb1}, {0xdb3, 0xdbb}, {0xdbd, 0xdbd}, {0xdc0, 0xdc6}, {0xe01, 0xe30}, {0xe32, 0xe33},
  {0xe40, 0xe46}, {0xe81, 0xe82}, {0xe84, 0xe84}, {0xe86, 0xe8a}, {0xe8c, 0xea3}, {0xea5, 0xea5}, {0xea7, 0xeb0}, {0xeb2, 0xeb3},
  {0xebd, 0xebd}, {0xec0, 0xec4}, {0xec6, 0xec6}, {0xedc, 0xedf}, {0xf00, 0xf00}, {0xf40, 0xf47}, {0xf49, 0xf6c}, {0xf88, 0xf8c},
  {0x1000, 0x102a}, {0x103f, 0x103f}, {0x1050, 0x1055}, {0x105a, 0x105d}, {0x1061, 0x1061}, {0x1065, 0x1066}, {0x106e, 0x1070}, {0x1075, 0x1081},
  {0x108e, 0x108e}, {0x10a0, 0x10c5}, {0x10c7, 0x10c7}, {0x10cd, 0x10cd}, {0x10d0, 0x10fa}, {0x10fc, 0x1248}, {0x124a, 0x124d}, {0x1250, 0x1256},
  {0x1258, 0x1258}, {0x125a, 0x125d}, {0x1260, 0x1288}, {0x128a, 0x128d}, {0x1290, 0x12b0}, {0x12b2, 0x12b5}, {0x12b8, 0x12be}, {0x12c0, 0x12c0},
  {0x12c2, 0x12c5}, {0x12c8, 0x12d6}, {0x12d8, 0x1310}, {0x1312, 0x1315}, {0x1318, 0x135a}, {0x1380, 0x138f}, {0x13a0, 0x13f5}, {0x13f8, 0x13fd},
  {0x1401, 0x166c}, {0x166f, 0x167f}, {0x1681, 0x169a}, {0x16a0, 0x16ea}, {0x16ee, 0x16f8}, {0x1700, 0x1711}, {0x171f, 0x1731}, {0x1740, 0x1751},
  {0x1760, 0x176c}, {0x176e, 0x1770}, {0x1780, 0x17b3}, {0x17d7, 0x17d7}, {0x17dc, 0x17dc}, {0x1820, 0x1878}, {0x1880, 0x1884}, {0x1887, 0x18a8},
  {0x18aa, 0x18aa}, {0x18b0, 0x18f5}, {0x1900, 0x191e}, {0x1950, 0x196d}, {0x1970, 0x1974}, {0x1980, 0x19ab}, {0x19b0, 0x19c9}, {0x1a00, 0x1a16},
  {0x1a20, 0x1a54}, {0x1aa7, 0x1aa7}, {0x1b05, 0x1b33}, {0x1b45, 0x1b4c}, {0x1b83, 0x1ba0}, {0x1bae, 0x1baf}, {0x1bba, 0x1be5}, {0x1c00, 0x1c23},
  {0x1c4d, 0x1c4f}, {0x1c5a, 0x1c7d}, {0x1c80, 0x1c88}, {0x1c90, 0x1cba}, {0x1cbd, 0x1cbf}, {0x1ce9, 0x1cec}, {0x1cee, 0x1cf3}, {0x1cf5, 0x1cf6},
  {0x1cfa, 0x1cfa}, {0x1d00, 0x1dbf}, {0x1e00, 0x1f15}, {0x1f18, 0x1f1d}, {0x1f20, 0x1f45}, {0x1f48, 0x1f4d}, {0x1f50, 0x1f57}, {0x1f59, 0x1f59},
  {0x1f5b, 0x1f5b}, {0x1f5d, 0x1f5d}, {0x1f5f, 0x1f7d}, {0x1f80, 0x1fb4}, {0x1fb6, 0x1fbc}, {0x1fbe, 0x1fbe}, {0x1fc2, 0x1fc4}, {0x1fc6, 0x1fcc},
  {0x1fd0, 0x1fd3}, {0x1fd6, 0x1fdb}, {0x1fe0, 0x1fec}, {0x1ff2, 0x1ff4}, {0x1ff6, 0x1ffc}, {0x2071, 0x2071}, {0x207f, 0x207f}, {0x2090, 0x209c},
  {0x2102, 0x2102}, {0x2107, 0x2107}, {0x210a, 0x2113}, {0x2115, 0x2115}, {0x2119, 0x211d}, {0x2124, 0x2124}, {0x2126, 0x2126}, {0x2128, 0x2128},
  {0x212a, 0x212d}, {0x212f, 0x2139}, {0x213c, 0x213f}, {0x2145, 0x2149}, {0x214e, 0x214e}, {0x2160, 0x2188}, {0x2c00, 0x2ce4}, {0x2ceb, 0x2cee},
  {0x2cf2, 0x2cf3}, {0x2d00, 0x2d25}, {0x2d27, 0x2d27}, {0x2d2d, 0x2d2d}, {0x2d30, 0x2d67}, {0x2d6f, 0x2d6f}, {0x2d80, 0x2d96}, {0x2da0, 0x2da6},
  {0x2da8, 0x2dae}, {0x2db0, 0x2db6}, {0x2db8, 0x2dbe}, {0x2dc0, 0x2dc6}, {0x2dc8, 0x2dce}, {0x2dd0, 0x2dd6}, {0x2dd8, 0x2dde}, {0x2e2f, 0x2e2f},
  {0x3005, 0x3007}, {0x3021, 0x3029}, {0x3031, 0x3035}, {0x3038, 0x303c}, {0x3041, 0x3096}, {0x309d, 0x309f}, {0x30a1, 0x30fa}, {0x30fc, 0x30ff},
  {0x3105, 0x312f}, {0x3131, 0x318e}, {0x31a0, 0x31bf}, {0x31f0, 0x31ff}, {0x3400, 0x3400}, {0x4dbf, 0x4dbf}, {0x4e00, 0x4e00}, {0x9fff, 0xa48c},
  {0xa4d0, 0xa4fd}, {0xa500, 0xa60c}, {0xa610, 0xa61f}, {0xa62a, 0xa62b}, {0xa640, 0xa66e}, {0xa67f, 0xa69d}, {0xa6a0, 0xa6ef}, {0xa717, 0xa71f},
  {0xa722, 0xa788}, {0xa78b, 0xa7ca}, {0xa7d0, 0xa7d1}, {0xa7d3, 0xa7d3}, {0xa7d5, 0xa7d9}, {0xa7f2, 0xa801}, {0xa803, 0xa805}, {0xa807, 0xa80a},
  {0xa80c, 0xa822}, {0xa840, 0xa873}, {0xa882, 0xa8b3}, {0xa8f2, 0xa8f7}, {0xa8fb, 0xa8fb}, {0xa8fd, 0xa8fe}, {0xa90a, 0xa925}, {0xa930, 0xa946},
  {0xa960, 0xa97c}, {0xa984, 0xa9b2}, {0xa9cf, 0xa9cf}, {0xa9e0, 0xa9e4}, {0xa9e6, 0xa9ef}, {0xa9fa, 0xa9fe}, {0xaa00, 0xaa28}, {0xaa40, 0xaa42},
  {0xaa44, 0xaa4b}, {0xaa60, 0xaa76}, {0xaa7a, 0xaa7a}, {0xaa7e, 0xaaaf}, {0xaab1, 0xaab1}, {0xaab5, 0xaab6}, {0xaab9, 0xaabd}, {0xaac0, 0xaac0},
  {0xaac2, 0xaac2}, {0xaadb, 0xaadd}, {0xaae0, 0xaaea}, {0xaaf2, 0xaaf4}, {0xab01, 0xab06}, {0xab09, 0xab0e}, {0xab11, 0xab16}, {0xab20, 0xab26},
  {0xab28, 0xab2e}, {0xab30, 0xab5a}, {0xab5c, 0xab69}, {0xab70, 0xabe2}, {0xac00, 0xac00}, {0xd7a3, 0xd7a3}, {0xd7b0, 0xd7c6}, {0xd7cb, 0xd7fb},
  {0xf900, 0xfa6d}, {0xfa70, 0xfad9}, {0xfb00, 0xfb06}, {0xfb13, 0xfb17}, {0xfb1d, 0xfb1d}, {0xfb1f, 0xfb28}, {0xfb2a, 0xfb36}, {0xfb38, 0xfb3c},
  {0xfb3e, 0xfb3e}, {0xfb40, 0xfb41}, {0xfb43, 0xfb44}, {0xfb46, 0xfbb1}, {0xfbd3, 0xfd3d}, {0xfd50, 0xfd8f}, {0xfd92, 0xfdc7}, {0xfdf0, 0xfdfb},
  {0xfe70, 0xfe74}, {0xfe76, 0xfefc}, {0xff21, 0xff3a}, {0xff41, 0xff5a}, {0xff66, 0xffbe}, {0xffc2, 0xffc7}, {0xffca, 0xffcf}, {0xffd2, 0xffd7},
  {0xffda, 0xffdc}, {0x10000, 0x1000b}, {0x1000d, 0x10026}, {0x10028, 0x1003a}, {0x1003c, 0x1003d}, {0x1003f, 0x1004d}, {0x10050, 0x1005d}, {0x10080, 0x100fa},
  {0x10140, 0x10174}, {0x10280, 0x1029c}, {0x102a0, 0x102d0}, {0x10300, 0x1031f}, {0x1032d, 0x1034a}, {0x10350, 0x10375}, {0x10380, 0x1039d}, {0x103a0, 0x103c3},
  {0x103c8, 0x103cf}, {0x103d1, 0x103d5}, {0x10400, 0x1049d}, {0x104b0, 0x104d3}, {0x104d8, 0x104fb}, {0x10500, 0x10527}, {0x10530, 0x10563}, {0x10570, 0x1057a},
  {0x1057c, 0x1058a}, {0x1058c, 0x10592}, {0x10594, 0x10595}, {0x10597, 0x105a1}, {0x105a3, 0x105b1}, {0x105b3, 0x105b9}, {0x105bb, 0x105bc}, {0x10600, 0x10736},
  {0x10740, 0x10755}, {0x10760, 0x10767}, {0x10780, 0x10785}, {0x10787, 0x107b0}, {0x107b2, 0x107ba}, {0x10800, 0x10805}, {0x10808, 0x10808}, {0x1080a, 0x10835},
  {0x10837, 0x10838}, {0x1083c, 0x1083c}, {0x1083f, 0x10855}, {0x10860, 0x10876}, {0x10880, 0x1089e}, {0x108e0, 0x108f2}, {0x108f4, 0x108f5}, {0x10900, 0x10915},
  {0x10920, 0x1092b},
};

static TSCharacterRange sym__interpolation_identifier_character_set_2[] = {
  {'0', '9'}, {'A', 'Z'}, {'_', '_'}, {'a', 'z'}, {0xaa, 0xaa}, {0xb5, 0xb5}, {0xba, 0xbb}, {0xc0, 0xd6},
  {0xd8, 0xf6}, {0xf8, 0x2c1}, {0x2c6, 0x2d1}, {0x2e0, 0x2e4}, {0x2ec, 0x2ec}, {0x2ee, 0x2ee}, {0x370, 0x374}, {0x376, 0x377},
  {0x37a, 0x37d}, {0x37f, 0x37f}, {0x386, 0x386}, {0x388, 0x38a}, {0x38c, 0x38c}, {0x38e, 0x3a1}, {0x3a3, 0x3f5}, {0x3f7, 0x481},
  {0x48a, 0x52f}, {0x531, 0x556}, {0x559, 0x559}, {0x560, 0x588}, {0x5d0, 0x5ea}, {0x5ef, 0x5f2}, {0x620, 0x64a}, {0x66e, 0x66f},
  {0x671, 0x6d3}, {0x6d5, 0x6d5}, {0x6e5, 0x6e6}, {0x6ee, 0x6ef}, {0x6fa, 0x6fc}, {0x6ff, 0x6ff}, {0x710, 0x710}, {0x712, 0x72f},
  {0x74d, 0x7a5}, {0x7b1, 0x7b1}, {0x7ca, 0x7ea}, {0x7f4, 0x7f5}, {0x7fa, 0x7fa}, {0x800, 0x815}, {0x81a, 0x81a}, {0x824, 0x824},
  {0x828, 0x828}, {0x840, 0x858}, {0x860, 0x86a}, {0x870, 0x887}, {0x889, 0x88e}, {0x8a0, 0x8c9}, {0x904, 0x939}, {0x93d, 0x93d},
  {0x950, 0x950}, {0x958, 0x961}, {0x971, 0x980}, {0x985, 0x98c}, {0x98f, 0x990}, {0x993, 0x9a8}, {0x9aa, 0x9b0}, {0x9b2, 0x9b2},
  {0x9b6, 0x9b9}, {0x9bd, 0x9bd}, {0x9ce, 0x9ce}, {0x9dc, 0x9dd}, {0x9df, 0x9e1}, {0x9f0, 0x9f1}, {0x9fc, 0x9fc}, {0xa05, 0xa0a},
  {0xa0f, 0xa10}, {0xa13, 0xa28}, {0xa2a, 0xa30}, {0xa32, 0xa33}, {0xa35, 0xa36}, {0xa38, 0xa39}, {0xa59, 0xa5c}, {0xa5e, 0xa5e},
  {0xa72, 0xa74}, {0xa85, 0xa8d}, {0xa8f, 0xa91}, {0xa93, 0xaa8}, {0xaaa, 0xab0}, {0xab2, 0xab3}, {0xab5, 0xab9}, {0xabd, 0xabd},
  {0xad0, 0xad0}, {0xae0, 0xae1}, {0xaf9, 0xaf9}, {0xb05, 0xb0c}, {0xb0f, 0xb10}, {0xb13, 0xb28}, {0xb2a, 0xb30}, {0xb32, 0xb33},
  {0xb35, 0xb39}, {0xb3d, 0xb3d}, {0xb5c, 0xb5d}, {0xb5f, 0xb61}, {0xb71, 0xb71}, {0xb83, 0xb83}, {0xb85, 0xb8a}, {0xb8e, 0xb90},
  {0xb92, 0xb95}, {0xb99, 0xb9a}, {0xb9c, 0xb9c}, {0xb9e, 0xb9f}, {0xba3, 0xba4}, {0xba8, 0xbaa}, {0xbae, 0xbb9}, {0xbd0, 0xbd0},
  {0xc05, 0xc0c}, {0xc0e, 0xc10}, {0xc12, 0xc28}, {0xc2a, 0xc39}, {0xc3d, 0xc3d}, {0xc58, 0xc5a}, {0xc5d, 0xc5d}, {0xc60, 0xc61},
  {0xc80, 0xc80}, {0xc85, 0xc8c}, {0xc8e, 0xc90}, {0xc92, 0xca8}, {0xcaa, 0xcb3}, {0xcb5, 0xcb9}, {0xcbd, 0xcbd}, {0xcdd, 0xcde},
  {0xce0, 0xce1}, {0xcf1, 0xcf2}, {0xd04, 0xd0c}, {0xd0e, 0xd10}, {0xd12, 0xd3a}, {0xd3d, 0xd3d}, {0xd4e, 0xd4e}, {0xd54, 0xd56},
  {0xd5f, 0xd61}, {0xd7a, 0xd7f}, {0xd85, 0xd96}, {0xd9a, 0xdb1}, {0xdb3, 0xdbb}, {0xdbd, 0xdbd}, {0xdc0, 0xdc6}, {0xe01, 0xe30},
  {0xe32, 0xe33}, {0xe40, 0xe46}, {0xe81, 0xe82}, {0xe84, 0xe84}, {0xe86, 0xe8a}, {0xe8c, 0xea3}, {0xea5, 0xea5}, {0xea7, 0xeb0},
  {0xeb2, 0xeb3}, {0xebd, 0xebd}, {0xec0, 0xec4}, {0xec6, 0xec6}, {0xedc, 0xedf}, {0xf00, 0xf00}, {0xf40, 0xf47}, {0xf49, 0xf6c},
  {0xf88, 0xf8c}, {0x1000, 0x102a}, {0x103f, 0x103f}, {0x1050, 0x1055}, {0x105a, 0x105d}, {0x1061, 0x1061}, {0x1065, 0x1066}, {0x106e, 0x1070},
  {0x1075, 0x1081}, {0x108e, 0x108e}, {0x10a0, 0x10c5}, {0x10c7, 0x10c7}, {0x10cd, 0x10cd}, {0x10d0, 0x10fa}, {0x10fc, 0x1248}, {0x124a, 0x124d},
  {0x1250, 0x1256}, {0x1258, 0x1258}, {0x125a, 0x125d}, {0x1260, 0x1288}, {0x128a, 0x128d}, {0x1290, 0x12b0}, {0x12b2, 0x12b5}, {0x12b8, 0x12be},
  {0x12c0, 0x12c0}, {0x12c2, 0x12c5}, {0x12c8, 0x12d6}, {0x12d8, 0x1310}, {0x1312, 0x1315}, {0x1318, 0x135a}, {0x1380, 0x138f}, {0x13a0, 0x13f5},
  {0x13f8, 0x13fd}, {0x1401, 0x166c}, {0x166f, 0x167f}, {0x1681, 0x169a}, {0x16a0, 0x16ea}, {0x16ee, 0x16f8}, {0x1700, 0x1711}, {0x171f, 0x1731},
  {0x1740, 0x1751}, {0x1760, 0x176c}, {0x176e, 0x1770}, {0x1780, 0x17b3}, {0x17d7, 0x17d7}, {0x17dc, 0x17dc}, {0x1820, 0x1878}, {0x1880, 0x1884},
  {0x1887, 0x18a8}, {0x18aa, 0x18aa}, {0x18b0, 0x18f5}, {0x1900, 0x191e}, {0x1950, 0x196d}, {0x1970, 0x1974}, {0x1980, 0x19ab}, {0x19b0, 0x19c9},
  {0x1a00, 0x1a16}, {0x1a20, 0x1a54}, {0x1aa7, 0x1aa7}, {0x1b05, 0x1b33}, {0x1b45, 0x1b4c}, {0x1b83, 0x1ba0}, {0x1bae, 0x1baf}, {0x1bba, 0x1be5},
  {0x1c00, 0x1c23}, {0x1c4d, 0x1c4f}, {0x1c5a, 0x1c7d}, {0x1c80, 0x1c88}, {0x1c90, 0x1cba}, {0x1cbd, 0x1cbf}, {0x1ce9, 0x1cec}, {0x1cee, 0x1cf3},
  {0x1cf5, 0x1cf6}, {0x1cfa, 0x1cfa}, {0x1d00, 0x1dbf}, {0x1e00, 0x1f15}, {0x1f18, 0x1f1d}, {0x1f20, 0x1f45}, {0x1f48, 0x1f4d}, {0x1f50, 0x1f57},
  {0x1f59, 0x1f59}, {0x1f5b, 0x1f5b}, {0x1f5d, 0x1f5d}, {0x1f5f, 0x1f7d}, {0x1f80, 0x1fb4}, {0x1fb6, 0x1fbc}, {0x1fbe, 0x1fbe}, {0x1fc2, 0x1fc4},
  {0x1fc6, 0x1fcc}, {0x1fd0, 0x1fd3}, {0x1fd6, 0x1fdb}, {0x1fe0, 0x1fec}, {0x1ff2, 0x1ff4}, {0x1ff6, 0x1ffc}, {0x2071, 0x2071}, {0x207f, 0x207f},
  {0x2090, 0x209c}, {0x2102, 0x2102}, {0x2107, 0x2107}, {0x210a, 0x2113}, {0x2115, 0x2115}, {0x2119, 0x211d}, {0x2124, 0x2124}, {0x2126, 0x2126},
  {0x2128, 0x2128}, {0x212a, 0x212d}, {0x212f, 0x2139}, {0x213c, 0x213f}, {0x2145, 0x2149}, {0x214e, 0x214e}, {0x2160, 0x2188}, {0x2c00, 0x2ce4},
  {0x2ceb, 0x2cee}, {0x2cf2, 0x2cf3}, {0x2d00, 0x2d25}, {0x2d27, 0x2d27}, {0x2d2d, 0x2d2d}, {0x2d30, 0x2d67}, {0x2d6f, 0x2d6f}, {0x2d80, 0x2d96},
  {0x2da0, 0x2da6}, {0x2da8, 0x2dae}, {0x2db0, 0x2db6}, {0x2db8, 0x2dbe}, {0x2dc0, 0x2dc6}, {0x2dc8, 0x2dce}, {0x2dd0, 0x2dd6}, {0x2dd8, 0x2dde},
  {0x2e2f, 0x2e2f}, {0x3005, 0x3007}, {0x3021, 0x3029}, {0x3031, 0x3035}, {0x3038, 0x303c}, {0x3041, 0x3096}, {0x309d, 0x309f}, {0x30a1, 0x30fa},
  {0x30fc, 0x30ff}, {0x3105, 0x312f}, {0x3131, 0x318e}, {0x31a0, 0x31bf}, {0x31f0, 0x31ff}, {0x3400, 0x3400}, {0x4dbf, 0x4dbf}, {0x4e00, 0x4e00},
  {0x9fff, 0xa48c}, {0xa4d0, 0xa4fd}, {0xa500, 0xa60c}, {0xa610, 0xa61f}, {0xa62a, 0xa62b}, {0xa640, 0xa66e}, {0xa67f, 0xa69d}, {0xa6a0, 0xa6ef},
  {0xa717, 0xa71f}, {0xa722, 0xa788}, {0xa78b, 0xa7ca}, {0xa7d0, 0xa7d1}, {0xa7d3, 0xa7d3}, {0xa7d5, 0xa7d9}, {0xa7f2, 0xa801}, {0xa803, 0xa805},
  {0xa807, 0xa80a}, {0xa80c, 0xa822}, {0xa840, 0xa873}, {0xa882, 0xa8b3}, {0xa8f2, 0xa8f7}, {0xa8fb, 0xa8fb}, {0xa8fd, 0xa8fe}, {0xa90a, 0xa925},
  {0xa930, 0xa946}, {0xa960, 0xa97c}, {0xa984, 0xa9b2}, {0xa9cf, 0xa9cf}, {0xa9e0, 0xa9e4}, {0xa9e6, 0xa9ef}, {0xa9fa, 0xa9fe}, {0xaa00, 0xaa28},
  {0xaa40, 0xaa42}, {0xaa44, 0xaa4b}, {0xaa60, 0xaa76}, {0xaa7a, 0xaa7a}, {0xaa7e, 0xaaaf}, {0xaab1, 0xaab1}, {0xaab5, 0xaab6}, {0xaab9, 0xaabd},
  {0xaac0, 0xaac0}, {0xaac2, 0xaac2}, {0xaadb, 0xaadd}, {0xaae0, 0xaaea}, {0xaaf2, 0xaaf4}, {0xab01, 0xab06}, {0xab09, 0xab0e}, {0xab11, 0xab16},
  {0xab20, 0xab26}, {0xab28, 0xab2e}, {0xab30, 0xab5a}, {0xab5c, 0xab69}, {0xab70, 0xabe2}, {0xac00, 0xac00}, {0xd7a3, 0xd7a3}, {0xd7b0, 0xd7c6},
  {0xd7cb, 0xd7fb}, {0xf900, 0xfa6d}, {0xfa70, 0xfad9}, {0xfb00, 0xfb06}, {0xfb13, 0xfb17}, {0xfb1d, 0xfb1d}, {0xfb1f, 0xfb28}, {0xfb2a, 0xfb36},
  {0xfb38, 0xfb3c}, {0xfb3e, 0xfb3e}, {0xfb40, 0xfb41}, {0xfb43, 0xfb44}, {0xfb46, 0xfbb1}, {0xfbd3, 0xfd3d}, {0xfd50, 0xfd8f}, {0xfd92, 0xfdc7},
  {0xfdf0, 0xfdfb}, {0xfe70, 0xfe74}, {0xfe76, 0xfefc}, {0xff21, 0xff3a}, {0xff41, 0xff5a}, {0xff66, 0xffbe}, {0xffc2, 0xffc7}, {0xffca, 0xffcf},
  {0xffd2, 0xffd7}, {0xffda, 0xffdc}, {0x10000, 0x1000b}, {0x1000d, 0x10026}, {0x10028, 0x1003a}, {0x1003c, 0x1003d}, {0x1003f, 0x1004d}, {0x10050, 0x1005d},
  {0x10080, 0x100fa}, {0x10140, 0x10174}, {0x10280, 0x1029c}, {0x102a0, 0x102d0}, {0x10300, 0x1031f}, {0x1032d, 0x1034a}, {0x10350, 0x10375}, {0x10380, 0x1039d},
  {0x103a0, 0x103c3}, {0x103c8, 0x103cf}, {0x103d1, 0x103d5}, {0x10400, 0x1049d}, {0x104b0, 0x104d3}, {0x104d8, 0x104fb}, {0x10500, 0x10527}, {0x10530, 0x10563},
  {0x10570, 0x1057a}, {0x1057c, 0x1058a}, {0x1058c, 0x10592}, {0x10594, 0x10595}, {0x10597, 0x105a1}, {0x105a3, 0x105b1}, {0x105b3, 0x105b9}, {0x105bb, 0x105bc},
  {0x10600, 0x10736}, {0x10740, 0x10755}, {0x10760, 0x10767}, {0x10780, 0x10785}, {0x10787, 0x107b0}, {0x107b2, 0x107ba}, {0x10800, 0x10805}, {0x10808, 0x10808},
  {0x1080a, 0x10835}, {0x10837, 0x10838}, {0x1083c, 0x1083c}, {0x1083f, 0x10855}, {0x10860, 0x10876}, {0x10880, 0x1089e}, {0x108e0, 0x108f2}, {0x108f4, 0x108f5},
  {0x10900, 0x10915}, {0x10920, 0x1092b},
};

static TSCharacterRange sym_operator_identifier_character_set_1[] = {
  {'!', '!'}, {'#', '#'}, {'%', '&'}, {'+', '+'}, {'-', '-'}, {':', ':'}, {'<', '@'}, {'\\', '\\'},
  {'^', '^'}, {'|', '|'}, {'~', '~'}, {0xa6, 0xa6}, {0xa9, 0xa9}, {0xac, 0xac}, {0xae, 0xae}, {0xb0, 0xb1},
  {0xd7, 0xd7}, {0xf7, 0xf7}, {0x3f6, 0x3f6}, {0x482, 0x482}, {0x58d, 0x58e}, {0x606, 0x608}, {0x60e, 0x60f}, {0x6de, 0x6de},
  {0x6e9, 0x6e9}, {0x6fd, 0x6fe}, {0x7f6, 0x7f6}, {0x9fa, 0x9fa}, {0xb70, 0xb70}, {0xbf3, 0xbf8}, {0xbfa, 0xbfa}, {0xc7f, 0xc7f},
  {0xd4f, 0xd4f}, {0xd79, 0xd79}, {0xf01, 0xf03}, {0xf13, 0xf13}, {0xf15, 0xf17}, {0xf1a, 0xf1f}, {0xf34, 0xf34}, {0xf36, 0xf36},
  {0xf38, 0xf38}, {0xfbe, 0xfc5}, {0xfc7, 0xfcc}, {0xfce, 0xfcf}, {0xfd5, 0xfd8}, {0x109e, 0x109f}, {0x1390, 0x1399}, {0x166d, 0x166d},
  {0x1940, 0x1940}, {0x19de, 0x19ff}, {0x1b61, 0x1b6a}, {0x1b74, 0x1b7c}, {0x2044, 0x2044}, {0x2052, 0x2052}, {0x207a, 0x207c}, {0x208a, 0x208c},
  {0x2100, 0x2101}, {0x2103, 0x2106}, {0x2108, 0x2109}, {0x2114, 0x2114}, {0x2116, 0x2118}, {0x211e, 0x2123}, {0x2125, 0x2125}, {0x2127, 0x2127},
  {0x2129, 0x2129}, {0x212e, 0x212e}, {0x213a, 0x213b}, {0x2140, 0x2144}, {0x214a, 0x214d}, {0x214f, 0x214f}, {0x218a, 0x218b}, {0x2190, 0x2307},
  {0x230c, 0x2328}, {0x232b, 0x2426}, {0x2440, 0x244a}, {0x249c, 0x24e9}, {0x2500, 0x2767}, {0x2794, 0x27c4}, {0x27c7, 0x27e5}, {0x27f0, 0x2982},
  {0x2999, 0x29d7}, {0x29dc, 0x29fb}, {0x29fe, 0x2b73}, {0x2b76, 0x2b95}, {0x2b97, 0x2bff}, {0x2ce5, 0x2cea}, {0x2e50, 0x2e51}, {0x2e80, 0x2e99},
  {0x2e9b, 0x2ef3}, {0x2f00, 0x2fd5}, {0x2ff0, 0x2ffb}, {0x3004, 0x3004}, {0x3012, 0x3013}, {0x3020, 0x3020}, {0x3036, 0x3037}, {0x303e, 0x303f},
  {0x3190, 0x3191}, {0x3196, 0x319f}, {0x31c0, 0x31e3}, {0x3200, 0x321e}, {0x322a, 0x3247}, {0x3250, 0x3250}, {0x3260, 0x327f}, {0x328a, 0x32b0},
  {0x32c0, 0x33ff}, {0x4dc0, 0x4dff}, {0xa490, 0xa4c6}, {0xa828, 0xa82b}, {0xa836, 0xa837}, {0xa839, 0xa839}, {0xaa77, 0xaa79}, {0xfb29, 0xfb29},
  {0xfd40, 0xfd4f}, {0xfdcf, 0xfdcf}, {0xfdfd, 0xfdff}, {0xfe62, 0xfe62}, {0xfe64, 0xfe66}, {0xff0b, 0xff0b}, {0xff1c, 0xff1e}, {0xff5c, 0xff5c},
  {0xff5e, 0xff5e}, {0xffe2, 0xffe2}, {0xffe4, 0xffe4}, {0xffe8, 0xffee}, {0xfffc, 0xfffd}, {0x10137, 0x1013f}, {0x10179, 0x10189}, {0x1018c, 0x1018e},
  {0x10190, 0x1019c}, {0x101a0, 0x101a0}, {0x101d0, 0x101fc}, {0x10877, 0x10878},
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(64);
      ADVANCE_MAP(
        '!', 104,
        '"', 138,
        '#', 97,
        '$', 109,
        '\'', 110,
        '(', 94,
        ')', 95,
        '*', 72,
        '+', 78,
        ',', 69,
        '-', 81,
        '.', 71,
        '/', 22,
        '0', 129,
        ':', 65,
        ';', 96,
        '<', 12,
        '=', 91,
        '>', 150,
        '?', 26,
        '@', 88,
        '[', 76,
        ']', 77,
        '`', 45,
        '{', 67,
        '|', 102,
        '}', 68,
        '~', 106,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(46);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(130);
      if (set_contains(sym__interpolation_identifier_character_set_2, 434, lookahead)) ADVANCE(112);
      END_STATE();
    case 1:
      if (lookahead == '\n') SKIP(1);
      if (lookahead == '*') ADVANCE(162);
      if (lookahead == '/') ADVANCE(160);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(161);
      if (lookahead != 0) ADVANCE(159);
      END_STATE();
    case 2:
      ADVANCE_MAP(
        '!', 105,
        '$', 109,
        '\'', 110,
        '(', 94,
        '+', 79,
        '-', 80,
        '.', 37,
        '/', 119,
        '0', 129,
        ':', 66,
        '=', 29,
        '[', 76,
        '`', 45,
        '{', 67,
        '~', 107,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(2);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(130);
      if (lookahead == '@' ||
          lookahead == 0x3f6 ||
          (0x606 <= lookahead && lookahead <= 0x608) ||
          lookahead == 0x2044 ||
          lookahead == 0x2052 ||
          (0x207a <= lookahead && lookahead <= 0x207c) ||
          (0x208a <= lookahead && lookahead <= 0x208c) ||
          lookahead == 0x2118 ||
          (0x2140 <= lookahead && lookahead <= 0x2144) ||
          lookahead == 0x214b ||
          lookahead == 0x219a ||
          lookahead == 0x219b ||
          lookahead == 0x21a0 ||
          lookahead == 0x21a3 ||
          lookahead == 0x21a6 ||
          lookahead == 0x21ae ||
          lookahead == 0x21ce ||
          lookahead == 0x21cf ||
          lookahead == 0x21d2 ||
          lookahead == 0x21d4 ||
          (0x21f4 <= lookahead && lookahead <= 0x22ff) ||
          lookahead == 0x2320 ||
          lookahead == 0x2321 ||
          lookahead == 0x237c ||
          (0x239b <= lookahead && lookahead <= 0x23b3) ||
          (0x23dc <= lookahead && lookahead <= 0x23e1) ||
          lookahead == 0x25b7 ||
          lookahead == 0x25c1 ||
          (0x25f8 <= lookahead && lookahead <= 0x25ff) ||
          lookahead == 0x266f ||
          (0x27c0 <= lookahead && lookahead <= 0x27c4) ||
          (0x27c7 <= lookahead && lookahead <= 0x27e5) ||
          (0x27f0 <= lookahead && lookahead <= 0x27ff) ||
          (0x2900 <= lookahead && lookahead <= 0x2982) ||
          (0x2999 <= lookahead && lookahead <= 0x29d7) ||
          (0x29dc <= lookahead && lookahead <= 0x29fb) ||
          (0x29fe <= lookahead && lookahead <= 0x2aff) ||
          (0x2b30 <= lookahead && lookahead <= 0x2b44) ||
          (0x2b47 <= lookahead && lookahead <= 0x2b4c) ||
          lookahead == 0xfb29 ||
          lookahead == 0xfe62 ||
          (0xfe64 <= lookahead && lookahead <= 0xfe66) ||
          lookahead == 0xff0b ||
          (0xff1c <= lookahead && lookahead <= 0xff1e) ||
          lookahead == 0xff5c ||
          lookahead == 0xff5e ||
          lookahead == 0xffe2 ||
          (0xffe9 <= lookahead && lookahead <= 0xffec)) ADVANCE(35);
      if (set_contains(sym__alpha_identifier_character_set_4, 133, lookahead)) ADVANCE(125);
      if (set_contains(sym__interpolation_identifier_character_set_2, 434, lookahead)) ADVANCE(112);
      END_STATE();
    case 3:
      ADVANCE_MAP(
        '"', 138,
        '(', 94,
        ')', 95,
        '*', 73,
        ',', 69,
        '.', 70,
        '/', 119,
        ':', 66,
        '<', 120,
        '=', 93,
        '@', 89,
        '[', 76,
        ']', 77,
        '`', 45,
        '|', 103,
        '}', 68,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(3);
      if (lookahead == 0x3f6 ||
          (0x606 <= lookahead && lookahead <= 0x608) ||
          lookahead == 0x2044 ||
          lookahead == 0x2052 ||
          (0x207a <= lookahead && lookahead <= 0x207c) ||
          (0x208a <= lookahead && lookahead <= 0x208c) ||
          lookahead == 0x2118 ||
          (0x2140 <= lookahead && lookahead <= 0x2144) ||
          lookahead == 0x214b ||
          lookahead == 0x219a ||
          lookahead == 0x219b ||
          lookahead == 0x21a0 ||
          lookahead == 0x21a3 ||
          lookahead == 0x21a6 ||
          lookahead == 0x21ae ||
          lookahead == 0x21ce ||
          lookahead == 0x21cf ||
          lookahead == 0x21d2 ||
          lookahead == 0x21d4 ||
          (0x21f4 <= lookahead && lookahead <= 0x22ff) ||
          lookahead == 0x2320 ||
          lookahead == 0x2321 ||
          lookahead == 0x237c ||
          (0x239b <= lookahead && lookahead <= 0x23b3) ||
          (0x23dc <= lookahead && lookahead <= 0x23e1) ||
          lookahead == 0x25b7 ||
          lookahead == 0x25c1 ||
          (0x25f8 <= lookahead && lookahead <= 0x25ff) ||
          lookahead == 0x266f ||
          (0x27c0 <= lookahead && lookahead <= 0x27c4) ||
          (0x27c7 <= lookahead && lookahead <= 0x27e5) ||
          (0x27f0 <= lookahead && lookahead <= 0x27ff) ||
          (0x2900 <= lookahead && lookahead <= 0x2982) ||
          (0x2999 <= lookahead && lookahead <= 0x29d7) ||
          (0x29dc <= lookahead && lookahead <= 0x29fb) ||
          (0x29fe <= lookahead && lookahead <= 0x2aff) ||
          (0x2b30 <= lookahead && lookahead <= 0x2b44) ||
          (0x2b47 <= lookahead && lookahead <= 0x2b4c) ||
          lookahead == 0xfb29 ||
          lookahead == 0xfe62 ||
          (0xfe64 <= lookahead && lookahead <= 0xfe66) ||
          lookahead == 0xff0b ||
          (0xff1c <= lookahead && lookahead <= 0xff1e) ||
          lookahead == 0xff5c ||
          lookahead == 0xff5e ||
          lookahead == 0xffe2 ||
          (0xffe9 <= lookahead && lookahead <= 0xffec)) ADVANCE(35);
      if (set_contains(sym_operator_identifier_character_set_1, 132, lookahead)) ADVANCE(125);
      if (set_contains(sym__alpha_identifier_character_set_1, 434, lookahead)) ADVANCE(112);
      END_STATE();
    case 4:
      ADVANCE_MAP(
        '"', 138,
        '(', 94,
        '*', 73,
        '.', 70,
        '/', 119,
        ':', 66,
        '=', 29,
        '@', 89,
        '`', 45,
        '|', 103,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(4);
      if (lookahead == 0x3f6 ||
          (0x606 <= lookahead && lookahead <= 0x608) ||
          lookahead == 0x2044 ||
          lookahead == 0x2052 ||
          (0x207a <= lookahead && lookahead <= 0x207c) ||
          (0x208a <= lookahead && lookahead <= 0x208c) ||
          lookahead == 0x2118 ||
          (0x2140 <= lookahead && lookahead <= 0x2144) ||
          lookahead == 0x214b ||
          lookahead == 0x219a ||
          lookahead == 0x219b ||
          lookahead == 0x21a0 ||
          lookahead == 0x21a3 ||
          lookahead == 0x21a6 ||
          lookahead == 0x21ae ||
          lookahead == 0x21ce ||
          lookahead == 0x21cf ||
          lookahead == 0x21d2 ||
          lookahead == 0x21d4 ||
          (0x21f4 <= lookahead && lookahead <= 0x22ff) ||
          lookahead == 0x2320 ||
          lookahead == 0x2321 ||
          lookahead == 0x237c ||
          (0x239b <= lookahead && lookahead <= 0x23b3) ||
          (0x23dc <= lookahead && lookahead <= 0x23e1) ||
          lookahead == 0x25b7 ||
          lookahead == 0x25c1 ||
          (0x25f8 <= lookahead && lookahead <= 0x25ff) ||
          lookahead == 0x266f ||
          (0x27c0 <= lookahead && lookahead <= 0x27c4) ||
          (0x27c7 <= lookahead && lookahead <= 0x27e5) ||
          (0x27f0 <= lookahead && lookahead <= 0x27ff) ||
          (0x2900 <= lookahead && lookahead <= 0x2982) ||
          (0x2999 <= lookahead && lookahead <= 0x29d7) ||
          (0x29dc <= lookahead && lookahead <= 0x29fb) ||
          (0x29fe <= lookahead && lookahead <= 0x2aff) ||
          (0x2b30 <= lookahead && lookahead <= 0x2b44) ||
          (0x2b47 <= lookahead && lookahead <= 0x2b4c) ||
          lookahead == 0xfb29 ||
          lookahead == 0xfe62 ||
          (0xfe64 <= lookahead && lookahead <= 0xfe66) ||
          lookahead == 0xff0b ||
          (0xff1c <= lookahead && lookahead <= 0xff1e) ||
          lookahead == 0xff5c ||
          lookahead == 0xff5e ||
          lookahead == 0xffe2 ||
          (0xffe9 <= lookahead && lookahead <= 0xffec)) ADVANCE(35);
      if (set_contains(sym_operator_identifier_character_set_1, 132, lookahead)) ADVANCE(125);
      if (set_contains(sym__alpha_identifier_character_set_1, 434, lookahead)) ADVANCE(112);
      END_STATE();
    case 5:
      if (lookahead == '"') ADVANCE(139);
      END_STATE();
    case 6:
      if (lookahead == '"') ADVANCE(137);
      if (lookahead == '$') ADVANCE(108);
      if (lookahead == '/') ADVANCE(22);
      if (lookahead == '=') ADVANCE(31);
      if (lookahead == '{') ADVANCE(67);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(6);
      if (set_contains(sym__interpolation_identifier_character_set_1, 433, lookahead)) ADVANCE(114);
      END_STATE();
    case 7:
      ADVANCE_MAP(
        '#', 98,
        '(', 94,
        ')', 95,
        '*', 73,
        ',', 69,
        '.', 70,
        '/', 119,
        ':', 66,
        '<', 120,
        '=', 92,
        '?', 123,
        '@', 89,
        '[', 76,
        '`', 45,
        '{', 67,
        '|', 103,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(7);
      if (lookahead == 0x3f6 ||
          (0x606 <= lookahead && lookahead <= 0x608) ||
          lookahead == 0x2044 ||
          lookahead == 0x2052 ||
          (0x207a <= lookahead && lookahead <= 0x207c) ||
          (0x208a <= lookahead && lookahead <= 0x208c) ||
          lookahead == 0x2118 ||
          (0x2140 <= lookahead && lookahead <= 0x2144) ||
          lookahead == 0x214b ||
          lookahead == 0x219a ||
          lookahead == 0x219b ||
          lookahead == 0x21a0 ||
          lookahead == 0x21a3 ||
          lookahead == 0x21a6 ||
          lookahead == 0x21ae ||
          lookahead == 0x21ce ||
          lookahead == 0x21cf ||
          lookahead == 0x21d2 ||
          lookahead == 0x21d4 ||
          (0x21f4 <= lookahead && lookahead <= 0x22ff) ||
          lookahead == 0x2320 ||
          lookahead == 0x2321 ||
          lookahead == 0x237c ||
          (0x239b <= lookahead && lookahead <= 0x23b3) ||
          (0x23dc <= lookahead && lookahead <= 0x23e1) ||
          lookahead == 0x25b7 ||
          lookahead == 0x25c1 ||
          (0x25f8 <= lookahead && lookahead <= 0x25ff) ||
          lookahead == 0x266f ||
          (0x27c0 <= lookahead && lookahead <= 0x27c4) ||
          (0x27c7 <= lookahead && lookahead <= 0x27e5) ||
          (0x27f0 <= lookahead && lookahead <= 0x27ff) ||
          (0x2900 <= lookahead && lookahead <= 0x2982) ||
          (0x2999 <= lookahead && lookahead <= 0x29d7) ||
          (0x29dc <= lookahead && lookahead <= 0x29fb) ||
          (0x29fe <= lookahead && lookahead <= 0x2aff) ||
          (0x2b30 <= lookahead && lookahead <= 0x2b44) ||
          (0x2b47 <= lookahead && lookahead <= 0x2b4c) ||
          lookahead == 0xfb29 ||
          lookahead == 0xfe62 ||
          (0xfe64 <= lookahead && lookahead <= 0xfe66) ||
          lookahead == 0xff0b ||
          (0xff1c <= lookahead && lookahead <= 0xff1e) ||
          lookahead == 0xff5c ||
          lookahead == 0xff5e ||
          lookahead == 0xffe2 ||
          (0xffe9 <= lookahead && lookahead <= 0xffec)) ADVANCE(35);
      if (set_contains(sym_operator_identifier_character_set_1, 132, lookahead)) ADVANCE(125);
      if (set_contains(sym__alpha_identifier_character_set_1, 434, lookahead)) ADVANCE(112);
      END_STATE();
    case 8:
      ADVANCE_MAP(
        '#', 98,
        '(', 94,
        '+', 79,
        '-', 82,
        '.', 70,
        '/', 119,
        '@', 89,
        '[', 76,
        '`', 45,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(8);
      if (lookahead == ':' ||
          lookahead == '=' ||
          lookahead == 0x3f6 ||
          (0x606 <= lookahead && lookahead <= 0x608) ||
          lookahead == 0x2044 ||
          lookahead == 0x2052 ||
          (0x207a <= lookahead && lookahead <= 0x207c) ||
          (0x208a <= lookahead && lookahead <= 0x208c) ||
          lookahead == 0x2118 ||
          (0x2140 <= lookahead && lookahead <= 0x2144) ||
          lookahead == 0x214b ||
          lookahead == 0x219a ||
          lookahead == 0x219b ||
          lookahead == 0x21a0 ||
          lookahead == 0x21a3 ||
          lookahead == 0x21a6 ||
          lookahead == 0x21ae ||
          lookahead == 0x21ce ||
          lookahead == 0x21cf ||
          lookahead == 0x21d2 ||
          lookahead == 0x21d4 ||
          (0x21f4 <= lookahead && lookahead <= 0x22ff) ||
          lookahead == 0x2320 ||
          lookahead == 0x2321 ||
          lookahead == 0x237c ||
          (0x239b <= lookahead && lookahead <= 0x23b3) ||
          (0x23dc <= lookahead && lookahead <= 0x23e1) ||
          lookahead == 0x25b7 ||
          lookahead == 0x25c1 ||
          (0x25f8 <= lookahead && lookahead <= 0x25ff) ||
          lookahead == 0x266f ||
          (0x27c0 <= lookahead && lookahead <= 0x27c4) ||
          (0x27c7 <= lookahead && lookahead <= 0x27e5) ||
          (0x27f0 <= lookahead && lookahead <= 0x27ff) ||
          (0x2900 <= lookahead && lookahead <= 0x2982) ||
          (0x2999 <= lookahead && lookahead <= 0x29d7) ||
          (0x29dc <= lookahead && lookahead <= 0x29fb) ||
          (0x29fe <= lookahead && lookahead <= 0x2aff) ||
          (0x2b30 <= lookahead && lookahead <= 0x2b44) ||
          (0x2b47 <= lookahead && lookahead <= 0x2b4c) ||
          lookahead == 0xfb29 ||
          lookahead == 0xfe62 ||
          (0xfe64 <= lookahead && lookahead <= 0xfe66) ||
          lookahead == 0xff0b ||
          (0xff1c <= lookahead && lookahead <= 0xff1e) ||
          lookahead == 0xff5c ||
          lookahead == 0xff5e ||
          lookahead == 0xffe2 ||
          (0xffe9 <= lookahead && lookahead <= 0xffec)) ADVANCE(35);
      if (set_contains(sym__alpha_identifier_character_set_4, 133, lookahead)) ADVANCE(125);
      if (set_contains(sym__alpha_identifier_character_set_1, 434, lookahead)) ADVANCE(112);
      END_STATE();
    case 9:
      ADVANCE_MAP(
        '#', 98,
        '(', 94,
        ',', 69,
        '.', 70,
        '/', 119,
        ':', 66,
        '<', 117,
        '=', 29,
        '?', 123,
        '@', 89,
        '[', 76,
        ']', 77,
        '`', 45,
        '{', 67,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(9);
      if (lookahead == 0x3f6 ||
          (0x606 <= lookahead && lookahead <= 0x608) ||
          lookahead == 0x2044 ||
          lookahead == 0x2052 ||
          (0x207a <= lookahead && lookahead <= 0x207c) ||
          (0x208a <= lookahead && lookahead <= 0x208c) ||
          lookahead == 0x2118 ||
          (0x2140 <= lookahead && lookahead <= 0x2144) ||
          lookahead == 0x214b ||
          lookahead == 0x219a ||
          lookahead == 0x219b ||
          lookahead == 0x21a0 ||
          lookahead == 0x21a3 ||
          lookahead == 0x21a6 ||
          lookahead == 0x21ae ||
          lookahead == 0x21ce ||
          lookahead == 0x21cf ||
          lookahead == 0x21d2 ||
          lookahead == 0x21d4 ||
          (0x21f4 <= lookahead && lookahead <= 0x22ff) ||
          lookahead == 0x2320 ||
          lookahead == 0x2321 ||
          lookahead == 0x237c ||
          (0x239b <= lookahead && lookahead <= 0x23b3) ||
          (0x23dc <= lookahead && lookahead <= 0x23e1) ||
          lookahead == 0x25b7 ||
          lookahead == 0x25c1 ||
          (0x25f8 <= lookahead && lookahead <= 0x25ff) ||
          lookahead == 0x266f ||
          (0x27c0 <= lookahead && lookahead <= 0x27c4) ||
          (0x27c7 <= lookahead && lookahead <= 0x27e5) ||
          (0x27f0 <= lookahead && lookahead <= 0x27ff) ||
          (0x2900 <= lookahead && lookahead <= 0x2982) ||
          (0x2999 <= lookahead && lookahead <= 0x29d7) ||
          (0x29dc <= lookahead && lookahead <= 0x29fb) ||
          (0x29fe <= lookahead && lookahead <= 0x2aff) ||
          (0x2b30 <= lookahead && lookahead <= 0x2b44) ||
          (0x2b47 <= lookahead && lookahead <= 0x2b4c) ||
          lookahead == 0xfb29 ||
          lookahead == 0xfe62 ||
          (0xfe64 <= lookahead && lookahead <= 0xfe66) ||
          lookahead == 0xff0b ||
          (0xff1c <= lookahead && lookahead <= 0xff1e) ||
          lookahead == 0xff5c ||
          lookahead == 0xff5e ||
          lookahead == 0xffe2 ||
          (0xffe9 <= lookahead && lookahead <= 0xffec)) ADVANCE(35);
      if (set_contains(sym__alpha_identifier_character_set_4, 133, lookahead)) ADVANCE(125);
      if (set_contains(sym__alpha_identifier_character_set_1, 434, lookahead)) ADVANCE(112);
      END_STATE();
    case 10:
      ADVANCE_MAP(
        '#', 98,
        '(', 94,
        ',', 69,
        '.', 70,
        '/', 119,
        ':', 66,
        '<', 118,
        '=', 29,
        '?', 123,
        '@', 89,
        '[', 76,
        ']', 77,
        '`', 45,
        '{', 67,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(10);
      if (lookahead == 0x3f6 ||
          (0x606 <= lookahead && lookahead <= 0x608) ||
          lookahead == 0x2044 ||
          lookahead == 0x2052 ||
          (0x207a <= lookahead && lookahead <= 0x207c) ||
          (0x208a <= lookahead && lookahead <= 0x208c) ||
          lookahead == 0x2118 ||
          (0x2140 <= lookahead && lookahead <= 0x2144) ||
          lookahead == 0x214b ||
          lookahead == 0x219a ||
          lookahead == 0x219b ||
          lookahead == 0x21a0 ||
          lookahead == 0x21a3 ||
          lookahead == 0x21a6 ||
          lookahead == 0x21ae ||
          lookahead == 0x21ce ||
          lookahead == 0x21cf ||
          lookahead == 0x21d2 ||
          lookahead == 0x21d4 ||
          (0x21f4 <= lookahead && lookahead <= 0x22ff) ||
          lookahead == 0x2320 ||
          lookahead == 0x2321 ||
          lookahead == 0x237c ||
          (0x239b <= lookahead && lookahead <= 0x23b3) ||
          (0x23dc <= lookahead && lookahead <= 0x23e1) ||
          lookahead == 0x25b7 ||
          lookahead == 0x25c1 ||
          (0x25f8 <= lookahead && lookahead <= 0x25ff) ||
          lookahead == 0x266f ||
          (0x27c0 <= lookahead && lookahead <= 0x27c4) ||
          (0x27c7 <= lookahead && lookahead <= 0x27e5) ||
          (0x27f0 <= lookahead && lookahead <= 0x27ff) ||
          (0x2900 <= lookahead && lookahead <= 0x2982) ||
          (0x2999 <= lookahead && lookahead <= 0x29d7) ||
          (0x29dc <= lookahead && lookahead <= 0x29fb) ||
          (0x29fe <= lookahead && lookahead <= 0x2aff) ||
          (0x2b30 <= lookahead && lookahead <= 0x2b44) ||
          (0x2b47 <= lookahead && lookahead <= 0x2b4c) ||
          lookahead == 0xfb29 ||
          lookahead == 0xfe62 ||
          (0xfe64 <= lookahead && lookahead <= 0xfe66) ||
          lookahead == 0xff0b ||
          (0xff1c <= lookahead && lookahead <= 0xff1e) ||
          lookahead == 0xff5c ||
          lookahead == 0xff5e ||
          lookahead == 0xffe2 ||
          (0xffe9 <= lookahead && lookahead <= 0xffec)) ADVANCE(35);
      if (set_contains(sym__alpha_identifier_character_set_4, 133, lookahead)) ADVANCE(125);
      if (set_contains(sym__alpha_identifier_character_set_1, 434, lookahead)) ADVANCE(112);
      END_STATE();
    case 11:
      ADVANCE_MAP(
        '#', 98,
        '(', 94,
        '.', 70,
        '/', 119,
        ':', 66,
        '=', 92,
        '@', 89,
        '[', 76,
        '`', 45,
        '{', 67,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(11);
      if (lookahead == 0x3f6 ||
          (0x606 <= lookahead && lookahead <= 0x608) ||
          lookahead == 0x2044 ||
          lookahead == 0x2052 ||
          (0x207a <= lookahead && lookahead <= 0x207c) ||
          (0x208a <= lookahead && lookahead <= 0x208c) ||
          lookahead == 0x2118 ||
          (0x2140 <= lookahead && lookahead <= 0x2144) ||
          lookahead == 0x214b ||
          lookahead == 0x219a ||
          lookahead == 0x219b ||
          lookahead == 0x21a0 ||
          lookahead == 0x21a3 ||
          lookahead == 0x21a6 ||
          lookahead == 0x21ae ||
          lookahead == 0x21ce ||
          lookahead == 0x21cf ||
          lookahead == 0x21d2 ||
          lookahead == 0x21d4 ||
          (0x21f4 <= lookahead && lookahead <= 0x22ff) ||
          lookahead == 0x2320 ||
          lookahead == 0x2321 ||
          lookahead == 0x237c ||
          (0x239b <= lookahead && lookahead <= 0x23b3) ||
          (0x23dc <= lookahead && lookahead <= 0x23e1) ||
          lookahead == 0x25b7 ||
          lookahead == 0x25c1 ||
          (0x25f8 <= lookahead && lookahead <= 0x25ff) ||
          lookahead == 0x266f ||
          (0x27c0 <= lookahead && lookahead <= 0x27c4) ||
          (0x27c7 <= lookahead && lookahead <= 0x27e5) ||
          (0x27f0 <= lookahead && lookahead <= 0x27ff) ||
          (0x2900 <= lookahead && lookahead <= 0x2982) ||
          (0x2999 <= lookahead && lookahead <= 0x29d7) ||
          (0x29dc <= lookahead && lookahead <= 0x29fb) ||
          (0x29fe <= lookahead && lookahead <= 0x2aff) ||
          (0x2b30 <= lookahead && lookahead <= 0x2b44) ||
          (0x2b47 <= lookahead && lookahead <= 0x2b4c) ||
          lookahead == 0xfb29 ||
          lookahead == 0xfe62 ||
          (0xfe64 <= lookahead && lookahead <= 0xfe66) ||
          lookahead == 0xff0b ||
          (0xff1c <= lookahead && lookahead <= 0xff1e) ||
          lookahead == 0xff5c ||
          lookahead == 0xff5e ||
          lookahead == 0xffe2 ||
          (0xffe9 <= lookahead && lookahead <= 0xffec)) ADVANCE(35);
      if (set_contains(sym__alpha_identifier_character_set_4, 133, lookahead)) ADVANCE(125);
      if (set_contains(sym__alpha_identifier_character_set_1, 434, lookahead)) ADVANCE(112);
      END_STATE();
    case 12:
      if (lookahead == '%') ADVANCE(86);
      if (lookahead == '-') ADVANCE(140);
      if (lookahead == ':') ADVANCE(83);
      END_STATE();
    case 13:
      if (lookahead == '%') ADVANCE(86);
      if (lookahead == ':') ADVANCE(83);
      END_STATE();
    case 14:
      ADVANCE_MAP(
        '\'', 110,
        '(', 94,
        ')', 95,
        ',', 69,
        '-', 121,
        '.', 37,
        '/', 119,
        '0', 129,
        ':', 66,
        '@', 89,
        '[', 76,
        ']', 77,
        '`', 45,
        '{', 67,
        '}', 68,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(14);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(130);
      if (lookahead == '=' ||
          lookahead == 0x3f6 ||
          (0x606 <= lookahead && lookahead <= 0x608) ||
          lookahead == 0x2044 ||
          lookahead == 0x2052 ||
          (0x207a <= lookahead && lookahead <= 0x207c) ||
          (0x208a <= lookahead && lookahead <= 0x208c) ||
          lookahead == 0x2118 ||
          (0x2140 <= lookahead && lookahead <= 0x2144) ||
          lookahead == 0x214b ||
          lookahead == 0x219a ||
          lookahead == 0x219b ||
          lookahead == 0x21a0 ||
          lookahead == 0x21a3 ||
          lookahead == 0x21a6 ||
          lookahead == 0x21ae ||
          lookahead == 0x21ce ||
          lookahead == 0x21cf ||
          lookahead == 0x21d2 ||
          lookahead == 0x21d4 ||
          (0x21f4 <= lookahead && lookahead <= 0x22ff) ||
          lookahead == 0x2320 ||
          lookahead == 0x2321 ||
          lookahead == 0x237c ||
          (0x239b <= lookahead && lookahead <= 0x23b3) ||
          (0x23dc <= lookahead && lookahead <= 0x23e1) ||
          lookahead == 0x25b7 ||
          lookahead == 0x25c1 ||
          (0x25f8 <= lookahead && lookahead <= 0x25ff) ||
          lookahead == 0x266f ||
          (0x27c0 <= lookahead && lookahead <= 0x27c4) ||
          (0x27c7 <= lookahead && lookahead <= 0x27e5) ||
          (0x27f0 <= lookahead && lookahead <= 0x27ff) ||
          (0x2900 <= lookahead && lookahead <= 0x2982) ||
          (0x2999 <= lookahead && lookahead <= 0x29d7) ||
          (0x29dc <= lookahead && lookahead <= 0x29fb) ||
          (0x29fe <= lookahead && lookahead <= 0x2aff) ||
          (0x2b30 <= lookahead && lookahead <= 0x2b44) ||
          (0x2b47 <= lookahead && lookahead <= 0x2b4c) ||
          lookahead == 0xfb29 ||
          lookahead == 0xfe62 ||
          (0xfe64 <= lookahead && lookahead <= 0xfe66) ||
          lookahead == 0xff0b ||
          (0xff1c <= lookahead && lookahead <= 0xff1e) ||
          lookahead == 0xff5c ||
          lookahead == 0xff5e ||
          lookahead == 0xffe2 ||
          (0xffe9 <= lookahead && lookahead <= 0xffec)) ADVANCE(35);
      if (set_contains(sym__alpha_identifier_character_set_4, 133, lookahead)) ADVANCE(125);
      if (set_contains(sym__alpha_identifier_character_set_3, 496, lookahead)) ADVANCE(112);
      END_STATE();
    case 15:
      if (lookahead == '\'') ADVANCE(136);
      END_STATE();
    case 16:
      if (lookahead == '\'') ADVANCE(136);
      if (lookahead == '\\') ADVANCE(33);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(15);
      END_STATE();
    case 17:
      ADVANCE_MAP(
        '(', 94,
        ')', 95,
        '*', 73,
        ',', 69,
        '/', 119,
        ':', 66,
        '<', 120,
        '=', 92,
        '?', 123,
        '@', 89,
        '`', 45,
        '{', 67,
        '|', 103,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(17);
      if (lookahead == 0x3f6 ||
          (0x606 <= lookahead && lookahead <= 0x608) ||
          lookahead == 0x2044 ||
          lookahead == 0x2052 ||
          (0x207a <= lookahead && lookahead <= 0x207c) ||
          (0x208a <= lookahead && lookahead <= 0x208c) ||
          lookahead == 0x2118 ||
          (0x2140 <= lookahead && lookahead <= 0x2144) ||
          lookahead == 0x214b ||
          lookahead == 0x219a ||
          lookahead == 0x219b ||
          lookahead == 0x21a0 ||
          lookahead == 0x21a3 ||
          lookahead == 0x21a6 ||
          lookahead == 0x21ae ||
          lookahead == 0x21ce ||
          lookahead == 0x21cf ||
          lookahead == 0x21d2 ||
          lookahead == 0x21d4 ||
          (0x21f4 <= lookahead && lookahead <= 0x22ff) ||
          lookahead == 0x2320 ||
          lookahead == 0x2321 ||
          lookahead == 0x237c ||
          (0x239b <= lookahead && lookahead <= 0x23b3) ||
          (0x23dc <= lookahead && lookahead <= 0x23e1) ||
          lookahead == 0x25b7 ||
          lookahead == 0x25c1 ||
          (0x25f8 <= lookahead && lookahead <= 0x25ff) ||
          lookahead == 0x266f ||
          (0x27c0 <= lookahead && lookahead <= 0x27c4) ||
          (0x27c7 <= lookahead && lookahead <= 0x27e5) ||
          (0x27f0 <= lookahead && lookahead <= 0x27ff) ||
          (0x2900 <= lookahead && lookahead <= 0x2982) ||
          (0x2999 <= lookahead && lookahead <= 0x29d7) ||
          (0x29dc <= lookahead && lookahead <= 0x29fb) ||
          (0x29fe <= lookahead && lookahead <= 0x2aff) ||
          (0x2b30 <= lookahead && lookahead <= 0x2b44) ||
          (0x2b47 <= lookahead && lookahead <= 0x2b4c) ||
          lookahead == 0xfb29 ||
          lookahead == 0xfe62 ||
          (0xfe64 <= lookahead && lookahead <= 0xfe66) ||
          lookahead == 0xff0b ||
          (0xff1c <= lookahead && lookahead <= 0xff1e) ||
          lookahead == 0xff5c ||
          lookahead == 0xff5e ||
          lookahead == 0xffe2 ||
          (0xffe9 <= lookahead && lookahead <= 0xffec)) ADVANCE(35);
      if (set_contains(sym_operator_identifier_character_set_1, 132, lookahead)) ADVANCE(125);
      if (set_contains(sym__alpha_identifier_character_set_1, 434, lookahead)) ADVANCE(112);
      END_STATE();
    case 18:
      ADVANCE_MAP(
        '(', 94,
        '+', 79,
        '-', 82,
        '/', 119,
        '@', 89,
        '[', 76,
        ']', 77,
        '`', 45,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(18);
      if (lookahead == ':' ||
          lookahead == '=' ||
          lookahead == 0x3f6 ||
          (0x606 <= lookahead && lookahead <= 0x608) ||
          lookahead == 0x2044 ||
          lookahead == 0x2052 ||
          (0x207a <= lookahead && lookahead <= 0x207c) ||
          (0x208a <= lookahead && lookahead <= 0x208c) ||
          lookahead == 0x2118 ||
          (0x2140 <= lookahead && lookahead <= 0x2144) ||
          lookahead == 0x214b ||
          lookahead == 0x219a ||
          lookahead == 0x219b ||
          lookahead == 0x21a0 ||
          lookahead == 0x21a3 ||
          lookahead == 0x21a6 ||
          lookahead == 0x21ae ||
          lookahead == 0x21ce ||
          lookahead == 0x21cf ||
          lookahead == 0x21d2 ||
          lookahead == 0x21d4 ||
          (0x21f4 <= lookahead && lookahead <= 0x22ff) ||
          lookahead == 0x2320 ||
          lookahead == 0x2321 ||
          lookahead == 0x237c ||
          (0x239b <= lookahead && lookahead <= 0x23b3) ||
          (0x23dc <= lookahead && lookahead <= 0x23e1) ||
          lookahead == 0x25b7 ||
          lookahead == 0x25c1 ||
          (0x25f8 <= lookahead && lookahead <= 0x25ff) ||
          lookahead == 0x266f ||
          (0x27c0 <= lookahead && lookahead <= 0x27c4) ||
          (0x27c7 <= lookahead && lookahead <= 0x27e5) ||
          (0x27f0 <= lookahead && lookahead <= 0x27ff) ||
          (0x2900 <= lookahead && lookahead <= 0x2982) ||
          (0x2999 <= lookahead && lookahead <= 0x29d7) ||
          (0x29dc <= lookahead && lookahead <= 0x29fb) ||
          (0x29fe <= lookahead && lookahead <= 0x2aff) ||
          (0x2b30 <= lookahead && lookahead <= 0x2b44) ||
          (0x2b47 <= lookahead && lookahead <= 0x2b4c) ||
          lookahead == 0xfb29 ||
          lookahead == 0xfe62 ||
          (0xfe64 <= lookahead && lookahead <= 0xfe66) ||
          lookahead == 0xff0b ||
          (0xff1c <= lookahead && lookahead <= 0xff1e) ||
          lookahead == 0xff5c ||
          lookahead == 0xff5e ||
          lookahead == 0xffe2 ||
          (0xffe9 <= lookahead && lookahead <= 0xffec)) ADVANCE(35);
      if (set_contains(sym__alpha_identifier_character_set_4, 133, lookahead)) ADVANCE(125);
      if (set_contains(sym__alpha_identifier_character_set_1, 434, lookahead)) ADVANCE(112);
      END_STATE();
    case 19:
      ADVANCE_MAP(
        '(', 94,
        ',', 69,
        '/', 119,
        ':', 66,
        '<', 117,
        '=', 29,
        '?', 123,
        '@', 89,
        ']', 77,
        '`', 45,
        '{', 67,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(19);
      if (lookahead == 0x3f6 ||
          (0x606 <= lookahead && lookahead <= 0x608) ||
          lookahead == 0x2044 ||
          lookahead == 0x2052 ||
          (0x207a <= lookahead && lookahead <= 0x207c) ||
          (0x208a <= lookahead && lookahead <= 0x208c) ||
          lookahead == 0x2118 ||
          (0x2140 <= lookahead && lookahead <= 0x2144) ||
          lookahead == 0x214b ||
          lookahead == 0x219a ||
          lookahead == 0x219b ||
          lookahead == 0x21a0 ||
          lookahead == 0x21a3 ||
          lookahead == 0x21a6 ||
          lookahead == 0x21ae ||
          lookahead == 0x21ce ||
          lookahead == 0x21cf ||
          lookahead == 0x21d2 ||
          lookahead == 0x21d4 ||
          (0x21f4 <= lookahead && lookahead <= 0x22ff) ||
          lookahead == 0x2320 ||
          lookahead == 0x2321 ||
          lookahead == 0x237c ||
          (0x239b <= lookahead && lookahead <= 0x23b3) ||
          (0x23dc <= lookahead && lookahead <= 0x23e1) ||
          lookahead == 0x25b7 ||
          lookahead == 0x25c1 ||
          (0x25f8 <= lookahead && lookahead <= 0x25ff) ||
          lookahead == 0x266f ||
          (0x27c0 <= lookahead && lookahead <= 0x27c4) ||
          (0x27c7 <= lookahead && lookahead <= 0x27e5) ||
          (0x27f0 <= lookahead && lookahead <= 0x27ff) ||
          (0x2900 <= lookahead && lookahead <= 0x2982) ||
          (0x2999 <= lookahead && lookahead <= 0x29d7) ||
          (0x29dc <= lookahead && lookahead <= 0x29fb) ||
          (0x29fe <= lookahead && lookahead <= 0x2aff) ||
          (0x2b30 <= lookahead && lookahead <= 0x2b44) ||
          (0x2b47 <= lookahead && lookahead <= 0x2b4c) ||
          lookahead == 0xfb29 ||
          lookahead == 0xfe62 ||
          (0xfe64 <= lookahead && lookahead <= 0xfe66) ||
          lookahead == 0xff0b ||
          (0xff1c <= lookahead && lookahead <= 0xff1e) ||
          lookahead == 0xff5c ||
          lookahead == 0xff5e ||
          lookahead == 0xffe2 ||
          (0xffe9 <= lookahead && lookahead <= 0xffec)) ADVANCE(35);
      if (set_contains(sym__alpha_identifier_character_set_4, 133, lookahead)) ADVANCE(125);
      if (set_contains(sym__alpha_identifier_character_set_1, 434, lookahead)) ADVANCE(112);
      END_STATE();
    case 20:
      ADVANCE_MAP(
        '(', 94,
        ',', 69,
        '/', 119,
        ':', 66,
        '<', 118,
        '=', 29,
        '?', 123,
        '@', 89,
        ']', 77,
        '`', 45,
        '{', 67,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(20);
      if (lookahead == 0x3f6 ||
          (0x606 <= lookahead && lookahead <= 0x608) ||
          lookahead == 0x2044 ||
          lookahead == 0x2052 ||
          (0x207a <= lookahead && lookahead <= 0x207c) ||
          (0x208a <= lookahead && lookahead <= 0x208c) ||
          lookahead == 0x2118 ||
          (0x2140 <= lookahead && lookahead <= 0x2144) ||
          lookahead == 0x214b ||
          lookahead == 0x219a ||
          lookahead == 0x219b ||
          lookahead == 0x21a0 ||
          lookahead == 0x21a3 ||
          lookahead == 0x21a6 ||
          lookahead == 0x21ae ||
          lookahead == 0x21ce ||
          lookahead == 0x21cf ||
          lookahead == 0x21d2 ||
          lookahead == 0x21d4 ||
          (0x21f4 <= lookahead && lookahead <= 0x22ff) ||
          lookahead == 0x2320 ||
          lookahead == 0x2321 ||
          lookahead == 0x237c ||
          (0x239b <= lookahead && lookahead <= 0x23b3) ||
          (0x23dc <= lookahead && lookahead <= 0x23e1) ||
          lookahead == 0x25b7 ||
          lookahead == 0x25c1 ||
          (0x25f8 <= lookahead && lookahead <= 0x25ff) ||
          lookahead == 0x266f ||
          (0x27c0 <= lookahead && lookahead <= 0x27c4) ||
          (0x27c7 <= lookahead && lookahead <= 0x27e5) ||
          (0x27f0 <= lookahead && lookahead <= 0x27ff) ||
          (0x2900 <= lookahead && lookahead <= 0x2982) ||
          (0x2999 <= lookahead && lookahead <= 0x29d7) ||
          (0x29dc <= lookahead && lookahead <= 0x29fb) ||
          (0x29fe <= lookahead && lookahead <= 0x2aff) ||
          (0x2b30 <= lookahead && lookahead <= 0x2b44) ||
          (0x2b47 <= lookahead && lookahead <= 0x2b4c) ||
          lookahead == 0xfb29 ||
          lookahead == 0xfe62 ||
          (0xfe64 <= lookahead && lookahead <= 0xfe66) ||
          lookahead == 0xff0b ||
          (0xff1c <= lookahead && lookahead <= 0xff1e) ||
          lookahead == 0xff5c ||
          lookahead == 0xff5e ||
          lookahead == 0xffe2 ||
          (0xffe9 <= lookahead && lookahead <= 0xffec)) ADVANCE(35);
      if (set_contains(sym__alpha_identifier_character_set_4, 133, lookahead)) ADVANCE(125);
      if (set_contains(sym__alpha_identifier_character_set_1, 434, lookahead)) ADVANCE(112);
      END_STATE();
    case 21:
      ADVANCE_MAP(
        '(', 94,
        '.', 70,
        '/', 119,
        ':', 66,
        '=', 92,
        '@', 89,
        '[', 76,
        '`', 45,
        '{', 67,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(21);
      if (lookahead == 0x3f6 ||
          (0x606 <= lookahead && lookahead <= 0x608) ||
          lookahead == 0x2044 ||
          lookahead == 0x2052 ||
          (0x207a <= lookahead && lookahead <= 0x207c) ||
          (0x208a <= lookahead && lookahead <= 0x208c) ||
          lookahead == 0x2118 ||
          (0x2140 <= lookahead && lookahead <= 0x2144) ||
          lookahead == 0x214b ||
          lookahead == 0x219a ||
          lookahead == 0x219b ||
          lookahead == 0x21a0 ||
          lookahead == 0x21a3 ||
          lookahead == 0x21a6 ||
          lookahead == 0x21ae ||
          lookahead == 0x21ce ||
          lookahead == 0x21cf ||
          lookahead == 0x21d2 ||
          lookahead == 0x21d4 ||
          (0x21f4 <= lookahead && lookahead <= 0x22ff) ||
          lookahead == 0x2320 ||
          lookahead == 0x2321 ||
          lookahead == 0x237c ||
          (0x239b <= lookahead && lookahead <= 0x23b3) ||
          (0x23dc <= lookahead && lookahead <= 0x23e1) ||
          lookahead == 0x25b7 ||
          lookahead == 0x25c1 ||
          (0x25f8 <= lookahead && lookahead <= 0x25ff) ||
          lookahead == 0x266f ||
          (0x27c0 <= lookahead && lookahead <= 0x27c4) ||
          (0x27c7 <= lookahead && lookahead <= 0x27e5) ||
          (0x27f0 <= lookahead && lookahead <= 0x27ff) ||
          (0x2900 <= lookahead && lookahead <= 0x2982) ||
          (0x2999 <= lookahead && lookahead <= 0x29d7) ||
          (0x29dc <= lookahead && lookahead <= 0x29fb) ||
          (0x29fe <= lookahead && lookahead <= 0x2aff) ||
          (0x2b30 <= lookahead && lookahead <= 0x2b44) ||
          (0x2b47 <= lookahead && lookahead <= 0x2b4c) ||
          lookahead == 0xfb29 ||
          lookahead == 0xfe62 ||
          (0xfe64 <= lookahead && lookahead <= 0xfe66) ||
          lookahead == 0xff0b ||
          (0xff1c <= lookahead && lookahead <= 0xff1e) ||
          lookahead == 0xff5c ||
          lookahead == 0xff5e ||
          lookahead == 0xffe2 ||
          (0xffe9 <= lookahead && lookahead <= 0xffec)) ADVANCE(35);
      if (set_contains(sym__alpha_identifier_character_set_4, 133, lookahead)) ADVANCE(125);
      if (set_contains(sym__alpha_identifier_character_set_1, 434, lookahead)) ADVANCE(112);
      END_STATE();
    case 22:
      if (lookahead == '*') ADVANCE(156);
      if (lookahead == '/') ADVANCE(143);
      END_STATE();
    case 23:
      if (lookahead == '*') ADVANCE(73);
      if (lookahead == '/') ADVANCE(119);
      if (lookahead == '`') ADVANCE(45);
      if (lookahead == '{') ADVANCE(67);
      if (lookahead == '}') ADVANCE(68);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(23);
      if (lookahead == ':' ||
          lookahead == '=' ||
          lookahead == '@' ||
          lookahead == 0x3f6 ||
          (0x606 <= lookahead && lookahead <= 0x608) ||
          lookahead == 0x2044 ||
          lookahead == 0x2052 ||
          (0x207a <= lookahead && lookahead <= 0x207c) ||
          (0x208a <= lookahead && lookahead <= 0x208c) ||
          lookahead == 0x2118 ||
          (0x2140 <= lookahead && lookahead <= 0x2144) ||
          lookahead == 0x214b ||
          lookahead == 0x219a ||
          lookahead == 0x219b ||
          lookahead == 0x21a0 ||
          lookahead == 0x21a3 ||
          lookahead == 0x21a6 ||
          lookahead == 0x21ae ||
          lookahead == 0x21ce ||
          lookahead == 0x21cf ||
          lookahead == 0x21d2 ||
          lookahead == 0x21d4 ||
          (0x21f4 <= lookahead && lookahead <= 0x22ff) ||
          lookahead == 0x2320 ||
          lookahead == 0x2321 ||
          lookahead == 0x237c ||
          (0x239b <= lookahead && lookahead <= 0x23b3) ||
          (0x23dc <= lookahead && lookahead <= 0x23e1) ||
          lookahead == 0x25b7 ||
          lookahead == 0x25c1 ||
          (0x25f8 <= lookahead && lookahead <= 0x25ff) ||
          lookahead == 0x266f ||
          (0x27c0 <= lookahead && lookahead <= 0x27c4) ||
          (0x27c7 <= lookahead && lookahead <= 0x27e5) ||
          (0x27f0 <= lookahead && lookahead <= 0x27ff) ||
          (0x2900 <= lookahead && lookahead <= 0x2982) ||
          (0x2999 <= lookahead && lookahead <= 0x29d7) ||
          (0x29dc <= lookahead && lookahead <= 0x29fb) ||
          (0x29fe <= lookahead && lookahead <= 0x2aff) ||
          (0x2b30 <= lookahead && lookahead <= 0x2b44) ||
          (0x2b47 <= lookahead && lookahead <= 0x2b4c) ||
          lookahead == 0xfb29 ||
          lookahead == 0xfe62 ||
          (0xfe64 <= lookahead && lookahead <= 0xfe66) ||
          lookahead == 0xff0b ||
          (0xff1c <= lookahead && lookahead <= 0xff1e) ||
          lookahead == 0xff5c ||
          lookahead == 0xff5e ||
          lookahead == 0xffe2 ||
          (0xffe9 <= lookahead && lookahead <= 0xffec)) ADVANCE(35);
      if (set_contains(sym_operator_identifier_character_set_1, 132, lookahead)) ADVANCE(125);
      if (set_contains(sym__alpha_identifier_character_set_1, 434, lookahead)) ADVANCE(112);
      END_STATE();
    case 24:
      if (lookahead == '/') ADVANCE(151);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(24);
      if (lookahead != 0) ADVANCE(152);
      END_STATE();
    case 25:
      if (lookahead == ':') ADVANCE(85);
      END_STATE();
    case 26:
      if (lookahead == '=') ADVANCE(28);
      END_STATE();
    case 27:
      if (lookahead == '>') ADVANCE(74);
      END_STATE();
    case 28:
      if (lookahead == '>') ADVANCE(99);
      END_STATE();
    case 29:
      if (lookahead == '>') ADVANCE(75);
      if (lookahead == '*' ||
          lookahead == '/') ADVANCE(126);
      if (set_contains(sym_operator_identifier_character_set_1, 132, lookahead)) ADVANCE(126);
      END_STATE();
    case 30:
      if (lookahead == '>') ADVANCE(101);
      END_STATE();
    case 31:
      if (lookahead == '>') ADVANCE(30);
      END_STATE();
    case 32:
      if (lookahead == '`') ADVANCE(115);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(32);
      END_STATE();
    case 33:
      if (lookahead == 'u') ADVANCE(34);
      if (lookahead == 'x') ADVANCE(43);
      if (lookahead != 0) ADVANCE(15);
      END_STATE();
    case 34:
      if (lookahead == 'u') ADVANCE(44);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(42);
      END_STATE();
    case 35:
      if (lookahead == '*' ||
          lookahead == '/') ADVANCE(126);
      if (set_contains(sym_operator_identifier_character_set_1, 132, lookahead)) ADVANCE(126);
      END_STATE();
    case 36:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(39);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(135);
      END_STATE();
    case 37:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(134);
      END_STATE();
    case 38:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(132);
      END_STATE();
    case 39:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(135);
      END_STATE();
    case 40:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(15);
      END_STATE();
    case 41:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(131);
      END_STATE();
    case 42:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(43);
      END_STATE();
    case 43:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(40);
      END_STATE();
    case 44:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(42);
      END_STATE();
    case 45:
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '`') ADVANCE(32);
      END_STATE();
    case 46:
      if (eof) ADVANCE(64);
      ADVANCE_MAP(
        '!', 104,
        '"', 138,
        '#', 97,
        '$', 109,
        '\'', 110,
        '(', 94,
        ')', 95,
        '*', 72,
        '+', 78,
        ',', 69,
        '-', 81,
        '.', 71,
        '/', 22,
        '0', 129,
        ':', 65,
        ';', 96,
        '<', 12,
        '=', 91,
        '>', 25,
        '?', 26,
        '@', 88,
        '[', 76,
        ']', 77,
        '`', 45,
        '{', 67,
        '|', 102,
        '}', 68,
        '~', 106,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(46);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(130);
      if (set_contains(sym__interpolation_identifier_character_set_2, 434, lookahead)) ADVANCE(112);
      END_STATE();
    case 47:
      if (eof) ADVANCE(64);
      ADVANCE_MAP(
        '!', 105,
        '"', 138,
        '$', 109,
        '\'', 110,
        '(', 94,
        ')', 95,
        '+', 79,
        ',', 69,
        '-', 80,
        '.', 71,
        '/', 119,
        '0', 129,
        ':', 66,
        ';', 96,
        '=', 92,
        '?', 123,
        '[', 76,
        '`', 45,
        '{', 67,
        '}', 68,
        '~', 107,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(47);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(130);
      if (lookahead == '@' ||
          lookahead == 0x3f6 ||
          (0x606 <= lookahead && lookahead <= 0x608) ||
          lookahead == 0x2044 ||
          lookahead == 0x2052 ||
          (0x207a <= lookahead && lookahead <= 0x207c) ||
          (0x208a <= lookahead && lookahead <= 0x208c) ||
          lookahead == 0x2118 ||
          (0x2140 <= lookahead && lookahead <= 0x2144) ||
          lookahead == 0x214b ||
          lookahead == 0x219a ||
          lookahead == 0x219b ||
          lookahead == 0x21a0 ||
          lookahead == 0x21a3 ||
          lookahead == 0x21a6 ||
          lookahead == 0x21ae ||
          lookahead == 0x21ce ||
          lookahead == 0x21cf ||
          lookahead == 0x21d2 ||
          lookahead == 0x21d4 ||
          (0x21f4 <= lookahead && lookahead <= 0x22ff) ||
          lookahead == 0x2320 ||
          lookahead == 0x2321 ||
          lookahead == 0x237c ||
          (0x239b <= lookahead && lookahead <= 0x23b3) ||
          (0x23dc <= lookahead && lookahead <= 0x23e1) ||
          lookahead == 0x25b7 ||
          lookahead == 0x25c1 ||
          (0x25f8 <= lookahead && lookahead <= 0x25ff) ||
          lookahead == 0x266f ||
          (0x27c0 <= lookahead && lookahead <= 0x27c4) ||
          (0x27c7 <= lookahead && lookahead <= 0x27e5) ||
          (0x27f0 <= lookahead && lookahead <= 0x27ff) ||
          (0x2900 <= lookahead && lookahead <= 0x2982) ||
          (0x2999 <= lookahead && lookahead <= 0x29d7) ||
          (0x29dc <= lookahead && lookahead <= 0x29fb) ||
          (0x29fe <= lookahead && lookahead <= 0x2aff) ||
          (0x2b30 <= lookahead && lookahead <= 0x2b44) ||
          (0x2b47 <= lookahead && lookahead <= 0x2b4c) ||
          lookahead == 0xfb29 ||
          lookahead == 0xfe62 ||
          (0xfe64 <= lookahead && lookahead <= 0xfe66) ||
          lookahead == 0xff0b ||
          (0xff1c <= lookahead && lookahead <= 0xff1e) ||
          lookahead == 0xff5c ||
          lookahead == 0xff5e ||
          lookahead == 0xffe2 ||
          (0xffe9 <= lookahead && lookahead <= 0xffec)) ADVANCE(35);
      if (set_contains(sym__alpha_identifier_character_set_4, 133, lookahead)) ADVANCE(125);
      if (set_contains(sym__interpolation_identifier_character_set_2, 434, lookahead)) ADVANCE(112);
      END_STATE();
    case 48:
      if (eof) ADVANCE(64);
      ADVANCE_MAP(
        '!', 105,
        '#', 116,
        '$', 109,
        '\'', 110,
        '(', 94,
        '+', 79,
        '-', 80,
        '.', 37,
        '/', 119,
        '0', 129,
        '@', 89,
        '`', 45,
        '{', 67,
        '~', 107,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(48);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(130);
      if (lookahead == ':' ||
          lookahead == '=' ||
          lookahead == 0x3f6 ||
          (0x606 <= lookahead && lookahead <= 0x608) ||
          lookahead == 0x2044 ||
          lookahead == 0x2052 ||
          (0x207a <= lookahead && lookahead <= 0x207c) ||
          (0x208a <= lookahead && lookahead <= 0x208c) ||
          lookahead == 0x2118 ||
          (0x2140 <= lookahead && lookahead <= 0x2144) ||
          lookahead == 0x214b ||
          lookahead == 0x219a ||
          lookahead == 0x219b ||
          lookahead == 0x21a0 ||
          lookahead == 0x21a3 ||
          lookahead == 0x21a6 ||
          lookahead == 0x21ae ||
          lookahead == 0x21ce ||
          lookahead == 0x21cf ||
          lookahead == 0x21d2 ||
          lookahead == 0x21d4 ||
          (0x21f4 <= lookahead && lookahead <= 0x22ff) ||
          lookahead == 0x2320 ||
          lookahead == 0x2321 ||
          lookahead == 0x237c ||
          (0x239b <= lookahead && lookahead <= 0x23b3) ||
          (0x23dc <= lookahead && lookahead <= 0x23e1) ||
          lookahead == 0x25b7 ||
          lookahead == 0x25c1 ||
          (0x25f8 <= lookahead && lookahead <= 0x25ff) ||
          lookahead == 0x266f ||
          (0x27c0 <= lookahead && lookahead <= 0x27c4) ||
          (0x27c7 <= lookahead && lookahead <= 0x27e5) ||
          (0x27f0 <= lookahead && lookahead <= 0x27ff) ||
          (0x2900 <= lookahead && lookahead <= 0x2982) ||
          (0x2999 <= lookahead && lookahead <= 0x29d7) ||
          (0x29dc <= lookahead && lookahead <= 0x29fb) ||
          (0x29fe <= lookahead && lookahead <= 0x2aff) ||
          (0x2b30 <= lookahead && lookahead <= 0x2b44) ||
          (0x2b47 <= lookahead && lookahead <= 0x2b4c) ||
          lookahead == 0xfb29 ||
          lookahead == 0xfe62 ||
          (0xfe64 <= lookahead && lookahead <= 0xfe66) ||
          lookahead == 0xff0b ||
          (0xff1c <= lookahead && lookahead <= 0xff1e) ||
          lookahead == 0xff5c ||
          lookahead == 0xff5e ||
          lookahead == 0xffe2 ||
          (0xffe9 <= lookahead && lookahead <= 0xffec)) ADVANCE(35);
      if (set_contains(sym__alpha_identifier_character_set_4, 133, lookahead)) ADVANCE(125);
      if (set_contains(sym__interpolation_identifier_character_set_2, 434, lookahead)) ADVANCE(112);
      END_STATE();
    case 49:
      if (eof) ADVANCE(64);
      ADVANCE_MAP(
        '!', 105,
        '$', 109,
        '\'', 110,
        '(', 94,
        ')', 95,
        '+', 79,
        ',', 69,
        '-', 80,
        '.', 71,
        '/', 119,
        '0', 129,
        ':', 66,
        ';', 96,
        '=', 93,
        '@', 89,
        '[', 76,
        '`', 45,
        '{', 67,
        '}', 68,
        '~', 107,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(49);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(130);
      if (lookahead == 0x3f6 ||
          (0x606 <= lookahead && lookahead <= 0x608) ||
          lookahead == 0x2044 ||
          lookahead == 0x2052 ||
          (0x207a <= lookahead && lookahead <= 0x207c) ||
          (0x208a <= lookahead && lookahead <= 0x208c) ||
          lookahead == 0x2118 ||
          (0x2140 <= lookahead && lookahead <= 0x2144) ||
          lookahead == 0x214b ||
          lookahead == 0x219a ||
          lookahead == 0x219b ||
          lookahead == 0x21a0 ||
          lookahead == 0x21a3 ||
          lookahead == 0x21a6 ||
          lookahead == 0x21ae ||
          lookahead == 0x21ce ||
          lookahead == 0x21cf ||
          lookahead == 0x21d2 ||
          lookahead == 0x21d4 ||
          (0x21f4 <= lookahead && lookahead <= 0x22ff) ||
          lookahead == 0x2320 ||
          lookahead == 0x2321 ||
          lookahead == 0x237c ||
          (0x239b <= lookahead && lookahead <= 0x23b3) ||
          (0x23dc <= lookahead && lookahead <= 0x23e1) ||
          lookahead == 0x25b7 ||
          lookahead == 0x25c1 ||
          (0x25f8 <= lookahead && lookahead <= 0x25ff) ||
          lookahead == 0x266f ||
          (0x27c0 <= lookahead && lookahead <= 0x27c4) ||
          (0x27c7 <= lookahead && lookahead <= 0x27e5) ||
          (0x27f0 <= lookahead && lookahead <= 0x27ff) ||
          (0x2900 <= lookahead && lookahead <= 0x2982) ||
          (0x2999 <= lookahead && lookahead <= 0x29d7) ||
          (0x29dc <= lookahead && lookahead <= 0x29fb) ||
          (0x29fe <= lookahead && lookahead <= 0x2aff) ||
          (0x2b30 <= lookahead && lookahead <= 0x2b44) ||
          (0x2b47 <= lookahead && lookahead <= 0x2b4c) ||
          lookahead == 0xfb29 ||
          lookahead == 0xfe62 ||
          (0xfe64 <= lookahead && lookahead <= 0xfe66) ||
          lookahead == 0xff0b ||
          (0xff1c <= lookahead && lookahead <= 0xff1e) ||
          lookahead == 0xff5c ||
          lookahead == 0xff5e ||
          lookahead == 0xffe2 ||
          (0xffe9 <= lookahead && lookahead <= 0xffec)) ADVANCE(35);
      if (set_contains(sym__alpha_identifier_character_set_4, 133, lookahead)) ADVANCE(125);
      if (set_contains(sym__interpolation_identifier_character_set_2, 434, lookahead)) ADVANCE(112);
      END_STATE();
    case 50:
      if (eof) ADVANCE(64);
      ADVANCE_MAP(
        '"', 138,
        '(', 94,
        ')', 95,
        '*', 73,
        ',', 69,
        '.', 70,
        '/', 119,
        ':', 66,
        ';', 96,
        '=', 93,
        '@', 89,
        '`', 45,
        '|', 103,
        '}', 68,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(50);
      if (lookahead == 0x3f6 ||
          (0x606 <= lookahead && lookahead <= 0x608) ||
          lookahead == 0x2044 ||
          lookahead == 0x2052 ||
          (0x207a <= lookahead && lookahead <= 0x207c) ||
          (0x208a <= lookahead && lookahead <= 0x208c) ||
          lookahead == 0x2118 ||
          (0x2140 <= lookahead && lookahead <= 0x2144) ||
          lookahead == 0x214b ||
          lookahead == 0x219a ||
          lookahead == 0x219b ||
          lookahead == 0x21a0 ||
          lookahead == 0x21a3 ||
          lookahead == 0x21a6 ||
          lookahead == 0x21ae ||
          lookahead == 0x21ce ||
          lookahead == 0x21cf ||
          lookahead == 0x21d2 ||
          lookahead == 0x21d4 ||
          (0x21f4 <= lookahead && lookahead <= 0x22ff) ||
          lookahead == 0x2320 ||
          lookahead == 0x2321 ||
          lookahead == 0x237c ||
          (0x239b <= lookahead && lookahead <= 0x23b3) ||
          (0x23dc <= lookahead && lookahead <= 0x23e1) ||
          lookahead == 0x25b7 ||
          lookahead == 0x25c1 ||
          (0x25f8 <= lookahead && lookahead <= 0x25ff) ||
          lookahead == 0x266f ||
          (0x27c0 <= lookahead && lookahead <= 0x27c4) ||
          (0x27c7 <= lookahead && lookahead <= 0x27e5) ||
          (0x27f0 <= lookahead && lookahead <= 0x27ff) ||
          (0x2900 <= lookahead && lookahead <= 0x2982) ||
          (0x2999 <= lookahead && lookahead <= 0x29d7) ||
          (0x29dc <= lookahead && lookahead <= 0x29fb) ||
          (0x29fe <= lookahead && lookahead <= 0x2aff) ||
          (0x2b30 <= lookahead && lookahead <= 0x2b44) ||
          (0x2b47 <= lookahead && lookahead <= 0x2b4c) ||
          lookahead == 0xfb29 ||
          lookahead == 0xfe62 ||
          (0xfe64 <= lookahead && lookahead <= 0xfe66) ||
          lookahead == 0xff0b ||
          (0xff1c <= lookahead && lookahead <= 0xff1e) ||
          lookahead == 0xff5c ||
          lookahead == 0xff5e ||
          lookahead == 0xffe2 ||
          (0xffe9 <= lookahead && lookahead <= 0xffec)) ADVANCE(35);
      if (set_contains(sym_operator_identifier_character_set_1, 132, lookahead)) ADVANCE(125);
      if (set_contains(sym__alpha_identifier_character_set_1, 434, lookahead)) ADVANCE(112);
      END_STATE();
    case 51:
      if (eof) ADVANCE(64);
      ADVANCE_MAP(
        '"', 138,
        '(', 94,
        ')', 95,
        ',', 69,
        '.', 70,
        '/', 119,
        ':', 66,
        ';', 96,
        '=', 92,
        '?', 123,
        '@', 89,
        '[', 76,
        ']', 77,
        '`', 45,
        '{', 67,
        '}', 68,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(51);
      if (lookahead == 0x3f6 ||
          (0x606 <= lookahead && lookahead <= 0x608) ||
          lookahead == 0x2044 ||
          lookahead == 0x2052 ||
          (0x207a <= lookahead && lookahead <= 0x207c) ||
          (0x208a <= lookahead && lookahead <= 0x208c) ||
          lookahead == 0x2118 ||
          (0x2140 <= lookahead && lookahead <= 0x2144) ||
          lookahead == 0x214b ||
          lookahead == 0x219a ||
          lookahead == 0x219b ||
          lookahead == 0x21a0 ||
          lookahead == 0x21a3 ||
          lookahead == 0x21a6 ||
          lookahead == 0x21ae ||
          lookahead == 0x21ce ||
          lookahead == 0x21cf ||
          lookahead == 0x21d2 ||
          lookahead == 0x21d4 ||
          (0x21f4 <= lookahead && lookahead <= 0x22ff) ||
          lookahead == 0x2320 ||
          lookahead == 0x2321 ||
          lookahead == 0x237c ||
          (0x239b <= lookahead && lookahead <= 0x23b3) ||
          (0x23dc <= lookahead && lookahead <= 0x23e1) ||
          lookahead == 0x25b7 ||
          lookahead == 0x25c1 ||
          (0x25f8 <= lookahead && lookahead <= 0x25ff) ||
          lookahead == 0x266f ||
          (0x27c0 <= lookahead && lookahead <= 0x27c4) ||
          (0x27c7 <= lookahead && lookahead <= 0x27e5) ||
          (0x27f0 <= lookahead && lookahead <= 0x27ff) ||
          (0x2900 <= lookahead && lookahead <= 0x2982) ||
          (0x2999 <= lookahead && lookahead <= 0x29d7) ||
          (0x29dc <= lookahead && lookahead <= 0x29fb) ||
          (0x29fe <= lookahead && lookahead <= 0x2aff) ||
          (0x2b30 <= lookahead && lookahead <= 0x2b44) ||
          (0x2b47 <= lookahead && lookahead <= 0x2b4c) ||
          lookahead == 0xfb29 ||
          lookahead == 0xfe62 ||
          (0xfe64 <= lookahead && lookahead <= 0xfe66) ||
          lookahead == 0xff0b ||
          (0xff1c <= lookahead && lookahead <= 0xff1e) ||
          lookahead == 0xff5c ||
          lookahead == 0xff5e ||
          lookahead == 0xffe2 ||
          (0xffe9 <= lookahead && lookahead <= 0xffec)) ADVANCE(35);
      if (set_contains(sym__alpha_identifier_character_set_4, 133, lookahead)) ADVANCE(125);
      if (set_contains(sym__alpha_identifier_character_set_1, 434, lookahead)) ADVANCE(112);
      END_STATE();
    case 52:
      if (eof) ADVANCE(64);
      ADVANCE_MAP(
        '#', 97,
        '(', 94,
        ')', 95,
        '*', 72,
        ',', 69,
        '.', 70,
        '/', 22,
        ':', 65,
        ';', 96,
        '<', 13,
        '=', 90,
        '>', 25,
        '@', 88,
        '[', 76,
        ']', 77,
        '{', 67,
        '}', 68,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(52);
      if (set_contains(sym__alpha_identifier_character_set_1, 434, lookahead)) ADVANCE(112);
      END_STATE();
    case 53:
      if (eof) ADVANCE(64);
      ADVANCE_MAP(
        '#', 97,
        '(', 94,
        ')', 95,
        '*', 72,
        ',', 69,
        '.', 70,
        '/', 22,
        ':', 65,
        ';', 96,
        '<', 13,
        '=', 27,
        '>', 25,
        '?', 26,
        '@', 88,
        '[', 76,
        ']', 77,
        '{', 67,
        '}', 68,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(53);
      if (set_contains(sym__alpha_identifier_character_set_1, 434, lookahead)) ADVANCE(112);
      END_STATE();
    case 54:
      if (eof) ADVANCE(64);
      ADVANCE_MAP(
        '#', 98,
        '(', 94,
        ')', 95,
        '*', 73,
        ',', 69,
        '.', 70,
        '/', 119,
        ':', 66,
        ';', 96,
        '=', 92,
        '?', 123,
        '@', 89,
        '[', 76,
        '`', 45,
        '{', 67,
        '|', 103,
        '}', 68,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(54);
      if (lookahead == 0x3f6 ||
          (0x606 <= lookahead && lookahead <= 0x608) ||
          lookahead == 0x2044 ||
          lookahead == 0x2052 ||
          (0x207a <= lookahead && lookahead <= 0x207c) ||
          (0x208a <= lookahead && lookahead <= 0x208c) ||
          lookahead == 0x2118 ||
          (0x2140 <= lookahead && lookahead <= 0x2144) ||
          lookahead == 0x214b ||
          lookahead == 0x219a ||
          lookahead == 0x219b ||
          lookahead == 0x21a0 ||
          lookahead == 0x21a3 ||
          lookahead == 0x21a6 ||
          lookahead == 0x21ae ||
          lookahead == 0x21ce ||
          lookahead == 0x21cf ||
          lookahead == 0x21d2 ||
          lookahead == 0x21d4 ||
          (0x21f4 <= lookahead && lookahead <= 0x22ff) ||
          lookahead == 0x2320 ||
          lookahead == 0x2321 ||
          lookahead == 0x237c ||
          (0x239b <= lookahead && lookahead <= 0x23b3) ||
          (0x23dc <= lookahead && lookahead <= 0x23e1) ||
          lookahead == 0x25b7 ||
          lookahead == 0x25c1 ||
          (0x25f8 <= lookahead && lookahead <= 0x25ff) ||
          lookahead == 0x266f ||
          (0x27c0 <= lookahead && lookahead <= 0x27c4) ||
          (0x27c7 <= lookahead && lookahead <= 0x27e5) ||
          (0x27f0 <= lookahead && lookahead <= 0x27ff) ||
          (0x2900 <= lookahead && lookahead <= 0x2982) ||
          (0x2999 <= lookahead && lookahead <= 0x29d7) ||
          (0x29dc <= lookahead && lookahead <= 0x29fb) ||
          (0x29fe <= lookahead && lookahead <= 0x2aff) ||
          (0x2b30 <= lookahead && lookahead <= 0x2b44) ||
          (0x2b47 <= lookahead && lookahead <= 0x2b4c) ||
          lookahead == 0xfb29 ||
          lookahead == 0xfe62 ||
          (0xfe64 <= lookahead && lookahead <= 0xfe66) ||
          lookahead == 0xff0b ||
          (0xff1c <= lookahead && lookahead <= 0xff1e) ||
          lookahead == 0xff5c ||
          lookahead == 0xff5e ||
          lookahead == 0xffe2 ||
          (0xffe9 <= lookahead && lookahead <= 0xffec)) ADVANCE(35);
      if (set_contains(sym_operator_identifier_character_set_1, 132, lookahead)) ADVANCE(125);
      if (set_contains(sym__alpha_identifier_character_set_1, 434, lookahead)) ADVANCE(112);
      END_STATE();
    case 55:
      if (eof) ADVANCE(64);
      ADVANCE_MAP(
        '#', 98,
        '(', 94,
        ')', 95,
        '*', 73,
        ',', 69,
        '.', 70,
        '/', 119,
        ':', 66,
        ';', 96,
        '=', 92,
        '?', 123,
        '@', 89,
        '[', 76,
        '`', 45,
        '{', 67,
        '}', 68,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(55);
      if (lookahead == 0x3f6 ||
          (0x606 <= lookahead && lookahead <= 0x608) ||
          lookahead == 0x2044 ||
          lookahead == 0x2052 ||
          (0x207a <= lookahead && lookahead <= 0x207c) ||
          (0x208a <= lookahead && lookahead <= 0x208c) ||
          lookahead == 0x2118 ||
          (0x2140 <= lookahead && lookahead <= 0x2144) ||
          lookahead == 0x214b ||
          lookahead == 0x219a ||
          lookahead == 0x219b ||
          lookahead == 0x21a0 ||
          lookahead == 0x21a3 ||
          lookahead == 0x21a6 ||
          lookahead == 0x21ae ||
          lookahead == 0x21ce ||
          lookahead == 0x21cf ||
          lookahead == 0x21d2 ||
          lookahead == 0x21d4 ||
          (0x21f4 <= lookahead && lookahead <= 0x22ff) ||
          lookahead == 0x2320 ||
          lookahead == 0x2321 ||
          lookahead == 0x237c ||
          (0x239b <= lookahead && lookahead <= 0x23b3) ||
          (0x23dc <= lookahead && lookahead <= 0x23e1) ||
          lookahead == 0x25b7 ||
          lookahead == 0x25c1 ||
          (0x25f8 <= lookahead && lookahead <= 0x25ff) ||
          lookahead == 0x266f ||
          (0x27c0 <= lookahead && lookahead <= 0x27c4) ||
          (0x27c7 <= lookahead && lookahead <= 0x27e5) ||
          (0x27f0 <= lookahead && lookahead <= 0x27ff) ||
          (0x2900 <= lookahead && lookahead <= 0x2982) ||
          (0x2999 <= lookahead && lookahead <= 0x29d7) ||
          (0x29dc <= lookahead && lookahead <= 0x29fb) ||
          (0x29fe <= lookahead && lookahead <= 0x2aff) ||
          (0x2b30 <= lookahead && lookahead <= 0x2b44) ||
          (0x2b47 <= lookahead && lookahead <= 0x2b4c) ||
          lookahead == 0xfb29 ||
          lookahead == 0xfe62 ||
          (0xfe64 <= lookahead && lookahead <= 0xfe66) ||
          lookahead == 0xff0b ||
          (0xff1c <= lookahead && lookahead <= 0xff1e) ||
          lookahead == 0xff5c ||
          lookahead == 0xff5e ||
          lookahead == 0xffe2 ||
          (0xffe9 <= lookahead && lookahead <= 0xffec)) ADVANCE(35);
      if (set_contains(sym_operator_identifier_character_set_1, 132, lookahead)) ADVANCE(125);
      if (set_contains(sym__alpha_identifier_character_set_1, 434, lookahead)) ADVANCE(112);
      END_STATE();
    case 56:
      if (eof) ADVANCE(64);
      ADVANCE_MAP(
        '#', 98,
        '(', 94,
        ')', 95,
        ',', 69,
        '.', 70,
        '/', 119,
        ':', 66,
        ';', 96,
        '=', 93,
        '@', 89,
        '[', 76,
        '`', 45,
        '{', 67,
        '}', 68,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(56);
      if (lookahead == 0x3f6 ||
          (0x606 <= lookahead && lookahead <= 0x608) ||
          lookahead == 0x2044 ||
          lookahead == 0x2052 ||
          (0x207a <= lookahead && lookahead <= 0x207c) ||
          (0x208a <= lookahead && lookahead <= 0x208c) ||
          lookahead == 0x2118 ||
          (0x2140 <= lookahead && lookahead <= 0x2144) ||
          lookahead == 0x214b ||
          lookahead == 0x219a ||
          lookahead == 0x219b ||
          lookahead == 0x21a0 ||
          lookahead == 0x21a3 ||
          lookahead == 0x21a6 ||
          lookahead == 0x21ae ||
          lookahead == 0x21ce ||
          lookahead == 0x21cf ||
          lookahead == 0x21d2 ||
          lookahead == 0x21d4 ||
          (0x21f4 <= lookahead && lookahead <= 0x22ff) ||
          lookahead == 0x2320 ||
          lookahead == 0x2321 ||
          lookahead == 0x237c ||
          (0x239b <= lookahead && lookahead <= 0x23b3) ||
          (0x23dc <= lookahead && lookahead <= 0x23e1) ||
          lookahead == 0x25b7 ||
          lookahead == 0x25c1 ||
          (0x25f8 <= lookahead && lookahead <= 0x25ff) ||
          lookahead == 0x266f ||
          (0x27c0 <= lookahead && lookahead <= 0x27c4) ||
          (0x27c7 <= lookahead && lookahead <= 0x27e5) ||
          (0x27f0 <= lookahead && lookahead <= 0x27ff) ||
          (0x2900 <= lookahead && lookahead <= 0x2982) ||
          (0x2999 <= lookahead && lookahead <= 0x29d7) ||
          (0x29dc <= lookahead && lookahead <= 0x29fb) ||
          (0x29fe <= lookahead && lookahead <= 0x2aff) ||
          (0x2b30 <= lookahead && lookahead <= 0x2b44) ||
          (0x2b47 <= lookahead && lookahead <= 0x2b4c) ||
          lookahead == 0xfb29 ||
          lookahead == 0xfe62 ||
          (0xfe64 <= lookahead && lookahead <= 0xfe66) ||
          lookahead == 0xff0b ||
          (0xff1c <= lookahead && lookahead <= 0xff1e) ||
          lookahead == 0xff5c ||
          lookahead == 0xff5e ||
          lookahead == 0xffe2 ||
          (0xffe9 <= lookahead && lookahead <= 0xffec)) ADVANCE(35);
      if (set_contains(sym__alpha_identifier_character_set_4, 133, lookahead)) ADVANCE(125);
      if (set_contains(sym__alpha_identifier_character_set_1, 434, lookahead)) ADVANCE(112);
      END_STATE();
    case 57:
      if (eof) ADVANCE(64);
      ADVANCE_MAP(
        '#', 98,
        '(', 94,
        ')', 95,
        ',', 69,
        '.', 70,
        '/', 119,
        ':', 66,
        ';', 96,
        '=', 92,
        '?', 123,
        '@', 89,
        '[', 76,
        ']', 77,
        '`', 45,
        '{', 67,
        '}', 68,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(57);
      if (lookahead == 0x3f6 ||
          (0x606 <= lookahead && lookahead <= 0x608) ||
          lookahead == 0x2044 ||
          lookahead == 0x2052 ||
          (0x207a <= lookahead && lookahead <= 0x207c) ||
          (0x208a <= lookahead && lookahead <= 0x208c) ||
          lookahead == 0x2118 ||
          (0x2140 <= lookahead && lookahead <= 0x2144) ||
          lookahead == 0x214b ||
          lookahead == 0x219a ||
          lookahead == 0x219b ||
          lookahead == 0x21a0 ||
          lookahead == 0x21a3 ||
          lookahead == 0x21a6 ||
          lookahead == 0x21ae ||
          lookahead == 0x21ce ||
          lookahead == 0x21cf ||
          lookahead == 0x21d2 ||
          lookahead == 0x21d4 ||
          (0x21f4 <= lookahead && lookahead <= 0x22ff) ||
          lookahead == 0x2320 ||
          lookahead == 0x2321 ||
          lookahead == 0x237c ||
          (0x239b <= lookahead && lookahead <= 0x23b3) ||
          (0x23dc <= lookahead && lookahead <= 0x23e1) ||
          lookahead == 0x25b7 ||
          lookahead == 0x25c1 ||
          (0x25f8 <= lookahead && lookahead <= 0x25ff) ||
          lookahead == 0x266f ||
          (0x27c0 <= lookahead && lookahead <= 0x27c4) ||
          (0x27c7 <= lookahead && lookahead <= 0x27e5) ||
          (0x27f0 <= lookahead && lookahead <= 0x27ff) ||
          (0x2900 <= lookahead && lookahead <= 0x2982) ||
          (0x2999 <= lookahead && lookahead <= 0x29d7) ||
          (0x29dc <= lookahead && lookahead <= 0x29fb) ||
          (0x29fe <= lookahead && lookahead <= 0x2aff) ||
          (0x2b30 <= lookahead && lookahead <= 0x2b44) ||
          (0x2b47 <= lookahead && lookahead <= 0x2b4c) ||
          lookahead == 0xfb29 ||
          lookahead == 0xfe62 ||
          (0xfe64 <= lookahead && lookahead <= 0xfe66) ||
          lookahead == 0xff0b ||
          (0xff1c <= lookahead && lookahead <= 0xff1e) ||
          lookahead == 0xff5c ||
          lookahead == 0xff5e ||
          lookahead == 0xffe2 ||
          (0xffe9 <= lookahead && lookahead <= 0xffec)) ADVANCE(35);
      if (set_contains(sym__alpha_identifier_character_set_4, 133, lookahead)) ADVANCE(125);
      if (set_contains(sym__alpha_identifier_character_set_1, 434, lookahead)) ADVANCE(112);
      END_STATE();
    case 58:
      if (eof) ADVANCE(64);
      ADVANCE_MAP(
        '#', 98,
        '(', 94,
        '.', 70,
        '/', 119,
        ':', 66,
        ';', 96,
        '<', 122,
        '=', 92,
        '?', 123,
        '@', 89,
        '[', 76,
        '`', 45,
        '{', 67,
        '}', 68,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(58);
      if (lookahead == 0x3f6 ||
          (0x606 <= lookahead && lookahead <= 0x608) ||
          lookahead == 0x2044 ||
          lookahead == 0x2052 ||
          (0x207a <= lookahead && lookahead <= 0x207c) ||
          (0x208a <= lookahead && lookahead <= 0x208c) ||
          lookahead == 0x2118 ||
          (0x2140 <= lookahead && lookahead <= 0x2144) ||
          lookahead == 0x214b ||
          lookahead == 0x219a ||
          lookahead == 0x219b ||
          lookahead == 0x21a0 ||
          lookahead == 0x21a3 ||
          lookahead == 0x21a6 ||
          lookahead == 0x21ae ||
          lookahead == 0x21ce ||
          lookahead == 0x21cf ||
          lookahead == 0x21d2 ||
          lookahead == 0x21d4 ||
          (0x21f4 <= lookahead && lookahead <= 0x22ff) ||
          lookahead == 0x2320 ||
          lookahead == 0x2321 ||
          lookahead == 0x237c ||
          (0x239b <= lookahead && lookahead <= 0x23b3) ||
          (0x23dc <= lookahead && lookahead <= 0x23e1) ||
          lookahead == 0x25b7 ||
          lookahead == 0x25c1 ||
          (0x25f8 <= lookahead && lookahead <= 0x25ff) ||
          lookahead == 0x266f ||
          (0x27c0 <= lookahead && lookahead <= 0x27c4) ||
          (0x27c7 <= lookahead && lookahead <= 0x27e5) ||
          (0x27f0 <= lookahead && lookahead <= 0x27ff) ||
          (0x2900 <= lookahead && lookahead <= 0x2982) ||
          (0x2999 <= lookahead && lookahead <= 0x29d7) ||
          (0x29dc <= lookahead && lookahead <= 0x29fb) ||
          (0x29fe <= lookahead && lookahead <= 0x2aff) ||
          (0x2b30 <= lookahead && lookahead <= 0x2b44) ||
          (0x2b47 <= lookahead && lookahead <= 0x2b4c) ||
          lookahead == 0xfb29 ||
          lookahead == 0xfe62 ||
          (0xfe64 <= lookahead && lookahead <= 0xfe66) ||
          lookahead == 0xff0b ||
          (0xff1c <= lookahead && lookahead <= 0xff1e) ||
          lookahead == 0xff5c ||
          lookahead == 0xff5e ||
          lookahead == 0xffe2 ||
          (0xffe9 <= lookahead && lookahead <= 0xffec)) ADVANCE(35);
      if (set_contains(sym__alpha_identifier_character_set_4, 133, lookahead)) ADVANCE(125);
      if (set_contains(sym__alpha_identifier_character_set_1, 434, lookahead)) ADVANCE(112);
      END_STATE();
    case 59:
      if (eof) ADVANCE(64);
      ADVANCE_MAP(
        '\'', 16,
        '(', 94,
        ')', 95,
        ',', 69,
        '-', 121,
        '.', 71,
        '/', 119,
        '0', 129,
        ':', 66,
        ';', 96,
        '=', 29,
        '@', 89,
        '[', 76,
        '`', 45,
        '{', 67,
        '}', 68,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(59);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(130);
      if (lookahead == 0x3f6 ||
          (0x606 <= lookahead && lookahead <= 0x608) ||
          lookahead == 0x2044 ||
          lookahead == 0x2052 ||
          (0x207a <= lookahead && lookahead <= 0x207c) ||
          (0x208a <= lookahead && lookahead <= 0x208c) ||
          lookahead == 0x2118 ||
          (0x2140 <= lookahead && lookahead <= 0x2144) ||
          lookahead == 0x214b ||
          lookahead == 0x219a ||
          lookahead == 0x219b ||
          lookahead == 0x21a0 ||
          lookahead == 0x21a3 ||
          lookahead == 0x21a6 ||
          lookahead == 0x21ae ||
          lookahead == 0x21ce ||
          lookahead == 0x21cf ||
          lookahead == 0x21d2 ||
          lookahead == 0x21d4 ||
          (0x21f4 <= lookahead && lookahead <= 0x22ff) ||
          lookahead == 0x2320 ||
          lookahead == 0x2321 ||
          lookahead == 0x237c ||
          (0x239b <= lookahead && lookahead <= 0x23b3) ||
          (0x23dc <= lookahead && lookahead <= 0x23e1) ||
          lookahead == 0x25b7 ||
          lookahead == 0x25c1 ||
          (0x25f8 <= lookahead && lookahead <= 0x25ff) ||
          lookahead == 0x266f ||
          (0x27c0 <= lookahead && lookahead <= 0x27c4) ||
          (0x27c7 <= lookahead && lookahead <= 0x27e5) ||
          (0x27f0 <= lookahead && lookahead <= 0x27ff) ||
          (0x2900 <= lookahead && lookahead <= 0x2982) ||
          (0x2999 <= lookahead && lookahead <= 0x29d7) ||
          (0x29dc <= lookahead && lookahead <= 0x29fb) ||
          (0x29fe <= lookahead && lookahead <= 0x2aff) ||
          (0x2b30 <= lookahead && lookahead <= 0x2b44) ||
          (0x2b47 <= lookahead && lookahead <= 0x2b4c) ||
          lookahead == 0xfb29 ||
          lookahead == 0xfe62 ||
          (0xfe64 <= lookahead && lookahead <= 0xfe66) ||
          lookahead == 0xff0b ||
          (0xff1c <= lookahead && lookahead <= 0xff1e) ||
          lookahead == 0xff5c ||
          lookahead == 0xff5e ||
          lookahead == 0xffe2 ||
          (0xffe9 <= lookahead && lookahead <= 0xffec)) ADVANCE(35);
      if (set_contains(sym__alpha_identifier_character_set_4, 133, lookahead)) ADVANCE(125);
      if (set_contains(sym__alpha_identifier_character_set_3, 496, lookahead)) ADVANCE(112);
      END_STATE();
    case 60:
      if (eof) ADVANCE(64);
      ADVANCE_MAP(
        '(', 94,
        ')', 95,
        '*', 73,
        ',', 69,
        '/', 119,
        ':', 66,
        ';', 96,
        '=', 92,
        '?', 123,
        '@', 89,
        '[', 76,
        '`', 45,
        '{', 67,
        '}', 68,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(60);
      if (lookahead == 0x3f6 ||
          (0x606 <= lookahead && lookahead <= 0x608) ||
          lookahead == 0x2044 ||
          lookahead == 0x2052 ||
          (0x207a <= lookahead && lookahead <= 0x207c) ||
          (0x208a <= lookahead && lookahead <= 0x208c) ||
          lookahead == 0x2118 ||
          (0x2140 <= lookahead && lookahead <= 0x2144) ||
          lookahead == 0x214b ||
          lookahead == 0x219a ||
          lookahead == 0x219b ||
          lookahead == 0x21a0 ||
          lookahead == 0x21a3 ||
          lookahead == 0x21a6 ||
          lookahead == 0x21ae ||
          lookahead == 0x21ce ||
          lookahead == 0x21cf ||
          lookahead == 0x21d2 ||
          lookahead == 0x21d4 ||
          (0x21f4 <= lookahead && lookahead <= 0x22ff) ||
          lookahead == 0x2320 ||
          lookahead == 0x2321 ||
          lookahead == 0x237c ||
          (0x239b <= lookahead && lookahead <= 0x23b3) ||
          (0x23dc <= lookahead && lookahead <= 0x23e1) ||
          lookahead == 0x25b7 ||
          lookahead == 0x25c1 ||
          (0x25f8 <= lookahead && lookahead <= 0x25ff) ||
          lookahead == 0x266f ||
          (0x27c0 <= lookahead && lookahead <= 0x27c4) ||
          (0x27c7 <= lookahead && lookahead <= 0x27e5) ||
          (0x27f0 <= lookahead && lookahead <= 0x27ff) ||
          (0x2900 <= lookahead && lookahead <= 0x2982) ||
          (0x2999 <= lookahead && lookahead <= 0x29d7) ||
          (0x29dc <= lookahead && lookahead <= 0x29fb) ||
          (0x29fe <= lookahead && lookahead <= 0x2aff) ||
          (0x2b30 <= lookahead && lookahead <= 0x2b44) ||
          (0x2b47 <= lookahead && lookahead <= 0x2b4c) ||
          lookahead == 0xfb29 ||
          lookahead == 0xfe62 ||
          (0xfe64 <= lookahead && lookahead <= 0xfe66) ||
          lookahead == 0xff0b ||
          (0xff1c <= lookahead && lookahead <= 0xff1e) ||
          lookahead == 0xff5c ||
          lookahead == 0xff5e ||
          lookahead == 0xffe2 ||
          (0xffe9 <= lookahead && lookahead <= 0xffec)) ADVANCE(35);
      if (set_contains(sym_operator_identifier_character_set_1, 132, lookahead)) ADVANCE(125);
      if (set_contains(sym__alpha_identifier_character_set_1, 434, lookahead)) ADVANCE(112);
      END_STATE();
    case 61:
      if (eof) ADVANCE(64);
      ADVANCE_MAP(
        '(', 94,
        ')', 95,
        '*', 73,
        ',', 69,
        '/', 119,
        ':', 66,
        ';', 96,
        '=', 92,
        '?', 123,
        '@', 89,
        '`', 45,
        '{', 67,
        '|', 103,
        '}', 68,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(61);
      if (lookahead == 0x3f6 ||
          (0x606 <= lookahead && lookahead <= 0x608) ||
          lookahead == 0x2044 ||
          lookahead == 0x2052 ||
          (0x207a <= lookahead && lookahead <= 0x207c) ||
          (0x208a <= lookahead && lookahead <= 0x208c) ||
          lookahead == 0x2118 ||
          (0x2140 <= lookahead && lookahead <= 0x2144) ||
          lookahead == 0x214b ||
          lookahead == 0x219a ||
          lookahead == 0x219b ||
          lookahead == 0x21a0 ||
          lookahead == 0x21a3 ||
          lookahead == 0x21a6 ||
          lookahead == 0x21ae ||
          lookahead == 0x21ce ||
          lookahead == 0x21cf ||
          lookahead == 0x21d2 ||
          lookahead == 0x21d4 ||
          (0x21f4 <= lookahead && lookahead <= 0x22ff) ||
          lookahead == 0x2320 ||
          lookahead == 0x2321 ||
          lookahead == 0x237c ||
          (0x239b <= lookahead && lookahead <= 0x23b3) ||
          (0x23dc <= lookahead && lookahead <= 0x23e1) ||
          lookahead == 0x25b7 ||
          lookahead == 0x25c1 ||
          (0x25f8 <= lookahead && lookahead <= 0x25ff) ||
          lookahead == 0x266f ||
          (0x27c0 <= lookahead && lookahead <= 0x27c4) ||
          (0x27c7 <= lookahead && lookahead <= 0x27e5) ||
          (0x27f0 <= lookahead && lookahead <= 0x27ff) ||
          (0x2900 <= lookahead && lookahead <= 0x2982) ||
          (0x2999 <= lookahead && lookahead <= 0x29d7) ||
          (0x29dc <= lookahead && lookahead <= 0x29fb) ||
          (0x29fe <= lookahead && lookahead <= 0x2aff) ||
          (0x2b30 <= lookahead && lookahead <= 0x2b44) ||
          (0x2b47 <= lookahead && lookahead <= 0x2b4c) ||
          lookahead == 0xfb29 ||
          lookahead == 0xfe62 ||
          (0xfe64 <= lookahead && lookahead <= 0xfe66) ||
          lookahead == 0xff0b ||
          (0xff1c <= lookahead && lookahead <= 0xff1e) ||
          lookahead == 0xff5c ||
          lookahead == 0xff5e ||
          lookahead == 0xffe2 ||
          (0xffe9 <= lookahead && lookahead <= 0xffec)) ADVANCE(35);
      if (set_contains(sym_operator_identifier_character_set_1, 132, lookahead)) ADVANCE(125);
      if (set_contains(sym__alpha_identifier_character_set_1, 434, lookahead)) ADVANCE(112);
      END_STATE();
    case 62:
      if (eof) ADVANCE(64);
      ADVANCE_MAP(
        '(', 94,
        ')', 95,
        ',', 69,
        '.', 70,
        '/', 119,
        ':', 66,
        ';', 96,
        '=', 93,
        '@', 89,
        '[', 76,
        ']', 77,
        '`', 45,
        '{', 67,
        '}', 68,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(62);
      if (lookahead == 0x3f6 ||
          (0x606 <= lookahead && lookahead <= 0x608) ||
          lookahead == 0x2044 ||
          lookahead == 0x2052 ||
          (0x207a <= lookahead && lookahead <= 0x207c) ||
          (0x208a <= lookahead && lookahead <= 0x208c) ||
          lookahead == 0x2118 ||
          (0x2140 <= lookahead && lookahead <= 0x2144) ||
          lookahead == 0x214b ||
          lookahead == 0x219a ||
          lookahead == 0x219b ||
          lookahead == 0x21a0 ||
          lookahead == 0x21a3 ||
          lookahead == 0x21a6 ||
          lookahead == 0x21ae ||
          lookahead == 0x21ce ||
          lookahead == 0x21cf ||
          lookahead == 0x21d2 ||
          lookahead == 0x21d4 ||
          (0x21f4 <= lookahead && lookahead <= 0x22ff) ||
          lookahead == 0x2320 ||
          lookahead == 0x2321 ||
          lookahead == 0x237c ||
          (0x239b <= lookahead && lookahead <= 0x23b3) ||
          (0x23dc <= lookahead && lookahead <= 0x23e1) ||
          lookahead == 0x25b7 ||
          lookahead == 0x25c1 ||
          (0x25f8 <= lookahead && lookahead <= 0x25ff) ||
          lookahead == 0x266f ||
          (0x27c0 <= lookahead && lookahead <= 0x27c4) ||
          (0x27c7 <= lookahead && lookahead <= 0x27e5) ||
          (0x27f0 <= lookahead && lookahead <= 0x27ff) ||
          (0x2900 <= lookahead && lookahead <= 0x2982) ||
          (0x2999 <= lookahead && lookahead <= 0x29d7) ||
          (0x29dc <= lookahead && lookahead <= 0x29fb) ||
          (0x29fe <= lookahead && lookahead <= 0x2aff) ||
          (0x2b30 <= lookahead && lookahead <= 0x2b44) ||
          (0x2b47 <= lookahead && lookahead <= 0x2b4c) ||
          lookahead == 0xfb29 ||
          lookahead == 0xfe62 ||
          (0xfe64 <= lookahead && lookahead <= 0xfe66) ||
          lookahead == 0xff0b ||
          (0xff1c <= lookahead && lookahead <= 0xff1e) ||
          lookahead == 0xff5c ||
          lookahead == 0xff5e ||
          lookahead == 0xffe2 ||
          (0xffe9 <= lookahead && lookahead <= 0xffec)) ADVANCE(35);
      if (set_contains(sym__alpha_identifier_character_set_4, 133, lookahead)) ADVANCE(125);
      if (set_contains(sym__alpha_identifier_character_set_1, 434, lookahead)) ADVANCE(112);
      END_STATE();
    case 63:
      if (eof) ADVANCE(64);
      ADVANCE_MAP(
        '(', 94,
        '/', 119,
        ':', 66,
        ';', 96,
        '<', 122,
        '=', 92,
        '?', 123,
        '@', 89,
        '`', 45,
        '{', 67,
        '}', 68,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(63);
      if (lookahead == 0x3f6 ||
          (0x606 <= lookahead && lookahead <= 0x608) ||
          lookahead == 0x2044 ||
          lookahead == 0x2052 ||
          (0x207a <= lookahead && lookahead <= 0x207c) ||
          (0x208a <= lookahead && lookahead <= 0x208c) ||
          lookahead == 0x2118 ||
          (0x2140 <= lookahead && lookahead <= 0x2144) ||
          lookahead == 0x214b ||
          lookahead == 0x219a ||
          lookahead == 0x219b ||
          lookahead == 0x21a0 ||
          lookahead == 0x21a3 ||
          lookahead == 0x21a6 ||
          lookahead == 0x21ae ||
          lookahead == 0x21ce ||
          lookahead == 0x21cf ||
          lookahead == 0x21d2 ||
          lookahead == 0x21d4 ||
          (0x21f4 <= lookahead && lookahead <= 0x22ff) ||
          lookahead == 0x2320 ||
          lookahead == 0x2321 ||
          lookahead == 0x237c ||
          (0x239b <= lookahead && lookahead <= 0x23b3) ||
          (0x23dc <= lookahead && lookahead <= 0x23e1) ||
          lookahead == 0x25b7 ||
          lookahead == 0x25c1 ||
          (0x25f8 <= lookahead && lookahead <= 0x25ff) ||
          lookahead == 0x266f ||
          (0x27c0 <= lookahead && lookahead <= 0x27c4) ||
          (0x27c7 <= lookahead && lookahead <= 0x27e5) ||
          (0x27f0 <= lookahead && lookahead <= 0x27ff) ||
          (0x2900 <= lookahead && lookahead <= 0x2982) ||
          (0x2999 <= lookahead && lookahead <= 0x29d7) ||
          (0x29dc <= lookahead && lookahead <= 0x29fb) ||
          (0x29fe <= lookahead && lookahead <= 0x2aff) ||
          (0x2b30 <= lookahead && lookahead <= 0x2b44) ||
          (0x2b47 <= lookahead && lookahead <= 0x2b4c) ||
          lookahead == 0xfb29 ||
          lookahead == 0xfe62 ||
          (0xfe64 <= lookahead && lookahead <= 0xfe66) ||
          lookahead == 0xff0b ||
          (0xff1c <= lookahead && lookahead <= 0xff1e) ||
          lookahead == 0xff5c ||
          lookahead == 0xff5e ||
          lookahead == 0xffe2 ||
          (0xffe9 <= lookahead && lookahead <= 0xffec)) ADVANCE(35);
      if (set_contains(sym__alpha_identifier_character_set_4, 133, lookahead)) ADVANCE(125);
      if (set_contains(sym__alpha_identifier_character_set_1, 434, lookahead)) ADVANCE(112);
      END_STATE();
    case 64:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 65:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 66:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == '*' ||
          lookahead == '/') ADVANCE(126);
      if (set_contains(sym_operator_identifier_character_set_1, 132, lookahead)) ADVANCE(126);
      END_STATE();
    case 67:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 68:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 69:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 71:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(134);
      END_STATE();
    case 72:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*' ||
          lookahead == '/') ADVANCE(126);
      if (set_contains(sym_operator_identifier_character_set_1, 132, lookahead)) ADVANCE(126);
      END_STATE();
    case 74:
      ACCEPT_TOKEN(anon_sym_EQ_GT);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(anon_sym_EQ_GT);
      if (set_contains(sym__alpha_identifier_character_set_4, 133, lookahead)) ADVANCE(126);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '*' ||
          lookahead == '/') ADVANCE(126);
      if (set_contains(sym_operator_identifier_character_set_1, 132, lookahead)) ADVANCE(126);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '.') ADVANCE(37);
      if (lookahead == '0') ADVANCE(129);
      if (lookahead == '*' ||
          lookahead == '/') ADVANCE(126);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(130);
      if (set_contains(sym_operator_identifier_character_set_1, 132, lookahead)) ADVANCE(126);
      END_STATE();
    case 81:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '.') ADVANCE(37);
      if (lookahead == '0') ADVANCE(129);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(130);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '*' ||
          lookahead == '/') ADVANCE(126);
      if (set_contains(sym_operator_identifier_character_set_1, 132, lookahead)) ADVANCE(126);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(anon_sym_LT_COLON);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(anon_sym_LT_COLON);
      if (set_contains(sym__alpha_identifier_character_set_4, 133, lookahead)) ADVANCE(126);
      END_STATE();
    case 85:
      ACCEPT_TOKEN(anon_sym_GT_COLON);
      END_STATE();
    case 86:
      ACCEPT_TOKEN(anon_sym_LT_PERCENT);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(anon_sym_LT_PERCENT);
      if (set_contains(sym__alpha_identifier_character_set_4, 133, lookahead)) ADVANCE(126);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(anon_sym_AT);
      if (lookahead == '*' ||
          lookahead == '/') ADVANCE(126);
      if (set_contains(sym_operator_identifier_character_set_1, 132, lookahead)) ADVANCE(126);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '>') ADVANCE(74);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '>') ADVANCE(75);
      if (lookahead == '*' ||
          lookahead == '/') ADVANCE(126);
      if (set_contains(sym_operator_identifier_character_set_1, 132, lookahead)) ADVANCE(126);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '*' ||
          lookahead == '/') ADVANCE(126);
      if (set_contains(sym_operator_identifier_character_set_1, 132, lookahead)) ADVANCE(126);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(anon_sym_POUND);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(anon_sym_POUND);
      if (lookahead == '*' ||
          lookahead == '/') ADVANCE(126);
      if (set_contains(sym_operator_identifier_character_set_1, 132, lookahead)) ADVANCE(126);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(anon_sym_QMARK_EQ_GT);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(anon_sym_QMARK_EQ_GT);
      if (set_contains(sym__alpha_identifier_character_set_4, 133, lookahead)) ADVANCE(126);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(anon_sym_EQ_GT_GT);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '*' ||
          lookahead == '/') ADVANCE(126);
      if (set_contains(sym_operator_identifier_character_set_1, 132, lookahead)) ADVANCE(126);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '*' ||
          lookahead == '/') ADVANCE(126);
      if (set_contains(sym_operator_identifier_character_set_1, 132, lookahead)) ADVANCE(126);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(anon_sym_TILDE);
      if (lookahead == '*' ||
          lookahead == '/') ADVANCE(126);
      if (set_contains(sym_operator_identifier_character_set_1, 132, lookahead)) ADVANCE(126);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      if (lookahead == '_') ADVANCE(111);
      if (set_contains(sym__alpha_identifier_character_set_2, 435, lookahead)) ADVANCE(112);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      if (lookahead == '\'') ADVANCE(136);
      if (lookahead == '\\') ADVANCE(33);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(15);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(sym__alpha_identifier);
      if (lookahead == '_') ADVANCE(111);
      if (set_contains(sym__alpha_identifier_character_set_4, 133, lookahead)) ADVANCE(113);
      if (set_contains(sym__alpha_identifier_character_set_3, 496, lookahead)) ADVANCE(112);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(sym__alpha_identifier);
      if (lookahead == '_') ADVANCE(111);
      if (set_contains(sym__alpha_identifier_character_set_2, 435, lookahead)) ADVANCE(112);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(sym__alpha_identifier);
      if (set_contains(sym__alpha_identifier_character_set_4, 133, lookahead)) ADVANCE(113);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(sym__interpolation_identifier);
      if (set_contains(sym__interpolation_identifier_character_set_2, 434, lookahead)) ADVANCE(114);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(sym__backquoted_id);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(sym_operator_identifier);
      if (lookahead == '!') ADVANCE(127);
      if (lookahead == '*' ||
          lookahead == '/') ADVANCE(126);
      if (set_contains(sym_operator_identifier_character_set_1, 132, lookahead)) ADVANCE(126);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(sym_operator_identifier);
      if (lookahead == '%') ADVANCE(87);
      if (lookahead == ':') ADVANCE(84);
      if (lookahead == '*' ||
          lookahead == '/') ADVANCE(126);
      if (set_contains(sym_operator_identifier_character_set_1, 132, lookahead)) ADVANCE(126);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(sym_operator_identifier);
      if (lookahead == '%') ADVANCE(87);
      if (lookahead == '*' ||
          lookahead == '/') ADVANCE(126);
      if (set_contains(sym_operator_identifier_character_set_1, 132, lookahead)) ADVANCE(126);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(sym_operator_identifier);
      if (lookahead == '*') ADVANCE(156);
      if (lookahead == '/') ADVANCE(143);
      if (set_contains(sym_operator_identifier_character_set_1, 132, lookahead)) ADVANCE(126);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(sym_operator_identifier);
      if (lookahead == '-') ADVANCE(141);
      if (lookahead == '*' ||
          lookahead == '/') ADVANCE(126);
      if (set_contains(sym_operator_identifier_character_set_1, 132, lookahead)) ADVANCE(126);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(sym_operator_identifier);
      if (lookahead == '.') ADVANCE(37);
      if (lookahead == '0') ADVANCE(129);
      if (lookahead == '*' ||
          lookahead == '/') ADVANCE(126);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(130);
      if (set_contains(sym_operator_identifier_character_set_1, 132, lookahead)) ADVANCE(126);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(sym_operator_identifier);
      if (lookahead == ':') ADVANCE(84);
      if (lookahead == '*' ||
          lookahead == '/') ADVANCE(126);
      if (set_contains(sym_operator_identifier_character_set_1, 132, lookahead)) ADVANCE(126);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(sym_operator_identifier);
      if (lookahead == '=') ADVANCE(124);
      if (lookahead == '*' ||
          lookahead == '/') ADVANCE(126);
      if (set_contains(sym_operator_identifier_character_set_1, 132, lookahead)) ADVANCE(126);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(sym_operator_identifier);
      if (lookahead == '>') ADVANCE(100);
      if (set_contains(sym__alpha_identifier_character_set_4, 133, lookahead)) ADVANCE(126);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(sym_operator_identifier);
      if (lookahead == '*' ||
          lookahead == '/') ADVANCE(126);
      if (set_contains(sym_operator_identifier_character_set_1, 132, lookahead)) ADVANCE(126);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(sym_operator_identifier);
      if (set_contains(sym__alpha_identifier_character_set_4, 133, lookahead)) ADVANCE(126);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(sym_operator_identifier);
      if (set_contains(sym__alpha_identifier_character_set_4, 133, lookahead)) ADVANCE(127);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(142);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(sym_integer_literal);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(sym_integer_literal);
      ADVANCE_MAP(
        '.', 37,
        '_', 38,
        'E', 36,
        'e', 36,
        'L', 128,
        'l', 128,
        'X', 41,
        'x', 41,
        'D', 133,
        'F', 133,
        'd', 133,
        'f', 133,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(130);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(sym_integer_literal);
      ADVANCE_MAP(
        '.', 37,
        '_', 38,
        'E', 36,
        'e', 36,
        'L', 128,
        'l', 128,
        'D', 133,
        'F', 133,
        'd', 133,
        'f', 133,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(130);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(sym_integer_literal);
      if (lookahead == '_') ADVANCE(41);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(128);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(131);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(sym_integer_literal);
      if (lookahead == '_') ADVANCE(38);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(128);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(132);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(sym_floating_point_literal);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(sym_floating_point_literal);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(36);
      if (('D' <= lookahead && lookahead <= 'F') ||
          ('d' <= lookahead && lookahead <= 'f')) ADVANCE(133);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(134);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(sym_floating_point_literal);
      if (lookahead == 'D' ||
          lookahead == 'F' ||
          lookahead == 'd' ||
          lookahead == 'f') ADVANCE(133);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(135);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(sym_character_literal);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      if (lookahead == '"') ADVANCE(5);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(sym__interpolated_multiline_string_start);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(anon_sym_LT_DASH);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(anon_sym_LT_DASH);
      if (set_contains(sym__alpha_identifier_character_set_4, 133, lookahead)) ADVANCE(126);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(aux_sym__shebang_token1);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(142);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(anon_sym_SLASH_SLASH);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(anon_sym_SLASH_SLASH);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ') ADVANCE(152);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(anon_sym_SLASH_SLASH);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(155);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(sym__comment_text);
      if (lookahead == '*') ADVANCE(149);
      if (lookahead == '/') ADVANCE(149);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(149);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(sym__comment_text);
      if (lookahead == '/') ADVANCE(146);
      if (lookahead == '>') ADVANCE(150);
      if (lookahead == '\t' ||
          (0x0b <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(148);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(149);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(sym__comment_text);
      if (lookahead == '/') ADVANCE(146);
      if (lookahead == '\t' ||
          (0x0b <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(148);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(149);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(sym__comment_text);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(149);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(anon_sym_GT);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(sym_using_directive_key);
      if (lookahead == '*') ADVANCE(157);
      if (lookahead == '/') ADVANCE(144);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ') ADVANCE(152);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(sym_using_directive_key);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ') ADVANCE(152);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(sym_using_directive_value);
      if (lookahead == '*') ADVANCE(158);
      if (lookahead == '/') ADVANCE(145);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(155);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(sym_using_directive_value);
      if (lookahead == '/') ADVANCE(153);
      if (lookahead == '\t' ||
          (0x0b <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(154);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(155);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(sym_using_directive_value);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(155);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(anon_sym_SLASH_STAR);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(anon_sym_SLASH_STAR);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ') ADVANCE(152);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(anon_sym_SLASH_STAR);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(155);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(aux_sym_block_comment_token1);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(aux_sym_block_comment_token1);
      if (lookahead == '*') ADVANCE(156);
      if (lookahead == '/') ADVANCE(143);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(aux_sym_block_comment_token1);
      if (lookahead == '*') ADVANCE(162);
      if (lookahead == '/') ADVANCE(160);
      if (lookahead == '\t' ||
          (0x0b <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(161);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(159);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(aux_sym_block_comment_token1);
      if (lookahead == '/') ADVANCE(163);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(anon_sym_STAR_SLASH);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      ADVANCE_MAP(
        '_', 1,
        'a', 2,
        'c', 3,
        'd', 4,
        'e', 5,
        'f', 6,
        'g', 7,
        'i', 8,
        'l', 9,
        'm', 10,
        'n', 11,
        'o', 12,
        'p', 13,
        'r', 14,
        's', 15,
        't', 16,
        'u', 17,
        'v', 18,
        'w', 19,
        'y', 20,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(0);
      END_STATE();
    case 1:
      ACCEPT_TOKEN(anon_sym__);
      if (lookahead == '_') ADVANCE(21);
      END_STATE();
    case 2:
      if (lookahead == 'b') ADVANCE(22);
      if (lookahead == 's') ADVANCE(23);
      END_STATE();
    case 3:
      if (lookahead == 'a') ADVANCE(24);
      if (lookahead == 'l') ADVANCE(25);
      END_STATE();
    case 4:
      if (lookahead == 'e') ADVANCE(26);
      if (lookahead == 'o') ADVANCE(27);
      END_STATE();
    case 5:
      if (lookahead == 'l') ADVANCE(28);
      if (lookahead == 'n') ADVANCE(29);
      if (lookahead == 'x') ADVANCE(30);
      END_STATE();
    case 6:
      if (lookahead == 'a') ADVANCE(31);
      if (lookahead == 'i') ADVANCE(32);
      if (lookahead == 'o') ADVANCE(33);
      END_STATE();
    case 7:
      if (lookahead == 'i') ADVANCE(34);
      END_STATE();
    case 8:
      if (lookahead == 'f') ADVANCE(35);
      if (lookahead == 'm') ADVANCE(36);
      if (lookahead == 'n') ADVANCE(37);
      END_STATE();
    case 9:
      if (lookahead == 'a') ADVANCE(38);
      END_STATE();
    case 10:
      if (lookahead == 'a') ADVANCE(39);
      END_STATE();
    case 11:
      if (lookahead == 'e') ADVANCE(40);
      if (lookahead == 'u') ADVANCE(41);
      END_STATE();
    case 12:
      if (lookahead == 'b') ADVANCE(42);
      if (lookahead == 'p') ADVANCE(43);
      if (lookahead == 'v') ADVANCE(44);
      END_STATE();
    case 13:
      if (lookahead == 'a') ADVANCE(45);
      if (lookahead == 'r') ADVANCE(46);
      END_STATE();
    case 14:
      if (lookahead == 'e') ADVANCE(47);
      END_STATE();
    case 15:
      if (lookahead == 'e') ADVANCE(48);
      END_STATE();
    case 16:
      if (lookahead == 'h') ADVANCE(49);
      if (lookahead == 'r') ADVANCE(50);
      if (lookahead == 'y') ADVANCE(51);
      END_STATE();
    case 17:
      if (lookahead == 's') ADVANCE(52);
      END_STATE();
    case 18:
      if (lookahead == 'a') ADVANCE(53);
      END_STATE();
    case 19:
      if (lookahead == 'h') ADVANCE(54);
      if (lookahead == 'i') ADVANCE(55);
      END_STATE();
    case 20:
      if (lookahead == 'i') ADVANCE(56);
      END_STATE();
    case 21:
      if (lookahead == 'n') ADVANCE(57);
      END_STATE();
    case 22:
      if (lookahead == 's') ADVANCE(58);
      END_STATE();
    case 23:
      ACCEPT_TOKEN(anon_sym_as);
      END_STATE();
    case 24:
      if (lookahead == 's') ADVANCE(59);
      if (lookahead == 't') ADVANCE(60);
      END_STATE();
    case 25:
      if (lookahead == 'a') ADVANCE(61);
      END_STATE();
    case 26:
      if (lookahead == 'f') ADVANCE(62);
      if (lookahead == 'r') ADVANCE(63);
      END_STATE();
    case 27:
      ACCEPT_TOKEN(anon_sym_do);
      END_STATE();
    case 28:
      if (lookahead == 's') ADVANCE(64);
      END_STATE();
    case 29:
      if (lookahead == 'd') ADVANCE(65);
      if (lookahead == 'u') ADVANCE(66);
      END_STATE();
    case 30:
      if (lookahead == 'p') ADVANCE(67);
      if (lookahead == 't') ADVANCE(68);
      END_STATE();
    case 31:
      if (lookahead == 'l') ADVANCE(69);
      END_STATE();
    case 32:
      if (lookahead == 'n') ADVANCE(70);
      END_STATE();
    case 33:
      if (lookahead == 'r') ADVANCE(71);
      END_STATE();
    case 34:
      if (lookahead == 'v') ADVANCE(72);
      END_STATE();
    case 35:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 36:
      if (lookahead == 'p') ADVANCE(73);
      END_STATE();
    case 37:
      if (lookahead == 'f') ADVANCE(74);
      if (lookahead == 'l') ADVANCE(75);
      END_STATE();
    case 38:
      if (lookahead == 'z') ADVANCE(76);
      END_STATE();
    case 39:
      if (lookahead == 'c') ADVANCE(77);
      if (lookahead == 't') ADVANCE(78);
      END_STATE();
    case 40:
      if (lookahead == 'w') ADVANCE(79);
      END_STATE();
    case 41:
      if (lookahead == 'l') ADVANCE(80);
      END_STATE();
    case 42:
      if (lookahead == 'j') ADVANCE(81);
      END_STATE();
    case 43:
      if (lookahead == 'a') ADVANCE(82);
      if (lookahead == 'e') ADVANCE(83);
      END_STATE();
    case 44:
      if (lookahead == 'e') ADVANCE(84);
      END_STATE();
    case 45:
      if (lookahead == 'c') ADVANCE(85);
      END_STATE();
    case 46:
      if (lookahead == 'i') ADVANCE(86);
      if (lookahead == 'o') ADVANCE(87);
      END_STATE();
    case 47:
      if (lookahead == 't') ADVANCE(88);
      END_STATE();
    case 48:
      if (lookahead == 'a') ADVANCE(89);
      END_STATE();
    case 49:
      if (lookahead == 'e') ADVANCE(90);
      if (lookahead == 'i') ADVANCE(91);
      if (lookahead == 'r') ADVANCE(92);
      END_STATE();
    case 50:
      if (lookahead == 'a') ADVANCE(93);
      if (lookahead == 'u') ADVANCE(94);
      if (lookahead == 'y') ADVANCE(95);
      END_STATE();
    case 51:
      if (lookahead == 'p') ADVANCE(96);
      END_STATE();
    case 52:
      if (lookahead == 'i') ADVANCE(97);
      END_STATE();
    case 53:
      if (lookahead == 'l') ADVANCE(98);
      if (lookahead == 'r') ADVANCE(99);
      END_STATE();
    case 54:
      if (lookahead == 'i') ADVANCE(100);
      END_STATE();
    case 55:
      if (lookahead == 't') ADVANCE(101);
      END_STATE();
    case 56:
      if (lookahead == 'e') ADVANCE(102);
      END_STATE();
    case 57:
      if (lookahead == 'o') ADVANCE(103);
      END_STATE();
    case 58:
      if (lookahead == 't') ADVANCE(104);
      END_STATE();
    case 59:
      if (lookahead == 'e') ADVANCE(105);
      END_STATE();
    case 60:
      if (lookahead == 'c') ADVANCE(106);
      END_STATE();
    case 61:
      if (lookahead == 's') ADVANCE(107);
      END_STATE();
    case 62:
      ACCEPT_TOKEN(anon_sym_def);
      END_STATE();
    case 63:
      if (lookahead == 'i') ADVANCE(108);
      END_STATE();
    case 64:
      if (lookahead == 'e') ADVANCE(109);
      END_STATE();
    case 65:
      ACCEPT_TOKEN(anon_sym_end);
      END_STATE();
    case 66:
      if (lookahead == 'm') ADVANCE(110);
      END_STATE();
    case 67:
      if (lookahead == 'o') ADVANCE(111);
      END_STATE();
    case 68:
      if (lookahead == 'e') ADVANCE(112);
      END_STATE();
    case 69:
      if (lookahead == 's') ADVANCE(113);
      END_STATE();
    case 70:
      if (lookahead == 'a') ADVANCE(114);
      END_STATE();
    case 71:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 72:
      if (lookahead == 'e') ADVANCE(115);
      END_STATE();
    case 73:
      if (lookahead == 'l') ADVANCE(116);
      if (lookahead == 'o') ADVANCE(117);
      END_STATE();
    case 74:
      if (lookahead == 'i') ADVANCE(118);
      END_STATE();
    case 75:
      if (lookahead == 'i') ADVANCE(119);
      END_STATE();
    case 76:
      if (lookahead == 'y') ADVANCE(120);
      END_STATE();
    case 77:
      if (lookahead == 'r') ADVANCE(121);
      END_STATE();
    case 78:
      if (lookahead == 'c') ADVANCE(122);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(anon_sym_new);
      END_STATE();
    case 80:
      if (lookahead == 'l') ADVANCE(123);
      END_STATE();
    case 81:
      if (lookahead == 'e') ADVANCE(124);
      END_STATE();
    case 82:
      if (lookahead == 'q') ADVANCE(125);
      END_STATE();
    case 83:
      if (lookahead == 'n') ADVANCE(126);
      END_STATE();
    case 84:
      if (lookahead == 'r') ADVANCE(127);
      END_STATE();
    case 85:
      if (lookahead == 'k') ADVANCE(128);
      END_STATE();
    case 86:
      if (lookahead == 'v') ADVANCE(129);
      END_STATE();
    case 87:
      if (lookahead == 't') ADVANCE(130);
      END_STATE();
    case 88:
      if (lookahead == 'u') ADVANCE(131);
      END_STATE();
    case 89:
      if (lookahead == 'l') ADVANCE(132);
      END_STATE();
    case 90:
      if (lookahead == 'n') ADVANCE(133);
      END_STATE();
    case 91:
      if (lookahead == 's') ADVANCE(134);
      END_STATE();
    case 92:
      if (lookahead == 'o') ADVANCE(135);
      END_STATE();
    case 93:
      if (lookahead == 'i') ADVANCE(136);
      if (lookahead == 'n') ADVANCE(137);
      END_STATE();
    case 94:
      if (lookahead == 'e') ADVANCE(138);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(anon_sym_try);
      END_STATE();
    case 96:
      if (lookahead == 'e') ADVANCE(139);
      END_STATE();
    case 97:
      if (lookahead == 'n') ADVANCE(140);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(anon_sym_val);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(anon_sym_var);
      END_STATE();
    case 100:
      if (lookahead == 'l') ADVANCE(141);
      END_STATE();
    case 101:
      if (lookahead == 'h') ADVANCE(142);
      END_STATE();
    case 102:
      if (lookahead == 'l') ADVANCE(143);
      END_STATE();
    case 103:
      if (lookahead == '_') ADVANCE(144);
      END_STATE();
    case 104:
      if (lookahead == 'r') ADVANCE(145);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(anon_sym_case);
      END_STATE();
    case 106:
      if (lookahead == 'h') ADVANCE(146);
      END_STATE();
    case 107:
      if (lookahead == 's') ADVANCE(147);
      END_STATE();
    case 108:
      if (lookahead == 'v') ADVANCE(148);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(anon_sym_enum);
      END_STATE();
    case 111:
      if (lookahead == 'r') ADVANCE(149);
      END_STATE();
    case 112:
      if (lookahead == 'n') ADVANCE(150);
      END_STATE();
    case 113:
      if (lookahead == 'e') ADVANCE(151);
      END_STATE();
    case 114:
      if (lookahead == 'l') ADVANCE(152);
      END_STATE();
    case 115:
      if (lookahead == 'n') ADVANCE(153);
      END_STATE();
    case 116:
      if (lookahead == 'i') ADVANCE(154);
      END_STATE();
    case 117:
      if (lookahead == 'r') ADVANCE(155);
      END_STATE();
    case 118:
      if (lookahead == 'x') ADVANCE(156);
      END_STATE();
    case 119:
      if (lookahead == 'n') ADVANCE(157);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(anon_sym_lazy);
      END_STATE();
    case 121:
      if (lookahead == 'o') ADVANCE(158);
      END_STATE();
    case 122:
      if (lookahead == 'h') ADVANCE(159);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(sym_null_literal);
      END_STATE();
    case 124:
      if (lookahead == 'c') ADVANCE(160);
      END_STATE();
    case 125:
      if (lookahead == 'u') ADVANCE(161);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(anon_sym_open);
      END_STATE();
    case 127:
      if (lookahead == 'r') ADVANCE(162);
      END_STATE();
    case 128:
      if (lookahead == 'a') ADVANCE(163);
      END_STATE();
    case 129:
      if (lookahead == 'a') ADVANCE(164);
      END_STATE();
    case 130:
      if (lookahead == 'e') ADVANCE(165);
      END_STATE();
    case 131:
      if (lookahead == 'r') ADVANCE(166);
      END_STATE();
    case 132:
      if (lookahead == 'e') ADVANCE(167);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(anon_sym_then);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(anon_sym_this);
      END_STATE();
    case 135:
      if (lookahead == 'w') ADVANCE(168);
      END_STATE();
    case 136:
      if (lookahead == 't') ADVANCE(169);
      END_STATE();
    case 137:
      if (lookahead == 's') ADVANCE(170);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(anon_sym_true);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(anon_sym_type);
      END_STATE();
    case 140:
      if (lookahead == 'g') ADVANCE(171);
      END_STATE();
    case 141:
      if (lookahead == 'e') ADVANCE(172);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(anon_sym_with);
      END_STATE();
    case 143:
      if (lookahead == 'd') ADVANCE(173);
      END_STATE();
    case 144:
      if (lookahead == 'l') ADVANCE(174);
      END_STATE();
    case 145:
      if (lookahead == 'a') ADVANCE(175);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(anon_sym_catch);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(anon_sym_class);
      END_STATE();
    case 148:
      if (lookahead == 'e') ADVANCE(176);
      END_STATE();
    case 149:
      if (lookahead == 't') ADVANCE(177);
      END_STATE();
    case 150:
      if (lookahead == 'd') ADVANCE(178);
      if (lookahead == 's') ADVANCE(179);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(anon_sym_false);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(anon_sym_final);
      if (lookahead == 'l') ADVANCE(180);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(anon_sym_given);
      END_STATE();
    case 154:
      if (lookahead == 'c') ADVANCE(181);
      END_STATE();
    case 155:
      if (lookahead == 't') ADVANCE(182);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(anon_sym_infix);
      END_STATE();
    case 157:
      if (lookahead == 'e') ADVANCE(183);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(anon_sym_macro);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(anon_sym_match);
      END_STATE();
    case 160:
      if (lookahead == 't') ADVANCE(184);
      END_STATE();
    case 161:
      if (lookahead == 'e') ADVANCE(185);
      END_STATE();
    case 162:
      if (lookahead == 'i') ADVANCE(186);
      END_STATE();
    case 163:
      if (lookahead == 'g') ADVANCE(187);
      END_STATE();
    case 164:
      if (lookahead == 't') ADVANCE(188);
      END_STATE();
    case 165:
      if (lookahead == 'c') ADVANCE(189);
      END_STATE();
    case 166:
      if (lookahead == 'n') ADVANCE(190);
      END_STATE();
    case 167:
      if (lookahead == 'd') ADVANCE(191);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(anon_sym_throw);
      END_STATE();
    case 169:
      ACCEPT_TOKEN(anon_sym_trait);
      END_STATE();
    case 170:
      if (lookahead == 'p') ADVANCE(192);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(anon_sym_using);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(anon_sym_yield);
      END_STATE();
    case 174:
      if (lookahead == 'o') ADVANCE(193);
      END_STATE();
    case 175:
      if (lookahead == 'c') ADVANCE(194);
      END_STATE();
    case 176:
      if (lookahead == 's') ADVANCE(195);
      END_STATE();
    case 177:
      ACCEPT_TOKEN(anon_sym_export);
      END_STATE();
    case 178:
      if (lookahead == 's') ADVANCE(196);
      END_STATE();
    case 179:
      if (lookahead == 'i') ADVANCE(197);
      END_STATE();
    case 180:
      if (lookahead == 'y') ADVANCE(198);
      END_STATE();
    case 181:
      if (lookahead == 'i') ADVANCE(199);
      END_STATE();
    case 182:
      ACCEPT_TOKEN(anon_sym_import);
      END_STATE();
    case 183:
      ACCEPT_TOKEN(anon_sym_inline);
      END_STATE();
    case 184:
      ACCEPT_TOKEN(anon_sym_object);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(anon_sym_opaque);
      END_STATE();
    case 186:
      if (lookahead == 'd') ADVANCE(200);
      END_STATE();
    case 187:
      if (lookahead == 'e') ADVANCE(201);
      END_STATE();
    case 188:
      if (lookahead == 'e') ADVANCE(202);
      END_STATE();
    case 189:
      if (lookahead == 't') ADVANCE(203);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(anon_sym_sealed);
      END_STATE();
    case 192:
      if (lookahead == 'a') ADVANCE(204);
      END_STATE();
    case 193:
      if (lookahead == 'n') ADVANCE(205);
      END_STATE();
    case 194:
      if (lookahead == 't') ADVANCE(206);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(anon_sym_derives);
      END_STATE();
    case 196:
      ACCEPT_TOKEN(anon_sym_extends);
      END_STATE();
    case 197:
      if (lookahead == 'o') ADVANCE(207);
      END_STATE();
    case 198:
      ACCEPT_TOKEN(anon_sym_finally);
      END_STATE();
    case 199:
      if (lookahead == 't') ADVANCE(208);
      END_STATE();
    case 200:
      if (lookahead == 'e') ADVANCE(209);
      END_STATE();
    case 201:
      ACCEPT_TOKEN(anon_sym_package);
      END_STATE();
    case 202:
      ACCEPT_TOKEN(anon_sym_private);
      END_STATE();
    case 203:
      if (lookahead == 'e') ADVANCE(210);
      END_STATE();
    case 204:
      if (lookahead == 'r') ADVANCE(211);
      END_STATE();
    case 205:
      if (lookahead == 'g') ADVANCE(212);
      END_STATE();
    case 206:
      ACCEPT_TOKEN(anon_sym_abstract);
      END_STATE();
    case 207:
      if (lookahead == 'n') ADVANCE(213);
      END_STATE();
    case 208:
      ACCEPT_TOKEN(anon_sym_implicit);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(anon_sym_override);
      END_STATE();
    case 210:
      if (lookahead == 'd') ADVANCE(214);
      END_STATE();
    case 211:
      if (lookahead == 'e') ADVANCE(215);
      END_STATE();
    case 212:
      if (lookahead == 'e') ADVANCE(216);
      END_STATE();
    case 213:
      ACCEPT_TOKEN(anon_sym_extension);
      END_STATE();
    case 214:
      ACCEPT_TOKEN(anon_sym_protected);
      END_STATE();
    case 215:
      if (lookahead == 'n') ADVANCE(217);
      END_STATE();
    case 216:
      if (lookahead == 'r') ADVANCE(218);
      END_STATE();
    case 217:
      if (lookahead == 't') ADVANCE(219);
      END_STATE();
    case 218:
      if (lookahead == '_') ADVANCE(220);
      END_STATE();
    case 219:
      ACCEPT_TOKEN(anon_sym_transparent);
      END_STATE();
    case 220:
      if (lookahead == 'u') ADVANCE(221);
      END_STATE();
    case 221:
      if (lookahead == 's') ADVANCE(222);
      END_STATE();
    case 222:
      if (lookahead == 'e') ADVANCE(223);
      END_STATE();
    case 223:
      if (lookahead == 'd') ADVANCE(224);
      END_STATE();
    case 224:
      if (lookahead == '_') ADVANCE(225);
      END_STATE();
    case 225:
      if (lookahead == 's') ADVANCE(226);
      END_STATE();
    case 226:
      if (lookahead == 'y') ADVANCE(227);
      END_STATE();
    case 227:
      if (lookahead == 'm') ADVANCE(228);
      END_STATE();
    case 228:
      if (lookahead == 'b') ADVANCE(229);
      END_STATE();
    case 229:
      if (lookahead == 'o') ADVANCE(230);
      END_STATE();
    case 230:
      if (lookahead == 'l') ADVANCE(231);
      END_STATE();
    case 231:
      if (lookahead == '_') ADVANCE(232);
      END_STATE();
    case 232:
      if (lookahead == 'l') ADVANCE(233);
      END_STATE();
    case 233:
      if (lookahead == 'i') ADVANCE(234);
      END_STATE();
    case 234:
      if (lookahead == 't') ADVANCE(235);
      END_STATE();
    case 235:
      if (lookahead == 'e') ADVANCE(236);
      END_STATE();
    case 236:
      if (lookahead == 'r') ADVANCE(237);
      END_STATE();
    case 237:
      if (lookahead == 'a') ADVANCE(238);
      END_STATE();
    case 238:
      if (lookahead == 'l') ADVANCE(239);
      END_STATE();
    case 239:
      if (lookahead == '_') ADVANCE(240);
      END_STATE();
    case 240:
      ACCEPT_TOKEN(sym_symbol_literal);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 48, .external_lex_state = 2},
  [2] = {.lex_state = 49, .external_lex_state = 3},
  [3] = {.lex_state = 49, .external_lex_state = 3},
  [4] = {.lex_state = 49, .external_lex_state = 3},
  [5] = {.lex_state = 49, .external_lex_state = 3},
  [6] = {.lex_state = 49, .external_lex_state = 3},
  [7] = {.lex_state = 49, .external_lex_state = 3},
  [8] = {.lex_state = 49, .external_lex_state = 3},
  [9] = {.lex_state = 49, .external_lex_state = 3},
  [10] = {.lex_state = 49, .external_lex_state = 3},
  [11] = {.lex_state = 49, .external_lex_state = 3},
  [12] = {.lex_state = 49, .external_lex_state = 3},
  [13] = {.lex_state = 49, .external_lex_state = 3},
  [14] = {.lex_state = 49, .external_lex_state = 3},
  [15] = {.lex_state = 49, .external_lex_state = 3},
  [16] = {.lex_state = 49, .external_lex_state = 3},
  [17] = {.lex_state = 49, .external_lex_state = 3},
  [18] = {.lex_state = 49, .external_lex_state = 3},
  [19] = {.lex_state = 49, .external_lex_state = 3},
  [20] = {.lex_state = 49, .external_lex_state = 3},
  [21] = {.lex_state = 49, .external_lex_state = 3},
  [22] = {.lex_state = 49, .external_lex_state = 3},
  [23] = {.lex_state = 49, .external_lex_state = 3},
  [24] = {.lex_state = 49, .external_lex_state = 3},
  [25] = {.lex_state = 49, .external_lex_state = 3},
  [26] = {.lex_state = 49, .external_lex_state = 3},
  [27] = {.lex_state = 49, .external_lex_state = 3},
  [28] = {.lex_state = 49, .external_lex_state = 3},
  [29] = {.lex_state = 49, .external_lex_state = 3},
  [30] = {.lex_state = 49, .external_lex_state = 3},
  [31] = {.lex_state = 49, .external_lex_state = 3},
  [32] = {.lex_state = 49, .external_lex_state = 3},
  [33] = {.lex_state = 49, .external_lex_state = 3},
  [34] = {.lex_state = 49, .external_lex_state = 3},
  [35] = {.lex_state = 49, .external_lex_state = 3},
  [36] = {.lex_state = 49, .external_lex_state = 3},
  [37] = {.lex_state = 49, .external_lex_state = 3},
  [38] = {.lex_state = 49, .external_lex_state = 3},
  [39] = {.lex_state = 49, .external_lex_state = 3},
  [40] = {.lex_state = 49, .external_lex_state = 3},
  [41] = {.lex_state = 49, .external_lex_state = 3},
  [42] = {.lex_state = 49, .external_lex_state = 3},
  [43] = {.lex_state = 49, .external_lex_state = 3},
  [44] = {.lex_state = 49, .external_lex_state = 3},
  [45] = {.lex_state = 49, .external_lex_state = 3},
  [46] = {.lex_state = 49, .external_lex_state = 3},
  [47] = {.lex_state = 49, .external_lex_state = 3},
  [48] = {.lex_state = 49, .external_lex_state = 3},
  [49] = {.lex_state = 49, .external_lex_state = 3},
  [50] = {.lex_state = 49, .external_lex_state = 3},
  [51] = {.lex_state = 49, .external_lex_state = 3},
  [52] = {.lex_state = 49, .external_lex_state = 3},
  [53] = {.lex_state = 49, .external_lex_state = 3},
  [54] = {.lex_state = 49, .external_lex_state = 3},
  [55] = {.lex_state = 49, .external_lex_state = 3},
  [56] = {.lex_state = 49, .external_lex_state = 3},
  [57] = {.lex_state = 49, .external_lex_state = 3},
  [58] = {.lex_state = 49, .external_lex_state = 3},
  [59] = {.lex_state = 49, .external_lex_state = 3},
  [60] = {.lex_state = 49, .external_lex_state = 3},
  [61] = {.lex_state = 49, .external_lex_state = 3},
  [62] = {.lex_state = 49, .external_lex_state = 3},
  [63] = {.lex_state = 49, .external_lex_state = 3},
  [64] = {.lex_state = 49, .external_lex_state = 3},
  [65] = {.lex_state = 49, .external_lex_state = 3},
  [66] = {.lex_state = 49, .external_lex_state = 3},
  [67] = {.lex_state = 49, .external_lex_state = 3},
  [68] = {.lex_state = 49, .external_lex_state = 3},
  [69] = {.lex_state = 49, .external_lex_state = 3},
  [70] = {.lex_state = 49, .external_lex_state = 3},
  [71] = {.lex_state = 49, .external_lex_state = 3},
  [72] = {.lex_state = 49, .external_lex_state = 3},
  [73] = {.lex_state = 49, .external_lex_state = 3},
  [74] = {.lex_state = 49, .external_lex_state = 3},
  [75] = {.lex_state = 49, .external_lex_state = 3},
  [76] = {.lex_state = 49, .external_lex_state = 3},
  [77] = {.lex_state = 49, .external_lex_state = 3},
  [78] = {.lex_state = 49, .external_lex_state = 3},
  [79] = {.lex_state = 49, .external_lex_state = 3},
  [80] = {.lex_state = 49, .external_lex_state = 3},
  [81] = {.lex_state = 49, .external_lex_state = 3},
  [82] = {.lex_state = 49, .external_lex_state = 3},
  [83] = {.lex_state = 49, .external_lex_state = 3},
  [84] = {.lex_state = 49, .external_lex_state = 3},
  [85] = {.lex_state = 49, .external_lex_state = 3},
  [86] = {.lex_state = 49, .external_lex_state = 3},
  [87] = {.lex_state = 49, .external_lex_state = 3},
  [88] = {.lex_state = 49, .external_lex_state = 3},
  [89] = {.lex_state = 49, .external_lex_state = 3},
  [90] = {.lex_state = 49, .external_lex_state = 3},
  [91] = {.lex_state = 49, .external_lex_state = 3},
  [92] = {.lex_state = 49, .external_lex_state = 3},
  [93] = {.lex_state = 49, .external_lex_state = 3},
  [94] = {.lex_state = 49, .external_lex_state = 3},
  [95] = {.lex_state = 49, .external_lex_state = 3},
  [96] = {.lex_state = 49, .external_lex_state = 3},
  [97] = {.lex_state = 49, .external_lex_state = 3},
  [98] = {.lex_state = 49, .external_lex_state = 3},
  [99] = {.lex_state = 49, .external_lex_state = 3},
  [100] = {.lex_state = 49, .external_lex_state = 3},
  [101] = {.lex_state = 49, .external_lex_state = 3},
  [102] = {.lex_state = 49, .external_lex_state = 3},
  [103] = {.lex_state = 49, .external_lex_state = 3},
  [104] = {.lex_state = 49, .external_lex_state = 3},
  [105] = {.lex_state = 49, .external_lex_state = 3},
  [106] = {.lex_state = 49, .external_lex_state = 3},
  [107] = {.lex_state = 49, .external_lex_state = 3},
  [108] = {.lex_state = 49, .external_lex_state = 3},
  [109] = {.lex_state = 49, .external_lex_state = 3},
  [110] = {.lex_state = 49, .external_lex_state = 3},
  [111] = {.lex_state = 49, .external_lex_state = 3},
  [112] = {.lex_state = 49, .external_lex_state = 3},
  [113] = {.lex_state = 49, .external_lex_state = 3},
  [114] = {.lex_state = 49, .external_lex_state = 3},
  [115] = {.lex_state = 49, .external_lex_state = 3},
  [116] = {.lex_state = 49, .external_lex_state = 3},
  [117] = {.lex_state = 49, .external_lex_state = 3},
  [118] = {.lex_state = 49, .external_lex_state = 3},
  [119] = {.lex_state = 49, .external_lex_state = 3},
  [120] = {.lex_state = 49, .external_lex_state = 2},
  [121] = {.lex_state = 49, .external_lex_state = 2},
  [122] = {.lex_state = 49, .external_lex_state = 2},
  [123] = {.lex_state = 49, .external_lex_state = 2},
  [124] = {.lex_state = 49, .external_lex_state = 2},
  [125] = {.lex_state = 49, .external_lex_state = 2},
  [126] = {.lex_state = 49, .external_lex_state = 2},
  [127] = {.lex_state = 49, .external_lex_state = 2},
  [128] = {.lex_state = 49, .external_lex_state = 2},
  [129] = {.lex_state = 49, .external_lex_state = 2},
  [130] = {.lex_state = 49, .external_lex_state = 2},
  [131] = {.lex_state = 49, .external_lex_state = 2},
  [132] = {.lex_state = 49, .external_lex_state = 2},
  [133] = {.lex_state = 49, .external_lex_state = 2},
  [134] = {.lex_state = 49, .external_lex_state = 2},
  [135] = {.lex_state = 49, .external_lex_state = 2},
  [136] = {.lex_state = 49, .external_lex_state = 2},
  [137] = {.lex_state = 49, .external_lex_state = 2},
  [138] = {.lex_state = 49, .external_lex_state = 2},
  [139] = {.lex_state = 49, .external_lex_state = 2},
  [140] = {.lex_state = 49, .external_lex_state = 2},
  [141] = {.lex_state = 49, .external_lex_state = 2},
  [142] = {.lex_state = 49, .external_lex_state = 2},
  [143] = {.lex_state = 49, .external_lex_state = 2},
  [144] = {.lex_state = 49, .external_lex_state = 2},
  [145] = {.lex_state = 49, .external_lex_state = 2},
  [146] = {.lex_state = 49, .external_lex_state = 2},
  [147] = {.lex_state = 49, .external_lex_state = 2},
  [148] = {.lex_state = 49, .external_lex_state = 2},
  [149] = {.lex_state = 49, .external_lex_state = 2},
  [150] = {.lex_state = 49, .external_lex_state = 2},
  [151] = {.lex_state = 49, .external_lex_state = 2},
  [152] = {.lex_state = 49, .external_lex_state = 2},
  [153] = {.lex_state = 49, .external_lex_state = 2},
  [154] = {.lex_state = 49, .external_lex_state = 2},
  [155] = {.lex_state = 49, .external_lex_state = 2},
  [156] = {.lex_state = 49, .external_lex_state = 2},
  [157] = {.lex_state = 49, .external_lex_state = 2},
  [158] = {.lex_state = 49, .external_lex_state = 2},
  [159] = {.lex_state = 49, .external_lex_state = 2},
  [160] = {.lex_state = 49, .external_lex_state = 2},
  [161] = {.lex_state = 49, .external_lex_state = 2},
  [162] = {.lex_state = 49, .external_lex_state = 2},
  [163] = {.lex_state = 49, .external_lex_state = 2},
  [164] = {.lex_state = 49, .external_lex_state = 2},
  [165] = {.lex_state = 49, .external_lex_state = 2},
  [166] = {.lex_state = 49, .external_lex_state = 4},
  [167] = {.lex_state = 49, .external_lex_state = 2},
  [168] = {.lex_state = 49, .external_lex_state = 2},
  [169] = {.lex_state = 49, .external_lex_state = 2},
  [170] = {.lex_state = 49, .external_lex_state = 2},
  [171] = {.lex_state = 49, .external_lex_state = 2},
  [172] = {.lex_state = 49, .external_lex_state = 2},
  [173] = {.lex_state = 49, .external_lex_state = 2},
  [174] = {.lex_state = 49, .external_lex_state = 2},
  [175] = {.lex_state = 49, .external_lex_state = 2},
  [176] = {.lex_state = 49, .external_lex_state = 2},
  [177] = {.lex_state = 49, .external_lex_state = 2},
  [178] = {.lex_state = 49, .external_lex_state = 2},
  [179] = {.lex_state = 49, .external_lex_state = 2},
  [180] = {.lex_state = 49, .external_lex_state = 2},
  [181] = {.lex_state = 49, .external_lex_state = 2},
  [182] = {.lex_state = 49, .external_lex_state = 2},
  [183] = {.lex_state = 49, .external_lex_state = 2},
  [184] = {.lex_state = 49, .external_lex_state = 2},
  [185] = {.lex_state = 49, .external_lex_state = 2},
  [186] = {.lex_state = 49, .external_lex_state = 2},
  [187] = {.lex_state = 49, .external_lex_state = 2},
  [188] = {.lex_state = 49, .external_lex_state = 2},
  [189] = {.lex_state = 49, .external_lex_state = 2},
  [190] = {.lex_state = 49, .external_lex_state = 2},
  [191] = {.lex_state = 49, .external_lex_state = 2},
  [192] = {.lex_state = 49, .external_lex_state = 2},
  [193] = {.lex_state = 49, .external_lex_state = 2},
  [194] = {.lex_state = 49, .external_lex_state = 2},
  [195] = {.lex_state = 49, .external_lex_state = 2},
  [196] = {.lex_state = 49, .external_lex_state = 2},
  [197] = {.lex_state = 49, .external_lex_state = 2},
  [198] = {.lex_state = 49, .external_lex_state = 2},
  [199] = {.lex_state = 49, .external_lex_state = 2},
  [200] = {.lex_state = 49, .external_lex_state = 2},
  [201] = {.lex_state = 49, .external_lex_state = 2},
  [202] = {.lex_state = 49, .external_lex_state = 2},
  [203] = {.lex_state = 49, .external_lex_state = 4},
  [204] = {.lex_state = 49, .external_lex_state = 2},
  [205] = {.lex_state = 49, .external_lex_state = 2},
  [206] = {.lex_state = 49, .external_lex_state = 2},
  [207] = {.lex_state = 49, .external_lex_state = 2},
  [208] = {.lex_state = 49, .external_lex_state = 2},
  [209] = {.lex_state = 49, .external_lex_state = 2},
  [210] = {.lex_state = 49, .external_lex_state = 2},
  [211] = {.lex_state = 49, .external_lex_state = 2},
  [212] = {.lex_state = 49, .external_lex_state = 2},
  [213] = {.lex_state = 49, .external_lex_state = 2},
  [214] = {.lex_state = 49, .external_lex_state = 2},
  [215] = {.lex_state = 49, .external_lex_state = 2},
  [216] = {.lex_state = 49, .external_lex_state = 4},
  [217] = {.lex_state = 49, .external_lex_state = 2},
  [218] = {.lex_state = 49, .external_lex_state = 2},
  [219] = {.lex_state = 49, .external_lex_state = 2},
  [220] = {.lex_state = 49, .external_lex_state = 2},
  [221] = {.lex_state = 49, .external_lex_state = 2},
  [222] = {.lex_state = 49, .external_lex_state = 2},
  [223] = {.lex_state = 49, .external_lex_state = 2},
  [224] = {.lex_state = 49, .external_lex_state = 2},
  [225] = {.lex_state = 49, .external_lex_state = 2},
  [226] = {.lex_state = 49, .external_lex_state = 2},
  [227] = {.lex_state = 49, .external_lex_state = 2},
  [228] = {.lex_state = 49, .external_lex_state = 2},
  [229] = {.lex_state = 49, .external_lex_state = 2},
  [230] = {.lex_state = 49, .external_lex_state = 2},
  [231] = {.lex_state = 49, .external_lex_state = 2},
  [232] = {.lex_state = 49, .external_lex_state = 2},
  [233] = {.lex_state = 49, .external_lex_state = 2},
  [234] = {.lex_state = 49, .external_lex_state = 2},
  [235] = {.lex_state = 49, .external_lex_state = 2},
  [236] = {.lex_state = 49, .external_lex_state = 2},
  [237] = {.lex_state = 49, .external_lex_state = 2},
  [238] = {.lex_state = 49, .external_lex_state = 2},
  [239] = {.lex_state = 49, .external_lex_state = 2},
  [240] = {.lex_state = 49, .external_lex_state = 2},
  [241] = {.lex_state = 49, .external_lex_state = 2},
  [242] = {.lex_state = 49, .external_lex_state = 2},
  [243] = {.lex_state = 49, .external_lex_state = 2},
  [244] = {.lex_state = 49, .external_lex_state = 2},
  [245] = {.lex_state = 49, .external_lex_state = 2},
  [246] = {.lex_state = 49, .external_lex_state = 2},
  [247] = {.lex_state = 49, .external_lex_state = 2},
  [248] = {.lex_state = 49, .external_lex_state = 2},
  [249] = {.lex_state = 49, .external_lex_state = 2},
  [250] = {.lex_state = 49, .external_lex_state = 2},
  [251] = {.lex_state = 49, .external_lex_state = 2},
  [252] = {.lex_state = 49, .external_lex_state = 2},
  [253] = {.lex_state = 49, .external_lex_state = 2},
  [254] = {.lex_state = 49, .external_lex_state = 2},
  [255] = {.lex_state = 49, .external_lex_state = 2},
  [256] = {.lex_state = 49, .external_lex_state = 2},
  [257] = {.lex_state = 49, .external_lex_state = 2},
  [258] = {.lex_state = 49, .external_lex_state = 2},
  [259] = {.lex_state = 49, .external_lex_state = 2},
  [260] = {.lex_state = 49, .external_lex_state = 2},
  [261] = {.lex_state = 49, .external_lex_state = 2},
  [262] = {.lex_state = 49, .external_lex_state = 2},
  [263] = {.lex_state = 49, .external_lex_state = 2},
  [264] = {.lex_state = 49, .external_lex_state = 2},
  [265] = {.lex_state = 49, .external_lex_state = 2},
  [266] = {.lex_state = 49, .external_lex_state = 2},
  [267] = {.lex_state = 49, .external_lex_state = 2},
  [268] = {.lex_state = 49, .external_lex_state = 2},
  [269] = {.lex_state = 49, .external_lex_state = 2},
  [270] = {.lex_state = 49, .external_lex_state = 2},
  [271] = {.lex_state = 49, .external_lex_state = 2},
  [272] = {.lex_state = 49, .external_lex_state = 2},
  [273] = {.lex_state = 49, .external_lex_state = 2},
  [274] = {.lex_state = 49, .external_lex_state = 2},
  [275] = {.lex_state = 49, .external_lex_state = 2},
  [276] = {.lex_state = 49, .external_lex_state = 2},
  [277] = {.lex_state = 49, .external_lex_state = 2},
  [278] = {.lex_state = 49, .external_lex_state = 2},
  [279] = {.lex_state = 49, .external_lex_state = 2},
  [280] = {.lex_state = 49, .external_lex_state = 2},
  [281] = {.lex_state = 49, .external_lex_state = 2},
  [282] = {.lex_state = 49, .external_lex_state = 2},
  [283] = {.lex_state = 49, .external_lex_state = 2},
  [284] = {.lex_state = 49, .external_lex_state = 2},
  [285] = {.lex_state = 49, .external_lex_state = 2},
  [286] = {.lex_state = 49, .external_lex_state = 2},
  [287] = {.lex_state = 49, .external_lex_state = 2},
  [288] = {.lex_state = 49, .external_lex_state = 2},
  [289] = {.lex_state = 49, .external_lex_state = 2},
  [290] = {.lex_state = 49, .external_lex_state = 2},
  [291] = {.lex_state = 49, .external_lex_state = 2},
  [292] = {.lex_state = 49, .external_lex_state = 2},
  [293] = {.lex_state = 49, .external_lex_state = 2},
  [294] = {.lex_state = 49, .external_lex_state = 2},
  [295] = {.lex_state = 49, .external_lex_state = 2},
  [296] = {.lex_state = 49, .external_lex_state = 2},
  [297] = {.lex_state = 49, .external_lex_state = 2},
  [298] = {.lex_state = 49, .external_lex_state = 2},
  [299] = {.lex_state = 49, .external_lex_state = 3},
  [300] = {.lex_state = 49, .external_lex_state = 2},
  [301] = {.lex_state = 49, .external_lex_state = 2},
  [302] = {.lex_state = 49, .external_lex_state = 2},
  [303] = {.lex_state = 49, .external_lex_state = 2},
  [304] = {.lex_state = 49, .external_lex_state = 2},
  [305] = {.lex_state = 49, .external_lex_state = 2},
  [306] = {.lex_state = 49, .external_lex_state = 2},
  [307] = {.lex_state = 49, .external_lex_state = 2},
  [308] = {.lex_state = 49, .external_lex_state = 2},
  [309] = {.lex_state = 49, .external_lex_state = 2},
  [310] = {.lex_state = 49, .external_lex_state = 2},
  [311] = {.lex_state = 49, .external_lex_state = 2},
  [312] = {.lex_state = 49, .external_lex_state = 2},
  [313] = {.lex_state = 49, .external_lex_state = 2},
  [314] = {.lex_state = 49, .external_lex_state = 2},
  [315] = {.lex_state = 49, .external_lex_state = 2},
  [316] = {.lex_state = 49, .external_lex_state = 2},
  [317] = {.lex_state = 49, .external_lex_state = 2},
  [318] = {.lex_state = 49, .external_lex_state = 2},
  [319] = {.lex_state = 49, .external_lex_state = 2},
  [320] = {.lex_state = 49, .external_lex_state = 2},
  [321] = {.lex_state = 49, .external_lex_state = 2},
  [322] = {.lex_state = 49, .external_lex_state = 2},
  [323] = {.lex_state = 49, .external_lex_state = 2},
  [324] = {.lex_state = 49, .external_lex_state = 2},
  [325] = {.lex_state = 49, .external_lex_state = 2},
  [326] = {.lex_state = 49, .external_lex_state = 2},
  [327] = {.lex_state = 49, .external_lex_state = 2},
  [328] = {.lex_state = 49, .external_lex_state = 2},
  [329] = {.lex_state = 49, .external_lex_state = 2},
  [330] = {.lex_state = 49, .external_lex_state = 2},
  [331] = {.lex_state = 49, .external_lex_state = 2},
  [332] = {.lex_state = 49, .external_lex_state = 2},
  [333] = {.lex_state = 49, .external_lex_state = 2},
  [334] = {.lex_state = 49, .external_lex_state = 2},
  [335] = {.lex_state = 49, .external_lex_state = 4},
  [336] = {.lex_state = 49, .external_lex_state = 2},
  [337] = {.lex_state = 49, .external_lex_state = 2},
  [338] = {.lex_state = 49, .external_lex_state = 2},
  [339] = {.lex_state = 49, .external_lex_state = 2},
  [340] = {.lex_state = 49, .external_lex_state = 2},
  [341] = {.lex_state = 49, .external_lex_state = 2},
  [342] = {.lex_state = 49, .external_lex_state = 2},
  [343] = {.lex_state = 49, .external_lex_state = 2},
  [344] = {.lex_state = 49, .external_lex_state = 2},
  [345] = {.lex_state = 49, .external_lex_state = 2},
  [346] = {.lex_state = 49, .external_lex_state = 2},
  [347] = {.lex_state = 49, .external_lex_state = 2},
  [348] = {.lex_state = 49, .external_lex_state = 2},
  [349] = {.lex_state = 49, .external_lex_state = 2},
  [350] = {.lex_state = 49, .external_lex_state = 2},
  [351] = {.lex_state = 49, .external_lex_state = 2},
  [352] = {.lex_state = 49, .external_lex_state = 2},
  [353] = {.lex_state = 49, .external_lex_state = 2},
  [354] = {.lex_state = 49, .external_lex_state = 2},
  [355] = {.lex_state = 49, .external_lex_state = 2},
  [356] = {.lex_state = 49, .external_lex_state = 2},
  [357] = {.lex_state = 49, .external_lex_state = 2},
  [358] = {.lex_state = 49, .external_lex_state = 2},
  [359] = {.lex_state = 49, .external_lex_state = 2},
  [360] = {.lex_state = 49, .external_lex_state = 2},
  [361] = {.lex_state = 49, .external_lex_state = 2},
  [362] = {.lex_state = 49, .external_lex_state = 2},
  [363] = {.lex_state = 49, .external_lex_state = 2},
  [364] = {.lex_state = 49, .external_lex_state = 2},
  [365] = {.lex_state = 49, .external_lex_state = 2},
  [366] = {.lex_state = 49, .external_lex_state = 2},
  [367] = {.lex_state = 49, .external_lex_state = 2},
  [368] = {.lex_state = 49, .external_lex_state = 2},
  [369] = {.lex_state = 49, .external_lex_state = 2},
  [370] = {.lex_state = 49, .external_lex_state = 2},
  [371] = {.lex_state = 49, .external_lex_state = 2},
  [372] = {.lex_state = 49, .external_lex_state = 2},
  [373] = {.lex_state = 49, .external_lex_state = 2},
  [374] = {.lex_state = 49, .external_lex_state = 2},
  [375] = {.lex_state = 49, .external_lex_state = 2},
  [376] = {.lex_state = 49, .external_lex_state = 2},
  [377] = {.lex_state = 49, .external_lex_state = 2},
  [378] = {.lex_state = 49, .external_lex_state = 2},
  [379] = {.lex_state = 49, .external_lex_state = 2},
  [380] = {.lex_state = 49, .external_lex_state = 2},
  [381] = {.lex_state = 49, .external_lex_state = 2},
  [382] = {.lex_state = 49, .external_lex_state = 2},
  [383] = {.lex_state = 49, .external_lex_state = 2},
  [384] = {.lex_state = 49, .external_lex_state = 2},
  [385] = {.lex_state = 49, .external_lex_state = 2},
  [386] = {.lex_state = 49, .external_lex_state = 2},
  [387] = {.lex_state = 49, .external_lex_state = 2},
  [388] = {.lex_state = 49, .external_lex_state = 2},
  [389] = {.lex_state = 49, .external_lex_state = 2},
  [390] = {.lex_state = 49, .external_lex_state = 2},
  [391] = {.lex_state = 49, .external_lex_state = 2},
  [392] = {.lex_state = 49, .external_lex_state = 2},
  [393] = {.lex_state = 49, .external_lex_state = 2},
  [394] = {.lex_state = 49, .external_lex_state = 2},
  [395] = {.lex_state = 49, .external_lex_state = 2},
  [396] = {.lex_state = 49, .external_lex_state = 2},
  [397] = {.lex_state = 49, .external_lex_state = 2},
  [398] = {.lex_state = 49, .external_lex_state = 2},
  [399] = {.lex_state = 49, .external_lex_state = 2},
  [400] = {.lex_state = 49, .external_lex_state = 2},
  [401] = {.lex_state = 49, .external_lex_state = 2},
  [402] = {.lex_state = 49, .external_lex_state = 2},
  [403] = {.lex_state = 49, .external_lex_state = 2},
  [404] = {.lex_state = 49, .external_lex_state = 2},
  [405] = {.lex_state = 49, .external_lex_state = 2},
  [406] = {.lex_state = 49, .external_lex_state = 2},
  [407] = {.lex_state = 49, .external_lex_state = 2},
  [408] = {.lex_state = 49, .external_lex_state = 2},
  [409] = {.lex_state = 49, .external_lex_state = 2},
  [410] = {.lex_state = 49, .external_lex_state = 2},
  [411] = {.lex_state = 49, .external_lex_state = 2},
  [412] = {.lex_state = 49, .external_lex_state = 2},
  [413] = {.lex_state = 49, .external_lex_state = 2},
  [414] = {.lex_state = 49, .external_lex_state = 2},
  [415] = {.lex_state = 49, .external_lex_state = 2},
  [416] = {.lex_state = 49, .external_lex_state = 2},
  [417] = {.lex_state = 49, .external_lex_state = 2},
  [418] = {.lex_state = 49, .external_lex_state = 2},
  [419] = {.lex_state = 49, .external_lex_state = 2},
  [420] = {.lex_state = 49, .external_lex_state = 2},
  [421] = {.lex_state = 49, .external_lex_state = 2},
  [422] = {.lex_state = 49, .external_lex_state = 2},
  [423] = {.lex_state = 49, .external_lex_state = 2},
  [424] = {.lex_state = 49, .external_lex_state = 2},
  [425] = {.lex_state = 49, .external_lex_state = 4},
  [426] = {.lex_state = 49, .external_lex_state = 2},
  [427] = {.lex_state = 49, .external_lex_state = 2},
  [428] = {.lex_state = 49, .external_lex_state = 2},
  [429] = {.lex_state = 49, .external_lex_state = 2},
  [430] = {.lex_state = 49, .external_lex_state = 2},
  [431] = {.lex_state = 49, .external_lex_state = 4},
  [432] = {.lex_state = 49, .external_lex_state = 2},
  [433] = {.lex_state = 49, .external_lex_state = 2},
  [434] = {.lex_state = 49, .external_lex_state = 2},
  [435] = {.lex_state = 49, .external_lex_state = 2},
  [436] = {.lex_state = 49, .external_lex_state = 2},
  [437] = {.lex_state = 49, .external_lex_state = 2},
  [438] = {.lex_state = 49, .external_lex_state = 2},
  [439] = {.lex_state = 49, .external_lex_state = 2},
  [440] = {.lex_state = 49, .external_lex_state = 2},
  [441] = {.lex_state = 49, .external_lex_state = 2},
  [442] = {.lex_state = 49, .external_lex_state = 2},
  [443] = {.lex_state = 49, .external_lex_state = 2},
  [444] = {.lex_state = 49, .external_lex_state = 2},
  [445] = {.lex_state = 49, .external_lex_state = 2},
  [446] = {.lex_state = 49, .external_lex_state = 2},
  [447] = {.lex_state = 49, .external_lex_state = 2},
  [448] = {.lex_state = 49, .external_lex_state = 2},
  [449] = {.lex_state = 49, .external_lex_state = 2},
  [450] = {.lex_state = 49, .external_lex_state = 2},
  [451] = {.lex_state = 49, .external_lex_state = 2},
  [452] = {.lex_state = 49, .external_lex_state = 2},
  [453] = {.lex_state = 49, .external_lex_state = 2},
  [454] = {.lex_state = 49, .external_lex_state = 2},
  [455] = {.lex_state = 49, .external_lex_state = 2},
  [456] = {.lex_state = 49, .external_lex_state = 2},
  [457] = {.lex_state = 49, .external_lex_state = 2},
  [458] = {.lex_state = 49, .external_lex_state = 2},
  [459] = {.lex_state = 49, .external_lex_state = 2},
  [460] = {.lex_state = 49, .external_lex_state = 2},
  [461] = {.lex_state = 49, .external_lex_state = 2},
  [462] = {.lex_state = 49, .external_lex_state = 2},
  [463] = {.lex_state = 49, .external_lex_state = 2},
  [464] = {.lex_state = 49, .external_lex_state = 2},
  [465] = {.lex_state = 49, .external_lex_state = 2},
  [466] = {.lex_state = 49, .external_lex_state = 2},
  [467] = {.lex_state = 49, .external_lex_state = 2},
  [468] = {.lex_state = 49, .external_lex_state = 2},
  [469] = {.lex_state = 49, .external_lex_state = 2},
  [470] = {.lex_state = 49, .external_lex_state = 2},
  [471] = {.lex_state = 49, .external_lex_state = 2},
  [472] = {.lex_state = 49, .external_lex_state = 2},
  [473] = {.lex_state = 49, .external_lex_state = 2},
  [474] = {.lex_state = 49, .external_lex_state = 2},
  [475] = {.lex_state = 49, .external_lex_state = 2},
  [476] = {.lex_state = 49, .external_lex_state = 2},
  [477] = {.lex_state = 49, .external_lex_state = 2},
  [478] = {.lex_state = 49, .external_lex_state = 2},
  [479] = {.lex_state = 49, .external_lex_state = 2},
  [480] = {.lex_state = 49, .external_lex_state = 2},
  [481] = {.lex_state = 49, .external_lex_state = 2},
  [482] = {.lex_state = 49, .external_lex_state = 2},
  [483] = {.lex_state = 49, .external_lex_state = 2},
  [484] = {.lex_state = 49, .external_lex_state = 2},
  [485] = {.lex_state = 49, .external_lex_state = 2},
  [486] = {.lex_state = 49, .external_lex_state = 2},
  [487] = {.lex_state = 49, .external_lex_state = 2},
  [488] = {.lex_state = 49, .external_lex_state = 2},
  [489] = {.lex_state = 49, .external_lex_state = 2},
  [490] = {.lex_state = 49, .external_lex_state = 2},
  [491] = {.lex_state = 49, .external_lex_state = 2},
  [492] = {.lex_state = 49, .external_lex_state = 2},
  [493] = {.lex_state = 49, .external_lex_state = 2},
  [494] = {.lex_state = 49, .external_lex_state = 2},
  [495] = {.lex_state = 49, .external_lex_state = 2},
  [496] = {.lex_state = 49, .external_lex_state = 2},
  [497] = {.lex_state = 49, .external_lex_state = 2},
  [498] = {.lex_state = 49, .external_lex_state = 2},
  [499] = {.lex_state = 49, .external_lex_state = 2},
  [500] = {.lex_state = 49, .external_lex_state = 2},
  [501] = {.lex_state = 49, .external_lex_state = 2},
  [502] = {.lex_state = 49, .external_lex_state = 2},
  [503] = {.lex_state = 49, .external_lex_state = 2},
  [504] = {.lex_state = 49, .external_lex_state = 2},
  [505] = {.lex_state = 49, .external_lex_state = 2},
  [506] = {.lex_state = 49, .external_lex_state = 2},
  [507] = {.lex_state = 49, .external_lex_state = 4},
  [508] = {.lex_state = 49, .external_lex_state = 2},
  [509] = {.lex_state = 49, .external_lex_state = 4},
  [510] = {.lex_state = 49, .external_lex_state = 2},
  [511] = {.lex_state = 49, .external_lex_state = 2},
  [512] = {.lex_state = 49, .external_lex_state = 2},
  [513] = {.lex_state = 49, .external_lex_state = 4},
  [514] = {.lex_state = 49, .external_lex_state = 2},
  [515] = {.lex_state = 49, .external_lex_state = 2},
  [516] = {.lex_state = 49, .external_lex_state = 2},
  [517] = {.lex_state = 49, .external_lex_state = 2},
  [518] = {.lex_state = 49, .external_lex_state = 2},
  [519] = {.lex_state = 49, .external_lex_state = 2},
  [520] = {.lex_state = 49, .external_lex_state = 2},
  [521] = {.lex_state = 49, .external_lex_state = 5},
  [522] = {.lex_state = 49, .external_lex_state = 3},
  [523] = {.lex_state = 49, .external_lex_state = 3},
  [524] = {.lex_state = 49, .external_lex_state = 2},
  [525] = {.lex_state = 49, .external_lex_state = 2},
  [526] = {.lex_state = 49, .external_lex_state = 2},
  [527] = {.lex_state = 49, .external_lex_state = 2},
  [528] = {.lex_state = 49, .external_lex_state = 2},
  [529] = {.lex_state = 49, .external_lex_state = 6},
  [530] = {.lex_state = 49, .external_lex_state = 7},
  [531] = {.lex_state = 49, .external_lex_state = 8},
  [532] = {.lex_state = 49, .external_lex_state = 9},
  [533] = {.lex_state = 49, .external_lex_state = 10},
  [534] = {.lex_state = 49, .external_lex_state = 11},
  [535] = {.lex_state = 49, .external_lex_state = 12},
  [536] = {.lex_state = 49, .external_lex_state = 6},
  [537] = {.lex_state = 49, .external_lex_state = 6},
  [538] = {.lex_state = 49, .external_lex_state = 12},
  [539] = {.lex_state = 49, .external_lex_state = 6},
  [540] = {.lex_state = 49, .external_lex_state = 13},
  [541] = {.lex_state = 49, .external_lex_state = 14},
  [542] = {.lex_state = 49, .external_lex_state = 15},
  [543] = {.lex_state = 49, .external_lex_state = 9},
  [544] = {.lex_state = 49, .external_lex_state = 8},
  [545] = {.lex_state = 49, .external_lex_state = 8},
  [546] = {.lex_state = 49, .external_lex_state = 16},
  [547] = {.lex_state = 49, .external_lex_state = 8},
  [548] = {.lex_state = 49, .external_lex_state = 7},
  [549] = {.lex_state = 49, .external_lex_state = 12},
  [550] = {.lex_state = 49, .external_lex_state = 17},
  [551] = {.lex_state = 49, .external_lex_state = 7},
  [552] = {.lex_state = 49, .external_lex_state = 6},
  [553] = {.lex_state = 49, .external_lex_state = 7},
  [554] = {.lex_state = 49, .external_lex_state = 18},
  [555] = {.lex_state = 49, .external_lex_state = 19},
  [556] = {.lex_state = 49, .external_lex_state = 13},
  [557] = {.lex_state = 49, .external_lex_state = 20},
  [558] = {.lex_state = 49, .external_lex_state = 14},
  [559] = {.lex_state = 49, .external_lex_state = 15},
  [560] = {.lex_state = 49, .external_lex_state = 6},
  [561] = {.lex_state = 49, .external_lex_state = 16},
  [562] = {.lex_state = 49, .external_lex_state = 11},
  [563] = {.lex_state = 49, .external_lex_state = 7},
  [564] = {.lex_state = 49, .external_lex_state = 8},
  [565] = {.lex_state = 49, .external_lex_state = 10},
  [566] = {.lex_state = 49, .external_lex_state = 21},
  [567] = {.lex_state = 49, .external_lex_state = 18},
  [568] = {.lex_state = 49, .external_lex_state = 11},
  [569] = {.lex_state = 49, .external_lex_state = 20},
  [570] = {.lex_state = 49, .external_lex_state = 11},
  [571] = {.lex_state = 49, .external_lex_state = 22},
  [572] = {.lex_state = 49, .external_lex_state = 8},
  [573] = {.lex_state = 49, .external_lex_state = 7},
  [574] = {.lex_state = 49, .external_lex_state = 10},
  [575] = {.lex_state = 49, .external_lex_state = 14},
  [576] = {.lex_state = 49, .external_lex_state = 13},
  [577] = {.lex_state = 49, .external_lex_state = 17},
  [578] = {.lex_state = 49, .external_lex_state = 19},
  [579] = {.lex_state = 49, .external_lex_state = 10},
  [580] = {.lex_state = 49, .external_lex_state = 3},
  [581] = {.lex_state = 49, .external_lex_state = 3},
  [582] = {.lex_state = 49, .external_lex_state = 11},
  [583] = {.lex_state = 49, .external_lex_state = 10},
  [584] = {.lex_state = 49, .external_lex_state = 16},
  [585] = {.lex_state = 49, .external_lex_state = 3},
  [586] = {.lex_state = 49, .external_lex_state = 3},
  [587] = {.lex_state = 49, .external_lex_state = 3},
  [588] = {.lex_state = 49, .external_lex_state = 3},
  [589] = {.lex_state = 49, .external_lex_state = 3},
  [590] = {.lex_state = 49, .external_lex_state = 3},
  [591] = {.lex_state = 49, .external_lex_state = 3},
  [592] = {.lex_state = 49, .external_lex_state = 3},
  [593] = {.lex_state = 49, .external_lex_state = 3},
  [594] = {.lex_state = 49, .external_lex_state = 21},
  [595] = {.lex_state = 49, .external_lex_state = 3},
  [596] = {.lex_state = 49, .external_lex_state = 3},
  [597] = {.lex_state = 49, .external_lex_state = 3},
  [598] = {.lex_state = 49, .external_lex_state = 22},
  [599] = {.lex_state = 49, .external_lex_state = 3},
  [600] = {.lex_state = 49, .external_lex_state = 3},
  [601] = {.lex_state = 49, .external_lex_state = 3},
  [602] = {.lex_state = 49, .external_lex_state = 3},
  [603] = {.lex_state = 49, .external_lex_state = 3},
  [604] = {.lex_state = 49, .external_lex_state = 11},
  [605] = {.lex_state = 49, .external_lex_state = 3},
  [606] = {.lex_state = 49, .external_lex_state = 3},
  [607] = {.lex_state = 49, .external_lex_state = 3},
  [608] = {.lex_state = 49, .external_lex_state = 3},
  [609] = {.lex_state = 49, .external_lex_state = 16},
  [610] = {.lex_state = 49, .external_lex_state = 3},
  [611] = {.lex_state = 49, .external_lex_state = 18},
  [612] = {.lex_state = 49, .external_lex_state = 9},
  [613] = {.lex_state = 49, .external_lex_state = 16},
  [614] = {.lex_state = 49, .external_lex_state = 3},
  [615] = {.lex_state = 49, .external_lex_state = 10},
  [616] = {.lex_state = 49, .external_lex_state = 3},
  [617] = {.lex_state = 49, .external_lex_state = 20},
  [618] = {.lex_state = 49, .external_lex_state = 9},
  [619] = {.lex_state = 49, .external_lex_state = 3},
  [620] = {.lex_state = 49, .external_lex_state = 3},
  [621] = {.lex_state = 49, .external_lex_state = 2},
  [622] = {.lex_state = 49, .external_lex_state = 3},
  [623] = {.lex_state = 49, .external_lex_state = 3},
  [624] = {.lex_state = 49, .external_lex_state = 3},
  [625] = {.lex_state = 49, .external_lex_state = 21},
  [626] = {.lex_state = 49, .external_lex_state = 3},
  [627] = {.lex_state = 49, .external_lex_state = 3},
  [628] = {.lex_state = 49, .external_lex_state = 3},
  [629] = {.lex_state = 49, .external_lex_state = 3},
  [630] = {.lex_state = 49, .external_lex_state = 3},
  [631] = {.lex_state = 49, .external_lex_state = 3},
  [632] = {.lex_state = 49, .external_lex_state = 2},
  [633] = {.lex_state = 49, .external_lex_state = 3},
  [634] = {.lex_state = 49, .external_lex_state = 3},
  [635] = {.lex_state = 49, .external_lex_state = 3},
  [636] = {.lex_state = 49, .external_lex_state = 3},
  [637] = {.lex_state = 49, .external_lex_state = 3},
  [638] = {.lex_state = 49, .external_lex_state = 3},
  [639] = {.lex_state = 49, .external_lex_state = 3},
  [640] = {.lex_state = 49, .external_lex_state = 3},
  [641] = {.lex_state = 49, .external_lex_state = 3},
  [642] = {.lex_state = 49, .external_lex_state = 2},
  [643] = {.lex_state = 49, .external_lex_state = 3},
  [644] = {.lex_state = 49, .external_lex_state = 3},
  [645] = {.lex_state = 49, .external_lex_state = 3},
  [646] = {.lex_state = 49, .external_lex_state = 3},
  [647] = {.lex_state = 49, .external_lex_state = 2},
  [648] = {.lex_state = 49, .external_lex_state = 2},
  [649] = {.lex_state = 49, .external_lex_state = 2},
  [650] = {.lex_state = 49, .external_lex_state = 3},
  [651] = {.lex_state = 49, .external_lex_state = 3},
  [652] = {.lex_state = 49, .external_lex_state = 3},
  [653] = {.lex_state = 49, .external_lex_state = 2},
  [654] = {.lex_state = 49, .external_lex_state = 3},
  [655] = {.lex_state = 49, .external_lex_state = 2},
  [656] = {.lex_state = 49, .external_lex_state = 3},
  [657] = {.lex_state = 49, .external_lex_state = 3},
  [658] = {.lex_state = 49, .external_lex_state = 3},
  [659] = {.lex_state = 49, .external_lex_state = 2},
  [660] = {.lex_state = 49, .external_lex_state = 3},
  [661] = {.lex_state = 49, .external_lex_state = 3},
  [662] = {.lex_state = 49, .external_lex_state = 2},
  [663] = {.lex_state = 49, .external_lex_state = 3},
  [664] = {.lex_state = 49, .external_lex_state = 2},
  [665] = {.lex_state = 49, .external_lex_state = 2},
  [666] = {.lex_state = 49, .external_lex_state = 3},
  [667] = {.lex_state = 49, .external_lex_state = 3},
  [668] = {.lex_state = 49, .external_lex_state = 21},
  [669] = {.lex_state = 49, .external_lex_state = 3},
  [670] = {.lex_state = 49, .external_lex_state = 3},
  [671] = {.lex_state = 49, .external_lex_state = 16},
  [672] = {.lex_state = 49, .external_lex_state = 3},
  [673] = {.lex_state = 49, .external_lex_state = 2},
  [674] = {.lex_state = 49, .external_lex_state = 3},
  [675] = {.lex_state = 49, .external_lex_state = 3},
  [676] = {.lex_state = 49, .external_lex_state = 3},
  [677] = {.lex_state = 49, .external_lex_state = 3},
  [678] = {.lex_state = 49, .external_lex_state = 3},
  [679] = {.lex_state = 49, .external_lex_state = 3},
  [680] = {.lex_state = 49, .external_lex_state = 3},
  [681] = {.lex_state = 49, .external_lex_state = 2},
  [682] = {.lex_state = 49, .external_lex_state = 2},
  [683] = {.lex_state = 49, .external_lex_state = 3},
  [684] = {.lex_state = 49, .external_lex_state = 2},
  [685] = {.lex_state = 49, .external_lex_state = 3},
  [686] = {.lex_state = 49, .external_lex_state = 3},
  [687] = {.lex_state = 49, .external_lex_state = 3},
  [688] = {.lex_state = 49, .external_lex_state = 2},
  [689] = {.lex_state = 49, .external_lex_state = 3},
  [690] = {.lex_state = 49, .external_lex_state = 2},
  [691] = {.lex_state = 49, .external_lex_state = 3},
  [692] = {.lex_state = 49, .external_lex_state = 3},
  [693] = {.lex_state = 49, .external_lex_state = 3},
  [694] = {.lex_state = 49, .external_lex_state = 2},
  [695] = {.lex_state = 49, .external_lex_state = 2},
  [696] = {.lex_state = 49, .external_lex_state = 2},
  [697] = {.lex_state = 49, .external_lex_state = 3},
  [698] = {.lex_state = 49, .external_lex_state = 3},
  [699] = {.lex_state = 49, .external_lex_state = 3},
  [700] = {.lex_state = 49, .external_lex_state = 3},
  [701] = {.lex_state = 49, .external_lex_state = 2},
  [702] = {.lex_state = 49, .external_lex_state = 2},
  [703] = {.lex_state = 49, .external_lex_state = 2},
  [704] = {.lex_state = 49, .external_lex_state = 3},
  [705] = {.lex_state = 49, .external_lex_state = 3},
  [706] = {.lex_state = 49, .external_lex_state = 3},
  [707] = {.lex_state = 49, .external_lex_state = 3},
  [708] = {.lex_state = 49, .external_lex_state = 3},
  [709] = {.lex_state = 49, .external_lex_state = 2},
  [710] = {.lex_state = 49, .external_lex_state = 3},
  [711] = {.lex_state = 49, .external_lex_state = 2},
  [712] = {.lex_state = 49, .external_lex_state = 3},
  [713] = {.lex_state = 49, .external_lex_state = 3},
  [714] = {.lex_state = 49, .external_lex_state = 2},
  [715] = {.lex_state = 49, .external_lex_state = 3},
  [716] = {.lex_state = 49, .external_lex_state = 3},
  [717] = {.lex_state = 49, .external_lex_state = 2},
  [718] = {.lex_state = 49, .external_lex_state = 2},
  [719] = {.lex_state = 49, .external_lex_state = 3},
  [720] = {.lex_state = 49, .external_lex_state = 2},
  [721] = {.lex_state = 49, .external_lex_state = 3},
  [722] = {.lex_state = 49, .external_lex_state = 3},
  [723] = {.lex_state = 49, .external_lex_state = 3},
  [724] = {.lex_state = 49, .external_lex_state = 15},
  [725] = {.lex_state = 49, .external_lex_state = 2},
  [726] = {.lex_state = 49, .external_lex_state = 3},
  [727] = {.lex_state = 49, .external_lex_state = 15},
  [728] = {.lex_state = 49, .external_lex_state = 2},
  [729] = {.lex_state = 49, .external_lex_state = 2},
  [730] = {.lex_state = 49, .external_lex_state = 2},
  [731] = {.lex_state = 49, .external_lex_state = 3},
  [732] = {.lex_state = 49, .external_lex_state = 16},
  [733] = {.lex_state = 49, .external_lex_state = 3},
  [734] = {.lex_state = 49, .external_lex_state = 3},
  [735] = {.lex_state = 49, .external_lex_state = 3},
  [736] = {.lex_state = 49, .external_lex_state = 2},
  [737] = {.lex_state = 49, .external_lex_state = 3},
  [738] = {.lex_state = 49, .external_lex_state = 3},
  [739] = {.lex_state = 49, .external_lex_state = 3},
  [740] = {.lex_state = 49, .external_lex_state = 21},
  [741] = {.lex_state = 49, .external_lex_state = 3},
  [742] = {.lex_state = 49, .external_lex_state = 2},
  [743] = {.lex_state = 49, .external_lex_state = 2},
  [744] = {.lex_state = 49, .external_lex_state = 3},
  [745] = {.lex_state = 49, .external_lex_state = 3},
  [746] = {.lex_state = 49, .external_lex_state = 2},
  [747] = {.lex_state = 49, .external_lex_state = 2},
  [748] = {.lex_state = 49, .external_lex_state = 2},
  [749] = {.lex_state = 49, .external_lex_state = 3},
  [750] = {.lex_state = 49, .external_lex_state = 3},
  [751] = {.lex_state = 49, .external_lex_state = 3},
  [752] = {.lex_state = 49, .external_lex_state = 2},
  [753] = {.lex_state = 49, .external_lex_state = 16},
  [754] = {.lex_state = 49, .external_lex_state = 3},
  [755] = {.lex_state = 49, .external_lex_state = 2},
  [756] = {.lex_state = 49, .external_lex_state = 3},
  [757] = {.lex_state = 49, .external_lex_state = 3},
  [758] = {.lex_state = 49, .external_lex_state = 3},
  [759] = {.lex_state = 49, .external_lex_state = 2},
  [760] = {.lex_state = 49, .external_lex_state = 3},
  [761] = {.lex_state = 49, .external_lex_state = 3},
  [762] = {.lex_state = 49, .external_lex_state = 2},
  [763] = {.lex_state = 49, .external_lex_state = 3},
  [764] = {.lex_state = 49, .external_lex_state = 2},
  [765] = {.lex_state = 49, .external_lex_state = 3},
  [766] = {.lex_state = 49, .external_lex_state = 3},
  [767] = {.lex_state = 49, .external_lex_state = 3},
  [768] = {.lex_state = 49, .external_lex_state = 3},
  [769] = {.lex_state = 49, .external_lex_state = 3},
  [770] = {.lex_state = 49, .external_lex_state = 3},
  [771] = {.lex_state = 49, .external_lex_state = 2},
  [772] = {.lex_state = 49, .external_lex_state = 3},
  [773] = {.lex_state = 49, .external_lex_state = 2},
  [774] = {.lex_state = 49, .external_lex_state = 2},
  [775] = {.lex_state = 49, .external_lex_state = 3},
  [776] = {.lex_state = 49, .external_lex_state = 3},
  [777] = {.lex_state = 49, .external_lex_state = 2},
  [778] = {.lex_state = 49, .external_lex_state = 3},
  [779] = {.lex_state = 49, .external_lex_state = 3},
  [780] = {.lex_state = 49, .external_lex_state = 2},
  [781] = {.lex_state = 49, .external_lex_state = 3},
  [782] = {.lex_state = 49, .external_lex_state = 3},
  [783] = {.lex_state = 49, .external_lex_state = 3},
  [784] = {.lex_state = 49, .external_lex_state = 3},
  [785] = {.lex_state = 49, .external_lex_state = 3},
  [786] = {.lex_state = 49, .external_lex_state = 3},
  [787] = {.lex_state = 49, .external_lex_state = 2},
  [788] = {.lex_state = 49, .external_lex_state = 3},
  [789] = {.lex_state = 49, .external_lex_state = 3},
  [790] = {.lex_state = 49, .external_lex_state = 3},
  [791] = {.lex_state = 49, .external_lex_state = 2},
  [792] = {.lex_state = 49, .external_lex_state = 3},
  [793] = {.lex_state = 49, .external_lex_state = 2},
  [794] = {.lex_state = 49, .external_lex_state = 2},
  [795] = {.lex_state = 49, .external_lex_state = 3},
  [796] = {.lex_state = 49, .external_lex_state = 3},
  [797] = {.lex_state = 49, .external_lex_state = 3},
  [798] = {.lex_state = 49, .external_lex_state = 3},
  [799] = {.lex_state = 49, .external_lex_state = 3},
  [800] = {.lex_state = 49, .external_lex_state = 3},
  [801] = {.lex_state = 49, .external_lex_state = 3},
  [802] = {.lex_state = 49, .external_lex_state = 2},
  [803] = {.lex_state = 49, .external_lex_state = 2},
  [804] = {.lex_state = 49, .external_lex_state = 2},
  [805] = {.lex_state = 49, .external_lex_state = 2},
  [806] = {.lex_state = 49, .external_lex_state = 3},
  [807] = {.lex_state = 49, .external_lex_state = 3},
  [808] = {.lex_state = 49, .external_lex_state = 3},
  [809] = {.lex_state = 49, .external_lex_state = 3},
  [810] = {.lex_state = 49, .external_lex_state = 3},
  [811] = {.lex_state = 49, .external_lex_state = 3},
  [812] = {.lex_state = 49, .external_lex_state = 3},
  [813] = {.lex_state = 49, .external_lex_state = 3},
  [814] = {.lex_state = 49, .external_lex_state = 3},
  [815] = {.lex_state = 49, .external_lex_state = 3},
  [816] = {.lex_state = 49, .external_lex_state = 3},
  [817] = {.lex_state = 49, .external_lex_state = 3},
  [818] = {.lex_state = 49, .external_lex_state = 3},
  [819] = {.lex_state = 49, .external_lex_state = 3},
  [820] = {.lex_state = 49, .external_lex_state = 3},
  [821] = {.lex_state = 49, .external_lex_state = 3},
  [822] = {.lex_state = 49, .external_lex_state = 3},
  [823] = {.lex_state = 49, .external_lex_state = 3},
  [824] = {.lex_state = 49, .external_lex_state = 3},
  [825] = {.lex_state = 49, .external_lex_state = 3},
  [826] = {.lex_state = 49, .external_lex_state = 3},
  [827] = {.lex_state = 49, .external_lex_state = 3},
  [828] = {.lex_state = 49, .external_lex_state = 3},
  [829] = {.lex_state = 49, .external_lex_state = 3},
  [830] = {.lex_state = 49, .external_lex_state = 3},
  [831] = {.lex_state = 49, .external_lex_state = 3},
  [832] = {.lex_state = 49, .external_lex_state = 3},
  [833] = {.lex_state = 49, .external_lex_state = 3},
  [834] = {.lex_state = 49, .external_lex_state = 3},
  [835] = {.lex_state = 49, .external_lex_state = 3},
  [836] = {.lex_state = 49, .external_lex_state = 3},
  [837] = {.lex_state = 2, .external_lex_state = 2},
  [838] = {.lex_state = 49, .external_lex_state = 3},
  [839] = {.lex_state = 49, .external_lex_state = 3},
  [840] = {.lex_state = 49, .external_lex_state = 3},
  [841] = {.lex_state = 49, .external_lex_state = 3},
  [842] = {.lex_state = 49, .external_lex_state = 3},
  [843] = {.lex_state = 49, .external_lex_state = 3},
  [844] = {.lex_state = 49, .external_lex_state = 3},
  [845] = {.lex_state = 49, .external_lex_state = 3},
  [846] = {.lex_state = 49, .external_lex_state = 3},
  [847] = {.lex_state = 49, .external_lex_state = 3},
  [848] = {.lex_state = 49, .external_lex_state = 3},
  [849] = {.lex_state = 49, .external_lex_state = 3},
  [850] = {.lex_state = 49, .external_lex_state = 3},
  [851] = {.lex_state = 49, .external_lex_state = 3},
  [852] = {.lex_state = 49, .external_lex_state = 3},
  [853] = {.lex_state = 49, .external_lex_state = 3},
  [854] = {.lex_state = 49, .external_lex_state = 3},
  [855] = {.lex_state = 49, .external_lex_state = 3},
  [856] = {.lex_state = 49, .external_lex_state = 3},
  [857] = {.lex_state = 49, .external_lex_state = 3},
  [858] = {.lex_state = 49, .external_lex_state = 3},
  [859] = {.lex_state = 49, .external_lex_state = 3},
  [860] = {.lex_state = 49, .external_lex_state = 3},
  [861] = {.lex_state = 49, .external_lex_state = 3},
  [862] = {.lex_state = 49, .external_lex_state = 3},
  [863] = {.lex_state = 49, .external_lex_state = 3},
  [864] = {.lex_state = 49, .external_lex_state = 3},
  [865] = {.lex_state = 49, .external_lex_state = 3},
  [866] = {.lex_state = 49, .external_lex_state = 3},
  [867] = {.lex_state = 49, .external_lex_state = 3},
  [868] = {.lex_state = 49, .external_lex_state = 3},
  [869] = {.lex_state = 49, .external_lex_state = 3},
  [870] = {.lex_state = 49, .external_lex_state = 3},
  [871] = {.lex_state = 49, .external_lex_state = 3},
  [872] = {.lex_state = 49, .external_lex_state = 3},
  [873] = {.lex_state = 49, .external_lex_state = 3},
  [874] = {.lex_state = 49, .external_lex_state = 3},
  [875] = {.lex_state = 49, .external_lex_state = 3},
  [876] = {.lex_state = 49, .external_lex_state = 3},
  [877] = {.lex_state = 49, .external_lex_state = 3},
  [878] = {.lex_state = 49, .external_lex_state = 3},
  [879] = {.lex_state = 49, .external_lex_state = 3},
  [880] = {.lex_state = 49, .external_lex_state = 3},
  [881] = {.lex_state = 49, .external_lex_state = 3},
  [882] = {.lex_state = 49, .external_lex_state = 3},
  [883] = {.lex_state = 49, .external_lex_state = 3},
  [884] = {.lex_state = 49, .external_lex_state = 3},
  [885] = {.lex_state = 49, .external_lex_state = 3},
  [886] = {.lex_state = 49, .external_lex_state = 3},
  [887] = {.lex_state = 49, .external_lex_state = 3},
  [888] = {.lex_state = 49, .external_lex_state = 3},
  [889] = {.lex_state = 49, .external_lex_state = 3},
  [890] = {.lex_state = 49, .external_lex_state = 3},
  [891] = {.lex_state = 49, .external_lex_state = 3},
  [892] = {.lex_state = 49, .external_lex_state = 3},
  [893] = {.lex_state = 49, .external_lex_state = 3},
  [894] = {.lex_state = 49, .external_lex_state = 3},
  [895] = {.lex_state = 49, .external_lex_state = 3},
  [896] = {.lex_state = 49, .external_lex_state = 3},
  [897] = {.lex_state = 49, .external_lex_state = 3},
  [898] = {.lex_state = 49, .external_lex_state = 3},
  [899] = {.lex_state = 49, .external_lex_state = 3},
  [900] = {.lex_state = 49, .external_lex_state = 3},
  [901] = {.lex_state = 49, .external_lex_state = 3},
  [902] = {.lex_state = 49, .external_lex_state = 3},
  [903] = {.lex_state = 49, .external_lex_state = 3},
  [904] = {.lex_state = 49, .external_lex_state = 3},
  [905] = {.lex_state = 49, .external_lex_state = 3},
  [906] = {.lex_state = 49, .external_lex_state = 3},
  [907] = {.lex_state = 49, .external_lex_state = 3},
  [908] = {.lex_state = 49, .external_lex_state = 3},
  [909] = {.lex_state = 49, .external_lex_state = 3},
  [910] = {.lex_state = 49, .external_lex_state = 3},
  [911] = {.lex_state = 49, .external_lex_state = 3},
  [912] = {.lex_state = 49, .external_lex_state = 3},
  [913] = {.lex_state = 49, .external_lex_state = 3},
  [914] = {.lex_state = 49, .external_lex_state = 3},
  [915] = {.lex_state = 49, .external_lex_state = 3},
  [916] = {.lex_state = 49, .external_lex_state = 3},
  [917] = {.lex_state = 49, .external_lex_state = 3},
  [918] = {.lex_state = 49, .external_lex_state = 3},
  [919] = {.lex_state = 49, .external_lex_state = 3},
  [920] = {.lex_state = 49, .external_lex_state = 3},
  [921] = {.lex_state = 49, .external_lex_state = 3},
  [922] = {.lex_state = 49, .external_lex_state = 3},
  [923] = {.lex_state = 49, .external_lex_state = 3},
  [924] = {.lex_state = 49, .external_lex_state = 3},
  [925] = {.lex_state = 49, .external_lex_state = 3},
  [926] = {.lex_state = 49, .external_lex_state = 3},
  [927] = {.lex_state = 49, .external_lex_state = 3},
  [928] = {.lex_state = 49, .external_lex_state = 3},
  [929] = {.lex_state = 49, .external_lex_state = 3},
  [930] = {.lex_state = 49, .external_lex_state = 3},
  [931] = {.lex_state = 49, .external_lex_state = 3},
  [932] = {.lex_state = 49, .external_lex_state = 3},
  [933] = {.lex_state = 49, .external_lex_state = 3},
  [934] = {.lex_state = 49, .external_lex_state = 3},
  [935] = {.lex_state = 49, .external_lex_state = 3},
  [936] = {.lex_state = 49, .external_lex_state = 3},
  [937] = {.lex_state = 49, .external_lex_state = 3},
  [938] = {.lex_state = 49, .external_lex_state = 3},
  [939] = {.lex_state = 49, .external_lex_state = 3},
  [940] = {.lex_state = 49, .external_lex_state = 3},
  [941] = {.lex_state = 49, .external_lex_state = 3},
  [942] = {.lex_state = 49, .external_lex_state = 3},
  [943] = {.lex_state = 49, .external_lex_state = 3},
  [944] = {.lex_state = 49, .external_lex_state = 3},
  [945] = {.lex_state = 49, .external_lex_state = 3},
  [946] = {.lex_state = 49, .external_lex_state = 3},
  [947] = {.lex_state = 49, .external_lex_state = 3},
  [948] = {.lex_state = 49, .external_lex_state = 3},
  [949] = {.lex_state = 49, .external_lex_state = 3},
  [950] = {.lex_state = 49, .external_lex_state = 3},
  [951] = {.lex_state = 49, .external_lex_state = 3},
  [952] = {.lex_state = 49, .external_lex_state = 3},
  [953] = {.lex_state = 49, .external_lex_state = 3},
  [954] = {.lex_state = 49, .external_lex_state = 3},
  [955] = {.lex_state = 49, .external_lex_state = 3},
  [956] = {.lex_state = 49, .external_lex_state = 3},
  [957] = {.lex_state = 49, .external_lex_state = 3},
  [958] = {.lex_state = 49, .external_lex_state = 3},
  [959] = {.lex_state = 49, .external_lex_state = 3},
  [960] = {.lex_state = 49, .external_lex_state = 3},
  [961] = {.lex_state = 49, .external_lex_state = 3},
  [962] = {.lex_state = 49, .external_lex_state = 3},
  [963] = {.lex_state = 49, .external_lex_state = 3},
  [964] = {.lex_state = 49, .external_lex_state = 3},
  [965] = {.lex_state = 49, .external_lex_state = 3},
  [966] = {.lex_state = 49, .external_lex_state = 3},
  [967] = {.lex_state = 49, .external_lex_state = 3},
  [968] = {.lex_state = 49, .external_lex_state = 3},
  [969] = {.lex_state = 49, .external_lex_state = 3},
  [970] = {.lex_state = 49, .external_lex_state = 3},
  [971] = {.lex_state = 49, .external_lex_state = 3},
  [972] = {.lex_state = 49, .external_lex_state = 3},
  [973] = {.lex_state = 49, .external_lex_state = 3},
  [974] = {.lex_state = 49, .external_lex_state = 3},
  [975] = {.lex_state = 49, .external_lex_state = 3},
  [976] = {.lex_state = 49, .external_lex_state = 3},
  [977] = {.lex_state = 49, .external_lex_state = 3},
  [978] = {.lex_state = 49, .external_lex_state = 3},
  [979] = {.lex_state = 49, .external_lex_state = 3},
  [980] = {.lex_state = 49, .external_lex_state = 3},
  [981] = {.lex_state = 49, .external_lex_state = 3},
  [982] = {.lex_state = 49, .external_lex_state = 3},
  [983] = {.lex_state = 49, .external_lex_state = 3},
  [984] = {.lex_state = 49, .external_lex_state = 3},
  [985] = {.lex_state = 49, .external_lex_state = 3},
  [986] = {.lex_state = 49, .external_lex_state = 3},
  [987] = {.lex_state = 49, .external_lex_state = 3},
  [988] = {.lex_state = 49, .external_lex_state = 3},
  [989] = {.lex_state = 49, .external_lex_state = 3},
  [990] = {.lex_state = 49, .external_lex_state = 3},
  [991] = {.lex_state = 49, .external_lex_state = 3},
  [992] = {.lex_state = 49, .external_lex_state = 3},
  [993] = {.lex_state = 49, .external_lex_state = 3},
  [994] = {.lex_state = 49, .external_lex_state = 3},
  [995] = {.lex_state = 49, .external_lex_state = 3},
  [996] = {.lex_state = 49, .external_lex_state = 17},
  [997] = {.lex_state = 49, .external_lex_state = 3},
  [998] = {.lex_state = 49, .external_lex_state = 3},
  [999] = {.lex_state = 49, .external_lex_state = 3},
  [1000] = {.lex_state = 49, .external_lex_state = 3},
  [1001] = {.lex_state = 49, .external_lex_state = 3},
  [1002] = {.lex_state = 49, .external_lex_state = 3},
  [1003] = {.lex_state = 49, .external_lex_state = 3},
  [1004] = {.lex_state = 49, .external_lex_state = 3},
  [1005] = {.lex_state = 49, .external_lex_state = 3},
  [1006] = {.lex_state = 49, .external_lex_state = 3},
  [1007] = {.lex_state = 49, .external_lex_state = 3},
  [1008] = {.lex_state = 49, .external_lex_state = 3},
  [1009] = {.lex_state = 49, .external_lex_state = 3},
  [1010] = {.lex_state = 49, .external_lex_state = 3},
  [1011] = {.lex_state = 49, .external_lex_state = 3},
  [1012] = {.lex_state = 49, .external_lex_state = 3},
  [1013] = {.lex_state = 49, .external_lex_state = 3},
  [1014] = {.lex_state = 49, .external_lex_state = 3},
  [1015] = {.lex_state = 49, .external_lex_state = 3},
  [1016] = {.lex_state = 49, .external_lex_state = 3},
  [1017] = {.lex_state = 49, .external_lex_state = 3},
  [1018] = {.lex_state = 49, .external_lex_state = 3},
  [1019] = {.lex_state = 49, .external_lex_state = 3},
  [1020] = {.lex_state = 49, .external_lex_state = 3},
  [1021] = {.lex_state = 49, .external_lex_state = 3},
  [1022] = {.lex_state = 49, .external_lex_state = 3},
  [1023] = {.lex_state = 49, .external_lex_state = 3},
  [1024] = {.lex_state = 49, .external_lex_state = 3},
  [1025] = {.lex_state = 49, .external_lex_state = 3},
  [1026] = {.lex_state = 49, .external_lex_state = 3},
  [1027] = {.lex_state = 49, .external_lex_state = 3},
  [1028] = {.lex_state = 49, .external_lex_state = 3},
  [1029] = {.lex_state = 49, .external_lex_state = 3},
  [1030] = {.lex_state = 49, .external_lex_state = 3},
  [1031] = {.lex_state = 49, .external_lex_state = 3},
  [1032] = {.lex_state = 49, .external_lex_state = 3},
  [1033] = {.lex_state = 49, .external_lex_state = 3},
  [1034] = {.lex_state = 49, .external_lex_state = 3},
  [1035] = {.lex_state = 49, .external_lex_state = 3},
  [1036] = {.lex_state = 49, .external_lex_state = 3},
  [1037] = {.lex_state = 49, .external_lex_state = 3},
  [1038] = {.lex_state = 49, .external_lex_state = 3},
  [1039] = {.lex_state = 49, .external_lex_state = 3},
  [1040] = {.lex_state = 49, .external_lex_state = 3},
  [1041] = {.lex_state = 49, .external_lex_state = 3},
  [1042] = {.lex_state = 49, .external_lex_state = 3},
  [1043] = {.lex_state = 49, .external_lex_state = 3},
  [1044] = {.lex_state = 49, .external_lex_state = 3},
  [1045] = {.lex_state = 49, .external_lex_state = 3},
  [1046] = {.lex_state = 49, .external_lex_state = 3},
  [1047] = {.lex_state = 49, .external_lex_state = 3},
  [1048] = {.lex_state = 49, .external_lex_state = 3},
  [1049] = {.lex_state = 49, .external_lex_state = 3},
  [1050] = {.lex_state = 49, .external_lex_state = 3},
  [1051] = {.lex_state = 49, .external_lex_state = 3},
  [1052] = {.lex_state = 49, .external_lex_state = 3},
  [1053] = {.lex_state = 49, .external_lex_state = 3},
  [1054] = {.lex_state = 49, .external_lex_state = 3},
  [1055] = {.lex_state = 49, .external_lex_state = 3},
  [1056] = {.lex_state = 49, .external_lex_state = 3},
  [1057] = {.lex_state = 49, .external_lex_state = 3},
  [1058] = {.lex_state = 49, .external_lex_state = 3},
  [1059] = {.lex_state = 49, .external_lex_state = 3},
  [1060] = {.lex_state = 49, .external_lex_state = 3},
  [1061] = {.lex_state = 49, .external_lex_state = 3},
  [1062] = {.lex_state = 49, .external_lex_state = 3},
  [1063] = {.lex_state = 49, .external_lex_state = 3},
  [1064] = {.lex_state = 49, .external_lex_state = 3},
  [1065] = {.lex_state = 49, .external_lex_state = 3},
  [1066] = {.lex_state = 49, .external_lex_state = 3},
  [1067] = {.lex_state = 49, .external_lex_state = 3},
  [1068] = {.lex_state = 49, .external_lex_state = 3},
  [1069] = {.lex_state = 49, .external_lex_state = 3},
  [1070] = {.lex_state = 49, .external_lex_state = 3},
  [1071] = {.lex_state = 49, .external_lex_state = 3},
  [1072] = {.lex_state = 49, .external_lex_state = 3},
  [1073] = {.lex_state = 49, .external_lex_state = 3},
  [1074] = {.lex_state = 49, .external_lex_state = 3},
  [1075] = {.lex_state = 49, .external_lex_state = 3},
  [1076] = {.lex_state = 49, .external_lex_state = 3},
  [1077] = {.lex_state = 49, .external_lex_state = 3},
  [1078] = {.lex_state = 49, .external_lex_state = 3},
  [1079] = {.lex_state = 49, .external_lex_state = 3},
  [1080] = {.lex_state = 49, .external_lex_state = 3},
  [1081] = {.lex_state = 49, .external_lex_state = 3},
  [1082] = {.lex_state = 49, .external_lex_state = 3},
  [1083] = {.lex_state = 49, .external_lex_state = 3},
  [1084] = {.lex_state = 49, .external_lex_state = 3},
  [1085] = {.lex_state = 49, .external_lex_state = 3},
  [1086] = {.lex_state = 49, .external_lex_state = 3},
  [1087] = {.lex_state = 49, .external_lex_state = 3},
  [1088] = {.lex_state = 49, .external_lex_state = 3},
  [1089] = {.lex_state = 49, .external_lex_state = 3},
  [1090] = {.lex_state = 49, .external_lex_state = 3},
  [1091] = {.lex_state = 49, .external_lex_state = 3},
  [1092] = {.lex_state = 49, .external_lex_state = 3},
  [1093] = {.lex_state = 49, .external_lex_state = 3},
  [1094] = {.lex_state = 49, .external_lex_state = 3},
  [1095] = {.lex_state = 49, .external_lex_state = 3},
  [1096] = {.lex_state = 49, .external_lex_state = 3},
  [1097] = {.lex_state = 49, .external_lex_state = 3},
  [1098] = {.lex_state = 49, .external_lex_state = 3},
  [1099] = {.lex_state = 49, .external_lex_state = 3},
  [1100] = {.lex_state = 49, .external_lex_state = 3},
  [1101] = {.lex_state = 49, .external_lex_state = 3},
  [1102] = {.lex_state = 49, .external_lex_state = 3},
  [1103] = {.lex_state = 49, .external_lex_state = 3},
  [1104] = {.lex_state = 49, .external_lex_state = 3},
  [1105] = {.lex_state = 49, .external_lex_state = 3},
  [1106] = {.lex_state = 49, .external_lex_state = 3},
  [1107] = {.lex_state = 49, .external_lex_state = 3},
  [1108] = {.lex_state = 49, .external_lex_state = 3},
  [1109] = {.lex_state = 49, .external_lex_state = 3},
  [1110] = {.lex_state = 49, .external_lex_state = 3},
  [1111] = {.lex_state = 49, .external_lex_state = 3},
  [1112] = {.lex_state = 49, .external_lex_state = 3},
  [1113] = {.lex_state = 49, .external_lex_state = 3},
  [1114] = {.lex_state = 49, .external_lex_state = 3},
  [1115] = {.lex_state = 49, .external_lex_state = 3},
  [1116] = {.lex_state = 49, .external_lex_state = 3},
  [1117] = {.lex_state = 49, .external_lex_state = 3},
  [1118] = {.lex_state = 49, .external_lex_state = 3},
  [1119] = {.lex_state = 49, .external_lex_state = 3},
  [1120] = {.lex_state = 49, .external_lex_state = 3},
  [1121] = {.lex_state = 49, .external_lex_state = 3},
  [1122] = {.lex_state = 49, .external_lex_state = 3},
  [1123] = {.lex_state = 49, .external_lex_state = 3},
  [1124] = {.lex_state = 49, .external_lex_state = 3},
  [1125] = {.lex_state = 49, .external_lex_state = 3},
  [1126] = {.lex_state = 49, .external_lex_state = 3},
  [1127] = {.lex_state = 49, .external_lex_state = 3},
  [1128] = {.lex_state = 49, .external_lex_state = 3},
  [1129] = {.lex_state = 49, .external_lex_state = 3},
  [1130] = {.lex_state = 49, .external_lex_state = 3},
  [1131] = {.lex_state = 49, .external_lex_state = 3},
  [1132] = {.lex_state = 49, .external_lex_state = 3},
  [1133] = {.lex_state = 49, .external_lex_state = 3},
  [1134] = {.lex_state = 49, .external_lex_state = 3},
  [1135] = {.lex_state = 49, .external_lex_state = 3},
  [1136] = {.lex_state = 49, .external_lex_state = 3},
  [1137] = {.lex_state = 49, .external_lex_state = 3},
  [1138] = {.lex_state = 49, .external_lex_state = 3},
  [1139] = {.lex_state = 49, .external_lex_state = 3},
  [1140] = {.lex_state = 49, .external_lex_state = 3},
  [1141] = {.lex_state = 49, .external_lex_state = 3},
  [1142] = {.lex_state = 49, .external_lex_state = 3},
  [1143] = {.lex_state = 49, .external_lex_state = 3},
  [1144] = {.lex_state = 49, .external_lex_state = 3},
  [1145] = {.lex_state = 49, .external_lex_state = 3},
  [1146] = {.lex_state = 49, .external_lex_state = 3},
  [1147] = {.lex_state = 49, .external_lex_state = 3},
  [1148] = {.lex_state = 49, .external_lex_state = 3},
  [1149] = {.lex_state = 49, .external_lex_state = 3},
  [1150] = {.lex_state = 49, .external_lex_state = 3},
  [1151] = {.lex_state = 49, .external_lex_state = 3},
  [1152] = {.lex_state = 49, .external_lex_state = 3},
  [1153] = {.lex_state = 49, .external_lex_state = 3},
  [1154] = {.lex_state = 49, .external_lex_state = 3},
  [1155] = {.lex_state = 49, .external_lex_state = 3},
  [1156] = {.lex_state = 49, .external_lex_state = 3},
  [1157] = {.lex_state = 49, .external_lex_state = 3},
  [1158] = {.lex_state = 49, .external_lex_state = 3},
  [1159] = {.lex_state = 49, .external_lex_state = 3},
  [1160] = {.lex_state = 49, .external_lex_state = 3},
  [1161] = {.lex_state = 49, .external_lex_state = 3},
  [1162] = {.lex_state = 49, .external_lex_state = 3},
  [1163] = {.lex_state = 49, .external_lex_state = 3},
  [1164] = {.lex_state = 49, .external_lex_state = 3},
  [1165] = {.lex_state = 49, .external_lex_state = 3},
  [1166] = {.lex_state = 49, .external_lex_state = 3},
  [1167] = {.lex_state = 49, .external_lex_state = 3},
  [1168] = {.lex_state = 49, .external_lex_state = 3},
  [1169] = {.lex_state = 49, .external_lex_state = 3},
  [1170] = {.lex_state = 49, .external_lex_state = 3},
  [1171] = {.lex_state = 49, .external_lex_state = 3},
  [1172] = {.lex_state = 49, .external_lex_state = 3},
  [1173] = {.lex_state = 49, .external_lex_state = 3},
  [1174] = {.lex_state = 49, .external_lex_state = 3},
  [1175] = {.lex_state = 49, .external_lex_state = 3},
  [1176] = {.lex_state = 49, .external_lex_state = 3},
  [1177] = {.lex_state = 49, .external_lex_state = 3},
  [1178] = {.lex_state = 49, .external_lex_state = 3},
  [1179] = {.lex_state = 49, .external_lex_state = 3},
  [1180] = {.lex_state = 49, .external_lex_state = 3},
  [1181] = {.lex_state = 49, .external_lex_state = 3},
  [1182] = {.lex_state = 49, .external_lex_state = 3},
  [1183] = {.lex_state = 49, .external_lex_state = 3},
  [1184] = {.lex_state = 49, .external_lex_state = 3},
  [1185] = {.lex_state = 49, .external_lex_state = 3},
  [1186] = {.lex_state = 49, .external_lex_state = 3},
  [1187] = {.lex_state = 49, .external_lex_state = 3},
  [1188] = {.lex_state = 49, .external_lex_state = 3},
  [1189] = {.lex_state = 49, .external_lex_state = 3},
  [1190] = {.lex_state = 49, .external_lex_state = 3},
  [1191] = {.lex_state = 49, .external_lex_state = 3},
  [1192] = {.lex_state = 49, .external_lex_state = 3},
  [1193] = {.lex_state = 49, .external_lex_state = 3},
  [1194] = {.lex_state = 49, .external_lex_state = 3},
  [1195] = {.lex_state = 49, .external_lex_state = 3},
  [1196] = {.lex_state = 49, .external_lex_state = 3},
  [1197] = {.lex_state = 49, .external_lex_state = 3},
  [1198] = {.lex_state = 49, .external_lex_state = 3},
  [1199] = {.lex_state = 49, .external_lex_state = 3},
  [1200] = {.lex_state = 49, .external_lex_state = 3},
  [1201] = {.lex_state = 49, .external_lex_state = 3},
  [1202] = {.lex_state = 49, .external_lex_state = 3},
  [1203] = {.lex_state = 49, .external_lex_state = 3},
  [1204] = {.lex_state = 49, .external_lex_state = 3},
  [1205] = {.lex_state = 49, .external_lex_state = 3},
  [1206] = {.lex_state = 49, .external_lex_state = 3},
  [1207] = {.lex_state = 49, .external_lex_state = 3},
  [1208] = {.lex_state = 49, .external_lex_state = 3},
  [1209] = {.lex_state = 49, .external_lex_state = 3},
  [1210] = {.lex_state = 49, .external_lex_state = 3},
  [1211] = {.lex_state = 49, .external_lex_state = 3},
  [1212] = {.lex_state = 49, .external_lex_state = 3},
  [1213] = {.lex_state = 49, .external_lex_state = 3},
  [1214] = {.lex_state = 49, .external_lex_state = 3},
  [1215] = {.lex_state = 49, .external_lex_state = 3},
  [1216] = {.lex_state = 49, .external_lex_state = 3},
  [1217] = {.lex_state = 49, .external_lex_state = 3},
  [1218] = {.lex_state = 49, .external_lex_state = 3},
  [1219] = {.lex_state = 49, .external_lex_state = 3},
  [1220] = {.lex_state = 49, .external_lex_state = 3},
  [1221] = {.lex_state = 49, .external_lex_state = 3},
  [1222] = {.lex_state = 49, .external_lex_state = 3},
  [1223] = {.lex_state = 49, .external_lex_state = 3},
  [1224] = {.lex_state = 49, .external_lex_state = 3},
  [1225] = {.lex_state = 49, .external_lex_state = 3},
  [1226] = {.lex_state = 49, .external_lex_state = 3},
  [1227] = {.lex_state = 49, .external_lex_state = 3},
  [1228] = {.lex_state = 49, .external_lex_state = 3},
  [1229] = {.lex_state = 49, .external_lex_state = 3},
  [1230] = {.lex_state = 49, .external_lex_state = 3},
  [1231] = {.lex_state = 49, .external_lex_state = 3},
  [1232] = {.lex_state = 49, .external_lex_state = 3},
  [1233] = {.lex_state = 49, .external_lex_state = 3},
  [1234] = {.lex_state = 49, .external_lex_state = 3},
  [1235] = {.lex_state = 49, .external_lex_state = 3},
  [1236] = {.lex_state = 49, .external_lex_state = 3},
  [1237] = {.lex_state = 49, .external_lex_state = 3},
  [1238] = {.lex_state = 49, .external_lex_state = 3},
  [1239] = {.lex_state = 49, .external_lex_state = 3},
  [1240] = {.lex_state = 49, .external_lex_state = 3},
  [1241] = {.lex_state = 49, .external_lex_state = 3},
  [1242] = {.lex_state = 49, .external_lex_state = 3},
  [1243] = {.lex_state = 49, .external_lex_state = 3},
  [1244] = {.lex_state = 49, .external_lex_state = 3},
  [1245] = {.lex_state = 49, .external_lex_state = 3},
  [1246] = {.lex_state = 49, .external_lex_state = 3},
  [1247] = {.lex_state = 49, .external_lex_state = 3},
  [1248] = {.lex_state = 49, .external_lex_state = 3},
  [1249] = {.lex_state = 49, .external_lex_state = 3},
  [1250] = {.lex_state = 49, .external_lex_state = 3},
  [1251] = {.lex_state = 49, .external_lex_state = 3},
  [1252] = {.lex_state = 49, .external_lex_state = 3},
  [1253] = {.lex_state = 49, .external_lex_state = 3},
  [1254] = {.lex_state = 49, .external_lex_state = 3},
  [1255] = {.lex_state = 49, .external_lex_state = 3},
  [1256] = {.lex_state = 49, .external_lex_state = 3},
  [1257] = {.lex_state = 49, .external_lex_state = 3},
  [1258] = {.lex_state = 49, .external_lex_state = 3},
  [1259] = {.lex_state = 49, .external_lex_state = 19},
  [1260] = {.lex_state = 49, .external_lex_state = 3},
  [1261] = {.lex_state = 49, .external_lex_state = 3},
  [1262] = {.lex_state = 49, .external_lex_state = 3},
  [1263] = {.lex_state = 49, .external_lex_state = 3},
  [1264] = {.lex_state = 49, .external_lex_state = 3},
  [1265] = {.lex_state = 49, .external_lex_state = 3},
  [1266] = {.lex_state = 49, .external_lex_state = 3},
  [1267] = {.lex_state = 49, .external_lex_state = 3},
  [1268] = {.lex_state = 49, .external_lex_state = 3},
  [1269] = {.lex_state = 49, .external_lex_state = 3},
  [1270] = {.lex_state = 49, .external_lex_state = 3},
  [1271] = {.lex_state = 49, .external_lex_state = 3},
  [1272] = {.lex_state = 49, .external_lex_state = 3},
  [1273] = {.lex_state = 49, .external_lex_state = 3},
  [1274] = {.lex_state = 49, .external_lex_state = 3},
  [1275] = {.lex_state = 49, .external_lex_state = 3},
  [1276] = {.lex_state = 49, .external_lex_state = 3},
  [1277] = {.lex_state = 49, .external_lex_state = 3},
  [1278] = {.lex_state = 49, .external_lex_state = 3},
  [1279] = {.lex_state = 49, .external_lex_state = 3},
  [1280] = {.lex_state = 49, .external_lex_state = 3},
  [1281] = {.lex_state = 49, .external_lex_state = 3},
  [1282] = {.lex_state = 49, .external_lex_state = 3},
  [1283] = {.lex_state = 49, .external_lex_state = 3},
  [1284] = {.lex_state = 49, .external_lex_state = 3},
  [1285] = {.lex_state = 49, .external_lex_state = 3},
  [1286] = {.lex_state = 49, .external_lex_state = 17},
  [1287] = {.lex_state = 49, .external_lex_state = 3},
  [1288] = {.lex_state = 49, .external_lex_state = 3},
  [1289] = {.lex_state = 49, .external_lex_state = 3},
  [1290] = {.lex_state = 49, .external_lex_state = 3},
  [1291] = {.lex_state = 49, .external_lex_state = 3},
  [1292] = {.lex_state = 49, .external_lex_state = 3},
  [1293] = {.lex_state = 49, .external_lex_state = 3},
  [1294] = {.lex_state = 49, .external_lex_state = 3},
  [1295] = {.lex_state = 49, .external_lex_state = 3},
  [1296] = {.lex_state = 49, .external_lex_state = 3},
  [1297] = {.lex_state = 49, .external_lex_state = 3},
  [1298] = {.lex_state = 49, .external_lex_state = 3},
  [1299] = {.lex_state = 49, .external_lex_state = 3},
  [1300] = {.lex_state = 49, .external_lex_state = 3},
  [1301] = {.lex_state = 49, .external_lex_state = 3},
  [1302] = {.lex_state = 49, .external_lex_state = 3},
  [1303] = {.lex_state = 49, .external_lex_state = 3},
  [1304] = {.lex_state = 49, .external_lex_state = 3},
  [1305] = {.lex_state = 49, .external_lex_state = 3},
  [1306] = {.lex_state = 49, .external_lex_state = 3},
  [1307] = {.lex_state = 49, .external_lex_state = 3},
  [1308] = {.lex_state = 49, .external_lex_state = 3},
  [1309] = {.lex_state = 49, .external_lex_state = 3},
  [1310] = {.lex_state = 49, .external_lex_state = 3},
  [1311] = {.lex_state = 49, .external_lex_state = 3},
  [1312] = {.lex_state = 49, .external_lex_state = 3},
  [1313] = {.lex_state = 49, .external_lex_state = 3},
  [1314] = {.lex_state = 49, .external_lex_state = 3},
  [1315] = {.lex_state = 49, .external_lex_state = 3},
  [1316] = {.lex_state = 49, .external_lex_state = 3},
  [1317] = {.lex_state = 49, .external_lex_state = 3},
  [1318] = {.lex_state = 49, .external_lex_state = 3},
  [1319] = {.lex_state = 49, .external_lex_state = 3},
  [1320] = {.lex_state = 49, .external_lex_state = 3},
  [1321] = {.lex_state = 49, .external_lex_state = 3},
  [1322] = {.lex_state = 49, .external_lex_state = 3},
  [1323] = {.lex_state = 49, .external_lex_state = 3},
  [1324] = {.lex_state = 49, .external_lex_state = 3},
  [1325] = {.lex_state = 49, .external_lex_state = 3},
  [1326] = {.lex_state = 49, .external_lex_state = 3},
  [1327] = {.lex_state = 49, .external_lex_state = 3},
  [1328] = {.lex_state = 49, .external_lex_state = 3},
  [1329] = {.lex_state = 49, .external_lex_state = 3},
  [1330] = {.lex_state = 49, .external_lex_state = 3},
  [1331] = {.lex_state = 49, .external_lex_state = 3},
  [1332] = {.lex_state = 49, .external_lex_state = 3},
  [1333] = {.lex_state = 49, .external_lex_state = 3},
  [1334] = {.lex_state = 49, .external_lex_state = 3},
  [1335] = {.lex_state = 49, .external_lex_state = 3},
  [1336] = {.lex_state = 49, .external_lex_state = 3},
  [1337] = {.lex_state = 49, .external_lex_state = 3},
  [1338] = {.lex_state = 49, .external_lex_state = 3},
  [1339] = {.lex_state = 49, .external_lex_state = 3},
  [1340] = {.lex_state = 49, .external_lex_state = 3},
  [1341] = {.lex_state = 49, .external_lex_state = 3},
  [1342] = {.lex_state = 49, .external_lex_state = 3},
  [1343] = {.lex_state = 49, .external_lex_state = 3},
  [1344] = {.lex_state = 49, .external_lex_state = 3},
  [1345] = {.lex_state = 49, .external_lex_state = 3},
  [1346] = {.lex_state = 49, .external_lex_state = 3},
  [1347] = {.lex_state = 49, .external_lex_state = 3},
  [1348] = {.lex_state = 49, .external_lex_state = 3},
  [1349] = {.lex_state = 49, .external_lex_state = 3},
  [1350] = {.lex_state = 49, .external_lex_state = 3},
  [1351] = {.lex_state = 49, .external_lex_state = 3},
  [1352] = {.lex_state = 49, .external_lex_state = 3},
  [1353] = {.lex_state = 49, .external_lex_state = 3},
  [1354] = {.lex_state = 49, .external_lex_state = 3},
  [1355] = {.lex_state = 49, .external_lex_state = 3},
  [1356] = {.lex_state = 49, .external_lex_state = 3},
  [1357] = {.lex_state = 49, .external_lex_state = 3},
  [1358] = {.lex_state = 49, .external_lex_state = 3},
  [1359] = {.lex_state = 49, .external_lex_state = 3},
  [1360] = {.lex_state = 49, .external_lex_state = 3},
  [1361] = {.lex_state = 49, .external_lex_state = 3},
  [1362] = {.lex_state = 49, .external_lex_state = 3},
  [1363] = {.lex_state = 49, .external_lex_state = 3},
  [1364] = {.lex_state = 49, .external_lex_state = 3},
  [1365] = {.lex_state = 49, .external_lex_state = 3},
  [1366] = {.lex_state = 49, .external_lex_state = 3},
  [1367] = {.lex_state = 49, .external_lex_state = 3},
  [1368] = {.lex_state = 49, .external_lex_state = 3},
  [1369] = {.lex_state = 49, .external_lex_state = 3},
  [1370] = {.lex_state = 49, .external_lex_state = 3},
  [1371] = {.lex_state = 49, .external_lex_state = 3},
  [1372] = {.lex_state = 49, .external_lex_state = 3},
  [1373] = {.lex_state = 49, .external_lex_state = 3},
  [1374] = {.lex_state = 49, .external_lex_state = 3},
  [1375] = {.lex_state = 49, .external_lex_state = 3},
  [1376] = {.lex_state = 49, .external_lex_state = 3},
  [1377] = {.lex_state = 49, .external_lex_state = 3},
  [1378] = {.lex_state = 49, .external_lex_state = 3},
  [1379] = {.lex_state = 49, .external_lex_state = 3},
  [1380] = {.lex_state = 49, .external_lex_state = 3},
  [1381] = {.lex_state = 49, .external_lex_state = 3},
  [1382] = {.lex_state = 49, .external_lex_state = 3},
  [1383] = {.lex_state = 49, .external_lex_state = 3},
  [1384] = {.lex_state = 49, .external_lex_state = 3},
  [1385] = {.lex_state = 49, .external_lex_state = 3},
  [1386] = {.lex_state = 49, .external_lex_state = 3},
  [1387] = {.lex_state = 49, .external_lex_state = 3},
  [1388] = {.lex_state = 49, .external_lex_state = 3},
  [1389] = {.lex_state = 49, .external_lex_state = 3},
  [1390] = {.lex_state = 49, .external_lex_state = 3},
  [1391] = {.lex_state = 49, .external_lex_state = 3},
  [1392] = {.lex_state = 49, .external_lex_state = 3},
  [1393] = {.lex_state = 49, .external_lex_state = 3},
  [1394] = {.lex_state = 49, .external_lex_state = 3},
  [1395] = {.lex_state = 49, .external_lex_state = 3},
  [1396] = {.lex_state = 49, .external_lex_state = 3},
  [1397] = {.lex_state = 49, .external_lex_state = 3},
  [1398] = {.lex_state = 49, .external_lex_state = 3},
  [1399] = {.lex_state = 49, .external_lex_state = 3},
  [1400] = {.lex_state = 49, .external_lex_state = 3},
  [1401] = {.lex_state = 49, .external_lex_state = 3},
  [1402] = {.lex_state = 49, .external_lex_state = 3},
  [1403] = {.lex_state = 49, .external_lex_state = 3},
  [1404] = {.lex_state = 49, .external_lex_state = 3},
  [1405] = {.lex_state = 49, .external_lex_state = 3},
  [1406] = {.lex_state = 49, .external_lex_state = 3},
  [1407] = {.lex_state = 49, .external_lex_state = 3},
  [1408] = {.lex_state = 49, .external_lex_state = 3},
  [1409] = {.lex_state = 49, .external_lex_state = 3},
  [1410] = {.lex_state = 49, .external_lex_state = 3},
  [1411] = {.lex_state = 49, .external_lex_state = 3},
  [1412] = {.lex_state = 49, .external_lex_state = 3},
  [1413] = {.lex_state = 49, .external_lex_state = 3},
  [1414] = {.lex_state = 49, .external_lex_state = 3},
  [1415] = {.lex_state = 49, .external_lex_state = 3},
  [1416] = {.lex_state = 49, .external_lex_state = 3},
  [1417] = {.lex_state = 49, .external_lex_state = 3},
  [1418] = {.lex_state = 49, .external_lex_state = 3},
  [1419] = {.lex_state = 49, .external_lex_state = 3},
  [1420] = {.lex_state = 49, .external_lex_state = 3},
  [1421] = {.lex_state = 49, .external_lex_state = 3},
  [1422] = {.lex_state = 49, .external_lex_state = 3},
  [1423] = {.lex_state = 49, .external_lex_state = 3},
  [1424] = {.lex_state = 49, .external_lex_state = 3},
  [1425] = {.lex_state = 49, .external_lex_state = 3},
  [1426] = {.lex_state = 49, .external_lex_state = 3},
  [1427] = {.lex_state = 49, .external_lex_state = 3},
  [1428] = {.lex_state = 49, .external_lex_state = 3},
  [1429] = {.lex_state = 49, .external_lex_state = 3},
  [1430] = {.lex_state = 49, .external_lex_state = 3},
  [1431] = {.lex_state = 49, .external_lex_state = 3},
  [1432] = {.lex_state = 49, .external_lex_state = 3},
  [1433] = {.lex_state = 49, .external_lex_state = 3},
  [1434] = {.lex_state = 49, .external_lex_state = 3},
  [1435] = {.lex_state = 49, .external_lex_state = 3},
  [1436] = {.lex_state = 49, .external_lex_state = 3},
  [1437] = {.lex_state = 49, .external_lex_state = 3},
  [1438] = {.lex_state = 49, .external_lex_state = 3},
  [1439] = {.lex_state = 49, .external_lex_state = 3},
  [1440] = {.lex_state = 49, .external_lex_state = 3},
  [1441] = {.lex_state = 49, .external_lex_state = 3},
  [1442] = {.lex_state = 49, .external_lex_state = 3},
  [1443] = {.lex_state = 49, .external_lex_state = 3},
  [1444] = {.lex_state = 49, .external_lex_state = 3},
  [1445] = {.lex_state = 49, .external_lex_state = 3},
  [1446] = {.lex_state = 49, .external_lex_state = 3},
  [1447] = {.lex_state = 49, .external_lex_state = 3},
  [1448] = {.lex_state = 49, .external_lex_state = 3},
  [1449] = {.lex_state = 49, .external_lex_state = 3},
  [1450] = {.lex_state = 49, .external_lex_state = 3},
  [1451] = {.lex_state = 49, .external_lex_state = 3},
  [1452] = {.lex_state = 49, .external_lex_state = 3},
  [1453] = {.lex_state = 49, .external_lex_state = 3},
  [1454] = {.lex_state = 49, .external_lex_state = 3},
  [1455] = {.lex_state = 49, .external_lex_state = 3},
  [1456] = {.lex_state = 49, .external_lex_state = 3},
  [1457] = {.lex_state = 49, .external_lex_state = 3},
  [1458] = {.lex_state = 49, .external_lex_state = 3},
  [1459] = {.lex_state = 49, .external_lex_state = 3},
  [1460] = {.lex_state = 49, .external_lex_state = 3},
  [1461] = {.lex_state = 49, .external_lex_state = 3},
  [1462] = {.lex_state = 49, .external_lex_state = 3},
  [1463] = {.lex_state = 49, .external_lex_state = 3},
  [1464] = {.lex_state = 49, .external_lex_state = 3},
  [1465] = {.lex_state = 49, .external_lex_state = 3},
  [1466] = {.lex_state = 49, .external_lex_state = 3},
  [1467] = {.lex_state = 49, .external_lex_state = 3},
  [1468] = {.lex_state = 49, .external_lex_state = 3},
  [1469] = {.lex_state = 49, .external_lex_state = 3},
  [1470] = {.lex_state = 49, .external_lex_state = 3},
  [1471] = {.lex_state = 49, .external_lex_state = 3},
  [1472] = {.lex_state = 49, .external_lex_state = 3},
  [1473] = {.lex_state = 49, .external_lex_state = 3},
  [1474] = {.lex_state = 49, .external_lex_state = 3},
  [1475] = {.lex_state = 49, .external_lex_state = 3},
  [1476] = {.lex_state = 49, .external_lex_state = 3},
  [1477] = {.lex_state = 49, .external_lex_state = 3},
  [1478] = {.lex_state = 49, .external_lex_state = 3},
  [1479] = {.lex_state = 49, .external_lex_state = 3},
  [1480] = {.lex_state = 49, .external_lex_state = 3},
  [1481] = {.lex_state = 49, .external_lex_state = 3},
  [1482] = {.lex_state = 49, .external_lex_state = 3},
  [1483] = {.lex_state = 49, .external_lex_state = 3},
  [1484] = {.lex_state = 49, .external_lex_state = 3},
  [1485] = {.lex_state = 49, .external_lex_state = 3},
  [1486] = {.lex_state = 49, .external_lex_state = 3},
  [1487] = {.lex_state = 49, .external_lex_state = 3},
  [1488] = {.lex_state = 49, .external_lex_state = 3},
  [1489] = {.lex_state = 49, .external_lex_state = 3},
  [1490] = {.lex_state = 49, .external_lex_state = 3},
  [1491] = {.lex_state = 49, .external_lex_state = 3},
  [1492] = {.lex_state = 49, .external_lex_state = 3},
  [1493] = {.lex_state = 49, .external_lex_state = 3},
  [1494] = {.lex_state = 49, .external_lex_state = 3},
  [1495] = {.lex_state = 49, .external_lex_state = 3},
  [1496] = {.lex_state = 49, .external_lex_state = 3},
  [1497] = {.lex_state = 49, .external_lex_state = 3},
  [1498] = {.lex_state = 49, .external_lex_state = 3},
  [1499] = {.lex_state = 49, .external_lex_state = 3},
  [1500] = {.lex_state = 49, .external_lex_state = 3},
  [1501] = {.lex_state = 49, .external_lex_state = 3},
  [1502] = {.lex_state = 49, .external_lex_state = 3},
  [1503] = {.lex_state = 49, .external_lex_state = 3},
  [1504] = {.lex_state = 49, .external_lex_state = 3},
  [1505] = {.lex_state = 49, .external_lex_state = 3},
  [1506] = {.lex_state = 49, .external_lex_state = 3},
  [1507] = {.lex_state = 49, .external_lex_state = 3},
  [1508] = {.lex_state = 49, .external_lex_state = 3},
  [1509] = {.lex_state = 49, .external_lex_state = 3},
  [1510] = {.lex_state = 49, .external_lex_state = 3},
  [1511] = {.lex_state = 49, .external_lex_state = 3},
  [1512] = {.lex_state = 49, .external_lex_state = 3},
  [1513] = {.lex_state = 49, .external_lex_state = 3},
  [1514] = {.lex_state = 49, .external_lex_state = 3},
  [1515] = {.lex_state = 49, .external_lex_state = 3},
  [1516] = {.lex_state = 49, .external_lex_state = 3},
  [1517] = {.lex_state = 49, .external_lex_state = 3},
  [1518] = {.lex_state = 49, .external_lex_state = 3},
  [1519] = {.lex_state = 49, .external_lex_state = 3},
  [1520] = {.lex_state = 49, .external_lex_state = 3},
  [1521] = {.lex_state = 49, .external_lex_state = 3},
  [1522] = {.lex_state = 49, .external_lex_state = 3},
  [1523] = {.lex_state = 49, .external_lex_state = 3},
  [1524] = {.lex_state = 49, .external_lex_state = 3},
  [1525] = {.lex_state = 49, .external_lex_state = 3},
  [1526] = {.lex_state = 49, .external_lex_state = 3},
  [1527] = {.lex_state = 49, .external_lex_state = 3},
  [1528] = {.lex_state = 49, .external_lex_state = 3},
  [1529] = {.lex_state = 49, .external_lex_state = 3},
  [1530] = {.lex_state = 49, .external_lex_state = 3},
  [1531] = {.lex_state = 49, .external_lex_state = 3},
  [1532] = {.lex_state = 49, .external_lex_state = 3},
  [1533] = {.lex_state = 49, .external_lex_state = 3},
  [1534] = {.lex_state = 49, .external_lex_state = 3},
  [1535] = {.lex_state = 49, .external_lex_state = 3},
  [1536] = {.lex_state = 49, .external_lex_state = 3},
  [1537] = {.lex_state = 49, .external_lex_state = 3},
  [1538] = {.lex_state = 49, .external_lex_state = 3},
  [1539] = {.lex_state = 49, .external_lex_state = 3},
  [1540] = {.lex_state = 49, .external_lex_state = 3},
  [1541] = {.lex_state = 49, .external_lex_state = 3},
  [1542] = {.lex_state = 49, .external_lex_state = 3},
  [1543] = {.lex_state = 49, .external_lex_state = 3},
  [1544] = {.lex_state = 49, .external_lex_state = 3},
  [1545] = {.lex_state = 49, .external_lex_state = 3},
  [1546] = {.lex_state = 49, .external_lex_state = 3},
  [1547] = {.lex_state = 49, .external_lex_state = 3},
  [1548] = {.lex_state = 49, .external_lex_state = 3},
  [1549] = {.lex_state = 49, .external_lex_state = 3},
  [1550] = {.lex_state = 49, .external_lex_state = 3},
  [1551] = {.lex_state = 49, .external_lex_state = 3},
  [1552] = {.lex_state = 49, .external_lex_state = 3},
  [1553] = {.lex_state = 49, .external_lex_state = 3},
  [1554] = {.lex_state = 49, .external_lex_state = 3},
  [1555] = {.lex_state = 49, .external_lex_state = 3},
  [1556] = {.lex_state = 49, .external_lex_state = 3},
  [1557] = {.lex_state = 49, .external_lex_state = 3},
  [1558] = {.lex_state = 49, .external_lex_state = 19},
  [1559] = {.lex_state = 49, .external_lex_state = 3},
  [1560] = {.lex_state = 49, .external_lex_state = 3},
  [1561] = {.lex_state = 49, .external_lex_state = 3},
  [1562] = {.lex_state = 49, .external_lex_state = 3},
  [1563] = {.lex_state = 49, .external_lex_state = 3},
  [1564] = {.lex_state = 49, .external_lex_state = 3},
  [1565] = {.lex_state = 49, .external_lex_state = 3},
  [1566] = {.lex_state = 49, .external_lex_state = 3},
  [1567] = {.lex_state = 49, .external_lex_state = 3},
  [1568] = {.lex_state = 49, .external_lex_state = 3},
  [1569] = {.lex_state = 49, .external_lex_state = 3},
  [1570] = {.lex_state = 49, .external_lex_state = 3},
  [1571] = {.lex_state = 49, .external_lex_state = 3},
  [1572] = {.lex_state = 49, .external_lex_state = 3},
  [1573] = {.lex_state = 49, .external_lex_state = 3},
  [1574] = {.lex_state = 49, .external_lex_state = 3},
  [1575] = {.lex_state = 49, .external_lex_state = 3},
  [1576] = {.lex_state = 49, .external_lex_state = 3},
  [1577] = {.lex_state = 49, .external_lex_state = 3},
  [1578] = {.lex_state = 49, .external_lex_state = 3},
  [1579] = {.lex_state = 49, .external_lex_state = 3},
  [1580] = {.lex_state = 49, .external_lex_state = 3},
  [1581] = {.lex_state = 49, .external_lex_state = 3},
  [1582] = {.lex_state = 49, .external_lex_state = 3},
  [1583] = {.lex_state = 49, .external_lex_state = 3},
  [1584] = {.lex_state = 49, .external_lex_state = 3},
  [1585] = {.lex_state = 49, .external_lex_state = 3},
  [1586] = {.lex_state = 49, .external_lex_state = 3},
  [1587] = {.lex_state = 49, .external_lex_state = 3},
  [1588] = {.lex_state = 49, .external_lex_state = 3},
  [1589] = {.lex_state = 49, .external_lex_state = 3},
  [1590] = {.lex_state = 49, .external_lex_state = 3},
  [1591] = {.lex_state = 49, .external_lex_state = 3},
  [1592] = {.lex_state = 49, .external_lex_state = 3},
  [1593] = {.lex_state = 49, .external_lex_state = 3},
  [1594] = {.lex_state = 49, .external_lex_state = 3},
  [1595] = {.lex_state = 49, .external_lex_state = 3},
  [1596] = {.lex_state = 49, .external_lex_state = 3},
  [1597] = {.lex_state = 49, .external_lex_state = 3},
  [1598] = {.lex_state = 49, .external_lex_state = 3},
  [1599] = {.lex_state = 49, .external_lex_state = 3},
  [1600] = {.lex_state = 49, .external_lex_state = 3},
  [1601] = {.lex_state = 49, .external_lex_state = 3},
  [1602] = {.lex_state = 49, .external_lex_state = 3},
  [1603] = {.lex_state = 49, .external_lex_state = 3},
  [1604] = {.lex_state = 49, .external_lex_state = 3},
  [1605] = {.lex_state = 49, .external_lex_state = 3},
  [1606] = {.lex_state = 49, .external_lex_state = 3},
  [1607] = {.lex_state = 49, .external_lex_state = 3},
  [1608] = {.lex_state = 49, .external_lex_state = 3},
  [1609] = {.lex_state = 49, .external_lex_state = 3},
  [1610] = {.lex_state = 49, .external_lex_state = 3},
  [1611] = {.lex_state = 49, .external_lex_state = 3},
  [1612] = {.lex_state = 49, .external_lex_state = 3},
  [1613] = {.lex_state = 49, .external_lex_state = 3},
  [1614] = {.lex_state = 49, .external_lex_state = 3},
  [1615] = {.lex_state = 49, .external_lex_state = 3},
  [1616] = {.lex_state = 49, .external_lex_state = 3},
  [1617] = {.lex_state = 49, .external_lex_state = 3},
  [1618] = {.lex_state = 49, .external_lex_state = 3},
  [1619] = {.lex_state = 49, .external_lex_state = 3},
  [1620] = {.lex_state = 49, .external_lex_state = 3},
  [1621] = {.lex_state = 49, .external_lex_state = 3},
  [1622] = {.lex_state = 49, .external_lex_state = 3},
  [1623] = {.lex_state = 49, .external_lex_state = 3},
  [1624] = {.lex_state = 49, .external_lex_state = 3},
  [1625] = {.lex_state = 49, .external_lex_state = 3},
  [1626] = {.lex_state = 49, .external_lex_state = 3},
  [1627] = {.lex_state = 49, .external_lex_state = 3},
  [1628] = {.lex_state = 49, .external_lex_state = 3},
  [1629] = {.lex_state = 49, .external_lex_state = 3},
  [1630] = {.lex_state = 49, .external_lex_state = 3},
  [1631] = {.lex_state = 49, .external_lex_state = 3},
  [1632] = {.lex_state = 49, .external_lex_state = 3},
  [1633] = {.lex_state = 49, .external_lex_state = 3},
  [1634] = {.lex_state = 49, .external_lex_state = 3},
  [1635] = {.lex_state = 49, .external_lex_state = 3},
  [1636] = {.lex_state = 49, .external_lex_state = 3},
  [1637] = {.lex_state = 49, .external_lex_state = 3},
  [1638] = {.lex_state = 49, .external_lex_state = 3},
  [1639] = {.lex_state = 49, .external_lex_state = 3},
  [1640] = {.lex_state = 49, .external_lex_state = 3},
  [1641] = {.lex_state = 49, .external_lex_state = 3},
  [1642] = {.lex_state = 49, .external_lex_state = 3},
  [1643] = {.lex_state = 49, .external_lex_state = 3},
  [1644] = {.lex_state = 49, .external_lex_state = 3},
  [1645] = {.lex_state = 49, .external_lex_state = 3},
  [1646] = {.lex_state = 49, .external_lex_state = 3},
  [1647] = {.lex_state = 49, .external_lex_state = 3},
  [1648] = {.lex_state = 49, .external_lex_state = 3},
  [1649] = {.lex_state = 49, .external_lex_state = 3},
  [1650] = {.lex_state = 49, .external_lex_state = 3},
  [1651] = {.lex_state = 49, .external_lex_state = 2},
  [1652] = {.lex_state = 49, .external_lex_state = 2},
  [1653] = {.lex_state = 49, .external_lex_state = 2},
  [1654] = {.lex_state = 49, .external_lex_state = 2},
  [1655] = {.lex_state = 49, .external_lex_state = 2},
  [1656] = {.lex_state = 49, .external_lex_state = 2},
  [1657] = {.lex_state = 49, .external_lex_state = 2},
  [1658] = {.lex_state = 49, .external_lex_state = 2},
  [1659] = {.lex_state = 49, .external_lex_state = 2},
  [1660] = {.lex_state = 49, .external_lex_state = 2},
  [1661] = {.lex_state = 49, .external_lex_state = 2},
  [1662] = {.lex_state = 49, .external_lex_state = 2},
  [1663] = {.lex_state = 49, .external_lex_state = 2},
  [1664] = {.lex_state = 49, .external_lex_state = 2},
  [1665] = {.lex_state = 49, .external_lex_state = 2},
  [1666] = {.lex_state = 49, .external_lex_state = 2},
  [1667] = {.lex_state = 49, .external_lex_state = 2},
  [1668] = {.lex_state = 49, .external_lex_state = 2},
  [1669] = {.lex_state = 49, .external_lex_state = 2},
  [1670] = {.lex_state = 49, .external_lex_state = 2},
  [1671] = {.lex_state = 49, .external_lex_state = 2},
  [1672] = {.lex_state = 49, .external_lex_state = 2},
  [1673] = {.lex_state = 49, .external_lex_state = 2},
  [1674] = {.lex_state = 49, .external_lex_state = 2},
  [1675] = {.lex_state = 49, .external_lex_state = 2},
  [1676] = {.lex_state = 49, .external_lex_state = 2},
  [1677] = {.lex_state = 49, .external_lex_state = 2},
  [1678] = {.lex_state = 49, .external_lex_state = 2},
  [1679] = {.lex_state = 49, .external_lex_state = 2},
  [1680] = {.lex_state = 49, .external_lex_state = 2},
  [1681] = {.lex_state = 49, .external_lex_state = 2},
  [1682] = {.lex_state = 49, .external_lex_state = 2},
  [1683] = {.lex_state = 49, .external_lex_state = 2},
  [1684] = {.lex_state = 49, .external_lex_state = 2},
  [1685] = {.lex_state = 49, .external_lex_state = 2},
  [1686] = {.lex_state = 49, .external_lex_state = 2},
  [1687] = {.lex_state = 49, .external_lex_state = 2},
  [1688] = {.lex_state = 49, .external_lex_state = 2},
  [1689] = {.lex_state = 49, .external_lex_state = 2},
  [1690] = {.lex_state = 49, .external_lex_state = 2},
  [1691] = {.lex_state = 49, .external_lex_state = 2},
  [1692] = {.lex_state = 49, .external_lex_state = 2},
  [1693] = {.lex_state = 49, .external_lex_state = 2},
  [1694] = {.lex_state = 49, .external_lex_state = 2},
  [1695] = {.lex_state = 49, .external_lex_state = 2},
  [1696] = {.lex_state = 49, .external_lex_state = 2},
  [1697] = {.lex_state = 49, .external_lex_state = 2},
  [1698] = {.lex_state = 49, .external_lex_state = 2},
  [1699] = {.lex_state = 49, .external_lex_state = 2},
  [1700] = {.lex_state = 49, .external_lex_state = 2},
  [1701] = {.lex_state = 49, .external_lex_state = 2},
  [1702] = {.lex_state = 49, .external_lex_state = 2},
  [1703] = {.lex_state = 49, .external_lex_state = 2},
  [1704] = {.lex_state = 49, .external_lex_state = 2},
  [1705] = {.lex_state = 49, .external_lex_state = 2},
  [1706] = {.lex_state = 49, .external_lex_state = 2},
  [1707] = {.lex_state = 49, .external_lex_state = 2},
  [1708] = {.lex_state = 49, .external_lex_state = 2},
  [1709] = {.lex_state = 49, .external_lex_state = 2},
  [1710] = {.lex_state = 49, .external_lex_state = 2},
  [1711] = {.lex_state = 49, .external_lex_state = 2},
  [1712] = {.lex_state = 49, .external_lex_state = 2},
  [1713] = {.lex_state = 49, .external_lex_state = 2},
  [1714] = {.lex_state = 49, .external_lex_state = 2},
  [1715] = {.lex_state = 49, .external_lex_state = 2},
  [1716] = {.lex_state = 49, .external_lex_state = 2},
  [1717] = {.lex_state = 49, .external_lex_state = 2},
  [1718] = {.lex_state = 49, .external_lex_state = 2},
  [1719] = {.lex_state = 49, .external_lex_state = 2},
  [1720] = {.lex_state = 49, .external_lex_state = 2},
  [1721] = {.lex_state = 49, .external_lex_state = 2},
  [1722] = {.lex_state = 49, .external_lex_state = 2},
  [1723] = {.lex_state = 49, .external_lex_state = 2},
  [1724] = {.lex_state = 49, .external_lex_state = 2},
  [1725] = {.lex_state = 49, .external_lex_state = 2},
  [1726] = {.lex_state = 49, .external_lex_state = 2},
  [1727] = {.lex_state = 49, .external_lex_state = 2},
  [1728] = {.lex_state = 49, .external_lex_state = 2},
  [1729] = {.lex_state = 49, .external_lex_state = 2},
  [1730] = {.lex_state = 49, .external_lex_state = 2},
  [1731] = {.lex_state = 49, .external_lex_state = 2},
  [1732] = {.lex_state = 49, .external_lex_state = 2},
  [1733] = {.lex_state = 49, .external_lex_state = 2},
  [1734] = {.lex_state = 49, .external_lex_state = 2},
  [1735] = {.lex_state = 49, .external_lex_state = 2},
  [1736] = {.lex_state = 49, .external_lex_state = 2},
  [1737] = {.lex_state = 49, .external_lex_state = 2},
  [1738] = {.lex_state = 49, .external_lex_state = 2},
  [1739] = {.lex_state = 49, .external_lex_state = 2},
  [1740] = {.lex_state = 49, .external_lex_state = 2},
  [1741] = {.lex_state = 49, .external_lex_state = 2},
  [1742] = {.lex_state = 49, .external_lex_state = 2},
  [1743] = {.lex_state = 49, .external_lex_state = 2},
  [1744] = {.lex_state = 49, .external_lex_state = 2},
  [1745] = {.lex_state = 49, .external_lex_state = 2},
  [1746] = {.lex_state = 49, .external_lex_state = 2},
  [1747] = {.lex_state = 49, .external_lex_state = 2},
  [1748] = {.lex_state = 49, .external_lex_state = 2},
  [1749] = {.lex_state = 49, .external_lex_state = 2},
  [1750] = {.lex_state = 49, .external_lex_state = 2},
  [1751] = {.lex_state = 49, .external_lex_state = 2},
  [1752] = {.lex_state = 49, .external_lex_state = 2},
  [1753] = {.lex_state = 49, .external_lex_state = 2},
  [1754] = {.lex_state = 49, .external_lex_state = 2},
  [1755] = {.lex_state = 49, .external_lex_state = 2},
  [1756] = {.lex_state = 49, .external_lex_state = 2},
  [1757] = {.lex_state = 49, .external_lex_state = 2},
  [1758] = {.lex_state = 49, .external_lex_state = 2},
  [1759] = {.lex_state = 49, .external_lex_state = 2},
  [1760] = {.lex_state = 49, .external_lex_state = 2},
  [1761] = {.lex_state = 49, .external_lex_state = 2},
  [1762] = {.lex_state = 49, .external_lex_state = 2},
  [1763] = {.lex_state = 49, .external_lex_state = 2},
  [1764] = {.lex_state = 49, .external_lex_state = 2},
  [1765] = {.lex_state = 49, .external_lex_state = 2},
  [1766] = {.lex_state = 49, .external_lex_state = 2},
  [1767] = {.lex_state = 49, .external_lex_state = 2},
  [1768] = {.lex_state = 49, .external_lex_state = 2},
  [1769] = {.lex_state = 49, .external_lex_state = 2},
  [1770] = {.lex_state = 49, .external_lex_state = 22},
  [1771] = {.lex_state = 49, .external_lex_state = 2},
  [1772] = {.lex_state = 49, .external_lex_state = 2},
  [1773] = {.lex_state = 49, .external_lex_state = 2},
  [1774] = {.lex_state = 49, .external_lex_state = 2},
  [1775] = {.lex_state = 49, .external_lex_state = 2},
  [1776] = {.lex_state = 49, .external_lex_state = 2},
  [1777] = {.lex_state = 49, .external_lex_state = 2},
  [1778] = {.lex_state = 49, .external_lex_state = 2},
  [1779] = {.lex_state = 49, .external_lex_state = 2},
  [1780] = {.lex_state = 49, .external_lex_state = 2},
  [1781] = {.lex_state = 49, .external_lex_state = 2},
  [1782] = {.lex_state = 49, .external_lex_state = 2},
  [1783] = {.lex_state = 49, .external_lex_state = 2},
  [1784] = {.lex_state = 49, .external_lex_state = 2},
  [1785] = {.lex_state = 49, .external_lex_state = 22},
  [1786] = {.lex_state = 49, .external_lex_state = 2},
  [1787] = {.lex_state = 49, .external_lex_state = 2},
  [1788] = {.lex_state = 49, .external_lex_state = 2},
  [1789] = {.lex_state = 49, .external_lex_state = 2},
  [1790] = {.lex_state = 49, .external_lex_state = 2},
  [1791] = {.lex_state = 49, .external_lex_state = 2},
  [1792] = {.lex_state = 49, .external_lex_state = 2},
  [1793] = {.lex_state = 49, .external_lex_state = 2},
  [1794] = {.lex_state = 49, .external_lex_state = 2},
  [1795] = {.lex_state = 49, .external_lex_state = 2},
  [1796] = {.lex_state = 49, .external_lex_state = 2},
  [1797] = {.lex_state = 49, .external_lex_state = 2},
  [1798] = {.lex_state = 49, .external_lex_state = 2},
  [1799] = {.lex_state = 49, .external_lex_state = 2},
  [1800] = {.lex_state = 49, .external_lex_state = 2},
  [1801] = {.lex_state = 49, .external_lex_state = 2},
  [1802] = {.lex_state = 49, .external_lex_state = 2},
  [1803] = {.lex_state = 49, .external_lex_state = 2},
  [1804] = {.lex_state = 49, .external_lex_state = 2},
  [1805] = {.lex_state = 49, .external_lex_state = 2},
  [1806] = {.lex_state = 49, .external_lex_state = 2},
  [1807] = {.lex_state = 49, .external_lex_state = 2},
  [1808] = {.lex_state = 49, .external_lex_state = 2},
  [1809] = {.lex_state = 49, .external_lex_state = 2},
  [1810] = {.lex_state = 49, .external_lex_state = 2},
  [1811] = {.lex_state = 49, .external_lex_state = 2},
  [1812] = {.lex_state = 49, .external_lex_state = 2},
  [1813] = {.lex_state = 49, .external_lex_state = 2},
  [1814] = {.lex_state = 49, .external_lex_state = 2},
  [1815] = {.lex_state = 49, .external_lex_state = 2},
  [1816] = {.lex_state = 49, .external_lex_state = 2},
  [1817] = {.lex_state = 49, .external_lex_state = 2},
  [1818] = {.lex_state = 49, .external_lex_state = 2},
  [1819] = {.lex_state = 49, .external_lex_state = 2},
  [1820] = {.lex_state = 49, .external_lex_state = 2},
  [1821] = {.lex_state = 49, .external_lex_state = 2},
  [1822] = {.lex_state = 49, .external_lex_state = 2},
  [1823] = {.lex_state = 49, .external_lex_state = 2},
  [1824] = {.lex_state = 49, .external_lex_state = 2},
  [1825] = {.lex_state = 49, .external_lex_state = 2},
  [1826] = {.lex_state = 49, .external_lex_state = 2},
  [1827] = {.lex_state = 49, .external_lex_state = 2},
  [1828] = {.lex_state = 49, .external_lex_state = 2},
  [1829] = {.lex_state = 49, .external_lex_state = 2},
  [1830] = {.lex_state = 49, .external_lex_state = 2},
  [1831] = {.lex_state = 49, .external_lex_state = 2},
  [1832] = {.lex_state = 49, .external_lex_state = 2},
  [1833] = {.lex_state = 49, .external_lex_state = 2},
  [1834] = {.lex_state = 49, .external_lex_state = 2},
  [1835] = {.lex_state = 49, .external_lex_state = 2},
  [1836] = {.lex_state = 49, .external_lex_state = 2},
  [1837] = {.lex_state = 49, .external_lex_state = 2},
  [1838] = {.lex_state = 49, .external_lex_state = 2},
  [1839] = {.lex_state = 49, .external_lex_state = 2},
  [1840] = {.lex_state = 49, .external_lex_state = 2},
  [1841] = {.lex_state = 49, .external_lex_state = 2},
  [1842] = {.lex_state = 49, .external_lex_state = 2},
  [1843] = {.lex_state = 49, .external_lex_state = 2},
  [1844] = {.lex_state = 49, .external_lex_state = 2},
  [1845] = {.lex_state = 49, .external_lex_state = 2},
  [1846] = {.lex_state = 49, .external_lex_state = 2},
  [1847] = {.lex_state = 49, .external_lex_state = 2},
  [1848] = {.lex_state = 49, .external_lex_state = 2},
  [1849] = {.lex_state = 49, .external_lex_state = 2},
  [1850] = {.lex_state = 49, .external_lex_state = 2},
  [1851] = {.lex_state = 49, .external_lex_state = 2},
  [1852] = {.lex_state = 49, .external_lex_state = 2},
  [1853] = {.lex_state = 49, .external_lex_state = 2},
  [1854] = {.lex_state = 49, .external_lex_state = 2},
  [1855] = {.lex_state = 49, .external_lex_state = 2},
  [1856] = {.lex_state = 49, .external_lex_state = 2},
  [1857] = {.lex_state = 49, .external_lex_state = 2},
  [1858] = {.lex_state = 49, .external_lex_state = 2},
  [1859] = {.lex_state = 49, .external_lex_state = 2},
  [1860] = {.lex_state = 49, .external_lex_state = 2},
  [1861] = {.lex_state = 49, .external_lex_state = 2},
  [1862] = {.lex_state = 49, .external_lex_state = 2},
  [1863] = {.lex_state = 49, .external_lex_state = 2},
  [1864] = {.lex_state = 49, .external_lex_state = 2},
  [1865] = {.lex_state = 49, .external_lex_state = 2},
  [1866] = {.lex_state = 49, .external_lex_state = 2},
  [1867] = {.lex_state = 49, .external_lex_state = 2},
  [1868] = {.lex_state = 49, .external_lex_state = 2},
  [1869] = {.lex_state = 49, .external_lex_state = 2},
  [1870] = {.lex_state = 49, .external_lex_state = 2},
  [1871] = {.lex_state = 49, .external_lex_state = 2},
  [1872] = {.lex_state = 49, .external_lex_state = 2},
  [1873] = {.lex_state = 49, .external_lex_state = 2},
  [1874] = {.lex_state = 49, .external_lex_state = 2},
  [1875] = {.lex_state = 49, .external_lex_state = 2},
  [1876] = {.lex_state = 49, .external_lex_state = 2},
  [1877] = {.lex_state = 49, .external_lex_state = 2},
  [1878] = {.lex_state = 49, .external_lex_state = 2},
  [1879] = {.lex_state = 49, .external_lex_state = 2},
  [1880] = {.lex_state = 49, .external_lex_state = 2},
  [1881] = {.lex_state = 49, .external_lex_state = 2},
  [1882] = {.lex_state = 49, .external_lex_state = 2},
  [1883] = {.lex_state = 49, .external_lex_state = 2},
  [1884] = {.lex_state = 49, .external_lex_state = 2},
  [1885] = {.lex_state = 49, .external_lex_state = 2},
  [1886] = {.lex_state = 49, .external_lex_state = 2},
  [1887] = {.lex_state = 49, .external_lex_state = 2},
  [1888] = {.lex_state = 49, .external_lex_state = 2},
  [1889] = {.lex_state = 49, .external_lex_state = 2},
  [1890] = {.lex_state = 49, .external_lex_state = 2},
  [1891] = {.lex_state = 49, .external_lex_state = 2},
  [1892] = {.lex_state = 49, .external_lex_state = 2},
  [1893] = {.lex_state = 49, .external_lex_state = 2},
  [1894] = {.lex_state = 49, .external_lex_state = 2},
  [1895] = {.lex_state = 49, .external_lex_state = 2},
  [1896] = {.lex_state = 49, .external_lex_state = 2},
  [1897] = {.lex_state = 49, .external_lex_state = 2},
  [1898] = {.lex_state = 49, .external_lex_state = 2},
  [1899] = {.lex_state = 49, .external_lex_state = 2},
  [1900] = {.lex_state = 49, .external_lex_state = 2},
  [1901] = {.lex_state = 49, .external_lex_state = 2},
  [1902] = {.lex_state = 49, .external_lex_state = 2},
  [1903] = {.lex_state = 49, .external_lex_state = 2},
  [1904] = {.lex_state = 49, .external_lex_state = 2},
  [1905] = {.lex_state = 49, .external_lex_state = 2},
  [1906] = {.lex_state = 49, .external_lex_state = 2},
  [1907] = {.lex_state = 49, .external_lex_state = 2},
  [1908] = {.lex_state = 49, .external_lex_state = 2},
  [1909] = {.lex_state = 49, .external_lex_state = 2},
  [1910] = {.lex_state = 49, .external_lex_state = 2},
  [1911] = {.lex_state = 49, .external_lex_state = 2},
  [1912] = {.lex_state = 49, .external_lex_state = 2},
  [1913] = {.lex_state = 49, .external_lex_state = 2},
  [1914] = {.lex_state = 49, .external_lex_state = 2},
  [1915] = {.lex_state = 49, .external_lex_state = 2},
  [1916] = {.lex_state = 49, .external_lex_state = 2},
  [1917] = {.lex_state = 49, .external_lex_state = 2},
  [1918] = {.lex_state = 49, .external_lex_state = 2},
  [1919] = {.lex_state = 49, .external_lex_state = 2},
  [1920] = {.lex_state = 49, .external_lex_state = 2},
  [1921] = {.lex_state = 49, .external_lex_state = 2},
  [1922] = {.lex_state = 49, .external_lex_state = 2},
  [1923] = {.lex_state = 49, .external_lex_state = 2},
  [1924] = {.lex_state = 49, .external_lex_state = 2},
  [1925] = {.lex_state = 49, .external_lex_state = 2},
  [1926] = {.lex_state = 49, .external_lex_state = 2},
  [1927] = {.lex_state = 49, .external_lex_state = 2},
  [1928] = {.lex_state = 49, .external_lex_state = 2},
  [1929] = {.lex_state = 49, .external_lex_state = 2},
  [1930] = {.lex_state = 49, .external_lex_state = 2},
  [1931] = {.lex_state = 49, .external_lex_state = 2},
  [1932] = {.lex_state = 49, .external_lex_state = 2},
  [1933] = {.lex_state = 49, .external_lex_state = 2},
  [1934] = {.lex_state = 49, .external_lex_state = 2},
  [1935] = {.lex_state = 49, .external_lex_state = 2},
  [1936] = {.lex_state = 49, .external_lex_state = 2},
  [1937] = {.lex_state = 49, .external_lex_state = 2},
  [1938] = {.lex_state = 49, .external_lex_state = 2},
  [1939] = {.lex_state = 49, .external_lex_state = 2},
  [1940] = {.lex_state = 49, .external_lex_state = 2},
  [1941] = {.lex_state = 49, .external_lex_state = 2},
  [1942] = {.lex_state = 49, .external_lex_state = 2},
  [1943] = {.lex_state = 49, .external_lex_state = 2},
  [1944] = {.lex_state = 49, .external_lex_state = 2},
  [1945] = {.lex_state = 49, .external_lex_state = 2},
  [1946] = {.lex_state = 49, .external_lex_state = 2},
  [1947] = {.lex_state = 49, .external_lex_state = 2},
  [1948] = {.lex_state = 49, .external_lex_state = 2},
  [1949] = {.lex_state = 49, .external_lex_state = 2},
  [1950] = {.lex_state = 49, .external_lex_state = 2},
  [1951] = {.lex_state = 49, .external_lex_state = 2},
  [1952] = {.lex_state = 49, .external_lex_state = 2},
  [1953] = {.lex_state = 49, .external_lex_state = 2},
  [1954] = {.lex_state = 49, .external_lex_state = 2},
  [1955] = {.lex_state = 49, .external_lex_state = 2},
  [1956] = {.lex_state = 49, .external_lex_state = 2},
  [1957] = {.lex_state = 49, .external_lex_state = 2},
  [1958] = {.lex_state = 49, .external_lex_state = 2},
  [1959] = {.lex_state = 49, .external_lex_state = 2},
  [1960] = {.lex_state = 49, .external_lex_state = 2},
  [1961] = {.lex_state = 49, .external_lex_state = 2},
  [1962] = {.lex_state = 49, .external_lex_state = 2},
  [1963] = {.lex_state = 49, .external_lex_state = 2},
  [1964] = {.lex_state = 49, .external_lex_state = 2},
  [1965] = {.lex_state = 49, .external_lex_state = 2},
  [1966] = {.lex_state = 49, .external_lex_state = 2},
  [1967] = {.lex_state = 49, .external_lex_state = 2},
  [1968] = {.lex_state = 49, .external_lex_state = 2},
  [1969] = {.lex_state = 49, .external_lex_state = 2},
  [1970] = {.lex_state = 49, .external_lex_state = 2},
  [1971] = {.lex_state = 49, .external_lex_state = 2},
  [1972] = {.lex_state = 49, .external_lex_state = 2},
  [1973] = {.lex_state = 49, .external_lex_state = 2},
  [1974] = {.lex_state = 49, .external_lex_state = 2},
  [1975] = {.lex_state = 49, .external_lex_state = 2},
  [1976] = {.lex_state = 49, .external_lex_state = 2},
  [1977] = {.lex_state = 49, .external_lex_state = 2},
  [1978] = {.lex_state = 49, .external_lex_state = 2},
  [1979] = {.lex_state = 49, .external_lex_state = 2},
  [1980] = {.lex_state = 49, .external_lex_state = 2},
  [1981] = {.lex_state = 49, .external_lex_state = 2},
  [1982] = {.lex_state = 49, .external_lex_state = 2},
  [1983] = {.lex_state = 49, .external_lex_state = 2},
  [1984] = {.lex_state = 49, .external_lex_state = 2},
  [1985] = {.lex_state = 49, .external_lex_state = 2},
  [1986] = {.lex_state = 49, .external_lex_state = 2},
  [1987] = {.lex_state = 49, .external_lex_state = 2},
  [1988] = {.lex_state = 49, .external_lex_state = 2},
  [1989] = {.lex_state = 49, .external_lex_state = 2},
  [1990] = {.lex_state = 49, .external_lex_state = 2},
  [1991] = {.lex_state = 49, .external_lex_state = 2},
  [1992] = {.lex_state = 49, .external_lex_state = 2},
  [1993] = {.lex_state = 49, .external_lex_state = 2},
  [1994] = {.lex_state = 49, .external_lex_state = 2},
  [1995] = {.lex_state = 49, .external_lex_state = 2},
  [1996] = {.lex_state = 49, .external_lex_state = 2},
  [1997] = {.lex_state = 49, .external_lex_state = 2},
  [1998] = {.lex_state = 49, .external_lex_state = 2},
  [1999] = {.lex_state = 49, .external_lex_state = 2},
  [2000] = {.lex_state = 49, .external_lex_state = 2},
  [2001] = {.lex_state = 49, .external_lex_state = 2},
  [2002] = {.lex_state = 49, .external_lex_state = 2},
  [2003] = {.lex_state = 49, .external_lex_state = 2},
  [2004] = {.lex_state = 49, .external_lex_state = 2},
  [2005] = {.lex_state = 49, .external_lex_state = 2},
  [2006] = {.lex_state = 49, .external_lex_state = 2},
  [2007] = {.lex_state = 49, .external_lex_state = 2},
  [2008] = {.lex_state = 49, .external_lex_state = 2},
  [2009] = {.lex_state = 49, .external_lex_state = 2},
  [2010] = {.lex_state = 49, .external_lex_state = 2},
  [2011] = {.lex_state = 49, .external_lex_state = 2},
  [2012] = {.lex_state = 49, .external_lex_state = 2},
  [2013] = {.lex_state = 49, .external_lex_state = 2},
  [2014] = {.lex_state = 49, .external_lex_state = 2},
  [2015] = {.lex_state = 49, .external_lex_state = 2},
  [2016] = {.lex_state = 49, .external_lex_state = 2},
  [2017] = {.lex_state = 49, .external_lex_state = 2},
  [2018] = {.lex_state = 49, .external_lex_state = 2},
  [2019] = {.lex_state = 49, .external_lex_state = 2},
  [2020] = {.lex_state = 49, .external_lex_state = 2},
  [2021] = {.lex_state = 49, .external_lex_state = 2},
  [2022] = {.lex_state = 49, .external_lex_state = 2},
  [2023] = {.lex_state = 49, .external_lex_state = 2},
  [2024] = {.lex_state = 49, .external_lex_state = 2},
  [2025] = {.lex_state = 49, .external_lex_state = 2},
  [2026] = {.lex_state = 49, .external_lex_state = 2},
  [2027] = {.lex_state = 49, .external_lex_state = 2},
  [2028] = {.lex_state = 49, .external_lex_state = 2},
  [2029] = {.lex_state = 49, .external_lex_state = 2},
  [2030] = {.lex_state = 49, .external_lex_state = 2},
  [2031] = {.lex_state = 49, .external_lex_state = 2},
  [2032] = {.lex_state = 49, .external_lex_state = 2},
  [2033] = {.lex_state = 49, .external_lex_state = 2},
  [2034] = {.lex_state = 49, .external_lex_state = 2},
  [2035] = {.lex_state = 49, .external_lex_state = 2},
  [2036] = {.lex_state = 49, .external_lex_state = 2},
  [2037] = {.lex_state = 49, .external_lex_state = 2},
  [2038] = {.lex_state = 49, .external_lex_state = 2},
  [2039] = {.lex_state = 49, .external_lex_state = 2},
  [2040] = {.lex_state = 49, .external_lex_state = 2},
  [2041] = {.lex_state = 49, .external_lex_state = 2},
  [2042] = {.lex_state = 49, .external_lex_state = 2},
  [2043] = {.lex_state = 49, .external_lex_state = 2},
  [2044] = {.lex_state = 49, .external_lex_state = 2},
  [2045] = {.lex_state = 49, .external_lex_state = 2},
  [2046] = {.lex_state = 49, .external_lex_state = 2},
  [2047] = {.lex_state = 49, .external_lex_state = 2},
  [2048] = {.lex_state = 49, .external_lex_state = 2},
  [2049] = {.lex_state = 49, .external_lex_state = 2},
  [2050] = {.lex_state = 49, .external_lex_state = 2},
  [2051] = {.lex_state = 49, .external_lex_state = 2},
  [2052] = {.lex_state = 49, .external_lex_state = 2},
  [2053] = {.lex_state = 49, .external_lex_state = 2},
  [2054] = {.lex_state = 49, .external_lex_state = 2},
  [2055] = {.lex_state = 49, .external_lex_state = 2},
  [2056] = {.lex_state = 49, .external_lex_state = 2},
  [2057] = {.lex_state = 49, .external_lex_state = 2},
  [2058] = {.lex_state = 49, .external_lex_state = 2},
  [2059] = {.lex_state = 49, .external_lex_state = 2},
  [2060] = {.lex_state = 49, .external_lex_state = 2},
  [2061] = {.lex_state = 49, .external_lex_state = 2},
  [2062] = {.lex_state = 49, .external_lex_state = 2},
  [2063] = {.lex_state = 49, .external_lex_state = 2},
  [2064] = {.lex_state = 49, .external_lex_state = 2},
  [2065] = {.lex_state = 49, .external_lex_state = 2},
  [2066] = {.lex_state = 49, .external_lex_state = 2},
  [2067] = {.lex_state = 49, .external_lex_state = 2},
  [2068] = {.lex_state = 49, .external_lex_state = 2},
  [2069] = {.lex_state = 49, .external_lex_state = 2},
  [2070] = {.lex_state = 49, .external_lex_state = 2},
  [2071] = {.lex_state = 49, .external_lex_state = 2},
  [2072] = {.lex_state = 49, .external_lex_state = 2},
  [2073] = {.lex_state = 49, .external_lex_state = 2},
  [2074] = {.lex_state = 49, .external_lex_state = 2},
  [2075] = {.lex_state = 49, .external_lex_state = 2},
  [2076] = {.lex_state = 49, .external_lex_state = 2},
  [2077] = {.lex_state = 49, .external_lex_state = 2},
  [2078] = {.lex_state = 49, .external_lex_state = 2},
  [2079] = {.lex_state = 49, .external_lex_state = 2},
  [2080] = {.lex_state = 49, .external_lex_state = 2},
  [2081] = {.lex_state = 49, .external_lex_state = 2},
  [2082] = {.lex_state = 49, .external_lex_state = 2},
  [2083] = {.lex_state = 49, .external_lex_state = 2},
  [2084] = {.lex_state = 49, .external_lex_state = 2},
  [2085] = {.lex_state = 49, .external_lex_state = 2},
  [2086] = {.lex_state = 49, .external_lex_state = 2},
  [2087] = {.lex_state = 49, .external_lex_state = 2},
  [2088] = {.lex_state = 49, .external_lex_state = 2},
  [2089] = {.lex_state = 49, .external_lex_state = 2},
  [2090] = {.lex_state = 49, .external_lex_state = 2},
  [2091] = {.lex_state = 49, .external_lex_state = 2},
  [2092] = {.lex_state = 49, .external_lex_state = 2},
  [2093] = {.lex_state = 49, .external_lex_state = 2},
  [2094] = {.lex_state = 49, .external_lex_state = 2},
  [2095] = {.lex_state = 49, .external_lex_state = 2},
  [2096] = {.lex_state = 49, .external_lex_state = 2},
  [2097] = {.lex_state = 49, .external_lex_state = 2},
  [2098] = {.lex_state = 49, .external_lex_state = 2},
  [2099] = {.lex_state = 49, .external_lex_state = 2},
  [2100] = {.lex_state = 49, .external_lex_state = 2},
  [2101] = {.lex_state = 49, .external_lex_state = 2},
  [2102] = {.lex_state = 49, .external_lex_state = 2},
  [2103] = {.lex_state = 49, .external_lex_state = 2},
  [2104] = {.lex_state = 49, .external_lex_state = 2},
  [2105] = {.lex_state = 49, .external_lex_state = 2},
  [2106] = {.lex_state = 49, .external_lex_state = 2},
  [2107] = {.lex_state = 49, .external_lex_state = 2},
  [2108] = {.lex_state = 49, .external_lex_state = 2},
  [2109] = {.lex_state = 49, .external_lex_state = 2},
  [2110] = {.lex_state = 49, .external_lex_state = 2},
  [2111] = {.lex_state = 49, .external_lex_state = 2},
  [2112] = {.lex_state = 49, .external_lex_state = 2},
  [2113] = {.lex_state = 49, .external_lex_state = 2},
  [2114] = {.lex_state = 49, .external_lex_state = 2},
  [2115] = {.lex_state = 49, .external_lex_state = 2},
  [2116] = {.lex_state = 49, .external_lex_state = 2},
  [2117] = {.lex_state = 49, .external_lex_state = 2},
  [2118] = {.lex_state = 49, .external_lex_state = 2},
  [2119] = {.lex_state = 49, .external_lex_state = 2},
  [2120] = {.lex_state = 49, .external_lex_state = 2},
  [2121] = {.lex_state = 49, .external_lex_state = 2},
  [2122] = {.lex_state = 49, .external_lex_state = 2},
  [2123] = {.lex_state = 49, .external_lex_state = 2},
  [2124] = {.lex_state = 49, .external_lex_state = 2},
  [2125] = {.lex_state = 49, .external_lex_state = 2},
  [2126] = {.lex_state = 49, .external_lex_state = 2},
  [2127] = {.lex_state = 49, .external_lex_state = 2},
  [2128] = {.lex_state = 49, .external_lex_state = 2},
  [2129] = {.lex_state = 49, .external_lex_state = 2},
  [2130] = {.lex_state = 49, .external_lex_state = 2},
  [2131] = {.lex_state = 49, .external_lex_state = 2},
  [2132] = {.lex_state = 49, .external_lex_state = 2},
  [2133] = {.lex_state = 49, .external_lex_state = 2},
  [2134] = {.lex_state = 49, .external_lex_state = 2},
  [2135] = {.lex_state = 49, .external_lex_state = 2},
  [2136] = {.lex_state = 49, .external_lex_state = 2},
  [2137] = {.lex_state = 49, .external_lex_state = 2},
  [2138] = {.lex_state = 49, .external_lex_state = 2},
  [2139] = {.lex_state = 49, .external_lex_state = 2},
  [2140] = {.lex_state = 49, .external_lex_state = 2},
  [2141] = {.lex_state = 49, .external_lex_state = 2},
  [2142] = {.lex_state = 49, .external_lex_state = 2},
  [2143] = {.lex_state = 49, .external_lex_state = 2},
  [2144] = {.lex_state = 49, .external_lex_state = 2},
  [2145] = {.lex_state = 49, .external_lex_state = 2},
  [2146] = {.lex_state = 49, .external_lex_state = 2},
  [2147] = {.lex_state = 49, .external_lex_state = 2},
  [2148] = {.lex_state = 49, .external_lex_state = 2},
  [2149] = {.lex_state = 49, .external_lex_state = 2},
  [2150] = {.lex_state = 49, .external_lex_state = 2},
  [2151] = {.lex_state = 49, .external_lex_state = 2},
  [2152] = {.lex_state = 49, .external_lex_state = 2},
  [2153] = {.lex_state = 49, .external_lex_state = 2},
  [2154] = {.lex_state = 49, .external_lex_state = 2},
  [2155] = {.lex_state = 49, .external_lex_state = 2},
  [2156] = {.lex_state = 49, .external_lex_state = 2},
  [2157] = {.lex_state = 49, .external_lex_state = 2},
  [2158] = {.lex_state = 49, .external_lex_state = 2},
  [2159] = {.lex_state = 49, .external_lex_state = 2},
  [2160] = {.lex_state = 49, .external_lex_state = 2},
  [2161] = {.lex_state = 49, .external_lex_state = 2},
  [2162] = {.lex_state = 49, .external_lex_state = 2},
  [2163] = {.lex_state = 49, .external_lex_state = 2},
  [2164] = {.lex_state = 49, .external_lex_state = 2},
  [2165] = {.lex_state = 49, .external_lex_state = 2},
  [2166] = {.lex_state = 49, .external_lex_state = 2},
  [2167] = {.lex_state = 49, .external_lex_state = 2},
  [2168] = {.lex_state = 49, .external_lex_state = 2},
  [2169] = {.lex_state = 49, .external_lex_state = 2},
  [2170] = {.lex_state = 49, .external_lex_state = 2},
  [2171] = {.lex_state = 49, .external_lex_state = 2},
  [2172] = {.lex_state = 49, .external_lex_state = 2},
  [2173] = {.lex_state = 49, .external_lex_state = 2},
  [2174] = {.lex_state = 49, .external_lex_state = 2},
  [2175] = {.lex_state = 49, .external_lex_state = 2},
  [2176] = {.lex_state = 49, .external_lex_state = 2},
  [2177] = {.lex_state = 49, .external_lex_state = 2},
  [2178] = {.lex_state = 49, .external_lex_state = 2},
  [2179] = {.lex_state = 49, .external_lex_state = 2},
  [2180] = {.lex_state = 49, .external_lex_state = 2},
  [2181] = {.lex_state = 49, .external_lex_state = 2},
  [2182] = {.lex_state = 49, .external_lex_state = 2},
  [2183] = {.lex_state = 49, .external_lex_state = 2},
  [2184] = {.lex_state = 49, .external_lex_state = 2},
  [2185] = {.lex_state = 49, .external_lex_state = 2},
  [2186] = {.lex_state = 49, .external_lex_state = 2},
  [2187] = {.lex_state = 49, .external_lex_state = 2},
  [2188] = {.lex_state = 49, .external_lex_state = 2},
  [2189] = {.lex_state = 49, .external_lex_state = 2},
  [2190] = {.lex_state = 49, .external_lex_state = 2},
  [2191] = {.lex_state = 49, .external_lex_state = 2},
  [2192] = {.lex_state = 49, .external_lex_state = 2},
  [2193] = {.lex_state = 49, .external_lex_state = 2},
  [2194] = {.lex_state = 49, .external_lex_state = 2},
  [2195] = {.lex_state = 49, .external_lex_state = 2},
  [2196] = {.lex_state = 49, .external_lex_state = 2},
  [2197] = {.lex_state = 49, .external_lex_state = 2},
  [2198] = {.lex_state = 49, .external_lex_state = 2},
  [2199] = {.lex_state = 49, .external_lex_state = 2},
  [2200] = {.lex_state = 49, .external_lex_state = 2},
  [2201] = {.lex_state = 49, .external_lex_state = 2},
  [2202] = {.lex_state = 49, .external_lex_state = 2},
  [2203] = {.lex_state = 49, .external_lex_state = 2},
  [2204] = {.lex_state = 49, .external_lex_state = 2},
  [2205] = {.lex_state = 49, .external_lex_state = 2},
  [2206] = {.lex_state = 49, .external_lex_state = 2},
  [2207] = {.lex_state = 49, .external_lex_state = 2},
  [2208] = {.lex_state = 49, .external_lex_state = 2},
  [2209] = {.lex_state = 49, .external_lex_state = 2},
  [2210] = {.lex_state = 49, .external_lex_state = 2},
  [2211] = {.lex_state = 49, .external_lex_state = 2},
  [2212] = {.lex_state = 49, .external_lex_state = 2},
  [2213] = {.lex_state = 49, .external_lex_state = 2},
  [2214] = {.lex_state = 49, .external_lex_state = 2},
  [2215] = {.lex_state = 49, .external_lex_state = 2},
  [2216] = {.lex_state = 49, .external_lex_state = 2},
  [2217] = {.lex_state = 49, .external_lex_state = 2},
  [2218] = {.lex_state = 49, .external_lex_state = 2},
  [2219] = {.lex_state = 49, .external_lex_state = 2},
  [2220] = {.lex_state = 49, .external_lex_state = 2},
  [2221] = {.lex_state = 49, .external_lex_state = 2},
  [2222] = {.lex_state = 49, .external_lex_state = 2},
  [2223] = {.lex_state = 49, .external_lex_state = 2},
  [2224] = {.lex_state = 49, .external_lex_state = 2},
  [2225] = {.lex_state = 49, .external_lex_state = 2},
  [2226] = {.lex_state = 49, .external_lex_state = 2},
  [2227] = {.lex_state = 49, .external_lex_state = 2},
  [2228] = {.lex_state = 49, .external_lex_state = 2},
  [2229] = {.lex_state = 49, .external_lex_state = 2},
  [2230] = {.lex_state = 49, .external_lex_state = 2},
  [2231] = {.lex_state = 49, .external_lex_state = 2},
  [2232] = {.lex_state = 49, .external_lex_state = 2},
  [2233] = {.lex_state = 49, .external_lex_state = 2},
  [2234] = {.lex_state = 49, .external_lex_state = 2},
  [2235] = {.lex_state = 49, .external_lex_state = 2},
  [2236] = {.lex_state = 49, .external_lex_state = 2},
  [2237] = {.lex_state = 49, .external_lex_state = 2},
  [2238] = {.lex_state = 49, .external_lex_state = 2},
  [2239] = {.lex_state = 49, .external_lex_state = 2},
  [2240] = {.lex_state = 49, .external_lex_state = 2},
  [2241] = {.lex_state = 49, .external_lex_state = 2},
  [2242] = {.lex_state = 49, .external_lex_state = 2},
  [2243] = {.lex_state = 49, .external_lex_state = 2},
  [2244] = {.lex_state = 49, .external_lex_state = 2},
  [2245] = {.lex_state = 49, .external_lex_state = 2},
  [2246] = {.lex_state = 49, .external_lex_state = 2},
  [2247] = {.lex_state = 49, .external_lex_state = 2},
  [2248] = {.lex_state = 49, .external_lex_state = 2},
  [2249] = {.lex_state = 49, .external_lex_state = 2},
  [2250] = {.lex_state = 49, .external_lex_state = 2},
  [2251] = {.lex_state = 49, .external_lex_state = 2},
  [2252] = {.lex_state = 49, .external_lex_state = 2},
  [2253] = {.lex_state = 49, .external_lex_state = 2},
  [2254] = {.lex_state = 49, .external_lex_state = 2},
  [2255] = {.lex_state = 49, .external_lex_state = 2},
  [2256] = {.lex_state = 49, .external_lex_state = 2},
  [2257] = {.lex_state = 49, .external_lex_state = 2},
  [2258] = {.lex_state = 49, .external_lex_state = 2},
  [2259] = {.lex_state = 49, .external_lex_state = 2},
  [2260] = {.lex_state = 49, .external_lex_state = 2},
  [2261] = {.lex_state = 49, .external_lex_state = 2},
  [2262] = {.lex_state = 49, .external_lex_state = 2},
  [2263] = {.lex_state = 49, .external_lex_state = 2},
  [2264] = {.lex_state = 49, .external_lex_state = 2},
  [2265] = {.lex_state = 49, .external_lex_state = 2},
  [2266] = {.lex_state = 49, .external_lex_state = 2},
  [2267] = {.lex_state = 49, .external_lex_state = 2},
  [2268] = {.lex_state = 49, .external_lex_state = 2},
  [2269] = {.lex_state = 49, .external_lex_state = 2},
  [2270] = {.lex_state = 49, .external_lex_state = 2},
  [2271] = {.lex_state = 49, .external_lex_state = 2},
  [2272] = {.lex_state = 49, .external_lex_state = 2},
  [2273] = {.lex_state = 49, .external_lex_state = 2},
  [2274] = {.lex_state = 49, .external_lex_state = 2},
  [2275] = {.lex_state = 49, .external_lex_state = 2},
  [2276] = {.lex_state = 49, .external_lex_state = 2},
  [2277] = {.lex_state = 49, .external_lex_state = 2},
  [2278] = {.lex_state = 49, .external_lex_state = 2},
  [2279] = {.lex_state = 49, .external_lex_state = 2},
  [2280] = {.lex_state = 49, .external_lex_state = 2},
  [2281] = {.lex_state = 49, .external_lex_state = 2},
  [2282] = {.lex_state = 49, .external_lex_state = 2},
  [2283] = {.lex_state = 49, .external_lex_state = 2},
  [2284] = {.lex_state = 49, .external_lex_state = 2},
  [2285] = {.lex_state = 49, .external_lex_state = 2},
  [2286] = {.lex_state = 49, .external_lex_state = 2},
  [2287] = {.lex_state = 49, .external_lex_state = 2},
  [2288] = {.lex_state = 49, .external_lex_state = 2},
  [2289] = {.lex_state = 49, .external_lex_state = 2},
  [2290] = {.lex_state = 49, .external_lex_state = 2},
  [2291] = {.lex_state = 49, .external_lex_state = 2},
  [2292] = {.lex_state = 49, .external_lex_state = 2},
  [2293] = {.lex_state = 49, .external_lex_state = 2},
  [2294] = {.lex_state = 49, .external_lex_state = 2},
  [2295] = {.lex_state = 49, .external_lex_state = 2},
  [2296] = {.lex_state = 49, .external_lex_state = 2},
  [2297] = {.lex_state = 49, .external_lex_state = 2},
  [2298] = {.lex_state = 49, .external_lex_state = 2},
  [2299] = {.lex_state = 49, .external_lex_state = 2},
  [2300] = {.lex_state = 49, .external_lex_state = 2},
  [2301] = {.lex_state = 49, .external_lex_state = 2},
  [2302] = {.lex_state = 49, .external_lex_state = 2},
  [2303] = {.lex_state = 49, .external_lex_state = 2},
  [2304] = {.lex_state = 49, .external_lex_state = 2},
  [2305] = {.lex_state = 49, .external_lex_state = 2},
  [2306] = {.lex_state = 49, .external_lex_state = 2},
  [2307] = {.lex_state = 49, .external_lex_state = 2},
  [2308] = {.lex_state = 49, .external_lex_state = 2},
  [2309] = {.lex_state = 49, .external_lex_state = 2},
  [2310] = {.lex_state = 49, .external_lex_state = 2},
  [2311] = {.lex_state = 49, .external_lex_state = 2},
  [2312] = {.lex_state = 49, .external_lex_state = 2},
  [2313] = {.lex_state = 49, .external_lex_state = 2},
  [2314] = {.lex_state = 49, .external_lex_state = 2},
  [2315] = {.lex_state = 49, .external_lex_state = 2},
  [2316] = {.lex_state = 49, .external_lex_state = 2},
  [2317] = {.lex_state = 49, .external_lex_state = 2},
  [2318] = {.lex_state = 49, .external_lex_state = 2},
  [2319] = {.lex_state = 49, .external_lex_state = 2},
  [2320] = {.lex_state = 49, .external_lex_state = 2},
  [2321] = {.lex_state = 49, .external_lex_state = 2},
  [2322] = {.lex_state = 49, .external_lex_state = 2},
  [2323] = {.lex_state = 49, .external_lex_state = 2},
  [2324] = {.lex_state = 49, .external_lex_state = 2},
  [2325] = {.lex_state = 49, .external_lex_state = 2},
  [2326] = {.lex_state = 49, .external_lex_state = 2},
  [2327] = {.lex_state = 49, .external_lex_state = 2},
  [2328] = {.lex_state = 49, .external_lex_state = 2},
  [2329] = {.lex_state = 49, .external_lex_state = 2},
  [2330] = {.lex_state = 49, .external_lex_state = 2},
  [2331] = {.lex_state = 49, .external_lex_state = 2},
  [2332] = {.lex_state = 49, .external_lex_state = 2},
  [2333] = {.lex_state = 49, .external_lex_state = 2},
  [2334] = {.lex_state = 49, .external_lex_state = 2},
  [2335] = {.lex_state = 49, .external_lex_state = 2},
  [2336] = {.lex_state = 49, .external_lex_state = 2},
  [2337] = {.lex_state = 49, .external_lex_state = 2},
  [2338] = {.lex_state = 49, .external_lex_state = 2},
  [2339] = {.lex_state = 49, .external_lex_state = 2},
  [2340] = {.lex_state = 49, .external_lex_state = 2},
  [2341] = {.lex_state = 49, .external_lex_state = 2},
  [2342] = {.lex_state = 49, .external_lex_state = 2},
  [2343] = {.lex_state = 49, .external_lex_state = 2},
  [2344] = {.lex_state = 49, .external_lex_state = 2},
  [2345] = {.lex_state = 49, .external_lex_state = 2},
  [2346] = {.lex_state = 49, .external_lex_state = 2},
  [2347] = {.lex_state = 49, .external_lex_state = 2},
  [2348] = {.lex_state = 47, .external_lex_state = 16},
  [2349] = {.lex_state = 47, .external_lex_state = 21},
  [2350] = {.lex_state = 47, .external_lex_state = 16},
  [2351] = {.lex_state = 59, .external_lex_state = 3},
  [2352] = {.lex_state = 59, .external_lex_state = 3},
  [2353] = {.lex_state = 59, .external_lex_state = 3},
  [2354] = {.lex_state = 59, .external_lex_state = 3},
  [2355] = {.lex_state = 59, .external_lex_state = 3},
  [2356] = {.lex_state = 59, .external_lex_state = 3},
  [2357] = {.lex_state = 59, .external_lex_state = 3},
  [2358] = {.lex_state = 59, .external_lex_state = 3},
  [2359] = {.lex_state = 59, .external_lex_state = 3},
  [2360] = {.lex_state = 59, .external_lex_state = 3},
  [2361] = {.lex_state = 59, .external_lex_state = 3},
  [2362] = {.lex_state = 59, .external_lex_state = 3},
  [2363] = {.lex_state = 59, .external_lex_state = 3},
  [2364] = {.lex_state = 59, .external_lex_state = 3},
  [2365] = {.lex_state = 59, .external_lex_state = 3},
  [2366] = {.lex_state = 59, .external_lex_state = 3},
  [2367] = {.lex_state = 59, .external_lex_state = 3},
  [2368] = {.lex_state = 59, .external_lex_state = 3},
  [2369] = {.lex_state = 59, .external_lex_state = 3},
  [2370] = {.lex_state = 59, .external_lex_state = 3},
  [2371] = {.lex_state = 59, .external_lex_state = 3},
  [2372] = {.lex_state = 59, .external_lex_state = 3},
  [2373] = {.lex_state = 59, .external_lex_state = 3},
  [2374] = {.lex_state = 59, .external_lex_state = 3},
  [2375] = {.lex_state = 59, .external_lex_state = 3},
  [2376] = {.lex_state = 59, .external_lex_state = 3},
  [2377] = {.lex_state = 59, .external_lex_state = 3},
  [2378] = {.lex_state = 59, .external_lex_state = 3},
  [2379] = {.lex_state = 59, .external_lex_state = 3},
  [2380] = {.lex_state = 59, .external_lex_state = 3},
  [2381] = {.lex_state = 59, .external_lex_state = 3},
  [2382] = {.lex_state = 59, .external_lex_state = 3},
  [2383] = {.lex_state = 59, .external_lex_state = 3},
  [2384] = {.lex_state = 59, .external_lex_state = 3},
  [2385] = {.lex_state = 59, .external_lex_state = 3},
  [2386] = {.lex_state = 59, .external_lex_state = 3},
  [2387] = {.lex_state = 59, .external_lex_state = 3},
  [2388] = {.lex_state = 59, .external_lex_state = 3},
  [2389] = {.lex_state = 59, .external_lex_state = 3},
  [2390] = {.lex_state = 59, .external_lex_state = 3},
  [2391] = {.lex_state = 59, .external_lex_state = 3},
  [2392] = {.lex_state = 59, .external_lex_state = 3},
  [2393] = {.lex_state = 59, .external_lex_state = 3},
  [2394] = {.lex_state = 59, .external_lex_state = 3},
  [2395] = {.lex_state = 59, .external_lex_state = 3},
  [2396] = {.lex_state = 59, .external_lex_state = 3},
  [2397] = {.lex_state = 59, .external_lex_state = 3},
  [2398] = {.lex_state = 59, .external_lex_state = 3},
  [2399] = {.lex_state = 49, .external_lex_state = 4},
  [2400] = {.lex_state = 49, .external_lex_state = 2},
  [2401] = {.lex_state = 49, .external_lex_state = 3},
  [2402] = {.lex_state = 49, .external_lex_state = 4},
  [2403] = {.lex_state = 49, .external_lex_state = 2},
  [2404] = {.lex_state = 49, .external_lex_state = 4},
  [2405] = {.lex_state = 49, .external_lex_state = 2},
  [2406] = {.lex_state = 14, .external_lex_state = 2},
  [2407] = {.lex_state = 59, .external_lex_state = 2},
  [2408] = {.lex_state = 59, .external_lex_state = 2},
  [2409] = {.lex_state = 14, .external_lex_state = 2},
  [2410] = {.lex_state = 59, .external_lex_state = 2},
  [2411] = {.lex_state = 49, .external_lex_state = 2},
  [2412] = {.lex_state = 59, .external_lex_state = 2},
  [2413] = {.lex_state = 59, .external_lex_state = 2},
  [2414] = {.lex_state = 59, .external_lex_state = 2},
  [2415] = {.lex_state = 59, .external_lex_state = 2},
  [2416] = {.lex_state = 59, .external_lex_state = 2},
  [2417] = {.lex_state = 59, .external_lex_state = 2},
  [2418] = {.lex_state = 59, .external_lex_state = 2},
  [2419] = {.lex_state = 59, .external_lex_state = 2},
  [2420] = {.lex_state = 59, .external_lex_state = 2},
  [2421] = {.lex_state = 59, .external_lex_state = 2},
  [2422] = {.lex_state = 59, .external_lex_state = 2},
  [2423] = {.lex_state = 59, .external_lex_state = 2},
  [2424] = {.lex_state = 59, .external_lex_state = 2},
  [2425] = {.lex_state = 59, .external_lex_state = 2},
  [2426] = {.lex_state = 59, .external_lex_state = 2},
  [2427] = {.lex_state = 59, .external_lex_state = 2},
  [2428] = {.lex_state = 59, .external_lex_state = 2},
  [2429] = {.lex_state = 59, .external_lex_state = 2},
  [2430] = {.lex_state = 59, .external_lex_state = 2},
  [2431] = {.lex_state = 59, .external_lex_state = 2},
  [2432] = {.lex_state = 59, .external_lex_state = 2},
  [2433] = {.lex_state = 59, .external_lex_state = 2},
  [2434] = {.lex_state = 59, .external_lex_state = 2},
  [2435] = {.lex_state = 59, .external_lex_state = 2},
  [2436] = {.lex_state = 59, .external_lex_state = 2},
  [2437] = {.lex_state = 59, .external_lex_state = 2},
  [2438] = {.lex_state = 59, .external_lex_state = 2},
  [2439] = {.lex_state = 59, .external_lex_state = 2},
  [2440] = {.lex_state = 59, .external_lex_state = 2},
  [2441] = {.lex_state = 59, .external_lex_state = 2},
  [2442] = {.lex_state = 59, .external_lex_state = 2},
  [2443] = {.lex_state = 59, .external_lex_state = 2},
  [2444] = {.lex_state = 59, .external_lex_state = 2},
  [2445] = {.lex_state = 59, .external_lex_state = 2},
  [2446] = {.lex_state = 59, .external_lex_state = 2},
  [2447] = {.lex_state = 59, .external_lex_state = 2},
  [2448] = {.lex_state = 59, .external_lex_state = 2},
  [2449] = {.lex_state = 59, .external_lex_state = 2},
  [2450] = {.lex_state = 59, .external_lex_state = 2},
  [2451] = {.lex_state = 59, .external_lex_state = 2},
  [2452] = {.lex_state = 59, .external_lex_state = 2},
  [2453] = {.lex_state = 59, .external_lex_state = 2},
  [2454] = {.lex_state = 59, .external_lex_state = 2},
  [2455] = {.lex_state = 59, .external_lex_state = 2},
  [2456] = {.lex_state = 59, .external_lex_state = 2},
  [2457] = {.lex_state = 59, .external_lex_state = 2},
  [2458] = {.lex_state = 59, .external_lex_state = 2},
  [2459] = {.lex_state = 59, .external_lex_state = 2},
  [2460] = {.lex_state = 59, .external_lex_state = 2},
  [2461] = {.lex_state = 59, .external_lex_state = 2},
  [2462] = {.lex_state = 59, .external_lex_state = 2},
  [2463] = {.lex_state = 59, .external_lex_state = 2},
  [2464] = {.lex_state = 59, .external_lex_state = 2},
  [2465] = {.lex_state = 59, .external_lex_state = 2},
  [2466] = {.lex_state = 59, .external_lex_state = 2},
  [2467] = {.lex_state = 59, .external_lex_state = 2},
  [2468] = {.lex_state = 59, .external_lex_state = 2},
  [2469] = {.lex_state = 59, .external_lex_state = 2},
  [2470] = {.lex_state = 59, .external_lex_state = 2},
  [2471] = {.lex_state = 59, .external_lex_state = 2},
  [2472] = {.lex_state = 59, .external_lex_state = 2},
  [2473] = {.lex_state = 59, .external_lex_state = 2},
  [2474] = {.lex_state = 59, .external_lex_state = 2},
  [2475] = {.lex_state = 59, .external_lex_state = 2},
  [2476] = {.lex_state = 59, .external_lex_state = 2},
  [2477] = {.lex_state = 59, .external_lex_state = 2},
  [2478] = {.lex_state = 59, .external_lex_state = 2},
  [2479] = {.lex_state = 59, .external_lex_state = 2},
  [2480] = {.lex_state = 59, .external_lex_state = 2},
  [2481] = {.lex_state = 59, .external_lex_state = 2},
  [2482] = {.lex_state = 59, .external_lex_state = 2},
  [2483] = {.lex_state = 59, .external_lex_state = 2},
  [2484] = {.lex_state = 59, .external_lex_state = 2},
  [2485] = {.lex_state = 59, .external_lex_state = 2},
  [2486] = {.lex_state = 59, .external_lex_state = 2},
  [2487] = {.lex_state = 59, .external_lex_state = 2},
  [2488] = {.lex_state = 59, .external_lex_state = 2},
  [2489] = {.lex_state = 59, .external_lex_state = 2},
  [2490] = {.lex_state = 59, .external_lex_state = 2},
  [2491] = {.lex_state = 59, .external_lex_state = 2},
  [2492] = {.lex_state = 59, .external_lex_state = 2},
  [2493] = {.lex_state = 59, .external_lex_state = 2},
  [2494] = {.lex_state = 59, .external_lex_state = 2},
  [2495] = {.lex_state = 59, .external_lex_state = 2},
  [2496] = {.lex_state = 59, .external_lex_state = 2},
  [2497] = {.lex_state = 59, .external_lex_state = 2},
  [2498] = {.lex_state = 59, .external_lex_state = 2},
  [2499] = {.lex_state = 59, .external_lex_state = 2},
  [2500] = {.lex_state = 59, .external_lex_state = 2},
  [2501] = {.lex_state = 59, .external_lex_state = 2},
  [2502] = {.lex_state = 59, .external_lex_state = 2},
  [2503] = {.lex_state = 59, .external_lex_state = 2},
  [2504] = {.lex_state = 59, .external_lex_state = 2},
  [2505] = {.lex_state = 59, .external_lex_state = 2},
  [2506] = {.lex_state = 59, .external_lex_state = 2},
  [2507] = {.lex_state = 59, .external_lex_state = 2},
  [2508] = {.lex_state = 59, .external_lex_state = 2},
  [2509] = {.lex_state = 59, .external_lex_state = 2},
  [2510] = {.lex_state = 59, .external_lex_state = 2},
  [2511] = {.lex_state = 59, .external_lex_state = 2},
  [2512] = {.lex_state = 59, .external_lex_state = 2},
  [2513] = {.lex_state = 59, .external_lex_state = 2},
  [2514] = {.lex_state = 59, .external_lex_state = 2},
  [2515] = {.lex_state = 59, .external_lex_state = 2},
  [2516] = {.lex_state = 59, .external_lex_state = 2},
  [2517] = {.lex_state = 59, .external_lex_state = 2},
  [2518] = {.lex_state = 59, .external_lex_state = 2},
  [2519] = {.lex_state = 59, .external_lex_state = 2},
  [2520] = {.lex_state = 59, .external_lex_state = 2},
  [2521] = {.lex_state = 59, .external_lex_state = 2},
  [2522] = {.lex_state = 59, .external_lex_state = 2},
  [2523] = {.lex_state = 59, .external_lex_state = 2},
  [2524] = {.lex_state = 59, .external_lex_state = 2},
  [2525] = {.lex_state = 59, .external_lex_state = 2},
  [2526] = {.lex_state = 59, .external_lex_state = 2},
  [2527] = {.lex_state = 59, .external_lex_state = 2},
  [2528] = {.lex_state = 59, .external_lex_state = 2},
  [2529] = {.lex_state = 59, .external_lex_state = 2},
  [2530] = {.lex_state = 59, .external_lex_state = 2},
  [2531] = {.lex_state = 59, .external_lex_state = 2},
  [2532] = {.lex_state = 59, .external_lex_state = 2},
  [2533] = {.lex_state = 59, .external_lex_state = 2},
  [2534] = {.lex_state = 59, .external_lex_state = 2},
  [2535] = {.lex_state = 59, .external_lex_state = 2},
  [2536] = {.lex_state = 47, .external_lex_state = 6},
  [2537] = {.lex_state = 59, .external_lex_state = 2},
  [2538] = {.lex_state = 59, .external_lex_state = 2},
  [2539] = {.lex_state = 59, .external_lex_state = 2},
  [2540] = {.lex_state = 59, .external_lex_state = 2},
  [2541] = {.lex_state = 59, .external_lex_state = 2},
  [2542] = {.lex_state = 59, .external_lex_state = 2},
  [2543] = {.lex_state = 59, .external_lex_state = 2},
  [2544] = {.lex_state = 59, .external_lex_state = 2},
  [2545] = {.lex_state = 59, .external_lex_state = 2},
  [2546] = {.lex_state = 59, .external_lex_state = 2},
  [2547] = {.lex_state = 59, .external_lex_state = 2},
  [2548] = {.lex_state = 59, .external_lex_state = 2},
  [2549] = {.lex_state = 59, .external_lex_state = 2},
  [2550] = {.lex_state = 59, .external_lex_state = 2},
  [2551] = {.lex_state = 59, .external_lex_state = 2},
  [2552] = {.lex_state = 59, .external_lex_state = 2},
  [2553] = {.lex_state = 59, .external_lex_state = 2},
  [2554] = {.lex_state = 59, .external_lex_state = 2},
  [2555] = {.lex_state = 59, .external_lex_state = 2},
  [2556] = {.lex_state = 59, .external_lex_state = 2},
  [2557] = {.lex_state = 59, .external_lex_state = 2},
  [2558] = {.lex_state = 59, .external_lex_state = 2},
  [2559] = {.lex_state = 59, .external_lex_state = 2},
  [2560] = {.lex_state = 59, .external_lex_state = 2},
  [2561] = {.lex_state = 59, .external_lex_state = 2},
  [2562] = {.lex_state = 59, .external_lex_state = 2},
  [2563] = {.lex_state = 59, .external_lex_state = 2},
  [2564] = {.lex_state = 59, .external_lex_state = 2},
  [2565] = {.lex_state = 59, .external_lex_state = 2},
  [2566] = {.lex_state = 59, .external_lex_state = 2},
  [2567] = {.lex_state = 59, .external_lex_state = 2},
  [2568] = {.lex_state = 59, .external_lex_state = 2},
  [2569] = {.lex_state = 47, .external_lex_state = 8},
  [2570] = {.lex_state = 59, .external_lex_state = 2},
  [2571] = {.lex_state = 59, .external_lex_state = 2},
  [2572] = {.lex_state = 59, .external_lex_state = 2},
  [2573] = {.lex_state = 59, .external_lex_state = 2},
  [2574] = {.lex_state = 47, .external_lex_state = 7},
  [2575] = {.lex_state = 47, .external_lex_state = 12},
  [2576] = {.lex_state = 47, .external_lex_state = 11},
  [2577] = {.lex_state = 14, .external_lex_state = 2},
  [2578] = {.lex_state = 47, .external_lex_state = 10},
  [2579] = {.lex_state = 47, .external_lex_state = 9},
  [2580] = {.lex_state = 14, .external_lex_state = 2},
  [2581] = {.lex_state = 14, .external_lex_state = 2},
  [2582] = {.lex_state = 14, .external_lex_state = 2},
  [2583] = {.lex_state = 14, .external_lex_state = 2},
  [2584] = {.lex_state = 14, .external_lex_state = 2},
  [2585] = {.lex_state = 14, .external_lex_state = 2},
  [2586] = {.lex_state = 14, .external_lex_state = 2},
  [2587] = {.lex_state = 14, .external_lex_state = 2},
  [2588] = {.lex_state = 14, .external_lex_state = 2},
  [2589] = {.lex_state = 14, .external_lex_state = 2},
  [2590] = {.lex_state = 14, .external_lex_state = 2},
  [2591] = {.lex_state = 14, .external_lex_state = 2},
  [2592] = {.lex_state = 14, .external_lex_state = 2},
  [2593] = {.lex_state = 47, .external_lex_state = 6},
  [2594] = {.lex_state = 14, .external_lex_state = 2},
  [2595] = {.lex_state = 14, .external_lex_state = 2},
  [2596] = {.lex_state = 14, .external_lex_state = 2},
  [2597] = {.lex_state = 14, .external_lex_state = 2},
  [2598] = {.lex_state = 14, .external_lex_state = 2},
  [2599] = {.lex_state = 14, .external_lex_state = 2},
  [2600] = {.lex_state = 14, .external_lex_state = 2},
  [2601] = {.lex_state = 14, .external_lex_state = 2},
  [2602] = {.lex_state = 14, .external_lex_state = 2},
  [2603] = {.lex_state = 14, .external_lex_state = 2},
  [2604] = {.lex_state = 14, .external_lex_state = 2},
  [2605] = {.lex_state = 14, .external_lex_state = 2},
  [2606] = {.lex_state = 14, .external_lex_state = 2},
  [2607] = {.lex_state = 14, .external_lex_state = 2},
  [2608] = {.lex_state = 14, .external_lex_state = 2},
  [2609] = {.lex_state = 14, .external_lex_state = 2},
  [2610] = {.lex_state = 14, .external_lex_state = 2},
  [2611] = {.lex_state = 14, .external_lex_state = 2},
  [2612] = {.lex_state = 14, .external_lex_state = 2},
  [2613] = {.lex_state = 14, .external_lex_state = 2},
  [2614] = {.lex_state = 14, .external_lex_state = 2},
  [2615] = {.lex_state = 14, .external_lex_state = 2},
  [2616] = {.lex_state = 14, .external_lex_state = 2},
  [2617] = {.lex_state = 47, .external_lex_state = 13},
  [2618] = {.lex_state = 14, .external_lex_state = 2},
  [2619] = {.lex_state = 14, .external_lex_state = 2},
  [2620] = {.lex_state = 14, .external_lex_state = 2},
  [2621] = {.lex_state = 14, .external_lex_state = 2},
  [2622] = {.lex_state = 14, .external_lex_state = 2},
  [2623] = {.lex_state = 14, .external_lex_state = 2},
  [2624] = {.lex_state = 14, .external_lex_state = 2},
  [2625] = {.lex_state = 14, .external_lex_state = 2},
  [2626] = {.lex_state = 14, .external_lex_state = 2},
  [2627] = {.lex_state = 14, .external_lex_state = 2},
  [2628] = {.lex_state = 14, .external_lex_state = 2},
  [2629] = {.lex_state = 14, .external_lex_state = 2},
  [2630] = {.lex_state = 14, .external_lex_state = 2},
  [2631] = {.lex_state = 14, .external_lex_state = 2},
  [2632] = {.lex_state = 14, .external_lex_state = 2},
  [2633] = {.lex_state = 14, .external_lex_state = 2},
  [2634] = {.lex_state = 14, .external_lex_state = 2},
  [2635] = {.lex_state = 14, .external_lex_state = 2},
  [2636] = {.lex_state = 14, .external_lex_state = 2},
  [2637] = {.lex_state = 14, .external_lex_state = 2},
  [2638] = {.lex_state = 14, .external_lex_state = 2},
  [2639] = {.lex_state = 14, .external_lex_state = 2},
  [2640] = {.lex_state = 14, .external_lex_state = 2},
  [2641] = {.lex_state = 14, .external_lex_state = 2},
  [2642] = {.lex_state = 14, .external_lex_state = 2},
  [2643] = {.lex_state = 14, .external_lex_state = 2},
  [2644] = {.lex_state = 14, .external_lex_state = 2},
  [2645] = {.lex_state = 14, .external_lex_state = 2},
  [2646] = {.lex_state = 14, .external_lex_state = 2},
  [2647] = {.lex_state = 14, .external_lex_state = 2},
  [2648] = {.lex_state = 14, .external_lex_state = 2},
  [2649] = {.lex_state = 14, .external_lex_state = 2},
  [2650] = {.lex_state = 14, .external_lex_state = 2},
  [2651] = {.lex_state = 14, .external_lex_state = 2},
  [2652] = {.lex_state = 14, .external_lex_state = 2},
  [2653] = {.lex_state = 14, .external_lex_state = 2},
  [2654] = {.lex_state = 14, .external_lex_state = 2},
  [2655] = {.lex_state = 14, .external_lex_state = 2},
  [2656] = {.lex_state = 14, .external_lex_state = 2},
  [2657] = {.lex_state = 14, .external_lex_state = 2},
  [2658] = {.lex_state = 14, .external_lex_state = 2},
  [2659] = {.lex_state = 14, .external_lex_state = 2},
  [2660] = {.lex_state = 14, .external_lex_state = 2},
  [2661] = {.lex_state = 14, .external_lex_state = 2},
  [2662] = {.lex_state = 14, .external_lex_state = 2},
  [2663] = {.lex_state = 14, .external_lex_state = 2},
  [2664] = {.lex_state = 14, .external_lex_state = 2},
  [2665] = {.lex_state = 14, .external_lex_state = 2},
  [2666] = {.lex_state = 14, .external_lex_state = 2},
  [2667] = {.lex_state = 14, .external_lex_state = 2},
  [2668] = {.lex_state = 14, .external_lex_state = 2},
  [2669] = {.lex_state = 14, .external_lex_state = 2},
  [2670] = {.lex_state = 14, .external_lex_state = 2},
  [2671] = {.lex_state = 14, .external_lex_state = 2},
  [2672] = {.lex_state = 14, .external_lex_state = 2},
  [2673] = {.lex_state = 14, .external_lex_state = 2},
  [2674] = {.lex_state = 14, .external_lex_state = 2},
  [2675] = {.lex_state = 14, .external_lex_state = 2},
  [2676] = {.lex_state = 14, .external_lex_state = 2},
  [2677] = {.lex_state = 14, .external_lex_state = 2},
  [2678] = {.lex_state = 14, .external_lex_state = 2},
  [2679] = {.lex_state = 14, .external_lex_state = 2},
  [2680] = {.lex_state = 14, .external_lex_state = 2},
  [2681] = {.lex_state = 14, .external_lex_state = 2},
  [2682] = {.lex_state = 14, .external_lex_state = 2},
  [2683] = {.lex_state = 14, .external_lex_state = 2},
  [2684] = {.lex_state = 14, .external_lex_state = 2},
  [2685] = {.lex_state = 14, .external_lex_state = 2},
  [2686] = {.lex_state = 47, .external_lex_state = 15},
  [2687] = {.lex_state = 14, .external_lex_state = 2},
  [2688] = {.lex_state = 14, .external_lex_state = 2},
  [2689] = {.lex_state = 14, .external_lex_state = 2},
  [2690] = {.lex_state = 14, .external_lex_state = 2},
  [2691] = {.lex_state = 14, .external_lex_state = 2},
  [2692] = {.lex_state = 14, .external_lex_state = 2},
  [2693] = {.lex_state = 14, .external_lex_state = 2},
  [2694] = {.lex_state = 14, .external_lex_state = 2},
  [2695] = {.lex_state = 14, .external_lex_state = 2},
  [2696] = {.lex_state = 14, .external_lex_state = 2},
  [2697] = {.lex_state = 14, .external_lex_state = 2},
  [2698] = {.lex_state = 14, .external_lex_state = 2},
  [2699] = {.lex_state = 14, .external_lex_state = 2},
  [2700] = {.lex_state = 14, .external_lex_state = 2},
  [2701] = {.lex_state = 14, .external_lex_state = 2},
  [2702] = {.lex_state = 14, .external_lex_state = 2},
  [2703] = {.lex_state = 14, .external_lex_state = 2},
  [2704] = {.lex_state = 14, .external_lex_state = 2},
  [2705] = {.lex_state = 14, .external_lex_state = 2},
  [2706] = {.lex_state = 14, .external_lex_state = 2},
  [2707] = {.lex_state = 14, .external_lex_state = 2},
  [2708] = {.lex_state = 14, .external_lex_state = 2},
  [2709] = {.lex_state = 14, .external_lex_state = 2},
  [2710] = {.lex_state = 14, .external_lex_state = 2},
  [2711] = {.lex_state = 14, .external_lex_state = 2},
  [2712] = {.lex_state = 14, .external_lex_state = 2},
  [2713] = {.lex_state = 14, .external_lex_state = 2},
  [2714] = {.lex_state = 14, .external_lex_state = 2},
  [2715] = {.lex_state = 14, .external_lex_state = 2},
  [2716] = {.lex_state = 14, .external_lex_state = 2},
  [2717] = {.lex_state = 14, .external_lex_state = 2},
  [2718] = {.lex_state = 14, .external_lex_state = 2},
  [2719] = {.lex_state = 14, .external_lex_state = 2},
  [2720] = {.lex_state = 14, .external_lex_state = 2},
  [2721] = {.lex_state = 14, .external_lex_state = 2},
  [2722] = {.lex_state = 14, .external_lex_state = 2},
  [2723] = {.lex_state = 14, .external_lex_state = 2},
  [2724] = {.lex_state = 14, .external_lex_state = 2},
  [2725] = {.lex_state = 14, .external_lex_state = 2},
  [2726] = {.lex_state = 14, .external_lex_state = 2},
  [2727] = {.lex_state = 14, .external_lex_state = 2},
  [2728] = {.lex_state = 14, .external_lex_state = 2},
  [2729] = {.lex_state = 14, .external_lex_state = 2},
  [2730] = {.lex_state = 14, .external_lex_state = 2},
  [2731] = {.lex_state = 14, .external_lex_state = 2},
  [2732] = {.lex_state = 14, .external_lex_state = 2},
  [2733] = {.lex_state = 14, .external_lex_state = 2},
  [2734] = {.lex_state = 14, .external_lex_state = 2},
  [2735] = {.lex_state = 14, .external_lex_state = 2},
  [2736] = {.lex_state = 14, .external_lex_state = 2},
  [2737] = {.lex_state = 14, .external_lex_state = 2},
  [2738] = {.lex_state = 14, .external_lex_state = 2},
  [2739] = {.lex_state = 14, .external_lex_state = 2},
  [2740] = {.lex_state = 14, .external_lex_state = 2},
  [2741] = {.lex_state = 14, .external_lex_state = 2},
  [2742] = {.lex_state = 14, .external_lex_state = 2},
  [2743] = {.lex_state = 14, .external_lex_state = 2},
  [2744] = {.lex_state = 14, .external_lex_state = 2},
  [2745] = {.lex_state = 14, .external_lex_state = 2},
  [2746] = {.lex_state = 14, .external_lex_state = 2},
  [2747] = {.lex_state = 14, .external_lex_state = 2},
  [2748] = {.lex_state = 14, .external_lex_state = 2},
  [2749] = {.lex_state = 14, .external_lex_state = 2},
  [2750] = {.lex_state = 14, .external_lex_state = 2},
  [2751] = {.lex_state = 14, .external_lex_state = 2},
  [2752] = {.lex_state = 14, .external_lex_state = 2},
  [2753] = {.lex_state = 14, .external_lex_state = 2},
  [2754] = {.lex_state = 14, .external_lex_state = 2},
  [2755] = {.lex_state = 14, .external_lex_state = 2},
  [2756] = {.lex_state = 14, .external_lex_state = 2},
  [2757] = {.lex_state = 14, .external_lex_state = 2},
  [2758] = {.lex_state = 14, .external_lex_state = 2},
  [2759] = {.lex_state = 14, .external_lex_state = 2},
  [2760] = {.lex_state = 14, .external_lex_state = 2},
  [2761] = {.lex_state = 14, .external_lex_state = 2},
  [2762] = {.lex_state = 14, .external_lex_state = 2},
  [2763] = {.lex_state = 14, .external_lex_state = 2},
  [2764] = {.lex_state = 14, .external_lex_state = 2},
  [2765] = {.lex_state = 14, .external_lex_state = 2},
  [2766] = {.lex_state = 14, .external_lex_state = 2},
  [2767] = {.lex_state = 14, .external_lex_state = 2},
  [2768] = {.lex_state = 14, .external_lex_state = 2},
  [2769] = {.lex_state = 14, .external_lex_state = 2},
  [2770] = {.lex_state = 14, .external_lex_state = 2},
  [2771] = {.lex_state = 14, .external_lex_state = 2},
  [2772] = {.lex_state = 14, .external_lex_state = 2},
  [2773] = {.lex_state = 14, .external_lex_state = 2},
  [2774] = {.lex_state = 14, .external_lex_state = 2},
  [2775] = {.lex_state = 14, .external_lex_state = 2},
  [2776] = {.lex_state = 14, .external_lex_state = 2},
  [2777] = {.lex_state = 14, .external_lex_state = 2},
  [2778] = {.lex_state = 14, .external_lex_state = 2},
  [2779] = {.lex_state = 14, .external_lex_state = 2},
  [2780] = {.lex_state = 14, .external_lex_state = 2},
  [2781] = {.lex_state = 14, .external_lex_state = 2},
  [2782] = {.lex_state = 14, .external_lex_state = 2},
  [2783] = {.lex_state = 14, .external_lex_state = 2},
  [2784] = {.lex_state = 14, .external_lex_state = 2},
  [2785] = {.lex_state = 14, .external_lex_state = 2},
  [2786] = {.lex_state = 14, .external_lex_state = 2},
  [2787] = {.lex_state = 14, .external_lex_state = 2},
  [2788] = {.lex_state = 14, .external_lex_state = 2},
  [2789] = {.lex_state = 14, .external_lex_state = 2},
  [2790] = {.lex_state = 14, .external_lex_state = 2},
  [2791] = {.lex_state = 14, .external_lex_state = 2},
  [2792] = {.lex_state = 14, .external_lex_state = 2},
  [2793] = {.lex_state = 14, .external_lex_state = 2},
  [2794] = {.lex_state = 14, .external_lex_state = 2},
  [2795] = {.lex_state = 14, .external_lex_state = 2},
  [2796] = {.lex_state = 14, .external_lex_state = 2},
  [2797] = {.lex_state = 14, .external_lex_state = 2},
  [2798] = {.lex_state = 14, .external_lex_state = 2},
  [2799] = {.lex_state = 14, .external_lex_state = 2},
  [2800] = {.lex_state = 14, .external_lex_state = 2},
  [2801] = {.lex_state = 14, .external_lex_state = 2},
  [2802] = {.lex_state = 14, .external_lex_state = 2},
  [2803] = {.lex_state = 14, .external_lex_state = 2},
  [2804] = {.lex_state = 14, .external_lex_state = 2},
  [2805] = {.lex_state = 14, .external_lex_state = 2},
  [2806] = {.lex_state = 14, .external_lex_state = 2},
  [2807] = {.lex_state = 14, .external_lex_state = 2},
  [2808] = {.lex_state = 14, .external_lex_state = 2},
  [2809] = {.lex_state = 14, .external_lex_state = 2},
  [2810] = {.lex_state = 14, .external_lex_state = 2},
  [2811] = {.lex_state = 14, .external_lex_state = 2},
  [2812] = {.lex_state = 14, .external_lex_state = 2},
  [2813] = {.lex_state = 14, .external_lex_state = 2},
  [2814] = {.lex_state = 14, .external_lex_state = 2},
  [2815] = {.lex_state = 14, .external_lex_state = 2},
  [2816] = {.lex_state = 14, .external_lex_state = 2},
  [2817] = {.lex_state = 14, .external_lex_state = 2},
  [2818] = {.lex_state = 14, .external_lex_state = 2},
  [2819] = {.lex_state = 14, .external_lex_state = 2},
  [2820] = {.lex_state = 14, .external_lex_state = 2},
  [2821] = {.lex_state = 14, .external_lex_state = 2},
  [2822] = {.lex_state = 14, .external_lex_state = 2},
  [2823] = {.lex_state = 14, .external_lex_state = 2},
  [2824] = {.lex_state = 14, .external_lex_state = 2},
  [2825] = {.lex_state = 14, .external_lex_state = 2},
  [2826] = {.lex_state = 14, .external_lex_state = 2},
  [2827] = {.lex_state = 14, .external_lex_state = 2},
  [2828] = {.lex_state = 14, .external_lex_state = 2},
  [2829] = {.lex_state = 14, .external_lex_state = 2},
  [2830] = {.lex_state = 14, .external_lex_state = 2},
  [2831] = {.lex_state = 14, .external_lex_state = 2},
  [2832] = {.lex_state = 14, .external_lex_state = 2},
  [2833] = {.lex_state = 14, .external_lex_state = 2},
  [2834] = {.lex_state = 14, .external_lex_state = 2},
  [2835] = {.lex_state = 14, .external_lex_state = 2},
  [2836] = {.lex_state = 14, .external_lex_state = 2},
  [2837] = {.lex_state = 14, .external_lex_state = 2},
  [2838] = {.lex_state = 14, .external_lex_state = 2},
  [2839] = {.lex_state = 14, .external_lex_state = 2},
  [2840] = {.lex_state = 14, .external_lex_state = 2},
  [2841] = {.lex_state = 14, .external_lex_state = 2},
  [2842] = {.lex_state = 14, .external_lex_state = 2},
  [2843] = {.lex_state = 14, .external_lex_state = 2},
  [2844] = {.lex_state = 14, .external_lex_state = 2},
  [2845] = {.lex_state = 14, .external_lex_state = 2},
  [2846] = {.lex_state = 14, .external_lex_state = 2},
  [2847] = {.lex_state = 14, .external_lex_state = 2},
  [2848] = {.lex_state = 14, .external_lex_state = 2},
  [2849] = {.lex_state = 14, .external_lex_state = 2},
  [2850] = {.lex_state = 14, .external_lex_state = 2},
  [2851] = {.lex_state = 14, .external_lex_state = 2},
  [2852] = {.lex_state = 14, .external_lex_state = 2},
  [2853] = {.lex_state = 14, .external_lex_state = 2},
  [2854] = {.lex_state = 14, .external_lex_state = 2},
  [2855] = {.lex_state = 14, .external_lex_state = 2},
  [2856] = {.lex_state = 14, .external_lex_state = 2},
  [2857] = {.lex_state = 14, .external_lex_state = 2},
  [2858] = {.lex_state = 14, .external_lex_state = 2},
  [2859] = {.lex_state = 14, .external_lex_state = 2},
  [2860] = {.lex_state = 14, .external_lex_state = 2},
  [2861] = {.lex_state = 14, .external_lex_state = 2},
  [2862] = {.lex_state = 14, .external_lex_state = 2},
  [2863] = {.lex_state = 14, .external_lex_state = 2},
  [2864] = {.lex_state = 14, .external_lex_state = 2},
  [2865] = {.lex_state = 14, .external_lex_state = 2},
  [2866] = {.lex_state = 14, .external_lex_state = 2},
  [2867] = {.lex_state = 14, .external_lex_state = 2},
  [2868] = {.lex_state = 14, .external_lex_state = 2},
  [2869] = {.lex_state = 14, .external_lex_state = 2},
  [2870] = {.lex_state = 14, .external_lex_state = 2},
  [2871] = {.lex_state = 14, .external_lex_state = 2},
  [2872] = {.lex_state = 14, .external_lex_state = 2},
  [2873] = {.lex_state = 14, .external_lex_state = 2},
  [2874] = {.lex_state = 14, .external_lex_state = 2},
  [2875] = {.lex_state = 14, .external_lex_state = 2},
  [2876] = {.lex_state = 14, .external_lex_state = 2},
  [2877] = {.lex_state = 14, .external_lex_state = 2},
  [2878] = {.lex_state = 14, .external_lex_state = 2},
  [2879] = {.lex_state = 14, .external_lex_state = 2},
  [2880] = {.lex_state = 14, .external_lex_state = 2},
  [2881] = {.lex_state = 14, .external_lex_state = 2},
  [2882] = {.lex_state = 14, .external_lex_state = 2},
  [2883] = {.lex_state = 14, .external_lex_state = 2},
  [2884] = {.lex_state = 14, .external_lex_state = 2},
  [2885] = {.lex_state = 14, .external_lex_state = 2},
  [2886] = {.lex_state = 14, .external_lex_state = 2},
  [2887] = {.lex_state = 14, .external_lex_state = 2},
  [2888] = {.lex_state = 14, .external_lex_state = 2},
  [2889] = {.lex_state = 14, .external_lex_state = 2},
  [2890] = {.lex_state = 14, .external_lex_state = 2},
  [2891] = {.lex_state = 14, .external_lex_state = 2},
  [2892] = {.lex_state = 14, .external_lex_state = 2},
  [2893] = {.lex_state = 14, .external_lex_state = 2},
  [2894] = {.lex_state = 14, .external_lex_state = 2},
  [2895] = {.lex_state = 14, .external_lex_state = 2},
  [2896] = {.lex_state = 14, .external_lex_state = 2},
  [2897] = {.lex_state = 14, .external_lex_state = 2},
  [2898] = {.lex_state = 14, .external_lex_state = 2},
  [2899] = {.lex_state = 14, .external_lex_state = 2},
  [2900] = {.lex_state = 14, .external_lex_state = 2},
  [2901] = {.lex_state = 14, .external_lex_state = 2},
  [2902] = {.lex_state = 14, .external_lex_state = 2},
  [2903] = {.lex_state = 14, .external_lex_state = 2},
  [2904] = {.lex_state = 14, .external_lex_state = 2},
  [2905] = {.lex_state = 14, .external_lex_state = 2},
  [2906] = {.lex_state = 14, .external_lex_state = 2},
  [2907] = {.lex_state = 14, .external_lex_state = 2},
  [2908] = {.lex_state = 14, .external_lex_state = 2},
  [2909] = {.lex_state = 14, .external_lex_state = 2},
  [2910] = {.lex_state = 14, .external_lex_state = 2},
  [2911] = {.lex_state = 14, .external_lex_state = 2},
  [2912] = {.lex_state = 14, .external_lex_state = 2},
  [2913] = {.lex_state = 14, .external_lex_state = 2},
  [2914] = {.lex_state = 14, .external_lex_state = 2},
  [2915] = {.lex_state = 14, .external_lex_state = 2},
  [2916] = {.lex_state = 14, .external_lex_state = 2},
  [2917] = {.lex_state = 14, .external_lex_state = 2},
  [2918] = {.lex_state = 14, .external_lex_state = 2},
  [2919] = {.lex_state = 14, .external_lex_state = 2},
  [2920] = {.lex_state = 14, .external_lex_state = 2},
  [2921] = {.lex_state = 14, .external_lex_state = 2},
  [2922] = {.lex_state = 14, .external_lex_state = 2},
  [2923] = {.lex_state = 14, .external_lex_state = 2},
  [2924] = {.lex_state = 14, .external_lex_state = 2},
  [2925] = {.lex_state = 14, .external_lex_state = 2},
  [2926] = {.lex_state = 14, .external_lex_state = 2},
  [2927] = {.lex_state = 14, .external_lex_state = 2},
  [2928] = {.lex_state = 14, .external_lex_state = 2},
  [2929] = {.lex_state = 14, .external_lex_state = 2},
  [2930] = {.lex_state = 14, .external_lex_state = 2},
  [2931] = {.lex_state = 14, .external_lex_state = 2},
  [2932] = {.lex_state = 14, .external_lex_state = 2},
  [2933] = {.lex_state = 14, .external_lex_state = 2},
  [2934] = {.lex_state = 14, .external_lex_state = 2},
  [2935] = {.lex_state = 14, .external_lex_state = 2},
  [2936] = {.lex_state = 14, .external_lex_state = 2},
  [2937] = {.lex_state = 14, .external_lex_state = 2},
  [2938] = {.lex_state = 14, .external_lex_state = 2},
  [2939] = {.lex_state = 14, .external_lex_state = 2},
  [2940] = {.lex_state = 14, .external_lex_state = 2},
  [2941] = {.lex_state = 14, .external_lex_state = 2},
  [2942] = {.lex_state = 14, .external_lex_state = 2},
  [2943] = {.lex_state = 14, .external_lex_state = 2},
  [2944] = {.lex_state = 14, .external_lex_state = 2},
  [2945] = {.lex_state = 14, .external_lex_state = 2},
  [2946] = {.lex_state = 14, .external_lex_state = 2},
  [2947] = {.lex_state = 14, .external_lex_state = 2},
  [2948] = {.lex_state = 14, .external_lex_state = 2},
  [2949] = {.lex_state = 14, .external_lex_state = 2},
  [2950] = {.lex_state = 14, .external_lex_state = 2},
  [2951] = {.lex_state = 14, .external_lex_state = 2},
  [2952] = {.lex_state = 14, .external_lex_state = 2},
  [2953] = {.lex_state = 14, .external_lex_state = 2},
  [2954] = {.lex_state = 14, .external_lex_state = 2},
  [2955] = {.lex_state = 14, .external_lex_state = 2},
  [2956] = {.lex_state = 14, .external_lex_state = 2},
  [2957] = {.lex_state = 14, .external_lex_state = 2},
  [2958] = {.lex_state = 14, .external_lex_state = 2},
  [2959] = {.lex_state = 14, .external_lex_state = 2},
  [2960] = {.lex_state = 14, .external_lex_state = 2},
  [2961] = {.lex_state = 14, .external_lex_state = 2},
  [2962] = {.lex_state = 14, .external_lex_state = 2},
  [2963] = {.lex_state = 14, .external_lex_state = 2},
  [2964] = {.lex_state = 14, .external_lex_state = 2},
  [2965] = {.lex_state = 14, .external_lex_state = 2},
  [2966] = {.lex_state = 14, .external_lex_state = 2},
  [2967] = {.lex_state = 14, .external_lex_state = 2},
  [2968] = {.lex_state = 14, .external_lex_state = 2},
  [2969] = {.lex_state = 14, .external_lex_state = 2},
  [2970] = {.lex_state = 14, .external_lex_state = 2},
  [2971] = {.lex_state = 14, .external_lex_state = 2},
  [2972] = {.lex_state = 14, .external_lex_state = 2},
  [2973] = {.lex_state = 14, .external_lex_state = 2},
  [2974] = {.lex_state = 14, .external_lex_state = 2},
  [2975] = {.lex_state = 14, .external_lex_state = 2},
  [2976] = {.lex_state = 14, .external_lex_state = 2},
  [2977] = {.lex_state = 14, .external_lex_state = 2},
  [2978] = {.lex_state = 14, .external_lex_state = 2},
  [2979] = {.lex_state = 14, .external_lex_state = 2},
  [2980] = {.lex_state = 14, .external_lex_state = 2},
  [2981] = {.lex_state = 14, .external_lex_state = 2},
  [2982] = {.lex_state = 14, .external_lex_state = 2},
  [2983] = {.lex_state = 14, .external_lex_state = 2},
  [2984] = {.lex_state = 14, .external_lex_state = 2},
  [2985] = {.lex_state = 14, .external_lex_state = 2},
  [2986] = {.lex_state = 14, .external_lex_state = 2},
  [2987] = {.lex_state = 14, .external_lex_state = 2},
  [2988] = {.lex_state = 14, .external_lex_state = 2},
  [2989] = {.lex_state = 14, .external_lex_state = 2},
  [2990] = {.lex_state = 14, .external_lex_state = 2},
  [2991] = {.lex_state = 14, .external_lex_state = 2},
  [2992] = {.lex_state = 14, .external_lex_state = 2},
  [2993] = {.lex_state = 14, .external_lex_state = 2},
  [2994] = {.lex_state = 14, .external_lex_state = 2},
  [2995] = {.lex_state = 14, .external_lex_state = 2},
  [2996] = {.lex_state = 14, .external_lex_state = 2},
  [2997] = {.lex_state = 14, .external_lex_state = 2},
  [2998] = {.lex_state = 14, .external_lex_state = 2},
  [2999] = {.lex_state = 14, .external_lex_state = 2},
  [3000] = {.lex_state = 14, .external_lex_state = 2},
  [3001] = {.lex_state = 14, .external_lex_state = 2},
  [3002] = {.lex_state = 14, .external_lex_state = 2},
  [3003] = {.lex_state = 14, .external_lex_state = 2},
  [3004] = {.lex_state = 14, .external_lex_state = 2},
  [3005] = {.lex_state = 14, .external_lex_state = 2},
  [3006] = {.lex_state = 14, .external_lex_state = 2},
  [3007] = {.lex_state = 14, .external_lex_state = 2},
  [3008] = {.lex_state = 14, .external_lex_state = 2},
  [3009] = {.lex_state = 14, .external_lex_state = 2},
  [3010] = {.lex_state = 14, .external_lex_state = 2},
  [3011] = {.lex_state = 14, .external_lex_state = 2},
  [3012] = {.lex_state = 14, .external_lex_state = 2},
  [3013] = {.lex_state = 14, .external_lex_state = 2},
  [3014] = {.lex_state = 14, .external_lex_state = 2},
  [3015] = {.lex_state = 14, .external_lex_state = 2},
  [3016] = {.lex_state = 14, .external_lex_state = 2},
  [3017] = {.lex_state = 14, .external_lex_state = 2},
  [3018] = {.lex_state = 14, .external_lex_state = 2},
  [3019] = {.lex_state = 14, .external_lex_state = 2},
  [3020] = {.lex_state = 14, .external_lex_state = 2},
  [3021] = {.lex_state = 14, .external_lex_state = 2},
  [3022] = {.lex_state = 14, .external_lex_state = 2},
  [3023] = {.lex_state = 14, .external_lex_state = 2},
  [3024] = {.lex_state = 14, .external_lex_state = 2},
  [3025] = {.lex_state = 14, .external_lex_state = 2},
  [3026] = {.lex_state = 14, .external_lex_state = 2},
  [3027] = {.lex_state = 14, .external_lex_state = 2},
  [3028] = {.lex_state = 14, .external_lex_state = 2},
  [3029] = {.lex_state = 14, .external_lex_state = 2},
  [3030] = {.lex_state = 47, .external_lex_state = 14},
  [3031] = {.lex_state = 14, .external_lex_state = 2},
  [3032] = {.lex_state = 14, .external_lex_state = 2},
  [3033] = {.lex_state = 14, .external_lex_state = 2},
  [3034] = {.lex_state = 14, .external_lex_state = 2},
  [3035] = {.lex_state = 14, .external_lex_state = 2},
  [3036] = {.lex_state = 14, .external_lex_state = 2},
  [3037] = {.lex_state = 14, .external_lex_state = 2},
  [3038] = {.lex_state = 14, .external_lex_state = 2},
  [3039] = {.lex_state = 14, .external_lex_state = 2},
  [3040] = {.lex_state = 14, .external_lex_state = 2},
  [3041] = {.lex_state = 14, .external_lex_state = 2},
  [3042] = {.lex_state = 14, .external_lex_state = 2},
  [3043] = {.lex_state = 14, .external_lex_state = 2},
  [3044] = {.lex_state = 14, .external_lex_state = 2},
  [3045] = {.lex_state = 14, .external_lex_state = 2},
  [3046] = {.lex_state = 14, .external_lex_state = 2},
  [3047] = {.lex_state = 14, .external_lex_state = 2},
  [3048] = {.lex_state = 14, .external_lex_state = 2},
  [3049] = {.lex_state = 14, .external_lex_state = 2},
  [3050] = {.lex_state = 14, .external_lex_state = 2},
  [3051] = {.lex_state = 14, .external_lex_state = 2},
  [3052] = {.lex_state = 14, .external_lex_state = 2},
  [3053] = {.lex_state = 14, .external_lex_state = 2},
  [3054] = {.lex_state = 14, .external_lex_state = 2},
  [3055] = {.lex_state = 14, .external_lex_state = 2},
  [3056] = {.lex_state = 14, .external_lex_state = 2},
  [3057] = {.lex_state = 14, .external_lex_state = 2},
  [3058] = {.lex_state = 14, .external_lex_state = 2},
  [3059] = {.lex_state = 14, .external_lex_state = 2},
  [3060] = {.lex_state = 14, .external_lex_state = 2},
  [3061] = {.lex_state = 14, .external_lex_state = 2},
  [3062] = {.lex_state = 14, .external_lex_state = 2},
  [3063] = {.lex_state = 14, .external_lex_state = 2},
  [3064] = {.lex_state = 14, .external_lex_state = 2},
  [3065] = {.lex_state = 14, .external_lex_state = 2},
  [3066] = {.lex_state = 14, .external_lex_state = 2},
  [3067] = {.lex_state = 14, .external_lex_state = 2},
  [3068] = {.lex_state = 14, .external_lex_state = 2},
  [3069] = {.lex_state = 14, .external_lex_state = 2},
  [3070] = {.lex_state = 14, .external_lex_state = 2},
  [3071] = {.lex_state = 14, .external_lex_state = 2},
  [3072] = {.lex_state = 14, .external_lex_state = 2},
  [3073] = {.lex_state = 14, .external_lex_state = 2},
  [3074] = {.lex_state = 14, .external_lex_state = 2},
  [3075] = {.lex_state = 14, .external_lex_state = 2},
  [3076] = {.lex_state = 14, .external_lex_state = 2},
  [3077] = {.lex_state = 14, .external_lex_state = 2},
  [3078] = {.lex_state = 14, .external_lex_state = 2},
  [3079] = {.lex_state = 14, .external_lex_state = 2},
  [3080] = {.lex_state = 14, .external_lex_state = 2},
  [3081] = {.lex_state = 14, .external_lex_state = 2},
  [3082] = {.lex_state = 14, .external_lex_state = 2},
  [3083] = {.lex_state = 14, .external_lex_state = 2},
  [3084] = {.lex_state = 14, .external_lex_state = 2},
  [3085] = {.lex_state = 14, .external_lex_state = 2},
  [3086] = {.lex_state = 14, .external_lex_state = 2},
  [3087] = {.lex_state = 14, .external_lex_state = 2},
  [3088] = {.lex_state = 14, .external_lex_state = 2},
  [3089] = {.lex_state = 14, .external_lex_state = 2},
  [3090] = {.lex_state = 14, .external_lex_state = 2},
  [3091] = {.lex_state = 14, .external_lex_state = 2},
  [3092] = {.lex_state = 14, .external_lex_state = 2},
  [3093] = {.lex_state = 14, .external_lex_state = 2},
  [3094] = {.lex_state = 14, .external_lex_state = 2},
  [3095] = {.lex_state = 47, .external_lex_state = 8},
  [3096] = {.lex_state = 14, .external_lex_state = 2},
  [3097] = {.lex_state = 14, .external_lex_state = 2},
  [3098] = {.lex_state = 14, .external_lex_state = 2},
  [3099] = {.lex_state = 14, .external_lex_state = 2},
  [3100] = {.lex_state = 14, .external_lex_state = 2},
  [3101] = {.lex_state = 14, .external_lex_state = 2},
  [3102] = {.lex_state = 14, .external_lex_state = 2},
  [3103] = {.lex_state = 14, .external_lex_state = 2},
  [3104] = {.lex_state = 14, .external_lex_state = 2},
  [3105] = {.lex_state = 14, .external_lex_state = 2},
  [3106] = {.lex_state = 14, .external_lex_state = 2},
  [3107] = {.lex_state = 14, .external_lex_state = 2},
  [3108] = {.lex_state = 14, .external_lex_state = 2},
  [3109] = {.lex_state = 14, .external_lex_state = 2},
  [3110] = {.lex_state = 14, .external_lex_state = 2},
  [3111] = {.lex_state = 14, .external_lex_state = 2},
  [3112] = {.lex_state = 14, .external_lex_state = 2},
  [3113] = {.lex_state = 14, .external_lex_state = 2},
  [3114] = {.lex_state = 14, .external_lex_state = 2},
  [3115] = {.lex_state = 14, .external_lex_state = 2},
  [3116] = {.lex_state = 14, .external_lex_state = 2},
  [3117] = {.lex_state = 14, .external_lex_state = 2},
  [3118] = {.lex_state = 14, .external_lex_state = 2},
  [3119] = {.lex_state = 14, .external_lex_state = 2},
  [3120] = {.lex_state = 14, .external_lex_state = 2},
  [3121] = {.lex_state = 14, .external_lex_state = 2},
  [3122] = {.lex_state = 14, .external_lex_state = 2},
  [3123] = {.lex_state = 14, .external_lex_state = 2},
  [3124] = {.lex_state = 14, .external_lex_state = 2},
  [3125] = {.lex_state = 14, .external_lex_state = 2},
  [3126] = {.lex_state = 14, .external_lex_state = 2},
  [3127] = {.lex_state = 14, .external_lex_state = 2},
  [3128] = {.lex_state = 14, .external_lex_state = 2},
  [3129] = {.lex_state = 14, .external_lex_state = 2},
  [3130] = {.lex_state = 14, .external_lex_state = 2},
  [3131] = {.lex_state = 14, .external_lex_state = 2},
  [3132] = {.lex_state = 14, .external_lex_state = 2},
  [3133] = {.lex_state = 14, .external_lex_state = 2},
  [3134] = {.lex_state = 14, .external_lex_state = 2},
  [3135] = {.lex_state = 14, .external_lex_state = 2},
  [3136] = {.lex_state = 14, .external_lex_state = 2},
  [3137] = {.lex_state = 14, .external_lex_state = 2},
  [3138] = {.lex_state = 14, .external_lex_state = 2},
  [3139] = {.lex_state = 14, .external_lex_state = 2},
  [3140] = {.lex_state = 14, .external_lex_state = 2},
  [3141] = {.lex_state = 14, .external_lex_state = 2},
  [3142] = {.lex_state = 14, .external_lex_state = 2},
  [3143] = {.lex_state = 14, .external_lex_state = 2},
  [3144] = {.lex_state = 14, .external_lex_state = 2},
  [3145] = {.lex_state = 14, .external_lex_state = 2},
  [3146] = {.lex_state = 14, .external_lex_state = 2},
  [3147] = {.lex_state = 14, .external_lex_state = 2},
  [3148] = {.lex_state = 14, .external_lex_state = 2},
  [3149] = {.lex_state = 14, .external_lex_state = 2},
  [3150] = {.lex_state = 14, .external_lex_state = 2},
  [3151] = {.lex_state = 14, .external_lex_state = 2},
  [3152] = {.lex_state = 14, .external_lex_state = 2},
  [3153] = {.lex_state = 14, .external_lex_state = 2},
  [3154] = {.lex_state = 14, .external_lex_state = 2},
  [3155] = {.lex_state = 14, .external_lex_state = 2},
  [3156] = {.lex_state = 14, .external_lex_state = 2},
  [3157] = {.lex_state = 14, .external_lex_state = 2},
  [3158] = {.lex_state = 14, .external_lex_state = 2},
  [3159] = {.lex_state = 14, .external_lex_state = 2},
  [3160] = {.lex_state = 14, .external_lex_state = 2},
  [3161] = {.lex_state = 14, .external_lex_state = 2},
  [3162] = {.lex_state = 14, .external_lex_state = 2},
  [3163] = {.lex_state = 14, .external_lex_state = 2},
  [3164] = {.lex_state = 14, .external_lex_state = 2},
  [3165] = {.lex_state = 14, .external_lex_state = 2},
  [3166] = {.lex_state = 14, .external_lex_state = 2},
  [3167] = {.lex_state = 14, .external_lex_state = 2},
  [3168] = {.lex_state = 14, .external_lex_state = 2},
  [3169] = {.lex_state = 14, .external_lex_state = 2},
  [3170] = {.lex_state = 14, .external_lex_state = 2},
  [3171] = {.lex_state = 14, .external_lex_state = 2},
  [3172] = {.lex_state = 14, .external_lex_state = 2},
  [3173] = {.lex_state = 14, .external_lex_state = 2},
  [3174] = {.lex_state = 14, .external_lex_state = 2},
  [3175] = {.lex_state = 14, .external_lex_state = 2},
  [3176] = {.lex_state = 14, .external_lex_state = 2},
  [3177] = {.lex_state = 14, .external_lex_state = 2},
  [3178] = {.lex_state = 14, .external_lex_state = 2},
  [3179] = {.lex_state = 14, .external_lex_state = 2},
  [3180] = {.lex_state = 14, .external_lex_state = 2},
  [3181] = {.lex_state = 14, .external_lex_state = 2},
  [3182] = {.lex_state = 14, .external_lex_state = 2},
  [3183] = {.lex_state = 14, .external_lex_state = 2},
  [3184] = {.lex_state = 14, .external_lex_state = 2},
  [3185] = {.lex_state = 14, .external_lex_state = 2},
  [3186] = {.lex_state = 14, .external_lex_state = 2},
  [3187] = {.lex_state = 14, .external_lex_state = 2},
  [3188] = {.lex_state = 14, .external_lex_state = 2},
  [3189] = {.lex_state = 14, .external_lex_state = 2},
  [3190] = {.lex_state = 14, .external_lex_state = 2},
  [3191] = {.lex_state = 14, .external_lex_state = 2},
  [3192] = {.lex_state = 14, .external_lex_state = 2},
  [3193] = {.lex_state = 14, .external_lex_state = 2},
  [3194] = {.lex_state = 14, .external_lex_state = 2},
  [3195] = {.lex_state = 14, .external_lex_state = 2},
  [3196] = {.lex_state = 14, .external_lex_state = 2},
  [3197] = {.lex_state = 14, .external_lex_state = 2},
  [3198] = {.lex_state = 14, .external_lex_state = 2},
  [3199] = {.lex_state = 14, .external_lex_state = 2},
  [3200] = {.lex_state = 14, .external_lex_state = 2},
  [3201] = {.lex_state = 14, .external_lex_state = 2},
  [3202] = {.lex_state = 14, .external_lex_state = 2},
  [3203] = {.lex_state = 14, .external_lex_state = 2},
  [3204] = {.lex_state = 14, .external_lex_state = 2},
  [3205] = {.lex_state = 14, .external_lex_state = 2},
  [3206] = {.lex_state = 14, .external_lex_state = 2},
  [3207] = {.lex_state = 14, .external_lex_state = 2},
  [3208] = {.lex_state = 14, .external_lex_state = 2},
  [3209] = {.lex_state = 14, .external_lex_state = 2},
  [3210] = {.lex_state = 14, .external_lex_state = 2},
  [3211] = {.lex_state = 14, .external_lex_state = 2},
  [3212] = {.lex_state = 14, .external_lex_state = 2},
  [3213] = {.lex_state = 14, .external_lex_state = 2},
  [3214] = {.lex_state = 14, .external_lex_state = 2},
  [3215] = {.lex_state = 14, .external_lex_state = 2},
  [3216] = {.lex_state = 14, .external_lex_state = 2},
  [3217] = {.lex_state = 14, .external_lex_state = 2},
  [3218] = {.lex_state = 14, .external_lex_state = 2},
  [3219] = {.lex_state = 14, .external_lex_state = 2},
  [3220] = {.lex_state = 14, .external_lex_state = 2},
  [3221] = {.lex_state = 47, .external_lex_state = 19},
  [3222] = {.lex_state = 14, .external_lex_state = 2},
  [3223] = {.lex_state = 14, .external_lex_state = 2},
  [3224] = {.lex_state = 14, .external_lex_state = 2},
  [3225] = {.lex_state = 14, .external_lex_state = 2},
  [3226] = {.lex_state = 14, .external_lex_state = 2},
  [3227] = {.lex_state = 14, .external_lex_state = 2},
  [3228] = {.lex_state = 14, .external_lex_state = 2},
  [3229] = {.lex_state = 14, .external_lex_state = 2},
  [3230] = {.lex_state = 14, .external_lex_state = 2},
  [3231] = {.lex_state = 14, .external_lex_state = 2},
  [3232] = {.lex_state = 14, .external_lex_state = 2},
  [3233] = {.lex_state = 14, .external_lex_state = 2},
  [3234] = {.lex_state = 14, .external_lex_state = 2},
  [3235] = {.lex_state = 14, .external_lex_state = 2},
  [3236] = {.lex_state = 14, .external_lex_state = 2},
  [3237] = {.lex_state = 14, .external_lex_state = 2},
  [3238] = {.lex_state = 14, .external_lex_state = 2},
  [3239] = {.lex_state = 14, .external_lex_state = 2},
  [3240] = {.lex_state = 14, .external_lex_state = 2},
  [3241] = {.lex_state = 14, .external_lex_state = 2},
  [3242] = {.lex_state = 14, .external_lex_state = 2},
  [3243] = {.lex_state = 14, .external_lex_state = 2},
  [3244] = {.lex_state = 14, .external_lex_state = 2},
  [3245] = {.lex_state = 14, .external_lex_state = 2},
  [3246] = {.lex_state = 14, .external_lex_state = 2},
  [3247] = {.lex_state = 14, .external_lex_state = 2},
  [3248] = {.lex_state = 14, .external_lex_state = 2},
  [3249] = {.lex_state = 14, .external_lex_state = 2},
  [3250] = {.lex_state = 14, .external_lex_state = 2},
  [3251] = {.lex_state = 14, .external_lex_state = 2},
  [3252] = {.lex_state = 14, .external_lex_state = 2},
  [3253] = {.lex_state = 14, .external_lex_state = 2},
  [3254] = {.lex_state = 14, .external_lex_state = 2},
  [3255] = {.lex_state = 14, .external_lex_state = 2},
  [3256] = {.lex_state = 14, .external_lex_state = 2},
  [3257] = {.lex_state = 14, .external_lex_state = 2},
  [3258] = {.lex_state = 14, .external_lex_state = 2},
  [3259] = {.lex_state = 14, .external_lex_state = 2},
  [3260] = {.lex_state = 14, .external_lex_state = 2},
  [3261] = {.lex_state = 14, .external_lex_state = 2},
  [3262] = {.lex_state = 14, .external_lex_state = 2},
  [3263] = {.lex_state = 14, .external_lex_state = 2},
  [3264] = {.lex_state = 14, .external_lex_state = 2},
  [3265] = {.lex_state = 14, .external_lex_state = 2},
  [3266] = {.lex_state = 14, .external_lex_state = 2},
  [3267] = {.lex_state = 14, .external_lex_state = 2},
  [3268] = {.lex_state = 14, .external_lex_state = 2},
  [3269] = {.lex_state = 14, .external_lex_state = 2},
  [3270] = {.lex_state = 14, .external_lex_state = 2},
  [3271] = {.lex_state = 14, .external_lex_state = 2},
  [3272] = {.lex_state = 14, .external_lex_state = 2},
  [3273] = {.lex_state = 14, .external_lex_state = 2},
  [3274] = {.lex_state = 14, .external_lex_state = 2},
  [3275] = {.lex_state = 14, .external_lex_state = 2},
  [3276] = {.lex_state = 14, .external_lex_state = 2},
  [3277] = {.lex_state = 14, .external_lex_state = 2},
  [3278] = {.lex_state = 14, .external_lex_state = 2},
  [3279] = {.lex_state = 14, .external_lex_state = 2},
  [3280] = {.lex_state = 14, .external_lex_state = 2},
  [3281] = {.lex_state = 14, .external_lex_state = 2},
  [3282] = {.lex_state = 14, .external_lex_state = 2},
  [3283] = {.lex_state = 47, .external_lex_state = 18},
  [3284] = {.lex_state = 14, .external_lex_state = 2},
  [3285] = {.lex_state = 14, .external_lex_state = 2},
  [3286] = {.lex_state = 14, .external_lex_state = 2},
  [3287] = {.lex_state = 14, .external_lex_state = 2},
  [3288] = {.lex_state = 14, .external_lex_state = 2},
  [3289] = {.lex_state = 14, .external_lex_state = 2},
  [3290] = {.lex_state = 14, .external_lex_state = 2},
  [3291] = {.lex_state = 14, .external_lex_state = 2},
  [3292] = {.lex_state = 14, .external_lex_state = 2},
  [3293] = {.lex_state = 14, .external_lex_state = 2},
  [3294] = {.lex_state = 14, .external_lex_state = 2},
  [3295] = {.lex_state = 14, .external_lex_state = 2},
  [3296] = {.lex_state = 14, .external_lex_state = 2},
  [3297] = {.lex_state = 14, .external_lex_state = 2},
  [3298] = {.lex_state = 14, .external_lex_state = 2},
  [3299] = {.lex_state = 14, .external_lex_state = 2},
  [3300] = {.lex_state = 14, .external_lex_state = 2},
  [3301] = {.lex_state = 14, .external_lex_state = 2},
  [3302] = {.lex_state = 14, .external_lex_state = 2},
  [3303] = {.lex_state = 14, .external_lex_state = 2},
  [3304] = {.lex_state = 14, .external_lex_state = 2},
  [3305] = {.lex_state = 14, .external_lex_state = 2},
  [3306] = {.lex_state = 14, .external_lex_state = 2},
  [3307] = {.lex_state = 14, .external_lex_state = 2},
  [3308] = {.lex_state = 14, .external_lex_state = 2},
  [3309] = {.lex_state = 14, .external_lex_state = 2},
  [3310] = {.lex_state = 14, .external_lex_state = 2},
  [3311] = {.lex_state = 14, .external_lex_state = 2},
  [3312] = {.lex_state = 14, .external_lex_state = 2},
  [3313] = {.lex_state = 14, .external_lex_state = 2},
  [3314] = {.lex_state = 14, .external_lex_state = 2},
  [3315] = {.lex_state = 14, .external_lex_state = 2},
  [3316] = {.lex_state = 14, .external_lex_state = 2},
  [3317] = {.lex_state = 14, .external_lex_state = 2},
  [3318] = {.lex_state = 14, .external_lex_state = 2},
  [3319] = {.lex_state = 14, .external_lex_state = 2},
  [3320] = {.lex_state = 14, .external_lex_state = 2},
  [3321] = {.lex_state = 14, .external_lex_state = 2},
  [3322] = {.lex_state = 14, .external_lex_state = 2},
  [3323] = {.lex_state = 14, .external_lex_state = 2},
  [3324] = {.lex_state = 14, .external_lex_state = 2},
  [3325] = {.lex_state = 14, .external_lex_state = 2},
  [3326] = {.lex_state = 14, .external_lex_state = 2},
  [3327] = {.lex_state = 14, .external_lex_state = 2},
  [3328] = {.lex_state = 14, .external_lex_state = 2},
  [3329] = {.lex_state = 14, .external_lex_state = 2},
  [3330] = {.lex_state = 14, .external_lex_state = 2},
  [3331] = {.lex_state = 14, .external_lex_state = 2},
  [3332] = {.lex_state = 14, .external_lex_state = 2},
  [3333] = {.lex_state = 14, .external_lex_state = 2},
  [3334] = {.lex_state = 14, .external_lex_state = 2},
  [3335] = {.lex_state = 14, .external_lex_state = 2},
  [3336] = {.lex_state = 14, .external_lex_state = 2},
  [3337] = {.lex_state = 14, .external_lex_state = 2},
  [3338] = {.lex_state = 14, .external_lex_state = 2},
  [3339] = {.lex_state = 14, .external_lex_state = 2},
  [3340] = {.lex_state = 14, .external_lex_state = 2},
  [3341] = {.lex_state = 14, .external_lex_state = 2},
  [3342] = {.lex_state = 14, .external_lex_state = 2},
  [3343] = {.lex_state = 14, .external_lex_state = 2},
  [3344] = {.lex_state = 14, .external_lex_state = 2},
  [3345] = {.lex_state = 14, .external_lex_state = 2},
  [3346] = {.lex_state = 14, .external_lex_state = 2},
  [3347] = {.lex_state = 14, .external_lex_state = 2},
  [3348] = {.lex_state = 14, .external_lex_state = 2},
  [3349] = {.lex_state = 14, .external_lex_state = 2},
  [3350] = {.lex_state = 14, .external_lex_state = 2},
  [3351] = {.lex_state = 14, .external_lex_state = 2},
  [3352] = {.lex_state = 14, .external_lex_state = 2},
  [3353] = {.lex_state = 14, .external_lex_state = 2},
  [3354] = {.lex_state = 14, .external_lex_state = 2},
  [3355] = {.lex_state = 14, .external_lex_state = 2},
  [3356] = {.lex_state = 14, .external_lex_state = 2},
  [3357] = {.lex_state = 14, .external_lex_state = 2},
  [3358] = {.lex_state = 14, .external_lex_state = 2},
  [3359] = {.lex_state = 14, .external_lex_state = 2},
  [3360] = {.lex_state = 14, .external_lex_state = 2},
  [3361] = {.lex_state = 14, .external_lex_state = 2},
  [3362] = {.lex_state = 14, .external_lex_state = 2},
  [3363] = {.lex_state = 14, .external_lex_state = 2},
  [3364] = {.lex_state = 14, .external_lex_state = 2},
  [3365] = {.lex_state = 14, .external_lex_state = 2},
  [3366] = {.lex_state = 14, .external_lex_state = 2},
  [3367] = {.lex_state = 14, .external_lex_state = 2},
  [3368] = {.lex_state = 14, .external_lex_state = 2},
  [3369] = {.lex_state = 14, .external_lex_state = 2},
  [3370] = {.lex_state = 14, .external_lex_state = 2},
  [3371] = {.lex_state = 14, .external_lex_state = 2},
  [3372] = {.lex_state = 14, .external_lex_state = 2},
  [3373] = {.lex_state = 14, .external_lex_state = 2},
  [3374] = {.lex_state = 14, .external_lex_state = 2},
  [3375] = {.lex_state = 14, .external_lex_state = 2},
  [3376] = {.lex_state = 14, .external_lex_state = 2},
  [3377] = {.lex_state = 14, .external_lex_state = 2},
  [3378] = {.lex_state = 14, .external_lex_state = 2},
  [3379] = {.lex_state = 14, .external_lex_state = 2},
  [3380] = {.lex_state = 14, .external_lex_state = 2},
  [3381] = {.lex_state = 14, .external_lex_state = 2},
  [3382] = {.lex_state = 14, .external_lex_state = 2},
  [3383] = {.lex_state = 14, .external_lex_state = 2},
  [3384] = {.lex_state = 14, .external_lex_state = 2},
  [3385] = {.lex_state = 14, .external_lex_state = 2},
  [3386] = {.lex_state = 14, .external_lex_state = 2},
  [3387] = {.lex_state = 14, .external_lex_state = 2},
  [3388] = {.lex_state = 14, .external_lex_state = 2},
  [3389] = {.lex_state = 14, .external_lex_state = 2},
  [3390] = {.lex_state = 14, .external_lex_state = 2},
  [3391] = {.lex_state = 14, .external_lex_state = 2},
  [3392] = {.lex_state = 14, .external_lex_state = 2},
  [3393] = {.lex_state = 14, .external_lex_state = 2},
  [3394] = {.lex_state = 14, .external_lex_state = 2},
  [3395] = {.lex_state = 14, .external_lex_state = 2},
  [3396] = {.lex_state = 14, .external_lex_state = 2},
  [3397] = {.lex_state = 14, .external_lex_state = 2},
  [3398] = {.lex_state = 14, .external_lex_state = 2},
  [3399] = {.lex_state = 14, .external_lex_state = 2},
  [3400] = {.lex_state = 14, .external_lex_state = 2},
  [3401] = {.lex_state = 14, .external_lex_state = 2},
  [3402] = {.lex_state = 14, .external_lex_state = 2},
  [3403] = {.lex_state = 14, .external_lex_state = 2},
  [3404] = {.lex_state = 14, .external_lex_state = 2},
  [3405] = {.lex_state = 14, .external_lex_state = 2},
  [3406] = {.lex_state = 14, .external_lex_state = 2},
  [3407] = {.lex_state = 14, .external_lex_state = 2},
  [3408] = {.lex_state = 14, .external_lex_state = 2},
  [3409] = {.lex_state = 47, .external_lex_state = 17},
  [3410] = {.lex_state = 14, .external_lex_state = 2},
  [3411] = {.lex_state = 14, .external_lex_state = 2},
  [3412] = {.lex_state = 14, .external_lex_state = 2},
  [3413] = {.lex_state = 14, .external_lex_state = 2},
  [3414] = {.lex_state = 14, .external_lex_state = 2},
  [3415] = {.lex_state = 14, .external_lex_state = 2},
  [3416] = {.lex_state = 14, .external_lex_state = 2},
  [3417] = {.lex_state = 14, .external_lex_state = 2},
  [3418] = {.lex_state = 14, .external_lex_state = 2},
  [3419] = {.lex_state = 14, .external_lex_state = 2},
  [3420] = {.lex_state = 14, .external_lex_state = 2},
  [3421] = {.lex_state = 14, .external_lex_state = 2},
  [3422] = {.lex_state = 14, .external_lex_state = 2},
  [3423] = {.lex_state = 14, .external_lex_state = 2},
  [3424] = {.lex_state = 14, .external_lex_state = 2},
  [3425] = {.lex_state = 14, .external_lex_state = 2},
  [3426] = {.lex_state = 14, .external_lex_state = 2},
  [3427] = {.lex_state = 14, .external_lex_state = 2},
  [3428] = {.lex_state = 14, .external_lex_state = 2},
  [3429] = {.lex_state = 14, .external_lex_state = 2},
  [3430] = {.lex_state = 14, .external_lex_state = 2},
  [3431] = {.lex_state = 14, .external_lex_state = 2},
  [3432] = {.lex_state = 14, .external_lex_state = 2},
  [3433] = {.lex_state = 14, .external_lex_state = 2},
  [3434] = {.lex_state = 14, .external_lex_state = 2},
  [3435] = {.lex_state = 14, .external_lex_state = 2},
  [3436] = {.lex_state = 14, .external_lex_state = 2},
  [3437] = {.lex_state = 14, .external_lex_state = 2},
  [3438] = {.lex_state = 14, .external_lex_state = 2},
  [3439] = {.lex_state = 14, .external_lex_state = 2},
  [3440] = {.lex_state = 14, .external_lex_state = 2},
  [3441] = {.lex_state = 14, .external_lex_state = 2},
  [3442] = {.lex_state = 14, .external_lex_state = 2},
  [3443] = {.lex_state = 14, .external_lex_state = 2},
  [3444] = {.lex_state = 14, .external_lex_state = 2},
  [3445] = {.lex_state = 14, .external_lex_state = 2},
  [3446] = {.lex_state = 14, .external_lex_state = 2},
  [3447] = {.lex_state = 14, .external_lex_state = 2},
  [3448] = {.lex_state = 14, .external_lex_state = 2},
  [3449] = {.lex_state = 14, .external_lex_state = 2},
  [3450] = {.lex_state = 14, .external_lex_state = 2},
  [3451] = {.lex_state = 14, .external_lex_state = 2},
  [3452] = {.lex_state = 14, .external_lex_state = 2},
  [3453] = {.lex_state = 14, .external_lex_state = 2},
  [3454] = {.lex_state = 14, .external_lex_state = 2},
  [3455] = {.lex_state = 14, .external_lex_state = 2},
  [3456] = {.lex_state = 14, .external_lex_state = 2},
  [3457] = {.lex_state = 14, .external_lex_state = 2},
  [3458] = {.lex_state = 14, .external_lex_state = 2},
  [3459] = {.lex_state = 14, .external_lex_state = 2},
  [3460] = {.lex_state = 14, .external_lex_state = 2},
  [3461] = {.lex_state = 14, .external_lex_state = 2},
  [3462] = {.lex_state = 14, .external_lex_state = 2},
  [3463] = {.lex_state = 14, .external_lex_state = 2},
  [3464] = {.lex_state = 14, .external_lex_state = 2},
  [3465] = {.lex_state = 14, .external_lex_state = 2},
  [3466] = {.lex_state = 14, .external_lex_state = 2},
  [3467] = {.lex_state = 14, .external_lex_state = 2},
  [3468] = {.lex_state = 14, .external_lex_state = 2},
  [3469] = {.lex_state = 14, .external_lex_state = 2},
  [3470] = {.lex_state = 14, .external_lex_state = 2},
  [3471] = {.lex_state = 14, .external_lex_state = 2},
  [3472] = {.lex_state = 14, .external_lex_state = 2},
  [3473] = {.lex_state = 14, .external_lex_state = 2},
  [3474] = {.lex_state = 14, .external_lex_state = 2},
  [3475] = {.lex_state = 14, .external_lex_state = 2},
  [3476] = {.lex_state = 14, .external_lex_state = 2},
  [3477] = {.lex_state = 14, .external_lex_state = 2},
  [3478] = {.lex_state = 14, .external_lex_state = 2},
  [3479] = {.lex_state = 14, .external_lex_state = 2},
  [3480] = {.lex_state = 14, .external_lex_state = 2},
  [3481] = {.lex_state = 14, .external_lex_state = 2},
  [3482] = {.lex_state = 14, .external_lex_state = 2},
  [3483] = {.lex_state = 14, .external_lex_state = 2},
  [3484] = {.lex_state = 14, .external_lex_state = 2},
  [3485] = {.lex_state = 14, .external_lex_state = 2},
  [3486] = {.lex_state = 14, .external_lex_state = 2},
  [3487] = {.lex_state = 14, .external_lex_state = 2},
  [3488] = {.lex_state = 14, .external_lex_state = 2},
  [3489] = {.lex_state = 14, .external_lex_state = 2},
  [3490] = {.lex_state = 14, .external_lex_state = 2},
  [3491] = {.lex_state = 14, .external_lex_state = 2},
  [3492] = {.lex_state = 14, .external_lex_state = 2},
  [3493] = {.lex_state = 14, .external_lex_state = 2},
  [3494] = {.lex_state = 14, .external_lex_state = 2},
  [3495] = {.lex_state = 14, .external_lex_state = 2},
  [3496] = {.lex_state = 14, .external_lex_state = 2},
  [3497] = {.lex_state = 14, .external_lex_state = 2},
  [3498] = {.lex_state = 14, .external_lex_state = 2},
  [3499] = {.lex_state = 14, .external_lex_state = 2},
  [3500] = {.lex_state = 14, .external_lex_state = 2},
  [3501] = {.lex_state = 14, .external_lex_state = 2},
  [3502] = {.lex_state = 14, .external_lex_state = 2},
  [3503] = {.lex_state = 14, .external_lex_state = 2},
  [3504] = {.lex_state = 14, .external_lex_state = 2},
  [3505] = {.lex_state = 14, .external_lex_state = 2},
  [3506] = {.lex_state = 14, .external_lex_state = 2},
  [3507] = {.lex_state = 14, .external_lex_state = 2},
  [3508] = {.lex_state = 14, .external_lex_state = 2},
  [3509] = {.lex_state = 14, .external_lex_state = 2},
  [3510] = {.lex_state = 14, .external_lex_state = 2},
  [3511] = {.lex_state = 14, .external_lex_state = 2},
  [3512] = {.lex_state = 14, .external_lex_state = 2},
  [3513] = {.lex_state = 14, .external_lex_state = 2},
  [3514] = {.lex_state = 14, .external_lex_state = 2},
  [3515] = {.lex_state = 14, .external_lex_state = 2},
  [3516] = {.lex_state = 14, .external_lex_state = 2},
  [3517] = {.lex_state = 14, .external_lex_state = 2},
  [3518] = {.lex_state = 14, .external_lex_state = 2},
  [3519] = {.lex_state = 14, .external_lex_state = 2},
  [3520] = {.lex_state = 14, .external_lex_state = 2},
  [3521] = {.lex_state = 14, .external_lex_state = 2},
  [3522] = {.lex_state = 14, .external_lex_state = 2},
  [3523] = {.lex_state = 14, .external_lex_state = 2},
  [3524] = {.lex_state = 14, .external_lex_state = 2},
  [3525] = {.lex_state = 14, .external_lex_state = 2},
  [3526] = {.lex_state = 14, .external_lex_state = 2},
  [3527] = {.lex_state = 14, .external_lex_state = 2},
  [3528] = {.lex_state = 14, .external_lex_state = 2},
  [3529] = {.lex_state = 14, .external_lex_state = 2},
  [3530] = {.lex_state = 14, .external_lex_state = 2},
  [3531] = {.lex_state = 14, .external_lex_state = 2},
  [3532] = {.lex_state = 14, .external_lex_state = 2},
  [3533] = {.lex_state = 14, .external_lex_state = 2},
  [3534] = {.lex_state = 14, .external_lex_state = 2},
  [3535] = {.lex_state = 14, .external_lex_state = 2},
  [3536] = {.lex_state = 14, .external_lex_state = 2},
  [3537] = {.lex_state = 14, .external_lex_state = 2},
  [3538] = {.lex_state = 14, .external_lex_state = 2},
  [3539] = {.lex_state = 14, .external_lex_state = 2},
  [3540] = {.lex_state = 14, .external_lex_state = 2},
  [3541] = {.lex_state = 14, .external_lex_state = 2},
  [3542] = {.lex_state = 14, .external_lex_state = 2},
  [3543] = {.lex_state = 14, .external_lex_state = 2},
  [3544] = {.lex_state = 14, .external_lex_state = 2},
  [3545] = {.lex_state = 14, .external_lex_state = 2},
  [3546] = {.lex_state = 14, .external_lex_state = 2},
  [3547] = {.lex_state = 14, .external_lex_state = 2},
  [3548] = {.lex_state = 14, .external_lex_state = 2},
  [3549] = {.lex_state = 14, .external_lex_state = 2},
  [3550] = {.lex_state = 14, .external_lex_state = 2},
  [3551] = {.lex_state = 14, .external_lex_state = 2},
  [3552] = {.lex_state = 14, .external_lex_state = 2},
  [3553] = {.lex_state = 14, .external_lex_state = 2},
  [3554] = {.lex_state = 14, .external_lex_state = 2},
  [3555] = {.lex_state = 14, .external_lex_state = 2},
  [3556] = {.lex_state = 14, .external_lex_state = 2},
  [3557] = {.lex_state = 14, .external_lex_state = 2},
  [3558] = {.lex_state = 14, .external_lex_state = 2},
  [3559] = {.lex_state = 14, .external_lex_state = 2},
  [3560] = {.lex_state = 14, .external_lex_state = 2},
  [3561] = {.lex_state = 14, .external_lex_state = 2},
  [3562] = {.lex_state = 14, .external_lex_state = 2},
  [3563] = {.lex_state = 14, .external_lex_state = 2},
  [3564] = {.lex_state = 14, .external_lex_state = 2},
  [3565] = {.lex_state = 14, .external_lex_state = 2},
  [3566] = {.lex_state = 14, .external_lex_state = 2},
  [3567] = {.lex_state = 14, .external_lex_state = 2},
  [3568] = {.lex_state = 14, .external_lex_state = 2},
  [3569] = {.lex_state = 14, .external_lex_state = 2},
  [3570] = {.lex_state = 14, .external_lex_state = 2},
  [3571] = {.lex_state = 14, .external_lex_state = 2},
  [3572] = {.lex_state = 14, .external_lex_state = 2},
  [3573] = {.lex_state = 14, .external_lex_state = 2},
  [3574] = {.lex_state = 14, .external_lex_state = 2},
  [3575] = {.lex_state = 14, .external_lex_state = 2},
  [3576] = {.lex_state = 14, .external_lex_state = 2},
  [3577] = {.lex_state = 14, .external_lex_state = 2},
  [3578] = {.lex_state = 14, .external_lex_state = 2},
  [3579] = {.lex_state = 14, .external_lex_state = 2},
  [3580] = {.lex_state = 14, .external_lex_state = 2},
  [3581] = {.lex_state = 14, .external_lex_state = 2},
  [3582] = {.lex_state = 14, .external_lex_state = 2},
  [3583] = {.lex_state = 14, .external_lex_state = 2},
  [3584] = {.lex_state = 14, .external_lex_state = 2},
  [3585] = {.lex_state = 14, .external_lex_state = 2},
  [3586] = {.lex_state = 14, .external_lex_state = 2},
  [3587] = {.lex_state = 14, .external_lex_state = 2},
  [3588] = {.lex_state = 14, .external_lex_state = 2},
  [3589] = {.lex_state = 14, .external_lex_state = 2},
  [3590] = {.lex_state = 14, .external_lex_state = 2},
  [3591] = {.lex_state = 14, .external_lex_state = 2},
  [3592] = {.lex_state = 14, .external_lex_state = 2},
  [3593] = {.lex_state = 14, .external_lex_state = 2},
  [3594] = {.lex_state = 14, .external_lex_state = 2},
  [3595] = {.lex_state = 14, .external_lex_state = 2},
  [3596] = {.lex_state = 14, .external_lex_state = 2},
  [3597] = {.lex_state = 14, .external_lex_state = 2},
  [3598] = {.lex_state = 14, .external_lex_state = 2},
  [3599] = {.lex_state = 14, .external_lex_state = 2},
  [3600] = {.lex_state = 14, .external_lex_state = 2},
  [3601] = {.lex_state = 14, .external_lex_state = 2},
  [3602] = {.lex_state = 14, .external_lex_state = 2},
  [3603] = {.lex_state = 14, .external_lex_state = 2},
  [3604] = {.lex_state = 14, .external_lex_state = 2},
  [3605] = {.lex_state = 14, .external_lex_state = 2},
  [3606] = {.lex_state = 14, .external_lex_state = 2},
  [3607] = {.lex_state = 14, .external_lex_state = 2},
  [3608] = {.lex_state = 14, .external_lex_state = 2},
  [3609] = {.lex_state = 14, .external_lex_state = 2},
  [3610] = {.lex_state = 14, .external_lex_state = 2},
  [3611] = {.lex_state = 14, .external_lex_state = 2},
  [3612] = {.lex_state = 14, .external_lex_state = 2},
  [3613] = {.lex_state = 14, .external_lex_state = 2},
  [3614] = {.lex_state = 14, .external_lex_state = 2},
  [3615] = {.lex_state = 14, .external_lex_state = 2},
  [3616] = {.lex_state = 14, .external_lex_state = 2},
  [3617] = {.lex_state = 14, .external_lex_state = 2},
  [3618] = {.lex_state = 14, .external_lex_state = 2},
  [3619] = {.lex_state = 14, .external_lex_state = 2},
  [3620] = {.lex_state = 14, .external_lex_state = 2},
  [3621] = {.lex_state = 14, .external_lex_state = 2},
  [3622] = {.lex_state = 14, .external_lex_state = 2},
  [3623] = {.lex_state = 14, .external_lex_state = 2},
  [3624] = {.lex_state = 14, .external_lex_state = 2},
  [3625] = {.lex_state = 14, .external_lex_state = 2},
  [3626] = {.lex_state = 14, .external_lex_state = 2},
  [3627] = {.lex_state = 14, .external_lex_state = 2},
  [3628] = {.lex_state = 14, .external_lex_state = 2},
  [3629] = {.lex_state = 14, .external_lex_state = 2},
  [3630] = {.lex_state = 14, .external_lex_state = 2},
  [3631] = {.lex_state = 14, .external_lex_state = 2},
  [3632] = {.lex_state = 14, .external_lex_state = 2},
  [3633] = {.lex_state = 14, .external_lex_state = 2},
  [3634] = {.lex_state = 14, .external_lex_state = 2},
  [3635] = {.lex_state = 14, .external_lex_state = 2},
  [3636] = {.lex_state = 14, .external_lex_state = 2},
  [3637] = {.lex_state = 14, .external_lex_state = 2},
  [3638] = {.lex_state = 14, .external_lex_state = 2},
  [3639] = {.lex_state = 14, .external_lex_state = 2},
  [3640] = {.lex_state = 14, .external_lex_state = 2},
  [3641] = {.lex_state = 14, .external_lex_state = 2},
  [3642] = {.lex_state = 14, .external_lex_state = 2},
  [3643] = {.lex_state = 14, .external_lex_state = 2},
  [3644] = {.lex_state = 14, .external_lex_state = 2},
  [3645] = {.lex_state = 14, .external_lex_state = 2},
  [3646] = {.lex_state = 14, .external_lex_state = 2},
  [3647] = {.lex_state = 14, .external_lex_state = 2},
  [3648] = {.lex_state = 14, .external_lex_state = 2},
  [3649] = {.lex_state = 14, .external_lex_state = 2},
  [3650] = {.lex_state = 14, .external_lex_state = 2},
  [3651] = {.lex_state = 14, .external_lex_state = 2},
  [3652] = {.lex_state = 14, .external_lex_state = 2},
  [3653] = {.lex_state = 14, .external_lex_state = 2},
  [3654] = {.lex_state = 14, .external_lex_state = 2},
  [3655] = {.lex_state = 14, .external_lex_state = 2},
  [3656] = {.lex_state = 14, .external_lex_state = 2},
  [3657] = {.lex_state = 14, .external_lex_state = 2},
  [3658] = {.lex_state = 14, .external_lex_state = 2},
  [3659] = {.lex_state = 14, .external_lex_state = 2},
  [3660] = {.lex_state = 14, .external_lex_state = 2},
  [3661] = {.lex_state = 14, .external_lex_state = 2},
  [3662] = {.lex_state = 14, .external_lex_state = 2},
  [3663] = {.lex_state = 14, .external_lex_state = 2},
  [3664] = {.lex_state = 14, .external_lex_state = 2},
  [3665] = {.lex_state = 14, .external_lex_state = 2},
  [3666] = {.lex_state = 14, .external_lex_state = 2},
  [3667] = {.lex_state = 14, .external_lex_state = 2},
  [3668] = {.lex_state = 14, .external_lex_state = 2},
  [3669] = {.lex_state = 14, .external_lex_state = 2},
  [3670] = {.lex_state = 14, .external_lex_state = 2},
  [3671] = {.lex_state = 14, .external_lex_state = 2},
  [3672] = {.lex_state = 14, .external_lex_state = 2},
  [3673] = {.lex_state = 14, .external_lex_state = 2},
  [3674] = {.lex_state = 14, .external_lex_state = 2},
  [3675] = {.lex_state = 14, .external_lex_state = 2},
  [3676] = {.lex_state = 14, .external_lex_state = 2},
  [3677] = {.lex_state = 14, .external_lex_state = 2},
  [3678] = {.lex_state = 14, .external_lex_state = 2},
  [3679] = {.lex_state = 14, .external_lex_state = 2},
  [3680] = {.lex_state = 14, .external_lex_state = 2},
  [3681] = {.lex_state = 14, .external_lex_state = 2},
  [3682] = {.lex_state = 14, .external_lex_state = 2},
  [3683] = {.lex_state = 14, .external_lex_state = 2},
  [3684] = {.lex_state = 14, .external_lex_state = 2},
  [3685] = {.lex_state = 14, .external_lex_state = 2},
  [3686] = {.lex_state = 14, .external_lex_state = 2},
  [3687] = {.lex_state = 14, .external_lex_state = 2},
  [3688] = {.lex_state = 14, .external_lex_state = 2},
  [3689] = {.lex_state = 14, .external_lex_state = 2},
  [3690] = {.lex_state = 14, .external_lex_state = 2},
  [3691] = {.lex_state = 14, .external_lex_state = 2},
  [3692] = {.lex_state = 14, .external_lex_state = 2},
  [3693] = {.lex_state = 14, .external_lex_state = 2},
  [3694] = {.lex_state = 14, .external_lex_state = 2},
  [3695] = {.lex_state = 14, .external_lex_state = 2},
  [3696] = {.lex_state = 14, .external_lex_state = 2},
  [3697] = {.lex_state = 14, .external_lex_state = 2},
  [3698] = {.lex_state = 14, .external_lex_state = 2},
  [3699] = {.lex_state = 14, .external_lex_state = 2},
  [3700] = {.lex_state = 14, .external_lex_state = 2},
  [3701] = {.lex_state = 14, .external_lex_state = 2},
  [3702] = {.lex_state = 14, .external_lex_state = 2},
  [3703] = {.lex_state = 14, .external_lex_state = 2},
  [3704] = {.lex_state = 14, .external_lex_state = 2},
  [3705] = {.lex_state = 14, .external_lex_state = 2},
  [3706] = {.lex_state = 14, .external_lex_state = 2},
  [3707] = {.lex_state = 14, .external_lex_state = 2},
  [3708] = {.lex_state = 14, .external_lex_state = 2},
  [3709] = {.lex_state = 14, .external_lex_state = 2},
  [3710] = {.lex_state = 14, .external_lex_state = 2},
  [3711] = {.lex_state = 14, .external_lex_state = 2},
  [3712] = {.lex_state = 14, .external_lex_state = 2},
  [3713] = {.lex_state = 14, .external_lex_state = 2},
  [3714] = {.lex_state = 14, .external_lex_state = 2},
  [3715] = {.lex_state = 14, .external_lex_state = 2},
  [3716] = {.lex_state = 14, .external_lex_state = 2},
  [3717] = {.lex_state = 14, .external_lex_state = 2},
  [3718] = {.lex_state = 14, .external_lex_state = 2},
  [3719] = {.lex_state = 14, .external_lex_state = 2},
  [3720] = {.lex_state = 14, .external_lex_state = 2},
  [3721] = {.lex_state = 14, .external_lex_state = 2},
  [3722] = {.lex_state = 14, .external_lex_state = 2},
  [3723] = {.lex_state = 14, .external_lex_state = 2},
  [3724] = {.lex_state = 14, .external_lex_state = 2},
  [3725] = {.lex_state = 14, .external_lex_state = 2},
  [3726] = {.lex_state = 14, .external_lex_state = 2},
  [3727] = {.lex_state = 14, .external_lex_state = 2},
  [3728] = {.lex_state = 14, .external_lex_state = 2},
  [3729] = {.lex_state = 14, .external_lex_state = 2},
  [3730] = {.lex_state = 14, .external_lex_state = 2},
  [3731] = {.lex_state = 14, .external_lex_state = 2},
  [3732] = {.lex_state = 14, .external_lex_state = 2},
  [3733] = {.lex_state = 14, .external_lex_state = 2},
  [3734] = {.lex_state = 14, .external_lex_state = 2},
  [3735] = {.lex_state = 14, .external_lex_state = 2},
  [3736] = {.lex_state = 14, .external_lex_state = 2},
  [3737] = {.lex_state = 14, .external_lex_state = 2},
  [3738] = {.lex_state = 14, .external_lex_state = 2},
  [3739] = {.lex_state = 14, .external_lex_state = 2},
  [3740] = {.lex_state = 14, .external_lex_state = 2},
  [3741] = {.lex_state = 14, .external_lex_state = 2},
  [3742] = {.lex_state = 14, .external_lex_state = 2},
  [3743] = {.lex_state = 14, .external_lex_state = 2},
  [3744] = {.lex_state = 14, .external_lex_state = 2},
  [3745] = {.lex_state = 14, .external_lex_state = 2},
  [3746] = {.lex_state = 14, .external_lex_state = 2},
  [3747] = {.lex_state = 14, .external_lex_state = 2},
  [3748] = {.lex_state = 14, .external_lex_state = 2},
  [3749] = {.lex_state = 14, .external_lex_state = 2},
  [3750] = {.lex_state = 14, .external_lex_state = 2},
  [3751] = {.lex_state = 14, .external_lex_state = 2},
  [3752] = {.lex_state = 14, .external_lex_state = 2},
  [3753] = {.lex_state = 14, .external_lex_state = 2},
  [3754] = {.lex_state = 47, .external_lex_state = 20},
  [3755] = {.lex_state = 14, .external_lex_state = 2},
  [3756] = {.lex_state = 14, .external_lex_state = 2},
  [3757] = {.lex_state = 14, .external_lex_state = 2},
  [3758] = {.lex_state = 14, .external_lex_state = 2},
  [3759] = {.lex_state = 14, .external_lex_state = 2},
  [3760] = {.lex_state = 14, .external_lex_state = 2},
  [3761] = {.lex_state = 14, .external_lex_state = 2},
  [3762] = {.lex_state = 14, .external_lex_state = 2},
  [3763] = {.lex_state = 14, .external_lex_state = 2},
  [3764] = {.lex_state = 14, .external_lex_state = 2},
  [3765] = {.lex_state = 14, .external_lex_state = 2},
  [3766] = {.lex_state = 14, .external_lex_state = 2},
  [3767] = {.lex_state = 14, .external_lex_state = 2},
  [3768] = {.lex_state = 14, .external_lex_state = 2},
  [3769] = {.lex_state = 14, .external_lex_state = 2},
  [3770] = {.lex_state = 14, .external_lex_state = 2},
  [3771] = {.lex_state = 14, .external_lex_state = 2},
  [3772] = {.lex_state = 14, .external_lex_state = 2},
  [3773] = {.lex_state = 14, .external_lex_state = 2},
  [3774] = {.lex_state = 14, .external_lex_state = 2},
  [3775] = {.lex_state = 14, .external_lex_state = 2},
  [3776] = {.lex_state = 14, .external_lex_state = 2},
  [3777] = {.lex_state = 14, .external_lex_state = 2},
  [3778] = {.lex_state = 14, .external_lex_state = 2},
  [3779] = {.lex_state = 14, .external_lex_state = 2},
  [3780] = {.lex_state = 14, .external_lex_state = 2},
  [3781] = {.lex_state = 14, .external_lex_state = 2},
  [3782] = {.lex_state = 14, .external_lex_state = 2},
  [3783] = {.lex_state = 14, .external_lex_state = 2},
  [3784] = {.lex_state = 14, .external_lex_state = 2},
  [3785] = {.lex_state = 14, .external_lex_state = 2},
  [3786] = {.lex_state = 14, .external_lex_state = 2},
  [3787] = {.lex_state = 14, .external_lex_state = 2},
  [3788] = {.lex_state = 14, .external_lex_state = 2},
  [3789] = {.lex_state = 14, .external_lex_state = 2},
  [3790] = {.lex_state = 14, .external_lex_state = 2},
  [3791] = {.lex_state = 14, .external_lex_state = 2},
  [3792] = {.lex_state = 14, .external_lex_state = 2},
  [3793] = {.lex_state = 14, .external_lex_state = 2},
  [3794] = {.lex_state = 14, .external_lex_state = 2},
  [3795] = {.lex_state = 14, .external_lex_state = 2},
  [3796] = {.lex_state = 14, .external_lex_state = 2},
  [3797] = {.lex_state = 14, .external_lex_state = 2},
  [3798] = {.lex_state = 14, .external_lex_state = 2},
  [3799] = {.lex_state = 14, .external_lex_state = 2},
  [3800] = {.lex_state = 14, .external_lex_state = 2},
  [3801] = {.lex_state = 47, .external_lex_state = 7},
  [3802] = {.lex_state = 14, .external_lex_state = 2},
  [3803] = {.lex_state = 14, .external_lex_state = 2},
  [3804] = {.lex_state = 14, .external_lex_state = 2},
  [3805] = {.lex_state = 14, .external_lex_state = 2},
  [3806] = {.lex_state = 14, .external_lex_state = 2},
  [3807] = {.lex_state = 14, .external_lex_state = 2},
  [3808] = {.lex_state = 14, .external_lex_state = 2},
  [3809] = {.lex_state = 14, .external_lex_state = 2},
  [3810] = {.lex_state = 14, .external_lex_state = 2},
  [3811] = {.lex_state = 14, .external_lex_state = 2},
  [3812] = {.lex_state = 14, .external_lex_state = 2},
  [3813] = {.lex_state = 14, .external_lex_state = 2},
  [3814] = {.lex_state = 14, .external_lex_state = 2},
  [3815] = {.lex_state = 14, .external_lex_state = 2},
  [3816] = {.lex_state = 14, .external_lex_state = 2},
  [3817] = {.lex_state = 14, .external_lex_state = 2},
  [3818] = {.lex_state = 14, .external_lex_state = 2},
  [3819] = {.lex_state = 14, .external_lex_state = 2},
  [3820] = {.lex_state = 14, .external_lex_state = 2},
  [3821] = {.lex_state = 14, .external_lex_state = 2},
  [3822] = {.lex_state = 14, .external_lex_state = 2},
  [3823] = {.lex_state = 14, .external_lex_state = 2},
  [3824] = {.lex_state = 14, .external_lex_state = 2},
  [3825] = {.lex_state = 14, .external_lex_state = 2},
  [3826] = {.lex_state = 14, .external_lex_state = 2},
  [3827] = {.lex_state = 14, .external_lex_state = 2},
  [3828] = {.lex_state = 14, .external_lex_state = 2},
  [3829] = {.lex_state = 14, .external_lex_state = 2},
  [3830] = {.lex_state = 14, .external_lex_state = 2},
  [3831] = {.lex_state = 14, .external_lex_state = 2},
  [3832] = {.lex_state = 14, .external_lex_state = 2},
  [3833] = {.lex_state = 14, .external_lex_state = 2},
  [3834] = {.lex_state = 14, .external_lex_state = 2},
  [3835] = {.lex_state = 14, .external_lex_state = 2},
  [3836] = {.lex_state = 14, .external_lex_state = 2},
  [3837] = {.lex_state = 14, .external_lex_state = 2},
  [3838] = {.lex_state = 14, .external_lex_state = 2},
  [3839] = {.lex_state = 14, .external_lex_state = 2},
  [3840] = {.lex_state = 14, .external_lex_state = 2},
  [3841] = {.lex_state = 47, .external_lex_state = 16},
  [3842] = {.lex_state = 47, .external_lex_state = 11},
  [3843] = {.lex_state = 47, .external_lex_state = 10},
  [3844] = {.lex_state = 47, .external_lex_state = 21},
  [3845] = {.lex_state = 47, .external_lex_state = 22},
  [3846] = {.lex_state = 14, .external_lex_state = 3},
  [3847] = {.lex_state = 14, .external_lex_state = 3},
  [3848] = {.lex_state = 14, .external_lex_state = 3},
  [3849] = {.lex_state = 14, .external_lex_state = 3},
  [3850] = {.lex_state = 14, .external_lex_state = 3},
  [3851] = {.lex_state = 14, .external_lex_state = 3},
  [3852] = {.lex_state = 14, .external_lex_state = 3},
  [3853] = {.lex_state = 14, .external_lex_state = 3},
  [3854] = {.lex_state = 14, .external_lex_state = 3},
  [3855] = {.lex_state = 14, .external_lex_state = 3},
  [3856] = {.lex_state = 14, .external_lex_state = 3},
  [3857] = {.lex_state = 14, .external_lex_state = 3},
  [3858] = {.lex_state = 14, .external_lex_state = 3},
  [3859] = {.lex_state = 14, .external_lex_state = 3},
  [3860] = {.lex_state = 14, .external_lex_state = 3},
  [3861] = {.lex_state = 14, .external_lex_state = 3},
  [3862] = {.lex_state = 14, .external_lex_state = 3},
  [3863] = {.lex_state = 14, .external_lex_state = 3},
  [3864] = {.lex_state = 14, .external_lex_state = 3},
  [3865] = {.lex_state = 14, .external_lex_state = 3},
  [3866] = {.lex_state = 14, .external_lex_state = 3},
  [3867] = {.lex_state = 14, .external_lex_state = 3},
  [3868] = {.lex_state = 14, .external_lex_state = 3},
  [3869] = {.lex_state = 14, .external_lex_state = 3},
  [3870] = {.lex_state = 14, .external_lex_state = 3},
  [3871] = {.lex_state = 14, .external_lex_state = 3},
  [3872] = {.lex_state = 14, .external_lex_state = 3},
  [3873] = {.lex_state = 14, .external_lex_state = 3},
  [3874] = {.lex_state = 14, .external_lex_state = 3},
  [3875] = {.lex_state = 14, .external_lex_state = 3},
  [3876] = {.lex_state = 14, .external_lex_state = 3},
  [3877] = {.lex_state = 14, .external_lex_state = 3},
  [3878] = {.lex_state = 14, .external_lex_state = 3},
  [3879] = {.lex_state = 14, .external_lex_state = 3},
  [3880] = {.lex_state = 49, .external_lex_state = 6},
  [3881] = {.lex_state = 14, .external_lex_state = 3},
  [3882] = {.lex_state = 14, .external_lex_state = 3},
  [3883] = {.lex_state = 14, .external_lex_state = 3},
  [3884] = {.lex_state = 14, .external_lex_state = 3},
  [3885] = {.lex_state = 14, .external_lex_state = 3},
  [3886] = {.lex_state = 14, .external_lex_state = 3},
  [3887] = {.lex_state = 47, .external_lex_state = 2},
  [3888] = {.lex_state = 49, .external_lex_state = 6},
  [3889] = {.lex_state = 14, .external_lex_state = 3},
  [3890] = {.lex_state = 14, .external_lex_state = 3},
  [3891] = {.lex_state = 14, .external_lex_state = 3},
  [3892] = {.lex_state = 14, .external_lex_state = 3},
  [3893] = {.lex_state = 14, .external_lex_state = 3},
  [3894] = {.lex_state = 14, .external_lex_state = 3},
  [3895] = {.lex_state = 14, .external_lex_state = 3},
  [3896] = {.lex_state = 14, .external_lex_state = 3},
  [3897] = {.lex_state = 14, .external_lex_state = 3},
  [3898] = {.lex_state = 14, .external_lex_state = 3},
  [3899] = {.lex_state = 14, .external_lex_state = 3},
  [3900] = {.lex_state = 14, .external_lex_state = 3},
  [3901] = {.lex_state = 14, .external_lex_state = 3},
  [3902] = {.lex_state = 14, .external_lex_state = 3},
  [3903] = {.lex_state = 14, .external_lex_state = 3},
  [3904] = {.lex_state = 14, .external_lex_state = 3},
  [3905] = {.lex_state = 14, .external_lex_state = 3},
  [3906] = {.lex_state = 14, .external_lex_state = 3},
  [3907] = {.lex_state = 14, .external_lex_state = 3},
  [3908] = {.lex_state = 14, .external_lex_state = 3},
  [3909] = {.lex_state = 14, .external_lex_state = 3},
  [3910] = {.lex_state = 14, .external_lex_state = 3},
  [3911] = {.lex_state = 14, .external_lex_state = 3},
  [3912] = {.lex_state = 14, .external_lex_state = 3},
  [3913] = {.lex_state = 14, .external_lex_state = 3},
  [3914] = {.lex_state = 14, .external_lex_state = 3},
  [3915] = {.lex_state = 14, .external_lex_state = 3},
  [3916] = {.lex_state = 14, .external_lex_state = 3},
  [3917] = {.lex_state = 14, .external_lex_state = 3},
  [3918] = {.lex_state = 14, .external_lex_state = 3},
  [3919] = {.lex_state = 14, .external_lex_state = 3},
  [3920] = {.lex_state = 14, .external_lex_state = 3},
  [3921] = {.lex_state = 14, .external_lex_state = 3},
  [3922] = {.lex_state = 14, .external_lex_state = 3},
  [3923] = {.lex_state = 14, .external_lex_state = 3},
  [3924] = {.lex_state = 14, .external_lex_state = 2},
  [3925] = {.lex_state = 14, .external_lex_state = 3},
  [3926] = {.lex_state = 14, .external_lex_state = 3},
  [3927] = {.lex_state = 14, .external_lex_state = 3},
  [3928] = {.lex_state = 14, .external_lex_state = 3},
  [3929] = {.lex_state = 14, .external_lex_state = 3},
  [3930] = {.lex_state = 14, .external_lex_state = 3},
  [3931] = {.lex_state = 14, .external_lex_state = 3},
  [3932] = {.lex_state = 14, .external_lex_state = 3},
  [3933] = {.lex_state = 14, .external_lex_state = 3},
  [3934] = {.lex_state = 14, .external_lex_state = 3},
  [3935] = {.lex_state = 14, .external_lex_state = 3},
  [3936] = {.lex_state = 14, .external_lex_state = 2},
  [3937] = {.lex_state = 14, .external_lex_state = 3},
  [3938] = {.lex_state = 14, .external_lex_state = 3},
  [3939] = {.lex_state = 14, .external_lex_state = 3},
  [3940] = {.lex_state = 14, .external_lex_state = 3},
  [3941] = {.lex_state = 14, .external_lex_state = 3},
  [3942] = {.lex_state = 14, .external_lex_state = 3},
  [3943] = {.lex_state = 14, .external_lex_state = 3},
  [3944] = {.lex_state = 14, .external_lex_state = 3},
  [3945] = {.lex_state = 14, .external_lex_state = 3},
  [3946] = {.lex_state = 14, .external_lex_state = 3},
  [3947] = {.lex_state = 14, .external_lex_state = 3},
  [3948] = {.lex_state = 14, .external_lex_state = 3},
  [3949] = {.lex_state = 14, .external_lex_state = 3},
  [3950] = {.lex_state = 14, .external_lex_state = 3},
  [3951] = {.lex_state = 14, .external_lex_state = 2},
  [3952] = {.lex_state = 14, .external_lex_state = 3},
  [3953] = {.lex_state = 14, .external_lex_state = 2},
  [3954] = {.lex_state = 49, .external_lex_state = 8},
  [3955] = {.lex_state = 14, .external_lex_state = 3},
  [3956] = {.lex_state = 14, .external_lex_state = 3},
  [3957] = {.lex_state = 14, .external_lex_state = 3},
  [3958] = {.lex_state = 14, .external_lex_state = 3},
  [3959] = {.lex_state = 14, .external_lex_state = 3},
  [3960] = {.lex_state = 14, .external_lex_state = 3},
  [3961] = {.lex_state = 14, .external_lex_state = 3},
  [3962] = {.lex_state = 14, .external_lex_state = 3},
  [3963] = {.lex_state = 49, .external_lex_state = 7},
  [3964] = {.lex_state = 14, .external_lex_state = 3},
  [3965] = {.lex_state = 14, .external_lex_state = 3},
  [3966] = {.lex_state = 14, .external_lex_state = 3},
  [3967] = {.lex_state = 14, .external_lex_state = 3},
  [3968] = {.lex_state = 14, .external_lex_state = 3},
  [3969] = {.lex_state = 14, .external_lex_state = 3},
  [3970] = {.lex_state = 14, .external_lex_state = 3},
  [3971] = {.lex_state = 14, .external_lex_state = 3},
  [3972] = {.lex_state = 14, .external_lex_state = 3},
  [3973] = {.lex_state = 49, .external_lex_state = 7},
  [3974] = {.lex_state = 14, .external_lex_state = 3},
  [3975] = {.lex_state = 14, .external_lex_state = 3},
  [3976] = {.lex_state = 14, .external_lex_state = 3},
  [3977] = {.lex_state = 14, .external_lex_state = 3},
  [3978] = {.lex_state = 14, .external_lex_state = 3},
  [3979] = {.lex_state = 14, .external_lex_state = 3},
  [3980] = {.lex_state = 14, .external_lex_state = 3},
  [3981] = {.lex_state = 14, .external_lex_state = 3},
  [3982] = {.lex_state = 14, .external_lex_state = 3},
  [3983] = {.lex_state = 14, .external_lex_state = 3},
  [3984] = {.lex_state = 14, .external_lex_state = 3},
  [3985] = {.lex_state = 14, .external_lex_state = 3},
  [3986] = {.lex_state = 14, .external_lex_state = 3},
  [3987] = {.lex_state = 14, .external_lex_state = 3},
  [3988] = {.lex_state = 14, .external_lex_state = 3},
  [3989] = {.lex_state = 14, .external_lex_state = 3},
  [3990] = {.lex_state = 14, .external_lex_state = 3},
  [3991] = {.lex_state = 14, .external_lex_state = 3},
  [3992] = {.lex_state = 14, .external_lex_state = 3},
  [3993] = {.lex_state = 14, .external_lex_state = 3},
  [3994] = {.lex_state = 14, .external_lex_state = 3},
  [3995] = {.lex_state = 14, .external_lex_state = 3},
  [3996] = {.lex_state = 14, .external_lex_state = 3},
  [3997] = {.lex_state = 14, .external_lex_state = 3},
  [3998] = {.lex_state = 14, .external_lex_state = 3},
  [3999] = {.lex_state = 14, .external_lex_state = 3},
  [4000] = {.lex_state = 14, .external_lex_state = 3},
  [4001] = {.lex_state = 14, .external_lex_state = 3},
  [4002] = {.lex_state = 14, .external_lex_state = 3},
  [4003] = {.lex_state = 14, .external_lex_state = 3},
  [4004] = {.lex_state = 14, .external_lex_state = 3},
  [4005] = {.lex_state = 14, .external_lex_state = 3},
  [4006] = {.lex_state = 14, .external_lex_state = 3},
  [4007] = {.lex_state = 49, .external_lex_state = 8},
  [4008] = {.lex_state = 14, .external_lex_state = 3},
  [4009] = {.lex_state = 14, .external_lex_state = 3},
  [4010] = {.lex_state = 14, .external_lex_state = 3},
  [4011] = {.lex_state = 14, .external_lex_state = 3},
  [4012] = {.lex_state = 14, .external_lex_state = 3},
  [4013] = {.lex_state = 14, .external_lex_state = 3},
  [4014] = {.lex_state = 14, .external_lex_state = 3},
  [4015] = {.lex_state = 14, .external_lex_state = 3},
  [4016] = {.lex_state = 14, .external_lex_state = 3},
  [4017] = {.lex_state = 14, .external_lex_state = 3},
  [4018] = {.lex_state = 14, .external_lex_state = 3},
  [4019] = {.lex_state = 14, .external_lex_state = 3},
  [4020] = {.lex_state = 14, .external_lex_state = 3},
  [4021] = {.lex_state = 14, .external_lex_state = 3},
  [4022] = {.lex_state = 14, .external_lex_state = 3},
  [4023] = {.lex_state = 14, .external_lex_state = 3},
  [4024] = {.lex_state = 14, .external_lex_state = 3},
  [4025] = {.lex_state = 49, .external_lex_state = 9},
  [4026] = {.lex_state = 14, .external_lex_state = 4},
  [4027] = {.lex_state = 49, .external_lex_state = 12},
  [4028] = {.lex_state = 49, .external_lex_state = 12},
  [4029] = {.lex_state = 49, .external_lex_state = 9},
  [4030] = {.lex_state = 49, .external_lex_state = 11},
  [4031] = {.lex_state = 14, .external_lex_state = 4},
  [4032] = {.lex_state = 49, .external_lex_state = 10},
  [4033] = {.lex_state = 49, .external_lex_state = 11},
  [4034] = {.lex_state = 49, .external_lex_state = 10},
  [4035] = {.lex_state = 49, .external_lex_state = 15},
  [4036] = {.lex_state = 49, .external_lex_state = 16},
  [4037] = {.lex_state = 49, .external_lex_state = 16},
  [4038] = {.lex_state = 14, .external_lex_state = 2},
  [4039] = {.lex_state = 14, .external_lex_state = 2},
  [4040] = {.lex_state = 49, .external_lex_state = 6},
  [4041] = {.lex_state = 49, .external_lex_state = 13},
  [4042] = {.lex_state = 49, .external_lex_state = 6},
  [4043] = {.lex_state = 49, .external_lex_state = 13},
  [4044] = {.lex_state = 14, .external_lex_state = 2},
  [4045] = {.lex_state = 49, .external_lex_state = 14},
  [4046] = {.lex_state = 49, .external_lex_state = 14},
  [4047] = {.lex_state = 49, .external_lex_state = 15},
  [4048] = {.lex_state = 14, .external_lex_state = 2},
  [4049] = {.lex_state = 49, .external_lex_state = 19},
  [4050] = {.lex_state = 49, .external_lex_state = 17},
  [4051] = {.lex_state = 49, .external_lex_state = 18},
  [4052] = {.lex_state = 49, .external_lex_state = 18},
  [4053] = {.lex_state = 49, .external_lex_state = 8},
  [4054] = {.lex_state = 49, .external_lex_state = 19},
  [4055] = {.lex_state = 49, .external_lex_state = 20},
  [4056] = {.lex_state = 53},
  [4057] = {.lex_state = 49, .external_lex_state = 8},
  [4058] = {.lex_state = 49, .external_lex_state = 17},
  [4059] = {.lex_state = 49, .external_lex_state = 20},
  [4060] = {.lex_state = 53},
  [4061] = {.lex_state = 49, .external_lex_state = 7},
  [4062] = {.lex_state = 49, .external_lex_state = 7},
  [4063] = {.lex_state = 49, .external_lex_state = 22},
  [4064] = {.lex_state = 49, .external_lex_state = 22},
  [4065] = {.lex_state = 49, .external_lex_state = 3},
  [4066] = {.lex_state = 49, .external_lex_state = 3},
  [4067] = {.lex_state = 49, .external_lex_state = 11},
  [4068] = {.lex_state = 14, .external_lex_state = 2},
  [4069] = {.lex_state = 14, .external_lex_state = 2},
  [4070] = {.lex_state = 49, .external_lex_state = 11},
  [4071] = {.lex_state = 49, .external_lex_state = 10},
  [4072] = {.lex_state = 49, .external_lex_state = 21},
  [4073] = {.lex_state = 49, .external_lex_state = 10},
  [4074] = {.lex_state = 49, .external_lex_state = 21},
  [4075] = {.lex_state = 49, .external_lex_state = 16},
  [4076] = {.lex_state = 49, .external_lex_state = 2},
  [4077] = {.lex_state = 49, .external_lex_state = 2},
  [4078] = {.lex_state = 49, .external_lex_state = 16},
  [4079] = {.lex_state = 14, .external_lex_state = 2},
  [4080] = {.lex_state = 14, .external_lex_state = 2},
  [4081] = {.lex_state = 14, .external_lex_state = 2},
  [4082] = {.lex_state = 14, .external_lex_state = 2},
  [4083] = {.lex_state = 14, .external_lex_state = 2},
  [4084] = {.lex_state = 14, .external_lex_state = 2},
  [4085] = {.lex_state = 14, .external_lex_state = 2},
  [4086] = {.lex_state = 14, .external_lex_state = 2},
  [4087] = {.lex_state = 14, .external_lex_state = 2},
  [4088] = {.lex_state = 14, .external_lex_state = 2},
  [4089] = {.lex_state = 14, .external_lex_state = 2},
  [4090] = {.lex_state = 14, .external_lex_state = 2},
  [4091] = {.lex_state = 14, .external_lex_state = 2},
  [4092] = {.lex_state = 14, .external_lex_state = 2},
  [4093] = {.lex_state = 14, .external_lex_state = 2},
  [4094] = {.lex_state = 14, .external_lex_state = 2},
  [4095] = {.lex_state = 14, .external_lex_state = 2},
  [4096] = {.lex_state = 14, .external_lex_state = 2},
  [4097] = {.lex_state = 49, .external_lex_state = 2},
  [4098] = {.lex_state = 14, .external_lex_state = 2},
  [4099] = {.lex_state = 14, .external_lex_state = 2},
  [4100] = {.lex_state = 14, .external_lex_state = 2},
  [4101] = {.lex_state = 14, .external_lex_state = 2},
  [4102] = {.lex_state = 14, .external_lex_state = 2},
  [4103] = {.lex_state = 14, .external_lex_state = 2},
  [4104] = {.lex_state = 14, .external_lex_state = 2},
  [4105] = {.lex_state = 14, .external_lex_state = 2},
  [4106] = {.lex_state = 14, .external_lex_state = 2},
  [4107] = {.lex_state = 14, .external_lex_state = 2},
  [4108] = {.lex_state = 14, .external_lex_state = 2},
  [4109] = {.lex_state = 14, .external_lex_state = 2},
  [4110] = {.lex_state = 14, .external_lex_state = 2},
  [4111] = {.lex_state = 14, .external_lex_state = 2},
  [4112] = {.lex_state = 14, .external_lex_state = 2},
  [4113] = {.lex_state = 14, .external_lex_state = 2},
  [4114] = {.lex_state = 14, .external_lex_state = 2},
  [4115] = {.lex_state = 14, .external_lex_state = 2},
  [4116] = {.lex_state = 14, .external_lex_state = 2},
  [4117] = {.lex_state = 14, .external_lex_state = 2},
  [4118] = {.lex_state = 14, .external_lex_state = 2},
  [4119] = {.lex_state = 14, .external_lex_state = 2},
  [4120] = {.lex_state = 14, .external_lex_state = 2},
  [4121] = {.lex_state = 14, .external_lex_state = 2},
  [4122] = {.lex_state = 14, .external_lex_state = 2},
  [4123] = {.lex_state = 14, .external_lex_state = 2},
  [4124] = {.lex_state = 14, .external_lex_state = 2},
  [4125] = {.lex_state = 14, .external_lex_state = 2},
  [4126] = {.lex_state = 14, .external_lex_state = 2},
  [4127] = {.lex_state = 14, .external_lex_state = 2},
  [4128] = {.lex_state = 14, .external_lex_state = 2},
  [4129] = {.lex_state = 14, .external_lex_state = 2},
  [4130] = {.lex_state = 14, .external_lex_state = 2},
  [4131] = {.lex_state = 14, .external_lex_state = 2},
  [4132] = {.lex_state = 14, .external_lex_state = 2},
  [4133] = {.lex_state = 14, .external_lex_state = 2},
  [4134] = {.lex_state = 14, .external_lex_state = 2},
  [4135] = {.lex_state = 14, .external_lex_state = 2},
  [4136] = {.lex_state = 14, .external_lex_state = 2},
  [4137] = {.lex_state = 62, .external_lex_state = 23},
  [4138] = {.lex_state = 51, .external_lex_state = 23},
  [4139] = {.lex_state = 62, .external_lex_state = 23},
  [4140] = {.lex_state = 62, .external_lex_state = 23},
  [4141] = {.lex_state = 51, .external_lex_state = 23},
  [4142] = {.lex_state = 14, .external_lex_state = 2},
  [4143] = {.lex_state = 14, .external_lex_state = 2},
  [4144] = {.lex_state = 14, .external_lex_state = 2},
  [4145] = {.lex_state = 14, .external_lex_state = 2},
  [4146] = {.lex_state = 62, .external_lex_state = 23},
  [4147] = {.lex_state = 62, .external_lex_state = 23},
  [4148] = {.lex_state = 62, .external_lex_state = 23},
  [4149] = {.lex_state = 62, .external_lex_state = 23},
  [4150] = {.lex_state = 62, .external_lex_state = 23},
  [4151] = {.lex_state = 62, .external_lex_state = 23},
  [4152] = {.lex_state = 14, .external_lex_state = 2},
  [4153] = {.lex_state = 62, .external_lex_state = 23},
  [4154] = {.lex_state = 51, .external_lex_state = 24},
  [4155] = {.lex_state = 14, .external_lex_state = 2},
  [4156] = {.lex_state = 51, .external_lex_state = 23},
  [4157] = {.lex_state = 51, .external_lex_state = 24},
  [4158] = {.lex_state = 2, .external_lex_state = 2},
  [4159] = {.lex_state = 51, .external_lex_state = 23},
  [4160] = {.lex_state = 14, .external_lex_state = 2},
  [4161] = {.lex_state = 14, .external_lex_state = 2},
  [4162] = {.lex_state = 2, .external_lex_state = 2},
  [4163] = {.lex_state = 14, .external_lex_state = 2},
  [4164] = {.lex_state = 62, .external_lex_state = 23},
  [4165] = {.lex_state = 51, .external_lex_state = 23},
  [4166] = {.lex_state = 62, .external_lex_state = 23},
  [4167] = {.lex_state = 14, .external_lex_state = 2},
  [4168] = {.lex_state = 62, .external_lex_state = 23},
  [4169] = {.lex_state = 14, .external_lex_state = 2},
  [4170] = {.lex_state = 14, .external_lex_state = 2},
  [4171] = {.lex_state = 14, .external_lex_state = 2},
  [4172] = {.lex_state = 14, .external_lex_state = 2},
  [4173] = {.lex_state = 62, .external_lex_state = 23},
  [4174] = {.lex_state = 14, .external_lex_state = 2},
  [4175] = {.lex_state = 14, .external_lex_state = 2},
  [4176] = {.lex_state = 51, .external_lex_state = 23},
  [4177] = {.lex_state = 62, .external_lex_state = 23},
  [4178] = {.lex_state = 51, .external_lex_state = 24},
  [4179] = {.lex_state = 53},
  [4180] = {.lex_state = 49, .external_lex_state = 3},
  [4181] = {.lex_state = 53},
  [4182] = {.lex_state = 53, .external_lex_state = 25},
  [4183] = {.lex_state = 53, .external_lex_state = 25},
  [4184] = {.lex_state = 53, .external_lex_state = 25},
  [4185] = {.lex_state = 53, .external_lex_state = 25},
  [4186] = {.lex_state = 53},
  [4187] = {.lex_state = 51, .external_lex_state = 24},
  [4188] = {.lex_state = 51, .external_lex_state = 23},
  [4189] = {.lex_state = 53, .external_lex_state = 25},
  [4190] = {.lex_state = 62},
  [4191] = {.lex_state = 53},
  [4192] = {.lex_state = 53},
  [4193] = {.lex_state = 62},
  [4194] = {.lex_state = 53},
  [4195] = {.lex_state = 62},
  [4196] = {.lex_state = 56, .external_lex_state = 26},
  [4197] = {.lex_state = 53},
  [4198] = {.lex_state = 53},
  [4199] = {.lex_state = 53},
  [4200] = {.lex_state = 51, .external_lex_state = 23},
  [4201] = {.lex_state = 62},
  [4202] = {.lex_state = 62},
  [4203] = {.lex_state = 62, .external_lex_state = 26},
  [4204] = {.lex_state = 62},
  [4205] = {.lex_state = 62},
  [4206] = {.lex_state = 62},
  [4207] = {.lex_state = 53},
  [4208] = {.lex_state = 62},
  [4209] = {.lex_state = 53},
  [4210] = {.lex_state = 55, .external_lex_state = 26},
  [4211] = {.lex_state = 62},
  [4212] = {.lex_state = 53, .external_lex_state = 25},
  [4213] = {.lex_state = 56, .external_lex_state = 27},
  [4214] = {.lex_state = 53},
  [4215] = {.lex_state = 62},
  [4216] = {.lex_state = 62},
  [4217] = {.lex_state = 56, .external_lex_state = 26},
  [4218] = {.lex_state = 62},
  [4219] = {.lex_state = 62},
  [4220] = {.lex_state = 62},
  [4221] = {.lex_state = 62},
  [4222] = {.lex_state = 62},
  [4223] = {.lex_state = 62},
  [4224] = {.lex_state = 62},
  [4225] = {.lex_state = 60, .external_lex_state = 26},
  [4226] = {.lex_state = 53},
  [4227] = {.lex_state = 62},
  [4228] = {.lex_state = 62},
  [4229] = {.lex_state = 62},
  [4230] = {.lex_state = 62},
  [4231] = {.lex_state = 62},
  [4232] = {.lex_state = 62},
  [4233] = {.lex_state = 62},
  [4234] = {.lex_state = 62},
  [4235] = {.lex_state = 62},
  [4236] = {.lex_state = 62},
  [4237] = {.lex_state = 62},
  [4238] = {.lex_state = 62},
  [4239] = {.lex_state = 62, .external_lex_state = 27},
  [4240] = {.lex_state = 62},
  [4241] = {.lex_state = 62},
  [4242] = {.lex_state = 53},
  [4243] = {.lex_state = 62},
  [4244] = {.lex_state = 62},
  [4245] = {.lex_state = 62},
  [4246] = {.lex_state = 62},
  [4247] = {.lex_state = 62},
  [4248] = {.lex_state = 62},
  [4249] = {.lex_state = 53, .external_lex_state = 25},
  [4250] = {.lex_state = 57, .external_lex_state = 26},
  [4251] = {.lex_state = 53},
  [4252] = {.lex_state = 62},
  [4253] = {.lex_state = 62},
  [4254] = {.lex_state = 51, .external_lex_state = 28},
  [4255] = {.lex_state = 62},
  [4256] = {.lex_state = 62},
  [4257] = {.lex_state = 62},
  [4258] = {.lex_state = 53},
  [4259] = {.lex_state = 55, .external_lex_state = 29},
  [4260] = {.lex_state = 62},
  [4261] = {.lex_state = 62},
  [4262] = {.lex_state = 56, .external_lex_state = 29},
  [4263] = {.lex_state = 62, .external_lex_state = 26},
  [4264] = {.lex_state = 55, .external_lex_state = 27},
  [4265] = {.lex_state = 62},
  [4266] = {.lex_state = 62},
  [4267] = {.lex_state = 53, .external_lex_state = 25},
  [4268] = {.lex_state = 62},
  [4269] = {.lex_state = 62},
  [4270] = {.lex_state = 53, .external_lex_state = 25},
  [4271] = {.lex_state = 62},
  [4272] = {.lex_state = 62},
  [4273] = {.lex_state = 53, .external_lex_state = 25},
  [4274] = {.lex_state = 53, .external_lex_state = 25},
  [4275] = {.lex_state = 56, .external_lex_state = 26},
  [4276] = {.lex_state = 62},
  [4277] = {.lex_state = 62},
  [4278] = {.lex_state = 62},
  [4279] = {.lex_state = 62},
  [4280] = {.lex_state = 60, .external_lex_state = 26},
  [4281] = {.lex_state = 53, .external_lex_state = 25},
  [4282] = {.lex_state = 62},
  [4283] = {.lex_state = 53, .external_lex_state = 25},
  [4284] = {.lex_state = 62},
  [4285] = {.lex_state = 62},
  [4286] = {.lex_state = 60, .external_lex_state = 26},
  [4287] = {.lex_state = 62},
  [4288] = {.lex_state = 53},
  [4289] = {.lex_state = 62},
  [4290] = {.lex_state = 62},
  [4291] = {.lex_state = 62},
  [4292] = {.lex_state = 53},
  [4293] = {.lex_state = 53, .external_lex_state = 25},
  [4294] = {.lex_state = 55, .external_lex_state = 26},
  [4295] = {.lex_state = 53, .external_lex_state = 25},
  [4296] = {.lex_state = 53, .external_lex_state = 25},
  [4297] = {.lex_state = 53, .external_lex_state = 25},
  [4298] = {.lex_state = 53},
  [4299] = {.lex_state = 53},
  [4300] = {.lex_state = 62},
  [4301] = {.lex_state = 53, .external_lex_state = 25},
  [4302] = {.lex_state = 62},
  [4303] = {.lex_state = 53},
  [4304] = {.lex_state = 53},
  [4305] = {.lex_state = 62},
  [4306] = {.lex_state = 53, .external_lex_state = 25},
  [4307] = {.lex_state = 62},
  [4308] = {.lex_state = 62},
  [4309] = {.lex_state = 62},
  [4310] = {.lex_state = 53, .external_lex_state = 25},
  [4311] = {.lex_state = 62, .external_lex_state = 29},
  [4312] = {.lex_state = 62},
  [4313] = {.lex_state = 62},
  [4314] = {.lex_state = 62},
  [4315] = {.lex_state = 62},
  [4316] = {.lex_state = 62},
  [4317] = {.lex_state = 62},
  [4318] = {.lex_state = 62},
  [4319] = {.lex_state = 56, .external_lex_state = 30},
  [4320] = {.lex_state = 62},
  [4321] = {.lex_state = 62},
  [4322] = {.lex_state = 60, .external_lex_state = 26},
  [4323] = {.lex_state = 62},
  [4324] = {.lex_state = 60, .external_lex_state = 26},
  [4325] = {.lex_state = 62},
  [4326] = {.lex_state = 60, .external_lex_state = 29},
  [4327] = {.lex_state = 62},
  [4328] = {.lex_state = 60, .external_lex_state = 27},
  [4329] = {.lex_state = 62},
  [4330] = {.lex_state = 55, .external_lex_state = 30},
  [4331] = {.lex_state = 62},
  [4332] = {.lex_state = 51, .external_lex_state = 28},
  [4333] = {.lex_state = 56, .external_lex_state = 27},
  [4334] = {.lex_state = 55, .external_lex_state = 29},
  [4335] = {.lex_state = 55, .external_lex_state = 31},
  [4336] = {.lex_state = 62},
  [4337] = {.lex_state = 62},
  [4338] = {.lex_state = 62},
  [4339] = {.lex_state = 62},
  [4340] = {.lex_state = 51, .external_lex_state = 32},
  [4341] = {.lex_state = 62},
  [4342] = {.lex_state = 62},
  [4343] = {.lex_state = 62},
  [4344] = {.lex_state = 55, .external_lex_state = 26},
  [4345] = {.lex_state = 62},
  [4346] = {.lex_state = 62},
  [4347] = {.lex_state = 62},
  [4348] = {.lex_state = 62},
  [4349] = {.lex_state = 62},
  [4350] = {.lex_state = 56, .external_lex_state = 29},
  [4351] = {.lex_state = 60, .external_lex_state = 27},
  [4352] = {.lex_state = 62},
  [4353] = {.lex_state = 62, .external_lex_state = 29},
  [4354] = {.lex_state = 55, .external_lex_state = 33},
  [4355] = {.lex_state = 60, .external_lex_state = 29},
  [4356] = {.lex_state = 51, .external_lex_state = 26},
  [4357] = {.lex_state = 62},
  [4358] = {.lex_state = 62},
  [4359] = {.lex_state = 62},
  [4360] = {.lex_state = 53},
  [4361] = {.lex_state = 51, .external_lex_state = 26},
  [4362] = {.lex_state = 57, .external_lex_state = 29},
  [4363] = {.lex_state = 62},
  [4364] = {.lex_state = 62, .external_lex_state = 28},
  [4365] = {.lex_state = 62},
  [4366] = {.lex_state = 62},
  [4367] = {.lex_state = 62},
  [4368] = {.lex_state = 62, .external_lex_state = 31},
  [4369] = {.lex_state = 56, .external_lex_state = 31},
  [4370] = {.lex_state = 62},
  [4371] = {.lex_state = 62},
  [4372] = {.lex_state = 56, .external_lex_state = 33},
  [4373] = {.lex_state = 62},
  [4374] = {.lex_state = 62},
  [4375] = {.lex_state = 62},
  [4376] = {.lex_state = 51, .external_lex_state = 34},
  [4377] = {.lex_state = 55, .external_lex_state = 27},
  [4378] = {.lex_state = 55, .external_lex_state = 26},
  [4379] = {.lex_state = 62},
  [4380] = {.lex_state = 55, .external_lex_state = 26},
  [4381] = {.lex_state = 51, .external_lex_state = 28},
  [4382] = {.lex_state = 62},
  [4383] = {.lex_state = 60, .external_lex_state = 27},
  [4384] = {.lex_state = 62},
  [4385] = {.lex_state = 62},
  [4386] = {.lex_state = 60, .external_lex_state = 29},
  [4387] = {.lex_state = 62, .external_lex_state = 30},
  [4388] = {.lex_state = 62, .external_lex_state = 33},
  [4389] = {.lex_state = 57, .external_lex_state = 27},
  [4390] = {.lex_state = 57, .external_lex_state = 26},
  [4391] = {.lex_state = 51, .external_lex_state = 26},
  [4392] = {.lex_state = 62},
  [4393] = {.lex_state = 62, .external_lex_state = 28},
  [4394] = {.lex_state = 56, .external_lex_state = 27},
  [4395] = {.lex_state = 56, .external_lex_state = 29},
  [4396] = {.lex_state = 55, .external_lex_state = 26},
  [4397] = {.lex_state = 62, .external_lex_state = 28},
  [4398] = {.lex_state = 62, .external_lex_state = 27},
  [4399] = {.lex_state = 62},
  [4400] = {.lex_state = 56, .external_lex_state = 33},
  [4401] = {.lex_state = 55, .external_lex_state = 33},
  [4402] = {.lex_state = 62, .external_lex_state = 34},
  [4403] = {.lex_state = 60, .external_lex_state = 31},
  [4404] = {.lex_state = 55, .external_lex_state = 27},
  [4405] = {.lex_state = 51, .external_lex_state = 32},
  [4406] = {.lex_state = 57, .external_lex_state = 26},
  [4407] = {.lex_state = 55, .external_lex_state = 26},
  [4408] = {.lex_state = 56, .external_lex_state = 33},
  [4409] = {.lex_state = 55, .external_lex_state = 26},
  [4410] = {.lex_state = 57, .external_lex_state = 26},
  [4411] = {.lex_state = 55, .external_lex_state = 29},
  [4412] = {.lex_state = 62, .external_lex_state = 32},
  [4413] = {.lex_state = 51, .external_lex_state = 27},
  [4414] = {.lex_state = 60, .external_lex_state = 26},
  [4415] = {.lex_state = 60, .external_lex_state = 26},
  [4416] = {.lex_state = 62, .external_lex_state = 26},
  [4417] = {.lex_state = 60, .external_lex_state = 30},
  [4418] = {.lex_state = 55, .external_lex_state = 26},
  [4419] = {.lex_state = 55, .external_lex_state = 27},
  [4420] = {.lex_state = 62, .external_lex_state = 34},
  [4421] = {.lex_state = 51, .external_lex_state = 29},
  [4422] = {.lex_state = 56, .external_lex_state = 35},
  [4423] = {.lex_state = 51, .external_lex_state = 27},
  [4424] = {.lex_state = 55, .external_lex_state = 26},
  [4425] = {.lex_state = 56, .external_lex_state = 30},
  [4426] = {.lex_state = 60, .external_lex_state = 27},
  [4427] = {.lex_state = 60, .external_lex_state = 29},
  [4428] = {.lex_state = 60, .external_lex_state = 29},
  [4429] = {.lex_state = 60, .external_lex_state = 27},
  [4430] = {.lex_state = 55, .external_lex_state = 26},
  [4431] = {.lex_state = 51, .external_lex_state = 29},
  [4432] = {.lex_state = 55, .external_lex_state = 26},
  [4433] = {.lex_state = 60, .external_lex_state = 30},
  [4434] = {.lex_state = 62, .external_lex_state = 32},
  [4435] = {.lex_state = 55, .external_lex_state = 36},
  [4436] = {.lex_state = 55, .external_lex_state = 30},
  [4437] = {.lex_state = 51, .external_lex_state = 28},
  [4438] = {.lex_state = 56, .external_lex_state = 36},
  [4439] = {.lex_state = 62, .external_lex_state = 26},
  [4440] = {.lex_state = 55, .external_lex_state = 26},
  [4441] = {.lex_state = 51, .external_lex_state = 26},
  [4442] = {.lex_state = 60, .external_lex_state = 31},
  [4443] = {.lex_state = 57, .external_lex_state = 27},
  [4444] = {.lex_state = 55, .external_lex_state = 27},
  [4445] = {.lex_state = 56, .external_lex_state = 30},
  [4446] = {.lex_state = 51, .external_lex_state = 26},
  [4447] = {.lex_state = 55, .external_lex_state = 31},
  [4448] = {.lex_state = 62, .external_lex_state = 31},
  [4449] = {.lex_state = 57, .external_lex_state = 26},
  [4450] = {.lex_state = 55, .external_lex_state = 26},
  [4451] = {.lex_state = 55, .external_lex_state = 26},
  [4452] = {.lex_state = 60, .external_lex_state = 30},
  [4453] = {.lex_state = 60, .external_lex_state = 33},
  [4454] = {.lex_state = 55, .external_lex_state = 35},
  [4455] = {.lex_state = 51, .external_lex_state = 28},
  [4456] = {.lex_state = 60, .external_lex_state = 31},
  [4457] = {.lex_state = 55, .external_lex_state = 37},
  [4458] = {.lex_state = 57, .external_lex_state = 30},
  [4459] = {.lex_state = 62, .external_lex_state = 33},
  [4460] = {.lex_state = 51, .external_lex_state = 29},
  [4461] = {.lex_state = 62},
  [4462] = {.lex_state = 51, .external_lex_state = 34},
  [4463] = {.lex_state = 62, .external_lex_state = 35},
  [4464] = {.lex_state = 55, .external_lex_state = 26},
  [4465] = {.lex_state = 62, .external_lex_state = 30},
  [4466] = {.lex_state = 60, .external_lex_state = 33},
  [4467] = {.lex_state = 56, .external_lex_state = 31},
  [4468] = {.lex_state = 60, .external_lex_state = 33},
  [4469] = {.lex_state = 56, .external_lex_state = 37},
  [4470] = {.lex_state = 55, .external_lex_state = 26},
  [4471] = {.lex_state = 51, .external_lex_state = 27},
  [4472] = {.lex_state = 55, .external_lex_state = 26},
  [4473] = {.lex_state = 55, .external_lex_state = 26},
  [4474] = {.lex_state = 51, .external_lex_state = 34},
  [4475] = {.lex_state = 56, .external_lex_state = 31},
  [4476] = {.lex_state = 62, .external_lex_state = 37},
  [4477] = {.lex_state = 51, .external_lex_state = 38},
  [4478] = {.lex_state = 62, .external_lex_state = 36},
  [4479] = {.lex_state = 62, .external_lex_state = 26},
  [4480] = {.lex_state = 55, .external_lex_state = 29},
  [4481] = {.lex_state = 62, .external_lex_state = 32},
  [4482] = {.lex_state = 51, .external_lex_state = 23},
  [4483] = {.lex_state = 55, .external_lex_state = 29},
  [4484] = {.lex_state = 62, .external_lex_state = 26},
  [4485] = {.lex_state = 51, .external_lex_state = 32},
  [4486] = {.lex_state = 57, .external_lex_state = 35},
  [4487] = {.lex_state = 57, .external_lex_state = 33},
  [4488] = {.lex_state = 57, .external_lex_state = 29},
  [4489] = {.lex_state = 55, .external_lex_state = 26},
  [4490] = {.lex_state = 57, .external_lex_state = 26},
  [4491] = {.lex_state = 51, .external_lex_state = 39},
  [4492] = {.lex_state = 57, .external_lex_state = 31},
  [4493] = {.lex_state = 62, .external_lex_state = 34},
  [4494] = {.lex_state = 55, .external_lex_state = 29},
  [4495] = {.lex_state = 51, .external_lex_state = 40},
  [4496] = {.lex_state = 55, .external_lex_state = 27},
  [4497] = {.lex_state = 56, .external_lex_state = 26},
  [4498] = {.lex_state = 57, .external_lex_state = 26},
  [4499] = {.lex_state = 55, .external_lex_state = 27},
  [4500] = {.lex_state = 55, .external_lex_state = 29},
  [4501] = {.lex_state = 55, .external_lex_state = 27},
  [4502] = {.lex_state = 56, .external_lex_state = 26},
  [4503] = {.lex_state = 56, .external_lex_state = 26},
  [4504] = {.lex_state = 55, .external_lex_state = 35},
  [4505] = {.lex_state = 56, .external_lex_state = 36},
  [4506] = {.lex_state = 51, .external_lex_state = 35},
  [4507] = {.lex_state = 51, .external_lex_state = 32},
  [4508] = {.lex_state = 55, .external_lex_state = 29},
  [4509] = {.lex_state = 60, .external_lex_state = 31},
  [4510] = {.lex_state = 55, .external_lex_state = 29},
  [4511] = {.lex_state = 55, .external_lex_state = 33},
  [4512] = {.lex_state = 55, .external_lex_state = 29},
  [4513] = {.lex_state = 60, .external_lex_state = 31},
  [4514] = {.lex_state = 55, .external_lex_state = 27},
  [4515] = {.lex_state = 51, .external_lex_state = 23},
  [4516] = {.lex_state = 55, .external_lex_state = 29},
  [4517] = {.lex_state = 56, .external_lex_state = 26},
  [4518] = {.lex_state = 55, .external_lex_state = 29},
  [4519] = {.lex_state = 51, .external_lex_state = 31},
  [4520] = {.lex_state = 55, .external_lex_state = 27},
  [4521] = {.lex_state = 56, .external_lex_state = 26},
  [4522] = {.lex_state = 55, .external_lex_state = 29},
  [4523] = {.lex_state = 60, .external_lex_state = 36},
  [4524] = {.lex_state = 62, .external_lex_state = 41},
  [4525] = {.lex_state = 62, .external_lex_state = 40},
  [4526] = {.lex_state = 55, .external_lex_state = 29},
  [4527] = {.lex_state = 56, .external_lex_state = 26},
  [4528] = {.lex_state = 62, .external_lex_state = 29},
  [4529] = {.lex_state = 55, .external_lex_state = 27},
  [4530] = {.lex_state = 51, .external_lex_state = 32},
  [4531] = {.lex_state = 60, .external_lex_state = 35},
  [4532] = {.lex_state = 55, .external_lex_state = 26},
  [4533] = {.lex_state = 51, .external_lex_state = 38},
  [4534] = {.lex_state = 56, .external_lex_state = 26},
  [4535] = {.lex_state = 62, .external_lex_state = 29},
  [4536] = {.lex_state = 60, .external_lex_state = 36},
  [4537] = {.lex_state = 51, .external_lex_state = 27},
  [4538] = {.lex_state = 57, .external_lex_state = 27},
  [4539] = {.lex_state = 51, .external_lex_state = 27},
  [4540] = {.lex_state = 60, .external_lex_state = 36},
  [4541] = {.lex_state = 56, .external_lex_state = 41},
  [4542] = {.lex_state = 55, .external_lex_state = 30},
  [4543] = {.lex_state = 55, .external_lex_state = 27},
  [4544] = {.lex_state = 62, .external_lex_state = 38},
  [4545] = {.lex_state = 51, .external_lex_state = 38},
  [4546] = {.lex_state = 56, .external_lex_state = 26},
  [4547] = {.lex_state = 56, .external_lex_state = 26},
  [4548] = {.lex_state = 60, .external_lex_state = 37},
  [4549] = {.lex_state = 56, .external_lex_state = 42},
  [4550] = {.lex_state = 56, .external_lex_state = 35},
  [4551] = {.lex_state = 55, .external_lex_state = 31},
  [4552] = {.lex_state = 62, .external_lex_state = 39},
  [4553] = {.lex_state = 55, .external_lex_state = 43},
  [4554] = {.lex_state = 55, .external_lex_state = 29},
  [4555] = {.lex_state = 51, .external_lex_state = 39},
  [4556] = {.lex_state = 56, .external_lex_state = 35},
  [4557] = {.lex_state = 62, .external_lex_state = 43},
  [4558] = {.lex_state = 51, .external_lex_state = 28},
  [4559] = {.lex_state = 57, .external_lex_state = 31},
  [4560] = {.lex_state = 62, .external_lex_state = 27},
  [4561] = {.lex_state = 62, .external_lex_state = 28},
  [4562] = {.lex_state = 57, .external_lex_state = 29},
  [4563] = {.lex_state = 55, .external_lex_state = 27},
  [4564] = {.lex_state = 55, .external_lex_state = 29},
  [4565] = {.lex_state = 62, .external_lex_state = 38},
  [4566] = {.lex_state = 56, .external_lex_state = 26},
  [4567] = {.lex_state = 55, .external_lex_state = 31},
  [4568] = {.lex_state = 57, .external_lex_state = 44},
  [4569] = {.lex_state = 57, .external_lex_state = 30},
  [4570] = {.lex_state = 62, .external_lex_state = 39},
  [4571] = {.lex_state = 51, .external_lex_state = 39},
  [4572] = {.lex_state = 55, .external_lex_state = 27},
  [4573] = {.lex_state = 51, .external_lex_state = 31},
  [4574] = {.lex_state = 56, .external_lex_state = 36},
  [4575] = {.lex_state = 55, .external_lex_state = 29},
  [4576] = {.lex_state = 62, .external_lex_state = 27},
  [4577] = {.lex_state = 62, .external_lex_state = 35},
  [4578] = {.lex_state = 57, .external_lex_state = 33},
  [4579] = {.lex_state = 56, .external_lex_state = 26},
  [4580] = {.lex_state = 57, .external_lex_state = 26},
  [4581] = {.lex_state = 55, .external_lex_state = 31},
  [4582] = {.lex_state = 55, .external_lex_state = 27},
  [4583] = {.lex_state = 57, .external_lex_state = 27},
  [4584] = {.lex_state = 57, .external_lex_state = 26},
  [4585] = {.lex_state = 56, .external_lex_state = 26},
  [4586] = {.lex_state = 57, .external_lex_state = 29},
  [4587] = {.lex_state = 62, .external_lex_state = 39},
  [4588] = {.lex_state = 60, .external_lex_state = 37},
  [4589] = {.lex_state = 57, .external_lex_state = 35},
  [4590] = {.lex_state = 57, .external_lex_state = 37},
  [4591] = {.lex_state = 56, .external_lex_state = 26},
  [4592] = {.lex_state = 57, .external_lex_state = 29},
  [4593] = {.lex_state = 60, .external_lex_state = 27},
  [4594] = {.lex_state = 57, .external_lex_state = 26},
  [4595] = {.lex_state = 56, .external_lex_state = 26},
  [4596] = {.lex_state = 57, .external_lex_state = 27},
  [4597] = {.lex_state = 57, .external_lex_state = 26},
  [4598] = {.lex_state = 55, .external_lex_state = 31},
  [4599] = {.lex_state = 62, .external_lex_state = 40},
  [4600] = {.lex_state = 62, .external_lex_state = 45},
  [4601] = {.lex_state = 57, .external_lex_state = 26},
  [4602] = {.lex_state = 62, .external_lex_state = 42},
  [4603] = {.lex_state = 62, .external_lex_state = 38},
  [4604] = {.lex_state = 62, .external_lex_state = 40},
  [4605] = {.lex_state = 51, .external_lex_state = 46},
  [4606] = {.lex_state = 60, .external_lex_state = 35},
  [4607] = {.lex_state = 56, .external_lex_state = 26},
  [4608] = {.lex_state = 51, .external_lex_state = 33},
  [4609] = {.lex_state = 55, .external_lex_state = 41},
  [4610] = {.lex_state = 57, .external_lex_state = 26},
  [4611] = {.lex_state = 57, .external_lex_state = 26},
  [4612] = {.lex_state = 51, .external_lex_state = 31},
  [4613] = {.lex_state = 55, .external_lex_state = 27},
  [4614] = {.lex_state = 56, .external_lex_state = 43},
  [4615] = {.lex_state = 57, .external_lex_state = 26},
  [4616] = {.lex_state = 55, .external_lex_state = 27},
  [4617] = {.lex_state = 60, .external_lex_state = 37},
  [4618] = {.lex_state = 60, .external_lex_state = 29},
  [4619] = {.lex_state = 55, .external_lex_state = 37},
  [4620] = {.lex_state = 62, .external_lex_state = 37},
  [4621] = {.lex_state = 55, .external_lex_state = 27},
  [4622] = {.lex_state = 51, .external_lex_state = 29},
  [4623] = {.lex_state = 51, .external_lex_state = 35},
  [4624] = {.lex_state = 51, .external_lex_state = 29},
  [4625] = {.lex_state = 57, .external_lex_state = 26},
  [4626] = {.lex_state = 57, .external_lex_state = 26},
  [4627] = {.lex_state = 51, .external_lex_state = 47},
  [4628] = {.lex_state = 60, .external_lex_state = 26},
  [4629] = {.lex_state = 56, .external_lex_state = 26},
  [4630] = {.lex_state = 55, .external_lex_state = 42},
  [4631] = {.lex_state = 57, .external_lex_state = 26},
  [4632] = {.lex_state = 60, .external_lex_state = 26},
  [4633] = {.lex_state = 57, .external_lex_state = 36},
  [4634] = {.lex_state = 60, .external_lex_state = 27},
  [4635] = {.lex_state = 56, .external_lex_state = 26},
  [4636] = {.lex_state = 51, .external_lex_state = 30},
  [4637] = {.lex_state = 57, .external_lex_state = 29},
  [4638] = {.lex_state = 60, .external_lex_state = 26},
  [4639] = {.lex_state = 57, .external_lex_state = 26},
  [4640] = {.lex_state = 62, .external_lex_state = 27},
  [4641] = {.lex_state = 60, .external_lex_state = 29},
  [4642] = {.lex_state = 55, .external_lex_state = 27},
  [4643] = {.lex_state = 55, .external_lex_state = 45},
  [4644] = {.lex_state = 51, .external_lex_state = 33},
  [4645] = {.lex_state = 56, .external_lex_state = 37},
  [4646] = {.lex_state = 51, .external_lex_state = 28},
  [4647] = {.lex_state = 55, .external_lex_state = 26},
  [4648] = {.lex_state = 62, .external_lex_state = 36},
  [4649] = {.lex_state = 51, .external_lex_state = 30},
  [4650] = {.lex_state = 51, .external_lex_state = 33},
  [4651] = {.lex_state = 55, .external_lex_state = 33},
  [4652] = {.lex_state = 53},
  [4653] = {.lex_state = 55, .external_lex_state = 26},
  [4654] = {.lex_state = 55, .external_lex_state = 33},
  [4655] = {.lex_state = 55, .external_lex_state = 30},
  [4656] = {.lex_state = 55, .external_lex_state = 30},
  [4657] = {.lex_state = 60, .external_lex_state = 33},
  [4658] = {.lex_state = 60, .external_lex_state = 35},
  [4659] = {.lex_state = 57, .external_lex_state = 27},
  [4660] = {.lex_state = 62, .external_lex_state = 29},
  [4661] = {.lex_state = 60, .external_lex_state = 33},
  [4662] = {.lex_state = 56, .external_lex_state = 37},
  [4663] = {.lex_state = 51, .external_lex_state = 35},
  [4664] = {.lex_state = 60, .external_lex_state = 30},
  [4665] = {.lex_state = 60, .external_lex_state = 30},
  [4666] = {.lex_state = 51, .external_lex_state = 26},
  [4667] = {.lex_state = 51, .external_lex_state = 34},
  [4668] = {.lex_state = 55, .external_lex_state = 27},
  [4669] = {.lex_state = 55, .external_lex_state = 30},
  [4670] = {.lex_state = 51, .external_lex_state = 34},
  [4671] = {.lex_state = 55, .external_lex_state = 36},
  [4672] = {.lex_state = 62, .external_lex_state = 29},
  [4673] = {.lex_state = 51, .external_lex_state = 30},
  [4674] = {.lex_state = 55, .external_lex_state = 33},
  [4675] = {.lex_state = 62, .external_lex_state = 27},
  [4676] = {.lex_state = 51, .external_lex_state = 26},
  [4677] = {.lex_state = 55, .external_lex_state = 29},
  [4678] = {.lex_state = 56, .external_lex_state = 45},
  [4679] = {.lex_state = 55, .external_lex_state = 29},
  [4680] = {.lex_state = 55, .external_lex_state = 29},
  [4681] = {.lex_state = 60, .external_lex_state = 26},
  [4682] = {.lex_state = 55, .external_lex_state = 36},
  [4683] = {.lex_state = 56, .external_lex_state = 29},
  [4684] = {.lex_state = 62, .external_lex_state = 31},
  [4685] = {.lex_state = 55, .external_lex_state = 31},
  [4686] = {.lex_state = 51, .external_lex_state = 28},
  [4687] = {.lex_state = 62, .external_lex_state = 32},
  [4688] = {.lex_state = 62, .external_lex_state = 48},
  [4689] = {.lex_state = 55, .external_lex_state = 27},
  [4690] = {.lex_state = 55, .external_lex_state = 31},
  [4691] = {.lex_state = 60, .external_lex_state = 43},
  [4692] = {.lex_state = 56, .external_lex_state = 27},
  [4693] = {.lex_state = 55, .external_lex_state = 31},
  [4694] = {.lex_state = 51, .external_lex_state = 49},
  [4695] = {.lex_state = 57, .external_lex_state = 27},
  [4696] = {.lex_state = 57, .external_lex_state = 27},
  [4697] = {.lex_state = 51, .external_lex_state = 44},
  [4698] = {.lex_state = 57, .external_lex_state = 27},
  [4699] = {.lex_state = 55, .external_lex_state = 31},
  [4700] = {.lex_state = 60, .external_lex_state = 41},
  [4701] = {.lex_state = 55, .external_lex_state = 27},
  [4702] = {.lex_state = 57, .external_lex_state = 27},
  [4703] = {.lex_state = 56, .external_lex_state = 27},
  [4704] = {.lex_state = 60, .external_lex_state = 43},
  [4705] = {.lex_state = 55, .external_lex_state = 31},
  [4706] = {.lex_state = 57, .external_lex_state = 27},
  [4707] = {.lex_state = 55, .external_lex_state = 31},
  [4708] = {.lex_state = 55, .external_lex_state = 27},
  [4709] = {.lex_state = 60, .external_lex_state = 43},
  [4710] = {.lex_state = 56, .external_lex_state = 43},
  [4711] = {.lex_state = 51, .external_lex_state = 50},
  [4712] = {.lex_state = 57, .external_lex_state = 27},
  [4713] = {.lex_state = 56, .external_lex_state = 27},
  [4714] = {.lex_state = 57, .external_lex_state = 27},
  [4715] = {.lex_state = 55, .external_lex_state = 31},
  [4716] = {.lex_state = 56, .external_lex_state = 27},
  [4717] = {.lex_state = 56, .external_lex_state = 27},
  [4718] = {.lex_state = 62, .external_lex_state = 33},
  [4719] = {.lex_state = 56, .external_lex_state = 27},
  [4720] = {.lex_state = 57, .external_lex_state = 27},
  [4721] = {.lex_state = 51, .external_lex_state = 34},
  [4722] = {.lex_state = 62, .external_lex_state = 28},
  [4723] = {.lex_state = 51, .external_lex_state = 32},
  [4724] = {.lex_state = 51, .external_lex_state = 28},
  [4725] = {.lex_state = 56, .external_lex_state = 27},
  [4726] = {.lex_state = 56, .external_lex_state = 27},
  [4727] = {.lex_state = 56, .external_lex_state = 27},
  [4728] = {.lex_state = 55, .external_lex_state = 29},
  [4729] = {.lex_state = 62, .external_lex_state = 26},
  [4730] = {.lex_state = 55, .external_lex_state = 31},
  [4731] = {.lex_state = 51, .external_lex_state = 34},
  [4732] = {.lex_state = 60, .external_lex_state = 42},
  [4733] = {.lex_state = 55, .external_lex_state = 29},
  [4734] = {.lex_state = 51, .external_lex_state = 47},
  [4735] = {.lex_state = 60, .external_lex_state = 41},
  [4736] = {.lex_state = 62, .external_lex_state = 28},
  [4737] = {.lex_state = 60, .external_lex_state = 27},
  [4738] = {.lex_state = 51, .external_lex_state = 32},
  [4739] = {.lex_state = 60, .external_lex_state = 27},
  [4740] = {.lex_state = 60, .external_lex_state = 27},
  [4741] = {.lex_state = 62, .external_lex_state = 47},
  [4742] = {.lex_state = 56, .external_lex_state = 41},
  [4743] = {.lex_state = 57, .external_lex_state = 35},
  [4744] = {.lex_state = 55, .external_lex_state = 42},
  [4745] = {.lex_state = 56, .external_lex_state = 27},
  [4746] = {.lex_state = 51, .external_lex_state = 28},
  [4747] = {.lex_state = 60, .external_lex_state = 41},
  [4748] = {.lex_state = 55, .external_lex_state = 44},
  [4749] = {.lex_state = 56, .external_lex_state = 48},
  [4750] = {.lex_state = 55, .external_lex_state = 36},
  [4751] = {.lex_state = 62, .external_lex_state = 47},
  [4752] = {.lex_state = 62, .external_lex_state = 42},
  [4753] = {.lex_state = 55, .external_lex_state = 36},
  [4754] = {.lex_state = 55, .external_lex_state = 37},
  [4755] = {.lex_state = 62, .external_lex_state = 26},
  [4756] = {.lex_state = 62, .external_lex_state = 26},
  [4757] = {.lex_state = 62, .external_lex_state = 23},
  [4758] = {.lex_state = 56, .external_lex_state = 51},
  [4759] = {.lex_state = 55, .external_lex_state = 37},
  [4760] = {.lex_state = 57, .external_lex_state = 33},
  [4761] = {.lex_state = 62, .external_lex_state = 30},
  [4762] = {.lex_state = 51, .external_lex_state = 27},
  [4763] = {.lex_state = 51, .external_lex_state = 44},
  [4764] = {.lex_state = 57, .external_lex_state = 33},
  [4765] = {.lex_state = 57, .external_lex_state = 30},
  [4766] = {.lex_state = 60, .external_lex_state = 26},
  [4767] = {.lex_state = 57, .external_lex_state = 30},
  [4768] = {.lex_state = 62, .external_lex_state = 30},
  [4769] = {.lex_state = 62, .external_lex_state = 51},
  [4770] = {.lex_state = 56, .external_lex_state = 42},
  [4771] = {.lex_state = 55, .external_lex_state = 43},
  [4772] = {.lex_state = 56, .external_lex_state = 29},
  [4773] = {.lex_state = 55, .external_lex_state = 30},
  [4774] = {.lex_state = 51, .external_lex_state = 52},
  [4775] = {.lex_state = 56, .external_lex_state = 29},
  [4776] = {.lex_state = 57, .external_lex_state = 31},
  [4777] = {.lex_state = 57, .external_lex_state = 29},
  [4778] = {.lex_state = 51, .external_lex_state = 37},
  [4779] = {.lex_state = 57, .external_lex_state = 31},
  [4780] = {.lex_state = 57, .external_lex_state = 29},
  [4781] = {.lex_state = 57, .external_lex_state = 29},
  [4782] = {.lex_state = 62, .external_lex_state = 33},
  [4783] = {.lex_state = 62, .external_lex_state = 33},
  [4784] = {.lex_state = 51, .external_lex_state = 37},
  [4785] = {.lex_state = 60, .external_lex_state = 30},
  [4786] = {.lex_state = 60, .external_lex_state = 26},
  [4787] = {.lex_state = 55, .external_lex_state = 31},
  [4788] = {.lex_state = 60, .external_lex_state = 42},
  [4789] = {.lex_state = 62, .external_lex_state = 47},
  [4790] = {.lex_state = 60, .external_lex_state = 33},
  [4791] = {.lex_state = 57, .external_lex_state = 29},
  [4792] = {.lex_state = 57, .external_lex_state = 31},
  [4793] = {.lex_state = 56, .external_lex_state = 42},
  [4794] = {.lex_state = 62, .external_lex_state = 43},
  [4795] = {.lex_state = 51, .external_lex_state = 44},
  [4796] = {.lex_state = 62, .external_lex_state = 30},
  [4797] = {.lex_state = 51, .external_lex_state = 36},
  [4798] = {.lex_state = 57, .external_lex_state = 44},
  [4799] = {.lex_state = 57, .external_lex_state = 45},
  [4800] = {.lex_state = 60, .external_lex_state = 30},
  [4801] = {.lex_state = 51, .external_lex_state = 39},
  [4802] = {.lex_state = 60, .external_lex_state = 42},
  [4803] = {.lex_state = 60, .external_lex_state = 45},
  [4804] = {.lex_state = 56, .external_lex_state = 29},
  [4805] = {.lex_state = 57, .external_lex_state = 42},
  [4806] = {.lex_state = 57, .external_lex_state = 29},
  [4807] = {.lex_state = 60, .external_lex_state = 33},
  [4808] = {.lex_state = 51, .external_lex_state = 28},
  [4809] = {.lex_state = 56, .external_lex_state = 29},
  [4810] = {.lex_state = 51, .external_lex_state = 36},
  [4811] = {.lex_state = 56, .external_lex_state = 29},
  [4812] = {.lex_state = 56, .external_lex_state = 26},
  [4813] = {.lex_state = 56, .external_lex_state = 29},
  [4814] = {.lex_state = 56, .external_lex_state = 29},
  [4815] = {.lex_state = 55, .external_lex_state = 29},
  [4816] = {.lex_state = 57, .external_lex_state = 29},
  [4817] = {.lex_state = 57, .external_lex_state = 29},
  [4818] = {.lex_state = 57, .external_lex_state = 29},
  [4819] = {.lex_state = 60, .external_lex_state = 45},
  [4820] = {.lex_state = 62, .external_lex_state = 26},
  [4821] = {.lex_state = 55, .external_lex_state = 31},
  [4822] = {.lex_state = 62, .external_lex_state = 26},
  [4823] = {.lex_state = 57, .external_lex_state = 27},
  [4824] = {.lex_state = 57, .external_lex_state = 29},
  [4825] = {.lex_state = 62, .external_lex_state = 33},
  [4826] = {.lex_state = 57, .external_lex_state = 29},
  [4827] = {.lex_state = 51, .external_lex_state = 39},
  [4828] = {.lex_state = 57, .external_lex_state = 29},
  [4829] = {.lex_state = 56, .external_lex_state = 27},
  [4830] = {.lex_state = 57, .external_lex_state = 27},
  [4831] = {.lex_state = 60, .external_lex_state = 31},
  [4832] = {.lex_state = 57, .external_lex_state = 29},
  [4833] = {.lex_state = 57, .external_lex_state = 29},
  [4834] = {.lex_state = 55, .external_lex_state = 37},
  [4835] = {.lex_state = 56, .external_lex_state = 27},
  [4836] = {.lex_state = 56, .external_lex_state = 41},
  [4837] = {.lex_state = 60, .external_lex_state = 29},
  [4838] = {.lex_state = 55, .external_lex_state = 41},
  [4839] = {.lex_state = 62, .external_lex_state = 41},
  [4840] = {.lex_state = 60, .external_lex_state = 29},
  [4841] = {.lex_state = 60, .external_lex_state = 29},
  [4842] = {.lex_state = 55, .external_lex_state = 31},
  [4843] = {.lex_state = 55, .external_lex_state = 31},
  [4844] = {.lex_state = 55, .external_lex_state = 31},
  [4845] = {.lex_state = 51, .external_lex_state = 38},
  [4846] = {.lex_state = 62, .external_lex_state = 31},
  [4847] = {.lex_state = 56, .external_lex_state = 45},
  [4848] = {.lex_state = 57, .external_lex_state = 35},
  [4849] = {.lex_state = 62, .external_lex_state = 31},
  [4850] = {.lex_state = 60, .external_lex_state = 36},
  [4851] = {.lex_state = 55, .external_lex_state = 30},
  [4852] = {.lex_state = 56, .external_lex_state = 27},
  [4853] = {.lex_state = 55, .external_lex_state = 36},
  [4854] = {.lex_state = 60, .external_lex_state = 35},
  [4855] = {.lex_state = 60, .external_lex_state = 29},
  [4856] = {.lex_state = 60, .external_lex_state = 36},
  [4857] = {.lex_state = 56, .external_lex_state = 27},
  [4858] = {.lex_state = 56, .external_lex_state = 27},
  [4859] = {.lex_state = 56, .external_lex_state = 27},
  [4860] = {.lex_state = 55, .external_lex_state = 33},
  [4861] = {.lex_state = 51, .external_lex_state = 47},
  [4862] = {.lex_state = 55, .external_lex_state = 48},
  [4863] = {.lex_state = 51, .external_lex_state = 27},
  [4864] = {.lex_state = 55, .external_lex_state = 31},
  [4865] = {.lex_state = 56, .external_lex_state = 27},
  [4866] = {.lex_state = 60, .external_lex_state = 45},
  [4867] = {.lex_state = 60, .external_lex_state = 37},
  [4868] = {.lex_state = 60, .external_lex_state = 27},
  [4869] = {.lex_state = 60, .external_lex_state = 37},
  [4870] = {.lex_state = 51, .external_lex_state = 36},
  [4871] = {.lex_state = 55, .external_lex_state = 33},
  [4872] = {.lex_state = 55, .external_lex_state = 33},
  [4873] = {.lex_state = 51, .external_lex_state = 26},
  [4874] = {.lex_state = 51, .external_lex_state = 26},
  [4875] = {.lex_state = 55, .external_lex_state = 35},
  [4876] = {.lex_state = 57, .external_lex_state = 27},
  [4877] = {.lex_state = 51, .external_lex_state = 33},
  [4878] = {.lex_state = 62, .external_lex_state = 26},
  [4879] = {.lex_state = 51, .external_lex_state = 53},
  [4880] = {.lex_state = 57, .external_lex_state = 27},
  [4881] = {.lex_state = 55, .external_lex_state = 37},
  [4882] = {.lex_state = 51, .external_lex_state = 26},
  [4883] = {.lex_state = 51, .external_lex_state = 33},
  [4884] = {.lex_state = 51, .external_lex_state = 38},
  [4885] = {.lex_state = 57, .external_lex_state = 26},
  [4886] = {.lex_state = 57, .external_lex_state = 35},
  [4887] = {.lex_state = 55, .external_lex_state = 30},
  [4888] = {.lex_state = 55, .external_lex_state = 33},
  [4889] = {.lex_state = 55, .external_lex_state = 30},
  [4890] = {.lex_state = 55, .external_lex_state = 33},
  [4891] = {.lex_state = 57, .external_lex_state = 26},
  [4892] = {.lex_state = 55, .external_lex_state = 33},
  [4893] = {.lex_state = 60, .external_lex_state = 35},
  [4894] = {.lex_state = 55, .external_lex_state = 30},
  [4895] = {.lex_state = 62, .external_lex_state = 34},
  [4896] = {.lex_state = 55, .external_lex_state = 30},
  [4897] = {.lex_state = 55, .external_lex_state = 30},
  [4898] = {.lex_state = 55, .external_lex_state = 30},
  [4899] = {.lex_state = 51, .external_lex_state = 35},
  [4900] = {.lex_state = 62, .external_lex_state = 46},
  [4901] = {.lex_state = 55, .external_lex_state = 30},
  [4902] = {.lex_state = 62, .external_lex_state = 30},
  [4903] = {.lex_state = 55, .external_lex_state = 30},
  [4904] = {.lex_state = 51, .external_lex_state = 35},
  [4905] = {.lex_state = 55, .external_lex_state = 30},
  [4906] = {.lex_state = 55, .external_lex_state = 30},
  [4907] = {.lex_state = 55, .external_lex_state = 30},
  [4908] = {.lex_state = 57, .external_lex_state = 27},
  [4909] = {.lex_state = 55, .external_lex_state = 33},
  [4910] = {.lex_state = 54, .external_lex_state = 54},
  [4911] = {.lex_state = 55, .external_lex_state = 33},
  [4912] = {.lex_state = 51, .external_lex_state = 30},
  [4913] = {.lex_state = 55, .external_lex_state = 33},
  [4914] = {.lex_state = 62, .external_lex_state = 46},
  [4915] = {.lex_state = 55, .external_lex_state = 33},
  [4916] = {.lex_state = 51, .external_lex_state = 30},
  [4917] = {.lex_state = 55, .external_lex_state = 33},
  [4918] = {.lex_state = 55, .external_lex_state = 33},
  [4919] = {.lex_state = 55, .external_lex_state = 33},
  [4920] = {.lex_state = 51, .external_lex_state = 37},
  [4921] = {.lex_state = 55, .external_lex_state = 35},
  [4922] = {.lex_state = 57, .external_lex_state = 35},
  [4923] = {.lex_state = 55, .external_lex_state = 26},
  [4924] = {.lex_state = 62, .external_lex_state = 31},
  [4925] = {.lex_state = 57, .external_lex_state = 33},
  [4926] = {.lex_state = 57, .external_lex_state = 31},
  [4927] = {.lex_state = 51, .external_lex_state = 26},
  [4928] = {.lex_state = 62, .external_lex_state = 45},
  [4929] = {.lex_state = 55, .external_lex_state = 35},
  [4930] = {.lex_state = 51, .external_lex_state = 29},
  [4931] = {.lex_state = 60, .external_lex_state = 31},
  [4932] = {.lex_state = 57, .external_lex_state = 30},
  [4933] = {.lex_state = 51, .external_lex_state = 40},
  [4934] = {.lex_state = 56, .external_lex_state = 29},
  [4935] = {.lex_state = 56, .external_lex_state = 45},
  [4936] = {.lex_state = 54, .external_lex_state = 35},
  [4937] = {.lex_state = 51, .external_lex_state = 31},
  [4938] = {.lex_state = 56, .external_lex_state = 43},
  [4939] = {.lex_state = 62, .external_lex_state = 23},
  [4940] = {.lex_state = 55, .external_lex_state = 45},
  [4941] = {.lex_state = 51, .external_lex_state = 31},
  [4942] = {.lex_state = 62, .external_lex_state = 55},
  [4943] = {.lex_state = 51, .external_lex_state = 40},
  [4944] = {.lex_state = 56, .external_lex_state = 29},
  [4945] = {.lex_state = 62, .external_lex_state = 46},
  [4946] = {.lex_state = 62, .external_lex_state = 26},
  [4947] = {.lex_state = 51, .external_lex_state = 29},
  [4948] = {.lex_state = 57, .external_lex_state = 30},
  [4949] = {.lex_state = 56, .external_lex_state = 55},
  [4950] = {.lex_state = 57, .external_lex_state = 36},
  [4951] = {.lex_state = 51, .external_lex_state = 40},
  [4952] = {.lex_state = 57, .external_lex_state = 41},
  [4953] = {.lex_state = 57, .external_lex_state = 43},
  [4954] = {.lex_state = 56, .external_lex_state = 29},
  [4955] = {.lex_state = 57, .external_lex_state = 37},
  [4956] = {.lex_state = 56, .external_lex_state = 29},
  [4957] = {.lex_state = 57, .external_lex_state = 33},
  [4958] = {.lex_state = 55, .external_lex_state = 51},
  [4959] = {.lex_state = 56, .external_lex_state = 29},
  [4960] = {.lex_state = 55, .external_lex_state = 35},
  [4961] = {.lex_state = 56, .external_lex_state = 29},
  [4962] = {.lex_state = 55, .external_lex_state = 30},
  [4963] = {.lex_state = 56, .external_lex_state = 29},
  [4964] = {.lex_state = 55, .external_lex_state = 55},
  [4965] = {.lex_state = 56, .external_lex_state = 29},
  [4966] = {.lex_state = 55, .external_lex_state = 33},
  [4967] = {.lex_state = 56, .external_lex_state = 29},
  [4968] = {.lex_state = 57, .external_lex_state = 33},
  [4969] = {.lex_state = 51, .external_lex_state = 36},
  [4970] = {.lex_state = 57, .external_lex_state = 31},
  [4971] = {.lex_state = 60, .external_lex_state = 29},
  [4972] = {.lex_state = 62, .external_lex_state = 37},
  [4973] = {.lex_state = 62, .external_lex_state = 28},
  [4974] = {.lex_state = 55, .external_lex_state = 42},
  [4975] = {.lex_state = 55, .external_lex_state = 43},
  [4976] = {.lex_state = 62, .external_lex_state = 26},
  [4977] = {.lex_state = 60, .external_lex_state = 36},
  [4978] = {.lex_state = 60, .external_lex_state = 29},
  [4979] = {.lex_state = 56, .external_lex_state = 48},
  [4980] = {.lex_state = 60, .external_lex_state = 30},
  [4981] = {.lex_state = 60, .external_lex_state = 30},
  [4982] = {.lex_state = 55, .external_lex_state = 35},
  [4983] = {.lex_state = 60, .external_lex_state = 30},
  [4984] = {.lex_state = 62, .external_lex_state = 28},
  [4985] = {.lex_state = 60, .external_lex_state = 33},
  [4986] = {.lex_state = 55, .external_lex_state = 35},
  [4987] = {.lex_state = 56, .external_lex_state = 30},
  [4988] = {.lex_state = 57, .external_lex_state = 30},
  [4989] = {.lex_state = 62, .external_lex_state = 37},
  [4990] = {.lex_state = 56, .external_lex_state = 48},
  [4991] = {.lex_state = 60, .external_lex_state = 33},
  [4992] = {.lex_state = 55, .external_lex_state = 26},
  [4993] = {.lex_state = 60, .external_lex_state = 37},
  [4994] = {.lex_state = 60, .external_lex_state = 33},
  [4995] = {.lex_state = 55, .external_lex_state = 42},
  [4996] = {.lex_state = 55, .external_lex_state = 42},
  [4997] = {.lex_state = 60, .external_lex_state = 36},
  [4998] = {.lex_state = 60, .external_lex_state = 48},
  [4999] = {.lex_state = 51, .external_lex_state = 46},
  [5000] = {.lex_state = 57, .external_lex_state = 30},
  [5001] = {.lex_state = 57, .external_lex_state = 33},
  [5002] = {.lex_state = 55, .external_lex_state = 41},
  [5003] = {.lex_state = 57, .external_lex_state = 30},
  [5004] = {.lex_state = 57, .external_lex_state = 30},
  [5005] = {.lex_state = 57, .external_lex_state = 30},
  [5006] = {.lex_state = 60, .external_lex_state = 27},
  [5007] = {.lex_state = 57, .external_lex_state = 33},
  [5008] = {.lex_state = 57, .external_lex_state = 30},
  [5009] = {.lex_state = 57, .external_lex_state = 30},
  [5010] = {.lex_state = 57, .external_lex_state = 30},
  [5011] = {.lex_state = 60, .external_lex_state = 33},
  [5012] = {.lex_state = 51, .external_lex_state = 43},
  [5013] = {.lex_state = 51, .external_lex_state = 33},
  [5014] = {.lex_state = 60, .external_lex_state = 30},
  [5015] = {.lex_state = 62, .external_lex_state = 26},
  [5016] = {.lex_state = 60, .external_lex_state = 37},
  [5017] = {.lex_state = 62, .external_lex_state = 36},
  [5018] = {.lex_state = 57, .external_lex_state = 33},
  [5019] = {.lex_state = 54, .external_lex_state = 35},
  [5020] = {.lex_state = 57, .external_lex_state = 26},
  [5021] = {.lex_state = 57, .external_lex_state = 33},
  [5022] = {.lex_state = 54, .external_lex_state = 54},
  [5023] = {.lex_state = 62, .external_lex_state = 28},
  [5024] = {.lex_state = 51, .external_lex_state = 56},
  [5025] = {.lex_state = 57, .external_lex_state = 33},
  [5026] = {.lex_state = 55, .external_lex_state = 29},
  [5027] = {.lex_state = 62, .external_lex_state = 52},
  [5028] = {.lex_state = 56, .external_lex_state = 30},
  [5029] = {.lex_state = 55, .external_lex_state = 36},
  [5030] = {.lex_state = 57, .external_lex_state = 33},
  [5031] = {.lex_state = 51, .external_lex_state = 34},
  [5032] = {.lex_state = 56, .external_lex_state = 30},
  [5033] = {.lex_state = 57, .external_lex_state = 33},
  [5034] = {.lex_state = 51, .external_lex_state = 30},
  [5035] = {.lex_state = 62, .external_lex_state = 27},
  [5036] = {.lex_state = 51, .external_lex_state = 26},
  [5037] = {.lex_state = 62, .external_lex_state = 36},
  [5038] = {.lex_state = 57, .external_lex_state = 45},
  [5039] = {.lex_state = 62, .external_lex_state = 40},
  [5040] = {.lex_state = 62, .external_lex_state = 29},
  [5041] = {.lex_state = 55, .external_lex_state = 35},
  [5042] = {.lex_state = 55, .external_lex_state = 37},
  [5043] = {.lex_state = 51, .external_lex_state = 34},
  [5044] = {.lex_state = 62, .external_lex_state = 29},
  [5045] = {.lex_state = 51, .external_lex_state = 30},
  [5046] = {.lex_state = 51, .external_lex_state = 26},
  [5047] = {.lex_state = 51, .external_lex_state = 28},
  [5048] = {.lex_state = 57, .external_lex_state = 31},
  [5049] = {.lex_state = 57, .external_lex_state = 31},
  [5050] = {.lex_state = 57, .external_lex_state = 31},
  [5051] = {.lex_state = 62, .external_lex_state = 28},
  [5052] = {.lex_state = 51, .external_lex_state = 41},
  [5053] = {.lex_state = 55, .external_lex_state = 37},
  [5054] = {.lex_state = 62, .external_lex_state = 28},
  [5055] = {.lex_state = 62, .external_lex_state = 28},
  [5056] = {.lex_state = 55, .external_lex_state = 37},
  [5057] = {.lex_state = 58, .external_lex_state = 35},
  [5058] = {.lex_state = 62, .external_lex_state = 28},
  [5059] = {.lex_state = 55, .external_lex_state = 48},
  [5060] = {.lex_state = 56, .external_lex_state = 33},
  [5061] = {.lex_state = 55, .external_lex_state = 37},
  [5062] = {.lex_state = 60, .external_lex_state = 51},
  [5063] = {.lex_state = 55, .external_lex_state = 37},
  [5064] = {.lex_state = 62, .external_lex_state = 29},
  [5065] = {.lex_state = 55, .external_lex_state = 37},
  [5066] = {.lex_state = 62, .external_lex_state = 28},
  [5067] = {.lex_state = 62, .external_lex_state = 48},
  [5068] = {.lex_state = 55, .external_lex_state = 37},
  [5069] = {.lex_state = 56, .external_lex_state = 33},
  [5070] = {.lex_state = 56, .external_lex_state = 33},
  [5071] = {.lex_state = 55, .external_lex_state = 37},
  [5072] = {.lex_state = 51, .external_lex_state = 43},
  [5073] = {.lex_state = 57, .external_lex_state = 31},
  [5074] = {.lex_state = 56, .external_lex_state = 33},
  [5075] = {.lex_state = 62, .external_lex_state = 36},
  [5076] = {.lex_state = 62, .external_lex_state = 36},
  [5077] = {.lex_state = 51, .external_lex_state = 34},
  [5078] = {.lex_state = 62, .external_lex_state = 26},
  [5079] = {.lex_state = 62, .external_lex_state = 29},
  [5080] = {.lex_state = 57, .external_lex_state = 30},
  [5081] = {.lex_state = 60, .external_lex_state = 55},
  [5082] = {.lex_state = 62, .external_lex_state = 29},
  [5083] = {.lex_state = 56, .external_lex_state = 55},
  [5084] = {.lex_state = 62, .external_lex_state = 29},
  [5085] = {.lex_state = 60, .external_lex_state = 55},
  [5086] = {.lex_state = 57, .external_lex_state = 37},
  [5087] = {.lex_state = 58, .external_lex_state = 54},
  [5088] = {.lex_state = 62, .external_lex_state = 28},
  [5089] = {.lex_state = 51, .external_lex_state = 34},
  [5090] = {.lex_state = 55, .external_lex_state = 33},
  [5091] = {.lex_state = 56, .external_lex_state = 30},
  [5092] = {.lex_state = 57, .external_lex_state = 31},
  [5093] = {.lex_state = 57, .external_lex_state = 31},
  [5094] = {.lex_state = 55, .external_lex_state = 33},
  [5095] = {.lex_state = 51, .external_lex_state = 33},
  [5096] = {.lex_state = 57, .external_lex_state = 51},
  [5097] = {.lex_state = 57, .external_lex_state = 33},
  [5098] = {.lex_state = 57, .external_lex_state = 31},
  [5099] = {.lex_state = 57, .external_lex_state = 31},
  [5100] = {.lex_state = 55, .external_lex_state = 36},
  [5101] = {.lex_state = 57, .external_lex_state = 31},
  [5102] = {.lex_state = 57, .external_lex_state = 31},
  [5103] = {.lex_state = 57, .external_lex_state = 55},
  [5104] = {.lex_state = 57, .external_lex_state = 54},
  [5105] = {.lex_state = 60, .external_lex_state = 51},
  [5106] = {.lex_state = 55, .external_lex_state = 37},
  [5107] = {.lex_state = 55, .external_lex_state = 36},
  [5108] = {.lex_state = 60, .external_lex_state = 26},
  [5109] = {.lex_state = 57, .external_lex_state = 31},
  [5110] = {.lex_state = 55, .external_lex_state = 36},
  [5111] = {.lex_state = 55, .external_lex_state = 33},
  [5112] = {.lex_state = 51, .external_lex_state = 45},
  [5113] = {.lex_state = 55, .external_lex_state = 36},
  [5114] = {.lex_state = 55, .external_lex_state = 36},
  [5115] = {.lex_state = 62, .external_lex_state = 37},
  [5116] = {.lex_state = 55, .external_lex_state = 36},
  [5117] = {.lex_state = 51, .external_lex_state = 27},
  [5118] = {.lex_state = 56, .external_lex_state = 30},
  [5119] = {.lex_state = 55, .external_lex_state = 36},
  [5120] = {.lex_state = 51, .external_lex_state = 27},
  [5121] = {.lex_state = 55, .external_lex_state = 36},
  [5122] = {.lex_state = 60, .external_lex_state = 42},
  [5123] = {.lex_state = 55, .external_lex_state = 30},
  [5124] = {.lex_state = 57, .external_lex_state = 27},
  [5125] = {.lex_state = 56, .external_lex_state = 30},
  [5126] = {.lex_state = 56, .external_lex_state = 30},
  [5127] = {.lex_state = 57, .external_lex_state = 36},
  [5128] = {.lex_state = 60, .external_lex_state = 41},
  [5129] = {.lex_state = 55, .external_lex_state = 30},
  [5130] = {.lex_state = 60, .external_lex_state = 42},
  [5131] = {.lex_state = 55, .external_lex_state = 36},
  [5132] = {.lex_state = 56, .external_lex_state = 30},
  [5133] = {.lex_state = 51, .external_lex_state = 27},
  [5134] = {.lex_state = 56, .external_lex_state = 33},
  [5135] = {.lex_state = 60, .external_lex_state = 41},
  [5136] = {.lex_state = 51, .external_lex_state = 41},
  [5137] = {.lex_state = 60, .external_lex_state = 51},
  [5138] = {.lex_state = 55, .external_lex_state = 36},
  [5139] = {.lex_state = 57, .external_lex_state = 37},
  [5140] = {.lex_state = 57, .external_lex_state = 31},
  [5141] = {.lex_state = 57, .external_lex_state = 27},
  [5142] = {.lex_state = 51, .external_lex_state = 43},
  [5143] = {.lex_state = 62, .external_lex_state = 52},
  [5144] = {.lex_state = 62, .external_lex_state = 37},
  [5145] = {.lex_state = 56, .external_lex_state = 33},
  [5146] = {.lex_state = 56, .external_lex_state = 31},
  [5147] = {.lex_state = 56, .external_lex_state = 31},
  [5148] = {.lex_state = 56, .external_lex_state = 33},
  [5149] = {.lex_state = 51, .external_lex_state = 37},
  [5150] = {.lex_state = 51, .external_lex_state = 37},
  [5151] = {.lex_state = 60, .external_lex_state = 31},
  [5152] = {.lex_state = 60, .external_lex_state = 31},
  [5153] = {.lex_state = 51, .external_lex_state = 57},
  [5154] = {.lex_state = 55, .external_lex_state = 35},
  [5155] = {.lex_state = 57, .external_lex_state = 48},
  [5156] = {.lex_state = 60, .external_lex_state = 31},
  [5157] = {.lex_state = 60, .external_lex_state = 55},
  [5158] = {.lex_state = 62, .external_lex_state = 38},
  [5159] = {.lex_state = 56, .external_lex_state = 51},
  [5160] = {.lex_state = 51, .external_lex_state = 45},
  [5161] = {.lex_state = 62, .external_lex_state = 27},
  [5162] = {.lex_state = 56, .external_lex_state = 55},
  [5163] = {.lex_state = 56, .external_lex_state = 31},
  [5164] = {.lex_state = 56, .external_lex_state = 31},
  [5165] = {.lex_state = 60, .external_lex_state = 26},
  [5166] = {.lex_state = 62, .external_lex_state = 27},
  [5167] = {.lex_state = 56, .external_lex_state = 33},
  [5168] = {.lex_state = 51, .external_lex_state = 45},
  [5169] = {.lex_state = 57, .external_lex_state = 44},
  [5170] = {.lex_state = 62, .external_lex_state = 27},
  [5171] = {.lex_state = 55, .external_lex_state = 37},
  [5172] = {.lex_state = 56, .external_lex_state = 31},
  [5173] = {.lex_state = 55, .external_lex_state = 43},
  [5174] = {.lex_state = 51, .external_lex_state = 29},
  [5175] = {.lex_state = 56, .external_lex_state = 31},
  [5176] = {.lex_state = 62, .external_lex_state = 40},
  [5177] = {.lex_state = 55, .external_lex_state = 35},
  [5178] = {.lex_state = 51, .external_lex_state = 36},
  [5179] = {.lex_state = 57, .external_lex_state = 30},
  [5180] = {.lex_state = 51, .external_lex_state = 52},
  [5181] = {.lex_state = 57, .external_lex_state = 42},
  [5182] = {.lex_state = 57, .external_lex_state = 30},
  [5183] = {.lex_state = 57, .external_lex_state = 30},
  [5184] = {.lex_state = 55, .external_lex_state = 43},
  [5185] = {.lex_state = 60, .external_lex_state = 45},
  [5186] = {.lex_state = 54, .external_lex_state = 35},
  [5187] = {.lex_state = 51, .external_lex_state = 29},
  [5188] = {.lex_state = 62, .external_lex_state = 52},
  [5189] = {.lex_state = 55, .external_lex_state = 41},
  [5190] = {.lex_state = 51, .external_lex_state = 58},
  [5191] = {.lex_state = 57, .external_lex_state = 36},
  [5192] = {.lex_state = 60, .external_lex_state = 45},
  [5193] = {.lex_state = 51, .external_lex_state = 29},
  [5194] = {.lex_state = 51, .external_lex_state = 29},
  [5195] = {.lex_state = 57, .external_lex_state = 30},
  [5196] = {.lex_state = 55, .external_lex_state = 45},
  [5197] = {.lex_state = 57, .external_lex_state = 44},
  [5198] = {.lex_state = 57, .external_lex_state = 33},
  [5199] = {.lex_state = 57, .external_lex_state = 33},
  [5200] = {.lex_state = 62, .external_lex_state = 28},
  [5201] = {.lex_state = 56, .external_lex_state = 31},
  [5202] = {.lex_state = 55, .external_lex_state = 35},
  [5203] = {.lex_state = 55, .external_lex_state = 42},
  [5204] = {.lex_state = 57, .external_lex_state = 33},
  [5205] = {.lex_state = 55, .external_lex_state = 45},
  [5206] = {.lex_state = 57, .external_lex_state = 33},
  [5207] = {.lex_state = 51, .external_lex_state = 47},
  [5208] = {.lex_state = 55, .external_lex_state = 37},
  [5209] = {.lex_state = 51, .external_lex_state = 41},
  [5210] = {.lex_state = 51, .external_lex_state = 31},
  [5211] = {.lex_state = 55, .external_lex_state = 37},
  [5212] = {.lex_state = 55, .external_lex_state = 37},
  [5213] = {.lex_state = 51, .external_lex_state = 47},
  [5214] = {.lex_state = 57, .external_lex_state = 35},
  [5215] = {.lex_state = 55, .external_lex_state = 37},
  [5216] = {.lex_state = 55, .external_lex_state = 41},
  [5217] = {.lex_state = 55, .external_lex_state = 41},
  [5218] = {.lex_state = 55, .external_lex_state = 36},
  [5219] = {.lex_state = 55, .external_lex_state = 36},
  [5220] = {.lex_state = 55, .external_lex_state = 36},
  [5221] = {.lex_state = 57, .external_lex_state = 35},
  [5222] = {.lex_state = 55, .external_lex_state = 45},
  [5223] = {.lex_state = 56, .external_lex_state = 51},
  [5224] = {.lex_state = 60, .external_lex_state = 43},
  [5225] = {.lex_state = 60, .external_lex_state = 43},
  [5226] = {.lex_state = 51, .external_lex_state = 31},
  [5227] = {.lex_state = 60, .external_lex_state = 26},
  [5228] = {.lex_state = 57, .external_lex_state = 35},
  [5229] = {.lex_state = 56, .external_lex_state = 31},
  [5230] = {.lex_state = 51, .external_lex_state = 46},
  [5231] = {.lex_state = 62, .external_lex_state = 28},
  [5232] = {.lex_state = 57, .external_lex_state = 35},
  [5233] = {.lex_state = 57, .external_lex_state = 35},
  [5234] = {.lex_state = 51, .external_lex_state = 46},
  [5235] = {.lex_state = 56, .external_lex_state = 30},
  [5236] = {.lex_state = 55, .external_lex_state = 30},
  [5237] = {.lex_state = 51, .external_lex_state = 27},
  [5238] = {.lex_state = 60, .external_lex_state = 26},
  [5239] = {.lex_state = 57, .external_lex_state = 29},
  [5240] = {.lex_state = 57, .external_lex_state = 35},
  [5241] = {.lex_state = 57, .external_lex_state = 29},
  [5242] = {.lex_state = 55, .external_lex_state = 35},
  [5243] = {.lex_state = 62, .external_lex_state = 51},
  [5244] = {.lex_state = 55, .external_lex_state = 54},
  [5245] = {.lex_state = 60, .external_lex_state = 26},
  [5246] = {.lex_state = 56, .external_lex_state = 31},
  [5247] = {.lex_state = 62, .external_lex_state = 23},
  [5248] = {.lex_state = 60, .external_lex_state = 31},
  [5249] = {.lex_state = 56, .external_lex_state = 26},
  [5250] = {.lex_state = 60, .external_lex_state = 48},
  [5251] = {.lex_state = 56, .external_lex_state = 30},
  [5252] = {.lex_state = 57, .external_lex_state = 35},
  [5253] = {.lex_state = 57, .external_lex_state = 37},
  [5254] = {.lex_state = 57, .external_lex_state = 37},
  [5255] = {.lex_state = 57, .external_lex_state = 36},
  [5256] = {.lex_state = 57, .external_lex_state = 36},
  [5257] = {.lex_state = 55, .external_lex_state = 35},
  [5258] = {.lex_state = 60, .external_lex_state = 35},
  [5259] = {.lex_state = 56, .external_lex_state = 33},
  [5260] = {.lex_state = 55, .external_lex_state = 45},
  [5261] = {.lex_state = 62, .external_lex_state = 47},
  [5262] = {.lex_state = 57, .external_lex_state = 41},
  [5263] = {.lex_state = 51, .external_lex_state = 49},
  [5264] = {.lex_state = 55, .external_lex_state = 43},
  [5265] = {.lex_state = 62},
  [5266] = {.lex_state = 55, .external_lex_state = 35},
  [5267] = {.lex_state = 55, .external_lex_state = 35},
  [5268] = {.lex_state = 55, .external_lex_state = 35},
  [5269] = {.lex_state = 55, .external_lex_state = 35},
  [5270] = {.lex_state = 62, .external_lex_state = 28},
  [5271] = {.lex_state = 62},
  [5272] = {.lex_state = 55, .external_lex_state = 35},
  [5273] = {.lex_state = 60, .external_lex_state = 44},
  [5274] = {.lex_state = 62, .external_lex_state = 32},
  [5275] = {.lex_state = 62, .external_lex_state = 55},
  [5276] = {.lex_state = 51, .external_lex_state = 39},
  [5277] = {.lex_state = 51, .external_lex_state = 49},
  [5278] = {.lex_state = 56, .external_lex_state = 30},
  [5279] = {.lex_state = 62, .external_lex_state = 47},
  [5280] = {.lex_state = 55, .external_lex_state = 55},
  [5281] = {.lex_state = 51, .external_lex_state = 38},
  [5282] = {.lex_state = 62, .external_lex_state = 34},
  [5283] = {.lex_state = 56, .external_lex_state = 33},
  [5284] = {.lex_state = 56, .external_lex_state = 31},
  [5285] = {.lex_state = 55, .external_lex_state = 27},
  [5286] = {.lex_state = 51, .external_lex_state = 35},
  [5287] = {.lex_state = 56, .external_lex_state = 33},
  [5288] = {.lex_state = 51, .external_lex_state = 52},
  [5289] = {.lex_state = 54, .external_lex_state = 44},
  [5290] = {.lex_state = 56, .external_lex_state = 33},
  [5291] = {.lex_state = 55, .external_lex_state = 35},
  [5292] = {.lex_state = 51, .external_lex_state = 23},
  [5293] = {.lex_state = 55, .external_lex_state = 31},
  [5294] = {.lex_state = 62, .external_lex_state = 27},
  [5295] = {.lex_state = 56, .external_lex_state = 26},
  [5296] = {.lex_state = 62, .external_lex_state = 28},
  [5297] = {.lex_state = 62, .external_lex_state = 32},
  [5298] = {.lex_state = 56, .external_lex_state = 33},
  [5299] = {.lex_state = 56, .external_lex_state = 33},
  [5300] = {.lex_state = 51, .external_lex_state = 39},
  [5301] = {.lex_state = 56, .external_lex_state = 31},
  [5302] = {.lex_state = 60, .external_lex_state = 48},
  [5303] = {.lex_state = 51, .external_lex_state = 38},
  [5304] = {.lex_state = 62, .external_lex_state = 34},
  [5305] = {.lex_state = 56, .external_lex_state = 31},
  [5306] = {.lex_state = 51, .external_lex_state = 42},
  [5307] = {.lex_state = 55, .external_lex_state = 51},
  [5308] = {.lex_state = 62},
  [5309] = {.lex_state = 56, .external_lex_state = 33},
  [5310] = {.lex_state = 56, .external_lex_state = 31},
  [5311] = {.lex_state = 57, .external_lex_state = 35},
  [5312] = {.lex_state = 56, .external_lex_state = 31},
  [5313] = {.lex_state = 56, .external_lex_state = 33},
  [5314] = {.lex_state = 51, .external_lex_state = 23},
  [5315] = {.lex_state = 62, .external_lex_state = 28},
  [5316] = {.lex_state = 55, .external_lex_state = 31},
  [5317] = {.lex_state = 56, .external_lex_state = 31},
  [5318] = {.lex_state = 62},
  [5319] = {.lex_state = 56, .external_lex_state = 30},
  [5320] = {.lex_state = 51, .external_lex_state = 42},
  [5321] = {.lex_state = 51, .external_lex_state = 35},
  [5322] = {.lex_state = 62, .external_lex_state = 28},
  [5323] = {.lex_state = 60, .external_lex_state = 35},
  [5324] = {.lex_state = 62, .external_lex_state = 28},
  [5325] = {.lex_state = 62, .external_lex_state = 44},
  [5326] = {.lex_state = 57, .external_lex_state = 35},
  [5327] = {.lex_state = 62, .external_lex_state = 35},
  [5328] = {.lex_state = 56, .external_lex_state = 30},
  [5329] = {.lex_state = 56, .external_lex_state = 31},
  [5330] = {.lex_state = 51, .external_lex_state = 32},
  [5331] = {.lex_state = 62, .external_lex_state = 27},
  [5332] = {.lex_state = 62, .external_lex_state = 49},
  [5333] = {.lex_state = 62, .external_lex_state = 49},
  [5334] = {.lex_state = 7, .external_lex_state = 44},
  [5335] = {.lex_state = 62, .external_lex_state = 49},
  [5336] = {.lex_state = 56, .external_lex_state = 54},
  [5337] = {.lex_state = 51, .external_lex_state = 32},
  [5338] = {.lex_state = 62, .external_lex_state = 53},
  [5339] = {.lex_state = 56, .external_lex_state = 44},
  [5340] = {.lex_state = 62, .external_lex_state = 53},
  [5341] = {.lex_state = 56, .external_lex_state = 30},
  [5342] = {.lex_state = 57, .external_lex_state = 35},
  [5343] = {.lex_state = 62, .external_lex_state = 53},
  [5344] = {.lex_state = 62, .external_lex_state = 27},
  [5345] = {.lex_state = 62, .external_lex_state = 28},
  [5346] = {.lex_state = 62, .external_lex_state = 28},
  [5347] = {.lex_state = 51, .external_lex_state = 32},
  [5348] = {.lex_state = 62, .external_lex_state = 28},
  [5349] = {.lex_state = 51, .external_lex_state = 44},
  [5350] = {.lex_state = 62, .external_lex_state = 28},
  [5351] = {.lex_state = 57, .external_lex_state = 35},
  [5352] = {.lex_state = 57, .external_lex_state = 35},
  [5353] = {.lex_state = 57, .external_lex_state = 43},
  [5354] = {.lex_state = 55, .external_lex_state = 31},
  [5355] = {.lex_state = 57, .external_lex_state = 35},
  [5356] = {.lex_state = 56, .external_lex_state = 29},
  [5357] = {.lex_state = 51, .external_lex_state = 44},
  [5358] = {.lex_state = 56, .external_lex_state = 30},
  [5359] = {.lex_state = 62, .external_lex_state = 29},
  [5360] = {.lex_state = 62, .external_lex_state = 54},
  [5361] = {.lex_state = 62, .external_lex_state = 39},
  [5362] = {.lex_state = 56, .external_lex_state = 33},
  [5363] = {.lex_state = 56, .external_lex_state = 27},
  [5364] = {.lex_state = 51, .external_lex_state = 28},
  [5365] = {.lex_state = 60, .external_lex_state = 27},
  [5366] = {.lex_state = 59},
  [5367] = {.lex_state = 62, .external_lex_state = 23},
  [5368] = {.lex_state = 56, .external_lex_state = 30},
  [5369] = {.lex_state = 51, .external_lex_state = 32},
  [5370] = {.lex_state = 56, .external_lex_state = 30},
  [5371] = {.lex_state = 62, .external_lex_state = 35},
  [5372] = {.lex_state = 57, .external_lex_state = 44},
  [5373] = {.lex_state = 62, .external_lex_state = 50},
  [5374] = {.lex_state = 62, .external_lex_state = 35},
  [5375] = {.lex_state = 57, .external_lex_state = 44},
  [5376] = {.lex_state = 60, .external_lex_state = 44},
  [5377] = {.lex_state = 62, .external_lex_state = 50},
  [5378] = {.lex_state = 62},
  [5379] = {.lex_state = 62},
  [5380] = {.lex_state = 55, .external_lex_state = 44},
  [5381] = {.lex_state = 60, .external_lex_state = 44},
  [5382] = {.lex_state = 56, .external_lex_state = 31},
  [5383] = {.lex_state = 62, .external_lex_state = 50},
  [5384] = {.lex_state = 62, .external_lex_state = 35},
  [5385] = {.lex_state = 51, .external_lex_state = 42},
  [5386] = {.lex_state = 62, .external_lex_state = 57},
  [5387] = {.lex_state = 62, .external_lex_state = 32},
  [5388] = {.lex_state = 62, .external_lex_state = 28},
  [5389] = {.lex_state = 62, .external_lex_state = 30},
  [5390] = {.lex_state = 57, .external_lex_state = 45},
  [5391] = {.lex_state = 62, .external_lex_state = 28},
  [5392] = {.lex_state = 62, .external_lex_state = 28},
  [5393] = {.lex_state = 55, .external_lex_state = 42},
  [5394] = {.lex_state = 57, .external_lex_state = 45},
  [5395] = {.lex_state = 55, .external_lex_state = 42},
  [5396] = {.lex_state = 62, .external_lex_state = 28},
  [5397] = {.lex_state = 62, .external_lex_state = 28},
  [5398] = {.lex_state = 62, .external_lex_state = 34},
  [5399] = {.lex_state = 56, .external_lex_state = 36},
  [5400] = {.lex_state = 62, .external_lex_state = 28},
  [5401] = {.lex_state = 56, .external_lex_state = 36},
  [5402] = {.lex_state = 62, .external_lex_state = 28},
  [5403] = {.lex_state = 62, .external_lex_state = 28},
  [5404] = {.lex_state = 55, .external_lex_state = 42},
  [5405] = {.lex_state = 56, .external_lex_state = 36},
  [5406] = {.lex_state = 62, .external_lex_state = 34},
  [5407] = {.lex_state = 57, .external_lex_state = 26},
  [5408] = {.lex_state = 60, .external_lex_state = 29},
  [5409] = {.lex_state = 56, .external_lex_state = 36},
  [5410] = {.lex_state = 62, .external_lex_state = 28},
  [5411] = {.lex_state = 55, .external_lex_state = 48},
  [5412] = {.lex_state = 62},
  [5413] = {.lex_state = 51, .external_lex_state = 37},
  [5414] = {.lex_state = 60, .external_lex_state = 29},
  [5415] = {.lex_state = 56, .external_lex_state = 36},
  [5416] = {.lex_state = 62, .external_lex_state = 45},
  [5417] = {.lex_state = 62, .external_lex_state = 30},
  [5418] = {.lex_state = 55, .external_lex_state = 48},
  [5419] = {.lex_state = 51, .external_lex_state = 52},
  [5420] = {.lex_state = 51, .external_lex_state = 52},
  [5421] = {.lex_state = 56, .external_lex_state = 29},
  [5422] = {.lex_state = 57, .external_lex_state = 42},
  [5423] = {.lex_state = 62, .external_lex_state = 32},
  [5424] = {.lex_state = 62, .external_lex_state = 28},
  [5425] = {.lex_state = 62, .external_lex_state = 28},
  [5426] = {.lex_state = 55, .external_lex_state = 37},
  [5427] = {.lex_state = 55, .external_lex_state = 26},
  [5428] = {.lex_state = 56, .external_lex_state = 36},
  [5429] = {.lex_state = 56, .external_lex_state = 36},
  [5430] = {.lex_state = 51, .external_lex_state = 50},
  [5431] = {.lex_state = 56, .external_lex_state = 37},
  [5432] = {.lex_state = 56, .external_lex_state = 36},
  [5433] = {.lex_state = 51, .external_lex_state = 39},
  [5434] = {.lex_state = 51, .external_lex_state = 29},
  [5435] = {.lex_state = 62, .external_lex_state = 57},
  [5436] = {.lex_state = 62, .external_lex_state = 28},
  [5437] = {.lex_state = 51, .external_lex_state = 54},
  [5438] = {.lex_state = 62, .external_lex_state = 39},
  [5439] = {.lex_state = 56, .external_lex_state = 36},
  [5440] = {.lex_state = 62, .external_lex_state = 49},
  [5441] = {.lex_state = 51, .external_lex_state = 50},
  [5442] = {.lex_state = 51, .external_lex_state = 32},
  [5443] = {.lex_state = 51, .external_lex_state = 41},
  [5444] = {.lex_state = 62, .external_lex_state = 38},
  [5445] = {.lex_state = 54, .external_lex_state = 35},
  [5446] = {.lex_state = 62, .external_lex_state = 28},
  [5447] = {.lex_state = 55, .external_lex_state = 42},
  [5448] = {.lex_state = 56, .external_lex_state = 36},
  [5449] = {.lex_state = 62, .external_lex_state = 28},
  [5450] = {.lex_state = 51, .external_lex_state = 40},
  [5451] = {.lex_state = 62, .external_lex_state = 28},
  [5452] = {.lex_state = 62, .external_lex_state = 28},
  [5453] = {.lex_state = 60, .external_lex_state = 29},
  [5454] = {.lex_state = 51, .external_lex_state = 41},
  [5455] = {.lex_state = 57, .external_lex_state = 41},
  [5456] = {.lex_state = 57, .external_lex_state = 41},
  [5457] = {.lex_state = 55, .external_lex_state = 55},
  [5458] = {.lex_state = 51, .external_lex_state = 40},
  [5459] = {.lex_state = 62, .external_lex_state = 32},
  [5460] = {.lex_state = 62, .external_lex_state = 32},
  [5461] = {.lex_state = 61, .external_lex_state = 35},
  [5462] = {.lex_state = 61, .external_lex_state = 35},
  [5463] = {.lex_state = 61, .external_lex_state = 54},
  [5464] = {.lex_state = 62, .external_lex_state = 47},
  [5465] = {.lex_state = 55, .external_lex_state = 42},
  [5466] = {.lex_state = 55, .external_lex_state = 55},
  [5467] = {.lex_state = 51, .external_lex_state = 57},
  [5468] = {.lex_state = 62, .external_lex_state = 52},
  [5469] = {.lex_state = 51, .external_lex_state = 36},
  [5470] = {.lex_state = 62, .external_lex_state = 56},
  [5471] = {.lex_state = 62, .external_lex_state = 52},
  [5472] = {.lex_state = 51, .external_lex_state = 56},
  [5473] = {.lex_state = 51, .external_lex_state = 55},
  [5474] = {.lex_state = 56, .external_lex_state = 35},
  [5475] = {.lex_state = 56, .external_lex_state = 37},
  [5476] = {.lex_state = 60, .external_lex_state = 41},
  [5477] = {.lex_state = 55, .external_lex_state = 41},
  [5478] = {.lex_state = 62, .external_lex_state = 31},
  [5479] = {.lex_state = 54, .external_lex_state = 54},
  [5480] = {.lex_state = 55, .external_lex_state = 51},
  [5481] = {.lex_state = 55, .external_lex_state = 36},
  [5482] = {.lex_state = 51, .external_lex_state = 35},
  [5483] = {.lex_state = 56, .external_lex_state = 37},
  [5484] = {.lex_state = 55, .external_lex_state = 51},
  [5485] = {.lex_state = 57, .external_lex_state = 43},
  [5486] = {.lex_state = 55, .external_lex_state = 36},
  [5487] = {.lex_state = 51, .external_lex_state = 35},
  [5488] = {.lex_state = 62, .external_lex_state = 32},
  [5489] = {.lex_state = 55, .external_lex_state = 45},
  [5490] = {.lex_state = 51, .external_lex_state = 24},
  [5491] = {.lex_state = 51, .external_lex_state = 35},
  [5492] = {.lex_state = 55, .external_lex_state = 41},
  [5493] = {.lex_state = 62},
  [5494] = {.lex_state = 60, .external_lex_state = 44},
  [5495] = {.lex_state = 55, .external_lex_state = 43},
  [5496] = {.lex_state = 57, .external_lex_state = 27},
  [5497] = {.lex_state = 55, .external_lex_state = 41},
  [5498] = {.lex_state = 56, .external_lex_state = 35},
  [5499] = {.lex_state = 51, .external_lex_state = 44},
  [5500] = {.lex_state = 57, .external_lex_state = 43},
  [5501] = {.lex_state = 62, .external_lex_state = 33},
  [5502] = {.lex_state = 55, .external_lex_state = 41},
  [5503] = {.lex_state = 55, .external_lex_state = 45},
  [5504] = {.lex_state = 55, .external_lex_state = 43},
  [5505] = {.lex_state = 60, .external_lex_state = 30},
  [5506] = {.lex_state = 55, .external_lex_state = 41},
  [5507] = {.lex_state = 55, .external_lex_state = 45},
  [5508] = {.lex_state = 51, .external_lex_state = 55},
  [5509] = {.lex_state = 55, .external_lex_state = 43},
  [5510] = {.lex_state = 60, .external_lex_state = 45},
  [5511] = {.lex_state = 51, .external_lex_state = 37},
  [5512] = {.lex_state = 51, .external_lex_state = 55},
  [5513] = {.lex_state = 55, .external_lex_state = 41},
  [5514] = {.lex_state = 57, .external_lex_state = 44},
  [5515] = {.lex_state = 51, .external_lex_state = 48},
  [5516] = {.lex_state = 55, .external_lex_state = 45},
  [5517] = {.lex_state = 55, .external_lex_state = 43},
  [5518] = {.lex_state = 55, .external_lex_state = 43},
  [5519] = {.lex_state = 56, .external_lex_state = 35},
  [5520] = {.lex_state = 62, .external_lex_state = 39},
  [5521] = {.lex_state = 56, .external_lex_state = 35},
  [5522] = {.lex_state = 55, .external_lex_state = 41},
  [5523] = {.lex_state = 56, .external_lex_state = 35},
  [5524] = {.lex_state = 62, .external_lex_state = 38},
  [5525] = {.lex_state = 55, .external_lex_state = 43},
  [5526] = {.lex_state = 57, .external_lex_state = 36},
  [5527] = {.lex_state = 51, .external_lex_state = 29},
  [5528] = {.lex_state = 51, .external_lex_state = 51},
  [5529] = {.lex_state = 56, .external_lex_state = 35},
  [5530] = {.lex_state = 51, .external_lex_state = 40},
  [5531] = {.lex_state = 54, .external_lex_state = 44},
  [5532] = {.lex_state = 62, .external_lex_state = 42},
  [5533] = {.lex_state = 62, .external_lex_state = 28},
  [5534] = {.lex_state = 60, .external_lex_state = 44},
  [5535] = {.lex_state = 55, .external_lex_state = 41},
  [5536] = {.lex_state = 62, .external_lex_state = 58},
  [5537] = {.lex_state = 57, .external_lex_state = 36},
  [5538] = {.lex_state = 55, .external_lex_state = 43},
  [5539] = {.lex_state = 57, .external_lex_state = 36},
  [5540] = {.lex_state = 51, .external_lex_state = 40},
  [5541] = {.lex_state = 57, .external_lex_state = 36},
  [5542] = {.lex_state = 56, .external_lex_state = 35},
  [5543] = {.lex_state = 62, .external_lex_state = 31},
  [5544] = {.lex_state = 60, .external_lex_state = 33},
  [5545] = {.lex_state = 62},
  [5546] = {.lex_state = 62, .external_lex_state = 45},
  [5547] = {.lex_state = 62, .external_lex_state = 31},
  [5548] = {.lex_state = 56, .external_lex_state = 35},
  [5549] = {.lex_state = 62, .external_lex_state = 28},
  [5550] = {.lex_state = 51, .external_lex_state = 23},
  [5551] = {.lex_state = 55, .external_lex_state = 26},
  [5552] = {.lex_state = 62, .external_lex_state = 31},
  [5553] = {.lex_state = 57, .external_lex_state = 37},
  [5554] = {.lex_state = 60, .external_lex_state = 41},
  [5555] = {.lex_state = 62},
  [5556] = {.lex_state = 57, .external_lex_state = 43},
  [5557] = {.lex_state = 51, .external_lex_state = 23},
  [5558] = {.lex_state = 51, .external_lex_state = 49},
  [5559] = {.lex_state = 56, .external_lex_state = 36},
  [5560] = {.lex_state = 62, .external_lex_state = 28},
  [5561] = {.lex_state = 62},
  [5562] = {.lex_state = 62, .external_lex_state = 28},
  [5563] = {.lex_state = 51, .external_lex_state = 49},
  [5564] = {.lex_state = 51, .external_lex_state = 48},
  [5565] = {.lex_state = 57, .external_lex_state = 37},
  [5566] = {.lex_state = 57, .external_lex_state = 37},
  [5567] = {.lex_state = 57, .external_lex_state = 44},
  [5568] = {.lex_state = 51, .external_lex_state = 51},
  [5569] = {.lex_state = 57, .external_lex_state = 37},
  [5570] = {.lex_state = 51, .external_lex_state = 31},
  [5571] = {.lex_state = 51, .external_lex_state = 54},
  [5572] = {.lex_state = 55, .external_lex_state = 43},
  [5573] = {.lex_state = 62},
  [5574] = {.lex_state = 55, .external_lex_state = 26},
  [5575] = {.lex_state = 51, .external_lex_state = 31},
  [5576] = {.lex_state = 56, .external_lex_state = 35},
  [5577] = {.lex_state = 57, .external_lex_state = 35},
  [5578] = {.lex_state = 62},
  [5579] = {.lex_state = 51},
  [5580] = {.lex_state = 54, .external_lex_state = 54},
  [5581] = {.lex_state = 57, .external_lex_state = 35},
  [5582] = {.lex_state = 60, .external_lex_state = 55},
  [5583] = {.lex_state = 55, .external_lex_state = 31},
  [5584] = {.lex_state = 62},
  [5585] = {.lex_state = 62, .external_lex_state = 28},
  [5586] = {.lex_state = 62, .external_lex_state = 28},
  [5587] = {.lex_state = 62, .external_lex_state = 32},
  [5588] = {.lex_state = 55, .external_lex_state = 54},
  [5589] = {.lex_state = 62},
  [5590] = {.lex_state = 62},
  [5591] = {.lex_state = 51, .external_lex_state = 31},
  [5592] = {.lex_state = 62, .external_lex_state = 32},
  [5593] = {.lex_state = 54, .external_lex_state = 54},
  [5594] = {.lex_state = 62, .external_lex_state = 34},
  [5595] = {.lex_state = 60, .external_lex_state = 55},
  [5596] = {.lex_state = 62},
  [5597] = {.lex_state = 54, .external_lex_state = 35},
  [5598] = {.lex_state = 62, .external_lex_state = 28},
  [5599] = {.lex_state = 60, .external_lex_state = 43},
  [5600] = {.lex_state = 62, .external_lex_state = 32},
  [5601] = {.lex_state = 62, .external_lex_state = 56},
  [5602] = {.lex_state = 56, .external_lex_state = 27},
  [5603] = {.lex_state = 62, .external_lex_state = 34},
  [5604] = {.lex_state = 56, .external_lex_state = 30},
  [5605] = {.lex_state = 62},
  [5606] = {.lex_state = 51, .external_lex_state = 24},
  [5607] = {.lex_state = 62, .external_lex_state = 28},
  [5608] = {.lex_state = 62, .external_lex_state = 32},
  [5609] = {.lex_state = 51, .external_lex_state = 36},
  [5610] = {.lex_state = 56, .external_lex_state = 31},
  [5611] = {.lex_state = 60, .external_lex_state = 30},
  [5612] = {.lex_state = 51},
  [5613] = {.lex_state = 51, .external_lex_state = 53},
  [5614] = {.lex_state = 62},
  [5615] = {.lex_state = 62, .external_lex_state = 49},
  [5616] = {.lex_state = 62, .external_lex_state = 32},
  [5617] = {.lex_state = 57, .external_lex_state = 44},
  [5618] = {.lex_state = 53},
  [5619] = {.lex_state = 56, .external_lex_state = 35},
  [5620] = {.lex_state = 62},
  [5621] = {.lex_state = 62, .external_lex_state = 28},
  [5622] = {.lex_state = 62},
  [5623] = {.lex_state = 62, .external_lex_state = 56},
  [5624] = {.lex_state = 62},
  [5625] = {.lex_state = 60, .external_lex_state = 54},
  [5626] = {.lex_state = 62, .external_lex_state = 27},
  [5627] = {.lex_state = 62},
  [5628] = {.lex_state = 60, .external_lex_state = 33},
  [5629] = {.lex_state = 62, .external_lex_state = 33},
  [5630] = {.lex_state = 55, .external_lex_state = 41},
  [5631] = {.lex_state = 51, .external_lex_state = 38},
  [5632] = {.lex_state = 56, .external_lex_state = 37},
  [5633] = {.lex_state = 55, .external_lex_state = 37},
  [5634] = {.lex_state = 62},
  [5635] = {.lex_state = 62},
  [5636] = {.lex_state = 51, .external_lex_state = 24},
  [5637] = {.lex_state = 62, .external_lex_state = 28},
  [5638] = {.lex_state = 57, .external_lex_state = 42},
  [5639] = {.lex_state = 62, .external_lex_state = 28},
  [5640] = {.lex_state = 55, .external_lex_state = 37},
  [5641] = {.lex_state = 51, .external_lex_state = 38},
  [5642] = {.lex_state = 51, .external_lex_state = 42},
  [5643] = {.lex_state = 62},
  [5644] = {.lex_state = 57, .external_lex_state = 45},
  [5645] = {.lex_state = 60, .external_lex_state = 45},
  [5646] = {.lex_state = 56, .external_lex_state = 54},
  [5647] = {.lex_state = 62},
  [5648] = {.lex_state = 62, .external_lex_state = 27},
  [5649] = {.lex_state = 51, .external_lex_state = 42},
  [5650] = {.lex_state = 51, .external_lex_state = 30},
  [5651] = {.lex_state = 62, .external_lex_state = 32},
  [5652] = {.lex_state = 51, .external_lex_state = 51},
  [5653] = {.lex_state = 51, .external_lex_state = 26},
  [5654] = {.lex_state = 62, .external_lex_state = 44},
  [5655] = {.lex_state = 62},
  [5656] = {.lex_state = 56, .external_lex_state = 29},
  [5657] = {.lex_state = 57, .external_lex_state = 42},
  [5658] = {.lex_state = 57, .external_lex_state = 44},
  [5659] = {.lex_state = 57, .external_lex_state = 42},
  [5660] = {.lex_state = 56, .external_lex_state = 36},
  [5661] = {.lex_state = 51, .external_lex_state = 27},
  [5662] = {.lex_state = 62, .external_lex_state = 28},
  [5663] = {.lex_state = 51, .external_lex_state = 38},
  [5664] = {.lex_state = 62},
  [5665] = {.lex_state = 57, .external_lex_state = 44},
  [5666] = {.lex_state = 62, .external_lex_state = 32},
  [5667] = {.lex_state = 62},
  [5668] = {.lex_state = 55, .external_lex_state = 51},
  [5669] = {.lex_state = 51, .external_lex_state = 57},
  [5670] = {.lex_state = 51, .external_lex_state = 45},
  [5671] = {.lex_state = 62, .external_lex_state = 28},
  [5672] = {.lex_state = 62, .external_lex_state = 28},
  [5673] = {.lex_state = 51, .external_lex_state = 45},
  [5674] = {.lex_state = 62, .external_lex_state = 34},
  [5675] = {.lex_state = 57, .external_lex_state = 44},
  [5676] = {.lex_state = 62, .external_lex_state = 28},
  [5677] = {.lex_state = 62, .external_lex_state = 34},
  [5678] = {.lex_state = 56, .external_lex_state = 36},
  [5679] = {.lex_state = 62, .external_lex_state = 46},
  [5680] = {.lex_state = 53},
  [5681] = {.lex_state = 56, .external_lex_state = 44},
  [5682] = {.lex_state = 56, .external_lex_state = 36},
  [5683] = {.lex_state = 56, .external_lex_state = 36},
  [5684] = {.lex_state = 55, .external_lex_state = 41},
  [5685] = {.lex_state = 62},
  [5686] = {.lex_state = 62, .external_lex_state = 28},
  [5687] = {.lex_state = 51, .external_lex_state = 54},
  [5688] = {.lex_state = 57, .external_lex_state = 44},
  [5689] = {.lex_state = 60, .external_lex_state = 43},
  [5690] = {.lex_state = 55, .external_lex_state = 45},
  [5691] = {.lex_state = 62, .external_lex_state = 34},
  [5692] = {.lex_state = 57, .external_lex_state = 41},
  [5693] = {.lex_state = 62},
  [5694] = {.lex_state = 62, .external_lex_state = 42},
  [5695] = {.lex_state = 62, .external_lex_state = 43},
  [5696] = {.lex_state = 62, .external_lex_state = 32},
  [5697] = {.lex_state = 62},
  [5698] = {.lex_state = 62, .external_lex_state = 30},
  [5699] = {.lex_state = 62, .external_lex_state = 34},
  [5700] = {.lex_state = 51, .external_lex_state = 48},
  [5701] = {.lex_state = 55, .external_lex_state = 45},
  [5702] = {.lex_state = 62, .external_lex_state = 32},
  [5703] = {.lex_state = 55, .external_lex_state = 45},
  [5704] = {.lex_state = 62, .external_lex_state = 28},
  [5705] = {.lex_state = 57, .external_lex_state = 44},
  [5706] = {.lex_state = 55, .external_lex_state = 43},
  [5707] = {.lex_state = 57, .external_lex_state = 33},
  [5708] = {.lex_state = 62, .external_lex_state = 34},
  [5709] = {.lex_state = 56, .external_lex_state = 35},
  [5710] = {.lex_state = 60, .external_lex_state = 29},
  [5711] = {.lex_state = 54, .external_lex_state = 54},
  [5712] = {.lex_state = 57, .external_lex_state = 41},
  [5713] = {.lex_state = 55, .external_lex_state = 45},
  [5714] = {.lex_state = 55, .external_lex_state = 45},
  [5715] = {.lex_state = 51, .external_lex_state = 26},
  [5716] = {.lex_state = 62},
  [5717] = {.lex_state = 57, .external_lex_state = 44},
  [5718] = {.lex_state = 57, .external_lex_state = 33},
  [5719] = {.lex_state = 62, .external_lex_state = 28},
  [5720] = {.lex_state = 57, .external_lex_state = 36},
  [5721] = {.lex_state = 62, .external_lex_state = 28},
  [5722] = {.lex_state = 62, .external_lex_state = 41},
  [5723] = {.lex_state = 62, .external_lex_state = 34},
  [5724] = {.lex_state = 55, .external_lex_state = 45},
  [5725] = {.lex_state = 62},
  [5726] = {.lex_state = 62, .external_lex_state = 34},
  [5727] = {.lex_state = 55, .external_lex_state = 44},
  [5728] = {.lex_state = 55, .external_lex_state = 45},
  [5729] = {.lex_state = 57, .external_lex_state = 45},
  [5730] = {.lex_state = 62, .external_lex_state = 28},
  [5731] = {.lex_state = 57, .external_lex_state = 48},
  [5732] = {.lex_state = 55, .external_lex_state = 45},
  [5733] = {.lex_state = 62, .external_lex_state = 41},
  [5734] = {.lex_state = 62, .external_lex_state = 32},
  [5735] = {.lex_state = 62, .external_lex_state = 31},
  [5736] = {.lex_state = 57, .external_lex_state = 51},
  [5737] = {.lex_state = 62, .external_lex_state = 42},
  [5738] = {.lex_state = 51, .external_lex_state = 40},
  [5739] = {.lex_state = 56, .external_lex_state = 35},
  [5740] = {.lex_state = 60, .external_lex_state = 29},
  [5741] = {.lex_state = 62},
  [5742] = {.lex_state = 56, .external_lex_state = 44},
  [5743] = {.lex_state = 62, .external_lex_state = 32},
  [5744] = {.lex_state = 62, .external_lex_state = 31},
  [5745] = {.lex_state = 55, .external_lex_state = 35},
  [5746] = {.lex_state = 57, .external_lex_state = 44},
  [5747] = {.lex_state = 62},
  [5748] = {.lex_state = 55, .external_lex_state = 41},
  [5749] = {.lex_state = 60, .external_lex_state = 31},
  [5750] = {.lex_state = 62, .external_lex_state = 30},
  [5751] = {.lex_state = 56, .external_lex_state = 36},
  [5752] = {.lex_state = 51, .external_lex_state = 53},
  [5753] = {.lex_state = 55, .external_lex_state = 41},
  [5754] = {.lex_state = 55, .external_lex_state = 26},
  [5755] = {.lex_state = 58, .external_lex_state = 35},
  [5756] = {.lex_state = 57, .external_lex_state = 36},
  [5757] = {.lex_state = 62},
  [5758] = {.lex_state = 62, .external_lex_state = 28},
  [5759] = {.lex_state = 62, .external_lex_state = 28},
  [5760] = {.lex_state = 57, .external_lex_state = 36},
  [5761] = {.lex_state = 57, .external_lex_state = 30},
  [5762] = {.lex_state = 62, .external_lex_state = 34},
  [5763] = {.lex_state = 62, .external_lex_state = 32},
  [5764] = {.lex_state = 62, .external_lex_state = 28},
  [5765] = {.lex_state = 57, .external_lex_state = 44},
  [5766] = {.lex_state = 55, .external_lex_state = 35},
  [5767] = {.lex_state = 62, .external_lex_state = 30},
  [5768] = {.lex_state = 55, .external_lex_state = 41},
  [5769] = {.lex_state = 62, .external_lex_state = 30},
  [5770] = {.lex_state = 60, .external_lex_state = 42},
  [5771] = {.lex_state = 60, .external_lex_state = 51},
  [5772] = {.lex_state = 57, .external_lex_state = 36},
  [5773] = {.lex_state = 57, .external_lex_state = 44},
  [5774] = {.lex_state = 62, .external_lex_state = 28},
  [5775] = {.lex_state = 62},
  [5776] = {.lex_state = 57, .external_lex_state = 30},
  [5777] = {.lex_state = 62, .external_lex_state = 34},
  [5778] = {.lex_state = 62, .external_lex_state = 28},
  [5779] = {.lex_state = 51, .external_lex_state = 39},
  [5780] = {.lex_state = 61, .external_lex_state = 35},
  [5781] = {.lex_state = 55, .external_lex_state = 45},
  [5782] = {.lex_state = 57, .external_lex_state = 36},
  [5783] = {.lex_state = 60, .external_lex_state = 51},
  [5784] = {.lex_state = 57, .external_lex_state = 36},
  [5785] = {.lex_state = 51},
  [5786] = {.lex_state = 62, .external_lex_state = 34},
  [5787] = {.lex_state = 57, .external_lex_state = 36},
  [5788] = {.lex_state = 57, .external_lex_state = 29},
  [5789] = {.lex_state = 57, .external_lex_state = 36},
  [5790] = {.lex_state = 62},
  [5791] = {.lex_state = 62},
  [5792] = {.lex_state = 56, .external_lex_state = 35},
  [5793] = {.lex_state = 56, .external_lex_state = 35},
  [5794] = {.lex_state = 62, .external_lex_state = 28},
  [5795] = {.lex_state = 55, .external_lex_state = 44},
  [5796] = {.lex_state = 51, .external_lex_state = 53},
  [5797] = {.lex_state = 61, .external_lex_state = 54},
  [5798] = {.lex_state = 62},
  [5799] = {.lex_state = 60, .external_lex_state = 28},
  [5800] = {.lex_state = 56, .external_lex_state = 35},
  [5801] = {.lex_state = 51, .external_lex_state = 33},
  [5802] = {.lex_state = 51, .external_lex_state = 38},
  [5803] = {.lex_state = 62},
  [5804] = {.lex_state = 60, .external_lex_state = 36},
  [5805] = {.lex_state = 60, .external_lex_state = 36},
  [5806] = {.lex_state = 62, .external_lex_state = 32},
  [5807] = {.lex_state = 57, .external_lex_state = 36},
  [5808] = {.lex_state = 57, .external_lex_state = 37},
  [5809] = {.lex_state = 60, .external_lex_state = 36},
  [5810] = {.lex_state = 62, .external_lex_state = 33},
  [5811] = {.lex_state = 55, .external_lex_state = 48},
  [5812] = {.lex_state = 51, .external_lex_state = 50},
  [5813] = {.lex_state = 62, .external_lex_state = 33},
  [5814] = {.lex_state = 62},
  [5815] = {.lex_state = 55, .external_lex_state = 43},
  [5816] = {.lex_state = 62, .external_lex_state = 28},
  [5817] = {.lex_state = 62, .external_lex_state = 34},
  [5818] = {.lex_state = 62},
  [5819] = {.lex_state = 62},
  [5820] = {.lex_state = 62, .external_lex_state = 33},
  [5821] = {.lex_state = 62, .external_lex_state = 33},
  [5822] = {.lex_state = 51, .external_lex_state = 34},
  [5823] = {.lex_state = 60, .external_lex_state = 54},
  [5824] = {.lex_state = 55, .external_lex_state = 44},
  [5825] = {.lex_state = 62, .external_lex_state = 58},
  [5826] = {.lex_state = 62, .external_lex_state = 45},
  [5827] = {.lex_state = 62},
  [5828] = {.lex_state = 58, .external_lex_state = 35},
  [5829] = {.lex_state = 62, .external_lex_state = 45},
  [5830] = {.lex_state = 62, .external_lex_state = 28},
  [5831] = {.lex_state = 51, .external_lex_state = 39},
  [5832] = {.lex_state = 62, .external_lex_state = 43},
  [5833] = {.lex_state = 60, .external_lex_state = 35},
  [5834] = {.lex_state = 62, .external_lex_state = 34},
  [5835] = {.lex_state = 51, .external_lex_state = 27},
  [5836] = {.lex_state = 51, .external_lex_state = 43},
  [5837] = {.lex_state = 62, .external_lex_state = 43},
  [5838] = {.lex_state = 60, .external_lex_state = 27},
  [5839] = {.lex_state = 62},
  [5840] = {.lex_state = 62, .external_lex_state = 32},
  [5841] = {.lex_state = 56, .external_lex_state = 35},
  [5842] = {.lex_state = 55, .external_lex_state = 36},
  [5843] = {.lex_state = 51, .external_lex_state = 32},
  [5844] = {.lex_state = 55, .external_lex_state = 44},
  [5845] = {.lex_state = 62, .external_lex_state = 41},
  [5846] = {.lex_state = 62, .external_lex_state = 29},
  [5847] = {.lex_state = 60, .external_lex_state = 36},
  [5848] = {.lex_state = 55, .external_lex_state = 55},
  [5849] = {.lex_state = 62},
  [5850] = {.lex_state = 57, .external_lex_state = 55},
  [5851] = {.lex_state = 62, .external_lex_state = 54},
  [5852] = {.lex_state = 60, .external_lex_state = 27},
  [5853] = {.lex_state = 62, .external_lex_state = 29},
  [5854] = {.lex_state = 51, .external_lex_state = 43},
  [5855] = {.lex_state = 62, .external_lex_state = 42},
  [5856] = {.lex_state = 62, .external_lex_state = 30},
  [5857] = {.lex_state = 55, .external_lex_state = 43},
  [5858] = {.lex_state = 55, .external_lex_state = 43},
  [5859] = {.lex_state = 51, .external_lex_state = 30},
  [5860] = {.lex_state = 62, .external_lex_state = 28},
  [5861] = {.lex_state = 55, .external_lex_state = 43},
  [5862] = {.lex_state = 62},
  [5863] = {.lex_state = 54, .external_lex_state = 35},
  [5864] = {.lex_state = 51, .external_lex_state = 26},
  [5865] = {.lex_state = 57, .external_lex_state = 37},
  [5866] = {.lex_state = 62, .external_lex_state = 28},
  [5867] = {.lex_state = 51, .external_lex_state = 30},
  [5868] = {.lex_state = 57, .external_lex_state = 37},
  [5869] = {.lex_state = 60, .external_lex_state = 26},
  [5870] = {.lex_state = 57, .external_lex_state = 31},
  [5871] = {.lex_state = 62},
  [5872] = {.lex_state = 51, .external_lex_state = 26},
  [5873] = {.lex_state = 57, .external_lex_state = 37},
  [5874] = {.lex_state = 56, .external_lex_state = 36},
  [5875] = {.lex_state = 60, .external_lex_state = 31},
  [5876] = {.lex_state = 51, .external_lex_state = 30},
  [5877] = {.lex_state = 62, .external_lex_state = 28},
  [5878] = {.lex_state = 60, .external_lex_state = 26},
  [5879] = {.lex_state = 62},
  [5880] = {.lex_state = 62, .external_lex_state = 23},
  [5881] = {.lex_state = 57, .external_lex_state = 31},
  [5882] = {.lex_state = 62, .external_lex_state = 28},
  [5883] = {.lex_state = 62, .external_lex_state = 28},
  [5884] = {.lex_state = 51, .external_lex_state = 39},
  [5885] = {.lex_state = 62},
  [5886] = {.lex_state = 62},
  [5887] = {.lex_state = 55, .external_lex_state = 43},
  [5888] = {.lex_state = 57, .external_lex_state = 37},
  [5889] = {.lex_state = 57, .external_lex_state = 37},
  [5890] = {.lex_state = 55, .external_lex_state = 55},
  [5891] = {.lex_state = 55, .external_lex_state = 29},
  [5892] = {.lex_state = 62, .external_lex_state = 29},
  [5893] = {.lex_state = 57, .external_lex_state = 37},
  [5894] = {.lex_state = 62, .external_lex_state = 57},
  [5895] = {.lex_state = 57, .external_lex_state = 37},
  [5896] = {.lex_state = 56, .external_lex_state = 37},
  [5897] = {.lex_state = 62},
  [5898] = {.lex_state = 62, .external_lex_state = 28},
  [5899] = {.lex_state = 55, .external_lex_state = 41},
  [5900] = {.lex_state = 60, .external_lex_state = 37},
  [5901] = {.lex_state = 55, .external_lex_state = 27},
  [5902] = {.lex_state = 60, .external_lex_state = 27},
  [5903] = {.lex_state = 56, .external_lex_state = 37},
  [5904] = {.lex_state = 55, .external_lex_state = 42},
  [5905] = {.lex_state = 62},
  [5906] = {.lex_state = 62},
  [5907] = {.lex_state = 60, .external_lex_state = 37},
  [5908] = {.lex_state = 55, .external_lex_state = 42},
  [5909] = {.lex_state = 54, .external_lex_state = 35},
  [5910] = {.lex_state = 62, .external_lex_state = 43},
  [5911] = {.lex_state = 60, .external_lex_state = 37},
  [5912] = {.lex_state = 61, .external_lex_state = 54},
  [5913] = {.lex_state = 62},
  [5914] = {.lex_state = 55, .external_lex_state = 30},
  [5915] = {.lex_state = 55, .external_lex_state = 42},
  [5916] = {.lex_state = 51, .external_lex_state = 26},
  [5917] = {.lex_state = 7, .external_lex_state = 44},
  [5918] = {.lex_state = 56, .external_lex_state = 27},
  [5919] = {.lex_state = 55, .external_lex_state = 42},
  [5920] = {.lex_state = 55, .external_lex_state = 42},
  [5921] = {.lex_state = 62},
  [5922] = {.lex_state = 55, .external_lex_state = 42},
  [5923] = {.lex_state = 60, .external_lex_state = 27},
  [5924] = {.lex_state = 62},
  [5925] = {.lex_state = 62, .external_lex_state = 31},
  [5926] = {.lex_state = 55, .external_lex_state = 42},
  [5927] = {.lex_state = 60, .external_lex_state = 27},
  [5928] = {.lex_state = 60, .external_lex_state = 35},
  [5929] = {.lex_state = 58, .external_lex_state = 54},
  [5930] = {.lex_state = 60, .external_lex_state = 37},
  [5931] = {.lex_state = 62},
  [5932] = {.lex_state = 55, .external_lex_state = 42},
  [5933] = {.lex_state = 62, .external_lex_state = 34},
  [5934] = {.lex_state = 51, .external_lex_state = 34},
  [5935] = {.lex_state = 56, .external_lex_state = 37},
  [5936] = {.lex_state = 62},
  [5937] = {.lex_state = 56, .external_lex_state = 37},
  [5938] = {.lex_state = 62, .external_lex_state = 58},
  [5939] = {.lex_state = 56, .external_lex_state = 35},
  [5940] = {.lex_state = 55, .external_lex_state = 45},
  [5941] = {.lex_state = 56, .external_lex_state = 37},
  [5942] = {.lex_state = 62},
  [5943] = {.lex_state = 60, .external_lex_state = 35},
  [5944] = {.lex_state = 55, .external_lex_state = 51},
  [5945] = {.lex_state = 56, .external_lex_state = 37},
  [5946] = {.lex_state = 62, .external_lex_state = 46},
  [5947] = {.lex_state = 57, .external_lex_state = 43},
  [5948] = {.lex_state = 51, .external_lex_state = 33},
  [5949] = {.lex_state = 55, .external_lex_state = 35},
  [5950] = {.lex_state = 55, .external_lex_state = 48},
  [5951] = {.lex_state = 54, .external_lex_state = 35},
  [5952] = {.lex_state = 56, .external_lex_state = 37},
  [5953] = {.lex_state = 51, .external_lex_state = 35},
  [5954] = {.lex_state = 60, .external_lex_state = 35},
  [5955] = {.lex_state = 62},
  [5956] = {.lex_state = 56, .external_lex_state = 37},
  [5957] = {.lex_state = 62},
  [5958] = {.lex_state = 57, .external_lex_state = 54},
  [5959] = {.lex_state = 62, .external_lex_state = 27},
  [5960] = {.lex_state = 62, .external_lex_state = 41},
  [5961] = {.lex_state = 56, .external_lex_state = 37},
  [5962] = {.lex_state = 56, .external_lex_state = 37},
  [5963] = {.lex_state = 62},
  [5964] = {.lex_state = 51, .external_lex_state = 44},
  [5965] = {.lex_state = 56, .external_lex_state = 37},
  [5966] = {.lex_state = 51, .external_lex_state = 33},
  [5967] = {.lex_state = 62},
  [5968] = {.lex_state = 51, .external_lex_state = 56},
  [5969] = {.lex_state = 56, .external_lex_state = 37},
  [5970] = {.lex_state = 62, .external_lex_state = 34},
  [5971] = {.lex_state = 62, .external_lex_state = 34},
  [5972] = {.lex_state = 62, .external_lex_state = 34},
  [5973] = {.lex_state = 51, .external_lex_state = 33},
  [5974] = {.lex_state = 56, .external_lex_state = 37},
  [5975] = {.lex_state = 60, .external_lex_state = 48},
  [5976] = {.lex_state = 57, .external_lex_state = 44},
  [5977] = {.lex_state = 60, .external_lex_state = 54},
  [5978] = {.lex_state = 51, .external_lex_state = 31},
  [5979] = {.lex_state = 62},
  [5980] = {.lex_state = 55, .external_lex_state = 42},
  [5981] = {.lex_state = 62, .external_lex_state = 32},
  [5982] = {.lex_state = 57, .external_lex_state = 37},
  [5983] = {.lex_state = 60, .external_lex_state = 42},
  [5984] = {.lex_state = 62},
  [5985] = {.lex_state = 62, .external_lex_state = 28},
  [5986] = {.lex_state = 56, .external_lex_state = 54},
  [5987] = {.lex_state = 62},
  [5988] = {.lex_state = 60, .external_lex_state = 48},
  [5989] = {.lex_state = 3},
  [5990] = {.lex_state = 60, .external_lex_state = 45},
  [5991] = {.lex_state = 63, .external_lex_state = 35},
  [5992] = {.lex_state = 55, .external_lex_state = 51},
  [5993] = {.lex_state = 62, .external_lex_state = 36},
  [5994] = {.lex_state = 55, .external_lex_state = 26},
  [5995] = {.lex_state = 55, .external_lex_state = 35},
  [5996] = {.lex_state = 62, .external_lex_state = 35},
  [5997] = {.lex_state = 55, .external_lex_state = 55},
  [5998] = {.lex_state = 62, .external_lex_state = 31},
  [5999] = {.lex_state = 62, .external_lex_state = 26},
  [6000] = {.lex_state = 55, .external_lex_state = 55},
  [6001] = {.lex_state = 57, .external_lex_state = 48},
  [6002] = {.lex_state = 57, .external_lex_state = 48},
  [6003] = {.lex_state = 62, .external_lex_state = 34},
  [6004] = {.lex_state = 51, .external_lex_state = 29},
  [6005] = {.lex_state = 51, .external_lex_state = 44},
  [6006] = {.lex_state = 55, .external_lex_state = 55},
  [6007] = {.lex_state = 60, .external_lex_state = 35},
  [6008] = {.lex_state = 57, .external_lex_state = 41},
  [6009] = {.lex_state = 58, .external_lex_state = 35},
  [6010] = {.lex_state = 62, .external_lex_state = 32},
  [6011] = {.lex_state = 62, .external_lex_state = 37},
  [6012] = {.lex_state = 55, .external_lex_state = 44},
  [6013] = {.lex_state = 55, .external_lex_state = 55},
  [6014] = {.lex_state = 62, .external_lex_state = 24},
  [6015] = {.lex_state = 54, .external_lex_state = 54},
  [6016] = {.lex_state = 51, .external_lex_state = 38},
  [6017] = {.lex_state = 62, .external_lex_state = 35},
  [6018] = {.lex_state = 56, .external_lex_state = 30},
  [6019] = {.lex_state = 56, .external_lex_state = 45},
  [6020] = {.lex_state = 55, .external_lex_state = 55},
  [6021] = {.lex_state = 60, .external_lex_state = 30},
  [6022] = {.lex_state = 55, .external_lex_state = 29},
  [6023] = {.lex_state = 63, .external_lex_state = 54},
  [6024] = {.lex_state = 56, .external_lex_state = 45},
  [6025] = {.lex_state = 62, .external_lex_state = 23},
  [6026] = {.lex_state = 55, .external_lex_state = 55},
  [6027] = {.lex_state = 55, .external_lex_state = 29},
  [6028] = {.lex_state = 55, .external_lex_state = 55},
  [6029] = {.lex_state = 56, .external_lex_state = 42},
  [6030] = {.lex_state = 55, .external_lex_state = 29},
  [6031] = {.lex_state = 55, .external_lex_state = 55},
  [6032] = {.lex_state = 55, .external_lex_state = 44},
  [6033] = {.lex_state = 55, .external_lex_state = 55},
  [6034] = {.lex_state = 62, .external_lex_state = 32},
  [6035] = {.lex_state = 56, .external_lex_state = 43},
  [6036] = {.lex_state = 62, .external_lex_state = 35},
  [6037] = {.lex_state = 62, .external_lex_state = 38},
  [6038] = {.lex_state = 51, .external_lex_state = 30},
  [6039] = {.lex_state = 63, .external_lex_state = 35},
  [6040] = {.lex_state = 57, .external_lex_state = 55},
  [6041] = {.lex_state = 62, .external_lex_state = 32},
  [6042] = {.lex_state = 55, .external_lex_state = 55},
  [6043] = {.lex_state = 57, .external_lex_state = 55},
  [6044] = {.lex_state = 56, .external_lex_state = 43},
  [6045] = {.lex_state = 56, .external_lex_state = 43},
  [6046] = {.lex_state = 61, .external_lex_state = 44},
  [6047] = {.lex_state = 51, .external_lex_state = 44},
  [6048] = {.lex_state = 60, .external_lex_state = 41},
  [6049] = {.lex_state = 55, .external_lex_state = 44},
  [6050] = {.lex_state = 62, .external_lex_state = 34},
  [6051] = {.lex_state = 62, .external_lex_state = 32},
  [6052] = {.lex_state = 57, .external_lex_state = 51},
  [6053] = {.lex_state = 57, .external_lex_state = 51},
  [6054] = {.lex_state = 51, .external_lex_state = 55},
  [6055] = {.lex_state = 56, .external_lex_state = 42},
  [6056] = {.lex_state = 51, .external_lex_state = 23},
  [6057] = {.lex_state = 60, .external_lex_state = 41},
  [6058] = {.lex_state = 62, .external_lex_state = 37},
  [6059] = {.lex_state = 51, .external_lex_state = 24},
  [6060] = {.lex_state = 51, .external_lex_state = 35},
  [6061] = {.lex_state = 56, .external_lex_state = 43},
  [6062] = {.lex_state = 55, .external_lex_state = 55},
  [6063] = {.lex_state = 56, .external_lex_state = 45},
  [6064] = {.lex_state = 62, .external_lex_state = 38},
  [6065] = {.lex_state = 51, .external_lex_state = 33},
  [6066] = {.lex_state = 55, .external_lex_state = 54},
  [6067] = {.lex_state = 55, .external_lex_state = 26},
  [6068] = {.lex_state = 56, .external_lex_state = 42},
  [6069] = {.lex_state = 60, .external_lex_state = 44},
  [6070] = {.lex_state = 62, .external_lex_state = 32},
  [6071] = {.lex_state = 62, .external_lex_state = 38},
  [6072] = {.lex_state = 51, .external_lex_state = 29},
  [6073] = {.lex_state = 56, .external_lex_state = 43},
  [6074] = {.lex_state = 62, .external_lex_state = 34},
  [6075] = {.lex_state = 56, .external_lex_state = 41},
  [6076] = {.lex_state = 62, .external_lex_state = 38},
  [6077] = {.lex_state = 55, .external_lex_state = 26},
  [6078] = {.lex_state = 62, .external_lex_state = 32},
  [6079] = {.lex_state = 56, .external_lex_state = 43},
  [6080] = {.lex_state = 62, .external_lex_state = 37},
  [6081] = {.lex_state = 51, .external_lex_state = 24},
  [6082] = {.lex_state = 60, .external_lex_state = 26},
  [6083] = {.lex_state = 55, .external_lex_state = 26},
  [6084] = {.lex_state = 62, .external_lex_state = 24},
  [6085] = {.lex_state = 62, .external_lex_state = 32},
  [6086] = {.lex_state = 62, .external_lex_state = 34},
  [6087] = {.lex_state = 55, .external_lex_state = 26},
  [6088] = {.lex_state = 56, .external_lex_state = 43},
  [6089] = {.lex_state = 60, .external_lex_state = 41},
  [6090] = {.lex_state = 56, .external_lex_state = 45},
  [6091] = {.lex_state = 62, .external_lex_state = 28},
  [6092] = {.lex_state = 55, .external_lex_state = 45},
  [6093] = {.lex_state = 57, .external_lex_state = 42},
  [6094] = {.lex_state = 51, .external_lex_state = 55},
  [6095] = {.lex_state = 62, .external_lex_state = 34},
  [6096] = {.lex_state = 58, .external_lex_state = 35},
  [6097] = {.lex_state = 62, .external_lex_state = 40},
  [6098] = {.lex_state = 56, .external_lex_state = 31},
  [6099] = {.lex_state = 56, .external_lex_state = 43},
  [6100] = {.lex_state = 57, .external_lex_state = 41},
  [6101] = {.lex_state = 60, .external_lex_state = 37},
  [6102] = {.lex_state = 56, .external_lex_state = 45},
  [6103] = {.lex_state = 56, .external_lex_state = 45},
  [6104] = {.lex_state = 55, .external_lex_state = 44},
  [6105] = {.lex_state = 51, .external_lex_state = 58},
  [6106] = {.lex_state = 62, .external_lex_state = 40},
  [6107] = {.lex_state = 51, .external_lex_state = 28},
  [6108] = {.lex_state = 57, .external_lex_state = 26},
  [6109] = {.lex_state = 56, .external_lex_state = 45},
  [6110] = {.lex_state = 57, .external_lex_state = 26},
  [6111] = {.lex_state = 62, .external_lex_state = 57},
  [6112] = {.lex_state = 57, .external_lex_state = 48},
  [6113] = {.lex_state = 62, .external_lex_state = 38},
  [6114] = {.lex_state = 60, .external_lex_state = 29},
  [6115] = {.lex_state = 56, .external_lex_state = 43},
  [6116] = {.lex_state = 7, .external_lex_state = 44},
  [6117] = {.lex_state = 57, .external_lex_state = 42},
  [6118] = {.lex_state = 62, .external_lex_state = 32},
  [6119] = {.lex_state = 56, .external_lex_state = 43},
  [6120] = {.lex_state = 56, .external_lex_state = 43},
  [6121] = {.lex_state = 55, .external_lex_state = 51},
  [6122] = {.lex_state = 57, .external_lex_state = 42},
  [6123] = {.lex_state = 57, .external_lex_state = 37},
  [6124] = {.lex_state = 55, .external_lex_state = 48},
  [6125] = {.lex_state = 60, .external_lex_state = 30},
  [6126] = {.lex_state = 55, .external_lex_state = 27},
  [6127] = {.lex_state = 55, .external_lex_state = 51},
  [6128] = {.lex_state = 56, .external_lex_state = 43},
  [6129] = {.lex_state = 55, .external_lex_state = 51},
  [6130] = {.lex_state = 60, .external_lex_state = 31},
  [6131] = {.lex_state = 56, .external_lex_state = 43},
  [6132] = {.lex_state = 56, .external_lex_state = 45},
  [6133] = {.lex_state = 62, .external_lex_state = 38},
  [6134] = {.lex_state = 56, .external_lex_state = 42},
  [6135] = {.lex_state = 55, .external_lex_state = 51},
  [6136] = {.lex_state = 62, .external_lex_state = 36},
  [6137] = {.lex_state = 60, .external_lex_state = 26},
  [6138] = {.lex_state = 62, .external_lex_state = 56},
  [6139] = {.lex_state = 55, .external_lex_state = 55},
  [6140] = {.lex_state = 56, .external_lex_state = 42},
  [6141] = {.lex_state = 62, .external_lex_state = 32},
  [6142] = {.lex_state = 55, .external_lex_state = 51},
  [6143] = {.lex_state = 51, .external_lex_state = 33},
  [6144] = {.lex_state = 57, .external_lex_state = 42},
  [6145] = {.lex_state = 57, .external_lex_state = 37},
  [6146] = {.lex_state = 62, .external_lex_state = 32},
  [6147] = {.lex_state = 56, .external_lex_state = 43},
  [6148] = {.lex_state = 62, .external_lex_state = 38},
  [6149] = {.lex_state = 55, .external_lex_state = 42},
  [6150] = {.lex_state = 55, .external_lex_state = 51},
  [6151] = {.lex_state = 56, .external_lex_state = 45},
  [6152] = {.lex_state = 55, .external_lex_state = 51},
  [6153] = {.lex_state = 57, .external_lex_state = 42},
  [6154] = {.lex_state = 57, .external_lex_state = 42},
  [6155] = {.lex_state = 62, .external_lex_state = 32},
  [6156] = {.lex_state = 62, .external_lex_state = 32},
  [6157] = {.lex_state = 56},
  [6158] = {.lex_state = 60, .external_lex_state = 42},
  [6159] = {.lex_state = 62, .external_lex_state = 36},
  [6160] = {.lex_state = 62, .external_lex_state = 32},
  [6161] = {.lex_state = 57, .external_lex_state = 41},
  [6162] = {.lex_state = 60, .external_lex_state = 31},
  [6163] = {.lex_state = 55, .external_lex_state = 51},
  [6164] = {.lex_state = 60, .external_lex_state = 29},
  [6165] = {.lex_state = 51, .external_lex_state = 47},
  [6166] = {.lex_state = 57, .external_lex_state = 42},
  [6167] = {.lex_state = 17, .external_lex_state = 44},
  [6168] = {.lex_state = 51, .external_lex_state = 46},
  [6169] = {.lex_state = 57, .external_lex_state = 41},
  [6170] = {.lex_state = 51, .external_lex_state = 39},
  [6171] = {.lex_state = 51, .external_lex_state = 26},
  [6172] = {.lex_state = 51, .external_lex_state = 24},
  [6173] = {.lex_state = 55, .external_lex_state = 27},
  [6174] = {.lex_state = 55, .external_lex_state = 51},
  [6175] = {.lex_state = 62, .external_lex_state = 36},
  [6176] = {.lex_state = 62, .external_lex_state = 32},
  [6177] = {.lex_state = 62, .external_lex_state = 35},
  [6178] = {.lex_state = 62, .external_lex_state = 23},
  [6179] = {.lex_state = 51, .external_lex_state = 31},
  [6180] = {.lex_state = 55, .external_lex_state = 51},
  [6181] = {.lex_state = 57, .external_lex_state = 42},
  [6182] = {.lex_state = 55, .external_lex_state = 51},
  [6183] = {.lex_state = 62, .external_lex_state = 28},
  [6184] = {.lex_state = 56, .external_lex_state = 41},
  [6185] = {.lex_state = 56, .external_lex_state = 41},
  [6186] = {.lex_state = 60, .external_lex_state = 42},
  [6187] = {.lex_state = 60, .external_lex_state = 36},
  [6188] = {.lex_state = 57, .external_lex_state = 42},
  [6189] = {.lex_state = 57, .external_lex_state = 36},
  [6190] = {.lex_state = 56, .external_lex_state = 45},
  [6191] = {.lex_state = 60, .external_lex_state = 44},
  [6192] = {.lex_state = 51, .external_lex_state = 46},
  [6193] = {.lex_state = 62, .external_lex_state = 26},
  [6194] = {.lex_state = 56, .external_lex_state = 41},
  [6195] = {.lex_state = 57, .external_lex_state = 42},
  [6196] = {.lex_state = 62, .external_lex_state = 36},
  [6197] = {.lex_state = 60, .external_lex_state = 42},
  [6198] = {.lex_state = 62, .external_lex_state = 32},
  [6199] = {.lex_state = 62, .external_lex_state = 52},
  [6200] = {.lex_state = 62, .external_lex_state = 30},
  [6201] = {.lex_state = 56, .external_lex_state = 41},
  [6202] = {.lex_state = 56, .external_lex_state = 45},
  [6203] = {.lex_state = 57, .external_lex_state = 42},
  [6204] = {.lex_state = 62},
  [6205] = {.lex_state = 51, .external_lex_state = 30},
  [6206] = {.lex_state = 62, .external_lex_state = 34},
  [6207] = {.lex_state = 51, .external_lex_state = 26},
  [6208] = {.lex_state = 61, .external_lex_state = 35},
  [6209] = {.lex_state = 62, .external_lex_state = 34},
  [6210] = {.lex_state = 62, .external_lex_state = 32},
  [6211] = {.lex_state = 57, .external_lex_state = 36},
  [6212] = {.lex_state = 56, .external_lex_state = 41},
  [6213] = {.lex_state = 56, .external_lex_state = 41},
  [6214] = {.lex_state = 54, .external_lex_state = 35},
  [6215] = {.lex_state = 57, .external_lex_state = 45},
  [6216] = {.lex_state = 62, .external_lex_state = 34},
  [6217] = {.lex_state = 62, .external_lex_state = 39},
  [6218] = {.lex_state = 55, .external_lex_state = 27},
  [6219] = {.lex_state = 56, .external_lex_state = 41},
  [6220] = {.lex_state = 57, .external_lex_state = 45},
  [6221] = {.lex_state = 62, .external_lex_state = 32},
  [6222] = {.lex_state = 56, .external_lex_state = 42},
  [6223] = {.lex_state = 61, .external_lex_state = 35},
  [6224] = {.lex_state = 55, .external_lex_state = 55},
  [6225] = {.lex_state = 57, .external_lex_state = 45},
  [6226] = {.lex_state = 57, .external_lex_state = 45},
  [6227] = {.lex_state = 62, .external_lex_state = 55},
  [6228] = {.lex_state = 56, .external_lex_state = 41},
  [6229] = {.lex_state = 62, .external_lex_state = 31},
  [6230] = {.lex_state = 61, .external_lex_state = 44},
  [6231] = {.lex_state = 55, .external_lex_state = 44},
  [6232] = {.lex_state = 58, .external_lex_state = 54},
  [6233] = {.lex_state = 55, .external_lex_state = 51},
  [6234] = {.lex_state = 57, .external_lex_state = 41},
  [6235] = {.lex_state = 62},
  [6236] = {.lex_state = 55, .external_lex_state = 48},
  [6237] = {.lex_state = 60, .external_lex_state = 30},
  [6238] = {.lex_state = 51, .external_lex_state = 44},
  [6239] = {.lex_state = 56, .external_lex_state = 41},
  [6240] = {.lex_state = 57, .external_lex_state = 30},
  [6241] = {.lex_state = 62, .external_lex_state = 34},
  [6242] = {.lex_state = 62, .external_lex_state = 34},
  [6243] = {.lex_state = 62, .external_lex_state = 34},
  [6244] = {.lex_state = 62, .external_lex_state = 32},
  [6245] = {.lex_state = 57, .external_lex_state = 41},
  [6246] = {.lex_state = 62, .external_lex_state = 34},
  [6247] = {.lex_state = 62, .external_lex_state = 34},
  [6248] = {.lex_state = 57, .external_lex_state = 31},
  [6249] = {.lex_state = 62, .external_lex_state = 34},
  [6250] = {.lex_state = 55, .external_lex_state = 45},
  [6251] = {.lex_state = 62, .external_lex_state = 35},
  [6252] = {.lex_state = 62, .external_lex_state = 23},
  [6253] = {.lex_state = 62, .external_lex_state = 32},
  [6254] = {.lex_state = 51, .external_lex_state = 23},
  [6255] = {.lex_state = 57, .external_lex_state = 55},
  [6256] = {.lex_state = 57, .external_lex_state = 41},
  [6257] = {.lex_state = 58, .external_lex_state = 35},
  [6258] = {.lex_state = 51, .external_lex_state = 38},
  [6259] = {.lex_state = 56, .external_lex_state = 41},
  [6260] = {.lex_state = 51, .external_lex_state = 23},
  [6261] = {.lex_state = 57, .external_lex_state = 41},
  [6262] = {.lex_state = 56, .external_lex_state = 42},
  [6263] = {.lex_state = 62, .external_lex_state = 34},
  [6264] = {.lex_state = 57, .external_lex_state = 42},
  [6265] = {.lex_state = 57, .external_lex_state = 43},
  [6266] = {.lex_state = 57, .external_lex_state = 43},
  [6267] = {.lex_state = 51, .external_lex_state = 24},
  [6268] = {.lex_state = 57, .external_lex_state = 41},
  [6269] = {.lex_state = 55, .external_lex_state = 54},
  [6270] = {.lex_state = 51, .external_lex_state = 27},
  [6271] = {.lex_state = 55, .external_lex_state = 45},
  [6272] = {.lex_state = 62, .external_lex_state = 32},
  [6273] = {.lex_state = 54, .external_lex_state = 54},
  [6274] = {.lex_state = 54, .external_lex_state = 35},
  [6275] = {.lex_state = 62, .external_lex_state = 32},
  [6276] = {.lex_state = 62, .external_lex_state = 34},
  [6277] = {.lex_state = 57, .external_lex_state = 43},
  [6278] = {.lex_state = 56, .external_lex_state = 41},
  [6279] = {.lex_state = 62, .external_lex_state = 34},
  [6280] = {.lex_state = 55, .external_lex_state = 44},
  [6281] = {.lex_state = 51, .external_lex_state = 47},
  [6282] = {.lex_state = 56, .external_lex_state = 42},
  [6283] = {.lex_state = 62, .external_lex_state = 40},
  [6284] = {.lex_state = 56, .external_lex_state = 43},
  [6285] = {.lex_state = 51, .external_lex_state = 58},
  [6286] = {.lex_state = 60, .external_lex_state = 31},
  [6287] = {.lex_state = 51, .external_lex_state = 28},
  [6288] = {.lex_state = 62, .external_lex_state = 34},
  [6289] = {.lex_state = 60, .external_lex_state = 30},
  [6290] = {.lex_state = 57, .external_lex_state = 43},
  [6291] = {.lex_state = 62, .external_lex_state = 38},
  [6292] = {.lex_state = 62, .external_lex_state = 32},
  [6293] = {.lex_state = 56, .external_lex_state = 35},
  [6294] = {.lex_state = 62, .external_lex_state = 39},
  [6295] = {.lex_state = 62, .external_lex_state = 32},
  [6296] = {.lex_state = 17, .external_lex_state = 44},
  [6297] = {.lex_state = 62, .external_lex_state = 48},
  [6298] = {.lex_state = 57, .external_lex_state = 54},
  [6299] = {.lex_state = 55, .external_lex_state = 51},
  [6300] = {.lex_state = 62, .external_lex_state = 32},
  [6301] = {.lex_state = 62, .external_lex_state = 32},
  [6302] = {.lex_state = 55, .external_lex_state = 43},
  [6303] = {.lex_state = 62, .external_lex_state = 34},
  [6304] = {.lex_state = 57, .external_lex_state = 41},
  [6305] = {.lex_state = 57, .external_lex_state = 43},
  [6306] = {.lex_state = 62, .external_lex_state = 23},
  [6307] = {.lex_state = 51, .external_lex_state = 27},
  [6308] = {.lex_state = 51, .external_lex_state = 46},
  [6309] = {.lex_state = 57, .external_lex_state = 26},
  [6310] = {.lex_state = 62, .external_lex_state = 34},
  [6311] = {.lex_state = 57, .external_lex_state = 43},
  [6312] = {.lex_state = 54, .external_lex_state = 35},
  [6313] = {.lex_state = 62},
  [6314] = {.lex_state = 54, .external_lex_state = 35},
  [6315] = {.lex_state = 51, .external_lex_state = 47},
  [6316] = {.lex_state = 60, .external_lex_state = 33},
  [6317] = {.lex_state = 56, .external_lex_state = 42},
  [6318] = {.lex_state = 57, .external_lex_state = 43},
  [6319] = {.lex_state = 60, .external_lex_state = 34},
  [6320] = {.lex_state = 57, .external_lex_state = 27},
  [6321] = {.lex_state = 57, .external_lex_state = 41},
  [6322] = {.lex_state = 62, .external_lex_state = 48},
  [6323] = {.lex_state = 62, .external_lex_state = 23},
  [6324] = {.lex_state = 62, .external_lex_state = 34},
  [6325] = {.lex_state = 51, .external_lex_state = 29},
  [6326] = {.lex_state = 51, .external_lex_state = 27},
  [6327] = {.lex_state = 62, .external_lex_state = 38},
  [6328] = {.lex_state = 9, .external_lex_state = 44},
  [6329] = {.lex_state = 51, .external_lex_state = 45},
  [6330] = {.lex_state = 55, .external_lex_state = 31},
  [6331] = {.lex_state = 55, .external_lex_state = 43},
  [6332] = {.lex_state = 57, .external_lex_state = 43},
  [6333] = {.lex_state = 57, .external_lex_state = 41},
  [6334] = {.lex_state = 56, .external_lex_state = 42},
  [6335] = {.lex_state = 62, .external_lex_state = 32},
  [6336] = {.lex_state = 56, .external_lex_state = 31},
  [6337] = {.lex_state = 55, .external_lex_state = 27},
  [6338] = {.lex_state = 57, .external_lex_state = 43},
  [6339] = {.lex_state = 51, .external_lex_state = 42},
  [6340] = {.lex_state = 62, .external_lex_state = 32},
  [6341] = {.lex_state = 56, .external_lex_state = 30},
  [6342] = {.lex_state = 60, .external_lex_state = 33},
  [6343] = {.lex_state = 51, .external_lex_state = 51},
  [6344] = {.lex_state = 62, .external_lex_state = 34},
  [6345] = {.lex_state = 62, .external_lex_state = 34},
  [6346] = {.lex_state = 62, .external_lex_state = 32},
  [6347] = {.lex_state = 62},
  [6348] = {.lex_state = 56, .external_lex_state = 45},
  [6349] = {.lex_state = 54, .external_lex_state = 35},
  [6350] = {.lex_state = 57, .external_lex_state = 55},
  [6351] = {.lex_state = 62, .external_lex_state = 34},
  [6352] = {.lex_state = 54, .external_lex_state = 35},
  [6353] = {.lex_state = 62, .external_lex_state = 57},
  [6354] = {.lex_state = 51, .external_lex_state = 35},
  [6355] = {.lex_state = 62, .external_lex_state = 34},
  [6356] = {.lex_state = 62, .external_lex_state = 30},
  [6357] = {.lex_state = 60, .external_lex_state = 48},
  [6358] = {.lex_state = 62, .external_lex_state = 34},
  [6359] = {.lex_state = 54, .external_lex_state = 35},
  [6360] = {.lex_state = 61, .external_lex_state = 54},
  [6361] = {.lex_state = 54, .external_lex_state = 35},
  [6362] = {.lex_state = 54, .external_lex_state = 54},
  [6363] = {.lex_state = 60, .external_lex_state = 30},
  [6364] = {.lex_state = 62, .external_lex_state = 35},
  [6365] = {.lex_state = 55, .external_lex_state = 44},
  [6366] = {.lex_state = 57, .external_lex_state = 41},
  [6367] = {.lex_state = 62, .external_lex_state = 34},
  [6368] = {.lex_state = 54, .external_lex_state = 35},
  [6369] = {.lex_state = 57, .external_lex_state = 42},
  [6370] = {.lex_state = 62},
  [6371] = {.lex_state = 51, .external_lex_state = 23},
  [6372] = {.lex_state = 62},
  [6373] = {.lex_state = 62},
  [6374] = {.lex_state = 62, .external_lex_state = 34},
  [6375] = {.lex_state = 62},
  [6376] = {.lex_state = 61, .external_lex_state = 54},
  [6377] = {.lex_state = 54, .external_lex_state = 54},
  [6378] = {.lex_state = 60, .external_lex_state = 43},
  [6379] = {.lex_state = 54, .external_lex_state = 35},
  [6380] = {.lex_state = 62, .external_lex_state = 34},
  [6381] = {.lex_state = 54, .external_lex_state = 54},
  [6382] = {.lex_state = 62, .external_lex_state = 39},
  [6383] = {.lex_state = 62, .external_lex_state = 34},
  [6384] = {.lex_state = 62, .external_lex_state = 55},
  [6385] = {.lex_state = 62},
  [6386] = {.lex_state = 51, .external_lex_state = 51},
  [6387] = {.lex_state = 54, .external_lex_state = 54},
  [6388] = {.lex_state = 62, .external_lex_state = 34},
  [6389] = {.lex_state = 56, .external_lex_state = 45},
  [6390] = {.lex_state = 56, .external_lex_state = 45},
  [6391] = {.lex_state = 58, .external_lex_state = 35},
  [6392] = {.lex_state = 62, .external_lex_state = 23},
  [6393] = {.lex_state = 54, .external_lex_state = 35},
  [6394] = {.lex_state = 60, .external_lex_state = 31},
  [6395] = {.lex_state = 62, .external_lex_state = 51},
  [6396] = {.lex_state = 62, .external_lex_state = 34},
  [6397] = {.lex_state = 62, .external_lex_state = 34},
  [6398] = {.lex_state = 62, .external_lex_state = 34},
  [6399] = {.lex_state = 60, .external_lex_state = 36},
  [6400] = {.lex_state = 62, .external_lex_state = 39},
  [6401] = {.lex_state = 56, .external_lex_state = 45},
  [6402] = {.lex_state = 62, .external_lex_state = 34},
  [6403] = {.lex_state = 62, .external_lex_state = 50},
  [6404] = {.lex_state = 55, .external_lex_state = 44},
  [6405] = {.lex_state = 55, .external_lex_state = 44},
  [6406] = {.lex_state = 60, .external_lex_state = 35},
  [6407] = {.lex_state = 53},
  [6408] = {.lex_state = 51, .external_lex_state = 31},
  [6409] = {.lex_state = 54, .external_lex_state = 35},
  [6410] = {.lex_state = 56, .external_lex_state = 45},
  [6411] = {.lex_state = 60, .external_lex_state = 43},
  [6412] = {.lex_state = 58, .external_lex_state = 54},
  [6413] = {.lex_state = 60, .external_lex_state = 43},
  [6414] = {.lex_state = 62, .external_lex_state = 34},
  [6415] = {.lex_state = 54, .external_lex_state = 54},
  [6416] = {.lex_state = 62, .external_lex_state = 34},
  [6417] = {.lex_state = 54, .external_lex_state = 44},
  [6418] = {.lex_state = 54, .external_lex_state = 44},
  [6419] = {.lex_state = 62, .external_lex_state = 39},
  [6420] = {.lex_state = 57, .external_lex_state = 43},
  [6421] = {.lex_state = 55, .external_lex_state = 26},
  [6422] = {.lex_state = 54, .external_lex_state = 44},
  [6423] = {.lex_state = 57, .external_lex_state = 54},
  [6424] = {.lex_state = 56, .external_lex_state = 41},
  [6425] = {.lex_state = 60, .external_lex_state = 43},
  [6426] = {.lex_state = 51, .external_lex_state = 27},
  [6427] = {.lex_state = 51, .external_lex_state = 29},
  [6428] = {.lex_state = 51, .external_lex_state = 23},
  [6429] = {.lex_state = 58, .external_lex_state = 54},
  [6430] = {.lex_state = 7, .external_lex_state = 44},
  [6431] = {.lex_state = 62, .external_lex_state = 39},
  [6432] = {.lex_state = 54, .external_lex_state = 54},
  [6433] = {.lex_state = 62, .external_lex_state = 34},
  [6434] = {.lex_state = 51, .external_lex_state = 43},
  [6435] = {.lex_state = 62, .external_lex_state = 51},
  [6436] = {.lex_state = 57, .external_lex_state = 54},
  [6437] = {.lex_state = 54, .external_lex_state = 54},
  [6438] = {.lex_state = 61, .external_lex_state = 35},
  [6439] = {.lex_state = 62, .external_lex_state = 39},
  [6440] = {.lex_state = 55, .external_lex_state = 26},
  [6441] = {.lex_state = 54, .external_lex_state = 54},
  [6442] = {.lex_state = 51, .external_lex_state = 41},
  [6443] = {.lex_state = 62, .external_lex_state = 51},
  [6444] = {.lex_state = 56, .external_lex_state = 41},
  [6445] = {.lex_state = 62, .external_lex_state = 39},
  [6446] = {.lex_state = 51, .external_lex_state = 56},
  [6447] = {.lex_state = 57, .external_lex_state = 26},
  [6448] = {.lex_state = 54, .external_lex_state = 54},
  [6449] = {.lex_state = 57, .external_lex_state = 29},
  [6450] = {.lex_state = 62, .external_lex_state = 32},
  [6451] = {.lex_state = 55, .external_lex_state = 48},
  [6452] = {.lex_state = 62, .external_lex_state = 32},
  [6453] = {.lex_state = 54, .external_lex_state = 35},
  [6454] = {.lex_state = 57, .external_lex_state = 43},
  [6455] = {.lex_state = 63, .external_lex_state = 35},
  [6456] = {.lex_state = 62, .external_lex_state = 32},
  [6457] = {.lex_state = 54, .external_lex_state = 54},
  [6458] = {.lex_state = 57, .external_lex_state = 51},
  [6459] = {.lex_state = 55, .external_lex_state = 48},
  [6460] = {.lex_state = 62, .external_lex_state = 39},
  [6461] = {.lex_state = 56, .external_lex_state = 43},
  [6462] = {.lex_state = 55, .external_lex_state = 55},
  [6463] = {.lex_state = 56, .external_lex_state = 41},
  [6464] = {.lex_state = 62, .external_lex_state = 30},
  [6465] = {.lex_state = 62, .external_lex_state = 39},
  [6466] = {.lex_state = 62, .external_lex_state = 34},
  [6467] = {.lex_state = 62, .external_lex_state = 32},
  [6468] = {.lex_state = 57, .external_lex_state = 43},
  [6469] = {.lex_state = 55, .external_lex_state = 48},
  [6470] = {.lex_state = 51, .external_lex_state = 57},
  [6471] = {.lex_state = 51, .external_lex_state = 54},
  [6472] = {.lex_state = 62, .external_lex_state = 34},
  [6473] = {.lex_state = 57, .external_lex_state = 43},
  [6474] = {.lex_state = 55, .external_lex_state = 48},
  [6475] = {.lex_state = 62, .external_lex_state = 34},
  [6476] = {.lex_state = 55, .external_lex_state = 30},
  [6477] = {.lex_state = 51, .external_lex_state = 44},
  [6478] = {.lex_state = 55, .external_lex_state = 48},
  [6479] = {.lex_state = 54, .external_lex_state = 54},
  [6480] = {.lex_state = 56, .external_lex_state = 45},
  [6481] = {.lex_state = 62, .external_lex_state = 39},
  [6482] = {.lex_state = 62, .external_lex_state = 34},
  [6483] = {.lex_state = 62, .external_lex_state = 38},
  [6484] = {.lex_state = 62, .external_lex_state = 26},
  [6485] = {.lex_state = 17, .external_lex_state = 44},
  [6486] = {.lex_state = 55, .external_lex_state = 48},
  [6487] = {.lex_state = 57, .external_lex_state = 44},
  [6488] = {.lex_state = 55, .external_lex_state = 42},
  [6489] = {.lex_state = 51, .external_lex_state = 56},
  [6490] = {.lex_state = 51, .external_lex_state = 54},
  [6491] = {.lex_state = 62, .external_lex_state = 32},
  [6492] = {.lex_state = 60, .external_lex_state = 32},
  [6493] = {.lex_state = 62, .external_lex_state = 23},
  [6494] = {.lex_state = 55, .external_lex_state = 54},
  [6495] = {.lex_state = 60, .external_lex_state = 37},
  [6496] = {.lex_state = 62, .external_lex_state = 33},
  [6497] = {.lex_state = 51, .external_lex_state = 37},
  [6498] = {.lex_state = 56, .external_lex_state = 42},
  [6499] = {.lex_state = 62, .external_lex_state = 50},
  [6500] = {.lex_state = 60, .external_lex_state = 51},
  [6501] = {.lex_state = 62, .external_lex_state = 26},
  [6502] = {.lex_state = 62, .external_lex_state = 34},
  [6503] = {.lex_state = 55, .external_lex_state = 48},
  [6504] = {.lex_state = 61, .external_lex_state = 35},
  [6505] = {.lex_state = 55, .external_lex_state = 44},
  [6506] = {.lex_state = 57, .external_lex_state = 48},
  [6507] = {.lex_state = 54, .external_lex_state = 35},
  [6508] = {.lex_state = 62, .external_lex_state = 48},
  [6509] = {.lex_state = 55, .external_lex_state = 48},
  [6510] = {.lex_state = 51, .external_lex_state = 42},
  [6511] = {.lex_state = 51, .external_lex_state = 28},
  [6512] = {.lex_state = 60, .external_lex_state = 27},
  [6513] = {.lex_state = 62, .external_lex_state = 32},
  [6514] = {.lex_state = 62, .external_lex_state = 37},
  [6515] = {.lex_state = 62, .external_lex_state = 35},
  [6516] = {.lex_state = 55, .external_lex_state = 44},
  [6517] = {.lex_state = 62, .external_lex_state = 32},
  [6518] = {.lex_state = 55, .external_lex_state = 29},
  [6519] = {.lex_state = 54, .external_lex_state = 35},
  [6520] = {.lex_state = 62, .external_lex_state = 32},
  [6521] = {.lex_state = 55, .external_lex_state = 41},
  [6522] = {.lex_state = 51, .external_lex_state = 48},
  [6523] = {.lex_state = 55, .external_lex_state = 26},
  [6524] = {.lex_state = 55, .external_lex_state = 26},
  [6525] = {.lex_state = 62, .external_lex_state = 32},
  [6526] = {.lex_state = 62, .external_lex_state = 32},
  [6527] = {.lex_state = 62, .external_lex_state = 34},
  [6528] = {.lex_state = 62, .external_lex_state = 32},
  [6529] = {.lex_state = 62, .external_lex_state = 34},
  [6530] = {.lex_state = 62, .external_lex_state = 34},
  [6531] = {.lex_state = 62, .external_lex_state = 32},
  [6532] = {.lex_state = 60, .external_lex_state = 27},
  [6533] = {.lex_state = 62, .external_lex_state = 23},
  [6534] = {.lex_state = 51, .external_lex_state = 27},
  [6535] = {.lex_state = 58, .external_lex_state = 35},
  [6536] = {.lex_state = 55, .external_lex_state = 26},
  [6537] = {.lex_state = 62, .external_lex_state = 56},
  [6538] = {.lex_state = 51, .external_lex_state = 48},
  [6539] = {.lex_state = 55, .external_lex_state = 48},
  [6540] = {.lex_state = 62, .external_lex_state = 34},
  [6541] = {.lex_state = 60, .external_lex_state = 54},
  [6542] = {.lex_state = 56, .external_lex_state = 42},
  [6543] = {.lex_state = 55, .external_lex_state = 26},
  [6544] = {.lex_state = 57, .external_lex_state = 54},
  [6545] = {.lex_state = 62, .external_lex_state = 49},
  [6546] = {.lex_state = 63, .external_lex_state = 54},
  [6547] = {.lex_state = 60, .external_lex_state = 54},
  [6548] = {.lex_state = 62, .external_lex_state = 32},
  [6549] = {.lex_state = 62, .external_lex_state = 38},
  [6550] = {.lex_state = 62, .external_lex_state = 40},
  [6551] = {.lex_state = 62, .external_lex_state = 51},
  [6552] = {.lex_state = 55, .external_lex_state = 26},
  [6553] = {.lex_state = 55, .external_lex_state = 48},
  [6554] = {.lex_state = 60, .external_lex_state = 41},
  [6555] = {.lex_state = 62, .external_lex_state = 38},
  [6556] = {.lex_state = 55, .external_lex_state = 48},
  [6557] = {.lex_state = 60, .external_lex_state = 42},
  [6558] = {.lex_state = 62, .external_lex_state = 32},
  [6559] = {.lex_state = 62, .external_lex_state = 38},
  [6560] = {.lex_state = 56, .external_lex_state = 42},
  [6561] = {.lex_state = 62, .external_lex_state = 53},
  [6562] = {.lex_state = 60, .external_lex_state = 55},
  [6563] = {.lex_state = 62, .external_lex_state = 34},
  [6564] = {.lex_state = 60, .external_lex_state = 45},
  [6565] = {.lex_state = 51, .external_lex_state = 37},
  [6566] = {.lex_state = 55, .external_lex_state = 54},
  [6567] = {.lex_state = 62, .external_lex_state = 39},
  [6568] = {.lex_state = 60, .external_lex_state = 45},
  [6569] = {.lex_state = 55, .external_lex_state = 26},
  [6570] = {.lex_state = 62, .external_lex_state = 39},
  [6571] = {.lex_state = 51, .external_lex_state = 46},
  [6572] = {.lex_state = 62, .external_lex_state = 39},
  [6573] = {.lex_state = 62, .external_lex_state = 38},
  [6574] = {.lex_state = 60, .external_lex_state = 45},
  [6575] = {.lex_state = 56, .external_lex_state = 42},
  [6576] = {.lex_state = 56, .external_lex_state = 42},
  [6577] = {.lex_state = 60, .external_lex_state = 48},
  [6578] = {.lex_state = 55, .external_lex_state = 26},
  [6579] = {.lex_state = 51, .external_lex_state = 29},
  [6580] = {.lex_state = 62, .external_lex_state = 39},
  [6581] = {.lex_state = 51, .external_lex_state = 58},
  [6582] = {.lex_state = 51, .external_lex_state = 37},
  [6583] = {.lex_state = 51, .external_lex_state = 36},
  [6584] = {.lex_state = 62, .external_lex_state = 32},
  [6585] = {.lex_state = 51, .external_lex_state = 36},
  [6586] = {.lex_state = 62, .external_lex_state = 32},
  [6587] = {.lex_state = 55, .external_lex_state = 44},
  [6588] = {.lex_state = 63, .external_lex_state = 54},
  [6589] = {.lex_state = 51, .external_lex_state = 43},
  [6590] = {.lex_state = 51, .external_lex_state = 37},
  [6591] = {.lex_state = 62, .external_lex_state = 32},
  [6592] = {.lex_state = 62, .external_lex_state = 32},
  [6593] = {.lex_state = 62, .external_lex_state = 38},
  [6594] = {.lex_state = 57, .external_lex_state = 45},
  [6595] = {.lex_state = 51, .external_lex_state = 46},
  [6596] = {.lex_state = 55, .external_lex_state = 41},
  [6597] = {.lex_state = 51, .external_lex_state = 36},
  [6598] = {.lex_state = 60, .external_lex_state = 31},
  [6599] = {.lex_state = 60, .external_lex_state = 55},
  [6600] = {.lex_state = 62, .external_lex_state = 34},
  [6601] = {.lex_state = 62, .external_lex_state = 39},
  [6602] = {.lex_state = 56, .external_lex_state = 42},
  [6603] = {.lex_state = 56, .external_lex_state = 41},
  [6604] = {.lex_state = 62, .external_lex_state = 33},
  [6605] = {.lex_state = 62, .external_lex_state = 53},
  [6606] = {.lex_state = 55, .external_lex_state = 42},
  [6607] = {.lex_state = 56, .external_lex_state = 43},
  [6608] = {.lex_state = 57, .external_lex_state = 44},
  [6609] = {.lex_state = 51, .external_lex_state = 41},
  [6610] = {.lex_state = 62, .external_lex_state = 38},
  [6611] = {.lex_state = 54, .external_lex_state = 44},
  [6612] = {.lex_state = 62, .external_lex_state = 38},
  [6613] = {.lex_state = 51, .external_lex_state = 57},
  [6614] = {.lex_state = 51, .external_lex_state = 39},
  [6615] = {.lex_state = 57, .external_lex_state = 35},
  [6616] = {.lex_state = 58, .external_lex_state = 54},
  [6617] = {.lex_state = 57, .external_lex_state = 45},
  [6618] = {.lex_state = 62, .external_lex_state = 32},
  [6619] = {.lex_state = 57, .external_lex_state = 45},
  [6620] = {.lex_state = 62, .external_lex_state = 39},
  [6621] = {.lex_state = 62, .external_lex_state = 32},
  [6622] = {.lex_state = 57, .external_lex_state = 45},
  [6623] = {.lex_state = 57, .external_lex_state = 45},
  [6624] = {.lex_state = 57, .external_lex_state = 45},
  [6625] = {.lex_state = 62, .external_lex_state = 31},
  [6626] = {.lex_state = 62},
  [6627] = {.lex_state = 7, .external_lex_state = 44},
  [6628] = {.lex_state = 62, .external_lex_state = 39},
  [6629] = {.lex_state = 62, .external_lex_state = 37},
  [6630] = {.lex_state = 62, .external_lex_state = 32},
  [6631] = {.lex_state = 62, .external_lex_state = 32},
  [6632] = {.lex_state = 62, .external_lex_state = 32},
  [6633] = {.lex_state = 55, .external_lex_state = 48},
  [6634] = {.lex_state = 51, .external_lex_state = 36},
  [6635] = {.lex_state = 62, .external_lex_state = 37},
  [6636] = {.lex_state = 62, .external_lex_state = 55},
  [6637] = {.lex_state = 56, .external_lex_state = 41},
  [6638] = {.lex_state = 57, .external_lex_state = 51},
  [6639] = {.lex_state = 62, .external_lex_state = 38},
  [6640] = {.lex_state = 55, .external_lex_state = 41},
  [6641] = {.lex_state = 62, .external_lex_state = 36},
  [6642] = {.lex_state = 62, .external_lex_state = 39},
  [6643] = {.lex_state = 62, .external_lex_state = 55},
  [6644] = {.lex_state = 54, .external_lex_state = 35},
  [6645] = {.lex_state = 62, .external_lex_state = 39},
  [6646] = {.lex_state = 54, .external_lex_state = 35},
  [6647] = {.lex_state = 62, .external_lex_state = 34},
  [6648] = {.lex_state = 62, .external_lex_state = 48},
  [6649] = {.lex_state = 62, .external_lex_state = 38},
  [6650] = {.lex_state = 56, .external_lex_state = 42},
  [6651] = {.lex_state = 55, .external_lex_state = 44},
  [6652] = {.lex_state = 55, .external_lex_state = 43},
  [6653] = {.lex_state = 62, .external_lex_state = 23},
  [6654] = {.lex_state = 60, .external_lex_state = 51},
  [6655] = {.lex_state = 57, .external_lex_state = 45},
  [6656] = {.lex_state = 57, .external_lex_state = 45},
  [6657] = {.lex_state = 7, .external_lex_state = 44},
  [6658] = {.lex_state = 51, .external_lex_state = 45},
  [6659] = {.lex_state = 62, .external_lex_state = 23},
  [6660] = {.lex_state = 57, .external_lex_state = 45},
  [6661] = {.lex_state = 62, .external_lex_state = 34},
  [6662] = {.lex_state = 61, .external_lex_state = 35},
  [6663] = {.lex_state = 62, .external_lex_state = 38},
  [6664] = {.lex_state = 57, .external_lex_state = 35},
  [6665] = {.lex_state = 62, .external_lex_state = 40},
  [6666] = {.lex_state = 62, .external_lex_state = 41},
  [6667] = {.lex_state = 57, .external_lex_state = 26},
  [6668] = {.lex_state = 57, .external_lex_state = 54},
  [6669] = {.lex_state = 62, .external_lex_state = 27},
  [6670] = {.lex_state = 57, .external_lex_state = 26},
  [6671] = {.lex_state = 62, .external_lex_state = 44},
  [6672] = {.lex_state = 62, .external_lex_state = 23},
  [6673] = {.lex_state = 62, .external_lex_state = 40},
  [6674] = {.lex_state = 57, .external_lex_state = 54},
  [6675] = {.lex_state = 62, .external_lex_state = 42},
  [6676] = {.lex_state = 56, .external_lex_state = 51},
  [6677] = {.lex_state = 51, .external_lex_state = 54},
  [6678] = {.lex_state = 63, .external_lex_state = 35},
  [6679] = {.lex_state = 57, .external_lex_state = 26},
  [6680] = {.lex_state = 57, .external_lex_state = 55},
  [6681] = {.lex_state = 62, .external_lex_state = 38},
  [6682] = {.lex_state = 62, .external_lex_state = 39},
  [6683] = {.lex_state = 60, .external_lex_state = 37},
  [6684] = {.lex_state = 57, .external_lex_state = 26},
  [6685] = {.lex_state = 62, .external_lex_state = 40},
  [6686] = {.lex_state = 55, .external_lex_state = 31},
  [6687] = {.lex_state = 62, .external_lex_state = 44},
  [6688] = {.lex_state = 57, .external_lex_state = 55},
  [6689] = {.lex_state = 62, .external_lex_state = 39},
  [6690] = {.lex_state = 57, .external_lex_state = 26},
  [6691] = {.lex_state = 57, .external_lex_state = 54},
  [6692] = {.lex_state = 62, .external_lex_state = 39},
  [6693] = {.lex_state = 58, .external_lex_state = 35},
  [6694] = {.lex_state = 51, .external_lex_state = 55},
  [6695] = {.lex_state = 57, .external_lex_state = 26},
  [6696] = {.lex_state = 62, .external_lex_state = 41},
  [6697] = {.lex_state = 56, .external_lex_state = 51},
  [6698] = {.lex_state = 7, .external_lex_state = 44},
  [6699] = {.lex_state = 62, .external_lex_state = 39},
  [6700] = {.lex_state = 61, .external_lex_state = 35},
  [6701] = {.lex_state = 54, .external_lex_state = 35},
  [6702] = {.lex_state = 51, .external_lex_state = 53},
  [6703] = {.lex_state = 62, .external_lex_state = 38},
  [6704] = {.lex_state = 62, .external_lex_state = 32},
  [6705] = {.lex_state = 51, .external_lex_state = 53},
  [6706] = {.lex_state = 62, .external_lex_state = 40},
  [6707] = {.lex_state = 62, .external_lex_state = 40},
  [6708] = {.lex_state = 57, .external_lex_state = 55},
  [6709] = {.lex_state = 57, .external_lex_state = 26},
  [6710] = {.lex_state = 18},
  [6711] = {.lex_state = 56, .external_lex_state = 51},
  [6712] = {.lex_state = 62, .external_lex_state = 38},
  [6713] = {.lex_state = 62, .external_lex_state = 38},
  [6714] = {.lex_state = 62, .external_lex_state = 46},
  [6715] = {.lex_state = 51, .external_lex_state = 45},
  [6716] = {.lex_state = 62, .external_lex_state = 38},
  [6717] = {.lex_state = 51, .external_lex_state = 30},
  [6718] = {.lex_state = 62, .external_lex_state = 39},
  [6719] = {.lex_state = 57, .external_lex_state = 55},
  [6720] = {.lex_state = 57, .external_lex_state = 55},
  [6721] = {.lex_state = 58, .external_lex_state = 35},
  [6722] = {.lex_state = 62, .external_lex_state = 40},
  [6723] = {.lex_state = 62, .external_lex_state = 38},
  [6724] = {.lex_state = 62, .external_lex_state = 23},
  [6725] = {.lex_state = 62, .external_lex_state = 38},
  [6726] = {.lex_state = 62, .external_lex_state = 38},
  [6727] = {.lex_state = 56, .external_lex_state = 48},
  [6728] = {.lex_state = 62, .external_lex_state = 39},
  [6729] = {.lex_state = 62, .external_lex_state = 38},
  [6730] = {.lex_state = 57, .external_lex_state = 27},
  [6731] = {.lex_state = 7, .external_lex_state = 44},
  [6732] = {.lex_state = 51, .external_lex_state = 32},
  [6733] = {.lex_state = 51, .external_lex_state = 52},
  [6734] = {.lex_state = 3},
  [6735] = {.lex_state = 62, .external_lex_state = 44},
  [6736] = {.lex_state = 3},
  [6737] = {.lex_state = 54, .external_lex_state = 44},
  [6738] = {.lex_state = 62, .external_lex_state = 40},
  [6739] = {.lex_state = 62, .external_lex_state = 34},
  [6740] = {.lex_state = 57, .external_lex_state = 55},
  [6741] = {.lex_state = 3},
  [6742] = {.lex_state = 51, .external_lex_state = 29},
  [6743] = {.lex_state = 55, .external_lex_state = 29},
  [6744] = {.lex_state = 56, .external_lex_state = 48},
  [6745] = {.lex_state = 62, .external_lex_state = 39},
  [6746] = {.lex_state = 62, .external_lex_state = 39},
  [6747] = {.lex_state = 62, .external_lex_state = 38},
  [6748] = {.lex_state = 58, .external_lex_state = 35},
  [6749] = {.lex_state = 58, .external_lex_state = 35},
  [6750] = {.lex_state = 57, .external_lex_state = 29},
  [6751] = {.lex_state = 60, .external_lex_state = 51},
  [6752] = {.lex_state = 60, .external_lex_state = 43},
  [6753] = {.lex_state = 51, .external_lex_state = 35},
  [6754] = {.lex_state = 56, .external_lex_state = 26},
  [6755] = {.lex_state = 51, .external_lex_state = 29},
  [6756] = {.lex_state = 60, .external_lex_state = 29},
  [6757] = {.lex_state = 58, .external_lex_state = 35},
  [6758] = {.lex_state = 54, .external_lex_state = 44},
  [6759] = {.lex_state = 62, .external_lex_state = 29},
  [6760] = {.lex_state = 62, .external_lex_state = 40},
  [6761] = {.lex_state = 62, .external_lex_state = 40},
  [6762] = {.lex_state = 62, .external_lex_state = 39},
  [6763] = {.lex_state = 62, .external_lex_state = 38},
  [6764] = {.lex_state = 54, .external_lex_state = 44},
  [6765] = {.lex_state = 51, .external_lex_state = 45},
  [6766] = {.lex_state = 62, .external_lex_state = 39},
  [6767] = {.lex_state = 62, .external_lex_state = 39},
  [6768] = {.lex_state = 62, .external_lex_state = 45},
  [6769] = {.lex_state = 62, .external_lex_state = 45},
  [6770] = {.lex_state = 54, .external_lex_state = 44},
  [6771] = {.lex_state = 51, .external_lex_state = 49},
  [6772] = {.lex_state = 57, .external_lex_state = 27},
  [6773] = {.lex_state = 62, .external_lex_state = 38},
  [6774] = {.lex_state = 57, .external_lex_state = 51},
  [6775] = {.lex_state = 51, .external_lex_state = 45},
  [6776] = {.lex_state = 60, .external_lex_state = 36},
  [6777] = {.lex_state = 51, .external_lex_state = 53},
  [6778] = {.lex_state = 51, .external_lex_state = 42},
  [6779] = {.lex_state = 57, .external_lex_state = 51},
  [6780] = {.lex_state = 62, .external_lex_state = 38},
  [6781] = {.lex_state = 62, .external_lex_state = 38},
  [6782] = {.lex_state = 51, .external_lex_state = 45},
  [6783] = {.lex_state = 62, .external_lex_state = 39},
  [6784] = {.lex_state = 58, .external_lex_state = 35},
  [6785] = {.lex_state = 57, .external_lex_state = 51},
  [6786] = {.lex_state = 55, .external_lex_state = 27},
  [6787] = {.lex_state = 60, .external_lex_state = 28},
  [6788] = {.lex_state = 62, .external_lex_state = 38},
  [6789] = {.lex_state = 54, .external_lex_state = 44},
  [6790] = {.lex_state = 62, .external_lex_state = 42},
  [6791] = {.lex_state = 63, .external_lex_state = 35},
  [6792] = {.lex_state = 54, .external_lex_state = 44},
  [6793] = {.lex_state = 60, .external_lex_state = 42},
  [6794] = {.lex_state = 57, .external_lex_state = 48},
  [6795] = {.lex_state = 57, .external_lex_state = 27},
  [6796] = {.lex_state = 18},
  [6797] = {.lex_state = 62, .external_lex_state = 45},
  [6798] = {.lex_state = 58, .external_lex_state = 35},
  [6799] = {.lex_state = 62, .external_lex_state = 40},
  [6800] = {.lex_state = 58, .external_lex_state = 35},
  [6801] = {.lex_state = 17, .external_lex_state = 44},
  [6802] = {.lex_state = 62, .external_lex_state = 39},
  [6803] = {.lex_state = 62, .external_lex_state = 37},
  [6804] = {.lex_state = 60, .external_lex_state = 45},
  [6805] = {.lex_state = 57, .external_lex_state = 51},
  [6806] = {.lex_state = 62, .external_lex_state = 28},
  [6807] = {.lex_state = 7, .external_lex_state = 44},
  [6808] = {.lex_state = 54, .external_lex_state = 35},
  [6809] = {.lex_state = 62, .external_lex_state = 39},
  [6810] = {.lex_state = 62, .external_lex_state = 39},
  [6811] = {.lex_state = 62, .external_lex_state = 39},
  [6812] = {.lex_state = 62, .external_lex_state = 32},
  [6813] = {.lex_state = 56, .external_lex_state = 55},
  [6814] = {.lex_state = 58, .external_lex_state = 54},
  [6815] = {.lex_state = 62, .external_lex_state = 39},
  [6816] = {.lex_state = 62, .external_lex_state = 39},
  [6817] = {.lex_state = 62, .external_lex_state = 38},
  [6818] = {.lex_state = 62, .external_lex_state = 40},
  [6819] = {.lex_state = 54, .external_lex_state = 44},
  [6820] = {.lex_state = 51, .external_lex_state = 30},
  [6821] = {.lex_state = 60, .external_lex_state = 39},
  [6822] = {.lex_state = 17, .external_lex_state = 44},
  [6823] = {.lex_state = 62, .external_lex_state = 37},
  [6824] = {.lex_state = 51, .external_lex_state = 35},
  [6825] = {.lex_state = 51, .external_lex_state = 52},
  [6826] = {.lex_state = 62, .external_lex_state = 38},
  [6827] = {.lex_state = 58, .external_lex_state = 35},
  [6828] = {.lex_state = 60, .external_lex_state = 44},
  [6829] = {.lex_state = 58, .external_lex_state = 54},
  [6830] = {.lex_state = 57, .external_lex_state = 55},
  [6831] = {.lex_state = 62, .external_lex_state = 38},
  [6832] = {.lex_state = 60, .external_lex_state = 44},
  [6833] = {.lex_state = 62, .external_lex_state = 38},
  [6834] = {.lex_state = 57, .external_lex_state = 55},
  [6835] = {.lex_state = 54, .external_lex_state = 44},
  [6836] = {.lex_state = 60, .external_lex_state = 44},
  [6837] = {.lex_state = 62, .external_lex_state = 46},
  [6838] = {.lex_state = 62, .external_lex_state = 39},
  [6839] = {.lex_state = 57, .external_lex_state = 55},
  [6840] = {.lex_state = 51, .external_lex_state = 26},
  [6841] = {.lex_state = 56, .external_lex_state = 55},
  [6842] = {.lex_state = 55, .external_lex_state = 27},
  [6843] = {.lex_state = 57, .external_lex_state = 55},
  [6844] = {.lex_state = 57, .external_lex_state = 55},
  [6845] = {.lex_state = 62, .external_lex_state = 39},
  [6846] = {.lex_state = 62, .external_lex_state = 39},
  [6847] = {.lex_state = 62, .external_lex_state = 39},
  [6848] = {.lex_state = 62, .external_lex_state = 38},
  [6849] = {.lex_state = 62, .external_lex_state = 38},
  [6850] = {.lex_state = 57, .external_lex_state = 26},
  [6851] = {.lex_state = 62, .external_lex_state = 38},
  [6852] = {.lex_state = 62, .external_lex_state = 40},
  [6853] = {.lex_state = 57, .external_lex_state = 26},
  [6854] = {.lex_state = 55, .external_lex_state = 55},
  [6855] = {.lex_state = 62, .external_lex_state = 23},
  [6856] = {.lex_state = 55, .external_lex_state = 29},
  [6857] = {.lex_state = 58, .external_lex_state = 54},
  [6858] = {.lex_state = 55, .external_lex_state = 29},
  [6859] = {.lex_state = 55, .external_lex_state = 29},
  [6860] = {.lex_state = 57, .external_lex_state = 54},
  [6861] = {.lex_state = 62, .external_lex_state = 39},
  [6862] = {.lex_state = 60, .external_lex_state = 27},
  [6863] = {.lex_state = 58, .external_lex_state = 35},
  [6864] = {.lex_state = 54, .external_lex_state = 44},
  [6865] = {.lex_state = 60, .external_lex_state = 35},
  [6866] = {.lex_state = 54, .external_lex_state = 35},
  [6867] = {.lex_state = 60, .external_lex_state = 35},
  [6868] = {.lex_state = 60, .external_lex_state = 26},
  [6869] = {.lex_state = 62, .external_lex_state = 39},
  [6870] = {.lex_state = 56, .external_lex_state = 35},
  [6871] = {.lex_state = 51, .external_lex_state = 35},
  [6872] = {.lex_state = 62, .external_lex_state = 39},
  [6873] = {.lex_state = 60, .external_lex_state = 43},
  [6874] = {.lex_state = 62, .external_lex_state = 39},
  [6875] = {.lex_state = 57, .external_lex_state = 26},
  [6876] = {.lex_state = 60, .external_lex_state = 29},
  [6877] = {.lex_state = 62, .external_lex_state = 39},
  [6878] = {.lex_state = 51, .external_lex_state = 23},
  [6879] = {.lex_state = 62, .external_lex_state = 28},
  [6880] = {.lex_state = 62, .external_lex_state = 38},
  [6881] = {.lex_state = 57, .external_lex_state = 26},
  [6882] = {.lex_state = 55, .external_lex_state = 29},
  [6883] = {.lex_state = 62, .external_lex_state = 38},
  [6884] = {.lex_state = 62, .external_lex_state = 54},
  [6885] = {.lex_state = 51, .external_lex_state = 36},
  [6886] = {.lex_state = 57, .external_lex_state = 26},
  [6887] = {.lex_state = 62, .external_lex_state = 39},
  [6888] = {.lex_state = 51, .external_lex_state = 24},
  [6889] = {.lex_state = 62, .external_lex_state = 39},
  [6890] = {.lex_state = 62, .external_lex_state = 39},
  [6891] = {.lex_state = 62, .external_lex_state = 39},
  [6892] = {.lex_state = 62, .external_lex_state = 39},
  [6893] = {.lex_state = 51, .external_lex_state = 35},
  [6894] = {.lex_state = 55, .external_lex_state = 29},
  [6895] = {.lex_state = 62, .external_lex_state = 38},
  [6896] = {.lex_state = 56, .external_lex_state = 55},
  [6897] = {.lex_state = 58, .external_lex_state = 35},
  [6898] = {.lex_state = 62, .external_lex_state = 39},
  [6899] = {.lex_state = 57, .external_lex_state = 51},
  [6900] = {.lex_state = 62, .external_lex_state = 45},
  [6901] = {.lex_state = 62, .external_lex_state = 38},
  [6902] = {.lex_state = 60, .external_lex_state = 26},
  [6903] = {.lex_state = 7, .external_lex_state = 44},
  [6904] = {.lex_state = 58, .external_lex_state = 35},
  [6905] = {.lex_state = 55, .external_lex_state = 29},
  [6906] = {.lex_state = 62, .external_lex_state = 39},
  [6907] = {.lex_state = 63, .external_lex_state = 54},
  [6908] = {.lex_state = 60, .external_lex_state = 55},
  [6909] = {.lex_state = 51, .external_lex_state = 54},
  [6910] = {.lex_state = 60, .external_lex_state = 41},
  [6911] = {.lex_state = 62, .external_lex_state = 27},
  [6912] = {.lex_state = 62, .external_lex_state = 38},
  [6913] = {.lex_state = 57, .external_lex_state = 48},
  [6914] = {.lex_state = 55, .external_lex_state = 26},
  [6915] = {.lex_state = 58, .external_lex_state = 35},
  [6916] = {.lex_state = 58, .external_lex_state = 54},
  [6917] = {.lex_state = 62, .external_lex_state = 39},
  [6918] = {.lex_state = 55, .external_lex_state = 48},
  [6919] = {.lex_state = 55, .external_lex_state = 30},
  [6920] = {.lex_state = 57, .external_lex_state = 48},
  [6921] = {.lex_state = 55, .external_lex_state = 29},
  [6922] = {.lex_state = 62, .external_lex_state = 43},
  [6923] = {.lex_state = 51, .external_lex_state = 41},
  [6924] = {.lex_state = 62, .external_lex_state = 40},
  [6925] = {.lex_state = 54, .external_lex_state = 44},
  [6926] = {.lex_state = 58, .external_lex_state = 35},
  [6927] = {.lex_state = 63, .external_lex_state = 54},
  [6928] = {.lex_state = 60, .external_lex_state = 36},
  [6929] = {.lex_state = 55, .external_lex_state = 48},
  [6930] = {.lex_state = 62, .external_lex_state = 23},
  [6931] = {.lex_state = 60, .external_lex_state = 35},
  [6932] = {.lex_state = 58, .external_lex_state = 35},
  [6933] = {.lex_state = 57, .external_lex_state = 48},
  [6934] = {.lex_state = 62, .external_lex_state = 54},
  [6935] = {.lex_state = 62, .external_lex_state = 38},
  [6936] = {.lex_state = 62, .external_lex_state = 38},
  [6937] = {.lex_state = 62, .external_lex_state = 54},
  [6938] = {.lex_state = 62, .external_lex_state = 40},
  [6939] = {.lex_state = 62, .external_lex_state = 27},
  [6940] = {.lex_state = 56, .external_lex_state = 26},
  [6941] = {.lex_state = 62, .external_lex_state = 39},
  [6942] = {.lex_state = 57, .external_lex_state = 31},
  [6943] = {.lex_state = 58, .external_lex_state = 54},
  [6944] = {.lex_state = 62, .external_lex_state = 39},
  [6945] = {.lex_state = 62, .external_lex_state = 39},
  [6946] = {.lex_state = 51, .external_lex_state = 50},
  [6947] = {.lex_state = 57, .external_lex_state = 51},
  [6948] = {.lex_state = 62, .external_lex_state = 57},
  [6949] = {.lex_state = 62, .external_lex_state = 34},
  [6950] = {.lex_state = 58, .external_lex_state = 54},
  [6951] = {.lex_state = 56, .external_lex_state = 26},
  [6952] = {.lex_state = 55, .external_lex_state = 29},
  [6953] = {.lex_state = 57, .external_lex_state = 48},
  [6954] = {.lex_state = 62, .external_lex_state = 39},
  [6955] = {.lex_state = 58, .external_lex_state = 54},
  [6956] = {.lex_state = 56, .external_lex_state = 26},
  [6957] = {.lex_state = 54, .external_lex_state = 35},
  [6958] = {.lex_state = 57, .external_lex_state = 26},
  [6959] = {.lex_state = 62, .external_lex_state = 40},
  [6960] = {.lex_state = 62, .external_lex_state = 56},
  [6961] = {.lex_state = 57, .external_lex_state = 48},
  [6962] = {.lex_state = 62, .external_lex_state = 29},
  [6963] = {.lex_state = 58, .external_lex_state = 54},
  [6964] = {.lex_state = 62, .external_lex_state = 38},
  [6965] = {.lex_state = 55, .external_lex_state = 26},
  [6966] = {.lex_state = 61, .external_lex_state = 35},
  [6967] = {.lex_state = 60, .external_lex_state = 31},
  [6968] = {.lex_state = 62, .external_lex_state = 38},
  [6969] = {.lex_state = 54, .external_lex_state = 35},
  [6970] = {.lex_state = 18},
  [6971] = {.lex_state = 57, .external_lex_state = 48},
  [6972] = {.lex_state = 56, .external_lex_state = 26},
  [6973] = {.lex_state = 51, .external_lex_state = 41},
  [6974] = {.lex_state = 56, .external_lex_state = 35},
  [6975] = {.lex_state = 18},
  [6976] = {.lex_state = 57, .external_lex_state = 48},
  [6977] = {.lex_state = 62, .external_lex_state = 35},
  [6978] = {.lex_state = 60, .external_lex_state = 48},
  [6979] = {.lex_state = 55, .external_lex_state = 27},
  [6980] = {.lex_state = 60, .external_lex_state = 26},
  [6981] = {.lex_state = 60, .external_lex_state = 31},
  [6982] = {.lex_state = 51, .external_lex_state = 23},
  [6983] = {.lex_state = 56, .external_lex_state = 26},
  [6984] = {.lex_state = 62, .external_lex_state = 38},
  [6985] = {.lex_state = 58, .external_lex_state = 54},
  [6986] = {.lex_state = 54, .external_lex_state = 35},
  [6987] = {.lex_state = 55, .external_lex_state = 26},
  [6988] = {.lex_state = 62, .external_lex_state = 39},
  [6989] = {.lex_state = 62, .external_lex_state = 23},
  [6990] = {.lex_state = 60, .external_lex_state = 48},
  [6991] = {.lex_state = 58, .external_lex_state = 54},
  [6992] = {.lex_state = 51, .external_lex_state = 50},
  [6993] = {.lex_state = 62, .external_lex_state = 39},
  [6994] = {.lex_state = 56, .external_lex_state = 26},
  [6995] = {.lex_state = 62, .external_lex_state = 23},
  [6996] = {.lex_state = 51, .external_lex_state = 43},
  [6997] = {.lex_state = 62, .external_lex_state = 39},
  [6998] = {.lex_state = 60, .external_lex_state = 48},
  [6999] = {.lex_state = 56, .external_lex_state = 26},
  [7000] = {.lex_state = 62, .external_lex_state = 39},
  [7001] = {.lex_state = 58, .external_lex_state = 35},
  [7002] = {.lex_state = 57, .external_lex_state = 51},
  [7003] = {.lex_state = 62, .external_lex_state = 23},
  [7004] = {.lex_state = 56, .external_lex_state = 55},
  [7005] = {.lex_state = 57, .external_lex_state = 54},
  [7006] = {.lex_state = 62, .external_lex_state = 54},
  [7007] = {.lex_state = 56, .external_lex_state = 48},
  [7008] = {.lex_state = 62, .external_lex_state = 43},
  [7009] = {.lex_state = 57, .external_lex_state = 51},
  [7010] = {.lex_state = 51, .external_lex_state = 41},
  [7011] = {.lex_state = 58, .external_lex_state = 54},
  [7012] = {.lex_state = 55, .external_lex_state = 29},
  [7013] = {.lex_state = 56, .external_lex_state = 55},
  [7014] = {.lex_state = 60, .external_lex_state = 28},
  [7015] = {.lex_state = 51, .external_lex_state = 28},
  [7016] = {.lex_state = 58, .external_lex_state = 35},
  [7017] = {.lex_state = 62, .external_lex_state = 38},
  [7018] = {.lex_state = 62, .external_lex_state = 38},
  [7019] = {.lex_state = 56, .external_lex_state = 26},
  [7020] = {.lex_state = 62, .external_lex_state = 40},
  [7021] = {.lex_state = 57, .external_lex_state = 55},
  [7022] = {.lex_state = 18},
  [7023] = {.lex_state = 51, .external_lex_state = 51},
  [7024] = {.lex_state = 62, .external_lex_state = 40},
  [7025] = {.lex_state = 18},
  [7026] = {.lex_state = 62, .external_lex_state = 38},
  [7027] = {.lex_state = 55, .external_lex_state = 54},
  [7028] = {.lex_state = 62, .external_lex_state = 38},
  [7029] = {.lex_state = 56, .external_lex_state = 26},
  [7030] = {.lex_state = 55, .external_lex_state = 31},
  [7031] = {.lex_state = 57, .external_lex_state = 54},
  [7032] = {.lex_state = 57, .external_lex_state = 45},
  [7033] = {.lex_state = 62, .external_lex_state = 40},
  [7034] = {.lex_state = 51, .external_lex_state = 37},
  [7035] = {.lex_state = 56, .external_lex_state = 26},
  [7036] = {.lex_state = 51, .external_lex_state = 23},
  [7037] = {.lex_state = 55, .external_lex_state = 54},
  [7038] = {.lex_state = 62, .external_lex_state = 40},
  [7039] = {.lex_state = 57, .external_lex_state = 48},
  [7040] = {.lex_state = 62},
  [7041] = {.lex_state = 56, .external_lex_state = 51},
  [7042] = {.lex_state = 56, .external_lex_state = 26},
  [7043] = {.lex_state = 51, .external_lex_state = 26},
  [7044] = {.lex_state = 57, .external_lex_state = 54},
  [7045] = {.lex_state = 57, .external_lex_state = 45},
  [7046] = {.lex_state = 57, .external_lex_state = 48},
  [7047] = {.lex_state = 55, .external_lex_state = 27},
  [7048] = {.lex_state = 56, .external_lex_state = 26},
  [7049] = {.lex_state = 18},
  [7050] = {.lex_state = 60, .external_lex_state = 35},
  [7051] = {.lex_state = 57, .external_lex_state = 48},
  [7052] = {.lex_state = 57, .external_lex_state = 54},
  [7053] = {.lex_state = 62, .external_lex_state = 38},
  [7054] = {.lex_state = 57, .external_lex_state = 51},
  [7055] = {.lex_state = 60, .external_lex_state = 28},
  [7056] = {.lex_state = 61, .external_lex_state = 35},
  [7057] = {.lex_state = 18},
  [7058] = {.lex_state = 51, .external_lex_state = 35},
  [7059] = {.lex_state = 55, .external_lex_state = 29},
  [7060] = {.lex_state = 58, .external_lex_state = 54},
  [7061] = {.lex_state = 60, .external_lex_state = 26},
  [7062] = {.lex_state = 55, .external_lex_state = 30},
  [7063] = {.lex_state = 57, .external_lex_state = 54},
  [7064] = {.lex_state = 62, .external_lex_state = 40},
  [7065] = {.lex_state = 62, .external_lex_state = 23},
  [7066] = {.lex_state = 57, .external_lex_state = 48},
  [7067] = {.lex_state = 55, .external_lex_state = 30},
  [7068] = {.lex_state = 55, .external_lex_state = 27},
  [7069] = {.lex_state = 57, .external_lex_state = 54},
  [7070] = {.lex_state = 51, .external_lex_state = 23},
  [7071] = {.lex_state = 51, .external_lex_state = 31},
  [7072] = {.lex_state = 51, .external_lex_state = 42},
  [7073] = {.lex_state = 60, .external_lex_state = 28},
  [7074] = {.lex_state = 55, .external_lex_state = 54},
  [7075] = {.lex_state = 62, .external_lex_state = 38},
  [7076] = {.lex_state = 51, .external_lex_state = 34},
  [7077] = {.lex_state = 62, .external_lex_state = 46},
  [7078] = {.lex_state = 62, .external_lex_state = 45},
  [7079] = {.lex_state = 62, .external_lex_state = 40},
  [7080] = {.lex_state = 57, .external_lex_state = 41},
  [7081] = {.lex_state = 57, .external_lex_state = 51},
  [7082] = {.lex_state = 55, .external_lex_state = 54},
  [7083] = {.lex_state = 62, .external_lex_state = 42},
  [7084] = {.lex_state = 57, .external_lex_state = 41},
  [7085] = {.lex_state = 61, .external_lex_state = 44},
  [7086] = {.lex_state = 57, .external_lex_state = 51},
  [7087] = {.lex_state = 62, .external_lex_state = 38},
  [7088] = {.lex_state = 54, .external_lex_state = 35},
  [7089] = {.lex_state = 57, .external_lex_state = 54},
  [7090] = {.lex_state = 62, .external_lex_state = 38},
  [7091] = {.lex_state = 55, .external_lex_state = 54},
  [7092] = {.lex_state = 51, .external_lex_state = 44},
  [7093] = {.lex_state = 55, .external_lex_state = 29},
  [7094] = {.lex_state = 55, .external_lex_state = 31},
  [7095] = {.lex_state = 51, .external_lex_state = 54},
  [7096] = {.lex_state = 55, .external_lex_state = 54},
  [7097] = {.lex_state = 56, .external_lex_state = 55},
  [7098] = {.lex_state = 56, .external_lex_state = 51},
  [7099] = {.lex_state = 51, .external_lex_state = 42},
  [7100] = {.lex_state = 51, .external_lex_state = 53},
  [7101] = {.lex_state = 55, .external_lex_state = 54},
  [7102] = {.lex_state = 60, .external_lex_state = 28},
  [7103] = {.lex_state = 56, .external_lex_state = 51},
  [7104] = {.lex_state = 51, .external_lex_state = 42},
  [7105] = {.lex_state = 62, .external_lex_state = 41},
  [7106] = {.lex_state = 55, .external_lex_state = 54},
  [7107] = {.lex_state = 56, .external_lex_state = 55},
  [7108] = {.lex_state = 60, .external_lex_state = 28},
  [7109] = {.lex_state = 62, .external_lex_state = 24},
  [7110] = {.lex_state = 51, .external_lex_state = 50},
  [7111] = {.lex_state = 55, .external_lex_state = 54},
  [7112] = {.lex_state = 56, .external_lex_state = 55},
  [7113] = {.lex_state = 56, .external_lex_state = 51},
  [7114] = {.lex_state = 51, .external_lex_state = 40},
  [7115] = {.lex_state = 51, .external_lex_state = 32},
  [7116] = {.lex_state = 10, .external_lex_state = 44},
  [7117] = {.lex_state = 57, .external_lex_state = 48},
  [7118] = {.lex_state = 60, .external_lex_state = 45},
  [7119] = {.lex_state = 55, .external_lex_state = 54},
  [7120] = {.lex_state = 51, .external_lex_state = 41},
  [7121] = {.lex_state = 55, .external_lex_state = 29},
  [7122] = {.lex_state = 56, .external_lex_state = 55},
  [7123] = {.lex_state = 51, .external_lex_state = 30},
  [7124] = {.lex_state = 62, .external_lex_state = 41},
  [7125] = {.lex_state = 62, .external_lex_state = 40},
  [7126] = {.lex_state = 55, .external_lex_state = 48},
  [7127] = {.lex_state = 55, .external_lex_state = 54},
  [7128] = {.lex_state = 62, .external_lex_state = 40},
  [7129] = {.lex_state = 57, .external_lex_state = 54},
  [7130] = {.lex_state = 62, .external_lex_state = 38},
  [7131] = {.lex_state = 62, .external_lex_state = 43},
  [7132] = {.lex_state = 60, .external_lex_state = 28},
  [7133] = {.lex_state = 55, .external_lex_state = 55},
  [7134] = {.lex_state = 57, .external_lex_state = 54},
  [7135] = {.lex_state = 18},
  [7136] = {.lex_state = 62, .external_lex_state = 40},
  [7137] = {.lex_state = 62, .external_lex_state = 38},
  [7138] = {.lex_state = 54, .external_lex_state = 54},
  [7139] = {.lex_state = 62, .external_lex_state = 41},
  [7140] = {.lex_state = 51, .external_lex_state = 52},
  [7141] = {.lex_state = 62, .external_lex_state = 40},
  [7142] = {.lex_state = 56, .external_lex_state = 51},
  [7143] = {.lex_state = 60, .external_lex_state = 55},
  [7144] = {.lex_state = 53},
  [7145] = {.lex_state = 51, .external_lex_state = 37},
  [7146] = {.lex_state = 55, .external_lex_state = 35},
  [7147] = {.lex_state = 9, .external_lex_state = 44},
  [7148] = {.lex_state = 54, .external_lex_state = 44},
  [7149] = {.lex_state = 60, .external_lex_state = 44},
  [7150] = {.lex_state = 55, .external_lex_state = 29},
  [7151] = {.lex_state = 60, .external_lex_state = 28},
  [7152] = {.lex_state = 60, .external_lex_state = 28},
  [7153] = {.lex_state = 51, .external_lex_state = 49},
  [7154] = {.lex_state = 55, .external_lex_state = 55},
  [7155] = {.lex_state = 56, .external_lex_state = 55},
  [7156] = {.lex_state = 18},
  [7157] = {.lex_state = 60, .external_lex_state = 27},
  [7158] = {.lex_state = 56, .external_lex_state = 51},
  [7159] = {.lex_state = 62, .external_lex_state = 40},
  [7160] = {.lex_state = 51, .external_lex_state = 55},
  [7161] = {.lex_state = 63, .external_lex_state = 35},
  [7162] = {.lex_state = 62, .external_lex_state = 38},
  [7163] = {.lex_state = 56, .external_lex_state = 26},
  [7164] = {.lex_state = 60, .external_lex_state = 35},
  [7165] = {.lex_state = 51, .external_lex_state = 27},
  [7166] = {.lex_state = 62, .external_lex_state = 24},
  [7167] = {.lex_state = 54, .external_lex_state = 54},
  [7168] = {.lex_state = 51, .external_lex_state = 31},
  [7169] = {.lex_state = 62, .external_lex_state = 47},
  [7170] = {.lex_state = 56, .external_lex_state = 51},
  [7171] = {.lex_state = 62, .external_lex_state = 23},
  [7172] = {.lex_state = 62, .external_lex_state = 40},
  [7173] = {.lex_state = 60, .external_lex_state = 55},
  [7174] = {.lex_state = 51, .external_lex_state = 50},
  [7175] = {.lex_state = 55, .external_lex_state = 27},
  [7176] = {.lex_state = 56, .external_lex_state = 51},
  [7177] = {.lex_state = 56, .external_lex_state = 26},
  [7178] = {.lex_state = 56, .external_lex_state = 55},
  [7179] = {.lex_state = 51, .external_lex_state = 27},
  [7180] = {.lex_state = 62, .external_lex_state = 40},
  [7181] = {.lex_state = 62, .external_lex_state = 40},
  [7182] = {.lex_state = 62, .external_lex_state = 44},
  [7183] = {.lex_state = 62, .external_lex_state = 40},
  [7184] = {.lex_state = 56, .external_lex_state = 51},
  [7185] = {.lex_state = 62, .external_lex_state = 40},
  [7186] = {.lex_state = 51, .external_lex_state = 30},
  [7187] = {.lex_state = 56, .external_lex_state = 48},
  [7188] = {.lex_state = 62, .external_lex_state = 39},
  [7189] = {.lex_state = 51, .external_lex_state = 36},
  [7190] = {.lex_state = 57, .external_lex_state = 51},
  [7191] = {.lex_state = 62, .external_lex_state = 40},
  [7192] = {.lex_state = 62, .external_lex_state = 40},
  [7193] = {.lex_state = 56, .external_lex_state = 55},
  [7194] = {.lex_state = 62, .external_lex_state = 35},
  [7195] = {.lex_state = 56, .external_lex_state = 51},
  [7196] = {.lex_state = 56, .external_lex_state = 48},
  [7197] = {.lex_state = 62, .external_lex_state = 40},
  [7198] = {.lex_state = 57, .external_lex_state = 51},
  [7199] = {.lex_state = 56, .external_lex_state = 51},
  [7200] = {.lex_state = 62, .external_lex_state = 28},
  [7201] = {.lex_state = 62, .external_lex_state = 40},
  [7202] = {.lex_state = 60, .external_lex_state = 41},
  [7203] = {.lex_state = 62, .external_lex_state = 39},
  [7204] = {.lex_state = 56, .external_lex_state = 55},
  [7205] = {.lex_state = 62, .external_lex_state = 39},
  [7206] = {.lex_state = 62, .external_lex_state = 40},
  [7207] = {.lex_state = 62, .external_lex_state = 36},
  [7208] = {.lex_state = 56, .external_lex_state = 26},
  [7209] = {.lex_state = 51, .external_lex_state = 31},
  [7210] = {.lex_state = 56, .external_lex_state = 51},
  [7211] = {.lex_state = 62, .external_lex_state = 40},
  [7212] = {.lex_state = 56, .external_lex_state = 48},
  [7213] = {.lex_state = 60, .external_lex_state = 28},
  [7214] = {.lex_state = 60, .external_lex_state = 55},
  [7215] = {.lex_state = 62, .external_lex_state = 58},
  [7216] = {.lex_state = 56, .external_lex_state = 55},
  [7217] = {.lex_state = 55, .external_lex_state = 54},
  [7218] = {.lex_state = 55, .external_lex_state = 27},
  [7219] = {.lex_state = 51, .external_lex_state = 34},
  [7220] = {.lex_state = 55, .external_lex_state = 51},
  [7221] = {.lex_state = 55, .external_lex_state = 51},
  [7222] = {.lex_state = 61, .external_lex_state = 54},
  [7223] = {.lex_state = 62, .external_lex_state = 40},
  [7224] = {.lex_state = 62, .external_lex_state = 39},
  [7225] = {.lex_state = 55, .external_lex_state = 27},
  [7226] = {.lex_state = 51, .external_lex_state = 35},
  [7227] = {.lex_state = 51, .external_lex_state = 47},
  [7228] = {.lex_state = 62, .external_lex_state = 40},
  [7229] = {.lex_state = 60, .external_lex_state = 54},
  [7230] = {.lex_state = 62, .external_lex_state = 40},
  [7231] = {.lex_state = 56, .external_lex_state = 55},
  [7232] = {.lex_state = 62, .external_lex_state = 40},
  [7233] = {.lex_state = 55, .external_lex_state = 51},
  [7234] = {.lex_state = 62, .external_lex_state = 40},
  [7235] = {.lex_state = 62, .external_lex_state = 46},
  [7236] = {.lex_state = 61, .external_lex_state = 35},
  [7237] = {.lex_state = 56, .external_lex_state = 48},
  [7238] = {.lex_state = 51, .external_lex_state = 48},
  [7239] = {.lex_state = 55, .external_lex_state = 27},
  [7240] = {.lex_state = 63, .external_lex_state = 35},
  [7241] = {.lex_state = 56, .external_lex_state = 48},
  [7242] = {.lex_state = 57, .external_lex_state = 30},
  [7243] = {.lex_state = 60, .external_lex_state = 30},
  [7244] = {.lex_state = 62, .external_lex_state = 35},
  [7245] = {.lex_state = 51, .external_lex_state = 48},
  [7246] = {.lex_state = 7, .external_lex_state = 44},
  [7247] = {.lex_state = 55, .external_lex_state = 54},
  [7248] = {.lex_state = 56, .external_lex_state = 26},
  [7249] = {.lex_state = 56, .external_lex_state = 48},
  [7250] = {.lex_state = 63, .external_lex_state = 35},
  [7251] = {.lex_state = 51, .external_lex_state = 43},
  [7252] = {.lex_state = 62, .external_lex_state = 47},
  [7253] = {.lex_state = 62, .external_lex_state = 36},
  [7254] = {.lex_state = 60, .external_lex_state = 30},
  [7255] = {.lex_state = 7, .external_lex_state = 44},
  [7256] = {.lex_state = 56, .external_lex_state = 55},
  [7257] = {.lex_state = 56, .external_lex_state = 48},
  [7258] = {.lex_state = 60, .external_lex_state = 54},
  [7259] = {.lex_state = 62, .external_lex_state = 38},
  [7260] = {.lex_state = 55, .external_lex_state = 27},
  [7261] = {.lex_state = 55, .external_lex_state = 30},
  [7262] = {.lex_state = 55, .external_lex_state = 44},
  [7263] = {.lex_state = 54, .external_lex_state = 35},
  [7264] = {.lex_state = 51, .external_lex_state = 33},
  [7265] = {.lex_state = 7, .external_lex_state = 44},
  [7266] = {.lex_state = 56, .external_lex_state = 48},
  [7267] = {.lex_state = 62, .external_lex_state = 23},
  [7268] = {.lex_state = 7, .external_lex_state = 44},
  [7269] = {.lex_state = 7, .external_lex_state = 44},
  [7270] = {.lex_state = 57, .external_lex_state = 43},
  [7271] = {.lex_state = 7, .external_lex_state = 44},
  [7272] = {.lex_state = 62, .external_lex_state = 38},
  [7273] = {.lex_state = 51, .external_lex_state = 30},
  [7274] = {.lex_state = 55, .external_lex_state = 31},
  [7275] = {.lex_state = 62, .external_lex_state = 40},
  [7276] = {.lex_state = 51, .external_lex_state = 54},
  [7277] = {.lex_state = 57, .external_lex_state = 29},
  [7278] = {.lex_state = 51, .external_lex_state = 53},
  [7279] = {.lex_state = 56, .external_lex_state = 48},
  [7280] = {.lex_state = 62, .external_lex_state = 43},
  [7281] = {.lex_state = 51, .external_lex_state = 43},
  [7282] = {.lex_state = 57, .external_lex_state = 43},
  [7283] = {.lex_state = 58, .external_lex_state = 54},
  [7284] = {.lex_state = 62, .external_lex_state = 24},
  [7285] = {.lex_state = 55, .external_lex_state = 54},
  [7286] = {.lex_state = 62, .external_lex_state = 58},
  [7287] = {.lex_state = 7, .external_lex_state = 44},
  [7288] = {.lex_state = 51, .external_lex_state = 31},
  [7289] = {.lex_state = 62, .external_lex_state = 24},
  [7290] = {.lex_state = 51, .external_lex_state = 50},
  [7291] = {.lex_state = 60, .external_lex_state = 38},
  [7292] = {.lex_state = 51, .external_lex_state = 43},
  [7293] = {.lex_state = 51, .external_lex_state = 34},
  [7294] = {.lex_state = 56, .external_lex_state = 48},
  [7295] = {.lex_state = 62, .external_lex_state = 40},
  [7296] = {.lex_state = 51, .external_lex_state = 33},
  [7297] = {.lex_state = 55, .external_lex_state = 27},
  [7298] = {.lex_state = 51, .external_lex_state = 32},
  [7299] = {.lex_state = 56, .external_lex_state = 48},
  [7300] = {.lex_state = 61, .external_lex_state = 44},
  [7301] = {.lex_state = 62, .external_lex_state = 40},
  [7302] = {.lex_state = 55, .external_lex_state = 44},
  [7303] = {.lex_state = 54, .external_lex_state = 44},
  [7304] = {.lex_state = 62, .external_lex_state = 39},
  [7305] = {.lex_state = 62, .external_lex_state = 43},
  [7306] = {.lex_state = 62, .external_lex_state = 45},
  [7307] = {.lex_state = 62, .external_lex_state = 38},
  [7308] = {.lex_state = 51, .external_lex_state = 35},
  [7309] = {.lex_state = 62, .external_lex_state = 27},
  [7310] = {.lex_state = 62, .external_lex_state = 23},
  [7311] = {.lex_state = 62, .external_lex_state = 23},
  [7312] = {.lex_state = 7, .external_lex_state = 44},
  [7313] = {.lex_state = 53},
  [7314] = {.lex_state = 51, .external_lex_state = 31},
  [7315] = {.lex_state = 51, .external_lex_state = 49},
  [7316] = {.lex_state = 55, .external_lex_state = 27},
  [7317] = {.lex_state = 61, .external_lex_state = 44},
  [7318] = {.lex_state = 56, .external_lex_state = 55},
  [7319] = {.lex_state = 62, .external_lex_state = 40},
  [7320] = {.lex_state = 54, .external_lex_state = 35},
  [7321] = {.lex_state = 62, .external_lex_state = 39},
  [7322] = {.lex_state = 57, .external_lex_state = 27},
  [7323] = {.lex_state = 18},
  [7324] = {.lex_state = 51, .external_lex_state = 47},
  [7325] = {.lex_state = 55, .external_lex_state = 44},
  [7326] = {.lex_state = 62, .external_lex_state = 43},
  [7327] = {.lex_state = 60, .external_lex_state = 42},
  [7328] = {.lex_state = 54, .external_lex_state = 35},
  [7329] = {.lex_state = 62, .external_lex_state = 41},
  [7330] = {.lex_state = 62, .external_lex_state = 24},
  [7331] = {.lex_state = 62, .external_lex_state = 39},
  [7332] = {.lex_state = 56, .external_lex_state = 48},
  [7333] = {.lex_state = 54, .external_lex_state = 35},
  [7334] = {.lex_state = 53},
  [7335] = {.lex_state = 56, .external_lex_state = 48},
  [7336] = {.lex_state = 62, .external_lex_state = 40},
  [7337] = {.lex_state = 62, .external_lex_state = 23},
  [7338] = {.lex_state = 18},
  [7339] = {.lex_state = 62, .external_lex_state = 29},
  [7340] = {.lex_state = 54, .external_lex_state = 35},
  [7341] = {.lex_state = 60, .external_lex_state = 51},
  [7342] = {.lex_state = 62, .external_lex_state = 38},
  [7343] = {.lex_state = 60, .external_lex_state = 37},
  [7344] = {.lex_state = 51, .external_lex_state = 54},
  [7345] = {.lex_state = 62, .external_lex_state = 42},
  [7346] = {.lex_state = 57, .external_lex_state = 42},
  [7347] = {.lex_state = 60, .external_lex_state = 40},
  [7348] = {.lex_state = 55, .external_lex_state = 27},
  [7349] = {.lex_state = 51, .external_lex_state = 51},
  [7350] = {.lex_state = 57, .external_lex_state = 29},
  [7351] = {.lex_state = 62, .external_lex_state = 42},
  [7352] = {.lex_state = 57, .external_lex_state = 55},
  [7353] = {.lex_state = 54, .external_lex_state = 35},
  [7354] = {.lex_state = 57, .external_lex_state = 29},
  [7355] = {.lex_state = 7, .external_lex_state = 44},
  [7356] = {.lex_state = 51, .external_lex_state = 35},
  [7357] = {.lex_state = 62, .external_lex_state = 38},
  [7358] = {.lex_state = 56, .external_lex_state = 48},
  [7359] = {.lex_state = 54, .external_lex_state = 35},
  [7360] = {.lex_state = 56, .external_lex_state = 51},
  [7361] = {.lex_state = 56, .external_lex_state = 51},
  [7362] = {.lex_state = 62, .external_lex_state = 42},
  [7363] = {.lex_state = 62, .external_lex_state = 29},
  [7364] = {.lex_state = 51, .external_lex_state = 24},
  [7365] = {.lex_state = 60, .external_lex_state = 48},
  [7366] = {.lex_state = 62, .external_lex_state = 38},
  [7367] = {.lex_state = 60, .external_lex_state = 51},
  [7368] = {.lex_state = 61, .external_lex_state = 54},
  [7369] = {.lex_state = 54, .external_lex_state = 35},
  [7370] = {.lex_state = 54, .external_lex_state = 44},
  [7371] = {.lex_state = 60, .external_lex_state = 51},
  [7372] = {.lex_state = 51, .external_lex_state = 44},
  [7373] = {.lex_state = 62, .external_lex_state = 38},
  [7374] = {.lex_state = 62, .external_lex_state = 39},
  [7375] = {.lex_state = 57, .external_lex_state = 42},
  [7376] = {.lex_state = 55, .external_lex_state = 27},
  [7377] = {.lex_state = 62, .external_lex_state = 38},
  [7378] = {.lex_state = 62, .external_lex_state = 30},
  [7379] = {.lex_state = 62, .external_lex_state = 23},
  [7380] = {.lex_state = 62, .external_lex_state = 46},
  [7381] = {.lex_state = 19, .external_lex_state = 44},
  [7382] = {.lex_state = 62, .external_lex_state = 46},
  [7383] = {.lex_state = 62},
  [7384] = {.lex_state = 4},
  [7385] = {.lex_state = 51, .external_lex_state = 28},
  [7386] = {.lex_state = 50},
  [7387] = {.lex_state = 50},
  [7388] = {.lex_state = 51, .external_lex_state = 28},
  [7389] = {.lex_state = 56},
  [7390] = {.lex_state = 62, .external_lex_state = 47},
  [7391] = {.lex_state = 62},
  [7392] = {.lex_state = 62, .external_lex_state = 46},
  [7393] = {.lex_state = 62},
  [7394] = {.lex_state = 62},
  [7395] = {.lex_state = 62, .external_lex_state = 38},
  [7396] = {.lex_state = 62, .external_lex_state = 23},
  [7397] = {.lex_state = 62, .external_lex_state = 46},
  [7398] = {.lex_state = 62, .external_lex_state = 46},
  [7399] = {.lex_state = 51, .external_lex_state = 58},
  [7400] = {.lex_state = 62, .external_lex_state = 46},
  [7401] = {.lex_state = 54, .external_lex_state = 44},
  [7402] = {.lex_state = 58, .external_lex_state = 54},
  [7403] = {.lex_state = 51, .external_lex_state = 28},
  [7404] = {.lex_state = 62},
  [7405] = {.lex_state = 57, .external_lex_state = 48},
  [7406] = {.lex_state = 54, .external_lex_state = 44},
  [7407] = {.lex_state = 51, .external_lex_state = 29},
  [7408] = {.lex_state = 51, .external_lex_state = 49},
  [7409] = {.lex_state = 51, .external_lex_state = 24},
  [7410] = {.lex_state = 62, .external_lex_state = 23},
  [7411] = {.lex_state = 60, .external_lex_state = 30},
  [7412] = {.lex_state = 62},
  [7413] = {.lex_state = 50},
  [7414] = {.lex_state = 63, .external_lex_state = 54},
  [7415] = {.lex_state = 51, .external_lex_state = 28},
  [7416] = {.lex_state = 57, .external_lex_state = 31},
  [7417] = {.lex_state = 50},
  [7418] = {.lex_state = 62},
  [7419] = {.lex_state = 58, .external_lex_state = 54},
  [7420] = {.lex_state = 62},
  [7421] = {.lex_state = 51},
  [7422] = {.lex_state = 51, .external_lex_state = 23},
  [7423] = {.lex_state = 57, .external_lex_state = 48},
  [7424] = {.lex_state = 56, .external_lex_state = 27},
  [7425] = {.lex_state = 61, .external_lex_state = 35},
  [7426] = {.lex_state = 60, .external_lex_state = 44},
  [7427] = {.lex_state = 51, .external_lex_state = 28},
  [7428] = {.lex_state = 51, .external_lex_state = 28},
  [7429] = {.lex_state = 62},
  [7430] = {.lex_state = 61, .external_lex_state = 35},
  [7431] = {.lex_state = 60, .external_lex_state = 35},
  [7432] = {.lex_state = 62, .external_lex_state = 46},
  [7433] = {.lex_state = 62, .external_lex_state = 46},
  [7434] = {.lex_state = 62, .external_lex_state = 46},
  [7435] = {.lex_state = 55, .external_lex_state = 44},
  [7436] = {.lex_state = 62, .external_lex_state = 46},
  [7437] = {.lex_state = 62},
  [7438] = {.lex_state = 62},
  [7439] = {.lex_state = 58, .external_lex_state = 35},
  [7440] = {.lex_state = 61, .external_lex_state = 35},
  [7441] = {.lex_state = 57, .external_lex_state = 30},
  [7442] = {.lex_state = 62, .external_lex_state = 50},
  [7443] = {.lex_state = 62, .external_lex_state = 47},
  [7444] = {.lex_state = 51, .external_lex_state = 39},
  [7445] = {.lex_state = 62, .external_lex_state = 53},
  [7446] = {.lex_state = 51, .external_lex_state = 49},
  [7447] = {.lex_state = 51, .external_lex_state = 36},
  [7448] = {.lex_state = 62, .external_lex_state = 47},
  [7449] = {.lex_state = 57, .external_lex_state = 30},
  [7450] = {.lex_state = 62, .external_lex_state = 47},
  [7451] = {.lex_state = 57, .external_lex_state = 30},
  [7452] = {.lex_state = 60, .external_lex_state = 26},
  [7453] = {.lex_state = 51, .external_lex_state = 44},
  [7454] = {.lex_state = 62},
  [7455] = {.lex_state = 62, .external_lex_state = 40},
  [7456] = {.lex_state = 51, .external_lex_state = 38},
  [7457] = {.lex_state = 62},
  [7458] = {.lex_state = 56, .external_lex_state = 29},
  [7459] = {.lex_state = 56, .external_lex_state = 29},
  [7460] = {.lex_state = 56, .external_lex_state = 27},
  [7461] = {.lex_state = 62, .external_lex_state = 32},
  [7462] = {.lex_state = 62},
  [7463] = {.lex_state = 62, .external_lex_state = 31},
  [7464] = {.lex_state = 51, .external_lex_state = 26},
  [7465] = {.lex_state = 62, .external_lex_state = 23},
  [7466] = {.lex_state = 62, .external_lex_state = 47},
  [7467] = {.lex_state = 51, .external_lex_state = 58},
  [7468] = {.lex_state = 62},
  [7469] = {.lex_state = 62, .external_lex_state = 31},
  [7470] = {.lex_state = 62},
  [7471] = {.lex_state = 62, .external_lex_state = 23},
  [7472] = {.lex_state = 51, .external_lex_state = 36},
  [7473] = {.lex_state = 62, .external_lex_state = 47},
  [7474] = {.lex_state = 62, .external_lex_state = 31},
  [7475] = {.lex_state = 51, .external_lex_state = 52},
  [7476] = {.lex_state = 55, .external_lex_state = 30},
  [7477] = {.lex_state = 62},
  [7478] = {.lex_state = 62, .external_lex_state = 47},
  [7479] = {.lex_state = 62, .external_lex_state = 47},
  [7480] = {.lex_state = 55, .external_lex_state = 30},
  [7481] = {.lex_state = 62, .external_lex_state = 47},
  [7482] = {.lex_state = 51, .external_lex_state = 57},
  [7483] = {.lex_state = 62},
  [7484] = {.lex_state = 62, .external_lex_state = 47},
  [7485] = {.lex_state = 50},
  [7486] = {.lex_state = 62},
  [7487] = {.lex_state = 50},
  [7488] = {.lex_state = 51, .external_lex_state = 37},
  [7489] = {.lex_state = 62, .external_lex_state = 47},
  [7490] = {.lex_state = 55, .external_lex_state = 30},
  [7491] = {.lex_state = 51, .external_lex_state = 23},
  [7492] = {.lex_state = 60, .external_lex_state = 45},
  [7493] = {.lex_state = 60, .external_lex_state = 46},
  [7494] = {.lex_state = 62},
  [7495] = {.lex_state = 58, .external_lex_state = 35},
  [7496] = {.lex_state = 62},
  [7497] = {.lex_state = 51, .external_lex_state = 57},
  [7498] = {.lex_state = 62, .external_lex_state = 49},
  [7499] = {.lex_state = 60, .external_lex_state = 26},
  [7500] = {.lex_state = 51, .external_lex_state = 29},
  [7501] = {.lex_state = 62, .external_lex_state = 47},
  [7502] = {.lex_state = 50},
  [7503] = {.lex_state = 62},
  [7504] = {.lex_state = 55, .external_lex_state = 27},
  [7505] = {.lex_state = 62},
  [7506] = {.lex_state = 63, .external_lex_state = 54},
  [7507] = {.lex_state = 51, .external_lex_state = 30},
  [7508] = {.lex_state = 62, .external_lex_state = 47},
  [7509] = {.lex_state = 53},
  [7510] = {.lex_state = 62, .external_lex_state = 48},
  [7511] = {.lex_state = 62, .external_lex_state = 50},
  [7512] = {.lex_state = 60, .external_lex_state = 34},
  [7513] = {.lex_state = 62, .external_lex_state = 47},
  [7514] = {.lex_state = 62, .external_lex_state = 23},
  [7515] = {.lex_state = 50},
  [7516] = {.lex_state = 62, .external_lex_state = 47},
  [7517] = {.lex_state = 56, .external_lex_state = 44},
  [7518] = {.lex_state = 60, .external_lex_state = 45},
  [7519] = {.lex_state = 62, .external_lex_state = 47},
  [7520] = {.lex_state = 62, .external_lex_state = 47},
  [7521] = {.lex_state = 56, .external_lex_state = 29},
  [7522] = {.lex_state = 62, .external_lex_state = 23},
  [7523] = {.lex_state = 62, .external_lex_state = 55},
  [7524] = {.lex_state = 63, .external_lex_state = 35},
  [7525] = {.lex_state = 62, .external_lex_state = 23},
  [7526] = {.lex_state = 51, .external_lex_state = 30},
  [7527] = {.lex_state = 62, .external_lex_state = 47},
  [7528] = {.lex_state = 58, .external_lex_state = 35},
  [7529] = {.lex_state = 56, .external_lex_state = 44},
  [7530] = {.lex_state = 62, .external_lex_state = 47},
  [7531] = {.lex_state = 51, .external_lex_state = 37},
  [7532] = {.lex_state = 62, .external_lex_state = 47},
  [7533] = {.lex_state = 62},
  [7534] = {.lex_state = 62, .external_lex_state = 48},
  [7535] = {.lex_state = 51, .external_lex_state = 44},
  [7536] = {.lex_state = 58, .external_lex_state = 35},
  [7537] = {.lex_state = 62, .external_lex_state = 48},
  [7538] = {.lex_state = 62, .external_lex_state = 50},
  [7539] = {.lex_state = 57, .external_lex_state = 54},
  [7540] = {.lex_state = 62, .external_lex_state = 47},
  [7541] = {.lex_state = 55, .external_lex_state = 30},
  [7542] = {.lex_state = 51, .external_lex_state = 39},
  [7543] = {.lex_state = 56, .external_lex_state = 44},
  [7544] = {.lex_state = 62, .external_lex_state = 53},
  [7545] = {.lex_state = 62, .external_lex_state = 42},
  [7546] = {.lex_state = 62, .external_lex_state = 23},
  [7547] = {.lex_state = 57, .external_lex_state = 35},
  [7548] = {.lex_state = 62, .external_lex_state = 23},
  [7549] = {.lex_state = 62},
  [7550] = {.lex_state = 51, .external_lex_state = 38},
  [7551] = {.lex_state = 60, .external_lex_state = 34},
  [7552] = {.lex_state = 62, .external_lex_state = 45},
  [7553] = {.lex_state = 62, .external_lex_state = 47},
  [7554] = {.lex_state = 60, .external_lex_state = 30},
  [7555] = {.lex_state = 62, .external_lex_state = 47},
  [7556] = {.lex_state = 51, .external_lex_state = 58},
  [7557] = {.lex_state = 56, .external_lex_state = 54},
  [7558] = {.lex_state = 50},
  [7559] = {.lex_state = 60, .external_lex_state = 35},
  [7560] = {.lex_state = 57, .external_lex_state = 29},
  [7561] = {.lex_state = 62},
  [7562] = {.lex_state = 50},
  [7563] = {.lex_state = 56, .external_lex_state = 54},
  [7564] = {.lex_state = 57, .external_lex_state = 29},
  [7565] = {.lex_state = 57, .external_lex_state = 29},
  [7566] = {.lex_state = 60, .external_lex_state = 54},
  [7567] = {.lex_state = 57, .external_lex_state = 29},
  [7568] = {.lex_state = 55, .external_lex_state = 35},
  [7569] = {.lex_state = 62},
  [7570] = {.lex_state = 62},
  [7571] = {.lex_state = 58, .external_lex_state = 35},
  [7572] = {.lex_state = 55, .external_lex_state = 30},
  [7573] = {.lex_state = 57, .external_lex_state = 31},
  [7574] = {.lex_state = 21, .external_lex_state = 44},
  [7575] = {.lex_state = 60, .external_lex_state = 34},
  [7576] = {.lex_state = 19, .external_lex_state = 44},
  [7577] = {.lex_state = 57, .external_lex_state = 54},
  [7578] = {.lex_state = 60, .external_lex_state = 54},
  [7579] = {.lex_state = 62, .external_lex_state = 30},
  [7580] = {.lex_state = 62, .external_lex_state = 47},
  [7581] = {.lex_state = 62, .external_lex_state = 48},
  [7582] = {.lex_state = 62},
  [7583] = {.lex_state = 60, .external_lex_state = 34},
  [7584] = {.lex_state = 62, .external_lex_state = 47},
  [7585] = {.lex_state = 60, .external_lex_state = 34},
  [7586] = {.lex_state = 60, .external_lex_state = 54},
  [7587] = {.lex_state = 50},
  [7588] = {.lex_state = 50},
  [7589] = {.lex_state = 62},
  [7590] = {.lex_state = 57, .external_lex_state = 35},
  [7591] = {.lex_state = 18},
  [7592] = {.lex_state = 62},
  [7593] = {.lex_state = 62, .external_lex_state = 43},
  [7594] = {.lex_state = 62, .external_lex_state = 49},
  [7595] = {.lex_state = 57, .external_lex_state = 31},
  [7596] = {.lex_state = 62, .external_lex_state = 45},
  [7597] = {.lex_state = 62, .external_lex_state = 53},
  [7598] = {.lex_state = 51, .external_lex_state = 45},
  [7599] = {.lex_state = 60, .external_lex_state = 41},
  [7600] = {.lex_state = 51, .external_lex_state = 42},
  [7601] = {.lex_state = 62, .external_lex_state = 23},
  [7602] = {.lex_state = 58, .external_lex_state = 35},
  [7603] = {.lex_state = 62, .external_lex_state = 23},
  [7604] = {.lex_state = 55, .external_lex_state = 29},
  [7605] = {.lex_state = 62},
  [7606] = {.lex_state = 62, .external_lex_state = 47},
  [7607] = {.lex_state = 62},
  [7608] = {.lex_state = 62, .external_lex_state = 23},
  [7609] = {.lex_state = 56, .external_lex_state = 54},
  [7610] = {.lex_state = 55, .external_lex_state = 29},
  [7611] = {.lex_state = 62},
  [7612] = {.lex_state = 58, .external_lex_state = 35},
  [7613] = {.lex_state = 62, .external_lex_state = 26},
  [7614] = {.lex_state = 62},
  [7615] = {.lex_state = 55, .external_lex_state = 31},
  [7616] = {.lex_state = 62, .external_lex_state = 47},
  [7617] = {.lex_state = 57, .external_lex_state = 35},
  [7618] = {.lex_state = 51, .external_lex_state = 23},
  [7619] = {.lex_state = 56, .external_lex_state = 29},
  [7620] = {.lex_state = 51, .external_lex_state = 32},
  [7621] = {.lex_state = 51, .external_lex_state = 43},
  [7622] = {.lex_state = 51},
  [7623] = {.lex_state = 62},
  [7624] = {.lex_state = 55, .external_lex_state = 31},
  [7625] = {.lex_state = 62, .external_lex_state = 26},
  [7626] = {.lex_state = 51, .external_lex_state = 56},
  [7627] = {.lex_state = 62, .external_lex_state = 23},
  [7628] = {.lex_state = 62},
  [7629] = {.lex_state = 55, .external_lex_state = 31},
  [7630] = {.lex_state = 62, .external_lex_state = 26},
  [7631] = {.lex_state = 50},
  [7632] = {.lex_state = 50},
  [7633] = {.lex_state = 55, .external_lex_state = 31},
  [7634] = {.lex_state = 62, .external_lex_state = 46},
  [7635] = {.lex_state = 57, .external_lex_state = 35},
  [7636] = {.lex_state = 62, .external_lex_state = 51},
  [7637] = {.lex_state = 62},
  [7638] = {.lex_state = 4},
  [7639] = {.lex_state = 9, .external_lex_state = 44},
  [7640] = {.lex_state = 58, .external_lex_state = 35},
  [7641] = {.lex_state = 62, .external_lex_state = 32},
  [7642] = {.lex_state = 60, .external_lex_state = 32},
  [7643] = {.lex_state = 63, .external_lex_state = 35},
  [7644] = {.lex_state = 56, .external_lex_state = 54},
  [7645] = {.lex_state = 62},
  [7646] = {.lex_state = 56, .external_lex_state = 44},
  [7647] = {.lex_state = 62},
  [7648] = {.lex_state = 60, .external_lex_state = 41},
  [7649] = {.lex_state = 60, .external_lex_state = 27},
  [7650] = {.lex_state = 62, .external_lex_state = 32},
  [7651] = {.lex_state = 62},
  [7652] = {.lex_state = 51, .external_lex_state = 35},
  [7653] = {.lex_state = 62, .external_lex_state = 23},
  [7654] = {.lex_state = 62, .external_lex_state = 51},
  [7655] = {.lex_state = 62, .external_lex_state = 46},
  [7656] = {.lex_state = 61, .external_lex_state = 35},
  [7657] = {.lex_state = 60, .external_lex_state = 42},
  [7658] = {.lex_state = 60, .external_lex_state = 44},
  [7659] = {.lex_state = 62},
  [7660] = {.lex_state = 51, .external_lex_state = 28},
  [7661] = {.lex_state = 62},
  [7662] = {.lex_state = 62, .external_lex_state = 23},
  [7663] = {.lex_state = 58, .external_lex_state = 35},
  [7664] = {.lex_state = 60, .external_lex_state = 51},
  [7665] = {.lex_state = 51, .external_lex_state = 26},
  [7666] = {.lex_state = 62},
  [7667] = {.lex_state = 51, .external_lex_state = 26},
  [7668] = {.lex_state = 62, .external_lex_state = 23},
  [7669] = {.lex_state = 51, .external_lex_state = 28},
  [7670] = {.lex_state = 56, .external_lex_state = 27},
  [7671] = {.lex_state = 62},
  [7672] = {.lex_state = 62},
  [7673] = {.lex_state = 51, .external_lex_state = 26},
  [7674] = {.lex_state = 18},
  [7675] = {.lex_state = 55, .external_lex_state = 29},
  [7676] = {.lex_state = 51, .external_lex_state = 45},
  [7677] = {.lex_state = 55, .external_lex_state = 31},
  [7678] = {.lex_state = 55, .external_lex_state = 35},
  [7679] = {.lex_state = 56},
  [7680] = {.lex_state = 57, .external_lex_state = 55},
  [7681] = {.lex_state = 56, .external_lex_state = 54},
  [7682] = {.lex_state = 62, .external_lex_state = 43},
  [7683] = {.lex_state = 62},
  [7684] = {.lex_state = 62},
  [7685] = {.lex_state = 50},
  [7686] = {.lex_state = 57, .external_lex_state = 55},
  [7687] = {.lex_state = 60, .external_lex_state = 48},
  [7688] = {.lex_state = 19, .external_lex_state = 44},
  [7689] = {.lex_state = 7, .external_lex_state = 44},
  [7690] = {.lex_state = 56, .external_lex_state = 44},
  [7691] = {.lex_state = 62},
  [7692] = {.lex_state = 62, .external_lex_state = 55},
  [7693] = {.lex_state = 51, .external_lex_state = 35},
  [7694] = {.lex_state = 60, .external_lex_state = 32},
  [7695] = {.lex_state = 62, .external_lex_state = 23},
  [7696] = {.lex_state = 62},
  [7697] = {.lex_state = 62, .external_lex_state = 41},
  [7698] = {.lex_state = 62, .external_lex_state = 26},
  [7699] = {.lex_state = 51, .external_lex_state = 35},
  [7700] = {.lex_state = 57, .external_lex_state = 27},
  [7701] = {.lex_state = 62},
  [7702] = {.lex_state = 56, .external_lex_state = 27},
  [7703] = {.lex_state = 62, .external_lex_state = 46},
  [7704] = {.lex_state = 62, .external_lex_state = 47},
  [7705] = {.lex_state = 55, .external_lex_state = 35},
  [7706] = {.lex_state = 62, .external_lex_state = 47},
  [7707] = {.lex_state = 62, .external_lex_state = 47},
  [7708] = {.lex_state = 62, .external_lex_state = 47},
  [7709] = {.lex_state = 57, .external_lex_state = 27},
  [7710] = {.lex_state = 62},
  [7711] = {.lex_state = 62},
  [7712] = {.lex_state = 62, .external_lex_state = 46},
  [7713] = {.lex_state = 60, .external_lex_state = 42},
  [7714] = {.lex_state = 57, .external_lex_state = 27},
  [7715] = {.lex_state = 51, .external_lex_state = 56},
  [7716] = {.lex_state = 62, .external_lex_state = 46},
  [7717] = {.lex_state = 56, .external_lex_state = 29},
  [7718] = {.lex_state = 57, .external_lex_state = 27},
  [7719] = {.lex_state = 60, .external_lex_state = 23},
  [7720] = {.lex_state = 62, .external_lex_state = 46},
  [7721] = {.lex_state = 56, .external_lex_state = 27},
  [7722] = {.lex_state = 62},
  [7723] = {.lex_state = 56, .external_lex_state = 29},
  [7724] = {.lex_state = 62, .external_lex_state = 46},
  [7725] = {.lex_state = 62, .external_lex_state = 23},
  [7726] = {.lex_state = 56, .external_lex_state = 29},
  [7727] = {.lex_state = 61, .external_lex_state = 44},
  [7728] = {.lex_state = 63, .external_lex_state = 35},
  [7729] = {.lex_state = 62, .external_lex_state = 23},
  [7730] = {.lex_state = 62},
  [7731] = {.lex_state = 51, .external_lex_state = 42},
  [7732] = {.lex_state = 56, .external_lex_state = 29},
  [7733] = {.lex_state = 62, .external_lex_state = 23},
  [7734] = {.lex_state = 60, .external_lex_state = 47},
  [7735] = {.lex_state = 18},
  [7736] = {.lex_state = 51, .external_lex_state = 35},
  [7737] = {.lex_state = 56, .external_lex_state = 29},
  [7738] = {.lex_state = 63, .external_lex_state = 35},
  [7739] = {.lex_state = 61, .external_lex_state = 44},
  [7740] = {.lex_state = 58, .external_lex_state = 35},
  [7741] = {.lex_state = 62},
  [7742] = {.lex_state = 56, .external_lex_state = 29},
  [7743] = {.lex_state = 56, .external_lex_state = 29},
  [7744] = {.lex_state = 56, .external_lex_state = 44},
  [7745] = {.lex_state = 62},
  [7746] = {.lex_state = 51, .external_lex_state = 58},
  [7747] = {.lex_state = 56, .external_lex_state = 44},
  [7748] = {.lex_state = 60, .external_lex_state = 55},
  [7749] = {.lex_state = 60, .external_lex_state = 54},
  [7750] = {.lex_state = 56, .external_lex_state = 54},
  [7751] = {.lex_state = 60, .external_lex_state = 32},
  [7752] = {.lex_state = 62, .external_lex_state = 41},
  [7753] = {.lex_state = 62},
  [7754] = {.lex_state = 62, .external_lex_state = 46},
  [7755] = {.lex_state = 56, .external_lex_state = 27},
  [7756] = {.lex_state = 62, .external_lex_state = 46},
  [7757] = {.lex_state = 7, .external_lex_state = 44},
  [7758] = {.lex_state = 62, .external_lex_state = 34},
  [7759] = {.lex_state = 60, .external_lex_state = 32},
  [7760] = {.lex_state = 56, .external_lex_state = 27},
  [7761] = {.lex_state = 57, .external_lex_state = 27},
  [7762] = {.lex_state = 62, .external_lex_state = 34},
  [7763] = {.lex_state = 51, .external_lex_state = 43},
  [7764] = {.lex_state = 62},
  [7765] = {.lex_state = 60, .external_lex_state = 48},
  [7766] = {.lex_state = 51, .external_lex_state = 51},
  [7767] = {.lex_state = 55, .external_lex_state = 30},
  [7768] = {.lex_state = 50},
  [7769] = {.lex_state = 62},
  [7770] = {.lex_state = 60, .external_lex_state = 32},
  [7771] = {.lex_state = 57, .external_lex_state = 51},
  [7772] = {.lex_state = 62, .external_lex_state = 26},
  [7773] = {.lex_state = 18},
  [7774] = {.lex_state = 60, .external_lex_state = 27},
  [7775] = {.lex_state = 62, .external_lex_state = 47},
  [7776] = {.lex_state = 62, .external_lex_state = 47},
  [7777] = {.lex_state = 54, .external_lex_state = 35},
  [7778] = {.lex_state = 56, .external_lex_state = 54},
  [7779] = {.lex_state = 62, .external_lex_state = 31},
  [7780] = {.lex_state = 60, .external_lex_state = 32},
  [7781] = {.lex_state = 51, .external_lex_state = 39},
  [7782] = {.lex_state = 57, .external_lex_state = 51},
  [7783] = {.lex_state = 60, .external_lex_state = 27},
  [7784] = {.lex_state = 56, .external_lex_state = 54},
  [7785] = {.lex_state = 60, .external_lex_state = 32},
  [7786] = {.lex_state = 51, .external_lex_state = 35},
  [7787] = {.lex_state = 55, .external_lex_state = 30},
  [7788] = {.lex_state = 56, .external_lex_state = 44},
  [7789] = {.lex_state = 62, .external_lex_state = 47},
  [7790] = {.lex_state = 62, .external_lex_state = 48},
  [7791] = {.lex_state = 56, .external_lex_state = 54},
  [7792] = {.lex_state = 62, .external_lex_state = 47},
  [7793] = {.lex_state = 17, .external_lex_state = 44},
  [7794] = {.lex_state = 61, .external_lex_state = 54},
  [7795] = {.lex_state = 51, .external_lex_state = 57},
  [7796] = {.lex_state = 62},
  [7797] = {.lex_state = 54, .external_lex_state = 35},
  [7798] = {.lex_state = 60, .external_lex_state = 34},
  [7799] = {.lex_state = 60, .external_lex_state = 27},
  [7800] = {.lex_state = 61, .external_lex_state = 54},
  [7801] = {.lex_state = 62},
  [7802] = {.lex_state = 56, .external_lex_state = 29},
  [7803] = {.lex_state = 62, .external_lex_state = 52},
  [7804] = {.lex_state = 60, .external_lex_state = 51},
  [7805] = {.lex_state = 60, .external_lex_state = 34},
  [7806] = {.lex_state = 56, .external_lex_state = 54},
  [7807] = {.lex_state = 61, .external_lex_state = 54},
  [7808] = {.lex_state = 60, .external_lex_state = 34},
  [7809] = {.lex_state = 62},
  [7810] = {.lex_state = 62, .external_lex_state = 23},
  [7811] = {.lex_state = 60, .external_lex_state = 43},
  [7812] = {.lex_state = 62},
  [7813] = {.lex_state = 62, .external_lex_state = 23},
  [7814] = {.lex_state = 56, .external_lex_state = 44},
  [7815] = {.lex_state = 60, .external_lex_state = 34},
  [7816] = {.lex_state = 60, .external_lex_state = 34},
  [7817] = {.lex_state = 18},
  [7818] = {.lex_state = 55, .external_lex_state = 54},
  [7819] = {.lex_state = 56, .external_lex_state = 27},
  [7820] = {.lex_state = 51, .external_lex_state = 52},
  [7821] = {.lex_state = 62, .external_lex_state = 55},
  [7822] = {.lex_state = 62, .external_lex_state = 47},
  [7823] = {.lex_state = 56, .external_lex_state = 44},
  [7824] = {.lex_state = 62, .external_lex_state = 47},
  [7825] = {.lex_state = 56, .external_lex_state = 44},
  [7826] = {.lex_state = 56, .external_lex_state = 44},
  [7827] = {.lex_state = 56, .external_lex_state = 44},
  [7828] = {.lex_state = 62},
  [7829] = {.lex_state = 62, .external_lex_state = 47},
  [7830] = {.lex_state = 51, .external_lex_state = 40},
  [7831] = {.lex_state = 51, .external_lex_state = 41},
  [7832] = {.lex_state = 62, .external_lex_state = 23},
  [7833] = {.lex_state = 62},
  [7834] = {.lex_state = 62, .external_lex_state = 34},
  [7835] = {.lex_state = 51, .external_lex_state = 55},
  [7836] = {.lex_state = 62, .external_lex_state = 23},
  [7837] = {.lex_state = 62, .external_lex_state = 23},
  [7838] = {.lex_state = 56, .external_lex_state = 54},
  [7839] = {.lex_state = 18},
  [7840] = {.lex_state = 62, .external_lex_state = 51},
  [7841] = {.lex_state = 62},
  [7842] = {.lex_state = 56, .external_lex_state = 44},
  [7843] = {.lex_state = 58, .external_lex_state = 35},
  [7844] = {.lex_state = 62, .external_lex_state = 23},
  [7845] = {.lex_state = 62},
  [7846] = {.lex_state = 50},
  [7847] = {.lex_state = 56, .external_lex_state = 44},
  [7848] = {.lex_state = 50},
  [7849] = {.lex_state = 55, .external_lex_state = 30},
  [7850] = {.lex_state = 51, .external_lex_state = 48},
  [7851] = {.lex_state = 51, .external_lex_state = 48},
  [7852] = {.lex_state = 55, .external_lex_state = 30},
  [7853] = {.lex_state = 56, .external_lex_state = 54},
  [7854] = {.lex_state = 51, .external_lex_state = 48},
  [7855] = {.lex_state = 51, .external_lex_state = 28},
  [7856] = {.lex_state = 62, .external_lex_state = 46},
  [7857] = {.lex_state = 62},
  [7858] = {.lex_state = 62, .external_lex_state = 23},
  [7859] = {.lex_state = 55, .external_lex_state = 30},
  [7860] = {.lex_state = 56, .external_lex_state = 27},
  [7861] = {.lex_state = 57, .external_lex_state = 27},
  [7862] = {.lex_state = 50},
  [7863] = {.lex_state = 56, .external_lex_state = 54},
  [7864] = {.lex_state = 56, .external_lex_state = 54},
  [7865] = {.lex_state = 62},
  [7866] = {.lex_state = 55, .external_lex_state = 30},
  [7867] = {.lex_state = 51, .external_lex_state = 54},
  [7868] = {.lex_state = 62, .external_lex_state = 42},
  [7869] = {.lex_state = 62, .external_lex_state = 46},
  [7870] = {.lex_state = 62, .external_lex_state = 24},
  [7871] = {.lex_state = 51, .external_lex_state = 54},
  [7872] = {.lex_state = 55, .external_lex_state = 30},
  [7873] = {.lex_state = 62, .external_lex_state = 47},
  [7874] = {.lex_state = 57, .external_lex_state = 27},
  [7875] = {.lex_state = 62, .external_lex_state = 46},
  [7876] = {.lex_state = 62},
  [7877] = {.lex_state = 55, .external_lex_state = 30},
  [7878] = {.lex_state = 55, .external_lex_state = 54},
  [7879] = {.lex_state = 62, .external_lex_state = 46},
  [7880] = {.lex_state = 51, .external_lex_state = 38},
  [7881] = {.lex_state = 55, .external_lex_state = 30},
  [7882] = {.lex_state = 62, .external_lex_state = 46},
  [7883] = {.lex_state = 51, .external_lex_state = 51},
  [7884] = {.lex_state = 57, .external_lex_state = 27},
  [7885] = {.lex_state = 60, .external_lex_state = 55},
  [7886] = {.lex_state = 62, .external_lex_state = 23},
  [7887] = {.lex_state = 62, .external_lex_state = 23},
  [7888] = {.lex_state = 62, .external_lex_state = 52},
  [7889] = {.lex_state = 57, .external_lex_state = 29},
  [7890] = {.lex_state = 57, .external_lex_state = 27},
  [7891] = {.lex_state = 60, .external_lex_state = 43},
  [7892] = {.lex_state = 51, .external_lex_state = 54},
  [7893] = {.lex_state = 57, .external_lex_state = 27},
  [7894] = {.lex_state = 56, .external_lex_state = 27},
  [7895] = {.lex_state = 62, .external_lex_state = 24},
  [7896] = {.lex_state = 62, .external_lex_state = 46},
  [7897] = {.lex_state = 56, .external_lex_state = 54},
  [7898] = {.lex_state = 62},
  [7899] = {.lex_state = 62, .external_lex_state = 46},
  [7900] = {.lex_state = 62, .external_lex_state = 23},
  [7901] = {.lex_state = 62},
  [7902] = {.lex_state = 56, .external_lex_state = 54},
  [7903] = {.lex_state = 57, .external_lex_state = 27},
  [7904] = {.lex_state = 62, .external_lex_state = 46},
  [7905] = {.lex_state = 9, .external_lex_state = 44},
  [7906] = {.lex_state = 51, .external_lex_state = 51},
  [7907] = {.lex_state = 57, .external_lex_state = 31},
  [7908] = {.lex_state = 62, .external_lex_state = 46},
  [7909] = {.lex_state = 62},
  [7910] = {.lex_state = 62, .external_lex_state = 46},
  [7911] = {.lex_state = 51, .external_lex_state = 51},
  [7912] = {.lex_state = 57, .external_lex_state = 27},
  [7913] = {.lex_state = 62},
  [7914] = {.lex_state = 62, .external_lex_state = 46},
  [7915] = {.lex_state = 60, .external_lex_state = 31},
  [7916] = {.lex_state = 51, .external_lex_state = 48},
  [7917] = {.lex_state = 62},
  [7918] = {.lex_state = 62, .external_lex_state = 38},
  [7919] = {.lex_state = 62},
  [7920] = {.lex_state = 62, .external_lex_state = 23},
  [7921] = {.lex_state = 62, .external_lex_state = 40},
  [7922] = {.lex_state = 62, .external_lex_state = 23},
  [7923] = {.lex_state = 62},
  [7924] = {.lex_state = 62, .external_lex_state = 23},
  [7925] = {.lex_state = 62, .external_lex_state = 48},
  [7926] = {.lex_state = 55, .external_lex_state = 54},
  [7927] = {.lex_state = 62, .external_lex_state = 46},
  [7928] = {.lex_state = 62, .external_lex_state = 23},
  [7929] = {.lex_state = 11, .external_lex_state = 44},
  [7930] = {.lex_state = 56, .external_lex_state = 29},
  [7931] = {.lex_state = 62, .external_lex_state = 46},
  [7932] = {.lex_state = 51, .external_lex_state = 28},
  [7933] = {.lex_state = 62, .external_lex_state = 46},
  [7934] = {.lex_state = 62, .external_lex_state = 23},
  [7935] = {.lex_state = 18},
  [7936] = {.lex_state = 62},
  [7937] = {.lex_state = 56, .external_lex_state = 44},
  [7938] = {.lex_state = 51, .external_lex_state = 28},
  [7939] = {.lex_state = 62, .external_lex_state = 46},
  [7940] = {.lex_state = 62, .external_lex_state = 46},
  [7941] = {.lex_state = 51, .external_lex_state = 54},
  [7942] = {.lex_state = 60, .external_lex_state = 29},
  [7943] = {.lex_state = 62, .external_lex_state = 23},
  [7944] = {.lex_state = 62, .external_lex_state = 39},
  [7945] = {.lex_state = 62},
  [7946] = {.lex_state = 62, .external_lex_state = 46},
  [7947] = {.lex_state = 57, .external_lex_state = 29},
  [7948] = {.lex_state = 62},
  [7949] = {.lex_state = 57, .external_lex_state = 29},
  [7950] = {.lex_state = 57, .external_lex_state = 29},
  [7951] = {.lex_state = 62, .external_lex_state = 47},
  [7952] = {.lex_state = 62, .external_lex_state = 46},
  [7953] = {.lex_state = 62, .external_lex_state = 23},
  [7954] = {.lex_state = 57, .external_lex_state = 29},
  [7955] = {.lex_state = 62, .external_lex_state = 47},
  [7956] = {.lex_state = 57, .external_lex_state = 29},
  [7957] = {.lex_state = 57, .external_lex_state = 29},
  [7958] = {.lex_state = 57, .external_lex_state = 29},
  [7959] = {.lex_state = 55, .external_lex_state = 31},
  [7960] = {.lex_state = 55, .external_lex_state = 27},
  [7961] = {.lex_state = 56, .external_lex_state = 29},
  [7962] = {.lex_state = 62, .external_lex_state = 55},
  [7963] = {.lex_state = 62, .external_lex_state = 30},
  [7964] = {.lex_state = 62, .external_lex_state = 55},
  [7965] = {.lex_state = 51, .external_lex_state = 41},
  [7966] = {.lex_state = 58, .external_lex_state = 35},
  [7967] = {.lex_state = 17, .external_lex_state = 44},
  [7968] = {.lex_state = 62},
  [7969] = {.lex_state = 55, .external_lex_state = 31},
  [7970] = {.lex_state = 51, .external_lex_state = 28},
  [7971] = {.lex_state = 62},
  [7972] = {.lex_state = 55, .external_lex_state = 27},
  [7973] = {.lex_state = 62},
  [7974] = {.lex_state = 60, .external_lex_state = 32},
  [7975] = {.lex_state = 62, .external_lex_state = 55},
  [7976] = {.lex_state = 60, .external_lex_state = 32},
  [7977] = {.lex_state = 55, .external_lex_state = 31},
  [7978] = {.lex_state = 62, .external_lex_state = 39},
  [7979] = {.lex_state = 62},
  [7980] = {.lex_state = 62, .external_lex_state = 46},
  [7981] = {.lex_state = 51, .external_lex_state = 28},
  [7982] = {.lex_state = 51, .external_lex_state = 28},
  [7983] = {.lex_state = 55, .external_lex_state = 31},
  [7984] = {.lex_state = 56, .external_lex_state = 29},
  [7985] = {.lex_state = 57, .external_lex_state = 27},
  [7986] = {.lex_state = 51, .external_lex_state = 34},
  [7987] = {.lex_state = 55, .external_lex_state = 31},
  [7988] = {.lex_state = 62, .external_lex_state = 46},
  [7989] = {.lex_state = 60, .external_lex_state = 29},
  [7990] = {.lex_state = 56, .external_lex_state = 29},
  [7991] = {.lex_state = 62, .external_lex_state = 26},
  [7992] = {.lex_state = 62, .external_lex_state = 46},
  [7993] = {.lex_state = 61, .external_lex_state = 35},
  [7994] = {.lex_state = 60, .external_lex_state = 29},
  [7995] = {.lex_state = 62},
  [7996] = {.lex_state = 56, .external_lex_state = 29},
  [7997] = {.lex_state = 62, .external_lex_state = 50},
  [7998] = {.lex_state = 57, .external_lex_state = 29},
  [7999] = {.lex_state = 9, .external_lex_state = 44},
  [8000] = {.lex_state = 55, .external_lex_state = 31},
  [8001] = {.lex_state = 56, .external_lex_state = 27},
  [8002] = {.lex_state = 55, .external_lex_state = 35},
  [8003] = {.lex_state = 62, .external_lex_state = 46},
  [8004] = {.lex_state = 51, .external_lex_state = 27},
  [8005] = {.lex_state = 56, .external_lex_state = 54},
  [8006] = {.lex_state = 55, .external_lex_state = 31},
  [8007] = {.lex_state = 62, .external_lex_state = 47},
  [8008] = {.lex_state = 56, .external_lex_state = 44},
  [8009] = {.lex_state = 51, .external_lex_state = 27},
  [8010] = {.lex_state = 60, .external_lex_state = 29},
  [8011] = {.lex_state = 62, .external_lex_state = 23},
  [8012] = {.lex_state = 62, .external_lex_state = 46},
  [8013] = {.lex_state = 51, .external_lex_state = 56},
  [8014] = {.lex_state = 56},
  [8015] = {.lex_state = 51, .external_lex_state = 31},
  [8016] = {.lex_state = 62, .external_lex_state = 23},
  [8017] = {.lex_state = 62},
  [8018] = {.lex_state = 61, .external_lex_state = 35},
  [8019] = {.lex_state = 57, .external_lex_state = 26},
  [8020] = {.lex_state = 10, .external_lex_state = 44},
  [8021] = {.lex_state = 61, .external_lex_state = 54},
  [8022] = {.lex_state = 9, .external_lex_state = 44},
  [8023] = {.lex_state = 62, .external_lex_state = 51},
  [8024] = {.lex_state = 62, .external_lex_state = 47},
  [8025] = {.lex_state = 62, .external_lex_state = 23},
  [8026] = {.lex_state = 51, .external_lex_state = 58},
  [8027] = {.lex_state = 60, .external_lex_state = 32},
  [8028] = {.lex_state = 57, .external_lex_state = 26},
  [8029] = {.lex_state = 62},
  [8030] = {.lex_state = 62, .external_lex_state = 47},
  [8031] = {.lex_state = 62, .external_lex_state = 23},
  [8032] = {.lex_state = 56, .external_lex_state = 27},
  [8033] = {.lex_state = 62, .external_lex_state = 53},
  [8034] = {.lex_state = 62, .external_lex_state = 23},
  [8035] = {.lex_state = 62, .external_lex_state = 51},
  [8036] = {.lex_state = 62, .external_lex_state = 46},
  [8037] = {.lex_state = 51, .external_lex_state = 31},
  [8038] = {.lex_state = 62, .external_lex_state = 23},
  [8039] = {.lex_state = 62, .external_lex_state = 51},
  [8040] = {.lex_state = 62, .external_lex_state = 23},
  [8041] = {.lex_state = 62, .external_lex_state = 23},
  [8042] = {.lex_state = 62, .external_lex_state = 47},
  [8043] = {.lex_state = 57, .external_lex_state = 59},
  [8044] = {.lex_state = 62, .external_lex_state = 23},
  [8045] = {.lex_state = 55, .external_lex_state = 31},
  [8046] = {.lex_state = 62, .external_lex_state = 47},
  [8047] = {.lex_state = 56, .external_lex_state = 27},
  [8048] = {.lex_state = 62, .external_lex_state = 30},
  [8049] = {.lex_state = 62, .external_lex_state = 47},
  [8050] = {.lex_state = 62, .external_lex_state = 23},
  [8051] = {.lex_state = 51, .external_lex_state = 55},
  [8052] = {.lex_state = 56},
  [8053] = {.lex_state = 62},
  [8054] = {.lex_state = 62, .external_lex_state = 46},
  [8055] = {.lex_state = 62, .external_lex_state = 46},
  [8056] = {.lex_state = 62, .external_lex_state = 46},
  [8057] = {.lex_state = 51, .external_lex_state = 55},
  [8058] = {.lex_state = 58, .external_lex_state = 35},
  [8059] = {.lex_state = 58, .external_lex_state = 35},
  [8060] = {.lex_state = 56, .external_lex_state = 27},
  [8061] = {.lex_state = 58, .external_lex_state = 35},
  [8062] = {.lex_state = 62},
  [8063] = {.lex_state = 56, .external_lex_state = 27},
  [8064] = {.lex_state = 56, .external_lex_state = 27},
  [8065] = {.lex_state = 56, .external_lex_state = 27},
  [8066] = {.lex_state = 62, .external_lex_state = 23},
  [8067] = {.lex_state = 62},
  [8068] = {.lex_state = 60, .external_lex_state = 31},
  [8069] = {.lex_state = 55, .external_lex_state = 31},
  [8070] = {.lex_state = 62, .external_lex_state = 46},
  [8071] = {.lex_state = 57, .external_lex_state = 30},
  [8072] = {.lex_state = 62, .external_lex_state = 23},
  [8073] = {.lex_state = 51, .external_lex_state = 55},
  [8074] = {.lex_state = 62, .external_lex_state = 23},
  [8075] = {.lex_state = 51, .external_lex_state = 46},
  [8076] = {.lex_state = 62},
  [8077] = {.lex_state = 62, .external_lex_state = 23},
  [8078] = {.lex_state = 61, .external_lex_state = 44},
  [8079] = {.lex_state = 60, .external_lex_state = 53},
  [8080] = {.lex_state = 60, .external_lex_state = 39},
  [8081] = {.lex_state = 55, .external_lex_state = 31},
  [8082] = {.lex_state = 56, .external_lex_state = 31},
  [8083] = {.lex_state = 62, .external_lex_state = 52},
  [8084] = {.lex_state = 62, .external_lex_state = 53},
  [8085] = {.lex_state = 56, .external_lex_state = 31},
  [8086] = {.lex_state = 10, .external_lex_state = 44},
  [8087] = {.lex_state = 62, .external_lex_state = 50},
  [8088] = {.lex_state = 62, .external_lex_state = 50},
  [8089] = {.lex_state = 62, .external_lex_state = 50},
  [8090] = {.lex_state = 62, .external_lex_state = 49},
  [8091] = {.lex_state = 60, .external_lex_state = 39},
  [8092] = {.lex_state = 62, .external_lex_state = 56},
  [8093] = {.lex_state = 51, .external_lex_state = 30},
  [8094] = {.lex_state = 62, .external_lex_state = 44},
  [8095] = {.lex_state = 62, .external_lex_state = 49},
  [8096] = {.lex_state = 3},
  [8097] = {.lex_state = 62, .external_lex_state = 50},
  [8098] = {.lex_state = 57, .external_lex_state = 35},
  [8099] = {.lex_state = 51, .external_lex_state = 26},
  [8100] = {.lex_state = 62, .external_lex_state = 50},
  [8101] = {.lex_state = 57, .external_lex_state = 35},
  [8102] = {.lex_state = 62, .external_lex_state = 52},
  [8103] = {.lex_state = 62, .external_lex_state = 52},
  [8104] = {.lex_state = 56, .external_lex_state = 30},
  [8105] = {.lex_state = 60, .external_lex_state = 39},
  [8106] = {.lex_state = 56, .external_lex_state = 31},
  [8107] = {.lex_state = 19, .external_lex_state = 44},
  [8108] = {.lex_state = 57, .external_lex_state = 35},
  [8109] = {.lex_state = 51, .external_lex_state = 34},
  [8110] = {.lex_state = 56, .external_lex_state = 30},
  [8111] = {.lex_state = 56, .external_lex_state = 31},
  [8112] = {.lex_state = 3},
  [8113] = {.lex_state = 51, .external_lex_state = 34},
  [8114] = {.lex_state = 57, .external_lex_state = 35},
  [8115] = {.lex_state = 62, .external_lex_state = 52},
  [8116] = {.lex_state = 51, .external_lex_state = 32},
  [8117] = {.lex_state = 62, .external_lex_state = 50},
  [8118] = {.lex_state = 51, .external_lex_state = 34},
  [8119] = {.lex_state = 62, .external_lex_state = 52},
  [8120] = {.lex_state = 62, .external_lex_state = 50},
  [8121] = {.lex_state = 62, .external_lex_state = 39},
  [8122] = {.lex_state = 62, .external_lex_state = 53},
  [8123] = {.lex_state = 62, .external_lex_state = 29},
  [8124] = {.lex_state = 3},
  [8125] = {.lex_state = 3},
  [8126] = {.lex_state = 21, .external_lex_state = 44},
  [8127] = {.lex_state = 60, .external_lex_state = 38},
  [8128] = {.lex_state = 19, .external_lex_state = 44},
  [8129] = {.lex_state = 62, .external_lex_state = 50},
  [8130] = {.lex_state = 51, .external_lex_state = 34},
  [8131] = {.lex_state = 62, .external_lex_state = 49},
  [8132] = {.lex_state = 62, .external_lex_state = 49},
  [8133] = {.lex_state = 51, .external_lex_state = 35},
  [8134] = {.lex_state = 60, .external_lex_state = 38},
  [8135] = {.lex_state = 56, .external_lex_state = 31},
  [8136] = {.lex_state = 51, .external_lex_state = 34},
  [8137] = {.lex_state = 56, .external_lex_state = 31},
  [8138] = {.lex_state = 63, .external_lex_state = 54},
  [8139] = {.lex_state = 62, .external_lex_state = 27},
  [8140] = {.lex_state = 51, .external_lex_state = 32},
  [8141] = {.lex_state = 60, .external_lex_state = 30},
  [8142] = {.lex_state = 51, .external_lex_state = 30},
  [8143] = {.lex_state = 62, .external_lex_state = 39},
  [8144] = {.lex_state = 60, .external_lex_state = 38},
  [8145] = {.lex_state = 3},
  [8146] = {.lex_state = 10, .external_lex_state = 44},
  [8147] = {.lex_state = 62, .external_lex_state = 50},
  [8148] = {.lex_state = 62, .external_lex_state = 35},
  [8149] = {.lex_state = 62, .external_lex_state = 53},
  [8150] = {.lex_state = 3},
  [8151] = {.lex_state = 63, .external_lex_state = 35},
  [8152] = {.lex_state = 62, .external_lex_state = 50},
  [8153] = {.lex_state = 51, .external_lex_state = 23},
  [8154] = {.lex_state = 51, .external_lex_state = 23},
  [8155] = {.lex_state = 60, .external_lex_state = 39},
  [8156] = {.lex_state = 60, .external_lex_state = 38},
  [8157] = {.lex_state = 51, .external_lex_state = 34},
  [8158] = {.lex_state = 60, .external_lex_state = 40},
  [8159] = {.lex_state = 62, .external_lex_state = 50},
  [8160] = {.lex_state = 60, .external_lex_state = 38},
  [8161] = {.lex_state = 56, .external_lex_state = 30},
  [8162] = {.lex_state = 60, .external_lex_state = 35},
  [8163] = {.lex_state = 51, .external_lex_state = 32},
  [8164] = {.lex_state = 10, .external_lex_state = 44},
  [8165] = {.lex_state = 51, .external_lex_state = 32},
  [8166] = {.lex_state = 62, .external_lex_state = 38},
  [8167] = {.lex_state = 56, .external_lex_state = 30},
  [8168] = {.lex_state = 62, .external_lex_state = 46},
  [8169] = {.lex_state = 62, .external_lex_state = 53},
  [8170] = {.lex_state = 62, .external_lex_state = 54},
  [8171] = {.lex_state = 60, .external_lex_state = 54},
  [8172] = {.lex_state = 62, .external_lex_state = 27},
  [8173] = {.lex_state = 9, .external_lex_state = 44},
  [8174] = {.lex_state = 62, .external_lex_state = 50},
  [8175] = {.lex_state = 51, .external_lex_state = 34},
  [8176] = {.lex_state = 62, .external_lex_state = 46},
  [8177] = {.lex_state = 51, .external_lex_state = 32},
  [8178] = {.lex_state = 56, .external_lex_state = 30},
  [8179] = {.lex_state = 62, .external_lex_state = 54},
  [8180] = {.lex_state = 56, .external_lex_state = 30},
  [8181] = {.lex_state = 62, .external_lex_state = 52},
  [8182] = {.lex_state = 62, .external_lex_state = 52},
  [8183] = {.lex_state = 57, .external_lex_state = 30},
  [8184] = {.lex_state = 56, .external_lex_state = 31},
  [8185] = {.lex_state = 62, .external_lex_state = 23},
  [8186] = {.lex_state = 57, .external_lex_state = 30},
  [8187] = {.lex_state = 62, .external_lex_state = 54},
  [8188] = {.lex_state = 62, .external_lex_state = 57},
  [8189] = {.lex_state = 60, .external_lex_state = 27},
  [8190] = {.lex_state = 57, .external_lex_state = 30},
  [8191] = {.lex_state = 62, .external_lex_state = 58},
  [8192] = {.lex_state = 57, .external_lex_state = 35},
  [8193] = {.lex_state = 51, .external_lex_state = 23},
  [8194] = {.lex_state = 62, .external_lex_state = 40},
  [8195] = {.lex_state = 56, .external_lex_state = 30},
  [8196] = {.lex_state = 62, .external_lex_state = 50},
  [8197] = {.lex_state = 60, .external_lex_state = 38},
  [8198] = {.lex_state = 58, .external_lex_state = 35},
  [8199] = {.lex_state = 9, .external_lex_state = 44},
  [8200] = {.lex_state = 51, .external_lex_state = 26},
  [8201] = {.lex_state = 60, .external_lex_state = 27},
  [8202] = {.lex_state = 56, .external_lex_state = 30},
  [8203] = {.lex_state = 62, .external_lex_state = 50},
  [8204] = {.lex_state = 51, .external_lex_state = 32},
  [8205] = {.lex_state = 58, .external_lex_state = 35},
  [8206] = {.lex_state = 51, .external_lex_state = 24},
  [8207] = {.lex_state = 60, .external_lex_state = 40},
  [8208] = {.lex_state = 51, .external_lex_state = 56},
  [8209] = {.lex_state = 57, .external_lex_state = 30},
  [8210] = {.lex_state = 56, .external_lex_state = 31},
  [8211] = {.lex_state = 62},
  [8212] = {.lex_state = 50},
  [8213] = {.lex_state = 56, .external_lex_state = 31},
  [8214] = {.lex_state = 60, .external_lex_state = 40},
  [8215] = {.lex_state = 57, .external_lex_state = 59},
  [8216] = {.lex_state = 51, .external_lex_state = 39},
  [8217] = {.lex_state = 55, .external_lex_state = 35},
  [8218] = {.lex_state = 62, .external_lex_state = 53},
  [8219] = {.lex_state = 60, .external_lex_state = 40},
  [8220] = {.lex_state = 9, .external_lex_state = 44},
  [8221] = {.lex_state = 57, .external_lex_state = 35},
  [8222] = {.lex_state = 56, .external_lex_state = 31},
  [8223] = {.lex_state = 51, .external_lex_state = 29},
  [8224] = {.lex_state = 60, .external_lex_state = 40},
  [8225] = {.lex_state = 63, .external_lex_state = 35},
  [8226] = {.lex_state = 62, .external_lex_state = 39},
  [8227] = {.lex_state = 62, .external_lex_state = 58},
  [8228] = {.lex_state = 9, .external_lex_state = 44},
  [8229] = {.lex_state = 62, .external_lex_state = 53},
  [8230] = {.lex_state = 62, .external_lex_state = 50},
  [8231] = {.lex_state = 51, .external_lex_state = 51},
  [8232] = {.lex_state = 9, .external_lex_state = 44},
  [8233] = {.lex_state = 62, .external_lex_state = 24},
  [8234] = {.lex_state = 55, .external_lex_state = 35},
  [8235] = {.lex_state = 3},
  [8236] = {.lex_state = 60, .external_lex_state = 40},
  [8237] = {.lex_state = 62, .external_lex_state = 29},
  [8238] = {.lex_state = 62, .external_lex_state = 52},
  [8239] = {.lex_state = 51},
  [8240] = {.lex_state = 60, .external_lex_state = 40},
  [8241] = {.lex_state = 9, .external_lex_state = 44},
  [8242] = {.lex_state = 62, .external_lex_state = 52},
  [8243] = {.lex_state = 62, .external_lex_state = 52},
  [8244] = {.lex_state = 3},
  [8245] = {.lex_state = 62, .external_lex_state = 53},
  [8246] = {.lex_state = 62, .external_lex_state = 53},
  [8247] = {.lex_state = 20, .external_lex_state = 44},
  [8248] = {.lex_state = 51, .external_lex_state = 41},
  [8249] = {.lex_state = 62, .external_lex_state = 50},
  [8250] = {.lex_state = 56, .external_lex_state = 30},
  [8251] = {.lex_state = 9, .external_lex_state = 44},
  [8252] = {.lex_state = 62, .external_lex_state = 26},
  [8253] = {.lex_state = 62, .external_lex_state = 50},
  [8254] = {.lex_state = 62, .external_lex_state = 53},
  [8255] = {.lex_state = 56, .external_lex_state = 31},
  [8256] = {.lex_state = 62, .external_lex_state = 53},
  [8257] = {.lex_state = 62, .external_lex_state = 53},
  [8258] = {.lex_state = 62, .external_lex_state = 49},
  [8259] = {.lex_state = 62, .external_lex_state = 51},
  [8260] = {.lex_state = 51, .external_lex_state = 23},
  [8261] = {.lex_state = 62, .external_lex_state = 50},
  [8262] = {.lex_state = 62, .external_lex_state = 52},
  [8263] = {.lex_state = 63, .external_lex_state = 54},
  [8264] = {.lex_state = 62, .external_lex_state = 50},
  [8265] = {.lex_state = 60, .external_lex_state = 38},
  [8266] = {.lex_state = 62, .external_lex_state = 35},
  [8267] = {.lex_state = 62, .external_lex_state = 53},
  [8268] = {.lex_state = 51, .external_lex_state = 23},
  [8269] = {.lex_state = 62, .external_lex_state = 49},
  [8270] = {.lex_state = 62, .external_lex_state = 53},
  [8271] = {.lex_state = 51, .external_lex_state = 29},
  [8272] = {.lex_state = 55, .external_lex_state = 35},
  [8273] = {.lex_state = 62, .external_lex_state = 50},
  [8274] = {.lex_state = 55, .external_lex_state = 35},
  [8275] = {.lex_state = 63, .external_lex_state = 54},
  [8276] = {.lex_state = 51, .external_lex_state = 41},
  [8277] = {.lex_state = 62, .external_lex_state = 53},
  [8278] = {.lex_state = 62, .external_lex_state = 44},
  [8279] = {.lex_state = 63, .external_lex_state = 54},
  [8280] = {.lex_state = 62, .external_lex_state = 54},
  [8281] = {.lex_state = 62, .external_lex_state = 53},
  [8282] = {.lex_state = 51, .external_lex_state = 29},
  [8283] = {.lex_state = 62, .external_lex_state = 52},
  [8284] = {.lex_state = 51, .external_lex_state = 23},
  [8285] = {.lex_state = 62, .external_lex_state = 53},
  [8286] = {.lex_state = 62, .external_lex_state = 53},
  [8287] = {.lex_state = 62, .external_lex_state = 49},
  [8288] = {.lex_state = 62, .external_lex_state = 57},
  [8289] = {.lex_state = 62, .external_lex_state = 50},
  [8290] = {.lex_state = 57, .external_lex_state = 35},
  [8291] = {.lex_state = 51, .external_lex_state = 29},
  [8292] = {.lex_state = 62, .external_lex_state = 52},
  [8293] = {.lex_state = 62, .external_lex_state = 50},
  [8294] = {.lex_state = 62, .external_lex_state = 50},
  [8295] = {.lex_state = 55, .external_lex_state = 35},
  [8296] = {.lex_state = 51, .external_lex_state = 23},
  [8297] = {.lex_state = 55, .external_lex_state = 35},
  [8298] = {.lex_state = 62, .external_lex_state = 50},
  [8299] = {.lex_state = 62, .external_lex_state = 52},
  [8300] = {.lex_state = 56, .external_lex_state = 31},
  [8301] = {.lex_state = 62, .external_lex_state = 52},
  [8302] = {.lex_state = 62, .external_lex_state = 52},
  [8303] = {.lex_state = 62, .external_lex_state = 50},
  [8304] = {.lex_state = 62, .external_lex_state = 48},
  [8305] = {.lex_state = 57, .external_lex_state = 31},
  [8306] = {.lex_state = 62, .external_lex_state = 53},
  [8307] = {.lex_state = 51, .external_lex_state = 23},
  [8308] = {.lex_state = 62, .external_lex_state = 53},
  [8309] = {.lex_state = 62, .external_lex_state = 50},
  [8310] = {.lex_state = 62, .external_lex_state = 52},
  [8311] = {.lex_state = 51, .external_lex_state = 55},
  [8312] = {.lex_state = 62, .external_lex_state = 35},
  [8313] = {.lex_state = 62, .external_lex_state = 52},
  [8314] = {.lex_state = 62, .external_lex_state = 50},
  [8315] = {.lex_state = 62, .external_lex_state = 50},
  [8316] = {.lex_state = 57, .external_lex_state = 31},
  [8317] = {.lex_state = 55, .external_lex_state = 35},
  [8318] = {.lex_state = 57, .external_lex_state = 31},
  [8319] = {.lex_state = 55, .external_lex_state = 35},
  [8320] = {.lex_state = 62, .external_lex_state = 52},
  [8321] = {.lex_state = 56, .external_lex_state = 30},
  [8322] = {.lex_state = 51, .external_lex_state = 42},
  [8323] = {.lex_state = 57, .external_lex_state = 31},
  [8324] = {.lex_state = 62, .external_lex_state = 53},
  [8325] = {.lex_state = 51, .external_lex_state = 51},
  [8326] = {.lex_state = 62, .external_lex_state = 48},
  [8327] = {.lex_state = 63, .external_lex_state = 35},
  [8328] = {.lex_state = 60, .external_lex_state = 48},
  [8329] = {.lex_state = 57, .external_lex_state = 31},
  [8330] = {.lex_state = 62, .external_lex_state = 52},
  [8331] = {.lex_state = 62, .external_lex_state = 53},
  [8332] = {.lex_state = 62, .external_lex_state = 53},
  [8333] = {.lex_state = 62, .external_lex_state = 50},
  [8334] = {.lex_state = 62, .external_lex_state = 50},
  [8335] = {.lex_state = 62, .external_lex_state = 50},
  [8336] = {.lex_state = 57, .external_lex_state = 31},
  [8337] = {.lex_state = 56},
  [8338] = {.lex_state = 56},
  [8339] = {.lex_state = 62, .external_lex_state = 50},
  [8340] = {.lex_state = 62, .external_lex_state = 26},
  [8341] = {.lex_state = 9, .external_lex_state = 44},
  [8342] = {.lex_state = 62, .external_lex_state = 50},
  [8343] = {.lex_state = 55, .external_lex_state = 35},
  [8344] = {.lex_state = 57, .external_lex_state = 31},
  [8345] = {.lex_state = 55, .external_lex_state = 35},
  [8346] = {.lex_state = 57, .external_lex_state = 31},
  [8347] = {.lex_state = 61, .external_lex_state = 35},
  [8348] = {.lex_state = 62, .external_lex_state = 50},
  [8349] = {.lex_state = 60, .external_lex_state = 48},
  [8350] = {.lex_state = 57, .external_lex_state = 35},
  [8351] = {.lex_state = 60, .external_lex_state = 55},
  [8352] = {.lex_state = 62, .external_lex_state = 52},
  [8353] = {.lex_state = 62, .external_lex_state = 50},
  [8354] = {.lex_state = 62, .external_lex_state = 49},
  [8355] = {.lex_state = 62, .external_lex_state = 51},
  [8356] = {.lex_state = 62, .external_lex_state = 52},
  [8357] = {.lex_state = 51, .external_lex_state = 34},
  [8358] = {.lex_state = 51, .external_lex_state = 27},
  [8359] = {.lex_state = 3},
  [8360] = {.lex_state = 62, .external_lex_state = 49},
  [8361] = {.lex_state = 51, .external_lex_state = 27},
  [8362] = {.lex_state = 62, .external_lex_state = 49},
  [8363] = {.lex_state = 62, .external_lex_state = 52},
  [8364] = {.lex_state = 62, .external_lex_state = 52},
  [8365] = {.lex_state = 62, .external_lex_state = 50},
  [8366] = {.lex_state = 62, .external_lex_state = 49},
  [8367] = {.lex_state = 62, .external_lex_state = 49},
  [8368] = {.lex_state = 56, .external_lex_state = 30},
  [8369] = {.lex_state = 60, .external_lex_state = 55},
  [8370] = {.lex_state = 62, .external_lex_state = 49},
  [8371] = {.lex_state = 57, .external_lex_state = 35},
  [8372] = {.lex_state = 62, .external_lex_state = 49},
  [8373] = {.lex_state = 62, .external_lex_state = 49},
  [8374] = {.lex_state = 62, .external_lex_state = 49},
  [8375] = {.lex_state = 62, .external_lex_state = 50},
  [8376] = {.lex_state = 3},
  [8377] = {.lex_state = 62, .external_lex_state = 49},
  [8378] = {.lex_state = 51, .external_lex_state = 27},
  [8379] = {.lex_state = 62, .external_lex_state = 49},
  [8380] = {.lex_state = 51, .external_lex_state = 50},
  [8381] = {.lex_state = 60, .external_lex_state = 54},
  [8382] = {.lex_state = 51, .external_lex_state = 32},
  [8383] = {.lex_state = 62, .external_lex_state = 49},
  [8384] = {.lex_state = 57, .external_lex_state = 35},
  [8385] = {.lex_state = 3},
  [8386] = {.lex_state = 51, .external_lex_state = 38},
  [8387] = {.lex_state = 62, .external_lex_state = 44},
  [8388] = {.lex_state = 62, .external_lex_state = 44},
  [8389] = {.lex_state = 62, .external_lex_state = 40},
  [8390] = {.lex_state = 62, .external_lex_state = 49},
  [8391] = {.lex_state = 60, .external_lex_state = 29},
  [8392] = {.lex_state = 62, .external_lex_state = 44},
  [8393] = {.lex_state = 57, .external_lex_state = 35},
  [8394] = {.lex_state = 62, .external_lex_state = 52},
  [8395] = {.lex_state = 17, .external_lex_state = 44},
  [8396] = {.lex_state = 62, .external_lex_state = 49},
  [8397] = {.lex_state = 62, .external_lex_state = 49},
  [8398] = {.lex_state = 62, .external_lex_state = 49},
  [8399] = {.lex_state = 51, .external_lex_state = 42},
  [8400] = {.lex_state = 62, .external_lex_state = 49},
  [8401] = {.lex_state = 56, .external_lex_state = 30},
  [8402] = {.lex_state = 17, .external_lex_state = 44},
  [8403] = {.lex_state = 62, .external_lex_state = 52},
  [8404] = {.lex_state = 17, .external_lex_state = 44},
  [8405] = {.lex_state = 51, .external_lex_state = 55},
  [8406] = {.lex_state = 57, .external_lex_state = 35},
  [8407] = {.lex_state = 62, .external_lex_state = 52},
  [8408] = {.lex_state = 17, .external_lex_state = 44},
  [8409] = {.lex_state = 62, .external_lex_state = 52},
  [8410] = {.lex_state = 61, .external_lex_state = 44},
  [8411] = {.lex_state = 61, .external_lex_state = 44},
  [8412] = {.lex_state = 62, .external_lex_state = 49},
  [8413] = {.lex_state = 62, .external_lex_state = 53},
  [8414] = {.lex_state = 62, .external_lex_state = 49},
  [8415] = {.lex_state = 60, .external_lex_state = 49},
  [8416] = {.lex_state = 57, .external_lex_state = 31},
  [8417] = {.lex_state = 55, .external_lex_state = 30},
  [8418] = {.lex_state = 62, .external_lex_state = 27},
  [8419] = {.lex_state = 60, .external_lex_state = 39},
  [8420] = {.lex_state = 60, .external_lex_state = 50},
  [8421] = {.lex_state = 62, .external_lex_state = 52},
  [8422] = {.lex_state = 3},
  [8423] = {.lex_state = 60, .external_lex_state = 30},
  [8424] = {.lex_state = 55, .external_lex_state = 30},
  [8425] = {.lex_state = 62, .external_lex_state = 27},
  [8426] = {.lex_state = 62, .external_lex_state = 50},
  [8427] = {.lex_state = 62, .external_lex_state = 52},
  [8428] = {.lex_state = 57, .external_lex_state = 30},
  [8429] = {.lex_state = 62, .external_lex_state = 35},
  [8430] = {.lex_state = 62, .external_lex_state = 49},
  [8431] = {.lex_state = 51, .external_lex_state = 43},
  [8432] = {.lex_state = 62, .external_lex_state = 44},
  [8433] = {.lex_state = 56},
  [8434] = {.lex_state = 62, .external_lex_state = 27},
  [8435] = {.lex_state = 60, .external_lex_state = 30},
  [8436] = {.lex_state = 55, .external_lex_state = 35},
  [8437] = {.lex_state = 62, .external_lex_state = 55},
  [8438] = {.lex_state = 62, .external_lex_state = 49},
  [8439] = {.lex_state = 60, .external_lex_state = 30},
  [8440] = {.lex_state = 62, .external_lex_state = 53},
  [8441] = {.lex_state = 62, .external_lex_state = 50},
  [8442] = {.lex_state = 62, .external_lex_state = 49},
  [8443] = {.lex_state = 62, .external_lex_state = 49},
  [8444] = {.lex_state = 51, .external_lex_state = 57},
  [8445] = {.lex_state = 62, .external_lex_state = 49},
  [8446] = {.lex_state = 62, .external_lex_state = 50},
  [8447] = {.lex_state = 3},
  [8448] = {.lex_state = 51, .external_lex_state = 53},
  [8449] = {.lex_state = 60, .external_lex_state = 51},
  [8450] = {.lex_state = 61, .external_lex_state = 35},
  [8451] = {.lex_state = 62, .external_lex_state = 49},
  [8452] = {.lex_state = 62, .external_lex_state = 52},
  [8453] = {.lex_state = 56, .external_lex_state = 30},
  [8454] = {.lex_state = 3},
  [8455] = {.lex_state = 60, .external_lex_state = 31},
  [8456] = {.lex_state = 56, .external_lex_state = 30},
  [8457] = {.lex_state = 62, .external_lex_state = 52},
  [8458] = {.lex_state = 55, .external_lex_state = 35},
  [8459] = {.lex_state = 60, .external_lex_state = 31},
  [8460] = {.lex_state = 57, .external_lex_state = 30},
  [8461] = {.lex_state = 62, .external_lex_state = 52},
  [8462] = {.lex_state = 56, .external_lex_state = 30},
  [8463] = {.lex_state = 61, .external_lex_state = 44},
  [8464] = {.lex_state = 62, .external_lex_state = 52},
  [8465] = {.lex_state = 60, .external_lex_state = 35},
  [8466] = {.lex_state = 60, .external_lex_state = 40},
  [8467] = {.lex_state = 60, .external_lex_state = 51},
  [8468] = {.lex_state = 51, .external_lex_state = 35},
  [8469] = {.lex_state = 3},
  [8470] = {.lex_state = 62, .external_lex_state = 52},
  [8471] = {.lex_state = 56},
  [8472] = {.lex_state = 3},
  [8473] = {.lex_state = 62, .external_lex_state = 28},
  [8474] = {.lex_state = 60, .external_lex_state = 31},
  [8475] = {.lex_state = 62, .external_lex_state = 29},
  [8476] = {.lex_state = 62, .external_lex_state = 29},
  [8477] = {.lex_state = 61, .external_lex_state = 35},
  [8478] = {.lex_state = 18},
  [8479] = {.lex_state = 60, .external_lex_state = 40},
  [8480] = {.lex_state = 60, .external_lex_state = 40},
  [8481] = {.lex_state = 62, .external_lex_state = 27},
  [8482] = {.lex_state = 62, .external_lex_state = 50},
  [8483] = {.lex_state = 62, .external_lex_state = 50},
  [8484] = {.lex_state = 20, .external_lex_state = 44},
  [8485] = {.lex_state = 60, .external_lex_state = 29},
  [8486] = {.lex_state = 62, .external_lex_state = 49},
  [8487] = {.lex_state = 62, .external_lex_state = 29},
  [8488] = {.lex_state = 62, .external_lex_state = 53},
  [8489] = {.lex_state = 57, .external_lex_state = 30},
  [8490] = {.lex_state = 62},
  [8491] = {.lex_state = 61, .external_lex_state = 35},
  [8492] = {.lex_state = 57, .external_lex_state = 30},
  [8493] = {.lex_state = 56},
  [8494] = {.lex_state = 62, .external_lex_state = 49},
  [8495] = {.lex_state = 62, .external_lex_state = 54},
  [8496] = {.lex_state = 61, .external_lex_state = 35},
  [8497] = {.lex_state = 56, .external_lex_state = 30},
  [8498] = {.lex_state = 56},
  [8499] = {.lex_state = 57, .external_lex_state = 30},
  [8500] = {.lex_state = 62, .external_lex_state = 50},
  [8501] = {.lex_state = 62, .external_lex_state = 55},
  [8502] = {.lex_state = 51},
  [8503] = {.lex_state = 62},
  [8504] = {.lex_state = 62},
  [8505] = {.lex_state = 51, .external_lex_state = 23},
  [8506] = {.lex_state = 57, .external_lex_state = 30},
  [8507] = {.lex_state = 60, .external_lex_state = 38},
  [8508] = {.lex_state = 51, .external_lex_state = 43},
  [8509] = {.lex_state = 60, .external_lex_state = 31},
  [8510] = {.lex_state = 53},
  [8511] = {.lex_state = 56},
  [8512] = {.lex_state = 57, .external_lex_state = 30},
  [8513] = {.lex_state = 62, .external_lex_state = 53},
  [8514] = {.lex_state = 51, .external_lex_state = 54},
  [8515] = {.lex_state = 62, .external_lex_state = 53},
  [8516] = {.lex_state = 62, .external_lex_state = 49},
  [8517] = {.lex_state = 57, .external_lex_state = 30},
  [8518] = {.lex_state = 61, .external_lex_state = 35},
  [8519] = {.lex_state = 3},
  [8520] = {.lex_state = 60, .external_lex_state = 38},
  [8521] = {.lex_state = 57, .external_lex_state = 30},
  [8522] = {.lex_state = 60, .external_lex_state = 38},
  [8523] = {.lex_state = 62, .external_lex_state = 54},
  [8524] = {.lex_state = 62, .external_lex_state = 53},
  [8525] = {.lex_state = 62},
  [8526] = {.lex_state = 62, .external_lex_state = 47},
  [8527] = {.lex_state = 51, .external_lex_state = 34},
  [8528] = {.lex_state = 51, .external_lex_state = 23},
  [8529] = {.lex_state = 51, .external_lex_state = 45},
  [8530] = {.lex_state = 55, .external_lex_state = 35},
  [8531] = {.lex_state = 62, .external_lex_state = 53},
  [8532] = {.lex_state = 62, .external_lex_state = 53},
  [8533] = {.lex_state = 56},
  [8534] = {.lex_state = 62, .external_lex_state = 38},
  [8535] = {.lex_state = 57, .external_lex_state = 27},
  [8536] = {.lex_state = 62, .external_lex_state = 53},
  [8537] = {.lex_state = 51, .external_lex_state = 23},
  [8538] = {.lex_state = 62, .external_lex_state = 49},
  [8539] = {.lex_state = 51},
  [8540] = {.lex_state = 62},
  [8541] = {.lex_state = 51, .external_lex_state = 23},
  [8542] = {.lex_state = 62, .external_lex_state = 53},
  [8543] = {.lex_state = 62, .external_lex_state = 49},
  [8544] = {.lex_state = 51, .external_lex_state = 34},
  [8545] = {.lex_state = 57, .external_lex_state = 27},
  [8546] = {.lex_state = 51, .external_lex_state = 34},
  [8547] = {.lex_state = 55, .external_lex_state = 30},
  [8548] = {.lex_state = 62, .external_lex_state = 53},
  [8549] = {.lex_state = 62, .external_lex_state = 49},
  [8550] = {.lex_state = 62, .external_lex_state = 53},
  [8551] = {.lex_state = 62, .external_lex_state = 53},
  [8552] = {.lex_state = 62, .external_lex_state = 53},
  [8553] = {.lex_state = 62},
  [8554] = {.lex_state = 51, .external_lex_state = 40},
  [8555] = {.lex_state = 62, .external_lex_state = 58},
  [8556] = {.lex_state = 51, .external_lex_state = 45},
  [8557] = {.lex_state = 11, .external_lex_state = 44},
  [8558] = {.lex_state = 10, .external_lex_state = 44},
  [8559] = {.lex_state = 62, .external_lex_state = 28},
  [8560] = {.lex_state = 9, .external_lex_state = 44},
  [8561] = {.lex_state = 61, .external_lex_state = 54},
  [8562] = {.lex_state = 60, .external_lex_state = 52},
  [8563] = {.lex_state = 9, .external_lex_state = 44},
  [8564] = {.lex_state = 62, .external_lex_state = 49},
  [8565] = {.lex_state = 51},
  [8566] = {.lex_state = 56},
  [8567] = {.lex_state = 62, .external_lex_state = 53},
  [8568] = {.lex_state = 62, .external_lex_state = 53},
  [8569] = {.lex_state = 9, .external_lex_state = 44},
  [8570] = {.lex_state = 9, .external_lex_state = 44},
  [8571] = {.lex_state = 62, .external_lex_state = 47},
  [8572] = {.lex_state = 62, .external_lex_state = 49},
  [8573] = {.lex_state = 60, .external_lex_state = 39},
  [8574] = {.lex_state = 62, .external_lex_state = 53},
  [8575] = {.lex_state = 60, .external_lex_state = 39},
  [8576] = {.lex_state = 51, .external_lex_state = 34},
  [8577] = {.lex_state = 62, .external_lex_state = 53},
  [8578] = {.lex_state = 62},
  [8579] = {.lex_state = 56},
  [8580] = {.lex_state = 51, .external_lex_state = 31},
  [8581] = {.lex_state = 51, .external_lex_state = 24},
  [8582] = {.lex_state = 51, .external_lex_state = 27},
  [8583] = {.lex_state = 60, .external_lex_state = 39},
  [8584] = {.lex_state = 56},
  [8585] = {.lex_state = 60, .external_lex_state = 26},
  [8586] = {.lex_state = 62, .external_lex_state = 49},
  [8587] = {.lex_state = 56, .external_lex_state = 30},
  [8588] = {.lex_state = 20, .external_lex_state = 44},
  [8589] = {.lex_state = 51, .external_lex_state = 46},
  [8590] = {.lex_state = 62},
  [8591] = {.lex_state = 60, .external_lex_state = 39},
  [8592] = {.lex_state = 9, .external_lex_state = 44},
  [8593] = {.lex_state = 51, .external_lex_state = 32},
  [8594] = {.lex_state = 11, .external_lex_state = 44},
  [8595] = {.lex_state = 56},
  [8596] = {.lex_state = 62},
  [8597] = {.lex_state = 51, .external_lex_state = 32},
  [8598] = {.lex_state = 62, .external_lex_state = 52},
  [8599] = {.lex_state = 56, .external_lex_state = 31},
  [8600] = {.lex_state = 62, .external_lex_state = 52},
  [8601] = {.lex_state = 62, .external_lex_state = 49},
  [8602] = {.lex_state = 51, .external_lex_state = 56},
  [8603] = {.lex_state = 60, .external_lex_state = 44},
  [8604] = {.lex_state = 63, .external_lex_state = 35},
  [8605] = {.lex_state = 62, .external_lex_state = 28},
  [8606] = {.lex_state = 51, .external_lex_state = 32},
  [8607] = {.lex_state = 51, .external_lex_state = 57},
  [8608] = {.lex_state = 62, .external_lex_state = 50},
  [8609] = {.lex_state = 55, .external_lex_state = 35},
  [8610] = {.lex_state = 56, .external_lex_state = 31},
  [8611] = {.lex_state = 62, .external_lex_state = 52},
  [8612] = {.lex_state = 51, .external_lex_state = 40},
  [8613] = {.lex_state = 51, .external_lex_state = 32},
  [8614] = {.lex_state = 63, .external_lex_state = 35},
  [8615] = {.lex_state = 51, .external_lex_state = 32},
  [8616] = {.lex_state = 51, .external_lex_state = 47},
  [8617] = {.lex_state = 4},
  [8618] = {.lex_state = 63, .external_lex_state = 35},
  [8619] = {.lex_state = 51, .external_lex_state = 32},
  [8620] = {.lex_state = 4},
  [8621] = {.lex_state = 51, .external_lex_state = 54},
  [8622] = {.lex_state = 56, .external_lex_state = 31},
  [8623] = {.lex_state = 4},
  [8624] = {.lex_state = 62, .external_lex_state = 52},
  [8625] = {.lex_state = 60, .external_lex_state = 26},
  [8626] = {.lex_state = 62, .external_lex_state = 58},
  [8627] = {.lex_state = 62, .external_lex_state = 28},
  [8628] = {.lex_state = 62, .external_lex_state = 52},
  [8629] = {.lex_state = 62, .external_lex_state = 53},
  [8630] = {.lex_state = 51, .external_lex_state = 48},
  [8631] = {.lex_state = 51, .external_lex_state = 48},
  [8632] = {.lex_state = 57, .external_lex_state = 31},
  [8633] = {.lex_state = 62},
  [8634] = {.lex_state = 51, .external_lex_state = 23},
  [8635] = {.lex_state = 62, .external_lex_state = 56},
  [8636] = {.lex_state = 57, .external_lex_state = 35},
  [8637] = {.lex_state = 62, .external_lex_state = 49},
  [8638] = {.lex_state = 51, .external_lex_state = 34},
  [8639] = {.lex_state = 51, .external_lex_state = 32},
  [8640] = {.lex_state = 62, .external_lex_state = 49},
  [8641] = {.lex_state = 51},
  [8642] = {.lex_state = 62},
  [8643] = {.lex_state = 51, .external_lex_state = 34},
  [8644] = {.lex_state = 62, .external_lex_state = 49},
  [8645] = {.lex_state = 62},
  [8646] = {.lex_state = 60, .external_lex_state = 39},
  [8647] = {.lex_state = 60, .external_lex_state = 44},
  [8648] = {.lex_state = 62, .external_lex_state = 53},
  [8649] = {.lex_state = 62},
  [8650] = {.lex_state = 62, .external_lex_state = 49},
  [8651] = {.lex_state = 62, .external_lex_state = 49},
  [8652] = {.lex_state = 55, .external_lex_state = 31},
  [8653] = {.lex_state = 62, .external_lex_state = 53},
  [8654] = {.lex_state = 61, .external_lex_state = 44},
  [8655] = {.lex_state = 62, .external_lex_state = 52},
  [8656] = {.lex_state = 62, .external_lex_state = 52},
  [8657] = {.lex_state = 62, .external_lex_state = 52},
  [8658] = {.lex_state = 62, .external_lex_state = 53},
  [8659] = {.lex_state = 53},
  [8660] = {.lex_state = 62, .external_lex_state = 53},
  [8661] = {.lex_state = 62, .external_lex_state = 29},
  [8662] = {.lex_state = 62, .external_lex_state = 52},
  [8663] = {.lex_state = 51, .external_lex_state = 31},
  [8664] = {.lex_state = 62, .external_lex_state = 52},
  [8665] = {.lex_state = 62, .external_lex_state = 50},
  [8666] = {.lex_state = 62, .external_lex_state = 50},
  [8667] = {.lex_state = 61, .external_lex_state = 54},
  [8668] = {.lex_state = 56, .external_lex_state = 31},
  [8669] = {.lex_state = 57, .external_lex_state = 29},
  [8670] = {.lex_state = 62, .external_lex_state = 52},
  [8671] = {.lex_state = 62, .external_lex_state = 53},
  [8672] = {.lex_state = 62, .external_lex_state = 38},
  [8673] = {.lex_state = 57, .external_lex_state = 29},
  [8674] = {.lex_state = 57, .external_lex_state = 31},
  [8675] = {.lex_state = 62, .external_lex_state = 53},
  [8676] = {.lex_state = 55, .external_lex_state = 31},
  [8677] = {.lex_state = 56},
  [8678] = {.lex_state = 57, .external_lex_state = 31},
  [8679] = {.lex_state = 56, .external_lex_state = 31},
  [8680] = {.lex_state = 53},
  [8681] = {.lex_state = 62, .external_lex_state = 50},
  [8682] = {.lex_state = 57, .external_lex_state = 31},
  [8683] = {.lex_state = 62, .external_lex_state = 28},
  [8684] = {.lex_state = 62, .external_lex_state = 52},
  [8685] = {.lex_state = 62},
  [8686] = {.lex_state = 62},
  [8687] = {.lex_state = 56, .external_lex_state = 35},
  [8688] = {.lex_state = 62},
  [8689] = {.lex_state = 62, .external_lex_state = 28},
  [8690] = {.lex_state = 10, .external_lex_state = 44},
  [8691] = {.lex_state = 62, .external_lex_state = 28},
  [8692] = {.lex_state = 62, .external_lex_state = 32},
  [8693] = {.lex_state = 10, .external_lex_state = 44},
  [8694] = {.lex_state = 60, .external_lex_state = 31},
  [8695] = {.lex_state = 17, .external_lex_state = 44},
  [8696] = {.lex_state = 62},
  [8697] = {.lex_state = 62, .external_lex_state = 58},
  [8698] = {.lex_state = 62},
  [8699] = {.lex_state = 51, .external_lex_state = 29},
  [8700] = {.lex_state = 10, .external_lex_state = 44},
  [8701] = {.lex_state = 62},
  [8702] = {.lex_state = 51, .external_lex_state = 38},
  [8703] = {.lex_state = 10, .external_lex_state = 44},
  [8704] = {.lex_state = 51, .external_lex_state = 38},
  [8705] = {.lex_state = 61, .external_lex_state = 54},
  [8706] = {.lex_state = 51, .external_lex_state = 24},
  [8707] = {.lex_state = 62, .external_lex_state = 57},
  [8708] = {.lex_state = 10, .external_lex_state = 44},
  [8709] = {.lex_state = 51, .external_lex_state = 58},
  [8710] = {.lex_state = 51, .external_lex_state = 46},
  [8711] = {.lex_state = 62, .external_lex_state = 32},
  [8712] = {.lex_state = 51, .external_lex_state = 38},
  [8713] = {.lex_state = 62},
  [8714] = {.lex_state = 51, .external_lex_state = 54},
  [8715] = {.lex_state = 51, .external_lex_state = 39},
  [8716] = {.lex_state = 62, .external_lex_state = 50},
  [8717] = {.lex_state = 10, .external_lex_state = 44},
  [8718] = {.lex_state = 51, .external_lex_state = 38},
  [8719] = {.lex_state = 62},
  [8720] = {.lex_state = 51, .external_lex_state = 38},
  [8721] = {.lex_state = 51, .external_lex_state = 48},
  [8722] = {.lex_state = 60, .external_lex_state = 54},
  [8723] = {.lex_state = 62},
  [8724] = {.lex_state = 62, .external_lex_state = 28},
  [8725] = {.lex_state = 62, .external_lex_state = 34},
  [8726] = {.lex_state = 60, .external_lex_state = 46},
  [8727] = {.lex_state = 51, .external_lex_state = 23},
  [8728] = {.lex_state = 62},
  [8729] = {.lex_state = 62, .external_lex_state = 24},
  [8730] = {.lex_state = 62, .external_lex_state = 28},
  [8731] = {.lex_state = 62},
  [8732] = {.lex_state = 62, .external_lex_state = 28},
  [8733] = {.lex_state = 60, .external_lex_state = 46},
  [8734] = {.lex_state = 62, .external_lex_state = 58},
  [8735] = {.lex_state = 10, .external_lex_state = 44},
  [8736] = {.lex_state = 62},
  [8737] = {.lex_state = 60},
  [8738] = {.lex_state = 60, .external_lex_state = 46},
  [8739] = {.lex_state = 10, .external_lex_state = 44},
  [8740] = {.lex_state = 60, .external_lex_state = 23},
  [8741] = {.lex_state = 60, .external_lex_state = 54},
  [8742] = {.lex_state = 51, .external_lex_state = 38},
  [8743] = {.lex_state = 51, .external_lex_state = 48},
  [8744] = {.lex_state = 62, .external_lex_state = 58},
  [8745] = {.lex_state = 62},
  [8746] = {.lex_state = 10, .external_lex_state = 44},
  [8747] = {.lex_state = 56, .external_lex_state = 35},
  [8748] = {.lex_state = 62},
  [8749] = {.lex_state = 62},
  [8750] = {.lex_state = 10, .external_lex_state = 44},
  [8751] = {.lex_state = 10, .external_lex_state = 44},
  [8752] = {.lex_state = 56, .external_lex_state = 35},
  [8753] = {.lex_state = 62, .external_lex_state = 28},
  [8754] = {.lex_state = 63, .external_lex_state = 54},
  [8755] = {.lex_state = 51, .external_lex_state = 39},
  [8756] = {.lex_state = 10, .external_lex_state = 44},
  [8757] = {.lex_state = 56, .external_lex_state = 35},
  [8758] = {.lex_state = 62},
  [8759] = {.lex_state = 62, .external_lex_state = 57},
  [8760] = {.lex_state = 62},
  [8761] = {.lex_state = 51, .external_lex_state = 39},
  [8762] = {.lex_state = 62, .external_lex_state = 50},
  [8763] = {.lex_state = 62, .external_lex_state = 57},
  [8764] = {.lex_state = 62, .external_lex_state = 28},
  [8765] = {.lex_state = 51, .external_lex_state = 29},
  [8766] = {.lex_state = 62, .external_lex_state = 28},
  [8767] = {.lex_state = 62},
  [8768] = {.lex_state = 60, .external_lex_state = 46},
  [8769] = {.lex_state = 56, .external_lex_state = 35},
  [8770] = {.lex_state = 62, .external_lex_state = 30},
  [8771] = {.lex_state = 62},
  [8772] = {.lex_state = 21},
  [8773] = {.lex_state = 62, .external_lex_state = 58},
  [8774] = {.lex_state = 62, .external_lex_state = 58},
  [8775] = {.lex_state = 62, .external_lex_state = 31},
  [8776] = {.lex_state = 19, .external_lex_state = 44},
  [8777] = {.lex_state = 56, .external_lex_state = 35},
  [8778] = {.lex_state = 51, .external_lex_state = 59},
  [8779] = {.lex_state = 56, .external_lex_state = 35},
  [8780] = {.lex_state = 55, .external_lex_state = 44},
  [8781] = {.lex_state = 51, .external_lex_state = 30},
  [8782] = {.lex_state = 62, .external_lex_state = 27},
  [8783] = {.lex_state = 62},
  [8784] = {.lex_state = 56, .external_lex_state = 35},
  [8785] = {.lex_state = 62, .external_lex_state = 30},
  [8786] = {.lex_state = 51, .external_lex_state = 50},
  [8787] = {.lex_state = 61, .external_lex_state = 54},
  [8788] = {.lex_state = 62},
  [8789] = {.lex_state = 51, .external_lex_state = 38},
  [8790] = {.lex_state = 62, .external_lex_state = 52},
  [8791] = {.lex_state = 62},
  [8792] = {.lex_state = 51, .external_lex_state = 46},
  [8793] = {.lex_state = 62, .external_lex_state = 34},
  [8794] = {.lex_state = 60, .external_lex_state = 27},
  [8795] = {.lex_state = 62, .external_lex_state = 47},
  [8796] = {.lex_state = 62, .external_lex_state = 56},
  [8797] = {.lex_state = 62, .external_lex_state = 56},
  [8798] = {.lex_state = 62, .external_lex_state = 56},
  [8799] = {.lex_state = 62},
  [8800] = {.lex_state = 62},
  [8801] = {.lex_state = 62, .external_lex_state = 53},
  [8802] = {.lex_state = 62, .external_lex_state = 56},
  [8803] = {.lex_state = 60, .external_lex_state = 35},
  [8804] = {.lex_state = 62, .external_lex_state = 56},
  [8805] = {.lex_state = 62},
  [8806] = {.lex_state = 60, .external_lex_state = 46},
  [8807] = {.lex_state = 51, .external_lex_state = 40},
  [8808] = {.lex_state = 60, .external_lex_state = 35},
  [8809] = {.lex_state = 62, .external_lex_state = 31},
  [8810] = {.lex_state = 62},
  [8811] = {.lex_state = 63, .external_lex_state = 35},
  [8812] = {.lex_state = 62},
  [8813] = {.lex_state = 62},
  [8814] = {.lex_state = 51, .external_lex_state = 40},
  [8815] = {.lex_state = 62},
  [8816] = {.lex_state = 51, .external_lex_state = 24},
  [8817] = {.lex_state = 10, .external_lex_state = 44},
  [8818] = {.lex_state = 62, .external_lex_state = 57},
  [8819] = {.lex_state = 60, .external_lex_state = 35},
  [8820] = {.lex_state = 63, .external_lex_state = 35},
  [8821] = {.lex_state = 62, .external_lex_state = 56},
  [8822] = {.lex_state = 62, .external_lex_state = 32},
  [8823] = {.lex_state = 62},
  [8824] = {.lex_state = 51, .external_lex_state = 40},
  [8825] = {.lex_state = 62, .external_lex_state = 57},
  [8826] = {.lex_state = 62},
  [8827] = {.lex_state = 60, .external_lex_state = 30},
  [8828] = {.lex_state = 62},
  [8829] = {.lex_state = 62, .external_lex_state = 56},
  [8830] = {.lex_state = 62, .external_lex_state = 58},
  [8831] = {.lex_state = 62},
  [8832] = {.lex_state = 21},
  [8833] = {.lex_state = 56, .external_lex_state = 35},
  [8834] = {.lex_state = 60, .external_lex_state = 23},
  [8835] = {.lex_state = 62, .external_lex_state = 23},
  [8836] = {.lex_state = 51, .external_lex_state = 40},
  [8837] = {.lex_state = 51, .external_lex_state = 24},
  [8838] = {.lex_state = 62},
  [8839] = {.lex_state = 51, .external_lex_state = 40},
  [8840] = {.lex_state = 51, .external_lex_state = 40},
  [8841] = {.lex_state = 62, .external_lex_state = 57},
  [8842] = {.lex_state = 62},
  [8843] = {.lex_state = 62, .external_lex_state = 24},
  [8844] = {.lex_state = 51, .external_lex_state = 27},
  [8845] = {.lex_state = 51, .external_lex_state = 54},
  [8846] = {.lex_state = 62},
  [8847] = {.lex_state = 62, .external_lex_state = 58},
  [8848] = {.lex_state = 62, .external_lex_state = 58},
  [8849] = {.lex_state = 57, .external_lex_state = 59},
  [8850] = {.lex_state = 62},
  [8851] = {.lex_state = 62},
  [8852] = {.lex_state = 62, .external_lex_state = 57},
  [8853] = {.lex_state = 62},
  [8854] = {.lex_state = 62, .external_lex_state = 32},
  [8855] = {.lex_state = 62, .external_lex_state = 56},
  [8856] = {.lex_state = 51, .external_lex_state = 53},
  [8857] = {.lex_state = 51, .external_lex_state = 40},
  [8858] = {.lex_state = 62, .external_lex_state = 28},
  [8859] = {.lex_state = 62},
  [8860] = {.lex_state = 61, .external_lex_state = 44},
  [8861] = {.lex_state = 62, .external_lex_state = 28},
  [8862] = {.lex_state = 62},
  [8863] = {.lex_state = 62, .external_lex_state = 58},
  [8864] = {.lex_state = 62, .external_lex_state = 56},
  [8865] = {.lex_state = 62},
  [8866] = {.lex_state = 62, .external_lex_state = 27},
  [8867] = {.lex_state = 62},
  [8868] = {.lex_state = 62, .external_lex_state = 58},
  [8869] = {.lex_state = 62, .external_lex_state = 28},
  [8870] = {.lex_state = 62, .external_lex_state = 57},
  [8871] = {.lex_state = 62, .external_lex_state = 57},
  [8872] = {.lex_state = 63, .external_lex_state = 54},
  [8873] = {.lex_state = 62, .external_lex_state = 58},
  [8874] = {.lex_state = 62, .external_lex_state = 24},
  [8875] = {.lex_state = 62, .external_lex_state = 44},
  [8876] = {.lex_state = 61, .external_lex_state = 23},
  [8877] = {.lex_state = 62},
  [8878] = {.lex_state = 62, .external_lex_state = 57},
  [8879] = {.lex_state = 62, .external_lex_state = 57},
  [8880] = {.lex_state = 62, .external_lex_state = 56},
  [8881] = {.lex_state = 62},
  [8882] = {.lex_state = 62, .external_lex_state = 57},
  [8883] = {.lex_state = 62, .external_lex_state = 58},
  [8884] = {.lex_state = 62, .external_lex_state = 56},
  [8885] = {.lex_state = 62, .external_lex_state = 31},
  [8886] = {.lex_state = 62},
  [8887] = {.lex_state = 62, .external_lex_state = 28},
  [8888] = {.lex_state = 62, .external_lex_state = 28},
  [8889] = {.lex_state = 62},
  [8890] = {.lex_state = 56, .external_lex_state = 35},
  [8891] = {.lex_state = 62},
  [8892] = {.lex_state = 51, .external_lex_state = 35},
  [8893] = {.lex_state = 60, .external_lex_state = 47},
  [8894] = {.lex_state = 62, .external_lex_state = 31},
  [8895] = {.lex_state = 62},
  [8896] = {.lex_state = 62, .external_lex_state = 53},
  [8897] = {.lex_state = 51, .external_lex_state = 39},
  [8898] = {.lex_state = 62, .external_lex_state = 56},
  [8899] = {.lex_state = 60, .external_lex_state = 58},
  [8900] = {.lex_state = 62},
  [8901] = {.lex_state = 56, .external_lex_state = 35},
  [8902] = {.lex_state = 56, .external_lex_state = 35},
  [8903] = {.lex_state = 62},
  [8904] = {.lex_state = 55, .external_lex_state = 44},
  [8905] = {.lex_state = 62, .external_lex_state = 58},
  [8906] = {.lex_state = 62, .external_lex_state = 57},
  [8907] = {.lex_state = 62},
  [8908] = {.lex_state = 60, .external_lex_state = 23},
  [8909] = {.lex_state = 62, .external_lex_state = 58},
  [8910] = {.lex_state = 62, .external_lex_state = 58},
  [8911] = {.lex_state = 51, .external_lex_state = 35},
  [8912] = {.lex_state = 62, .external_lex_state = 56},
  [8913] = {.lex_state = 62, .external_lex_state = 46},
  [8914] = {.lex_state = 9, .external_lex_state = 44},
  [8915] = {.lex_state = 62, .external_lex_state = 57},
  [8916] = {.lex_state = 51, .external_lex_state = 24},
  [8917] = {.lex_state = 60, .external_lex_state = 47},
  [8918] = {.lex_state = 51},
  [8919] = {.lex_state = 62, .external_lex_state = 56},
  [8920] = {.lex_state = 62, .external_lex_state = 57},
  [8921] = {.lex_state = 60, .external_lex_state = 56},
  [8922] = {.lex_state = 62, .external_lex_state = 24},
  [8923] = {.lex_state = 60, .external_lex_state = 47},
  [8924] = {.lex_state = 62, .external_lex_state = 56},
  [8925] = {.lex_state = 62},
  [8926] = {.lex_state = 62, .external_lex_state = 52},
  [8927] = {.lex_state = 62},
  [8928] = {.lex_state = 62, .external_lex_state = 57},
  [8929] = {.lex_state = 57, .external_lex_state = 31},
  [8930] = {.lex_state = 51, .external_lex_state = 30},
  [8931] = {.lex_state = 60, .external_lex_state = 47},
  [8932] = {.lex_state = 51, .external_lex_state = 38},
  [8933] = {.lex_state = 51, .external_lex_state = 44},
  [8934] = {.lex_state = 62, .external_lex_state = 28},
  [8935] = {.lex_state = 62, .external_lex_state = 28},
  [8936] = {.lex_state = 62, .external_lex_state = 28},
  [8937] = {.lex_state = 62, .external_lex_state = 57},
  [8938] = {.lex_state = 51, .external_lex_state = 39},
  [8939] = {.lex_state = 62, .external_lex_state = 57},
  [8940] = {.lex_state = 51, .external_lex_state = 30},
  [8941] = {.lex_state = 60, .external_lex_state = 47},
  [8942] = {.lex_state = 62, .external_lex_state = 57},
  [8943] = {.lex_state = 62, .external_lex_state = 57},
  [8944] = {.lex_state = 51, .external_lex_state = 30},
  [8945] = {.lex_state = 60, .external_lex_state = 47},
  [8946] = {.lex_state = 62, .external_lex_state = 57},
  [8947] = {.lex_state = 62},
  [8948] = {.lex_state = 51, .external_lex_state = 31},
  [8949] = {.lex_state = 62},
  [8950] = {.lex_state = 62, .external_lex_state = 28},
  [8951] = {.lex_state = 62},
  [8952] = {.lex_state = 62},
  [8953] = {.lex_state = 51, .external_lex_state = 31},
  [8954] = {.lex_state = 62, .external_lex_state = 57},
  [8955] = {.lex_state = 51, .external_lex_state = 59},
  [8956] = {.lex_state = 61, .external_lex_state = 35},
  [8957] = {.lex_state = 60, .external_lex_state = 47},
  [8958] = {.lex_state = 57, .external_lex_state = 31},
  [8959] = {.lex_state = 62, .external_lex_state = 57},
  [8960] = {.lex_state = 62, .external_lex_state = 57},
  [8961] = {.lex_state = 62},
  [8962] = {.lex_state = 62},
  [8963] = {.lex_state = 62},
  [8964] = {.lex_state = 62, .external_lex_state = 28},
  [8965] = {.lex_state = 62},
  [8966] = {.lex_state = 60, .external_lex_state = 29},
  [8967] = {.lex_state = 62},
  [8968] = {.lex_state = 62, .external_lex_state = 49},
  [8969] = {.lex_state = 62, .external_lex_state = 58},
  [8970] = {.lex_state = 62},
  [8971] = {.lex_state = 62, .external_lex_state = 28},
  [8972] = {.lex_state = 62, .external_lex_state = 57},
  [8973] = {.lex_state = 51, .external_lex_state = 23},
  [8974] = {.lex_state = 62, .external_lex_state = 28},
  [8975] = {.lex_state = 62, .external_lex_state = 57},
  [8976] = {.lex_state = 60, .external_lex_state = 57},
  [8977] = {.lex_state = 51},
  [8978] = {.lex_state = 19, .external_lex_state = 44},
  [8979] = {.lex_state = 62, .external_lex_state = 57},
  [8980] = {.lex_state = 51, .external_lex_state = 38},
  [8981] = {.lex_state = 62, .external_lex_state = 32},
  [8982] = {.lex_state = 51, .external_lex_state = 31},
  [8983] = {.lex_state = 62},
  [8984] = {.lex_state = 62, .external_lex_state = 47},
  [8985] = {.lex_state = 62},
  [8986] = {.lex_state = 62, .external_lex_state = 44},
  [8987] = {.lex_state = 60, .external_lex_state = 31},
  [8988] = {.lex_state = 60, .external_lex_state = 47},
  [8989] = {.lex_state = 62, .external_lex_state = 28},
  [8990] = {.lex_state = 9, .external_lex_state = 44},
  [8991] = {.lex_state = 60, .external_lex_state = 23},
  [8992] = {.lex_state = 57, .external_lex_state = 59},
  [8993] = {.lex_state = 62, .external_lex_state = 47},
  [8994] = {.lex_state = 60, .external_lex_state = 29},
  [8995] = {.lex_state = 60, .external_lex_state = 23},
  [8996] = {.lex_state = 62, .external_lex_state = 31},
  [8997] = {.lex_state = 51, .external_lex_state = 35},
  [8998] = {.lex_state = 57, .external_lex_state = 59},
  [8999] = {.lex_state = 62, .external_lex_state = 23},
  [9000] = {.lex_state = 62},
  [9001] = {.lex_state = 62},
  [9002] = {.lex_state = 62, .external_lex_state = 56},
  [9003] = {.lex_state = 61, .external_lex_state = 35},
  [9004] = {.lex_state = 62},
  [9005] = {.lex_state = 62, .external_lex_state = 57},
  [9006] = {.lex_state = 62, .external_lex_state = 56},
  [9007] = {.lex_state = 62, .external_lex_state = 56},
  [9008] = {.lex_state = 60, .external_lex_state = 35},
  [9009] = {.lex_state = 62, .external_lex_state = 57},
  [9010] = {.lex_state = 62, .external_lex_state = 57},
  [9011] = {.lex_state = 62, .external_lex_state = 28},
  [9012] = {.lex_state = 62, .external_lex_state = 57},
  [9013] = {.lex_state = 63, .external_lex_state = 35},
  [9014] = {.lex_state = 62, .external_lex_state = 28},
  [9015] = {.lex_state = 62, .external_lex_state = 56},
  [9016] = {.lex_state = 62, .external_lex_state = 57},
  [9017] = {.lex_state = 62, .external_lex_state = 57},
  [9018] = {.lex_state = 62, .external_lex_state = 28},
  [9019] = {.lex_state = 62, .external_lex_state = 57},
  [9020] = {.lex_state = 62},
  [9021] = {.lex_state = 62, .external_lex_state = 57},
  [9022] = {.lex_state = 51, .external_lex_state = 59},
  [9023] = {.lex_state = 62, .external_lex_state = 56},
  [9024] = {.lex_state = 62, .external_lex_state = 28},
  [9025] = {.lex_state = 60, .external_lex_state = 47},
  [9026] = {.lex_state = 62, .external_lex_state = 28},
  [9027] = {.lex_state = 51, .external_lex_state = 51},
  [9028] = {.lex_state = 51, .external_lex_state = 35},
  [9029] = {.lex_state = 62, .external_lex_state = 56},
  [9030] = {.lex_state = 62},
  [9031] = {.lex_state = 62},
  [9032] = {.lex_state = 62, .external_lex_state = 56},
  [9033] = {.lex_state = 62},
  [9034] = {.lex_state = 60, .external_lex_state = 47},
  [9035] = {.lex_state = 20, .external_lex_state = 44},
  [9036] = {.lex_state = 62, .external_lex_state = 57},
  [9037] = {.lex_state = 62, .external_lex_state = 56},
  [9038] = {.lex_state = 62},
  [9039] = {.lex_state = 51, .external_lex_state = 44},
  [9040] = {.lex_state = 62, .external_lex_state = 57},
  [9041] = {.lex_state = 62, .external_lex_state = 57},
  [9042] = {.lex_state = 61, .external_lex_state = 44},
  [9043] = {.lex_state = 60, .external_lex_state = 30},
  [9044] = {.lex_state = 62, .external_lex_state = 57},
  [9045] = {.lex_state = 51, .external_lex_state = 39},
  [9046] = {.lex_state = 51, .external_lex_state = 55},
  [9047] = {.lex_state = 62, .external_lex_state = 58},
  [9048] = {.lex_state = 62},
  [9049] = {.lex_state = 62},
  [9050] = {.lex_state = 55, .external_lex_state = 35},
  [9051] = {.lex_state = 51, .external_lex_state = 39},
  [9052] = {.lex_state = 62, .external_lex_state = 57},
  [9053] = {.lex_state = 62, .external_lex_state = 56},
  [9054] = {.lex_state = 60, .external_lex_state = 28},
  [9055] = {.lex_state = 62, .external_lex_state = 58},
  [9056] = {.lex_state = 56, .external_lex_state = 35},
  [9057] = {.lex_state = 51, .external_lex_state = 39},
  [9058] = {.lex_state = 3},
  [9059] = {.lex_state = 51, .external_lex_state = 52},
  [9060] = {.lex_state = 62, .external_lex_state = 56},
  [9061] = {.lex_state = 62},
  [9062] = {.lex_state = 62},
  [9063] = {.lex_state = 62},
  [9064] = {.lex_state = 62, .external_lex_state = 57},
  [9065] = {.lex_state = 51, .external_lex_state = 55},
  [9066] = {.lex_state = 62, .external_lex_state = 24},
  [9067] = {.lex_state = 62, .external_lex_state = 56},
  [9068] = {.lex_state = 62, .external_lex_state = 47},
  [9069] = {.lex_state = 62, .external_lex_state = 28},
  [9070] = {.lex_state = 62, .external_lex_state = 56},
  [9071] = {.lex_state = 60, .external_lex_state = 46},
  [9072] = {.lex_state = 62, .external_lex_state = 28},
  [9073] = {.lex_state = 62, .external_lex_state = 56},
  [9074] = {.lex_state = 62, .external_lex_state = 24},
  [9075] = {.lex_state = 62, .external_lex_state = 56},
  [9076] = {.lex_state = 60, .external_lex_state = 46},
  [9077] = {.lex_state = 62, .external_lex_state = 54},
  [9078] = {.lex_state = 62, .external_lex_state = 56},
  [9079] = {.lex_state = 61, .external_lex_state = 35},
  [9080] = {.lex_state = 51, .external_lex_state = 40},
  [9081] = {.lex_state = 62, .external_lex_state = 57},
  [9082] = {.lex_state = 60, .external_lex_state = 46},
  [9083] = {.lex_state = 62, .external_lex_state = 58},
  [9084] = {.lex_state = 62, .external_lex_state = 28},
  [9085] = {.lex_state = 20, .external_lex_state = 44},
  [9086] = {.lex_state = 51, .external_lex_state = 38},
  [9087] = {.lex_state = 62, .external_lex_state = 23},
  [9088] = {.lex_state = 62, .external_lex_state = 58},
  [9089] = {.lex_state = 51, .external_lex_state = 40},
  [9090] = {.lex_state = 51, .external_lex_state = 40},
  [9091] = {.lex_state = 60, .external_lex_state = 46},
  [9092] = {.lex_state = 62, .external_lex_state = 57},
  [9093] = {.lex_state = 55, .external_lex_state = 35},
  [9094] = {.lex_state = 62},
  [9095] = {.lex_state = 60, .external_lex_state = 46},
  [9096] = {.lex_state = 62, .external_lex_state = 58},
  [9097] = {.lex_state = 62},
  [9098] = {.lex_state = 62, .external_lex_state = 28},
  [9099] = {.lex_state = 62, .external_lex_state = 30},
  [9100] = {.lex_state = 51, .external_lex_state = 49},
  [9101] = {.lex_state = 62, .external_lex_state = 56},
  [9102] = {.lex_state = 62, .external_lex_state = 57},
  [9103] = {.lex_state = 62},
  [9104] = {.lex_state = 62, .external_lex_state = 57},
  [9105] = {.lex_state = 62, .external_lex_state = 57},
  [9106] = {.lex_state = 62},
  [9107] = {.lex_state = 62, .external_lex_state = 30},
  [9108] = {.lex_state = 62},
  [9109] = {.lex_state = 57, .external_lex_state = 35},
  [9110] = {.lex_state = 51},
  [9111] = {.lex_state = 62, .external_lex_state = 30},
  [9112] = {.lex_state = 62},
  [9113] = {.lex_state = 51, .external_lex_state = 51},
  [9114] = {.lex_state = 62},
  [9115] = {.lex_state = 62, .external_lex_state = 40},
  [9116] = {.lex_state = 62, .external_lex_state = 28},
  [9117] = {.lex_state = 62, .external_lex_state = 58},
  [9118] = {.lex_state = 62, .external_lex_state = 30},
  [9119] = {.lex_state = 60, .external_lex_state = 23},
  [9120] = {.lex_state = 62, .external_lex_state = 57},
  [9121] = {.lex_state = 51, .external_lex_state = 44},
  [9122] = {.lex_state = 62, .external_lex_state = 56},
  [9123] = {.lex_state = 62, .external_lex_state = 24},
  [9124] = {.lex_state = 62},
  [9125] = {.lex_state = 62},
  [9126] = {.lex_state = 63, .external_lex_state = 35},
  [9127] = {.lex_state = 62},
  [9128] = {.lex_state = 62, .external_lex_state = 54},
  [9129] = {.lex_state = 62, .external_lex_state = 58},
  [9130] = {.lex_state = 62, .external_lex_state = 58},
  [9131] = {.lex_state = 61, .external_lex_state = 35},
  [9132] = {.lex_state = 51, .external_lex_state = 38},
  [9133] = {.lex_state = 62, .external_lex_state = 34},
  [9134] = {.lex_state = 62, .external_lex_state = 58},
  [9135] = {.lex_state = 51, .external_lex_state = 38},
  [9136] = {.lex_state = 62},
  [9137] = {.lex_state = 51, .external_lex_state = 38},
  [9138] = {.lex_state = 62, .external_lex_state = 56},
  [9139] = {.lex_state = 62, .external_lex_state = 56},
  [9140] = {.lex_state = 62},
  [9141] = {.lex_state = 62},
  [9142] = {.lex_state = 55, .external_lex_state = 44},
  [9143] = {.lex_state = 62},
  [9144] = {.lex_state = 62},
  [9145] = {.lex_state = 51},
  [9146] = {.lex_state = 51},
  [9147] = {.lex_state = 62, .external_lex_state = 58},
  [9148] = {.lex_state = 62, .external_lex_state = 49},
  [9149] = {.lex_state = 51},
  [9150] = {.lex_state = 57, .external_lex_state = 35},
  [9151] = {.lex_state = 62},
  [9152] = {.lex_state = 51},
  [9153] = {.lex_state = 51, .external_lex_state = 39},
  [9154] = {.lex_state = 62},
  [9155] = {.lex_state = 62, .external_lex_state = 34},
  [9156] = {.lex_state = 51, .external_lex_state = 39},
  [9157] = {.lex_state = 51},
  [9158] = {.lex_state = 62, .external_lex_state = 24},
  [9159] = {.lex_state = 51},
  [9160] = {.lex_state = 62, .external_lex_state = 58},
  [9161] = {.lex_state = 51, .external_lex_state = 39},
  [9162] = {.lex_state = 62, .external_lex_state = 58},
  [9163] = {.lex_state = 60, .external_lex_state = 23},
  [9164] = {.lex_state = 51, .external_lex_state = 31},
  [9165] = {.lex_state = 62},
  [9166] = {.lex_state = 62, .external_lex_state = 31},
  [9167] = {.lex_state = 56, .external_lex_state = 35},
  [9168] = {.lex_state = 62},
  [9169] = {.lex_state = 51, .external_lex_state = 39},
  [9170] = {.lex_state = 51, .external_lex_state = 39},
  [9171] = {.lex_state = 62, .external_lex_state = 58},
  [9172] = {.lex_state = 62, .external_lex_state = 34},
  [9173] = {.lex_state = 57, .external_lex_state = 59},
  [9174] = {.lex_state = 51, .external_lex_state = 39},
  [9175] = {.lex_state = 62, .external_lex_state = 58},
  [9176] = {.lex_state = 62, .external_lex_state = 24},
  [9177] = {.lex_state = 62, .external_lex_state = 56},
  [9178] = {.lex_state = 63, .external_lex_state = 35},
  [9179] = {.lex_state = 62},
  [9180] = {.lex_state = 21},
  [9181] = {.lex_state = 62, .external_lex_state = 58},
  [9182] = {.lex_state = 62, .external_lex_state = 58},
  [9183] = {.lex_state = 62},
  [9184] = {.lex_state = 62},
  [9185] = {.lex_state = 62, .external_lex_state = 56},
  [9186] = {.lex_state = 62},
  [9187] = {.lex_state = 62, .external_lex_state = 56},
  [9188] = {.lex_state = 56, .external_lex_state = 35},
  [9189] = {.lex_state = 51, .external_lex_state = 27},
  [9190] = {.lex_state = 62, .external_lex_state = 58},
  [9191] = {.lex_state = 62},
  [9192] = {.lex_state = 62, .external_lex_state = 58},
  [9193] = {.lex_state = 62, .external_lex_state = 56},
  [9194] = {.lex_state = 17, .external_lex_state = 44},
  [9195] = {.lex_state = 62, .external_lex_state = 56},
  [9196] = {.lex_state = 62, .external_lex_state = 56},
  [9197] = {.lex_state = 62},
  [9198] = {.lex_state = 62, .external_lex_state = 58},
  [9199] = {.lex_state = 62, .external_lex_state = 58},
  [9200] = {.lex_state = 62, .external_lex_state = 23},
  [9201] = {.lex_state = 62},
  [9202] = {.lex_state = 56, .external_lex_state = 35},
  [9203] = {.lex_state = 56, .external_lex_state = 35},
  [9204] = {.lex_state = 51, .external_lex_state = 38},
  [9205] = {.lex_state = 62, .external_lex_state = 29},
  [9206] = {.lex_state = 62, .external_lex_state = 56},
  [9207] = {.lex_state = 62, .external_lex_state = 58},
  [9208] = {.lex_state = 63, .external_lex_state = 35},
  [9209] = {.lex_state = 60, .external_lex_state = 23},
  [9210] = {.lex_state = 62},
  [9211] = {.lex_state = 62, .external_lex_state = 58},
  [9212] = {.lex_state = 62, .external_lex_state = 29},
  [9213] = {.lex_state = 62},
  [9214] = {.lex_state = 62, .external_lex_state = 58},
  [9215] = {.lex_state = 62, .external_lex_state = 58},
  [9216] = {.lex_state = 62},
  [9217] = {.lex_state = 62, .external_lex_state = 24},
  [9218] = {.lex_state = 60, .external_lex_state = 23},
  [9219] = {.lex_state = 62, .external_lex_state = 56},
  [9220] = {.lex_state = 55, .external_lex_state = 35},
  [9221] = {.lex_state = 62},
  [9222] = {.lex_state = 51, .external_lex_state = 26},
  [9223] = {.lex_state = 62, .external_lex_state = 58},
  [9224] = {.lex_state = 62, .external_lex_state = 58},
  [9225] = {.lex_state = 62, .external_lex_state = 56},
  [9226] = {.lex_state = 62, .external_lex_state = 24},
  [9227] = {.lex_state = 62},
  [9228] = {.lex_state = 62, .external_lex_state = 24},
  [9229] = {.lex_state = 62},
  [9230] = {.lex_state = 62, .external_lex_state = 56},
  [9231] = {.lex_state = 62, .external_lex_state = 58},
  [9232] = {.lex_state = 62, .external_lex_state = 24},
  [9233] = {.lex_state = 62},
  [9234] = {.lex_state = 62, .external_lex_state = 24},
  [9235] = {.lex_state = 62, .external_lex_state = 56},
  [9236] = {.lex_state = 51, .external_lex_state = 26},
  [9237] = {.lex_state = 60, .external_lex_state = 27},
  [9238] = {.lex_state = 62, .external_lex_state = 46},
  [9239] = {.lex_state = 62},
  [9240] = {.lex_state = 62, .external_lex_state = 58},
  [9241] = {.lex_state = 62},
  [9242] = {.lex_state = 62, .external_lex_state = 58},
  [9243] = {.lex_state = 61, .external_lex_state = 24},
  [9244] = {.lex_state = 57, .external_lex_state = 30},
  [9245] = {.lex_state = 62, .external_lex_state = 56},
  [9246] = {.lex_state = 60, .external_lex_state = 23},
  [9247] = {.lex_state = 62},
  [9248] = {.lex_state = 57, .external_lex_state = 30},
  [9249] = {.lex_state = 62},
  [9250] = {.lex_state = 62},
  [9251] = {.lex_state = 62, .external_lex_state = 56},
  [9252] = {.lex_state = 62, .external_lex_state = 58},
  [9253] = {.lex_state = 62},
  [9254] = {.lex_state = 51},
  [9255] = {.lex_state = 62},
  [9256] = {.lex_state = 62, .external_lex_state = 58},
  [9257] = {.lex_state = 62},
  [9258] = {.lex_state = 51},
  [9259] = {.lex_state = 62, .external_lex_state = 24},
  [9260] = {.lex_state = 60, .external_lex_state = 49},
  [9261] = {.lex_state = 51, .external_lex_state = 46},
  [9262] = {.lex_state = 62, .external_lex_state = 34},
  [9263] = {.lex_state = 51, .external_lex_state = 29},
  [9264] = {.lex_state = 62, .external_lex_state = 38},
  [9265] = {.lex_state = 51, .external_lex_state = 46},
  [9266] = {.lex_state = 62, .external_lex_state = 24},
  [9267] = {.lex_state = 63, .external_lex_state = 35},
  [9268] = {.lex_state = 51, .external_lex_state = 53},
  [9269] = {.lex_state = 17, .external_lex_state = 44},
  [9270] = {.lex_state = 51, .external_lex_state = 46},
  [9271] = {.lex_state = 62},
  [9272] = {.lex_state = 60, .external_lex_state = 53},
  [9273] = {.lex_state = 51, .external_lex_state = 46},
  [9274] = {.lex_state = 62},
  [9275] = {.lex_state = 62},
  [9276] = {.lex_state = 62, .external_lex_state = 58},
  [9277] = {.lex_state = 62},
  [9278] = {.lex_state = 60, .external_lex_state = 52},
  [9279] = {.lex_state = 51, .external_lex_state = 29},
  [9280] = {.lex_state = 62, .external_lex_state = 39},
  [9281] = {.lex_state = 60, .external_lex_state = 31},
  [9282] = {.lex_state = 60, .external_lex_state = 52},
  [9283] = {.lex_state = 51, .external_lex_state = 47},
  [9284] = {.lex_state = 62},
  [9285] = {.lex_state = 51, .external_lex_state = 47},
  [9286] = {.lex_state = 60, .external_lex_state = 52},
  [9287] = {.lex_state = 51, .external_lex_state = 50},
  [9288] = {.lex_state = 51, .external_lex_state = 47},
  [9289] = {.lex_state = 62},
  [9290] = {.lex_state = 62, .external_lex_state = 24},
  [9291] = {.lex_state = 51, .external_lex_state = 30},
  [9292] = {.lex_state = 60, .external_lex_state = 53},
  [9293] = {.lex_state = 62},
  [9294] = {.lex_state = 62, .external_lex_state = 35},
  [9295] = {.lex_state = 60, .external_lex_state = 52},
  [9296] = {.lex_state = 62, .external_lex_state = 34},
  [9297] = {.lex_state = 62},
  [9298] = {.lex_state = 62, .external_lex_state = 34},
  [9299] = {.lex_state = 60, .external_lex_state = 52},
  [9300] = {.lex_state = 61, .external_lex_state = 23},
  [9301] = {.lex_state = 60, .external_lex_state = 53},
  [9302] = {.lex_state = 60, .external_lex_state = 50},
  [9303] = {.lex_state = 51, .external_lex_state = 46},
  [9304] = {.lex_state = 62, .external_lex_state = 34},
  [9305] = {.lex_state = 62},
  [9306] = {.lex_state = 14, .external_lex_state = 2},
  [9307] = {.lex_state = 62},
  [9308] = {.lex_state = 63, .external_lex_state = 54},
  [9309] = {.lex_state = 60, .external_lex_state = 53},
  [9310] = {.lex_state = 62},
  [9311] = {.lex_state = 62, .external_lex_state = 34},
  [9312] = {.lex_state = 62, .external_lex_state = 34},
  [9313] = {.lex_state = 60, .external_lex_state = 49},
  [9314] = {.lex_state = 62, .external_lex_state = 32},
  [9315] = {.lex_state = 63, .external_lex_state = 54},
  [9316] = {.lex_state = 62, .external_lex_state = 34},
  [9317] = {.lex_state = 51, .external_lex_state = 58},
  [9318] = {.lex_state = 62, .external_lex_state = 34},
  [9319] = {.lex_state = 62, .external_lex_state = 34},
  [9320] = {.lex_state = 62},
  [9321] = {.lex_state = 51, .external_lex_state = 23},
  [9322] = {.lex_state = 62},
  [9323] = {.lex_state = 3},
  [9324] = {.lex_state = 51, .external_lex_state = 24},
  [9325] = {.lex_state = 60, .external_lex_state = 50},
  [9326] = {.lex_state = 62, .external_lex_state = 24},
  [9327] = {.lex_state = 62, .external_lex_state = 24},
  [9328] = {.lex_state = 62, .external_lex_state = 34},
  [9329] = {.lex_state = 62, .external_lex_state = 50},
  [9330] = {.lex_state = 62, .external_lex_state = 31},
  [9331] = {.lex_state = 62, .external_lex_state = 32},
  [9332] = {.lex_state = 62},
  [9333] = {.lex_state = 62, .external_lex_state = 35},
  [9334] = {.lex_state = 60, .external_lex_state = 50},
  [9335] = {.lex_state = 62, .external_lex_state = 23},
  [9336] = {.lex_state = 62, .external_lex_state = 24},
  [9337] = {.lex_state = 62, .external_lex_state = 24},
  [9338] = {.lex_state = 62, .external_lex_state = 30},
  [9339] = {.lex_state = 62, .external_lex_state = 34},
  [9340] = {.lex_state = 57, .external_lex_state = 59},
  [9341] = {.lex_state = 55, .external_lex_state = 44},
  [9342] = {.lex_state = 62, .external_lex_state = 34},
  [9343] = {.lex_state = 62},
  [9344] = {.lex_state = 62, .external_lex_state = 58},
  [9345] = {.lex_state = 14, .external_lex_state = 2},
  [9346] = {.lex_state = 62, .external_lex_state = 56},
  [9347] = {.lex_state = 14, .external_lex_state = 2},
  [9348] = {.lex_state = 62, .external_lex_state = 32},
  [9349] = {.lex_state = 60, .external_lex_state = 49},
  [9350] = {.lex_state = 60, .external_lex_state = 49},
  [9351] = {.lex_state = 60, .external_lex_state = 50},
  [9352] = {.lex_state = 62, .external_lex_state = 24},
  [9353] = {.lex_state = 21, .external_lex_state = 44},
  [9354] = {.lex_state = 62, .external_lex_state = 52},
  [9355] = {.lex_state = 51, .external_lex_state = 31},
  [9356] = {.lex_state = 21, .external_lex_state = 44},
  [9357] = {.lex_state = 51, .external_lex_state = 47},
  [9358] = {.lex_state = 62, .external_lex_state = 34},
  [9359] = {.lex_state = 17},
  [9360] = {.lex_state = 17, .external_lex_state = 44},
  [9361] = {.lex_state = 62, .external_lex_state = 38},
  [9362] = {.lex_state = 3},
  [9363] = {.lex_state = 63, .external_lex_state = 35},
  [9364] = {.lex_state = 62, .external_lex_state = 50},
  [9365] = {.lex_state = 62},
  [9366] = {.lex_state = 62, .external_lex_state = 49},
  [9367] = {.lex_state = 51, .external_lex_state = 53},
  [9368] = {.lex_state = 63, .external_lex_state = 35},
  [9369] = {.lex_state = 62, .external_lex_state = 39},
  [9370] = {.lex_state = 62, .external_lex_state = 28},
  [9371] = {.lex_state = 62, .external_lex_state = 24},
  [9372] = {.lex_state = 57, .external_lex_state = 44},
  [9373] = {.lex_state = 62, .external_lex_state = 24},
  [9374] = {.lex_state = 62, .external_lex_state = 24},
  [9375] = {.lex_state = 62, .external_lex_state = 24},
  [9376] = {.lex_state = 62, .external_lex_state = 34},
  [9377] = {.lex_state = 60, .external_lex_state = 31},
  [9378] = {.lex_state = 62, .external_lex_state = 32},
  [9379] = {.lex_state = 62, .external_lex_state = 34},
  [9380] = {.lex_state = 62, .external_lex_state = 24},
  [9381] = {.lex_state = 62, .external_lex_state = 32},
  [9382] = {.lex_state = 62, .external_lex_state = 32},
  [9383] = {.lex_state = 62, .external_lex_state = 24},
  [9384] = {.lex_state = 62, .external_lex_state = 38},
  [9385] = {.lex_state = 60, .external_lex_state = 50},
  [9386] = {.lex_state = 62, .external_lex_state = 34},
  [9387] = {.lex_state = 51, .external_lex_state = 50},
  [9388] = {.lex_state = 62},
  [9389] = {.lex_state = 62, .external_lex_state = 35},
  [9390] = {.lex_state = 62},
  [9391] = {.lex_state = 62, .external_lex_state = 34},
  [9392] = {.lex_state = 3},
  [9393] = {.lex_state = 60, .external_lex_state = 30},
  [9394] = {.lex_state = 51, .external_lex_state = 59},
  [9395] = {.lex_state = 62, .external_lex_state = 32},
  [9396] = {.lex_state = 62, .external_lex_state = 32},
  [9397] = {.lex_state = 62, .external_lex_state = 32},
  [9398] = {.lex_state = 62, .external_lex_state = 32},
  [9399] = {.lex_state = 20, .external_lex_state = 44},
  [9400] = {.lex_state = 51, .external_lex_state = 59},
  [9401] = {.lex_state = 62, .external_lex_state = 34},
  [9402] = {.lex_state = 62, .external_lex_state = 24},
  [9403] = {.lex_state = 62, .external_lex_state = 32},
  [9404] = {.lex_state = 62, .external_lex_state = 23},
  [9405] = {.lex_state = 62, .external_lex_state = 32},
  [9406] = {.lex_state = 60, .external_lex_state = 34},
  [9407] = {.lex_state = 62, .external_lex_state = 24},
  [9408] = {.lex_state = 51, .external_lex_state = 56},
  [9409] = {.lex_state = 14, .external_lex_state = 2},
  [9410] = {.lex_state = 62, .external_lex_state = 24},
  [9411] = {.lex_state = 62},
  [9412] = {.lex_state = 51, .external_lex_state = 46},
  [9413] = {.lex_state = 62, .external_lex_state = 32},
  [9414] = {.lex_state = 62, .external_lex_state = 24},
  [9415] = {.lex_state = 51, .external_lex_state = 46},
  [9416] = {.lex_state = 14, .external_lex_state = 2},
  [9417] = {.lex_state = 60, .external_lex_state = 49},
  [9418] = {.lex_state = 51, .external_lex_state = 28},
  [9419] = {.lex_state = 62},
  [9420] = {.lex_state = 62, .external_lex_state = 32},
  [9421] = {.lex_state = 62, .external_lex_state = 32},
  [9422] = {.lex_state = 60, .external_lex_state = 24},
  [9423] = {.lex_state = 62, .external_lex_state = 24},
  [9424] = {.lex_state = 62, .external_lex_state = 53},
  [9425] = {.lex_state = 62, .external_lex_state = 57},
  [9426] = {.lex_state = 60, .external_lex_state = 35},
  [9427] = {.lex_state = 51, .external_lex_state = 23},
  [9428] = {.lex_state = 51, .external_lex_state = 46},
  [9429] = {.lex_state = 62},
  [9430] = {.lex_state = 62, .external_lex_state = 39},
  [9431] = {.lex_state = 62, .external_lex_state = 40},
  [9432] = {.lex_state = 51, .external_lex_state = 23},
  [9433] = {.lex_state = 62, .external_lex_state = 32},
  [9434] = {.lex_state = 3},
  [9435] = {.lex_state = 62, .external_lex_state = 30},
  [9436] = {.lex_state = 60, .external_lex_state = 53},
  [9437] = {.lex_state = 62, .external_lex_state = 24},
  [9438] = {.lex_state = 62},
  [9439] = {.lex_state = 62, .external_lex_state = 24},
  [9440] = {.lex_state = 3},
  [9441] = {.lex_state = 62, .external_lex_state = 39},
  [9442] = {.lex_state = 62, .external_lex_state = 32},
  [9443] = {.lex_state = 62},
  [9444] = {.lex_state = 14, .external_lex_state = 2},
  [9445] = {.lex_state = 14, .external_lex_state = 2},
  [9446] = {.lex_state = 62, .external_lex_state = 24},
  [9447] = {.lex_state = 62},
  [9448] = {.lex_state = 60, .external_lex_state = 32},
  [9449] = {.lex_state = 51, .external_lex_state = 27},
  [9450] = {.lex_state = 62, .external_lex_state = 24},
  [9451] = {.lex_state = 19, .external_lex_state = 44},
  [9452] = {.lex_state = 62, .external_lex_state = 23},
  [9453] = {.lex_state = 60, .external_lex_state = 53},
  [9454] = {.lex_state = 62, .external_lex_state = 24},
  [9455] = {.lex_state = 60, .external_lex_state = 52},
  [9456] = {.lex_state = 60, .external_lex_state = 52},
  [9457] = {.lex_state = 62, .external_lex_state = 24},
  [9458] = {.lex_state = 62},
  [9459] = {.lex_state = 62, .external_lex_state = 24},
  [9460] = {.lex_state = 51, .external_lex_state = 47},
  [9461] = {.lex_state = 62, .external_lex_state = 34},
  [9462] = {.lex_state = 62, .external_lex_state = 23},
  [9463] = {.lex_state = 62, .external_lex_state = 23},
  [9464] = {.lex_state = 62, .external_lex_state = 35},
  [9465] = {.lex_state = 62, .external_lex_state = 23},
  [9466] = {.lex_state = 62, .external_lex_state = 53},
  [9467] = {.lex_state = 62},
  [9468] = {.lex_state = 51, .external_lex_state = 47},
  [9469] = {.lex_state = 62, .external_lex_state = 34},
  [9470] = {.lex_state = 60, .external_lex_state = 52},
  [9471] = {.lex_state = 51, .external_lex_state = 47},
  [9472] = {.lex_state = 62, .external_lex_state = 34},
  [9473] = {.lex_state = 62, .external_lex_state = 34},
  [9474] = {.lex_state = 62, .external_lex_state = 32},
  [9475] = {.lex_state = 62, .external_lex_state = 34},
  [9476] = {.lex_state = 51, .external_lex_state = 57},
  [9477] = {.lex_state = 60, .external_lex_state = 53},
  [9478] = {.lex_state = 10, .external_lex_state = 44},
  [9479] = {.lex_state = 60, .external_lex_state = 49},
  [9480] = {.lex_state = 61, .external_lex_state = 44},
  [9481] = {.lex_state = 62, .external_lex_state = 23},
  [9482] = {.lex_state = 51, .external_lex_state = 27},
  [9483] = {.lex_state = 62, .external_lex_state = 46},
  [9484] = {.lex_state = 14, .external_lex_state = 2},
  [9485] = {.lex_state = 62, .external_lex_state = 52},
  [9486] = {.lex_state = 51, .external_lex_state = 24},
  [9487] = {.lex_state = 62, .external_lex_state = 52},
  [9488] = {.lex_state = 62},
  [9489] = {.lex_state = 60, .external_lex_state = 50},
  [9490] = {.lex_state = 62, .external_lex_state = 32},
  [9491] = {.lex_state = 62},
  [9492] = {.lex_state = 62},
  [9493] = {.lex_state = 62, .external_lex_state = 28},
  [9494] = {.lex_state = 62},
  [9495] = {.lex_state = 62},
  [9496] = {.lex_state = 62, .external_lex_state = 32},
  [9497] = {.lex_state = 62, .external_lex_state = 34},
  [9498] = {.lex_state = 62, .external_lex_state = 34},
  [9499] = {.lex_state = 62, .external_lex_state = 32},
  [9500] = {.lex_state = 60, .external_lex_state = 53},
  [9501] = {.lex_state = 62},
  [9502] = {.lex_state = 62, .external_lex_state = 34},
  [9503] = {.lex_state = 62, .external_lex_state = 32},
  [9504] = {.lex_state = 51, .external_lex_state = 47},
  [9505] = {.lex_state = 62, .external_lex_state = 32},
  [9506] = {.lex_state = 51, .external_lex_state = 47},
  [9507] = {.lex_state = 62, .external_lex_state = 49},
  [9508] = {.lex_state = 60, .external_lex_state = 53},
  [9509] = {.lex_state = 62, .external_lex_state = 32},
  [9510] = {.lex_state = 51, .external_lex_state = 23},
  [9511] = {.lex_state = 60, .external_lex_state = 50},
  [9512] = {.lex_state = 62, .external_lex_state = 32},
  [9513] = {.lex_state = 62},
  [9514] = {.lex_state = 51, .external_lex_state = 47},
  [9515] = {.lex_state = 62, .external_lex_state = 24},
  [9516] = {.lex_state = 52, .external_lex_state = 23},
  [9517] = {.lex_state = 62},
  [9518] = {.lex_state = 62},
  [9519] = {.lex_state = 60, .external_lex_state = 30},
  [9520] = {.lex_state = 57, .external_lex_state = 44},
  [9521] = {.lex_state = 62, .external_lex_state = 24},
  [9522] = {.lex_state = 60, .external_lex_state = 53},
  [9523] = {.lex_state = 62, .external_lex_state = 32},
  [9524] = {.lex_state = 62, .external_lex_state = 32},
  [9525] = {.lex_state = 62, .external_lex_state = 52},
  [9526] = {.lex_state = 62, .external_lex_state = 24},
  [9527] = {.lex_state = 51, .external_lex_state = 35},
  [9528] = {.lex_state = 21, .external_lex_state = 44},
  [9529] = {.lex_state = 51, .external_lex_state = 35},
  [9530] = {.lex_state = 62},
  [9531] = {.lex_state = 61, .external_lex_state = 35},
  [9532] = {.lex_state = 62, .external_lex_state = 34},
  [9533] = {.lex_state = 60, .external_lex_state = 50},
  [9534] = {.lex_state = 62},
  [9535] = {.lex_state = 60, .external_lex_state = 50},
  [9536] = {.lex_state = 62, .external_lex_state = 32},
  [9537] = {.lex_state = 62, .external_lex_state = 38},
  [9538] = {.lex_state = 62, .external_lex_state = 35},
  [9539] = {.lex_state = 62, .external_lex_state = 34},
  [9540] = {.lex_state = 62, .external_lex_state = 57},
  [9541] = {.lex_state = 62, .external_lex_state = 23},
  [9542] = {.lex_state = 57, .external_lex_state = 59},
  [9543] = {.lex_state = 61, .external_lex_state = 35},
  [9544] = {.lex_state = 62},
  [9545] = {.lex_state = 62},
  [9546] = {.lex_state = 62, .external_lex_state = 34},
  [9547] = {.lex_state = 62, .external_lex_state = 34},
  [9548] = {.lex_state = 62, .external_lex_state = 24},
  [9549] = {.lex_state = 62},
  [9550] = {.lex_state = 57, .external_lex_state = 59},
  [9551] = {.lex_state = 62},
  [9552] = {.lex_state = 62, .external_lex_state = 32},
  [9553] = {.lex_state = 51, .external_lex_state = 30},
  [9554] = {.lex_state = 62, .external_lex_state = 39},
  [9555] = {.lex_state = 62, .external_lex_state = 28},
  [9556] = {.lex_state = 21, .external_lex_state = 44},
  [9557] = {.lex_state = 62},
  [9558] = {.lex_state = 51, .external_lex_state = 46},
  [9559] = {.lex_state = 51, .external_lex_state = 31},
  [9560] = {.lex_state = 63, .external_lex_state = 35},
  [9561] = {.lex_state = 61, .external_lex_state = 44},
  [9562] = {.lex_state = 60, .external_lex_state = 50},
  [9563] = {.lex_state = 60, .external_lex_state = 52},
  [9564] = {.lex_state = 60, .external_lex_state = 35},
  [9565] = {.lex_state = 62, .external_lex_state = 24},
  [9566] = {.lex_state = 62},
  [9567] = {.lex_state = 62, .external_lex_state = 24},
  [9568] = {.lex_state = 62},
  [9569] = {.lex_state = 62, .external_lex_state = 56},
  [9570] = {.lex_state = 51, .external_lex_state = 46},
  [9571] = {.lex_state = 62, .external_lex_state = 34},
  [9572] = {.lex_state = 62},
  [9573] = {.lex_state = 62, .external_lex_state = 24},
  [9574] = {.lex_state = 62, .external_lex_state = 35},
  [9575] = {.lex_state = 62, .external_lex_state = 24},
  [9576] = {.lex_state = 62, .external_lex_state = 38},
  [9577] = {.lex_state = 62},
  [9578] = {.lex_state = 62},
  [9579] = {.lex_state = 62},
  [9580] = {.lex_state = 62, .external_lex_state = 32},
  [9581] = {.lex_state = 62, .external_lex_state = 49},
  [9582] = {.lex_state = 62, .external_lex_state = 49},
  [9583] = {.lex_state = 62},
  [9584] = {.lex_state = 62},
  [9585] = {.lex_state = 62},
  [9586] = {.lex_state = 62, .external_lex_state = 32},
  [9587] = {.lex_state = 61},
  [9588] = {.lex_state = 60, .external_lex_state = 52},
  [9589] = {.lex_state = 19, .external_lex_state = 44},
  [9590] = {.lex_state = 62},
  [9591] = {.lex_state = 20, .external_lex_state = 44},
  [9592] = {.lex_state = 19, .external_lex_state = 44},
  [9593] = {.lex_state = 62},
  [9594] = {.lex_state = 10, .external_lex_state = 44},
  [9595] = {.lex_state = 57, .external_lex_state = 59},
  [9596] = {.lex_state = 19, .external_lex_state = 44},
  [9597] = {.lex_state = 57, .external_lex_state = 59},
  [9598] = {.lex_state = 57, .external_lex_state = 59},
  [9599] = {.lex_state = 57, .external_lex_state = 59},
  [9600] = {.lex_state = 60, .external_lex_state = 49},
  [9601] = {.lex_state = 60, .external_lex_state = 49},
  [9602] = {.lex_state = 57, .external_lex_state = 59},
  [9603] = {.lex_state = 57, .external_lex_state = 59},
  [9604] = {.lex_state = 57, .external_lex_state = 59},
  [9605] = {.lex_state = 62, .external_lex_state = 31},
  [9606] = {.lex_state = 60, .external_lex_state = 49},
  [9607] = {.lex_state = 57, .external_lex_state = 59},
  [9608] = {.lex_state = 62, .external_lex_state = 23},
  [9609] = {.lex_state = 57, .external_lex_state = 59},
  [9610] = {.lex_state = 57, .external_lex_state = 59},
  [9611] = {.lex_state = 60, .external_lex_state = 49},
  [9612] = {.lex_state = 62},
  [9613] = {.lex_state = 60, .external_lex_state = 57},
  [9614] = {.lex_state = 51, .external_lex_state = 49},
  [9615] = {.lex_state = 51, .external_lex_state = 24},
  [9616] = {.lex_state = 62, .external_lex_state = 40},
  [9617] = {.lex_state = 62, .external_lex_state = 23},
  [9618] = {.lex_state = 11, .external_lex_state = 44},
  [9619] = {.lex_state = 51, .external_lex_state = 53},
  [9620] = {.lex_state = 62, .external_lex_state = 35},
  [9621] = {.lex_state = 51, .external_lex_state = 53},
  [9622] = {.lex_state = 51, .external_lex_state = 30},
  [9623] = {.lex_state = 51, .external_lex_state = 53},
  [9624] = {.lex_state = 20, .external_lex_state = 44},
  [9625] = {.lex_state = 20, .external_lex_state = 44},
  [9626] = {.lex_state = 51, .external_lex_state = 24},
  [9627] = {.lex_state = 20, .external_lex_state = 44},
  [9628] = {.lex_state = 63, .external_lex_state = 35},
  [9629] = {.lex_state = 51, .external_lex_state = 53},
  [9630] = {.lex_state = 62, .external_lex_state = 38},
  [9631] = {.lex_state = 51, .external_lex_state = 24},
  [9632] = {.lex_state = 55, .external_lex_state = 44},
  [9633] = {.lex_state = 50},
  [9634] = {.lex_state = 62, .external_lex_state = 39},
  [9635] = {.lex_state = 51, .external_lex_state = 24},
  [9636] = {.lex_state = 62, .external_lex_state = 39},
  [9637] = {.lex_state = 62, .external_lex_state = 39},
  [9638] = {.lex_state = 62, .external_lex_state = 38},
  [9639] = {.lex_state = 3},
  [9640] = {.lex_state = 11, .external_lex_state = 44},
  [9641] = {.lex_state = 51, .external_lex_state = 52},
  [9642] = {.lex_state = 62, .external_lex_state = 23},
  [9643] = {.lex_state = 11, .external_lex_state = 44},
  [9644] = {.lex_state = 62, .external_lex_state = 38},
  [9645] = {.lex_state = 51, .external_lex_state = 53},
  [9646] = {.lex_state = 51, .external_lex_state = 53},
  [9647] = {.lex_state = 55, .external_lex_state = 44},
  [9648] = {.lex_state = 3},
  [9649] = {.lex_state = 51, .external_lex_state = 49},
  [9650] = {.lex_state = 55, .external_lex_state = 44},
  [9651] = {.lex_state = 62, .external_lex_state = 38},
  [9652] = {.lex_state = 11, .external_lex_state = 44},
  [9653] = {.lex_state = 51, .external_lex_state = 24},
  [9654] = {.lex_state = 60, .external_lex_state = 58},
  [9655] = {.lex_state = 57, .external_lex_state = 59},
  [9656] = {.lex_state = 50},
  [9657] = {.lex_state = 51, .external_lex_state = 53},
  [9658] = {.lex_state = 51, .external_lex_state = 24},
  [9659] = {.lex_state = 62, .external_lex_state = 56},
  [9660] = {.lex_state = 62, .external_lex_state = 23},
  [9661] = {.lex_state = 60, .external_lex_state = 58},
  [9662] = {.lex_state = 51, .external_lex_state = 52},
  [9663] = {.lex_state = 55, .external_lex_state = 44},
  [9664] = {.lex_state = 51, .external_lex_state = 30},
  [9665] = {.lex_state = 51, .external_lex_state = 58},
  [9666] = {.lex_state = 55, .external_lex_state = 44},
  [9667] = {.lex_state = 51, .external_lex_state = 53},
  [9668] = {.lex_state = 51, .external_lex_state = 50},
  [9669] = {.lex_state = 60, .external_lex_state = 56},
  [9670] = {.lex_state = 63, .external_lex_state = 23},
  [9671] = {.lex_state = 62, .external_lex_state = 47},
  [9672] = {.lex_state = 62, .external_lex_state = 38},
  [9673] = {.lex_state = 62, .external_lex_state = 39},
  [9674] = {.lex_state = 60, .external_lex_state = 28},
  [9675] = {.lex_state = 57, .external_lex_state = 59},
  [9676] = {.lex_state = 60},
  [9677] = {.lex_state = 61, .external_lex_state = 23},
  [9678] = {.lex_state = 62, .external_lex_state = 39},
  [9679] = {.lex_state = 51, .external_lex_state = 52},
  [9680] = {.lex_state = 62, .external_lex_state = 38},
  [9681] = {.lex_state = 51, .external_lex_state = 50},
  [9682] = {.lex_state = 62, .external_lex_state = 38},
  [9683] = {.lex_state = 62, .external_lex_state = 38},
  [9684] = {.lex_state = 55, .external_lex_state = 44},
  [9685] = {.lex_state = 11, .external_lex_state = 44},
  [9686] = {.lex_state = 62, .external_lex_state = 38},
  [9687] = {.lex_state = 60, .external_lex_state = 58},
  [9688] = {.lex_state = 50},
  [9689] = {.lex_state = 51, .external_lex_state = 32},
  [9690] = {.lex_state = 55, .external_lex_state = 44},
  [9691] = {.lex_state = 62, .external_lex_state = 38},
  [9692] = {.lex_state = 50},
  [9693] = {.lex_state = 62, .external_lex_state = 38},
  [9694] = {.lex_state = 50},
  [9695] = {.lex_state = 62, .external_lex_state = 23},
  [9696] = {.lex_state = 51, .external_lex_state = 52},
  [9697] = {.lex_state = 62, .external_lex_state = 38},
  [9698] = {.lex_state = 50},
  [9699] = {.lex_state = 55, .external_lex_state = 44},
  [9700] = {.lex_state = 51, .external_lex_state = 24},
  [9701] = {.lex_state = 62, .external_lex_state = 38},
  [9702] = {.lex_state = 60, .external_lex_state = 58},
  [9703] = {.lex_state = 62, .external_lex_state = 38},
  [9704] = {.lex_state = 55, .external_lex_state = 44},
  [9705] = {.lex_state = 60, .external_lex_state = 58},
  [9706] = {.lex_state = 50},
  [9707] = {.lex_state = 62, .external_lex_state = 38},
  [9708] = {.lex_state = 62, .external_lex_state = 38},
  [9709] = {.lex_state = 62, .external_lex_state = 38},
  [9710] = {.lex_state = 11, .external_lex_state = 44},
  [9711] = {.lex_state = 62, .external_lex_state = 38},
  [9712] = {.lex_state = 11, .external_lex_state = 44},
  [9713] = {.lex_state = 61, .external_lex_state = 24},
  [9714] = {.lex_state = 51, .external_lex_state = 52},
  [9715] = {.lex_state = 62, .external_lex_state = 38},
  [9716] = {.lex_state = 51, .external_lex_state = 52},
  [9717] = {.lex_state = 62, .external_lex_state = 39},
  [9718] = {.lex_state = 62, .external_lex_state = 56},
  [9719] = {.lex_state = 50},
  [9720] = {.lex_state = 51, .external_lex_state = 50},
  [9721] = {.lex_state = 20, .external_lex_state = 44},
  [9722] = {.lex_state = 50},
  [9723] = {.lex_state = 62, .external_lex_state = 39},
  [9724] = {.lex_state = 62, .external_lex_state = 38},
  [9725] = {.lex_state = 51, .external_lex_state = 50},
  [9726] = {.lex_state = 62, .external_lex_state = 39},
  [9727] = {.lex_state = 62, .external_lex_state = 35},
  [9728] = {.lex_state = 55, .external_lex_state = 44},
  [9729] = {.lex_state = 51, .external_lex_state = 50},
  [9730] = {.lex_state = 62},
  [9731] = {.lex_state = 51, .external_lex_state = 24},
  [9732] = {.lex_state = 50},
  [9733] = {.lex_state = 62, .external_lex_state = 38},
  [9734] = {.lex_state = 50},
  [9735] = {.lex_state = 21},
  [9736] = {.lex_state = 11, .external_lex_state = 44},
  [9737] = {.lex_state = 51, .external_lex_state = 50},
  [9738] = {.lex_state = 62, .external_lex_state = 39},
  [9739] = {.lex_state = 51, .external_lex_state = 59},
  [9740] = {.lex_state = 51, .external_lex_state = 52},
  [9741] = {.lex_state = 51, .external_lex_state = 50},
  [9742] = {.lex_state = 51, .external_lex_state = 49},
  [9743] = {.lex_state = 61, .external_lex_state = 24},
  [9744] = {.lex_state = 62, .external_lex_state = 39},
  [9745] = {.lex_state = 60, .external_lex_state = 58},
  [9746] = {.lex_state = 61, .external_lex_state = 24},
  [9747] = {.lex_state = 62, .external_lex_state = 56},
  [9748] = {.lex_state = 62},
  [9749] = {.lex_state = 55, .external_lex_state = 44},
  [9750] = {.lex_state = 51, .external_lex_state = 50},
  [9751] = {.lex_state = 51, .external_lex_state = 31},
  [9752] = {.lex_state = 61, .external_lex_state = 24},
  [9753] = {.lex_state = 55, .external_lex_state = 44},
  [9754] = {.lex_state = 62, .external_lex_state = 32},
  [9755] = {.lex_state = 51, .external_lex_state = 58},
  [9756] = {.lex_state = 60, .external_lex_state = 35},
  [9757] = {.lex_state = 55, .external_lex_state = 44},
  [9758] = {.lex_state = 62, .external_lex_state = 56},
  [9759] = {.lex_state = 19, .external_lex_state = 44},
  [9760] = {.lex_state = 62, .external_lex_state = 57},
  [9761] = {.lex_state = 62, .external_lex_state = 40},
  [9762] = {.lex_state = 62, .external_lex_state = 38},
  [9763] = {.lex_state = 62, .external_lex_state = 46},
  [9764] = {.lex_state = 60, .external_lex_state = 56},
  [9765] = {.lex_state = 62, .external_lex_state = 50},
  [9766] = {.lex_state = 51, .external_lex_state = 49},
  [9767] = {.lex_state = 62, .external_lex_state = 34},
  [9768] = {.lex_state = 60, .external_lex_state = 58},
  [9769] = {.lex_state = 50},
  [9770] = {.lex_state = 11, .external_lex_state = 44},
  [9771] = {.lex_state = 63, .external_lex_state = 24},
  [9772] = {.lex_state = 62, .external_lex_state = 38},
  [9773] = {.lex_state = 62, .external_lex_state = 58},
  [9774] = {.lex_state = 51, .external_lex_state = 49},
  [9775] = {.lex_state = 51, .external_lex_state = 44},
  [9776] = {.lex_state = 62, .external_lex_state = 39},
  [9777] = {.lex_state = 60, .external_lex_state = 56},
  [9778] = {.lex_state = 60, .external_lex_state = 28},
  [9779] = {.lex_state = 60, .external_lex_state = 56},
  [9780] = {.lex_state = 61, .external_lex_state = 23},
  [9781] = {.lex_state = 61, .external_lex_state = 23},
  [9782] = {.lex_state = 62, .external_lex_state = 58},
  [9783] = {.lex_state = 53, .external_lex_state = 25},
  [9784] = {.lex_state = 61, .external_lex_state = 23},
  [9785] = {.lex_state = 62, .external_lex_state = 38},
  [9786] = {.lex_state = 60},
  [9787] = {.lex_state = 61, .external_lex_state = 24},
  [9788] = {.lex_state = 60, .external_lex_state = 58},
  [9789] = {.lex_state = 60, .external_lex_state = 28},
  [9790] = {.lex_state = 62, .external_lex_state = 39},
  [9791] = {.lex_state = 51, .external_lex_state = 35},
  [9792] = {.lex_state = 62, .external_lex_state = 32},
  [9793] = {.lex_state = 62, .external_lex_state = 28},
  [9794] = {.lex_state = 62, .external_lex_state = 38},
  [9795] = {.lex_state = 55, .external_lex_state = 44},
  [9796] = {.lex_state = 62, .external_lex_state = 38},
  [9797] = {.lex_state = 60},
  [9798] = {.lex_state = 60, .external_lex_state = 28},
  [9799] = {.lex_state = 60, .external_lex_state = 28},
  [9800] = {.lex_state = 62, .external_lex_state = 38},
  [9801] = {.lex_state = 55, .external_lex_state = 44},
  [9802] = {.lex_state = 60},
  [9803] = {.lex_state = 60},
  [9804] = {.lex_state = 55, .external_lex_state = 44},
  [9805] = {.lex_state = 60, .external_lex_state = 28},
  [9806] = {.lex_state = 62, .external_lex_state = 39},
  [9807] = {.lex_state = 60, .external_lex_state = 56},
  [9808] = {.lex_state = 55, .external_lex_state = 44},
  [9809] = {.lex_state = 60, .external_lex_state = 58},
  [9810] = {.lex_state = 60},
  [9811] = {.lex_state = 60, .external_lex_state = 35},
  [9812] = {.lex_state = 60},
  [9813] = {.lex_state = 19, .external_lex_state = 44},
  [9814] = {.lex_state = 60, .external_lex_state = 56},
  [9815] = {.lex_state = 11, .external_lex_state = 44},
  [9816] = {.lex_state = 62, .external_lex_state = 34},
  [9817] = {.lex_state = 61, .external_lex_state = 23},
  [9818] = {.lex_state = 60},
  [9819] = {.lex_state = 60},
  [9820] = {.lex_state = 62, .external_lex_state = 57},
  [9821] = {.lex_state = 62, .external_lex_state = 39},
  [9822] = {.lex_state = 51, .external_lex_state = 24},
  [9823] = {.lex_state = 51, .external_lex_state = 23},
  [9824] = {.lex_state = 11, .external_lex_state = 44},
  [9825] = {.lex_state = 60, .external_lex_state = 28},
  [9826] = {.lex_state = 61, .external_lex_state = 23},
  [9827] = {.lex_state = 51, .external_lex_state = 50},
  [9828] = {.lex_state = 62, .external_lex_state = 57},
  [9829] = {.lex_state = 61, .external_lex_state = 24},
  [9830] = {.lex_state = 51, .external_lex_state = 50},
  [9831] = {.lex_state = 60, .external_lex_state = 28},
  [9832] = {.lex_state = 11, .external_lex_state = 44},
  [9833] = {.lex_state = 11, .external_lex_state = 44},
  [9834] = {.lex_state = 61, .external_lex_state = 23},
  [9835] = {.lex_state = 55, .external_lex_state = 44},
  [9836] = {.lex_state = 51, .external_lex_state = 49},
  [9837] = {.lex_state = 51, .external_lex_state = 49},
  [9838] = {.lex_state = 51, .external_lex_state = 35},
  [9839] = {.lex_state = 51, .external_lex_state = 49},
  [9840] = {.lex_state = 60, .external_lex_state = 57},
  [9841] = {.lex_state = 60},
  [9842] = {.lex_state = 62, .external_lex_state = 38},
  [9843] = {.lex_state = 51, .external_lex_state = 49},
  [9844] = {.lex_state = 52, .external_lex_state = 23},
  [9845] = {.lex_state = 62, .external_lex_state = 24},
  [9846] = {.lex_state = 61, .external_lex_state = 23},
  [9847] = {.lex_state = 62, .external_lex_state = 39},
  [9848] = {.lex_state = 62, .external_lex_state = 32},
  [9849] = {.lex_state = 50},
  [9850] = {.lex_state = 51, .external_lex_state = 24},
  [9851] = {.lex_state = 60, .external_lex_state = 28},
  [9852] = {.lex_state = 51, .external_lex_state = 53},
  [9853] = {.lex_state = 62, .external_lex_state = 38},
  [9854] = {.lex_state = 61, .external_lex_state = 23},
  [9855] = {.lex_state = 11, .external_lex_state = 44},
  [9856] = {.lex_state = 51, .external_lex_state = 49},
  [9857] = {.lex_state = 62, .external_lex_state = 38},
  [9858] = {.lex_state = 51, .external_lex_state = 34},
  [9859] = {.lex_state = 62, .external_lex_state = 57},
  [9860] = {.lex_state = 55, .external_lex_state = 44},
  [9861] = {.lex_state = 62, .external_lex_state = 39},
  [9862] = {.lex_state = 55, .external_lex_state = 44},
  [9863] = {.lex_state = 62, .external_lex_state = 53},
  [9864] = {.lex_state = 51},
  [9865] = {.lex_state = 50},
  [9866] = {.lex_state = 60, .external_lex_state = 38},
  [9867] = {.lex_state = 62, .external_lex_state = 39},
  [9868] = {.lex_state = 60, .external_lex_state = 58},
  [9869] = {.lex_state = 62, .external_lex_state = 39},
  [9870] = {.lex_state = 62, .external_lex_state = 39},
  [9871] = {.lex_state = 61, .external_lex_state = 24},
  [9872] = {.lex_state = 51},
  [9873] = {.lex_state = 62, .external_lex_state = 39},
  [9874] = {.lex_state = 51, .external_lex_state = 31},
  [9875] = {.lex_state = 55, .external_lex_state = 44},
  [9876] = {.lex_state = 61, .external_lex_state = 24},
  [9877] = {.lex_state = 62, .external_lex_state = 39},
  [9878] = {.lex_state = 62, .external_lex_state = 38},
  [9879] = {.lex_state = 60, .external_lex_state = 57},
  [9880] = {.lex_state = 50},
  [9881] = {.lex_state = 62, .external_lex_state = 39},
  [9882] = {.lex_state = 62, .external_lex_state = 34},
  [9883] = {.lex_state = 62, .external_lex_state = 39},
  [9884] = {.lex_state = 60, .external_lex_state = 57},
  [9885] = {.lex_state = 50},
  [9886] = {.lex_state = 50},
  [9887] = {.lex_state = 62, .external_lex_state = 28},
  [9888] = {.lex_state = 60, .external_lex_state = 57},
  [9889] = {.lex_state = 62, .external_lex_state = 39},
  [9890] = {.lex_state = 60, .external_lex_state = 56},
  [9891] = {.lex_state = 50},
  [9892] = {.lex_state = 50},
  [9893] = {.lex_state = 63, .external_lex_state = 35},
  [9894] = {.lex_state = 50},
  [9895] = {.lex_state = 51, .external_lex_state = 53},
  [9896] = {.lex_state = 55, .external_lex_state = 44},
  [9897] = {.lex_state = 62, .external_lex_state = 39},
  [9898] = {.lex_state = 51, .external_lex_state = 52},
  [9899] = {.lex_state = 60, .external_lex_state = 57},
  [9900] = {.lex_state = 62, .external_lex_state = 39},
  [9901] = {.lex_state = 62, .external_lex_state = 39},
  [9902] = {.lex_state = 61, .external_lex_state = 23},
  [9903] = {.lex_state = 62, .external_lex_state = 39},
  [9904] = {.lex_state = 11, .external_lex_state = 44},
  [9905] = {.lex_state = 61, .external_lex_state = 24},
  [9906] = {.lex_state = 60, .external_lex_state = 57},
  [9907] = {.lex_state = 51, .external_lex_state = 24},
  [9908] = {.lex_state = 55, .external_lex_state = 44},
  [9909] = {.lex_state = 11, .external_lex_state = 44},
  [9910] = {.lex_state = 61, .external_lex_state = 24},
  [9911] = {.lex_state = 60, .external_lex_state = 57},
  [9912] = {.lex_state = 60, .external_lex_state = 57},
  [9913] = {.lex_state = 62, .external_lex_state = 39},
  [9914] = {.lex_state = 4},
  [9915] = {.lex_state = 50},
  [9916] = {.lex_state = 60, .external_lex_state = 28},
  [9917] = {.lex_state = 60, .external_lex_state = 56},
  [9918] = {.lex_state = 62, .external_lex_state = 39},
  [9919] = {.lex_state = 60, .external_lex_state = 57},
  [9920] = {.lex_state = 51, .external_lex_state = 52},
  [9921] = {.lex_state = 60, .external_lex_state = 39},
  [9922] = {.lex_state = 11, .external_lex_state = 44},
  [9923] = {.lex_state = 60, .external_lex_state = 56},
  [9924] = {.lex_state = 51, .external_lex_state = 52},
  [9925] = {.lex_state = 4},
  [9926] = {.lex_state = 51, .external_lex_state = 59},
  [9927] = {.lex_state = 60, .external_lex_state = 56},
  [9928] = {.lex_state = 55, .external_lex_state = 44},
  [9929] = {.lex_state = 62, .external_lex_state = 39},
  [9930] = {.lex_state = 51, .external_lex_state = 28},
  [9931] = {.lex_state = 51, .external_lex_state = 57},
  [9932] = {.lex_state = 62, .external_lex_state = 25},
  [9933] = {.lex_state = 3},
  [9934] = {.lex_state = 17},
  [9935] = {.lex_state = 55, .external_lex_state = 44},
  [9936] = {.lex_state = 51, .external_lex_state = 28},
  [9937] = {.lex_state = 61, .external_lex_state = 23},
  [9938] = {.lex_state = 51, .external_lex_state = 58},
  [9939] = {.lex_state = 62},
  [9940] = {.lex_state = 62, .external_lex_state = 25},
  [9941] = {.lex_state = 51, .external_lex_state = 28},
  [9942] = {.lex_state = 62, .external_lex_state = 23},
  [9943] = {.lex_state = 62},
  [9944] = {.lex_state = 60, .external_lex_state = 32},
  [9945] = {.lex_state = 60, .external_lex_state = 24},
  [9946] = {.lex_state = 62, .external_lex_state = 23},
  [9947] = {.lex_state = 60, .external_lex_state = 32},
  [9948] = {.lex_state = 60, .external_lex_state = 34},
  [9949] = {.lex_state = 62, .external_lex_state = 38},
  [9950] = {.lex_state = 62, .external_lex_state = 25},
  [9951] = {.lex_state = 62, .external_lex_state = 25},
  [9952] = {.lex_state = 51, .external_lex_state = 28},
  [9953] = {.lex_state = 51, .external_lex_state = 58},
  [9954] = {.lex_state = 17},
  [9955] = {.lex_state = 55, .external_lex_state = 44},
  [9956] = {.lex_state = 3},
  [9957] = {.lex_state = 17},
  [9958] = {.lex_state = 3},
  [9959] = {.lex_state = 21, .external_lex_state = 44},
  [9960] = {.lex_state = 62, .external_lex_state = 25},
  [9961] = {.lex_state = 60, .external_lex_state = 34},
  [9962] = {.lex_state = 4},
  [9963] = {.lex_state = 62, .external_lex_state = 39},
  [9964] = {.lex_state = 60, .external_lex_state = 32},
  [9965] = {.lex_state = 62, .external_lex_state = 23},
  [9966] = {.lex_state = 55, .external_lex_state = 44},
  [9967] = {.lex_state = 21, .external_lex_state = 44},
  [9968] = {.lex_state = 62, .external_lex_state = 25},
  [9969] = {.lex_state = 60, .external_lex_state = 32},
  [9970] = {.lex_state = 62, .external_lex_state = 46},
  [9971] = {.lex_state = 62, .external_lex_state = 38},
  [9972] = {.lex_state = 51, .external_lex_state = 28},
  [9973] = {.lex_state = 61, .external_lex_state = 23},
  [9974] = {.lex_state = 62, .external_lex_state = 25},
  [9975] = {.lex_state = 62, .external_lex_state = 25},
  [9976] = {.lex_state = 17},
  [9977] = {.lex_state = 62, .external_lex_state = 23},
  [9978] = {.lex_state = 62, .external_lex_state = 23},
  [9979] = {.lex_state = 55, .external_lex_state = 44},
  [9980] = {.lex_state = 62},
  [9981] = {.lex_state = 55, .external_lex_state = 44},
  [9982] = {.lex_state = 62, .external_lex_state = 23},
  [9983] = {.lex_state = 51, .external_lex_state = 57},
  [9984] = {.lex_state = 21, .external_lex_state = 44},
  [9985] = {.lex_state = 55, .external_lex_state = 44},
  [9986] = {.lex_state = 62, .external_lex_state = 25},
  [9987] = {.lex_state = 55, .external_lex_state = 44},
  [9988] = {.lex_state = 62, .external_lex_state = 23},
  [9989] = {.lex_state = 60, .external_lex_state = 32},
  [9990] = {.lex_state = 60, .external_lex_state = 23},
  [9991] = {.lex_state = 60, .external_lex_state = 34},
  [9992] = {.lex_state = 21, .external_lex_state = 44},
  [9993] = {.lex_state = 17},
  [9994] = {.lex_state = 62, .external_lex_state = 23},
  [9995] = {.lex_state = 21, .external_lex_state = 44},
  [9996] = {.lex_state = 23},
  [9997] = {.lex_state = 51, .external_lex_state = 28},
  [9998] = {.lex_state = 51, .external_lex_state = 59},
  [9999] = {.lex_state = 55, .external_lex_state = 44},
  [10000] = {.lex_state = 3},
  [10001] = {.lex_state = 62, .external_lex_state = 25},
  [10002] = {.lex_state = 51, .external_lex_state = 57},
  [10003] = {.lex_state = 60, .external_lex_state = 34},
  [10004] = {.lex_state = 51, .external_lex_state = 56},
  [10005] = {.lex_state = 62, .external_lex_state = 24},
  [10006] = {.lex_state = 60, .external_lex_state = 32},
  [10007] = {.lex_state = 62, .external_lex_state = 25},
  [10008] = {.lex_state = 60, .external_lex_state = 32},
  [10009] = {.lex_state = 21, .external_lex_state = 44},
  [10010] = {.lex_state = 62, .external_lex_state = 23},
  [10011] = {.lex_state = 8},
  [10012] = {.lex_state = 51, .external_lex_state = 56},
  [10013] = {.lex_state = 55, .external_lex_state = 44},
  [10014] = {.lex_state = 17},
  [10015] = {.lex_state = 3},
  [10016] = {.lex_state = 60, .external_lex_state = 32},
  [10017] = {.lex_state = 62, .external_lex_state = 23},
  [10018] = {.lex_state = 51, .external_lex_state = 57},
  [10019] = {.lex_state = 61, .external_lex_state = 23},
  [10020] = {.lex_state = 62, .external_lex_state = 58},
  [10021] = {.lex_state = 19, .external_lex_state = 44},
  [10022] = {.lex_state = 60, .external_lex_state = 24},
  [10023] = {.lex_state = 51, .external_lex_state = 57},
  [10024] = {.lex_state = 62, .external_lex_state = 23},
  [10025] = {.lex_state = 62, .external_lex_state = 39},
  [10026] = {.lex_state = 62, .external_lex_state = 53},
  [10027] = {.lex_state = 55, .external_lex_state = 44},
  [10028] = {.lex_state = 17},
  [10029] = {.lex_state = 62, .external_lex_state = 25},
  [10030] = {.lex_state = 62, .external_lex_state = 25},
  [10031] = {.lex_state = 62, .external_lex_state = 24},
  [10032] = {.lex_state = 60, .external_lex_state = 34},
  [10033] = {.lex_state = 62, .external_lex_state = 25},
  [10034] = {.lex_state = 23},
  [10035] = {.lex_state = 55, .external_lex_state = 44},
  [10036] = {.lex_state = 51, .external_lex_state = 58},
  [10037] = {.lex_state = 62, .external_lex_state = 46},
  [10038] = {.lex_state = 62, .external_lex_state = 39},
  [10039] = {.lex_state = 51},
  [10040] = {.lex_state = 51, .external_lex_state = 56},
  [10041] = {.lex_state = 62, .external_lex_state = 34},
  [10042] = {.lex_state = 51, .external_lex_state = 59},
  [10043] = {.lex_state = 62, .external_lex_state = 23},
  [10044] = {.lex_state = 3},
  [10045] = {.lex_state = 55, .external_lex_state = 44},
  [10046] = {.lex_state = 62},
  [10047] = {.lex_state = 62, .external_lex_state = 23},
  [10048] = {.lex_state = 62, .external_lex_state = 23},
  [10049] = {.lex_state = 51, .external_lex_state = 59},
  [10050] = {.lex_state = 60, .external_lex_state = 24},
  [10051] = {.lex_state = 61, .external_lex_state = 23},
  [10052] = {.lex_state = 60, .external_lex_state = 24},
  [10053] = {.lex_state = 62, .external_lex_state = 23},
  [10054] = {.lex_state = 51, .external_lex_state = 57},
  [10055] = {.lex_state = 51, .external_lex_state = 57},
  [10056] = {.lex_state = 62, .external_lex_state = 32},
  [10057] = {.lex_state = 51, .external_lex_state = 56},
  [10058] = {.lex_state = 4},
  [10059] = {.lex_state = 20, .external_lex_state = 44},
  [10060] = {.lex_state = 62, .external_lex_state = 23},
  [10061] = {.lex_state = 3},
  [10062] = {.lex_state = 51, .external_lex_state = 39},
  [10063] = {.lex_state = 51, .external_lex_state = 58},
  [10064] = {.lex_state = 61, .external_lex_state = 23},
  [10065] = {.lex_state = 60, .external_lex_state = 34},
  [10066] = {.lex_state = 51, .external_lex_state = 58},
  [10067] = {.lex_state = 62, .external_lex_state = 23},
  [10068] = {.lex_state = 62, .external_lex_state = 25},
  [10069] = {.lex_state = 51, .external_lex_state = 57},
  [10070] = {.lex_state = 55, .external_lex_state = 44},
  [10071] = {.lex_state = 62, .external_lex_state = 50},
  [10072] = {.lex_state = 55, .external_lex_state = 44},
  [10073] = {.lex_state = 51, .external_lex_state = 56},
  [10074] = {.lex_state = 61},
  [10075] = {.lex_state = 55, .external_lex_state = 44},
  [10076] = {.lex_state = 51, .external_lex_state = 28},
  [10077] = {.lex_state = 17},
  [10078] = {.lex_state = 51, .external_lex_state = 56},
  [10079] = {.lex_state = 61, .external_lex_state = 23},
  [10080] = {.lex_state = 61},
  [10081] = {.lex_state = 62, .external_lex_state = 49},
  [10082] = {.lex_state = 51, .external_lex_state = 58},
  [10083] = {.lex_state = 61},
  [10084] = {.lex_state = 4},
  [10085] = {.lex_state = 61, .external_lex_state = 23},
  [10086] = {.lex_state = 53, .external_lex_state = 28},
  [10087] = {.lex_state = 62, .external_lex_state = 25},
  [10088] = {.lex_state = 17},
  [10089] = {.lex_state = 62, .external_lex_state = 23},
  [10090] = {.lex_state = 55, .external_lex_state = 44},
  [10091] = {.lex_state = 51, .external_lex_state = 56},
  [10092] = {.lex_state = 3},
  [10093] = {.lex_state = 62, .external_lex_state = 24},
  [10094] = {.lex_state = 19, .external_lex_state = 44},
  [10095] = {.lex_state = 23},
  [10096] = {.lex_state = 62, .external_lex_state = 32},
  [10097] = {.lex_state = 61, .external_lex_state = 23},
  [10098] = {.lex_state = 51, .external_lex_state = 56},
  [10099] = {.lex_state = 61},
  [10100] = {.lex_state = 62, .external_lex_state = 23},
  [10101] = {.lex_state = 51, .external_lex_state = 58},
  [10102] = {.lex_state = 62, .external_lex_state = 25},
  [10103] = {.lex_state = 17},
  [10104] = {.lex_state = 4},
  [10105] = {.lex_state = 51, .external_lex_state = 57},
  [10106] = {.lex_state = 20, .external_lex_state = 44},
  [10107] = {.lex_state = 3},
  [10108] = {.lex_state = 61, .external_lex_state = 23},
  [10109] = {.lex_state = 51, .external_lex_state = 58},
  [10110] = {.lex_state = 55, .external_lex_state = 44},
  [10111] = {.lex_state = 60, .external_lex_state = 34},
  [10112] = {.lex_state = 23},
  [10113] = {.lex_state = 51, .external_lex_state = 28},
  [10114] = {.lex_state = 60, .external_lex_state = 24},
  [10115] = {.lex_state = 62, .external_lex_state = 25},
  [10116] = {.lex_state = 62, .external_lex_state = 25},
  [10117] = {.lex_state = 51, .external_lex_state = 58},
  [10118] = {.lex_state = 62, .external_lex_state = 25},
  [10119] = {.lex_state = 60, .external_lex_state = 34},
  [10120] = {.lex_state = 51, .external_lex_state = 23},
  [10121] = {.lex_state = 55, .external_lex_state = 44},
  [10122] = {.lex_state = 62},
  [10123] = {.lex_state = 55, .external_lex_state = 44},
  [10124] = {.lex_state = 62, .external_lex_state = 23},
  [10125] = {.lex_state = 60, .external_lex_state = 24},
  [10126] = {.lex_state = 62, .external_lex_state = 23},
  [10127] = {.lex_state = 60, .external_lex_state = 24},
  [10128] = {.lex_state = 60, .external_lex_state = 32},
  [10129] = {.lex_state = 62, .external_lex_state = 25},
  [10130] = {.lex_state = 60, .external_lex_state = 34},
  [10131] = {.lex_state = 62, .external_lex_state = 25},
  [10132] = {.lex_state = 62, .external_lex_state = 23},
  [10133] = {.lex_state = 62, .external_lex_state = 23},
  [10134] = {.lex_state = 60, .external_lex_state = 34},
  [10135] = {.lex_state = 50},
  [10136] = {.lex_state = 61},
  [10137] = {.lex_state = 19},
  [10138] = {.lex_state = 62, .external_lex_state = 24},
  [10139] = {.lex_state = 62, .external_lex_state = 38},
  [10140] = {.lex_state = 55, .external_lex_state = 44},
  [10141] = {.lex_state = 62, .external_lex_state = 23},
  [10142] = {.lex_state = 62, .external_lex_state = 24},
  [10143] = {.lex_state = 55, .external_lex_state = 44},
  [10144] = {.lex_state = 55, .external_lex_state = 44},
  [10145] = {.lex_state = 62, .external_lex_state = 23},
  [10146] = {.lex_state = 51, .external_lex_state = 28},
  [10147] = {.lex_state = 60, .external_lex_state = 32},
  [10148] = {.lex_state = 3},
  [10149] = {.lex_state = 51},
  [10150] = {.lex_state = 3},
  [10151] = {.lex_state = 61},
  [10152] = {.lex_state = 61},
  [10153] = {.lex_state = 62, .external_lex_state = 23},
  [10154] = {.lex_state = 51, .external_lex_state = 57},
  [10155] = {.lex_state = 3},
  [10156] = {.lex_state = 63, .external_lex_state = 23},
  [10157] = {.lex_state = 3},
  [10158] = {.lex_state = 62, .external_lex_state = 52},
  [10159] = {.lex_state = 61},
  [10160] = {.lex_state = 51, .external_lex_state = 56},
  [10161] = {.lex_state = 4},
  [10162] = {.lex_state = 51, .external_lex_state = 38},
  [10163] = {.lex_state = 61},
  [10164] = {.lex_state = 55, .external_lex_state = 44},
  [10165] = {.lex_state = 51, .external_lex_state = 56},
  [10166] = {.lex_state = 62, .external_lex_state = 25},
  [10167] = {.lex_state = 51, .external_lex_state = 23},
  [10168] = {.lex_state = 60, .external_lex_state = 24},
  [10169] = {.lex_state = 53, .external_lex_state = 60},
  [10170] = {.lex_state = 60, .external_lex_state = 24},
  [10171] = {.lex_state = 51, .external_lex_state = 58},
  [10172] = {.lex_state = 61, .external_lex_state = 23},
  [10173] = {.lex_state = 60, .external_lex_state = 24},
  [10174] = {.lex_state = 51, .external_lex_state = 59},
  [10175] = {.lex_state = 51, .external_lex_state = 28},
  [10176] = {.lex_state = 62, .external_lex_state = 25},
  [10177] = {.lex_state = 55, .external_lex_state = 44},
  [10178] = {.lex_state = 62, .external_lex_state = 25},
  [10179] = {.lex_state = 62, .external_lex_state = 34},
  [10180] = {.lex_state = 51, .external_lex_state = 23},
  [10181] = {.lex_state = 62, .external_lex_state = 39},
  [10182] = {.lex_state = 63, .external_lex_state = 23},
  [10183] = {.lex_state = 50},
  [10184] = {.lex_state = 50},
  [10185] = {.lex_state = 50},
  [10186] = {.lex_state = 63, .external_lex_state = 24},
  [10187] = {.lex_state = 50},
  [10188] = {.lex_state = 51},
  [10189] = {.lex_state = 20},
  [10190] = {.lex_state = 3},
  [10191] = {.lex_state = 62, .external_lex_state = 50},
  [10192] = {.lex_state = 51, .external_lex_state = 32},
  [10193] = {.lex_state = 51, .external_lex_state = 32},
  [10194] = {.lex_state = 63, .external_lex_state = 24},
  [10195] = {.lex_state = 60, .external_lex_state = 39},
  [10196] = {.lex_state = 51, .external_lex_state = 34},
  [10197] = {.lex_state = 62, .external_lex_state = 23},
  [10198] = {.lex_state = 51, .external_lex_state = 32},
  [10199] = {.lex_state = 63, .external_lex_state = 24},
  [10200] = {.lex_state = 60, .external_lex_state = 38},
  [10201] = {.lex_state = 50},
  [10202] = {.lex_state = 60, .external_lex_state = 38},
  [10203] = {.lex_state = 51, .external_lex_state = 32},
  [10204] = {.lex_state = 51, .external_lex_state = 34},
  [10205] = {.lex_state = 62, .external_lex_state = 24},
  [10206] = {.lex_state = 3},
  [10207] = {.lex_state = 60, .external_lex_state = 38},
  [10208] = {.lex_state = 63, .external_lex_state = 23},
  [10209] = {.lex_state = 62, .external_lex_state = 24},
  [10210] = {.lex_state = 50},
  [10211] = {.lex_state = 50},
  [10212] = {.lex_state = 50},
  [10213] = {.lex_state = 53, .external_lex_state = 61},
  [10214] = {.lex_state = 53, .external_lex_state = 62},
  [10215] = {.lex_state = 51, .external_lex_state = 34},
  [10216] = {.lex_state = 62, .external_lex_state = 23},
  [10217] = {.lex_state = 62, .external_lex_state = 38},
  [10218] = {.lex_state = 51, .external_lex_state = 32},
  [10219] = {.lex_state = 62, .external_lex_state = 58},
  [10220] = {.lex_state = 62, .external_lex_state = 23},
  [10221] = {.lex_state = 51, .external_lex_state = 32},
  [10222] = {.lex_state = 51, .external_lex_state = 23},
  [10223] = {.lex_state = 3},
  [10224] = {.lex_state = 51, .external_lex_state = 23},
  [10225] = {.lex_state = 51, .external_lex_state = 34},
  [10226] = {.lex_state = 23},
  [10227] = {.lex_state = 51, .external_lex_state = 23},
  [10228] = {.lex_state = 21},
  [10229] = {.lex_state = 63, .external_lex_state = 23},
  [10230] = {.lex_state = 23},
  [10231] = {.lex_state = 60, .external_lex_state = 38},
  [10232] = {.lex_state = 63, .external_lex_state = 23},
  [10233] = {.lex_state = 62, .external_lex_state = 24},
  [10234] = {.lex_state = 21},
  [10235] = {.lex_state = 62, .external_lex_state = 57},
  [10236] = {.lex_state = 63, .external_lex_state = 23},
  [10237] = {.lex_state = 50},
  [10238] = {.lex_state = 50},
  [10239] = {.lex_state = 62, .external_lex_state = 53},
  [10240] = {.lex_state = 60, .external_lex_state = 38},
  [10241] = {.lex_state = 51, .external_lex_state = 34},
  [10242] = {.lex_state = 63, .external_lex_state = 23},
  [10243] = {.lex_state = 23},
  [10244] = {.lex_state = 63, .external_lex_state = 24},
  [10245] = {.lex_state = 62, .external_lex_state = 56},
  [10246] = {.lex_state = 62, .external_lex_state = 23},
  [10247] = {.lex_state = 63, .external_lex_state = 23},
  [10248] = {.lex_state = 60, .external_lex_state = 39},
  [10249] = {.lex_state = 4},
  [10250] = {.lex_state = 60, .external_lex_state = 38},
  [10251] = {.lex_state = 51, .external_lex_state = 59},
  [10252] = {.lex_state = 21, .external_lex_state = 44},
  [10253] = {.lex_state = 60, .external_lex_state = 39},
  [10254] = {.lex_state = 63, .external_lex_state = 24},
  [10255] = {.lex_state = 62, .external_lex_state = 24},
  [10256] = {.lex_state = 51, .external_lex_state = 34},
  [10257] = {.lex_state = 23},
  [10258] = {.lex_state = 63, .external_lex_state = 24},
  [10259] = {.lex_state = 62},
  [10260] = {.lex_state = 51, .external_lex_state = 32},
  [10261] = {.lex_state = 60, .external_lex_state = 38},
  [10262] = {.lex_state = 50},
  [10263] = {.lex_state = 60, .external_lex_state = 39},
  [10264] = {.lex_state = 50},
  [10265] = {.lex_state = 50},
  [10266] = {.lex_state = 51, .external_lex_state = 59},
  [10267] = {.lex_state = 60, .external_lex_state = 39},
  [10268] = {.lex_state = 60, .external_lex_state = 38},
  [10269] = {.lex_state = 51, .external_lex_state = 32},
  [10270] = {.lex_state = 51, .external_lex_state = 23},
  [10271] = {.lex_state = 62, .external_lex_state = 24},
  [10272] = {.lex_state = 63, .external_lex_state = 23},
  [10273] = {.lex_state = 62, .external_lex_state = 24},
  [10274] = {.lex_state = 62, .external_lex_state = 50},
  [10275] = {.lex_state = 60, .external_lex_state = 39},
  [10276] = {.lex_state = 62, .external_lex_state = 28},
  [10277] = {.lex_state = 63, .external_lex_state = 24},
  [10278] = {.lex_state = 20, .external_lex_state = 44},
  [10279] = {.lex_state = 63, .external_lex_state = 23},
  [10280] = {.lex_state = 61},
  [10281] = {.lex_state = 62, .external_lex_state = 23},
  [10282] = {.lex_state = 51, .external_lex_state = 32},
  [10283] = {.lex_state = 60, .external_lex_state = 38},
  [10284] = {.lex_state = 21, .external_lex_state = 44},
  [10285] = {.lex_state = 51, .external_lex_state = 23},
  [10286] = {.lex_state = 53, .external_lex_state = 34},
  [10287] = {.lex_state = 23},
  [10288] = {.lex_state = 60, .external_lex_state = 39},
  [10289] = {.lex_state = 50},
  [10290] = {.lex_state = 23},
  [10291] = {.lex_state = 63, .external_lex_state = 24},
  [10292] = {.lex_state = 60, .external_lex_state = 39},
  [10293] = {.lex_state = 51, .external_lex_state = 23},
  [10294] = {.lex_state = 60, .external_lex_state = 39},
  [10295] = {.lex_state = 50},
  [10296] = {.lex_state = 51, .external_lex_state = 23},
  [10297] = {.lex_state = 51, .external_lex_state = 34},
  [10298] = {.lex_state = 50},
  [10299] = {.lex_state = 51, .external_lex_state = 34},
  [10300] = {.lex_state = 62, .external_lex_state = 53},
  [10301] = {.lex_state = 51, .external_lex_state = 23},
  [10302] = {.lex_state = 52, .external_lex_state = 35},
  [10303] = {.lex_state = 60, .external_lex_state = 39},
  [10304] = {.lex_state = 62, .external_lex_state = 39},
  [10305] = {.lex_state = 50},
  [10306] = {.lex_state = 60, .external_lex_state = 38},
  [10307] = {.lex_state = 63, .external_lex_state = 24},
  [10308] = {.lex_state = 3},
  [10309] = {.lex_state = 51, .external_lex_state = 23},
  [10310] = {.lex_state = 53, .external_lex_state = 32},
  [10311] = {.lex_state = 51, .external_lex_state = 32},
  [10312] = {.lex_state = 50},
  [10313] = {.lex_state = 51, .external_lex_state = 34},
  [10314] = {.lex_state = 63, .external_lex_state = 23},
  [10315] = {.lex_state = 62, .external_lex_state = 38},
  [10316] = {.lex_state = 20, .external_lex_state = 44},
  [10317] = {.lex_state = 63, .external_lex_state = 24},
  [10318] = {.lex_state = 51},
  [10319] = {.lex_state = 51, .external_lex_state = 34},
  [10320] = {.lex_state = 4},
  [10321] = {.lex_state = 62, .external_lex_state = 23},
  [10322] = {.lex_state = 4},
  [10323] = {.lex_state = 53, .external_lex_state = 61},
  [10324] = {.lex_state = 23},
  [10325] = {.lex_state = 4},
  [10326] = {.lex_state = 21},
  [10327] = {.lex_state = 21},
  [10328] = {.lex_state = 3},
  [10329] = {.lex_state = 3},
  [10330] = {.lex_state = 52, .external_lex_state = 35},
  [10331] = {.lex_state = 3},
  [10332] = {.lex_state = 21},
  [10333] = {.lex_state = 8},
  [10334] = {.lex_state = 53, .external_lex_state = 25},
  [10335] = {.lex_state = 53, .external_lex_state = 25},
  [10336] = {.lex_state = 60, .external_lex_state = 23},
  [10337] = {.lex_state = 52, .external_lex_state = 54},
  [10338] = {.lex_state = 51, .external_lex_state = 39},
  [10339] = {.lex_state = 53, .external_lex_state = 25},
  [10340] = {.lex_state = 62},
  [10341] = {.lex_state = 53, .external_lex_state = 28},
  [10342] = {.lex_state = 21},
  [10343] = {.lex_state = 19},
  [10344] = {.lex_state = 21},
  [10345] = {.lex_state = 21},
  [10346] = {.lex_state = 50, .external_lex_state = 23},
  [10347] = {.lex_state = 4},
  [10348] = {.lex_state = 53, .external_lex_state = 28},
  [10349] = {.lex_state = 53, .external_lex_state = 25},
  [10350] = {.lex_state = 51, .external_lex_state = 38},
  [10351] = {.lex_state = 53, .external_lex_state = 25},
  [10352] = {.lex_state = 62},
  [10353] = {.lex_state = 53, .external_lex_state = 61},
  [10354] = {.lex_state = 53, .external_lex_state = 60},
  [10355] = {.lex_state = 53, .external_lex_state = 28},
  [10356] = {.lex_state = 50, .external_lex_state = 24},
  [10357] = {.lex_state = 50, .external_lex_state = 24},
  [10358] = {.lex_state = 21},
  [10359] = {.lex_state = 53, .external_lex_state = 63},
  [10360] = {.lex_state = 62},
  [10361] = {.lex_state = 51, .external_lex_state = 39},
  [10362] = {.lex_state = 50, .external_lex_state = 23},
  [10363] = {.lex_state = 21},
  [10364] = {.lex_state = 8},
  [10365] = {.lex_state = 21},
  [10366] = {.lex_state = 50, .external_lex_state = 24},
  [10367] = {.lex_state = 53, .external_lex_state = 28},
  [10368] = {.lex_state = 50, .external_lex_state = 24},
  [10369] = {.lex_state = 21},
  [10370] = {.lex_state = 53, .external_lex_state = 25},
  [10371] = {.lex_state = 50, .external_lex_state = 23},
  [10372] = {.lex_state = 62, .external_lex_state = 58},
  [10373] = {.lex_state = 63, .external_lex_state = 23},
  [10374] = {.lex_state = 63, .external_lex_state = 23},
  [10375] = {.lex_state = 21},
  [10376] = {.lex_state = 51, .external_lex_state = 39},
  [10377] = {.lex_state = 53, .external_lex_state = 61},
  [10378] = {.lex_state = 50},
  [10379] = {.lex_state = 21},
  [10380] = {.lex_state = 4},
  [10381] = {.lex_state = 21},
  [10382] = {.lex_state = 63, .external_lex_state = 23},
  [10383] = {.lex_state = 21},
  [10384] = {.lex_state = 21},
  [10385] = {.lex_state = 19},
  [10386] = {.lex_state = 18},
  [10387] = {.lex_state = 63, .external_lex_state = 23},
  [10388] = {.lex_state = 62, .external_lex_state = 32},
  [10389] = {.lex_state = 21},
  [10390] = {.lex_state = 50, .external_lex_state = 24},
  [10391] = {.lex_state = 21},
  [10392] = {.lex_state = 18},
  [10393] = {.lex_state = 50},
  [10394] = {.lex_state = 3},
  [10395] = {.lex_state = 21},
  [10396] = {.lex_state = 21},
  [10397] = {.lex_state = 21},
  [10398] = {.lex_state = 21},
  [10399] = {.lex_state = 3},
  [10400] = {.lex_state = 8},
  [10401] = {.lex_state = 53, .external_lex_state = 61},
  [10402] = {.lex_state = 53, .external_lex_state = 23},
  [10403] = {.lex_state = 4},
  [10404] = {.lex_state = 51, .external_lex_state = 38},
  [10405] = {.lex_state = 51, .external_lex_state = 39},
  [10406] = {.lex_state = 50, .external_lex_state = 23},
  [10407] = {.lex_state = 50, .external_lex_state = 23},
  [10408] = {.lex_state = 50},
  [10409] = {.lex_state = 63, .external_lex_state = 23},
  [10410] = {.lex_state = 21},
  [10411] = {.lex_state = 19},
  [10412] = {.lex_state = 50, .external_lex_state = 23},
  [10413] = {.lex_state = 50, .external_lex_state = 23},
  [10414] = {.lex_state = 50, .external_lex_state = 23},
  [10415] = {.lex_state = 51, .external_lex_state = 39},
  [10416] = {.lex_state = 52, .external_lex_state = 23},
  [10417] = {.lex_state = 19},
  [10418] = {.lex_state = 50, .external_lex_state = 23},
  [10419] = {.lex_state = 21},
  [10420] = {.lex_state = 62},
  [10421] = {.lex_state = 50},
  [10422] = {.lex_state = 21},
  [10423] = {.lex_state = 51, .external_lex_state = 38},
  [10424] = {.lex_state = 63, .external_lex_state = 23},
  [10425] = {.lex_state = 21},
  [10426] = {.lex_state = 19},
  [10427] = {.lex_state = 51, .external_lex_state = 39},
  [10428] = {.lex_state = 50, .external_lex_state = 23},
  [10429] = {.lex_state = 60, .external_lex_state = 23},
  [10430] = {.lex_state = 62},
  [10431] = {.lex_state = 50},
  [10432] = {.lex_state = 53, .external_lex_state = 60},
  [10433] = {.lex_state = 51, .external_lex_state = 38},
  [10434] = {.lex_state = 21},
  [10435] = {.lex_state = 21},
  [10436] = {.lex_state = 50, .external_lex_state = 24},
  [10437] = {.lex_state = 50, .external_lex_state = 24},
  [10438] = {.lex_state = 3},
  [10439] = {.lex_state = 53, .external_lex_state = 25},
  [10440] = {.lex_state = 4},
  [10441] = {.lex_state = 62},
  [10442] = {.lex_state = 50},
  [10443] = {.lex_state = 3},
  [10444] = {.lex_state = 51, .external_lex_state = 38},
  [10445] = {.lex_state = 53, .external_lex_state = 25},
  [10446] = {.lex_state = 21},
  [10447] = {.lex_state = 50, .external_lex_state = 23},
  [10448] = {.lex_state = 21},
  [10449] = {.lex_state = 19},
  [10450] = {.lex_state = 50, .external_lex_state = 23},
  [10451] = {.lex_state = 21},
  [10452] = {.lex_state = 50, .external_lex_state = 23},
  [10453] = {.lex_state = 51, .external_lex_state = 38},
  [10454] = {.lex_state = 21},
  [10455] = {.lex_state = 50, .external_lex_state = 23},
  [10456] = {.lex_state = 60, .external_lex_state = 23},
  [10457] = {.lex_state = 53, .external_lex_state = 25},
  [10458] = {.lex_state = 62},
  [10459] = {.lex_state = 50},
  [10460] = {.lex_state = 50, .external_lex_state = 24},
  [10461] = {.lex_state = 62},
  [10462] = {.lex_state = 52, .external_lex_state = 35},
  [10463] = {.lex_state = 50, .external_lex_state = 24},
  [10464] = {.lex_state = 62},
  [10465] = {.lex_state = 51, .external_lex_state = 38},
  [10466] = {.lex_state = 19},
  [10467] = {.lex_state = 62},
  [10468] = {.lex_state = 62},
  [10469] = {.lex_state = 3},
  [10470] = {.lex_state = 21},
  [10471] = {.lex_state = 50, .external_lex_state = 23},
  [10472] = {.lex_state = 21},
  [10473] = {.lex_state = 21},
  [10474] = {.lex_state = 3},
  [10475] = {.lex_state = 50, .external_lex_state = 24},
  [10476] = {.lex_state = 50, .external_lex_state = 24},
  [10477] = {.lex_state = 21},
  [10478] = {.lex_state = 4},
  [10479] = {.lex_state = 50, .external_lex_state = 23},
  [10480] = {.lex_state = 51},
  [10481] = {.lex_state = 62},
  [10482] = {.lex_state = 62},
  [10483] = {.lex_state = 50, .external_lex_state = 24},
  [10484] = {.lex_state = 50, .external_lex_state = 24},
  [10485] = {.lex_state = 63, .external_lex_state = 23},
  [10486] = {.lex_state = 21},
  [10487] = {.lex_state = 62},
  [10488] = {.lex_state = 51, .external_lex_state = 38},
  [10489] = {.lex_state = 62, .external_lex_state = 23},
  [10490] = {.lex_state = 50, .external_lex_state = 24},
  [10491] = {.lex_state = 19},
  [10492] = {.lex_state = 62},
  [10493] = {.lex_state = 63, .external_lex_state = 23},
  [10494] = {.lex_state = 3},
  [10495] = {.lex_state = 21},
  [10496] = {.lex_state = 59, .external_lex_state = 28},
  [10497] = {.lex_state = 62, .external_lex_state = 23},
  [10498] = {.lex_state = 51, .external_lex_state = 39},
  [10499] = {.lex_state = 50, .external_lex_state = 24},
  [10500] = {.lex_state = 21},
  [10501] = {.lex_state = 62},
  [10502] = {.lex_state = 51, .external_lex_state = 38},
  [10503] = {.lex_state = 50, .external_lex_state = 24},
  [10504] = {.lex_state = 60, .external_lex_state = 23},
  [10505] = {.lex_state = 53, .external_lex_state = 38},
  [10506] = {.lex_state = 53, .external_lex_state = 25},
  [10507] = {.lex_state = 51, .external_lex_state = 59},
  [10508] = {.lex_state = 50, .external_lex_state = 23},
  [10509] = {.lex_state = 21},
  [10510] = {.lex_state = 50, .external_lex_state = 24},
  [10511] = {.lex_state = 50, .external_lex_state = 23},
  [10512] = {.lex_state = 50},
  [10513] = {.lex_state = 3},
  [10514] = {.lex_state = 21},
  [10515] = {.lex_state = 21},
  [10516] = {.lex_state = 21},
  [10517] = {.lex_state = 53, .external_lex_state = 61},
  [10518] = {.lex_state = 50, .external_lex_state = 24},
  [10519] = {.lex_state = 21},
  [10520] = {.lex_state = 4},
  [10521] = {.lex_state = 62, .external_lex_state = 24},
  [10522] = {.lex_state = 21},
  [10523] = {.lex_state = 50},
  [10524] = {.lex_state = 50},
  [10525] = {.lex_state = 59, .external_lex_state = 28},
  [10526] = {.lex_state = 51, .external_lex_state = 59},
  [10527] = {.lex_state = 51, .external_lex_state = 38},
  [10528] = {.lex_state = 60, .external_lex_state = 23},
  [10529] = {.lex_state = 50, .external_lex_state = 24},
  [10530] = {.lex_state = 50},
  [10531] = {.lex_state = 63, .external_lex_state = 23},
  [10532] = {.lex_state = 21},
  [10533] = {.lex_state = 62},
  [10534] = {.lex_state = 50, .external_lex_state = 24},
  [10535] = {.lex_state = 21},
  [10536] = {.lex_state = 50, .external_lex_state = 23},
  [10537] = {.lex_state = 51, .external_lex_state = 39},
  [10538] = {.lex_state = 21},
  [10539] = {.lex_state = 8},
  [10540] = {.lex_state = 60, .external_lex_state = 23},
  [10541] = {.lex_state = 53, .external_lex_state = 25},
  [10542] = {.lex_state = 53, .external_lex_state = 63},
  [10543] = {.lex_state = 53, .external_lex_state = 25},
  [10544] = {.lex_state = 53, .external_lex_state = 25},
  [10545] = {.lex_state = 53, .external_lex_state = 39},
  [10546] = {.lex_state = 4},
  [10547] = {.lex_state = 62},
  [10548] = {.lex_state = 50},
  [10549] = {.lex_state = 60, .external_lex_state = 23},
  [10550] = {.lex_state = 51, .external_lex_state = 39},
  [10551] = {.lex_state = 51, .external_lex_state = 39},
  [10552] = {.lex_state = 53, .external_lex_state = 25},
  [10553] = {.lex_state = 19},
  [10554] = {.lex_state = 50, .external_lex_state = 24},
  [10555] = {.lex_state = 50, .external_lex_state = 23},
  [10556] = {.lex_state = 60, .external_lex_state = 23},
  [10557] = {.lex_state = 62},
  [10558] = {.lex_state = 4},
  [10559] = {.lex_state = 62, .external_lex_state = 34},
  [10560] = {.lex_state = 3},
  [10561] = {.lex_state = 60, .external_lex_state = 23},
  [10562] = {.lex_state = 63, .external_lex_state = 23},
  [10563] = {.lex_state = 3},
  [10564] = {.lex_state = 50, .external_lex_state = 23},
  [10565] = {.lex_state = 62, .external_lex_state = 58},
  [10566] = {.lex_state = 19},
  [10567] = {.lex_state = 60, .external_lex_state = 23},
  [10568] = {.lex_state = 50, .external_lex_state = 23},
  [10569] = {.lex_state = 53, .external_lex_state = 28},
  [10570] = {.lex_state = 51, .external_lex_state = 64},
  [10571] = {.lex_state = 59, .external_lex_state = 34},
  [10572] = {.lex_state = 62},
  [10573] = {.lex_state = 50, .external_lex_state = 23},
  [10574] = {.lex_state = 3},
  [10575] = {.lex_state = 52, .external_lex_state = 54},
  [10576] = {.lex_state = 50},
  [10577] = {.lex_state = 50},
  [10578] = {.lex_state = 59, .external_lex_state = 34},
  [10579] = {.lex_state = 62, .external_lex_state = 38},
  [10580] = {.lex_state = 50},
  [10581] = {.lex_state = 20},
  [10582] = {.lex_state = 50},
  [10583] = {.lex_state = 61},
  [10584] = {.lex_state = 3},
  [10585] = {.lex_state = 50, .external_lex_state = 23},
  [10586] = {.lex_state = 50, .external_lex_state = 23},
  [10587] = {.lex_state = 4},
  [10588] = {.lex_state = 59, .external_lex_state = 28},
  [10589] = {.lex_state = 50},
  [10590] = {.lex_state = 50, .external_lex_state = 23},
  [10591] = {.lex_state = 52, .external_lex_state = 24},
  [10592] = {.lex_state = 50, .external_lex_state = 23},
  [10593] = {.lex_state = 50},
  [10594] = {.lex_state = 8},
  [10595] = {.lex_state = 18},
  [10596] = {.lex_state = 50},
  [10597] = {.lex_state = 59, .external_lex_state = 32},
  [10598] = {.lex_state = 50},
  [10599] = {.lex_state = 53, .external_lex_state = 34},
  [10600] = {.lex_state = 53, .external_lex_state = 34},
  [10601] = {.lex_state = 50, .external_lex_state = 23},
  [10602] = {.lex_state = 53, .external_lex_state = 32},
  [10603] = {.lex_state = 8},
  [10604] = {.lex_state = 50, .external_lex_state = 23},
  [10605] = {.lex_state = 50, .external_lex_state = 23},
  [10606] = {.lex_state = 50, .external_lex_state = 23},
  [10607] = {.lex_state = 50},
  [10608] = {.lex_state = 53, .external_lex_state = 62},
  [10609] = {.lex_state = 50},
  [10610] = {.lex_state = 50, .external_lex_state = 23},
  [10611] = {.lex_state = 50},
  [10612] = {.lex_state = 50, .external_lex_state = 23},
  [10613] = {.lex_state = 3},
  [10614] = {.lex_state = 50},
  [10615] = {.lex_state = 53, .external_lex_state = 40},
  [10616] = {.lex_state = 3},
  [10617] = {.lex_state = 20},
  [10618] = {.lex_state = 50, .external_lex_state = 23},
  [10619] = {.lex_state = 3},
  [10620] = {.lex_state = 53, .external_lex_state = 28},
  [10621] = {.lex_state = 52, .external_lex_state = 23},
  [10622] = {.lex_state = 53, .external_lex_state = 28},
  [10623] = {.lex_state = 50, .external_lex_state = 23},
  [10624] = {.lex_state = 3},
  [10625] = {.lex_state = 50, .external_lex_state = 23},
  [10626] = {.lex_state = 50, .external_lex_state = 23},
  [10627] = {.lex_state = 62, .external_lex_state = 39},
  [10628] = {.lex_state = 53, .external_lex_state = 28},
  [10629] = {.lex_state = 20},
  [10630] = {.lex_state = 20},
  [10631] = {.lex_state = 3},
  [10632] = {.lex_state = 53, .external_lex_state = 63},
  [10633] = {.lex_state = 20},
  [10634] = {.lex_state = 21},
  [10635] = {.lex_state = 62},
  [10636] = {.lex_state = 20},
  [10637] = {.lex_state = 52, .external_lex_state = 54},
  [10638] = {.lex_state = 53, .external_lex_state = 61},
  [10639] = {.lex_state = 53, .external_lex_state = 28},
  [10640] = {.lex_state = 20},
  [10641] = {.lex_state = 20},
  [10642] = {.lex_state = 20},
  [10643] = {.lex_state = 3},
  [10644] = {.lex_state = 53, .external_lex_state = 62},
  [10645] = {.lex_state = 53, .external_lex_state = 60},
  [10646] = {.lex_state = 3},
  [10647] = {.lex_state = 3},
  [10648] = {.lex_state = 53, .external_lex_state = 28},
  [10649] = {.lex_state = 3},
  [10650] = {.lex_state = 8},
  [10651] = {.lex_state = 53, .external_lex_state = 63},
  [10652] = {.lex_state = 52, .external_lex_state = 24},
  [10653] = {.lex_state = 50, .external_lex_state = 23},
  [10654] = {.lex_state = 8},
  [10655] = {.lex_state = 8},
  [10656] = {.lex_state = 53, .external_lex_state = 60},
  [10657] = {.lex_state = 50, .external_lex_state = 23},
  [10658] = {.lex_state = 50},
  [10659] = {.lex_state = 3},
  [10660] = {.lex_state = 53, .external_lex_state = 34},
  [10661] = {.lex_state = 53, .external_lex_state = 32},
  [10662] = {.lex_state = 50, .external_lex_state = 23},
  [10663] = {.lex_state = 3},
  [10664] = {.lex_state = 3},
  [10665] = {.lex_state = 53, .external_lex_state = 63},
  [10666] = {.lex_state = 53, .external_lex_state = 28},
  [10667] = {.lex_state = 53, .external_lex_state = 28},
  [10668] = {.lex_state = 8},
  [10669] = {.lex_state = 53, .external_lex_state = 28},
  [10670] = {.lex_state = 53, .external_lex_state = 32},
  [10671] = {.lex_state = 3},
  [10672] = {.lex_state = 3},
  [10673] = {.lex_state = 3},
  [10674] = {.lex_state = 3},
  [10675] = {.lex_state = 3},
  [10676] = {.lex_state = 3},
  [10677] = {.lex_state = 53, .external_lex_state = 23},
  [10678] = {.lex_state = 50, .external_lex_state = 23},
  [10679] = {.lex_state = 53, .external_lex_state = 28},
  [10680] = {.lex_state = 3},
  [10681] = {.lex_state = 53, .external_lex_state = 28},
  [10682] = {.lex_state = 20},
  [10683] = {.lex_state = 50, .external_lex_state = 24},
  [10684] = {.lex_state = 53, .external_lex_state = 28},
  [10685] = {.lex_state = 8},
  [10686] = {.lex_state = 59, .external_lex_state = 32},
  [10687] = {.lex_state = 21},
  [10688] = {.lex_state = 50, .external_lex_state = 23},
  [10689] = {.lex_state = 50, .external_lex_state = 23},
  [10690] = {.lex_state = 3},
  [10691] = {.lex_state = 50},
  [10692] = {.lex_state = 53, .external_lex_state = 28},
  [10693] = {.lex_state = 50},
  [10694] = {.lex_state = 50, .external_lex_state = 23},
  [10695] = {.lex_state = 8},
  [10696] = {.lex_state = 3},
  [10697] = {.lex_state = 3},
  [10698] = {.lex_state = 50},
  [10699] = {.lex_state = 53, .external_lex_state = 61},
  [10700] = {.lex_state = 53, .external_lex_state = 32},
  [10701] = {.lex_state = 62},
  [10702] = {.lex_state = 3},
  [10703] = {.lex_state = 8},
  [10704] = {.lex_state = 50},
  [10705] = {.lex_state = 8},
  [10706] = {.lex_state = 50},
  [10707] = {.lex_state = 4},
  [10708] = {.lex_state = 53, .external_lex_state = 63},
  [10709] = {.lex_state = 3},
  [10710] = {.lex_state = 50},
  [10711] = {.lex_state = 50},
  [10712] = {.lex_state = 3},
  [10713] = {.lex_state = 3},
  [10714] = {.lex_state = 50},
  [10715] = {.lex_state = 8},
  [10716] = {.lex_state = 50},
  [10717] = {.lex_state = 53, .external_lex_state = 34},
  [10718] = {.lex_state = 50, .external_lex_state = 24},
  [10719] = {.lex_state = 8},
  [10720] = {.lex_state = 8},
  [10721] = {.lex_state = 4},
  [10722] = {.lex_state = 53, .external_lex_state = 23},
  [10723] = {.lex_state = 4},
  [10724] = {.lex_state = 53, .external_lex_state = 28},
  [10725] = {.lex_state = 50},
  [10726] = {.lex_state = 62},
  [10727] = {.lex_state = 62},
  [10728] = {.lex_state = 62},
  [10729] = {.lex_state = 52, .external_lex_state = 35},
  [10730] = {.lex_state = 52, .external_lex_state = 35},
  [10731] = {.lex_state = 59, .external_lex_state = 38},
  [10732] = {.lex_state = 62},
  [10733] = {.lex_state = 62},
  [10734] = {.lex_state = 62},
  [10735] = {.lex_state = 62},
  [10736] = {.lex_state = 62},
  [10737] = {.lex_state = 62},
  [10738] = {.lex_state = 62},
  [10739] = {.lex_state = 62},
  [10740] = {.lex_state = 62},
  [10741] = {.lex_state = 53, .external_lex_state = 38},
  [10742] = {.lex_state = 53, .external_lex_state = 62},
  [10743] = {.lex_state = 50},
  [10744] = {.lex_state = 53, .external_lex_state = 28},
  [10745] = {.lex_state = 62},
  [10746] = {.lex_state = 62},
  [10747] = {.lex_state = 59, .external_lex_state = 32},
  [10748] = {.lex_state = 62},
  [10749] = {.lex_state = 62},
  [10750] = {.lex_state = 62},
  [10751] = {.lex_state = 50},
  [10752] = {.lex_state = 62},
  [10753] = {.lex_state = 62},
  [10754] = {.lex_state = 62},
  [10755] = {.lex_state = 62},
  [10756] = {.lex_state = 52, .external_lex_state = 35},
  [10757] = {.lex_state = 50},
  [10758] = {.lex_state = 62},
  [10759] = {.lex_state = 62},
  [10760] = {.lex_state = 62},
  [10761] = {.lex_state = 18},
  [10762] = {.lex_state = 62},
  [10763] = {.lex_state = 62},
  [10764] = {.lex_state = 62},
  [10765] = {.lex_state = 62},
  [10766] = {.lex_state = 53, .external_lex_state = 54},
  [10767] = {.lex_state = 62},
  [10768] = {.lex_state = 62},
  [10769] = {.lex_state = 62},
  [10770] = {.lex_state = 62},
  [10771] = {.lex_state = 53, .external_lex_state = 32},
  [10772] = {.lex_state = 62},
  [10773] = {.lex_state = 53, .external_lex_state = 28},
  [10774] = {.lex_state = 62},
  [10775] = {.lex_state = 62},
  [10776] = {.lex_state = 62},
  [10777] = {.lex_state = 50},
  [10778] = {.lex_state = 62},
  [10779] = {.lex_state = 52, .external_lex_state = 23},
  [10780] = {.lex_state = 50},
  [10781] = {.lex_state = 52, .external_lex_state = 35},
  [10782] = {.lex_state = 62},
  [10783] = {.lex_state = 52, .external_lex_state = 23},
  [10784] = {.lex_state = 62},
  [10785] = {.lex_state = 62},
  [10786] = {.lex_state = 62},
  [10787] = {.lex_state = 50},
  [10788] = {.lex_state = 53, .external_lex_state = 28},
  [10789] = {.lex_state = 53, .external_lex_state = 28},
  [10790] = {.lex_state = 62},
  [10791] = {.lex_state = 53, .external_lex_state = 46},
  [10792] = {.lex_state = 52, .external_lex_state = 23},
  [10793] = {.lex_state = 62},
  [10794] = {.lex_state = 62},
  [10795] = {.lex_state = 53, .external_lex_state = 35},
  [10796] = {.lex_state = 62},
  [10797] = {.lex_state = 62},
  [10798] = {.lex_state = 62},
  [10799] = {.lex_state = 53, .external_lex_state = 34},
  [10800] = {.lex_state = 52, .external_lex_state = 35},
  [10801] = {.lex_state = 53, .external_lex_state = 60},
  [10802] = {.lex_state = 4},
  [10803] = {.lex_state = 62},
  [10804] = {.lex_state = 62},
  [10805] = {.lex_state = 52, .external_lex_state = 35},
  [10806] = {.lex_state = 53, .external_lex_state = 39},
  [10807] = {.lex_state = 53, .external_lex_state = 34},
  [10808] = {.lex_state = 62},
  [10809] = {.lex_state = 53, .external_lex_state = 34},
  [10810] = {.lex_state = 53, .external_lex_state = 34},
  [10811] = {.lex_state = 50},
  [10812] = {.lex_state = 50},
  [10813] = {.lex_state = 53, .external_lex_state = 34},
  [10814] = {.lex_state = 53, .external_lex_state = 34},
  [10815] = {.lex_state = 53, .external_lex_state = 60},
  [10816] = {.lex_state = 53, .external_lex_state = 61},
  [10817] = {.lex_state = 52, .external_lex_state = 23},
  [10818] = {.lex_state = 53, .external_lex_state = 61},
  [10819] = {.lex_state = 52, .external_lex_state = 23},
  [10820] = {.lex_state = 53, .external_lex_state = 34},
  [10821] = {.lex_state = 53, .external_lex_state = 34},
  [10822] = {.lex_state = 62},
  [10823] = {.lex_state = 62},
  [10824] = {.lex_state = 62},
  [10825] = {.lex_state = 53, .external_lex_state = 32},
  [10826] = {.lex_state = 62},
  [10827] = {.lex_state = 53, .external_lex_state = 47},
  [10828] = {.lex_state = 52, .external_lex_state = 35},
  [10829] = {.lex_state = 50},
  [10830] = {.lex_state = 62},
  [10831] = {.lex_state = 50},
  [10832] = {.lex_state = 62},
  [10833] = {.lex_state = 50},
  [10834] = {.lex_state = 50},
  [10835] = {.lex_state = 18},
  [10836] = {.lex_state = 50},
  [10837] = {.lex_state = 50},
  [10838] = {.lex_state = 50},
  [10839] = {.lex_state = 50},
  [10840] = {.lex_state = 53, .external_lex_state = 32},
  [10841] = {.lex_state = 62},
  [10842] = {.lex_state = 50},
  [10843] = {.lex_state = 53, .external_lex_state = 28},
  [10844] = {.lex_state = 62},
  [10845] = {.lex_state = 53, .external_lex_state = 32},
  [10846] = {.lex_state = 21},
  [10847] = {.lex_state = 50},
  [10848] = {.lex_state = 50},
  [10849] = {.lex_state = 62},
  [10850] = {.lex_state = 50},
  [10851] = {.lex_state = 53, .external_lex_state = 32},
  [10852] = {.lex_state = 53, .external_lex_state = 60},
  [10853] = {.lex_state = 53, .external_lex_state = 28},
  [10854] = {.lex_state = 52, .external_lex_state = 23},
  [10855] = {.lex_state = 62},
  [10856] = {.lex_state = 62},
  [10857] = {.lex_state = 62},
  [10858] = {.lex_state = 62},
  [10859] = {.lex_state = 62},
  [10860] = {.lex_state = 53, .external_lex_state = 32},
  [10861] = {.lex_state = 50},
  [10862] = {.lex_state = 62},
  [10863] = {.lex_state = 62},
  [10864] = {.lex_state = 62},
  [10865] = {.lex_state = 53, .external_lex_state = 32},
  [10866] = {.lex_state = 50},
  [10867] = {.lex_state = 62},
  [10868] = {.lex_state = 62},
  [10869] = {.lex_state = 53, .external_lex_state = 32},
  [10870] = {.lex_state = 52, .external_lex_state = 23},
  [10871] = {.lex_state = 62},
  [10872] = {.lex_state = 62},
  [10873] = {.lex_state = 52, .external_lex_state = 35},
  [10874] = {.lex_state = 52, .external_lex_state = 23},
  [10875] = {.lex_state = 52, .external_lex_state = 54},
  [10876] = {.lex_state = 53, .external_lex_state = 60},
  [10877] = {.lex_state = 53, .external_lex_state = 32},
  [10878] = {.lex_state = 50},
  [10879] = {.lex_state = 52, .external_lex_state = 54},
  [10880] = {.lex_state = 62},
  [10881] = {.lex_state = 53, .external_lex_state = 60},
  [10882] = {.lex_state = 62},
  [10883] = {.lex_state = 62},
  [10884] = {.lex_state = 52, .external_lex_state = 54},
  [10885] = {.lex_state = 52, .external_lex_state = 23},
  [10886] = {.lex_state = 52, .external_lex_state = 54},
  [10887] = {.lex_state = 62},
  [10888] = {.lex_state = 52, .external_lex_state = 54},
  [10889] = {.lex_state = 62},
  [10890] = {.lex_state = 50},
  [10891] = {.lex_state = 53, .external_lex_state = 28},
  [10892] = {.lex_state = 53, .external_lex_state = 32},
  [10893] = {.lex_state = 62},
  [10894] = {.lex_state = 50},
  [10895] = {.lex_state = 53, .external_lex_state = 62},
  [10896] = {.lex_state = 62},
  [10897] = {.lex_state = 52, .external_lex_state = 54},
  [10898] = {.lex_state = 62},
  [10899] = {.lex_state = 62},
  [10900] = {.lex_state = 53, .external_lex_state = 28},
  [10901] = {.lex_state = 62},
  [10902] = {.lex_state = 62},
  [10903] = {.lex_state = 53, .external_lex_state = 60},
  [10904] = {.lex_state = 53, .external_lex_state = 28},
  [10905] = {.lex_state = 59, .external_lex_state = 39},
  [10906] = {.lex_state = 53, .external_lex_state = 28},
  [10907] = {.lex_state = 62},
  [10908] = {.lex_state = 53, .external_lex_state = 28},
  [10909] = {.lex_state = 62},
  [10910] = {.lex_state = 62},
  [10911] = {.lex_state = 62},
  [10912] = {.lex_state = 53, .external_lex_state = 39},
  [10913] = {.lex_state = 50},
  [10914] = {.lex_state = 53, .external_lex_state = 28},
  [10915] = {.lex_state = 62},
  [10916] = {.lex_state = 62},
  [10917] = {.lex_state = 59, .external_lex_state = 39},
  [10918] = {.lex_state = 53, .external_lex_state = 39},
  [10919] = {.lex_state = 53, .external_lex_state = 63},
  [10920] = {.lex_state = 62},
  [10921] = {.lex_state = 62},
  [10922] = {.lex_state = 53, .external_lex_state = 34},
  [10923] = {.lex_state = 62},
  [10924] = {.lex_state = 53, .external_lex_state = 34},
  [10925] = {.lex_state = 62},
  [10926] = {.lex_state = 53, .external_lex_state = 34},
  [10927] = {.lex_state = 53, .external_lex_state = 34},
  [10928] = {.lex_state = 62},
  [10929] = {.lex_state = 53, .external_lex_state = 34},
  [10930] = {.lex_state = 62},
  [10931] = {.lex_state = 52, .external_lex_state = 35},
  [10932] = {.lex_state = 50},
  [10933] = {.lex_state = 50},
  [10934] = {.lex_state = 62},
  [10935] = {.lex_state = 62},
  [10936] = {.lex_state = 50},
  [10937] = {.lex_state = 53, .external_lex_state = 28},
  [10938] = {.lex_state = 50},
  [10939] = {.lex_state = 52, .external_lex_state = 23},
  [10940] = {.lex_state = 50},
  [10941] = {.lex_state = 62},
  [10942] = {.lex_state = 53, .external_lex_state = 28},
  [10943] = {.lex_state = 62},
  [10944] = {.lex_state = 62},
  [10945] = {.lex_state = 53, .external_lex_state = 28},
  [10946] = {.lex_state = 62},
  [10947] = {.lex_state = 53, .external_lex_state = 38},
  [10948] = {.lex_state = 62},
  [10949] = {.lex_state = 53, .external_lex_state = 38},
  [10950] = {.lex_state = 53, .external_lex_state = 28},
  [10951] = {.lex_state = 62},
  [10952] = {.lex_state = 62},
  [10953] = {.lex_state = 62},
  [10954] = {.lex_state = 52, .external_lex_state = 35},
  [10955] = {.lex_state = 62},
  [10956] = {.lex_state = 53, .external_lex_state = 28},
  [10957] = {.lex_state = 53, .external_lex_state = 32},
  [10958] = {.lex_state = 53, .external_lex_state = 28},
  [10959] = {.lex_state = 62},
  [10960] = {.lex_state = 50},
  [10961] = {.lex_state = 62},
  [10962] = {.lex_state = 62},
  [10963] = {.lex_state = 53, .external_lex_state = 28},
  [10964] = {.lex_state = 52, .external_lex_state = 23},
  [10965] = {.lex_state = 52, .external_lex_state = 23},
  [10966] = {.lex_state = 52, .external_lex_state = 23},
  [10967] = {.lex_state = 62},
  [10968] = {.lex_state = 62},
  [10969] = {.lex_state = 62},
  [10970] = {.lex_state = 62},
  [10971] = {.lex_state = 53, .external_lex_state = 61},
  [10972] = {.lex_state = 53, .external_lex_state = 39},
  [10973] = {.lex_state = 53, .external_lex_state = 32},
  [10974] = {.lex_state = 50},
  [10975] = {.lex_state = 53, .external_lex_state = 32},
  [10976] = {.lex_state = 62},
  [10977] = {.lex_state = 50},
  [10978] = {.lex_state = 62},
  [10979] = {.lex_state = 62, .external_lex_state = 23},
  [10980] = {.lex_state = 62},
  [10981] = {.lex_state = 53, .external_lex_state = 63},
  [10982] = {.lex_state = 62},
  [10983] = {.lex_state = 50},
  [10984] = {.lex_state = 50},
  [10985] = {.lex_state = 52, .external_lex_state = 23},
  [10986] = {.lex_state = 18},
  [10987] = {.lex_state = 53, .external_lex_state = 60},
  [10988] = {.lex_state = 59, .external_lex_state = 38},
  [10989] = {.lex_state = 52, .external_lex_state = 23},
  [10990] = {.lex_state = 62},
  [10991] = {.lex_state = 53, .external_lex_state = 54},
  [10992] = {.lex_state = 53, .external_lex_state = 35},
  [10993] = {.lex_state = 52, .external_lex_state = 23},
  [10994] = {.lex_state = 62},
  [10995] = {.lex_state = 50},
  [10996] = {.lex_state = 50},
  [10997] = {.lex_state = 62},
  [10998] = {.lex_state = 59, .external_lex_state = 34},
  [10999] = {.lex_state = 62},
  [11000] = {.lex_state = 50},
  [11001] = {.lex_state = 62},
  [11002] = {.lex_state = 18},
  [11003] = {.lex_state = 62},
  [11004] = {.lex_state = 50},
  [11005] = {.lex_state = 50},
  [11006] = {.lex_state = 62},
  [11007] = {.lex_state = 62},
  [11008] = {.lex_state = 53, .external_lex_state = 38},
  [11009] = {.lex_state = 62},
  [11010] = {.lex_state = 62},
  [11011] = {.lex_state = 62},
  [11012] = {.lex_state = 62},
  [11013] = {.lex_state = 62},
  [11014] = {.lex_state = 62},
  [11015] = {.lex_state = 62},
  [11016] = {.lex_state = 62},
  [11017] = {.lex_state = 62},
  [11018] = {.lex_state = 62},
  [11019] = {.lex_state = 62},
  [11020] = {.lex_state = 62},
  [11021] = {.lex_state = 62},
  [11022] = {.lex_state = 62},
  [11023] = {.lex_state = 62},
  [11024] = {.lex_state = 62},
  [11025] = {.lex_state = 53, .external_lex_state = 61},
  [11026] = {.lex_state = 62},
  [11027] = {.lex_state = 62},
  [11028] = {.lex_state = 62},
  [11029] = {.lex_state = 52, .external_lex_state = 23},
  [11030] = {.lex_state = 62},
  [11031] = {.lex_state = 50},
  [11032] = {.lex_state = 62},
  [11033] = {.lex_state = 53, .external_lex_state = 28},
  [11034] = {.lex_state = 52, .external_lex_state = 23},
  [11035] = {.lex_state = 59, .external_lex_state = 28},
  [11036] = {.lex_state = 62},
  [11037] = {.lex_state = 53, .external_lex_state = 34},
  [11038] = {.lex_state = 4},
  [11039] = {.lex_state = 53, .external_lex_state = 32},
  [11040] = {.lex_state = 4},
  [11041] = {.lex_state = 51, .external_lex_state = 64},
  [11042] = {.lex_state = 4},
  [11043] = {.lex_state = 4},
  [11044] = {.lex_state = 59, .external_lex_state = 34},
  [11045] = {.lex_state = 59, .external_lex_state = 38},
  [11046] = {.lex_state = 52, .external_lex_state = 35},
  [11047] = {.lex_state = 53, .external_lex_state = 35},
  [11048] = {.lex_state = 4},
  [11049] = {.lex_state = 53, .external_lex_state = 39},
  [11050] = {.lex_state = 53, .external_lex_state = 39},
  [11051] = {.lex_state = 53, .external_lex_state = 39},
  [11052] = {.lex_state = 51, .external_lex_state = 64},
  [11053] = {.lex_state = 52, .external_lex_state = 35},
  [11054] = {.lex_state = 62},
  [11055] = {.lex_state = 62},
  [11056] = {.lex_state = 62},
  [11057] = {.lex_state = 62},
  [11058] = {.lex_state = 62},
  [11059] = {.lex_state = 62},
  [11060] = {.lex_state = 51, .external_lex_state = 64},
  [11061] = {.lex_state = 52, .external_lex_state = 54},
  [11062] = {.lex_state = 53, .external_lex_state = 34},
  [11063] = {.lex_state = 51, .external_lex_state = 64},
  [11064] = {.lex_state = 51, .external_lex_state = 64},
  [11065] = {.lex_state = 52, .external_lex_state = 54},
  [11066] = {.lex_state = 62},
  [11067] = {.lex_state = 62},
  [11068] = {.lex_state = 62},
  [11069] = {.lex_state = 51, .external_lex_state = 64},
  [11070] = {.lex_state = 62},
  [11071] = {.lex_state = 62},
  [11072] = {.lex_state = 52, .external_lex_state = 35},
  [11073] = {.lex_state = 51, .external_lex_state = 64},
  [11074] = {.lex_state = 62},
  [11075] = {.lex_state = 62},
  [11076] = {.lex_state = 53, .external_lex_state = 39},
  [11077] = {.lex_state = 62},
  [11078] = {.lex_state = 62},
  [11079] = {.lex_state = 62},
  [11080] = {.lex_state = 52, .external_lex_state = 35},
  [11081] = {.lex_state = 62},
  [11082] = {.lex_state = 62},
  [11083] = {.lex_state = 52, .external_lex_state = 35},
  [11084] = {.lex_state = 62},
  [11085] = {.lex_state = 59, .external_lex_state = 28},
  [11086] = {.lex_state = 62},
  [11087] = {.lex_state = 62},
  [11088] = {.lex_state = 62},
  [11089] = {.lex_state = 62},
  [11090] = {.lex_state = 62},
  [11091] = {.lex_state = 4},
  [11092] = {.lex_state = 53, .external_lex_state = 61},
  [11093] = {.lex_state = 53, .external_lex_state = 32},
  [11094] = {.lex_state = 62},
  [11095] = {.lex_state = 51, .external_lex_state = 64},
  [11096] = {.lex_state = 51, .external_lex_state = 64},
  [11097] = {.lex_state = 53, .external_lex_state = 49},
  [11098] = {.lex_state = 62},
  [11099] = {.lex_state = 53, .external_lex_state = 61},
  [11100] = {.lex_state = 53, .external_lex_state = 38},
  [11101] = {.lex_state = 53, .external_lex_state = 34},
  [11102] = {.lex_state = 62},
  [11103] = {.lex_state = 62},
  [11104] = {.lex_state = 62},
  [11105] = {.lex_state = 53, .external_lex_state = 23},
  [11106] = {.lex_state = 62},
  [11107] = {.lex_state = 62},
  [11108] = {.lex_state = 53, .external_lex_state = 38},
  [11109] = {.lex_state = 53, .external_lex_state = 34},
  [11110] = {.lex_state = 62},
  [11111] = {.lex_state = 62},
  [11112] = {.lex_state = 53, .external_lex_state = 38},
  [11113] = {.lex_state = 53, .external_lex_state = 60},
  [11114] = {.lex_state = 52, .external_lex_state = 35},
  [11115] = {.lex_state = 62},
  [11116] = {.lex_state = 62},
  [11117] = {.lex_state = 62},
  [11118] = {.lex_state = 53, .external_lex_state = 61},
  [11119] = {.lex_state = 53, .external_lex_state = 38},
  [11120] = {.lex_state = 52, .external_lex_state = 35},
  [11121] = {.lex_state = 53, .external_lex_state = 60},
  [11122] = {.lex_state = 53, .external_lex_state = 34},
  [11123] = {.lex_state = 53, .external_lex_state = 32},
  [11124] = {.lex_state = 53, .external_lex_state = 38},
  [11125] = {.lex_state = 53, .external_lex_state = 54},
  [11126] = {.lex_state = 62},
  [11127] = {.lex_state = 53, .external_lex_state = 34},
  [11128] = {.lex_state = 53, .external_lex_state = 38},
  [11129] = {.lex_state = 62},
  [11130] = {.lex_state = 53, .external_lex_state = 60},
  [11131] = {.lex_state = 62},
  [11132] = {.lex_state = 53, .external_lex_state = 38},
  [11133] = {.lex_state = 62},
  [11134] = {.lex_state = 53, .external_lex_state = 34},
  [11135] = {.lex_state = 62},
  [11136] = {.lex_state = 53},
  [11137] = {.lex_state = 53, .external_lex_state = 62},
  [11138] = {.lex_state = 62},
  [11139] = {.lex_state = 62},
  [11140] = {.lex_state = 52, .external_lex_state = 35},
  [11141] = {.lex_state = 53, .external_lex_state = 32},
  [11142] = {.lex_state = 62},
  [11143] = {.lex_state = 53, .external_lex_state = 32},
  [11144] = {.lex_state = 53, .external_lex_state = 61},
  [11145] = {.lex_state = 52, .external_lex_state = 35},
  [11146] = {.lex_state = 4},
  [11147] = {.lex_state = 52, .external_lex_state = 54},
  [11148] = {.lex_state = 62},
  [11149] = {.lex_state = 4},
  [11150] = {.lex_state = 4},
  [11151] = {.lex_state = 53, .external_lex_state = 60},
  [11152] = {.lex_state = 53, .external_lex_state = 32},
  [11153] = {.lex_state = 62},
  [11154] = {.lex_state = 53, .external_lex_state = 32},
  [11155] = {.lex_state = 53, .external_lex_state = 38},
  [11156] = {.lex_state = 53, .external_lex_state = 60},
  [11157] = {.lex_state = 4},
  [11158] = {.lex_state = 53, .external_lex_state = 32},
  [11159] = {.lex_state = 4},
  [11160] = {.lex_state = 62},
  [11161] = {.lex_state = 53, .external_lex_state = 61},
  [11162] = {.lex_state = 62},
  [11163] = {.lex_state = 52, .external_lex_state = 54},
  [11164] = {.lex_state = 4},
  [11165] = {.lex_state = 52, .external_lex_state = 35},
  [11166] = {.lex_state = 52, .external_lex_state = 35},
  [11167] = {.lex_state = 53, .external_lex_state = 40},
  [11168] = {.lex_state = 53, .external_lex_state = 32},
  [11169] = {.lex_state = 62},
  [11170] = {.lex_state = 53, .external_lex_state = 34},
  [11171] = {.lex_state = 53, .external_lex_state = 40},
  [11172] = {.lex_state = 52, .external_lex_state = 35},
  [11173] = {.lex_state = 53, .external_lex_state = 40},
  [11174] = {.lex_state = 4},
  [11175] = {.lex_state = 52, .external_lex_state = 35},
  [11176] = {.lex_state = 52, .external_lex_state = 35},
  [11177] = {.lex_state = 53, .external_lex_state = 54},
  [11178] = {.lex_state = 4},
  [11179] = {.lex_state = 59, .external_lex_state = 23},
  [11180] = {.lex_state = 53, .external_lex_state = 34},
  [11181] = {.lex_state = 53, .external_lex_state = 40},
  [11182] = {.lex_state = 53, .external_lex_state = 61},
  [11183] = {.lex_state = 59, .external_lex_state = 32},
  [11184] = {.lex_state = 52, .external_lex_state = 35},
  [11185] = {.lex_state = 53, .external_lex_state = 61},
  [11186] = {.lex_state = 52, .external_lex_state = 35},
  [11187] = {.lex_state = 53, .external_lex_state = 34},
  [11188] = {.lex_state = 4},
  [11189] = {.lex_state = 53, .external_lex_state = 60},
  [11190] = {.lex_state = 53, .external_lex_state = 60},
  [11191] = {.lex_state = 53, .external_lex_state = 60},
  [11192] = {.lex_state = 52, .external_lex_state = 35},
  [11193] = {.lex_state = 52, .external_lex_state = 35},
  [11194] = {.lex_state = 62},
  [11195] = {.lex_state = 52, .external_lex_state = 35},
  [11196] = {.lex_state = 59, .external_lex_state = 28},
  [11197] = {.lex_state = 53, .external_lex_state = 32},
  [11198] = {.lex_state = 62},
  [11199] = {.lex_state = 52, .external_lex_state = 35},
  [11200] = {.lex_state = 52, .external_lex_state = 35},
  [11201] = {.lex_state = 52, .external_lex_state = 35},
  [11202] = {.lex_state = 59, .external_lex_state = 28},
  [11203] = {.lex_state = 62},
  [11204] = {.lex_state = 53, .external_lex_state = 32},
  [11205] = {.lex_state = 59, .external_lex_state = 28},
  [11206] = {.lex_state = 59, .external_lex_state = 28},
  [11207] = {.lex_state = 53, .external_lex_state = 61},
  [11208] = {.lex_state = 59, .external_lex_state = 28},
  [11209] = {.lex_state = 53, .external_lex_state = 32},
  [11210] = {.lex_state = 53, .external_lex_state = 34},
  [11211] = {.lex_state = 59, .external_lex_state = 28},
  [11212] = {.lex_state = 4},
  [11213] = {.lex_state = 53, .external_lex_state = 34},
  [11214] = {.lex_state = 53, .external_lex_state = 63},
  [11215] = {.lex_state = 53, .external_lex_state = 34},
  [11216] = {.lex_state = 52, .external_lex_state = 35},
  [11217] = {.lex_state = 53, .external_lex_state = 61},
  [11218] = {.lex_state = 52, .external_lex_state = 35},
  [11219] = {.lex_state = 52, .external_lex_state = 54},
  [11220] = {.lex_state = 53, .external_lex_state = 62},
  [11221] = {.lex_state = 53, .external_lex_state = 61},
  [11222] = {.lex_state = 53, .external_lex_state = 34},
  [11223] = {.lex_state = 59, .external_lex_state = 28},
  [11224] = {.lex_state = 59, .external_lex_state = 28},
  [11225] = {.lex_state = 53, .external_lex_state = 60},
  [11226] = {.lex_state = 4},
  [11227] = {.lex_state = 53, .external_lex_state = 34},
  [11228] = {.lex_state = 59, .external_lex_state = 28},
  [11229] = {.lex_state = 59, .external_lex_state = 40},
  [11230] = {.lex_state = 4},
  [11231] = {.lex_state = 53, .external_lex_state = 61},
  [11232] = {.lex_state = 59, .external_lex_state = 28},
  [11233] = {.lex_state = 59, .external_lex_state = 28},
  [11234] = {.lex_state = 59, .external_lex_state = 40},
  [11235] = {.lex_state = 53, .external_lex_state = 34},
  [11236] = {.lex_state = 62},
  [11237] = {.lex_state = 53, .external_lex_state = 32},
  [11238] = {.lex_state = 53, .external_lex_state = 63},
  [11239] = {.lex_state = 53, .external_lex_state = 62},
  [11240] = {.lex_state = 4},
  [11241] = {.lex_state = 53, .external_lex_state = 35},
  [11242] = {.lex_state = 59, .external_lex_state = 28},
  [11243] = {.lex_state = 52, .external_lex_state = 23},
  [11244] = {.lex_state = 53, .external_lex_state = 34},
  [11245] = {.lex_state = 59, .external_lex_state = 28},
  [11246] = {.lex_state = 53, .external_lex_state = 34},
  [11247] = {.lex_state = 53, .external_lex_state = 34},
  [11248] = {.lex_state = 4},
  [11249] = {.lex_state = 59, .external_lex_state = 28},
  [11250] = {.lex_state = 52, .external_lex_state = 54},
  [11251] = {.lex_state = 59, .external_lex_state = 28},
  [11252] = {.lex_state = 62},
  [11253] = {.lex_state = 62},
  [11254] = {.lex_state = 62},
  [11255] = {.lex_state = 53, .external_lex_state = 61},
  [11256] = {.lex_state = 62},
  [11257] = {.lex_state = 62},
  [11258] = {.lex_state = 53, .external_lex_state = 61},
  [11259] = {.lex_state = 53, .external_lex_state = 61},
  [11260] = {.lex_state = 62},
  [11261] = {.lex_state = 53, .external_lex_state = 38},
  [11262] = {.lex_state = 62},
  [11263] = {.lex_state = 53, .external_lex_state = 34},
  [11264] = {.lex_state = 62},
  [11265] = {.lex_state = 4},
  [11266] = {.lex_state = 62},
  [11267] = {.lex_state = 62},
  [11268] = {.lex_state = 53, .external_lex_state = 61},
  [11269] = {.lex_state = 62},
  [11270] = {.lex_state = 53, .external_lex_state = 63},
  [11271] = {.lex_state = 52, .external_lex_state = 54},
  [11272] = {.lex_state = 59, .external_lex_state = 28},
  [11273] = {.lex_state = 4},
  [11274] = {.lex_state = 59, .external_lex_state = 28},
  [11275] = {.lex_state = 59, .external_lex_state = 23},
  [11276] = {.lex_state = 53, .external_lex_state = 60},
  [11277] = {.lex_state = 53, .external_lex_state = 60},
  [11278] = {.lex_state = 62, .external_lex_state = 25},
  [11279] = {.lex_state = 4},
  [11280] = {.lex_state = 62},
  [11281] = {.lex_state = 53, .external_lex_state = 62},
  [11282] = {.lex_state = 62},
  [11283] = {.lex_state = 53, .external_lex_state = 63},
  [11284] = {.lex_state = 59, .external_lex_state = 28},
  [11285] = {.lex_state = 53, .external_lex_state = 32},
  [11286] = {.lex_state = 53, .external_lex_state = 50},
  [11287] = {.lex_state = 52, .external_lex_state = 35},
  [11288] = {.lex_state = 59, .external_lex_state = 28},
  [11289] = {.lex_state = 53, .external_lex_state = 39},
  [11290] = {.lex_state = 59, .external_lex_state = 28},
  [11291] = {.lex_state = 62},
  [11292] = {.lex_state = 52, .external_lex_state = 35},
  [11293] = {.lex_state = 52, .external_lex_state = 35},
  [11294] = {.lex_state = 53, .external_lex_state = 35},
  [11295] = {.lex_state = 62},
  [11296] = {.lex_state = 53, .external_lex_state = 62},
  [11297] = {.lex_state = 4},
  [11298] = {.lex_state = 59, .external_lex_state = 28},
  [11299] = {.lex_state = 53, .external_lex_state = 62},
  [11300] = {.lex_state = 53, .external_lex_state = 53},
  [11301] = {.lex_state = 52, .external_lex_state = 54},
  [11302] = {.lex_state = 53, .external_lex_state = 61},
  [11303] = {.lex_state = 62},
  [11304] = {.lex_state = 53, .external_lex_state = 32},
  [11305] = {.lex_state = 53, .external_lex_state = 52},
  [11306] = {.lex_state = 53, .external_lex_state = 32},
  [11307] = {.lex_state = 53, .external_lex_state = 60},
  [11308] = {.lex_state = 51, .external_lex_state = 64},
  [11309] = {.lex_state = 62},
  [11310] = {.lex_state = 62},
  [11311] = {.lex_state = 59, .external_lex_state = 39},
  [11312] = {.lex_state = 53, .external_lex_state = 61},
  [11313] = {.lex_state = 53, .external_lex_state = 34},
  [11314] = {.lex_state = 53, .external_lex_state = 54},
  [11315] = {.lex_state = 53, .external_lex_state = 60},
  [11316] = {.lex_state = 52, .external_lex_state = 35},
  [11317] = {.lex_state = 53, .external_lex_state = 39},
  [11318] = {.lex_state = 53, .external_lex_state = 39},
  [11319] = {.lex_state = 53, .external_lex_state = 32},
  [11320] = {.lex_state = 4},
  [11321] = {.lex_state = 51},
  [11322] = {.lex_state = 53, .external_lex_state = 32},
  [11323] = {.lex_state = 53, .external_lex_state = 32},
  [11324] = {.lex_state = 62},
  [11325] = {.lex_state = 53, .external_lex_state = 39},
  [11326] = {.lex_state = 53, .external_lex_state = 32},
  [11327] = {.lex_state = 62},
  [11328] = {.lex_state = 18},
  [11329] = {.lex_state = 52, .external_lex_state = 35},
  [11330] = {.lex_state = 53, .external_lex_state = 39},
  [11331] = {.lex_state = 53, .external_lex_state = 39},
  [11332] = {.lex_state = 62},
  [11333] = {.lex_state = 53, .external_lex_state = 39},
  [11334] = {.lex_state = 62},
  [11335] = {.lex_state = 52, .external_lex_state = 54},
  [11336] = {.lex_state = 53, .external_lex_state = 39},
  [11337] = {.lex_state = 62},
  [11338] = {.lex_state = 53, .external_lex_state = 38},
  [11339] = {.lex_state = 62},
  [11340] = {.lex_state = 53, .external_lex_state = 60},
  [11341] = {.lex_state = 53, .external_lex_state = 60},
  [11342] = {.lex_state = 53, .external_lex_state = 39},
  [11343] = {.lex_state = 53, .external_lex_state = 38},
  [11344] = {.lex_state = 62},
  [11345] = {.lex_state = 53, .external_lex_state = 38},
  [11346] = {.lex_state = 62},
  [11347] = {.lex_state = 53, .external_lex_state = 32},
  [11348] = {.lex_state = 4},
  [11349] = {.lex_state = 4},
  [11350] = {.lex_state = 59, .external_lex_state = 28},
  [11351] = {.lex_state = 4},
  [11352] = {.lex_state = 53, .external_lex_state = 38},
  [11353] = {.lex_state = 4},
  [11354] = {.lex_state = 59, .external_lex_state = 28},
  [11355] = {.lex_state = 59, .external_lex_state = 28},
  [11356] = {.lex_state = 52, .external_lex_state = 54},
  [11357] = {.lex_state = 59, .external_lex_state = 28},
  [11358] = {.lex_state = 4},
  [11359] = {.lex_state = 59, .external_lex_state = 28},
  [11360] = {.lex_state = 4},
  [11361] = {.lex_state = 59, .external_lex_state = 28},
  [11362] = {.lex_state = 59, .external_lex_state = 28},
  [11363] = {.lex_state = 4},
  [11364] = {.lex_state = 59, .external_lex_state = 28},
  [11365] = {.lex_state = 4},
  [11366] = {.lex_state = 52},
  [11367] = {.lex_state = 62},
  [11368] = {.lex_state = 62},
  [11369] = {.lex_state = 53, .external_lex_state = 39},
  [11370] = {.lex_state = 53, .external_lex_state = 39},
  [11371] = {.lex_state = 53, .external_lex_state = 39},
  [11372] = {.lex_state = 62},
  [11373] = {.lex_state = 53, .external_lex_state = 57},
  [11374] = {.lex_state = 59, .external_lex_state = 34},
  [11375] = {.lex_state = 59, .external_lex_state = 32},
  [11376] = {.lex_state = 62},
  [11377] = {.lex_state = 62},
  [11378] = {.lex_state = 62},
  [11379] = {.lex_state = 62},
  [11380] = {.lex_state = 62},
  [11381] = {.lex_state = 52},
  [11382] = {.lex_state = 59, .external_lex_state = 34},
  [11383] = {.lex_state = 53, .external_lex_state = 38},
  [11384] = {.lex_state = 59, .external_lex_state = 32},
  [11385] = {.lex_state = 59, .external_lex_state = 34},
  [11386] = {.lex_state = 59, .external_lex_state = 32},
  [11387] = {.lex_state = 53, .external_lex_state = 40},
  [11388] = {.lex_state = 52},
  [11389] = {.lex_state = 62},
  [11390] = {.lex_state = 59, .external_lex_state = 34},
  [11391] = {.lex_state = 59, .external_lex_state = 34},
  [11392] = {.lex_state = 62},
  [11393] = {.lex_state = 59, .external_lex_state = 34},
  [11394] = {.lex_state = 59, .external_lex_state = 34},
  [11395] = {.lex_state = 62},
  [11396] = {.lex_state = 59, .external_lex_state = 34},
  [11397] = {.lex_state = 52},
  [11398] = {.lex_state = 62},
  [11399] = {.lex_state = 62},
  [11400] = {.lex_state = 62},
  [11401] = {.lex_state = 53, .external_lex_state = 39},
  [11402] = {.lex_state = 53, .external_lex_state = 39},
  [11403] = {.lex_state = 59, .external_lex_state = 34},
  [11404] = {.lex_state = 53, .external_lex_state = 23},
  [11405] = {.lex_state = 52},
  [11406] = {.lex_state = 52},
  [11407] = {.lex_state = 53, .external_lex_state = 23},
  [11408] = {.lex_state = 62},
  [11409] = {.lex_state = 53, .external_lex_state = 39},
  [11410] = {.lex_state = 52},
  [11411] = {.lex_state = 62},
  [11412] = {.lex_state = 53, .external_lex_state = 65},
  [11413] = {.lex_state = 53, .external_lex_state = 63},
  [11414] = {.lex_state = 52, .external_lex_state = 54},
  [11415] = {.lex_state = 53, .external_lex_state = 23},
  [11416] = {.lex_state = 62},
  [11417] = {.lex_state = 62},
  [11418] = {.lex_state = 52, .external_lex_state = 54},
  [11419] = {.lex_state = 53, .external_lex_state = 65},
  [11420] = {.lex_state = 53, .external_lex_state = 23},
  [11421] = {.lex_state = 50},
  [11422] = {.lex_state = 52, .external_lex_state = 54},
  [11423] = {.lex_state = 53, .external_lex_state = 63},
  [11424] = {.lex_state = 62},
  [11425] = {.lex_state = 50},
  [11426] = {.lex_state = 59, .external_lex_state = 32},
  [11427] = {.lex_state = 53, .external_lex_state = 63},
  [11428] = {.lex_state = 53, .external_lex_state = 39},
  [11429] = {.lex_state = 62},
  [11430] = {.lex_state = 62},
  [11431] = {.lex_state = 62},
  [11432] = {.lex_state = 62},
  [11433] = {.lex_state = 53, .external_lex_state = 23},
  [11434] = {.lex_state = 62},
  [11435] = {.lex_state = 53, .external_lex_state = 47},
  [11436] = {.lex_state = 53, .external_lex_state = 46},
  [11437] = {.lex_state = 62},
  [11438] = {.lex_state = 53, .external_lex_state = 62},
  [11439] = {.lex_state = 62},
  [11440] = {.lex_state = 62},
  [11441] = {.lex_state = 53, .external_lex_state = 61},
  [11442] = {.lex_state = 62},
  [11443] = {.lex_state = 62},
  [11444] = {.lex_state = 53, .external_lex_state = 40},
  [11445] = {.lex_state = 62},
  [11446] = {.lex_state = 53, .external_lex_state = 40},
  [11447] = {.lex_state = 53, .external_lex_state = 40},
  [11448] = {.lex_state = 53, .external_lex_state = 46},
  [11449] = {.lex_state = 62},
  [11450] = {.lex_state = 62},
  [11451] = {.lex_state = 62},
  [11452] = {.lex_state = 53, .external_lex_state = 23},
  [11453] = {.lex_state = 62},
  [11454] = {.lex_state = 52, .external_lex_state = 54},
  [11455] = {.lex_state = 62},
  [11456] = {.lex_state = 59, .external_lex_state = 32},
  [11457] = {.lex_state = 52, .external_lex_state = 54},
  [11458] = {.lex_state = 62},
  [11459] = {.lex_state = 62},
  [11460] = {.lex_state = 52, .external_lex_state = 54},
  [11461] = {.lex_state = 53, .external_lex_state = 39},
  [11462] = {.lex_state = 59, .external_lex_state = 32},
  [11463] = {.lex_state = 62},
  [11464] = {.lex_state = 62},
  [11465] = {.lex_state = 62},
  [11466] = {.lex_state = 62},
  [11467] = {.lex_state = 53, .external_lex_state = 38},
  [11468] = {.lex_state = 62},
  [11469] = {.lex_state = 62},
  [11470] = {.lex_state = 53, .external_lex_state = 40},
  [11471] = {.lex_state = 62},
  [11472] = {.lex_state = 53, .external_lex_state = 62},
  [11473] = {.lex_state = 62},
  [11474] = {.lex_state = 62},
  [11475] = {.lex_state = 53, .external_lex_state = 60},
  [11476] = {.lex_state = 53, .external_lex_state = 63},
  [11477] = {.lex_state = 59, .external_lex_state = 32},
  [11478] = {.lex_state = 62},
  [11479] = {.lex_state = 62},
  [11480] = {.lex_state = 53, .external_lex_state = 23},
  [11481] = {.lex_state = 59, .external_lex_state = 32},
  [11482] = {.lex_state = 59, .external_lex_state = 34},
  [11483] = {.lex_state = 59, .external_lex_state = 32},
  [11484] = {.lex_state = 59, .external_lex_state = 32},
  [11485] = {.lex_state = 53, .external_lex_state = 23},
  [11486] = {.lex_state = 59, .external_lex_state = 32},
  [11487] = {.lex_state = 62},
  [11488] = {.lex_state = 62},
  [11489] = {.lex_state = 62},
  [11490] = {.lex_state = 53, .external_lex_state = 39},
  [11491] = {.lex_state = 62},
  [11492] = {.lex_state = 62},
  [11493] = {.lex_state = 53, .external_lex_state = 38},
  [11494] = {.lex_state = 62},
  [11495] = {.lex_state = 52, .external_lex_state = 54},
  [11496] = {.lex_state = 53, .external_lex_state = 38},
  [11497] = {.lex_state = 62},
  [11498] = {.lex_state = 52, .external_lex_state = 54},
  [11499] = {.lex_state = 53, .external_lex_state = 39},
  [11500] = {.lex_state = 62},
  [11501] = {.lex_state = 53, .external_lex_state = 66},
  [11502] = {.lex_state = 62},
  [11503] = {.lex_state = 59, .external_lex_state = 39},
  [11504] = {.lex_state = 53, .external_lex_state = 58},
  [11505] = {.lex_state = 53, .external_lex_state = 39},
  [11506] = {.lex_state = 53, .external_lex_state = 35},
  [11507] = {.lex_state = 59, .external_lex_state = 34},
  [11508] = {.lex_state = 62},
  [11509] = {.lex_state = 62},
  [11510] = {.lex_state = 53, .external_lex_state = 38},
  [11511] = {.lex_state = 62},
  [11512] = {.lex_state = 62},
  [11513] = {.lex_state = 53, .external_lex_state = 24},
  [11514] = {.lex_state = 53, .external_lex_state = 63},
  [11515] = {.lex_state = 52},
  [11516] = {.lex_state = 62},
  [11517] = {.lex_state = 53, .external_lex_state = 63},
  [11518] = {.lex_state = 62},
  [11519] = {.lex_state = 59, .external_lex_state = 34},
  [11520] = {.lex_state = 53, .external_lex_state = 38},
  [11521] = {.lex_state = 62},
  [11522] = {.lex_state = 62},
  [11523] = {.lex_state = 53, .external_lex_state = 54},
  [11524] = {.lex_state = 62},
  [11525] = {.lex_state = 52, .external_lex_state = 54},
  [11526] = {.lex_state = 59, .external_lex_state = 34},
  [11527] = {.lex_state = 53, .external_lex_state = 23},
  [11528] = {.lex_state = 53, .external_lex_state = 62},
  [11529] = {.lex_state = 59, .external_lex_state = 40},
  [11530] = {.lex_state = 53, .external_lex_state = 62},
  [11531] = {.lex_state = 53, .external_lex_state = 62},
  [11532] = {.lex_state = 62},
  [11533] = {.lex_state = 53, .external_lex_state = 63},
  [11534] = {.lex_state = 62},
  [11535] = {.lex_state = 59, .external_lex_state = 32},
  [11536] = {.lex_state = 62},
  [11537] = {.lex_state = 62},
  [11538] = {.lex_state = 62},
  [11539] = {.lex_state = 52},
  [11540] = {.lex_state = 53, .external_lex_state = 62},
  [11541] = {.lex_state = 53, .external_lex_state = 66},
  [11542] = {.lex_state = 62},
  [11543] = {.lex_state = 62},
  [11544] = {.lex_state = 52},
  [11545] = {.lex_state = 53, .external_lex_state = 38},
  [11546] = {.lex_state = 62},
  [11547] = {.lex_state = 62},
  [11548] = {.lex_state = 62},
  [11549] = {.lex_state = 59, .external_lex_state = 32},
  [11550] = {.lex_state = 52},
  [11551] = {.lex_state = 59, .external_lex_state = 34},
  [11552] = {.lex_state = 62},
  [11553] = {.lex_state = 59, .external_lex_state = 34},
  [11554] = {.lex_state = 59, .external_lex_state = 34},
  [11555] = {.lex_state = 62},
  [11556] = {.lex_state = 53, .external_lex_state = 39},
  [11557] = {.lex_state = 62},
  [11558] = {.lex_state = 62},
  [11559] = {.lex_state = 59, .external_lex_state = 34},
  [11560] = {.lex_state = 52, .external_lex_state = 54},
  [11561] = {.lex_state = 59, .external_lex_state = 34},
  [11562] = {.lex_state = 59, .external_lex_state = 34},
  [11563] = {.lex_state = 53, .external_lex_state = 23},
  [11564] = {.lex_state = 62},
  [11565] = {.lex_state = 62},
  [11566] = {.lex_state = 59, .external_lex_state = 32},
  [11567] = {.lex_state = 62},
  [11568] = {.lex_state = 62},
  [11569] = {.lex_state = 21},
  [11570] = {.lex_state = 59, .external_lex_state = 32},
  [11571] = {.lex_state = 53, .external_lex_state = 39},
  [11572] = {.lex_state = 59, .external_lex_state = 32},
  [11573] = {.lex_state = 53, .external_lex_state = 62},
  [11574] = {.lex_state = 53, .external_lex_state = 47},
  [11575] = {.lex_state = 59, .external_lex_state = 32},
  [11576] = {.lex_state = 62},
  [11577] = {.lex_state = 59, .external_lex_state = 34},
  [11578] = {.lex_state = 59, .external_lex_state = 34},
  [11579] = {.lex_state = 62},
  [11580] = {.lex_state = 59, .external_lex_state = 34},
  [11581] = {.lex_state = 62},
  [11582] = {.lex_state = 53, .external_lex_state = 38},
  [11583] = {.lex_state = 53, .external_lex_state = 54},
  [11584] = {.lex_state = 53, .external_lex_state = 38},
  [11585] = {.lex_state = 59, .external_lex_state = 32},
  [11586] = {.lex_state = 62},
  [11587] = {.lex_state = 52},
  [11588] = {.lex_state = 62},
  [11589] = {.lex_state = 52, .external_lex_state = 24},
  [11590] = {.lex_state = 62},
  [11591] = {.lex_state = 62},
  [11592] = {.lex_state = 53, .external_lex_state = 38},
  [11593] = {.lex_state = 53, .external_lex_state = 39},
  [11594] = {.lex_state = 62},
  [11595] = {.lex_state = 53, .external_lex_state = 38},
  [11596] = {.lex_state = 59, .external_lex_state = 46},
  [11597] = {.lex_state = 59, .external_lex_state = 34},
  [11598] = {.lex_state = 59, .external_lex_state = 46},
  [11599] = {.lex_state = 50},
  [11600] = {.lex_state = 62},
  [11601] = {.lex_state = 62},
  [11602] = {.lex_state = 50},
  [11603] = {.lex_state = 59, .external_lex_state = 32},
  [11604] = {.lex_state = 52, .external_lex_state = 24},
  [11605] = {.lex_state = 52, .external_lex_state = 54},
  [11606] = {.lex_state = 59, .external_lex_state = 32},
  [11607] = {.lex_state = 62},
  [11608] = {.lex_state = 62},
  [11609] = {.lex_state = 59, .external_lex_state = 23},
  [11610] = {.lex_state = 53, .external_lex_state = 62},
  [11611] = {.lex_state = 62},
  [11612] = {.lex_state = 59, .external_lex_state = 32},
  [11613] = {.lex_state = 53, .external_lex_state = 23},
  [11614] = {.lex_state = 62},
  [11615] = {.lex_state = 53, .external_lex_state = 63},
  [11616] = {.lex_state = 53, .external_lex_state = 38},
  [11617] = {.lex_state = 52},
  [11618] = {.lex_state = 50},
  [11619] = {.lex_state = 50},
  [11620] = {.lex_state = 62},
  [11621] = {.lex_state = 53, .external_lex_state = 62},
  [11622] = {.lex_state = 53, .external_lex_state = 63},
  [11623] = {.lex_state = 62},
  [11624] = {.lex_state = 62},
  [11625] = {.lex_state = 59, .external_lex_state = 34},
  [11626] = {.lex_state = 59, .external_lex_state = 34},
  [11627] = {.lex_state = 59, .external_lex_state = 34},
  [11628] = {.lex_state = 53, .external_lex_state = 38},
  [11629] = {.lex_state = 53, .external_lex_state = 62},
  [11630] = {.lex_state = 59, .external_lex_state = 34},
  [11631] = {.lex_state = 53, .external_lex_state = 62},
  [11632] = {.lex_state = 53, .external_lex_state = 38},
  [11633] = {.lex_state = 62},
  [11634] = {.lex_state = 62},
  [11635] = {.lex_state = 62},
  [11636] = {.lex_state = 62},
  [11637] = {.lex_state = 59, .external_lex_state = 47},
  [11638] = {.lex_state = 62},
  [11639] = {.lex_state = 62},
  [11640] = {.lex_state = 52, .external_lex_state = 54},
  [11641] = {.lex_state = 59, .external_lex_state = 34},
  [11642] = {.lex_state = 62},
  [11643] = {.lex_state = 59, .external_lex_state = 32},
  [11644] = {.lex_state = 53, .external_lex_state = 62},
  [11645] = {.lex_state = 62},
  [11646] = {.lex_state = 53, .external_lex_state = 47},
  [11647] = {.lex_state = 53, .external_lex_state = 47},
  [11648] = {.lex_state = 53, .external_lex_state = 63},
  [11649] = {.lex_state = 62},
  [11650] = {.lex_state = 52, .external_lex_state = 54},
  [11651] = {.lex_state = 59, .external_lex_state = 47},
  [11652] = {.lex_state = 62},
  [11653] = {.lex_state = 62},
  [11654] = {.lex_state = 62},
  [11655] = {.lex_state = 53, .external_lex_state = 39},
  [11656] = {.lex_state = 62},
  [11657] = {.lex_state = 59, .external_lex_state = 32},
  [11658] = {.lex_state = 59, .external_lex_state = 32},
  [11659] = {.lex_state = 52, .external_lex_state = 54},
  [11660] = {.lex_state = 62},
  [11661] = {.lex_state = 59, .external_lex_state = 32},
  [11662] = {.lex_state = 62},
  [11663] = {.lex_state = 53, .external_lex_state = 38},
  [11664] = {.lex_state = 62},
  [11665] = {.lex_state = 62},
  [11666] = {.lex_state = 62},
  [11667] = {.lex_state = 62},
  [11668] = {.lex_state = 53, .external_lex_state = 46},
  [11669] = {.lex_state = 53, .external_lex_state = 39},
  [11670] = {.lex_state = 53, .external_lex_state = 62},
  [11671] = {.lex_state = 59, .external_lex_state = 32},
  [11672] = {.lex_state = 62},
  [11673] = {.lex_state = 53, .external_lex_state = 46},
  [11674] = {.lex_state = 62},
  [11675] = {.lex_state = 50},
  [11676] = {.lex_state = 62},
  [11677] = {.lex_state = 50},
  [11678] = {.lex_state = 53, .external_lex_state = 63},
  [11679] = {.lex_state = 62},
  [11680] = {.lex_state = 62},
  [11681] = {.lex_state = 62},
  [11682] = {.lex_state = 62},
  [11683] = {.lex_state = 62},
  [11684] = {.lex_state = 62},
  [11685] = {.lex_state = 62},
  [11686] = {.lex_state = 53, .external_lex_state = 39},
  [11687] = {.lex_state = 52, .external_lex_state = 54},
  [11688] = {.lex_state = 62},
  [11689] = {.lex_state = 62},
  [11690] = {.lex_state = 53, .external_lex_state = 39},
  [11691] = {.lex_state = 62},
  [11692] = {.lex_state = 53, .external_lex_state = 39},
  [11693] = {.lex_state = 62},
  [11694] = {.lex_state = 53, .external_lex_state = 60},
  [11695] = {.lex_state = 62},
  [11696] = {.lex_state = 53, .external_lex_state = 63},
  [11697] = {.lex_state = 59, .external_lex_state = 32},
  [11698] = {.lex_state = 59, .external_lex_state = 32},
  [11699] = {.lex_state = 53, .external_lex_state = 62},
  [11700] = {.lex_state = 53, .external_lex_state = 38},
  [11701] = {.lex_state = 62},
  [11702] = {.lex_state = 53, .external_lex_state = 63},
  [11703] = {.lex_state = 62},
  [11704] = {.lex_state = 62},
  [11705] = {.lex_state = 53, .external_lex_state = 40},
  [11706] = {.lex_state = 53, .external_lex_state = 38},
  [11707] = {.lex_state = 62},
  [11708] = {.lex_state = 53, .external_lex_state = 60},
  [11709] = {.lex_state = 53, .external_lex_state = 40},
  [11710] = {.lex_state = 62},
  [11711] = {.lex_state = 53, .external_lex_state = 56},
  [11712] = {.lex_state = 62},
  [11713] = {.lex_state = 52},
  [11714] = {.lex_state = 53, .external_lex_state = 40},
  [11715] = {.lex_state = 62},
  [11716] = {.lex_state = 53, .external_lex_state = 40},
  [11717] = {.lex_state = 52},
  [11718] = {.lex_state = 59, .external_lex_state = 34},
  [11719] = {.lex_state = 53, .external_lex_state = 60},
  [11720] = {.lex_state = 62},
  [11721] = {.lex_state = 53, .external_lex_state = 38},
  [11722] = {.lex_state = 59, .external_lex_state = 32},
  [11723] = {.lex_state = 59, .external_lex_state = 34},
  [11724] = {.lex_state = 53, .external_lex_state = 63},
  [11725] = {.lex_state = 53, .external_lex_state = 40},
  [11726] = {.lex_state = 53, .external_lex_state = 40},
  [11727] = {.lex_state = 53, .external_lex_state = 40},
  [11728] = {.lex_state = 62},
  [11729] = {.lex_state = 62},
  [11730] = {.lex_state = 53, .external_lex_state = 63},
  [11731] = {.lex_state = 62},
  [11732] = {.lex_state = 62},
  [11733] = {.lex_state = 50},
  [11734] = {.lex_state = 62},
  [11735] = {.lex_state = 62},
  [11736] = {.lex_state = 53, .external_lex_state = 62},
  [11737] = {.lex_state = 62},
  [11738] = {.lex_state = 62},
  [11739] = {.lex_state = 62},
  [11740] = {.lex_state = 59, .external_lex_state = 38},
  [11741] = {.lex_state = 53, .external_lex_state = 63},
  [11742] = {.lex_state = 52, .external_lex_state = 54},
  [11743] = {.lex_state = 53, .external_lex_state = 38},
  [11744] = {.lex_state = 62},
  [11745] = {.lex_state = 53, .external_lex_state = 38},
  [11746] = {.lex_state = 53, .external_lex_state = 63},
  [11747] = {.lex_state = 62},
  [11748] = {.lex_state = 53, .external_lex_state = 38},
  [11749] = {.lex_state = 53, .external_lex_state = 60},
  [11750] = {.lex_state = 62},
  [11751] = {.lex_state = 53, .external_lex_state = 39},
  [11752] = {.lex_state = 50},
  [11753] = {.lex_state = 53, .external_lex_state = 39},
  [11754] = {.lex_state = 53, .external_lex_state = 40},
  [11755] = {.lex_state = 62},
  [11756] = {.lex_state = 52},
  [11757] = {.lex_state = 53, .external_lex_state = 35},
  [11758] = {.lex_state = 52},
  [11759] = {.lex_state = 52},
  [11760] = {.lex_state = 52, .external_lex_state = 54},
  [11761] = {.lex_state = 52},
  [11762] = {.lex_state = 62},
  [11763] = {.lex_state = 62},
  [11764] = {.lex_state = 62},
  [11765] = {.lex_state = 62},
  [11766] = {.lex_state = 59, .external_lex_state = 32},
  [11767] = {.lex_state = 59, .external_lex_state = 38},
  [11768] = {.lex_state = 62},
  [11769] = {.lex_state = 53, .external_lex_state = 47},
  [11770] = {.lex_state = 62},
  [11771] = {.lex_state = 62},
  [11772] = {.lex_state = 62},
  [11773] = {.lex_state = 62},
  [11774] = {.lex_state = 52, .external_lex_state = 23},
  [11775] = {.lex_state = 59, .external_lex_state = 28},
  [11776] = {.lex_state = 62},
  [11777] = {.lex_state = 59},
  [11778] = {.lex_state = 59},
  [11779] = {.lex_state = 62},
  [11780] = {.lex_state = 59, .external_lex_state = 49},
  [11781] = {.lex_state = 62},
  [11782] = {.lex_state = 62},
  [11783] = {.lex_state = 62},
  [11784] = {.lex_state = 59},
  [11785] = {.lex_state = 62},
  [11786] = {.lex_state = 62},
  [11787] = {.lex_state = 53, .external_lex_state = 60},
  [11788] = {.lex_state = 53, .external_lex_state = 60},
  [11789] = {.lex_state = 62},
  [11790] = {.lex_state = 62},
  [11791] = {.lex_state = 59},
  [11792] = {.lex_state = 59, .external_lex_state = 38},
  [11793] = {.lex_state = 62},
  [11794] = {.lex_state = 52, .external_lex_state = 23},
  [11795] = {.lex_state = 62},
  [11796] = {.lex_state = 59, .external_lex_state = 38},
  [11797] = {.lex_state = 62},
  [11798] = {.lex_state = 62},
  [11799] = {.lex_state = 59, .external_lex_state = 28},
  [11800] = {.lex_state = 59, .external_lex_state = 38},
  [11801] = {.lex_state = 62},
  [11802] = {.lex_state = 53, .external_lex_state = 67},
  [11803] = {.lex_state = 62},
  [11804] = {.lex_state = 62},
  [11805] = {.lex_state = 62},
  [11806] = {.lex_state = 59, .external_lex_state = 38},
  [11807] = {.lex_state = 62},
  [11808] = {.lex_state = 53, .external_lex_state = 61},
  [11809] = {.lex_state = 62},
  [11810] = {.lex_state = 59, .external_lex_state = 38},
  [11811] = {.lex_state = 62},
  [11812] = {.lex_state = 62},
  [11813] = {.lex_state = 62},
  [11814] = {.lex_state = 62},
  [11815] = {.lex_state = 59, .external_lex_state = 38},
  [11816] = {.lex_state = 59},
  [11817] = {.lex_state = 62},
  [11818] = {.lex_state = 59, .external_lex_state = 38},
  [11819] = {.lex_state = 59, .external_lex_state = 38},
  [11820] = {.lex_state = 62},
  [11821] = {.lex_state = 62},
  [11822] = {.lex_state = 59, .external_lex_state = 38},
  [11823] = {.lex_state = 59, .external_lex_state = 38},
  [11824] = {.lex_state = 59},
  [11825] = {.lex_state = 62},
  [11826] = {.lex_state = 59},
  [11827] = {.lex_state = 59},
  [11828] = {.lex_state = 59},
  [11829] = {.lex_state = 59, .external_lex_state = 49},
  [11830] = {.lex_state = 62},
  [11831] = {.lex_state = 59, .external_lex_state = 38},
  [11832] = {.lex_state = 62},
  [11833] = {.lex_state = 62},
  [11834] = {.lex_state = 53, .external_lex_state = 49},
  [11835] = {.lex_state = 62},
  [11836] = {.lex_state = 62},
  [11837] = {.lex_state = 62},
  [11838] = {.lex_state = 59},
  [11839] = {.lex_state = 62},
  [11840] = {.lex_state = 53, .external_lex_state = 61},
  [11841] = {.lex_state = 62},
  [11842] = {.lex_state = 59, .external_lex_state = 28},
  [11843] = {.lex_state = 62},
  [11844] = {.lex_state = 59},
  [11845] = {.lex_state = 59},
  [11846] = {.lex_state = 53, .external_lex_state = 67},
  [11847] = {.lex_state = 62},
  [11848] = {.lex_state = 59, .external_lex_state = 38},
  [11849] = {.lex_state = 62},
  [11850] = {.lex_state = 62},
  [11851] = {.lex_state = 62},
  [11852] = {.lex_state = 62},
  [11853] = {.lex_state = 59, .external_lex_state = 40},
  [11854] = {.lex_state = 62},
  [11855] = {.lex_state = 53, .external_lex_state = 60},
  [11856] = {.lex_state = 62},
  [11857] = {.lex_state = 62},
  [11858] = {.lex_state = 62},
  [11859] = {.lex_state = 62},
  [11860] = {.lex_state = 62},
  [11861] = {.lex_state = 59, .external_lex_state = 38},
  [11862] = {.lex_state = 62},
  [11863] = {.lex_state = 59, .external_lex_state = 38},
  [11864] = {.lex_state = 53, .external_lex_state = 46},
  [11865] = {.lex_state = 62},
  [11866] = {.lex_state = 59, .external_lex_state = 38},
  [11867] = {.lex_state = 59},
  [11868] = {.lex_state = 59},
  [11869] = {.lex_state = 62},
  [11870] = {.lex_state = 52, .external_lex_state = 35},
  [11871] = {.lex_state = 53, .external_lex_state = 61},
  [11872] = {.lex_state = 62},
  [11873] = {.lex_state = 52, .external_lex_state = 23},
  [11874] = {.lex_state = 52, .external_lex_state = 23},
  [11875] = {.lex_state = 62},
  [11876] = {.lex_state = 62},
  [11877] = {.lex_state = 62},
  [11878] = {.lex_state = 59},
  [11879] = {.lex_state = 59, .external_lex_state = 28},
  [11880] = {.lex_state = 62},
  [11881] = {.lex_state = 62},
  [11882] = {.lex_state = 62},
  [11883] = {.lex_state = 59, .external_lex_state = 38},
  [11884] = {.lex_state = 62},
  [11885] = {.lex_state = 62},
  [11886] = {.lex_state = 53, .external_lex_state = 40},
  [11887] = {.lex_state = 53, .external_lex_state = 24},
  [11888] = {.lex_state = 62},
  [11889] = {.lex_state = 59, .external_lex_state = 23},
  [11890] = {.lex_state = 53, .external_lex_state = 60},
  [11891] = {.lex_state = 59, .external_lex_state = 38},
  [11892] = {.lex_state = 53, .external_lex_state = 60},
  [11893] = {.lex_state = 62},
  [11894] = {.lex_state = 53, .external_lex_state = 60},
  [11895] = {.lex_state = 62},
  [11896] = {.lex_state = 62},
  [11897] = {.lex_state = 59, .external_lex_state = 38},
  [11898] = {.lex_state = 59, .external_lex_state = 38},
  [11899] = {.lex_state = 59, .external_lex_state = 50},
  [11900] = {.lex_state = 62},
  [11901] = {.lex_state = 62},
  [11902] = {.lex_state = 53, .external_lex_state = 60},
  [11903] = {.lex_state = 59},
  [11904] = {.lex_state = 59},
  [11905] = {.lex_state = 62},
  [11906] = {.lex_state = 62},
  [11907] = {.lex_state = 59, .external_lex_state = 47},
  [11908] = {.lex_state = 62},
  [11909] = {.lex_state = 62},
  [11910] = {.lex_state = 59, .external_lex_state = 38},
  [11911] = {.lex_state = 62},
  [11912] = {.lex_state = 59, .external_lex_state = 28},
  [11913] = {.lex_state = 62},
  [11914] = {.lex_state = 62},
  [11915] = {.lex_state = 53, .external_lex_state = 60},
  [11916] = {.lex_state = 53, .external_lex_state = 60},
  [11917] = {.lex_state = 62},
  [11918] = {.lex_state = 53, .external_lex_state = 53},
  [11919] = {.lex_state = 62},
  [11920] = {.lex_state = 59, .external_lex_state = 40},
  [11921] = {.lex_state = 59},
  [11922] = {.lex_state = 59},
  [11923] = {.lex_state = 59, .external_lex_state = 39},
  [11924] = {.lex_state = 62},
  [11925] = {.lex_state = 62},
  [11926] = {.lex_state = 53, .external_lex_state = 61},
  [11927] = {.lex_state = 62},
  [11928] = {.lex_state = 59},
  [11929] = {.lex_state = 59},
  [11930] = {.lex_state = 53, .external_lex_state = 40},
  [11931] = {.lex_state = 59, .external_lex_state = 68},
  [11932] = {.lex_state = 53, .external_lex_state = 47},
  [11933] = {.lex_state = 53, .external_lex_state = 40},
  [11934] = {.lex_state = 62},
  [11935] = {.lex_state = 53, .external_lex_state = 40},
  [11936] = {.lex_state = 59},
  [11937] = {.lex_state = 62},
  [11938] = {.lex_state = 62},
  [11939] = {.lex_state = 53, .external_lex_state = 40},
  [11940] = {.lex_state = 62},
  [11941] = {.lex_state = 62},
  [11942] = {.lex_state = 62},
  [11943] = {.lex_state = 62},
  [11944] = {.lex_state = 62},
  [11945] = {.lex_state = 62},
  [11946] = {.lex_state = 62},
  [11947] = {.lex_state = 53, .external_lex_state = 47},
  [11948] = {.lex_state = 53, .external_lex_state = 23},
  [11949] = {.lex_state = 62},
  [11950] = {.lex_state = 59},
  [11951] = {.lex_state = 53, .external_lex_state = 47},
  [11952] = {.lex_state = 53, .external_lex_state = 47},
  [11953] = {.lex_state = 59},
  [11954] = {.lex_state = 62},
  [11955] = {.lex_state = 62},
  [11956] = {.lex_state = 53, .external_lex_state = 47},
  [11957] = {.lex_state = 62},
  [11958] = {.lex_state = 53, .external_lex_state = 47},
  [11959] = {.lex_state = 62},
  [11960] = {.lex_state = 62},
  [11961] = {.lex_state = 53, .external_lex_state = 47},
  [11962] = {.lex_state = 59},
  [11963] = {.lex_state = 53, .external_lex_state = 47},
  [11964] = {.lex_state = 59, .external_lex_state = 50},
  [11965] = {.lex_state = 62},
  [11966] = {.lex_state = 62},
  [11967] = {.lex_state = 62},
  [11968] = {.lex_state = 62},
  [11969] = {.lex_state = 62},
  [11970] = {.lex_state = 59},
  [11971] = {.lex_state = 53, .external_lex_state = 63},
  [11972] = {.lex_state = 51},
  [11973] = {.lex_state = 59, .external_lex_state = 39},
  [11974] = {.lex_state = 62},
  [11975] = {.lex_state = 59},
  [11976] = {.lex_state = 59},
  [11977] = {.lex_state = 62},
  [11978] = {.lex_state = 62},
  [11979] = {.lex_state = 62},
  [11980] = {.lex_state = 62},
  [11981] = {.lex_state = 62},
  [11982] = {.lex_state = 59, .external_lex_state = 39},
  [11983] = {.lex_state = 62},
  [11984] = {.lex_state = 62},
  [11985] = {.lex_state = 62},
  [11986] = {.lex_state = 52, .external_lex_state = 35},
  [11987] = {.lex_state = 59, .external_lex_state = 39},
  [11988] = {.lex_state = 59, .external_lex_state = 39},
  [11989] = {.lex_state = 59, .external_lex_state = 52},
  [11990] = {.lex_state = 62},
  [11991] = {.lex_state = 62},
  [11992] = {.lex_state = 59, .external_lex_state = 52},
  [11993] = {.lex_state = 62},
  [11994] = {.lex_state = 62},
  [11995] = {.lex_state = 53, .external_lex_state = 65},
  [11996] = {.lex_state = 53, .external_lex_state = 65},
  [11997] = {.lex_state = 62},
  [11998] = {.lex_state = 62},
  [11999] = {.lex_state = 62},
  [12000] = {.lex_state = 53, .external_lex_state = 60},
  [12001] = {.lex_state = 59},
  [12002] = {.lex_state = 62},
  [12003] = {.lex_state = 59, .external_lex_state = 40},
  [12004] = {.lex_state = 59, .external_lex_state = 38},
  [12005] = {.lex_state = 53, .external_lex_state = 46},
  [12006] = {.lex_state = 62},
  [12007] = {.lex_state = 62},
  [12008] = {.lex_state = 62},
  [12009] = {.lex_state = 52, .external_lex_state = 35},
  [12010] = {.lex_state = 62},
  [12011] = {.lex_state = 59, .external_lex_state = 39},
  [12012] = {.lex_state = 53, .external_lex_state = 46},
  [12013] = {.lex_state = 62},
  [12014] = {.lex_state = 62},
  [12015] = {.lex_state = 62},
  [12016] = {.lex_state = 53, .external_lex_state = 46},
  [12017] = {.lex_state = 62},
  [12018] = {.lex_state = 59, .external_lex_state = 39},
  [12019] = {.lex_state = 62},
  [12020] = {.lex_state = 53, .external_lex_state = 60},
  [12021] = {.lex_state = 53, .external_lex_state = 46},
  [12022] = {.lex_state = 53, .external_lex_state = 40},
  [12023] = {.lex_state = 53, .external_lex_state = 46},
  [12024] = {.lex_state = 53, .external_lex_state = 46},
  [12025] = {.lex_state = 62},
  [12026] = {.lex_state = 62},
  [12027] = {.lex_state = 53, .external_lex_state = 46},
  [12028] = {.lex_state = 59, .external_lex_state = 40},
  [12029] = {.lex_state = 59, .external_lex_state = 39},
  [12030] = {.lex_state = 62},
  [12031] = {.lex_state = 62},
  [12032] = {.lex_state = 53, .external_lex_state = 46},
  [12033] = {.lex_state = 53, .external_lex_state = 61},
  [12034] = {.lex_state = 62},
  [12035] = {.lex_state = 62},
  [12036] = {.lex_state = 53, .external_lex_state = 61},
  [12037] = {.lex_state = 62},
  [12038] = {.lex_state = 53, .external_lex_state = 49},
  [12039] = {.lex_state = 62},
  [12040] = {.lex_state = 59, .external_lex_state = 39},
  [12041] = {.lex_state = 59, .external_lex_state = 39},
  [12042] = {.lex_state = 59, .external_lex_state = 39},
  [12043] = {.lex_state = 52, .external_lex_state = 35},
  [12044] = {.lex_state = 62},
  [12045] = {.lex_state = 53, .external_lex_state = 60},
  [12046] = {.lex_state = 59, .external_lex_state = 38},
  [12047] = {.lex_state = 59},
  [12048] = {.lex_state = 59},
  [12049] = {.lex_state = 62},
  [12050] = {.lex_state = 62},
  [12051] = {.lex_state = 53, .external_lex_state = 52},
  [12052] = {.lex_state = 59, .external_lex_state = 28},
  [12053] = {.lex_state = 59, .external_lex_state = 39},
  [12054] = {.lex_state = 53, .external_lex_state = 23},
  [12055] = {.lex_state = 59},
  [12056] = {.lex_state = 62},
  [12057] = {.lex_state = 59},
  [12058] = {.lex_state = 59},
  [12059] = {.lex_state = 59, .external_lex_state = 39},
  [12060] = {.lex_state = 59},
  [12061] = {.lex_state = 59, .external_lex_state = 40},
  [12062] = {.lex_state = 59, .external_lex_state = 39},
  [12063] = {.lex_state = 59},
  [12064] = {.lex_state = 59},
  [12065] = {.lex_state = 62},
  [12066] = {.lex_state = 59, .external_lex_state = 39},
  [12067] = {.lex_state = 59, .external_lex_state = 38},
  [12068] = {.lex_state = 62},
  [12069] = {.lex_state = 62},
  [12070] = {.lex_state = 59, .external_lex_state = 39},
  [12071] = {.lex_state = 62},
  [12072] = {.lex_state = 59},
  [12073] = {.lex_state = 62},
  [12074] = {.lex_state = 62},
  [12075] = {.lex_state = 62},
  [12076] = {.lex_state = 62},
  [12077] = {.lex_state = 59, .external_lex_state = 39},
  [12078] = {.lex_state = 62},
  [12079] = {.lex_state = 62},
  [12080] = {.lex_state = 59, .external_lex_state = 39},
  [12081] = {.lex_state = 53, .external_lex_state = 50},
  [12082] = {.lex_state = 53, .external_lex_state = 52},
  [12083] = {.lex_state = 62},
  [12084] = {.lex_state = 59, .external_lex_state = 39},
  [12085] = {.lex_state = 53, .external_lex_state = 50},
  [12086] = {.lex_state = 62},
  [12087] = {.lex_state = 59, .external_lex_state = 39},
  [12088] = {.lex_state = 62},
  [12089] = {.lex_state = 52, .external_lex_state = 24},
  [12090] = {.lex_state = 62},
  [12091] = {.lex_state = 53, .external_lex_state = 53},
  [12092] = {.lex_state = 62},
  [12093] = {.lex_state = 62},
  [12094] = {.lex_state = 53, .external_lex_state = 47},
  [12095] = {.lex_state = 53, .external_lex_state = 47},
  [12096] = {.lex_state = 62},
  [12097] = {.lex_state = 53, .external_lex_state = 47},
  [12098] = {.lex_state = 53, .external_lex_state = 47},
  [12099] = {.lex_state = 62},
  [12100] = {.lex_state = 59, .external_lex_state = 40},
  [12101] = {.lex_state = 62},
  [12102] = {.lex_state = 59, .external_lex_state = 40},
  [12103] = {.lex_state = 53, .external_lex_state = 60},
  [12104] = {.lex_state = 53, .external_lex_state = 46},
  [12105] = {.lex_state = 53, .external_lex_state = 46},
  [12106] = {.lex_state = 53, .external_lex_state = 46},
  [12107] = {.lex_state = 53, .external_lex_state = 46},
  [12108] = {.lex_state = 53, .external_lex_state = 60},
  [12109] = {.lex_state = 53, .external_lex_state = 60},
  [12110] = {.lex_state = 59},
  [12111] = {.lex_state = 59},
  [12112] = {.lex_state = 59, .external_lex_state = 69},
  [12113] = {.lex_state = 62},
  [12114] = {.lex_state = 59, .external_lex_state = 46},
  [12115] = {.lex_state = 62},
  [12116] = {.lex_state = 53, .external_lex_state = 53},
  [12117] = {.lex_state = 62},
  [12118] = {.lex_state = 59},
  [12119] = {.lex_state = 59},
  [12120] = {.lex_state = 53, .external_lex_state = 50},
  [12121] = {.lex_state = 53, .external_lex_state = 49},
  [12122] = {.lex_state = 53, .external_lex_state = 49},
  [12123] = {.lex_state = 53, .external_lex_state = 61},
  [12124] = {.lex_state = 62},
  [12125] = {.lex_state = 62},
  [12126] = {.lex_state = 62},
  [12127] = {.lex_state = 59},
  [12128] = {.lex_state = 62},
  [12129] = {.lex_state = 59},
  [12130] = {.lex_state = 62},
  [12131] = {.lex_state = 62},
  [12132] = {.lex_state = 59},
  [12133] = {.lex_state = 59},
  [12134] = {.lex_state = 62},
  [12135] = {.lex_state = 62},
  [12136] = {.lex_state = 53, .external_lex_state = 40},
  [12137] = {.lex_state = 62},
  [12138] = {.lex_state = 62},
  [12139] = {.lex_state = 62},
  [12140] = {.lex_state = 62},
  [12141] = {.lex_state = 62},
  [12142] = {.lex_state = 53, .external_lex_state = 52},
  [12143] = {.lex_state = 53, .external_lex_state = 40},
  [12144] = {.lex_state = 59, .external_lex_state = 39},
  [12145] = {.lex_state = 62},
  [12146] = {.lex_state = 53, .external_lex_state = 52},
  [12147] = {.lex_state = 53, .external_lex_state = 65},
  [12148] = {.lex_state = 53, .external_lex_state = 40},
  [12149] = {.lex_state = 62},
  [12150] = {.lex_state = 62},
  [12151] = {.lex_state = 62},
  [12152] = {.lex_state = 53},
  [12153] = {.lex_state = 62},
  [12154] = {.lex_state = 62},
  [12155] = {.lex_state = 53, .external_lex_state = 53},
  [12156] = {.lex_state = 62},
  [12157] = {.lex_state = 53, .external_lex_state = 65},
  [12158] = {.lex_state = 62},
  [12159] = {.lex_state = 62},
  [12160] = {.lex_state = 59},
  [12161] = {.lex_state = 59},
  [12162] = {.lex_state = 62},
  [12163] = {.lex_state = 59, .external_lex_state = 38},
  [12164] = {.lex_state = 62},
  [12165] = {.lex_state = 62},
  [12166] = {.lex_state = 59, .external_lex_state = 38},
  [12167] = {.lex_state = 59, .external_lex_state = 38},
  [12168] = {.lex_state = 59, .external_lex_state = 38},
  [12169] = {.lex_state = 59, .external_lex_state = 38},
  [12170] = {.lex_state = 62},
  [12171] = {.lex_state = 59, .external_lex_state = 38},
  [12172] = {.lex_state = 59, .external_lex_state = 39},
  [12173] = {.lex_state = 59, .external_lex_state = 39},
  [12174] = {.lex_state = 62},
  [12175] = {.lex_state = 62},
  [12176] = {.lex_state = 59, .external_lex_state = 39},
  [12177] = {.lex_state = 52, .external_lex_state = 35},
  [12178] = {.lex_state = 62},
  [12179] = {.lex_state = 62},
  [12180] = {.lex_state = 62},
  [12181] = {.lex_state = 59, .external_lex_state = 53},
  [12182] = {.lex_state = 62},
  [12183] = {.lex_state = 62},
  [12184] = {.lex_state = 53},
  [12185] = {.lex_state = 59},
  [12186] = {.lex_state = 53, .external_lex_state = 60},
  [12187] = {.lex_state = 59, .external_lex_state = 39},
  [12188] = {.lex_state = 59, .external_lex_state = 39},
  [12189] = {.lex_state = 59},
  [12190] = {.lex_state = 59},
  [12191] = {.lex_state = 59},
  [12192] = {.lex_state = 59},
  [12193] = {.lex_state = 53, .external_lex_state = 40},
  [12194] = {.lex_state = 53, .external_lex_state = 40},
  [12195] = {.lex_state = 53, .external_lex_state = 40},
  [12196] = {.lex_state = 53, .external_lex_state = 40},
  [12197] = {.lex_state = 59, .external_lex_state = 40},
  [12198] = {.lex_state = 53, .external_lex_state = 62},
  [12199] = {.lex_state = 62},
  [12200] = {.lex_state = 62},
  [12201] = {.lex_state = 53, .external_lex_state = 40},
  [12202] = {.lex_state = 53, .external_lex_state = 62},
  [12203] = {.lex_state = 62},
  [12204] = {.lex_state = 62},
  [12205] = {.lex_state = 53, .external_lex_state = 24},
  [12206] = {.lex_state = 59, .external_lex_state = 39},
  [12207] = {.lex_state = 62},
  [12208] = {.lex_state = 62},
  [12209] = {.lex_state = 62},
  [12210] = {.lex_state = 59, .external_lex_state = 53},
  [12211] = {.lex_state = 62},
  [12212] = {.lex_state = 62},
  [12213] = {.lex_state = 53, .external_lex_state = 40},
  [12214] = {.lex_state = 62},
  [12215] = {.lex_state = 53, .external_lex_state = 40},
  [12216] = {.lex_state = 62},
  [12217] = {.lex_state = 53, .external_lex_state = 62},
  [12218] = {.lex_state = 62},
  [12219] = {.lex_state = 62},
  [12220] = {.lex_state = 62},
  [12221] = {.lex_state = 53, .external_lex_state = 40},
  [12222] = {.lex_state = 53, .external_lex_state = 40},
  [12223] = {.lex_state = 62},
  [12224] = {.lex_state = 62},
  [12225] = {.lex_state = 53, .external_lex_state = 62},
  [12226] = {.lex_state = 53, .external_lex_state = 40},
  [12227] = {.lex_state = 53, .external_lex_state = 40},
  [12228] = {.lex_state = 53, .external_lex_state = 50},
  [12229] = {.lex_state = 62},
  [12230] = {.lex_state = 53, .external_lex_state = 40},
  [12231] = {.lex_state = 62},
  [12232] = {.lex_state = 53, .external_lex_state = 62},
  [12233] = {.lex_state = 53, .external_lex_state = 61},
  [12234] = {.lex_state = 53, .external_lex_state = 66},
  [12235] = {.lex_state = 62},
  [12236] = {.lex_state = 59, .external_lex_state = 23},
  [12237] = {.lex_state = 53, .external_lex_state = 50},
  [12238] = {.lex_state = 53, .external_lex_state = 23},
  [12239] = {.lex_state = 53, .external_lex_state = 47},
  [12240] = {.lex_state = 59, .external_lex_state = 49},
  [12241] = {.lex_state = 52, .external_lex_state = 23},
  [12242] = {.lex_state = 53, .external_lex_state = 50},
  [12243] = {.lex_state = 62},
  [12244] = {.lex_state = 59, .external_lex_state = 47},
  [12245] = {.lex_state = 53, .external_lex_state = 47},
  [12246] = {.lex_state = 59, .external_lex_state = 47},
  [12247] = {.lex_state = 53, .external_lex_state = 50},
  [12248] = {.lex_state = 59, .external_lex_state = 47},
  [12249] = {.lex_state = 59, .external_lex_state = 40},
  [12250] = {.lex_state = 53, .external_lex_state = 46},
  [12251] = {.lex_state = 62},
  [12252] = {.lex_state = 53, .external_lex_state = 61},
  [12253] = {.lex_state = 59, .external_lex_state = 28},
  [12254] = {.lex_state = 53, .external_lex_state = 50},
  [12255] = {.lex_state = 53, .external_lex_state = 50},
  [12256] = {.lex_state = 59, .external_lex_state = 23},
  [12257] = {.lex_state = 53, .external_lex_state = 61},
  [12258] = {.lex_state = 62},
  [12259] = {.lex_state = 59, .external_lex_state = 23},
  [12260] = {.lex_state = 53, .external_lex_state = 46},
  [12261] = {.lex_state = 53, .external_lex_state = 46},
  [12262] = {.lex_state = 62},
  [12263] = {.lex_state = 59, .external_lex_state = 47},
  [12264] = {.lex_state = 62},
  [12265] = {.lex_state = 59, .external_lex_state = 40},
  [12266] = {.lex_state = 59, .external_lex_state = 40},
  [12267] = {.lex_state = 52, .external_lex_state = 23},
  [12268] = {.lex_state = 59, .external_lex_state = 23},
  [12269] = {.lex_state = 62},
  [12270] = {.lex_state = 62},
  [12271] = {.lex_state = 53, .external_lex_state = 47},
  [12272] = {.lex_state = 62},
  [12273] = {.lex_state = 62},
  [12274] = {.lex_state = 53, .external_lex_state = 61},
  [12275] = {.lex_state = 62},
  [12276] = {.lex_state = 52, .external_lex_state = 54},
  [12277] = {.lex_state = 59},
  [12278] = {.lex_state = 62},
  [12279] = {.lex_state = 59, .external_lex_state = 23},
  [12280] = {.lex_state = 62},
  [12281] = {.lex_state = 62},
  [12282] = {.lex_state = 59, .external_lex_state = 23},
  [12283] = {.lex_state = 59, .external_lex_state = 40},
  [12284] = {.lex_state = 62},
  [12285] = {.lex_state = 59},
  [12286] = {.lex_state = 62},
  [12287] = {.lex_state = 53, .external_lex_state = 47},
  [12288] = {.lex_state = 62},
  [12289] = {.lex_state = 59, .external_lex_state = 23},
  [12290] = {.lex_state = 59, .external_lex_state = 40},
  [12291] = {.lex_state = 59, .external_lex_state = 23},
  [12292] = {.lex_state = 59, .external_lex_state = 23},
  [12293] = {.lex_state = 53, .external_lex_state = 50},
  [12294] = {.lex_state = 53, .external_lex_state = 46},
  [12295] = {.lex_state = 62},
  [12296] = {.lex_state = 53, .external_lex_state = 56},
  [12297] = {.lex_state = 59, .external_lex_state = 47},
  [12298] = {.lex_state = 53, .external_lex_state = 56},
  [12299] = {.lex_state = 59, .external_lex_state = 47},
  [12300] = {.lex_state = 62},
  [12301] = {.lex_state = 53, .external_lex_state = 61},
  [12302] = {.lex_state = 53, .external_lex_state = 57},
  [12303] = {.lex_state = 53, .external_lex_state = 57},
  [12304] = {.lex_state = 59, .external_lex_state = 23},
  [12305] = {.lex_state = 59, .external_lex_state = 47},
  [12306] = {.lex_state = 62},
  [12307] = {.lex_state = 62},
  [12308] = {.lex_state = 53, .external_lex_state = 50},
  [12309] = {.lex_state = 62},
  [12310] = {.lex_state = 59, .external_lex_state = 47},
  [12311] = {.lex_state = 53, .external_lex_state = 62},
  [12312] = {.lex_state = 53, .external_lex_state = 49},
  [12313] = {.lex_state = 62},
  [12314] = {.lex_state = 53, .external_lex_state = 58},
  [12315] = {.lex_state = 53, .external_lex_state = 58},
  [12316] = {.lex_state = 53, .external_lex_state = 50},
  [12317] = {.lex_state = 53, .external_lex_state = 53},
  [12318] = {.lex_state = 59, .external_lex_state = 28},
  [12319] = {.lex_state = 53, .external_lex_state = 62},
  [12320] = {.lex_state = 53, .external_lex_state = 61},
  [12321] = {.lex_state = 53, .external_lex_state = 66},
  [12322] = {.lex_state = 59, .external_lex_state = 32},
  [12323] = {.lex_state = 53, .external_lex_state = 46},
  [12324] = {.lex_state = 59},
  [12325] = {.lex_state = 53, .external_lex_state = 61},
  [12326] = {.lex_state = 59, .external_lex_state = 23},
  [12327] = {.lex_state = 62},
  [12328] = {.lex_state = 59, .external_lex_state = 40},
  [12329] = {.lex_state = 53, .external_lex_state = 52},
  [12330] = {.lex_state = 53, .external_lex_state = 52},
  [12331] = {.lex_state = 53, .external_lex_state = 46},
  [12332] = {.lex_state = 53, .external_lex_state = 60},
  [12333] = {.lex_state = 59, .external_lex_state = 40},
  [12334] = {.lex_state = 52, .external_lex_state = 23},
  [12335] = {.lex_state = 53, .external_lex_state = 52},
  [12336] = {.lex_state = 53, .external_lex_state = 52},
  [12337] = {.lex_state = 59, .external_lex_state = 58},
  [12338] = {.lex_state = 62},
  [12339] = {.lex_state = 52, .external_lex_state = 23},
  [12340] = {.lex_state = 62},
  [12341] = {.lex_state = 59, .external_lex_state = 58},
  [12342] = {.lex_state = 62},
  [12343] = {.lex_state = 53, .external_lex_state = 46},
  [12344] = {.lex_state = 53, .external_lex_state = 62},
  [12345] = {.lex_state = 53, .external_lex_state = 62},
  [12346] = {.lex_state = 62},
  [12347] = {.lex_state = 59, .external_lex_state = 47},
  [12348] = {.lex_state = 62},
  [12349] = {.lex_state = 59, .external_lex_state = 23},
  [12350] = {.lex_state = 62},
  [12351] = {.lex_state = 53, .external_lex_state = 52},
  [12352] = {.lex_state = 62},
  [12353] = {.lex_state = 53, .external_lex_state = 52},
  [12354] = {.lex_state = 53, .external_lex_state = 52},
  [12355] = {.lex_state = 59, .external_lex_state = 23},
  [12356] = {.lex_state = 53, .external_lex_state = 63},
  [12357] = {.lex_state = 53, .external_lex_state = 52},
  [12358] = {.lex_state = 53, .external_lex_state = 63},
  [12359] = {.lex_state = 62},
  [12360] = {.lex_state = 62},
  [12361] = {.lex_state = 53, .external_lex_state = 52},
  [12362] = {.lex_state = 53, .external_lex_state = 52},
  [12363] = {.lex_state = 59, .external_lex_state = 40},
  [12364] = {.lex_state = 59, .external_lex_state = 40},
  [12365] = {.lex_state = 59, .external_lex_state = 40},
  [12366] = {.lex_state = 53, .external_lex_state = 52},
  [12367] = {.lex_state = 52, .external_lex_state = 24},
  [12368] = {.lex_state = 62},
  [12369] = {.lex_state = 52, .external_lex_state = 24},
  [12370] = {.lex_state = 53, .external_lex_state = 52},
  [12371] = {.lex_state = 53, .external_lex_state = 63},
  [12372] = {.lex_state = 59, .external_lex_state = 40},
  [12373] = {.lex_state = 62},
  [12374] = {.lex_state = 62},
  [12375] = {.lex_state = 52, .external_lex_state = 24},
  [12376] = {.lex_state = 62},
  [12377] = {.lex_state = 53, .external_lex_state = 46},
  [12378] = {.lex_state = 59, .external_lex_state = 40},
  [12379] = {.lex_state = 53, .external_lex_state = 61},
  [12380] = {.lex_state = 53, .external_lex_state = 61},
  [12381] = {.lex_state = 62},
  [12382] = {.lex_state = 53, .external_lex_state = 47},
  [12383] = {.lex_state = 59, .external_lex_state = 40},
  [12384] = {.lex_state = 52, .external_lex_state = 24},
  [12385] = {.lex_state = 59, .external_lex_state = 40},
  [12386] = {.lex_state = 53, .external_lex_state = 47},
  [12387] = {.lex_state = 52, .external_lex_state = 24},
  [12388] = {.lex_state = 62},
  [12389] = {.lex_state = 62},
  [12390] = {.lex_state = 59, .external_lex_state = 57},
  [12391] = {.lex_state = 62},
  [12392] = {.lex_state = 59, .external_lex_state = 57},
  [12393] = {.lex_state = 53, .external_lex_state = 23},
  [12394] = {.lex_state = 52, .external_lex_state = 23},
  [12395] = {.lex_state = 59, .external_lex_state = 40},
  [12396] = {.lex_state = 59, .external_lex_state = 40},
  [12397] = {.lex_state = 53, .external_lex_state = 56},
  [12398] = {.lex_state = 62},
  [12399] = {.lex_state = 62},
  [12400] = {.lex_state = 52, .external_lex_state = 23},
  [12401] = {.lex_state = 62},
  [12402] = {.lex_state = 52, .external_lex_state = 24},
  [12403] = {.lex_state = 53, .external_lex_state = 53},
  [12404] = {.lex_state = 53, .external_lex_state = 52},
  [12405] = {.lex_state = 59, .external_lex_state = 23},
  [12406] = {.lex_state = 53, .external_lex_state = 61},
  [12407] = {.lex_state = 62},
  [12408] = {.lex_state = 59, .external_lex_state = 23},
  [12409] = {.lex_state = 53, .external_lex_state = 61},
  [12410] = {.lex_state = 59, .external_lex_state = 28},
  [12411] = {.lex_state = 53, .external_lex_state = 62},
  [12412] = {.lex_state = 52, .external_lex_state = 24},
  [12413] = {.lex_state = 59, .external_lex_state = 40},
  [12414] = {.lex_state = 59, .external_lex_state = 47},
  [12415] = {.lex_state = 53, .external_lex_state = 62},
  [12416] = {.lex_state = 62},
  [12417] = {.lex_state = 53, .external_lex_state = 62},
  [12418] = {.lex_state = 62},
  [12419] = {.lex_state = 53, .external_lex_state = 61},
  [12420] = {.lex_state = 62},
  [12421] = {.lex_state = 62},
  [12422] = {.lex_state = 62},
  [12423] = {.lex_state = 53, .external_lex_state = 49},
  [12424] = {.lex_state = 59, .external_lex_state = 28},
  [12425] = {.lex_state = 53, .external_lex_state = 49},
  [12426] = {.lex_state = 53, .external_lex_state = 49},
  [12427] = {.lex_state = 62},
  [12428] = {.lex_state = 59},
  [12429] = {.lex_state = 53, .external_lex_state = 49},
  [12430] = {.lex_state = 59, .external_lex_state = 40},
  [12431] = {.lex_state = 53, .external_lex_state = 49},
  [12432] = {.lex_state = 59, .external_lex_state = 23},
  [12433] = {.lex_state = 53, .external_lex_state = 65},
  [12434] = {.lex_state = 62},
  [12435] = {.lex_state = 59},
  [12436] = {.lex_state = 59},
  [12437] = {.lex_state = 59},
  [12438] = {.lex_state = 52, .external_lex_state = 35},
  [12439] = {.lex_state = 59, .external_lex_state = 50},
  [12440] = {.lex_state = 59},
  [12441] = {.lex_state = 62},
  [12442] = {.lex_state = 53, .external_lex_state = 53},
  [12443] = {.lex_state = 53, .external_lex_state = 53},
  [12444] = {.lex_state = 59},
  [12445] = {.lex_state = 59, .external_lex_state = 23},
  [12446] = {.lex_state = 59, .external_lex_state = 32},
  [12447] = {.lex_state = 59, .external_lex_state = 23},
  [12448] = {.lex_state = 53, .external_lex_state = 53},
  [12449] = {.lex_state = 62},
  [12450] = {.lex_state = 53, .external_lex_state = 61},
  [12451] = {.lex_state = 53, .external_lex_state = 53},
  [12452] = {.lex_state = 53, .external_lex_state = 53},
  [12453] = {.lex_state = 59, .external_lex_state = 47},
  [12454] = {.lex_state = 53, .external_lex_state = 53},
  [12455] = {.lex_state = 53, .external_lex_state = 53},
  [12456] = {.lex_state = 53, .external_lex_state = 50},
  [12457] = {.lex_state = 53, .external_lex_state = 50},
  [12458] = {.lex_state = 62},
  [12459] = {.lex_state = 53, .external_lex_state = 50},
  [12460] = {.lex_state = 62},
  [12461] = {.lex_state = 62},
  [12462] = {.lex_state = 53, .external_lex_state = 50},
  [12463] = {.lex_state = 59, .external_lex_state = 32},
  [12464] = {.lex_state = 59, .external_lex_state = 40},
  [12465] = {.lex_state = 62},
  [12466] = {.lex_state = 62},
  [12467] = {.lex_state = 62},
  [12468] = {.lex_state = 62},
  [12469] = {.lex_state = 53, .external_lex_state = 56},
  [12470] = {.lex_state = 62},
  [12471] = {.lex_state = 59, .external_lex_state = 46},
  [12472] = {.lex_state = 62},
  [12473] = {.lex_state = 62},
  [12474] = {.lex_state = 59, .external_lex_state = 40},
  [12475] = {.lex_state = 59, .external_lex_state = 40},
  [12476] = {.lex_state = 53, .external_lex_state = 53},
  [12477] = {.lex_state = 53, .external_lex_state = 47},
  [12478] = {.lex_state = 59, .external_lex_state = 40},
  [12479] = {.lex_state = 52, .external_lex_state = 24},
  [12480] = {.lex_state = 52, .external_lex_state = 24},
  [12481] = {.lex_state = 59, .external_lex_state = 40},
  [12482] = {.lex_state = 53, .external_lex_state = 62},
  [12483] = {.lex_state = 53, .external_lex_state = 47},
  [12484] = {.lex_state = 53, .external_lex_state = 47},
  [12485] = {.lex_state = 53, .external_lex_state = 57},
  [12486] = {.lex_state = 62},
  [12487] = {.lex_state = 53, .external_lex_state = 49},
  [12488] = {.lex_state = 53, .external_lex_state = 47},
  [12489] = {.lex_state = 53, .external_lex_state = 53},
  [12490] = {.lex_state = 53, .external_lex_state = 49},
  [12491] = {.lex_state = 53, .external_lex_state = 47},
  [12492] = {.lex_state = 53, .external_lex_state = 53},
  [12493] = {.lex_state = 53, .external_lex_state = 47},
  [12494] = {.lex_state = 53, .external_lex_state = 49},
  [12495] = {.lex_state = 53, .external_lex_state = 47},
  [12496] = {.lex_state = 53, .external_lex_state = 53},
  [12497] = {.lex_state = 53, .external_lex_state = 50},
  [12498] = {.lex_state = 53, .external_lex_state = 66},
  [12499] = {.lex_state = 62},
  [12500] = {.lex_state = 62},
  [12501] = {.lex_state = 53, .external_lex_state = 65},
  [12502] = {.lex_state = 62},
  [12503] = {.lex_state = 59, .external_lex_state = 47},
  [12504] = {.lex_state = 52, .external_lex_state = 23},
  [12505] = {.lex_state = 52, .external_lex_state = 24},
  [12506] = {.lex_state = 59, .external_lex_state = 23},
  [12507] = {.lex_state = 52, .external_lex_state = 24},
  [12508] = {.lex_state = 59, .external_lex_state = 23},
  [12509] = {.lex_state = 53, .external_lex_state = 49},
  [12510] = {.lex_state = 53, .external_lex_state = 49},
  [12511] = {.lex_state = 59, .external_lex_state = 47},
  [12512] = {.lex_state = 53, .external_lex_state = 49},
  [12513] = {.lex_state = 62},
  [12514] = {.lex_state = 52, .external_lex_state = 23},
  [12515] = {.lex_state = 53, .external_lex_state = 49},
  [12516] = {.lex_state = 59, .external_lex_state = 23},
  [12517] = {.lex_state = 62},
  [12518] = {.lex_state = 62},
  [12519] = {.lex_state = 53, .external_lex_state = 47},
  [12520] = {.lex_state = 62},
  [12521] = {.lex_state = 59, .external_lex_state = 23},
  [12522] = {.lex_state = 62},
  [12523] = {.lex_state = 53, .external_lex_state = 46},
  [12524] = {.lex_state = 62},
  [12525] = {.lex_state = 59, .external_lex_state = 23},
  [12526] = {.lex_state = 52, .external_lex_state = 24},
  [12527] = {.lex_state = 52, .external_lex_state = 24},
  [12528] = {.lex_state = 59, .external_lex_state = 32},
  [12529] = {.lex_state = 62},
  [12530] = {.lex_state = 52, .external_lex_state = 54},
  [12531] = {.lex_state = 59, .external_lex_state = 23},
  [12532] = {.lex_state = 53, .external_lex_state = 47},
  [12533] = {.lex_state = 59, .external_lex_state = 23},
  [12534] = {.lex_state = 53, .external_lex_state = 47},
  [12535] = {.lex_state = 52, .external_lex_state = 24},
  [12536] = {.lex_state = 62},
  [12537] = {.lex_state = 52, .external_lex_state = 24},
  [12538] = {.lex_state = 59, .external_lex_state = 23},
  [12539] = {.lex_state = 59, .external_lex_state = 23},
  [12540] = {.lex_state = 53, .external_lex_state = 62},
  [12541] = {.lex_state = 62},
  [12542] = {.lex_state = 53, .external_lex_state = 63},
  [12543] = {.lex_state = 52, .external_lex_state = 24},
  [12544] = {.lex_state = 53, .external_lex_state = 47},
  [12545] = {.lex_state = 53, .external_lex_state = 58},
  [12546] = {.lex_state = 59, .external_lex_state = 28},
  [12547] = {.lex_state = 59, .external_lex_state = 46},
  [12548] = {.lex_state = 59, .external_lex_state = 40},
  [12549] = {.lex_state = 59, .external_lex_state = 46},
  [12550] = {.lex_state = 52, .external_lex_state = 24},
  [12551] = {.lex_state = 62},
  [12552] = {.lex_state = 53, .external_lex_state = 47},
  [12553] = {.lex_state = 52, .external_lex_state = 24},
  [12554] = {.lex_state = 59, .external_lex_state = 52},
  [12555] = {.lex_state = 53, .external_lex_state = 46},
  [12556] = {.lex_state = 52, .external_lex_state = 24},
  [12557] = {.lex_state = 52, .external_lex_state = 24},
  [12558] = {.lex_state = 52, .external_lex_state = 24},
  [12559] = {.lex_state = 62},
  [12560] = {.lex_state = 53, .external_lex_state = 62},
  [12561] = {.lex_state = 62},
  [12562] = {.lex_state = 53, .external_lex_state = 47},
  [12563] = {.lex_state = 59, .external_lex_state = 47},
  [12564] = {.lex_state = 53, .external_lex_state = 63},
  [12565] = {.lex_state = 62},
  [12566] = {.lex_state = 53, .external_lex_state = 62},
  [12567] = {.lex_state = 62},
  [12568] = {.lex_state = 53, .external_lex_state = 62},
  [12569] = {.lex_state = 53, .external_lex_state = 62},
  [12570] = {.lex_state = 59, .external_lex_state = 40},
  [12571] = {.lex_state = 62},
  [12572] = {.lex_state = 59},
  [12573] = {.lex_state = 53, .external_lex_state = 63},
  [12574] = {.lex_state = 53, .external_lex_state = 46},
  [12575] = {.lex_state = 53, .external_lex_state = 60},
  [12576] = {.lex_state = 53, .external_lex_state = 46},
  [12577] = {.lex_state = 59, .external_lex_state = 40},
  [12578] = {.lex_state = 53, .external_lex_state = 46},
  [12579] = {.lex_state = 53, .external_lex_state = 58},
  [12580] = {.lex_state = 52, .external_lex_state = 54},
  [12581] = {.lex_state = 59, .external_lex_state = 46},
  [12582] = {.lex_state = 53, .external_lex_state = 46},
  [12583] = {.lex_state = 62},
  [12584] = {.lex_state = 53, .external_lex_state = 46},
  [12585] = {.lex_state = 52, .external_lex_state = 24},
  [12586] = {.lex_state = 53, .external_lex_state = 61},
  [12587] = {.lex_state = 62},
  [12588] = {.lex_state = 53, .external_lex_state = 46},
  [12589] = {.lex_state = 53, .external_lex_state = 46},
  [12590] = {.lex_state = 62},
  [12591] = {.lex_state = 62},
  [12592] = {.lex_state = 59, .external_lex_state = 53},
  [12593] = {.lex_state = 53, .external_lex_state = 62},
  [12594] = {.lex_state = 53, .external_lex_state = 46},
  [12595] = {.lex_state = 53, .external_lex_state = 23},
  [12596] = {.lex_state = 59, .external_lex_state = 56},
  [12597] = {.lex_state = 59, .external_lex_state = 23},
  [12598] = {.lex_state = 53, .external_lex_state = 46},
  [12599] = {.lex_state = 53, .external_lex_state = 46},
  [12600] = {.lex_state = 59, .external_lex_state = 46},
  [12601] = {.lex_state = 62},
  [12602] = {.lex_state = 53, .external_lex_state = 23},
  [12603] = {.lex_state = 53, .external_lex_state = 47},
  [12604] = {.lex_state = 62},
  [12605] = {.lex_state = 53, .external_lex_state = 62},
  [12606] = {.lex_state = 59, .external_lex_state = 32},
  [12607] = {.lex_state = 53, .external_lex_state = 57},
  [12608] = {.lex_state = 53, .external_lex_state = 63},
  [12609] = {.lex_state = 59, .external_lex_state = 32},
  [12610] = {.lex_state = 53, .external_lex_state = 46},
  [12611] = {.lex_state = 59, .external_lex_state = 46},
  [12612] = {.lex_state = 52, .external_lex_state = 54},
  [12613] = {.lex_state = 62},
  [12614] = {.lex_state = 59, .external_lex_state = 56},
  [12615] = {.lex_state = 53, .external_lex_state = 61},
  [12616] = {.lex_state = 59, .external_lex_state = 46},
  [12617] = {.lex_state = 52, .external_lex_state = 24},
  [12618] = {.lex_state = 62},
  [12619] = {.lex_state = 59, .external_lex_state = 23},
  [12620] = {.lex_state = 62},
  [12621] = {.lex_state = 62},
  [12622] = {.lex_state = 52, .external_lex_state = 54},
  [12623] = {.lex_state = 53, .external_lex_state = 47},
  [12624] = {.lex_state = 52, .external_lex_state = 23},
  [12625] = {.lex_state = 59, .external_lex_state = 46},
  [12626] = {.lex_state = 62},
  [12627] = {.lex_state = 53, .external_lex_state = 60},
  [12628] = {.lex_state = 53, .external_lex_state = 56},
  [12629] = {.lex_state = 53, .external_lex_state = 49},
  [12630] = {.lex_state = 52, .external_lex_state = 24},
  [12631] = {.lex_state = 53, .external_lex_state = 53},
  [12632] = {.lex_state = 59, .external_lex_state = 34},
  [12633] = {.lex_state = 53, .external_lex_state = 60},
  [12634] = {.lex_state = 59, .external_lex_state = 56},
  [12635] = {.lex_state = 59, .external_lex_state = 46},
  [12636] = {.lex_state = 59, .external_lex_state = 46},
  [12637] = {.lex_state = 59, .external_lex_state = 53},
  [12638] = {.lex_state = 59, .external_lex_state = 32},
  [12639] = {.lex_state = 53, .external_lex_state = 63},
  [12640] = {.lex_state = 59, .external_lex_state = 49},
  [12641] = {.lex_state = 59, .external_lex_state = 46},
  [12642] = {.lex_state = 53, .external_lex_state = 53},
  [12643] = {.lex_state = 59, .external_lex_state = 47},
  [12644] = {.lex_state = 53, .external_lex_state = 53},
  [12645] = {.lex_state = 53, .external_lex_state = 56},
  [12646] = {.lex_state = 59, .external_lex_state = 47},
  [12647] = {.lex_state = 53, .external_lex_state = 52},
  [12648] = {.lex_state = 59, .external_lex_state = 47},
  [12649] = {.lex_state = 53, .external_lex_state = 67},
  [12650] = {.lex_state = 53, .external_lex_state = 63},
  [12651] = {.lex_state = 53, .external_lex_state = 65},
  [12652] = {.lex_state = 59, .external_lex_state = 49},
  [12653] = {.lex_state = 59, .external_lex_state = 24},
  [12654] = {.lex_state = 59, .external_lex_state = 47},
  [12655] = {.lex_state = 53, .external_lex_state = 63},
  [12656] = {.lex_state = 53, .external_lex_state = 24},
  [12657] = {.lex_state = 59, .external_lex_state = 24},
  [12658] = {.lex_state = 59, .external_lex_state = 49},
  [12659] = {.lex_state = 53, .external_lex_state = 65},
  [12660] = {.lex_state = 59, .external_lex_state = 49},
  [12661] = {.lex_state = 53, .external_lex_state = 50},
  [12662] = {.lex_state = 59, .external_lex_state = 34},
  [12663] = {.lex_state = 53, .external_lex_state = 49},
  [12664] = {.lex_state = 59, .external_lex_state = 47},
  [12665] = {.lex_state = 53, .external_lex_state = 58},
  [12666] = {.lex_state = 53, .external_lex_state = 63},
  [12667] = {.lex_state = 59, .external_lex_state = 47},
  [12668] = {.lex_state = 59},
  [12669] = {.lex_state = 53, .external_lex_state = 67},
  [12670] = {.lex_state = 59, .external_lex_state = 47},
  [12671] = {.lex_state = 53, .external_lex_state = 63},
  [12672] = {.lex_state = 59, .external_lex_state = 47},
  [12673] = {.lex_state = 59, .external_lex_state = 46},
  [12674] = {.lex_state = 53, .external_lex_state = 63},
  [12675] = {.lex_state = 53, .external_lex_state = 63},
  [12676] = {.lex_state = 53, .external_lex_state = 66},
  [12677] = {.lex_state = 53, .external_lex_state = 63},
  [12678] = {.lex_state = 59, .external_lex_state = 47},
  [12679] = {.lex_state = 59, .external_lex_state = 47},
  [12680] = {.lex_state = 59, .external_lex_state = 47},
  [12681] = {.lex_state = 59, .external_lex_state = 46},
  [12682] = {.lex_state = 59, .external_lex_state = 53},
  [12683] = {.lex_state = 59, .external_lex_state = 47},
  [12684] = {.lex_state = 53, .external_lex_state = 63},
  [12685] = {.lex_state = 53, .external_lex_state = 66},
  [12686] = {.lex_state = 59, .external_lex_state = 46},
  [12687] = {.lex_state = 59},
  [12688] = {.lex_state = 59, .external_lex_state = 46},
  [12689] = {.lex_state = 59, .external_lex_state = 32},
  [12690] = {.lex_state = 53, .external_lex_state = 53},
  [12691] = {.lex_state = 53, .external_lex_state = 61},
  [12692] = {.lex_state = 59, .external_lex_state = 47},
  [12693] = {.lex_state = 59, .external_lex_state = 46},
  [12694] = {.lex_state = 59, .external_lex_state = 47},
  [12695] = {.lex_state = 53, .external_lex_state = 60},
  [12696] = {.lex_state = 59, .external_lex_state = 47},
  [12697] = {.lex_state = 59, .external_lex_state = 47},
  [12698] = {.lex_state = 53, .external_lex_state = 52},
  [12699] = {.lex_state = 59, .external_lex_state = 46},
  [12700] = {.lex_state = 59, .external_lex_state = 46},
  [12701] = {.lex_state = 59, .external_lex_state = 47},
  [12702] = {.lex_state = 53, .external_lex_state = 63},
  [12703] = {.lex_state = 59, .external_lex_state = 49},
  [12704] = {.lex_state = 53, .external_lex_state = 63},
  [12705] = {.lex_state = 59, .external_lex_state = 47},
  [12706] = {.lex_state = 59, .external_lex_state = 46},
  [12707] = {.lex_state = 59, .external_lex_state = 46},
  [12708] = {.lex_state = 59, .external_lex_state = 49},
  [12709] = {.lex_state = 53, .external_lex_state = 49},
  [12710] = {.lex_state = 59, .external_lex_state = 47},
  [12711] = {.lex_state = 53, .external_lex_state = 53},
  [12712] = {.lex_state = 53, .external_lex_state = 67},
  [12713] = {.lex_state = 53, .external_lex_state = 53},
  [12714] = {.lex_state = 53, .external_lex_state = 50},
  [12715] = {.lex_state = 53, .external_lex_state = 50},
  [12716] = {.lex_state = 53, .external_lex_state = 58},
  [12717] = {.lex_state = 53, .external_lex_state = 58},
  [12718] = {.lex_state = 53, .external_lex_state = 50},
  [12719] = {.lex_state = 53, .external_lex_state = 53},
  [12720] = {.lex_state = 52, .external_lex_state = 54},
  [12721] = {.lex_state = 53, .external_lex_state = 58},
  [12722] = {.lex_state = 53, .external_lex_state = 49},
  [12723] = {.lex_state = 53, .external_lex_state = 49},
  [12724] = {.lex_state = 53, .external_lex_state = 58},
  [12725] = {.lex_state = 53, .external_lex_state = 52},
  [12726] = {.lex_state = 59, .external_lex_state = 47},
  [12727] = {.lex_state = 53, .external_lex_state = 49},
  [12728] = {.lex_state = 53, .external_lex_state = 53},
  [12729] = {.lex_state = 53, .external_lex_state = 24},
  [12730] = {.lex_state = 53, .external_lex_state = 53},
  [12731] = {.lex_state = 53, .external_lex_state = 58},
  [12732] = {.lex_state = 53, .external_lex_state = 58},
  [12733] = {.lex_state = 53, .external_lex_state = 53},
  [12734] = {.lex_state = 53, .external_lex_state = 63},
  [12735] = {.lex_state = 53, .external_lex_state = 60},
  [12736] = {.lex_state = 53, .external_lex_state = 50},
  [12737] = {.lex_state = 59, .external_lex_state = 49},
  [12738] = {.lex_state = 53, .external_lex_state = 53},
  [12739] = {.lex_state = 53, .external_lex_state = 58},
  [12740] = {.lex_state = 59, .external_lex_state = 46},
  [12741] = {.lex_state = 59, .external_lex_state = 28},
  [12742] = {.lex_state = 59, .external_lex_state = 46},
  [12743] = {.lex_state = 59, .external_lex_state = 46},
  [12744] = {.lex_state = 59, .external_lex_state = 28},
  [12745] = {.lex_state = 59, .external_lex_state = 28},
  [12746] = {.lex_state = 53, .external_lex_state = 60},
  [12747] = {.lex_state = 53, .external_lex_state = 60},
  [12748] = {.lex_state = 53, .external_lex_state = 57},
  [12749] = {.lex_state = 53, .external_lex_state = 53},
  [12750] = {.lex_state = 53, .external_lex_state = 53},
  [12751] = {.lex_state = 0},
  [12752] = {.lex_state = 59, .external_lex_state = 28},
  [12753] = {.lex_state = 59, .external_lex_state = 28},
  [12754] = {.lex_state = 52, .external_lex_state = 24},
  [12755] = {.lex_state = 53, .external_lex_state = 50},
  [12756] = {.lex_state = 59, .external_lex_state = 34},
  [12757] = {.lex_state = 53, .external_lex_state = 66},
  [12758] = {.lex_state = 59, .external_lex_state = 46},
  [12759] = {.lex_state = 53, .external_lex_state = 57},
  [12760] = {.lex_state = 53, .external_lex_state = 60},
  [12761] = {.lex_state = 53, .external_lex_state = 60},
  [12762] = {.lex_state = 53, .external_lex_state = 57},
  [12763] = {.lex_state = 59},
  [12764] = {.lex_state = 53, .external_lex_state = 57},
  [12765] = {.lex_state = 53, .external_lex_state = 53},
  [12766] = {.lex_state = 53, .external_lex_state = 66},
  [12767] = {.lex_state = 53, .external_lex_state = 66},
  [12768] = {.lex_state = 53, .external_lex_state = 66},
  [12769] = {.lex_state = 53, .external_lex_state = 57},
  [12770] = {.lex_state = 53, .external_lex_state = 52},
  [12771] = {.lex_state = 52, .external_lex_state = 24},
  [12772] = {.lex_state = 53, .external_lex_state = 65},
  [12773] = {.lex_state = 53, .external_lex_state = 57},
  [12774] = {.lex_state = 53, .external_lex_state = 57},
  [12775] = {.lex_state = 59, .external_lex_state = 46},
  [12776] = {.lex_state = 59, .external_lex_state = 32},
  [12777] = {.lex_state = 59, .external_lex_state = 28},
  [12778] = {.lex_state = 52, .external_lex_state = 24},
  [12779] = {.lex_state = 53, .external_lex_state = 66},
  [12780] = {.lex_state = 59, .external_lex_state = 32},
  [12781] = {.lex_state = 53, .external_lex_state = 52},
  [12782] = {.lex_state = 53, .external_lex_state = 53},
  [12783] = {.lex_state = 59, .external_lex_state = 50},
  [12784] = {.lex_state = 53, .external_lex_state = 63},
  [12785] = {.lex_state = 53, .external_lex_state = 53},
  [12786] = {.lex_state = 53, .external_lex_state = 49},
  [12787] = {.lex_state = 53, .external_lex_state = 56},
  [12788] = {.lex_state = 53, .external_lex_state = 60},
  [12789] = {.lex_state = 53, .external_lex_state = 56},
  [12790] = {.lex_state = 53, .external_lex_state = 56},
  [12791] = {.lex_state = 53, .external_lex_state = 56},
  [12792] = {.lex_state = 59, .external_lex_state = 47},
  [12793] = {.lex_state = 53, .external_lex_state = 53},
  [12794] = {.lex_state = 52, .external_lex_state = 24},
  [12795] = {.lex_state = 59, .external_lex_state = 47},
  [12796] = {.lex_state = 52, .external_lex_state = 24},
  [12797] = {.lex_state = 53, .external_lex_state = 50},
  [12798] = {.lex_state = 53, .external_lex_state = 50},
  [12799] = {.lex_state = 59, .external_lex_state = 50},
  [12800] = {.lex_state = 59, .external_lex_state = 50},
  [12801] = {.lex_state = 53, .external_lex_state = 53},
  [12802] = {.lex_state = 53, .external_lex_state = 50},
  [12803] = {.lex_state = 53, .external_lex_state = 49},
  [12804] = {.lex_state = 53, .external_lex_state = 60},
  [12805] = {.lex_state = 53, .external_lex_state = 53},
  [12806] = {.lex_state = 53, .external_lex_state = 66},
  [12807] = {.lex_state = 53, .external_lex_state = 52},
  [12808] = {.lex_state = 53, .external_lex_state = 57},
  [12809] = {.lex_state = 53, .external_lex_state = 50},
  [12810] = {.lex_state = 53, .external_lex_state = 57},
  [12811] = {.lex_state = 53, .external_lex_state = 57},
  [12812] = {.lex_state = 59, .external_lex_state = 49},
  [12813] = {.lex_state = 53, .external_lex_state = 49},
  [12814] = {.lex_state = 53, .external_lex_state = 57},
  [12815] = {.lex_state = 53, .external_lex_state = 66},
  [12816] = {.lex_state = 52, .external_lex_state = 24},
  [12817] = {.lex_state = 59, .external_lex_state = 53},
  [12818] = {.lex_state = 53, .external_lex_state = 50},
  [12819] = {.lex_state = 53, .external_lex_state = 50},
  [12820] = {.lex_state = 59, .external_lex_state = 49},
  [12821] = {.lex_state = 53, .external_lex_state = 52},
  [12822] = {.lex_state = 59, .external_lex_state = 28},
  [12823] = {.lex_state = 59, .external_lex_state = 46},
  [12824] = {.lex_state = 53, .external_lex_state = 24},
  [12825] = {.lex_state = 59, .external_lex_state = 28},
  [12826] = {.lex_state = 53, .external_lex_state = 60},
  [12827] = {.lex_state = 53, .external_lex_state = 50},
  [12828] = {.lex_state = 59, .external_lex_state = 46},
  [12829] = {.lex_state = 59, .external_lex_state = 50},
  [12830] = {.lex_state = 53, .external_lex_state = 58},
  [12831] = {.lex_state = 53, .external_lex_state = 53},
  [12832] = {.lex_state = 53, .external_lex_state = 49},
  [12833] = {.lex_state = 59, .external_lex_state = 28},
  [12834] = {.lex_state = 59, .external_lex_state = 28},
  [12835] = {.lex_state = 59, .external_lex_state = 46},
  [12836] = {.lex_state = 53, .external_lex_state = 50},
  [12837] = {.lex_state = 53, .external_lex_state = 58},
  [12838] = {.lex_state = 53, .external_lex_state = 58},
  [12839] = {.lex_state = 59, .external_lex_state = 47},
  [12840] = {.lex_state = 53, .external_lex_state = 63},
  [12841] = {.lex_state = 53, .external_lex_state = 49},
  [12842] = {.lex_state = 53, .external_lex_state = 50},
  [12843] = {.lex_state = 59, .external_lex_state = 46},
  [12844] = {.lex_state = 59, .external_lex_state = 58},
  [12845] = {.lex_state = 53, .external_lex_state = 60},
  [12846] = {.lex_state = 53, .external_lex_state = 57},
  [12847] = {.lex_state = 59, .external_lex_state = 32},
  [12848] = {.lex_state = 53, .external_lex_state = 58},
  [12849] = {.lex_state = 53, .external_lex_state = 52},
  [12850] = {.lex_state = 53, .external_lex_state = 66},
  [12851] = {.lex_state = 53, .external_lex_state = 24},
  [12852] = {.lex_state = 53, .external_lex_state = 23},
  [12853] = {.lex_state = 53, .external_lex_state = 50},
  [12854] = {.lex_state = 59, .external_lex_state = 47},
  [12855] = {.lex_state = 53, .external_lex_state = 52},
  [12856] = {.lex_state = 59, .external_lex_state = 40},
  [12857] = {.lex_state = 53, .external_lex_state = 52},
  [12858] = {.lex_state = 53, .external_lex_state = 52},
  [12859] = {.lex_state = 53, .external_lex_state = 52},
  [12860] = {.lex_state = 53, .external_lex_state = 66},
  [12861] = {.lex_state = 53, .external_lex_state = 49},
  [12862] = {.lex_state = 53, .external_lex_state = 52},
  [12863] = {.lex_state = 53, .external_lex_state = 60},
  [12864] = {.lex_state = 59, .external_lex_state = 28},
  [12865] = {.lex_state = 53, .external_lex_state = 66},
  [12866] = {.lex_state = 53, .external_lex_state = 49},
  [12867] = {.lex_state = 59, .external_lex_state = 49},
  [12868] = {.lex_state = 59, .external_lex_state = 52},
  [12869] = {.lex_state = 53, .external_lex_state = 60},
  [12870] = {.lex_state = 59, .external_lex_state = 47},
  [12871] = {.lex_state = 59, .external_lex_state = 57},
  [12872] = {.lex_state = 59, .external_lex_state = 52},
  [12873] = {.lex_state = 53, .external_lex_state = 24},
  [12874] = {.lex_state = 53, .external_lex_state = 63},
  [12875] = {.lex_state = 53, .external_lex_state = 66},
  [12876] = {.lex_state = 53, .external_lex_state = 52},
  [12877] = {.lex_state = 53, .external_lex_state = 57},
  [12878] = {.lex_state = 52, .external_lex_state = 24},
  [12879] = {.lex_state = 59, .external_lex_state = 52},
  [12880] = {.lex_state = 59, .external_lex_state = 52},
  [12881] = {.lex_state = 53, .external_lex_state = 52},
  [12882] = {.lex_state = 59, .external_lex_state = 49},
  [12883] = {.lex_state = 59, .external_lex_state = 28},
  [12884] = {.lex_state = 53, .external_lex_state = 52},
  [12885] = {.lex_state = 53, .external_lex_state = 50},
  [12886] = {.lex_state = 53, .external_lex_state = 49},
  [12887] = {.lex_state = 53, .external_lex_state = 49},
  [12888] = {.lex_state = 59, .external_lex_state = 50},
  [12889] = {.lex_state = 59, .external_lex_state = 50},
  [12890] = {.lex_state = 53, .external_lex_state = 50},
  [12891] = {.lex_state = 59, .external_lex_state = 46},
  [12892] = {.lex_state = 59, .external_lex_state = 46},
  [12893] = {.lex_state = 53, .external_lex_state = 49},
  [12894] = {.lex_state = 53, .external_lex_state = 60},
  [12895] = {.lex_state = 59, .external_lex_state = 53},
  [12896] = {.lex_state = 59, .external_lex_state = 53},
  [12897] = {.lex_state = 53, .external_lex_state = 66},
  [12898] = {.lex_state = 53, .external_lex_state = 56},
  [12899] = {.lex_state = 53, .external_lex_state = 49},
  [12900] = {.lex_state = 59, .external_lex_state = 50},
  [12901] = {.lex_state = 53, .external_lex_state = 49},
  [12902] = {.lex_state = 53, .external_lex_state = 52},
  [12903] = {.lex_state = 53, .external_lex_state = 49},
  [12904] = {.lex_state = 53, .external_lex_state = 44},
  [12905] = {.lex_state = 53, .external_lex_state = 50},
  [12906] = {.lex_state = 53, .external_lex_state = 52},
  [12907] = {.lex_state = 53, .external_lex_state = 44},
  [12908] = {.lex_state = 53, .external_lex_state = 49},
  [12909] = {.lex_state = 53, .external_lex_state = 66},
  [12910] = {.lex_state = 59, .external_lex_state = 52},
  [12911] = {.lex_state = 59, .external_lex_state = 52},
  [12912] = {.lex_state = 53, .external_lex_state = 65},
  [12913] = {.lex_state = 53, .external_lex_state = 52},
  [12914] = {.lex_state = 53, .external_lex_state = 50},
  [12915] = {.lex_state = 59, .external_lex_state = 52},
  [12916] = {.lex_state = 53, .external_lex_state = 52},
  [12917] = {.lex_state = 59, .external_lex_state = 50},
  [12918] = {.lex_state = 59, .external_lex_state = 53},
  [12919] = {.lex_state = 59, .external_lex_state = 49},
  [12920] = {.lex_state = 59, .external_lex_state = 49},
  [12921] = {.lex_state = 53, .external_lex_state = 58},
  [12922] = {.lex_state = 53, .external_lex_state = 56},
  [12923] = {.lex_state = 59, .external_lex_state = 49},
  [12924] = {.lex_state = 53, .external_lex_state = 50},
  [12925] = {.lex_state = 53, .external_lex_state = 49},
  [12926] = {.lex_state = 53, .external_lex_state = 56},
  [12927] = {.lex_state = 59, .external_lex_state = 52},
  [12928] = {.lex_state = 53, .external_lex_state = 52},
  [12929] = {.lex_state = 59, .external_lex_state = 34},
  [12930] = {.lex_state = 53, .external_lex_state = 66},
  [12931] = {.lex_state = 53, .external_lex_state = 56},
  [12932] = {.lex_state = 59, .external_lex_state = 53},
  [12933] = {.lex_state = 0},
  [12934] = {.lex_state = 53, .external_lex_state = 56},
  [12935] = {.lex_state = 53, .external_lex_state = 56},
  [12936] = {.lex_state = 53, .external_lex_state = 53},
  [12937] = {.lex_state = 52, .external_lex_state = 23},
  [12938] = {.lex_state = 53, .external_lex_state = 56},
  [12939] = {.lex_state = 59, .external_lex_state = 52},
  [12940] = {.lex_state = 53, .external_lex_state = 57},
  [12941] = {.lex_state = 59, .external_lex_state = 40},
  [12942] = {.lex_state = 59, .external_lex_state = 58},
  [12943] = {.lex_state = 59, .external_lex_state = 47},
  [12944] = {.lex_state = 59, .external_lex_state = 53},
  [12945] = {.lex_state = 59, .external_lex_state = 47},
  [12946] = {.lex_state = 53, .external_lex_state = 67},
  [12947] = {.lex_state = 59, .external_lex_state = 49},
  [12948] = {.lex_state = 59, .external_lex_state = 52},
  [12949] = {.lex_state = 59, .external_lex_state = 28},
  [12950] = {.lex_state = 59, .external_lex_state = 28},
  [12951] = {.lex_state = 59, .external_lex_state = 53},
  [12952] = {.lex_state = 59, .external_lex_state = 53},
  [12953] = {.lex_state = 59, .external_lex_state = 28},
  [12954] = {.lex_state = 59, .external_lex_state = 52},
  [12955] = {.lex_state = 59, .external_lex_state = 52},
  [12956] = {.lex_state = 52, .external_lex_state = 23},
  [12957] = {.lex_state = 59, .external_lex_state = 46},
  [12958] = {.lex_state = 59, .external_lex_state = 32},
  [12959] = {.lex_state = 59, .external_lex_state = 53},
  [12960] = {.lex_state = 53, .external_lex_state = 57},
  [12961] = {.lex_state = 53, .external_lex_state = 62},
  [12962] = {.lex_state = 53, .external_lex_state = 62},
  [12963] = {.lex_state = 53, .external_lex_state = 57},
  [12964] = {.lex_state = 59, .external_lex_state = 23},
  [12965] = {.lex_state = 53, .external_lex_state = 67},
  [12966] = {.lex_state = 53, .external_lex_state = 67},
  [12967] = {.lex_state = 59, .external_lex_state = 49},
  [12968] = {.lex_state = 59, .external_lex_state = 49},
  [12969] = {.lex_state = 53, .external_lex_state = 67},
  [12970] = {.lex_state = 53},
  [12971] = {.lex_state = 59, .external_lex_state = 40},
  [12972] = {.lex_state = 59, .external_lex_state = 52},
  [12973] = {.lex_state = 59, .external_lex_state = 49},
  [12974] = {.lex_state = 59, .external_lex_state = 53},
  [12975] = {.lex_state = 59, .external_lex_state = 52},
  [12976] = {.lex_state = 59, .external_lex_state = 32},
  [12977] = {.lex_state = 59, .external_lex_state = 56},
  [12978] = {.lex_state = 59, .external_lex_state = 49},
  [12979] = {.lex_state = 59, .external_lex_state = 28},
  [12980] = {.lex_state = 59, .external_lex_state = 58},
  [12981] = {.lex_state = 59, .external_lex_state = 40},
  [12982] = {.lex_state = 59, .external_lex_state = 49},
  [12983] = {.lex_state = 59, .external_lex_state = 47},
  [12984] = {.lex_state = 59, .external_lex_state = 49},
  [12985] = {.lex_state = 59, .external_lex_state = 40},
  [12986] = {.lex_state = 59, .external_lex_state = 34},
  [12987] = {.lex_state = 53, .external_lex_state = 24},
  [12988] = {.lex_state = 53, .external_lex_state = 56},
  [12989] = {.lex_state = 53, .external_lex_state = 54},
  [12990] = {.lex_state = 59, .external_lex_state = 50},
  [12991] = {.lex_state = 53, .external_lex_state = 24},
  [12992] = {.lex_state = 59, .external_lex_state = 52},
  [12993] = {.lex_state = 59, .external_lex_state = 52},
  [12994] = {.lex_state = 59, .external_lex_state = 28},
  [12995] = {.lex_state = 59, .external_lex_state = 50},
  [12996] = {.lex_state = 59, .external_lex_state = 52},
  [12997] = {.lex_state = 59, .external_lex_state = 52},
  [12998] = {.lex_state = 59, .external_lex_state = 58},
  [12999] = {.lex_state = 53, .external_lex_state = 23},
  [13000] = {.lex_state = 59, .external_lex_state = 52},
  [13001] = {.lex_state = 59, .external_lex_state = 47},
  [13002] = {.lex_state = 53, .external_lex_state = 23},
  [13003] = {.lex_state = 59, .external_lex_state = 52},
  [13004] = {.lex_state = 53, .external_lex_state = 65},
  [13005] = {.lex_state = 53, .external_lex_state = 67},
  [13006] = {.lex_state = 52, .external_lex_state = 23},
  [13007] = {.lex_state = 53, .external_lex_state = 56},
  [13008] = {.lex_state = 59, .external_lex_state = 50},
  [13009] = {.lex_state = 59, .external_lex_state = 47},
  [13010] = {.lex_state = 53, .external_lex_state = 63},
  [13011] = {.lex_state = 59, .external_lex_state = 52},
  [13012] = {.lex_state = 53, .external_lex_state = 56},
  [13013] = {.lex_state = 59, .external_lex_state = 49},
  [13014] = {.lex_state = 59, .external_lex_state = 52},
  [13015] = {.lex_state = 59, .external_lex_state = 52},
  [13016] = {.lex_state = 59, .external_lex_state = 52},
  [13017] = {.lex_state = 59, .external_lex_state = 52},
  [13018] = {.lex_state = 52, .external_lex_state = 23},
  [13019] = {.lex_state = 59, .external_lex_state = 32},
  [13020] = {.lex_state = 59, .external_lex_state = 28},
  [13021] = {.lex_state = 52, .external_lex_state = 23},
  [13022] = {.lex_state = 59, .external_lex_state = 53},
  [13023] = {.lex_state = 53, .external_lex_state = 65},
  [13024] = {.lex_state = 59, .external_lex_state = 50},
  [13025] = {.lex_state = 59, .external_lex_state = 57},
  [13026] = {.lex_state = 59, .external_lex_state = 53},
  [13027] = {.lex_state = 59, .external_lex_state = 40},
  [13028] = {.lex_state = 59, .external_lex_state = 53},
  [13029] = {.lex_state = 53, .external_lex_state = 23},
  [13030] = {.lex_state = 59, .external_lex_state = 53},
  [13031] = {.lex_state = 53, .external_lex_state = 65},
  [13032] = {.lex_state = 59, .external_lex_state = 47},
  [13033] = {.lex_state = 53, .external_lex_state = 58},
  [13034] = {.lex_state = 59, .external_lex_state = 49},
  [13035] = {.lex_state = 59, .external_lex_state = 56},
  [13036] = {.lex_state = 59, .external_lex_state = 53},
  [13037] = {.lex_state = 53, .external_lex_state = 65},
  [13038] = {.lex_state = 59, .external_lex_state = 38},
  [13039] = {.lex_state = 53, .external_lex_state = 62},
  [13040] = {.lex_state = 59, .external_lex_state = 50},
  [13041] = {.lex_state = 59, .external_lex_state = 52},
  [13042] = {.lex_state = 59},
  [13043] = {.lex_state = 53, .external_lex_state = 58},
  [13044] = {.lex_state = 52, .external_lex_state = 24},
  [13045] = {.lex_state = 53, .external_lex_state = 58},
  [13046] = {.lex_state = 53, .external_lex_state = 65},
  [13047] = {.lex_state = 59, .external_lex_state = 58},
  [13048] = {.lex_state = 53, .external_lex_state = 58},
  [13049] = {.lex_state = 53, .external_lex_state = 62},
  [13050] = {.lex_state = 53, .external_lex_state = 58},
  [13051] = {.lex_state = 53, .external_lex_state = 58},
  [13052] = {.lex_state = 59, .external_lex_state = 52},
  [13053] = {.lex_state = 52, .external_lex_state = 23},
  [13054] = {.lex_state = 53, .external_lex_state = 67},
  [13055] = {.lex_state = 59, .external_lex_state = 52},
  [13056] = {.lex_state = 53, .external_lex_state = 65},
  [13057] = {.lex_state = 53, .external_lex_state = 56},
  [13058] = {.lex_state = 59, .external_lex_state = 52},
  [13059] = {.lex_state = 59, .external_lex_state = 49},
  [13060] = {.lex_state = 59, .external_lex_state = 23},
  [13061] = {.lex_state = 52, .external_lex_state = 23},
  [13062] = {.lex_state = 53, .external_lex_state = 56},
  [13063] = {.lex_state = 59, .external_lex_state = 32},
  [13064] = {.lex_state = 59, .external_lex_state = 47},
  [13065] = {.lex_state = 59, .external_lex_state = 52},
  [13066] = {.lex_state = 59, .external_lex_state = 50},
  [13067] = {.lex_state = 53, .external_lex_state = 24},
  [13068] = {.lex_state = 52, .external_lex_state = 23},
  [13069] = {.lex_state = 59, .external_lex_state = 53},
  [13070] = {.lex_state = 52, .external_lex_state = 23},
  [13071] = {.lex_state = 59, .external_lex_state = 50},
  [13072] = {.lex_state = 53, .external_lex_state = 56},
  [13073] = {.lex_state = 53, .external_lex_state = 56},
  [13074] = {.lex_state = 53, .external_lex_state = 56},
  [13075] = {.lex_state = 59, .external_lex_state = 53},
  [13076] = {.lex_state = 59, .external_lex_state = 28},
  [13077] = {.lex_state = 59, .external_lex_state = 50},
  [13078] = {.lex_state = 59, .external_lex_state = 50},
  [13079] = {.lex_state = 59, .external_lex_state = 58},
  [13080] = {.lex_state = 59, .external_lex_state = 50},
  [13081] = {.lex_state = 59, .external_lex_state = 50},
  [13082] = {.lex_state = 59, .external_lex_state = 50},
  [13083] = {.lex_state = 53, .external_lex_state = 65},
  [13084] = {.lex_state = 53, .external_lex_state = 24},
  [13085] = {.lex_state = 53, .external_lex_state = 44},
  [13086] = {.lex_state = 59, .external_lex_state = 56},
  [13087] = {.lex_state = 53, .external_lex_state = 57},
  [13088] = {.lex_state = 59, .external_lex_state = 50},
  [13089] = {.lex_state = 59, .external_lex_state = 53},
  [13090] = {.lex_state = 59, .external_lex_state = 40},
  [13091] = {.lex_state = 59, .external_lex_state = 40},
  [13092] = {.lex_state = 59, .external_lex_state = 53},
  [13093] = {.lex_state = 53, .external_lex_state = 24},
  [13094] = {.lex_state = 53, .external_lex_state = 56},
  [13095] = {.lex_state = 53, .external_lex_state = 57},
  [13096] = {.lex_state = 53, .external_lex_state = 65},
  [13097] = {.lex_state = 59, .external_lex_state = 53},
  [13098] = {.lex_state = 59, .external_lex_state = 52},
  [13099] = {.lex_state = 53, .external_lex_state = 56},
  [13100] = {.lex_state = 53, .external_lex_state = 67},
  [13101] = {.lex_state = 59, .external_lex_state = 57},
  [13102] = {.lex_state = 53, .external_lex_state = 56},
  [13103] = {.lex_state = 59, .external_lex_state = 57},
  [13104] = {.lex_state = 59, .external_lex_state = 50},
  [13105] = {.lex_state = 53, .external_lex_state = 24},
  [13106] = {.lex_state = 53, .external_lex_state = 65},
  [13107] = {.lex_state = 53, .external_lex_state = 65},
  [13108] = {.lex_state = 59, .external_lex_state = 34},
  [13109] = {.lex_state = 59, .external_lex_state = 34},
  [13110] = {.lex_state = 53, .external_lex_state = 24},
  [13111] = {.lex_state = 59, .external_lex_state = 34},
  [13112] = {.lex_state = 59, .external_lex_state = 34},
  [13113] = {.lex_state = 59, .external_lex_state = 50},
  [13114] = {.lex_state = 59, .external_lex_state = 34},
  [13115] = {.lex_state = 53, .external_lex_state = 65},
  [13116] = {.lex_state = 53, .external_lex_state = 62},
  [13117] = {.lex_state = 53, .external_lex_state = 58},
  [13118] = {.lex_state = 59, .external_lex_state = 49},
  [13119] = {.lex_state = 53, .external_lex_state = 67},
  [13120] = {.lex_state = 59, .external_lex_state = 50},
  [13121] = {.lex_state = 53, .external_lex_state = 23},
  [13122] = {.lex_state = 59, .external_lex_state = 50},
  [13123] = {.lex_state = 59, .external_lex_state = 38},
  [13124] = {.lex_state = 53, .external_lex_state = 56},
  [13125] = {.lex_state = 53, .external_lex_state = 23},
  [13126] = {.lex_state = 53, .external_lex_state = 67},
  [13127] = {.lex_state = 59, .external_lex_state = 32},
  [13128] = {.lex_state = 59, .external_lex_state = 53},
  [13129] = {.lex_state = 59, .external_lex_state = 58},
  [13130] = {.lex_state = 53, .external_lex_state = 24},
  [13131] = {.lex_state = 53, .external_lex_state = 67},
  [13132] = {.lex_state = 53, .external_lex_state = 58},
  [13133] = {.lex_state = 53, .external_lex_state = 67},
  [13134] = {.lex_state = 59, .external_lex_state = 50},
  [13135] = {.lex_state = 53, .external_lex_state = 65},
  [13136] = {.lex_state = 52, .external_lex_state = 23},
  [13137] = {.lex_state = 53, .external_lex_state = 56},
  [13138] = {.lex_state = 52, .external_lex_state = 23},
  [13139] = {.lex_state = 59, .external_lex_state = 52},
  [13140] = {.lex_state = 59, .external_lex_state = 40},
  [13141] = {.lex_state = 59, .external_lex_state = 58},
  [13142] = {.lex_state = 53, .external_lex_state = 24},
  [13143] = {.lex_state = 59, .external_lex_state = 52},
  [13144] = {.lex_state = 53, .external_lex_state = 24},
  [13145] = {.lex_state = 53, .external_lex_state = 57},
  [13146] = {.lex_state = 59, .external_lex_state = 50},
  [13147] = {.lex_state = 59, .external_lex_state = 57},
  [13148] = {.lex_state = 53, .external_lex_state = 57},
  [13149] = {.lex_state = 59, .external_lex_state = 57},
  [13150] = {.lex_state = 53, .external_lex_state = 58},
  [13151] = {.lex_state = 59, .external_lex_state = 28},
  [13152] = {.lex_state = 53, .external_lex_state = 58},
  [13153] = {.lex_state = 53, .external_lex_state = 67},
  [13154] = {.lex_state = 59, .external_lex_state = 58},
  [13155] = {.lex_state = 59, .external_lex_state = 57},
  [13156] = {.lex_state = 59, .external_lex_state = 49},
  [13157] = {.lex_state = 53, .external_lex_state = 24},
  [13158] = {.lex_state = 59, .external_lex_state = 38},
  [13159] = {.lex_state = 53, .external_lex_state = 58},
  [13160] = {.lex_state = 53, .external_lex_state = 62},
  [13161] = {.lex_state = 59, .external_lex_state = 53},
  [13162] = {.lex_state = 59, .external_lex_state = 49},
  [13163] = {.lex_state = 53, .external_lex_state = 62},
  [13164] = {.lex_state = 59, .external_lex_state = 53},
  [13165] = {.lex_state = 53, .external_lex_state = 62},
  [13166] = {.lex_state = 53, .external_lex_state = 56},
  [13167] = {.lex_state = 59, .external_lex_state = 53},
  [13168] = {.lex_state = 59, .external_lex_state = 49},
  [13169] = {.lex_state = 59, .external_lex_state = 49},
  [13170] = {.lex_state = 53, .external_lex_state = 67},
  [13171] = {.lex_state = 59, .external_lex_state = 49},
  [13172] = {.lex_state = 53, .external_lex_state = 57},
  [13173] = {.lex_state = 53, .external_lex_state = 56},
  [13174] = {.lex_state = 59, .external_lex_state = 53},
  [13175] = {.lex_state = 59, .external_lex_state = 49},
  [13176] = {.lex_state = 53, .external_lex_state = 56},
  [13177] = {.lex_state = 59, .external_lex_state = 50},
  [13178] = {.lex_state = 59, .external_lex_state = 49},
  [13179] = {.lex_state = 53, .external_lex_state = 57},
  [13180] = {.lex_state = 53, .external_lex_state = 57},
  [13181] = {.lex_state = 59, .external_lex_state = 49},
  [13182] = {.lex_state = 53, .external_lex_state = 57},
  [13183] = {.lex_state = 59, .external_lex_state = 50},
  [13184] = {.lex_state = 59, .external_lex_state = 53},
  [13185] = {.lex_state = 59, .external_lex_state = 50},
  [13186] = {.lex_state = 59, .external_lex_state = 47},
  [13187] = {.lex_state = 53, .external_lex_state = 67},
  [13188] = {.lex_state = 53, .external_lex_state = 57},
  [13189] = {.lex_state = 53, .external_lex_state = 35},
  [13190] = {.lex_state = 53, .external_lex_state = 62},
  [13191] = {.lex_state = 59, .external_lex_state = 49},
  [13192] = {.lex_state = 59, .external_lex_state = 56},
  [13193] = {.lex_state = 53, .external_lex_state = 57},
  [13194] = {.lex_state = 53, .external_lex_state = 65},
  [13195] = {.lex_state = 59, .external_lex_state = 56},
  [13196] = {.lex_state = 53, .external_lex_state = 58},
  [13197] = {.lex_state = 59, .external_lex_state = 56},
  [13198] = {.lex_state = 53, .external_lex_state = 65},
  [13199] = {.lex_state = 59, .external_lex_state = 40},
  [13200] = {.lex_state = 59, .external_lex_state = 49},
  [13201] = {.lex_state = 52, .external_lex_state = 23},
  [13202] = {.lex_state = 53, .external_lex_state = 57},
  [13203] = {.lex_state = 53, .external_lex_state = 65},
  [13204] = {.lex_state = 59, .external_lex_state = 50},
  [13205] = {.lex_state = 59, .external_lex_state = 28},
  [13206] = {.lex_state = 59, .external_lex_state = 50},
  [13207] = {.lex_state = 53, .external_lex_state = 56},
  [13208] = {.lex_state = 59, .external_lex_state = 50},
  [13209] = {.lex_state = 53, .external_lex_state = 65},
  [13210] = {.lex_state = 59, .external_lex_state = 49},
  [13211] = {.lex_state = 59, .external_lex_state = 57},
  [13212] = {.lex_state = 53, .external_lex_state = 57},
  [13213] = {.lex_state = 52, .external_lex_state = 23},
  [13214] = {.lex_state = 59, .external_lex_state = 28},
  [13215] = {.lex_state = 53, .external_lex_state = 67},
  [13216] = {.lex_state = 53, .external_lex_state = 57},
  [13217] = {.lex_state = 53, .external_lex_state = 62},
  [13218] = {.lex_state = 53, .external_lex_state = 57},
  [13219] = {.lex_state = 53, .external_lex_state = 62},
  [13220] = {.lex_state = 53, .external_lex_state = 58},
  [13221] = {.lex_state = 53, .external_lex_state = 57},
  [13222] = {.lex_state = 59, .external_lex_state = 56},
  [13223] = {.lex_state = 59, .external_lex_state = 28},
  [13224] = {.lex_state = 53, .external_lex_state = 65},
  [13225] = {.lex_state = 59, .external_lex_state = 52},
  [13226] = {.lex_state = 59, .external_lex_state = 52},
  [13227] = {.lex_state = 59, .external_lex_state = 49},
  [13228] = {.lex_state = 59, .external_lex_state = 49},
  [13229] = {.lex_state = 59, .external_lex_state = 49},
  [13230] = {.lex_state = 59, .external_lex_state = 40},
  [13231] = {.lex_state = 59, .external_lex_state = 49},
  [13232] = {.lex_state = 53, .external_lex_state = 58},
  [13233] = {.lex_state = 53, .external_lex_state = 57},
  [13234] = {.lex_state = 53, .external_lex_state = 62},
  [13235] = {.lex_state = 53, .external_lex_state = 58},
  [13236] = {.lex_state = 59, .external_lex_state = 50},
  [13237] = {.lex_state = 53, .external_lex_state = 58},
  [13238] = {.lex_state = 59, .external_lex_state = 38},
  [13239] = {.lex_state = 53, .external_lex_state = 56},
  [13240] = {.lex_state = 59, .external_lex_state = 24},
  [13241] = {.lex_state = 53, .external_lex_state = 58},
  [13242] = {.lex_state = 53, .external_lex_state = 67},
  [13243] = {.lex_state = 53, .external_lex_state = 56},
  [13244] = {.lex_state = 59, .external_lex_state = 56},
  [13245] = {.lex_state = 53, .external_lex_state = 62},
  [13246] = {.lex_state = 53, .external_lex_state = 58},
  [13247] = {.lex_state = 53, .external_lex_state = 58},
  [13248] = {.lex_state = 53, .external_lex_state = 57},
  [13249] = {.lex_state = 53, .external_lex_state = 58},
  [13250] = {.lex_state = 53, .external_lex_state = 56},
  [13251] = {.lex_state = 53, .external_lex_state = 56},
  [13252] = {.lex_state = 59, .external_lex_state = 34},
  [13253] = {.lex_state = 53, .external_lex_state = 62},
  [13254] = {.lex_state = 59, .external_lex_state = 34},
  [13255] = {.lex_state = 59, .external_lex_state = 28},
  [13256] = {.lex_state = 53, .external_lex_state = 57},
  [13257] = {.lex_state = 59, .external_lex_state = 46},
  [13258] = {.lex_state = 53, .external_lex_state = 58},
  [13259] = {.lex_state = 59, .external_lex_state = 34},
  [13260] = {.lex_state = 53, .external_lex_state = 62},
  [13261] = {.lex_state = 59, .external_lex_state = 34},
  [13262] = {.lex_state = 59, .external_lex_state = 58},
  [13263] = {.lex_state = 59},
  [13264] = {.lex_state = 53, .external_lex_state = 24},
  [13265] = {.lex_state = 59, .external_lex_state = 56},
  [13266] = {.lex_state = 59, .external_lex_state = 28},
  [13267] = {.lex_state = 59, .external_lex_state = 57},
  [13268] = {.lex_state = 59, .external_lex_state = 56},
  [13269] = {.lex_state = 59, .external_lex_state = 56},
  [13270] = {.lex_state = 59, .external_lex_state = 35},
  [13271] = {.lex_state = 53, .external_lex_state = 44},
  [13272] = {.lex_state = 59, .external_lex_state = 56},
  [13273] = {.lex_state = 59, .external_lex_state = 56},
  [13274] = {.lex_state = 59, .external_lex_state = 57},
  [13275] = {.lex_state = 59, .external_lex_state = 56},
  [13276] = {.lex_state = 59, .external_lex_state = 57},
  [13277] = {.lex_state = 0},
  [13278] = {.lex_state = 59, .external_lex_state = 39},
  [13279] = {.lex_state = 59, .external_lex_state = 39},
  [13280] = {.lex_state = 59, .external_lex_state = 57},
  [13281] = {.lex_state = 59, .external_lex_state = 56},
  [13282] = {.lex_state = 0},
  [13283] = {.lex_state = 59, .external_lex_state = 57},
  [13284] = {.lex_state = 53, .external_lex_state = 60},
  [13285] = {.lex_state = 59, .external_lex_state = 57},
  [13286] = {.lex_state = 59, .external_lex_state = 34},
  [13287] = {.lex_state = 52, .external_lex_state = 24},
  [13288] = {.lex_state = 59, .external_lex_state = 57},
  [13289] = {.lex_state = 59, .external_lex_state = 24},
  [13290] = {.lex_state = 52},
  [13291] = {.lex_state = 59, .external_lex_state = 24},
  [13292] = {.lex_state = 59, .external_lex_state = 68},
  [13293] = {.lex_state = 52},
  [13294] = {.lex_state = 59, .external_lex_state = 23},
  [13295] = {.lex_state = 59, .external_lex_state = 57},
  [13296] = {.lex_state = 59, .external_lex_state = 69},
  [13297] = {.lex_state = 0},
  [13298] = {.lex_state = 59, .external_lex_state = 57},
  [13299] = {.lex_state = 59, .external_lex_state = 56},
  [13300] = {.lex_state = 59, .external_lex_state = 56},
  [13301] = {.lex_state = 59, .external_lex_state = 56},
  [13302] = {.lex_state = 52, .external_lex_state = 24},
  [13303] = {.lex_state = 59, .external_lex_state = 56},
  [13304] = {.lex_state = 59, .external_lex_state = 56},
  [13305] = {.lex_state = 53, .external_lex_state = 23},
  [13306] = {.lex_state = 59, .external_lex_state = 58},
  [13307] = {.lex_state = 59, .external_lex_state = 57},
  [13308] = {.lex_state = 59, .external_lex_state = 56},
  [13309] = {.lex_state = 53, .external_lex_state = 60},
  [13310] = {.lex_state = 59, .external_lex_state = 58},
  [13311] = {.lex_state = 59, .external_lex_state = 39},
  [13312] = {.lex_state = 59, .external_lex_state = 32},
  [13313] = {.lex_state = 59, .external_lex_state = 58},
  [13314] = {.lex_state = 59, .external_lex_state = 58},
  [13315] = {.lex_state = 59, .external_lex_state = 58},
  [13316] = {.lex_state = 59, .external_lex_state = 58},
  [13317] = {.lex_state = 59, .external_lex_state = 56},
  [13318] = {.lex_state = 59, .external_lex_state = 52},
  [13319] = {.lex_state = 53, .external_lex_state = 35},
  [13320] = {.lex_state = 59, .external_lex_state = 56},
  [13321] = {.lex_state = 59, .external_lex_state = 24},
  [13322] = {.lex_state = 59, .external_lex_state = 56},
  [13323] = {.lex_state = 59, .external_lex_state = 56},
  [13324] = {.lex_state = 59, .external_lex_state = 32},
  [13325] = {.lex_state = 59, .external_lex_state = 57},
  [13326] = {.lex_state = 59, .external_lex_state = 56},
  [13327] = {.lex_state = 59, .external_lex_state = 39},
  [13328] = {.lex_state = 59, .external_lex_state = 58},
  [13329] = {.lex_state = 59, .external_lex_state = 57},
  [13330] = {.lex_state = 0, .external_lex_state = 23},
  [13331] = {.lex_state = 59, .external_lex_state = 57},
  [13332] = {.lex_state = 59, .external_lex_state = 58},
  [13333] = {.lex_state = 59, .external_lex_state = 23},
  [13334] = {.lex_state = 59, .external_lex_state = 57},
  [13335] = {.lex_state = 59, .external_lex_state = 28},
  [13336] = {.lex_state = 59, .external_lex_state = 38},
  [13337] = {.lex_state = 59, .external_lex_state = 56},
  [13338] = {.lex_state = 59, .external_lex_state = 58},
  [13339] = {.lex_state = 59, .external_lex_state = 38},
  [13340] = {.lex_state = 59, .external_lex_state = 24},
  [13341] = {.lex_state = 53, .external_lex_state = 60},
  [13342] = {.lex_state = 59, .external_lex_state = 34},
  [13343] = {.lex_state = 52, .external_lex_state = 24},
  [13344] = {.lex_state = 59, .external_lex_state = 57},
  [13345] = {.lex_state = 59, .external_lex_state = 57},
  [13346] = {.lex_state = 59, .external_lex_state = 32},
  [13347] = {.lex_state = 59, .external_lex_state = 57},
  [13348] = {.lex_state = 53, .external_lex_state = 44},
  [13349] = {.lex_state = 59, .external_lex_state = 57},
  [13350] = {.lex_state = 59, .external_lex_state = 32},
  [13351] = {.lex_state = 52, .external_lex_state = 24},
  [13352] = {.lex_state = 59, .external_lex_state = 23},
  [13353] = {.lex_state = 59, .external_lex_state = 24},
  [13354] = {.lex_state = 53, .external_lex_state = 60},
  [13355] = {.lex_state = 53, .external_lex_state = 24},
  [13356] = {.lex_state = 52, .external_lex_state = 24},
  [13357] = {.lex_state = 53, .external_lex_state = 66},
  [13358] = {.lex_state = 59, .external_lex_state = 57},
  [13359] = {.lex_state = 59, .external_lex_state = 54},
  [13360] = {.lex_state = 59, .external_lex_state = 58},
  [13361] = {.lex_state = 59, .external_lex_state = 68},
  [13362] = {.lex_state = 52, .external_lex_state = 24},
  [13363] = {.lex_state = 53, .external_lex_state = 60},
  [13364] = {.lex_state = 52, .external_lex_state = 24},
  [13365] = {.lex_state = 59, .external_lex_state = 46},
  [13366] = {.lex_state = 59, .external_lex_state = 46},
  [13367] = {.lex_state = 59, .external_lex_state = 58},
  [13368] = {.lex_state = 53, .external_lex_state = 23},
  [13369] = {.lex_state = 59, .external_lex_state = 39},
  [13370] = {.lex_state = 59, .external_lex_state = 32},
  [13371] = {.lex_state = 53, .external_lex_state = 24},
  [13372] = {.lex_state = 59, .external_lex_state = 40},
  [13373] = {.lex_state = 53, .external_lex_state = 44},
  [13374] = {.lex_state = 59, .external_lex_state = 24},
  [13375] = {.lex_state = 59, .external_lex_state = 39},
  [13376] = {.lex_state = 59, .external_lex_state = 23},
  [13377] = {.lex_state = 59, .external_lex_state = 58},
  [13378] = {.lex_state = 59, .external_lex_state = 56},
  [13379] = {.lex_state = 59, .external_lex_state = 56},
  [13380] = {.lex_state = 59, .external_lex_state = 58},
  [13381] = {.lex_state = 59, .external_lex_state = 34},
  [13382] = {.lex_state = 59, .external_lex_state = 34},
  [13383] = {.lex_state = 59, .external_lex_state = 58},
  [13384] = {.lex_state = 59, .external_lex_state = 28},
  [13385] = {.lex_state = 59, .external_lex_state = 56},
  [13386] = {.lex_state = 52, .external_lex_state = 24},
  [13387] = {.lex_state = 53, .external_lex_state = 60},
  [13388] = {.lex_state = 59, .external_lex_state = 57},
  [13389] = {.lex_state = 59, .external_lex_state = 39},
  [13390] = {.lex_state = 53, .external_lex_state = 60},
  [13391] = {.lex_state = 52, .external_lex_state = 24},
  [13392] = {.lex_state = 59, .external_lex_state = 34},
  [13393] = {.lex_state = 59, .external_lex_state = 69},
  [13394] = {.lex_state = 53, .external_lex_state = 60},
  [13395] = {.lex_state = 59, .external_lex_state = 58},
  [13396] = {.lex_state = 53, .external_lex_state = 60},
  [13397] = {.lex_state = 59, .external_lex_state = 56},
  [13398] = {.lex_state = 59, .external_lex_state = 56},
  [13399] = {.lex_state = 59, .external_lex_state = 52},
  [13400] = {.lex_state = 0},
  [13401] = {.lex_state = 59, .external_lex_state = 39},
  [13402] = {.lex_state = 59, .external_lex_state = 58},
  [13403] = {.lex_state = 59, .external_lex_state = 56},
  [13404] = {.lex_state = 53, .external_lex_state = 60},
  [13405] = {.lex_state = 52, .external_lex_state = 24},
  [13406] = {.lex_state = 59, .external_lex_state = 24},
  [13407] = {.lex_state = 59, .external_lex_state = 56},
  [13408] = {.lex_state = 52, .external_lex_state = 24},
  [13409] = {.lex_state = 0},
  [13410] = {.lex_state = 59, .external_lex_state = 35},
  [13411] = {.lex_state = 59, .external_lex_state = 28},
  [13412] = {.lex_state = 59, .external_lex_state = 40},
  [13413] = {.lex_state = 59, .external_lex_state = 32},
  [13414] = {.lex_state = 59, .external_lex_state = 24},
  [13415] = {.lex_state = 59, .external_lex_state = 34},
  [13416] = {.lex_state = 0},
  [13417] = {.lex_state = 53, .external_lex_state = 24},
  [13418] = {.lex_state = 59, .external_lex_state = 52},
  [13419] = {.lex_state = 59, .external_lex_state = 23},
  [13420] = {.lex_state = 59, .external_lex_state = 52},
  [13421] = {.lex_state = 59, .external_lex_state = 46},
  [13422] = {.lex_state = 59, .external_lex_state = 57},
  [13423] = {.lex_state = 59},
  [13424] = {.lex_state = 59, .external_lex_state = 34},
  [13425] = {.lex_state = 59, .external_lex_state = 34},
  [13426] = {.lex_state = 59, .external_lex_state = 52},
  [13427] = {.lex_state = 59, .external_lex_state = 52},
  [13428] = {.lex_state = 59},
  [13429] = {.lex_state = 52, .external_lex_state = 23},
  [13430] = {.lex_state = 59, .external_lex_state = 50},
  [13431] = {.lex_state = 59, .external_lex_state = 58},
  [13432] = {.lex_state = 59, .external_lex_state = 52},
  [13433] = {.lex_state = 59, .external_lex_state = 34},
  [13434] = {.lex_state = 53, .external_lex_state = 44},
  [13435] = {.lex_state = 59, .external_lex_state = 52},
  [13436] = {.lex_state = 59},
  [13437] = {.lex_state = 59, .external_lex_state = 32},
  [13438] = {.lex_state = 59, .external_lex_state = 58},
  [13439] = {.lex_state = 59, .external_lex_state = 34},
  [13440] = {.lex_state = 59, .external_lex_state = 24},
  [13441] = {.lex_state = 59, .external_lex_state = 24},
  [13442] = {.lex_state = 59},
  [13443] = {.lex_state = 59, .external_lex_state = 34},
  [13444] = {.lex_state = 0},
  [13445] = {.lex_state = 0},
  [13446] = {.lex_state = 53, .external_lex_state = 24},
  [13447] = {.lex_state = 53, .external_lex_state = 54},
  [13448] = {.lex_state = 59, .external_lex_state = 46},
  [13449] = {.lex_state = 59, .external_lex_state = 34},
  [13450] = {.lex_state = 59, .external_lex_state = 56},
  [13451] = {.lex_state = 59, .external_lex_state = 32},
  [13452] = {.lex_state = 59, .external_lex_state = 34},
  [13453] = {.lex_state = 53, .external_lex_state = 24},
  [13454] = {.lex_state = 59, .external_lex_state = 54},
  [13455] = {.lex_state = 59},
  [13456] = {.lex_state = 53, .external_lex_state = 65},
  [13457] = {.lex_state = 0},
  [13458] = {.lex_state = 59, .external_lex_state = 58},
  [13459] = {.lex_state = 53},
  [13460] = {.lex_state = 59, .external_lex_state = 58},
  [13461] = {.lex_state = 0},
  [13462] = {.lex_state = 59, .external_lex_state = 58},
  [13463] = {.lex_state = 59, .external_lex_state = 58},
  [13464] = {.lex_state = 59, .external_lex_state = 57},
  [13465] = {.lex_state = 52, .external_lex_state = 23},
  [13466] = {.lex_state = 53, .external_lex_state = 44},
  [13467] = {.lex_state = 59, .external_lex_state = 24},
  [13468] = {.lex_state = 59, .external_lex_state = 50},
  [13469] = {.lex_state = 52, .external_lex_state = 23},
  [13470] = {.lex_state = 59, .external_lex_state = 39},
  [13471] = {.lex_state = 52, .external_lex_state = 23},
  [13472] = {.lex_state = 59, .external_lex_state = 46},
  [13473] = {.lex_state = 59, .external_lex_state = 24},
  [13474] = {.lex_state = 59, .external_lex_state = 46},
  [13475] = {.lex_state = 53, .external_lex_state = 24},
  [13476] = {.lex_state = 52, .external_lex_state = 24},
  [13477] = {.lex_state = 59, .external_lex_state = 34},
  [13478] = {.lex_state = 59, .external_lex_state = 23},
  [13479] = {.lex_state = 59, .external_lex_state = 23},
  [13480] = {.lex_state = 53, .external_lex_state = 67},
  [13481] = {.lex_state = 59, .external_lex_state = 38},
  [13482] = {.lex_state = 59, .external_lex_state = 50},
  [13483] = {.lex_state = 59, .external_lex_state = 24},
  [13484] = {.lex_state = 0, .external_lex_state = 23},
  [13485] = {.lex_state = 53, .external_lex_state = 65},
  [13486] = {.lex_state = 59, .external_lex_state = 24},
  [13487] = {.lex_state = 59, .external_lex_state = 39},
  [13488] = {.lex_state = 59, .external_lex_state = 69},
  [13489] = {.lex_state = 59, .external_lex_state = 24},
  [13490] = {.lex_state = 59, .external_lex_state = 69},
  [13491] = {.lex_state = 59, .external_lex_state = 34},
  [13492] = {.lex_state = 59, .external_lex_state = 53},
  [13493] = {.lex_state = 59, .external_lex_state = 38},
  [13494] = {.lex_state = 59, .external_lex_state = 57},
  [13495] = {.lex_state = 59, .external_lex_state = 38},
  [13496] = {.lex_state = 59},
  [13497] = {.lex_state = 59, .external_lex_state = 38},
  [13498] = {.lex_state = 59, .external_lex_state = 40},
  [13499] = {.lex_state = 59, .external_lex_state = 54},
  [13500] = {.lex_state = 59, .external_lex_state = 53},
  [13501] = {.lex_state = 59, .external_lex_state = 39},
  [13502] = {.lex_state = 59, .external_lex_state = 34},
  [13503] = {.lex_state = 53, .external_lex_state = 65},
  [13504] = {.lex_state = 52, .external_lex_state = 24},
  [13505] = {.lex_state = 59, .external_lex_state = 24},
  [13506] = {.lex_state = 53, .external_lex_state = 44},
  [13507] = {.lex_state = 59, .external_lex_state = 40},
  [13508] = {.lex_state = 59},
  [13509] = {.lex_state = 53, .external_lex_state = 44},
  [13510] = {.lex_state = 53, .external_lex_state = 24},
  [13511] = {.lex_state = 59, .external_lex_state = 40},
  [13512] = {.lex_state = 59, .external_lex_state = 34},
  [13513] = {.lex_state = 59, .external_lex_state = 24},
  [13514] = {.lex_state = 59, .external_lex_state = 23},
  [13515] = {.lex_state = 59, .external_lex_state = 40},
  [13516] = {.lex_state = 59, .external_lex_state = 24},
  [13517] = {.lex_state = 59, .external_lex_state = 38},
  [13518] = {.lex_state = 52, .external_lex_state = 24},
  [13519] = {.lex_state = 59, .external_lex_state = 57},
  [13520] = {.lex_state = 59},
  [13521] = {.lex_state = 59, .external_lex_state = 38},
  [13522] = {.lex_state = 59, .external_lex_state = 57},
  [13523] = {.lex_state = 59, .external_lex_state = 38},
  [13524] = {.lex_state = 59, .external_lex_state = 24},
  [13525] = {.lex_state = 59, .external_lex_state = 50},
  [13526] = {.lex_state = 59},
  [13527] = {.lex_state = 59},
  [13528] = {.lex_state = 53, .external_lex_state = 44},
  [13529] = {.lex_state = 59},
  [13530] = {.lex_state = 59, .external_lex_state = 53},
  [13531] = {.lex_state = 59, .external_lex_state = 23},
  [13532] = {.lex_state = 59},
  [13533] = {.lex_state = 53, .external_lex_state = 44},
  [13534] = {.lex_state = 53, .external_lex_state = 44},
  [13535] = {.lex_state = 53, .external_lex_state = 44},
  [13536] = {.lex_state = 59, .external_lex_state = 24},
  [13537] = {.lex_state = 53, .external_lex_state = 65},
  [13538] = {.lex_state = 59, .external_lex_state = 46},
  [13539] = {.lex_state = 0, .external_lex_state = 23},
  [13540] = {.lex_state = 59, .external_lex_state = 58},
  [13541] = {.lex_state = 59, .external_lex_state = 24},
  [13542] = {.lex_state = 59, .external_lex_state = 50},
  [13543] = {.lex_state = 59, .external_lex_state = 38},
  [13544] = {.lex_state = 59, .external_lex_state = 50},
  [13545] = {.lex_state = 59, .external_lex_state = 54},
  [13546] = {.lex_state = 52, .external_lex_state = 24},
  [13547] = {.lex_state = 53, .external_lex_state = 44},
  [13548] = {.lex_state = 59, .external_lex_state = 24},
  [13549] = {.lex_state = 59, .external_lex_state = 68},
  [13550] = {.lex_state = 59, .external_lex_state = 46},
  [13551] = {.lex_state = 59, .external_lex_state = 23},
  [13552] = {.lex_state = 59, .external_lex_state = 23},
  [13553] = {.lex_state = 53, .external_lex_state = 65},
  [13554] = {.lex_state = 59},
  [13555] = {.lex_state = 59, .external_lex_state = 35},
  [13556] = {.lex_state = 52, .external_lex_state = 23},
  [13557] = {.lex_state = 59, .external_lex_state = 57},
  [13558] = {.lex_state = 53, .external_lex_state = 70},
  [13559] = {.lex_state = 53, .external_lex_state = 65},
  [13560] = {.lex_state = 53, .external_lex_state = 44},
  [13561] = {.lex_state = 59, .external_lex_state = 68},
  [13562] = {.lex_state = 59, .external_lex_state = 24},
  [13563] = {.lex_state = 59, .external_lex_state = 23},
  [13564] = {.lex_state = 59, .external_lex_state = 39},
  [13565] = {.lex_state = 59, .external_lex_state = 24},
  [13566] = {.lex_state = 59},
  [13567] = {.lex_state = 52, .external_lex_state = 23},
  [13568] = {.lex_state = 59, .external_lex_state = 38},
  [13569] = {.lex_state = 59, .external_lex_state = 24},
  [13570] = {.lex_state = 59},
  [13571] = {.lex_state = 53, .external_lex_state = 44},
  [13572] = {.lex_state = 59, .external_lex_state = 24},
  [13573] = {.lex_state = 52, .external_lex_state = 23},
  [13574] = {.lex_state = 53, .external_lex_state = 70},
  [13575] = {.lex_state = 59, .external_lex_state = 24},
  [13576] = {.lex_state = 53, .external_lex_state = 44},
  [13577] = {.lex_state = 59, .external_lex_state = 24},
  [13578] = {.lex_state = 59, .external_lex_state = 35},
  [13579] = {.lex_state = 0, .external_lex_state = 23},
  [13580] = {.lex_state = 52, .external_lex_state = 24},
  [13581] = {.lex_state = 59},
  [13582] = {.lex_state = 53, .external_lex_state = 44},
  [13583] = {.lex_state = 59, .external_lex_state = 24},
  [13584] = {.lex_state = 59},
  [13585] = {.lex_state = 59, .external_lex_state = 57},
  [13586] = {.lex_state = 59, .external_lex_state = 54},
  [13587] = {.lex_state = 59, .external_lex_state = 24},
  [13588] = {.lex_state = 59, .external_lex_state = 56},
  [13589] = {.lex_state = 52, .external_lex_state = 23},
  [13590] = {.lex_state = 53, .external_lex_state = 44},
  [13591] = {.lex_state = 59, .external_lex_state = 40},
  [13592] = {.lex_state = 59, .external_lex_state = 40},
  [13593] = {.lex_state = 52, .external_lex_state = 23},
  [13594] = {.lex_state = 53, .external_lex_state = 44},
  [13595] = {.lex_state = 59, .external_lex_state = 24},
  [13596] = {.lex_state = 59, .external_lex_state = 53},
  [13597] = {.lex_state = 53, .external_lex_state = 44},
  [13598] = {.lex_state = 59},
  [13599] = {.lex_state = 59, .external_lex_state = 68},
  [13600] = {.lex_state = 59, .external_lex_state = 24},
  [13601] = {.lex_state = 59},
  [13602] = {.lex_state = 59},
  [13603] = {.lex_state = 59, .external_lex_state = 39},
  [13604] = {.lex_state = 59, .external_lex_state = 57},
  [13605] = {.lex_state = 59, .external_lex_state = 58},
  [13606] = {.lex_state = 59, .external_lex_state = 57},
  [13607] = {.lex_state = 53, .external_lex_state = 65},
  [13608] = {.lex_state = 59, .external_lex_state = 23},
  [13609] = {.lex_state = 59, .external_lex_state = 24},
  [13610] = {.lex_state = 59, .external_lex_state = 24},
  [13611] = {.lex_state = 59, .external_lex_state = 40},
  [13612] = {.lex_state = 59, .external_lex_state = 40},
  [13613] = {.lex_state = 53, .external_lex_state = 70},
  [13614] = {.lex_state = 59, .external_lex_state = 69},
  [13615] = {.lex_state = 59, .external_lex_state = 39},
  [13616] = {.lex_state = 53, .external_lex_state = 44},
  [13617] = {.lex_state = 52, .external_lex_state = 24},
  [13618] = {.lex_state = 59, .external_lex_state = 24},
  [13619] = {.lex_state = 59, .external_lex_state = 23},
  [13620] = {.lex_state = 59, .external_lex_state = 24},
  [13621] = {.lex_state = 59},
  [13622] = {.lex_state = 52, .external_lex_state = 23},
  [13623] = {.lex_state = 59, .external_lex_state = 24},
  [13624] = {.lex_state = 53, .external_lex_state = 44},
  [13625] = {.lex_state = 59},
  [13626] = {.lex_state = 59, .external_lex_state = 39},
  [13627] = {.lex_state = 59, .external_lex_state = 35},
  [13628] = {.lex_state = 59, .external_lex_state = 50},
  [13629] = {.lex_state = 59, .external_lex_state = 39},
  [13630] = {.lex_state = 52, .external_lex_state = 23},
  [13631] = {.lex_state = 59, .external_lex_state = 24},
  [13632] = {.lex_state = 53, .external_lex_state = 65},
  [13633] = {.lex_state = 59, .external_lex_state = 38},
  [13634] = {.lex_state = 59},
  [13635] = {.lex_state = 59},
  [13636] = {.lex_state = 53, .external_lex_state = 70},
  [13637] = {.lex_state = 59, .external_lex_state = 39},
  [13638] = {.lex_state = 59, .external_lex_state = 39},
  [13639] = {.lex_state = 59, .external_lex_state = 54},
  [13640] = {.lex_state = 59, .external_lex_state = 35},
  [13641] = {.lex_state = 59},
  [13642] = {.lex_state = 6},
  [13643] = {.lex_state = 59, .external_lex_state = 39},
  [13644] = {.lex_state = 59},
  [13645] = {.lex_state = 52, .external_lex_state = 23},
  [13646] = {.lex_state = 52, .external_lex_state = 23},
  [13647] = {.lex_state = 52, .external_lex_state = 23},
  [13648] = {.lex_state = 0, .external_lex_state = 23},
  [13649] = {.lex_state = 0, .external_lex_state = 23},
  [13650] = {.lex_state = 0, .external_lex_state = 23},
  [13651] = {.lex_state = 59},
  [13652] = {.lex_state = 59, .external_lex_state = 54},
  [13653] = {.lex_state = 59, .external_lex_state = 23},
  [13654] = {.lex_state = 59, .external_lex_state = 50},
  [13655] = {.lex_state = 59},
  [13656] = {.lex_state = 59, .external_lex_state = 24},
  [13657] = {.lex_state = 53, .external_lex_state = 71},
  [13658] = {.lex_state = 52, .external_lex_state = 24},
  [13659] = {.lex_state = 59, .external_lex_state = 24},
  [13660] = {.lex_state = 59},
  [13661] = {.lex_state = 59, .external_lex_state = 24},
  [13662] = {.lex_state = 59, .external_lex_state = 39},
  [13663] = {.lex_state = 59},
  [13664] = {.lex_state = 59, .external_lex_state = 23},
  [13665] = {.lex_state = 53, .external_lex_state = 65},
  [13666] = {.lex_state = 59, .external_lex_state = 39},
  [13667] = {.lex_state = 0, .external_lex_state = 24},
  [13668] = {.lex_state = 59},
  [13669] = {.lex_state = 52, .external_lex_state = 23},
  [13670] = {.lex_state = 59},
  [13671] = {.lex_state = 52, .external_lex_state = 24},
  [13672] = {.lex_state = 52, .external_lex_state = 23},
  [13673] = {.lex_state = 6},
  [13674] = {.lex_state = 59, .external_lex_state = 23},
  [13675] = {.lex_state = 53, .external_lex_state = 65},
  [13676] = {.lex_state = 59, .external_lex_state = 23},
  [13677] = {.lex_state = 53, .external_lex_state = 65},
  [13678] = {.lex_state = 53, .external_lex_state = 65},
  [13679] = {.lex_state = 59, .external_lex_state = 24},
  [13680] = {.lex_state = 53, .external_lex_state = 65},
  [13681] = {.lex_state = 59, .external_lex_state = 23},
  [13682] = {.lex_state = 53, .external_lex_state = 71},
  [13683] = {.lex_state = 59, .external_lex_state = 39},
  [13684] = {.lex_state = 52, .external_lex_state = 23},
  [13685] = {.lex_state = 59},
  [13686] = {.lex_state = 53, .external_lex_state = 65},
  [13687] = {.lex_state = 0, .external_lex_state = 24},
  [13688] = {.lex_state = 0, .external_lex_state = 24},
  [13689] = {.lex_state = 59, .external_lex_state = 23},
  [13690] = {.lex_state = 59, .external_lex_state = 23},
  [13691] = {.lex_state = 59, .external_lex_state = 54},
  [13692] = {.lex_state = 59, .external_lex_state = 23},
  [13693] = {.lex_state = 59, .external_lex_state = 24},
  [13694] = {.lex_state = 59, .external_lex_state = 24},
  [13695] = {.lex_state = 53, .external_lex_state = 71},
  [13696] = {.lex_state = 59},
  [13697] = {.lex_state = 59, .external_lex_state = 23},
  [13698] = {.lex_state = 59, .external_lex_state = 39},
  [13699] = {.lex_state = 59},
  [13700] = {.lex_state = 59, .external_lex_state = 57},
  [13701] = {.lex_state = 59, .external_lex_state = 35},
  [13702] = {.lex_state = 53, .external_lex_state = 65},
  [13703] = {.lex_state = 59, .external_lex_state = 54},
  [13704] = {.lex_state = 59, .external_lex_state = 54},
  [13705] = {.lex_state = 59},
  [13706] = {.lex_state = 53, .external_lex_state = 65},
  [13707] = {.lex_state = 59, .external_lex_state = 23},
  [13708] = {.lex_state = 53, .external_lex_state = 65},
  [13709] = {.lex_state = 59},
  [13710] = {.lex_state = 59},
  [13711] = {.lex_state = 52, .external_lex_state = 23},
  [13712] = {.lex_state = 59, .external_lex_state = 46},
  [13713] = {.lex_state = 52, .external_lex_state = 24},
  [13714] = {.lex_state = 59, .external_lex_state = 54},
  [13715] = {.lex_state = 59, .external_lex_state = 54},
  [13716] = {.lex_state = 59},
  [13717] = {.lex_state = 59, .external_lex_state = 46},
  [13718] = {.lex_state = 59},
  [13719] = {.lex_state = 59, .external_lex_state = 35},
  [13720] = {.lex_state = 53, .external_lex_state = 65},
  [13721] = {.lex_state = 52, .external_lex_state = 23},
  [13722] = {.lex_state = 59, .external_lex_state = 54},
  [13723] = {.lex_state = 59, .external_lex_state = 54},
  [13724] = {.lex_state = 59, .external_lex_state = 54},
  [13725] = {.lex_state = 59, .external_lex_state = 23},
  [13726] = {.lex_state = 59},
  [13727] = {.lex_state = 59, .external_lex_state = 46},
  [13728] = {.lex_state = 53, .external_lex_state = 65},
  [13729] = {.lex_state = 52, .external_lex_state = 24},
  [13730] = {.lex_state = 0},
  [13731] = {.lex_state = 59, .external_lex_state = 69},
  [13732] = {.lex_state = 59},
  [13733] = {.lex_state = 53, .external_lex_state = 65},
  [13734] = {.lex_state = 59, .external_lex_state = 46},
  [13735] = {.lex_state = 59},
  [13736] = {.lex_state = 52, .external_lex_state = 23},
  [13737] = {.lex_state = 52, .external_lex_state = 23},
  [13738] = {.lex_state = 59, .external_lex_state = 24},
  [13739] = {.lex_state = 59, .external_lex_state = 35},
  [13740] = {.lex_state = 53, .external_lex_state = 65},
  [13741] = {.lex_state = 59},
  [13742] = {.lex_state = 52, .external_lex_state = 23},
  [13743] = {.lex_state = 0, .external_lex_state = 23},
  [13744] = {.lex_state = 0, .external_lex_state = 23},
  [13745] = {.lex_state = 53},
  [13746] = {.lex_state = 0, .external_lex_state = 24},
  [13747] = {.lex_state = 59, .external_lex_state = 24},
  [13748] = {.lex_state = 0, .external_lex_state = 23},
  [13749] = {.lex_state = 59, .external_lex_state = 35},
  [13750] = {.lex_state = 59},
  [13751] = {.lex_state = 59, .external_lex_state = 23},
  [13752] = {.lex_state = 59, .external_lex_state = 23},
  [13753] = {.lex_state = 59},
  [13754] = {.lex_state = 59},
  [13755] = {.lex_state = 53, .external_lex_state = 65},
  [13756] = {.lex_state = 59, .external_lex_state = 23},
  [13757] = {.lex_state = 0, .external_lex_state = 23},
  [13758] = {.lex_state = 59},
  [13759] = {.lex_state = 59, .external_lex_state = 23},
  [13760] = {.lex_state = 59, .external_lex_state = 23},
  [13761] = {.lex_state = 0, .external_lex_state = 23},
  [13762] = {.lex_state = 53, .external_lex_state = 65},
  [13763] = {.lex_state = 59, .external_lex_state = 23},
  [13764] = {.lex_state = 59},
  [13765] = {.lex_state = 59, .external_lex_state = 23},
  [13766] = {.lex_state = 52, .external_lex_state = 23},
  [13767] = {.lex_state = 53},
  [13768] = {.lex_state = 59, .external_lex_state = 68},
  [13769] = {.lex_state = 53},
  [13770] = {.lex_state = 59, .external_lex_state = 57},
  [13771] = {.lex_state = 59, .external_lex_state = 35},
  [13772] = {.lex_state = 0, .external_lex_state = 23},
  [13773] = {.lex_state = 0, .external_lex_state = 23},
  [13774] = {.lex_state = 59, .external_lex_state = 54},
  [13775] = {.lex_state = 53},
  [13776] = {.lex_state = 59},
  [13777] = {.lex_state = 59},
  [13778] = {.lex_state = 59, .external_lex_state = 35},
  [13779] = {.lex_state = 59},
  [13780] = {.lex_state = 59, .external_lex_state = 39},
  [13781] = {.lex_state = 59, .external_lex_state = 54},
  [13782] = {.lex_state = 59, .external_lex_state = 35},
  [13783] = {.lex_state = 59, .external_lex_state = 46},
  [13784] = {.lex_state = 59, .external_lex_state = 24},
  [13785] = {.lex_state = 59, .external_lex_state = 35},
  [13786] = {.lex_state = 59, .external_lex_state = 35},
  [13787] = {.lex_state = 59, .external_lex_state = 50},
  [13788] = {.lex_state = 59, .external_lex_state = 46},
  [13789] = {.lex_state = 59, .external_lex_state = 46},
  [13790] = {.lex_state = 59, .external_lex_state = 23},
  [13791] = {.lex_state = 59, .external_lex_state = 46},
  [13792] = {.lex_state = 52, .external_lex_state = 24},
  [13793] = {.lex_state = 59, .external_lex_state = 35},
  [13794] = {.lex_state = 59, .external_lex_state = 35},
  [13795] = {.lex_state = 59, .external_lex_state = 23},
  [13796] = {.lex_state = 52, .external_lex_state = 24},
  [13797] = {.lex_state = 59, .external_lex_state = 53},
  [13798] = {.lex_state = 0, .external_lex_state = 24},
  [13799] = {.lex_state = 59, .external_lex_state = 53},
  [13800] = {.lex_state = 52, .external_lex_state = 24},
  [13801] = {.lex_state = 59, .external_lex_state = 23},
  [13802] = {.lex_state = 0},
  [13803] = {.lex_state = 59, .external_lex_state = 23},
  [13804] = {.lex_state = 59, .external_lex_state = 23},
  [13805] = {.lex_state = 59, .external_lex_state = 23},
  [13806] = {.lex_state = 59, .external_lex_state = 68},
  [13807] = {.lex_state = 53, .external_lex_state = 44},
  [13808] = {.lex_state = 53, .external_lex_state = 71},
  [13809] = {.lex_state = 53, .external_lex_state = 71},
  [13810] = {.lex_state = 59},
  [13811] = {.lex_state = 53, .external_lex_state = 65},
  [13812] = {.lex_state = 53, .external_lex_state = 71},
  [13813] = {.lex_state = 59, .external_lex_state = 23},
  [13814] = {.lex_state = 59, .external_lex_state = 23},
  [13815] = {.lex_state = 0, .external_lex_state = 23},
  [13816] = {.lex_state = 59, .external_lex_state = 23},
  [13817] = {.lex_state = 59, .external_lex_state = 23},
  [13818] = {.lex_state = 53, .external_lex_state = 71},
  [13819] = {.lex_state = 0},
  [13820] = {.lex_state = 59, .external_lex_state = 23},
  [13821] = {.lex_state = 59, .external_lex_state = 68},
  [13822] = {.lex_state = 0, .external_lex_state = 24},
  [13823] = {.lex_state = 0},
  [13824] = {.lex_state = 59, .external_lex_state = 23},
  [13825] = {.lex_state = 59, .external_lex_state = 69},
  [13826] = {.lex_state = 0},
  [13827] = {.lex_state = 59, .external_lex_state = 69},
  [13828] = {.lex_state = 59, .external_lex_state = 69},
  [13829] = {.lex_state = 0, .external_lex_state = 23},
  [13830] = {.lex_state = 59, .external_lex_state = 23},
  [13831] = {.lex_state = 0, .external_lex_state = 23},
  [13832] = {.lex_state = 0},
  [13833] = {.lex_state = 0},
  [13834] = {.lex_state = 0},
  [13835] = {.lex_state = 0},
  [13836] = {.lex_state = 59, .external_lex_state = 24},
  [13837] = {.lex_state = 0},
  [13838] = {.lex_state = 59, .external_lex_state = 69},
  [13839] = {.lex_state = 0},
  [13840] = {.lex_state = 59, .external_lex_state = 23},
  [13841] = {.lex_state = 53, .external_lex_state = 71},
  [13842] = {.lex_state = 52, .external_lex_state = 24},
  [13843] = {.lex_state = 0},
  [13844] = {.lex_state = 59, .external_lex_state = 23},
  [13845] = {.lex_state = 0},
  [13846] = {.lex_state = 52, .external_lex_state = 24},
  [13847] = {.lex_state = 52, .external_lex_state = 24},
  [13848] = {.lex_state = 0},
  [13849] = {.lex_state = 0},
  [13850] = {.lex_state = 59, .external_lex_state = 23},
  [13851] = {.lex_state = 52, .external_lex_state = 23},
  [13852] = {.lex_state = 0},
  [13853] = {.lex_state = 59, .external_lex_state = 24},
  [13854] = {.lex_state = 59, .external_lex_state = 23},
  [13855] = {.lex_state = 59, .external_lex_state = 23},
  [13856] = {.lex_state = 52, .external_lex_state = 24},
  [13857] = {.lex_state = 59, .external_lex_state = 23},
  [13858] = {.lex_state = 59, .external_lex_state = 23},
  [13859] = {.lex_state = 0},
  [13860] = {.lex_state = 53, .external_lex_state = 71},
  [13861] = {.lex_state = 59, .external_lex_state = 23},
  [13862] = {.lex_state = 59, .external_lex_state = 68},
  [13863] = {.lex_state = 0},
  [13864] = {.lex_state = 59, .external_lex_state = 53},
  [13865] = {.lex_state = 59, .external_lex_state = 23},
  [13866] = {.lex_state = 53, .external_lex_state = 71},
  [13867] = {.lex_state = 0, .external_lex_state = 23},
  [13868] = {.lex_state = 59, .external_lex_state = 69},
  [13869] = {.lex_state = 59, .external_lex_state = 23},
  [13870] = {.lex_state = 59, .external_lex_state = 68},
  [13871] = {.lex_state = 59, .external_lex_state = 23},
  [13872] = {.lex_state = 59, .external_lex_state = 23},
  [13873] = {.lex_state = 59, .external_lex_state = 53},
  [13874] = {.lex_state = 0},
  [13875] = {.lex_state = 59, .external_lex_state = 68},
  [13876] = {.lex_state = 0},
  [13877] = {.lex_state = 59, .external_lex_state = 23},
  [13878] = {.lex_state = 59, .external_lex_state = 23},
  [13879] = {.lex_state = 0, .external_lex_state = 23},
  [13880] = {.lex_state = 59, .external_lex_state = 24},
  [13881] = {.lex_state = 0},
  [13882] = {.lex_state = 0},
  [13883] = {.lex_state = 59, .external_lex_state = 23},
  [13884] = {.lex_state = 59, .external_lex_state = 23},
  [13885] = {.lex_state = 0},
  [13886] = {.lex_state = 0, .external_lex_state = 23},
  [13887] = {.lex_state = 0},
  [13888] = {.lex_state = 53, .external_lex_state = 71},
  [13889] = {.lex_state = 59, .external_lex_state = 23},
  [13890] = {.lex_state = 0},
  [13891] = {.lex_state = 0},
  [13892] = {.lex_state = 0},
  [13893] = {.lex_state = 59, .external_lex_state = 23},
  [13894] = {.lex_state = 0},
  [13895] = {.lex_state = 59, .external_lex_state = 23},
  [13896] = {.lex_state = 53, .external_lex_state = 44},
  [13897] = {.lex_state = 59, .external_lex_state = 23},
  [13898] = {.lex_state = 59, .external_lex_state = 58},
  [13899] = {.lex_state = 52, .external_lex_state = 23},
  [13900] = {.lex_state = 53, .external_lex_state = 44},
  [13901] = {.lex_state = 0},
  [13902] = {.lex_state = 53, .external_lex_state = 44},
  [13903] = {.lex_state = 59, .external_lex_state = 23},
  [13904] = {.lex_state = 0},
  [13905] = {.lex_state = 0},
  [13906] = {.lex_state = 59, .external_lex_state = 23},
  [13907] = {.lex_state = 0},
  [13908] = {.lex_state = 0},
  [13909] = {.lex_state = 59, .external_lex_state = 68},
  [13910] = {.lex_state = 53, .external_lex_state = 71},
  [13911] = {.lex_state = 0},
  [13912] = {.lex_state = 59, .external_lex_state = 23},
  [13913] = {.lex_state = 59, .external_lex_state = 23},
  [13914] = {.lex_state = 59, .external_lex_state = 69},
  [13915] = {.lex_state = 59},
  [13916] = {.lex_state = 0},
  [13917] = {.lex_state = 0},
  [13918] = {.lex_state = 59},
  [13919] = {.lex_state = 0},
  [13920] = {.lex_state = 59},
  [13921] = {.lex_state = 59, .external_lex_state = 23},
  [13922] = {.lex_state = 59, .external_lex_state = 23},
  [13923] = {.lex_state = 0},
  [13924] = {.lex_state = 59, .external_lex_state = 23},
  [13925] = {.lex_state = 53, .external_lex_state = 71},
  [13926] = {.lex_state = 59, .external_lex_state = 23},
  [13927] = {.lex_state = 52, .external_lex_state = 23},
  [13928] = {.lex_state = 59, .external_lex_state = 23},
  [13929] = {.lex_state = 0},
  [13930] = {.lex_state = 59, .external_lex_state = 23},
  [13931] = {.lex_state = 53, .external_lex_state = 71},
  [13932] = {.lex_state = 59, .external_lex_state = 23},
  [13933] = {.lex_state = 53, .external_lex_state = 71},
  [13934] = {.lex_state = 0},
  [13935] = {.lex_state = 59, .external_lex_state = 23},
  [13936] = {.lex_state = 0},
  [13937] = {.lex_state = 0},
  [13938] = {.lex_state = 59, .external_lex_state = 23},
  [13939] = {.lex_state = 0, .external_lex_state = 23},
  [13940] = {.lex_state = 59, .external_lex_state = 23},
  [13941] = {.lex_state = 0, .external_lex_state = 23},
  [13942] = {.lex_state = 59, .external_lex_state = 23},
  [13943] = {.lex_state = 53, .external_lex_state = 24},
  [13944] = {.lex_state = 0},
  [13945] = {.lex_state = 59, .external_lex_state = 23},
  [13946] = {.lex_state = 0},
  [13947] = {.lex_state = 59, .external_lex_state = 23},
  [13948] = {.lex_state = 59},
  [13949] = {.lex_state = 53, .external_lex_state = 71},
  [13950] = {.lex_state = 0},
  [13951] = {.lex_state = 53, .external_lex_state = 71},
  [13952] = {.lex_state = 53, .external_lex_state = 71},
  [13953] = {.lex_state = 0, .external_lex_state = 24},
  [13954] = {.lex_state = 59, .external_lex_state = 23},
  [13955] = {.lex_state = 0},
  [13956] = {.lex_state = 53, .external_lex_state = 44},
  [13957] = {.lex_state = 59},
  [13958] = {.lex_state = 59, .external_lex_state = 23},
  [13959] = {.lex_state = 0},
  [13960] = {.lex_state = 59, .external_lex_state = 23},
  [13961] = {.lex_state = 59, .external_lex_state = 23},
  [13962] = {.lex_state = 59, .external_lex_state = 23},
  [13963] = {.lex_state = 0},
  [13964] = {.lex_state = 0},
  [13965] = {.lex_state = 0},
  [13966] = {.lex_state = 0},
  [13967] = {.lex_state = 0, .external_lex_state = 23},
  [13968] = {.lex_state = 0, .external_lex_state = 24},
  [13969] = {.lex_state = 0},
  [13970] = {.lex_state = 59, .external_lex_state = 23},
  [13971] = {.lex_state = 59, .external_lex_state = 24},
  [13972] = {.lex_state = 0},
  [13973] = {.lex_state = 59, .external_lex_state = 23},
  [13974] = {.lex_state = 59, .external_lex_state = 23},
  [13975] = {.lex_state = 59, .external_lex_state = 23},
  [13976] = {.lex_state = 52, .external_lex_state = 24},
  [13977] = {.lex_state = 59},
  [13978] = {.lex_state = 59},
  [13979] = {.lex_state = 52, .external_lex_state = 24},
  [13980] = {.lex_state = 59, .external_lex_state = 24},
  [13981] = {.lex_state = 53, .external_lex_state = 71},
  [13982] = {.lex_state = 0},
  [13983] = {.lex_state = 59},
  [13984] = {.lex_state = 0},
  [13985] = {.lex_state = 59, .external_lex_state = 24},
  [13986] = {.lex_state = 53},
  [13987] = {.lex_state = 53, .external_lex_state = 71},
  [13988] = {.lex_state = 59, .external_lex_state = 24},
  [13989] = {.lex_state = 59, .external_lex_state = 69},
  [13990] = {.lex_state = 59, .external_lex_state = 53},
  [13991] = {.lex_state = 59, .external_lex_state = 23},
  [13992] = {.lex_state = 59, .external_lex_state = 23},
  [13993] = {.lex_state = 0},
  [13994] = {.lex_state = 59, .external_lex_state = 23},
  [13995] = {.lex_state = 0},
  [13996] = {.lex_state = 53},
  [13997] = {.lex_state = 59},
  [13998] = {.lex_state = 53, .external_lex_state = 71},
  [13999] = {.lex_state = 59, .external_lex_state = 58},
  [14000] = {.lex_state = 52, .external_lex_state = 24},
  [14001] = {.lex_state = 59, .external_lex_state = 23},
  [14002] = {.lex_state = 53, .external_lex_state = 71},
  [14003] = {.lex_state = 59, .external_lex_state = 24},
  [14004] = {.lex_state = 59, .external_lex_state = 24},
  [14005] = {.lex_state = 59, .external_lex_state = 23},
  [14006] = {.lex_state = 59, .external_lex_state = 23},
  [14007] = {.lex_state = 0},
  [14008] = {.lex_state = 0},
  [14009] = {.lex_state = 59, .external_lex_state = 58},
  [14010] = {.lex_state = 59, .external_lex_state = 53},
  [14011] = {.lex_state = 53, .external_lex_state = 44},
  [14012] = {.lex_state = 59, .external_lex_state = 23},
  [14013] = {.lex_state = 0},
  [14014] = {.lex_state = 59},
  [14015] = {.lex_state = 59, .external_lex_state = 23},
  [14016] = {.lex_state = 0},
  [14017] = {.lex_state = 0, .external_lex_state = 24},
  [14018] = {.lex_state = 59, .external_lex_state = 23},
  [14019] = {.lex_state = 0},
  [14020] = {.lex_state = 0},
  [14021] = {.lex_state = 0, .external_lex_state = 24},
  [14022] = {.lex_state = 59, .external_lex_state = 24},
  [14023] = {.lex_state = 59, .external_lex_state = 23},
  [14024] = {.lex_state = 59, .external_lex_state = 23},
  [14025] = {.lex_state = 59, .external_lex_state = 68},
  [14026] = {.lex_state = 0},
  [14027] = {.lex_state = 59},
  [14028] = {.lex_state = 59, .external_lex_state = 23},
  [14029] = {.lex_state = 59, .external_lex_state = 23},
  [14030] = {.lex_state = 59, .external_lex_state = 23},
  [14031] = {.lex_state = 59, .external_lex_state = 23},
  [14032] = {.lex_state = 52, .external_lex_state = 23},
  [14033] = {.lex_state = 0},
  [14034] = {.lex_state = 59, .external_lex_state = 24},
  [14035] = {.lex_state = 59, .external_lex_state = 53},
  [14036] = {.lex_state = 0},
  [14037] = {.lex_state = 59, .external_lex_state = 58},
  [14038] = {.lex_state = 59, .external_lex_state = 23},
  [14039] = {.lex_state = 0},
  [14040] = {.lex_state = 0},
  [14041] = {.lex_state = 0},
  [14042] = {.lex_state = 59, .external_lex_state = 23},
  [14043] = {.lex_state = 0},
  [14044] = {.lex_state = 53, .external_lex_state = 71},
  [14045] = {.lex_state = 59, .external_lex_state = 53},
  [14046] = {.lex_state = 0},
  [14047] = {.lex_state = 0},
  [14048] = {.lex_state = 59},
  [14049] = {.lex_state = 59, .external_lex_state = 64},
  [14050] = {.lex_state = 59},
  [14051] = {.lex_state = 0, .external_lex_state = 24},
  [14052] = {.lex_state = 59, .external_lex_state = 24},
  [14053] = {.lex_state = 59, .external_lex_state = 64},
  [14054] = {.lex_state = 59},
  [14055] = {.lex_state = 0, .external_lex_state = 25},
  [14056] = {.lex_state = 59},
  [14057] = {.lex_state = 59, .external_lex_state = 64},
  [14058] = {.lex_state = 59, .external_lex_state = 24},
  [14059] = {.lex_state = 52, .external_lex_state = 23},
  [14060] = {.lex_state = 52},
  [14061] = {.lex_state = 59, .external_lex_state = 24},
  [14062] = {.lex_state = 59, .external_lex_state = 64},
  [14063] = {.lex_state = 59, .external_lex_state = 24},
  [14064] = {.lex_state = 59},
  [14065] = {.lex_state = 59},
  [14066] = {.lex_state = 59, .external_lex_state = 24},
  [14067] = {.lex_state = 59, .external_lex_state = 24},
  [14068] = {.lex_state = 0, .external_lex_state = 24},
  [14069] = {.lex_state = 0, .external_lex_state = 25},
  [14070] = {.lex_state = 0, .external_lex_state = 25},
  [14071] = {.lex_state = 59},
  [14072] = {.lex_state = 59},
  [14073] = {.lex_state = 59},
  [14074] = {.lex_state = 59, .external_lex_state = 24},
  [14075] = {.lex_state = 59},
  [14076] = {.lex_state = 52},
  [14077] = {.lex_state = 52, .external_lex_state = 23},
  [14078] = {.lex_state = 59},
  [14079] = {.lex_state = 0},
  [14080] = {.lex_state = 0},
  [14081] = {.lex_state = 53, .external_lex_state = 44},
  [14082] = {.lex_state = 0, .external_lex_state = 23},
  [14083] = {.lex_state = 59, .external_lex_state = 64},
  [14084] = {.lex_state = 59},
  [14085] = {.lex_state = 59},
  [14086] = {.lex_state = 0, .external_lex_state = 23},
  [14087] = {.lex_state = 59},
  [14088] = {.lex_state = 0, .external_lex_state = 24},
  [14089] = {.lex_state = 52, .external_lex_state = 23},
  [14090] = {.lex_state = 59},
  [14091] = {.lex_state = 0},
  [14092] = {.lex_state = 59, .external_lex_state = 24},
  [14093] = {.lex_state = 59},
  [14094] = {.lex_state = 59, .external_lex_state = 24},
  [14095] = {.lex_state = 59, .external_lex_state = 24},
  [14096] = {.lex_state = 59, .external_lex_state = 64},
  [14097] = {.lex_state = 59, .external_lex_state = 24},
  [14098] = {.lex_state = 59, .external_lex_state = 64},
  [14099] = {.lex_state = 0, .external_lex_state = 24},
  [14100] = {.lex_state = 59},
  [14101] = {.lex_state = 0, .external_lex_state = 24},
  [14102] = {.lex_state = 59, .external_lex_state = 24},
  [14103] = {.lex_state = 59},
  [14104] = {.lex_state = 59, .external_lex_state = 24},
  [14105] = {.lex_state = 52},
  [14106] = {.lex_state = 0},
  [14107] = {.lex_state = 0, .external_lex_state = 25},
  [14108] = {.lex_state = 59, .external_lex_state = 24},
  [14109] = {.lex_state = 59},
  [14110] = {.lex_state = 59, .external_lex_state = 64},
  [14111] = {.lex_state = 59, .external_lex_state = 24},
  [14112] = {.lex_state = 59, .external_lex_state = 64},
  [14113] = {.lex_state = 59, .external_lex_state = 64},
  [14114] = {.lex_state = 59},
  [14115] = {.lex_state = 59, .external_lex_state = 24},
  [14116] = {.lex_state = 59, .external_lex_state = 24},
  [14117] = {.lex_state = 0, .external_lex_state = 25},
  [14118] = {.lex_state = 59},
  [14119] = {.lex_state = 59, .external_lex_state = 24},
  [14120] = {.lex_state = 59, .external_lex_state = 24},
  [14121] = {.lex_state = 59, .external_lex_state = 24},
  [14122] = {.lex_state = 59},
  [14123] = {.lex_state = 53, .external_lex_state = 44},
  [14124] = {.lex_state = 59, .external_lex_state = 24},
  [14125] = {.lex_state = 59, .external_lex_state = 64},
  [14126] = {.lex_state = 59, .external_lex_state = 24},
  [14127] = {.lex_state = 0},
  [14128] = {.lex_state = 52},
  [14129] = {.lex_state = 59, .external_lex_state = 24},
  [14130] = {.lex_state = 59, .external_lex_state = 24},
  [14131] = {.lex_state = 0},
  [14132] = {.lex_state = 59},
  [14133] = {.lex_state = 59, .external_lex_state = 24},
  [14134] = {.lex_state = 0, .external_lex_state = 25},
  [14135] = {.lex_state = 59, .external_lex_state = 24},
  [14136] = {.lex_state = 0, .external_lex_state = 24},
  [14137] = {.lex_state = 0, .external_lex_state = 25},
  [14138] = {.lex_state = 59, .external_lex_state = 24},
  [14139] = {.lex_state = 59},
  [14140] = {.lex_state = 0},
  [14141] = {.lex_state = 59, .external_lex_state = 64},
  [14142] = {.lex_state = 0},
  [14143] = {.lex_state = 0, .external_lex_state = 25},
  [14144] = {.lex_state = 59, .external_lex_state = 24},
  [14145] = {.lex_state = 59, .external_lex_state = 64},
  [14146] = {.lex_state = 59},
  [14147] = {.lex_state = 59},
  [14148] = {.lex_state = 0},
  [14149] = {.lex_state = 59, .external_lex_state = 64},
  [14150] = {.lex_state = 0, .external_lex_state = 25},
  [14151] = {.lex_state = 0, .external_lex_state = 23},
  [14152] = {.lex_state = 59, .external_lex_state = 24},
  [14153] = {.lex_state = 59},
  [14154] = {.lex_state = 59},
  [14155] = {.lex_state = 59},
  [14156] = {.lex_state = 59},
  [14157] = {.lex_state = 0, .external_lex_state = 23},
  [14158] = {.lex_state = 59, .external_lex_state = 64},
  [14159] = {.lex_state = 59, .external_lex_state = 64},
  [14160] = {.lex_state = 59, .external_lex_state = 64},
  [14161] = {.lex_state = 59, .external_lex_state = 24},
  [14162] = {.lex_state = 0, .external_lex_state = 25},
  [14163] = {.lex_state = 52},
  [14164] = {.lex_state = 59, .external_lex_state = 24},
  [14165] = {.lex_state = 52},
  [14166] = {.lex_state = 59},
  [14167] = {.lex_state = 59, .external_lex_state = 64},
  [14168] = {.lex_state = 59},
  [14169] = {.lex_state = 52},
  [14170] = {.lex_state = 59},
  [14171] = {.lex_state = 0, .external_lex_state = 25},
  [14172] = {.lex_state = 59},
  [14173] = {.lex_state = 52},
  [14174] = {.lex_state = 59},
  [14175] = {.lex_state = 59, .external_lex_state = 64},
  [14176] = {.lex_state = 59},
  [14177] = {.lex_state = 0, .external_lex_state = 25},
  [14178] = {.lex_state = 59},
  [14179] = {.lex_state = 59, .external_lex_state = 64},
  [14180] = {.lex_state = 59, .external_lex_state = 64},
  [14181] = {.lex_state = 59, .external_lex_state = 64},
  [14182] = {.lex_state = 59, .external_lex_state = 64},
  [14183] = {.lex_state = 59, .external_lex_state = 24},
  [14184] = {.lex_state = 59, .external_lex_state = 24},
  [14185] = {.lex_state = 0, .external_lex_state = 25},
  [14186] = {.lex_state = 59},
  [14187] = {.lex_state = 0, .external_lex_state = 25},
  [14188] = {.lex_state = 59, .external_lex_state = 24},
  [14189] = {.lex_state = 0, .external_lex_state = 24},
  [14190] = {.lex_state = 59},
  [14191] = {.lex_state = 59, .external_lex_state = 64},
  [14192] = {.lex_state = 0, .external_lex_state = 25},
  [14193] = {.lex_state = 0, .external_lex_state = 25},
  [14194] = {.lex_state = 59, .external_lex_state = 24},
  [14195] = {.lex_state = 59},
  [14196] = {.lex_state = 59, .external_lex_state = 64},
  [14197] = {.lex_state = 59, .external_lex_state = 24},
  [14198] = {.lex_state = 59},
  [14199] = {.lex_state = 0, .external_lex_state = 25},
  [14200] = {.lex_state = 59, .external_lex_state = 64},
  [14201] = {.lex_state = 59},
  [14202] = {.lex_state = 0, .external_lex_state = 25},
  [14203] = {.lex_state = 0},
  [14204] = {.lex_state = 59, .external_lex_state = 23},
  [14205] = {.lex_state = 59},
  [14206] = {.lex_state = 52},
  [14207] = {.lex_state = 59},
  [14208] = {.lex_state = 59, .external_lex_state = 24},
  [14209] = {.lex_state = 59, .external_lex_state = 24},
  [14210] = {.lex_state = 59, .external_lex_state = 24},
  [14211] = {.lex_state = 0},
  [14212] = {.lex_state = 59},
  [14213] = {.lex_state = 0, .external_lex_state = 23},
  [14214] = {.lex_state = 59},
  [14215] = {.lex_state = 59, .external_lex_state = 64},
  [14216] = {.lex_state = 52},
  [14217] = {.lex_state = 52},
  [14218] = {.lex_state = 59},
  [14219] = {.lex_state = 59},
  [14220] = {.lex_state = 0, .external_lex_state = 23},
  [14221] = {.lex_state = 59},
  [14222] = {.lex_state = 59},
  [14223] = {.lex_state = 0, .external_lex_state = 23},
  [14224] = {.lex_state = 0, .external_lex_state = 25},
  [14225] = {.lex_state = 59, .external_lex_state = 24},
  [14226] = {.lex_state = 59, .external_lex_state = 24},
  [14227] = {.lex_state = 0, .external_lex_state = 23},
  [14228] = {.lex_state = 59},
  [14229] = {.lex_state = 0, .external_lex_state = 23},
  [14230] = {.lex_state = 52},
  [14231] = {.lex_state = 0},
  [14232] = {.lex_state = 59, .external_lex_state = 24},
  [14233] = {.lex_state = 0, .external_lex_state = 25},
  [14234] = {.lex_state = 59, .external_lex_state = 64},
  [14235] = {.lex_state = 59, .external_lex_state = 64},
  [14236] = {.lex_state = 59, .external_lex_state = 24},
  [14237] = {.lex_state = 0, .external_lex_state = 25},
  [14238] = {.lex_state = 52, .external_lex_state = 23},
  [14239] = {.lex_state = 0, .external_lex_state = 24},
  [14240] = {.lex_state = 59},
  [14241] = {.lex_state = 59, .external_lex_state = 64},
  [14242] = {.lex_state = 0, .external_lex_state = 23},
  [14243] = {.lex_state = 59, .external_lex_state = 64},
  [14244] = {.lex_state = 59, .external_lex_state = 24},
  [14245] = {.lex_state = 59},
  [14246] = {.lex_state = 59, .external_lex_state = 64},
  [14247] = {.lex_state = 59, .external_lex_state = 64},
  [14248] = {.lex_state = 59, .external_lex_state = 64},
  [14249] = {.lex_state = 59, .external_lex_state = 64},
  [14250] = {.lex_state = 0, .external_lex_state = 25},
  [14251] = {.lex_state = 59},
  [14252] = {.lex_state = 0, .external_lex_state = 23},
  [14253] = {.lex_state = 0, .external_lex_state = 25},
  [14254] = {.lex_state = 59},
  [14255] = {.lex_state = 0, .external_lex_state = 23},
  [14256] = {.lex_state = 59, .external_lex_state = 64},
  [14257] = {.lex_state = 59},
  [14258] = {.lex_state = 0, .external_lex_state = 25},
  [14259] = {.lex_state = 59},
  [14260] = {.lex_state = 59, .external_lex_state = 24},
  [14261] = {.lex_state = 59},
  [14262] = {.lex_state = 59},
  [14263] = {.lex_state = 0, .external_lex_state = 24},
  [14264] = {.lex_state = 59},
  [14265] = {.lex_state = 59, .external_lex_state = 24},
  [14266] = {.lex_state = 0, .external_lex_state = 25},
  [14267] = {.lex_state = 59, .external_lex_state = 64},
  [14268] = {.lex_state = 0, .external_lex_state = 24},
  [14269] = {.lex_state = 59},
  [14270] = {.lex_state = 0, .external_lex_state = 23},
  [14271] = {.lex_state = 0, .external_lex_state = 25},
  [14272] = {.lex_state = 0, .external_lex_state = 23},
  [14273] = {.lex_state = 0, .external_lex_state = 25},
  [14274] = {.lex_state = 59},
  [14275] = {.lex_state = 59, .external_lex_state = 64},
  [14276] = {.lex_state = 59, .external_lex_state = 24},
  [14277] = {.lex_state = 59},
  [14278] = {.lex_state = 59, .external_lex_state = 24},
  [14279] = {.lex_state = 59, .external_lex_state = 24},
  [14280] = {.lex_state = 59},
  [14281] = {.lex_state = 59, .external_lex_state = 64},
  [14282] = {.lex_state = 59, .external_lex_state = 64},
  [14283] = {.lex_state = 59, .external_lex_state = 24},
  [14284] = {.lex_state = 59},
  [14285] = {.lex_state = 59, .external_lex_state = 24},
  [14286] = {.lex_state = 52},
  [14287] = {.lex_state = 59, .external_lex_state = 64},
  [14288] = {.lex_state = 59, .external_lex_state = 24},
  [14289] = {.lex_state = 59, .external_lex_state = 24},
  [14290] = {.lex_state = 59, .external_lex_state = 24},
  [14291] = {.lex_state = 59, .external_lex_state = 64},
  [14292] = {.lex_state = 59, .external_lex_state = 24},
  [14293] = {.lex_state = 59, .external_lex_state = 24},
  [14294] = {.lex_state = 59},
  [14295] = {.lex_state = 59, .external_lex_state = 64},
  [14296] = {.lex_state = 59, .external_lex_state = 24},
  [14297] = {.lex_state = 0, .external_lex_state = 24},
  [14298] = {.lex_state = 59},
  [14299] = {.lex_state = 59, .external_lex_state = 64},
  [14300] = {.lex_state = 59, .external_lex_state = 64},
  [14301] = {.lex_state = 59, .external_lex_state = 24},
  [14302] = {.lex_state = 0},
  [14303] = {.lex_state = 59},
  [14304] = {.lex_state = 59, .external_lex_state = 24},
  [14305] = {.lex_state = 59, .external_lex_state = 24},
  [14306] = {.lex_state = 0, .external_lex_state = 25},
  [14307] = {.lex_state = 59, .external_lex_state = 64},
  [14308] = {.lex_state = 59},
  [14309] = {.lex_state = 59, .external_lex_state = 24},
  [14310] = {.lex_state = 0},
  [14311] = {.lex_state = 59, .external_lex_state = 24},
  [14312] = {.lex_state = 59, .external_lex_state = 24},
  [14313] = {.lex_state = 59},
  [14314] = {.lex_state = 59},
  [14315] = {.lex_state = 0, .external_lex_state = 25},
  [14316] = {.lex_state = 52},
  [14317] = {.lex_state = 59},
  [14318] = {.lex_state = 0, .external_lex_state = 25},
  [14319] = {.lex_state = 59, .external_lex_state = 64},
  [14320] = {.lex_state = 59},
  [14321] = {.lex_state = 59},
  [14322] = {.lex_state = 59, .external_lex_state = 64},
  [14323] = {.lex_state = 59},
  [14324] = {.lex_state = 0, .external_lex_state = 25},
  [14325] = {.lex_state = 0, .external_lex_state = 25},
  [14326] = {.lex_state = 59, .external_lex_state = 64},
  [14327] = {.lex_state = 59},
  [14328] = {.lex_state = 59},
  [14329] = {.lex_state = 53},
  [14330] = {.lex_state = 0},
  [14331] = {.lex_state = 0},
  [14332] = {.lex_state = 59},
  [14333] = {.lex_state = 59, .external_lex_state = 64},
  [14334] = {.lex_state = 0},
  [14335] = {.lex_state = 59, .external_lex_state = 24},
  [14336] = {.lex_state = 59},
  [14337] = {.lex_state = 59},
  [14338] = {.lex_state = 52},
  [14339] = {.lex_state = 0, .external_lex_state = 25},
  [14340] = {.lex_state = 0},
  [14341] = {.lex_state = 0, .external_lex_state = 23},
  [14342] = {.lex_state = 0, .external_lex_state = 25},
  [14343] = {.lex_state = 59, .external_lex_state = 24},
  [14344] = {.lex_state = 59, .external_lex_state = 24},
  [14345] = {.lex_state = 59},
  [14346] = {.lex_state = 0, .external_lex_state = 25},
  [14347] = {.lex_state = 59},
  [14348] = {.lex_state = 59, .external_lex_state = 24},
  [14349] = {.lex_state = 59, .external_lex_state = 24},
  [14350] = {.lex_state = 0, .external_lex_state = 25},
  [14351] = {.lex_state = 59, .external_lex_state = 24},
  [14352] = {.lex_state = 52},
  [14353] = {.lex_state = 59, .external_lex_state = 24},
  [14354] = {.lex_state = 59, .external_lex_state = 24},
  [14355] = {.lex_state = 59},
  [14356] = {.lex_state = 59, .external_lex_state = 64},
  [14357] = {.lex_state = 59, .external_lex_state = 64},
  [14358] = {.lex_state = 59, .external_lex_state = 64},
  [14359] = {.lex_state = 0},
  [14360] = {.lex_state = 0, .external_lex_state = 24},
  [14361] = {.lex_state = 0, .external_lex_state = 23},
  [14362] = {.lex_state = 0},
  [14363] = {.lex_state = 0, .external_lex_state = 72},
  [14364] = {.lex_state = 0, .external_lex_state = 72},
  [14365] = {.lex_state = 0},
  [14366] = {.lex_state = 0},
  [14367] = {.lex_state = 0},
  [14368] = {.lex_state = 0},
  [14369] = {.lex_state = 0},
  [14370] = {.lex_state = 59},
  [14371] = {.lex_state = 0},
  [14372] = {.lex_state = 52},
  [14373] = {.lex_state = 0, .external_lex_state = 23},
  [14374] = {.lex_state = 0},
  [14375] = {.lex_state = 0},
  [14376] = {.lex_state = 0},
  [14377] = {.lex_state = 0, .external_lex_state = 73},
  [14378] = {.lex_state = 0, .external_lex_state = 72},
  [14379] = {.lex_state = 0},
  [14380] = {.lex_state = 0, .external_lex_state = 73},
  [14381] = {.lex_state = 0},
  [14382] = {.lex_state = 0},
  [14383] = {.lex_state = 52},
  [14384] = {.lex_state = 0},
  [14385] = {.lex_state = 0},
  [14386] = {.lex_state = 0},
  [14387] = {.lex_state = 0},
  [14388] = {.lex_state = 0},
  [14389] = {.lex_state = 0},
  [14390] = {.lex_state = 0},
  [14391] = {.lex_state = 0},
  [14392] = {.lex_state = 0, .external_lex_state = 25},
  [14393] = {.lex_state = 0},
  [14394] = {.lex_state = 0},
  [14395] = {.lex_state = 59},
  [14396] = {.lex_state = 59},
  [14397] = {.lex_state = 0},
  [14398] = {.lex_state = 0},
  [14399] = {.lex_state = 0},
  [14400] = {.lex_state = 0, .external_lex_state = 72},
  [14401] = {.lex_state = 0, .external_lex_state = 73},
  [14402] = {.lex_state = 0},
  [14403] = {.lex_state = 0},
  [14404] = {.lex_state = 52},
  [14405] = {.lex_state = 0},
  [14406] = {.lex_state = 0},
  [14407] = {.lex_state = 0, .external_lex_state = 73},
  [14408] = {.lex_state = 0},
  [14409] = {.lex_state = 0},
  [14410] = {.lex_state = 0, .external_lex_state = 72},
  [14411] = {.lex_state = 0},
  [14412] = {.lex_state = 0, .external_lex_state = 23},
  [14413] = {.lex_state = 0},
  [14414] = {.lex_state = 0},
  [14415] = {.lex_state = 0},
  [14416] = {.lex_state = 0},
  [14417] = {.lex_state = 0},
  [14418] = {.lex_state = 0},
  [14419] = {.lex_state = 0},
  [14420] = {.lex_state = 0},
  [14421] = {.lex_state = 0},
  [14422] = {.lex_state = 59},
  [14423] = {.lex_state = 0},
  [14424] = {.lex_state = 0},
  [14425] = {.lex_state = 0},
  [14426] = {.lex_state = 0},
  [14427] = {.lex_state = 0},
  [14428] = {.lex_state = 0},
  [14429] = {.lex_state = 0},
  [14430] = {.lex_state = 0, .external_lex_state = 73},
  [14431] = {.lex_state = 0},
  [14432] = {.lex_state = 0},
  [14433] = {.lex_state = 0},
  [14434] = {.lex_state = 0},
  [14435] = {.lex_state = 0},
  [14436] = {.lex_state = 0},
  [14437] = {.lex_state = 0},
  [14438] = {.lex_state = 0},
  [14439] = {.lex_state = 0},
  [14440] = {.lex_state = 0},
  [14441] = {.lex_state = 0},
  [14442] = {.lex_state = 0},
  [14443] = {.lex_state = 0},
  [14444] = {.lex_state = 0},
  [14445] = {.lex_state = 0},
  [14446] = {.lex_state = 0},
  [14447] = {.lex_state = 0},
  [14448] = {.lex_state = 0},
  [14449] = {.lex_state = 59},
  [14450] = {.lex_state = 0},
  [14451] = {.lex_state = 0},
  [14452] = {.lex_state = 0},
  [14453] = {.lex_state = 0},
  [14454] = {.lex_state = 0},
  [14455] = {.lex_state = 0, .external_lex_state = 73},
  [14456] = {.lex_state = 0},
  [14457] = {.lex_state = 0},
  [14458] = {.lex_state = 0},
  [14459] = {.lex_state = 0, .external_lex_state = 72},
  [14460] = {.lex_state = 0},
  [14461] = {.lex_state = 0},
  [14462] = {.lex_state = 0},
  [14463] = {.lex_state = 0},
  [14464] = {.lex_state = 0, .external_lex_state = 72},
  [14465] = {.lex_state = 0},
  [14466] = {.lex_state = 0},
  [14467] = {.lex_state = 0},
  [14468] = {.lex_state = 0},
  [14469] = {.lex_state = 0},
  [14470] = {.lex_state = 0},
  [14471] = {.lex_state = 0},
  [14472] = {.lex_state = 0},
  [14473] = {.lex_state = 0},
  [14474] = {.lex_state = 0},
  [14475] = {.lex_state = 0},
  [14476] = {.lex_state = 0},
  [14477] = {.lex_state = 0},
  [14478] = {.lex_state = 0},
  [14479] = {.lex_state = 0},
  [14480] = {.lex_state = 0},
  [14481] = {.lex_state = 0},
  [14482] = {.lex_state = 0},
  [14483] = {.lex_state = 0},
  [14484] = {.lex_state = 0},
  [14485] = {.lex_state = 0},
  [14486] = {.lex_state = 0},
  [14487] = {.lex_state = 0},
  [14488] = {.lex_state = 0},
  [14489] = {.lex_state = 0},
  [14490] = {.lex_state = 0},
  [14491] = {.lex_state = 0},
  [14492] = {.lex_state = 0},
  [14493] = {.lex_state = 0},
  [14494] = {.lex_state = 0},
  [14495] = {.lex_state = 0},
  [14496] = {.lex_state = 0},
  [14497] = {.lex_state = 1},
  [14498] = {.lex_state = 0},
  [14499] = {.lex_state = 0},
  [14500] = {.lex_state = 0},
  [14501] = {.lex_state = 0},
  [14502] = {.lex_state = 0},
  [14503] = {.lex_state = 0},
  [14504] = {.lex_state = 0},
  [14505] = {.lex_state = 0},
  [14506] = {.lex_state = 0},
  [14507] = {.lex_state = 0},
  [14508] = {.lex_state = 0},
  [14509] = {.lex_state = 0},
  [14510] = {.lex_state = 0},
  [14511] = {.lex_state = 0},
  [14512] = {.lex_state = 0},
  [14513] = {.lex_state = 0},
  [14514] = {.lex_state = 0},
  [14515] = {.lex_state = 0},
  [14516] = {.lex_state = 0},
  [14517] = {.lex_state = 0},
  [14518] = {.lex_state = 0},
  [14519] = {.lex_state = 0},
  [14520] = {.lex_state = 0},
  [14521] = {.lex_state = 0},
  [14522] = {.lex_state = 0},
  [14523] = {.lex_state = 0},
  [14524] = {.lex_state = 0},
  [14525] = {.lex_state = 0},
  [14526] = {.lex_state = 0, .external_lex_state = 25},
  [14527] = {.lex_state = 0},
  [14528] = {.lex_state = 0},
  [14529] = {.lex_state = 0},
  [14530] = {.lex_state = 0},
  [14531] = {.lex_state = 0},
  [14532] = {.lex_state = 0},
  [14533] = {.lex_state = 0},
  [14534] = {.lex_state = 0},
  [14535] = {.lex_state = 0},
  [14536] = {.lex_state = 0},
  [14537] = {.lex_state = 0},
  [14538] = {.lex_state = 0},
  [14539] = {.lex_state = 0},
  [14540] = {.lex_state = 0},
  [14541] = {.lex_state = 0},
  [14542] = {.lex_state = 0},
  [14543] = {.lex_state = 0},
  [14544] = {.lex_state = 0},
  [14545] = {.lex_state = 0},
  [14546] = {.lex_state = 0},
  [14547] = {.lex_state = 0},
  [14548] = {.lex_state = 0},
  [14549] = {.lex_state = 0},
  [14550] = {.lex_state = 0},
  [14551] = {.lex_state = 0},
  [14552] = {.lex_state = 0},
  [14553] = {.lex_state = 0},
  [14554] = {.lex_state = 0},
  [14555] = {.lex_state = 0},
  [14556] = {.lex_state = 0},
  [14557] = {.lex_state = 0},
  [14558] = {.lex_state = 0},
  [14559] = {.lex_state = 0},
  [14560] = {.lex_state = 0},
  [14561] = {.lex_state = 0},
  [14562] = {.lex_state = 0},
  [14563] = {.lex_state = 0},
  [14564] = {.lex_state = 0},
  [14565] = {.lex_state = 0},
  [14566] = {.lex_state = 0},
  [14567] = {.lex_state = 0},
  [14568] = {.lex_state = 0},
  [14569] = {.lex_state = 0},
  [14570] = {.lex_state = 0},
  [14571] = {.lex_state = 0},
  [14572] = {.lex_state = 0},
  [14573] = {.lex_state = 0},
  [14574] = {.lex_state = 0},
  [14575] = {.lex_state = 0},
  [14576] = {.lex_state = 0},
  [14577] = {.lex_state = 0},
  [14578] = {.lex_state = 0},
  [14579] = {.lex_state = 0},
  [14580] = {.lex_state = 0},
  [14581] = {.lex_state = 0},
  [14582] = {.lex_state = 0},
  [14583] = {.lex_state = 0},
  [14584] = {.lex_state = 0},
  [14585] = {.lex_state = 0},
  [14586] = {.lex_state = 0},
  [14587] = {.lex_state = 0},
  [14588] = {.lex_state = 0},
  [14589] = {.lex_state = 0},
  [14590] = {.lex_state = 0},
  [14591] = {.lex_state = 0},
  [14592] = {.lex_state = 0},
  [14593] = {.lex_state = 0},
  [14594] = {.lex_state = 59},
  [14595] = {.lex_state = 0},
  [14596] = {.lex_state = 0},
  [14597] = {.lex_state = 0},
  [14598] = {.lex_state = 0},
  [14599] = {.lex_state = 0},
  [14600] = {.lex_state = 0},
  [14601] = {.lex_state = 0},
  [14602] = {.lex_state = 0},
  [14603] = {.lex_state = 0},
  [14604] = {.lex_state = 0},
  [14605] = {.lex_state = 0},
  [14606] = {.lex_state = 0},
  [14607] = {.lex_state = 0},
  [14608] = {.lex_state = 0, .external_lex_state = 23},
  [14609] = {.lex_state = 0},
  [14610] = {.lex_state = 0},
  [14611] = {.lex_state = 0, .external_lex_state = 73},
  [14612] = {.lex_state = 0, .external_lex_state = 72},
  [14613] = {.lex_state = 0},
  [14614] = {.lex_state = 0},
  [14615] = {.lex_state = 0},
  [14616] = {.lex_state = 0},
  [14617] = {.lex_state = 0},
  [14618] = {.lex_state = 0},
  [14619] = {.lex_state = 0},
  [14620] = {.lex_state = 0},
  [14621] = {.lex_state = 0},
  [14622] = {.lex_state = 0},
  [14623] = {.lex_state = 0},
  [14624] = {.lex_state = 0},
  [14625] = {.lex_state = 0},
  [14626] = {.lex_state = 0},
  [14627] = {.lex_state = 0},
  [14628] = {.lex_state = 0},
  [14629] = {.lex_state = 0},
  [14630] = {.lex_state = 0},
  [14631] = {.lex_state = 0},
  [14632] = {.lex_state = 0, .external_lex_state = 72},
  [14633] = {.lex_state = 0},
  [14634] = {.lex_state = 0},
  [14635] = {.lex_state = 0},
  [14636] = {.lex_state = 0},
  [14637] = {.lex_state = 0},
  [14638] = {.lex_state = 0},
  [14639] = {.lex_state = 0},
  [14640] = {.lex_state = 0},
  [14641] = {.lex_state = 0},
  [14642] = {.lex_state = 0},
  [14643] = {.lex_state = 0},
  [14644] = {.lex_state = 0},
  [14645] = {.lex_state = 0},
  [14646] = {.lex_state = 147},
  [14647] = {.lex_state = 0},
  [14648] = {.lex_state = 0},
  [14649] = {.lex_state = 0},
  [14650] = {.lex_state = 0},
  [14651] = {.lex_state = 0},
  [14652] = {.lex_state = 0},
  [14653] = {.lex_state = 0},
  [14654] = {.lex_state = 0},
  [14655] = {.lex_state = 0},
  [14656] = {.lex_state = 0, .external_lex_state = 73},
  [14657] = {.lex_state = 0},
  [14658] = {.lex_state = 0},
  [14659] = {.lex_state = 0, .external_lex_state = 72},
  [14660] = {.lex_state = 0},
  [14661] = {.lex_state = 0},
  [14662] = {.lex_state = 0},
  [14663] = {.lex_state = 0},
  [14664] = {.lex_state = 0},
  [14665] = {.lex_state = 0},
  [14666] = {.lex_state = 0},
  [14667] = {.lex_state = 0},
  [14668] = {.lex_state = 0},
  [14669] = {.lex_state = 0},
  [14670] = {.lex_state = 0},
  [14671] = {.lex_state = 0},
  [14672] = {.lex_state = 0},
  [14673] = {.lex_state = 0},
  [14674] = {.lex_state = 0, .external_lex_state = 73},
  [14675] = {.lex_state = 0},
  [14676] = {.lex_state = 0},
  [14677] = {.lex_state = 0},
  [14678] = {.lex_state = 0},
  [14679] = {.lex_state = 0},
  [14680] = {.lex_state = 0},
  [14681] = {.lex_state = 0},
  [14682] = {.lex_state = 0},
  [14683] = {.lex_state = 0, .external_lex_state = 23},
  [14684] = {.lex_state = 0},
  [14685] = {.lex_state = 0},
  [14686] = {.lex_state = 0, .external_lex_state = 73},
  [14687] = {.lex_state = 0},
  [14688] = {.lex_state = 0},
  [14689] = {.lex_state = 0},
  [14690] = {.lex_state = 0},
  [14691] = {.lex_state = 52},
  [14692] = {.lex_state = 0},
  [14693] = {.lex_state = 0},
  [14694] = {.lex_state = 0},
  [14695] = {.lex_state = 0},
  [14696] = {.lex_state = 0},
  [14697] = {.lex_state = 0},
  [14698] = {.lex_state = 0},
  [14699] = {.lex_state = 0},
  [14700] = {.lex_state = 0},
  [14701] = {.lex_state = 0},
  [14702] = {.lex_state = 0},
  [14703] = {.lex_state = 0},
  [14704] = {.lex_state = 0},
  [14705] = {.lex_state = 0},
  [14706] = {.lex_state = 0, .external_lex_state = 25},
  [14707] = {.lex_state = 0},
  [14708] = {.lex_state = 0},
  [14709] = {.lex_state = 59},
  [14710] = {.lex_state = 0},
  [14711] = {.lex_state = 0},
  [14712] = {.lex_state = 0},
  [14713] = {.lex_state = 0},
  [14714] = {.lex_state = 0},
  [14715] = {.lex_state = 0},
  [14716] = {.lex_state = 0},
  [14717] = {.lex_state = 0},
  [14718] = {.lex_state = 0},
  [14719] = {.lex_state = 0},
  [14720] = {.lex_state = 0},
  [14721] = {.lex_state = 0},
  [14722] = {.lex_state = 0},
  [14723] = {.lex_state = 0},
  [14724] = {.lex_state = 0},
  [14725] = {.lex_state = 0},
  [14726] = {.lex_state = 0},
  [14727] = {.lex_state = 0},
  [14728] = {.lex_state = 0},
  [14729] = {.lex_state = 0},
  [14730] = {.lex_state = 0},
  [14731] = {.lex_state = 0},
  [14732] = {.lex_state = 0},
  [14733] = {.lex_state = 0},
  [14734] = {.lex_state = 0},
  [14735] = {.lex_state = 0},
  [14736] = {.lex_state = 0},
  [14737] = {.lex_state = 0},
  [14738] = {.lex_state = 0},
  [14739] = {.lex_state = 0},
  [14740] = {.lex_state = 0},
  [14741] = {.lex_state = 0},
  [14742] = {.lex_state = 0},
  [14743] = {.lex_state = 0},
  [14744] = {.lex_state = 0},
  [14745] = {.lex_state = 0},
  [14746] = {.lex_state = 0},
  [14747] = {.lex_state = 0},
  [14748] = {.lex_state = 0},
  [14749] = {.lex_state = 59},
  [14750] = {.lex_state = 0},
  [14751] = {.lex_state = 0},
  [14752] = {.lex_state = 0, .external_lex_state = 72},
  [14753] = {.lex_state = 0},
  [14754] = {.lex_state = 0},
  [14755] = {.lex_state = 59},
  [14756] = {.lex_state = 0},
  [14757] = {.lex_state = 0},
  [14758] = {.lex_state = 0},
  [14759] = {.lex_state = 0},
  [14760] = {.lex_state = 0},
  [14761] = {.lex_state = 0},
  [14762] = {.lex_state = 0},
  [14763] = {.lex_state = 0},
  [14764] = {.lex_state = 0, .external_lex_state = 73},
  [14765] = {.lex_state = 0},
  [14766] = {.lex_state = 0},
  [14767] = {.lex_state = 0, .external_lex_state = 72},
  [14768] = {.lex_state = 0},
  [14769] = {.lex_state = 0},
  [14770] = {.lex_state = 0},
  [14771] = {.lex_state = 0},
  [14772] = {.lex_state = 0},
  [14773] = {.lex_state = 0},
  [14774] = {.lex_state = 0},
  [14775] = {.lex_state = 0},
  [14776] = {.lex_state = 0},
  [14777] = {.lex_state = 0},
  [14778] = {.lex_state = 0},
  [14779] = {.lex_state = 0},
  [14780] = {.lex_state = 0},
  [14781] = {.lex_state = 0},
  [14782] = {.lex_state = 0},
  [14783] = {.lex_state = 0},
  [14784] = {.lex_state = 0},
  [14785] = {.lex_state = 0},
  [14786] = {.lex_state = 0},
  [14787] = {.lex_state = 1},
  [14788] = {.lex_state = 0},
  [14789] = {.lex_state = 0},
  [14790] = {.lex_state = 0},
  [14791] = {.lex_state = 0},
  [14792] = {.lex_state = 0},
  [14793] = {.lex_state = 0},
  [14794] = {.lex_state = 0},
  [14795] = {.lex_state = 0},
  [14796] = {.lex_state = 0},
  [14797] = {.lex_state = 0},
  [14798] = {.lex_state = 0, .external_lex_state = 25},
  [14799] = {.lex_state = 0},
  [14800] = {.lex_state = 0},
  [14801] = {.lex_state = 0},
  [14802] = {.lex_state = 0, .external_lex_state = 73},
  [14803] = {.lex_state = 0},
  [14804] = {.lex_state = 0},
  [14805] = {.lex_state = 0, .external_lex_state = 72},
  [14806] = {.lex_state = 0},
  [14807] = {.lex_state = 0},
  [14808] = {.lex_state = 0},
  [14809] = {.lex_state = 0},
  [14810] = {.lex_state = 0},
  [14811] = {.lex_state = 0},
  [14812] = {.lex_state = 0},
  [14813] = {.lex_state = 0},
  [14814] = {.lex_state = 0},
  [14815] = {.lex_state = 0},
  [14816] = {.lex_state = 0},
  [14817] = {.lex_state = 0, .external_lex_state = 73},
  [14818] = {.lex_state = 0},
  [14819] = {.lex_state = 0},
  [14820] = {.lex_state = 0},
  [14821] = {.lex_state = 0},
  [14822] = {.lex_state = 0},
  [14823] = {.lex_state = 0},
  [14824] = {.lex_state = 0},
  [14825] = {.lex_state = 0, .external_lex_state = 25},
  [14826] = {.lex_state = 0},
  [14827] = {.lex_state = 0},
  [14828] = {.lex_state = 0},
  [14829] = {.lex_state = 0},
  [14830] = {.lex_state = 0},
  [14831] = {.lex_state = 0},
  [14832] = {.lex_state = 0},
  [14833] = {.lex_state = 0},
  [14834] = {.lex_state = 0},
  [14835] = {.lex_state = 0},
  [14836] = {.lex_state = 0},
  [14837] = {.lex_state = 0},
  [14838] = {.lex_state = 0},
  [14839] = {.lex_state = 0},
  [14840] = {.lex_state = 0, .external_lex_state = 72},
  [14841] = {.lex_state = 0},
  [14842] = {.lex_state = 0},
  [14843] = {.lex_state = 59},
  [14844] = {.lex_state = 0},
  [14845] = {.lex_state = 0},
  [14846] = {.lex_state = 0},
  [14847] = {.lex_state = 0},
  [14848] = {.lex_state = 0},
  [14849] = {.lex_state = 0},
  [14850] = {.lex_state = 0},
  [14851] = {.lex_state = 0},
  [14852] = {.lex_state = 0},
  [14853] = {.lex_state = 0},
  [14854] = {.lex_state = 0, .external_lex_state = 73},
  [14855] = {.lex_state = 0},
  [14856] = {.lex_state = 0, .external_lex_state = 72},
  [14857] = {.lex_state = 0},
  [14858] = {.lex_state = 0},
  [14859] = {.lex_state = 0},
  [14860] = {.lex_state = 0},
  [14861] = {.lex_state = 0},
  [14862] = {.lex_state = 0},
  [14863] = {.lex_state = 0},
  [14864] = {.lex_state = 0},
  [14865] = {.lex_state = 0},
  [14866] = {.lex_state = 52},
  [14867] = {.lex_state = 0},
  [14868] = {.lex_state = 0},
  [14869] = {.lex_state = 0},
  [14870] = {.lex_state = 0},
  [14871] = {.lex_state = 0},
  [14872] = {.lex_state = 0},
  [14873] = {.lex_state = 0},
  [14874] = {.lex_state = 0},
  [14875] = {.lex_state = 0, .external_lex_state = 72},
  [14876] = {.lex_state = 0, .external_lex_state = 73},
  [14877] = {.lex_state = 0},
  [14878] = {.lex_state = 0},
  [14879] = {.lex_state = 0, .external_lex_state = 73},
  [14880] = {.lex_state = 0},
  [14881] = {.lex_state = 0},
  [14882] = {.lex_state = 0, .external_lex_state = 72},
  [14883] = {.lex_state = 0},
  [14884] = {.lex_state = 0},
  [14885] = {.lex_state = 0},
  [14886] = {.lex_state = 0},
  [14887] = {.lex_state = 0},
  [14888] = {.lex_state = 0},
  [14889] = {.lex_state = 0},
  [14890] = {.lex_state = 0},
  [14891] = {.lex_state = 0},
  [14892] = {.lex_state = 0},
  [14893] = {.lex_state = 0},
  [14894] = {.lex_state = 0},
  [14895] = {.lex_state = 0},
  [14896] = {.lex_state = 59, .external_lex_state = 44},
  [14897] = {.lex_state = 0},
  [14898] = {.lex_state = 0},
  [14899] = {.lex_state = 0},
  [14900] = {.lex_state = 0},
  [14901] = {.lex_state = 0},
  [14902] = {.lex_state = 0},
  [14903] = {.lex_state = 0},
  [14904] = {.lex_state = 0, .external_lex_state = 25},
  [14905] = {.lex_state = 0},
  [14906] = {.lex_state = 0, .external_lex_state = 24},
  [14907] = {.lex_state = 0},
  [14908] = {.lex_state = 0, .external_lex_state = 24},
  [14909] = {.lex_state = 0},
  [14910] = {.lex_state = 59},
  [14911] = {.lex_state = 0},
  [14912] = {.lex_state = 0},
  [14913] = {.lex_state = 0},
  [14914] = {.lex_state = 0},
  [14915] = {.lex_state = 0},
  [14916] = {.lex_state = 59},
  [14917] = {.lex_state = 0},
  [14918] = {.lex_state = 0},
  [14919] = {.lex_state = 0},
  [14920] = {.lex_state = 59},
  [14921] = {.lex_state = 0},
  [14922] = {.lex_state = 0},
  [14923] = {.lex_state = 0},
  [14924] = {.lex_state = 0},
  [14925] = {.lex_state = 0},
  [14926] = {.lex_state = 0},
  [14927] = {.lex_state = 0},
  [14928] = {.lex_state = 0, .external_lex_state = 73},
  [14929] = {.lex_state = 0},
  [14930] = {.lex_state = 0},
  [14931] = {.lex_state = 0},
  [14932] = {.lex_state = 0},
  [14933] = {.lex_state = 0},
  [14934] = {.lex_state = 0, .external_lex_state = 72},
  [14935] = {.lex_state = 0},
  [14936] = {.lex_state = 0},
  [14937] = {.lex_state = 0},
  [14938] = {.lex_state = 0},
  [14939] = {.lex_state = 0},
  [14940] = {.lex_state = 0},
  [14941] = {.lex_state = 0},
  [14942] = {.lex_state = 0},
  [14943] = {.lex_state = 0},
  [14944] = {.lex_state = 0, .external_lex_state = 24},
  [14945] = {.lex_state = 0},
  [14946] = {.lex_state = 0},
  [14947] = {.lex_state = 0},
  [14948] = {.lex_state = 52},
  [14949] = {.lex_state = 0},
  [14950] = {.lex_state = 0},
  [14951] = {.lex_state = 0},
  [14952] = {.lex_state = 59},
  [14953] = {.lex_state = 0},
  [14954] = {.lex_state = 0, .external_lex_state = 73},
  [14955] = {.lex_state = 0},
  [14956] = {.lex_state = 0},
  [14957] = {.lex_state = 0},
  [14958] = {.lex_state = 0, .external_lex_state = 72},
  [14959] = {.lex_state = 0},
  [14960] = {.lex_state = 0},
  [14961] = {.lex_state = 0},
  [14962] = {.lex_state = 0, .external_lex_state = 72},
  [14963] = {.lex_state = 0},
  [14964] = {.lex_state = 0, .external_lex_state = 25},
  [14965] = {.lex_state = 0, .external_lex_state = 73},
  [14966] = {.lex_state = 0},
  [14967] = {.lex_state = 59},
  [14968] = {.lex_state = 0, .external_lex_state = 24},
  [14969] = {.lex_state = 0},
  [14970] = {.lex_state = 0},
  [14971] = {.lex_state = 0},
  [14972] = {.lex_state = 0, .external_lex_state = 73},
  [14973] = {.lex_state = 0},
  [14974] = {.lex_state = 0, .external_lex_state = 73},
  [14975] = {.lex_state = 0},
  [14976] = {.lex_state = 0, .external_lex_state = 72},
  [14977] = {.lex_state = 0},
  [14978] = {.lex_state = 0},
  [14979] = {.lex_state = 0},
  [14980] = {.lex_state = 0, .external_lex_state = 72},
  [14981] = {.lex_state = 0},
  [14982] = {.lex_state = 0},
  [14983] = {.lex_state = 0},
  [14984] = {.lex_state = 59},
  [14985] = {.lex_state = 0},
  [14986] = {.lex_state = 0},
  [14987] = {.lex_state = 0},
  [14988] = {.lex_state = 0, .external_lex_state = 73},
  [14989] = {.lex_state = 0},
  [14990] = {.lex_state = 0, .external_lex_state = 72},
  [14991] = {.lex_state = 59},
  [14992] = {.lex_state = 59},
  [14993] = {.lex_state = 0},
  [14994] = {.lex_state = 0},
  [14995] = {.lex_state = 0},
  [14996] = {.lex_state = 59},
  [14997] = {.lex_state = 0},
  [14998] = {.lex_state = 0},
  [14999] = {.lex_state = 0},
  [15000] = {.lex_state = 0},
  [15001] = {.lex_state = 0, .external_lex_state = 25},
  [15002] = {.lex_state = 0},
  [15003] = {.lex_state = 0},
  [15004] = {.lex_state = 0, .external_lex_state = 25},
  [15005] = {.lex_state = 59},
  [15006] = {.lex_state = 0},
  [15007] = {.lex_state = 0},
  [15008] = {.lex_state = 59},
  [15009] = {.lex_state = 0},
  [15010] = {.lex_state = 0},
  [15011] = {.lex_state = 0},
  [15012] = {.lex_state = 0, .external_lex_state = 24},
  [15013] = {.lex_state = 0},
  [15014] = {.lex_state = 0},
  [15015] = {.lex_state = 0},
  [15016] = {.lex_state = 0, .external_lex_state = 73},
  [15017] = {.lex_state = 0},
  [15018] = {.lex_state = 0, .external_lex_state = 72},
  [15019] = {.lex_state = 0},
  [15020] = {.lex_state = 0},
  [15021] = {.lex_state = 59},
  [15022] = {.lex_state = 0, .external_lex_state = 24},
  [15023] = {.lex_state = 59},
  [15024] = {.lex_state = 0, .external_lex_state = 73},
  [15025] = {.lex_state = 0, .external_lex_state = 72},
  [15026] = {.lex_state = 0, .external_lex_state = 72},
  [15027] = {.lex_state = 59},
  [15028] = {.lex_state = 1},
  [15029] = {.lex_state = 0, .external_lex_state = 23},
  [15030] = {.lex_state = 0, .external_lex_state = 73},
  [15031] = {.lex_state = 0},
  [15032] = {.lex_state = 0},
  [15033] = {.lex_state = 0},
  [15034] = {.lex_state = 0},
  [15035] = {.lex_state = 0},
  [15036] = {.lex_state = 0},
  [15037] = {.lex_state = 0},
  [15038] = {.lex_state = 0},
  [15039] = {.lex_state = 0},
  [15040] = {.lex_state = 0},
  [15041] = {.lex_state = 0, .external_lex_state = 73},
  [15042] = {.lex_state = 0, .external_lex_state = 72},
  [15043] = {.lex_state = 0},
  [15044] = {.lex_state = 0},
  [15045] = {.lex_state = 59},
  [15046] = {.lex_state = 0},
  [15047] = {.lex_state = 0},
  [15048] = {.lex_state = 0, .external_lex_state = 23},
  [15049] = {.lex_state = 0},
  [15050] = {.lex_state = 0},
  [15051] = {.lex_state = 0, .external_lex_state = 23},
  [15052] = {.lex_state = 0},
  [15053] = {.lex_state = 0, .external_lex_state = 25},
  [15054] = {.lex_state = 59},
  [15055] = {.lex_state = 0},
  [15056] = {.lex_state = 59},
  [15057] = {.lex_state = 0},
  [15058] = {.lex_state = 0},
  [15059] = {.lex_state = 59},
  [15060] = {.lex_state = 0},
  [15061] = {.lex_state = 0, .external_lex_state = 73},
  [15062] = {.lex_state = 0, .external_lex_state = 72},
  [15063] = {.lex_state = 0},
  [15064] = {.lex_state = 0, .external_lex_state = 23},
  [15065] = {.lex_state = 0},
  [15066] = {.lex_state = 0},
  [15067] = {.lex_state = 0},
  [15068] = {.lex_state = 0},
  [15069] = {.lex_state = 0},
  [15070] = {.lex_state = 0},
  [15071] = {.lex_state = 0, .external_lex_state = 72},
  [15072] = {.lex_state = 0, .external_lex_state = 23},
  [15073] = {.lex_state = 0},
  [15074] = {.lex_state = 0},
  [15075] = {.lex_state = 0, .external_lex_state = 73},
  [15076] = {.lex_state = 59},
  [15077] = {.lex_state = 0},
  [15078] = {.lex_state = 0},
  [15079] = {.lex_state = 0},
  [15080] = {.lex_state = 0, .external_lex_state = 23},
  [15081] = {.lex_state = 0},
  [15082] = {.lex_state = 0},
  [15083] = {.lex_state = 0},
  [15084] = {.lex_state = 0},
  [15085] = {.lex_state = 0},
  [15086] = {.lex_state = 0},
  [15087] = {.lex_state = 0},
  [15088] = {.lex_state = 0},
  [15089] = {.lex_state = 0},
  [15090] = {.lex_state = 0},
  [15091] = {.lex_state = 0},
  [15092] = {.lex_state = 0},
  [15093] = {.lex_state = 0},
  [15094] = {.lex_state = 0},
  [15095] = {.lex_state = 0},
  [15096] = {.lex_state = 0},
  [15097] = {.lex_state = 0},
  [15098] = {.lex_state = 0},
  [15099] = {.lex_state = 0},
  [15100] = {.lex_state = 0},
  [15101] = {.lex_state = 0},
  [15102] = {.lex_state = 0},
  [15103] = {.lex_state = 0, .external_lex_state = 73},
  [15104] = {.lex_state = 0},
  [15105] = {.lex_state = 0},
  [15106] = {.lex_state = 0},
  [15107] = {.lex_state = 0, .external_lex_state = 72},
  [15108] = {.lex_state = 0, .external_lex_state = 25},
  [15109] = {.lex_state = 0},
  [15110] = {.lex_state = 0},
  [15111] = {.lex_state = 59},
  [15112] = {.lex_state = 0},
  [15113] = {.lex_state = 0, .external_lex_state = 25},
  [15114] = {.lex_state = 0, .external_lex_state = 24},
  [15115] = {.lex_state = 0},
  [15116] = {.lex_state = 0},
  [15117] = {.lex_state = 52},
  [15118] = {.lex_state = 59},
  [15119] = {.lex_state = 0},
  [15120] = {.lex_state = 0},
  [15121] = {.lex_state = 59},
  [15122] = {.lex_state = 0},
  [15123] = {.lex_state = 0},
  [15124] = {.lex_state = 0},
  [15125] = {.lex_state = 0},
  [15126] = {.lex_state = 59},
  [15127] = {.lex_state = 0},
  [15128] = {.lex_state = 0},
  [15129] = {.lex_state = 0, .external_lex_state = 73},
  [15130] = {.lex_state = 0, .external_lex_state = 72},
  [15131] = {.lex_state = 59},
  [15132] = {.lex_state = 0, .external_lex_state = 72},
  [15133] = {.lex_state = 0},
  [15134] = {.lex_state = 0},
  [15135] = {.lex_state = 0},
  [15136] = {.lex_state = 0},
  [15137] = {.lex_state = 0},
  [15138] = {.lex_state = 0},
  [15139] = {.lex_state = 0},
  [15140] = {.lex_state = 0},
  [15141] = {.lex_state = 0},
  [15142] = {.lex_state = 0, .external_lex_state = 73},
  [15143] = {.lex_state = 0},
  [15144] = {.lex_state = 0, .external_lex_state = 72},
  [15145] = {.lex_state = 0, .external_lex_state = 73},
  [15146] = {.lex_state = 0},
  [15147] = {.lex_state = 59},
  [15148] = {.lex_state = 0},
  [15149] = {.lex_state = 0},
  [15150] = {.lex_state = 0},
  [15151] = {.lex_state = 0},
  [15152] = {.lex_state = 0, .external_lex_state = 25},
  [15153] = {.lex_state = 59},
  [15154] = {.lex_state = 0},
  [15155] = {.lex_state = 0},
  [15156] = {.lex_state = 0},
  [15157] = {.lex_state = 0},
  [15158] = {.lex_state = 0, .external_lex_state = 73},
  [15159] = {.lex_state = 0, .external_lex_state = 72},
  [15160] = {.lex_state = 0},
  [15161] = {.lex_state = 59},
  [15162] = {.lex_state = 0},
  [15163] = {.lex_state = 0},
  [15164] = {.lex_state = 0},
  [15165] = {.lex_state = 0},
  [15166] = {.lex_state = 0},
  [15167] = {.lex_state = 0},
  [15168] = {.lex_state = 0},
  [15169] = {.lex_state = 0},
  [15170] = {.lex_state = 0},
  [15171] = {.lex_state = 0},
  [15172] = {.lex_state = 0},
  [15173] = {.lex_state = 0},
  [15174] = {.lex_state = 0},
  [15175] = {.lex_state = 0},
  [15176] = {.lex_state = 0},
  [15177] = {.lex_state = 0},
  [15178] = {.lex_state = 0},
  [15179] = {.lex_state = 0},
  [15180] = {.lex_state = 0, .external_lex_state = 23},
  [15181] = {.lex_state = 0, .external_lex_state = 72},
  [15182] = {.lex_state = 0, .external_lex_state = 73},
  [15183] = {.lex_state = 59},
  [15184] = {.lex_state = 0},
  [15185] = {.lex_state = 0, .external_lex_state = 73},
  [15186] = {.lex_state = 59},
  [15187] = {.lex_state = 0, .external_lex_state = 72},
  [15188] = {.lex_state = 0},
  [15189] = {.lex_state = 0, .external_lex_state = 24},
  [15190] = {.lex_state = 0},
  [15191] = {.lex_state = 0},
  [15192] = {.lex_state = 0},
  [15193] = {.lex_state = 0},
  [15194] = {.lex_state = 0},
  [15195] = {.lex_state = 0},
  [15196] = {.lex_state = 0},
  [15197] = {.lex_state = 59},
  [15198] = {.lex_state = 0},
  [15199] = {.lex_state = 0},
  [15200] = {.lex_state = 0},
  [15201] = {.lex_state = 0, .external_lex_state = 25},
  [15202] = {.lex_state = 0, .external_lex_state = 25},
  [15203] = {.lex_state = 59},
  [15204] = {.lex_state = 59},
  [15205] = {.lex_state = 0},
  [15206] = {.lex_state = 59},
  [15207] = {.lex_state = 0},
  [15208] = {.lex_state = 59},
  [15209] = {.lex_state = 0},
  [15210] = {.lex_state = 59},
  [15211] = {.lex_state = 0, .external_lex_state = 73},
  [15212] = {.lex_state = 0},
  [15213] = {.lex_state = 0, .external_lex_state = 72},
  [15214] = {.lex_state = 59},
  [15215] = {.lex_state = 0},
  [15216] = {.lex_state = 0},
  [15217] = {.lex_state = 0},
  [15218] = {.lex_state = 0},
  [15219] = {.lex_state = 0},
  [15220] = {.lex_state = 0},
  [15221] = {.lex_state = 0},
  [15222] = {.lex_state = 0},
  [15223] = {.lex_state = 0},
  [15224] = {.lex_state = 0},
  [15225] = {.lex_state = 0},
  [15226] = {.lex_state = 0},
  [15227] = {.lex_state = 0},
  [15228] = {.lex_state = 0},
  [15229] = {.lex_state = 6},
  [15230] = {.lex_state = 0},
  [15231] = {.lex_state = 0},
  [15232] = {.lex_state = 0, .external_lex_state = 73},
  [15233] = {.lex_state = 0},
  [15234] = {.lex_state = 0},
  [15235] = {.lex_state = 6},
  [15236] = {.lex_state = 0, .external_lex_state = 72},
  [15237] = {.lex_state = 0},
  [15238] = {.lex_state = 0},
  [15239] = {.lex_state = 0, .external_lex_state = 72},
  [15240] = {.lex_state = 0, .external_lex_state = 72},
  [15241] = {.lex_state = 0, .external_lex_state = 73},
  [15242] = {.lex_state = 0},
  [15243] = {.lex_state = 0},
  [15244] = {.lex_state = 0},
  [15245] = {.lex_state = 0},
  [15246] = {.lex_state = 0},
  [15247] = {.lex_state = 0, .external_lex_state = 25},
  [15248] = {.lex_state = 59},
  [15249] = {.lex_state = 0},
  [15250] = {.lex_state = 0},
  [15251] = {.lex_state = 59},
  [15252] = {.lex_state = 0},
  [15253] = {.lex_state = 0},
  [15254] = {.lex_state = 0},
  [15255] = {.lex_state = 0},
  [15256] = {.lex_state = 0},
  [15257] = {.lex_state = 59},
  [15258] = {.lex_state = 0, .external_lex_state = 72},
  [15259] = {.lex_state = 0, .external_lex_state = 73},
  [15260] = {.lex_state = 0, .external_lex_state = 73},
  [15261] = {.lex_state = 0, .external_lex_state = 72},
  [15262] = {.lex_state = 0},
  [15263] = {.lex_state = 0},
  [15264] = {.lex_state = 59},
  [15265] = {.lex_state = 59},
  [15266] = {.lex_state = 0},
  [15267] = {.lex_state = 0},
  [15268] = {.lex_state = 0, .external_lex_state = 73},
  [15269] = {.lex_state = 0},
  [15270] = {.lex_state = 0},
  [15271] = {.lex_state = 0},
  [15272] = {.lex_state = 0},
  [15273] = {.lex_state = 59},
  [15274] = {.lex_state = 0},
  [15275] = {.lex_state = 0, .external_lex_state = 72},
  [15276] = {.lex_state = 0},
  [15277] = {.lex_state = 0, .external_lex_state = 25},
  [15278] = {.lex_state = 0},
  [15279] = {.lex_state = 0},
  [15280] = {.lex_state = 0, .external_lex_state = 25},
  [15281] = {.lex_state = 59},
  [15282] = {.lex_state = 0},
  [15283] = {.lex_state = 59},
  [15284] = {.lex_state = 0},
  [15285] = {.lex_state = 0},
  [15286] = {.lex_state = 0},
  [15287] = {.lex_state = 59},
  [15288] = {.lex_state = 0, .external_lex_state = 73},
  [15289] = {.lex_state = 59},
  [15290] = {.lex_state = 0, .external_lex_state = 73},
  [15291] = {.lex_state = 0, .external_lex_state = 72},
  [15292] = {.lex_state = 0},
  [15293] = {.lex_state = 0},
  [15294] = {.lex_state = 59},
  [15295] = {.lex_state = 0},
  [15296] = {.lex_state = 0, .external_lex_state = 24},
  [15297] = {.lex_state = 0},
  [15298] = {.lex_state = 0},
  [15299] = {.lex_state = 0},
  [15300] = {.lex_state = 0},
  [15301] = {.lex_state = 59},
  [15302] = {.lex_state = 0},
  [15303] = {.lex_state = 59},
  [15304] = {.lex_state = 0},
  [15305] = {.lex_state = 0},
  [15306] = {.lex_state = 0},
  [15307] = {.lex_state = 0},
  [15308] = {.lex_state = 52},
  [15309] = {.lex_state = 0},
  [15310] = {.lex_state = 0},
  [15311] = {.lex_state = 0},
  [15312] = {.lex_state = 0},
  [15313] = {.lex_state = 0},
  [15314] = {.lex_state = 0},
  [15315] = {.lex_state = 0},
  [15316] = {.lex_state = 0},
  [15317] = {.lex_state = 0, .external_lex_state = 72},
  [15318] = {.lex_state = 0, .external_lex_state = 73},
  [15319] = {.lex_state = 0, .external_lex_state = 73},
  [15320] = {.lex_state = 0},
  [15321] = {.lex_state = 0},
  [15322] = {.lex_state = 0, .external_lex_state = 72},
  [15323] = {.lex_state = 59},
  [15324] = {.lex_state = 0},
  [15325] = {.lex_state = 0},
  [15326] = {.lex_state = 0},
  [15327] = {.lex_state = 0},
  [15328] = {.lex_state = 59},
  [15329] = {.lex_state = 0},
  [15330] = {.lex_state = 0},
  [15331] = {.lex_state = 0},
  [15332] = {.lex_state = 0},
  [15333] = {.lex_state = 0},
  [15334] = {.lex_state = 0},
  [15335] = {.lex_state = 59},
  [15336] = {.lex_state = 0},
  [15337] = {.lex_state = 0, .external_lex_state = 25},
  [15338] = {.lex_state = 0},
  [15339] = {.lex_state = 59},
  [15340] = {.lex_state = 0},
  [15341] = {.lex_state = 0},
  [15342] = {.lex_state = 0},
  [15343] = {.lex_state = 0},
  [15344] = {.lex_state = 0, .external_lex_state = 73},
  [15345] = {.lex_state = 0, .external_lex_state = 72},
  [15346] = {.lex_state = 0},
  [15347] = {.lex_state = 0},
  [15348] = {.lex_state = 0},
  [15349] = {.lex_state = 0},
  [15350] = {.lex_state = 0},
  [15351] = {.lex_state = 59},
  [15352] = {.lex_state = 0},
  [15353] = {.lex_state = 0},
  [15354] = {.lex_state = 0},
  [15355] = {.lex_state = 0},
  [15356] = {.lex_state = 0},
  [15357] = {.lex_state = 59},
  [15358] = {.lex_state = 0, .external_lex_state = 73},
  [15359] = {.lex_state = 0, .external_lex_state = 72},
  [15360] = {.lex_state = 0},
  [15361] = {.lex_state = 0},
  [15362] = {.lex_state = 59},
  [15363] = {.lex_state = 0},
  [15364] = {.lex_state = 0},
  [15365] = {.lex_state = 0, .external_lex_state = 72},
  [15366] = {.lex_state = 0},
  [15367] = {.lex_state = 0, .external_lex_state = 73},
  [15368] = {.lex_state = 0, .external_lex_state = 25},
  [15369] = {.lex_state = 59},
  [15370] = {.lex_state = 0},
  [15371] = {.lex_state = 59},
  [15372] = {.lex_state = 59},
  [15373] = {.lex_state = 0},
  [15374] = {.lex_state = 59},
  [15375] = {.lex_state = 0},
  [15376] = {.lex_state = 59},
  [15377] = {.lex_state = 0},
  [15378] = {.lex_state = 0, .external_lex_state = 73},
  [15379] = {.lex_state = 0, .external_lex_state = 72},
  [15380] = {.lex_state = 0},
  [15381] = {.lex_state = 0},
  [15382] = {.lex_state = 0},
  [15383] = {.lex_state = 0},
  [15384] = {.lex_state = 0},
  [15385] = {.lex_state = 0},
  [15386] = {.lex_state = 0},
  [15387] = {.lex_state = 0},
  [15388] = {.lex_state = 0, .external_lex_state = 73},
  [15389] = {.lex_state = 0},
  [15390] = {.lex_state = 0, .external_lex_state = 72},
  [15391] = {.lex_state = 59},
  [15392] = {.lex_state = 0},
  [15393] = {.lex_state = 0},
  [15394] = {.lex_state = 0},
  [15395] = {.lex_state = 0, .external_lex_state = 25},
  [15396] = {.lex_state = 59},
  [15397] = {.lex_state = 0},
  [15398] = {.lex_state = 0},
  [15399] = {.lex_state = 0, .external_lex_state = 25},
  [15400] = {.lex_state = 0},
  [15401] = {.lex_state = 0},
  [15402] = {.lex_state = 59},
  [15403] = {.lex_state = 59},
  [15404] = {.lex_state = 0},
  [15405] = {.lex_state = 0},
  [15406] = {.lex_state = 0, .external_lex_state = 73},
  [15407] = {.lex_state = 0},
  [15408] = {.lex_state = 0, .external_lex_state = 72},
  [15409] = {.lex_state = 0},
  [15410] = {.lex_state = 0},
  [15411] = {.lex_state = 0},
  [15412] = {.lex_state = 0},
  [15413] = {.lex_state = 53, .external_lex_state = 71},
  [15414] = {.lex_state = 0},
  [15415] = {.lex_state = 0},
  [15416] = {.lex_state = 0, .external_lex_state = 72},
  [15417] = {.lex_state = 0},
  [15418] = {.lex_state = 0},
  [15419] = {.lex_state = 0, .external_lex_state = 73},
  [15420] = {.lex_state = 0, .external_lex_state = 73},
  [15421] = {.lex_state = 0},
  [15422] = {.lex_state = 0, .external_lex_state = 23},
  [15423] = {.lex_state = 0},
  [15424] = {.lex_state = 59},
  [15425] = {.lex_state = 59},
  [15426] = {.lex_state = 0},
  [15427] = {.lex_state = 59},
  [15428] = {.lex_state = 0},
  [15429] = {.lex_state = 59},
  [15430] = {.lex_state = 0},
  [15431] = {.lex_state = 0},
  [15432] = {.lex_state = 0},
  [15433] = {.lex_state = 0},
  [15434] = {.lex_state = 0},
  [15435] = {.lex_state = 0},
  [15436] = {.lex_state = 59},
  [15437] = {.lex_state = 0},
  [15438] = {.lex_state = 0},
  [15439] = {.lex_state = 0, .external_lex_state = 25},
  [15440] = {.lex_state = 0},
  [15441] = {.lex_state = 0},
  [15442] = {.lex_state = 0},
  [15443] = {.lex_state = 59},
  [15444] = {.lex_state = 59},
  [15445] = {.lex_state = 0},
  [15446] = {.lex_state = 0},
  [15447] = {.lex_state = 0},
  [15448] = {.lex_state = 0},
  [15449] = {.lex_state = 0, .external_lex_state = 72},
  [15450] = {.lex_state = 0, .external_lex_state = 73},
  [15451] = {.lex_state = 59},
  [15452] = {.lex_state = 0, .external_lex_state = 72},
  [15453] = {.lex_state = 0},
  [15454] = {.lex_state = 0},
  [15455] = {.lex_state = 0},
  [15456] = {.lex_state = 0},
  [15457] = {.lex_state = 59},
  [15458] = {.lex_state = 0},
  [15459] = {.lex_state = 0},
  [15460] = {.lex_state = 0},
  [15461] = {.lex_state = 0},
  [15462] = {.lex_state = 59},
  [15463] = {.lex_state = 0},
  [15464] = {.lex_state = 0},
  [15465] = {.lex_state = 0, .external_lex_state = 73},
  [15466] = {.lex_state = 0, .external_lex_state = 72},
  [15467] = {.lex_state = 0},
  [15468] = {.lex_state = 0, .external_lex_state = 25},
  [15469] = {.lex_state = 59},
  [15470] = {.lex_state = 0, .external_lex_state = 73},
  [15471] = {.lex_state = 0},
  [15472] = {.lex_state = 0, .external_lex_state = 73},
  [15473] = {.lex_state = 0},
  [15474] = {.lex_state = 59},
  [15475] = {.lex_state = 0},
  [15476] = {.lex_state = 0, .external_lex_state = 72},
  [15477] = {.lex_state = 0},
  [15478] = {.lex_state = 0},
  [15479] = {.lex_state = 0, .external_lex_state = 25},
  [15480] = {.lex_state = 0},
  [15481] = {.lex_state = 59},
  [15482] = {.lex_state = 0},
  [15483] = {.lex_state = 0, .external_lex_state = 72},
  [15484] = {.lex_state = 59},
  [15485] = {.lex_state = 0, .external_lex_state = 25},
  [15486] = {.lex_state = 0},
  [15487] = {.lex_state = 0, .external_lex_state = 73},
  [15488] = {.lex_state = 0},
  [15489] = {.lex_state = 0},
  [15490] = {.lex_state = 0},
  [15491] = {.lex_state = 59},
  [15492] = {.lex_state = 0},
  [15493] = {.lex_state = 0},
  [15494] = {.lex_state = 59},
  [15495] = {.lex_state = 0},
  [15496] = {.lex_state = 0},
  [15497] = {.lex_state = 59},
  [15498] = {.lex_state = 0},
  [15499] = {.lex_state = 0, .external_lex_state = 25},
  [15500] = {.lex_state = 0},
  [15501] = {.lex_state = 0},
  [15502] = {.lex_state = 0},
  [15503] = {.lex_state = 0},
  [15504] = {.lex_state = 0},
  [15505] = {.lex_state = 59},
  [15506] = {.lex_state = 0},
  [15507] = {.lex_state = 0},
  [15508] = {.lex_state = 0},
  [15509] = {.lex_state = 0},
  [15510] = {.lex_state = 59},
  [15511] = {.lex_state = 0, .external_lex_state = 25},
  [15512] = {.lex_state = 0},
  [15513] = {.lex_state = 59, .external_lex_state = 64},
  [15514] = {.lex_state = 0, .external_lex_state = 25},
  [15515] = {.lex_state = 0},
  [15516] = {.lex_state = 59},
  [15517] = {.lex_state = 59, .external_lex_state = 44},
  [15518] = {.lex_state = 0},
  [15519] = {.lex_state = 0},
  [15520] = {.lex_state = 0},
  [15521] = {.lex_state = 0},
  [15522] = {.lex_state = 0},
  [15523] = {.lex_state = 0},
  [15524] = {.lex_state = 59},
  [15525] = {.lex_state = 59},
  [15526] = {.lex_state = 0},
  [15527] = {.lex_state = 59},
  [15528] = {.lex_state = 0},
  [15529] = {.lex_state = 0},
  [15530] = {.lex_state = 0},
  [15531] = {.lex_state = 0, .external_lex_state = 25},
  [15532] = {.lex_state = 59},
  [15533] = {.lex_state = 0},
  [15534] = {.lex_state = 0},
  [15535] = {.lex_state = 59, .external_lex_state = 44},
  [15536] = {.lex_state = 0},
  [15537] = {.lex_state = 0},
  [15538] = {.lex_state = 0},
  [15539] = {.lex_state = 59},
  [15540] = {.lex_state = 0},
  [15541] = {.lex_state = 0},
  [15542] = {.lex_state = 0, .external_lex_state = 25},
  [15543] = {.lex_state = 0, .external_lex_state = 25},
  [15544] = {.lex_state = 0},
  [15545] = {.lex_state = 0},
  [15546] = {.lex_state = 0},
  [15547] = {.lex_state = 59},
  [15548] = {.lex_state = 0},
  [15549] = {.lex_state = 0},
  [15550] = {.lex_state = 0},
  [15551] = {.lex_state = 59},
  [15552] = {.lex_state = 0},
  [15553] = {.lex_state = 0},
  [15554] = {.lex_state = 0},
  [15555] = {.lex_state = 0},
  [15556] = {.lex_state = 0},
  [15557] = {.lex_state = 0},
  [15558] = {.lex_state = 0},
  [15559] = {.lex_state = 0},
  [15560] = {.lex_state = 59, .external_lex_state = 44},
  [15561] = {.lex_state = 59},
  [15562] = {.lex_state = 0, .external_lex_state = 25},
  [15563] = {.lex_state = 59},
  [15564] = {.lex_state = 59},
  [15565] = {.lex_state = 0},
  [15566] = {.lex_state = 0},
  [15567] = {.lex_state = 0, .external_lex_state = 25},
  [15568] = {.lex_state = 59},
  [15569] = {.lex_state = 0},
  [15570] = {.lex_state = 59},
  [15571] = {.lex_state = 0},
  [15572] = {.lex_state = 0},
  [15573] = {.lex_state = 0},
  [15574] = {.lex_state = 59},
  [15575] = {.lex_state = 0},
  [15576] = {.lex_state = 59},
  [15577] = {.lex_state = 0},
  [15578] = {.lex_state = 0},
  [15579] = {.lex_state = 59},
  [15580] = {.lex_state = 0, .external_lex_state = 25},
  [15581] = {.lex_state = 0},
  [15582] = {.lex_state = 59},
  [15583] = {.lex_state = 0},
  [15584] = {.lex_state = 59},
  [15585] = {.lex_state = 0},
  [15586] = {.lex_state = 0},
  [15587] = {.lex_state = 0},
  [15588] = {.lex_state = 0},
  [15589] = {.lex_state = 0},
  [15590] = {.lex_state = 0, .external_lex_state = 25},
  [15591] = {.lex_state = 59},
  [15592] = {.lex_state = 0},
  [15593] = {.lex_state = 0},
  [15594] = {.lex_state = 0},
  [15595] = {.lex_state = 0},
  [15596] = {.lex_state = 0, .external_lex_state = 25},
  [15597] = {.lex_state = 0},
  [15598] = {.lex_state = 0},
  [15599] = {.lex_state = 0},
  [15600] = {.lex_state = 59},
  [15601] = {.lex_state = 0},
  [15602] = {.lex_state = 0},
  [15603] = {.lex_state = 59},
  [15604] = {.lex_state = 0},
  [15605] = {.lex_state = 59},
  [15606] = {.lex_state = 0},
  [15607] = {.lex_state = 0},
  [15608] = {.lex_state = 0},
  [15609] = {.lex_state = 0, .external_lex_state = 73},
  [15610] = {.lex_state = 0, .external_lex_state = 73},
  [15611] = {.lex_state = 0, .external_lex_state = 73},
  [15612] = {.lex_state = 0},
  [15613] = {.lex_state = 59},
  [15614] = {.lex_state = 0, .external_lex_state = 25},
  [15615] = {.lex_state = 0},
  [15616] = {.lex_state = 59},
  [15617] = {.lex_state = 0},
  [15618] = {.lex_state = 0},
  [15619] = {.lex_state = 0},
  [15620] = {.lex_state = 59},
  [15621] = {.lex_state = 0},
  [15622] = {.lex_state = 0},
  [15623] = {.lex_state = 59},
  [15624] = {.lex_state = 59},
  [15625] = {.lex_state = 0},
  [15626] = {.lex_state = 59},
  [15627] = {.lex_state = 59, .external_lex_state = 44},
  [15628] = {.lex_state = 59, .external_lex_state = 44},
  [15629] = {.lex_state = 0},
  [15630] = {.lex_state = 0},
  [15631] = {.lex_state = 0, .external_lex_state = 25},
  [15632] = {.lex_state = 0},
  [15633] = {.lex_state = 0, .external_lex_state = 25},
  [15634] = {.lex_state = 0},
  [15635] = {.lex_state = 0},
  [15636] = {.lex_state = 0, .external_lex_state = 25},
  [15637] = {.lex_state = 59},
  [15638] = {.lex_state = 0},
  [15639] = {.lex_state = 0},
  [15640] = {.lex_state = 0},
  [15641] = {.lex_state = 0},
  [15642] = {.lex_state = 0, .external_lex_state = 72},
  [15643] = {.lex_state = 59},
  [15644] = {.lex_state = 0},
  [15645] = {.lex_state = 0, .external_lex_state = 72},
  [15646] = {.lex_state = 0},
  [15647] = {.lex_state = 0, .external_lex_state = 72},
  [15648] = {.lex_state = 0},
  [15649] = {.lex_state = 0},
  [15650] = {.lex_state = 59},
  [15651] = {.lex_state = 0},
  [15652] = {.lex_state = 0},
  [15653] = {.lex_state = 59},
  [15654] = {.lex_state = 59, .external_lex_state = 44},
  [15655] = {.lex_state = 0},
  [15656] = {.lex_state = 0},
  [15657] = {.lex_state = 59},
  [15658] = {.lex_state = 0},
  [15659] = {.lex_state = 0},
  [15660] = {.lex_state = 0},
  [15661] = {.lex_state = 59},
  [15662] = {.lex_state = 0},
  [15663] = {.lex_state = 0, .external_lex_state = 25},
  [15664] = {.lex_state = 0},
  [15665] = {.lex_state = 59, .external_lex_state = 44},
  [15666] = {.lex_state = 0},
  [15667] = {.lex_state = 59},
  [15668] = {.lex_state = 0},
  [15669] = {.lex_state = 0},
  [15670] = {.lex_state = 0},
  [15671] = {.lex_state = 59},
  [15672] = {.lex_state = 0, .external_lex_state = 72},
  [15673] = {.lex_state = 0},
  [15674] = {.lex_state = 0, .external_lex_state = 25},
  [15675] = {.lex_state = 59},
  [15676] = {.lex_state = 59},
  [15677] = {.lex_state = 0},
  [15678] = {.lex_state = 0},
  [15679] = {.lex_state = 0, .external_lex_state = 25},
  [15680] = {.lex_state = 0},
  [15681] = {.lex_state = 59},
  [15682] = {.lex_state = 52},
  [15683] = {.lex_state = 0},
  [15684] = {.lex_state = 0},
  [15685] = {.lex_state = 0},
  [15686] = {.lex_state = 0},
  [15687] = {.lex_state = 52},
  [15688] = {.lex_state = 0},
  [15689] = {.lex_state = 0},
  [15690] = {.lex_state = 59},
  [15691] = {.lex_state = 59},
  [15692] = {.lex_state = 0},
  [15693] = {.lex_state = 0},
  [15694] = {.lex_state = 59},
  [15695] = {.lex_state = 0},
  [15696] = {.lex_state = 0},
  [15697] = {.lex_state = 0},
  [15698] = {.lex_state = 0, .external_lex_state = 25},
  [15699] = {.lex_state = 0},
  [15700] = {.lex_state = 59},
  [15701] = {.lex_state = 0},
  [15702] = {.lex_state = 59},
  [15703] = {.lex_state = 59, .external_lex_state = 64},
  [15704] = {.lex_state = 0},
  [15705] = {.lex_state = 0, .external_lex_state = 25},
  [15706] = {.lex_state = 0},
  [15707] = {.lex_state = 59, .external_lex_state = 44},
  [15708] = {.lex_state = 52},
  [15709] = {.lex_state = 52},
  [15710] = {.lex_state = 59, .external_lex_state = 64},
  [15711] = {.lex_state = 0},
  [15712] = {.lex_state = 59},
  [15713] = {.lex_state = 0},
  [15714] = {.lex_state = 0, .external_lex_state = 25},
  [15715] = {.lex_state = 0},
  [15716] = {.lex_state = 59},
  [15717] = {.lex_state = 0, .external_lex_state = 25},
  [15718] = {.lex_state = 0},
  [15719] = {.lex_state = 59},
  [15720] = {.lex_state = 0},
  [15721] = {.lex_state = 1},
  [15722] = {.lex_state = 0},
  [15723] = {.lex_state = 0},
  [15724] = {.lex_state = 52},
  [15725] = {.lex_state = 52},
  [15726] = {.lex_state = 0},
  [15727] = {.lex_state = 59},
  [15728] = {.lex_state = 0},
  [15729] = {.lex_state = 0},
  [15730] = {.lex_state = 0, .external_lex_state = 25},
  [15731] = {.lex_state = 59},
  [15732] = {.lex_state = 0},
  [15733] = {.lex_state = 0, .external_lex_state = 73},
  [15734] = {.lex_state = 0, .external_lex_state = 72},
  [15735] = {.lex_state = 0},
  [15736] = {.lex_state = 0},
  [15737] = {.lex_state = 52},
  [15738] = {.lex_state = 52},
  [15739] = {.lex_state = 0},
  [15740] = {.lex_state = 59},
  [15741] = {.lex_state = 0},
  [15742] = {.lex_state = 0},
  [15743] = {.lex_state = 59, .external_lex_state = 64},
  [15744] = {.lex_state = 59},
  [15745] = {.lex_state = 0, .external_lex_state = 25},
  [15746] = {.lex_state = 59},
  [15747] = {.lex_state = 0},
  [15748] = {.lex_state = 0},
  [15749] = {.lex_state = 59},
  [15750] = {.lex_state = 0, .external_lex_state = 25},
  [15751] = {.lex_state = 59},
  [15752] = {.lex_state = 0},
  [15753] = {.lex_state = 52},
  [15754] = {.lex_state = 52},
  [15755] = {.lex_state = 0},
  [15756] = {.lex_state = 59},
  [15757] = {.lex_state = 0, .external_lex_state = 25},
  [15758] = {.lex_state = 0},
  [15759] = {.lex_state = 59},
  [15760] = {.lex_state = 0},
  [15761] = {.lex_state = 59, .external_lex_state = 64},
  [15762] = {.lex_state = 0},
  [15763] = {.lex_state = 0, .external_lex_state = 73},
  [15764] = {.lex_state = 59, .external_lex_state = 64},
  [15765] = {.lex_state = 59, .external_lex_state = 64},
  [15766] = {.lex_state = 0, .external_lex_state = 25},
  [15767] = {.lex_state = 59},
  [15768] = {.lex_state = 0},
  [15769] = {.lex_state = 59, .external_lex_state = 64},
  [15770] = {.lex_state = 59, .external_lex_state = 64},
  [15771] = {.lex_state = 0, .external_lex_state = 72},
  [15772] = {.lex_state = 59, .external_lex_state = 64},
  [15773] = {.lex_state = 59, .external_lex_state = 64},
  [15774] = {.lex_state = 59, .external_lex_state = 64},
  [15775] = {.lex_state = 59, .external_lex_state = 64},
  [15776] = {.lex_state = 59, .external_lex_state = 64},
  [15777] = {.lex_state = 59, .external_lex_state = 64},
  [15778] = {.lex_state = 59, .external_lex_state = 64},
  [15779] = {.lex_state = 59, .external_lex_state = 64},
  [15780] = {.lex_state = 59, .external_lex_state = 64},
  [15781] = {.lex_state = 59, .external_lex_state = 53},
  [15782] = {.lex_state = 6},
  [15783] = {.lex_state = 0},
  [15784] = {.lex_state = 0},
  [15785] = {.lex_state = 0},
  [15786] = {.lex_state = 0},
  [15787] = {.lex_state = 0},
  [15788] = {.lex_state = 6},
  [15789] = {.lex_state = 0, .external_lex_state = 64},
  [15790] = {.lex_state = 6},
  [15791] = {.lex_state = 6},
  [15792] = {.lex_state = 6},
  [15793] = {.lex_state = 6},
  [15794] = {.lex_state = 0, .external_lex_state = 64},
  [15795] = {.lex_state = 0},
  [15796] = {.lex_state = 59},
  [15797] = {.lex_state = 0},
  [15798] = {.lex_state = 0},
  [15799] = {.lex_state = 0},
  [15800] = {.lex_state = 0},
  [15801] = {.lex_state = 59, .external_lex_state = 53},
  [15802] = {.lex_state = 59, .external_lex_state = 53},
  [15803] = {.lex_state = 0, .external_lex_state = 64},
  [15804] = {.lex_state = 6},
  [15805] = {.lex_state = 0},
  [15806] = {.lex_state = 6},
  [15807] = {.lex_state = 6},
  [15808] = {.lex_state = 59, .external_lex_state = 53},
  [15809] = {.lex_state = 6},
  [15810] = {.lex_state = 0},
  [15811] = {.lex_state = 0, .external_lex_state = 64},
  [15812] = {.lex_state = 0, .external_lex_state = 64},
  [15813] = {.lex_state = 0},
  [15814] = {.lex_state = 6},
  [15815] = {.lex_state = 0},
  [15816] = {.lex_state = 0},
  [15817] = {.lex_state = 59, .external_lex_state = 53},
  [15818] = {.lex_state = 6},
  [15819] = {.lex_state = 0},
  [15820] = {.lex_state = 6},
  [15821] = {.lex_state = 6},
  [15822] = {.lex_state = 6},
  [15823] = {.lex_state = 59},
  [15824] = {.lex_state = 0},
  [15825] = {.lex_state = 0},
  [15826] = {.lex_state = 0},
  [15827] = {.lex_state = 0},
  [15828] = {.lex_state = 0},
  [15829] = {.lex_state = 0},
  [15830] = {.lex_state = 0, .external_lex_state = 64},
  [15831] = {.lex_state = 0},
  [15832] = {.lex_state = 0},
  [15833] = {.lex_state = 0},
  [15834] = {.lex_state = 0},
  [15835] = {.lex_state = 0, .external_lex_state = 64},
  [15836] = {.lex_state = 0},
  [15837] = {.lex_state = 0},
  [15838] = {.lex_state = 0},
  [15839] = {.lex_state = 0},
  [15840] = {.lex_state = 0},
  [15841] = {.lex_state = 0},
  [15842] = {.lex_state = 0},
  [15843] = {.lex_state = 6},
  [15844] = {.lex_state = 6},
  [15845] = {.lex_state = 0},
  [15846] = {.lex_state = 59},
  [15847] = {.lex_state = 6},
  [15848] = {.lex_state = 6},
  [15849] = {.lex_state = 0, .external_lex_state = 64},
  [15850] = {.lex_state = 6},
  [15851] = {.lex_state = 6},
  [15852] = {.lex_state = 6},
  [15853] = {.lex_state = 0},
  [15854] = {.lex_state = 0},
  [15855] = {.lex_state = 0},
  [15856] = {.lex_state = 59, .external_lex_state = 53},
  [15857] = {.lex_state = 0},
  [15858] = {.lex_state = 0},
  [15859] = {.lex_state = 59, .external_lex_state = 53},
  [15860] = {.lex_state = 0, .external_lex_state = 64},
  [15861] = {.lex_state = 0},
  [15862] = {.lex_state = 0},
  [15863] = {.lex_state = 0, .external_lex_state = 64},
  [15864] = {.lex_state = 59, .external_lex_state = 53},
  [15865] = {.lex_state = 6},
  [15866] = {.lex_state = 59, .external_lex_state = 53},
  [15867] = {.lex_state = 59},
  [15868] = {.lex_state = 0, .external_lex_state = 64},
  [15869] = {.lex_state = 0},
  [15870] = {.lex_state = 0},
  [15871] = {.lex_state = 0},
  [15872] = {.lex_state = 0},
  [15873] = {.lex_state = 0, .external_lex_state = 64},
  [15874] = {.lex_state = 0},
  [15875] = {.lex_state = 0},
  [15876] = {.lex_state = 0},
  [15877] = {.lex_state = 0},
  [15878] = {.lex_state = 6},
  [15879] = {.lex_state = 0},
  [15880] = {.lex_state = 6},
  [15881] = {.lex_state = 6},
  [15882] = {.lex_state = 6},
  [15883] = {.lex_state = 0},
  [15884] = {.lex_state = 0},
  [15885] = {.lex_state = 0},
  [15886] = {.lex_state = 0},
  [15887] = {.lex_state = 0},
  [15888] = {.lex_state = 0, .external_lex_state = 64},
  [15889] = {.lex_state = 0},
  [15890] = {.lex_state = 0, .external_lex_state = 64},
  [15891] = {.lex_state = 0},
  [15892] = {.lex_state = 0},
  [15893] = {.lex_state = 6},
  [15894] = {.lex_state = 0},
  [15895] = {.lex_state = 6},
  [15896] = {.lex_state = 6},
  [15897] = {.lex_state = 6},
  [15898] = {.lex_state = 0},
  [15899] = {.lex_state = 0},
  [15900] = {.lex_state = 0},
  [15901] = {.lex_state = 0, .external_lex_state = 64},
  [15902] = {.lex_state = 0},
  [15903] = {.lex_state = 59, .external_lex_state = 53},
  [15904] = {.lex_state = 0},
  [15905] = {.lex_state = 6},
  [15906] = {.lex_state = 0, .external_lex_state = 64},
  [15907] = {.lex_state = 6},
  [15908] = {.lex_state = 6},
  [15909] = {.lex_state = 6},
  [15910] = {.lex_state = 0, .external_lex_state = 64},
  [15911] = {.lex_state = 59},
  [15912] = {.lex_state = 0},
  [15913] = {.lex_state = 0},
  [15914] = {.lex_state = 59},
  [15915] = {.lex_state = 0},
  [15916] = {.lex_state = 0},
  [15917] = {.lex_state = 59, .external_lex_state = 53},
  [15918] = {.lex_state = 0, .external_lex_state = 64},
  [15919] = {.lex_state = 0, .external_lex_state = 64},
  [15920] = {.lex_state = 0},
  [15921] = {.lex_state = 0},
  [15922] = {.lex_state = 59, .external_lex_state = 53},
  [15923] = {.lex_state = 0},
  [15924] = {.lex_state = 0},
  [15925] = {.lex_state = 0},
  [15926] = {.lex_state = 6},
  [15927] = {.lex_state = 0, .external_lex_state = 64},
  [15928] = {.lex_state = 0},
  [15929] = {.lex_state = 6},
  [15930] = {.lex_state = 6},
  [15931] = {.lex_state = 6},
  [15932] = {.lex_state = 6},
  [15933] = {.lex_state = 6},
  [15934] = {.lex_state = 6},
  [15935] = {.lex_state = 0},
  [15936] = {.lex_state = 0},
  [15937] = {.lex_state = 0},
  [15938] = {.lex_state = 6},
  [15939] = {.lex_state = 6},
  [15940] = {.lex_state = 0},
  [15941] = {.lex_state = 0, .external_lex_state = 64},
  [15942] = {.lex_state = 0},
  [15943] = {.lex_state = 0},
  [15944] = {.lex_state = 0},
  [15945] = {.lex_state = 59, .external_lex_state = 53},
  [15946] = {.lex_state = 0},
  [15947] = {.lex_state = 0},
  [15948] = {.lex_state = 0},
  [15949] = {.lex_state = 0, .external_lex_state = 64},
  [15950] = {.lex_state = 0},
  [15951] = {.lex_state = 0},
  [15952] = {.lex_state = 0, .external_lex_state = 64},
  [15953] = {.lex_state = 6},
  [15954] = {.lex_state = 6},
  [15955] = {.lex_state = 6},
  [15956] = {.lex_state = 6},
  [15957] = {.lex_state = 59, .external_lex_state = 53},
  [15958] = {.lex_state = 59},
  [15959] = {.lex_state = 0},
  [15960] = {.lex_state = 0},
  [15961] = {.lex_state = 0},
  [15962] = {.lex_state = 0},
  [15963] = {.lex_state = 0, .external_lex_state = 64},
  [15964] = {.lex_state = 0},
  [15965] = {.lex_state = 0},
  [15966] = {.lex_state = 0},
  [15967] = {.lex_state = 6},
  [15968] = {.lex_state = 59},
  [15969] = {.lex_state = 0},
  [15970] = {.lex_state = 0},
  [15971] = {.lex_state = 0},
  [15972] = {.lex_state = 59, .external_lex_state = 53},
  [15973] = {.lex_state = 59, .external_lex_state = 53},
  [15974] = {.lex_state = 0, .external_lex_state = 64},
  [15975] = {.lex_state = 0},
  [15976] = {.lex_state = 6},
  [15977] = {.lex_state = 6},
  [15978] = {.lex_state = 6},
  [15979] = {.lex_state = 6},
  [15980] = {.lex_state = 0, .external_lex_state = 64},
  [15981] = {.lex_state = 6},
  [15982] = {.lex_state = 0},
  [15983] = {.lex_state = 0},
  [15984] = {.lex_state = 6},
  [15985] = {.lex_state = 6},
  [15986] = {.lex_state = 59, .external_lex_state = 53},
  [15987] = {.lex_state = 0, .external_lex_state = 64},
  [15988] = {.lex_state = 59, .external_lex_state = 53},
  [15989] = {.lex_state = 0},
  [15990] = {.lex_state = 59},
  [15991] = {.lex_state = 0},
  [15992] = {.lex_state = 0, .external_lex_state = 64},
  [15993] = {.lex_state = 0, .external_lex_state = 64},
  [15994] = {.lex_state = 0},
  [15995] = {.lex_state = 0},
  [15996] = {.lex_state = 0},
  [15997] = {.lex_state = 6},
  [15998] = {.lex_state = 6},
  [15999] = {.lex_state = 6},
  [16000] = {.lex_state = 6},
  [16001] = {.lex_state = 0},
  [16002] = {.lex_state = 0},
  [16003] = {.lex_state = 0},
  [16004] = {.lex_state = 0},
  [16005] = {.lex_state = 0},
  [16006] = {.lex_state = 0},
  [16007] = {.lex_state = 0},
  [16008] = {.lex_state = 0, .external_lex_state = 64},
  [16009] = {.lex_state = 59, .external_lex_state = 53},
  [16010] = {.lex_state = 0},
  [16011] = {.lex_state = 0, .external_lex_state = 64},
  [16012] = {.lex_state = 0},
  [16013] = {.lex_state = 0},
  [16014] = {.lex_state = 0},
  [16015] = {.lex_state = 0},
  [16016] = {.lex_state = 0, .external_lex_state = 64},
  [16017] = {.lex_state = 0},
  [16018] = {.lex_state = 6},
  [16019] = {.lex_state = 6},
  [16020] = {.lex_state = 6},
  [16021] = {.lex_state = 6},
  [16022] = {.lex_state = 59, .external_lex_state = 53},
  [16023] = {.lex_state = 59, .external_lex_state = 53},
  [16024] = {.lex_state = 0},
  [16025] = {.lex_state = 0},
  [16026] = {.lex_state = 0},
  [16027] = {.lex_state = 59},
  [16028] = {.lex_state = 6},
  [16029] = {.lex_state = 6},
  [16030] = {.lex_state = 6},
  [16031] = {.lex_state = 59},
  [16032] = {.lex_state = 6},
  [16033] = {.lex_state = 0},
  [16034] = {.lex_state = 59, .external_lex_state = 53},
  [16035] = {.lex_state = 59, .external_lex_state = 53},
  [16036] = {.lex_state = 0, .external_lex_state = 64},
  [16037] = {.lex_state = 0},
  [16038] = {.lex_state = 0, .external_lex_state = 64},
  [16039] = {.lex_state = 6},
  [16040] = {.lex_state = 6},
  [16041] = {.lex_state = 6},
  [16042] = {.lex_state = 6},
  [16043] = {.lex_state = 0},
  [16044] = {.lex_state = 0},
  [16045] = {.lex_state = 0},
  [16046] = {.lex_state = 0},
  [16047] = {.lex_state = 59, .external_lex_state = 53},
  [16048] = {.lex_state = 0},
  [16049] = {.lex_state = 0},
  [16050] = {.lex_state = 0, .external_lex_state = 64},
  [16051] = {.lex_state = 0, .external_lex_state = 64},
  [16052] = {.lex_state = 59, .external_lex_state = 53},
  [16053] = {.lex_state = 0},
  [16054] = {.lex_state = 0, .external_lex_state = 64},
  [16055] = {.lex_state = 0},
  [16056] = {.lex_state = 59, .external_lex_state = 53},
  [16057] = {.lex_state = 0},
  [16058] = {.lex_state = 0},
  [16059] = {.lex_state = 0},
  [16060] = {.lex_state = 6},
  [16061] = {.lex_state = 6},
  [16062] = {.lex_state = 6},
  [16063] = {.lex_state = 6},
  [16064] = {.lex_state = 0},
  [16065] = {.lex_state = 59},
  [16066] = {.lex_state = 0},
  [16067] = {.lex_state = 0},
  [16068] = {.lex_state = 0},
  [16069] = {.lex_state = 0},
  [16070] = {.lex_state = 0, .external_lex_state = 64},
  [16071] = {.lex_state = 0},
  [16072] = {.lex_state = 0},
  [16073] = {.lex_state = 0},
  [16074] = {.lex_state = 0, .external_lex_state = 64},
  [16075] = {.lex_state = 0},
  [16076] = {.lex_state = 0, .external_lex_state = 64},
  [16077] = {.lex_state = 0},
  [16078] = {.lex_state = 6},
  [16079] = {.lex_state = 59},
  [16080] = {.lex_state = 6},
  [16081] = {.lex_state = 6},
  [16082] = {.lex_state = 6},
  [16083] = {.lex_state = 6},
  [16084] = {.lex_state = 6},
  [16085] = {.lex_state = 0},
  [16086] = {.lex_state = 0},
  [16087] = {.lex_state = 0},
  [16088] = {.lex_state = 0},
  [16089] = {.lex_state = 0, .external_lex_state = 64},
  [16090] = {.lex_state = 59, .external_lex_state = 53},
  [16091] = {.lex_state = 0, .external_lex_state = 64},
  [16092] = {.lex_state = 6},
  [16093] = {.lex_state = 0},
  [16094] = {.lex_state = 6},
  [16095] = {.lex_state = 0},
  [16096] = {.lex_state = 0},
  [16097] = {.lex_state = 59, .external_lex_state = 53},
  [16098] = {.lex_state = 0},
  [16099] = {.lex_state = 0, .external_lex_state = 64},
  [16100] = {.lex_state = 59, .external_lex_state = 53},
  [16101] = {.lex_state = 0},
  [16102] = {.lex_state = 6},
  [16103] = {.lex_state = 6},
  [16104] = {.lex_state = 6},
  [16105] = {.lex_state = 6},
  [16106] = {.lex_state = 0},
  [16107] = {.lex_state = 59, .external_lex_state = 53},
  [16108] = {.lex_state = 0},
  [16109] = {.lex_state = 0},
  [16110] = {.lex_state = 59},
  [16111] = {.lex_state = 0},
  [16112] = {.lex_state = 0, .external_lex_state = 64},
  [16113] = {.lex_state = 0},
  [16114] = {.lex_state = 0},
  [16115] = {.lex_state = 0},
  [16116] = {.lex_state = 0},
  [16117] = {.lex_state = 0},
  [16118] = {.lex_state = 0},
  [16119] = {.lex_state = 0},
  [16120] = {.lex_state = 0},
  [16121] = {.lex_state = 0, .external_lex_state = 64},
  [16122] = {.lex_state = 0},
  [16123] = {.lex_state = 6},
  [16124] = {.lex_state = 6},
  [16125] = {.lex_state = 6},
  [16126] = {.lex_state = 6},
  [16127] = {.lex_state = 0},
  [16128] = {.lex_state = 6},
  [16129] = {.lex_state = 0},
  [16130] = {.lex_state = 0},
  [16131] = {.lex_state = 6},
  [16132] = {.lex_state = 0},
  [16133] = {.lex_state = 0},
  [16134] = {.lex_state = 0, .external_lex_state = 64},
  [16135] = {.lex_state = 6},
  [16136] = {.lex_state = 6},
  [16137] = {.lex_state = 0},
  [16138] = {.lex_state = 59, .external_lex_state = 53},
  [16139] = {.lex_state = 0},
  [16140] = {.lex_state = 0},
  [16141] = {.lex_state = 0, .external_lex_state = 64},
  [16142] = {.lex_state = 59},
  [16143] = {.lex_state = 59, .external_lex_state = 53},
  [16144] = {.lex_state = 6},
  [16145] = {.lex_state = 6},
  [16146] = {.lex_state = 6},
  [16147] = {.lex_state = 6},
  [16148] = {.lex_state = 59},
  [16149] = {.lex_state = 0},
  [16150] = {.lex_state = 0},
  [16151] = {.lex_state = 0},
  [16152] = {.lex_state = 0},
  [16153] = {.lex_state = 6},
  [16154] = {.lex_state = 0, .external_lex_state = 64},
  [16155] = {.lex_state = 0},
  [16156] = {.lex_state = 0, .external_lex_state = 64},
  [16157] = {.lex_state = 0},
  [16158] = {.lex_state = 0},
  [16159] = {.lex_state = 0, .external_lex_state = 64},
  [16160] = {.lex_state = 59, .external_lex_state = 53},
  [16161] = {.lex_state = 0, .external_lex_state = 64},
  [16162] = {.lex_state = 59},
  [16163] = {.lex_state = 0},
  [16164] = {.lex_state = 6},
  [16165] = {.lex_state = 6},
  [16166] = {.lex_state = 6},
  [16167] = {.lex_state = 6},
  [16168] = {.lex_state = 0},
  [16169] = {.lex_state = 0, .external_lex_state = 64},
  [16170] = {.lex_state = 0},
  [16171] = {.lex_state = 0},
  [16172] = {.lex_state = 59, .external_lex_state = 53},
  [16173] = {.lex_state = 59, .external_lex_state = 53},
  [16174] = {.lex_state = 0},
  [16175] = {.lex_state = 0, .external_lex_state = 64},
  [16176] = {.lex_state = 0},
  [16177] = {.lex_state = 0},
  [16178] = {.lex_state = 0, .external_lex_state = 64},
  [16179] = {.lex_state = 0},
  [16180] = {.lex_state = 59, .external_lex_state = 53},
  [16181] = {.lex_state = 0},
  [16182] = {.lex_state = 0},
  [16183] = {.lex_state = 6},
  [16184] = {.lex_state = 6},
  [16185] = {.lex_state = 6},
  [16186] = {.lex_state = 6},
  [16187] = {.lex_state = 6},
  [16188] = {.lex_state = 0},
  [16189] = {.lex_state = 0},
  [16190] = {.lex_state = 0},
  [16191] = {.lex_state = 0},
  [16192] = {.lex_state = 6},
  [16193] = {.lex_state = 0, .external_lex_state = 64},
  [16194] = {.lex_state = 0},
  [16195] = {.lex_state = 0},
  [16196] = {.lex_state = 0, .external_lex_state = 64},
  [16197] = {.lex_state = 6},
  [16198] = {.lex_state = 6},
  [16199] = {.lex_state = 59},
  [16200] = {.lex_state = 0},
  [16201] = {.lex_state = 0},
  [16202] = {.lex_state = 0},
  [16203] = {.lex_state = 0, .external_lex_state = 64},
  [16204] = {.lex_state = 6},
  [16205] = {.lex_state = 6},
  [16206] = {.lex_state = 6},
  [16207] = {.lex_state = 6},
  [16208] = {.lex_state = 0},
  [16209] = {.lex_state = 0},
  [16210] = {.lex_state = 0},
  [16211] = {.lex_state = 0},
  [16212] = {.lex_state = 0},
  [16213] = {.lex_state = 0},
  [16214] = {.lex_state = 0, .external_lex_state = 64},
  [16215] = {.lex_state = 59},
  [16216] = {.lex_state = 59, .external_lex_state = 53},
  [16217] = {.lex_state = 0},
  [16218] = {.lex_state = 0},
  [16219] = {.lex_state = 59, .external_lex_state = 53},
  [16220] = {.lex_state = 0, .external_lex_state = 64},
  [16221] = {.lex_state = 0, .external_lex_state = 64},
  [16222] = {.lex_state = 59, .external_lex_state = 53},
  [16223] = {.lex_state = 0},
  [16224] = {.lex_state = 6},
  [16225] = {.lex_state = 6},
  [16226] = {.lex_state = 6},
  [16227] = {.lex_state = 6},
  [16228] = {.lex_state = 0},
  [16229] = {.lex_state = 0},
  [16230] = {.lex_state = 0},
  [16231] = {.lex_state = 0},
  [16232] = {.lex_state = 59, .external_lex_state = 53},
  [16233] = {.lex_state = 0},
  [16234] = {.lex_state = 0},
  [16235] = {.lex_state = 6},
  [16236] = {.lex_state = 6},
  [16237] = {.lex_state = 0},
  [16238] = {.lex_state = 0, .external_lex_state = 64},
  [16239] = {.lex_state = 6},
  [16240] = {.lex_state = 6},
  [16241] = {.lex_state = 0, .external_lex_state = 64},
  [16242] = {.lex_state = 0},
  [16243] = {.lex_state = 0},
  [16244] = {.lex_state = 6},
  [16245] = {.lex_state = 6},
  [16246] = {.lex_state = 6},
  [16247] = {.lex_state = 6},
  [16248] = {.lex_state = 0},
  [16249] = {.lex_state = 0},
  [16250] = {.lex_state = 0},
  [16251] = {.lex_state = 0},
  [16252] = {.lex_state = 0},
  [16253] = {.lex_state = 0},
  [16254] = {.lex_state = 0},
  [16255] = {.lex_state = 0},
  [16256] = {.lex_state = 0},
  [16257] = {.lex_state = 0},
  [16258] = {.lex_state = 0, .external_lex_state = 64},
  [16259] = {.lex_state = 59, .external_lex_state = 53},
  [16260] = {.lex_state = 0},
  [16261] = {.lex_state = 0},
  [16262] = {.lex_state = 0, .external_lex_state = 64},
  [16263] = {.lex_state = 0},
  [16264] = {.lex_state = 6},
  [16265] = {.lex_state = 6},
  [16266] = {.lex_state = 6},
  [16267] = {.lex_state = 6},
  [16268] = {.lex_state = 0},
  [16269] = {.lex_state = 0},
  [16270] = {.lex_state = 0},
  [16271] = {.lex_state = 0},
  [16272] = {.lex_state = 0, .external_lex_state = 64},
  [16273] = {.lex_state = 59, .external_lex_state = 53},
  [16274] = {.lex_state = 59},
  [16275] = {.lex_state = 52},
  [16276] = {.lex_state = 0},
  [16277] = {.lex_state = 59},
  [16278] = {.lex_state = 0},
  [16279] = {.lex_state = 52},
  [16280] = {.lex_state = 0},
  [16281] = {.lex_state = 0},
  [16282] = {.lex_state = 59, .external_lex_state = 53},
  [16283] = {.lex_state = 0, .external_lex_state = 64},
  [16284] = {.lex_state = 6},
  [16285] = {.lex_state = 6},
  [16286] = {.lex_state = 6},
  [16287] = {.lex_state = 6},
  [16288] = {.lex_state = 0, .external_lex_state = 64},
  [16289] = {.lex_state = 0},
  [16290] = {.lex_state = 0},
  [16291] = {.lex_state = 0},
  [16292] = {.lex_state = 0},
  [16293] = {.lex_state = 0},
  [16294] = {.lex_state = 6},
  [16295] = {.lex_state = 59, .external_lex_state = 53},
  [16296] = {.lex_state = 6},
  [16297] = {.lex_state = 6},
  [16298] = {.lex_state = 6},
  [16299] = {.lex_state = 0},
  [16300] = {.lex_state = 0, .external_lex_state = 64},
  [16301] = {.lex_state = 0, .external_lex_state = 64},
  [16302] = {.lex_state = 0},
  [16303] = {.lex_state = 6},
  [16304] = {.lex_state = 6},
  [16305] = {.lex_state = 6},
  [16306] = {.lex_state = 6},
  [16307] = {.lex_state = 59, .external_lex_state = 53},
  [16308] = {.lex_state = 0},
  [16309] = {.lex_state = 0},
  [16310] = {.lex_state = 0},
  [16311] = {.lex_state = 0, .external_lex_state = 64},
  [16312] = {.lex_state = 59, .external_lex_state = 53},
  [16313] = {.lex_state = 59},
  [16314] = {.lex_state = 0},
  [16315] = {.lex_state = 0},
  [16316] = {.lex_state = 0, .external_lex_state = 64},
  [16317] = {.lex_state = 0},
  [16318] = {.lex_state = 0},
  [16319] = {.lex_state = 0},
  [16320] = {.lex_state = 0},
  [16321] = {.lex_state = 0},
  [16322] = {.lex_state = 6},
  [16323] = {.lex_state = 6},
  [16324] = {.lex_state = 6},
  [16325] = {.lex_state = 6},
  [16326] = {.lex_state = 0},
  [16327] = {.lex_state = 0},
  [16328] = {.lex_state = 0},
  [16329] = {.lex_state = 0},
  [16330] = {.lex_state = 0},
  [16331] = {.lex_state = 0},
  [16332] = {.lex_state = 0, .external_lex_state = 64},
  [16333] = {.lex_state = 0},
  [16334] = {.lex_state = 0},
  [16335] = {.lex_state = 0},
  [16336] = {.lex_state = 0, .external_lex_state = 64},
  [16337] = {.lex_state = 59, .external_lex_state = 53},
  [16338] = {.lex_state = 6},
  [16339] = {.lex_state = 6},
  [16340] = {.lex_state = 59},
  [16341] = {.lex_state = 6},
  [16342] = {.lex_state = 6},
  [16343] = {.lex_state = 6},
  [16344] = {.lex_state = 6},
  [16345] = {.lex_state = 6},
  [16346] = {.lex_state = 0},
  [16347] = {.lex_state = 0},
  [16348] = {.lex_state = 0},
  [16349] = {.lex_state = 6},
  [16350] = {.lex_state = 59, .external_lex_state = 53},
  [16351] = {.lex_state = 0, .external_lex_state = 64},
  [16352] = {.lex_state = 0},
  [16353] = {.lex_state = 0},
  [16354] = {.lex_state = 0},
  [16355] = {.lex_state = 59, .external_lex_state = 53},
  [16356] = {.lex_state = 0, .external_lex_state = 64},
  [16357] = {.lex_state = 59, .external_lex_state = 53},
  [16358] = {.lex_state = 0, .external_lex_state = 64},
  [16359] = {.lex_state = 59},
  [16360] = {.lex_state = 6},
  [16361] = {.lex_state = 6},
  [16362] = {.lex_state = 6},
  [16363] = {.lex_state = 6},
  [16364] = {.lex_state = 0, .external_lex_state = 64},
  [16365] = {.lex_state = 59, .external_lex_state = 53},
  [16366] = {.lex_state = 0},
  [16367] = {.lex_state = 0},
  [16368] = {.lex_state = 0},
  [16369] = {.lex_state = 0},
  [16370] = {.lex_state = 0},
  [16371] = {.lex_state = 0},
  [16372] = {.lex_state = 0},
  [16373] = {.lex_state = 0},
  [16374] = {.lex_state = 0},
  [16375] = {.lex_state = 0},
  [16376] = {.lex_state = 0},
  [16377] = {.lex_state = 0, .external_lex_state = 64},
  [16378] = {.lex_state = 0},
  [16379] = {.lex_state = 6},
  [16380] = {.lex_state = 6},
  [16381] = {.lex_state = 6},
  [16382] = {.lex_state = 6},
  [16383] = {.lex_state = 0, .external_lex_state = 64},
  [16384] = {.lex_state = 0},
  [16385] = {.lex_state = 0},
  [16386] = {.lex_state = 59, .external_lex_state = 53},
  [16387] = {.lex_state = 0},
  [16388] = {.lex_state = 0},
  [16389] = {.lex_state = 0},
  [16390] = {.lex_state = 59},
  [16391] = {.lex_state = 0, .external_lex_state = 64},
  [16392] = {.lex_state = 0},
  [16393] = {.lex_state = 6},
  [16394] = {.lex_state = 0},
  [16395] = {.lex_state = 0, .external_lex_state = 64},
  [16396] = {.lex_state = 6},
  [16397] = {.lex_state = 6},
  [16398] = {.lex_state = 6},
  [16399] = {.lex_state = 6},
  [16400] = {.lex_state = 6},
  [16401] = {.lex_state = 6},
  [16402] = {.lex_state = 0},
  [16403] = {.lex_state = 0},
  [16404] = {.lex_state = 6},
  [16405] = {.lex_state = 59, .external_lex_state = 53},
  [16406] = {.lex_state = 59},
  [16407] = {.lex_state = 59, .external_lex_state = 53},
  [16408] = {.lex_state = 0},
  [16409] = {.lex_state = 0, .external_lex_state = 64},
  [16410] = {.lex_state = 0},
  [16411] = {.lex_state = 0, .external_lex_state = 64},
  [16412] = {.lex_state = 0},
  [16413] = {.lex_state = 0},
  [16414] = {.lex_state = 0},
  [16415] = {.lex_state = 6},
  [16416] = {.lex_state = 6},
  [16417] = {.lex_state = 6},
  [16418] = {.lex_state = 6},
  [16419] = {.lex_state = 0},
  [16420] = {.lex_state = 0},
  [16421] = {.lex_state = 0},
  [16422] = {.lex_state = 0},
  [16423] = {.lex_state = 0},
  [16424] = {.lex_state = 0, .external_lex_state = 64},
  [16425] = {.lex_state = 0},
  [16426] = {.lex_state = 59, .external_lex_state = 53},
  [16427] = {.lex_state = 0},
  [16428] = {.lex_state = 0},
  [16429] = {.lex_state = 0, .external_lex_state = 64},
  [16430] = {.lex_state = 0},
  [16431] = {.lex_state = 0, .external_lex_state = 64},
  [16432] = {.lex_state = 0},
  [16433] = {.lex_state = 6},
  [16434] = {.lex_state = 6},
  [16435] = {.lex_state = 6},
  [16436] = {.lex_state = 6},
  [16437] = {.lex_state = 59, .external_lex_state = 53},
  [16438] = {.lex_state = 0},
  [16439] = {.lex_state = 0},
  [16440] = {.lex_state = 0},
  [16441] = {.lex_state = 59},
  [16442] = {.lex_state = 59},
  [16443] = {.lex_state = 59, .external_lex_state = 53},
  [16444] = {.lex_state = 0},
  [16445] = {.lex_state = 0},
  [16446] = {.lex_state = 59, .external_lex_state = 53},
  [16447] = {.lex_state = 0, .external_lex_state = 64},
  [16448] = {.lex_state = 6},
  [16449] = {.lex_state = 0},
  [16450] = {.lex_state = 6},
  [16451] = {.lex_state = 6},
  [16452] = {.lex_state = 6},
  [16453] = {.lex_state = 6},
  [16454] = {.lex_state = 6},
  [16455] = {.lex_state = 6},
  [16456] = {.lex_state = 6},
  [16457] = {.lex_state = 0},
  [16458] = {.lex_state = 59, .external_lex_state = 53},
  [16459] = {.lex_state = 0, .external_lex_state = 64},
  [16460] = {.lex_state = 0},
  [16461] = {.lex_state = 0},
  [16462] = {.lex_state = 0},
  [16463] = {.lex_state = 0},
  [16464] = {.lex_state = 0, .external_lex_state = 64},
  [16465] = {.lex_state = 0},
  [16466] = {.lex_state = 0, .external_lex_state = 64},
  [16467] = {.lex_state = 59, .external_lex_state = 53},
  [16468] = {.lex_state = 0},
  [16469] = {.lex_state = 6},
  [16470] = {.lex_state = 6},
  [16471] = {.lex_state = 6},
  [16472] = {.lex_state = 6},
  [16473] = {.lex_state = 0, .external_lex_state = 64},
  [16474] = {.lex_state = 59, .external_lex_state = 53},
  [16475] = {.lex_state = 0},
  [16476] = {.lex_state = 0},
  [16477] = {.lex_state = 59},
  [16478] = {.lex_state = 0},
  [16479] = {.lex_state = 0},
  [16480] = {.lex_state = 0},
  [16481] = {.lex_state = 0, .external_lex_state = 64},
  [16482] = {.lex_state = 0},
  [16483] = {.lex_state = 0},
  [16484] = {.lex_state = 0},
  [16485] = {.lex_state = 0},
  [16486] = {.lex_state = 0},
  [16487] = {.lex_state = 6},
  [16488] = {.lex_state = 6},
  [16489] = {.lex_state = 6},
  [16490] = {.lex_state = 6},
  [16491] = {.lex_state = 0},
  [16492] = {.lex_state = 0},
  [16493] = {.lex_state = 0},
  [16494] = {.lex_state = 6},
  [16495] = {.lex_state = 0, .external_lex_state = 64},
  [16496] = {.lex_state = 6},
  [16497] = {.lex_state = 6},
  [16498] = {.lex_state = 6},
  [16499] = {.lex_state = 0},
  [16500] = {.lex_state = 0},
  [16501] = {.lex_state = 0, .external_lex_state = 64},
  [16502] = {.lex_state = 0},
  [16503] = {.lex_state = 0},
  [16504] = {.lex_state = 0, .external_lex_state = 64},
  [16505] = {.lex_state = 6},
  [16506] = {.lex_state = 6},
  [16507] = {.lex_state = 6},
  [16508] = {.lex_state = 6},
  [16509] = {.lex_state = 0},
  [16510] = {.lex_state = 0, .external_lex_state = 64},
  [16511] = {.lex_state = 0},
  [16512] = {.lex_state = 0},
  [16513] = {.lex_state = 59, .external_lex_state = 53},
  [16514] = {.lex_state = 0},
  [16515] = {.lex_state = 0, .external_lex_state = 64},
  [16516] = {.lex_state = 59, .external_lex_state = 53},
  [16517] = {.lex_state = 59},
  [16518] = {.lex_state = 59},
  [16519] = {.lex_state = 0},
  [16520] = {.lex_state = 0},
  [16521] = {.lex_state = 59, .external_lex_state = 53},
  [16522] = {.lex_state = 0, .external_lex_state = 64},
  [16523] = {.lex_state = 6},
  [16524] = {.lex_state = 6},
  [16525] = {.lex_state = 6},
  [16526] = {.lex_state = 6},
  [16527] = {.lex_state = 0},
  [16528] = {.lex_state = 0},
  [16529] = {.lex_state = 0},
  [16530] = {.lex_state = 0},
  [16531] = {.lex_state = 59, .external_lex_state = 53},
  [16532] = {.lex_state = 0},
  [16533] = {.lex_state = 0},
  [16534] = {.lex_state = 0, .external_lex_state = 64},
  [16535] = {.lex_state = 6},
  [16536] = {.lex_state = 6},
  [16537] = {.lex_state = 6},
  [16538] = {.lex_state = 6},
  [16539] = {.lex_state = 0},
  [16540] = {.lex_state = 0, .external_lex_state = 64},
  [16541] = {.lex_state = 0},
  [16542] = {.lex_state = 0},
  [16543] = {.lex_state = 59, .external_lex_state = 53},
  [16544] = {.lex_state = 0},
  [16545] = {.lex_state = 0},
  [16546] = {.lex_state = 6},
  [16547] = {.lex_state = 6},
  [16548] = {.lex_state = 6},
  [16549] = {.lex_state = 6},
  [16550] = {.lex_state = 6},
  [16551] = {.lex_state = 0},
  [16552] = {.lex_state = 0},
  [16553] = {.lex_state = 6},
  [16554] = {.lex_state = 0},
  [16555] = {.lex_state = 0},
  [16556] = {.lex_state = 0},
  [16557] = {.lex_state = 0},
  [16558] = {.lex_state = 6},
  [16559] = {.lex_state = 6},
  [16560] = {.lex_state = 6},
  [16561] = {.lex_state = 6},
  [16562] = {.lex_state = 6},
  [16563] = {.lex_state = 0},
  [16564] = {.lex_state = 0},
  [16565] = {.lex_state = 0},
  [16566] = {.lex_state = 0},
  [16567] = {.lex_state = 0, .external_lex_state = 64},
  [16568] = {.lex_state = 6},
  [16569] = {.lex_state = 0},
  [16570] = {.lex_state = 6},
  [16571] = {.lex_state = 6},
  [16572] = {.lex_state = 6},
  [16573] = {.lex_state = 6},
  [16574] = {.lex_state = 0},
  [16575] = {.lex_state = 0, .external_lex_state = 64},
  [16576] = {.lex_state = 0},
  [16577] = {.lex_state = 59, .external_lex_state = 53},
  [16578] = {.lex_state = 59},
  [16579] = {.lex_state = 59},
  [16580] = {.lex_state = 59},
  [16581] = {.lex_state = 6},
  [16582] = {.lex_state = 6},
  [16583] = {.lex_state = 6},
  [16584] = {.lex_state = 6},
  [16585] = {.lex_state = 0},
  [16586] = {.lex_state = 0},
  [16587] = {.lex_state = 0},
  [16588] = {.lex_state = 0},
  [16589] = {.lex_state = 0},
  [16590] = {.lex_state = 59, .external_lex_state = 53},
  [16591] = {.lex_state = 0, .external_lex_state = 64},
  [16592] = {.lex_state = 6},
  [16593] = {.lex_state = 6},
  [16594] = {.lex_state = 6},
  [16595] = {.lex_state = 6},
  [16596] = {.lex_state = 0},
  [16597] = {.lex_state = 0},
  [16598] = {.lex_state = 0},
  [16599] = {.lex_state = 154},
  [16600] = {.lex_state = 0},
  [16601] = {.lex_state = 59},
  [16602] = {.lex_state = 0, .external_lex_state = 64},
  [16603] = {.lex_state = 6},
  [16604] = {.lex_state = 6},
  [16605] = {.lex_state = 6},
  [16606] = {.lex_state = 6},
  [16607] = {.lex_state = 0},
  [16608] = {.lex_state = 59, .external_lex_state = 53},
  [16609] = {.lex_state = 59, .external_lex_state = 53},
  [16610] = {.lex_state = 0},
  [16611] = {.lex_state = 0, .external_lex_state = 64},
  [16612] = {.lex_state = 0, .external_lex_state = 64},
  [16613] = {.lex_state = 59, .external_lex_state = 53},
  [16614] = {.lex_state = 6},
  [16615] = {.lex_state = 6},
  [16616] = {.lex_state = 6},
  [16617] = {.lex_state = 6},
  [16618] = {.lex_state = 0},
  [16619] = {.lex_state = 0},
  [16620] = {.lex_state = 0},
  [16621] = {.lex_state = 0},
  [16622] = {.lex_state = 0},
  [16623] = {.lex_state = 0},
  [16624] = {.lex_state = 0},
  [16625] = {.lex_state = 6},
  [16626] = {.lex_state = 6},
  [16627] = {.lex_state = 6},
  [16628] = {.lex_state = 6},
  [16629] = {.lex_state = 0},
  [16630] = {.lex_state = 0},
  [16631] = {.lex_state = 0},
  [16632] = {.lex_state = 0},
  [16633] = {.lex_state = 0},
  [16634] = {.lex_state = 0},
  [16635] = {.lex_state = 0},
  [16636] = {.lex_state = 6},
  [16637] = {.lex_state = 6},
  [16638] = {.lex_state = 6},
  [16639] = {.lex_state = 6},
  [16640] = {.lex_state = 0},
  [16641] = {.lex_state = 0},
  [16642] = {.lex_state = 0, .external_lex_state = 64},
  [16643] = {.lex_state = 0},
  [16644] = {.lex_state = 0},
  [16645] = {.lex_state = 0, .external_lex_state = 64},
  [16646] = {.lex_state = 6},
  [16647] = {.lex_state = 6},
  [16648] = {.lex_state = 0},
  [16649] = {.lex_state = 6},
  [16650] = {.lex_state = 0},
  [16651] = {.lex_state = 6},
  [16652] = {.lex_state = 0},
  [16653] = {.lex_state = 6},
  [16654] = {.lex_state = 0},
  [16655] = {.lex_state = 6},
  [16656] = {.lex_state = 0},
  [16657] = {.lex_state = 6},
  [16658] = {.lex_state = 0},
  [16659] = {.lex_state = 0},
  [16660] = {.lex_state = 0},
  [16661] = {.lex_state = 0, .external_lex_state = 64},
  [16662] = {.lex_state = 0},
  [16663] = {.lex_state = 59},
  [16664] = {.lex_state = 59, .external_lex_state = 53},
  [16665] = {.lex_state = 0},
  [16666] = {.lex_state = 59},
  [16667] = {.lex_state = 59, .external_lex_state = 53},
  [16668] = {.lex_state = 0},
  [16669] = {.lex_state = 0, .external_lex_state = 64},
  [16670] = {.lex_state = 59, .external_lex_state = 53},
  [16671] = {.lex_state = 0},
  [16672] = {.lex_state = 0},
  [16673] = {.lex_state = 59, .external_lex_state = 53},
  [16674] = {.lex_state = 0},
  [16675] = {.lex_state = 0},
  [16676] = {.lex_state = 0},
  [16677] = {.lex_state = 0},
  [16678] = {.lex_state = 0, .external_lex_state = 64},
  [16679] = {.lex_state = 59, .external_lex_state = 53},
  [16680] = {.lex_state = 0},
  [16681] = {.lex_state = 0},
  [16682] = {.lex_state = 0, .external_lex_state = 64},
  [16683] = {.lex_state = 0, .external_lex_state = 64},
  [16684] = {.lex_state = 59, .external_lex_state = 53},
  [16685] = {.lex_state = 0},
  [16686] = {.lex_state = 0},
  [16687] = {.lex_state = 0},
  [16688] = {.lex_state = 59},
  [16689] = {.lex_state = 0},
  [16690] = {.lex_state = 0},
  [16691] = {.lex_state = 0},
  [16692] = {.lex_state = 0},
  [16693] = {.lex_state = 0},
  [16694] = {.lex_state = 0},
  [16695] = {.lex_state = 0},
  [16696] = {.lex_state = 0},
  [16697] = {.lex_state = 0},
  [16698] = {.lex_state = 0},
  [16699] = {.lex_state = 0},
  [16700] = {.lex_state = 0},
  [16701] = {.lex_state = 0},
  [16702] = {.lex_state = 0},
  [16703] = {.lex_state = 0, .external_lex_state = 64},
  [16704] = {.lex_state = 0},
  [16705] = {.lex_state = 0},
  [16706] = {.lex_state = 0},
  [16707] = {.lex_state = 0},
  [16708] = {.lex_state = 0, .external_lex_state = 64},
  [16709] = {.lex_state = 6},
  [16710] = {.lex_state = 0},
  [16711] = {.lex_state = 6},
  [16712] = {.lex_state = 0},
  [16713] = {.lex_state = 6},
  [16714] = {.lex_state = 6},
  [16715] = {.lex_state = 59, .external_lex_state = 53},
  [16716] = {.lex_state = 0},
  [16717] = {.lex_state = 59},
  [16718] = {.lex_state = 0},
  [16719] = {.lex_state = 0},
  [16720] = {.lex_state = 0},
  [16721] = {.lex_state = 59},
  [16722] = {.lex_state = 0},
  [16723] = {.lex_state = 0, .external_lex_state = 64},
  [16724] = {.lex_state = 0, .external_lex_state = 64},
  [16725] = {.lex_state = 0},
  [16726] = {.lex_state = 0},
  [16727] = {.lex_state = 59, .external_lex_state = 53},
  [16728] = {.lex_state = 0},
  [16729] = {.lex_state = 0, .external_lex_state = 64},
  [16730] = {.lex_state = 0},
  [16731] = {.lex_state = 0},
  [16732] = {.lex_state = 0},
  [16733] = {.lex_state = 0},
  [16734] = {.lex_state = 0},
  [16735] = {.lex_state = 59, .external_lex_state = 53},
  [16736] = {.lex_state = 0},
  [16737] = {.lex_state = 0},
  [16738] = {.lex_state = 0, .external_lex_state = 64},
  [16739] = {.lex_state = 59},
  [16740] = {.lex_state = 0},
  [16741] = {.lex_state = 0},
  [16742] = {.lex_state = 0},
  [16743] = {.lex_state = 0},
  [16744] = {.lex_state = 0},
  [16745] = {.lex_state = 0},
  [16746] = {.lex_state = 0},
  [16747] = {.lex_state = 0},
  [16748] = {.lex_state = 0},
  [16749] = {.lex_state = 59, .external_lex_state = 53},
  [16750] = {.lex_state = 0},
  [16751] = {.lex_state = 0, .external_lex_state = 64},
  [16752] = {.lex_state = 0},
  [16753] = {.lex_state = 0},
  [16754] = {.lex_state = 0, .external_lex_state = 64},
  [16755] = {.lex_state = 0},
  [16756] = {.lex_state = 0, .external_lex_state = 64},
  [16757] = {.lex_state = 59, .external_lex_state = 53},
  [16758] = {.lex_state = 0},
  [16759] = {.lex_state = 0},
  [16760] = {.lex_state = 0},
  [16761] = {.lex_state = 0, .external_lex_state = 64},
  [16762] = {.lex_state = 0},
  [16763] = {.lex_state = 59},
  [16764] = {.lex_state = 0},
  [16765] = {.lex_state = 0},
  [16766] = {.lex_state = 59},
  [16767] = {.lex_state = 59, .external_lex_state = 44},
  [16768] = {.lex_state = 0},
  [16769] = {.lex_state = 0},
  [16770] = {.lex_state = 0},
  [16771] = {.lex_state = 0, .external_lex_state = 64},
  [16772] = {.lex_state = 59, .external_lex_state = 53},
  [16773] = {.lex_state = 0},
  [16774] = {.lex_state = 0},
  [16775] = {.lex_state = 59, .external_lex_state = 53},
  [16776] = {.lex_state = 0},
  [16777] = {.lex_state = 0, .external_lex_state = 64},
  [16778] = {.lex_state = 0},
  [16779] = {.lex_state = 0},
  [16780] = {.lex_state = 0, .external_lex_state = 64},
  [16781] = {.lex_state = 59, .external_lex_state = 53},
  [16782] = {.lex_state = 0},
  [16783] = {.lex_state = 59, .external_lex_state = 53},
  [16784] = {.lex_state = 0},
  [16785] = {.lex_state = 0, .external_lex_state = 64},
  [16786] = {.lex_state = 59},
  [16787] = {.lex_state = 0},
  [16788] = {.lex_state = 0},
  [16789] = {.lex_state = 0},
  [16790] = {.lex_state = 0},
  [16791] = {.lex_state = 0},
  [16792] = {.lex_state = 0},
  [16793] = {.lex_state = 0},
  [16794] = {.lex_state = 0},
  [16795] = {.lex_state = 0},
  [16796] = {.lex_state = 0},
  [16797] = {.lex_state = 0},
  [16798] = {.lex_state = 0},
  [16799] = {.lex_state = 0},
  [16800] = {.lex_state = 0},
  [16801] = {.lex_state = 59, .external_lex_state = 53},
  [16802] = {.lex_state = 0},
  [16803] = {.lex_state = 0, .external_lex_state = 64},
  [16804] = {.lex_state = 59, .external_lex_state = 53},
  [16805] = {.lex_state = 0},
  [16806] = {.lex_state = 0},
  [16807] = {.lex_state = 0},
  [16808] = {.lex_state = 0, .external_lex_state = 64},
  [16809] = {.lex_state = 59},
  [16810] = {.lex_state = 0},
  [16811] = {.lex_state = 0},
  [16812] = {.lex_state = 0},
  [16813] = {.lex_state = 0},
  [16814] = {.lex_state = 0},
  [16815] = {.lex_state = 0},
  [16816] = {.lex_state = 0},
  [16817] = {.lex_state = 0},
  [16818] = {.lex_state = 0},
  [16819] = {.lex_state = 0, .external_lex_state = 64},
  [16820] = {.lex_state = 59, .external_lex_state = 53},
  [16821] = {.lex_state = 59},
  [16822] = {.lex_state = 0},
  [16823] = {.lex_state = 0},
  [16824] = {.lex_state = 0},
  [16825] = {.lex_state = 0, .external_lex_state = 64},
  [16826] = {.lex_state = 59, .external_lex_state = 53},
  [16827] = {.lex_state = 0, .external_lex_state = 64},
  [16828] = {.lex_state = 59, .external_lex_state = 53},
  [16829] = {.lex_state = 59},
  [16830] = {.lex_state = 0},
  [16831] = {.lex_state = 0},
  [16832] = {.lex_state = 6},
  [16833] = {.lex_state = 6},
  [16834] = {.lex_state = 59, .external_lex_state = 53},
  [16835] = {.lex_state = 6},
  [16836] = {.lex_state = 0},
  [16837] = {.lex_state = 0},
  [16838] = {.lex_state = 0, .external_lex_state = 64},
  [16839] = {.lex_state = 6},
  [16840] = {.lex_state = 0},
  [16841] = {.lex_state = 0},
  [16842] = {.lex_state = 0},
  [16843] = {.lex_state = 0},
  [16844] = {.lex_state = 0},
  [16845] = {.lex_state = 0},
  [16846] = {.lex_state = 0},
  [16847] = {.lex_state = 0, .external_lex_state = 64},
  [16848] = {.lex_state = 0},
  [16849] = {.lex_state = 0},
  [16850] = {.lex_state = 0},
  [16851] = {.lex_state = 59, .external_lex_state = 53},
  [16852] = {.lex_state = 0, .external_lex_state = 25},
  [16853] = {.lex_state = 0},
  [16854] = {.lex_state = 0},
  [16855] = {.lex_state = 0},
  [16856] = {.lex_state = 0, .external_lex_state = 64},
  [16857] = {.lex_state = 0, .external_lex_state = 64},
  [16858] = {.lex_state = 0, .external_lex_state = 64},
  [16859] = {.lex_state = 59, .external_lex_state = 53},
  [16860] = {.lex_state = 0},
  [16861] = {.lex_state = 59},
  [16862] = {.lex_state = 0},
  [16863] = {.lex_state = 24},
  [16864] = {.lex_state = 0},
  [16865] = {.lex_state = 0},
  [16866] = {.lex_state = 0},
  [16867] = {.lex_state = 0},
  [16868] = {.lex_state = 0},
  [16869] = {.lex_state = 0},
  [16870] = {.lex_state = 0},
  [16871] = {.lex_state = 0},
  [16872] = {.lex_state = 0},
  [16873] = {.lex_state = 59, .external_lex_state = 53},
  [16874] = {.lex_state = 59},
  [16875] = {.lex_state = 0, .external_lex_state = 64},
  [16876] = {.lex_state = 0},
  [16877] = {.lex_state = 59, .external_lex_state = 53},
  [16878] = {.lex_state = 0},
  [16879] = {.lex_state = 0},
  [16880] = {.lex_state = 59},
  [16881] = {.lex_state = 59},
  [16882] = {.lex_state = 59, .external_lex_state = 53},
  [16883] = {.lex_state = 0, .external_lex_state = 64},
  [16884] = {.lex_state = 0},
  [16885] = {.lex_state = 0, .external_lex_state = 64},
  [16886] = {.lex_state = 0},
  [16887] = {.lex_state = 0, .external_lex_state = 64},
  [16888] = {.lex_state = 59},
  [16889] = {.lex_state = 59, .external_lex_state = 53},
  [16890] = {.lex_state = 0},
  [16891] = {.lex_state = 0},
  [16892] = {.lex_state = 0},
  [16893] = {.lex_state = 0},
  [16894] = {.lex_state = 0, .external_lex_state = 64},
  [16895] = {.lex_state = 0},
  [16896] = {.lex_state = 0},
  [16897] = {.lex_state = 0, .external_lex_state = 64},
  [16898] = {.lex_state = 0},
  [16899] = {.lex_state = 59, .external_lex_state = 53},
  [16900] = {.lex_state = 0},
  [16901] = {.lex_state = 0, .external_lex_state = 64},
  [16902] = {.lex_state = 0},
  [16903] = {.lex_state = 0},
  [16904] = {.lex_state = 0},
  [16905] = {.lex_state = 0},
  [16906] = {.lex_state = 0},
  [16907] = {.lex_state = 59, .external_lex_state = 53},
  [16908] = {.lex_state = 0},
  [16909] = {.lex_state = 0},
  [16910] = {.lex_state = 0},
  [16911] = {.lex_state = 0, .external_lex_state = 64},
  [16912] = {.lex_state = 59},
  [16913] = {.lex_state = 0},
  [16914] = {.lex_state = 0},
  [16915] = {.lex_state = 0},
  [16916] = {.lex_state = 0},
  [16917] = {.lex_state = 0},
  [16918] = {.lex_state = 0, .external_lex_state = 64},
  [16919] = {.lex_state = 0},
  [16920] = {.lex_state = 59},
  [16921] = {.lex_state = 59, .external_lex_state = 53},
  [16922] = {.lex_state = 0},
  [16923] = {.lex_state = 0},
  [16924] = {.lex_state = 0, .external_lex_state = 64},
  [16925] = {.lex_state = 59, .external_lex_state = 53},
  [16926] = {.lex_state = 0, .external_lex_state = 64},
  [16927] = {.lex_state = 0},
  [16928] = {.lex_state = 0},
  [16929] = {.lex_state = 59, .external_lex_state = 44},
  [16930] = {.lex_state = 59, .external_lex_state = 53},
  [16931] = {.lex_state = 59},
  [16932] = {.lex_state = 59, .external_lex_state = 53},
  [16933] = {.lex_state = 0},
  [16934] = {.lex_state = 0},
  [16935] = {.lex_state = 0, .external_lex_state = 64},
  [16936] = {.lex_state = 0},
  [16937] = {.lex_state = 0},
  [16938] = {.lex_state = 0},
  [16939] = {.lex_state = 0},
  [16940] = {.lex_state = 0, .external_lex_state = 64},
  [16941] = {.lex_state = 0},
  [16942] = {.lex_state = 0, .external_lex_state = 25},
  [16943] = {.lex_state = 0},
  [16944] = {.lex_state = 0},
  [16945] = {.lex_state = 0},
  [16946] = {.lex_state = 0},
  [16947] = {.lex_state = 0, .external_lex_state = 64},
  [16948] = {.lex_state = 0},
  [16949] = {.lex_state = 0},
  [16950] = {.lex_state = 0, .external_lex_state = 64},
  [16951] = {.lex_state = 0},
  [16952] = {.lex_state = 0},
  [16953] = {.lex_state = 0, .external_lex_state = 64},
  [16954] = {.lex_state = 59},
  [16955] = {.lex_state = 0},
  [16956] = {.lex_state = 0},
  [16957] = {.lex_state = 59},
  [16958] = {.lex_state = 0, .external_lex_state = 64},
  [16959] = {.lex_state = 0},
  [16960] = {.lex_state = 0},
  [16961] = {.lex_state = 0, .external_lex_state = 64},
  [16962] = {.lex_state = 0},
  [16963] = {.lex_state = 59},
  [16964] = {.lex_state = 0, .external_lex_state = 64},
  [16965] = {.lex_state = 0},
  [16966] = {.lex_state = 0},
  [16967] = {.lex_state = 59, .external_lex_state = 53},
  [16968] = {.lex_state = 0, .external_lex_state = 64},
  [16969] = {.lex_state = 0},
  [16970] = {.lex_state = 59},
  [16971] = {.lex_state = 0},
  [16972] = {.lex_state = 0},
  [16973] = {.lex_state = 0, .external_lex_state = 64},
  [16974] = {.lex_state = 59, .external_lex_state = 44},
  [16975] = {.lex_state = 0},
  [16976] = {.lex_state = 52},
  [16977] = {.lex_state = 0, .external_lex_state = 25},
  [16978] = {.lex_state = 52},
  [16979] = {.lex_state = 59},
  [16980] = {.lex_state = 59, .external_lex_state = 53},
  [16981] = {.lex_state = 0, .external_lex_state = 25},
  [16982] = {.lex_state = 0, .external_lex_state = 64},
  [16983] = {.lex_state = 0},
  [16984] = {.lex_state = 59},
  [16985] = {.lex_state = 0},
  [16986] = {.lex_state = 0},
  [16987] = {.lex_state = 0},
  [16988] = {.lex_state = 0, .external_lex_state = 64},
  [16989] = {.lex_state = 0, .external_lex_state = 64},
  [16990] = {.lex_state = 0},
  [16991] = {.lex_state = 0},
  [16992] = {.lex_state = 0},
  [16993] = {.lex_state = 0},
  [16994] = {.lex_state = 0},
  [16995] = {.lex_state = 0},
  [16996] = {.lex_state = 0},
  [16997] = {.lex_state = 59, .external_lex_state = 44},
  [16998] = {.lex_state = 0},
  [16999] = {.lex_state = 0},
  [17000] = {.lex_state = 0, .external_lex_state = 25},
  [17001] = {.lex_state = 0},
  [17002] = {.lex_state = 0},
  [17003] = {.lex_state = 0, .external_lex_state = 64},
  [17004] = {.lex_state = 0},
  [17005] = {.lex_state = 0},
  [17006] = {.lex_state = 0},
  [17007] = {.lex_state = 59, .external_lex_state = 44},
  [17008] = {.lex_state = 0},
  [17009] = {.lex_state = 0},
  [17010] = {.lex_state = 0, .external_lex_state = 25},
  [17011] = {.lex_state = 0, .external_lex_state = 64},
  [17012] = {.lex_state = 0, .external_lex_state = 64},
  [17013] = {.lex_state = 0},
  [17014] = {.lex_state = 0},
  [17015] = {.lex_state = 0, .external_lex_state = 64},
  [17016] = {.lex_state = 0},
  [17017] = {.lex_state = 0},
  [17018] = {.lex_state = 0, .external_lex_state = 25},
  [17019] = {.lex_state = 0},
  [17020] = {.lex_state = 0, .external_lex_state = 64},
  [17021] = {.lex_state = 0},
  [17022] = {.lex_state = 0, .external_lex_state = 64},
  [17023] = {.lex_state = 0},
  [17024] = {.lex_state = 59},
  [17025] = {.lex_state = 0, .external_lex_state = 25},
  [17026] = {.lex_state = 0, .external_lex_state = 64},
  [17027] = {.lex_state = 0},
  [17028] = {.lex_state = 0},
  [17029] = {.lex_state = 0},
  [17030] = {.lex_state = 0},
  [17031] = {.lex_state = 0, .external_lex_state = 64},
  [17032] = {.lex_state = 0, .external_lex_state = 25},
  [17033] = {.lex_state = 0, .external_lex_state = 64},
  [17034] = {.lex_state = 0},
  [17035] = {.lex_state = 0, .external_lex_state = 64},
  [17036] = {.lex_state = 0},
  [17037] = {.lex_state = 59, .external_lex_state = 53},
  [17038] = {.lex_state = 0, .external_lex_state = 64},
  [17039] = {.lex_state = 0, .external_lex_state = 25},
  [17040] = {.lex_state = 0},
  [17041] = {.lex_state = 0},
  [17042] = {.lex_state = 0},
  [17043] = {.lex_state = 0, .external_lex_state = 64},
  [17044] = {.lex_state = 0},
  [17045] = {.lex_state = 0},
  [17046] = {.lex_state = 0, .external_lex_state = 25},
  [17047] = {.lex_state = 0},
  [17048] = {.lex_state = 0, .external_lex_state = 64},
  [17049] = {.lex_state = 0},
  [17050] = {.lex_state = 52},
  [17051] = {.lex_state = 52},
  [17052] = {.lex_state = 59, .external_lex_state = 53},
  [17053] = {.lex_state = 0, .external_lex_state = 25},
  [17054] = {.lex_state = 0},
  [17055] = {.lex_state = 0},
  [17056] = {.lex_state = 0, .external_lex_state = 64},
  [17057] = {.lex_state = 0},
  [17058] = {.lex_state = 0, .external_lex_state = 64},
  [17059] = {.lex_state = 0, .external_lex_state = 64},
  [17060] = {.lex_state = 0, .external_lex_state = 25},
  [17061] = {.lex_state = 0},
  [17062] = {.lex_state = 0, .external_lex_state = 64},
  [17063] = {.lex_state = 0},
  [17064] = {.lex_state = 0},
  [17065] = {.lex_state = 0, .external_lex_state = 64},
  [17066] = {.lex_state = 0},
  [17067] = {.lex_state = 0, .external_lex_state = 25},
  [17068] = {.lex_state = 0},
  [17069] = {.lex_state = 0, .external_lex_state = 64},
  [17070] = {.lex_state = 0, .external_lex_state = 64},
  [17071] = {.lex_state = 0},
  [17072] = {.lex_state = 0},
  [17073] = {.lex_state = 0},
  [17074] = {.lex_state = 0, .external_lex_state = 25},
  [17075] = {.lex_state = 0},
  [17076] = {.lex_state = 0},
  [17077] = {.lex_state = 0},
  [17078] = {.lex_state = 0},
  [17079] = {.lex_state = 0},
  [17080] = {.lex_state = 0},
  [17081] = {.lex_state = 0, .external_lex_state = 25},
  [17082] = {.lex_state = 0, .external_lex_state = 64},
  [17083] = {.lex_state = 0},
  [17084] = {.lex_state = 0, .external_lex_state = 64},
  [17085] = {.lex_state = 0},
  [17086] = {.lex_state = 0},
  [17087] = {.lex_state = 0, .external_lex_state = 64},
  [17088] = {.lex_state = 0, .external_lex_state = 25},
  [17089] = {.lex_state = 0},
  [17090] = {.lex_state = 0, .external_lex_state = 64},
  [17091] = {.lex_state = 0},
  [17092] = {.lex_state = 0},
  [17093] = {.lex_state = 0},
  [17094] = {.lex_state = 0, .external_lex_state = 64},
  [17095] = {.lex_state = 0, .external_lex_state = 25},
  [17096] = {.lex_state = 0},
  [17097] = {.lex_state = 0, .external_lex_state = 64},
  [17098] = {.lex_state = 0},
  [17099] = {.lex_state = 0},
  [17100] = {.lex_state = 59},
  [17101] = {.lex_state = 0},
  [17102] = {.lex_state = 0, .external_lex_state = 25},
  [17103] = {.lex_state = 0, .external_lex_state = 64},
  [17104] = {.lex_state = 0},
  [17105] = {.lex_state = 0},
  [17106] = {.lex_state = 0, .external_lex_state = 64},
  [17107] = {.lex_state = 0},
  [17108] = {.lex_state = 0},
  [17109] = {.lex_state = 0, .external_lex_state = 25},
  [17110] = {.lex_state = 0, .external_lex_state = 64},
  [17111] = {.lex_state = 0},
  [17112] = {.lex_state = 0, .external_lex_state = 64},
  [17113] = {.lex_state = 0},
  [17114] = {.lex_state = 0},
  [17115] = {.lex_state = 0, .external_lex_state = 25},
  [17116] = {.lex_state = 0, .external_lex_state = 64},
  [17117] = {.lex_state = 0},
  [17118] = {.lex_state = 0, .external_lex_state = 64},
  [17119] = {.lex_state = 59},
  [17120] = {.lex_state = 0, .external_lex_state = 64},
  [17121] = {.lex_state = 0, .external_lex_state = 25},
  [17122] = {.lex_state = 0, .external_lex_state = 64},
  [17123] = {.lex_state = 0},
  [17124] = {.lex_state = 0},
  [17125] = {.lex_state = 6},
  [17126] = {.lex_state = 0, .external_lex_state = 64},
  [17127] = {.lex_state = 0, .external_lex_state = 25},
  [17128] = {.lex_state = 0},
  [17129] = {.lex_state = 6},
  [17130] = {.lex_state = 0, .external_lex_state = 64},
  [17131] = {.lex_state = 0},
  [17132] = {.lex_state = 0, .external_lex_state = 64},
  [17133] = {.lex_state = 0, .external_lex_state = 25},
  [17134] = {.lex_state = 0},
  [17135] = {.lex_state = 0},
  [17136] = {.lex_state = 0},
  [17137] = {.lex_state = 6},
  [17138] = {.lex_state = 0, .external_lex_state = 64},
  [17139] = {.lex_state = 0, .external_lex_state = 25},
  [17140] = {.lex_state = 0},
  [17141] = {.lex_state = 59, .external_lex_state = 53},
  [17142] = {.lex_state = 0},
  [17143] = {.lex_state = 0, .external_lex_state = 64},
  [17144] = {.lex_state = 0},
  [17145] = {.lex_state = 0, .external_lex_state = 25},
  [17146] = {.lex_state = 0, .external_lex_state = 64},
  [17147] = {.lex_state = 0},
  [17148] = {.lex_state = 0, .external_lex_state = 64},
  [17149] = {.lex_state = 0},
  [17150] = {.lex_state = 6},
  [17151] = {.lex_state = 0, .external_lex_state = 25},
  [17152] = {.lex_state = 0},
  [17153] = {.lex_state = 0, .external_lex_state = 64},
  [17154] = {.lex_state = 0, .external_lex_state = 64},
  [17155] = {.lex_state = 0},
  [17156] = {.lex_state = 0},
  [17157] = {.lex_state = 0, .external_lex_state = 25},
  [17158] = {.lex_state = 0, .external_lex_state = 64},
  [17159] = {.lex_state = 0, .external_lex_state = 64},
  [17160] = {.lex_state = 0},
  [17161] = {.lex_state = 0},
  [17162] = {.lex_state = 59},
  [17163] = {.lex_state = 0, .external_lex_state = 25},
  [17164] = {.lex_state = 0},
  [17165] = {.lex_state = 0},
  [17166] = {.lex_state = 0, .external_lex_state = 64},
  [17167] = {.lex_state = 52},
  [17168] = {.lex_state = 52},
  [17169] = {.lex_state = 0, .external_lex_state = 25},
  [17170] = {.lex_state = 0},
  [17171] = {.lex_state = 0},
  [17172] = {.lex_state = 0},
  [17173] = {.lex_state = 59, .external_lex_state = 53},
  [17174] = {.lex_state = 0, .external_lex_state = 64},
  [17175] = {.lex_state = 0, .external_lex_state = 25},
  [17176] = {.lex_state = 0},
  [17177] = {.lex_state = 0, .external_lex_state = 64},
  [17178] = {.lex_state = 0, .external_lex_state = 64},
  [17179] = {.lex_state = 0},
  [17180] = {.lex_state = 0},
  [17181] = {.lex_state = 0, .external_lex_state = 25},
  [17182] = {.lex_state = 0, .external_lex_state = 64},
  [17183] = {.lex_state = 0},
  [17184] = {.lex_state = 0},
  [17185] = {.lex_state = 0},
  [17186] = {.lex_state = 0, .external_lex_state = 64},
  [17187] = {.lex_state = 0, .external_lex_state = 25},
  [17188] = {.lex_state = 0, .external_lex_state = 64},
  [17189] = {.lex_state = 0},
  [17190] = {.lex_state = 0},
  [17191] = {.lex_state = 0},
  [17192] = {.lex_state = 0},
  [17193] = {.lex_state = 0, .external_lex_state = 25},
  [17194] = {.lex_state = 0, .external_lex_state = 64},
  [17195] = {.lex_state = 0, .external_lex_state = 64},
  [17196] = {.lex_state = 0, .external_lex_state = 64},
  [17197] = {.lex_state = 0},
  [17198] = {.lex_state = 0},
  [17199] = {.lex_state = 0, .external_lex_state = 25},
  [17200] = {.lex_state = 0},
  [17201] = {.lex_state = 0},
  [17202] = {.lex_state = 0, .external_lex_state = 64},
  [17203] = {.lex_state = 0},
  [17204] = {.lex_state = 0, .external_lex_state = 64},
  [17205] = {.lex_state = 0, .external_lex_state = 25},
  [17206] = {.lex_state = 0},
  [17207] = {.lex_state = 0},
  [17208] = {.lex_state = 0, .external_lex_state = 64},
  [17209] = {.lex_state = 0},
  [17210] = {.lex_state = 0, .external_lex_state = 64},
  [17211] = {.lex_state = 0, .external_lex_state = 25},
  [17212] = {.lex_state = 0},
  [17213] = {.lex_state = 0},
  [17214] = {.lex_state = 0},
  [17215] = {.lex_state = 0},
  [17216] = {.lex_state = 0},
  [17217] = {.lex_state = 0, .external_lex_state = 25},
  [17218] = {.lex_state = 0},
  [17219] = {.lex_state = 0},
  [17220] = {.lex_state = 0, .external_lex_state = 64},
  [17221] = {.lex_state = 0},
  [17222] = {.lex_state = 0},
  [17223] = {.lex_state = 0, .external_lex_state = 25},
  [17224] = {.lex_state = 0, .external_lex_state = 64},
  [17225] = {.lex_state = 0},
  [17226] = {.lex_state = 0},
  [17227] = {.lex_state = 0, .external_lex_state = 64},
  [17228] = {.lex_state = 0, .external_lex_state = 64},
  [17229] = {.lex_state = 0, .external_lex_state = 25},
  [17230] = {.lex_state = 0, .external_lex_state = 64},
  [17231] = {.lex_state = 0},
  [17232] = {.lex_state = 0},
  [17233] = {.lex_state = 0},
  [17234] = {.lex_state = 0},
  [17235] = {.lex_state = 0, .external_lex_state = 25},
  [17236] = {.lex_state = 0, .external_lex_state = 64},
  [17237] = {.lex_state = 0},
  [17238] = {.lex_state = 0},
  [17239] = {.lex_state = 0},
  [17240] = {.lex_state = 0, .external_lex_state = 64},
  [17241] = {.lex_state = 0, .external_lex_state = 25},
  [17242] = {.lex_state = 0, .external_lex_state = 64},
  [17243] = {.lex_state = 0},
  [17244] = {.lex_state = 0},
  [17245] = {.lex_state = 0},
  [17246] = {.lex_state = 0},
  [17247] = {.lex_state = 0, .external_lex_state = 25},
  [17248] = {.lex_state = 0, .external_lex_state = 64},
  [17249] = {.lex_state = 0, .external_lex_state = 64},
  [17250] = {.lex_state = 0},
  [17251] = {.lex_state = 59},
  [17252] = {.lex_state = 0},
  [17253] = {.lex_state = 0, .external_lex_state = 25},
  [17254] = {.lex_state = 0, .external_lex_state = 64},
  [17255] = {.lex_state = 0},
  [17256] = {.lex_state = 0, .external_lex_state = 64},
  [17257] = {.lex_state = 6},
  [17258] = {.lex_state = 0, .external_lex_state = 64},
  [17259] = {.lex_state = 0, .external_lex_state = 25},
  [17260] = {.lex_state = 0},
  [17261] = {.lex_state = 0},
  [17262] = {.lex_state = 0},
  [17263] = {.lex_state = 0},
  [17264] = {.lex_state = 0, .external_lex_state = 64},
  [17265] = {.lex_state = 0, .external_lex_state = 25},
  [17266] = {.lex_state = 0, .external_lex_state = 64},
  [17267] = {.lex_state = 0, .external_lex_state = 64},
  [17268] = {.lex_state = 0},
  [17269] = {.lex_state = 6},
  [17270] = {.lex_state = 6},
  [17271] = {.lex_state = 0, .external_lex_state = 25},
  [17272] = {.lex_state = 0},
  [17273] = {.lex_state = 0},
  [17274] = {.lex_state = 0, .external_lex_state = 64},
  [17275] = {.lex_state = 0},
  [17276] = {.lex_state = 0},
  [17277] = {.lex_state = 0, .external_lex_state = 25},
  [17278] = {.lex_state = 0},
  [17279] = {.lex_state = 0},
  [17280] = {.lex_state = 0, .external_lex_state = 64},
  [17281] = {.lex_state = 0, .external_lex_state = 64},
  [17282] = {.lex_state = 59, .external_lex_state = 53},
  [17283] = {.lex_state = 0, .external_lex_state = 25},
  [17284] = {.lex_state = 0},
  [17285] = {.lex_state = 0},
  [17286] = {.lex_state = 0, .external_lex_state = 64},
  [17287] = {.lex_state = 0, .external_lex_state = 64},
  [17288] = {.lex_state = 0, .external_lex_state = 64},
  [17289] = {.lex_state = 0, .external_lex_state = 25},
  [17290] = {.lex_state = 0},
  [17291] = {.lex_state = 0},
  [17292] = {.lex_state = 0},
  [17293] = {.lex_state = 0},
  [17294] = {.lex_state = 6},
  [17295] = {.lex_state = 0, .external_lex_state = 25},
  [17296] = {.lex_state = 0, .external_lex_state = 64},
  [17297] = {.lex_state = 0, .external_lex_state = 64},
  [17298] = {.lex_state = 0, .external_lex_state = 64},
  [17299] = {.lex_state = 0},
  [17300] = {.lex_state = 0, .external_lex_state = 64},
  [17301] = {.lex_state = 0, .external_lex_state = 25},
  [17302] = {.lex_state = 0},
  [17303] = {.lex_state = 0, .external_lex_state = 64},
  [17304] = {.lex_state = 0, .external_lex_state = 64},
  [17305] = {.lex_state = 0},
  [17306] = {.lex_state = 0},
  [17307] = {.lex_state = 0, .external_lex_state = 25},
  [17308] = {.lex_state = 0},
  [17309] = {.lex_state = 0},
  [17310] = {.lex_state = 0, .external_lex_state = 64},
  [17311] = {.lex_state = 0, .external_lex_state = 64},
  [17312] = {.lex_state = 0},
  [17313] = {.lex_state = 0, .external_lex_state = 25},
  [17314] = {.lex_state = 0},
  [17315] = {.lex_state = 0},
  [17316] = {.lex_state = 0, .external_lex_state = 64},
  [17317] = {.lex_state = 0, .external_lex_state = 64},
  [17318] = {.lex_state = 0},
  [17319] = {.lex_state = 0, .external_lex_state = 25},
  [17320] = {.lex_state = 0},
  [17321] = {.lex_state = 52},
  [17322] = {.lex_state = 0},
  [17323] = {.lex_state = 52},
  [17324] = {.lex_state = 0},
  [17325] = {.lex_state = 0, .external_lex_state = 25},
  [17326] = {.lex_state = 0, .external_lex_state = 64},
  [17327] = {.lex_state = 59, .external_lex_state = 53},
  [17328] = {.lex_state = 0, .external_lex_state = 64},
  [17329] = {.lex_state = 0, .external_lex_state = 64},
  [17330] = {.lex_state = 0},
  [17331] = {.lex_state = 0, .external_lex_state = 25},
  [17332] = {.lex_state = 0},
  [17333] = {.lex_state = 0, .external_lex_state = 64},
  [17334] = {.lex_state = 0, .external_lex_state = 64},
  [17335] = {.lex_state = 0},
  [17336] = {.lex_state = 0},
  [17337] = {.lex_state = 0, .external_lex_state = 25},
  [17338] = {.lex_state = 0},
  [17339] = {.lex_state = 0},
  [17340] = {.lex_state = 0, .external_lex_state = 64},
  [17341] = {.lex_state = 0, .external_lex_state = 64},
  [17342] = {.lex_state = 0, .external_lex_state = 25},
  [17343] = {.lex_state = 0},
  [17344] = {.lex_state = 0},
  [17345] = {.lex_state = 0, .external_lex_state = 64},
  [17346] = {.lex_state = 0, .external_lex_state = 64},
  [17347] = {.lex_state = 0, .external_lex_state = 25},
  [17348] = {.lex_state = 0},
  [17349] = {.lex_state = 0},
  [17350] = {.lex_state = 0},
  [17351] = {.lex_state = 0, .external_lex_state = 64},
  [17352] = {.lex_state = 0, .external_lex_state = 25},
  [17353] = {.lex_state = 0},
  [17354] = {.lex_state = 0},
  [17355] = {.lex_state = 0},
  [17356] = {.lex_state = 0, .external_lex_state = 64},
  [17357] = {.lex_state = 0, .external_lex_state = 25},
  [17358] = {.lex_state = 0, .external_lex_state = 64},
  [17359] = {.lex_state = 0},
  [17360] = {.lex_state = 0},
  [17361] = {.lex_state = 0},
  [17362] = {.lex_state = 0, .external_lex_state = 25},
  [17363] = {.lex_state = 0, .external_lex_state = 64},
  [17364] = {.lex_state = 59},
  [17365] = {.lex_state = 0, .external_lex_state = 64},
  [17366] = {.lex_state = 0},
  [17367] = {.lex_state = 0, .external_lex_state = 25},
  [17368] = {.lex_state = 0},
  [17369] = {.lex_state = 0},
  [17370] = {.lex_state = 0},
  [17371] = {.lex_state = 0, .external_lex_state = 64},
  [17372] = {.lex_state = 0, .external_lex_state = 25},
  [17373] = {.lex_state = 0, .external_lex_state = 64},
  [17374] = {.lex_state = 0},
  [17375] = {.lex_state = 0},
  [17376] = {.lex_state = 0, .external_lex_state = 64},
  [17377] = {.lex_state = 0, .external_lex_state = 25},
  [17378] = {.lex_state = 0, .external_lex_state = 64},
  [17379] = {.lex_state = 0},
  [17380] = {.lex_state = 0},
  [17381] = {.lex_state = 0},
  [17382] = {.lex_state = 0, .external_lex_state = 25},
  [17383] = {.lex_state = 0},
  [17384] = {.lex_state = 0, .external_lex_state = 64},
  [17385] = {.lex_state = 0, .external_lex_state = 64},
  [17386] = {.lex_state = 0},
  [17387] = {.lex_state = 0, .external_lex_state = 25},
  [17388] = {.lex_state = 0},
  [17389] = {.lex_state = 0},
  [17390] = {.lex_state = 0, .external_lex_state = 64},
  [17391] = {.lex_state = 0, .external_lex_state = 64},
  [17392] = {.lex_state = 0, .external_lex_state = 25},
  [17393] = {.lex_state = 0},
  [17394] = {.lex_state = 0},
  [17395] = {.lex_state = 0},
  [17396] = {.lex_state = 0},
  [17397] = {.lex_state = 0, .external_lex_state = 25},
  [17398] = {.lex_state = 0, .external_lex_state = 25},
  [17399] = {.lex_state = 0, .external_lex_state = 25},
  [17400] = {.lex_state = 0, .external_lex_state = 25},
  [17401] = {.lex_state = 0, .external_lex_state = 25},
  [17402] = {.lex_state = 0, .external_lex_state = 25},
  [17403] = {.lex_state = 0, .external_lex_state = 25},
  [17404] = {.lex_state = 0, .external_lex_state = 25},
  [17405] = {.lex_state = 0, .external_lex_state = 25},
  [17406] = {.lex_state = 0, .external_lex_state = 25},
  [17407] = {.lex_state = 0, .external_lex_state = 25},
  [17408] = {.lex_state = 0, .external_lex_state = 25},
  [17409] = {.lex_state = 0, .external_lex_state = 25},
  [17410] = {.lex_state = 0, .external_lex_state = 25},
  [17411] = {.lex_state = 0, .external_lex_state = 25},
  [17412] = {.lex_state = 0, .external_lex_state = 25},
  [17413] = {.lex_state = 0, .external_lex_state = 25},
  [17414] = {.lex_state = 0, .external_lex_state = 25},
  [17415] = {.lex_state = 0, .external_lex_state = 25},
  [17416] = {.lex_state = 0, .external_lex_state = 25},
  [17417] = {.lex_state = 0, .external_lex_state = 25},
  [17418] = {.lex_state = 0, .external_lex_state = 25},
  [17419] = {.lex_state = 0, .external_lex_state = 25},
  [17420] = {.lex_state = 0, .external_lex_state = 25},
  [17421] = {.lex_state = 0, .external_lex_state = 25},
  [17422] = {.lex_state = 0, .external_lex_state = 25},
  [17423] = {.lex_state = 0, .external_lex_state = 25},
  [17424] = {.lex_state = 0, .external_lex_state = 25},
  [17425] = {.lex_state = 0, .external_lex_state = 25},
  [17426] = {.lex_state = 0, .external_lex_state = 25},
  [17427] = {.lex_state = 0, .external_lex_state = 25},
  [17428] = {.lex_state = 0, .external_lex_state = 25},
  [17429] = {.lex_state = 0, .external_lex_state = 25},
  [17430] = {.lex_state = 0, .external_lex_state = 25},
  [17431] = {.lex_state = 0, .external_lex_state = 25},
  [17432] = {.lex_state = 0, .external_lex_state = 25},
  [17433] = {.lex_state = 0, .external_lex_state = 25},
  [17434] = {.lex_state = 0, .external_lex_state = 25},
  [17435] = {.lex_state = 0, .external_lex_state = 25},
  [17436] = {.lex_state = 0, .external_lex_state = 25},
  [17437] = {.lex_state = 0, .external_lex_state = 25},
  [17438] = {.lex_state = 0, .external_lex_state = 25},
  [17439] = {.lex_state = 0, .external_lex_state = 25},
  [17440] = {.lex_state = 0, .external_lex_state = 25},
  [17441] = {.lex_state = 0, .external_lex_state = 25},
  [17442] = {.lex_state = 0, .external_lex_state = 25},
  [17443] = {.lex_state = 0, .external_lex_state = 25},
  [17444] = {.lex_state = 0, .external_lex_state = 25},
  [17445] = {.lex_state = 0, .external_lex_state = 25},
  [17446] = {.lex_state = 0, .external_lex_state = 25},
  [17447] = {.lex_state = 0, .external_lex_state = 25},
  [17448] = {.lex_state = 59},
  [17449] = {.lex_state = 0},
  [17450] = {.lex_state = 0},
  [17451] = {.lex_state = 59},
  [17452] = {.lex_state = 0},
  [17453] = {.lex_state = 0},
  [17454] = {.lex_state = 59},
  [17455] = {.lex_state = 0},
  [17456] = {.lex_state = 0, .external_lex_state = 64},
  [17457] = {.lex_state = 0},
  [17458] = {.lex_state = 0},
  [17459] = {.lex_state = 0, .external_lex_state = 64},
  [17460] = {.lex_state = 0},
  [17461] = {.lex_state = 0, .external_lex_state = 64},
  [17462] = {.lex_state = 0, .external_lex_state = 64},
  [17463] = {.lex_state = 0},
  [17464] = {.lex_state = 0},
  [17465] = {.lex_state = 0},
  [17466] = {.lex_state = 0, .external_lex_state = 64},
  [17467] = {.lex_state = 0, .external_lex_state = 64},
  [17468] = {.lex_state = 0},
  [17469] = {.lex_state = 0},
  [17470] = {.lex_state = 59},
  [17471] = {.lex_state = 0},
  [17472] = {.lex_state = 0},
  [17473] = {.lex_state = 0, .external_lex_state = 64},
  [17474] = {.lex_state = 0, .external_lex_state = 64},
  [17475] = {.lex_state = 59},
  [17476] = {.lex_state = 0},
  [17477] = {.lex_state = 59},
  [17478] = {.lex_state = 0},
  [17479] = {.lex_state = 0},
  [17480] = {.lex_state = 0, .external_lex_state = 64},
  [17481] = {.lex_state = 0, .external_lex_state = 64},
  [17482] = {.lex_state = 59},
  [17483] = {.lex_state = 0},
  [17484] = {.lex_state = 0},
  [17485] = {.lex_state = 0},
  [17486] = {.lex_state = 0},
  [17487] = {.lex_state = 0},
  [17488] = {.lex_state = 0},
  [17489] = {.lex_state = 0},
  [17490] = {.lex_state = 0},
  [17491] = {.lex_state = 0, .external_lex_state = 64},
  [17492] = {.lex_state = 0},
  [17493] = {.lex_state = 0},
  [17494] = {.lex_state = 0},
  [17495] = {.lex_state = 0},
  [17496] = {.lex_state = 0, .external_lex_state = 64},
  [17497] = {.lex_state = 0},
  [17498] = {.lex_state = 0, .external_lex_state = 64},
  [17499] = {.lex_state = 0},
  [17500] = {.lex_state = 0, .external_lex_state = 64},
  [17501] = {.lex_state = 0, .external_lex_state = 64},
  [17502] = {.lex_state = 0},
  [17503] = {.lex_state = 0},
  [17504] = {.lex_state = 0},
  [17505] = {.lex_state = 0},
  [17506] = {.lex_state = 0},
  [17507] = {.lex_state = 0},
  [17508] = {.lex_state = 0},
  [17509] = {.lex_state = 0},
  [17510] = {.lex_state = 0},
  [17511] = {.lex_state = 0},
  [17512] = {.lex_state = 0},
  [17513] = {(TSStateId)(-1)},
  [17514] = {(TSStateId)(-1)},
  [17515] = {(TSStateId)(-1)},
  [17516] = {(TSStateId)(-1)},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [sym_comment] = STATE(0),
    [sym_block_comment] = STATE(0),
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym__alpha_identifier] = ACTIONS(1),
    [anon_sym_enum] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_case] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_package] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_object] = ACTIONS(1),
    [anon_sym_import] = ACTIONS(1),
    [anon_sym_export] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym__] = ACTIONS(1),
    [anon_sym_given] = ACTIONS(1),
    [anon_sym_EQ_GT] = ACTIONS(1),
    [anon_sym_as] = ACTIONS(1),
    [anon_sym_class] = ACTIONS(1),
    [anon_sym_trait] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_LT_COLON] = ACTIONS(1),
    [anon_sym_GT_COLON] = ACTIONS(1),
    [anon_sym_LT_PERCENT] = ACTIONS(1),
    [anon_sym_end] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_match] = ACTIONS(1),
    [anon_sym_try] = ACTIONS(1),
    [anon_sym_new] = ACTIONS(1),
    [anon_sym_this] = ACTIONS(1),
    [anon_sym_extension] = ACTIONS(1),
    [anon_sym_val] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_var] = ACTIONS(1),
    [anon_sym_type] = ACTIONS(1),
    [anon_sym_def] = ACTIONS(1),
    [anon_sym_opaque] = ACTIONS(1),
    [anon_sym_with] = ACTIONS(1),
    [anon_sym_abstract] = ACTIONS(1),
    [anon_sym_final] = ACTIONS(1),
    [anon_sym_sealed] = ACTIONS(1),
    [anon_sym_implicit] = ACTIONS(1),
    [anon_sym_lazy] = ACTIONS(1),
    [anon_sym_override] = ACTIONS(1),
    [anon_sym_private] = ACTIONS(1),
    [anon_sym_protected] = ACTIONS(1),
    [anon_sym_inline] = ACTIONS(1),
    [anon_sym_infix] = ACTIONS(1),
    [anon_sym_open] = ACTIONS(1),
    [anon_sym_transparent] = ACTIONS(1),
    [anon_sym_extends] = ACTIONS(1),
    [anon_sym_derives] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_using] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_POUND] = ACTIONS(1),
    [anon_sym_QMARK_EQ_GT] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_then] = ACTIONS(1),
    [anon_sym_catch] = ACTIONS(1),
    [anon_sym_finally] = ACTIONS(1),
    [anon_sym_macro] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_DOLLAR] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [sym_symbol_literal] = ACTIONS(1),
    [sym__backquoted_id] = ACTIONS(1),
    [sym_integer_literal] = ACTIONS(1),
    [sym_floating_point_literal] = ACTIONS(1),
    [anon_sym_true] = ACTIONS(1),
    [anon_sym_false] = ACTIONS(1),
    [sym_character_literal] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [sym__interpolated_multiline_string_start] = ACTIONS(1),
    [sym_null_literal] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_throw] = ACTIONS(1),
    [anon_sym_do] = ACTIONS(1),
    [anon_sym_yield] = ACTIONS(1),
    [anon_sym_LT_DASH] = ACTIONS(1),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1),
    [sym__indent] = ACTIONS(1),
    [sym__interpolated_string_middle] = ACTIONS(1),
    [sym__interpolated_string_end] = ACTIONS(1),
    [sym__interpolated_multiline_string_middle] = ACTIONS(1),
    [sym__interpolated_multiline_string_end] = ACTIONS(1),
    [sym__outdent] = ACTIONS(1),
    [sym__simple_multiline_string] = ACTIONS(1),
    [sym__simple_string] = ACTIONS(1),
  },
  [1] = {
    [sym_compilation_unit] = STATE(17192),
    [sym__top_level_definition] = STATE(14252),
    [sym_enum_definition] = STATE(14683),
    [sym_package_clause] = STATE(14683),
    [sym_package_object] = STATE(14683),
    [sym_import_declaration] = STATE(14683),
    [sym_export_declaration] = STATE(14683),
    [sym_object_definition] = STATE(14683),
    [sym_class_definition] = STATE(14683),
    [sym_trait_definition] = STATE(14683),
    [sym__end_marker] = STATE(14683),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14683),
    [sym_val_declaration] = STATE(14683),
    [sym__start_val] = STATE(4089),
    [sym_var_declaration] = STATE(14683),
    [sym_var_definition] = STATE(14683),
    [sym__start_var] = STATE(4113),
    [sym_type_definition] = STATE(14683),
    [sym_function_definition] = STATE(14683),
    [sym_function_declaration] = STATE(14683),
    [sym__function_declaration] = STATE(13672),
    [sym_opaque_modifier] = STATE(17162),
    [sym_extension_definition] = STATE(14683),
    [sym_given_definition] = STATE(14683),
    [sym_modifiers] = STATE(12324),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym_block] = STATE(10133),
    [sym_expression] = STATE(13676),
    [sym__simple_expression] = STATE(7525),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15728),
    [sym_case_block] = STATE(10133),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(10133),
    [sym_call_expression] = STATE(10133),
    [sym_field_expression] = STATE(10133),
    [sym_instance_expression] = STATE(10133),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(10489),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(17114),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10321),
    [sym_tuple_expression] = STATE(10133),
    [sym_parenthesized_expression] = STATE(10133),
    [sym_splice_expression] = STATE(10133),
    [sym_quote_expression] = STATE(10133),
    [sym_identifier] = STATE(7070),
    [sym__soft_identifier] = STATE(4482),
    [sym_wildcard] = STATE(9321),
    [sym__non_null_literal] = STATE(10133),
    [sym_boolean_literal] = STATE(7065),
    [sym_interpolated_string_expression] = STATE(10133),
    [sym_string] = STATE(7065),
    [sym_unit] = STATE(10133),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym__shebang] = STATE(148),
    [sym_comment] = STATE(1),
    [sym_block_comment] = STATE(1),
    [aux_sym_enum_definition_repeat1] = STATE(4191),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [ts_builtin_sym_end] = ACTIONS(7),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_package] = ACTIONS(17),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_given] = ACTIONS(27),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_end] = ACTIONS(35),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_extension] = ACTIONS(47),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(55),
    [anon_sym_def] = ACTIONS(57),
    [anon_sym_opaque] = ACTIONS(59),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(67),
    [anon_sym_infix] = ACTIONS(69),
    [anon_sym_open] = ACTIONS(71),
    [anon_sym_transparent] = ACTIONS(73),
    [anon_sym_LPAREN] = ACTIONS(75),
    [anon_sym_macro] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(83),
    [sym_operator_identifier] = ACTIONS(85),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(95),
    [anon_sym_throw] = ACTIONS(97),
    [anon_sym_do] = ACTIONS(99),
    [aux_sym__shebang_token1] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [2] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__braced_template_body1] = STATE(17073),
    [sym__braced_template_body2] = STATE(17073),
    [sym__end_marker] = STATE(14272),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16810),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6428),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(2),
    [sym_block_comment] = STATE(2),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(109),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [3] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__braced_template_body1] = STATE(17184),
    [sym__braced_template_body2] = STATE(17184),
    [sym__end_marker] = STATE(14272),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16810),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6428),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(3),
    [sym_block_comment] = STATE(3),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(177),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [4] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__braced_template_body1] = STATE(16520),
    [sym__braced_template_body2] = STATE(16520),
    [sym__end_marker] = STATE(14272),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16810),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6428),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(4),
    [sym_block_comment] = STATE(4),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(179),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [5] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__braced_template_body1] = STATE(16654),
    [sym__braced_template_body2] = STATE(16654),
    [sym__end_marker] = STATE(14272),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16810),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6428),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(5),
    [sym_block_comment] = STATE(5),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(181),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [6] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__braced_template_body1] = STATE(17218),
    [sym__braced_template_body2] = STATE(17218),
    [sym__end_marker] = STATE(14272),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16810),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6428),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(6),
    [sym_block_comment] = STATE(6),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(183),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [7] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__braced_template_body1] = STATE(16586),
    [sym__braced_template_body2] = STATE(16586),
    [sym__end_marker] = STATE(14272),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16810),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6428),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(7),
    [sym_block_comment] = STATE(7),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(185),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [8] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__braced_template_body1] = STATE(16410),
    [sym__braced_template_body2] = STATE(16410),
    [sym__end_marker] = STATE(14272),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16810),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6428),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(8),
    [sym_block_comment] = STATE(8),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(187),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [9] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__braced_template_body1] = STATE(17200),
    [sym__braced_template_body2] = STATE(17200),
    [sym__end_marker] = STATE(14272),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16810),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6428),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(9),
    [sym_block_comment] = STATE(9),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(189),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [10] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__braced_template_body1] = STATE(16622),
    [sym__braced_template_body2] = STATE(16622),
    [sym__end_marker] = STATE(14272),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16810),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6428),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(10),
    [sym_block_comment] = STATE(10),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [11] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__braced_template_body1] = STATE(17353),
    [sym__braced_template_body2] = STATE(17353),
    [sym__end_marker] = STATE(14272),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16810),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6428),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(11),
    [sym_block_comment] = STATE(11),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [12] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__braced_template_body1] = STATE(16672),
    [sym__braced_template_body2] = STATE(16672),
    [sym__end_marker] = STATE(14272),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16810),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6428),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(12),
    [sym_block_comment] = STATE(12),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [13] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__braced_template_body1] = STATE(16315),
    [sym__braced_template_body2] = STATE(16315),
    [sym__end_marker] = STATE(14272),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16810),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6428),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(13),
    [sym_block_comment] = STATE(13),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(197),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [14] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__braced_template_body1] = STATE(16276),
    [sym__braced_template_body2] = STATE(16276),
    [sym__end_marker] = STATE(14272),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16810),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6428),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(14),
    [sym_block_comment] = STATE(14),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(199),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [15] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__braced_template_body1] = STATE(16691),
    [sym__braced_template_body2] = STATE(16691),
    [sym__end_marker] = STATE(14272),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16810),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6428),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(15),
    [sym_block_comment] = STATE(15),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(201),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [16] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__braced_template_body1] = STATE(17104),
    [sym__braced_template_body2] = STATE(17104),
    [sym__end_marker] = STATE(14272),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16810),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6428),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(16),
    [sym_block_comment] = STATE(16),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(203),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [17] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__braced_template_body1] = STATE(16263),
    [sym__braced_template_body2] = STATE(16263),
    [sym__end_marker] = STATE(14272),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16810),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6428),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(17),
    [sym_block_comment] = STATE(17),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(205),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [18] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__braced_template_body1] = STATE(15786),
    [sym__braced_template_body2] = STATE(15786),
    [sym__end_marker] = STATE(14272),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16810),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6428),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(18),
    [sym_block_comment] = STATE(18),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(207),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [19] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__braced_template_body1] = STATE(17245),
    [sym__braced_template_body2] = STATE(17245),
    [sym__end_marker] = STATE(14272),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16810),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6428),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(19),
    [sym_block_comment] = STATE(19),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(209),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [20] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__braced_template_body1] = STATE(16741),
    [sym__braced_template_body2] = STATE(16741),
    [sym__end_marker] = STATE(14272),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16810),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6428),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(20),
    [sym_block_comment] = STATE(20),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(211),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [21] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__braced_template_body1] = STATE(17172),
    [sym__braced_template_body2] = STATE(17172),
    [sym__end_marker] = STATE(14272),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16810),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6428),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(21),
    [sym_block_comment] = STATE(21),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(213),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [22] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__braced_template_body1] = STATE(16202),
    [sym__braced_template_body2] = STATE(16202),
    [sym__end_marker] = STATE(14272),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16810),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6428),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(22),
    [sym_block_comment] = STATE(22),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(215),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [23] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__braced_template_body1] = STATE(17155),
    [sym__braced_template_body2] = STATE(17155),
    [sym__end_marker] = STATE(14272),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16810),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6428),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(23),
    [sym_block_comment] = STATE(23),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(217),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [24] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__braced_template_body1] = STATE(16765),
    [sym__braced_template_body2] = STATE(16765),
    [sym__end_marker] = STATE(14272),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16810),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6428),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(24),
    [sym_block_comment] = STATE(24),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(219),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [25] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__braced_template_body1] = STATE(16149),
    [sym__braced_template_body2] = STATE(16149),
    [sym__end_marker] = STATE(14272),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16810),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6428),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(25),
    [sym_block_comment] = STATE(25),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(221),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [26] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__braced_template_body1] = STATE(16789),
    [sym__braced_template_body2] = STATE(16789),
    [sym__end_marker] = STATE(14272),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16810),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6428),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(26),
    [sym_block_comment] = STATE(26),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(223),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [27] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__braced_template_body1] = STATE(17262),
    [sym__braced_template_body2] = STATE(17262),
    [sym__end_marker] = STATE(14272),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16810),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6428),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(27),
    [sym_block_comment] = STATE(27),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(225),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [28] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__braced_template_body1] = STATE(16111),
    [sym__braced_template_body2] = STATE(16111),
    [sym__end_marker] = STATE(14272),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16810),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6428),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(28),
    [sym_block_comment] = STATE(28),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(227),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [29] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__braced_template_body1] = STATE(16813),
    [sym__braced_template_body2] = STATE(16813),
    [sym__end_marker] = STATE(14272),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16810),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6428),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(29),
    [sym_block_comment] = STATE(29),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(229),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [30] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__braced_template_body1] = STATE(16569),
    [sym__braced_template_body2] = STATE(16569),
    [sym__end_marker] = STATE(14272),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16810),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6428),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(30),
    [sym_block_comment] = STATE(30),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(231),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [31] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__braced_template_body1] = STATE(16712),
    [sym__braced_template_body2] = STATE(16712),
    [sym__end_marker] = STATE(14272),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16810),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6428),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(31),
    [sym_block_comment] = STATE(31),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(233),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [32] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__braced_template_body1] = STATE(16075),
    [sym__braced_template_body2] = STATE(16075),
    [sym__end_marker] = STATE(14272),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16810),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6428),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(32),
    [sym_block_comment] = STATE(32),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(235),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [33] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__braced_template_body1] = STATE(16837),
    [sym__braced_template_body2] = STATE(16837),
    [sym__end_marker] = STATE(14272),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16810),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6428),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(33),
    [sym_block_comment] = STATE(33),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(237),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [34] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__braced_template_body1] = STATE(17278),
    [sym__braced_template_body2] = STATE(17278),
    [sym__end_marker] = STATE(14272),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16810),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6428),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(34),
    [sym_block_comment] = STATE(34),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(239),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [35] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__braced_template_body1] = STATE(17140),
    [sym__braced_template_body2] = STATE(17140),
    [sym__end_marker] = STATE(14272),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16810),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6428),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(35),
    [sym_block_comment] = STATE(35),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(241),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [36] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__braced_template_body1] = STATE(17001),
    [sym__braced_template_body2] = STATE(17001),
    [sym__end_marker] = STATE(14272),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16810),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6428),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(36),
    [sym_block_comment] = STATE(36),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(243),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [37] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__braced_template_body1] = STATE(17292),
    [sym__braced_template_body2] = STATE(17292),
    [sym__end_marker] = STATE(14272),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16810),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6428),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(37),
    [sym_block_comment] = STATE(37),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(245),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [38] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__braced_template_body1] = STATE(16869),
    [sym__braced_template_body2] = STATE(16869),
    [sym__end_marker] = STATE(14272),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16810),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6428),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(38),
    [sym_block_comment] = STATE(38),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(247),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [39] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__braced_template_body1] = STATE(16140),
    [sym__braced_template_body2] = STATE(16140),
    [sym__end_marker] = STATE(14272),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16810),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6428),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(39),
    [sym_block_comment] = STATE(39),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(249),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [40] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__braced_template_body1] = STATE(17308),
    [sym__braced_template_body2] = STATE(17308),
    [sym__end_marker] = STATE(14272),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16810),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6428),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(40),
    [sym_block_comment] = STATE(40),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(251),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [41] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__braced_template_body1] = STATE(16891),
    [sym__braced_template_body2] = STATE(16891),
    [sym__end_marker] = STATE(14272),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16810),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6428),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(41),
    [sym_block_comment] = STATE(41),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(253),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [42] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__braced_template_body1] = STATE(15991),
    [sym__braced_template_body2] = STATE(15991),
    [sym__end_marker] = STATE(14272),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16810),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6428),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(42),
    [sym_block_comment] = STATE(42),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(255),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [43] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__braced_template_body1] = STATE(17014),
    [sym__braced_template_body2] = STATE(17014),
    [sym__end_marker] = STATE(14272),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16810),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6428),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(43),
    [sym_block_comment] = STATE(43),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(257),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [44] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__braced_template_body1] = STATE(15961),
    [sym__braced_template_body2] = STATE(15961),
    [sym__end_marker] = STATE(14272),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16810),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6428),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(44),
    [sym_block_comment] = STATE(44),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(259),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [45] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__braced_template_body1] = STATE(16913),
    [sym__braced_template_body2] = STATE(16913),
    [sym__end_marker] = STATE(14272),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16810),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6428),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(45),
    [sym_block_comment] = STATE(45),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(261),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [46] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__braced_template_body1] = STATE(17107),
    [sym__braced_template_body2] = STATE(17107),
    [sym__end_marker] = STATE(14272),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16810),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6428),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(46),
    [sym_block_comment] = STATE(46),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(263),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [47] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__braced_template_body1] = STATE(16445),
    [sym__braced_template_body2] = STATE(16445),
    [sym__end_marker] = STATE(14272),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16810),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6428),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(47),
    [sym_block_comment] = STATE(47),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(265),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [48] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__braced_template_body1] = STATE(16933),
    [sym__braced_template_body2] = STATE(16933),
    [sym__end_marker] = STATE(14272),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16810),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6428),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(48),
    [sym_block_comment] = STATE(48),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(267),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [49] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__braced_template_body1] = STATE(15916),
    [sym__braced_template_body2] = STATE(15916),
    [sym__end_marker] = STATE(14272),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16810),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6428),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(49),
    [sym_block_comment] = STATE(49),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(269),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [50] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__braced_template_body1] = STATE(17322),
    [sym__braced_template_body2] = STATE(17322),
    [sym__end_marker] = STATE(14272),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16810),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6428),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(50),
    [sym_block_comment] = STATE(50),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(271),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [51] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__braced_template_body1] = STATE(15869),
    [sym__braced_template_body2] = STATE(15869),
    [sym__end_marker] = STATE(14272),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16810),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6428),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(51),
    [sym_block_comment] = STATE(51),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(273),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [52] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__braced_template_body1] = STATE(16946),
    [sym__braced_template_body2] = STATE(16946),
    [sym__end_marker] = STATE(14272),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16810),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6428),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(52),
    [sym_block_comment] = STATE(52),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(275),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [53] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__braced_template_body1] = STATE(17237),
    [sym__braced_template_body2] = STATE(17237),
    [sym__end_marker] = STATE(14272),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16810),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6428),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(53),
    [sym_block_comment] = STATE(53),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(277),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [54] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__braced_template_body1] = STATE(16512),
    [sym__braced_template_body2] = STATE(16512),
    [sym__end_marker] = STATE(14272),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16810),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6428),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(54),
    [sym_block_comment] = STATE(54),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(279),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [55] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__braced_template_body1] = STATE(15826),
    [sym__braced_template_body2] = STATE(15826),
    [sym__end_marker] = STATE(14272),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16810),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6428),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(55),
    [sym_block_comment] = STATE(55),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(281),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [56] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__braced_template_body1] = STATE(17368),
    [sym__braced_template_body2] = STATE(17368),
    [sym__end_marker] = STATE(14272),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16810),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6428),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(56),
    [sym_block_comment] = STATE(56),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(283),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [57] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__braced_template_body1] = STATE(17091),
    [sym__braced_template_body2] = STATE(17091),
    [sym__end_marker] = STATE(14272),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16810),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6428),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(57),
    [sym_block_comment] = STATE(57),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(285),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [58] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__braced_template_body1] = STATE(17338),
    [sym__braced_template_body2] = STATE(17338),
    [sym__end_marker] = STATE(14272),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16810),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6428),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(58),
    [sym_block_comment] = STATE(58),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(287),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [59] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__braced_template_body1] = STATE(16760),
    [sym__braced_template_body2] = STATE(16760),
    [sym__end_marker] = STATE(14272),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16810),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6428),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(59),
    [sym_block_comment] = STATE(59),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(289),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [60] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__braced_template_body1] = STATE(16959),
    [sym__braced_template_body2] = STATE(16959),
    [sym__end_marker] = STATE(14272),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16810),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6428),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(60),
    [sym_block_comment] = STATE(60),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(291),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [61] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__braced_template_body1] = STATE(16478),
    [sym__braced_template_body2] = STATE(16478),
    [sym__end_marker] = STATE(14272),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16810),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6428),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(61),
    [sym_block_comment] = STATE(61),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [62] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__braced_template_body1] = STATE(16233),
    [sym__braced_template_body2] = STATE(16233),
    [sym__end_marker] = STATE(14272),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16810),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6428),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(62),
    [sym_block_comment] = STATE(62),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(295),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [63] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__braced_template_body1] = STATE(16966),
    [sym__braced_template_body2] = STATE(16966),
    [sym__end_marker] = STATE(14272),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16810),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6428),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(63),
    [sym_block_comment] = STATE(63),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(297),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [64] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__braced_template_body1] = STATE(17063),
    [sym__braced_template_body2] = STATE(17063),
    [sym__end_marker] = STATE(14272),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16810),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6428),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(64),
    [sym_block_comment] = STATE(64),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(299),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [65] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__braced_template_body1] = STATE(17369),
    [sym__braced_template_body2] = STATE(17369),
    [sym__end_marker] = STATE(14272),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16810),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6428),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(65),
    [sym_block_comment] = STATE(65),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(301),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [66] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__braced_template_body1] = STATE(17381),
    [sym__braced_template_body2] = STATE(17381),
    [sym__end_marker] = STATE(14272),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16810),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6428),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(66),
    [sym_block_comment] = STATE(66),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(303),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [67] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__braced_template_body1] = STATE(16983),
    [sym__braced_template_body2] = STATE(16983),
    [sym__end_marker] = STATE(14272),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16810),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6428),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(67),
    [sym_block_comment] = STATE(67),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [68] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__braced_template_body1] = STATE(15839),
    [sym__braced_template_body2] = STATE(15839),
    [sym__end_marker] = STATE(14272),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16810),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6428),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(68),
    [sym_block_comment] = STATE(68),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(307),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [69] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__braced_template_body1] = STATE(17054),
    [sym__braced_template_body2] = STATE(17054),
    [sym__end_marker] = STATE(14272),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16810),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6428),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(69),
    [sym_block_comment] = STATE(69),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(309),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [70] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__braced_template_body1] = STATE(17452),
    [sym__braced_template_body2] = STATE(17452),
    [sym__end_marker] = STATE(14272),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16810),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6428),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(70),
    [sym_block_comment] = STATE(70),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(311),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [71] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__braced_template_body1] = STATE(17465),
    [sym__braced_template_body2] = STATE(17465),
    [sym__end_marker] = STATE(14272),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16810),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6428),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(71),
    [sym_block_comment] = STATE(71),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(313),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [72] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__braced_template_body1] = STATE(17042),
    [sym__braced_template_body2] = STATE(17042),
    [sym__end_marker] = STATE(14272),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16810),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6428),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(72),
    [sym_block_comment] = STATE(72),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(315),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [73] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__braced_template_body1] = STATE(16432),
    [sym__braced_template_body2] = STATE(16432),
    [sym__end_marker] = STATE(14272),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16810),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6428),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(73),
    [sym_block_comment] = STATE(73),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(317),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [74] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__braced_template_body1] = STATE(15894),
    [sym__braced_template_body2] = STATE(15894),
    [sym__end_marker] = STATE(14272),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16810),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6428),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(74),
    [sym_block_comment] = STATE(74),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(319),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [75] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__braced_template_body1] = STATE(17021),
    [sym__braced_template_body2] = STATE(17021),
    [sym__end_marker] = STATE(14272),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16810),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6428),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(75),
    [sym_block_comment] = STATE(75),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(321),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [76] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__braced_template_body1] = STATE(17471),
    [sym__braced_template_body2] = STATE(17471),
    [sym__end_marker] = STATE(14272),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16810),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6428),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(76),
    [sym_block_comment] = STATE(76),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(323),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [77] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__braced_template_body1] = STATE(17490),
    [sym__braced_template_body2] = STATE(17490),
    [sym__end_marker] = STATE(14272),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16810),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6428),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(77),
    [sym_block_comment] = STATE(77),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(325),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [78] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__braced_template_body1] = STATE(17047),
    [sym__braced_template_body2] = STATE(17047),
    [sym__end_marker] = STATE(14272),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16810),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6428),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(78),
    [sym_block_comment] = STATE(78),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(327),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [79] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__braced_template_body1] = STATE(15962),
    [sym__braced_template_body2] = STATE(15962),
    [sym__end_marker] = STATE(14272),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16810),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6428),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(79),
    [sym_block_comment] = STATE(79),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(329),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [80] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__braced_template_body1] = STATE(17502),
    [sym__braced_template_body2] = STATE(17502),
    [sym__end_marker] = STATE(14272),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16810),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6428),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(80),
    [sym_block_comment] = STATE(80),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(331),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [81] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__braced_template_body1] = STATE(17504),
    [sym__braced_template_body2] = STATE(17504),
    [sym__end_marker] = STATE(14272),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16810),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6428),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(81),
    [sym_block_comment] = STATE(81),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(333),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [82] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__braced_template_body1] = STATE(17075),
    [sym__braced_template_body2] = STATE(17075),
    [sym__end_marker] = STATE(14272),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16810),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6428),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(82),
    [sym_block_comment] = STATE(82),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(335),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [83] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__braced_template_body1] = STATE(17489),
    [sym__braced_template_body2] = STATE(17489),
    [sym__end_marker] = STATE(14272),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16810),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6428),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(83),
    [sym_block_comment] = STATE(83),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(337),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [84] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__braced_template_body1] = STATE(16026),
    [sym__braced_template_body2] = STATE(16026),
    [sym__end_marker] = STATE(14272),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16810),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6428),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(84),
    [sym_block_comment] = STATE(84),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(339),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [85] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__braced_template_body1] = STATE(17096),
    [sym__braced_template_body2] = STATE(17096),
    [sym__end_marker] = STATE(14272),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16810),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6428),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(85),
    [sym_block_comment] = STATE(85),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(341),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [86] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__braced_template_body1] = STATE(16384),
    [sym__braced_template_body2] = STATE(16384),
    [sym__end_marker] = STATE(14272),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16810),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6428),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(86),
    [sym_block_comment] = STATE(86),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(343),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [87] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__braced_template_body1] = STATE(16956),
    [sym__braced_template_body2] = STATE(16956),
    [sym__end_marker] = STATE(14272),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16810),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6428),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(87),
    [sym_block_comment] = STATE(87),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(345),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [88] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__braced_template_body1] = STATE(17111),
    [sym__braced_template_body2] = STATE(17111),
    [sym__end_marker] = STATE(14272),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16810),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6428),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(88),
    [sym_block_comment] = STATE(88),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(347),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [89] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__braced_template_body1] = STATE(17469),
    [sym__braced_template_body2] = STATE(17469),
    [sym__end_marker] = STATE(14272),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16810),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6428),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(89),
    [sym_block_comment] = STATE(89),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(349),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [90] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__braced_template_body1] = STATE(16073),
    [sym__braced_template_body2] = STATE(16073),
    [sym__end_marker] = STATE(14272),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16810),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6428),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(90),
    [sym_block_comment] = STATE(90),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(351),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [91] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__braced_template_body1] = STATE(17040),
    [sym__braced_template_body2] = STATE(17040),
    [sym__end_marker] = STATE(14272),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16810),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6428),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(91),
    [sym_block_comment] = STATE(91),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(353),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [92] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__braced_template_body1] = STATE(17128),
    [sym__braced_template_body2] = STATE(17128),
    [sym__end_marker] = STATE(14272),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16810),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6428),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(92),
    [sym_block_comment] = STATE(92),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(355),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [93] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__braced_template_body1] = STATE(17028),
    [sym__braced_template_body2] = STATE(17028),
    [sym__end_marker] = STATE(14272),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16810),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6428),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(93),
    [sym_block_comment] = STATE(93),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(357),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [94] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__braced_template_body1] = STATE(17395),
    [sym__braced_template_body2] = STATE(17395),
    [sym__end_marker] = STATE(14272),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16810),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6428),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(94),
    [sym_block_comment] = STATE(94),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(359),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [95] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__braced_template_body1] = STATE(17144),
    [sym__braced_template_body2] = STATE(17144),
    [sym__end_marker] = STATE(14272),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16810),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6428),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(95),
    [sym_block_comment] = STATE(95),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(361),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [96] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__braced_template_body1] = STATE(17380),
    [sym__braced_template_body2] = STATE(17380),
    [sym__end_marker] = STATE(14272),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16810),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6428),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(96),
    [sym_block_comment] = STATE(96),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(363),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [97] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__braced_template_body1] = STATE(17232),
    [sym__braced_template_body2] = STATE(17232),
    [sym__end_marker] = STATE(14272),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16810),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6428),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(97),
    [sym_block_comment] = STATE(97),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(365),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [98] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__braced_template_body1] = STATE(17164),
    [sym__braced_template_body2] = STATE(17164),
    [sym__end_marker] = STATE(14272),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16810),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6428),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(98),
    [sym_block_comment] = STATE(98),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(367),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [99] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__braced_template_body1] = STATE(16811),
    [sym__braced_template_body2] = STATE(16811),
    [sym__end_marker] = STATE(14272),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16810),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6428),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(99),
    [sym_block_comment] = STATE(99),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(369),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [100] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__braced_template_body1] = STATE(16137),
    [sym__braced_template_body2] = STATE(16137),
    [sym__end_marker] = STATE(14272),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16810),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6428),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(100),
    [sym_block_comment] = STATE(100),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(371),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [101] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__braced_template_body1] = STATE(17180),
    [sym__braced_template_body2] = STATE(17180),
    [sym__end_marker] = STATE(14272),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16810),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6428),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(101),
    [sym_block_comment] = STATE(101),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(373),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [102] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__braced_template_body1] = STATE(16914),
    [sym__braced_template_body2] = STATE(16914),
    [sym__end_marker] = STATE(14272),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16810),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6428),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(102),
    [sym_block_comment] = STATE(102),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(375),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [103] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__braced_template_body1] = STATE(17198),
    [sym__braced_template_body2] = STATE(17198),
    [sym__end_marker] = STATE(14272),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16810),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6428),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(103),
    [sym_block_comment] = STATE(103),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(377),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [104] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__braced_template_body1] = STATE(17214),
    [sym__braced_template_body2] = STATE(17214),
    [sym__end_marker] = STATE(14272),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16810),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6428),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(104),
    [sym_block_comment] = STATE(104),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(379),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [105] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__braced_template_body1] = STATE(16864),
    [sym__braced_template_body2] = STATE(16864),
    [sym__end_marker] = STATE(14272),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16810),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6428),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(105),
    [sym_block_comment] = STATE(105),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(381),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [106] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__braced_template_body1] = STATE(17273),
    [sym__braced_template_body2] = STATE(17273),
    [sym__end_marker] = STATE(14272),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16810),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6428),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(106),
    [sym_block_comment] = STATE(106),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(383),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [107] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__braced_template_body1] = STATE(16201),
    [sym__braced_template_body2] = STATE(16201),
    [sym__end_marker] = STATE(14272),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16810),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6428),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(107),
    [sym_block_comment] = STATE(107),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(385),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [108] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__braced_template_body1] = STATE(17244),
    [sym__braced_template_body2] = STATE(17244),
    [sym__end_marker] = STATE(14272),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16810),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6428),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(108),
    [sym_block_comment] = STATE(108),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(387),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [109] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__braced_template_body1] = STATE(17260),
    [sym__braced_template_body2] = STATE(17260),
    [sym__end_marker] = STATE(14272),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16810),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6428),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(109),
    [sym_block_comment] = STATE(109),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(389),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [110] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__braced_template_body1] = STATE(17276),
    [sym__braced_template_body2] = STATE(17276),
    [sym__end_marker] = STATE(14272),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16810),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6428),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(110),
    [sym_block_comment] = STATE(110),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(391),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [111] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__braced_template_body1] = STATE(16815),
    [sym__braced_template_body2] = STATE(16815),
    [sym__end_marker] = STATE(14272),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16810),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6428),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(111),
    [sym_block_comment] = STATE(111),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(393),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [112] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__braced_template_body1] = STATE(17291),
    [sym__braced_template_body2] = STATE(17291),
    [sym__end_marker] = STATE(14272),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16810),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6428),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(112),
    [sym_block_comment] = STATE(112),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(395),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [113] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__braced_template_body1] = STATE(16269),
    [sym__braced_template_body2] = STATE(16269),
    [sym__end_marker] = STATE(14272),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16810),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6428),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(113),
    [sym_block_comment] = STATE(113),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(397),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [114] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__braced_template_body1] = STATE(17306),
    [sym__braced_template_body2] = STATE(17306),
    [sym__end_marker] = STATE(14272),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16810),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6428),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(114),
    [sym_block_comment] = STATE(114),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(399),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [115] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__braced_template_body1] = STATE(17320),
    [sym__braced_template_body2] = STATE(17320),
    [sym__end_marker] = STATE(14272),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16810),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6428),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(115),
    [sym_block_comment] = STATE(115),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(401),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [116] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__braced_template_body1] = STATE(17336),
    [sym__braced_template_body2] = STATE(17336),
    [sym__end_marker] = STATE(14272),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16810),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6428),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(116),
    [sym_block_comment] = STATE(116),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(403),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [117] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__braced_template_body1] = STATE(17017),
    [sym__braced_template_body2] = STATE(17017),
    [sym__end_marker] = STATE(14272),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16810),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6428),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(117),
    [sym_block_comment] = STATE(117),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(405),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [118] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__braced_template_body1] = STATE(17350),
    [sym__braced_template_body2] = STATE(17350),
    [sym__end_marker] = STATE(14272),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16810),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6428),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(118),
    [sym_block_comment] = STATE(118),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(407),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [119] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__braced_template_body1] = STATE(16335),
    [sym__braced_template_body2] = STATE(16335),
    [sym__end_marker] = STATE(14272),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16810),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6428),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(119),
    [sym_block_comment] = STATE(119),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(409),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [120] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__end_marker] = STATE(14272),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16922),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_case_clause] = STATE(15719),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(7036),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(120),
    [sym_block_comment] = STATE(120),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [aux_sym_indented_cases_repeat1] = STATE(14109),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(411),
    [anon_sym_case] = ACTIONS(413),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [121] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__end_marker] = STATE(14272),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(15799),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_case_clause] = STATE(15719),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(7036),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(121),
    [sym_block_comment] = STATE(121),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [aux_sym_indented_cases_repeat1] = STATE(14048),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(417),
    [anon_sym_case] = ACTIONS(413),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [122] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__end_marker] = STATE(14272),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(17066),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_case_clause] = STATE(15719),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(7036),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(122),
    [sym_block_comment] = STATE(122),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [aux_sym_indented_cases_repeat1] = STATE(14251),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(419),
    [anon_sym_case] = ACTIONS(413),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [123] = {
    [sym__top_level_definition] = STATE(15180),
    [sym_enum_definition] = STATE(14683),
    [sym_package_clause] = STATE(14683),
    [sym_package_object] = STATE(14683),
    [sym_import_declaration] = STATE(14683),
    [sym_export_declaration] = STATE(14683),
    [sym_object_definition] = STATE(14683),
    [sym_class_definition] = STATE(14683),
    [sym_trait_definition] = STATE(14683),
    [sym__end_marker] = STATE(14683),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14683),
    [sym_val_declaration] = STATE(14683),
    [sym__start_val] = STATE(4089),
    [sym_var_declaration] = STATE(14683),
    [sym_var_definition] = STATE(14683),
    [sym__start_var] = STATE(4113),
    [sym_type_definition] = STATE(14683),
    [sym_function_definition] = STATE(14683),
    [sym_function_declaration] = STATE(14683),
    [sym__function_declaration] = STATE(13672),
    [sym_opaque_modifier] = STATE(17162),
    [sym_extension_definition] = STATE(14683),
    [sym_given_definition] = STATE(14683),
    [sym_modifiers] = STATE(12324),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym_block] = STATE(10133),
    [sym_expression] = STATE(13676),
    [sym__simple_expression] = STATE(7525),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15728),
    [sym_case_block] = STATE(10133),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(10133),
    [sym_call_expression] = STATE(10133),
    [sym_field_expression] = STATE(10133),
    [sym_instance_expression] = STATE(10133),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(10489),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(17114),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10321),
    [sym_tuple_expression] = STATE(10133),
    [sym_parenthesized_expression] = STATE(10133),
    [sym_splice_expression] = STATE(10133),
    [sym_quote_expression] = STATE(10133),
    [sym_identifier] = STATE(7070),
    [sym__soft_identifier] = STATE(4482),
    [sym_wildcard] = STATE(9321),
    [sym__non_null_literal] = STATE(10133),
    [sym_boolean_literal] = STATE(7065),
    [sym_interpolated_string_expression] = STATE(10133),
    [sym_string] = STATE(7065),
    [sym_unit] = STATE(10133),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(123),
    [sym_block_comment] = STATE(123),
    [aux_sym_enum_definition_repeat1] = STATE(4191),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [ts_builtin_sym_end] = ACTIONS(421),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_package] = ACTIONS(17),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_given] = ACTIONS(27),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_end] = ACTIONS(35),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_extension] = ACTIONS(47),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(55),
    [anon_sym_def] = ACTIONS(57),
    [anon_sym_opaque] = ACTIONS(59),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(67),
    [anon_sym_infix] = ACTIONS(69),
    [anon_sym_open] = ACTIONS(71),
    [anon_sym_transparent] = ACTIONS(73),
    [anon_sym_LPAREN] = ACTIONS(75),
    [anon_sym_macro] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(83),
    [sym_operator_identifier] = ACTIONS(85),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(95),
    [anon_sym_throw] = ACTIONS(97),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [124] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__end_marker] = STATE(14272),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16280),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_case_clause] = STATE(15719),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(7036),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(124),
    [sym_block_comment] = STATE(124),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [aux_sym_indented_cases_repeat1] = STATE(14284),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(423),
    [anon_sym_case] = ACTIONS(413),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [125] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__end_marker] = STATE(14272),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16217),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_case_clause] = STATE(15719),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(7036),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(125),
    [sym_block_comment] = STATE(125),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [aux_sym_indented_cases_repeat1] = STATE(14178),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(425),
    [anon_sym_case] = ACTIONS(413),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [126] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__end_marker] = STATE(14272),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16665),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_case_clause] = STATE(15719),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(7036),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(126),
    [sym_block_comment] = STATE(126),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [aux_sym_indented_cases_repeat1] = STATE(14139),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(427),
    [anon_sym_case] = ACTIONS(413),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [127] = {
    [sym__top_level_definition] = STATE(15180),
    [sym_enum_definition] = STATE(14683),
    [sym_package_clause] = STATE(14683),
    [sym_package_object] = STATE(14683),
    [sym_import_declaration] = STATE(14683),
    [sym_export_declaration] = STATE(14683),
    [sym_object_definition] = STATE(14683),
    [sym_class_definition] = STATE(14683),
    [sym_trait_definition] = STATE(14683),
    [sym__end_marker] = STATE(14683),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14683),
    [sym_val_declaration] = STATE(14683),
    [sym__start_val] = STATE(4089),
    [sym_var_declaration] = STATE(14683),
    [sym_var_definition] = STATE(14683),
    [sym__start_var] = STATE(4113),
    [sym_type_definition] = STATE(14683),
    [sym_function_definition] = STATE(14683),
    [sym_function_declaration] = STATE(14683),
    [sym__function_declaration] = STATE(13672),
    [sym_opaque_modifier] = STATE(17162),
    [sym_extension_definition] = STATE(14683),
    [sym_given_definition] = STATE(14683),
    [sym_modifiers] = STATE(12324),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym_block] = STATE(10133),
    [sym_expression] = STATE(13676),
    [sym__simple_expression] = STATE(7525),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15728),
    [sym_case_block] = STATE(10133),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(10133),
    [sym_call_expression] = STATE(10133),
    [sym_field_expression] = STATE(10133),
    [sym_instance_expression] = STATE(10133),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(10489),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(17114),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10321),
    [sym_tuple_expression] = STATE(10133),
    [sym_parenthesized_expression] = STATE(10133),
    [sym_splice_expression] = STATE(10133),
    [sym_quote_expression] = STATE(10133),
    [sym_identifier] = STATE(7070),
    [sym__soft_identifier] = STATE(4482),
    [sym_wildcard] = STATE(9321),
    [sym__non_null_literal] = STATE(10133),
    [sym_boolean_literal] = STATE(7065),
    [sym_interpolated_string_expression] = STATE(10133),
    [sym_string] = STATE(7065),
    [sym_unit] = STATE(10133),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(127),
    [sym_block_comment] = STATE(127),
    [aux_sym_enum_definition_repeat1] = STATE(4191),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [ts_builtin_sym_end] = ACTIONS(429),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_package] = ACTIONS(17),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_given] = ACTIONS(27),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_end] = ACTIONS(35),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_extension] = ACTIONS(47),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(55),
    [anon_sym_def] = ACTIONS(57),
    [anon_sym_opaque] = ACTIONS(59),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(67),
    [anon_sym_infix] = ACTIONS(69),
    [anon_sym_open] = ACTIONS(71),
    [anon_sym_transparent] = ACTIONS(73),
    [anon_sym_LPAREN] = ACTIONS(75),
    [anon_sym_macro] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(83),
    [sym_operator_identifier] = ACTIONS(85),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(95),
    [anon_sym_throw] = ACTIONS(97),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [128] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__end_marker] = STATE(14272),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16588),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_case_clause] = STATE(15719),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(7036),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(128),
    [sym_block_comment] = STATE(128),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [aux_sym_indented_cases_repeat1] = STATE(14065),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(431),
    [anon_sym_case] = ACTIONS(413),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [129] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__end_marker] = STATE(14272),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16823),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_case_clause] = STATE(15719),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(7036),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(129),
    [sym_block_comment] = STATE(129),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [aux_sym_indented_cases_repeat1] = STATE(14308),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(433),
    [anon_sym_case] = ACTIONS(413),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [130] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__end_marker] = STATE(14272),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(17029),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_case_clause] = STATE(15719),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(7036),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(130),
    [sym_block_comment] = STATE(130),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [aux_sym_indented_cases_repeat1] = STATE(14214),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(435),
    [anon_sym_case] = ACTIONS(413),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [131] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__end_marker] = STATE(14272),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16725),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_case_clause] = STATE(15719),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(7036),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(131),
    [sym_block_comment] = STATE(131),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [aux_sym_indented_cases_repeat1] = STATE(14201),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(437),
    [anon_sym_case] = ACTIONS(413),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [132] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__end_marker] = STATE(14272),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16876),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_case_clause] = STATE(15719),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(7036),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(132),
    [sym_block_comment] = STATE(132),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [aux_sym_indented_cases_repeat1] = STATE(14228),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(439),
    [anon_sym_case] = ACTIONS(413),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [133] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__end_marker] = STATE(14272),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16346),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_case_clause] = STATE(15719),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(7036),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(133),
    [sym_block_comment] = STATE(133),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [aux_sym_indented_cases_repeat1] = STATE(14317),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(441),
    [anon_sym_case] = ACTIONS(413),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [134] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__end_marker] = STATE(14272),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(17123),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_case_clause] = STATE(15719),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(7036),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(134),
    [sym_block_comment] = STATE(134),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [aux_sym_indented_cases_repeat1] = STATE(14328),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(443),
    [anon_sym_case] = ACTIONS(413),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [135] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__end_marker] = STATE(14272),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(17255),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_case_clause] = STATE(15719),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(7036),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(135),
    [sym_block_comment] = STATE(135),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [aux_sym_indented_cases_repeat1] = STATE(14332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(445),
    [anon_sym_case] = ACTIONS(413),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [136] = {
    [sym__top_level_definition] = STATE(15180),
    [sym_enum_definition] = STATE(14683),
    [sym_package_clause] = STATE(14683),
    [sym_package_object] = STATE(14683),
    [sym_import_declaration] = STATE(14683),
    [sym_export_declaration] = STATE(14683),
    [sym_object_definition] = STATE(14683),
    [sym_class_definition] = STATE(14683),
    [sym_trait_definition] = STATE(14683),
    [sym__end_marker] = STATE(14683),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14683),
    [sym_val_declaration] = STATE(14683),
    [sym__start_val] = STATE(4089),
    [sym_var_declaration] = STATE(14683),
    [sym_var_definition] = STATE(14683),
    [sym__start_var] = STATE(4113),
    [sym_type_definition] = STATE(14683),
    [sym_function_definition] = STATE(14683),
    [sym_function_declaration] = STATE(14683),
    [sym__function_declaration] = STATE(13672),
    [sym_opaque_modifier] = STATE(17162),
    [sym_extension_definition] = STATE(14683),
    [sym_given_definition] = STATE(14683),
    [sym_modifiers] = STATE(12324),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym_block] = STATE(10133),
    [sym_expression] = STATE(13676),
    [sym__simple_expression] = STATE(7525),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15728),
    [sym_case_block] = STATE(10133),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(10133),
    [sym_call_expression] = STATE(10133),
    [sym_field_expression] = STATE(10133),
    [sym_instance_expression] = STATE(10133),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(10489),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(17114),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10321),
    [sym_tuple_expression] = STATE(10133),
    [sym_parenthesized_expression] = STATE(10133),
    [sym_splice_expression] = STATE(10133),
    [sym_quote_expression] = STATE(10133),
    [sym_identifier] = STATE(7070),
    [sym__soft_identifier] = STATE(4482),
    [sym_wildcard] = STATE(9321),
    [sym__non_null_literal] = STATE(10133),
    [sym_boolean_literal] = STATE(7065),
    [sym_interpolated_string_expression] = STATE(10133),
    [sym_string] = STATE(7065),
    [sym_unit] = STATE(10133),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(136),
    [sym_block_comment] = STATE(136),
    [aux_sym_enum_definition_repeat1] = STATE(4191),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [ts_builtin_sym_end] = ACTIONS(447),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_package] = ACTIONS(17),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_given] = ACTIONS(27),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_end] = ACTIONS(35),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_extension] = ACTIONS(47),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(55),
    [anon_sym_def] = ACTIONS(57),
    [anon_sym_opaque] = ACTIONS(59),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(67),
    [anon_sym_infix] = ACTIONS(69),
    [anon_sym_open] = ACTIONS(71),
    [anon_sym_transparent] = ACTIONS(73),
    [anon_sym_LPAREN] = ACTIONS(75),
    [anon_sym_macro] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(83),
    [sym_operator_identifier] = ACTIONS(85),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(95),
    [anon_sym_throw] = ACTIONS(97),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [137] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__end_marker] = STATE(14272),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16519),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_case_clause] = STATE(15719),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(7036),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(137),
    [sym_block_comment] = STATE(137),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [aux_sym_indented_cases_repeat1] = STATE(14186),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(449),
    [anon_sym_case] = ACTIONS(413),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [138] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__end_marker] = STATE(14272),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(17389),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_case_clause] = STATE(15719),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(7036),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(138),
    [sym_block_comment] = STATE(138),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [aux_sym_indented_cases_repeat1] = STATE(14205),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(451),
    [anon_sym_case] = ACTIONS(413),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [139] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__end_marker] = STATE(14272),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(15970),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_case_clause] = STATE(15719),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(7036),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(139),
    [sym_block_comment] = STATE(139),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [aux_sym_indented_cases_repeat1] = STATE(14314),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(453),
    [anon_sym_case] = ACTIONS(413),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [140] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__end_marker] = STATE(14272),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16965),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_case_clause] = STATE(15719),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(7036),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(140),
    [sym_block_comment] = STATE(140),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [aux_sym_indented_cases_repeat1] = STATE(14073),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(455),
    [anon_sym_case] = ACTIONS(413),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [141] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__end_marker] = STATE(14272),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(15915),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_case_clause] = STATE(15719),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(7036),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(141),
    [sym_block_comment] = STATE(141),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [aux_sym_indented_cases_repeat1] = STATE(14336),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(457),
    [anon_sym_case] = ACTIONS(413),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [142] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__end_marker] = STATE(14272),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16773),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_case_clause] = STATE(15719),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(7036),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(142),
    [sym_block_comment] = STATE(142),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [aux_sym_indented_cases_repeat1] = STATE(14313),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(459),
    [anon_sym_case] = ACTIONS(413),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [143] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__end_marker] = STATE(14272),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16392),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_case_clause] = STATE(15719),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(7036),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(143),
    [sym_block_comment] = STATE(143),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [aux_sym_indented_cases_repeat1] = STATE(14132),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(461),
    [anon_sym_case] = ACTIONS(413),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [144] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__end_marker] = STATE(14272),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16033),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_case_clause] = STATE(15719),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(7036),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(144),
    [sym_block_comment] = STATE(144),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [aux_sym_indented_cases_repeat1] = STATE(14078),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(463),
    [anon_sym_case] = ACTIONS(413),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [145] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__end_marker] = STATE(14272),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16444),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_case_clause] = STATE(15719),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(7036),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(145),
    [sym_block_comment] = STATE(145),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [aux_sym_indented_cases_repeat1] = STATE(14154),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(465),
    [anon_sym_case] = ACTIONS(413),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [146] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__end_marker] = STATE(14272),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(15854),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_case_clause] = STATE(15719),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(7036),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(146),
    [sym_block_comment] = STATE(146),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [aux_sym_indented_cases_repeat1] = STATE(14103),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(467),
    [anon_sym_case] = ACTIONS(413),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [147] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__end_marker] = STATE(14272),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(15819),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_case_clause] = STATE(15719),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(7036),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(147),
    [sym_block_comment] = STATE(147),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [aux_sym_indented_cases_repeat1] = STATE(14170),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(469),
    [anon_sym_case] = ACTIONS(413),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [148] = {
    [sym__top_level_definition] = STATE(14229),
    [sym_enum_definition] = STATE(14683),
    [sym_package_clause] = STATE(14683),
    [sym_package_object] = STATE(14683),
    [sym_import_declaration] = STATE(14683),
    [sym_export_declaration] = STATE(14683),
    [sym_object_definition] = STATE(14683),
    [sym_class_definition] = STATE(14683),
    [sym_trait_definition] = STATE(14683),
    [sym__end_marker] = STATE(14683),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14683),
    [sym_val_declaration] = STATE(14683),
    [sym__start_val] = STATE(4089),
    [sym_var_declaration] = STATE(14683),
    [sym_var_definition] = STATE(14683),
    [sym__start_var] = STATE(4113),
    [sym_type_definition] = STATE(14683),
    [sym_function_definition] = STATE(14683),
    [sym_function_declaration] = STATE(14683),
    [sym__function_declaration] = STATE(13672),
    [sym_opaque_modifier] = STATE(17162),
    [sym_extension_definition] = STATE(14683),
    [sym_given_definition] = STATE(14683),
    [sym_modifiers] = STATE(12324),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym_block] = STATE(10133),
    [sym_expression] = STATE(13676),
    [sym__simple_expression] = STATE(7525),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15728),
    [sym_case_block] = STATE(10133),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(10133),
    [sym_call_expression] = STATE(10133),
    [sym_field_expression] = STATE(10133),
    [sym_instance_expression] = STATE(10133),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(10489),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(17114),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10321),
    [sym_tuple_expression] = STATE(10133),
    [sym_parenthesized_expression] = STATE(10133),
    [sym_splice_expression] = STATE(10133),
    [sym_quote_expression] = STATE(10133),
    [sym_identifier] = STATE(7070),
    [sym__soft_identifier] = STATE(4482),
    [sym_wildcard] = STATE(9321),
    [sym__non_null_literal] = STATE(10133),
    [sym_boolean_literal] = STATE(7065),
    [sym_interpolated_string_expression] = STATE(10133),
    [sym_string] = STATE(7065),
    [sym_unit] = STATE(10133),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(148),
    [sym_block_comment] = STATE(148),
    [aux_sym_enum_definition_repeat1] = STATE(4191),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [ts_builtin_sym_end] = ACTIONS(471),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_package] = ACTIONS(17),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_given] = ACTIONS(27),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_end] = ACTIONS(35),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_extension] = ACTIONS(47),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(55),
    [anon_sym_def] = ACTIONS(57),
    [anon_sym_opaque] = ACTIONS(59),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(67),
    [anon_sym_infix] = ACTIONS(69),
    [anon_sym_open] = ACTIONS(71),
    [anon_sym_transparent] = ACTIONS(73),
    [anon_sym_LPAREN] = ACTIONS(75),
    [anon_sym_macro] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(83),
    [sym_operator_identifier] = ACTIONS(85),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(95),
    [anon_sym_throw] = ACTIONS(97),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [149] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16134),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_case_clause] = STATE(15710),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(149),
    [sym_block_comment] = STATE(149),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [aux_sym_indented_cases_repeat1] = STATE(14110),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [150] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(15789),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_case_clause] = STATE(15710),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(150),
    [sym_block_comment] = STATE(150),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [aux_sym_indented_cases_repeat1] = STATE(14246),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [151] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16070),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_case_clause] = STATE(15710),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(151),
    [sym_block_comment] = STATE(151),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [aux_sym_indented_cases_repeat1] = STATE(14291),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [152] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16645),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_case_clause] = STATE(15710),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(152),
    [sym_block_comment] = STATE(152),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [aux_sym_indented_cases_repeat1] = STATE(14287),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [153] = {
    [sym__top_level_definition] = STATE(15180),
    [sym_enum_definition] = STATE(14683),
    [sym_package_clause] = STATE(14683),
    [sym_package_object] = STATE(14683),
    [sym_import_declaration] = STATE(14683),
    [sym_export_declaration] = STATE(14683),
    [sym_object_definition] = STATE(14683),
    [sym_class_definition] = STATE(14683),
    [sym_trait_definition] = STATE(14683),
    [sym__end_marker] = STATE(14683),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14683),
    [sym_val_declaration] = STATE(14683),
    [sym__start_val] = STATE(4089),
    [sym_var_declaration] = STATE(14683),
    [sym_var_definition] = STATE(14683),
    [sym__start_var] = STATE(4113),
    [sym_type_definition] = STATE(14683),
    [sym_function_definition] = STATE(14683),
    [sym_function_declaration] = STATE(14683),
    [sym__function_declaration] = STATE(13672),
    [sym_opaque_modifier] = STATE(17162),
    [sym_extension_definition] = STATE(14683),
    [sym_given_definition] = STATE(14683),
    [sym_modifiers] = STATE(12324),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym_block] = STATE(10133),
    [sym_expression] = STATE(13676),
    [sym__simple_expression] = STATE(7525),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15728),
    [sym_case_block] = STATE(10133),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(10133),
    [sym_call_expression] = STATE(10133),
    [sym_field_expression] = STATE(10133),
    [sym_instance_expression] = STATE(10133),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(10489),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(17114),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10321),
    [sym_tuple_expression] = STATE(10133),
    [sym_parenthesized_expression] = STATE(10133),
    [sym_splice_expression] = STATE(10133),
    [sym_quote_expression] = STATE(10133),
    [sym_identifier] = STATE(7070),
    [sym__soft_identifier] = STATE(4482),
    [sym_wildcard] = STATE(9321),
    [sym__non_null_literal] = STATE(10133),
    [sym_boolean_literal] = STATE(7065),
    [sym_interpolated_string_expression] = STATE(10133),
    [sym_string] = STATE(7065),
    [sym_unit] = STATE(10133),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(153),
    [sym_block_comment] = STATE(153),
    [aux_sym_enum_definition_repeat1] = STATE(4191),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_package] = ACTIONS(17),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_given] = ACTIONS(27),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_end] = ACTIONS(35),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_extension] = ACTIONS(47),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(55),
    [anon_sym_def] = ACTIONS(57),
    [anon_sym_opaque] = ACTIONS(59),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(67),
    [anon_sym_infix] = ACTIONS(69),
    [anon_sym_open] = ACTIONS(71),
    [anon_sym_transparent] = ACTIONS(73),
    [anon_sym_LPAREN] = ACTIONS(75),
    [anon_sym_macro] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(83),
    [sym_operator_identifier] = ACTIONS(85),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(95),
    [anon_sym_throw] = ACTIONS(97),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [154] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16112),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_case_clause] = STATE(15710),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(154),
    [sym_block_comment] = STATE(154),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [aux_sym_indented_cases_repeat1] = STATE(14167),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [155] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(15919),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_case_clause] = STATE(15710),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(155),
    [sym_block_comment] = STATE(155),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [aux_sym_indented_cases_repeat1] = STATE(14287),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [156] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16856),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_case_clause] = STATE(15710),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(156),
    [sym_block_comment] = STATE(156),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [aux_sym_indented_cases_repeat1] = STATE(14141),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [157] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(15890),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_case_clause] = STATE(15710),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(157),
    [sym_block_comment] = STATE(157),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [aux_sym_indented_cases_repeat1] = STATE(14358),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [158] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16481),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_case_clause] = STATE(15710),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(158),
    [sym_block_comment] = STATE(158),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [aux_sym_indented_cases_repeat1] = STATE(14049),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [159] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(15963),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_case_clause] = STATE(15710),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(159),
    [sym_block_comment] = STATE(159),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [aux_sym_indented_cases_repeat1] = STATE(14062),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [160] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(17459),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_case_clause] = STATE(15710),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(160),
    [sym_block_comment] = STATE(160),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [aux_sym_indented_cases_repeat1] = STATE(14180),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [161] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16567),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_case_clause] = STATE(15710),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(161),
    [sym_block_comment] = STATE(161),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [aux_sym_indented_cases_repeat1] = STATE(14180),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [162] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16950),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_case_clause] = STATE(15710),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(162),
    [sym_block_comment] = STATE(162),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [aux_sym_indented_cases_repeat1] = STATE(14181),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [163] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(15992),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_case_clause] = STATE(15710),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(163),
    [sym_block_comment] = STATE(163),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [aux_sym_indented_cases_repeat1] = STATE(14179),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [164] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16459),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_case_clause] = STATE(15710),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(164),
    [sym_block_comment] = STATE(164),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [aux_sym_indented_cases_repeat1] = STATE(14356),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [165] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16495),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_case_clause] = STATE(15710),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(165),
    [sym_block_comment] = STATE(165),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [aux_sym_indented_cases_repeat1] = STATE(14098),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [166] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_self_type] = STATE(216),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16504),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6059),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(166),
    [sym_block_comment] = STATE(166),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(559),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__outdent] = ACTIONS(561),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [167] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16196),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_case_clause] = STATE(15710),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(167),
    [sym_block_comment] = STATE(167),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [aux_sym_indented_cases_repeat1] = STATE(14110),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [168] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16038),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_case_clause] = STATE(15710),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(168),
    [sym_block_comment] = STATE(168),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [aux_sym_indented_cases_repeat1] = STATE(14248),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [169] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(15830),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_case_clause] = STATE(15710),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(169),
    [sym_block_comment] = STATE(169),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [aux_sym_indented_cases_repeat1] = STATE(14158),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [170] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16411),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_case_clause] = STATE(15710),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(170),
    [sym_block_comment] = STATE(170),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [aux_sym_indented_cases_repeat1] = STATE(14333),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [171] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16808),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_case_clause] = STATE(15710),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(171),
    [sym_block_comment] = STATE(171),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [aux_sym_indented_cases_repeat1] = STATE(14246),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [172] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(15873),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_case_clause] = STATE(15710),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(172),
    [sym_block_comment] = STATE(172),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [aux_sym_indented_cases_repeat1] = STATE(14319),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [173] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16076),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_case_clause] = STATE(15710),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(173),
    [sym_block_comment] = STATE(173),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [aux_sym_indented_cases_repeat1] = STATE(14356),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [174] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16708),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_case_clause] = STATE(15710),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(174),
    [sym_block_comment] = STATE(174),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [aux_sym_indented_cases_repeat1] = STATE(14267),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [175] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16262),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_case_clause] = STATE(15710),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(175),
    [sym_block_comment] = STATE(175),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [aux_sym_indented_cases_repeat1] = STATE(14281),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [176] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16364),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_case_clause] = STATE(15710),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(176),
    [sym_block_comment] = STATE(176),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [aux_sym_indented_cases_repeat1] = STATE(14158),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [177] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(17090),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_case_clause] = STATE(15710),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(177),
    [sym_block_comment] = STATE(177),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [aux_sym_indented_cases_repeat1] = STATE(14291),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [178] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16911),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_case_clause] = STATE(15710),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(178),
    [sym_block_comment] = STATE(178),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [aux_sym_indented_cases_repeat1] = STATE(14057),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [179] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16316),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_case_clause] = STATE(15710),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(179),
    [sym_block_comment] = STATE(179),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [aux_sym_indented_cases_repeat1] = STATE(14234),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [180] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16429),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_case_clause] = STATE(15710),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(180),
    [sym_block_comment] = STATE(180),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [aux_sym_indented_cases_repeat1] = STATE(14167),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [181] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(15952),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_case_clause] = STATE(15710),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(181),
    [sym_block_comment] = STATE(181),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [aux_sym_indented_cases_repeat1] = STATE(14141),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [182] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16283),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_case_clause] = STATE(15710),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(182),
    [sym_block_comment] = STATE(182),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [aux_sym_indented_cases_repeat1] = STATE(14358),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [183] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16016),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_case_clause] = STATE(15710),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(183),
    [sym_block_comment] = STATE(183),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [aux_sym_indented_cases_repeat1] = STATE(14182),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [184] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16947),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_case_clause] = STATE(15710),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(184),
    [sym_block_comment] = STATE(184),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [aux_sym_indented_cases_repeat1] = STATE(14181),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [185] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16241),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_case_clause] = STATE(15710),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(185),
    [sym_block_comment] = STATE(185),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [aux_sym_indented_cases_repeat1] = STATE(14049),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [186] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(17227),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_case_clause] = STATE(15710),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(186),
    [sym_block_comment] = STATE(186),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [aux_sym_indented_cases_repeat1] = STATE(14235),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [187] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16332),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_case_clause] = STATE(15710),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(187),
    [sym_block_comment] = STATE(187),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [aux_sym_indented_cases_repeat1] = STATE(14235),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [188] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16754),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_case_clause] = STATE(15710),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(188),
    [sym_block_comment] = STATE(188),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [aux_sym_indented_cases_repeat1] = STATE(14267),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [189] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16756),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_case_clause] = STATE(15710),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(189),
    [sym_block_comment] = STATE(189),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [aux_sym_indented_cases_repeat1] = STATE(14319),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [190] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16203),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_case_clause] = STATE(15710),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(190),
    [sym_block_comment] = STATE(190),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [aux_sym_indented_cases_repeat1] = STATE(14281),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [191] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16154),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_case_clause] = STATE(15710),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(191),
    [sym_block_comment] = STATE(191),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [aux_sym_indented_cases_repeat1] = STATE(14191),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [192] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(15835),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_case_clause] = STATE(15710),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(192),
    [sym_block_comment] = STATE(192),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [aux_sym_indented_cases_repeat1] = STATE(14234),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [193] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16377),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_case_clause] = STATE(15710),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(193),
    [sym_block_comment] = STATE(193),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [aux_sym_indented_cases_repeat1] = STATE(14191),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [194] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_self_type] = STATE(388),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(17026),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6172),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(194),
    [sym_block_comment] = STATE(194),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [195] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_self_type] = STATE(424),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16074),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6172),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(195),
    [sym_block_comment] = STATE(195),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [196] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_self_type] = STATE(495),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16973),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6172),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(196),
    [sym_block_comment] = STATE(196),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [197] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_self_type] = STATE(508),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16989),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6172),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(197),
    [sym_block_comment] = STATE(197),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [198] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_self_type] = STATE(484),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16961),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6172),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(198),
    [sym_block_comment] = STATE(198),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [199] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_self_type] = STATE(493),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(17116),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6172),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(199),
    [sym_block_comment] = STATE(199),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [200] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_self_type] = STATE(475),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16358),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6172),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(200),
    [sym_block_comment] = STATE(200),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [201] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_self_type] = STATE(458),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(17103),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6172),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(201),
    [sym_block_comment] = STATE(201),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [202] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_self_type] = STATE(477),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16953),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6172),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(202),
    [sym_block_comment] = STATE(202),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [203] = {
    [sym_enum_definition] = STATE(13988),
    [sym_import_declaration] = STATE(13988),
    [sym_export_declaration] = STATE(13988),
    [sym_object_definition] = STATE(13988),
    [sym_class_definition] = STATE(13988),
    [sym_trait_definition] = STATE(13988),
    [sym__end_marker] = STATE(13988),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(13988),
    [sym_val_declaration] = STATE(13988),
    [sym__start_val] = STATE(4086),
    [sym_var_declaration] = STATE(13988),
    [sym_var_definition] = STATE(13988),
    [sym__start_var] = STATE(4084),
    [sym_type_definition] = STATE(13988),
    [sym_function_definition] = STATE(13988),
    [sym_function_declaration] = STATE(13988),
    [sym__function_declaration] = STATE(13546),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(13988),
    [sym_given_definition] = STATE(13988),
    [sym_modifiers] = STATE(12437),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(526),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(15513),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13414),
    [sym__simple_expression] = STATE(7289),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15762),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10205),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10142),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6081),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(8816),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(203),
    [sym_block_comment] = STATE(203),
    [aux_sym_enum_definition_repeat1] = STATE(4197),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(565),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(567),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(569),
    [anon_sym_DASH] = ACTIONS(569),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(571),
    [anon_sym_while] = ACTIONS(573),
    [anon_sym_for] = ACTIONS(575),
    [anon_sym_try] = ACTIONS(577),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(579),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(581),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(583),
    [anon_sym_macro] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(569),
    [anon_sym_TILDE] = ACTIONS(569),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(587),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(589),
    [anon_sym_throw] = ACTIONS(591),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__outdent] = ACTIONS(593),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [204] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_self_type] = STATE(499),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16409),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6172),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(204),
    [sym_block_comment] = STATE(204),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [205] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_self_type] = STATE(463),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(17003),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6172),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(205),
    [sym_block_comment] = STATE(205),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [206] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_self_type] = STATE(501),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(17132),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6172),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(206),
    [sym_block_comment] = STATE(206),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [207] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_self_type] = STATE(502),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(17011),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6172),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(207),
    [sym_block_comment] = STATE(207),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [208] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_self_type] = STATE(452),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(17087),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6172),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(208),
    [sym_block_comment] = STATE(208),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [209] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_self_type] = STATE(457),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16301),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6172),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(209),
    [sym_block_comment] = STATE(209),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [210] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_self_type] = STATE(428),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(17070),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6172),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(210),
    [sym_block_comment] = STATE(210),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [211] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_self_type] = STATE(506),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(17148),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6172),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(211),
    [sym_block_comment] = STATE(211),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [212] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_self_type] = STATE(455),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16918),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6172),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(212),
    [sym_block_comment] = STATE(212),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [213] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_self_type] = STATE(435),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(17059),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6172),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(213),
    [sym_block_comment] = STATE(213),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [214] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_self_type] = STATE(496),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(17031),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6172),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(214),
    [sym_block_comment] = STATE(214),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [215] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__end_marker] = STATE(14272),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(17066),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(7036),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(215),
    [sym_block_comment] = STATE(215),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(595),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [216] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16156),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(216),
    [sym_block_comment] = STATE(216),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__outdent] = ACTIONS(597),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [217] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_self_type] = STATE(497),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16464),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6172),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(217),
    [sym_block_comment] = STATE(217),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [218] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_self_type] = STATE(500),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(17166),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6172),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(218),
    [sym_block_comment] = STATE(218),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [219] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_self_type] = STATE(490),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(17058),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6172),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(219),
    [sym_block_comment] = STATE(219),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [220] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_self_type] = STATE(485),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(17084),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6172),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(220),
    [sym_block_comment] = STATE(220),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [221] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_self_type] = STATE(444),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16897),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6172),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(221),
    [sym_block_comment] = STATE(221),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [222] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_self_type] = STATE(419),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(17048),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6172),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(222),
    [sym_block_comment] = STATE(222),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [223] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_self_type] = STATE(430),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16238),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6172),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(223),
    [sym_block_comment] = STATE(223),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [224] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_self_type] = STATE(487),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(17182),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6172),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(224),
    [sym_block_comment] = STATE(224),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [225] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_self_type] = STATE(480),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(17106),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6172),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(225),
    [sym_block_comment] = STATE(225),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [226] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_self_type] = STATE(407),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(17035),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6172),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(226),
    [sym_block_comment] = STATE(226),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [227] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_self_type] = STATE(479),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16534),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6172),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(227),
    [sym_block_comment] = STATE(227),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [228] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_self_type] = STATE(473),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(17120),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6172),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(228),
    [sym_block_comment] = STATE(228),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [229] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_self_type] = STATE(412),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16875),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6172),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(229),
    [sym_block_comment] = STATE(229),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [230] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_self_type] = STATE(344),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(17481),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6172),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(230),
    [sym_block_comment] = STATE(230),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [231] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_self_type] = STATE(325),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(17196),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6172),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(231),
    [sym_block_comment] = STATE(231),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [232] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__end_marker] = STATE(14272),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16720),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(7036),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(232),
    [sym_block_comment] = STATE(232),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(599),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [233] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_self_type] = STATE(396),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16175),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6172),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(233),
    [sym_block_comment] = STATE(233),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [234] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_self_type] = STATE(393),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16847),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6172),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(234),
    [sym_block_comment] = STATE(234),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [235] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_self_type] = STATE(467),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(17138),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6172),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(235),
    [sym_block_comment] = STATE(235),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [236] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_self_type] = STATE(469),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16611),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6172),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(236),
    [sym_block_comment] = STATE(236),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [237] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_self_type] = STATE(462),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(17154),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6172),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(237),
    [sym_block_comment] = STATE(237),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [238] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_self_type] = STATE(456),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(17174),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6172),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(238),
    [sym_block_comment] = STATE(238),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [239] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_self_type] = STATE(379),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(17015),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6172),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(239),
    [sym_block_comment] = STATE(239),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [240] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_self_type] = STATE(464),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(17210),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6172),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(240),
    [sym_block_comment] = STATE(240),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [241] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_self_type] = STATE(380),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16089),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6172),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(241),
    [sym_block_comment] = STATE(241),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [242] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_self_type] = STATE(454),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16682),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6172),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(242),
    [sym_block_comment] = STATE(242),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [243] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_self_type] = STATE(450),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(17186),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6172),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(243),
    [sym_block_comment] = STATE(243),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [244] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_self_type] = STATE(381),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16819),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6172),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(244),
    [sym_block_comment] = STATE(244),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [245] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_self_type] = STATE(453),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(17230),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6172),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(245),
    [sym_block_comment] = STATE(245),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [246] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_self_type] = STATE(367),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16051),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6172),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(246),
    [sym_block_comment] = STATE(246),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [247] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_self_type] = STATE(369),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16857),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6172),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(247),
    [sym_block_comment] = STATE(247),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [248] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_self_type] = STATE(439),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(17202),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6172),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(248),
    [sym_block_comment] = STATE(248),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [249] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_self_type] = STATE(441),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16738),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6172),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(249),
    [sym_block_comment] = STATE(249),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [250] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_self_type] = STATE(326),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16121),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6172),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(250),
    [sym_block_comment] = STATE(250),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [251] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_self_type] = STATE(353),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(15993),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6172),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(251),
    [sym_block_comment] = STATE(251),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [252] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_self_type] = STATE(442),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(17242),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6172),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(252),
    [sym_block_comment] = STATE(252),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [253] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_self_type] = STATE(432),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(17220),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6172),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(253),
    [sym_block_comment] = STATE(253),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [254] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_self_type] = STATE(354),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16771),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6172),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(254),
    [sym_block_comment] = STATE(254),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [255] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_self_type] = STATE(349),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16751),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6172),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(255),
    [sym_block_comment] = STATE(255),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [256] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_self_type] = STATE(348),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(15927),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6172),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(256),
    [sym_block_comment] = STATE(256),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [257] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_self_type] = STATE(434),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(17256),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6172),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(257),
    [sym_block_comment] = STATE(257),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [258] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_self_type] = STATE(426),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(17130),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6172),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(258),
    [sym_block_comment] = STATE(258),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [259] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_self_type] = STATE(346),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16703),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6172),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(259),
    [sym_block_comment] = STATE(259),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [260] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_self_type] = STATE(332),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(15868),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6172),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(260),
    [sym_block_comment] = STATE(260),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [261] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_self_type] = STATE(420),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(17248),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6172),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(261),
    [sym_block_comment] = STATE(261),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [262] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_self_type] = STATE(427),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16785),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6172),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(262),
    [sym_block_comment] = STATE(262),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [263] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_self_type] = STATE(330),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16678),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6172),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(263),
    [sym_block_comment] = STATE(263),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [264] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_self_type] = STATE(423),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(17274),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6172),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(264),
    [sym_block_comment] = STATE(264),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [265] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_self_type] = STATE(413),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(17264),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6172),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(265),
    [sym_block_comment] = STATE(265),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [266] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_self_type] = STATE(402),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(15811),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6172),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(266),
    [sym_block_comment] = STATE(266),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [267] = {
    [sym_enum_definition] = STATE(14029),
    [sym_import_declaration] = STATE(14029),
    [sym_export_declaration] = STATE(14029),
    [sym_object_definition] = STATE(14029),
    [sym_class_definition] = STATE(14029),
    [sym_trait_definition] = STATE(14029),
    [sym__end_marker] = STATE(14029),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14029),
    [sym_val_declaration] = STATE(14029),
    [sym__start_val] = STATE(4133),
    [sym_var_declaration] = STATE(14029),
    [sym_var_definition] = STATE(14029),
    [sym__start_var] = STATE(4131),
    [sym_type_definition] = STATE(14029),
    [sym_function_definition] = STATE(14029),
    [sym_function_declaration] = STATE(14029),
    [sym__function_declaration] = STATE(13573),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14029),
    [sym_given_definition] = STATE(14029),
    [sym_modifiers] = STATE(12435),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(525),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(15568),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13294),
    [sym__simple_expression] = STATE(7311),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15577),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(10220),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10124),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6254),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(8727),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(267),
    [sym_block_comment] = STATE(267),
    [aux_sym_enum_definition_repeat1] = STATE(4207),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(593),
    [anon_sym_case] = ACTIONS(565),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(601),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(603),
    [anon_sym_DASH] = ACTIONS(603),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(605),
    [anon_sym_while] = ACTIONS(607),
    [anon_sym_for] = ACTIONS(609),
    [anon_sym_try] = ACTIONS(611),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(613),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(615),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(617),
    [anon_sym_macro] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(603),
    [anon_sym_TILDE] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(621),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(623),
    [anon_sym_throw] = ACTIONS(625),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [268] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_self_type] = STATE(398),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16642),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6172),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(268),
    [sym_block_comment] = STATE(268),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [269] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_self_type] = STATE(421),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(15794),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6172),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(269),
    [sym_block_comment] = STATE(269),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [270] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_self_type] = STATE(406),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(17280),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6172),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(270),
    [sym_block_comment] = STATE(270),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [271] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_self_type] = STATE(417),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(17288),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6172),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(271),
    [sym_block_comment] = STATE(271),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [272] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_self_type] = STATE(411),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16838),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6172),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(272),
    [sym_block_comment] = STATE(272),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [273] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_self_type] = STATE(422),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16602),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6172),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(273),
    [sym_block_comment] = STATE(273),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [274] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_self_type] = STATE(449),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(15910),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6172),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(274),
    [sym_block_comment] = STATE(274),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [275] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_self_type] = STATE(446),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16540),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6172),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(275),
    [sym_block_comment] = STATE(275),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [276] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_self_type] = STATE(505),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(15901),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6172),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(276),
    [sym_block_comment] = STATE(276),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [277] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_self_type] = STATE(405),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(17304),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6172),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(277),
    [sym_block_comment] = STATE(277),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [278] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_self_type] = STATE(478),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16501),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6172),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(278),
    [sym_block_comment] = STATE(278),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [279] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_self_type] = STATE(397),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(17296),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6172),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(279),
    [sym_block_comment] = STATE(279),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [280] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__end_marker] = STATE(14272),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(17455),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(7036),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(280),
    [sym_block_comment] = STATE(280),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(627),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [281] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_self_type] = STATE(391),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(17310),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6172),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(281),
    [sym_block_comment] = STATE(281),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [282] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_self_type] = STATE(399),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(17317),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6172),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(282),
    [sym_block_comment] = STATE(282),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [283] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_self_type] = STATE(494),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(15941),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6172),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(283),
    [sym_block_comment] = STATE(283),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [284] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__end_marker] = STATE(14272),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16922),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(7036),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(284),
    [sym_block_comment] = STATE(284),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(629),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [285] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_self_type] = STATE(395),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16894),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6172),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(285),
    [sym_block_comment] = STATE(285),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [286] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_self_type] = STATE(358),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(17473),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6172),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(286),
    [sym_block_comment] = STATE(286),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [287] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_self_type] = STATE(392),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(17334),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6172),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(287),
    [sym_block_comment] = STATE(287),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [288] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_self_type] = STATE(333),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(17351),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6172),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(288),
    [sym_block_comment] = STATE(288),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [289] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_self_type] = STATE(492),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16466),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6172),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(289),
    [sym_block_comment] = STATE(289),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [290] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_self_type] = STATE(362),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(17062),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6172),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(290),
    [sym_block_comment] = STATE(290),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [291] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_self_type] = STATE(370),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16988),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6172),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(291),
    [sym_block_comment] = STATE(291),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [292] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_self_type] = STATE(327),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(17346),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6172),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(292),
    [sym_block_comment] = STATE(292),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [293] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_self_type] = STATE(347),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(17498),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6172),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(293),
    [sym_block_comment] = STATE(293),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [294] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_self_type] = STATE(445),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16510),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6172),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(294),
    [sym_block_comment] = STATE(294),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [295] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_self_type] = STATE(482),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(15849),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6172),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(295),
    [sym_block_comment] = STATE(295),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [296] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_self_type] = STATE(466),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16008),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6172),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(296),
    [sym_block_comment] = STATE(296),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [297] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_self_type] = STATE(361),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(17461),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6172),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(297),
    [sym_block_comment] = STATE(297),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [298] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_self_type] = STATE(471),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16424),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6172),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(298),
    [sym_block_comment] = STATE(298),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [299] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__end_marker] = STATE(14272),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16500),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(7036),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(299),
    [sym_block_comment] = STATE(299),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(631),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [300] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_self_type] = STATE(331),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(17365),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6172),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(300),
    [sym_block_comment] = STATE(300),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [301] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_self_type] = STATE(440),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16050),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6172),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(301),
    [sym_block_comment] = STATE(301),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [302] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_self_type] = STATE(368),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(17371),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6172),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(302),
    [sym_block_comment] = STATE(302),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [303] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_self_type] = STATE(351),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(17496),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6172),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(303),
    [sym_block_comment] = STATE(303),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [304] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_self_type] = STATE(336),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(17287),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6172),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(304),
    [sym_block_comment] = STATE(304),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [305] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_self_type] = STATE(334),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(17378),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6172),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(305),
    [sym_block_comment] = STATE(305),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [306] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_self_type] = STATE(385),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(17326),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6172),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(306),
    [sym_block_comment] = STATE(306),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [307] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_self_type] = STATE(451),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16383),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6172),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(307),
    [sym_block_comment] = STATE(307),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [308] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_self_type] = STATE(415),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16099),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6172),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(308),
    [sym_block_comment] = STATE(308),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [309] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_self_type] = STATE(404),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16336),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6172),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(309),
    [sym_block_comment] = STATE(309),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [310] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_self_type] = STATE(337),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(17391),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6172),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(310),
    [sym_block_comment] = STATE(310),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [311] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_self_type] = STATE(390),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16300),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6172),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(311),
    [sym_block_comment] = STATE(311),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [312] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__end_marker] = STATE(14272),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16152),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(7036),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(312),
    [sym_block_comment] = STATE(312),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(633),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [313] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__end_marker] = STATE(14272),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16085),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(7036),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(313),
    [sym_block_comment] = STATE(313),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(635),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [314] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_self_type] = STATE(372),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16258),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6172),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(314),
    [sym_block_comment] = STATE(314),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [315] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_self_type] = STATE(355),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(17500),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6172),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(315),
    [sym_block_comment] = STATE(315),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [316] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_self_type] = STATE(357),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16214),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6172),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(316),
    [sym_block_comment] = STATE(316),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [317] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_self_type] = STATE(340),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(17467),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6172),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(317),
    [sym_block_comment] = STATE(317),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [318] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_self_type] = STATE(378),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16935),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6172),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(318),
    [sym_block_comment] = STATE(318),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [319] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_self_type] = STATE(363),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(17384),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6172),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(319),
    [sym_block_comment] = STATE(319),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [320] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_self_type] = STATE(343),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16169),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6172),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(320),
    [sym_block_comment] = STATE(320),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [321] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_self_type] = STATE(374),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(17258),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6172),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(321),
    [sym_block_comment] = STATE(321),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [322] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_self_type] = STATE(371),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(17356),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6172),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(322),
    [sym_block_comment] = STATE(322),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [323] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_self_type] = STATE(345),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(17195),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6172),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(323),
    [sym_block_comment] = STATE(323),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [324] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__end_marker] = STATE(14272),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16850),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(7036),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(324),
    [sym_block_comment] = STATE(324),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [325] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(17188),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(325),
    [sym_block_comment] = STATE(325),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [326] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16141),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(326),
    [sym_block_comment] = STATE(326),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [327] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(17341),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(327),
    [sym_block_comment] = STATE(327),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [328] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__end_marker] = STATE(14272),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(15825),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(7036),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(328),
    [sym_block_comment] = STATE(328),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [329] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__end_marker] = STATE(14272),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(15831),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(7036),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(329),
    [sym_block_comment] = STATE(329),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [330] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16683),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(330),
    [sym_block_comment] = STATE(330),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [331] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(17358),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(331),
    [sym_block_comment] = STATE(331),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [332] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(15860),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(332),
    [sym_block_comment] = STATE(332),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [333] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(17297),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(333),
    [sym_block_comment] = STATE(333),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [334] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(17373),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(334),
    [sym_block_comment] = STATE(334),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [335] = {
    [sym_enum_definition] = STATE(14067),
    [sym_import_declaration] = STATE(14067),
    [sym_export_declaration] = STATE(14067),
    [sym_object_definition] = STATE(14067),
    [sym_class_definition] = STATE(14067),
    [sym_trait_definition] = STATE(14067),
    [sym__end_marker] = STATE(14067),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14067),
    [sym_val_declaration] = STATE(14067),
    [sym__start_val] = STATE(4086),
    [sym_var_declaration] = STATE(14067),
    [sym_var_definition] = STATE(14067),
    [sym__start_var] = STATE(4084),
    [sym_type_definition] = STATE(14067),
    [sym_function_definition] = STATE(14067),
    [sym_function_declaration] = STATE(14067),
    [sym__function_declaration] = STATE(13546),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14067),
    [sym_given_definition] = STATE(14067),
    [sym_modifiers] = STATE(12437),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(526),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13536),
    [sym__simple_expression] = STATE(7289),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15762),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10205),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10142),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6081),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(8816),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(335),
    [sym_block_comment] = STATE(335),
    [aux_sym_enum_definition_repeat1] = STATE(4197),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(637),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(567),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(569),
    [anon_sym_DASH] = ACTIONS(569),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(571),
    [anon_sym_while] = ACTIONS(573),
    [anon_sym_for] = ACTIONS(575),
    [anon_sym_try] = ACTIONS(577),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(579),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(581),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(639),
    [anon_sym_macro] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(569),
    [anon_sym_TILDE] = ACTIONS(569),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(587),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(589),
    [anon_sym_throw] = ACTIONS(591),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__outdent] = ACTIONS(641),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [336] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(17267),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(336),
    [sym_block_comment] = STATE(336),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [337] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(17340),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(337),
    [sym_block_comment] = STATE(337),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [338] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__end_marker] = STATE(14272),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(15876),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(7036),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(338),
    [sym_block_comment] = STATE(338),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [339] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__end_marker] = STATE(14272),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(15883),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(7036),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(339),
    [sym_block_comment] = STATE(339),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [340] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(17462),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(340),
    [sym_block_comment] = STATE(340),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [341] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__end_marker] = STATE(14272),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(17216),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(7036),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(341),
    [sym_block_comment] = STATE(341),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [342] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__end_marker] = STATE(14272),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(17213),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(7036),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(342),
    [sym_block_comment] = STATE(342),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [343] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16178),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(343),
    [sym_block_comment] = STATE(343),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [344] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(17474),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(344),
    [sym_block_comment] = STATE(344),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [345] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(17153),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(345),
    [sym_block_comment] = STATE(345),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [346] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16724),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(346),
    [sym_block_comment] = STATE(346),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [347] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(17491),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(347),
    [sym_block_comment] = STATE(347),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [348] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(15918),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(348),
    [sym_block_comment] = STATE(348),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [349] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16761),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(349),
    [sym_block_comment] = STATE(349),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [350] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__end_marker] = STATE(14272),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(15944),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(7036),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(350),
    [sym_block_comment] = STATE(350),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [351] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(17385),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(351),
    [sym_block_comment] = STATE(351),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [352] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__end_marker] = STATE(14272),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(15948),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(7036),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(352),
    [sym_block_comment] = STATE(352),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [353] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(15974),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(353),
    [sym_block_comment] = STATE(353),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [354] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16780),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(354),
    [sym_block_comment] = STATE(354),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [355] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(17501),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(355),
    [sym_block_comment] = STATE(355),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [356] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__end_marker] = STATE(14272),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(17080),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(7036),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(356),
    [sym_block_comment] = STATE(356),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [357] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16221),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(357),
    [sym_block_comment] = STATE(357),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [358] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(17480),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(358),
    [sym_block_comment] = STATE(358),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [359] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__end_marker] = STATE(14272),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(17078),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(7036),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(359),
    [sym_block_comment] = STATE(359),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [360] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__end_marker] = STATE(14272),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16005),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(7036),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(360),
    [sym_block_comment] = STATE(360),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [361] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(17466),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(361),
    [sym_block_comment] = STATE(361),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [362] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(17038),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(362),
    [sym_block_comment] = STATE(362),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [363] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(17390),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(363),
    [sym_block_comment] = STATE(363),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [364] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__end_marker] = STATE(14272),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16007),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(7036),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(364),
    [sym_block_comment] = STATE(364),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [365] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__end_marker] = STATE(14272),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16998),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(7036),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(365),
    [sym_block_comment] = STATE(365),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [366] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__end_marker] = STATE(14272),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16995),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(7036),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(366),
    [sym_block_comment] = STATE(366),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [367] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16036),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(367),
    [sym_block_comment] = STATE(367),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [368] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(17376),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(368),
    [sym_block_comment] = STATE(368),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [369] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16803),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(369),
    [sym_block_comment] = STATE(369),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [370] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16968),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(370),
    [sym_block_comment] = STATE(370),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [371] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(17363),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(371),
    [sym_block_comment] = STATE(371),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [372] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16272),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(372),
    [sym_block_comment] = STATE(372),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [373] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__end_marker] = STATE(14272),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16058),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(7036),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(373),
    [sym_block_comment] = STATE(373),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [374] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(17345),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(374),
    [sym_block_comment] = STATE(374),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [375] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__end_marker] = STATE(14272),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16945),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(7036),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(375),
    [sym_block_comment] = STATE(375),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [376] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__end_marker] = STATE(14272),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16943),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(7036),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(376),
    [sym_block_comment] = STATE(376),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [377] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__end_marker] = STATE(14272),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16064),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(7036),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(377),
    [sym_block_comment] = STATE(377),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [378] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16926),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(378),
    [sym_block_comment] = STATE(378),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [379] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(17012),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(379),
    [sym_block_comment] = STATE(379),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [380] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16091),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(380),
    [sym_block_comment] = STATE(380),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [381] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16825),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(381),
    [sym_block_comment] = STATE(381),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [382] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__end_marker] = STATE(14272),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16906),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(7036),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(382),
    [sym_block_comment] = STATE(382),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [383] = {
    [sym_enum_definition] = STATE(14213),
    [sym__enum_block] = STATE(17359),
    [sym_enum_case_definitions] = STATE(14213),
    [sym_import_declaration] = STATE(14213),
    [sym_export_declaration] = STATE(14213),
    [sym_object_definition] = STATE(14213),
    [sym_class_definition] = STATE(14213),
    [sym_trait_definition] = STATE(14213),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14213),
    [sym_val_declaration] = STATE(14213),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14213),
    [sym_var_definition] = STATE(14213),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14213),
    [sym_function_definition] = STATE(14213),
    [sym_function_declaration] = STATE(14213),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14213),
    [sym_given_definition] = STATE(14213),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13619),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(7036),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(383),
    [sym_block_comment] = STATE(383),
    [aux_sym_enum_definition_repeat1] = STATE(4198),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(643),
    [anon_sym_case] = ACTIONS(645),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [384] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__end_marker] = STATE(14272),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16120),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(7036),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(384),
    [sym_block_comment] = STATE(384),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [385] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(17333),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(385),
    [sym_block_comment] = STATE(385),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [386] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__end_marker] = STATE(14272),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16904),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(7036),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(386),
    [sym_block_comment] = STATE(386),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [387] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__end_marker] = STATE(14272),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16127),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(7036),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(387),
    [sym_block_comment] = STATE(387),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [388] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(17022),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(388),
    [sym_block_comment] = STATE(388),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [389] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16723),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(389),
    [sym_block_comment] = STATE(389),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [390] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16311),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(390),
    [sym_block_comment] = STATE(390),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [391] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(17316),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(391),
    [sym_block_comment] = STATE(391),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [392] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(17329),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(392),
    [sym_block_comment] = STATE(392),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [393] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16858),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(393),
    [sym_block_comment] = STATE(393),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [394] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__end_marker] = STATE(14272),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(17396),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(7036),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(394),
    [sym_block_comment] = STATE(394),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [395] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16883),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(395),
    [sym_block_comment] = STATE(395),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [396] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16161),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(396),
    [sym_block_comment] = STATE(396),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [397] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(17303),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(397),
    [sym_block_comment] = STATE(397),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [398] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16661),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(398),
    [sym_block_comment] = STATE(398),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [399] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(17311),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(399),
    [sym_block_comment] = STATE(399),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [400] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__end_marker] = STATE(14272),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(17450),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(7036),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(400),
    [sym_block_comment] = STATE(400),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [401] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(17456),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(401),
    [sym_block_comment] = STATE(401),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [402] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(15803),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(402),
    [sym_block_comment] = STATE(402),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [403] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__end_marker] = STATE(14272),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16846),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(7036),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(403),
    [sym_block_comment] = STATE(403),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [404] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16356),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(404),
    [sym_block_comment] = STATE(404),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [405] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(17298),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(405),
    [sym_block_comment] = STATE(405),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [406] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(17286),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(406),
    [sym_block_comment] = STATE(406),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [407] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(17033),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(407),
    [sym_block_comment] = STATE(407),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [408] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__end_marker] = STATE(14272),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(15783),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(7036),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(408),
    [sym_block_comment] = STATE(408),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [409] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__end_marker] = STATE(14272),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16182),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(7036),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(409),
    [sym_block_comment] = STATE(409),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [410] = {
    [sym_enum_definition] = STATE(14204),
    [sym_import_declaration] = STATE(14204),
    [sym_export_declaration] = STATE(14204),
    [sym_object_definition] = STATE(14204),
    [sym_class_definition] = STATE(14204),
    [sym_trait_definition] = STATE(14204),
    [sym__end_marker] = STATE(14204),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14204),
    [sym_val_declaration] = STATE(14204),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14204),
    [sym_var_definition] = STATE(14204),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14204),
    [sym_function_definition] = STATE(14204),
    [sym_function_declaration] = STATE(14204),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14204),
    [sym_given_definition] = STATE(14204),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13514),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(7036),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(410),
    [sym_block_comment] = STATE(410),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(641),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(649),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [411] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16827),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(411),
    [sym_block_comment] = STATE(411),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [412] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16885),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(412),
    [sym_block_comment] = STATE(412),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [413] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(17328),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(413),
    [sym_block_comment] = STATE(413),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [414] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__end_marker] = STATE(14272),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16189),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(7036),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(414),
    [sym_block_comment] = STATE(414),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [415] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(15980),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(415),
    [sym_block_comment] = STATE(415),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [416] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__end_marker] = STATE(14272),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16799),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(7036),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(416),
    [sym_block_comment] = STATE(416),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [417] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(17281),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(417),
    [sym_block_comment] = STATE(417),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [418] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__end_marker] = STATE(14272),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16797),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(7036),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(418),
    [sym_block_comment] = STATE(418),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [419] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(17043),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(419),
    [sym_block_comment] = STATE(419),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [420] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(17254),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(420),
    [sym_block_comment] = STATE(420),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [421] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(15812),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(421),
    [sym_block_comment] = STATE(421),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [422] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16612),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(422),
    [sym_block_comment] = STATE(422),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [423] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(17266),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(423),
    [sym_block_comment] = STATE(423),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [424] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(15888),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(424),
    [sym_block_comment] = STATE(424),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [425] = {
    [sym_enum_definition] = STATE(14067),
    [sym_import_declaration] = STATE(14067),
    [sym_export_declaration] = STATE(14067),
    [sym_object_definition] = STATE(14067),
    [sym_class_definition] = STATE(14067),
    [sym_trait_definition] = STATE(14067),
    [sym__end_marker] = STATE(14067),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14067),
    [sym_val_declaration] = STATE(14067),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14067),
    [sym_var_definition] = STATE(14067),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14067),
    [sym_function_definition] = STATE(14067),
    [sym_function_declaration] = STATE(14067),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14067),
    [sym_given_definition] = STATE(14067),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13536),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(425),
    [sym_block_comment] = STATE(425),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(639),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__outdent] = ACTIONS(651),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [426] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(17240),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(426),
    [sym_block_comment] = STATE(426),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [427] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16777),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(427),
    [sym_block_comment] = STATE(427),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [428] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(17065),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(428),
    [sym_block_comment] = STATE(428),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [429] = {
    [sym_enum_definition] = STATE(14213),
    [sym__enum_block] = STATE(16564),
    [sym_enum_case_definitions] = STATE(14213),
    [sym_import_declaration] = STATE(14213),
    [sym_export_declaration] = STATE(14213),
    [sym_object_definition] = STATE(14213),
    [sym_class_definition] = STATE(14213),
    [sym_trait_definition] = STATE(14213),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14213),
    [sym_val_declaration] = STATE(14213),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14213),
    [sym_var_definition] = STATE(14213),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14213),
    [sym_function_definition] = STATE(14213),
    [sym_function_declaration] = STATE(14213),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14213),
    [sym_given_definition] = STATE(14213),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13619),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(7036),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(429),
    [sym_block_comment] = STATE(429),
    [aux_sym_enum_definition_repeat1] = STATE(4198),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(653),
    [anon_sym_case] = ACTIONS(645),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [430] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16220),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(430),
    [sym_block_comment] = STATE(430),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [431] = {
    [sym_enum_definition] = STATE(14067),
    [sym_import_declaration] = STATE(14067),
    [sym_export_declaration] = STATE(14067),
    [sym_object_definition] = STATE(14067),
    [sym_class_definition] = STATE(14067),
    [sym_trait_definition] = STATE(14067),
    [sym__end_marker] = STATE(14067),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14067),
    [sym_val_declaration] = STATE(14067),
    [sym__start_val] = STATE(4086),
    [sym_var_declaration] = STATE(14067),
    [sym_var_definition] = STATE(14067),
    [sym__start_var] = STATE(4084),
    [sym_type_definition] = STATE(14067),
    [sym_function_definition] = STATE(14067),
    [sym_function_declaration] = STATE(14067),
    [sym__function_declaration] = STATE(13546),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14067),
    [sym_given_definition] = STATE(14067),
    [sym_modifiers] = STATE(12437),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(526),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13536),
    [sym__simple_expression] = STATE(7289),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15762),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10205),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10142),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6081),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(8816),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(431),
    [sym_block_comment] = STATE(431),
    [aux_sym_enum_definition_repeat1] = STATE(4197),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(655),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(567),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(569),
    [anon_sym_DASH] = ACTIONS(569),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(571),
    [anon_sym_while] = ACTIONS(573),
    [anon_sym_for] = ACTIONS(575),
    [anon_sym_try] = ACTIONS(577),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(579),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(581),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(639),
    [anon_sym_macro] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(569),
    [anon_sym_TILDE] = ACTIONS(569),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(587),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(589),
    [anon_sym_throw] = ACTIONS(591),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__outdent] = ACTIONS(651),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [432] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(17228),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(432),
    [sym_block_comment] = STATE(432),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [433] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__end_marker] = STATE(14272),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(15837),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(7036),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(433),
    [sym_block_comment] = STATE(433),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [434] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(17249),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(434),
    [sym_block_comment] = STATE(434),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [435] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(17056),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(435),
    [sym_block_comment] = STATE(435),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [436] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__end_marker] = STATE(14272),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16750),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(7036),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(436),
    [sym_block_comment] = STATE(436),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [437] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__end_marker] = STATE(14272),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16747),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(7036),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(437),
    [sym_block_comment] = STATE(437),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [438] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__end_marker] = STATE(14272),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16253),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(7036),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(438),
    [sym_block_comment] = STATE(438),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [439] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(17208),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(439),
    [sym_block_comment] = STATE(439),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [440] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16054),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(440),
    [sym_block_comment] = STATE(440),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [441] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16729),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(441),
    [sym_block_comment] = STATE(441),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [442] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(17236),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(442),
    [sym_block_comment] = STATE(442),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [443] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__end_marker] = STATE(14272),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16257),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(7036),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(443),
    [sym_block_comment] = STATE(443),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [444] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16901),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(444),
    [sym_block_comment] = STATE(444),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [445] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16159),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(445),
    [sym_block_comment] = STATE(445),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [446] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16575),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(446),
    [sym_block_comment] = STATE(446),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [447] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__end_marker] = STATE(14272),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16701),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(7036),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(447),
    [sym_block_comment] = STATE(447),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [448] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__end_marker] = STATE(14272),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16693),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(7036),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(448),
    [sym_block_comment] = STATE(448),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [449] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(15863),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(449),
    [sym_block_comment] = STATE(449),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [450] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(17194),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(450),
    [sym_block_comment] = STATE(450),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [451] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16391),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(451),
    [sym_block_comment] = STATE(451),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [452] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(17082),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(452),
    [sym_block_comment] = STATE(452),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [453] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(17224),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(453),
    [sym_block_comment] = STATE(453),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [454] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16669),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(454),
    [sym_block_comment] = STATE(454),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [455] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16924),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(455),
    [sym_block_comment] = STATE(455),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [456] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(17177),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(456),
    [sym_block_comment] = STATE(456),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [457] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16288),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(457),
    [sym_block_comment] = STATE(457),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [458] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(17097),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(458),
    [sym_block_comment] = STATE(458),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [459] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__end_marker] = STATE(14272),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16641),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(7036),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(459),
    [sym_block_comment] = STATE(459),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [460] = {
    [sym_enum_definition] = STATE(14204),
    [sym_import_declaration] = STATE(14204),
    [sym_export_declaration] = STATE(14204),
    [sym_object_definition] = STATE(14204),
    [sym_class_definition] = STATE(14204),
    [sym_trait_definition] = STATE(14204),
    [sym__end_marker] = STATE(14204),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14204),
    [sym_val_declaration] = STATE(14204),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14204),
    [sym_var_definition] = STATE(14204),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14204),
    [sym_function_definition] = STATE(14204),
    [sym_function_declaration] = STATE(14204),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14204),
    [sym_given_definition] = STATE(14204),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13514),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(7036),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(460),
    [sym_block_comment] = STATE(460),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(651),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(649),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [461] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__end_marker] = STATE(14272),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16633),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(7036),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(461),
    [sym_block_comment] = STATE(461),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [462] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(17158),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(462),
    [sym_block_comment] = STATE(462),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [463] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16940),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(463),
    [sym_block_comment] = STATE(463),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [464] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(17204),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(464),
    [sym_block_comment] = STATE(464),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [465] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__end_marker] = STATE(14272),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16320),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(7036),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(465),
    [sym_block_comment] = STATE(465),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [466] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16011),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(466),
    [sym_block_comment] = STATE(466),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [467] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(17143),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(467),
    [sym_block_comment] = STATE(467),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [468] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__end_marker] = STATE(14272),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16237),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(7036),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(468),
    [sym_block_comment] = STATE(468),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [469] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16591),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(469),
    [sym_block_comment] = STATE(469),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [470] = {
    [sym_enum_definition] = STATE(14204),
    [sym_import_declaration] = STATE(14204),
    [sym_export_declaration] = STATE(14204),
    [sym_object_definition] = STATE(14204),
    [sym_class_definition] = STATE(14204),
    [sym_trait_definition] = STATE(14204),
    [sym__end_marker] = STATE(14204),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14204),
    [sym_val_declaration] = STATE(14204),
    [sym__start_val] = STATE(4133),
    [sym_var_declaration] = STATE(14204),
    [sym_var_definition] = STATE(14204),
    [sym__start_var] = STATE(4131),
    [sym_type_definition] = STATE(14204),
    [sym_function_definition] = STATE(14204),
    [sym_function_declaration] = STATE(14204),
    [sym__function_declaration] = STATE(13573),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14204),
    [sym_given_definition] = STATE(14204),
    [sym_modifiers] = STATE(12435),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(525),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13514),
    [sym__simple_expression] = STATE(7311),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15577),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(10220),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10124),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6254),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(8727),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(470),
    [sym_block_comment] = STATE(470),
    [aux_sym_enum_definition_repeat1] = STATE(4207),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(651),
    [anon_sym_case] = ACTIONS(655),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(601),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(603),
    [anon_sym_DASH] = ACTIONS(603),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(605),
    [anon_sym_while] = ACTIONS(607),
    [anon_sym_for] = ACTIONS(609),
    [anon_sym_try] = ACTIONS(611),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(613),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(615),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(649),
    [anon_sym_macro] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(603),
    [anon_sym_TILDE] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(621),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(623),
    [anon_sym_throw] = ACTIONS(625),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [471] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16431),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(471),
    [sym_block_comment] = STATE(471),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [472] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__end_marker] = STATE(14272),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16576),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(7036),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(472),
    [sym_block_comment] = STATE(472),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [473] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(17126),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(473),
    [sym_block_comment] = STATE(473),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [474] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__end_marker] = STATE(14272),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16557),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(7036),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(474),
    [sym_block_comment] = STATE(474),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [475] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16351),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(475),
    [sym_block_comment] = STATE(475),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [476] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__end_marker] = STATE(14272),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16555),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(7036),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(476),
    [sym_block_comment] = STATE(476),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [477] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16958),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(477),
    [sym_block_comment] = STATE(477),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [478] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16515),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(478),
    [sym_block_comment] = STATE(478),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [479] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16522),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(479),
    [sym_block_comment] = STATE(479),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [480] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(17110),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(480),
    [sym_block_comment] = STATE(480),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [481] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__end_marker] = STATE(14272),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16371),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(7036),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(481),
    [sym_block_comment] = STATE(481),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [482] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(15987),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(482),
    [sym_block_comment] = STATE(482),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [483] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__end_marker] = STATE(14272),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(15892),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(7036),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(483),
    [sym_block_comment] = STATE(483),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [484] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16964),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(484),
    [sym_block_comment] = STATE(484),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [485] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(17094),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(485),
    [sym_block_comment] = STATE(485),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [486] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__end_marker] = STATE(14272),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16373),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(7036),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(486),
    [sym_block_comment] = STATE(486),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [487] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(17178),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(487),
    [sym_block_comment] = STATE(487),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [488] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__end_marker] = STATE(14272),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16485),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(7036),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(488),
    [sym_block_comment] = STATE(488),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [489] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__end_marker] = STATE(14272),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16695),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(7036),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(489),
    [sym_block_comment] = STATE(489),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [490] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(17069),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(490),
    [sym_block_comment] = STATE(490),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [491] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__end_marker] = STATE(14272),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16483),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(7036),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(491),
    [sym_block_comment] = STATE(491),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [492] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16473),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(492),
    [sym_block_comment] = STATE(492),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [493] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(17112),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(493),
    [sym_block_comment] = STATE(493),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [494] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(15949),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(494),
    [sym_block_comment] = STATE(494),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [495] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16982),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(495),
    [sym_block_comment] = STATE(495),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [496] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(17118),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(496),
    [sym_block_comment] = STATE(496),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [497] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16447),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(497),
    [sym_block_comment] = STATE(497),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [498] = {
    [sym_enum_definition] = STATE(14204),
    [sym_import_declaration] = STATE(14204),
    [sym_export_declaration] = STATE(14204),
    [sym_object_definition] = STATE(14204),
    [sym_class_definition] = STATE(14204),
    [sym_trait_definition] = STATE(14204),
    [sym__end_marker] = STATE(14204),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14204),
    [sym_val_declaration] = STATE(14204),
    [sym__start_val] = STATE(4133),
    [sym_var_declaration] = STATE(14204),
    [sym_var_definition] = STATE(14204),
    [sym__start_var] = STATE(4131),
    [sym_type_definition] = STATE(14204),
    [sym_function_definition] = STATE(14204),
    [sym_function_declaration] = STATE(14204),
    [sym__function_declaration] = STATE(13573),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14204),
    [sym_given_definition] = STATE(14204),
    [sym_modifiers] = STATE(12435),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(525),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13514),
    [sym__simple_expression] = STATE(7311),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15577),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(10220),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10124),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6254),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(8727),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(498),
    [sym_block_comment] = STATE(498),
    [aux_sym_enum_definition_repeat1] = STATE(4207),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(641),
    [anon_sym_case] = ACTIONS(637),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(601),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(603),
    [anon_sym_DASH] = ACTIONS(603),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(605),
    [anon_sym_while] = ACTIONS(607),
    [anon_sym_for] = ACTIONS(609),
    [anon_sym_try] = ACTIONS(611),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(613),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(615),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(649),
    [anon_sym_macro] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(603),
    [anon_sym_TILDE] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(621),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(623),
    [anon_sym_throw] = ACTIONS(625),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [499] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16395),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(499),
    [sym_block_comment] = STATE(499),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [500] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(17159),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(500),
    [sym_block_comment] = STATE(500),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [501] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(17122),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(501),
    [sym_block_comment] = STATE(501),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [502] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(17020),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(502),
    [sym_block_comment] = STATE(502),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [503] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__end_marker] = STATE(14272),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16425),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(7036),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(503),
    [sym_block_comment] = STATE(503),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [504] = {
    [sym_enum_definition] = STATE(14272),
    [sym_import_declaration] = STATE(14272),
    [sym_export_declaration] = STATE(14272),
    [sym_object_definition] = STATE(14272),
    [sym_class_definition] = STATE(14272),
    [sym_trait_definition] = STATE(14272),
    [sym__end_marker] = STATE(14272),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14272),
    [sym_val_declaration] = STATE(14272),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14272),
    [sym_var_definition] = STATE(14272),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14272),
    [sym_function_definition] = STATE(14272),
    [sym_function_declaration] = STATE(14272),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14272),
    [sym_given_definition] = STATE(14272),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16422),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13563),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(7036),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(504),
    [sym_block_comment] = STATE(504),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [505] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(15906),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(505),
    [sym_block_comment] = STATE(505),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [506] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(17146),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(506),
    [sym_block_comment] = STATE(506),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [507] = {
    [sym_enum_definition] = STATE(14067),
    [sym_import_declaration] = STATE(14067),
    [sym_export_declaration] = STATE(14067),
    [sym_object_definition] = STATE(14067),
    [sym_class_definition] = STATE(14067),
    [sym_trait_definition] = STATE(14067),
    [sym__end_marker] = STATE(14067),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14067),
    [sym_val_declaration] = STATE(14067),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14067),
    [sym_var_definition] = STATE(14067),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14067),
    [sym_function_definition] = STATE(14067),
    [sym_function_declaration] = STATE(14067),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14067),
    [sym_given_definition] = STATE(14067),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13536),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(507),
    [sym_block_comment] = STATE(507),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(639),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__outdent] = ACTIONS(641),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [508] = {
    [sym_enum_definition] = STATE(14101),
    [sym_import_declaration] = STATE(14101),
    [sym_export_declaration] = STATE(14101),
    [sym_object_definition] = STATE(14101),
    [sym_class_definition] = STATE(14101),
    [sym_trait_definition] = STATE(14101),
    [sym__end_marker] = STATE(14101),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14101),
    [sym_val_declaration] = STATE(14101),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14101),
    [sym_var_definition] = STATE(14101),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14101),
    [sym_function_definition] = STATE(14101),
    [sym_function_declaration] = STATE(14101),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14101),
    [sym_given_definition] = STATE(14101),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym__block] = STATE(16887),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13513),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(508),
    [sym_block_comment] = STATE(508),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [509] = {
    [sym_enum_definition] = STATE(15022),
    [sym_enum_case_definitions] = STATE(15022),
    [sym_import_declaration] = STATE(15022),
    [sym_export_declaration] = STATE(15022),
    [sym_object_definition] = STATE(15022),
    [sym_class_definition] = STATE(15022),
    [sym_trait_definition] = STATE(15022),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(15022),
    [sym_val_declaration] = STATE(15022),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(15022),
    [sym_var_definition] = STATE(15022),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(15022),
    [sym_function_definition] = STATE(15022),
    [sym_function_declaration] = STATE(15022),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(15022),
    [sym_given_definition] = STATE(15022),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13784),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(509),
    [sym_block_comment] = STATE(509),
    [aux_sym_enum_definition_repeat1] = STATE(4192),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(657),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__outdent] = ACTIONS(661),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [510] = {
    [sym_enum_definition] = STATE(14067),
    [sym_import_declaration] = STATE(14067),
    [sym_export_declaration] = STATE(14067),
    [sym_object_definition] = STATE(14067),
    [sym_class_definition] = STATE(14067),
    [sym_trait_definition] = STATE(14067),
    [sym__end_marker] = STATE(14067),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14067),
    [sym_val_declaration] = STATE(14067),
    [sym__start_val] = STATE(4086),
    [sym_var_declaration] = STATE(14067),
    [sym_var_definition] = STATE(14067),
    [sym__start_var] = STATE(4084),
    [sym_type_definition] = STATE(14067),
    [sym_function_definition] = STATE(14067),
    [sym_function_declaration] = STATE(14067),
    [sym__function_declaration] = STATE(13546),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14067),
    [sym_given_definition] = STATE(14067),
    [sym_modifiers] = STATE(12437),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(526),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13536),
    [sym__simple_expression] = STATE(7289),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15762),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10205),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10142),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6081),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(8816),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(510),
    [sym_block_comment] = STATE(510),
    [aux_sym_enum_definition_repeat1] = STATE(4197),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(567),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(569),
    [anon_sym_DASH] = ACTIONS(569),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(571),
    [anon_sym_while] = ACTIONS(573),
    [anon_sym_for] = ACTIONS(575),
    [anon_sym_try] = ACTIONS(577),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(579),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(581),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(639),
    [anon_sym_macro] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(569),
    [anon_sym_TILDE] = ACTIONS(569),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(587),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(589),
    [anon_sym_throw] = ACTIONS(591),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [511] = {
    [sym_enum_definition] = STATE(14204),
    [sym_import_declaration] = STATE(14204),
    [sym_export_declaration] = STATE(14204),
    [sym_object_definition] = STATE(14204),
    [sym_class_definition] = STATE(14204),
    [sym_trait_definition] = STATE(14204),
    [sym__end_marker] = STATE(14204),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14204),
    [sym_val_declaration] = STATE(14204),
    [sym__start_val] = STATE(4133),
    [sym_var_declaration] = STATE(14204),
    [sym_var_definition] = STATE(14204),
    [sym__start_var] = STATE(4131),
    [sym_type_definition] = STATE(14204),
    [sym_function_definition] = STATE(14204),
    [sym_function_declaration] = STATE(14204),
    [sym__function_declaration] = STATE(13573),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14204),
    [sym_given_definition] = STATE(14204),
    [sym_modifiers] = STATE(12435),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(525),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13514),
    [sym__simple_expression] = STATE(7311),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15577),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(10220),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10124),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6254),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(8727),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(511),
    [sym_block_comment] = STATE(511),
    [aux_sym_enum_definition_repeat1] = STATE(4207),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(601),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(603),
    [anon_sym_DASH] = ACTIONS(603),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(605),
    [anon_sym_while] = ACTIONS(607),
    [anon_sym_for] = ACTIONS(609),
    [anon_sym_try] = ACTIONS(611),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(613),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(615),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(649),
    [anon_sym_macro] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(603),
    [anon_sym_TILDE] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(621),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(623),
    [anon_sym_throw] = ACTIONS(625),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [512] = {
    [sym_enum_definition] = STATE(14204),
    [sym_import_declaration] = STATE(14204),
    [sym_export_declaration] = STATE(14204),
    [sym_object_definition] = STATE(14204),
    [sym_class_definition] = STATE(14204),
    [sym_trait_definition] = STATE(14204),
    [sym__end_marker] = STATE(14204),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14204),
    [sym_val_declaration] = STATE(14204),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(14204),
    [sym_var_definition] = STATE(14204),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(14204),
    [sym_function_definition] = STATE(14204),
    [sym_function_declaration] = STATE(14204),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(14204),
    [sym_given_definition] = STATE(14204),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13514),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(7036),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(512),
    [sym_block_comment] = STATE(512),
    [aux_sym_enum_definition_repeat1] = STATE(4194),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(649),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [513] = {
    [sym_enum_definition] = STATE(15022),
    [sym_enum_case_definitions] = STATE(15022),
    [sym_import_declaration] = STATE(15022),
    [sym_export_declaration] = STATE(15022),
    [sym_object_definition] = STATE(15022),
    [sym_class_definition] = STATE(15022),
    [sym_trait_definition] = STATE(15022),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(15022),
    [sym_val_declaration] = STATE(15022),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(15022),
    [sym_var_definition] = STATE(15022),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(15022),
    [sym_function_definition] = STATE(15022),
    [sym_function_declaration] = STATE(15022),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(15022),
    [sym_given_definition] = STATE(15022),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13784),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(513),
    [sym_block_comment] = STATE(513),
    [aux_sym_enum_definition_repeat1] = STATE(4192),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(657),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__outdent] = ACTIONS(663),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [514] = {
    [sym_enum_definition] = STATE(14051),
    [sym__enum_block] = STATE(17300),
    [sym_enum_case_definitions] = STATE(14051),
    [sym_import_declaration] = STATE(14051),
    [sym_export_declaration] = STATE(14051),
    [sym_object_definition] = STATE(14051),
    [sym_class_definition] = STATE(14051),
    [sym_trait_definition] = STATE(14051),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14051),
    [sym_val_declaration] = STATE(14051),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14051),
    [sym_var_definition] = STATE(14051),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14051),
    [sym_function_definition] = STATE(14051),
    [sym_function_declaration] = STATE(14051),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14051),
    [sym_given_definition] = STATE(14051),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13569),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(514),
    [sym_block_comment] = STATE(514),
    [aux_sym_enum_definition_repeat1] = STATE(4192),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(657),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [515] = {
    [sym_enum_definition] = STATE(14067),
    [sym_import_declaration] = STATE(14067),
    [sym_export_declaration] = STATE(14067),
    [sym_object_definition] = STATE(14067),
    [sym_class_definition] = STATE(14067),
    [sym_trait_definition] = STATE(14067),
    [sym__end_marker] = STATE(14067),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14067),
    [sym_val_declaration] = STATE(14067),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14067),
    [sym_var_definition] = STATE(14067),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14067),
    [sym_function_definition] = STATE(14067),
    [sym_function_declaration] = STATE(14067),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14067),
    [sym_given_definition] = STATE(14067),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13536),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(515),
    [sym_block_comment] = STATE(515),
    [aux_sym_enum_definition_repeat1] = STATE(4209),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(639),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [516] = {
    [sym_enum_definition] = STATE(15072),
    [sym_enum_case_definitions] = STATE(15072),
    [sym_import_declaration] = STATE(15072),
    [sym_export_declaration] = STATE(15072),
    [sym_object_definition] = STATE(15072),
    [sym_class_definition] = STATE(15072),
    [sym_trait_definition] = STATE(15072),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(15072),
    [sym_val_declaration] = STATE(15072),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(15072),
    [sym_var_definition] = STATE(15072),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(15072),
    [sym_function_definition] = STATE(15072),
    [sym_function_declaration] = STATE(15072),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(15072),
    [sym_given_definition] = STATE(15072),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13653),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(7036),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(516),
    [sym_block_comment] = STATE(516),
    [aux_sym_enum_definition_repeat1] = STATE(4198),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(661),
    [anon_sym_case] = ACTIONS(645),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [517] = {
    [sym_enum_definition] = STATE(14051),
    [sym__enum_block] = STATE(16193),
    [sym_enum_case_definitions] = STATE(14051),
    [sym_import_declaration] = STATE(14051),
    [sym_export_declaration] = STATE(14051),
    [sym_object_definition] = STATE(14051),
    [sym_class_definition] = STATE(14051),
    [sym_trait_definition] = STATE(14051),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(14051),
    [sym_val_declaration] = STATE(14051),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(14051),
    [sym_var_definition] = STATE(14051),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(14051),
    [sym_function_definition] = STATE(14051),
    [sym_function_declaration] = STATE(14051),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(14051),
    [sym_given_definition] = STATE(14051),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13569),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(517),
    [sym_block_comment] = STATE(517),
    [aux_sym_enum_definition_repeat1] = STATE(4192),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(657),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [518] = {
    [sym_enum_definition] = STATE(15072),
    [sym_enum_case_definitions] = STATE(15072),
    [sym_import_declaration] = STATE(15072),
    [sym_export_declaration] = STATE(15072),
    [sym_object_definition] = STATE(15072),
    [sym_class_definition] = STATE(15072),
    [sym_trait_definition] = STATE(15072),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(15072),
    [sym_val_declaration] = STATE(15072),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(15072),
    [sym_var_definition] = STATE(15072),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(15072),
    [sym_function_definition] = STATE(15072),
    [sym_function_declaration] = STATE(15072),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(15072),
    [sym_given_definition] = STATE(15072),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13653),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(7036),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(518),
    [sym_block_comment] = STATE(518),
    [aux_sym_enum_definition_repeat1] = STATE(4198),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(663),
    [anon_sym_case] = ACTIONS(645),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [519] = {
    [sym_enum_definition] = STATE(15022),
    [sym_enum_case_definitions] = STATE(15022),
    [sym_import_declaration] = STATE(15022),
    [sym_export_declaration] = STATE(15022),
    [sym_object_definition] = STATE(15022),
    [sym_class_definition] = STATE(15022),
    [sym_trait_definition] = STATE(15022),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(15022),
    [sym_val_declaration] = STATE(15022),
    [sym__start_val] = STATE(4124),
    [sym_var_declaration] = STATE(15022),
    [sym_var_definition] = STATE(15022),
    [sym__start_var] = STATE(4119),
    [sym_type_definition] = STATE(15022),
    [sym_function_definition] = STATE(15022),
    [sym_function_declaration] = STATE(15022),
    [sym__function_declaration] = STATE(13729),
    [sym_opaque_modifier] = STATE(17482),
    [sym_extension_definition] = STATE(15022),
    [sym_given_definition] = STATE(15022),
    [sym_modifiers] = STATE(12285),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13784),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(519),
    [sym_block_comment] = STATE(519),
    [aux_sym_enum_definition_repeat1] = STATE(4192),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(657),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [520] = {
    [sym_enum_definition] = STATE(15072),
    [sym_enum_case_definitions] = STATE(15072),
    [sym_import_declaration] = STATE(15072),
    [sym_export_declaration] = STATE(15072),
    [sym_object_definition] = STATE(15072),
    [sym_class_definition] = STATE(15072),
    [sym_trait_definition] = STATE(15072),
    [sym_annotation] = STATE(7509),
    [sym_val_definition] = STATE(15072),
    [sym_val_declaration] = STATE(15072),
    [sym__start_val] = STATE(4109),
    [sym_var_declaration] = STATE(15072),
    [sym_var_definition] = STATE(15072),
    [sym__start_var] = STATE(4123),
    [sym_type_definition] = STATE(15072),
    [sym_function_definition] = STATE(15072),
    [sym_function_declaration] = STATE(15072),
    [sym__function_declaration] = STATE(13742),
    [sym_opaque_modifier] = STATE(16970),
    [sym_extension_definition] = STATE(15072),
    [sym_given_definition] = STATE(15072),
    [sym_modifiers] = STATE(12444),
    [sym_access_modifier] = STATE(6204),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6204),
    [sym_open_modifier] = STATE(6204),
    [sym_transparent_modifier] = STATE(6204),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(13653),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(7036),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(520),
    [sym_block_comment] = STATE(520),
    [aux_sym_enum_definition_repeat1] = STATE(4198),
    [aux_sym_modifiers_repeat1] = STATE(5366),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(645),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [521] = {
    [sym_inline_modifier] = STATE(2076),
    [sym__indentable_expression] = STATE(13623),
    [sym_block] = STATE(9327),
    [sym_indented_block] = STATE(13548),
    [sym_indented_cases] = STATE(13548),
    [sym_expression] = STATE(13406),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(521),
    [sym_block_comment] = STATE(521),
    [sym__alpha_identifier] = ACTIONS(665),
    [anon_sym_enum] = ACTIONS(668),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_case] = ACTIONS(668),
    [anon_sym_object] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(668),
    [anon_sym_export] = ACTIONS(668),
    [anon_sym__] = ACTIONS(673),
    [anon_sym_given] = ACTIONS(668),
    [anon_sym_class] = ACTIONS(668),
    [anon_sym_trait] = ACTIONS(668),
    [anon_sym_PLUS] = ACTIONS(676),
    [anon_sym_DASH] = ACTIONS(676),
    [anon_sym_end] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(682),
    [anon_sym_while] = ACTIONS(685),
    [anon_sym_for] = ACTIONS(688),
    [anon_sym_try] = ACTIONS(691),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_extension] = ACTIONS(668),
    [anon_sym_val] = ACTIONS(668),
    [anon_sym_AT] = ACTIONS(668),
    [anon_sym_var] = ACTIONS(668),
    [anon_sym_type] = ACTIONS(668),
    [anon_sym_def] = ACTIONS(668),
    [anon_sym_opaque] = ACTIONS(679),
    [anon_sym_abstract] = ACTIONS(668),
    [anon_sym_final] = ACTIONS(668),
    [anon_sym_sealed] = ACTIONS(668),
    [anon_sym_implicit] = ACTIONS(697),
    [anon_sym_lazy] = ACTIONS(668),
    [anon_sym_override] = ACTIONS(668),
    [anon_sym_private] = ACTIONS(668),
    [anon_sym_protected] = ACTIONS(668),
    [anon_sym_inline] = ACTIONS(700),
    [anon_sym_infix] = ACTIONS(679),
    [anon_sym_open] = ACTIONS(679),
    [anon_sym_transparent] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(703),
    [anon_sym_SEMI] = ACTIONS(706),
    [anon_sym_macro] = ACTIONS(708),
    [anon_sym_BANG] = ACTIONS(676),
    [anon_sym_TILDE] = ACTIONS(676),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [anon_sym_SQUOTE] = ACTIONS(714),
    [sym__backquoted_id] = ACTIONS(717),
    [sym_operator_identifier] = ACTIONS(720),
    [sym_integer_literal] = ACTIONS(723),
    [sym_floating_point_literal] = ACTIONS(726),
    [anon_sym_true] = ACTIONS(729),
    [anon_sym_false] = ACTIONS(729),
    [sym_character_literal] = ACTIONS(726),
    [sym_null_literal] = ACTIONS(732),
    [anon_sym_return] = ACTIONS(735),
    [anon_sym_throw] = ACTIONS(738),
    [anon_sym_do] = ACTIONS(741),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__outdent] = ACTIONS(706),
    [sym__simple_multiline_string] = ACTIONS(746),
    [sym__simple_string] = ACTIONS(746),
  },
  [522] = {
    [sym_inline_modifier] = STATE(2054),
    [sym__indentable_expression] = STATE(12506),
    [sym_block] = STATE(8041),
    [sym_indented_block] = STATE(12292),
    [sym_indented_cases] = STATE(12292),
    [sym_expression] = STATE(12256),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(7036),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(522),
    [sym_block_comment] = STATE(522),
    [sym__alpha_identifier] = ACTIONS(749),
    [anon_sym_enum] = ACTIONS(668),
    [anon_sym_LBRACE] = ACTIONS(752),
    [anon_sym_case] = ACTIONS(668),
    [anon_sym_object] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(668),
    [anon_sym_export] = ACTIONS(668),
    [anon_sym__] = ACTIONS(755),
    [anon_sym_given] = ACTIONS(668),
    [anon_sym_class] = ACTIONS(668),
    [anon_sym_trait] = ACTIONS(668),
    [anon_sym_PLUS] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(758),
    [anon_sym_end] = ACTIONS(761),
    [anon_sym_if] = ACTIONS(764),
    [anon_sym_while] = ACTIONS(767),
    [anon_sym_for] = ACTIONS(770),
    [anon_sym_try] = ACTIONS(773),
    [anon_sym_new] = ACTIONS(776),
    [anon_sym_extension] = ACTIONS(668),
    [anon_sym_val] = ACTIONS(668),
    [anon_sym_AT] = ACTIONS(668),
    [anon_sym_var] = ACTIONS(668),
    [anon_sym_type] = ACTIONS(668),
    [anon_sym_def] = ACTIONS(668),
    [anon_sym_opaque] = ACTIONS(761),
    [anon_sym_abstract] = ACTIONS(668),
    [anon_sym_final] = ACTIONS(668),
    [anon_sym_sealed] = ACTIONS(668),
    [anon_sym_implicit] = ACTIONS(779),
    [anon_sym_lazy] = ACTIONS(668),
    [anon_sym_override] = ACTIONS(668),
    [anon_sym_private] = ACTIONS(668),
    [anon_sym_protected] = ACTIONS(668),
    [anon_sym_inline] = ACTIONS(782),
    [anon_sym_infix] = ACTIONS(761),
    [anon_sym_open] = ACTIONS(761),
    [anon_sym_transparent] = ACTIONS(761),
    [anon_sym_LPAREN] = ACTIONS(785),
    [anon_sym_SEMI] = ACTIONS(706),
    [anon_sym_macro] = ACTIONS(788),
    [anon_sym_BANG] = ACTIONS(758),
    [anon_sym_TILDE] = ACTIONS(758),
    [anon_sym_DOLLAR] = ACTIONS(791),
    [anon_sym_SQUOTE] = ACTIONS(794),
    [sym__backquoted_id] = ACTIONS(797),
    [sym_operator_identifier] = ACTIONS(800),
    [sym_integer_literal] = ACTIONS(803),
    [sym_floating_point_literal] = ACTIONS(806),
    [anon_sym_true] = ACTIONS(809),
    [anon_sym_false] = ACTIONS(809),
    [sym_character_literal] = ACTIONS(806),
    [sym_null_literal] = ACTIONS(812),
    [anon_sym_return] = ACTIONS(815),
    [anon_sym_throw] = ACTIONS(818),
    [anon_sym_do] = ACTIONS(821),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(824),
    [sym__simple_multiline_string] = ACTIONS(827),
    [sym__simple_string] = ACTIONS(827),
  },
  [523] = {
    [sym_inline_modifier] = STATE(2076),
    [sym__indentable_expression] = STATE(13623),
    [sym_block] = STATE(9327),
    [sym_indented_block] = STATE(13548),
    [sym_indented_cases] = STATE(13548),
    [sym_expression] = STATE(13406),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(523),
    [sym_block_comment] = STATE(523),
    [sym__alpha_identifier] = ACTIONS(665),
    [anon_sym_enum] = ACTIONS(668),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_case] = ACTIONS(668),
    [anon_sym_object] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(668),
    [anon_sym_export] = ACTIONS(668),
    [anon_sym__] = ACTIONS(673),
    [anon_sym_given] = ACTIONS(668),
    [anon_sym_class] = ACTIONS(668),
    [anon_sym_trait] = ACTIONS(668),
    [anon_sym_PLUS] = ACTIONS(676),
    [anon_sym_DASH] = ACTIONS(676),
    [anon_sym_end] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(682),
    [anon_sym_while] = ACTIONS(685),
    [anon_sym_for] = ACTIONS(688),
    [anon_sym_try] = ACTIONS(691),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_extension] = ACTIONS(668),
    [anon_sym_val] = ACTIONS(668),
    [anon_sym_AT] = ACTIONS(668),
    [anon_sym_var] = ACTIONS(668),
    [anon_sym_type] = ACTIONS(668),
    [anon_sym_def] = ACTIONS(668),
    [anon_sym_opaque] = ACTIONS(679),
    [anon_sym_abstract] = ACTIONS(668),
    [anon_sym_final] = ACTIONS(668),
    [anon_sym_sealed] = ACTIONS(668),
    [anon_sym_implicit] = ACTIONS(697),
    [anon_sym_lazy] = ACTIONS(668),
    [anon_sym_override] = ACTIONS(668),
    [anon_sym_private] = ACTIONS(668),
    [anon_sym_protected] = ACTIONS(668),
    [anon_sym_inline] = ACTIONS(700),
    [anon_sym_infix] = ACTIONS(679),
    [anon_sym_open] = ACTIONS(679),
    [anon_sym_transparent] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(703),
    [anon_sym_SEMI] = ACTIONS(706),
    [anon_sym_macro] = ACTIONS(708),
    [anon_sym_BANG] = ACTIONS(676),
    [anon_sym_TILDE] = ACTIONS(676),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [anon_sym_SQUOTE] = ACTIONS(714),
    [sym__backquoted_id] = ACTIONS(717),
    [sym_operator_identifier] = ACTIONS(720),
    [sym_integer_literal] = ACTIONS(723),
    [sym_floating_point_literal] = ACTIONS(726),
    [anon_sym_true] = ACTIONS(729),
    [anon_sym_false] = ACTIONS(729),
    [sym_character_literal] = ACTIONS(726),
    [sym_null_literal] = ACTIONS(732),
    [anon_sym_return] = ACTIONS(735),
    [anon_sym_throw] = ACTIONS(738),
    [anon_sym_do] = ACTIONS(741),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(746),
    [sym__simple_string] = ACTIONS(746),
  },
  [524] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(15005),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(524),
    [sym_block_comment] = STATE(524),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym_case] = ACTIONS(834),
    [anon_sym_object] = ACTIONS(834),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_given] = ACTIONS(834),
    [anon_sym_class] = ACTIONS(834),
    [anon_sym_trait] = ACTIONS(834),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(842),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_val] = ACTIONS(834),
    [anon_sym_var] = ACTIONS(834),
    [anon_sym_type] = ACTIONS(834),
    [anon_sym_def] = ACTIONS(834),
    [anon_sym_opaque] = ACTIONS(834),
    [anon_sym_abstract] = ACTIONS(834),
    [anon_sym_final] = ACTIONS(834),
    [anon_sym_sealed] = ACTIONS(834),
    [anon_sym_implicit] = ACTIONS(834),
    [anon_sym_lazy] = ACTIONS(834),
    [anon_sym_override] = ACTIONS(834),
    [anon_sym_private] = ACTIONS(834),
    [anon_sym_protected] = ACTIONS(834),
    [anon_sym_inline] = ACTIONS(834),
    [anon_sym_infix] = ACTIONS(834),
    [anon_sym_open] = ACTIONS(834),
    [anon_sym_transparent] = ACTIONS(834),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [525] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(15005),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(525),
    [sym_block_comment] = STATE(525),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym_case] = ACTIONS(834),
    [anon_sym_object] = ACTIONS(834),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_given] = ACTIONS(834),
    [anon_sym_class] = ACTIONS(834),
    [anon_sym_trait] = ACTIONS(834),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(880),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_val] = ACTIONS(834),
    [anon_sym_var] = ACTIONS(834),
    [anon_sym_type] = ACTIONS(834),
    [anon_sym_def] = ACTIONS(834),
    [anon_sym_opaque] = ACTIONS(834),
    [anon_sym_abstract] = ACTIONS(834),
    [anon_sym_final] = ACTIONS(834),
    [anon_sym_sealed] = ACTIONS(834),
    [anon_sym_implicit] = ACTIONS(834),
    [anon_sym_lazy] = ACTIONS(834),
    [anon_sym_override] = ACTIONS(834),
    [anon_sym_private] = ACTIONS(834),
    [anon_sym_protected] = ACTIONS(834),
    [anon_sym_inline] = ACTIONS(834),
    [anon_sym_infix] = ACTIONS(834),
    [anon_sym_open] = ACTIONS(834),
    [anon_sym_transparent] = ACTIONS(834),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [526] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(15248),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(526),
    [sym_block_comment] = STATE(526),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym_case] = ACTIONS(834),
    [anon_sym_object] = ACTIONS(834),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_given] = ACTIONS(834),
    [anon_sym_class] = ACTIONS(834),
    [anon_sym_trait] = ACTIONS(834),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(882),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_val] = ACTIONS(834),
    [anon_sym_var] = ACTIONS(834),
    [anon_sym_type] = ACTIONS(834),
    [anon_sym_def] = ACTIONS(834),
    [anon_sym_opaque] = ACTIONS(834),
    [anon_sym_abstract] = ACTIONS(834),
    [anon_sym_final] = ACTIONS(834),
    [anon_sym_sealed] = ACTIONS(834),
    [anon_sym_implicit] = ACTIONS(834),
    [anon_sym_lazy] = ACTIONS(834),
    [anon_sym_override] = ACTIONS(834),
    [anon_sym_private] = ACTIONS(834),
    [anon_sym_protected] = ACTIONS(834),
    [anon_sym_inline] = ACTIONS(834),
    [anon_sym_infix] = ACTIONS(834),
    [anon_sym_open] = ACTIONS(834),
    [anon_sym_transparent] = ACTIONS(834),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [527] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(15248),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(527),
    [sym_block_comment] = STATE(527),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym_case] = ACTIONS(834),
    [anon_sym_object] = ACTIONS(834),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_given] = ACTIONS(834),
    [anon_sym_class] = ACTIONS(834),
    [anon_sym_trait] = ACTIONS(834),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(884),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_val] = ACTIONS(834),
    [anon_sym_var] = ACTIONS(834),
    [anon_sym_type] = ACTIONS(834),
    [anon_sym_def] = ACTIONS(834),
    [anon_sym_opaque] = ACTIONS(834),
    [anon_sym_abstract] = ACTIONS(834),
    [anon_sym_final] = ACTIONS(834),
    [anon_sym_sealed] = ACTIONS(834),
    [anon_sym_implicit] = ACTIONS(834),
    [anon_sym_lazy] = ACTIONS(834),
    [anon_sym_override] = ACTIONS(834),
    [anon_sym_private] = ACTIONS(834),
    [anon_sym_protected] = ACTIONS(834),
    [anon_sym_inline] = ACTIONS(834),
    [anon_sym_infix] = ACTIONS(834),
    [anon_sym_open] = ACTIONS(834),
    [anon_sym_transparent] = ACTIONS(834),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [528] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(15005),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(528),
    [sym_block_comment] = STATE(528),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym_case] = ACTIONS(834),
    [anon_sym_object] = ACTIONS(834),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_given] = ACTIONS(834),
    [anon_sym_class] = ACTIONS(834),
    [anon_sym_trait] = ACTIONS(834),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(886),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_val] = ACTIONS(834),
    [anon_sym_var] = ACTIONS(834),
    [anon_sym_type] = ACTIONS(834),
    [anon_sym_def] = ACTIONS(834),
    [anon_sym_opaque] = ACTIONS(834),
    [anon_sym_abstract] = ACTIONS(834),
    [anon_sym_final] = ACTIONS(834),
    [anon_sym_sealed] = ACTIONS(834),
    [anon_sym_implicit] = ACTIONS(834),
    [anon_sym_lazy] = ACTIONS(834),
    [anon_sym_override] = ACTIONS(834),
    [anon_sym_private] = ACTIONS(834),
    [anon_sym_protected] = ACTIONS(834),
    [anon_sym_inline] = ACTIONS(834),
    [anon_sym_infix] = ACTIONS(834),
    [anon_sym_open] = ACTIONS(834),
    [anon_sym_transparent] = ACTIONS(834),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [529] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(5403),
    [sym_expression] = STATE(15339),
    [sym__simple_expression] = STATE(4393),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(5403),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(5403),
    [sym_call_expression] = STATE(5403),
    [sym_field_expression] = STATE(5403),
    [sym_instance_expression] = STATE(5403),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16045),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(6091),
    [sym_tuple_expression] = STATE(5403),
    [sym_parenthesized_expression] = STATE(5403),
    [sym_splice_expression] = STATE(5403),
    [sym_quote_expression] = STATE(5403),
    [sym_identifier] = STATE(4254),
    [sym__soft_identifier] = STATE(4455),
    [sym_wildcard] = STATE(4724),
    [sym__non_null_literal] = STATE(5403),
    [sym_boolean_literal] = STATE(5637),
    [sym_interpolated_string_expression] = STATE(5403),
    [sym_string] = STATE(5637),
    [sym_unit] = STATE(5403),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(529),
    [sym_block_comment] = STATE(529),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_COLON] = ACTIONS(890),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym_RBRACE] = ACTIONS(894),
    [anon_sym_case] = ACTIONS(896),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_RPAREN] = ACTIONS(894),
    [anon_sym_SEMI] = ACTIONS(894),
    [anon_sym_else] = ACTIONS(896),
    [anon_sym_catch] = ACTIONS(896),
    [anon_sym_finally] = ACTIONS(896),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(920),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_yield] = ACTIONS(896),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(894),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [530] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(6540),
    [sym_expression] = STATE(15076),
    [sym__simple_expression] = STATE(4493),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(6540),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(6540),
    [sym_call_expression] = STATE(6540),
    [sym_field_expression] = STATE(6540),
    [sym_instance_expression] = STATE(6540),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16309),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(6949),
    [sym_tuple_expression] = STATE(6540),
    [sym_parenthesized_expression] = STATE(6540),
    [sym_splice_expression] = STATE(6540),
    [sym_quote_expression] = STATE(6540),
    [sym_identifier] = STATE(4376),
    [sym__soft_identifier] = STATE(4667),
    [sym_wildcard] = STATE(5089),
    [sym__non_null_literal] = STATE(6540),
    [sym_boolean_literal] = STATE(6246),
    [sym_interpolated_string_expression] = STATE(6540),
    [sym_string] = STATE(6246),
    [sym_unit] = STATE(6540),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(530),
    [sym_block_comment] = STATE(530),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_COLON] = ACTIONS(934),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym_RBRACE] = ACTIONS(894),
    [anon_sym_case] = ACTIONS(896),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_RPAREN] = ACTIONS(894),
    [anon_sym_SEMI] = ACTIONS(894),
    [anon_sym_else] = ACTIONS(896),
    [anon_sym_finally] = ACTIONS(896),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(956),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_yield] = ACTIONS(896),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(894),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [531] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(6450),
    [sym_expression] = STATE(14843),
    [sym__simple_expression] = STATE(4481),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(6450),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(6450),
    [sym_call_expression] = STATE(6450),
    [sym_field_expression] = STATE(6450),
    [sym_instance_expression] = STATE(6450),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16176),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(6704),
    [sym_tuple_expression] = STATE(6450),
    [sym_parenthesized_expression] = STATE(6450),
    [sym_splice_expression] = STATE(6450),
    [sym_quote_expression] = STATE(6450),
    [sym_identifier] = STATE(4340),
    [sym__soft_identifier] = STATE(4507),
    [sym_wildcard] = STATE(5337),
    [sym__non_null_literal] = STATE(6450),
    [sym_boolean_literal] = STATE(6156),
    [sym_interpolated_string_expression] = STATE(6450),
    [sym_string] = STATE(6156),
    [sym_unit] = STATE(6450),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(531),
    [sym_block_comment] = STATE(531),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_COLON] = ACTIONS(970),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym_RBRACE] = ACTIONS(894),
    [anon_sym_case] = ACTIONS(896),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_RPAREN] = ACTIONS(894),
    [anon_sym_SEMI] = ACTIONS(894),
    [anon_sym_catch] = ACTIONS(896),
    [anon_sym_finally] = ACTIONS(896),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(992),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_yield] = ACTIONS(896),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(894),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [532] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(6738),
    [sym_expression] = STATE(15402),
    [sym__simple_expression] = STATE(4604),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(6738),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(6738),
    [sym_call_expression] = STATE(6738),
    [sym_field_expression] = STATE(6738),
    [sym_instance_expression] = STATE(6738),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16087),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(7455),
    [sym_tuple_expression] = STATE(6738),
    [sym_parenthesized_expression] = STATE(6738),
    [sym_splice_expression] = STATE(6738),
    [sym_quote_expression] = STATE(6738),
    [sym_identifier] = STATE(4495),
    [sym__soft_identifier] = STATE(4943),
    [sym_wildcard] = STATE(5738),
    [sym__non_null_literal] = STATE(6738),
    [sym_boolean_literal] = STATE(7301),
    [sym_interpolated_string_expression] = STATE(6738),
    [sym_string] = STATE(7301),
    [sym_unit] = STATE(6738),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(532),
    [sym_block_comment] = STATE(532),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_COLON] = ACTIONS(1006),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym_COMMA] = ACTIONS(894),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_RPAREN] = ACTIONS(894),
    [anon_sym_SEMI] = ACTIONS(894),
    [anon_sym_else] = ACTIONS(896),
    [anon_sym_then] = ACTIONS(896),
    [anon_sym_catch] = ACTIONS(896),
    [anon_sym_finally] = ACTIONS(896),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(1028),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [533] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(6703),
    [sym_expression] = STATE(15372),
    [sym__simple_expression] = STATE(4544),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(6703),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(6703),
    [sym_call_expression] = STATE(6703),
    [sym_field_expression] = STATE(6703),
    [sym_instance_expression] = STATE(6703),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16066),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(7918),
    [sym_tuple_expression] = STATE(6703),
    [sym_parenthesized_expression] = STATE(6703),
    [sym_splice_expression] = STATE(6703),
    [sym_quote_expression] = STATE(6703),
    [sym_identifier] = STATE(4477),
    [sym__soft_identifier] = STATE(4884),
    [sym_wildcard] = STATE(5663),
    [sym__non_null_literal] = STATE(6703),
    [sym_boolean_literal] = STATE(6780),
    [sym_interpolated_string_expression] = STATE(6703),
    [sym_string] = STATE(6780),
    [sym_unit] = STATE(6703),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(533),
    [sym_block_comment] = STATE(533),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_COLON] = ACTIONS(1042),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym_RBRACE] = ACTIONS(894),
    [anon_sym_case] = ACTIONS(896),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_RPAREN] = ACTIONS(894),
    [anon_sym_SEMI] = ACTIONS(894),
    [anon_sym_finally] = ACTIONS(896),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(1064),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_yield] = ACTIONS(896),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(894),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [534] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(6954),
    [sym_expression] = STATE(15118),
    [sym__simple_expression] = STATE(4587),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(6954),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(6954),
    [sym_call_expression] = STATE(6954),
    [sym_field_expression] = STATE(6954),
    [sym_instance_expression] = STATE(6954),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(15800),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(7944),
    [sym_tuple_expression] = STATE(6954),
    [sym_parenthesized_expression] = STATE(6954),
    [sym_splice_expression] = STATE(6954),
    [sym_quote_expression] = STATE(6954),
    [sym_identifier] = STATE(4491),
    [sym__soft_identifier] = STATE(4827),
    [sym_wildcard] = STATE(5433),
    [sym__non_null_literal] = STATE(6954),
    [sym_boolean_literal] = STATE(6997),
    [sym_interpolated_string_expression] = STATE(6954),
    [sym_string] = STATE(6997),
    [sym_unit] = STATE(6954),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(534),
    [sym_block_comment] = STATE(534),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_COLON] = ACTIONS(1078),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym_RBRACE] = ACTIONS(894),
    [anon_sym_case] = ACTIONS(896),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_RPAREN] = ACTIONS(894),
    [anon_sym_SEMI] = ACTIONS(894),
    [anon_sym_else] = ACTIONS(896),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(1100),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_yield] = ACTIONS(896),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(894),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [535] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(7443),
    [sym_expression] = STATE(15374),
    [sym__simple_expression] = STATE(4741),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(7443),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(7443),
    [sym_call_expression] = STATE(7443),
    [sym_field_expression] = STATE(7443),
    [sym_instance_expression] = STATE(7443),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16250),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(8571),
    [sym_tuple_expression] = STATE(7443),
    [sym_parenthesized_expression] = STATE(7443),
    [sym_splice_expression] = STATE(7443),
    [sym_quote_expression] = STATE(7443),
    [sym_identifier] = STATE(4627),
    [sym__soft_identifier] = STATE(5213),
    [sym_wildcard] = STATE(6315),
    [sym__non_null_literal] = STATE(7443),
    [sym_boolean_literal] = STATE(7707),
    [sym_interpolated_string_expression] = STATE(7443),
    [sym_string] = STATE(7707),
    [sym_unit] = STATE(7443),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(535),
    [sym_block_comment] = STATE(535),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_COLON] = ACTIONS(1114),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym_case] = ACTIONS(896),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_SEMI] = ACTIONS(894),
    [anon_sym_else] = ACTIONS(896),
    [anon_sym_catch] = ACTIONS(896),
    [anon_sym_finally] = ACTIONS(896),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(1136),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(894),
    [sym__outdent] = ACTIONS(894),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [536] = {
    [sym_inline_modifier] = STATE(2118),
    [sym_block] = STATE(5403),
    [sym_expression] = STATE(11359),
    [sym__simple_expression] = STATE(5051),
    [sym_lambda_expression] = STATE(11364),
    [sym_if_expression] = STATE(11364),
    [sym_match_expression] = STATE(11364),
    [sym_try_expression] = STATE(11364),
    [sym_bindings] = STATE(15597),
    [sym_case_block] = STATE(5403),
    [sym_assignment_expression] = STATE(11364),
    [sym_generic_function] = STATE(5403),
    [sym_call_expression] = STATE(5403),
    [sym_field_expression] = STATE(5403),
    [sym_instance_expression] = STATE(5403),
    [sym_ascription_expression] = STATE(11364),
    [sym_infix_expression] = STATE(6806),
    [sym_postfix_expression] = STATE(10789),
    [sym__postfix_expression_choice] = STATE(15797),
    [sym_macro_body] = STATE(11364),
    [sym_prefix_expression] = STATE(8869),
    [sym_tuple_expression] = STATE(5403),
    [sym_parenthesized_expression] = STATE(5403),
    [sym_splice_expression] = STATE(5403),
    [sym_quote_expression] = STATE(5403),
    [sym_identifier] = STATE(4686),
    [sym__soft_identifier] = STATE(4455),
    [sym_wildcard] = STATE(7015),
    [sym__non_null_literal] = STATE(5403),
    [sym_boolean_literal] = STATE(5637),
    [sym_interpolated_string_expression] = STATE(5403),
    [sym_string] = STATE(5637),
    [sym_unit] = STATE(5403),
    [sym_return_expression] = STATE(11364),
    [sym_throw_expression] = STATE(11364),
    [sym_while_expression] = STATE(11364),
    [sym_do_while_expression] = STATE(11364),
    [sym_for_expression] = STATE(11364),
    [sym_comment] = STATE(536),
    [sym_block_comment] = STATE(536),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym_RBRACE] = ACTIONS(1148),
    [anon_sym_case] = ACTIONS(1150),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_LBRACK] = ACTIONS(1148),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(1152),
    [anon_sym_while] = ACTIONS(1154),
    [anon_sym_for] = ACTIONS(1156),
    [anon_sym_match] = ACTIONS(1150),
    [anon_sym_try] = ACTIONS(1158),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1160),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_SEMI] = ACTIONS(1148),
    [anon_sym_else] = ACTIONS(1150),
    [anon_sym_catch] = ACTIONS(1150),
    [anon_sym_finally] = ACTIONS(1150),
    [anon_sym_macro] = ACTIONS(1162),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1164),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1166),
    [anon_sym_throw] = ACTIONS(1168),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1148),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [537] = {
    [sym_inline_modifier] = STATE(2181),
    [sym_block] = STATE(5403),
    [sym_expression] = STATE(11359),
    [sym__simple_expression] = STATE(4722),
    [sym_lambda_expression] = STATE(11364),
    [sym_if_expression] = STATE(11364),
    [sym_match_expression] = STATE(11364),
    [sym_try_expression] = STATE(11364),
    [sym_bindings] = STATE(15648),
    [sym_case_block] = STATE(5403),
    [sym_assignment_expression] = STATE(11364),
    [sym_generic_function] = STATE(5403),
    [sym_call_expression] = STATE(5403),
    [sym_field_expression] = STATE(5403),
    [sym_instance_expression] = STATE(5403),
    [sym_ascription_expression] = STATE(11364),
    [sym_infix_expression] = STATE(6806),
    [sym_postfix_expression] = STATE(10789),
    [sym__postfix_expression_choice] = STATE(15797),
    [sym_macro_body] = STATE(11364),
    [sym_prefix_expression] = STATE(8559),
    [sym_tuple_expression] = STATE(5403),
    [sym_parenthesized_expression] = STATE(5403),
    [sym_splice_expression] = STATE(5403),
    [sym_quote_expression] = STATE(5403),
    [sym_identifier] = STATE(4646),
    [sym__soft_identifier] = STATE(4455),
    [sym_wildcard] = STATE(6287),
    [sym__non_null_literal] = STATE(5403),
    [sym_boolean_literal] = STATE(5637),
    [sym_interpolated_string_expression] = STATE(5403),
    [sym_string] = STATE(5637),
    [sym_unit] = STATE(5403),
    [sym_return_expression] = STATE(11364),
    [sym_throw_expression] = STATE(11364),
    [sym_while_expression] = STATE(11364),
    [sym_do_while_expression] = STATE(11364),
    [sym_for_expression] = STATE(11364),
    [sym_comment] = STATE(537),
    [sym_block_comment] = STATE(537),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym_RBRACE] = ACTIONS(1148),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_LBRACK] = ACTIONS(1148),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(1150),
    [anon_sym_while] = ACTIONS(1172),
    [anon_sym_for] = ACTIONS(1174),
    [anon_sym_match] = ACTIONS(1150),
    [anon_sym_try] = ACTIONS(1176),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1178),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_RPAREN] = ACTIONS(1148),
    [anon_sym_SEMI] = ACTIONS(1148),
    [anon_sym_else] = ACTIONS(1150),
    [anon_sym_catch] = ACTIONS(1150),
    [anon_sym_finally] = ACTIONS(1150),
    [anon_sym_macro] = ACTIONS(1162),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1180),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1182),
    [anon_sym_throw] = ACTIONS(1184),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1148),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [538] = {
    [sym_inline_modifier] = STATE(2195),
    [sym_block] = STATE(7443),
    [sym_expression] = STATE(12299),
    [sym__simple_expression] = STATE(5261),
    [sym_lambda_expression] = STATE(12692),
    [sym_if_expression] = STATE(12692),
    [sym_match_expression] = STATE(12692),
    [sym_try_expression] = STATE(12692),
    [sym_bindings] = STATE(15526),
    [sym_case_block] = STATE(7443),
    [sym_assignment_expression] = STATE(12692),
    [sym_generic_function] = STATE(7443),
    [sym_call_expression] = STATE(7443),
    [sym_field_expression] = STATE(7443),
    [sym_instance_expression] = STATE(7443),
    [sym_ascription_expression] = STATE(12692),
    [sym_infix_expression] = STATE(8993),
    [sym_postfix_expression] = STATE(12386),
    [sym__postfix_expression_choice] = STATE(16150),
    [sym_macro_body] = STATE(12692),
    [sym_prefix_expression] = STATE(8984),
    [sym_tuple_expression] = STATE(7443),
    [sym_parenthesized_expression] = STATE(7443),
    [sym_splice_expression] = STATE(7443),
    [sym_quote_expression] = STATE(7443),
    [sym_identifier] = STATE(4861),
    [sym__soft_identifier] = STATE(5213),
    [sym_wildcard] = STATE(7324),
    [sym__non_null_literal] = STATE(7443),
    [sym_boolean_literal] = STATE(7707),
    [sym_interpolated_string_expression] = STATE(7443),
    [sym_string] = STATE(7707),
    [sym_unit] = STATE(7443),
    [sym_return_expression] = STATE(12692),
    [sym_throw_expression] = STATE(12692),
    [sym_while_expression] = STATE(12692),
    [sym_do_while_expression] = STATE(12692),
    [sym_for_expression] = STATE(12692),
    [sym_comment] = STATE(538),
    [sym_block_comment] = STATE(538),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym_case] = ACTIONS(1150),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_LBRACK] = ACTIONS(1148),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(1186),
    [anon_sym_while] = ACTIONS(1188),
    [anon_sym_for] = ACTIONS(1190),
    [anon_sym_match] = ACTIONS(1150),
    [anon_sym_try] = ACTIONS(1192),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(1194),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_SEMI] = ACTIONS(1148),
    [anon_sym_else] = ACTIONS(1150),
    [anon_sym_catch] = ACTIONS(1150),
    [anon_sym_finally] = ACTIONS(1150),
    [anon_sym_macro] = ACTIONS(1196),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(1198),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(1200),
    [anon_sym_throw] = ACTIONS(1202),
    [anon_sym_do] = ACTIONS(1204),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1148),
    [sym__outdent] = ACTIONS(1148),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [539] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9116),
    [sym_expression] = STATE(15251),
    [sym__simple_expression] = STATE(5585),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9116),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9116),
    [sym_call_expression] = STATE(9116),
    [sym_field_expression] = STATE(9116),
    [sym_instance_expression] = STATE(9116),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(15982),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(9493),
    [sym_tuple_expression] = STATE(9116),
    [sym_parenthesized_expression] = STATE(9116),
    [sym_splice_expression] = STATE(9116),
    [sym_quote_expression] = STATE(9116),
    [sym_identifier] = STATE(5364),
    [sym__soft_identifier] = STATE(4332),
    [sym_wildcard] = STATE(7428),
    [sym__non_null_literal] = STATE(9116),
    [sym_boolean_literal] = STATE(5055),
    [sym_interpolated_string_expression] = STATE(9116),
    [sym_string] = STATE(5055),
    [sym_unit] = STATE(9116),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(539),
    [sym_block_comment] = STATE(539),
    [ts_builtin_sym_end] = ACTIONS(894),
    [sym__alpha_identifier] = ACTIONS(1206),
    [anon_sym_COLON] = ACTIONS(1208),
    [anon_sym_LBRACE] = ACTIONS(1210),
    [anon_sym__] = ACTIONS(1212),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(1214),
    [anon_sym_DASH] = ACTIONS(1214),
    [anon_sym_end] = ACTIONS(1216),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1218),
    [anon_sym_opaque] = ACTIONS(1216),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1220),
    [anon_sym_infix] = ACTIONS(1216),
    [anon_sym_open] = ACTIONS(1216),
    [anon_sym_transparent] = ACTIONS(1216),
    [anon_sym_LPAREN] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(894),
    [anon_sym_else] = ACTIONS(896),
    [anon_sym_catch] = ACTIONS(896),
    [anon_sym_finally] = ACTIONS(896),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1214),
    [anon_sym_TILDE] = ACTIONS(1214),
    [anon_sym_DOLLAR] = ACTIONS(1224),
    [anon_sym_SQUOTE] = ACTIONS(1226),
    [sym__backquoted_id] = ACTIONS(1228),
    [sym_operator_identifier] = ACTIONS(1230),
    [sym_integer_literal] = ACTIONS(1232),
    [sym_floating_point_literal] = ACTIONS(1234),
    [anon_sym_true] = ACTIONS(1236),
    [anon_sym_false] = ACTIONS(1236),
    [sym_character_literal] = ACTIONS(1234),
    [sym_null_literal] = ACTIONS(1238),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(894),
    [sym__simple_multiline_string] = ACTIONS(1240),
    [sym__simple_string] = ACTIONS(1240),
  },
  [540] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(8360),
    [sym_expression] = STATE(15204),
    [sym__simple_expression] = STATE(5332),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(8360),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(8360),
    [sym_call_expression] = STATE(8360),
    [sym_field_expression] = STATE(8360),
    [sym_instance_expression] = STATE(8360),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(15959),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(9148),
    [sym_tuple_expression] = STATE(8360),
    [sym_parenthesized_expression] = STATE(8360),
    [sym_splice_expression] = STATE(8360),
    [sym_quote_expression] = STATE(8360),
    [sym_identifier] = STATE(4694),
    [sym__soft_identifier] = STATE(5563),
    [sym_wildcard] = STATE(7153),
    [sym__non_null_literal] = STATE(8360),
    [sym_boolean_literal] = STATE(8269),
    [sym_interpolated_string_expression] = STATE(8360),
    [sym_string] = STATE(8269),
    [sym_unit] = STATE(8360),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(540),
    [sym_block_comment] = STATE(540),
    [sym__alpha_identifier] = ACTIONS(1242),
    [anon_sym_COLON] = ACTIONS(1244),
    [anon_sym_LBRACE] = ACTIONS(1246),
    [anon_sym_case] = ACTIONS(896),
    [anon_sym__] = ACTIONS(1248),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(1250),
    [anon_sym_DASH] = ACTIONS(1250),
    [anon_sym_end] = ACTIONS(1252),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1254),
    [anon_sym_opaque] = ACTIONS(1252),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1256),
    [anon_sym_infix] = ACTIONS(1252),
    [anon_sym_open] = ACTIONS(1252),
    [anon_sym_transparent] = ACTIONS(1252),
    [anon_sym_LPAREN] = ACTIONS(1258),
    [anon_sym_SEMI] = ACTIONS(894),
    [anon_sym_catch] = ACTIONS(896),
    [anon_sym_finally] = ACTIONS(896),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1250),
    [anon_sym_TILDE] = ACTIONS(1250),
    [anon_sym_DOLLAR] = ACTIONS(1260),
    [anon_sym_SQUOTE] = ACTIONS(1262),
    [sym__backquoted_id] = ACTIONS(1264),
    [sym_operator_identifier] = ACTIONS(1266),
    [sym_integer_literal] = ACTIONS(1268),
    [sym_floating_point_literal] = ACTIONS(1270),
    [anon_sym_true] = ACTIONS(1272),
    [anon_sym_false] = ACTIONS(1272),
    [sym_character_literal] = ACTIONS(1270),
    [sym_null_literal] = ACTIONS(1274),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(894),
    [sym__outdent] = ACTIONS(894),
    [sym__simple_multiline_string] = ACTIONS(1276),
    [sym__simple_string] = ACTIONS(1276),
  },
  [541] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(8262),
    [sym_expression] = STATE(14370),
    [sym__simple_expression] = STATE(5188),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(8262),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(8262),
    [sym_call_expression] = STATE(8262),
    [sym_field_expression] = STATE(8262),
    [sym_instance_expression] = STATE(8262),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16366),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(8790),
    [sym_tuple_expression] = STATE(8262),
    [sym_parenthesized_expression] = STATE(8262),
    [sym_splice_expression] = STATE(8262),
    [sym_quote_expression] = STATE(8262),
    [sym_identifier] = STATE(4774),
    [sym__soft_identifier] = STATE(5419),
    [sym_wildcard] = STATE(6733),
    [sym__non_null_literal] = STATE(8262),
    [sym_boolean_literal] = STATE(8242),
    [sym_interpolated_string_expression] = STATE(8262),
    [sym_string] = STATE(8242),
    [sym_unit] = STATE(8262),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(541),
    [sym_block_comment] = STATE(541),
    [sym__alpha_identifier] = ACTIONS(1278),
    [anon_sym_COLON] = ACTIONS(1280),
    [anon_sym_LBRACE] = ACTIONS(1282),
    [anon_sym_case] = ACTIONS(896),
    [anon_sym__] = ACTIONS(1284),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(1286),
    [anon_sym_DASH] = ACTIONS(1286),
    [anon_sym_end] = ACTIONS(1288),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1290),
    [anon_sym_opaque] = ACTIONS(1288),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1292),
    [anon_sym_infix] = ACTIONS(1288),
    [anon_sym_open] = ACTIONS(1288),
    [anon_sym_transparent] = ACTIONS(1288),
    [anon_sym_LPAREN] = ACTIONS(1294),
    [anon_sym_SEMI] = ACTIONS(894),
    [anon_sym_else] = ACTIONS(896),
    [anon_sym_finally] = ACTIONS(896),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1286),
    [anon_sym_TILDE] = ACTIONS(1286),
    [anon_sym_DOLLAR] = ACTIONS(1296),
    [anon_sym_SQUOTE] = ACTIONS(1298),
    [sym__backquoted_id] = ACTIONS(1300),
    [sym_operator_identifier] = ACTIONS(1302),
    [sym_integer_literal] = ACTIONS(1304),
    [sym_floating_point_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1308),
    [anon_sym_false] = ACTIONS(1308),
    [sym_character_literal] = ACTIONS(1306),
    [sym_null_literal] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(894),
    [sym__outdent] = ACTIONS(894),
    [sym__simple_multiline_string] = ACTIONS(1312),
    [sym__simple_string] = ACTIONS(1312),
  },
  [542] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(8070),
    [sym_expression] = STATE(14996),
    [sym__simple_expression] = STATE(4914),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(8070),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(8070),
    [sym_call_expression] = STATE(8070),
    [sym_field_expression] = STATE(8070),
    [sym_instance_expression] = STATE(8070),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16328),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(8176),
    [sym_tuple_expression] = STATE(8070),
    [sym_parenthesized_expression] = STATE(8070),
    [sym_splice_expression] = STATE(8070),
    [sym_quote_expression] = STATE(8070),
    [sym_identifier] = STATE(4605),
    [sym__soft_identifier] = STATE(5234),
    [sym_wildcard] = STATE(6595),
    [sym__non_null_literal] = STATE(8070),
    [sym_boolean_literal] = STATE(8055),
    [sym_interpolated_string_expression] = STATE(8070),
    [sym_string] = STATE(8055),
    [sym_unit] = STATE(8070),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(542),
    [sym_block_comment] = STATE(542),
    [sym__alpha_identifier] = ACTIONS(1314),
    [anon_sym_COLON] = ACTIONS(1316),
    [anon_sym_LBRACE] = ACTIONS(1318),
    [anon_sym_COMMA] = ACTIONS(894),
    [anon_sym__] = ACTIONS(1320),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(1322),
    [anon_sym_DASH] = ACTIONS(1322),
    [anon_sym_end] = ACTIONS(1324),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1326),
    [anon_sym_opaque] = ACTIONS(1324),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1328),
    [anon_sym_infix] = ACTIONS(1324),
    [anon_sym_open] = ACTIONS(1324),
    [anon_sym_transparent] = ACTIONS(1324),
    [anon_sym_LPAREN] = ACTIONS(1330),
    [anon_sym_RPAREN] = ACTIONS(894),
    [anon_sym_SEMI] = ACTIONS(894),
    [anon_sym_else] = ACTIONS(896),
    [anon_sym_then] = ACTIONS(896),
    [anon_sym_finally] = ACTIONS(896),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1322),
    [anon_sym_TILDE] = ACTIONS(1322),
    [anon_sym_DOLLAR] = ACTIONS(1332),
    [anon_sym_SQUOTE] = ACTIONS(1334),
    [sym__backquoted_id] = ACTIONS(1336),
    [sym_operator_identifier] = ACTIONS(1338),
    [sym_integer_literal] = ACTIONS(1340),
    [sym_floating_point_literal] = ACTIONS(1342),
    [anon_sym_true] = ACTIONS(1344),
    [anon_sym_false] = ACTIONS(1344),
    [sym_character_literal] = ACTIONS(1342),
    [sym_null_literal] = ACTIONS(1346),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1348),
    [sym__simple_string] = ACTIONS(1348),
  },
  [543] = {
    [sym_inline_modifier] = STATE(2125),
    [sym_block] = STATE(6738),
    [sym_expression] = STATE(12003),
    [sym__simple_expression] = STATE(5176),
    [sym_lambda_expression] = STATE(12430),
    [sym_if_expression] = STATE(12430),
    [sym_match_expression] = STATE(12430),
    [sym_try_expression] = STATE(12430),
    [sym_bindings] = STATE(15677),
    [sym_case_block] = STATE(6738),
    [sym_assignment_expression] = STATE(12430),
    [sym_generic_function] = STATE(6738),
    [sym_call_expression] = STATE(6738),
    [sym_field_expression] = STATE(6738),
    [sym_instance_expression] = STATE(6738),
    [sym_ascription_expression] = STATE(12430),
    [sym_infix_expression] = STATE(8389),
    [sym_postfix_expression] = STATE(11930),
    [sym__postfix_expression_choice] = STATE(15885),
    [sym_macro_body] = STATE(12430),
    [sym_prefix_expression] = STATE(9115),
    [sym_tuple_expression] = STATE(6738),
    [sym_parenthesized_expression] = STATE(6738),
    [sym_splice_expression] = STATE(6738),
    [sym_quote_expression] = STATE(6738),
    [sym_identifier] = STATE(4951),
    [sym__soft_identifier] = STATE(4943),
    [sym_wildcard] = STATE(7114),
    [sym__non_null_literal] = STATE(6738),
    [sym_boolean_literal] = STATE(7301),
    [sym_interpolated_string_expression] = STATE(6738),
    [sym_string] = STATE(7301),
    [sym_unit] = STATE(6738),
    [sym_return_expression] = STATE(12430),
    [sym_throw_expression] = STATE(12430),
    [sym_while_expression] = STATE(12430),
    [sym_do_while_expression] = STATE(12430),
    [sym_for_expression] = STATE(12430),
    [sym_comment] = STATE(543),
    [sym_block_comment] = STATE(543),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym_COMMA] = ACTIONS(1148),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_LBRACK] = ACTIONS(1148),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(1350),
    [anon_sym_while] = ACTIONS(1352),
    [anon_sym_for] = ACTIONS(1354),
    [anon_sym_match] = ACTIONS(1150),
    [anon_sym_try] = ACTIONS(1356),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(1358),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_RPAREN] = ACTIONS(1148),
    [anon_sym_SEMI] = ACTIONS(1148),
    [anon_sym_else] = ACTIONS(1150),
    [anon_sym_then] = ACTIONS(1150),
    [anon_sym_catch] = ACTIONS(1150),
    [anon_sym_finally] = ACTIONS(1150),
    [anon_sym_macro] = ACTIONS(1360),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(1362),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(1364),
    [anon_sym_throw] = ACTIONS(1366),
    [anon_sym_do] = ACTIONS(1368),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [544] = {
    [sym_inline_modifier] = STATE(2250),
    [sym_block] = STATE(6450),
    [sym_expression] = STATE(11486),
    [sym__simple_expression] = STATE(5297),
    [sym_lambda_expression] = STATE(11549),
    [sym_if_expression] = STATE(11549),
    [sym_match_expression] = STATE(11549),
    [sym_try_expression] = STATE(11549),
    [sym_bindings] = STATE(15503),
    [sym_case_block] = STATE(6450),
    [sym_assignment_expression] = STATE(11549),
    [sym_generic_function] = STATE(6450),
    [sym_call_expression] = STATE(6450),
    [sym_field_expression] = STATE(6450),
    [sym_instance_expression] = STATE(6450),
    [sym_ascription_expression] = STATE(11549),
    [sym_infix_expression] = STATE(7641),
    [sym_postfix_expression] = STATE(11204),
    [sym__postfix_expression_choice] = STATE(16480),
    [sym_macro_body] = STATE(11549),
    [sym_prefix_expression] = STATE(8711),
    [sym_tuple_expression] = STATE(6450),
    [sym_parenthesized_expression] = STATE(6450),
    [sym_splice_expression] = STATE(6450),
    [sym_quote_expression] = STATE(6450),
    [sym_identifier] = STATE(4723),
    [sym__soft_identifier] = STATE(4507),
    [sym_wildcard] = STATE(7115),
    [sym__non_null_literal] = STATE(6450),
    [sym_boolean_literal] = STATE(6156),
    [sym_interpolated_string_expression] = STATE(6450),
    [sym_string] = STATE(6156),
    [sym_unit] = STATE(6450),
    [sym_return_expression] = STATE(11549),
    [sym_throw_expression] = STATE(11549),
    [sym_while_expression] = STATE(11549),
    [sym_do_while_expression] = STATE(11549),
    [sym_for_expression] = STATE(11549),
    [sym_comment] = STATE(544),
    [sym_block_comment] = STATE(544),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym_RBRACE] = ACTIONS(1148),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_LBRACK] = ACTIONS(1148),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(1150),
    [anon_sym_while] = ACTIONS(1370),
    [anon_sym_for] = ACTIONS(1372),
    [anon_sym_match] = ACTIONS(1150),
    [anon_sym_try] = ACTIONS(1374),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1376),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_RPAREN] = ACTIONS(1148),
    [anon_sym_SEMI] = ACTIONS(1148),
    [anon_sym_catch] = ACTIONS(1150),
    [anon_sym_finally] = ACTIONS(1150),
    [anon_sym_macro] = ACTIONS(1378),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1380),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1382),
    [anon_sym_throw] = ACTIONS(1384),
    [anon_sym_do] = ACTIONS(1386),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1148),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [545] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9523),
    [sym_expression] = STATE(14749),
    [sym__simple_expression] = STATE(6244),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9523),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9523),
    [sym_call_expression] = STATE(9523),
    [sym_field_expression] = STATE(9523),
    [sym_instance_expression] = STATE(9523),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16281),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(9792),
    [sym_tuple_expression] = STATE(9523),
    [sym_parenthesized_expression] = STATE(9523),
    [sym_splice_expression] = STATE(9523),
    [sym_quote_expression] = STATE(9523),
    [sym_identifier] = STATE(5843),
    [sym__soft_identifier] = STATE(4485),
    [sym_wildcard] = STATE(8116),
    [sym__non_null_literal] = STATE(9523),
    [sym_boolean_literal] = STATE(5592),
    [sym_interpolated_string_expression] = STATE(9523),
    [sym_string] = STATE(5592),
    [sym_unit] = STATE(9523),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(545),
    [sym_block_comment] = STATE(545),
    [ts_builtin_sym_end] = ACTIONS(894),
    [sym__alpha_identifier] = ACTIONS(1388),
    [anon_sym_COLON] = ACTIONS(1390),
    [anon_sym_LBRACE] = ACTIONS(1392),
    [anon_sym__] = ACTIONS(1394),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(1396),
    [anon_sym_DASH] = ACTIONS(1396),
    [anon_sym_end] = ACTIONS(1398),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1400),
    [anon_sym_opaque] = ACTIONS(1398),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1402),
    [anon_sym_infix] = ACTIONS(1398),
    [anon_sym_open] = ACTIONS(1398),
    [anon_sym_transparent] = ACTIONS(1398),
    [anon_sym_LPAREN] = ACTIONS(1404),
    [anon_sym_SEMI] = ACTIONS(894),
    [anon_sym_catch] = ACTIONS(896),
    [anon_sym_finally] = ACTIONS(896),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1396),
    [anon_sym_TILDE] = ACTIONS(1396),
    [anon_sym_DOLLAR] = ACTIONS(1406),
    [anon_sym_SQUOTE] = ACTIONS(1408),
    [sym__backquoted_id] = ACTIONS(1410),
    [sym_operator_identifier] = ACTIONS(1412),
    [sym_integer_literal] = ACTIONS(1414),
    [sym_floating_point_literal] = ACTIONS(1416),
    [anon_sym_true] = ACTIONS(1418),
    [anon_sym_false] = ACTIONS(1418),
    [sym_character_literal] = ACTIONS(1416),
    [sym_null_literal] = ACTIONS(1420),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(894),
    [sym__simple_multiline_string] = ACTIONS(1422),
    [sym__simple_string] = ACTIONS(1422),
  },
  [546] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(14396),
    [sym__simple_expression] = STATE(4939),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16541),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(8185),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(4515),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(6056),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(546),
    [sym_block_comment] = STATE(546),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_COLON] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(894),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_RPAREN] = ACTIONS(894),
    [anon_sym_SEMI] = ACTIONS(894),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(1426),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_yield] = ACTIONS(896),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(894),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [547] = {
    [sym_inline_modifier] = STATE(2060),
    [sym_block] = STATE(6450),
    [sym_expression] = STATE(11486),
    [sym__simple_expression] = STATE(5608),
    [sym_lambda_expression] = STATE(11549),
    [sym_if_expression] = STATE(11549),
    [sym_match_expression] = STATE(11549),
    [sym_try_expression] = STATE(11549),
    [sym_bindings] = STATE(15697),
    [sym_case_block] = STATE(6450),
    [sym_assignment_expression] = STATE(11549),
    [sym_generic_function] = STATE(6450),
    [sym_call_expression] = STATE(6450),
    [sym_field_expression] = STATE(6450),
    [sym_instance_expression] = STATE(6450),
    [sym_ascription_expression] = STATE(11549),
    [sym_infix_expression] = STATE(7641),
    [sym_postfix_expression] = STATE(11204),
    [sym__postfix_expression_choice] = STATE(16480),
    [sym_macro_body] = STATE(11549),
    [sym_prefix_expression] = STATE(9536),
    [sym_tuple_expression] = STATE(6450),
    [sym_parenthesized_expression] = STATE(6450),
    [sym_splice_expression] = STATE(6450),
    [sym_quote_expression] = STATE(6450),
    [sym_identifier] = STATE(5347),
    [sym__soft_identifier] = STATE(4507),
    [sym_wildcard] = STATE(7620),
    [sym__non_null_literal] = STATE(6450),
    [sym_boolean_literal] = STATE(6156),
    [sym_interpolated_string_expression] = STATE(6450),
    [sym_string] = STATE(6156),
    [sym_unit] = STATE(6450),
    [sym_return_expression] = STATE(11549),
    [sym_throw_expression] = STATE(11549),
    [sym_while_expression] = STATE(11549),
    [sym_do_while_expression] = STATE(11549),
    [sym_for_expression] = STATE(11549),
    [sym_comment] = STATE(547),
    [sym_block_comment] = STATE(547),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym_RBRACE] = ACTIONS(1148),
    [anon_sym_case] = ACTIONS(1150),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_LBRACK] = ACTIONS(1148),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(1428),
    [anon_sym_while] = ACTIONS(1430),
    [anon_sym_for] = ACTIONS(1432),
    [anon_sym_match] = ACTIONS(1150),
    [anon_sym_try] = ACTIONS(1434),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1436),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_SEMI] = ACTIONS(1148),
    [anon_sym_catch] = ACTIONS(1150),
    [anon_sym_finally] = ACTIONS(1150),
    [anon_sym_macro] = ACTIONS(1378),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1438),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1440),
    [anon_sym_throw] = ACTIONS(1442),
    [anon_sym_do] = ACTIONS(1386),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1148),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [548] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9539),
    [sym_expression] = STATE(15186),
    [sym__simple_expression] = STATE(6647),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9539),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9539),
    [sym_call_expression] = STATE(9539),
    [sym_field_expression] = STATE(9539),
    [sym_instance_expression] = STATE(9539),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16290),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(9767),
    [sym_tuple_expression] = STATE(9539),
    [sym_parenthesized_expression] = STATE(9539),
    [sym_splice_expression] = STATE(9539),
    [sym_quote_expression] = STATE(9539),
    [sym_identifier] = STATE(5822),
    [sym__soft_identifier] = STATE(4462),
    [sym_wildcard] = STATE(8157),
    [sym__non_null_literal] = STATE(9539),
    [sym_boolean_literal] = STATE(5971),
    [sym_interpolated_string_expression] = STATE(9539),
    [sym_string] = STATE(5971),
    [sym_unit] = STATE(9539),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(548),
    [sym_block_comment] = STATE(548),
    [ts_builtin_sym_end] = ACTIONS(894),
    [sym__alpha_identifier] = ACTIONS(1444),
    [anon_sym_COLON] = ACTIONS(1446),
    [anon_sym_LBRACE] = ACTIONS(1448),
    [anon_sym__] = ACTIONS(1450),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(1452),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_end] = ACTIONS(1454),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1456),
    [anon_sym_opaque] = ACTIONS(1454),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1458),
    [anon_sym_infix] = ACTIONS(1454),
    [anon_sym_open] = ACTIONS(1454),
    [anon_sym_transparent] = ACTIONS(1454),
    [anon_sym_LPAREN] = ACTIONS(1460),
    [anon_sym_SEMI] = ACTIONS(894),
    [anon_sym_else] = ACTIONS(896),
    [anon_sym_finally] = ACTIONS(896),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1452),
    [anon_sym_TILDE] = ACTIONS(1452),
    [anon_sym_DOLLAR] = ACTIONS(1462),
    [anon_sym_SQUOTE] = ACTIONS(1464),
    [sym__backquoted_id] = ACTIONS(1466),
    [sym_operator_identifier] = ACTIONS(1468),
    [sym_integer_literal] = ACTIONS(1470),
    [sym_floating_point_literal] = ACTIONS(1472),
    [anon_sym_true] = ACTIONS(1474),
    [anon_sym_false] = ACTIONS(1474),
    [sym_character_literal] = ACTIONS(1472),
    [sym_null_literal] = ACTIONS(1476),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(894),
    [sym__simple_multiline_string] = ACTIONS(1478),
    [sym__simple_string] = ACTIONS(1478),
  },
  [549] = {
    [sym_inline_modifier] = STATE(2234),
    [sym_block] = STATE(7443),
    [sym_expression] = STATE(12299),
    [sym__simple_expression] = STATE(5279),
    [sym_lambda_expression] = STATE(12692),
    [sym_if_expression] = STATE(12692),
    [sym_match_expression] = STATE(12692),
    [sym_try_expression] = STATE(12692),
    [sym_bindings] = STATE(15619),
    [sym_case_block] = STATE(7443),
    [sym_assignment_expression] = STATE(12692),
    [sym_generic_function] = STATE(7443),
    [sym_call_expression] = STATE(7443),
    [sym_field_expression] = STATE(7443),
    [sym_instance_expression] = STATE(7443),
    [sym_ascription_expression] = STATE(12692),
    [sym_infix_expression] = STATE(8993),
    [sym_postfix_expression] = STATE(12386),
    [sym__postfix_expression_choice] = STATE(16150),
    [sym_macro_body] = STATE(12692),
    [sym_prefix_expression] = STATE(8795),
    [sym_tuple_expression] = STATE(7443),
    [sym_parenthesized_expression] = STATE(7443),
    [sym_splice_expression] = STATE(7443),
    [sym_quote_expression] = STATE(7443),
    [sym_identifier] = STATE(4734),
    [sym__soft_identifier] = STATE(5213),
    [sym_wildcard] = STATE(7227),
    [sym__non_null_literal] = STATE(7443),
    [sym_boolean_literal] = STATE(7707),
    [sym_interpolated_string_expression] = STATE(7443),
    [sym_string] = STATE(7707),
    [sym_unit] = STATE(7443),
    [sym_return_expression] = STATE(12692),
    [sym_throw_expression] = STATE(12692),
    [sym_while_expression] = STATE(12692),
    [sym_do_while_expression] = STATE(12692),
    [sym_for_expression] = STATE(12692),
    [sym_comment] = STATE(549),
    [sym_block_comment] = STATE(549),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_LBRACK] = ACTIONS(1148),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(1150),
    [anon_sym_while] = ACTIONS(1480),
    [anon_sym_for] = ACTIONS(1482),
    [anon_sym_match] = ACTIONS(1150),
    [anon_sym_try] = ACTIONS(1484),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(1486),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_SEMI] = ACTIONS(1148),
    [anon_sym_else] = ACTIONS(1150),
    [anon_sym_catch] = ACTIONS(1150),
    [anon_sym_finally] = ACTIONS(1150),
    [anon_sym_macro] = ACTIONS(1196),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(1488),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(1490),
    [anon_sym_throw] = ACTIONS(1492),
    [anon_sym_do] = ACTIONS(1204),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1148),
    [sym__outdent] = ACTIONS(1148),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [550] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(8218),
    [sym_expression] = STATE(15153),
    [sym__simple_expression] = STATE(5340),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(8218),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(8218),
    [sym_call_expression] = STATE(8218),
    [sym_field_expression] = STATE(8218),
    [sym_instance_expression] = STATE(8218),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(15857),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(8801),
    [sym_tuple_expression] = STATE(8218),
    [sym_parenthesized_expression] = STATE(8218),
    [sym_splice_expression] = STATE(8218),
    [sym_quote_expression] = STATE(8218),
    [sym_identifier] = STATE(4879),
    [sym__soft_identifier] = STATE(5752),
    [sym_wildcard] = STATE(6777),
    [sym__non_null_literal] = STATE(8218),
    [sym_boolean_literal] = STATE(8413),
    [sym_interpolated_string_expression] = STATE(8218),
    [sym_string] = STATE(8413),
    [sym_unit] = STATE(8218),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(550),
    [sym_block_comment] = STATE(550),
    [sym__alpha_identifier] = ACTIONS(1494),
    [anon_sym_COLON] = ACTIONS(1496),
    [anon_sym_LBRACE] = ACTIONS(1498),
    [anon_sym_COMMA] = ACTIONS(894),
    [anon_sym__] = ACTIONS(1500),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1502),
    [anon_sym_end] = ACTIONS(1504),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1506),
    [anon_sym_opaque] = ACTIONS(1504),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1508),
    [anon_sym_infix] = ACTIONS(1504),
    [anon_sym_open] = ACTIONS(1504),
    [anon_sym_transparent] = ACTIONS(1504),
    [anon_sym_LPAREN] = ACTIONS(1510),
    [anon_sym_RPAREN] = ACTIONS(894),
    [anon_sym_SEMI] = ACTIONS(894),
    [anon_sym_else] = ACTIONS(896),
    [anon_sym_then] = ACTIONS(896),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_TILDE] = ACTIONS(1502),
    [anon_sym_DOLLAR] = ACTIONS(1512),
    [anon_sym_SQUOTE] = ACTIONS(1514),
    [sym__backquoted_id] = ACTIONS(1516),
    [sym_operator_identifier] = ACTIONS(1518),
    [sym_integer_literal] = ACTIONS(1520),
    [sym_floating_point_literal] = ACTIONS(1522),
    [anon_sym_true] = ACTIONS(1524),
    [anon_sym_false] = ACTIONS(1524),
    [sym_character_literal] = ACTIONS(1522),
    [sym_null_literal] = ACTIONS(1526),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1528),
    [sym__simple_string] = ACTIONS(1528),
  },
  [551] = {
    [sym_inline_modifier] = STATE(2262),
    [sym_block] = STATE(6540),
    [sym_expression] = STATE(11391),
    [sym__simple_expression] = STATE(5817),
    [sym_lambda_expression] = STATE(11374),
    [sym_if_expression] = STATE(11374),
    [sym_match_expression] = STATE(11374),
    [sym_try_expression] = STATE(11374),
    [sym_bindings] = STATE(15530),
    [sym_case_block] = STATE(6540),
    [sym_assignment_expression] = STATE(11374),
    [sym_generic_function] = STATE(6540),
    [sym_call_expression] = STATE(6540),
    [sym_field_expression] = STATE(6540),
    [sym_instance_expression] = STATE(6540),
    [sym_ascription_expression] = STATE(11374),
    [sym_infix_expression] = STATE(7834),
    [sym_postfix_expression] = STATE(11215),
    [sym__postfix_expression_choice] = STATE(16210),
    [sym_macro_body] = STATE(11374),
    [sym_prefix_expression] = STATE(9262),
    [sym_tuple_expression] = STATE(6540),
    [sym_parenthesized_expression] = STATE(6540),
    [sym_splice_expression] = STATE(6540),
    [sym_quote_expression] = STATE(6540),
    [sym_identifier] = STATE(5031),
    [sym__soft_identifier] = STATE(4667),
    [sym_wildcard] = STATE(7986),
    [sym__non_null_literal] = STATE(6540),
    [sym_boolean_literal] = STATE(6246),
    [sym_interpolated_string_expression] = STATE(6540),
    [sym_string] = STATE(6246),
    [sym_unit] = STATE(6540),
    [sym_return_expression] = STATE(11374),
    [sym_throw_expression] = STATE(11374),
    [sym_while_expression] = STATE(11374),
    [sym_do_while_expression] = STATE(11374),
    [sym_for_expression] = STATE(11374),
    [sym_comment] = STATE(551),
    [sym_block_comment] = STATE(551),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym_RBRACE] = ACTIONS(1148),
    [anon_sym_case] = ACTIONS(1150),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_LBRACK] = ACTIONS(1148),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(1530),
    [anon_sym_while] = ACTIONS(1532),
    [anon_sym_for] = ACTIONS(1534),
    [anon_sym_match] = ACTIONS(1150),
    [anon_sym_try] = ACTIONS(1536),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1538),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_SEMI] = ACTIONS(1148),
    [anon_sym_else] = ACTIONS(1150),
    [anon_sym_finally] = ACTIONS(1150),
    [anon_sym_macro] = ACTIONS(1540),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1542),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1544),
    [anon_sym_throw] = ACTIONS(1546),
    [anon_sym_do] = ACTIONS(1548),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1148),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [552] = {
    [sym_inline_modifier] = STATE(2086),
    [sym_block] = STATE(9116),
    [sym_expression] = STATE(13205),
    [sym__simple_expression] = STATE(5562),
    [sym_lambda_expression] = STATE(11364),
    [sym_if_expression] = STATE(11364),
    [sym_match_expression] = STATE(11364),
    [sym_try_expression] = STATE(11364),
    [sym_bindings] = STATE(15512),
    [sym_case_block] = STATE(9116),
    [sym_assignment_expression] = STATE(11364),
    [sym_generic_function] = STATE(9116),
    [sym_call_expression] = STATE(9116),
    [sym_field_expression] = STATE(9116),
    [sym_instance_expression] = STATE(9116),
    [sym_ascription_expression] = STATE(11364),
    [sym_infix_expression] = STATE(9793),
    [sym_postfix_expression] = STATE(10789),
    [sym__postfix_expression_choice] = STATE(15871),
    [sym_macro_body] = STATE(11364),
    [sym_prefix_expression] = STATE(9370),
    [sym_tuple_expression] = STATE(9116),
    [sym_parenthesized_expression] = STATE(9116),
    [sym_splice_expression] = STATE(9116),
    [sym_quote_expression] = STATE(9116),
    [sym_identifier] = STATE(5047),
    [sym__soft_identifier] = STATE(4332),
    [sym_wildcard] = STATE(7660),
    [sym__non_null_literal] = STATE(9116),
    [sym_boolean_literal] = STATE(5055),
    [sym_interpolated_string_expression] = STATE(9116),
    [sym_string] = STATE(5055),
    [sym_unit] = STATE(9116),
    [sym_return_expression] = STATE(11364),
    [sym_throw_expression] = STATE(11364),
    [sym_while_expression] = STATE(11364),
    [sym_do_while_expression] = STATE(11364),
    [sym_for_expression] = STATE(11364),
    [sym_comment] = STATE(552),
    [sym_block_comment] = STATE(552),
    [ts_builtin_sym_end] = ACTIONS(1148),
    [sym__alpha_identifier] = ACTIONS(1206),
    [anon_sym_LBRACE] = ACTIONS(1210),
    [anon_sym__] = ACTIONS(1212),
    [anon_sym_LBRACK] = ACTIONS(1148),
    [anon_sym_PLUS] = ACTIONS(1214),
    [anon_sym_DASH] = ACTIONS(1214),
    [anon_sym_end] = ACTIONS(1216),
    [anon_sym_if] = ACTIONS(1550),
    [anon_sym_while] = ACTIONS(1552),
    [anon_sym_for] = ACTIONS(1554),
    [anon_sym_match] = ACTIONS(1150),
    [anon_sym_try] = ACTIONS(1556),
    [anon_sym_new] = ACTIONS(1218),
    [anon_sym_opaque] = ACTIONS(1216),
    [anon_sym_implicit] = ACTIONS(1558),
    [anon_sym_inline] = ACTIONS(1220),
    [anon_sym_infix] = ACTIONS(1216),
    [anon_sym_open] = ACTIONS(1216),
    [anon_sym_transparent] = ACTIONS(1216),
    [anon_sym_LPAREN] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1148),
    [anon_sym_else] = ACTIONS(1150),
    [anon_sym_catch] = ACTIONS(1150),
    [anon_sym_finally] = ACTIONS(1150),
    [anon_sym_macro] = ACTIONS(1560),
    [anon_sym_BANG] = ACTIONS(1214),
    [anon_sym_TILDE] = ACTIONS(1214),
    [anon_sym_DOLLAR] = ACTIONS(1224),
    [anon_sym_SQUOTE] = ACTIONS(1226),
    [sym__backquoted_id] = ACTIONS(1228),
    [sym_operator_identifier] = ACTIONS(1562),
    [sym_integer_literal] = ACTIONS(1232),
    [sym_floating_point_literal] = ACTIONS(1234),
    [anon_sym_true] = ACTIONS(1236),
    [anon_sym_false] = ACTIONS(1236),
    [sym_character_literal] = ACTIONS(1234),
    [sym_null_literal] = ACTIONS(1238),
    [anon_sym_return] = ACTIONS(1564),
    [anon_sym_throw] = ACTIONS(1566),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1148),
    [sym__simple_multiline_string] = ACTIONS(1240),
    [sym__simple_string] = ACTIONS(1240),
  },
  [553] = {
    [sym_inline_modifier] = STATE(2281),
    [sym_block] = STATE(6540),
    [sym_expression] = STATE(11391),
    [sym__simple_expression] = STATE(5304),
    [sym_lambda_expression] = STATE(11374),
    [sym_if_expression] = STATE(11374),
    [sym_match_expression] = STATE(11374),
    [sym_try_expression] = STATE(11374),
    [sym_bindings] = STATE(15689),
    [sym_case_block] = STATE(6540),
    [sym_assignment_expression] = STATE(11374),
    [sym_generic_function] = STATE(6540),
    [sym_call_expression] = STATE(6540),
    [sym_field_expression] = STATE(6540),
    [sym_instance_expression] = STATE(6540),
    [sym_ascription_expression] = STATE(11374),
    [sym_infix_expression] = STATE(7834),
    [sym_postfix_expression] = STATE(11215),
    [sym__postfix_expression_choice] = STATE(16210),
    [sym_macro_body] = STATE(11374),
    [sym_prefix_expression] = STATE(8725),
    [sym_tuple_expression] = STATE(6540),
    [sym_parenthesized_expression] = STATE(6540),
    [sym_splice_expression] = STATE(6540),
    [sym_quote_expression] = STATE(6540),
    [sym_identifier] = STATE(4721),
    [sym__soft_identifier] = STATE(4667),
    [sym_wildcard] = STATE(7076),
    [sym__non_null_literal] = STATE(6540),
    [sym_boolean_literal] = STATE(6246),
    [sym_interpolated_string_expression] = STATE(6540),
    [sym_string] = STATE(6246),
    [sym_unit] = STATE(6540),
    [sym_return_expression] = STATE(11374),
    [sym_throw_expression] = STATE(11374),
    [sym_while_expression] = STATE(11374),
    [sym_do_while_expression] = STATE(11374),
    [sym_for_expression] = STATE(11374),
    [sym_comment] = STATE(553),
    [sym_block_comment] = STATE(553),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym_RBRACE] = ACTIONS(1148),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_LBRACK] = ACTIONS(1148),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(1150),
    [anon_sym_while] = ACTIONS(1568),
    [anon_sym_for] = ACTIONS(1570),
    [anon_sym_match] = ACTIONS(1150),
    [anon_sym_try] = ACTIONS(1572),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1574),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_RPAREN] = ACTIONS(1148),
    [anon_sym_SEMI] = ACTIONS(1148),
    [anon_sym_else] = ACTIONS(1150),
    [anon_sym_finally] = ACTIONS(1150),
    [anon_sym_macro] = ACTIONS(1540),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1576),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1578),
    [anon_sym_throw] = ACTIONS(1580),
    [anon_sym_do] = ACTIONS(1548),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1148),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [554] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9120),
    [sym_expression] = STATE(15474),
    [sym__simple_expression] = STATE(5435),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9120),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9120),
    [sym_call_expression] = STATE(9120),
    [sym_field_expression] = STATE(9120),
    [sym_instance_expression] = STATE(9120),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16129),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(9540),
    [sym_tuple_expression] = STATE(9120),
    [sym_parenthesized_expression] = STATE(9120),
    [sym_splice_expression] = STATE(9120),
    [sym_quote_expression] = STATE(9120),
    [sym_identifier] = STATE(5153),
    [sym__soft_identifier] = STATE(6470),
    [sym_wildcard] = STATE(7795),
    [sym__non_null_literal] = STATE(9120),
    [sym_boolean_literal] = STATE(8928),
    [sym_interpolated_string_expression] = STATE(9120),
    [sym_string] = STATE(8928),
    [sym_unit] = STATE(9120),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(554),
    [sym_block_comment] = STATE(554),
    [sym__alpha_identifier] = ACTIONS(1582),
    [anon_sym_COLON] = ACTIONS(1584),
    [anon_sym_LBRACE] = ACTIONS(1586),
    [anon_sym_case] = ACTIONS(896),
    [anon_sym__] = ACTIONS(1588),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(1590),
    [anon_sym_DASH] = ACTIONS(1590),
    [anon_sym_end] = ACTIONS(1592),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1594),
    [anon_sym_opaque] = ACTIONS(1592),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1596),
    [anon_sym_infix] = ACTIONS(1592),
    [anon_sym_open] = ACTIONS(1592),
    [anon_sym_transparent] = ACTIONS(1592),
    [anon_sym_LPAREN] = ACTIONS(1598),
    [anon_sym_SEMI] = ACTIONS(894),
    [anon_sym_else] = ACTIONS(896),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1590),
    [anon_sym_TILDE] = ACTIONS(1590),
    [anon_sym_DOLLAR] = ACTIONS(1600),
    [anon_sym_SQUOTE] = ACTIONS(1602),
    [sym__backquoted_id] = ACTIONS(1604),
    [sym_operator_identifier] = ACTIONS(1606),
    [sym_integer_literal] = ACTIONS(1608),
    [sym_floating_point_literal] = ACTIONS(1610),
    [anon_sym_true] = ACTIONS(1612),
    [anon_sym_false] = ACTIONS(1612),
    [sym_character_literal] = ACTIONS(1610),
    [sym_null_literal] = ACTIONS(1614),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(894),
    [sym__outdent] = ACTIONS(894),
    [sym__simple_multiline_string] = ACTIONS(1616),
    [sym__simple_string] = ACTIONS(1616),
  },
  [555] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(8375),
    [sym_expression] = STATE(14916),
    [sym__simple_expression] = STATE(5383),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(8375),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(8375),
    [sym_call_expression] = STATE(8375),
    [sym_field_expression] = STATE(8375),
    [sym_instance_expression] = STATE(8375),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16072),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(8716),
    [sym_tuple_expression] = STATE(8375),
    [sym_parenthesized_expression] = STATE(8375),
    [sym_splice_expression] = STATE(8375),
    [sym_quote_expression] = STATE(8375),
    [sym_identifier] = STATE(4711),
    [sym__soft_identifier] = STATE(5430),
    [sym_wildcard] = STATE(6992),
    [sym__non_null_literal] = STATE(8375),
    [sym_boolean_literal] = STATE(8117),
    [sym_interpolated_string_expression] = STATE(8375),
    [sym_string] = STATE(8117),
    [sym_unit] = STATE(8375),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(555),
    [sym_block_comment] = STATE(555),
    [sym__alpha_identifier] = ACTIONS(1618),
    [anon_sym_COLON] = ACTIONS(1620),
    [anon_sym_LBRACE] = ACTIONS(1622),
    [anon_sym_COMMA] = ACTIONS(894),
    [anon_sym__] = ACTIONS(1624),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(1626),
    [anon_sym_DASH] = ACTIONS(1626),
    [anon_sym_end] = ACTIONS(1628),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1630),
    [anon_sym_opaque] = ACTIONS(1628),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1632),
    [anon_sym_infix] = ACTIONS(1628),
    [anon_sym_open] = ACTIONS(1628),
    [anon_sym_transparent] = ACTIONS(1628),
    [anon_sym_LPAREN] = ACTIONS(1634),
    [anon_sym_RPAREN] = ACTIONS(894),
    [anon_sym_then] = ACTIONS(896),
    [anon_sym_catch] = ACTIONS(896),
    [anon_sym_finally] = ACTIONS(896),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1626),
    [anon_sym_TILDE] = ACTIONS(1626),
    [anon_sym_DOLLAR] = ACTIONS(1636),
    [anon_sym_SQUOTE] = ACTIONS(1638),
    [sym__backquoted_id] = ACTIONS(1640),
    [sym_operator_identifier] = ACTIONS(1642),
    [sym_integer_literal] = ACTIONS(1644),
    [sym_floating_point_literal] = ACTIONS(1646),
    [anon_sym_true] = ACTIONS(1648),
    [anon_sym_false] = ACTIONS(1648),
    [sym_character_literal] = ACTIONS(1646),
    [sym_null_literal] = ACTIONS(1650),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1652),
    [sym__simple_string] = ACTIONS(1652),
  },
  [556] = {
    [sym_inline_modifier] = STATE(2070),
    [sym_block] = STATE(8360),
    [sym_expression] = STATE(12708),
    [sym__simple_expression] = STATE(5615),
    [sym_lambda_expression] = STATE(13229),
    [sym_if_expression] = STATE(13229),
    [sym_match_expression] = STATE(13229),
    [sym_try_expression] = STATE(13229),
    [sym_bindings] = STATE(15528),
    [sym_case_block] = STATE(8360),
    [sym_assignment_expression] = STATE(13229),
    [sym_generic_function] = STATE(8360),
    [sym_call_expression] = STATE(8360),
    [sym_field_expression] = STATE(8360),
    [sym_instance_expression] = STATE(8360),
    [sym_ascription_expression] = STATE(13229),
    [sym_infix_expression] = STATE(9581),
    [sym_postfix_expression] = STATE(12866),
    [sym__postfix_expression_choice] = STATE(15971),
    [sym_macro_body] = STATE(13229),
    [sym_prefix_expression] = STATE(9582),
    [sym_tuple_expression] = STATE(8360),
    [sym_parenthesized_expression] = STATE(8360),
    [sym_splice_expression] = STATE(8360),
    [sym_quote_expression] = STATE(8360),
    [sym_identifier] = STATE(5263),
    [sym__soft_identifier] = STATE(5563),
    [sym_wildcard] = STATE(7408),
    [sym__non_null_literal] = STATE(8360),
    [sym_boolean_literal] = STATE(8269),
    [sym_interpolated_string_expression] = STATE(8360),
    [sym_string] = STATE(8269),
    [sym_unit] = STATE(8360),
    [sym_return_expression] = STATE(13229),
    [sym_throw_expression] = STATE(13229),
    [sym_while_expression] = STATE(13229),
    [sym_do_while_expression] = STATE(13229),
    [sym_for_expression] = STATE(13229),
    [sym_comment] = STATE(556),
    [sym_block_comment] = STATE(556),
    [sym__alpha_identifier] = ACTIONS(1242),
    [anon_sym_LBRACE] = ACTIONS(1246),
    [anon_sym_case] = ACTIONS(1150),
    [anon_sym__] = ACTIONS(1248),
    [anon_sym_LBRACK] = ACTIONS(1148),
    [anon_sym_PLUS] = ACTIONS(1250),
    [anon_sym_DASH] = ACTIONS(1250),
    [anon_sym_end] = ACTIONS(1252),
    [anon_sym_if] = ACTIONS(1654),
    [anon_sym_while] = ACTIONS(1656),
    [anon_sym_for] = ACTIONS(1658),
    [anon_sym_match] = ACTIONS(1150),
    [anon_sym_try] = ACTIONS(1660),
    [anon_sym_new] = ACTIONS(1254),
    [anon_sym_opaque] = ACTIONS(1252),
    [anon_sym_implicit] = ACTIONS(1662),
    [anon_sym_inline] = ACTIONS(1256),
    [anon_sym_infix] = ACTIONS(1252),
    [anon_sym_open] = ACTIONS(1252),
    [anon_sym_transparent] = ACTIONS(1252),
    [anon_sym_LPAREN] = ACTIONS(1258),
    [anon_sym_SEMI] = ACTIONS(1148),
    [anon_sym_catch] = ACTIONS(1150),
    [anon_sym_finally] = ACTIONS(1150),
    [anon_sym_macro] = ACTIONS(1664),
    [anon_sym_BANG] = ACTIONS(1250),
    [anon_sym_TILDE] = ACTIONS(1250),
    [anon_sym_DOLLAR] = ACTIONS(1260),
    [anon_sym_SQUOTE] = ACTIONS(1262),
    [sym__backquoted_id] = ACTIONS(1264),
    [sym_operator_identifier] = ACTIONS(1666),
    [sym_integer_literal] = ACTIONS(1268),
    [sym_floating_point_literal] = ACTIONS(1270),
    [anon_sym_true] = ACTIONS(1272),
    [anon_sym_false] = ACTIONS(1272),
    [sym_character_literal] = ACTIONS(1270),
    [sym_null_literal] = ACTIONS(1274),
    [anon_sym_return] = ACTIONS(1668),
    [anon_sym_throw] = ACTIONS(1670),
    [anon_sym_do] = ACTIONS(1672),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1148),
    [sym__outdent] = ACTIONS(1148),
    [sym__simple_multiline_string] = ACTIONS(1276),
    [sym__simple_string] = ACTIONS(1276),
  },
  [557] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(8821),
    [sym_expression] = STATE(15265),
    [sym__simple_expression] = STATE(5601),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(8821),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(8821),
    [sym_call_expression] = STATE(8821),
    [sym_field_expression] = STATE(8821),
    [sym_instance_expression] = STATE(8821),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16270),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(9569),
    [sym_tuple_expression] = STATE(8821),
    [sym_parenthesized_expression] = STATE(8821),
    [sym_splice_expression] = STATE(8821),
    [sym_quote_expression] = STATE(8821),
    [sym_identifier] = STATE(5024),
    [sym__soft_identifier] = STATE(6446),
    [sym_wildcard] = STATE(8013),
    [sym__non_null_literal] = STATE(8821),
    [sym_boolean_literal] = STATE(8798),
    [sym_interpolated_string_expression] = STATE(8821),
    [sym_string] = STATE(8798),
    [sym_unit] = STATE(8821),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(557),
    [sym_block_comment] = STATE(557),
    [sym__alpha_identifier] = ACTIONS(1674),
    [anon_sym_COLON] = ACTIONS(1676),
    [anon_sym_LBRACE] = ACTIONS(1678),
    [anon_sym_case] = ACTIONS(896),
    [anon_sym__] = ACTIONS(1680),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(1682),
    [anon_sym_DASH] = ACTIONS(1682),
    [anon_sym_end] = ACTIONS(1684),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1686),
    [anon_sym_opaque] = ACTIONS(1684),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1688),
    [anon_sym_infix] = ACTIONS(1684),
    [anon_sym_open] = ACTIONS(1684),
    [anon_sym_transparent] = ACTIONS(1684),
    [anon_sym_LPAREN] = ACTIONS(1690),
    [anon_sym_SEMI] = ACTIONS(894),
    [anon_sym_finally] = ACTIONS(896),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1682),
    [anon_sym_TILDE] = ACTIONS(1682),
    [anon_sym_DOLLAR] = ACTIONS(1692),
    [anon_sym_SQUOTE] = ACTIONS(1694),
    [sym__backquoted_id] = ACTIONS(1696),
    [sym_operator_identifier] = ACTIONS(1698),
    [sym_integer_literal] = ACTIONS(1700),
    [sym_floating_point_literal] = ACTIONS(1702),
    [anon_sym_true] = ACTIONS(1704),
    [anon_sym_false] = ACTIONS(1704),
    [sym_character_literal] = ACTIONS(1702),
    [sym_null_literal] = ACTIONS(1706),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(894),
    [sym__outdent] = ACTIONS(894),
    [sym__simple_multiline_string] = ACTIONS(1708),
    [sym__simple_string] = ACTIONS(1708),
  },
  [558] = {
    [sym_inline_modifier] = STATE(2252),
    [sym_block] = STATE(8262),
    [sym_expression] = STATE(12879),
    [sym__simple_expression] = STATE(5471),
    [sym_lambda_expression] = STATE(13098),
    [sym_if_expression] = STATE(13098),
    [sym_match_expression] = STATE(13098),
    [sym_try_expression] = STATE(13098),
    [sym_bindings] = STATE(15615),
    [sym_case_block] = STATE(8262),
    [sym_assignment_expression] = STATE(13098),
    [sym_generic_function] = STATE(8262),
    [sym_call_expression] = STATE(8262),
    [sym_field_expression] = STATE(8262),
    [sym_instance_expression] = STATE(8262),
    [sym_ascription_expression] = STATE(13098),
    [sym_infix_expression] = STATE(9485),
    [sym_postfix_expression] = STATE(12647),
    [sym__postfix_expression_choice] = STATE(16347),
    [sym_macro_body] = STATE(13098),
    [sym_prefix_expression] = STATE(9525),
    [sym_tuple_expression] = STATE(8262),
    [sym_parenthesized_expression] = STATE(8262),
    [sym_splice_expression] = STATE(8262),
    [sym_quote_expression] = STATE(8262),
    [sym_identifier] = STATE(5180),
    [sym__soft_identifier] = STATE(5419),
    [sym_wildcard] = STATE(7820),
    [sym__non_null_literal] = STATE(8262),
    [sym_boolean_literal] = STATE(8242),
    [sym_interpolated_string_expression] = STATE(8262),
    [sym_string] = STATE(8242),
    [sym_unit] = STATE(8262),
    [sym_return_expression] = STATE(13098),
    [sym_throw_expression] = STATE(13098),
    [sym_while_expression] = STATE(13098),
    [sym_do_while_expression] = STATE(13098),
    [sym_for_expression] = STATE(13098),
    [sym_comment] = STATE(558),
    [sym_block_comment] = STATE(558),
    [sym__alpha_identifier] = ACTIONS(1278),
    [anon_sym_LBRACE] = ACTIONS(1282),
    [anon_sym_case] = ACTIONS(1150),
    [anon_sym__] = ACTIONS(1284),
    [anon_sym_LBRACK] = ACTIONS(1148),
    [anon_sym_PLUS] = ACTIONS(1286),
    [anon_sym_DASH] = ACTIONS(1286),
    [anon_sym_end] = ACTIONS(1288),
    [anon_sym_if] = ACTIONS(1710),
    [anon_sym_while] = ACTIONS(1712),
    [anon_sym_for] = ACTIONS(1714),
    [anon_sym_match] = ACTIONS(1150),
    [anon_sym_try] = ACTIONS(1716),
    [anon_sym_new] = ACTIONS(1290),
    [anon_sym_opaque] = ACTIONS(1288),
    [anon_sym_implicit] = ACTIONS(1718),
    [anon_sym_inline] = ACTIONS(1292),
    [anon_sym_infix] = ACTIONS(1288),
    [anon_sym_open] = ACTIONS(1288),
    [anon_sym_transparent] = ACTIONS(1288),
    [anon_sym_LPAREN] = ACTIONS(1294),
    [anon_sym_SEMI] = ACTIONS(1148),
    [anon_sym_else] = ACTIONS(1150),
    [anon_sym_finally] = ACTIONS(1150),
    [anon_sym_macro] = ACTIONS(1720),
    [anon_sym_BANG] = ACTIONS(1286),
    [anon_sym_TILDE] = ACTIONS(1286),
    [anon_sym_DOLLAR] = ACTIONS(1296),
    [anon_sym_SQUOTE] = ACTIONS(1298),
    [sym__backquoted_id] = ACTIONS(1300),
    [sym_operator_identifier] = ACTIONS(1722),
    [sym_integer_literal] = ACTIONS(1304),
    [sym_floating_point_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1308),
    [anon_sym_false] = ACTIONS(1308),
    [sym_character_literal] = ACTIONS(1306),
    [sym_null_literal] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(1724),
    [anon_sym_throw] = ACTIONS(1726),
    [anon_sym_do] = ACTIONS(1728),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1148),
    [sym__outdent] = ACTIONS(1148),
    [sym__simple_multiline_string] = ACTIONS(1312),
    [sym__simple_string] = ACTIONS(1312),
  },
  [559] = {
    [sym_inline_modifier] = STATE(2269),
    [sym_block] = STATE(8070),
    [sym_expression] = STATE(12600),
    [sym__simple_expression] = STATE(5679),
    [sym_lambda_expression] = STATE(12742),
    [sym_if_expression] = STATE(12742),
    [sym_match_expression] = STATE(12742),
    [sym_try_expression] = STATE(12742),
    [sym_bindings] = STATE(15536),
    [sym_case_block] = STATE(8070),
    [sym_assignment_expression] = STATE(12742),
    [sym_generic_function] = STATE(8070),
    [sym_call_expression] = STATE(8070),
    [sym_field_expression] = STATE(8070),
    [sym_instance_expression] = STATE(8070),
    [sym_ascription_expression] = STATE(12742),
    [sym_infix_expression] = STATE(8913),
    [sym_postfix_expression] = STATE(12343),
    [sym__postfix_expression_choice] = STATE(16230),
    [sym_macro_body] = STATE(12742),
    [sym_prefix_expression] = STATE(9483),
    [sym_tuple_expression] = STATE(8070),
    [sym_parenthesized_expression] = STATE(8070),
    [sym_splice_expression] = STATE(8070),
    [sym_quote_expression] = STATE(8070),
    [sym_identifier] = STATE(4999),
    [sym__soft_identifier] = STATE(5234),
    [sym_wildcard] = STATE(8075),
    [sym__non_null_literal] = STATE(8070),
    [sym_boolean_literal] = STATE(8055),
    [sym_interpolated_string_expression] = STATE(8070),
    [sym_string] = STATE(8055),
    [sym_unit] = STATE(8070),
    [sym_return_expression] = STATE(12742),
    [sym_throw_expression] = STATE(12742),
    [sym_while_expression] = STATE(12742),
    [sym_do_while_expression] = STATE(12742),
    [sym_for_expression] = STATE(12742),
    [sym_comment] = STATE(559),
    [sym_block_comment] = STATE(559),
    [sym__alpha_identifier] = ACTIONS(1314),
    [anon_sym_LBRACE] = ACTIONS(1318),
    [anon_sym_COMMA] = ACTIONS(1148),
    [anon_sym__] = ACTIONS(1320),
    [anon_sym_LBRACK] = ACTIONS(1148),
    [anon_sym_PLUS] = ACTIONS(1322),
    [anon_sym_DASH] = ACTIONS(1322),
    [anon_sym_end] = ACTIONS(1324),
    [anon_sym_if] = ACTIONS(1730),
    [anon_sym_while] = ACTIONS(1732),
    [anon_sym_for] = ACTIONS(1734),
    [anon_sym_match] = ACTIONS(1150),
    [anon_sym_try] = ACTIONS(1736),
    [anon_sym_new] = ACTIONS(1326),
    [anon_sym_opaque] = ACTIONS(1324),
    [anon_sym_implicit] = ACTIONS(1738),
    [anon_sym_inline] = ACTIONS(1328),
    [anon_sym_infix] = ACTIONS(1324),
    [anon_sym_open] = ACTIONS(1324),
    [anon_sym_transparent] = ACTIONS(1324),
    [anon_sym_LPAREN] = ACTIONS(1330),
    [anon_sym_RPAREN] = ACTIONS(1148),
    [anon_sym_SEMI] = ACTIONS(1148),
    [anon_sym_else] = ACTIONS(1150),
    [anon_sym_then] = ACTIONS(1150),
    [anon_sym_finally] = ACTIONS(1150),
    [anon_sym_macro] = ACTIONS(1740),
    [anon_sym_BANG] = ACTIONS(1322),
    [anon_sym_TILDE] = ACTIONS(1322),
    [anon_sym_DOLLAR] = ACTIONS(1332),
    [anon_sym_SQUOTE] = ACTIONS(1334),
    [sym__backquoted_id] = ACTIONS(1336),
    [sym_operator_identifier] = ACTIONS(1742),
    [sym_integer_literal] = ACTIONS(1340),
    [sym_floating_point_literal] = ACTIONS(1342),
    [anon_sym_true] = ACTIONS(1344),
    [anon_sym_false] = ACTIONS(1344),
    [sym_character_literal] = ACTIONS(1342),
    [sym_null_literal] = ACTIONS(1346),
    [anon_sym_return] = ACTIONS(1744),
    [anon_sym_throw] = ACTIONS(1746),
    [anon_sym_do] = ACTIONS(1748),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1348),
    [sym__simple_string] = ACTIONS(1348),
  },
  [560] = {
    [sym_inline_modifier] = STATE(2335),
    [sym_block] = STATE(5403),
    [sym_expression] = STATE(11359),
    [sym__simple_expression] = STATE(4736),
    [sym_lambda_expression] = STATE(11364),
    [sym_if_expression] = STATE(11364),
    [sym_match_expression] = STATE(11364),
    [sym_try_expression] = STATE(11364),
    [sym_bindings] = STATE(15583),
    [sym_case_block] = STATE(5403),
    [sym_assignment_expression] = STATE(11364),
    [sym_generic_function] = STATE(5403),
    [sym_call_expression] = STATE(5403),
    [sym_field_expression] = STATE(5403),
    [sym_instance_expression] = STATE(5403),
    [sym_ascription_expression] = STATE(11364),
    [sym_infix_expression] = STATE(6806),
    [sym_postfix_expression] = STATE(10789),
    [sym__postfix_expression_choice] = STATE(15797),
    [sym_macro_body] = STATE(11364),
    [sym_prefix_expression] = STATE(8627),
    [sym_tuple_expression] = STATE(5403),
    [sym_parenthesized_expression] = STATE(5403),
    [sym_splice_expression] = STATE(5403),
    [sym_quote_expression] = STATE(5403),
    [sym_identifier] = STATE(4558),
    [sym__soft_identifier] = STATE(4455),
    [sym_wildcard] = STATE(6107),
    [sym__non_null_literal] = STATE(5403),
    [sym_boolean_literal] = STATE(5637),
    [sym_interpolated_string_expression] = STATE(5403),
    [sym_string] = STATE(5637),
    [sym_unit] = STATE(5403),
    [sym_return_expression] = STATE(11364),
    [sym_throw_expression] = STATE(11364),
    [sym_while_expression] = STATE(11364),
    [sym_do_while_expression] = STATE(11364),
    [sym_for_expression] = STATE(11364),
    [sym_comment] = STATE(560),
    [sym_block_comment] = STATE(560),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_LBRACK] = ACTIONS(1148),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(1150),
    [anon_sym_while] = ACTIONS(1750),
    [anon_sym_for] = ACTIONS(1752),
    [anon_sym_match] = ACTIONS(1150),
    [anon_sym_try] = ACTIONS(1754),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1756),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_SEMI] = ACTIONS(1148),
    [anon_sym_else] = ACTIONS(1150),
    [anon_sym_catch] = ACTIONS(1150),
    [anon_sym_finally] = ACTIONS(1150),
    [anon_sym_macro] = ACTIONS(1162),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1758),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1760),
    [anon_sym_throw] = ACTIONS(1762),
    [anon_sym_do] = ACTIONS(1150),
    [anon_sym_yield] = ACTIONS(1150),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1148),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [561] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(14396),
    [sym__simple_expression] = STATE(4939),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16541),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(8185),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(4515),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(6056),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(561),
    [sym_block_comment] = STATE(561),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_COLON] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(894),
    [anon_sym_case] = ACTIONS(896),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(603),
    [anon_sym_DASH] = ACTIONS(603),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1764),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(894),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(603),
    [anon_sym_TILDE] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(1426),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(894),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [562] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9913),
    [sym_expression] = STATE(15008),
    [sym__simple_expression] = STATE(6993),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9913),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9913),
    [sym_call_expression] = STATE(9913),
    [sym_field_expression] = STATE(9913),
    [sym_instance_expression] = STATE(9913),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(15923),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10025),
    [sym_tuple_expression] = STATE(9913),
    [sym_parenthesized_expression] = STATE(9913),
    [sym_splice_expression] = STATE(9913),
    [sym_quote_expression] = STATE(9913),
    [sym_identifier] = STATE(6614),
    [sym__soft_identifier] = STATE(4555),
    [sym_wildcard] = STATE(9170),
    [sym__non_null_literal] = STATE(9913),
    [sym_boolean_literal] = STATE(6572),
    [sym_interpolated_string_expression] = STATE(9913),
    [sym_string] = STATE(6572),
    [sym_unit] = STATE(9913),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(562),
    [sym_block_comment] = STATE(562),
    [ts_builtin_sym_end] = ACTIONS(894),
    [sym__alpha_identifier] = ACTIONS(1766),
    [anon_sym_COLON] = ACTIONS(1768),
    [anon_sym_LBRACE] = ACTIONS(1770),
    [anon_sym__] = ACTIONS(1772),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(1774),
    [anon_sym_DASH] = ACTIONS(1774),
    [anon_sym_end] = ACTIONS(1776),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1778),
    [anon_sym_opaque] = ACTIONS(1776),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1780),
    [anon_sym_infix] = ACTIONS(1776),
    [anon_sym_open] = ACTIONS(1776),
    [anon_sym_transparent] = ACTIONS(1776),
    [anon_sym_LPAREN] = ACTIONS(1782),
    [anon_sym_SEMI] = ACTIONS(894),
    [anon_sym_else] = ACTIONS(896),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1774),
    [anon_sym_TILDE] = ACTIONS(1774),
    [anon_sym_DOLLAR] = ACTIONS(1784),
    [anon_sym_SQUOTE] = ACTIONS(1786),
    [sym__backquoted_id] = ACTIONS(1788),
    [sym_operator_identifier] = ACTIONS(1790),
    [sym_integer_literal] = ACTIONS(1792),
    [sym_floating_point_literal] = ACTIONS(1794),
    [anon_sym_true] = ACTIONS(1796),
    [anon_sym_false] = ACTIONS(1796),
    [sym_character_literal] = ACTIONS(1794),
    [sym_null_literal] = ACTIONS(1798),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(894),
    [sym__simple_multiline_string] = ACTIONS(1800),
    [sym__simple_string] = ACTIONS(1800),
  },
  [563] = {
    [sym_inline_modifier] = STATE(2212),
    [sym_block] = STATE(9539),
    [sym_expression] = STATE(13439),
    [sym__simple_expression] = STATE(6249),
    [sym_lambda_expression] = STATE(11374),
    [sym_if_expression] = STATE(11374),
    [sym_match_expression] = STATE(11374),
    [sym_try_expression] = STATE(11374),
    [sym_bindings] = STATE(15480),
    [sym_case_block] = STATE(9539),
    [sym_assignment_expression] = STATE(11374),
    [sym_generic_function] = STATE(9539),
    [sym_call_expression] = STATE(9539),
    [sym_field_expression] = STATE(9539),
    [sym_instance_expression] = STATE(9539),
    [sym_ascription_expression] = STATE(11374),
    [sym_infix_expression] = STATE(10179),
    [sym_postfix_expression] = STATE(11215),
    [sym__postfix_expression_choice] = STATE(16190),
    [sym_macro_body] = STATE(11374),
    [sym_prefix_expression] = STATE(9816),
    [sym_tuple_expression] = STATE(9539),
    [sym_parenthesized_expression] = STATE(9539),
    [sym_splice_expression] = STATE(9539),
    [sym_quote_expression] = STATE(9539),
    [sym_identifier] = STATE(5934),
    [sym__soft_identifier] = STATE(4462),
    [sym_wildcard] = STATE(8175),
    [sym__non_null_literal] = STATE(9539),
    [sym_boolean_literal] = STATE(5971),
    [sym_interpolated_string_expression] = STATE(9539),
    [sym_string] = STATE(5971),
    [sym_unit] = STATE(9539),
    [sym_return_expression] = STATE(11374),
    [sym_throw_expression] = STATE(11374),
    [sym_while_expression] = STATE(11374),
    [sym_do_while_expression] = STATE(11374),
    [sym_for_expression] = STATE(11374),
    [sym_comment] = STATE(563),
    [sym_block_comment] = STATE(563),
    [ts_builtin_sym_end] = ACTIONS(1148),
    [sym__alpha_identifier] = ACTIONS(1444),
    [anon_sym_LBRACE] = ACTIONS(1448),
    [anon_sym__] = ACTIONS(1450),
    [anon_sym_LBRACK] = ACTIONS(1148),
    [anon_sym_PLUS] = ACTIONS(1452),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_end] = ACTIONS(1454),
    [anon_sym_if] = ACTIONS(1802),
    [anon_sym_while] = ACTIONS(1804),
    [anon_sym_for] = ACTIONS(1806),
    [anon_sym_match] = ACTIONS(1150),
    [anon_sym_try] = ACTIONS(1808),
    [anon_sym_new] = ACTIONS(1456),
    [anon_sym_opaque] = ACTIONS(1454),
    [anon_sym_implicit] = ACTIONS(1810),
    [anon_sym_inline] = ACTIONS(1458),
    [anon_sym_infix] = ACTIONS(1454),
    [anon_sym_open] = ACTIONS(1454),
    [anon_sym_transparent] = ACTIONS(1454),
    [anon_sym_LPAREN] = ACTIONS(1460),
    [anon_sym_SEMI] = ACTIONS(1148),
    [anon_sym_else] = ACTIONS(1150),
    [anon_sym_finally] = ACTIONS(1150),
    [anon_sym_macro] = ACTIONS(1812),
    [anon_sym_BANG] = ACTIONS(1452),
    [anon_sym_TILDE] = ACTIONS(1452),
    [anon_sym_DOLLAR] = ACTIONS(1462),
    [anon_sym_SQUOTE] = ACTIONS(1464),
    [sym__backquoted_id] = ACTIONS(1466),
    [sym_operator_identifier] = ACTIONS(1814),
    [sym_integer_literal] = ACTIONS(1470),
    [sym_floating_point_literal] = ACTIONS(1472),
    [anon_sym_true] = ACTIONS(1474),
    [anon_sym_false] = ACTIONS(1474),
    [sym_character_literal] = ACTIONS(1472),
    [sym_null_literal] = ACTIONS(1476),
    [anon_sym_return] = ACTIONS(1816),
    [anon_sym_throw] = ACTIONS(1818),
    [anon_sym_do] = ACTIONS(1548),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1148),
    [sym__simple_multiline_string] = ACTIONS(1478),
    [sym__simple_string] = ACTIONS(1478),
  },
  [564] = {
    [sym_inline_modifier] = STATE(2074),
    [sym_block] = STATE(9523),
    [sym_expression] = STATE(13346),
    [sym__simple_expression] = STATE(6085),
    [sym_lambda_expression] = STATE(11549),
    [sym_if_expression] = STATE(11549),
    [sym_match_expression] = STATE(11549),
    [sym_try_expression] = STATE(11549),
    [sym_bindings] = STATE(15713),
    [sym_case_block] = STATE(9523),
    [sym_assignment_expression] = STATE(11549),
    [sym_generic_function] = STATE(9523),
    [sym_call_expression] = STATE(9523),
    [sym_field_expression] = STATE(9523),
    [sym_instance_expression] = STATE(9523),
    [sym_ascription_expression] = STATE(11549),
    [sym_infix_expression] = STATE(10056),
    [sym_postfix_expression] = STATE(11204),
    [sym__postfix_expression_choice] = STATE(16623),
    [sym_macro_body] = STATE(11549),
    [sym_prefix_expression] = STATE(9754),
    [sym_tuple_expression] = STATE(9523),
    [sym_parenthesized_expression] = STATE(9523),
    [sym_splice_expression] = STATE(9523),
    [sym_quote_expression] = STATE(9523),
    [sym_identifier] = STATE(5442),
    [sym__soft_identifier] = STATE(4485),
    [sym_wildcard] = STATE(8639),
    [sym__non_null_literal] = STATE(9523),
    [sym_boolean_literal] = STATE(5592),
    [sym_interpolated_string_expression] = STATE(9523),
    [sym_string] = STATE(5592),
    [sym_unit] = STATE(9523),
    [sym_return_expression] = STATE(11549),
    [sym_throw_expression] = STATE(11549),
    [sym_while_expression] = STATE(11549),
    [sym_do_while_expression] = STATE(11549),
    [sym_for_expression] = STATE(11549),
    [sym_comment] = STATE(564),
    [sym_block_comment] = STATE(564),
    [ts_builtin_sym_end] = ACTIONS(1148),
    [sym__alpha_identifier] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(1392),
    [anon_sym__] = ACTIONS(1394),
    [anon_sym_LBRACK] = ACTIONS(1148),
    [anon_sym_PLUS] = ACTIONS(1396),
    [anon_sym_DASH] = ACTIONS(1396),
    [anon_sym_end] = ACTIONS(1398),
    [anon_sym_if] = ACTIONS(1820),
    [anon_sym_while] = ACTIONS(1822),
    [anon_sym_for] = ACTIONS(1824),
    [anon_sym_match] = ACTIONS(1150),
    [anon_sym_try] = ACTIONS(1826),
    [anon_sym_new] = ACTIONS(1400),
    [anon_sym_opaque] = ACTIONS(1398),
    [anon_sym_implicit] = ACTIONS(1828),
    [anon_sym_inline] = ACTIONS(1402),
    [anon_sym_infix] = ACTIONS(1398),
    [anon_sym_open] = ACTIONS(1398),
    [anon_sym_transparent] = ACTIONS(1398),
    [anon_sym_LPAREN] = ACTIONS(1404),
    [anon_sym_SEMI] = ACTIONS(1148),
    [anon_sym_catch] = ACTIONS(1150),
    [anon_sym_finally] = ACTIONS(1150),
    [anon_sym_macro] = ACTIONS(1830),
    [anon_sym_BANG] = ACTIONS(1396),
    [anon_sym_TILDE] = ACTIONS(1396),
    [anon_sym_DOLLAR] = ACTIONS(1406),
    [anon_sym_SQUOTE] = ACTIONS(1408),
    [sym__backquoted_id] = ACTIONS(1410),
    [sym_operator_identifier] = ACTIONS(1832),
    [sym_integer_literal] = ACTIONS(1414),
    [sym_floating_point_literal] = ACTIONS(1416),
    [anon_sym_true] = ACTIONS(1418),
    [anon_sym_false] = ACTIONS(1418),
    [sym_character_literal] = ACTIONS(1416),
    [sym_null_literal] = ACTIONS(1420),
    [anon_sym_return] = ACTIONS(1834),
    [anon_sym_throw] = ACTIONS(1836),
    [anon_sym_do] = ACTIONS(1386),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1148),
    [sym__simple_multiline_string] = ACTIONS(1422),
    [sym__simple_string] = ACTIONS(1422),
  },
  [565] = {
    [sym_inline_modifier] = STATE(2122),
    [sym_block] = STATE(6703),
    [sym_expression] = STATE(12169),
    [sym__simple_expression] = STATE(6037),
    [sym_lambda_expression] = STATE(12046),
    [sym_if_expression] = STATE(12046),
    [sym_match_expression] = STATE(12046),
    [sym_try_expression] = STATE(12046),
    [sym_bindings] = STATE(15638),
    [sym_case_block] = STATE(6703),
    [sym_assignment_expression] = STATE(12046),
    [sym_generic_function] = STATE(6703),
    [sym_call_expression] = STATE(6703),
    [sym_field_expression] = STATE(6703),
    [sym_instance_expression] = STATE(6703),
    [sym_ascription_expression] = STATE(12046),
    [sym_infix_expression] = STATE(8166),
    [sym_postfix_expression] = STATE(11496),
    [sym__postfix_expression_choice] = STATE(15827),
    [sym_macro_body] = STATE(12046),
    [sym_prefix_expression] = STATE(9715),
    [sym_tuple_expression] = STATE(6703),
    [sym_parenthesized_expression] = STATE(6703),
    [sym_splice_expression] = STATE(6703),
    [sym_quote_expression] = STATE(6703),
    [sym_identifier] = STATE(5641),
    [sym__soft_identifier] = STATE(4884),
    [sym_wildcard] = STATE(8386),
    [sym__non_null_literal] = STATE(6703),
    [sym_boolean_literal] = STATE(6780),
    [sym_interpolated_string_expression] = STATE(6703),
    [sym_string] = STATE(6780),
    [sym_unit] = STATE(6703),
    [sym_return_expression] = STATE(12046),
    [sym_throw_expression] = STATE(12046),
    [sym_while_expression] = STATE(12046),
    [sym_do_while_expression] = STATE(12046),
    [sym_for_expression] = STATE(12046),
    [sym_comment] = STATE(565),
    [sym_block_comment] = STATE(565),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym_RBRACE] = ACTIONS(1148),
    [anon_sym_case] = ACTIONS(1150),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_LBRACK] = ACTIONS(1148),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(1838),
    [anon_sym_while] = ACTIONS(1840),
    [anon_sym_for] = ACTIONS(1842),
    [anon_sym_match] = ACTIONS(1150),
    [anon_sym_try] = ACTIONS(1844),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(1846),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_SEMI] = ACTIONS(1148),
    [anon_sym_finally] = ACTIONS(1150),
    [anon_sym_macro] = ACTIONS(1848),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(1850),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(1852),
    [anon_sym_throw] = ACTIONS(1854),
    [anon_sym_do] = ACTIONS(1856),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1148),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [566] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(14967),
    [sym__simple_expression] = STATE(6084),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16017),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(9845),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(5490),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(8581),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(566),
    [sym_block_comment] = STATE(566),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_COLON] = ACTIONS(1858),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(896),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(569),
    [anon_sym_DASH] = ACTIONS(569),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1860),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(894),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(569),
    [anon_sym_TILDE] = ACTIONS(569),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(1862),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(894),
    [sym__outdent] = ACTIONS(894),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [567] = {
    [sym_inline_modifier] = STATE(2130),
    [sym_block] = STATE(9120),
    [sym_expression] = STATE(13101),
    [sym__simple_expression] = STATE(6353),
    [sym_lambda_expression] = STATE(13422),
    [sym_if_expression] = STATE(13422),
    [sym_match_expression] = STATE(13422),
    [sym_try_expression] = STATE(13422),
    [sym_bindings] = STATE(15752),
    [sym_case_block] = STATE(9120),
    [sym_assignment_expression] = STATE(13422),
    [sym_generic_function] = STATE(9120),
    [sym_call_expression] = STATE(9120),
    [sym_field_expression] = STATE(9120),
    [sym_instance_expression] = STATE(9120),
    [sym_ascription_expression] = STATE(13422),
    [sym_infix_expression] = STATE(9820),
    [sym_postfix_expression] = STATE(13148),
    [sym__postfix_expression_choice] = STATE(15936),
    [sym_macro_body] = STATE(13422),
    [sym_prefix_expression] = STATE(9828),
    [sym_tuple_expression] = STATE(9120),
    [sym_parenthesized_expression] = STATE(9120),
    [sym_splice_expression] = STATE(9120),
    [sym_quote_expression] = STATE(9120),
    [sym_identifier] = STATE(5669),
    [sym__soft_identifier] = STATE(6470),
    [sym_wildcard] = STATE(8444),
    [sym__non_null_literal] = STATE(9120),
    [sym_boolean_literal] = STATE(8928),
    [sym_interpolated_string_expression] = STATE(9120),
    [sym_string] = STATE(8928),
    [sym_unit] = STATE(9120),
    [sym_return_expression] = STATE(13422),
    [sym_throw_expression] = STATE(13422),
    [sym_while_expression] = STATE(13422),
    [sym_do_while_expression] = STATE(13422),
    [sym_for_expression] = STATE(13422),
    [sym_comment] = STATE(567),
    [sym_block_comment] = STATE(567),
    [sym__alpha_identifier] = ACTIONS(1582),
    [anon_sym_LBRACE] = ACTIONS(1586),
    [anon_sym_case] = ACTIONS(1150),
    [anon_sym__] = ACTIONS(1588),
    [anon_sym_LBRACK] = ACTIONS(1148),
    [anon_sym_PLUS] = ACTIONS(1590),
    [anon_sym_DASH] = ACTIONS(1590),
    [anon_sym_end] = ACTIONS(1592),
    [anon_sym_if] = ACTIONS(1864),
    [anon_sym_while] = ACTIONS(1866),
    [anon_sym_for] = ACTIONS(1868),
    [anon_sym_match] = ACTIONS(1150),
    [anon_sym_try] = ACTIONS(1870),
    [anon_sym_new] = ACTIONS(1594),
    [anon_sym_opaque] = ACTIONS(1592),
    [anon_sym_implicit] = ACTIONS(1872),
    [anon_sym_inline] = ACTIONS(1596),
    [anon_sym_infix] = ACTIONS(1592),
    [anon_sym_open] = ACTIONS(1592),
    [anon_sym_transparent] = ACTIONS(1592),
    [anon_sym_LPAREN] = ACTIONS(1598),
    [anon_sym_SEMI] = ACTIONS(1148),
    [anon_sym_else] = ACTIONS(1150),
    [anon_sym_macro] = ACTIONS(1874),
    [anon_sym_BANG] = ACTIONS(1590),
    [anon_sym_TILDE] = ACTIONS(1590),
    [anon_sym_DOLLAR] = ACTIONS(1600),
    [anon_sym_SQUOTE] = ACTIONS(1602),
    [sym__backquoted_id] = ACTIONS(1604),
    [sym_operator_identifier] = ACTIONS(1876),
    [sym_integer_literal] = ACTIONS(1608),
    [sym_floating_point_literal] = ACTIONS(1610),
    [anon_sym_true] = ACTIONS(1612),
    [anon_sym_false] = ACTIONS(1612),
    [sym_character_literal] = ACTIONS(1610),
    [sym_null_literal] = ACTIONS(1614),
    [anon_sym_return] = ACTIONS(1878),
    [anon_sym_throw] = ACTIONS(1880),
    [anon_sym_do] = ACTIONS(1882),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1148),
    [sym__outdent] = ACTIONS(1148),
    [sym__simple_multiline_string] = ACTIONS(1616),
    [sym__simple_string] = ACTIONS(1616),
  },
  [568] = {
    [sym_inline_modifier] = STATE(2047),
    [sym_block] = STATE(6954),
    [sym_expression] = STATE(12188),
    [sym__simple_expression] = STATE(6567),
    [sym_lambda_expression] = STATE(12144),
    [sym_if_expression] = STATE(12144),
    [sym_match_expression] = STATE(12144),
    [sym_try_expression] = STATE(12144),
    [sym_bindings] = STATE(15566),
    [sym_case_block] = STATE(6954),
    [sym_assignment_expression] = STATE(12144),
    [sym_generic_function] = STATE(6954),
    [sym_call_expression] = STATE(6954),
    [sym_field_expression] = STATE(6954),
    [sym_instance_expression] = STATE(6954),
    [sym_ascription_expression] = STATE(12144),
    [sym_infix_expression] = STATE(8226),
    [sym_postfix_expression] = STATE(11499),
    [sym__postfix_expression_choice] = STATE(16229),
    [sym_macro_body] = STATE(12144),
    [sym_prefix_expression] = STATE(9870),
    [sym_tuple_expression] = STATE(6954),
    [sym_parenthesized_expression] = STATE(6954),
    [sym_splice_expression] = STATE(6954),
    [sym_quote_expression] = STATE(6954),
    [sym_identifier] = STATE(5779),
    [sym__soft_identifier] = STATE(4827),
    [sym_wildcard] = STATE(8216),
    [sym__non_null_literal] = STATE(6954),
    [sym_boolean_literal] = STATE(6997),
    [sym_interpolated_string_expression] = STATE(6954),
    [sym_string] = STATE(6997),
    [sym_unit] = STATE(6954),
    [sym_return_expression] = STATE(12144),
    [sym_throw_expression] = STATE(12144),
    [sym_while_expression] = STATE(12144),
    [sym_do_while_expression] = STATE(12144),
    [sym_for_expression] = STATE(12144),
    [sym_comment] = STATE(568),
    [sym_block_comment] = STATE(568),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym_RBRACE] = ACTIONS(1148),
    [anon_sym_case] = ACTIONS(1150),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_LBRACK] = ACTIONS(1148),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(1884),
    [anon_sym_while] = ACTIONS(1886),
    [anon_sym_for] = ACTIONS(1888),
    [anon_sym_match] = ACTIONS(1150),
    [anon_sym_try] = ACTIONS(1890),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(1892),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_SEMI] = ACTIONS(1148),
    [anon_sym_else] = ACTIONS(1150),
    [anon_sym_macro] = ACTIONS(1894),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(1896),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(1898),
    [anon_sym_throw] = ACTIONS(1900),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1148),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [569] = {
    [sym_inline_modifier] = STATE(2208),
    [sym_block] = STATE(8821),
    [sym_expression] = STATE(13222),
    [sym__simple_expression] = STATE(6537),
    [sym_lambda_expression] = STATE(13337),
    [sym_if_expression] = STATE(13337),
    [sym_match_expression] = STATE(13337),
    [sym_try_expression] = STATE(13337),
    [sym_bindings] = STATE(15500),
    [sym_case_block] = STATE(8821),
    [sym_assignment_expression] = STATE(13337),
    [sym_generic_function] = STATE(8821),
    [sym_call_expression] = STATE(8821),
    [sym_field_expression] = STATE(8821),
    [sym_instance_expression] = STATE(8821),
    [sym_ascription_expression] = STATE(13337),
    [sym_infix_expression] = STATE(9659),
    [sym_postfix_expression] = STATE(13173),
    [sym__postfix_expression_choice] = STATE(16170),
    [sym_macro_body] = STATE(13337),
    [sym_prefix_expression] = STATE(9718),
    [sym_tuple_expression] = STATE(8821),
    [sym_parenthesized_expression] = STATE(8821),
    [sym_splice_expression] = STATE(8821),
    [sym_quote_expression] = STATE(8821),
    [sym_identifier] = STATE(5968),
    [sym__soft_identifier] = STATE(6446),
    [sym_wildcard] = STATE(8208),
    [sym__non_null_literal] = STATE(8821),
    [sym_boolean_literal] = STATE(8798),
    [sym_interpolated_string_expression] = STATE(8821),
    [sym_string] = STATE(8798),
    [sym_unit] = STATE(8821),
    [sym_return_expression] = STATE(13337),
    [sym_throw_expression] = STATE(13337),
    [sym_while_expression] = STATE(13337),
    [sym_do_while_expression] = STATE(13337),
    [sym_for_expression] = STATE(13337),
    [sym_comment] = STATE(569),
    [sym_block_comment] = STATE(569),
    [sym__alpha_identifier] = ACTIONS(1674),
    [anon_sym_LBRACE] = ACTIONS(1678),
    [anon_sym_case] = ACTIONS(1150),
    [anon_sym__] = ACTIONS(1680),
    [anon_sym_LBRACK] = ACTIONS(1148),
    [anon_sym_PLUS] = ACTIONS(1682),
    [anon_sym_DASH] = ACTIONS(1682),
    [anon_sym_end] = ACTIONS(1684),
    [anon_sym_if] = ACTIONS(1904),
    [anon_sym_while] = ACTIONS(1906),
    [anon_sym_for] = ACTIONS(1908),
    [anon_sym_match] = ACTIONS(1150),
    [anon_sym_try] = ACTIONS(1910),
    [anon_sym_new] = ACTIONS(1686),
    [anon_sym_opaque] = ACTIONS(1684),
    [anon_sym_implicit] = ACTIONS(1912),
    [anon_sym_inline] = ACTIONS(1688),
    [anon_sym_infix] = ACTIONS(1684),
    [anon_sym_open] = ACTIONS(1684),
    [anon_sym_transparent] = ACTIONS(1684),
    [anon_sym_LPAREN] = ACTIONS(1690),
    [anon_sym_SEMI] = ACTIONS(1148),
    [anon_sym_finally] = ACTIONS(1150),
    [anon_sym_macro] = ACTIONS(1914),
    [anon_sym_BANG] = ACTIONS(1682),
    [anon_sym_TILDE] = ACTIONS(1682),
    [anon_sym_DOLLAR] = ACTIONS(1692),
    [anon_sym_SQUOTE] = ACTIONS(1694),
    [sym__backquoted_id] = ACTIONS(1696),
    [sym_operator_identifier] = ACTIONS(1916),
    [sym_integer_literal] = ACTIONS(1700),
    [sym_floating_point_literal] = ACTIONS(1702),
    [anon_sym_true] = ACTIONS(1704),
    [anon_sym_false] = ACTIONS(1704),
    [sym_character_literal] = ACTIONS(1702),
    [sym_null_literal] = ACTIONS(1706),
    [anon_sym_return] = ACTIONS(1918),
    [anon_sym_throw] = ACTIONS(1920),
    [anon_sym_do] = ACTIONS(1922),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1148),
    [sym__outdent] = ACTIONS(1148),
    [sym__simple_multiline_string] = ACTIONS(1708),
    [sym__simple_string] = ACTIONS(1708),
  },
  [570] = {
    [sym_inline_modifier] = STATE(2323),
    [sym_block] = STATE(6954),
    [sym_expression] = STATE(12188),
    [sym__simple_expression] = STATE(5520),
    [sym_lambda_expression] = STATE(12144),
    [sym_if_expression] = STATE(12144),
    [sym_match_expression] = STATE(12144),
    [sym_try_expression] = STATE(12144),
    [sym_bindings] = STATE(15572),
    [sym_case_block] = STATE(6954),
    [sym_assignment_expression] = STATE(12144),
    [sym_generic_function] = STATE(6954),
    [sym_call_expression] = STATE(6954),
    [sym_field_expression] = STATE(6954),
    [sym_instance_expression] = STATE(6954),
    [sym_ascription_expression] = STATE(12144),
    [sym_infix_expression] = STATE(8226),
    [sym_postfix_expression] = STATE(11499),
    [sym__postfix_expression_choice] = STATE(16229),
    [sym_macro_body] = STATE(12144),
    [sym_prefix_expression] = STATE(9280),
    [sym_tuple_expression] = STATE(6954),
    [sym_parenthesized_expression] = STATE(6954),
    [sym_splice_expression] = STATE(6954),
    [sym_quote_expression] = STATE(6954),
    [sym_identifier] = STATE(5300),
    [sym__soft_identifier] = STATE(4827),
    [sym_wildcard] = STATE(7542),
    [sym__non_null_literal] = STATE(6954),
    [sym_boolean_literal] = STATE(6997),
    [sym_interpolated_string_expression] = STATE(6954),
    [sym_string] = STATE(6997),
    [sym_unit] = STATE(6954),
    [sym_return_expression] = STATE(12144),
    [sym_throw_expression] = STATE(12144),
    [sym_while_expression] = STATE(12144),
    [sym_do_while_expression] = STATE(12144),
    [sym_for_expression] = STATE(12144),
    [sym_comment] = STATE(570),
    [sym_block_comment] = STATE(570),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym_RBRACE] = ACTIONS(1148),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_LBRACK] = ACTIONS(1148),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(1150),
    [anon_sym_while] = ACTIONS(1924),
    [anon_sym_for] = ACTIONS(1926),
    [anon_sym_match] = ACTIONS(1150),
    [anon_sym_try] = ACTIONS(1928),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(1930),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_RPAREN] = ACTIONS(1148),
    [anon_sym_SEMI] = ACTIONS(1148),
    [anon_sym_else] = ACTIONS(1150),
    [anon_sym_macro] = ACTIONS(1894),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(1932),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(1934),
    [anon_sym_throw] = ACTIONS(1936),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1148),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [571] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9088),
    [sym_expression] = STATE(15444),
    [sym__simple_expression] = STATE(5825),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9088),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9088),
    [sym_call_expression] = STATE(9088),
    [sym_field_expression] = STATE(9088),
    [sym_instance_expression] = STATE(9088),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16108),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(9276),
    [sym_tuple_expression] = STATE(9088),
    [sym_parenthesized_expression] = STATE(9088),
    [sym_splice_expression] = STATE(9088),
    [sym_quote_expression] = STATE(9088),
    [sym_identifier] = STATE(5190),
    [sym__soft_identifier] = STATE(6581),
    [sym_wildcard] = STATE(7746),
    [sym__non_null_literal] = STATE(9088),
    [sym_boolean_literal] = STATE(8905),
    [sym_interpolated_string_expression] = STATE(9088),
    [sym_string] = STATE(8905),
    [sym_unit] = STATE(9088),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(571),
    [sym_block_comment] = STATE(571),
    [sym__alpha_identifier] = ACTIONS(1938),
    [anon_sym_COLON] = ACTIONS(1940),
    [anon_sym_LBRACE] = ACTIONS(1942),
    [anon_sym_COMMA] = ACTIONS(894),
    [anon_sym__] = ACTIONS(1944),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(1946),
    [anon_sym_DASH] = ACTIONS(1946),
    [anon_sym_end] = ACTIONS(1948),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1950),
    [anon_sym_opaque] = ACTIONS(1948),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1952),
    [anon_sym_infix] = ACTIONS(1948),
    [anon_sym_open] = ACTIONS(1948),
    [anon_sym_transparent] = ACTIONS(1948),
    [anon_sym_LPAREN] = ACTIONS(1954),
    [anon_sym_RPAREN] = ACTIONS(894),
    [anon_sym_then] = ACTIONS(896),
    [anon_sym_finally] = ACTIONS(896),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1946),
    [anon_sym_TILDE] = ACTIONS(1946),
    [anon_sym_DOLLAR] = ACTIONS(1956),
    [anon_sym_SQUOTE] = ACTIONS(1958),
    [sym__backquoted_id] = ACTIONS(1960),
    [sym_operator_identifier] = ACTIONS(1962),
    [sym_integer_literal] = ACTIONS(1964),
    [sym_floating_point_literal] = ACTIONS(1966),
    [anon_sym_true] = ACTIONS(1968),
    [anon_sym_false] = ACTIONS(1968),
    [sym_character_literal] = ACTIONS(1966),
    [sym_null_literal] = ACTIONS(1970),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1972),
    [sym__simple_string] = ACTIONS(1972),
  },
  [572] = {
    [sym_inline_modifier] = STATE(2159),
    [sym_block] = STATE(6450),
    [sym_expression] = STATE(11486),
    [sym__simple_expression] = STATE(5274),
    [sym_lambda_expression] = STATE(11549),
    [sym_if_expression] = STATE(11549),
    [sym_match_expression] = STATE(11549),
    [sym_try_expression] = STATE(11549),
    [sym_bindings] = STATE(15607),
    [sym_case_block] = STATE(6450),
    [sym_assignment_expression] = STATE(11549),
    [sym_generic_function] = STATE(6450),
    [sym_call_expression] = STATE(6450),
    [sym_field_expression] = STATE(6450),
    [sym_instance_expression] = STATE(6450),
    [sym_ascription_expression] = STATE(11549),
    [sym_infix_expression] = STATE(7641),
    [sym_postfix_expression] = STATE(11204),
    [sym__postfix_expression_choice] = STATE(16480),
    [sym_macro_body] = STATE(11549),
    [sym_prefix_expression] = STATE(8822),
    [sym_tuple_expression] = STATE(6450),
    [sym_parenthesized_expression] = STATE(6450),
    [sym_splice_expression] = STATE(6450),
    [sym_quote_expression] = STATE(6450),
    [sym_identifier] = STATE(4738),
    [sym__soft_identifier] = STATE(4507),
    [sym_wildcard] = STATE(7298),
    [sym__non_null_literal] = STATE(6450),
    [sym_boolean_literal] = STATE(6156),
    [sym_interpolated_string_expression] = STATE(6450),
    [sym_string] = STATE(6156),
    [sym_unit] = STATE(6450),
    [sym_return_expression] = STATE(11549),
    [sym_throw_expression] = STATE(11549),
    [sym_while_expression] = STATE(11549),
    [sym_do_while_expression] = STATE(11549),
    [sym_for_expression] = STATE(11549),
    [sym_comment] = STATE(572),
    [sym_block_comment] = STATE(572),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_LBRACK] = ACTIONS(1148),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(1150),
    [anon_sym_while] = ACTIONS(1974),
    [anon_sym_for] = ACTIONS(1976),
    [anon_sym_match] = ACTIONS(1150),
    [anon_sym_try] = ACTIONS(1978),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1980),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_SEMI] = ACTIONS(1148),
    [anon_sym_catch] = ACTIONS(1150),
    [anon_sym_finally] = ACTIONS(1150),
    [anon_sym_macro] = ACTIONS(1378),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1982),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1984),
    [anon_sym_throw] = ACTIONS(1986),
    [anon_sym_do] = ACTIONS(1150),
    [anon_sym_yield] = ACTIONS(1150),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1148),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [573] = {
    [sym_inline_modifier] = STATE(2081),
    [sym_block] = STATE(6540),
    [sym_expression] = STATE(11391),
    [sym__simple_expression] = STATE(5282),
    [sym_lambda_expression] = STATE(11374),
    [sym_if_expression] = STATE(11374),
    [sym_match_expression] = STATE(11374),
    [sym_try_expression] = STATE(11374),
    [sym_bindings] = STATE(15666),
    [sym_case_block] = STATE(6540),
    [sym_assignment_expression] = STATE(11374),
    [sym_generic_function] = STATE(6540),
    [sym_call_expression] = STATE(6540),
    [sym_field_expression] = STATE(6540),
    [sym_instance_expression] = STATE(6540),
    [sym_ascription_expression] = STATE(11374),
    [sym_infix_expression] = STATE(7834),
    [sym_postfix_expression] = STATE(11215),
    [sym__postfix_expression_choice] = STATE(16210),
    [sym_macro_body] = STATE(11374),
    [sym_prefix_expression] = STATE(8793),
    [sym_tuple_expression] = STATE(6540),
    [sym_parenthesized_expression] = STATE(6540),
    [sym_splice_expression] = STATE(6540),
    [sym_quote_expression] = STATE(6540),
    [sym_identifier] = STATE(4731),
    [sym__soft_identifier] = STATE(4667),
    [sym_wildcard] = STATE(7219),
    [sym__non_null_literal] = STATE(6540),
    [sym_boolean_literal] = STATE(6246),
    [sym_interpolated_string_expression] = STATE(6540),
    [sym_string] = STATE(6246),
    [sym_unit] = STATE(6540),
    [sym_return_expression] = STATE(11374),
    [sym_throw_expression] = STATE(11374),
    [sym_while_expression] = STATE(11374),
    [sym_do_while_expression] = STATE(11374),
    [sym_for_expression] = STATE(11374),
    [sym_comment] = STATE(573),
    [sym_block_comment] = STATE(573),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_LBRACK] = ACTIONS(1148),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(1150),
    [anon_sym_while] = ACTIONS(1988),
    [anon_sym_for] = ACTIONS(1990),
    [anon_sym_match] = ACTIONS(1150),
    [anon_sym_try] = ACTIONS(1992),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1994),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_SEMI] = ACTIONS(1148),
    [anon_sym_else] = ACTIONS(1150),
    [anon_sym_finally] = ACTIONS(1150),
    [anon_sym_macro] = ACTIONS(1540),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1996),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1998),
    [anon_sym_throw] = ACTIONS(2000),
    [anon_sym_do] = ACTIONS(1150),
    [anon_sym_yield] = ACTIONS(1150),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1148),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [574] = {
    [sym_inline_modifier] = STATE(2113),
    [sym_block] = STATE(6703),
    [sym_expression] = STATE(12169),
    [sym__simple_expression] = STATE(5524),
    [sym_lambda_expression] = STATE(12046),
    [sym_if_expression] = STATE(12046),
    [sym_match_expression] = STATE(12046),
    [sym_try_expression] = STATE(12046),
    [sym_bindings] = STATE(15660),
    [sym_case_block] = STATE(6703),
    [sym_assignment_expression] = STATE(12046),
    [sym_generic_function] = STATE(6703),
    [sym_call_expression] = STATE(6703),
    [sym_field_expression] = STATE(6703),
    [sym_instance_expression] = STATE(6703),
    [sym_ascription_expression] = STATE(12046),
    [sym_infix_expression] = STATE(8166),
    [sym_postfix_expression] = STATE(11496),
    [sym__postfix_expression_choice] = STATE(15827),
    [sym_macro_body] = STATE(12046),
    [sym_prefix_expression] = STATE(9264),
    [sym_tuple_expression] = STATE(6703),
    [sym_parenthesized_expression] = STATE(6703),
    [sym_splice_expression] = STATE(6703),
    [sym_quote_expression] = STATE(6703),
    [sym_identifier] = STATE(5303),
    [sym__soft_identifier] = STATE(4884),
    [sym_wildcard] = STATE(7550),
    [sym__non_null_literal] = STATE(6703),
    [sym_boolean_literal] = STATE(6780),
    [sym_interpolated_string_expression] = STATE(6703),
    [sym_string] = STATE(6780),
    [sym_unit] = STATE(6703),
    [sym_return_expression] = STATE(12046),
    [sym_throw_expression] = STATE(12046),
    [sym_while_expression] = STATE(12046),
    [sym_do_while_expression] = STATE(12046),
    [sym_for_expression] = STATE(12046),
    [sym_comment] = STATE(574),
    [sym_block_comment] = STATE(574),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym_RBRACE] = ACTIONS(1148),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_LBRACK] = ACTIONS(1148),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(1150),
    [anon_sym_while] = ACTIONS(2002),
    [anon_sym_for] = ACTIONS(2004),
    [anon_sym_match] = ACTIONS(1150),
    [anon_sym_try] = ACTIONS(2006),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(2008),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_RPAREN] = ACTIONS(1148),
    [anon_sym_SEMI] = ACTIONS(1148),
    [anon_sym_finally] = ACTIONS(1150),
    [anon_sym_macro] = ACTIONS(1848),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(2010),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(2012),
    [anon_sym_throw] = ACTIONS(2014),
    [anon_sym_do] = ACTIONS(1856),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1148),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [575] = {
    [sym_inline_modifier] = STATE(2049),
    [sym_block] = STATE(8262),
    [sym_expression] = STATE(12879),
    [sym__simple_expression] = STATE(5468),
    [sym_lambda_expression] = STATE(13098),
    [sym_if_expression] = STATE(13098),
    [sym_match_expression] = STATE(13098),
    [sym_try_expression] = STATE(13098),
    [sym_bindings] = STATE(15673),
    [sym_case_block] = STATE(8262),
    [sym_assignment_expression] = STATE(13098),
    [sym_generic_function] = STATE(8262),
    [sym_call_expression] = STATE(8262),
    [sym_field_expression] = STATE(8262),
    [sym_instance_expression] = STATE(8262),
    [sym_ascription_expression] = STATE(13098),
    [sym_infix_expression] = STATE(9485),
    [sym_postfix_expression] = STATE(12647),
    [sym__postfix_expression_choice] = STATE(16347),
    [sym_macro_body] = STATE(13098),
    [sym_prefix_expression] = STATE(9354),
    [sym_tuple_expression] = STATE(8262),
    [sym_parenthesized_expression] = STATE(8262),
    [sym_splice_expression] = STATE(8262),
    [sym_quote_expression] = STATE(8262),
    [sym_identifier] = STATE(5288),
    [sym__soft_identifier] = STATE(5419),
    [sym_wildcard] = STATE(7475),
    [sym__non_null_literal] = STATE(8262),
    [sym_boolean_literal] = STATE(8242),
    [sym_interpolated_string_expression] = STATE(8262),
    [sym_string] = STATE(8242),
    [sym_unit] = STATE(8262),
    [sym_return_expression] = STATE(13098),
    [sym_throw_expression] = STATE(13098),
    [sym_while_expression] = STATE(13098),
    [sym_do_while_expression] = STATE(13098),
    [sym_for_expression] = STATE(13098),
    [sym_comment] = STATE(575),
    [sym_block_comment] = STATE(575),
    [sym__alpha_identifier] = ACTIONS(1278),
    [anon_sym_LBRACE] = ACTIONS(1282),
    [anon_sym__] = ACTIONS(1284),
    [anon_sym_LBRACK] = ACTIONS(1148),
    [anon_sym_PLUS] = ACTIONS(1286),
    [anon_sym_DASH] = ACTIONS(1286),
    [anon_sym_end] = ACTIONS(1288),
    [anon_sym_if] = ACTIONS(1150),
    [anon_sym_while] = ACTIONS(2016),
    [anon_sym_for] = ACTIONS(2018),
    [anon_sym_match] = ACTIONS(1150),
    [anon_sym_try] = ACTIONS(2020),
    [anon_sym_new] = ACTIONS(1290),
    [anon_sym_opaque] = ACTIONS(1288),
    [anon_sym_implicit] = ACTIONS(2022),
    [anon_sym_inline] = ACTIONS(1292),
    [anon_sym_infix] = ACTIONS(1288),
    [anon_sym_open] = ACTIONS(1288),
    [anon_sym_transparent] = ACTIONS(1288),
    [anon_sym_LPAREN] = ACTIONS(1294),
    [anon_sym_SEMI] = ACTIONS(1148),
    [anon_sym_else] = ACTIONS(1150),
    [anon_sym_finally] = ACTIONS(1150),
    [anon_sym_macro] = ACTIONS(1720),
    [anon_sym_BANG] = ACTIONS(1286),
    [anon_sym_TILDE] = ACTIONS(1286),
    [anon_sym_DOLLAR] = ACTIONS(1296),
    [anon_sym_SQUOTE] = ACTIONS(1298),
    [sym__backquoted_id] = ACTIONS(1300),
    [sym_operator_identifier] = ACTIONS(2024),
    [sym_integer_literal] = ACTIONS(1304),
    [sym_floating_point_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1308),
    [anon_sym_false] = ACTIONS(1308),
    [sym_character_literal] = ACTIONS(1306),
    [sym_null_literal] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(2026),
    [anon_sym_throw] = ACTIONS(2028),
    [anon_sym_do] = ACTIONS(1728),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1148),
    [sym__outdent] = ACTIONS(1148),
    [sym__simple_multiline_string] = ACTIONS(1312),
    [sym__simple_string] = ACTIONS(1312),
  },
  [576] = {
    [sym_inline_modifier] = STATE(2246),
    [sym_block] = STATE(8360),
    [sym_expression] = STATE(12708),
    [sym__simple_expression] = STATE(5440),
    [sym_lambda_expression] = STATE(13229),
    [sym_if_expression] = STATE(13229),
    [sym_match_expression] = STATE(13229),
    [sym_try_expression] = STATE(13229),
    [sym_bindings] = STATE(15490),
    [sym_case_block] = STATE(8360),
    [sym_assignment_expression] = STATE(13229),
    [sym_generic_function] = STATE(8360),
    [sym_call_expression] = STATE(8360),
    [sym_field_expression] = STATE(8360),
    [sym_instance_expression] = STATE(8360),
    [sym_ascription_expression] = STATE(13229),
    [sym_infix_expression] = STATE(9581),
    [sym_postfix_expression] = STATE(12866),
    [sym__postfix_expression_choice] = STATE(15971),
    [sym_macro_body] = STATE(13229),
    [sym_prefix_expression] = STATE(9366),
    [sym_tuple_expression] = STATE(8360),
    [sym_parenthesized_expression] = STATE(8360),
    [sym_splice_expression] = STATE(8360),
    [sym_quote_expression] = STATE(8360),
    [sym_identifier] = STATE(5277),
    [sym__soft_identifier] = STATE(5563),
    [sym_wildcard] = STATE(7446),
    [sym__non_null_literal] = STATE(8360),
    [sym_boolean_literal] = STATE(8269),
    [sym_interpolated_string_expression] = STATE(8360),
    [sym_string] = STATE(8269),
    [sym_unit] = STATE(8360),
    [sym_return_expression] = STATE(13229),
    [sym_throw_expression] = STATE(13229),
    [sym_while_expression] = STATE(13229),
    [sym_do_while_expression] = STATE(13229),
    [sym_for_expression] = STATE(13229),
    [sym_comment] = STATE(576),
    [sym_block_comment] = STATE(576),
    [sym__alpha_identifier] = ACTIONS(1242),
    [anon_sym_LBRACE] = ACTIONS(1246),
    [anon_sym__] = ACTIONS(1248),
    [anon_sym_LBRACK] = ACTIONS(1148),
    [anon_sym_PLUS] = ACTIONS(1250),
    [anon_sym_DASH] = ACTIONS(1250),
    [anon_sym_end] = ACTIONS(1252),
    [anon_sym_if] = ACTIONS(1150),
    [anon_sym_while] = ACTIONS(2030),
    [anon_sym_for] = ACTIONS(2032),
    [anon_sym_match] = ACTIONS(1150),
    [anon_sym_try] = ACTIONS(2034),
    [anon_sym_new] = ACTIONS(1254),
    [anon_sym_opaque] = ACTIONS(1252),
    [anon_sym_implicit] = ACTIONS(2036),
    [anon_sym_inline] = ACTIONS(1256),
    [anon_sym_infix] = ACTIONS(1252),
    [anon_sym_open] = ACTIONS(1252),
    [anon_sym_transparent] = ACTIONS(1252),
    [anon_sym_LPAREN] = ACTIONS(1258),
    [anon_sym_SEMI] = ACTIONS(1148),
    [anon_sym_catch] = ACTIONS(1150),
    [anon_sym_finally] = ACTIONS(1150),
    [anon_sym_macro] = ACTIONS(1664),
    [anon_sym_BANG] = ACTIONS(1250),
    [anon_sym_TILDE] = ACTIONS(1250),
    [anon_sym_DOLLAR] = ACTIONS(1260),
    [anon_sym_SQUOTE] = ACTIONS(1262),
    [sym__backquoted_id] = ACTIONS(1264),
    [sym_operator_identifier] = ACTIONS(2038),
    [sym_integer_literal] = ACTIONS(1268),
    [sym_floating_point_literal] = ACTIONS(1270),
    [anon_sym_true] = ACTIONS(1272),
    [anon_sym_false] = ACTIONS(1272),
    [sym_character_literal] = ACTIONS(1270),
    [sym_null_literal] = ACTIONS(1274),
    [anon_sym_return] = ACTIONS(2040),
    [anon_sym_throw] = ACTIONS(2042),
    [anon_sym_do] = ACTIONS(1672),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1148),
    [sym__outdent] = ACTIONS(1148),
    [sym__simple_multiline_string] = ACTIONS(1276),
    [sym__simple_string] = ACTIONS(1276),
  },
  [577] = {
    [sym_inline_modifier] = STATE(2055),
    [sym_block] = STATE(8218),
    [sym_expression] = STATE(12895),
    [sym__simple_expression] = STATE(6561),
    [sym_lambda_expression] = STATE(13097),
    [sym_if_expression] = STATE(13097),
    [sym_match_expression] = STATE(13097),
    [sym_try_expression] = STATE(13097),
    [sym_bindings] = STATE(15541),
    [sym_case_block] = STATE(8218),
    [sym_assignment_expression] = STATE(13097),
    [sym_generic_function] = STATE(8218),
    [sym_call_expression] = STATE(8218),
    [sym_field_expression] = STATE(8218),
    [sym_instance_expression] = STATE(8218),
    [sym_ascription_expression] = STATE(13097),
    [sym_infix_expression] = STATE(9424),
    [sym_postfix_expression] = STATE(12765),
    [sym__postfix_expression_choice] = STATE(16117),
    [sym_macro_body] = STATE(13097),
    [sym_prefix_expression] = STATE(9863),
    [sym_tuple_expression] = STATE(8218),
    [sym_parenthesized_expression] = STATE(8218),
    [sym_splice_expression] = STATE(8218),
    [sym_quote_expression] = STATE(8218),
    [sym_identifier] = STATE(5613),
    [sym__soft_identifier] = STATE(5752),
    [sym_wildcard] = STATE(8448),
    [sym__non_null_literal] = STATE(8218),
    [sym_boolean_literal] = STATE(8413),
    [sym_interpolated_string_expression] = STATE(8218),
    [sym_string] = STATE(8413),
    [sym_unit] = STATE(8218),
    [sym_return_expression] = STATE(13097),
    [sym_throw_expression] = STATE(13097),
    [sym_while_expression] = STATE(13097),
    [sym_do_while_expression] = STATE(13097),
    [sym_for_expression] = STATE(13097),
    [sym_comment] = STATE(577),
    [sym_block_comment] = STATE(577),
    [sym__alpha_identifier] = ACTIONS(1494),
    [anon_sym_LBRACE] = ACTIONS(1498),
    [anon_sym_COMMA] = ACTIONS(1148),
    [anon_sym__] = ACTIONS(1500),
    [anon_sym_LBRACK] = ACTIONS(1148),
    [anon_sym_PLUS] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1502),
    [anon_sym_end] = ACTIONS(1504),
    [anon_sym_if] = ACTIONS(2044),
    [anon_sym_while] = ACTIONS(2046),
    [anon_sym_for] = ACTIONS(2048),
    [anon_sym_match] = ACTIONS(1150),
    [anon_sym_try] = ACTIONS(2050),
    [anon_sym_new] = ACTIONS(1506),
    [anon_sym_opaque] = ACTIONS(1504),
    [anon_sym_implicit] = ACTIONS(2052),
    [anon_sym_inline] = ACTIONS(1508),
    [anon_sym_infix] = ACTIONS(1504),
    [anon_sym_open] = ACTIONS(1504),
    [anon_sym_transparent] = ACTIONS(1504),
    [anon_sym_LPAREN] = ACTIONS(1510),
    [anon_sym_RPAREN] = ACTIONS(1148),
    [anon_sym_SEMI] = ACTIONS(1148),
    [anon_sym_else] = ACTIONS(1150),
    [anon_sym_then] = ACTIONS(1150),
    [anon_sym_macro] = ACTIONS(2054),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_TILDE] = ACTIONS(1502),
    [anon_sym_DOLLAR] = ACTIONS(1512),
    [anon_sym_SQUOTE] = ACTIONS(1514),
    [sym__backquoted_id] = ACTIONS(1516),
    [sym_operator_identifier] = ACTIONS(2056),
    [sym_integer_literal] = ACTIONS(1520),
    [sym_floating_point_literal] = ACTIONS(1522),
    [anon_sym_true] = ACTIONS(1524),
    [anon_sym_false] = ACTIONS(1524),
    [sym_character_literal] = ACTIONS(1522),
    [sym_null_literal] = ACTIONS(1526),
    [anon_sym_return] = ACTIONS(2058),
    [anon_sym_throw] = ACTIONS(2060),
    [anon_sym_do] = ACTIONS(2062),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1528),
    [sym__simple_string] = ACTIONS(1528),
  },
  [578] = {
    [sym_inline_modifier] = STATE(2050),
    [sym_block] = STATE(8375),
    [sym_expression] = STATE(12888),
    [sym__simple_expression] = STATE(6499),
    [sym_lambda_expression] = STATE(13185),
    [sym_if_expression] = STATE(13185),
    [sym_match_expression] = STATE(13185),
    [sym_try_expression] = STATE(13185),
    [sym_bindings] = STATE(15649),
    [sym_case_block] = STATE(8375),
    [sym_assignment_expression] = STATE(13185),
    [sym_generic_function] = STATE(8375),
    [sym_call_expression] = STATE(8375),
    [sym_field_expression] = STATE(8375),
    [sym_instance_expression] = STATE(8375),
    [sym_ascription_expression] = STATE(13185),
    [sym_infix_expression] = STATE(9364),
    [sym_postfix_expression] = STATE(12809),
    [sym__postfix_expression_choice] = STATE(16440),
    [sym_macro_body] = STATE(13185),
    [sym_prefix_expression] = STATE(9765),
    [sym_tuple_expression] = STATE(8375),
    [sym_parenthesized_expression] = STATE(8375),
    [sym_splice_expression] = STATE(8375),
    [sym_quote_expression] = STATE(8375),
    [sym_identifier] = STATE(5812),
    [sym__soft_identifier] = STATE(5430),
    [sym_wildcard] = STATE(8380),
    [sym__non_null_literal] = STATE(8375),
    [sym_boolean_literal] = STATE(8117),
    [sym_interpolated_string_expression] = STATE(8375),
    [sym_string] = STATE(8117),
    [sym_unit] = STATE(8375),
    [sym_return_expression] = STATE(13185),
    [sym_throw_expression] = STATE(13185),
    [sym_while_expression] = STATE(13185),
    [sym_do_while_expression] = STATE(13185),
    [sym_for_expression] = STATE(13185),
    [sym_comment] = STATE(578),
    [sym_block_comment] = STATE(578),
    [sym__alpha_identifier] = ACTIONS(1618),
    [anon_sym_LBRACE] = ACTIONS(1622),
    [anon_sym_COMMA] = ACTIONS(1148),
    [anon_sym__] = ACTIONS(1624),
    [anon_sym_LBRACK] = ACTIONS(1148),
    [anon_sym_PLUS] = ACTIONS(1626),
    [anon_sym_DASH] = ACTIONS(1626),
    [anon_sym_end] = ACTIONS(1628),
    [anon_sym_if] = ACTIONS(2064),
    [anon_sym_while] = ACTIONS(2066),
    [anon_sym_for] = ACTIONS(2068),
    [anon_sym_match] = ACTIONS(1150),
    [anon_sym_try] = ACTIONS(2070),
    [anon_sym_new] = ACTIONS(1630),
    [anon_sym_opaque] = ACTIONS(1628),
    [anon_sym_implicit] = ACTIONS(2072),
    [anon_sym_inline] = ACTIONS(1632),
    [anon_sym_infix] = ACTIONS(1628),
    [anon_sym_open] = ACTIONS(1628),
    [anon_sym_transparent] = ACTIONS(1628),
    [anon_sym_LPAREN] = ACTIONS(1634),
    [anon_sym_RPAREN] = ACTIONS(1148),
    [anon_sym_then] = ACTIONS(1150),
    [anon_sym_catch] = ACTIONS(1150),
    [anon_sym_finally] = ACTIONS(1150),
    [anon_sym_macro] = ACTIONS(2074),
    [anon_sym_BANG] = ACTIONS(1626),
    [anon_sym_TILDE] = ACTIONS(1626),
    [anon_sym_DOLLAR] = ACTIONS(1636),
    [anon_sym_SQUOTE] = ACTIONS(1638),
    [sym__backquoted_id] = ACTIONS(1640),
    [sym_operator_identifier] = ACTIONS(2076),
    [sym_integer_literal] = ACTIONS(1644),
    [sym_floating_point_literal] = ACTIONS(1646),
    [anon_sym_true] = ACTIONS(1648),
    [anon_sym_false] = ACTIONS(1648),
    [sym_character_literal] = ACTIONS(1646),
    [sym_null_literal] = ACTIONS(1650),
    [anon_sym_return] = ACTIONS(2078),
    [anon_sym_throw] = ACTIONS(2080),
    [anon_sym_do] = ACTIONS(2082),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1652),
    [sym__simple_string] = ACTIONS(1652),
  },
  [579] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9800),
    [sym_expression] = STATE(15283),
    [sym__simple_expression] = STATE(7053),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9800),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9800),
    [sym_call_expression] = STATE(9800),
    [sym_field_expression] = STATE(9800),
    [sym_instance_expression] = STATE(9800),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16003),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10139),
    [sym_tuple_expression] = STATE(9800),
    [sym_parenthesized_expression] = STATE(9800),
    [sym_splice_expression] = STATE(9800),
    [sym_quote_expression] = STATE(9800),
    [sym_identifier] = STATE(6258),
    [sym__soft_identifier] = STATE(4545),
    [sym_wildcard] = STATE(9204),
    [sym__non_null_literal] = STATE(9800),
    [sym_boolean_literal] = STATE(6076),
    [sym_interpolated_string_expression] = STATE(9800),
    [sym_string] = STATE(6076),
    [sym_unit] = STATE(9800),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(579),
    [sym_block_comment] = STATE(579),
    [ts_builtin_sym_end] = ACTIONS(894),
    [sym__alpha_identifier] = ACTIONS(2084),
    [anon_sym_COLON] = ACTIONS(2086),
    [anon_sym_LBRACE] = ACTIONS(2088),
    [anon_sym__] = ACTIONS(2090),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(2092),
    [anon_sym_DASH] = ACTIONS(2092),
    [anon_sym_end] = ACTIONS(2094),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(2096),
    [anon_sym_opaque] = ACTIONS(2094),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2098),
    [anon_sym_infix] = ACTIONS(2094),
    [anon_sym_open] = ACTIONS(2094),
    [anon_sym_transparent] = ACTIONS(2094),
    [anon_sym_LPAREN] = ACTIONS(2100),
    [anon_sym_SEMI] = ACTIONS(894),
    [anon_sym_finally] = ACTIONS(896),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(2092),
    [anon_sym_TILDE] = ACTIONS(2092),
    [anon_sym_DOLLAR] = ACTIONS(2102),
    [anon_sym_SQUOTE] = ACTIONS(2104),
    [sym__backquoted_id] = ACTIONS(2106),
    [sym_operator_identifier] = ACTIONS(2108),
    [sym_integer_literal] = ACTIONS(2110),
    [sym_floating_point_literal] = ACTIONS(2112),
    [anon_sym_true] = ACTIONS(2114),
    [anon_sym_false] = ACTIONS(2114),
    [sym_character_literal] = ACTIONS(2112),
    [sym_null_literal] = ACTIONS(2116),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(894),
    [sym__simple_multiline_string] = ACTIONS(2118),
    [sym__simple_string] = ACTIONS(2118),
  },
  [580] = {
    [sym_inline_modifier] = STATE(2223),
    [sym__indentable_expression] = STATE(13077),
    [sym_block] = STATE(8375),
    [sym_indented_block] = STATE(13183),
    [sym_indented_cases] = STATE(13183),
    [sym_expression] = STATE(12800),
    [sym__simple_expression] = STATE(7442),
    [sym_lambda_expression] = STATE(13185),
    [sym_if_expression] = STATE(13185),
    [sym_match_expression] = STATE(13185),
    [sym_try_expression] = STATE(13185),
    [sym__expr_case_clause] = STATE(13078),
    [sym_bindings] = STATE(15586),
    [sym_case_block] = STATE(8375),
    [sym_assignment_expression] = STATE(13185),
    [sym_generic_function] = STATE(8375),
    [sym_call_expression] = STATE(8375),
    [sym_field_expression] = STATE(8375),
    [sym_instance_expression] = STATE(8375),
    [sym_ascription_expression] = STATE(13185),
    [sym_infix_expression] = STATE(9364),
    [sym_postfix_expression] = STATE(12809),
    [sym__postfix_expression_choice] = STATE(16440),
    [sym_macro_body] = STATE(13185),
    [sym_prefix_expression] = STATE(10191),
    [sym_tuple_expression] = STATE(8375),
    [sym_parenthesized_expression] = STATE(8375),
    [sym_splice_expression] = STATE(8375),
    [sym_quote_expression] = STATE(8375),
    [sym_identifier] = STATE(7290),
    [sym__soft_identifier] = STATE(5430),
    [sym_wildcard] = STATE(9387),
    [sym__non_null_literal] = STATE(8375),
    [sym_boolean_literal] = STATE(8117),
    [sym_interpolated_string_expression] = STATE(8375),
    [sym_string] = STATE(8117),
    [sym_unit] = STATE(8375),
    [sym_return_expression] = STATE(13185),
    [sym_throw_expression] = STATE(13185),
    [sym_while_expression] = STATE(13185),
    [sym_do_while_expression] = STATE(13185),
    [sym_for_expression] = STATE(13185),
    [sym_comment] = STATE(580),
    [sym_block_comment] = STATE(580),
    [sym__alpha_identifier] = ACTIONS(1618),
    [anon_sym_LBRACE] = ACTIONS(1622),
    [anon_sym_case] = ACTIONS(2120),
    [anon_sym__] = ACTIONS(1624),
    [anon_sym_PLUS] = ACTIONS(1626),
    [anon_sym_DASH] = ACTIONS(1626),
    [anon_sym_end] = ACTIONS(1628),
    [anon_sym_if] = ACTIONS(2122),
    [anon_sym_while] = ACTIONS(2124),
    [anon_sym_for] = ACTIONS(2126),
    [anon_sym_try] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(1630),
    [anon_sym_opaque] = ACTIONS(1628),
    [anon_sym_implicit] = ACTIONS(2130),
    [anon_sym_inline] = ACTIONS(1632),
    [anon_sym_infix] = ACTIONS(1628),
    [anon_sym_open] = ACTIONS(1628),
    [anon_sym_transparent] = ACTIONS(1628),
    [anon_sym_LPAREN] = ACTIONS(1634),
    [anon_sym_macro] = ACTIONS(2074),
    [anon_sym_BANG] = ACTIONS(1626),
    [anon_sym_TILDE] = ACTIONS(1626),
    [anon_sym_DOLLAR] = ACTIONS(1636),
    [anon_sym_SQUOTE] = ACTIONS(1638),
    [sym__backquoted_id] = ACTIONS(1640),
    [sym_operator_identifier] = ACTIONS(2132),
    [sym_integer_literal] = ACTIONS(1644),
    [sym_floating_point_literal] = ACTIONS(1646),
    [anon_sym_true] = ACTIONS(1648),
    [anon_sym_false] = ACTIONS(1648),
    [sym_character_literal] = ACTIONS(1646),
    [sym_null_literal] = ACTIONS(1650),
    [anon_sym_return] = ACTIONS(2134),
    [anon_sym_throw] = ACTIONS(2136),
    [anon_sym_do] = ACTIONS(2082),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1652),
    [sym__simple_string] = ACTIONS(1652),
  },
  [581] = {
    [sym_inline_modifier] = STATE(2154),
    [sym__indentable_expression] = STATE(12892),
    [sym_block] = STATE(8070),
    [sym_indented_block] = STATE(12700),
    [sym_indented_cases] = STATE(12700),
    [sym_expression] = STATE(12581),
    [sym__simple_expression] = STATE(7235),
    [sym_lambda_expression] = STATE(12742),
    [sym_if_expression] = STATE(12742),
    [sym_match_expression] = STATE(12742),
    [sym_try_expression] = STATE(12742),
    [sym__expr_case_clause] = STATE(12891),
    [sym_bindings] = STATE(15546),
    [sym_case_block] = STATE(8070),
    [sym_assignment_expression] = STATE(12742),
    [sym_generic_function] = STATE(8070),
    [sym_call_expression] = STATE(8070),
    [sym_field_expression] = STATE(8070),
    [sym_instance_expression] = STATE(8070),
    [sym_ascription_expression] = STATE(12742),
    [sym_infix_expression] = STATE(8913),
    [sym_postfix_expression] = STATE(12343),
    [sym__postfix_expression_choice] = STATE(16230),
    [sym_macro_body] = STATE(12742),
    [sym_prefix_expression] = STATE(9970),
    [sym_tuple_expression] = STATE(8070),
    [sym_parenthesized_expression] = STATE(8070),
    [sym_splice_expression] = STATE(8070),
    [sym_quote_expression] = STATE(8070),
    [sym_identifier] = STATE(6168),
    [sym__soft_identifier] = STATE(5234),
    [sym_wildcard] = STATE(8792),
    [sym__non_null_literal] = STATE(8070),
    [sym_boolean_literal] = STATE(8055),
    [sym_interpolated_string_expression] = STATE(8070),
    [sym_string] = STATE(8055),
    [sym_unit] = STATE(8070),
    [sym_return_expression] = STATE(12742),
    [sym_throw_expression] = STATE(12742),
    [sym_while_expression] = STATE(12742),
    [sym_do_while_expression] = STATE(12742),
    [sym_for_expression] = STATE(12742),
    [sym_comment] = STATE(581),
    [sym_block_comment] = STATE(581),
    [sym__alpha_identifier] = ACTIONS(1314),
    [anon_sym_LBRACE] = ACTIONS(1318),
    [anon_sym_case] = ACTIONS(2140),
    [anon_sym__] = ACTIONS(1320),
    [anon_sym_PLUS] = ACTIONS(1322),
    [anon_sym_DASH] = ACTIONS(1322),
    [anon_sym_end] = ACTIONS(1324),
    [anon_sym_if] = ACTIONS(2142),
    [anon_sym_while] = ACTIONS(2144),
    [anon_sym_for] = ACTIONS(2146),
    [anon_sym_try] = ACTIONS(2148),
    [anon_sym_new] = ACTIONS(1326),
    [anon_sym_opaque] = ACTIONS(1324),
    [anon_sym_implicit] = ACTIONS(2150),
    [anon_sym_inline] = ACTIONS(1328),
    [anon_sym_infix] = ACTIONS(1324),
    [anon_sym_open] = ACTIONS(1324),
    [anon_sym_transparent] = ACTIONS(1324),
    [anon_sym_LPAREN] = ACTIONS(1330),
    [anon_sym_macro] = ACTIONS(1740),
    [anon_sym_BANG] = ACTIONS(1322),
    [anon_sym_TILDE] = ACTIONS(1322),
    [anon_sym_DOLLAR] = ACTIONS(1332),
    [anon_sym_SQUOTE] = ACTIONS(1334),
    [sym__backquoted_id] = ACTIONS(1336),
    [sym_operator_identifier] = ACTIONS(2152),
    [sym_integer_literal] = ACTIONS(1340),
    [sym_floating_point_literal] = ACTIONS(1342),
    [anon_sym_true] = ACTIONS(1344),
    [anon_sym_false] = ACTIONS(1344),
    [sym_character_literal] = ACTIONS(1342),
    [sym_null_literal] = ACTIONS(1346),
    [anon_sym_return] = ACTIONS(2154),
    [anon_sym_throw] = ACTIONS(2156),
    [anon_sym_do] = ACTIONS(1748),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2158),
    [sym__simple_multiline_string] = ACTIONS(1348),
    [sym__simple_string] = ACTIONS(1348),
  },
  [582] = {
    [sym_inline_modifier] = STATE(2044),
    [sym_block] = STATE(9913),
    [sym_expression] = STATE(13638),
    [sym__simple_expression] = STATE(7224),
    [sym_lambda_expression] = STATE(12144),
    [sym_if_expression] = STATE(12144),
    [sym_match_expression] = STATE(12144),
    [sym_try_expression] = STATE(12144),
    [sym_bindings] = STATE(15632),
    [sym_case_block] = STATE(9913),
    [sym_assignment_expression] = STATE(12144),
    [sym_generic_function] = STATE(9913),
    [sym_call_expression] = STATE(9913),
    [sym_field_expression] = STATE(9913),
    [sym_instance_expression] = STATE(9913),
    [sym_ascription_expression] = STATE(12144),
    [sym_infix_expression] = STATE(10304),
    [sym_postfix_expression] = STATE(11499),
    [sym__postfix_expression_choice] = STATE(16334),
    [sym_macro_body] = STATE(12144),
    [sym_prefix_expression] = STATE(9963),
    [sym_tuple_expression] = STATE(9913),
    [sym_parenthesized_expression] = STATE(9913),
    [sym_splice_expression] = STATE(9913),
    [sym_quote_expression] = STATE(9913),
    [sym_identifier] = STATE(6170),
    [sym__soft_identifier] = STATE(4555),
    [sym_wildcard] = STATE(8897),
    [sym__non_null_literal] = STATE(9913),
    [sym_boolean_literal] = STATE(6572),
    [sym_interpolated_string_expression] = STATE(9913),
    [sym_string] = STATE(6572),
    [sym_unit] = STATE(9913),
    [sym_return_expression] = STATE(12144),
    [sym_throw_expression] = STATE(12144),
    [sym_while_expression] = STATE(12144),
    [sym_do_while_expression] = STATE(12144),
    [sym_for_expression] = STATE(12144),
    [sym_comment] = STATE(582),
    [sym_block_comment] = STATE(582),
    [ts_builtin_sym_end] = ACTIONS(1148),
    [sym__alpha_identifier] = ACTIONS(1766),
    [anon_sym_LBRACE] = ACTIONS(1770),
    [anon_sym__] = ACTIONS(1772),
    [anon_sym_LBRACK] = ACTIONS(1148),
    [anon_sym_PLUS] = ACTIONS(1774),
    [anon_sym_DASH] = ACTIONS(1774),
    [anon_sym_end] = ACTIONS(1776),
    [anon_sym_if] = ACTIONS(2160),
    [anon_sym_while] = ACTIONS(2162),
    [anon_sym_for] = ACTIONS(2164),
    [anon_sym_match] = ACTIONS(1150),
    [anon_sym_try] = ACTIONS(2166),
    [anon_sym_new] = ACTIONS(1778),
    [anon_sym_opaque] = ACTIONS(1776),
    [anon_sym_implicit] = ACTIONS(2168),
    [anon_sym_inline] = ACTIONS(1780),
    [anon_sym_infix] = ACTIONS(1776),
    [anon_sym_open] = ACTIONS(1776),
    [anon_sym_transparent] = ACTIONS(1776),
    [anon_sym_LPAREN] = ACTIONS(1782),
    [anon_sym_SEMI] = ACTIONS(1148),
    [anon_sym_else] = ACTIONS(1150),
    [anon_sym_macro] = ACTIONS(2170),
    [anon_sym_BANG] = ACTIONS(1774),
    [anon_sym_TILDE] = ACTIONS(1774),
    [anon_sym_DOLLAR] = ACTIONS(1784),
    [anon_sym_SQUOTE] = ACTIONS(1786),
    [sym__backquoted_id] = ACTIONS(1788),
    [sym_operator_identifier] = ACTIONS(2172),
    [sym_integer_literal] = ACTIONS(1792),
    [sym_floating_point_literal] = ACTIONS(1794),
    [anon_sym_true] = ACTIONS(1796),
    [anon_sym_false] = ACTIONS(1796),
    [sym_character_literal] = ACTIONS(1794),
    [sym_null_literal] = ACTIONS(1798),
    [anon_sym_return] = ACTIONS(2174),
    [anon_sym_throw] = ACTIONS(2176),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1148),
    [sym__simple_multiline_string] = ACTIONS(1800),
    [sym__simple_string] = ACTIONS(1800),
  },
  [583] = {
    [sym_inline_modifier] = STATE(2293),
    [sym_block] = STATE(6703),
    [sym_expression] = STATE(12169),
    [sym__simple_expression] = STATE(5444),
    [sym_lambda_expression] = STATE(12046),
    [sym_if_expression] = STATE(12046),
    [sym_match_expression] = STATE(12046),
    [sym_try_expression] = STATE(12046),
    [sym_bindings] = STATE(15592),
    [sym_case_block] = STATE(6703),
    [sym_assignment_expression] = STATE(12046),
    [sym_generic_function] = STATE(6703),
    [sym_call_expression] = STATE(6703),
    [sym_field_expression] = STATE(6703),
    [sym_instance_expression] = STATE(6703),
    [sym_ascription_expression] = STATE(12046),
    [sym_infix_expression] = STATE(8166),
    [sym_postfix_expression] = STATE(11496),
    [sym__postfix_expression_choice] = STATE(15827),
    [sym_macro_body] = STATE(12046),
    [sym_prefix_expression] = STATE(9361),
    [sym_tuple_expression] = STATE(6703),
    [sym_parenthesized_expression] = STATE(6703),
    [sym_splice_expression] = STATE(6703),
    [sym_quote_expression] = STATE(6703),
    [sym_identifier] = STATE(5281),
    [sym__soft_identifier] = STATE(4884),
    [sym_wildcard] = STATE(7456),
    [sym__non_null_literal] = STATE(6703),
    [sym_boolean_literal] = STATE(6780),
    [sym_interpolated_string_expression] = STATE(6703),
    [sym_string] = STATE(6780),
    [sym_unit] = STATE(6703),
    [sym_return_expression] = STATE(12046),
    [sym_throw_expression] = STATE(12046),
    [sym_while_expression] = STATE(12046),
    [sym_do_while_expression] = STATE(12046),
    [sym_for_expression] = STATE(12046),
    [sym_comment] = STATE(583),
    [sym_block_comment] = STATE(583),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_LBRACK] = ACTIONS(1148),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(1150),
    [anon_sym_while] = ACTIONS(2178),
    [anon_sym_for] = ACTIONS(2180),
    [anon_sym_match] = ACTIONS(1150),
    [anon_sym_try] = ACTIONS(2182),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(2184),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_SEMI] = ACTIONS(1148),
    [anon_sym_finally] = ACTIONS(1150),
    [anon_sym_macro] = ACTIONS(1848),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(2186),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(2188),
    [anon_sym_throw] = ACTIONS(2190),
    [anon_sym_do] = ACTIONS(1150),
    [anon_sym_yield] = ACTIONS(1150),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1148),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [584] = {
    [sym_inline_modifier] = STATE(2115),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(12282),
    [sym__simple_expression] = STATE(7311),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15577),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(10220),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10124),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6254),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(8727),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(584),
    [sym_block_comment] = STATE(584),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(1148),
    [anon_sym_case] = ACTIONS(1150),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_LBRACK] = ACTIONS(1148),
    [anon_sym_PLUS] = ACTIONS(603),
    [anon_sym_DASH] = ACTIONS(603),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(605),
    [anon_sym_while] = ACTIONS(607),
    [anon_sym_for] = ACTIONS(609),
    [anon_sym_match] = ACTIONS(1150),
    [anon_sym_try] = ACTIONS(611),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2192),
    [anon_sym_inline] = ACTIONS(1764),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(1148),
    [anon_sym_macro] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(603),
    [anon_sym_TILDE] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(621),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(623),
    [anon_sym_throw] = ACTIONS(625),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1148),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [585] = {
    [sym_inline_modifier] = STATE(2049),
    [sym__indentable_expression] = STATE(13226),
    [sym_block] = STATE(8262),
    [sym_indented_block] = STATE(13058),
    [sym_indented_cases] = STATE(13058),
    [sym_expression] = STATE(12868),
    [sym__simple_expression] = STATE(5468),
    [sym_lambda_expression] = STATE(13098),
    [sym_if_expression] = STATE(13098),
    [sym_match_expression] = STATE(13098),
    [sym_try_expression] = STATE(13098),
    [sym__expr_case_clause] = STATE(13225),
    [sym_bindings] = STATE(15673),
    [sym_case_block] = STATE(8262),
    [sym_assignment_expression] = STATE(13098),
    [sym_generic_function] = STATE(8262),
    [sym_call_expression] = STATE(8262),
    [sym_field_expression] = STATE(8262),
    [sym_instance_expression] = STATE(8262),
    [sym_ascription_expression] = STATE(13098),
    [sym_infix_expression] = STATE(9485),
    [sym_postfix_expression] = STATE(12647),
    [sym__postfix_expression_choice] = STATE(16347),
    [sym_macro_body] = STATE(13098),
    [sym_prefix_expression] = STATE(9354),
    [sym_tuple_expression] = STATE(8262),
    [sym_parenthesized_expression] = STATE(8262),
    [sym_splice_expression] = STATE(8262),
    [sym_quote_expression] = STATE(8262),
    [sym_identifier] = STATE(5288),
    [sym__soft_identifier] = STATE(5419),
    [sym_wildcard] = STATE(7475),
    [sym__non_null_literal] = STATE(8262),
    [sym_boolean_literal] = STATE(8242),
    [sym_interpolated_string_expression] = STATE(8262),
    [sym_string] = STATE(8242),
    [sym_unit] = STATE(8262),
    [sym_return_expression] = STATE(13098),
    [sym_throw_expression] = STATE(13098),
    [sym_while_expression] = STATE(13098),
    [sym_do_while_expression] = STATE(13098),
    [sym_for_expression] = STATE(13098),
    [sym_comment] = STATE(585),
    [sym_block_comment] = STATE(585),
    [sym__alpha_identifier] = ACTIONS(1278),
    [anon_sym_LBRACE] = ACTIONS(1282),
    [anon_sym_case] = ACTIONS(2194),
    [anon_sym__] = ACTIONS(1284),
    [anon_sym_PLUS] = ACTIONS(1286),
    [anon_sym_DASH] = ACTIONS(1286),
    [anon_sym_end] = ACTIONS(1288),
    [anon_sym_if] = ACTIONS(2196),
    [anon_sym_while] = ACTIONS(2016),
    [anon_sym_for] = ACTIONS(2018),
    [anon_sym_try] = ACTIONS(2020),
    [anon_sym_new] = ACTIONS(1290),
    [anon_sym_opaque] = ACTIONS(1288),
    [anon_sym_implicit] = ACTIONS(2022),
    [anon_sym_inline] = ACTIONS(1292),
    [anon_sym_infix] = ACTIONS(1288),
    [anon_sym_open] = ACTIONS(1288),
    [anon_sym_transparent] = ACTIONS(1288),
    [anon_sym_LPAREN] = ACTIONS(1294),
    [anon_sym_macro] = ACTIONS(1720),
    [anon_sym_BANG] = ACTIONS(1286),
    [anon_sym_TILDE] = ACTIONS(1286),
    [anon_sym_DOLLAR] = ACTIONS(1296),
    [anon_sym_SQUOTE] = ACTIONS(1298),
    [sym__backquoted_id] = ACTIONS(1300),
    [sym_operator_identifier] = ACTIONS(2024),
    [sym_integer_literal] = ACTIONS(1304),
    [sym_floating_point_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1308),
    [anon_sym_false] = ACTIONS(1308),
    [sym_character_literal] = ACTIONS(1306),
    [sym_null_literal] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(2026),
    [anon_sym_throw] = ACTIONS(2028),
    [anon_sym_do] = ACTIONS(1728),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2198),
    [sym__simple_multiline_string] = ACTIONS(1312),
    [sym__simple_string] = ACTIONS(1312),
  },
  [586] = {
    [sym_inline_modifier] = STATE(2125),
    [sym__indentable_expression] = STATE(12570),
    [sym_block] = STATE(6738),
    [sym_indented_block] = STATE(12372),
    [sym_indented_cases] = STATE(12372),
    [sym_expression] = STATE(12028),
    [sym__simple_expression] = STATE(5176),
    [sym_lambda_expression] = STATE(12430),
    [sym_if_expression] = STATE(12430),
    [sym_match_expression] = STATE(12430),
    [sym_try_expression] = STATE(12430),
    [sym__expr_case_clause] = STATE(12577),
    [sym_bindings] = STATE(15677),
    [sym_case_block] = STATE(6738),
    [sym_assignment_expression] = STATE(12430),
    [sym_generic_function] = STATE(6738),
    [sym_call_expression] = STATE(6738),
    [sym_field_expression] = STATE(6738),
    [sym_instance_expression] = STATE(6738),
    [sym_ascription_expression] = STATE(12430),
    [sym_infix_expression] = STATE(8389),
    [sym_postfix_expression] = STATE(11930),
    [sym__postfix_expression_choice] = STATE(15885),
    [sym_macro_body] = STATE(12430),
    [sym_prefix_expression] = STATE(9115),
    [sym_tuple_expression] = STATE(6738),
    [sym_parenthesized_expression] = STATE(6738),
    [sym_splice_expression] = STATE(6738),
    [sym_quote_expression] = STATE(6738),
    [sym_identifier] = STATE(4951),
    [sym__soft_identifier] = STATE(4943),
    [sym_wildcard] = STATE(7114),
    [sym__non_null_literal] = STATE(6738),
    [sym_boolean_literal] = STATE(7301),
    [sym_interpolated_string_expression] = STATE(6738),
    [sym_string] = STATE(7301),
    [sym_unit] = STATE(6738),
    [sym_return_expression] = STATE(12430),
    [sym_throw_expression] = STATE(12430),
    [sym_while_expression] = STATE(12430),
    [sym_do_while_expression] = STATE(12430),
    [sym_for_expression] = STATE(12430),
    [sym_comment] = STATE(586),
    [sym_block_comment] = STATE(586),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym_case] = ACTIONS(2200),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(1350),
    [anon_sym_while] = ACTIONS(1352),
    [anon_sym_for] = ACTIONS(1354),
    [anon_sym_try] = ACTIONS(1356),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(1358),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1360),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(1362),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(1364),
    [anon_sym_throw] = ACTIONS(1366),
    [anon_sym_do] = ACTIONS(1368),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2202),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [587] = {
    [sym_inline_modifier] = STATE(2208),
    [sym__indentable_expression] = STATE(13378),
    [sym_block] = STATE(8821),
    [sym_indented_block] = STATE(13308),
    [sym_indented_cases] = STATE(13308),
    [sym_expression] = STATE(13197),
    [sym__simple_expression] = STATE(6537),
    [sym_lambda_expression] = STATE(13337),
    [sym_if_expression] = STATE(13337),
    [sym_match_expression] = STATE(13337),
    [sym_try_expression] = STATE(13337),
    [sym__expr_case_clause] = STATE(13379),
    [sym_bindings] = STATE(15500),
    [sym_case_block] = STATE(8821),
    [sym_assignment_expression] = STATE(13337),
    [sym_generic_function] = STATE(8821),
    [sym_call_expression] = STATE(8821),
    [sym_field_expression] = STATE(8821),
    [sym_instance_expression] = STATE(8821),
    [sym_ascription_expression] = STATE(13337),
    [sym_infix_expression] = STATE(9659),
    [sym_postfix_expression] = STATE(13173),
    [sym__postfix_expression_choice] = STATE(16170),
    [sym_macro_body] = STATE(13337),
    [sym_prefix_expression] = STATE(9718),
    [sym_tuple_expression] = STATE(8821),
    [sym_parenthesized_expression] = STATE(8821),
    [sym_splice_expression] = STATE(8821),
    [sym_quote_expression] = STATE(8821),
    [sym_identifier] = STATE(5968),
    [sym__soft_identifier] = STATE(6446),
    [sym_wildcard] = STATE(8208),
    [sym__non_null_literal] = STATE(8821),
    [sym_boolean_literal] = STATE(8798),
    [sym_interpolated_string_expression] = STATE(8821),
    [sym_string] = STATE(8798),
    [sym_unit] = STATE(8821),
    [sym_return_expression] = STATE(13337),
    [sym_throw_expression] = STATE(13337),
    [sym_while_expression] = STATE(13337),
    [sym_do_while_expression] = STATE(13337),
    [sym_for_expression] = STATE(13337),
    [sym_comment] = STATE(587),
    [sym_block_comment] = STATE(587),
    [sym__alpha_identifier] = ACTIONS(1674),
    [anon_sym_LBRACE] = ACTIONS(1678),
    [anon_sym_case] = ACTIONS(2204),
    [anon_sym__] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1682),
    [anon_sym_DASH] = ACTIONS(1682),
    [anon_sym_end] = ACTIONS(1684),
    [anon_sym_if] = ACTIONS(1904),
    [anon_sym_while] = ACTIONS(1906),
    [anon_sym_for] = ACTIONS(1908),
    [anon_sym_try] = ACTIONS(1910),
    [anon_sym_new] = ACTIONS(1686),
    [anon_sym_opaque] = ACTIONS(1684),
    [anon_sym_implicit] = ACTIONS(1912),
    [anon_sym_inline] = ACTIONS(1688),
    [anon_sym_infix] = ACTIONS(1684),
    [anon_sym_open] = ACTIONS(1684),
    [anon_sym_transparent] = ACTIONS(1684),
    [anon_sym_LPAREN] = ACTIONS(1690),
    [anon_sym_macro] = ACTIONS(1914),
    [anon_sym_BANG] = ACTIONS(1682),
    [anon_sym_TILDE] = ACTIONS(1682),
    [anon_sym_DOLLAR] = ACTIONS(1692),
    [anon_sym_SQUOTE] = ACTIONS(1694),
    [sym__backquoted_id] = ACTIONS(1696),
    [sym_operator_identifier] = ACTIONS(1916),
    [sym_integer_literal] = ACTIONS(1700),
    [sym_floating_point_literal] = ACTIONS(1702),
    [anon_sym_true] = ACTIONS(1704),
    [anon_sym_false] = ACTIONS(1704),
    [sym_character_literal] = ACTIONS(1702),
    [sym_null_literal] = ACTIONS(1706),
    [anon_sym_return] = ACTIONS(1918),
    [anon_sym_throw] = ACTIONS(1920),
    [anon_sym_do] = ACTIONS(1922),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2206),
    [sym__simple_multiline_string] = ACTIONS(1708),
    [sym__simple_string] = ACTIONS(1708),
  },
  [588] = {
    [sym_inline_modifier] = STATE(2246),
    [sym__indentable_expression] = STATE(13178),
    [sym_block] = STATE(8360),
    [sym_indented_block] = STATE(13059),
    [sym_indented_cases] = STATE(13059),
    [sym_expression] = STATE(12867),
    [sym__simple_expression] = STATE(5440),
    [sym_lambda_expression] = STATE(13229),
    [sym_if_expression] = STATE(13229),
    [sym_match_expression] = STATE(13229),
    [sym_try_expression] = STATE(13229),
    [sym__expr_case_clause] = STATE(13200),
    [sym_bindings] = STATE(15490),
    [sym_case_block] = STATE(8360),
    [sym_assignment_expression] = STATE(13229),
    [sym_generic_function] = STATE(8360),
    [sym_call_expression] = STATE(8360),
    [sym_field_expression] = STATE(8360),
    [sym_instance_expression] = STATE(8360),
    [sym_ascription_expression] = STATE(13229),
    [sym_infix_expression] = STATE(9581),
    [sym_postfix_expression] = STATE(12866),
    [sym__postfix_expression_choice] = STATE(15971),
    [sym_macro_body] = STATE(13229),
    [sym_prefix_expression] = STATE(9366),
    [sym_tuple_expression] = STATE(8360),
    [sym_parenthesized_expression] = STATE(8360),
    [sym_splice_expression] = STATE(8360),
    [sym_quote_expression] = STATE(8360),
    [sym_identifier] = STATE(5277),
    [sym__soft_identifier] = STATE(5563),
    [sym_wildcard] = STATE(7446),
    [sym__non_null_literal] = STATE(8360),
    [sym_boolean_literal] = STATE(8269),
    [sym_interpolated_string_expression] = STATE(8360),
    [sym_string] = STATE(8269),
    [sym_unit] = STATE(8360),
    [sym_return_expression] = STATE(13229),
    [sym_throw_expression] = STATE(13229),
    [sym_while_expression] = STATE(13229),
    [sym_do_while_expression] = STATE(13229),
    [sym_for_expression] = STATE(13229),
    [sym_comment] = STATE(588),
    [sym_block_comment] = STATE(588),
    [sym__alpha_identifier] = ACTIONS(1242),
    [anon_sym_LBRACE] = ACTIONS(1246),
    [anon_sym_case] = ACTIONS(2208),
    [anon_sym__] = ACTIONS(1248),
    [anon_sym_PLUS] = ACTIONS(1250),
    [anon_sym_DASH] = ACTIONS(1250),
    [anon_sym_end] = ACTIONS(1252),
    [anon_sym_if] = ACTIONS(2210),
    [anon_sym_while] = ACTIONS(2030),
    [anon_sym_for] = ACTIONS(2032),
    [anon_sym_try] = ACTIONS(2034),
    [anon_sym_new] = ACTIONS(1254),
    [anon_sym_opaque] = ACTIONS(1252),
    [anon_sym_implicit] = ACTIONS(2036),
    [anon_sym_inline] = ACTIONS(1256),
    [anon_sym_infix] = ACTIONS(1252),
    [anon_sym_open] = ACTIONS(1252),
    [anon_sym_transparent] = ACTIONS(1252),
    [anon_sym_LPAREN] = ACTIONS(1258),
    [anon_sym_macro] = ACTIONS(1664),
    [anon_sym_BANG] = ACTIONS(1250),
    [anon_sym_TILDE] = ACTIONS(1250),
    [anon_sym_DOLLAR] = ACTIONS(1260),
    [anon_sym_SQUOTE] = ACTIONS(1262),
    [sym__backquoted_id] = ACTIONS(1264),
    [sym_operator_identifier] = ACTIONS(2038),
    [sym_integer_literal] = ACTIONS(1268),
    [sym_floating_point_literal] = ACTIONS(1270),
    [anon_sym_true] = ACTIONS(1272),
    [anon_sym_false] = ACTIONS(1272),
    [sym_character_literal] = ACTIONS(1270),
    [sym_null_literal] = ACTIONS(1274),
    [anon_sym_return] = ACTIONS(2040),
    [anon_sym_throw] = ACTIONS(2042),
    [anon_sym_do] = ACTIONS(1672),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2212),
    [sym__simple_multiline_string] = ACTIONS(1276),
    [sym__simple_string] = ACTIONS(1276),
  },
  [589] = {
    [sym_inline_modifier] = STATE(2108),
    [sym__indentable_expression] = STATE(11863),
    [sym_block] = STATE(9800),
    [sym_indented_block] = STATE(12004),
    [sym_indented_cases] = STATE(12004),
    [sym_expression] = STATE(13568),
    [sym__simple_expression] = STATE(7357),
    [sym_lambda_expression] = STATE(12046),
    [sym_if_expression] = STATE(12046),
    [sym_match_expression] = STATE(12046),
    [sym_try_expression] = STATE(12046),
    [sym__expr_case_clause] = STATE(11861),
    [sym_bindings] = STATE(15518),
    [sym_case_block] = STATE(9800),
    [sym_assignment_expression] = STATE(12046),
    [sym_generic_function] = STATE(9800),
    [sym_call_expression] = STATE(9800),
    [sym_field_expression] = STATE(9800),
    [sym_instance_expression] = STATE(9800),
    [sym_ascription_expression] = STATE(12046),
    [sym_infix_expression] = STATE(10315),
    [sym_postfix_expression] = STATE(11496),
    [sym__postfix_expression_choice] = STATE(15840),
    [sym_macro_body] = STATE(12046),
    [sym_prefix_expression] = STATE(9949),
    [sym_tuple_expression] = STATE(9800),
    [sym_parenthesized_expression] = STATE(9800),
    [sym_splice_expression] = STATE(9800),
    [sym_quote_expression] = STATE(9800),
    [sym_identifier] = STATE(6016),
    [sym__soft_identifier] = STATE(4545),
    [sym_wildcard] = STATE(9086),
    [sym__non_null_literal] = STATE(9800),
    [sym_boolean_literal] = STATE(6076),
    [sym_interpolated_string_expression] = STATE(9800),
    [sym_string] = STATE(6076),
    [sym_unit] = STATE(9800),
    [sym_return_expression] = STATE(12046),
    [sym_throw_expression] = STATE(12046),
    [sym_while_expression] = STATE(12046),
    [sym_do_while_expression] = STATE(12046),
    [sym_for_expression] = STATE(12046),
    [sym_comment] = STATE(589),
    [sym_block_comment] = STATE(589),
    [sym__alpha_identifier] = ACTIONS(2084),
    [anon_sym_LBRACE] = ACTIONS(2088),
    [anon_sym_case] = ACTIONS(2214),
    [anon_sym__] = ACTIONS(2090),
    [anon_sym_PLUS] = ACTIONS(2092),
    [anon_sym_DASH] = ACTIONS(2092),
    [anon_sym_end] = ACTIONS(2094),
    [anon_sym_if] = ACTIONS(2216),
    [anon_sym_while] = ACTIONS(2218),
    [anon_sym_for] = ACTIONS(2220),
    [anon_sym_try] = ACTIONS(2222),
    [anon_sym_new] = ACTIONS(2096),
    [anon_sym_opaque] = ACTIONS(2094),
    [anon_sym_implicit] = ACTIONS(2224),
    [anon_sym_inline] = ACTIONS(2098),
    [anon_sym_infix] = ACTIONS(2094),
    [anon_sym_open] = ACTIONS(2094),
    [anon_sym_transparent] = ACTIONS(2094),
    [anon_sym_LPAREN] = ACTIONS(2100),
    [anon_sym_macro] = ACTIONS(2226),
    [anon_sym_BANG] = ACTIONS(2092),
    [anon_sym_TILDE] = ACTIONS(2092),
    [anon_sym_DOLLAR] = ACTIONS(2102),
    [anon_sym_SQUOTE] = ACTIONS(2104),
    [sym__backquoted_id] = ACTIONS(2106),
    [sym_operator_identifier] = ACTIONS(2228),
    [sym_integer_literal] = ACTIONS(2110),
    [sym_floating_point_literal] = ACTIONS(2112),
    [anon_sym_true] = ACTIONS(2114),
    [anon_sym_false] = ACTIONS(2114),
    [sym_character_literal] = ACTIONS(2112),
    [sym_null_literal] = ACTIONS(2116),
    [anon_sym_return] = ACTIONS(2230),
    [anon_sym_throw] = ACTIONS(2232),
    [anon_sym_do] = ACTIONS(1856),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2234),
    [sym__simple_multiline_string] = ACTIONS(2118),
    [sym__simple_string] = ACTIONS(2118),
  },
  [590] = {
    [sym_inline_modifier] = STATE(2281),
    [sym__indentable_expression] = STATE(11723),
    [sym_block] = STATE(6540),
    [sym_indented_block] = STATE(11390),
    [sym_indented_cases] = STATE(11390),
    [sym_expression] = STATE(11385),
    [sym__simple_expression] = STATE(5304),
    [sym_lambda_expression] = STATE(11374),
    [sym_if_expression] = STATE(11374),
    [sym_match_expression] = STATE(11374),
    [sym_try_expression] = STATE(11374),
    [sym__expr_case_clause] = STATE(11718),
    [sym_bindings] = STATE(15689),
    [sym_case_block] = STATE(6540),
    [sym_assignment_expression] = STATE(11374),
    [sym_generic_function] = STATE(6540),
    [sym_call_expression] = STATE(6540),
    [sym_field_expression] = STATE(6540),
    [sym_instance_expression] = STATE(6540),
    [sym_ascription_expression] = STATE(11374),
    [sym_infix_expression] = STATE(7834),
    [sym_postfix_expression] = STATE(11215),
    [sym__postfix_expression_choice] = STATE(16210),
    [sym_macro_body] = STATE(11374),
    [sym_prefix_expression] = STATE(8725),
    [sym_tuple_expression] = STATE(6540),
    [sym_parenthesized_expression] = STATE(6540),
    [sym_splice_expression] = STATE(6540),
    [sym_quote_expression] = STATE(6540),
    [sym_identifier] = STATE(4721),
    [sym__soft_identifier] = STATE(4667),
    [sym_wildcard] = STATE(7076),
    [sym__non_null_literal] = STATE(6540),
    [sym_boolean_literal] = STATE(6246),
    [sym_interpolated_string_expression] = STATE(6540),
    [sym_string] = STATE(6246),
    [sym_unit] = STATE(6540),
    [sym_return_expression] = STATE(11374),
    [sym_throw_expression] = STATE(11374),
    [sym_while_expression] = STATE(11374),
    [sym_do_while_expression] = STATE(11374),
    [sym_for_expression] = STATE(11374),
    [sym_comment] = STATE(590),
    [sym_block_comment] = STATE(590),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym_case] = ACTIONS(2236),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(2238),
    [anon_sym_while] = ACTIONS(1568),
    [anon_sym_for] = ACTIONS(1570),
    [anon_sym_try] = ACTIONS(1572),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1574),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1540),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1576),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1578),
    [anon_sym_throw] = ACTIONS(1580),
    [anon_sym_do] = ACTIONS(1548),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2240),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [591] = {
    [sym_inline_modifier] = STATE(2269),
    [sym__indentable_expression] = STATE(12892),
    [sym_block] = STATE(8070),
    [sym_indented_block] = STATE(12700),
    [sym_indented_cases] = STATE(12700),
    [sym_expression] = STATE(12581),
    [sym__simple_expression] = STATE(5679),
    [sym_lambda_expression] = STATE(12742),
    [sym_if_expression] = STATE(12742),
    [sym_match_expression] = STATE(12742),
    [sym_try_expression] = STATE(12742),
    [sym__expr_case_clause] = STATE(12891),
    [sym_bindings] = STATE(15536),
    [sym_case_block] = STATE(8070),
    [sym_assignment_expression] = STATE(12742),
    [sym_generic_function] = STATE(8070),
    [sym_call_expression] = STATE(8070),
    [sym_field_expression] = STATE(8070),
    [sym_instance_expression] = STATE(8070),
    [sym_ascription_expression] = STATE(12742),
    [sym_infix_expression] = STATE(8913),
    [sym_postfix_expression] = STATE(12343),
    [sym__postfix_expression_choice] = STATE(16230),
    [sym_macro_body] = STATE(12742),
    [sym_prefix_expression] = STATE(9483),
    [sym_tuple_expression] = STATE(8070),
    [sym_parenthesized_expression] = STATE(8070),
    [sym_splice_expression] = STATE(8070),
    [sym_quote_expression] = STATE(8070),
    [sym_identifier] = STATE(4999),
    [sym__soft_identifier] = STATE(5234),
    [sym_wildcard] = STATE(8075),
    [sym__non_null_literal] = STATE(8070),
    [sym_boolean_literal] = STATE(8055),
    [sym_interpolated_string_expression] = STATE(8070),
    [sym_string] = STATE(8055),
    [sym_unit] = STATE(8070),
    [sym_return_expression] = STATE(12742),
    [sym_throw_expression] = STATE(12742),
    [sym_while_expression] = STATE(12742),
    [sym_do_while_expression] = STATE(12742),
    [sym_for_expression] = STATE(12742),
    [sym_comment] = STATE(591),
    [sym_block_comment] = STATE(591),
    [sym__alpha_identifier] = ACTIONS(1314),
    [anon_sym_LBRACE] = ACTIONS(1318),
    [anon_sym_case] = ACTIONS(2242),
    [anon_sym__] = ACTIONS(1320),
    [anon_sym_PLUS] = ACTIONS(1322),
    [anon_sym_DASH] = ACTIONS(1322),
    [anon_sym_end] = ACTIONS(1324),
    [anon_sym_if] = ACTIONS(1730),
    [anon_sym_while] = ACTIONS(1732),
    [anon_sym_for] = ACTIONS(1734),
    [anon_sym_try] = ACTIONS(1736),
    [anon_sym_new] = ACTIONS(1326),
    [anon_sym_opaque] = ACTIONS(1324),
    [anon_sym_implicit] = ACTIONS(1738),
    [anon_sym_inline] = ACTIONS(1328),
    [anon_sym_infix] = ACTIONS(1324),
    [anon_sym_open] = ACTIONS(1324),
    [anon_sym_transparent] = ACTIONS(1324),
    [anon_sym_LPAREN] = ACTIONS(1330),
    [anon_sym_macro] = ACTIONS(1740),
    [anon_sym_BANG] = ACTIONS(1322),
    [anon_sym_TILDE] = ACTIONS(1322),
    [anon_sym_DOLLAR] = ACTIONS(1332),
    [anon_sym_SQUOTE] = ACTIONS(1334),
    [sym__backquoted_id] = ACTIONS(1336),
    [sym_operator_identifier] = ACTIONS(1742),
    [sym_integer_literal] = ACTIONS(1340),
    [sym_floating_point_literal] = ACTIONS(1342),
    [anon_sym_true] = ACTIONS(1344),
    [anon_sym_false] = ACTIONS(1344),
    [sym_character_literal] = ACTIONS(1342),
    [sym_null_literal] = ACTIONS(1346),
    [anon_sym_return] = ACTIONS(1744),
    [anon_sym_throw] = ACTIONS(1746),
    [anon_sym_do] = ACTIONS(1748),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2158),
    [sym__simple_multiline_string] = ACTIONS(1348),
    [sym__simple_string] = ACTIONS(1348),
  },
  [592] = {
    [sym_inline_modifier] = STATE(2122),
    [sym__indentable_expression] = STATE(11863),
    [sym_block] = STATE(6703),
    [sym_indented_block] = STATE(12004),
    [sym_indented_cases] = STATE(12004),
    [sym_expression] = STATE(12171),
    [sym__simple_expression] = STATE(6037),
    [sym_lambda_expression] = STATE(12046),
    [sym_if_expression] = STATE(12046),
    [sym_match_expression] = STATE(12046),
    [sym_try_expression] = STATE(12046),
    [sym__expr_case_clause] = STATE(11861),
    [sym_bindings] = STATE(15638),
    [sym_case_block] = STATE(6703),
    [sym_assignment_expression] = STATE(12046),
    [sym_generic_function] = STATE(6703),
    [sym_call_expression] = STATE(6703),
    [sym_field_expression] = STATE(6703),
    [sym_instance_expression] = STATE(6703),
    [sym_ascription_expression] = STATE(12046),
    [sym_infix_expression] = STATE(8166),
    [sym_postfix_expression] = STATE(11496),
    [sym__postfix_expression_choice] = STATE(15827),
    [sym_macro_body] = STATE(12046),
    [sym_prefix_expression] = STATE(9715),
    [sym_tuple_expression] = STATE(6703),
    [sym_parenthesized_expression] = STATE(6703),
    [sym_splice_expression] = STATE(6703),
    [sym_quote_expression] = STATE(6703),
    [sym_identifier] = STATE(5641),
    [sym__soft_identifier] = STATE(4884),
    [sym_wildcard] = STATE(8386),
    [sym__non_null_literal] = STATE(6703),
    [sym_boolean_literal] = STATE(6780),
    [sym_interpolated_string_expression] = STATE(6703),
    [sym_string] = STATE(6780),
    [sym_unit] = STATE(6703),
    [sym_return_expression] = STATE(12046),
    [sym_throw_expression] = STATE(12046),
    [sym_while_expression] = STATE(12046),
    [sym_do_while_expression] = STATE(12046),
    [sym_for_expression] = STATE(12046),
    [sym_comment] = STATE(592),
    [sym_block_comment] = STATE(592),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym_case] = ACTIONS(2244),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(1838),
    [anon_sym_while] = ACTIONS(1840),
    [anon_sym_for] = ACTIONS(1842),
    [anon_sym_try] = ACTIONS(1844),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(1846),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1848),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(1850),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(1852),
    [anon_sym_throw] = ACTIONS(1854),
    [anon_sym_do] = ACTIONS(1856),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2234),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [593] = {
    [sym_inline_modifier] = STATE(2070),
    [sym__indentable_expression] = STATE(13178),
    [sym_block] = STATE(8360),
    [sym_indented_block] = STATE(13059),
    [sym_indented_cases] = STATE(13059),
    [sym_expression] = STATE(12867),
    [sym__simple_expression] = STATE(5615),
    [sym_lambda_expression] = STATE(13229),
    [sym_if_expression] = STATE(13229),
    [sym_match_expression] = STATE(13229),
    [sym_try_expression] = STATE(13229),
    [sym__expr_case_clause] = STATE(13200),
    [sym_bindings] = STATE(15528),
    [sym_case_block] = STATE(8360),
    [sym_assignment_expression] = STATE(13229),
    [sym_generic_function] = STATE(8360),
    [sym_call_expression] = STATE(8360),
    [sym_field_expression] = STATE(8360),
    [sym_instance_expression] = STATE(8360),
    [sym_ascription_expression] = STATE(13229),
    [sym_infix_expression] = STATE(9581),
    [sym_postfix_expression] = STATE(12866),
    [sym__postfix_expression_choice] = STATE(15971),
    [sym_macro_body] = STATE(13229),
    [sym_prefix_expression] = STATE(9582),
    [sym_tuple_expression] = STATE(8360),
    [sym_parenthesized_expression] = STATE(8360),
    [sym_splice_expression] = STATE(8360),
    [sym_quote_expression] = STATE(8360),
    [sym_identifier] = STATE(5263),
    [sym__soft_identifier] = STATE(5563),
    [sym_wildcard] = STATE(7408),
    [sym__non_null_literal] = STATE(8360),
    [sym_boolean_literal] = STATE(8269),
    [sym_interpolated_string_expression] = STATE(8360),
    [sym_string] = STATE(8269),
    [sym_unit] = STATE(8360),
    [sym_return_expression] = STATE(13229),
    [sym_throw_expression] = STATE(13229),
    [sym_while_expression] = STATE(13229),
    [sym_do_while_expression] = STATE(13229),
    [sym_for_expression] = STATE(13229),
    [sym_comment] = STATE(593),
    [sym_block_comment] = STATE(593),
    [sym__alpha_identifier] = ACTIONS(1242),
    [anon_sym_LBRACE] = ACTIONS(1246),
    [anon_sym_case] = ACTIONS(2246),
    [anon_sym__] = ACTIONS(1248),
    [anon_sym_PLUS] = ACTIONS(1250),
    [anon_sym_DASH] = ACTIONS(1250),
    [anon_sym_end] = ACTIONS(1252),
    [anon_sym_if] = ACTIONS(1654),
    [anon_sym_while] = ACTIONS(1656),
    [anon_sym_for] = ACTIONS(1658),
    [anon_sym_try] = ACTIONS(1660),
    [anon_sym_new] = ACTIONS(1254),
    [anon_sym_opaque] = ACTIONS(1252),
    [anon_sym_implicit] = ACTIONS(1662),
    [anon_sym_inline] = ACTIONS(1256),
    [anon_sym_infix] = ACTIONS(1252),
    [anon_sym_open] = ACTIONS(1252),
    [anon_sym_transparent] = ACTIONS(1252),
    [anon_sym_LPAREN] = ACTIONS(1258),
    [anon_sym_macro] = ACTIONS(1664),
    [anon_sym_BANG] = ACTIONS(1250),
    [anon_sym_TILDE] = ACTIONS(1250),
    [anon_sym_DOLLAR] = ACTIONS(1260),
    [anon_sym_SQUOTE] = ACTIONS(1262),
    [sym__backquoted_id] = ACTIONS(1264),
    [sym_operator_identifier] = ACTIONS(1666),
    [sym_integer_literal] = ACTIONS(1268),
    [sym_floating_point_literal] = ACTIONS(1270),
    [anon_sym_true] = ACTIONS(1272),
    [anon_sym_false] = ACTIONS(1272),
    [sym_character_literal] = ACTIONS(1270),
    [sym_null_literal] = ACTIONS(1274),
    [anon_sym_return] = ACTIONS(1668),
    [anon_sym_throw] = ACTIONS(1670),
    [anon_sym_do] = ACTIONS(1672),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2212),
    [sym__simple_multiline_string] = ACTIONS(1276),
    [sym__simple_string] = ACTIONS(1276),
  },
  [594] = {
    [sym_inline_modifier] = STATE(2189),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13289),
    [sym__simple_expression] = STATE(7289),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15762),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10205),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10142),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6081),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(8816),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(594),
    [sym_block_comment] = STATE(594),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(1150),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_LBRACK] = ACTIONS(1148),
    [anon_sym_PLUS] = ACTIONS(569),
    [anon_sym_DASH] = ACTIONS(569),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(571),
    [anon_sym_while] = ACTIONS(573),
    [anon_sym_for] = ACTIONS(575),
    [anon_sym_match] = ACTIONS(1150),
    [anon_sym_try] = ACTIONS(577),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(2248),
    [anon_sym_inline] = ACTIONS(1860),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(1148),
    [anon_sym_macro] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(569),
    [anon_sym_TILDE] = ACTIONS(569),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(587),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(589),
    [anon_sym_throw] = ACTIONS(591),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1148),
    [sym__outdent] = ACTIONS(1148),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [595] = {
    [sym_inline_modifier] = STATE(2262),
    [sym__indentable_expression] = STATE(11723),
    [sym_block] = STATE(6540),
    [sym_indented_block] = STATE(11390),
    [sym_indented_cases] = STATE(11390),
    [sym_expression] = STATE(11385),
    [sym__simple_expression] = STATE(5817),
    [sym_lambda_expression] = STATE(11374),
    [sym_if_expression] = STATE(11374),
    [sym_match_expression] = STATE(11374),
    [sym_try_expression] = STATE(11374),
    [sym__expr_case_clause] = STATE(11718),
    [sym_bindings] = STATE(15530),
    [sym_case_block] = STATE(6540),
    [sym_assignment_expression] = STATE(11374),
    [sym_generic_function] = STATE(6540),
    [sym_call_expression] = STATE(6540),
    [sym_field_expression] = STATE(6540),
    [sym_instance_expression] = STATE(6540),
    [sym_ascription_expression] = STATE(11374),
    [sym_infix_expression] = STATE(7834),
    [sym_postfix_expression] = STATE(11215),
    [sym__postfix_expression_choice] = STATE(16210),
    [sym_macro_body] = STATE(11374),
    [sym_prefix_expression] = STATE(9262),
    [sym_tuple_expression] = STATE(6540),
    [sym_parenthesized_expression] = STATE(6540),
    [sym_splice_expression] = STATE(6540),
    [sym_quote_expression] = STATE(6540),
    [sym_identifier] = STATE(5031),
    [sym__soft_identifier] = STATE(4667),
    [sym_wildcard] = STATE(7986),
    [sym__non_null_literal] = STATE(6540),
    [sym_boolean_literal] = STATE(6246),
    [sym_interpolated_string_expression] = STATE(6540),
    [sym_string] = STATE(6246),
    [sym_unit] = STATE(6540),
    [sym_return_expression] = STATE(11374),
    [sym_throw_expression] = STATE(11374),
    [sym_while_expression] = STATE(11374),
    [sym_do_while_expression] = STATE(11374),
    [sym_for_expression] = STATE(11374),
    [sym_comment] = STATE(595),
    [sym_block_comment] = STATE(595),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym_case] = ACTIONS(2250),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(1530),
    [anon_sym_while] = ACTIONS(1532),
    [anon_sym_for] = ACTIONS(1534),
    [anon_sym_try] = ACTIONS(1536),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1538),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1540),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1542),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1544),
    [anon_sym_throw] = ACTIONS(1546),
    [anon_sym_do] = ACTIONS(1548),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2240),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [596] = {
    [sym_inline_modifier] = STATE(2252),
    [sym__indentable_expression] = STATE(13226),
    [sym_block] = STATE(8262),
    [sym_indented_block] = STATE(13058),
    [sym_indented_cases] = STATE(13058),
    [sym_expression] = STATE(12868),
    [sym__simple_expression] = STATE(5471),
    [sym_lambda_expression] = STATE(13098),
    [sym_if_expression] = STATE(13098),
    [sym_match_expression] = STATE(13098),
    [sym_try_expression] = STATE(13098),
    [sym__expr_case_clause] = STATE(13225),
    [sym_bindings] = STATE(15615),
    [sym_case_block] = STATE(8262),
    [sym_assignment_expression] = STATE(13098),
    [sym_generic_function] = STATE(8262),
    [sym_call_expression] = STATE(8262),
    [sym_field_expression] = STATE(8262),
    [sym_instance_expression] = STATE(8262),
    [sym_ascription_expression] = STATE(13098),
    [sym_infix_expression] = STATE(9485),
    [sym_postfix_expression] = STATE(12647),
    [sym__postfix_expression_choice] = STATE(16347),
    [sym_macro_body] = STATE(13098),
    [sym_prefix_expression] = STATE(9525),
    [sym_tuple_expression] = STATE(8262),
    [sym_parenthesized_expression] = STATE(8262),
    [sym_splice_expression] = STATE(8262),
    [sym_quote_expression] = STATE(8262),
    [sym_identifier] = STATE(5180),
    [sym__soft_identifier] = STATE(5419),
    [sym_wildcard] = STATE(7820),
    [sym__non_null_literal] = STATE(8262),
    [sym_boolean_literal] = STATE(8242),
    [sym_interpolated_string_expression] = STATE(8262),
    [sym_string] = STATE(8242),
    [sym_unit] = STATE(8262),
    [sym_return_expression] = STATE(13098),
    [sym_throw_expression] = STATE(13098),
    [sym_while_expression] = STATE(13098),
    [sym_do_while_expression] = STATE(13098),
    [sym_for_expression] = STATE(13098),
    [sym_comment] = STATE(596),
    [sym_block_comment] = STATE(596),
    [sym__alpha_identifier] = ACTIONS(1278),
    [anon_sym_LBRACE] = ACTIONS(1282),
    [anon_sym_case] = ACTIONS(2252),
    [anon_sym__] = ACTIONS(1284),
    [anon_sym_PLUS] = ACTIONS(1286),
    [anon_sym_DASH] = ACTIONS(1286),
    [anon_sym_end] = ACTIONS(1288),
    [anon_sym_if] = ACTIONS(1710),
    [anon_sym_while] = ACTIONS(1712),
    [anon_sym_for] = ACTIONS(1714),
    [anon_sym_try] = ACTIONS(1716),
    [anon_sym_new] = ACTIONS(1290),
    [anon_sym_opaque] = ACTIONS(1288),
    [anon_sym_implicit] = ACTIONS(1718),
    [anon_sym_inline] = ACTIONS(1292),
    [anon_sym_infix] = ACTIONS(1288),
    [anon_sym_open] = ACTIONS(1288),
    [anon_sym_transparent] = ACTIONS(1288),
    [anon_sym_LPAREN] = ACTIONS(1294),
    [anon_sym_macro] = ACTIONS(1720),
    [anon_sym_BANG] = ACTIONS(1286),
    [anon_sym_TILDE] = ACTIONS(1286),
    [anon_sym_DOLLAR] = ACTIONS(1296),
    [anon_sym_SQUOTE] = ACTIONS(1298),
    [sym__backquoted_id] = ACTIONS(1300),
    [sym_operator_identifier] = ACTIONS(1722),
    [sym_integer_literal] = ACTIONS(1304),
    [sym_floating_point_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1308),
    [anon_sym_false] = ACTIONS(1308),
    [sym_character_literal] = ACTIONS(1306),
    [sym_null_literal] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(1724),
    [anon_sym_throw] = ACTIONS(1726),
    [anon_sym_do] = ACTIONS(1728),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2198),
    [sym__simple_multiline_string] = ACTIONS(1312),
    [sym__simple_string] = ACTIONS(1312),
  },
  [597] = {
    [sym_inline_modifier] = STATE(2250),
    [sym__indentable_expression] = STATE(11722),
    [sym_block] = STATE(6450),
    [sym_indented_block] = STATE(11535),
    [sym_indented_cases] = STATE(11535),
    [sym_expression] = STATE(11606),
    [sym__simple_expression] = STATE(5297),
    [sym_lambda_expression] = STATE(11549),
    [sym_if_expression] = STATE(11549),
    [sym_match_expression] = STATE(11549),
    [sym_try_expression] = STATE(11549),
    [sym__expr_case_clause] = STATE(11570),
    [sym_bindings] = STATE(15503),
    [sym_case_block] = STATE(6450),
    [sym_assignment_expression] = STATE(11549),
    [sym_generic_function] = STATE(6450),
    [sym_call_expression] = STATE(6450),
    [sym_field_expression] = STATE(6450),
    [sym_instance_expression] = STATE(6450),
    [sym_ascription_expression] = STATE(11549),
    [sym_infix_expression] = STATE(7641),
    [sym_postfix_expression] = STATE(11204),
    [sym__postfix_expression_choice] = STATE(16480),
    [sym_macro_body] = STATE(11549),
    [sym_prefix_expression] = STATE(8711),
    [sym_tuple_expression] = STATE(6450),
    [sym_parenthesized_expression] = STATE(6450),
    [sym_splice_expression] = STATE(6450),
    [sym_quote_expression] = STATE(6450),
    [sym_identifier] = STATE(4723),
    [sym__soft_identifier] = STATE(4507),
    [sym_wildcard] = STATE(7115),
    [sym__non_null_literal] = STATE(6450),
    [sym_boolean_literal] = STATE(6156),
    [sym_interpolated_string_expression] = STATE(6450),
    [sym_string] = STATE(6156),
    [sym_unit] = STATE(6450),
    [sym_return_expression] = STATE(11549),
    [sym_throw_expression] = STATE(11549),
    [sym_while_expression] = STATE(11549),
    [sym_do_while_expression] = STATE(11549),
    [sym_for_expression] = STATE(11549),
    [sym_comment] = STATE(597),
    [sym_block_comment] = STATE(597),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym_case] = ACTIONS(2254),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(2256),
    [anon_sym_while] = ACTIONS(1370),
    [anon_sym_for] = ACTIONS(1372),
    [anon_sym_try] = ACTIONS(1374),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1376),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1378),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1380),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1382),
    [anon_sym_throw] = ACTIONS(1384),
    [anon_sym_do] = ACTIONS(1386),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2258),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [598] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9088),
    [sym_expression] = STATE(12980),
    [sym__simple_expression] = STATE(7286),
    [sym_lambda_expression] = STATE(13338),
    [sym_if_expression] = STATE(13338),
    [sym_match_expression] = STATE(13338),
    [sym_try_expression] = STATE(13338),
    [sym_bindings] = STATE(15723),
    [sym_case_block] = STATE(9088),
    [sym_assignment_expression] = STATE(13338),
    [sym_generic_function] = STATE(9088),
    [sym_call_expression] = STATE(9088),
    [sym_field_expression] = STATE(9088),
    [sym_instance_expression] = STATE(9088),
    [sym_ascription_expression] = STATE(13338),
    [sym_infix_expression] = STATE(9773),
    [sym_postfix_expression] = STATE(13117),
    [sym__postfix_expression_choice] = STATE(15912),
    [sym_macro_body] = STATE(13338),
    [sym_prefix_expression] = STATE(10020),
    [sym_tuple_expression] = STATE(9088),
    [sym_parenthesized_expression] = STATE(9088),
    [sym_splice_expression] = STATE(9088),
    [sym_quote_expression] = STATE(9088),
    [sym_identifier] = STATE(6105),
    [sym__soft_identifier] = STATE(6581),
    [sym_wildcard] = STATE(8709),
    [sym__non_null_literal] = STATE(9088),
    [sym_boolean_literal] = STATE(8905),
    [sym_interpolated_string_expression] = STATE(9088),
    [sym_string] = STATE(8905),
    [sym_unit] = STATE(9088),
    [sym_return_expression] = STATE(13338),
    [sym_throw_expression] = STATE(13338),
    [sym_while_expression] = STATE(13338),
    [sym_do_while_expression] = STATE(13338),
    [sym_for_expression] = STATE(13338),
    [sym_comment] = STATE(598),
    [sym_block_comment] = STATE(598),
    [sym__alpha_identifier] = ACTIONS(1938),
    [anon_sym_LBRACE] = ACTIONS(1942),
    [anon_sym_COMMA] = ACTIONS(1148),
    [anon_sym__] = ACTIONS(1944),
    [anon_sym_LBRACK] = ACTIONS(1148),
    [anon_sym_PLUS] = ACTIONS(1946),
    [anon_sym_DASH] = ACTIONS(1946),
    [anon_sym_end] = ACTIONS(1948),
    [anon_sym_if] = ACTIONS(2260),
    [anon_sym_while] = ACTIONS(2262),
    [anon_sym_for] = ACTIONS(2264),
    [anon_sym_match] = ACTIONS(1150),
    [anon_sym_try] = ACTIONS(2266),
    [anon_sym_new] = ACTIONS(1950),
    [anon_sym_opaque] = ACTIONS(1948),
    [anon_sym_implicit] = ACTIONS(2268),
    [anon_sym_inline] = ACTIONS(1952),
    [anon_sym_infix] = ACTIONS(1948),
    [anon_sym_open] = ACTIONS(1948),
    [anon_sym_transparent] = ACTIONS(1948),
    [anon_sym_LPAREN] = ACTIONS(1954),
    [anon_sym_RPAREN] = ACTIONS(1148),
    [anon_sym_then] = ACTIONS(1150),
    [anon_sym_finally] = ACTIONS(1150),
    [anon_sym_macro] = ACTIONS(2270),
    [anon_sym_BANG] = ACTIONS(1946),
    [anon_sym_TILDE] = ACTIONS(1946),
    [anon_sym_DOLLAR] = ACTIONS(1956),
    [anon_sym_SQUOTE] = ACTIONS(1958),
    [sym__backquoted_id] = ACTIONS(1960),
    [sym_operator_identifier] = ACTIONS(2272),
    [sym_integer_literal] = ACTIONS(1964),
    [sym_floating_point_literal] = ACTIONS(1966),
    [anon_sym_true] = ACTIONS(1968),
    [anon_sym_false] = ACTIONS(1968),
    [sym_character_literal] = ACTIONS(1966),
    [sym_null_literal] = ACTIONS(1970),
    [anon_sym_return] = ACTIONS(2274),
    [anon_sym_throw] = ACTIONS(2276),
    [anon_sym_do] = ACTIONS(2278),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1972),
    [sym__simple_string] = ACTIONS(1972),
  },
  [599] = {
    [sym_inline_modifier] = STATE(2086),
    [sym__indentable_expression] = STATE(11196),
    [sym_block] = STATE(9116),
    [sym_indented_block] = STATE(11085),
    [sym_indented_cases] = STATE(11085),
    [sym_expression] = STATE(13151),
    [sym__simple_expression] = STATE(5562),
    [sym_lambda_expression] = STATE(11364),
    [sym_if_expression] = STATE(11364),
    [sym_match_expression] = STATE(11364),
    [sym_try_expression] = STATE(11364),
    [sym__expr_case_clause] = STATE(11251),
    [sym_bindings] = STATE(15512),
    [sym_case_block] = STATE(9116),
    [sym_assignment_expression] = STATE(11364),
    [sym_generic_function] = STATE(9116),
    [sym_call_expression] = STATE(9116),
    [sym_field_expression] = STATE(9116),
    [sym_instance_expression] = STATE(9116),
    [sym_ascription_expression] = STATE(11364),
    [sym_infix_expression] = STATE(9793),
    [sym_postfix_expression] = STATE(10789),
    [sym__postfix_expression_choice] = STATE(15871),
    [sym_macro_body] = STATE(11364),
    [sym_prefix_expression] = STATE(9370),
    [sym_tuple_expression] = STATE(9116),
    [sym_parenthesized_expression] = STATE(9116),
    [sym_splice_expression] = STATE(9116),
    [sym_quote_expression] = STATE(9116),
    [sym_identifier] = STATE(5047),
    [sym__soft_identifier] = STATE(4332),
    [sym_wildcard] = STATE(7660),
    [sym__non_null_literal] = STATE(9116),
    [sym_boolean_literal] = STATE(5055),
    [sym_interpolated_string_expression] = STATE(9116),
    [sym_string] = STATE(5055),
    [sym_unit] = STATE(9116),
    [sym_return_expression] = STATE(11364),
    [sym_throw_expression] = STATE(11364),
    [sym_while_expression] = STATE(11364),
    [sym_do_while_expression] = STATE(11364),
    [sym_for_expression] = STATE(11364),
    [sym_comment] = STATE(599),
    [sym_block_comment] = STATE(599),
    [sym__alpha_identifier] = ACTIONS(1206),
    [anon_sym_LBRACE] = ACTIONS(1210),
    [anon_sym_case] = ACTIONS(2280),
    [anon_sym__] = ACTIONS(1212),
    [anon_sym_PLUS] = ACTIONS(1214),
    [anon_sym_DASH] = ACTIONS(1214),
    [anon_sym_end] = ACTIONS(1216),
    [anon_sym_if] = ACTIONS(1550),
    [anon_sym_while] = ACTIONS(1552),
    [anon_sym_for] = ACTIONS(1554),
    [anon_sym_try] = ACTIONS(1556),
    [anon_sym_new] = ACTIONS(1218),
    [anon_sym_opaque] = ACTIONS(1216),
    [anon_sym_implicit] = ACTIONS(1558),
    [anon_sym_inline] = ACTIONS(1220),
    [anon_sym_infix] = ACTIONS(1216),
    [anon_sym_open] = ACTIONS(1216),
    [anon_sym_transparent] = ACTIONS(1216),
    [anon_sym_LPAREN] = ACTIONS(1222),
    [anon_sym_macro] = ACTIONS(1560),
    [anon_sym_BANG] = ACTIONS(1214),
    [anon_sym_TILDE] = ACTIONS(1214),
    [anon_sym_DOLLAR] = ACTIONS(1224),
    [anon_sym_SQUOTE] = ACTIONS(1226),
    [sym__backquoted_id] = ACTIONS(1228),
    [sym_operator_identifier] = ACTIONS(1562),
    [sym_integer_literal] = ACTIONS(1232),
    [sym_floating_point_literal] = ACTIONS(1234),
    [anon_sym_true] = ACTIONS(1236),
    [anon_sym_false] = ACTIONS(1236),
    [sym_character_literal] = ACTIONS(1234),
    [sym_null_literal] = ACTIONS(1238),
    [anon_sym_return] = ACTIONS(1564),
    [anon_sym_throw] = ACTIONS(1566),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2282),
    [sym__simple_multiline_string] = ACTIONS(1240),
    [sym__simple_string] = ACTIONS(1240),
  },
  [600] = {
    [sym_inline_modifier] = STATE(2118),
    [sym__indentable_expression] = STATE(11196),
    [sym_block] = STATE(5403),
    [sym_indented_block] = STATE(11085),
    [sym_indented_cases] = STATE(11085),
    [sym_expression] = STATE(11355),
    [sym__simple_expression] = STATE(5051),
    [sym_lambda_expression] = STATE(11364),
    [sym_if_expression] = STATE(11364),
    [sym_match_expression] = STATE(11364),
    [sym_try_expression] = STATE(11364),
    [sym__expr_case_clause] = STATE(11251),
    [sym_bindings] = STATE(15597),
    [sym_case_block] = STATE(5403),
    [sym_assignment_expression] = STATE(11364),
    [sym_generic_function] = STATE(5403),
    [sym_call_expression] = STATE(5403),
    [sym_field_expression] = STATE(5403),
    [sym_instance_expression] = STATE(5403),
    [sym_ascription_expression] = STATE(11364),
    [sym_infix_expression] = STATE(6806),
    [sym_postfix_expression] = STATE(10789),
    [sym__postfix_expression_choice] = STATE(15797),
    [sym_macro_body] = STATE(11364),
    [sym_prefix_expression] = STATE(8869),
    [sym_tuple_expression] = STATE(5403),
    [sym_parenthesized_expression] = STATE(5403),
    [sym_splice_expression] = STATE(5403),
    [sym_quote_expression] = STATE(5403),
    [sym_identifier] = STATE(4686),
    [sym__soft_identifier] = STATE(4455),
    [sym_wildcard] = STATE(7015),
    [sym__non_null_literal] = STATE(5403),
    [sym_boolean_literal] = STATE(5637),
    [sym_interpolated_string_expression] = STATE(5403),
    [sym_string] = STATE(5637),
    [sym_unit] = STATE(5403),
    [sym_return_expression] = STATE(11364),
    [sym_throw_expression] = STATE(11364),
    [sym_while_expression] = STATE(11364),
    [sym_do_while_expression] = STATE(11364),
    [sym_for_expression] = STATE(11364),
    [sym_comment] = STATE(600),
    [sym_block_comment] = STATE(600),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym_case] = ACTIONS(2284),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(1152),
    [anon_sym_while] = ACTIONS(1154),
    [anon_sym_for] = ACTIONS(1156),
    [anon_sym_try] = ACTIONS(1158),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1160),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1162),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1164),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1166),
    [anon_sym_throw] = ACTIONS(1168),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2282),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [601] = {
    [sym_inline_modifier] = STATE(2335),
    [sym__indentable_expression] = STATE(11196),
    [sym_block] = STATE(5403),
    [sym_indented_block] = STATE(11085),
    [sym_indented_cases] = STATE(11085),
    [sym_expression] = STATE(11355),
    [sym__simple_expression] = STATE(4736),
    [sym_lambda_expression] = STATE(11364),
    [sym_if_expression] = STATE(11364),
    [sym_match_expression] = STATE(11364),
    [sym_try_expression] = STATE(11364),
    [sym__expr_case_clause] = STATE(11251),
    [sym_bindings] = STATE(15583),
    [sym_case_block] = STATE(5403),
    [sym_assignment_expression] = STATE(11364),
    [sym_generic_function] = STATE(5403),
    [sym_call_expression] = STATE(5403),
    [sym_field_expression] = STATE(5403),
    [sym_instance_expression] = STATE(5403),
    [sym_ascription_expression] = STATE(11364),
    [sym_infix_expression] = STATE(6806),
    [sym_postfix_expression] = STATE(10789),
    [sym__postfix_expression_choice] = STATE(15797),
    [sym_macro_body] = STATE(11364),
    [sym_prefix_expression] = STATE(8627),
    [sym_tuple_expression] = STATE(5403),
    [sym_parenthesized_expression] = STATE(5403),
    [sym_splice_expression] = STATE(5403),
    [sym_quote_expression] = STATE(5403),
    [sym_identifier] = STATE(4558),
    [sym__soft_identifier] = STATE(4455),
    [sym_wildcard] = STATE(6107),
    [sym__non_null_literal] = STATE(5403),
    [sym_boolean_literal] = STATE(5637),
    [sym_interpolated_string_expression] = STATE(5403),
    [sym_string] = STATE(5637),
    [sym_unit] = STATE(5403),
    [sym_return_expression] = STATE(11364),
    [sym_throw_expression] = STATE(11364),
    [sym_while_expression] = STATE(11364),
    [sym_do_while_expression] = STATE(11364),
    [sym_for_expression] = STATE(11364),
    [sym_comment] = STATE(601),
    [sym_block_comment] = STATE(601),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym_case] = ACTIONS(2286),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(2288),
    [anon_sym_while] = ACTIONS(1750),
    [anon_sym_for] = ACTIONS(1752),
    [anon_sym_try] = ACTIONS(1754),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1756),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1162),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1758),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1760),
    [anon_sym_throw] = ACTIONS(1762),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2282),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [602] = {
    [sym_inline_modifier] = STATE(2234),
    [sym__indentable_expression] = STATE(12792),
    [sym_block] = STATE(7443),
    [sym_indented_block] = STATE(12679),
    [sym_indented_cases] = STATE(12679),
    [sym_expression] = STATE(12305),
    [sym__simple_expression] = STATE(5279),
    [sym_lambda_expression] = STATE(12692),
    [sym_if_expression] = STATE(12692),
    [sym_match_expression] = STATE(12692),
    [sym_try_expression] = STATE(12692),
    [sym__expr_case_clause] = STATE(12795),
    [sym_bindings] = STATE(15619),
    [sym_case_block] = STATE(7443),
    [sym_assignment_expression] = STATE(12692),
    [sym_generic_function] = STATE(7443),
    [sym_call_expression] = STATE(7443),
    [sym_field_expression] = STATE(7443),
    [sym_instance_expression] = STATE(7443),
    [sym_ascription_expression] = STATE(12692),
    [sym_infix_expression] = STATE(8993),
    [sym_postfix_expression] = STATE(12386),
    [sym__postfix_expression_choice] = STATE(16150),
    [sym_macro_body] = STATE(12692),
    [sym_prefix_expression] = STATE(8795),
    [sym_tuple_expression] = STATE(7443),
    [sym_parenthesized_expression] = STATE(7443),
    [sym_splice_expression] = STATE(7443),
    [sym_quote_expression] = STATE(7443),
    [sym_identifier] = STATE(4734),
    [sym__soft_identifier] = STATE(5213),
    [sym_wildcard] = STATE(7227),
    [sym__non_null_literal] = STATE(7443),
    [sym_boolean_literal] = STATE(7707),
    [sym_interpolated_string_expression] = STATE(7443),
    [sym_string] = STATE(7707),
    [sym_unit] = STATE(7443),
    [sym_return_expression] = STATE(12692),
    [sym_throw_expression] = STATE(12692),
    [sym_while_expression] = STATE(12692),
    [sym_do_while_expression] = STATE(12692),
    [sym_for_expression] = STATE(12692),
    [sym_comment] = STATE(602),
    [sym_block_comment] = STATE(602),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym_case] = ACTIONS(2290),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(2292),
    [anon_sym_while] = ACTIONS(1480),
    [anon_sym_for] = ACTIONS(1482),
    [anon_sym_try] = ACTIONS(1484),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(1486),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1196),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(1488),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(1490),
    [anon_sym_throw] = ACTIONS(1492),
    [anon_sym_do] = ACTIONS(1204),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2294),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [603] = {
    [sym_inline_modifier] = STATE(2191),
    [sym__indentable_expression] = STATE(13378),
    [sym_block] = STATE(8821),
    [sym_indented_block] = STATE(13308),
    [sym_indented_cases] = STATE(13308),
    [sym_expression] = STATE(13197),
    [sym__simple_expression] = STATE(6138),
    [sym_lambda_expression] = STATE(13337),
    [sym_if_expression] = STATE(13337),
    [sym_match_expression] = STATE(13337),
    [sym_try_expression] = STATE(13337),
    [sym__expr_case_clause] = STATE(13379),
    [sym_bindings] = STATE(15634),
    [sym_case_block] = STATE(8821),
    [sym_assignment_expression] = STATE(13337),
    [sym_generic_function] = STATE(8821),
    [sym_call_expression] = STATE(8821),
    [sym_field_expression] = STATE(8821),
    [sym_instance_expression] = STATE(8821),
    [sym_ascription_expression] = STATE(13337),
    [sym_infix_expression] = STATE(9659),
    [sym_postfix_expression] = STATE(13173),
    [sym__postfix_expression_choice] = STATE(16170),
    [sym_macro_body] = STATE(13337),
    [sym_prefix_expression] = STATE(9758),
    [sym_tuple_expression] = STATE(8821),
    [sym_parenthesized_expression] = STATE(8821),
    [sym_splice_expression] = STATE(8821),
    [sym_quote_expression] = STATE(8821),
    [sym_identifier] = STATE(5472),
    [sym__soft_identifier] = STATE(6446),
    [sym_wildcard] = STATE(8602),
    [sym__non_null_literal] = STATE(8821),
    [sym_boolean_literal] = STATE(8798),
    [sym_interpolated_string_expression] = STATE(8821),
    [sym_string] = STATE(8798),
    [sym_unit] = STATE(8821),
    [sym_return_expression] = STATE(13337),
    [sym_throw_expression] = STATE(13337),
    [sym_while_expression] = STATE(13337),
    [sym_do_while_expression] = STATE(13337),
    [sym_for_expression] = STATE(13337),
    [sym_comment] = STATE(603),
    [sym_block_comment] = STATE(603),
    [sym__alpha_identifier] = ACTIONS(1674),
    [anon_sym_LBRACE] = ACTIONS(1678),
    [anon_sym_case] = ACTIONS(2296),
    [anon_sym__] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1682),
    [anon_sym_DASH] = ACTIONS(1682),
    [anon_sym_end] = ACTIONS(1684),
    [anon_sym_if] = ACTIONS(2298),
    [anon_sym_while] = ACTIONS(2300),
    [anon_sym_for] = ACTIONS(2302),
    [anon_sym_try] = ACTIONS(2304),
    [anon_sym_new] = ACTIONS(1686),
    [anon_sym_opaque] = ACTIONS(1684),
    [anon_sym_implicit] = ACTIONS(2306),
    [anon_sym_inline] = ACTIONS(1688),
    [anon_sym_infix] = ACTIONS(1684),
    [anon_sym_open] = ACTIONS(1684),
    [anon_sym_transparent] = ACTIONS(1684),
    [anon_sym_LPAREN] = ACTIONS(1690),
    [anon_sym_macro] = ACTIONS(1914),
    [anon_sym_BANG] = ACTIONS(1682),
    [anon_sym_TILDE] = ACTIONS(1682),
    [anon_sym_DOLLAR] = ACTIONS(1692),
    [anon_sym_SQUOTE] = ACTIONS(1694),
    [sym__backquoted_id] = ACTIONS(1696),
    [sym_operator_identifier] = ACTIONS(2308),
    [sym_integer_literal] = ACTIONS(1700),
    [sym_floating_point_literal] = ACTIONS(1702),
    [anon_sym_true] = ACTIONS(1704),
    [anon_sym_false] = ACTIONS(1704),
    [sym_character_literal] = ACTIONS(1702),
    [sym_null_literal] = ACTIONS(1706),
    [anon_sym_return] = ACTIONS(2310),
    [anon_sym_throw] = ACTIONS(2312),
    [anon_sym_do] = ACTIONS(1922),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2206),
    [sym__simple_multiline_string] = ACTIONS(1708),
    [sym__simple_string] = ACTIONS(1708),
  },
  [604] = {
    [sym_inline_modifier] = STATE(2255),
    [sym_block] = STATE(6954),
    [sym_expression] = STATE(12188),
    [sym__simple_expression] = STATE(5438),
    [sym_lambda_expression] = STATE(12144),
    [sym_if_expression] = STATE(12144),
    [sym_match_expression] = STATE(12144),
    [sym_try_expression] = STATE(12144),
    [sym_bindings] = STATE(15515),
    [sym_case_block] = STATE(6954),
    [sym_assignment_expression] = STATE(12144),
    [sym_generic_function] = STATE(6954),
    [sym_call_expression] = STATE(6954),
    [sym_field_expression] = STATE(6954),
    [sym_instance_expression] = STATE(6954),
    [sym_ascription_expression] = STATE(12144),
    [sym_infix_expression] = STATE(8226),
    [sym_postfix_expression] = STATE(11499),
    [sym__postfix_expression_choice] = STATE(16229),
    [sym_macro_body] = STATE(12144),
    [sym_prefix_expression] = STATE(9369),
    [sym_tuple_expression] = STATE(6954),
    [sym_parenthesized_expression] = STATE(6954),
    [sym_splice_expression] = STATE(6954),
    [sym_quote_expression] = STATE(6954),
    [sym_identifier] = STATE(5276),
    [sym__soft_identifier] = STATE(4827),
    [sym_wildcard] = STATE(7444),
    [sym__non_null_literal] = STATE(6954),
    [sym_boolean_literal] = STATE(6997),
    [sym_interpolated_string_expression] = STATE(6954),
    [sym_string] = STATE(6997),
    [sym_unit] = STATE(6954),
    [sym_return_expression] = STATE(12144),
    [sym_throw_expression] = STATE(12144),
    [sym_while_expression] = STATE(12144),
    [sym_do_while_expression] = STATE(12144),
    [sym_for_expression] = STATE(12144),
    [sym_comment] = STATE(604),
    [sym_block_comment] = STATE(604),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_LBRACK] = ACTIONS(1148),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(1150),
    [anon_sym_while] = ACTIONS(2314),
    [anon_sym_for] = ACTIONS(2316),
    [anon_sym_match] = ACTIONS(1150),
    [anon_sym_try] = ACTIONS(2318),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(2320),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_SEMI] = ACTIONS(1148),
    [anon_sym_else] = ACTIONS(1150),
    [anon_sym_macro] = ACTIONS(1894),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(2322),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(2324),
    [anon_sym_throw] = ACTIONS(2326),
    [anon_sym_do] = ACTIONS(1150),
    [anon_sym_yield] = ACTIONS(1150),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1148),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [605] = {
    [sym_inline_modifier] = STATE(2183),
    [sym__indentable_expression] = STATE(13316),
    [sym_block] = STATE(9088),
    [sym_indented_block] = STATE(13438),
    [sym_indented_cases] = STATE(13438),
    [sym_expression] = STATE(12942),
    [sym__simple_expression] = STATE(8555),
    [sym_lambda_expression] = STATE(13338),
    [sym_if_expression] = STATE(13338),
    [sym_match_expression] = STATE(13338),
    [sym_try_expression] = STATE(13338),
    [sym__expr_case_clause] = STATE(13315),
    [sym_bindings] = STATE(15553),
    [sym_case_block] = STATE(9088),
    [sym_assignment_expression] = STATE(13338),
    [sym_generic_function] = STATE(9088),
    [sym_call_expression] = STATE(9088),
    [sym_field_expression] = STATE(9088),
    [sym_instance_expression] = STATE(9088),
    [sym_ascription_expression] = STATE(13338),
    [sym_infix_expression] = STATE(9773),
    [sym_postfix_expression] = STATE(13117),
    [sym__postfix_expression_choice] = STATE(15912),
    [sym_macro_body] = STATE(13338),
    [sym_prefix_expression] = STATE(10565),
    [sym_tuple_expression] = STATE(9088),
    [sym_parenthesized_expression] = STATE(9088),
    [sym_splice_expression] = STATE(9088),
    [sym_quote_expression] = STATE(9088),
    [sym_identifier] = STATE(7556),
    [sym__soft_identifier] = STATE(6581),
    [sym_wildcard] = STATE(9665),
    [sym__non_null_literal] = STATE(9088),
    [sym_boolean_literal] = STATE(8905),
    [sym_interpolated_string_expression] = STATE(9088),
    [sym_string] = STATE(8905),
    [sym_unit] = STATE(9088),
    [sym_return_expression] = STATE(13338),
    [sym_throw_expression] = STATE(13338),
    [sym_while_expression] = STATE(13338),
    [sym_do_while_expression] = STATE(13338),
    [sym_for_expression] = STATE(13338),
    [sym_comment] = STATE(605),
    [sym_block_comment] = STATE(605),
    [sym__alpha_identifier] = ACTIONS(1938),
    [anon_sym_LBRACE] = ACTIONS(1942),
    [anon_sym_case] = ACTIONS(2328),
    [anon_sym__] = ACTIONS(1944),
    [anon_sym_PLUS] = ACTIONS(1946),
    [anon_sym_DASH] = ACTIONS(1946),
    [anon_sym_end] = ACTIONS(1948),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2332),
    [anon_sym_for] = ACTIONS(2334),
    [anon_sym_try] = ACTIONS(2336),
    [anon_sym_new] = ACTIONS(1950),
    [anon_sym_opaque] = ACTIONS(1948),
    [anon_sym_implicit] = ACTIONS(2338),
    [anon_sym_inline] = ACTIONS(1952),
    [anon_sym_infix] = ACTIONS(1948),
    [anon_sym_open] = ACTIONS(1948),
    [anon_sym_transparent] = ACTIONS(1948),
    [anon_sym_LPAREN] = ACTIONS(1954),
    [anon_sym_macro] = ACTIONS(2270),
    [anon_sym_BANG] = ACTIONS(1946),
    [anon_sym_TILDE] = ACTIONS(1946),
    [anon_sym_DOLLAR] = ACTIONS(1956),
    [anon_sym_SQUOTE] = ACTIONS(1958),
    [sym__backquoted_id] = ACTIONS(1960),
    [sym_operator_identifier] = ACTIONS(2340),
    [sym_integer_literal] = ACTIONS(1964),
    [sym_floating_point_literal] = ACTIONS(1966),
    [anon_sym_true] = ACTIONS(1968),
    [anon_sym_false] = ACTIONS(1968),
    [sym_character_literal] = ACTIONS(1966),
    [sym_null_literal] = ACTIONS(1970),
    [anon_sym_return] = ACTIONS(2342),
    [anon_sym_throw] = ACTIONS(2344),
    [anon_sym_do] = ACTIONS(2278),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2346),
    [sym__simple_multiline_string] = ACTIONS(1972),
    [sym__simple_string] = ACTIONS(1972),
  },
  [606] = {
    [sym_inline_modifier] = STATE(2195),
    [sym__indentable_expression] = STATE(12792),
    [sym_block] = STATE(7443),
    [sym_indented_block] = STATE(12679),
    [sym_indented_cases] = STATE(12679),
    [sym_expression] = STATE(12305),
    [sym__simple_expression] = STATE(5261),
    [sym_lambda_expression] = STATE(12692),
    [sym_if_expression] = STATE(12692),
    [sym_match_expression] = STATE(12692),
    [sym_try_expression] = STATE(12692),
    [sym__expr_case_clause] = STATE(12795),
    [sym_bindings] = STATE(15526),
    [sym_case_block] = STATE(7443),
    [sym_assignment_expression] = STATE(12692),
    [sym_generic_function] = STATE(7443),
    [sym_call_expression] = STATE(7443),
    [sym_field_expression] = STATE(7443),
    [sym_instance_expression] = STATE(7443),
    [sym_ascription_expression] = STATE(12692),
    [sym_infix_expression] = STATE(8993),
    [sym_postfix_expression] = STATE(12386),
    [sym__postfix_expression_choice] = STATE(16150),
    [sym_macro_body] = STATE(12692),
    [sym_prefix_expression] = STATE(8984),
    [sym_tuple_expression] = STATE(7443),
    [sym_parenthesized_expression] = STATE(7443),
    [sym_splice_expression] = STATE(7443),
    [sym_quote_expression] = STATE(7443),
    [sym_identifier] = STATE(4861),
    [sym__soft_identifier] = STATE(5213),
    [sym_wildcard] = STATE(7324),
    [sym__non_null_literal] = STATE(7443),
    [sym_boolean_literal] = STATE(7707),
    [sym_interpolated_string_expression] = STATE(7443),
    [sym_string] = STATE(7707),
    [sym_unit] = STATE(7443),
    [sym_return_expression] = STATE(12692),
    [sym_throw_expression] = STATE(12692),
    [sym_while_expression] = STATE(12692),
    [sym_do_while_expression] = STATE(12692),
    [sym_for_expression] = STATE(12692),
    [sym_comment] = STATE(606),
    [sym_block_comment] = STATE(606),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym_case] = ACTIONS(2348),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(1186),
    [anon_sym_while] = ACTIONS(1188),
    [anon_sym_for] = ACTIONS(1190),
    [anon_sym_try] = ACTIONS(1192),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(1194),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1196),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(1198),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(1200),
    [anon_sym_throw] = ACTIONS(1202),
    [anon_sym_do] = ACTIONS(1204),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2294),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [607] = {
    [sym_inline_modifier] = STATE(2181),
    [sym__indentable_expression] = STATE(11196),
    [sym_block] = STATE(5403),
    [sym_indented_block] = STATE(11085),
    [sym_indented_cases] = STATE(11085),
    [sym_expression] = STATE(11355),
    [sym__simple_expression] = STATE(4722),
    [sym_lambda_expression] = STATE(11364),
    [sym_if_expression] = STATE(11364),
    [sym_match_expression] = STATE(11364),
    [sym_try_expression] = STATE(11364),
    [sym__expr_case_clause] = STATE(11251),
    [sym_bindings] = STATE(15648),
    [sym_case_block] = STATE(5403),
    [sym_assignment_expression] = STATE(11364),
    [sym_generic_function] = STATE(5403),
    [sym_call_expression] = STATE(5403),
    [sym_field_expression] = STATE(5403),
    [sym_instance_expression] = STATE(5403),
    [sym_ascription_expression] = STATE(11364),
    [sym_infix_expression] = STATE(6806),
    [sym_postfix_expression] = STATE(10789),
    [sym__postfix_expression_choice] = STATE(15797),
    [sym_macro_body] = STATE(11364),
    [sym_prefix_expression] = STATE(8559),
    [sym_tuple_expression] = STATE(5403),
    [sym_parenthesized_expression] = STATE(5403),
    [sym_splice_expression] = STATE(5403),
    [sym_quote_expression] = STATE(5403),
    [sym_identifier] = STATE(4646),
    [sym__soft_identifier] = STATE(4455),
    [sym_wildcard] = STATE(6287),
    [sym__non_null_literal] = STATE(5403),
    [sym_boolean_literal] = STATE(5637),
    [sym_interpolated_string_expression] = STATE(5403),
    [sym_string] = STATE(5637),
    [sym_unit] = STATE(5403),
    [sym_return_expression] = STATE(11364),
    [sym_throw_expression] = STATE(11364),
    [sym_while_expression] = STATE(11364),
    [sym_do_while_expression] = STATE(11364),
    [sym_for_expression] = STATE(11364),
    [sym_comment] = STATE(607),
    [sym_block_comment] = STATE(607),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym_case] = ACTIONS(2350),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(2352),
    [anon_sym_while] = ACTIONS(1172),
    [anon_sym_for] = ACTIONS(1174),
    [anon_sym_try] = ACTIONS(1176),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1178),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1162),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1180),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1182),
    [anon_sym_throw] = ACTIONS(1184),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2282),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [608] = {
    [sym_inline_modifier] = STATE(2179),
    [sym__indentable_expression] = STATE(12570),
    [sym_block] = STATE(6738),
    [sym_indented_block] = STATE(12372),
    [sym_indented_cases] = STATE(12372),
    [sym_expression] = STATE(12028),
    [sym__simple_expression] = STATE(6283),
    [sym_lambda_expression] = STATE(12430),
    [sym_if_expression] = STATE(12430),
    [sym_match_expression] = STATE(12430),
    [sym_try_expression] = STATE(12430),
    [sym__expr_case_clause] = STATE(12577),
    [sym_bindings] = STATE(15581),
    [sym_case_block] = STATE(6738),
    [sym_assignment_expression] = STATE(12430),
    [sym_generic_function] = STATE(6738),
    [sym_call_expression] = STATE(6738),
    [sym_field_expression] = STATE(6738),
    [sym_instance_expression] = STATE(6738),
    [sym_ascription_expression] = STATE(12430),
    [sym_infix_expression] = STATE(8389),
    [sym_postfix_expression] = STATE(11930),
    [sym__postfix_expression_choice] = STATE(15885),
    [sym_macro_body] = STATE(12430),
    [sym_prefix_expression] = STATE(9616),
    [sym_tuple_expression] = STATE(6738),
    [sym_parenthesized_expression] = STATE(6738),
    [sym_splice_expression] = STATE(6738),
    [sym_quote_expression] = STATE(6738),
    [sym_identifier] = STATE(5530),
    [sym__soft_identifier] = STATE(4943),
    [sym_wildcard] = STATE(8554),
    [sym__non_null_literal] = STATE(6738),
    [sym_boolean_literal] = STATE(7301),
    [sym_interpolated_string_expression] = STATE(6738),
    [sym_string] = STATE(7301),
    [sym_unit] = STATE(6738),
    [sym_return_expression] = STATE(12430),
    [sym_throw_expression] = STATE(12430),
    [sym_while_expression] = STATE(12430),
    [sym_do_while_expression] = STATE(12430),
    [sym_for_expression] = STATE(12430),
    [sym_comment] = STATE(608),
    [sym_block_comment] = STATE(608),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym_case] = ACTIONS(2354),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(2356),
    [anon_sym_while] = ACTIONS(2358),
    [anon_sym_for] = ACTIONS(2360),
    [anon_sym_try] = ACTIONS(2362),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1360),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(2366),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(2368),
    [anon_sym_throw] = ACTIONS(2370),
    [anon_sym_do] = ACTIONS(1368),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2202),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [609] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(10133),
    [sym_expression] = STATE(14920),
    [sym__simple_expression] = STATE(7695),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(10133),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(10133),
    [sym_call_expression] = STATE(10133),
    [sym_field_expression] = STATE(10133),
    [sym_instance_expression] = STATE(10133),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16787),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10197),
    [sym_tuple_expression] = STATE(10133),
    [sym_parenthesized_expression] = STATE(10133),
    [sym_splice_expression] = STATE(10133),
    [sym_quote_expression] = STATE(10133),
    [sym_identifier] = STATE(6878),
    [sym__soft_identifier] = STATE(4482),
    [sym_wildcard] = STATE(9510),
    [sym__non_null_literal] = STATE(10133),
    [sym_boolean_literal] = STATE(7065),
    [sym_interpolated_string_expression] = STATE(10133),
    [sym_string] = STATE(7065),
    [sym_unit] = STATE(10133),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(609),
    [sym_block_comment] = STATE(609),
    [ts_builtin_sym_end] = ACTIONS(894),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_COLON] = ACTIONS(2372),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_end] = ACTIONS(2374),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_opaque] = ACTIONS(2374),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(67),
    [anon_sym_infix] = ACTIONS(2374),
    [anon_sym_open] = ACTIONS(2374),
    [anon_sym_transparent] = ACTIONS(2374),
    [anon_sym_LPAREN] = ACTIONS(75),
    [anon_sym_SEMI] = ACTIONS(894),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(83),
    [sym_operator_identifier] = ACTIONS(2376),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(894),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [610] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(13316),
    [sym_block] = STATE(9088),
    [sym_indented_block] = STATE(13438),
    [sym_indented_cases] = STATE(13438),
    [sym_expression] = STATE(12942),
    [sym__simple_expression] = STATE(7286),
    [sym_lambda_expression] = STATE(13338),
    [sym_if_expression] = STATE(13338),
    [sym_match_expression] = STATE(13338),
    [sym_try_expression] = STATE(13338),
    [sym__expr_case_clause] = STATE(13315),
    [sym_bindings] = STATE(15723),
    [sym_case_block] = STATE(9088),
    [sym_assignment_expression] = STATE(13338),
    [sym_generic_function] = STATE(9088),
    [sym_call_expression] = STATE(9088),
    [sym_field_expression] = STATE(9088),
    [sym_instance_expression] = STATE(9088),
    [sym_ascription_expression] = STATE(13338),
    [sym_infix_expression] = STATE(9773),
    [sym_postfix_expression] = STATE(13117),
    [sym__postfix_expression_choice] = STATE(15912),
    [sym_macro_body] = STATE(13338),
    [sym_prefix_expression] = STATE(10020),
    [sym_tuple_expression] = STATE(9088),
    [sym_parenthesized_expression] = STATE(9088),
    [sym_splice_expression] = STATE(9088),
    [sym_quote_expression] = STATE(9088),
    [sym_identifier] = STATE(6105),
    [sym__soft_identifier] = STATE(6581),
    [sym_wildcard] = STATE(8709),
    [sym__non_null_literal] = STATE(9088),
    [sym_boolean_literal] = STATE(8905),
    [sym_interpolated_string_expression] = STATE(9088),
    [sym_string] = STATE(8905),
    [sym_unit] = STATE(9088),
    [sym_return_expression] = STATE(13338),
    [sym_throw_expression] = STATE(13338),
    [sym_while_expression] = STATE(13338),
    [sym_do_while_expression] = STATE(13338),
    [sym_for_expression] = STATE(13338),
    [sym_comment] = STATE(610),
    [sym_block_comment] = STATE(610),
    [sym__alpha_identifier] = ACTIONS(1938),
    [anon_sym_LBRACE] = ACTIONS(1942),
    [anon_sym_case] = ACTIONS(2378),
    [anon_sym__] = ACTIONS(1944),
    [anon_sym_PLUS] = ACTIONS(1946),
    [anon_sym_DASH] = ACTIONS(1946),
    [anon_sym_end] = ACTIONS(1948),
    [anon_sym_if] = ACTIONS(2260),
    [anon_sym_while] = ACTIONS(2262),
    [anon_sym_for] = ACTIONS(2264),
    [anon_sym_try] = ACTIONS(2266),
    [anon_sym_new] = ACTIONS(1950),
    [anon_sym_opaque] = ACTIONS(1948),
    [anon_sym_implicit] = ACTIONS(2268),
    [anon_sym_inline] = ACTIONS(1952),
    [anon_sym_infix] = ACTIONS(1948),
    [anon_sym_open] = ACTIONS(1948),
    [anon_sym_transparent] = ACTIONS(1948),
    [anon_sym_LPAREN] = ACTIONS(1954),
    [anon_sym_macro] = ACTIONS(2270),
    [anon_sym_BANG] = ACTIONS(1946),
    [anon_sym_TILDE] = ACTIONS(1946),
    [anon_sym_DOLLAR] = ACTIONS(1956),
    [anon_sym_SQUOTE] = ACTIONS(1958),
    [sym__backquoted_id] = ACTIONS(1960),
    [sym_operator_identifier] = ACTIONS(2272),
    [sym_integer_literal] = ACTIONS(1964),
    [sym_floating_point_literal] = ACTIONS(1966),
    [anon_sym_true] = ACTIONS(1968),
    [anon_sym_false] = ACTIONS(1968),
    [sym_character_literal] = ACTIONS(1966),
    [sym_null_literal] = ACTIONS(1970),
    [anon_sym_return] = ACTIONS(2274),
    [anon_sym_throw] = ACTIONS(2276),
    [anon_sym_do] = ACTIONS(2278),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2346),
    [sym__simple_multiline_string] = ACTIONS(1972),
    [sym__simple_string] = ACTIONS(1972),
  },
  [611] = {
    [sym_inline_modifier] = STATE(2284),
    [sym_block] = STATE(9120),
    [sym_expression] = STATE(13101),
    [sym__simple_expression] = STATE(6111),
    [sym_lambda_expression] = STATE(13422),
    [sym_if_expression] = STATE(13422),
    [sym_match_expression] = STATE(13422),
    [sym_try_expression] = STATE(13422),
    [sym_bindings] = STATE(15588),
    [sym_case_block] = STATE(9120),
    [sym_assignment_expression] = STATE(13422),
    [sym_generic_function] = STATE(9120),
    [sym_call_expression] = STATE(9120),
    [sym_field_expression] = STATE(9120),
    [sym_instance_expression] = STATE(9120),
    [sym_ascription_expression] = STATE(13422),
    [sym_infix_expression] = STATE(9820),
    [sym_postfix_expression] = STATE(13148),
    [sym__postfix_expression_choice] = STATE(15936),
    [sym_macro_body] = STATE(13422),
    [sym_prefix_expression] = STATE(9760),
    [sym_tuple_expression] = STATE(9120),
    [sym_parenthesized_expression] = STATE(9120),
    [sym_splice_expression] = STATE(9120),
    [sym_quote_expression] = STATE(9120),
    [sym_identifier] = STATE(5467),
    [sym__soft_identifier] = STATE(6470),
    [sym_wildcard] = STATE(8607),
    [sym__non_null_literal] = STATE(9120),
    [sym_boolean_literal] = STATE(8928),
    [sym_interpolated_string_expression] = STATE(9120),
    [sym_string] = STATE(8928),
    [sym_unit] = STATE(9120),
    [sym_return_expression] = STATE(13422),
    [sym_throw_expression] = STATE(13422),
    [sym_while_expression] = STATE(13422),
    [sym_do_while_expression] = STATE(13422),
    [sym_for_expression] = STATE(13422),
    [sym_comment] = STATE(611),
    [sym_block_comment] = STATE(611),
    [sym__alpha_identifier] = ACTIONS(1582),
    [anon_sym_LBRACE] = ACTIONS(1586),
    [anon_sym__] = ACTIONS(1588),
    [anon_sym_LBRACK] = ACTIONS(1148),
    [anon_sym_PLUS] = ACTIONS(1590),
    [anon_sym_DASH] = ACTIONS(1590),
    [anon_sym_end] = ACTIONS(1592),
    [anon_sym_if] = ACTIONS(1150),
    [anon_sym_while] = ACTIONS(2380),
    [anon_sym_for] = ACTIONS(2382),
    [anon_sym_match] = ACTIONS(1150),
    [anon_sym_try] = ACTIONS(2384),
    [anon_sym_new] = ACTIONS(1594),
    [anon_sym_opaque] = ACTIONS(1592),
    [anon_sym_implicit] = ACTIONS(2386),
    [anon_sym_inline] = ACTIONS(1596),
    [anon_sym_infix] = ACTIONS(1592),
    [anon_sym_open] = ACTIONS(1592),
    [anon_sym_transparent] = ACTIONS(1592),
    [anon_sym_LPAREN] = ACTIONS(1598),
    [anon_sym_SEMI] = ACTIONS(1148),
    [anon_sym_else] = ACTIONS(1150),
    [anon_sym_macro] = ACTIONS(1874),
    [anon_sym_BANG] = ACTIONS(1590),
    [anon_sym_TILDE] = ACTIONS(1590),
    [anon_sym_DOLLAR] = ACTIONS(1600),
    [anon_sym_SQUOTE] = ACTIONS(1602),
    [sym__backquoted_id] = ACTIONS(1604),
    [sym_operator_identifier] = ACTIONS(2388),
    [sym_integer_literal] = ACTIONS(1608),
    [sym_floating_point_literal] = ACTIONS(1610),
    [anon_sym_true] = ACTIONS(1612),
    [anon_sym_false] = ACTIONS(1612),
    [sym_character_literal] = ACTIONS(1610),
    [sym_null_literal] = ACTIONS(1614),
    [anon_sym_return] = ACTIONS(2390),
    [anon_sym_throw] = ACTIONS(2392),
    [anon_sym_do] = ACTIONS(1882),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1148),
    [sym__outdent] = ACTIONS(1148),
    [sym__simple_multiline_string] = ACTIONS(1616),
    [sym__simple_string] = ACTIONS(1616),
  },
  [612] = {
    [sym_inline_modifier] = STATE(2179),
    [sym_block] = STATE(6738),
    [sym_expression] = STATE(12003),
    [sym__simple_expression] = STATE(6283),
    [sym_lambda_expression] = STATE(12430),
    [sym_if_expression] = STATE(12430),
    [sym_match_expression] = STATE(12430),
    [sym_try_expression] = STATE(12430),
    [sym_bindings] = STATE(15581),
    [sym_case_block] = STATE(6738),
    [sym_assignment_expression] = STATE(12430),
    [sym_generic_function] = STATE(6738),
    [sym_call_expression] = STATE(6738),
    [sym_field_expression] = STATE(6738),
    [sym_instance_expression] = STATE(6738),
    [sym_ascription_expression] = STATE(12430),
    [sym_infix_expression] = STATE(8389),
    [sym_postfix_expression] = STATE(11930),
    [sym__postfix_expression_choice] = STATE(15885),
    [sym_macro_body] = STATE(12430),
    [sym_prefix_expression] = STATE(9616),
    [sym_tuple_expression] = STATE(6738),
    [sym_parenthesized_expression] = STATE(6738),
    [sym_splice_expression] = STATE(6738),
    [sym_quote_expression] = STATE(6738),
    [sym_identifier] = STATE(5530),
    [sym__soft_identifier] = STATE(4943),
    [sym_wildcard] = STATE(8554),
    [sym__non_null_literal] = STATE(6738),
    [sym_boolean_literal] = STATE(7301),
    [sym_interpolated_string_expression] = STATE(6738),
    [sym_string] = STATE(7301),
    [sym_unit] = STATE(6738),
    [sym_return_expression] = STATE(12430),
    [sym_throw_expression] = STATE(12430),
    [sym_while_expression] = STATE(12430),
    [sym_do_while_expression] = STATE(12430),
    [sym_for_expression] = STATE(12430),
    [sym_comment] = STATE(612),
    [sym_block_comment] = STATE(612),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_LBRACK] = ACTIONS(1148),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(2356),
    [anon_sym_while] = ACTIONS(1150),
    [anon_sym_for] = ACTIONS(2360),
    [anon_sym_match] = ACTIONS(1150),
    [anon_sym_try] = ACTIONS(2362),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_SEMI] = ACTIONS(1148),
    [anon_sym_else] = ACTIONS(1150),
    [anon_sym_catch] = ACTIONS(1150),
    [anon_sym_finally] = ACTIONS(1150),
    [anon_sym_macro] = ACTIONS(1360),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(2366),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(2368),
    [anon_sym_throw] = ACTIONS(2370),
    [anon_sym_do] = ACTIONS(1368),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [613] = {
    [sym_inline_modifier] = STATE(2038),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(12282),
    [sym__simple_expression] = STATE(6323),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15629),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(9695),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(5557),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(8528),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(613),
    [sym_block_comment] = STATE(613),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(1148),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_LBRACK] = ACTIONS(1148),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(1150),
    [anon_sym_while] = ACTIONS(2394),
    [anon_sym_for] = ACTIONS(2396),
    [anon_sym_match] = ACTIONS(1150),
    [anon_sym_try] = ACTIONS(2398),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2400),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_RPAREN] = ACTIONS(1148),
    [anon_sym_SEMI] = ACTIONS(1148),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(2402),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(2404),
    [anon_sym_throw] = ACTIONS(2406),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1148),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [614] = {
    [sym_inline_modifier] = STATE(2293),
    [sym__indentable_expression] = STATE(11863),
    [sym_block] = STATE(6703),
    [sym_indented_block] = STATE(12004),
    [sym_indented_cases] = STATE(12004),
    [sym_expression] = STATE(12171),
    [sym__simple_expression] = STATE(5444),
    [sym_lambda_expression] = STATE(12046),
    [sym_if_expression] = STATE(12046),
    [sym_match_expression] = STATE(12046),
    [sym_try_expression] = STATE(12046),
    [sym__expr_case_clause] = STATE(11861),
    [sym_bindings] = STATE(15592),
    [sym_case_block] = STATE(6703),
    [sym_assignment_expression] = STATE(12046),
    [sym_generic_function] = STATE(6703),
    [sym_call_expression] = STATE(6703),
    [sym_field_expression] = STATE(6703),
    [sym_instance_expression] = STATE(6703),
    [sym_ascription_expression] = STATE(12046),
    [sym_infix_expression] = STATE(8166),
    [sym_postfix_expression] = STATE(11496),
    [sym__postfix_expression_choice] = STATE(15827),
    [sym_macro_body] = STATE(12046),
    [sym_prefix_expression] = STATE(9361),
    [sym_tuple_expression] = STATE(6703),
    [sym_parenthesized_expression] = STATE(6703),
    [sym_splice_expression] = STATE(6703),
    [sym_quote_expression] = STATE(6703),
    [sym_identifier] = STATE(5281),
    [sym__soft_identifier] = STATE(4884),
    [sym_wildcard] = STATE(7456),
    [sym__non_null_literal] = STATE(6703),
    [sym_boolean_literal] = STATE(6780),
    [sym_interpolated_string_expression] = STATE(6703),
    [sym_string] = STATE(6780),
    [sym_unit] = STATE(6703),
    [sym_return_expression] = STATE(12046),
    [sym_throw_expression] = STATE(12046),
    [sym_while_expression] = STATE(12046),
    [sym_do_while_expression] = STATE(12046),
    [sym_for_expression] = STATE(12046),
    [sym_comment] = STATE(614),
    [sym_block_comment] = STATE(614),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym_case] = ACTIONS(2408),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(2410),
    [anon_sym_while] = ACTIONS(2178),
    [anon_sym_for] = ACTIONS(2180),
    [anon_sym_try] = ACTIONS(2182),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(2184),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1848),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(2186),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(2188),
    [anon_sym_throw] = ACTIONS(2190),
    [anon_sym_do] = ACTIONS(1856),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2234),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [615] = {
    [sym_inline_modifier] = STATE(2108),
    [sym_block] = STATE(9800),
    [sym_expression] = STATE(13523),
    [sym__simple_expression] = STATE(7357),
    [sym_lambda_expression] = STATE(12046),
    [sym_if_expression] = STATE(12046),
    [sym_match_expression] = STATE(12046),
    [sym_try_expression] = STATE(12046),
    [sym_bindings] = STATE(15518),
    [sym_case_block] = STATE(9800),
    [sym_assignment_expression] = STATE(12046),
    [sym_generic_function] = STATE(9800),
    [sym_call_expression] = STATE(9800),
    [sym_field_expression] = STATE(9800),
    [sym_instance_expression] = STATE(9800),
    [sym_ascription_expression] = STATE(12046),
    [sym_infix_expression] = STATE(10315),
    [sym_postfix_expression] = STATE(11496),
    [sym__postfix_expression_choice] = STATE(15840),
    [sym_macro_body] = STATE(12046),
    [sym_prefix_expression] = STATE(9949),
    [sym_tuple_expression] = STATE(9800),
    [sym_parenthesized_expression] = STATE(9800),
    [sym_splice_expression] = STATE(9800),
    [sym_quote_expression] = STATE(9800),
    [sym_identifier] = STATE(6016),
    [sym__soft_identifier] = STATE(4545),
    [sym_wildcard] = STATE(9086),
    [sym__non_null_literal] = STATE(9800),
    [sym_boolean_literal] = STATE(6076),
    [sym_interpolated_string_expression] = STATE(9800),
    [sym_string] = STATE(6076),
    [sym_unit] = STATE(9800),
    [sym_return_expression] = STATE(12046),
    [sym_throw_expression] = STATE(12046),
    [sym_while_expression] = STATE(12046),
    [sym_do_while_expression] = STATE(12046),
    [sym_for_expression] = STATE(12046),
    [sym_comment] = STATE(615),
    [sym_block_comment] = STATE(615),
    [ts_builtin_sym_end] = ACTIONS(1148),
    [sym__alpha_identifier] = ACTIONS(2084),
    [anon_sym_LBRACE] = ACTIONS(2088),
    [anon_sym__] = ACTIONS(2090),
    [anon_sym_LBRACK] = ACTIONS(1148),
    [anon_sym_PLUS] = ACTIONS(2092),
    [anon_sym_DASH] = ACTIONS(2092),
    [anon_sym_end] = ACTIONS(2094),
    [anon_sym_if] = ACTIONS(2216),
    [anon_sym_while] = ACTIONS(2218),
    [anon_sym_for] = ACTIONS(2220),
    [anon_sym_match] = ACTIONS(1150),
    [anon_sym_try] = ACTIONS(2222),
    [anon_sym_new] = ACTIONS(2096),
    [anon_sym_opaque] = ACTIONS(2094),
    [anon_sym_implicit] = ACTIONS(2224),
    [anon_sym_inline] = ACTIONS(2098),
    [anon_sym_infix] = ACTIONS(2094),
    [anon_sym_open] = ACTIONS(2094),
    [anon_sym_transparent] = ACTIONS(2094),
    [anon_sym_LPAREN] = ACTIONS(2100),
    [anon_sym_SEMI] = ACTIONS(1148),
    [anon_sym_finally] = ACTIONS(1150),
    [anon_sym_macro] = ACTIONS(2226),
    [anon_sym_BANG] = ACTIONS(2092),
    [anon_sym_TILDE] = ACTIONS(2092),
    [anon_sym_DOLLAR] = ACTIONS(2102),
    [anon_sym_SQUOTE] = ACTIONS(2104),
    [sym__backquoted_id] = ACTIONS(2106),
    [sym_operator_identifier] = ACTIONS(2228),
    [sym_integer_literal] = ACTIONS(2110),
    [sym_floating_point_literal] = ACTIONS(2112),
    [anon_sym_true] = ACTIONS(2114),
    [anon_sym_false] = ACTIONS(2114),
    [sym_character_literal] = ACTIONS(2112),
    [sym_null_literal] = ACTIONS(2116),
    [anon_sym_return] = ACTIONS(2230),
    [anon_sym_throw] = ACTIONS(2232),
    [anon_sym_do] = ACTIONS(1856),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1148),
    [sym__simple_multiline_string] = ACTIONS(2118),
    [sym__simple_string] = ACTIONS(2118),
  },
  [616] = {
    [sym_inline_modifier] = STATE(2040),
    [sym__indentable_expression] = STATE(13077),
    [sym_block] = STATE(8375),
    [sym_indented_block] = STATE(13183),
    [sym_indented_cases] = STATE(13183),
    [sym_expression] = STATE(12800),
    [sym__simple_expression] = STATE(7538),
    [sym_lambda_expression] = STATE(13185),
    [sym_if_expression] = STATE(13185),
    [sym_match_expression] = STATE(13185),
    [sym_try_expression] = STATE(13185),
    [sym__expr_case_clause] = STATE(13078),
    [sym_bindings] = STATE(15594),
    [sym_case_block] = STATE(8375),
    [sym_assignment_expression] = STATE(13185),
    [sym_generic_function] = STATE(8375),
    [sym_call_expression] = STATE(8375),
    [sym_field_expression] = STATE(8375),
    [sym_instance_expression] = STATE(8375),
    [sym_ascription_expression] = STATE(13185),
    [sym_infix_expression] = STATE(9364),
    [sym_postfix_expression] = STATE(12809),
    [sym__postfix_expression_choice] = STATE(16440),
    [sym_macro_body] = STATE(13185),
    [sym_prefix_expression] = STATE(10274),
    [sym_tuple_expression] = STATE(8375),
    [sym_parenthesized_expression] = STATE(8375),
    [sym_splice_expression] = STATE(8375),
    [sym_quote_expression] = STATE(8375),
    [sym_identifier] = STATE(7110),
    [sym__soft_identifier] = STATE(5430),
    [sym_wildcard] = STATE(9287),
    [sym__non_null_literal] = STATE(8375),
    [sym_boolean_literal] = STATE(8117),
    [sym_interpolated_string_expression] = STATE(8375),
    [sym_string] = STATE(8117),
    [sym_unit] = STATE(8375),
    [sym_return_expression] = STATE(13185),
    [sym_throw_expression] = STATE(13185),
    [sym_while_expression] = STATE(13185),
    [sym_do_while_expression] = STATE(13185),
    [sym_for_expression] = STATE(13185),
    [sym_comment] = STATE(616),
    [sym_block_comment] = STATE(616),
    [sym__alpha_identifier] = ACTIONS(1618),
    [anon_sym_LBRACE] = ACTIONS(1622),
    [anon_sym_case] = ACTIONS(2412),
    [anon_sym__] = ACTIONS(1624),
    [anon_sym_PLUS] = ACTIONS(1626),
    [anon_sym_DASH] = ACTIONS(1626),
    [anon_sym_end] = ACTIONS(1628),
    [anon_sym_if] = ACTIONS(2414),
    [anon_sym_while] = ACTIONS(2416),
    [anon_sym_for] = ACTIONS(2418),
    [anon_sym_try] = ACTIONS(2420),
    [anon_sym_new] = ACTIONS(1630),
    [anon_sym_opaque] = ACTIONS(1628),
    [anon_sym_implicit] = ACTIONS(2422),
    [anon_sym_inline] = ACTIONS(1632),
    [anon_sym_infix] = ACTIONS(1628),
    [anon_sym_open] = ACTIONS(1628),
    [anon_sym_transparent] = ACTIONS(1628),
    [anon_sym_LPAREN] = ACTIONS(1634),
    [anon_sym_macro] = ACTIONS(2074),
    [anon_sym_BANG] = ACTIONS(1626),
    [anon_sym_TILDE] = ACTIONS(1626),
    [anon_sym_DOLLAR] = ACTIONS(1636),
    [anon_sym_SQUOTE] = ACTIONS(1638),
    [sym__backquoted_id] = ACTIONS(1640),
    [sym_operator_identifier] = ACTIONS(2424),
    [sym_integer_literal] = ACTIONS(1644),
    [sym_floating_point_literal] = ACTIONS(1646),
    [anon_sym_true] = ACTIONS(1648),
    [anon_sym_false] = ACTIONS(1648),
    [sym_character_literal] = ACTIONS(1646),
    [sym_null_literal] = ACTIONS(1650),
    [anon_sym_return] = ACTIONS(2426),
    [anon_sym_throw] = ACTIONS(2428),
    [anon_sym_do] = ACTIONS(2082),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1652),
    [sym__simple_string] = ACTIONS(1652),
  },
  [617] = {
    [sym_inline_modifier] = STATE(2191),
    [sym_block] = STATE(8821),
    [sym_expression] = STATE(13222),
    [sym__simple_expression] = STATE(6138),
    [sym_lambda_expression] = STATE(13337),
    [sym_if_expression] = STATE(13337),
    [sym_match_expression] = STATE(13337),
    [sym_try_expression] = STATE(13337),
    [sym_bindings] = STATE(15634),
    [sym_case_block] = STATE(8821),
    [sym_assignment_expression] = STATE(13337),
    [sym_generic_function] = STATE(8821),
    [sym_call_expression] = STATE(8821),
    [sym_field_expression] = STATE(8821),
    [sym_instance_expression] = STATE(8821),
    [sym_ascription_expression] = STATE(13337),
    [sym_infix_expression] = STATE(9659),
    [sym_postfix_expression] = STATE(13173),
    [sym__postfix_expression_choice] = STATE(16170),
    [sym_macro_body] = STATE(13337),
    [sym_prefix_expression] = STATE(9758),
    [sym_tuple_expression] = STATE(8821),
    [sym_parenthesized_expression] = STATE(8821),
    [sym_splice_expression] = STATE(8821),
    [sym_quote_expression] = STATE(8821),
    [sym_identifier] = STATE(5472),
    [sym__soft_identifier] = STATE(6446),
    [sym_wildcard] = STATE(8602),
    [sym__non_null_literal] = STATE(8821),
    [sym_boolean_literal] = STATE(8798),
    [sym_interpolated_string_expression] = STATE(8821),
    [sym_string] = STATE(8798),
    [sym_unit] = STATE(8821),
    [sym_return_expression] = STATE(13337),
    [sym_throw_expression] = STATE(13337),
    [sym_while_expression] = STATE(13337),
    [sym_do_while_expression] = STATE(13337),
    [sym_for_expression] = STATE(13337),
    [sym_comment] = STATE(617),
    [sym_block_comment] = STATE(617),
    [sym__alpha_identifier] = ACTIONS(1674),
    [anon_sym_LBRACE] = ACTIONS(1678),
    [anon_sym__] = ACTIONS(1680),
    [anon_sym_LBRACK] = ACTIONS(1148),
    [anon_sym_PLUS] = ACTIONS(1682),
    [anon_sym_DASH] = ACTIONS(1682),
    [anon_sym_end] = ACTIONS(1684),
    [anon_sym_if] = ACTIONS(1150),
    [anon_sym_while] = ACTIONS(2300),
    [anon_sym_for] = ACTIONS(2302),
    [anon_sym_match] = ACTIONS(1150),
    [anon_sym_try] = ACTIONS(2304),
    [anon_sym_new] = ACTIONS(1686),
    [anon_sym_opaque] = ACTIONS(1684),
    [anon_sym_implicit] = ACTIONS(2306),
    [anon_sym_inline] = ACTIONS(1688),
    [anon_sym_infix] = ACTIONS(1684),
    [anon_sym_open] = ACTIONS(1684),
    [anon_sym_transparent] = ACTIONS(1684),
    [anon_sym_LPAREN] = ACTIONS(1690),
    [anon_sym_SEMI] = ACTIONS(1148),
    [anon_sym_finally] = ACTIONS(1150),
    [anon_sym_macro] = ACTIONS(1914),
    [anon_sym_BANG] = ACTIONS(1682),
    [anon_sym_TILDE] = ACTIONS(1682),
    [anon_sym_DOLLAR] = ACTIONS(1692),
    [anon_sym_SQUOTE] = ACTIONS(1694),
    [sym__backquoted_id] = ACTIONS(1696),
    [sym_operator_identifier] = ACTIONS(2308),
    [sym_integer_literal] = ACTIONS(1700),
    [sym_floating_point_literal] = ACTIONS(1702),
    [anon_sym_true] = ACTIONS(1704),
    [anon_sym_false] = ACTIONS(1704),
    [sym_character_literal] = ACTIONS(1702),
    [sym_null_literal] = ACTIONS(1706),
    [anon_sym_return] = ACTIONS(2310),
    [anon_sym_throw] = ACTIONS(2312),
    [anon_sym_do] = ACTIONS(1922),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1148),
    [sym__outdent] = ACTIONS(1148),
    [sym__simple_multiline_string] = ACTIONS(1708),
    [sym__simple_string] = ACTIONS(1708),
  },
  [618] = {
    [sym_inline_modifier] = STATE(2132),
    [sym_block] = STATE(6738),
    [sym_expression] = STATE(12003),
    [sym__simple_expression] = STATE(6097),
    [sym_lambda_expression] = STATE(12430),
    [sym_if_expression] = STATE(12430),
    [sym_match_expression] = STATE(12430),
    [sym_try_expression] = STATE(12430),
    [sym_bindings] = STATE(15718),
    [sym_case_block] = STATE(6738),
    [sym_assignment_expression] = STATE(12430),
    [sym_generic_function] = STATE(6738),
    [sym_call_expression] = STATE(6738),
    [sym_field_expression] = STATE(6738),
    [sym_instance_expression] = STATE(6738),
    [sym_ascription_expression] = STATE(12430),
    [sym_infix_expression] = STATE(8389),
    [sym_postfix_expression] = STATE(11930),
    [sym__postfix_expression_choice] = STATE(15885),
    [sym_macro_body] = STATE(12430),
    [sym_prefix_expression] = STATE(9761),
    [sym_tuple_expression] = STATE(6738),
    [sym_parenthesized_expression] = STATE(6738),
    [sym_splice_expression] = STATE(6738),
    [sym_quote_expression] = STATE(6738),
    [sym_identifier] = STATE(5458),
    [sym__soft_identifier] = STATE(4943),
    [sym_wildcard] = STATE(8612),
    [sym__non_null_literal] = STATE(6738),
    [sym_boolean_literal] = STATE(7301),
    [sym_interpolated_string_expression] = STATE(6738),
    [sym_string] = STATE(7301),
    [sym_unit] = STATE(6738),
    [sym_return_expression] = STATE(12430),
    [sym_throw_expression] = STATE(12430),
    [sym_while_expression] = STATE(12430),
    [sym_do_while_expression] = STATE(12430),
    [sym_for_expression] = STATE(12430),
    [sym_comment] = STATE(618),
    [sym_block_comment] = STATE(618),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_LBRACK] = ACTIONS(1148),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(2430),
    [anon_sym_while] = ACTIONS(2432),
    [anon_sym_for] = ACTIONS(2434),
    [anon_sym_match] = ACTIONS(1150),
    [anon_sym_try] = ACTIONS(2436),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(2438),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_SEMI] = ACTIONS(1148),
    [anon_sym_else] = ACTIONS(1150),
    [anon_sym_catch] = ACTIONS(1150),
    [anon_sym_finally] = ACTIONS(1150),
    [anon_sym_macro] = ACTIONS(1360),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(2440),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(2442),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(1150),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [619] = {
    [sym_inline_modifier] = STATE(2060),
    [sym__indentable_expression] = STATE(11722),
    [sym_block] = STATE(6450),
    [sym_indented_block] = STATE(11535),
    [sym_indented_cases] = STATE(11535),
    [sym_expression] = STATE(11606),
    [sym__simple_expression] = STATE(5608),
    [sym_lambda_expression] = STATE(11549),
    [sym_if_expression] = STATE(11549),
    [sym_match_expression] = STATE(11549),
    [sym_try_expression] = STATE(11549),
    [sym__expr_case_clause] = STATE(11570),
    [sym_bindings] = STATE(15697),
    [sym_case_block] = STATE(6450),
    [sym_assignment_expression] = STATE(11549),
    [sym_generic_function] = STATE(6450),
    [sym_call_expression] = STATE(6450),
    [sym_field_expression] = STATE(6450),
    [sym_instance_expression] = STATE(6450),
    [sym_ascription_expression] = STATE(11549),
    [sym_infix_expression] = STATE(7641),
    [sym_postfix_expression] = STATE(11204),
    [sym__postfix_expression_choice] = STATE(16480),
    [sym_macro_body] = STATE(11549),
    [sym_prefix_expression] = STATE(9536),
    [sym_tuple_expression] = STATE(6450),
    [sym_parenthesized_expression] = STATE(6450),
    [sym_splice_expression] = STATE(6450),
    [sym_quote_expression] = STATE(6450),
    [sym_identifier] = STATE(5347),
    [sym__soft_identifier] = STATE(4507),
    [sym_wildcard] = STATE(7620),
    [sym__non_null_literal] = STATE(6450),
    [sym_boolean_literal] = STATE(6156),
    [sym_interpolated_string_expression] = STATE(6450),
    [sym_string] = STATE(6156),
    [sym_unit] = STATE(6450),
    [sym_return_expression] = STATE(11549),
    [sym_throw_expression] = STATE(11549),
    [sym_while_expression] = STATE(11549),
    [sym_do_while_expression] = STATE(11549),
    [sym_for_expression] = STATE(11549),
    [sym_comment] = STATE(619),
    [sym_block_comment] = STATE(619),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym_case] = ACTIONS(2446),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(1428),
    [anon_sym_while] = ACTIONS(1430),
    [anon_sym_for] = ACTIONS(1432),
    [anon_sym_try] = ACTIONS(1434),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1436),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1378),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1438),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1440),
    [anon_sym_throw] = ACTIONS(1442),
    [anon_sym_do] = ACTIONS(1386),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2258),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [620] = {
    [sym_inline_modifier] = STATE(2148),
    [sym__indentable_expression] = STATE(13316),
    [sym_block] = STATE(9088),
    [sym_indented_block] = STATE(13438),
    [sym_indented_cases] = STATE(13438),
    [sym_expression] = STATE(12942),
    [sym__simple_expression] = STATE(8626),
    [sym_lambda_expression] = STATE(13338),
    [sym_if_expression] = STATE(13338),
    [sym_match_expression] = STATE(13338),
    [sym_try_expression] = STATE(13338),
    [sym__expr_case_clause] = STATE(13315),
    [sym_bindings] = STATE(15683),
    [sym_case_block] = STATE(9088),
    [sym_assignment_expression] = STATE(13338),
    [sym_generic_function] = STATE(9088),
    [sym_call_expression] = STATE(9088),
    [sym_field_expression] = STATE(9088),
    [sym_instance_expression] = STATE(9088),
    [sym_ascription_expression] = STATE(13338),
    [sym_infix_expression] = STATE(9773),
    [sym_postfix_expression] = STATE(13117),
    [sym__postfix_expression_choice] = STATE(15912),
    [sym_macro_body] = STATE(13338),
    [sym_prefix_expression] = STATE(10372),
    [sym_tuple_expression] = STATE(9088),
    [sym_parenthesized_expression] = STATE(9088),
    [sym_splice_expression] = STATE(9088),
    [sym_quote_expression] = STATE(9088),
    [sym_identifier] = STATE(7467),
    [sym__soft_identifier] = STATE(6581),
    [sym_wildcard] = STATE(9755),
    [sym__non_null_literal] = STATE(9088),
    [sym_boolean_literal] = STATE(8905),
    [sym_interpolated_string_expression] = STATE(9088),
    [sym_string] = STATE(8905),
    [sym_unit] = STATE(9088),
    [sym_return_expression] = STATE(13338),
    [sym_throw_expression] = STATE(13338),
    [sym_while_expression] = STATE(13338),
    [sym_do_while_expression] = STATE(13338),
    [sym_for_expression] = STATE(13338),
    [sym_comment] = STATE(620),
    [sym_block_comment] = STATE(620),
    [sym__alpha_identifier] = ACTIONS(1938),
    [anon_sym_LBRACE] = ACTIONS(1942),
    [anon_sym_case] = ACTIONS(2448),
    [anon_sym__] = ACTIONS(1944),
    [anon_sym_PLUS] = ACTIONS(1946),
    [anon_sym_DASH] = ACTIONS(1946),
    [anon_sym_end] = ACTIONS(1948),
    [anon_sym_if] = ACTIONS(2450),
    [anon_sym_while] = ACTIONS(2452),
    [anon_sym_for] = ACTIONS(2454),
    [anon_sym_try] = ACTIONS(2456),
    [anon_sym_new] = ACTIONS(1950),
    [anon_sym_opaque] = ACTIONS(1948),
    [anon_sym_implicit] = ACTIONS(2458),
    [anon_sym_inline] = ACTIONS(1952),
    [anon_sym_infix] = ACTIONS(1948),
    [anon_sym_open] = ACTIONS(1948),
    [anon_sym_transparent] = ACTIONS(1948),
    [anon_sym_LPAREN] = ACTIONS(1954),
    [anon_sym_macro] = ACTIONS(2270),
    [anon_sym_BANG] = ACTIONS(1946),
    [anon_sym_TILDE] = ACTIONS(1946),
    [anon_sym_DOLLAR] = ACTIONS(1956),
    [anon_sym_SQUOTE] = ACTIONS(1958),
    [sym__backquoted_id] = ACTIONS(1960),
    [sym_operator_identifier] = ACTIONS(2460),
    [sym_integer_literal] = ACTIONS(1964),
    [sym_floating_point_literal] = ACTIONS(1966),
    [anon_sym_true] = ACTIONS(1968),
    [anon_sym_false] = ACTIONS(1968),
    [sym_character_literal] = ACTIONS(1966),
    [sym_null_literal] = ACTIONS(1970),
    [anon_sym_return] = ACTIONS(2462),
    [anon_sym_throw] = ACTIONS(2464),
    [anon_sym_do] = ACTIONS(2278),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2346),
    [sym__simple_multiline_string] = ACTIONS(1972),
    [sym__simple_string] = ACTIONS(1972),
  },
  [621] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(14594),
    [sym__simple_expression] = STATE(6235),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(9730),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(621),
    [sym_block_comment] = STATE(621),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_COLON] = ACTIONS(2466),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym_COMMA] = ACTIONS(894),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(894),
    [anon_sym_then] = ACTIONS(896),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [622] = {
    [sym_inline_modifier] = STATE(2159),
    [sym__indentable_expression] = STATE(11722),
    [sym_block] = STATE(6450),
    [sym_indented_block] = STATE(11535),
    [sym_indented_cases] = STATE(11535),
    [sym_expression] = STATE(11606),
    [sym__simple_expression] = STATE(5274),
    [sym_lambda_expression] = STATE(11549),
    [sym_if_expression] = STATE(11549),
    [sym_match_expression] = STATE(11549),
    [sym_try_expression] = STATE(11549),
    [sym__expr_case_clause] = STATE(11570),
    [sym_bindings] = STATE(15607),
    [sym_case_block] = STATE(6450),
    [sym_assignment_expression] = STATE(11549),
    [sym_generic_function] = STATE(6450),
    [sym_call_expression] = STATE(6450),
    [sym_field_expression] = STATE(6450),
    [sym_instance_expression] = STATE(6450),
    [sym_ascription_expression] = STATE(11549),
    [sym_infix_expression] = STATE(7641),
    [sym_postfix_expression] = STATE(11204),
    [sym__postfix_expression_choice] = STATE(16480),
    [sym_macro_body] = STATE(11549),
    [sym_prefix_expression] = STATE(8822),
    [sym_tuple_expression] = STATE(6450),
    [sym_parenthesized_expression] = STATE(6450),
    [sym_splice_expression] = STATE(6450),
    [sym_quote_expression] = STATE(6450),
    [sym_identifier] = STATE(4738),
    [sym__soft_identifier] = STATE(4507),
    [sym_wildcard] = STATE(7298),
    [sym__non_null_literal] = STATE(6450),
    [sym_boolean_literal] = STATE(6156),
    [sym_interpolated_string_expression] = STATE(6450),
    [sym_string] = STATE(6156),
    [sym_unit] = STATE(6450),
    [sym_return_expression] = STATE(11549),
    [sym_throw_expression] = STATE(11549),
    [sym_while_expression] = STATE(11549),
    [sym_do_while_expression] = STATE(11549),
    [sym_for_expression] = STATE(11549),
    [sym_comment] = STATE(622),
    [sym_block_comment] = STATE(622),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym_case] = ACTIONS(2470),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(2472),
    [anon_sym_while] = ACTIONS(1974),
    [anon_sym_for] = ACTIONS(1976),
    [anon_sym_try] = ACTIONS(1978),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1980),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1378),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1982),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1984),
    [anon_sym_throw] = ACTIONS(1986),
    [anon_sym_do] = ACTIONS(1386),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2258),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [623] = {
    [sym_inline_modifier] = STATE(2212),
    [sym__indentable_expression] = STATE(11723),
    [sym_block] = STATE(9539),
    [sym_indented_block] = STATE(11390),
    [sym_indented_cases] = STATE(11390),
    [sym_expression] = STATE(13433),
    [sym__simple_expression] = STATE(6249),
    [sym_lambda_expression] = STATE(11374),
    [sym_if_expression] = STATE(11374),
    [sym_match_expression] = STATE(11374),
    [sym_try_expression] = STATE(11374),
    [sym__expr_case_clause] = STATE(11718),
    [sym_bindings] = STATE(15480),
    [sym_case_block] = STATE(9539),
    [sym_assignment_expression] = STATE(11374),
    [sym_generic_function] = STATE(9539),
    [sym_call_expression] = STATE(9539),
    [sym_field_expression] = STATE(9539),
    [sym_instance_expression] = STATE(9539),
    [sym_ascription_expression] = STATE(11374),
    [sym_infix_expression] = STATE(10179),
    [sym_postfix_expression] = STATE(11215),
    [sym__postfix_expression_choice] = STATE(16190),
    [sym_macro_body] = STATE(11374),
    [sym_prefix_expression] = STATE(9816),
    [sym_tuple_expression] = STATE(9539),
    [sym_parenthesized_expression] = STATE(9539),
    [sym_splice_expression] = STATE(9539),
    [sym_quote_expression] = STATE(9539),
    [sym_identifier] = STATE(5934),
    [sym__soft_identifier] = STATE(4462),
    [sym_wildcard] = STATE(8175),
    [sym__non_null_literal] = STATE(9539),
    [sym_boolean_literal] = STATE(5971),
    [sym_interpolated_string_expression] = STATE(9539),
    [sym_string] = STATE(5971),
    [sym_unit] = STATE(9539),
    [sym_return_expression] = STATE(11374),
    [sym_throw_expression] = STATE(11374),
    [sym_while_expression] = STATE(11374),
    [sym_do_while_expression] = STATE(11374),
    [sym_for_expression] = STATE(11374),
    [sym_comment] = STATE(623),
    [sym_block_comment] = STATE(623),
    [sym__alpha_identifier] = ACTIONS(1444),
    [anon_sym_LBRACE] = ACTIONS(1448),
    [anon_sym_case] = ACTIONS(2474),
    [anon_sym__] = ACTIONS(1450),
    [anon_sym_PLUS] = ACTIONS(1452),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_end] = ACTIONS(1454),
    [anon_sym_if] = ACTIONS(1802),
    [anon_sym_while] = ACTIONS(1804),
    [anon_sym_for] = ACTIONS(1806),
    [anon_sym_try] = ACTIONS(1808),
    [anon_sym_new] = ACTIONS(1456),
    [anon_sym_opaque] = ACTIONS(1454),
    [anon_sym_implicit] = ACTIONS(1810),
    [anon_sym_inline] = ACTIONS(1458),
    [anon_sym_infix] = ACTIONS(1454),
    [anon_sym_open] = ACTIONS(1454),
    [anon_sym_transparent] = ACTIONS(1454),
    [anon_sym_LPAREN] = ACTIONS(1460),
    [anon_sym_macro] = ACTIONS(1812),
    [anon_sym_BANG] = ACTIONS(1452),
    [anon_sym_TILDE] = ACTIONS(1452),
    [anon_sym_DOLLAR] = ACTIONS(1462),
    [anon_sym_SQUOTE] = ACTIONS(1464),
    [sym__backquoted_id] = ACTIONS(1466),
    [sym_operator_identifier] = ACTIONS(1814),
    [sym_integer_literal] = ACTIONS(1470),
    [sym_floating_point_literal] = ACTIONS(1472),
    [anon_sym_true] = ACTIONS(1474),
    [anon_sym_false] = ACTIONS(1474),
    [sym_character_literal] = ACTIONS(1472),
    [sym_null_literal] = ACTIONS(1476),
    [anon_sym_return] = ACTIONS(1816),
    [anon_sym_throw] = ACTIONS(1818),
    [anon_sym_do] = ACTIONS(1548),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2240),
    [sym__simple_multiline_string] = ACTIONS(1478),
    [sym__simple_string] = ACTIONS(1478),
  },
  [624] = {
    [sym_inline_modifier] = STATE(2113),
    [sym__indentable_expression] = STATE(11863),
    [sym_block] = STATE(6703),
    [sym_indented_block] = STATE(12004),
    [sym_indented_cases] = STATE(12004),
    [sym_expression] = STATE(12171),
    [sym__simple_expression] = STATE(5524),
    [sym_lambda_expression] = STATE(12046),
    [sym_if_expression] = STATE(12046),
    [sym_match_expression] = STATE(12046),
    [sym_try_expression] = STATE(12046),
    [sym__expr_case_clause] = STATE(11861),
    [sym_bindings] = STATE(15660),
    [sym_case_block] = STATE(6703),
    [sym_assignment_expression] = STATE(12046),
    [sym_generic_function] = STATE(6703),
    [sym_call_expression] = STATE(6703),
    [sym_field_expression] = STATE(6703),
    [sym_instance_expression] = STATE(6703),
    [sym_ascription_expression] = STATE(12046),
    [sym_infix_expression] = STATE(8166),
    [sym_postfix_expression] = STATE(11496),
    [sym__postfix_expression_choice] = STATE(15827),
    [sym_macro_body] = STATE(12046),
    [sym_prefix_expression] = STATE(9264),
    [sym_tuple_expression] = STATE(6703),
    [sym_parenthesized_expression] = STATE(6703),
    [sym_splice_expression] = STATE(6703),
    [sym_quote_expression] = STATE(6703),
    [sym_identifier] = STATE(5303),
    [sym__soft_identifier] = STATE(4884),
    [sym_wildcard] = STATE(7550),
    [sym__non_null_literal] = STATE(6703),
    [sym_boolean_literal] = STATE(6780),
    [sym_interpolated_string_expression] = STATE(6703),
    [sym_string] = STATE(6780),
    [sym_unit] = STATE(6703),
    [sym_return_expression] = STATE(12046),
    [sym_throw_expression] = STATE(12046),
    [sym_while_expression] = STATE(12046),
    [sym_do_while_expression] = STATE(12046),
    [sym_for_expression] = STATE(12046),
    [sym_comment] = STATE(624),
    [sym_block_comment] = STATE(624),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym_case] = ACTIONS(2476),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(2478),
    [anon_sym_while] = ACTIONS(2002),
    [anon_sym_for] = ACTIONS(2004),
    [anon_sym_try] = ACTIONS(2006),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(2008),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1848),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(2010),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(2012),
    [anon_sym_throw] = ACTIONS(2014),
    [anon_sym_do] = ACTIONS(1856),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2234),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [625] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(14967),
    [sym__simple_expression] = STATE(6084),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16017),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(9845),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(5490),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(8581),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(625),
    [sym_block_comment] = STATE(625),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_COLON] = ACTIONS(1858),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(894),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(1862),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(894),
    [sym__outdent] = ACTIONS(894),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [626] = {
    [sym_inline_modifier] = STATE(2132),
    [sym__indentable_expression] = STATE(12570),
    [sym_block] = STATE(6738),
    [sym_indented_block] = STATE(12372),
    [sym_indented_cases] = STATE(12372),
    [sym_expression] = STATE(12028),
    [sym__simple_expression] = STATE(6097),
    [sym_lambda_expression] = STATE(12430),
    [sym_if_expression] = STATE(12430),
    [sym_match_expression] = STATE(12430),
    [sym_try_expression] = STATE(12430),
    [sym__expr_case_clause] = STATE(12577),
    [sym_bindings] = STATE(15718),
    [sym_case_block] = STATE(6738),
    [sym_assignment_expression] = STATE(12430),
    [sym_generic_function] = STATE(6738),
    [sym_call_expression] = STATE(6738),
    [sym_field_expression] = STATE(6738),
    [sym_instance_expression] = STATE(6738),
    [sym_ascription_expression] = STATE(12430),
    [sym_infix_expression] = STATE(8389),
    [sym_postfix_expression] = STATE(11930),
    [sym__postfix_expression_choice] = STATE(15885),
    [sym_macro_body] = STATE(12430),
    [sym_prefix_expression] = STATE(9761),
    [sym_tuple_expression] = STATE(6738),
    [sym_parenthesized_expression] = STATE(6738),
    [sym_splice_expression] = STATE(6738),
    [sym_quote_expression] = STATE(6738),
    [sym_identifier] = STATE(5458),
    [sym__soft_identifier] = STATE(4943),
    [sym_wildcard] = STATE(8612),
    [sym__non_null_literal] = STATE(6738),
    [sym_boolean_literal] = STATE(7301),
    [sym_interpolated_string_expression] = STATE(6738),
    [sym_string] = STATE(7301),
    [sym_unit] = STATE(6738),
    [sym_return_expression] = STATE(12430),
    [sym_throw_expression] = STATE(12430),
    [sym_while_expression] = STATE(12430),
    [sym_do_while_expression] = STATE(12430),
    [sym_for_expression] = STATE(12430),
    [sym_comment] = STATE(626),
    [sym_block_comment] = STATE(626),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym_case] = ACTIONS(2480),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(2430),
    [anon_sym_while] = ACTIONS(2432),
    [anon_sym_for] = ACTIONS(2434),
    [anon_sym_try] = ACTIONS(2436),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(2438),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1360),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(2440),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(2442),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(1368),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2202),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [627] = {
    [sym_inline_modifier] = STATE(2050),
    [sym__indentable_expression] = STATE(13077),
    [sym_block] = STATE(8375),
    [sym_indented_block] = STATE(13183),
    [sym_indented_cases] = STATE(13183),
    [sym_expression] = STATE(12800),
    [sym__simple_expression] = STATE(6499),
    [sym_lambda_expression] = STATE(13185),
    [sym_if_expression] = STATE(13185),
    [sym_match_expression] = STATE(13185),
    [sym_try_expression] = STATE(13185),
    [sym__expr_case_clause] = STATE(13078),
    [sym_bindings] = STATE(15649),
    [sym_case_block] = STATE(8375),
    [sym_assignment_expression] = STATE(13185),
    [sym_generic_function] = STATE(8375),
    [sym_call_expression] = STATE(8375),
    [sym_field_expression] = STATE(8375),
    [sym_instance_expression] = STATE(8375),
    [sym_ascription_expression] = STATE(13185),
    [sym_infix_expression] = STATE(9364),
    [sym_postfix_expression] = STATE(12809),
    [sym__postfix_expression_choice] = STATE(16440),
    [sym_macro_body] = STATE(13185),
    [sym_prefix_expression] = STATE(9765),
    [sym_tuple_expression] = STATE(8375),
    [sym_parenthesized_expression] = STATE(8375),
    [sym_splice_expression] = STATE(8375),
    [sym_quote_expression] = STATE(8375),
    [sym_identifier] = STATE(5812),
    [sym__soft_identifier] = STATE(5430),
    [sym_wildcard] = STATE(8380),
    [sym__non_null_literal] = STATE(8375),
    [sym_boolean_literal] = STATE(8117),
    [sym_interpolated_string_expression] = STATE(8375),
    [sym_string] = STATE(8117),
    [sym_unit] = STATE(8375),
    [sym_return_expression] = STATE(13185),
    [sym_throw_expression] = STATE(13185),
    [sym_while_expression] = STATE(13185),
    [sym_do_while_expression] = STATE(13185),
    [sym_for_expression] = STATE(13185),
    [sym_comment] = STATE(627),
    [sym_block_comment] = STATE(627),
    [sym__alpha_identifier] = ACTIONS(1618),
    [anon_sym_LBRACE] = ACTIONS(1622),
    [anon_sym_case] = ACTIONS(2482),
    [anon_sym__] = ACTIONS(1624),
    [anon_sym_PLUS] = ACTIONS(1626),
    [anon_sym_DASH] = ACTIONS(1626),
    [anon_sym_end] = ACTIONS(1628),
    [anon_sym_if] = ACTIONS(2064),
    [anon_sym_while] = ACTIONS(2066),
    [anon_sym_for] = ACTIONS(2068),
    [anon_sym_try] = ACTIONS(2070),
    [anon_sym_new] = ACTIONS(1630),
    [anon_sym_opaque] = ACTIONS(1628),
    [anon_sym_implicit] = ACTIONS(2072),
    [anon_sym_inline] = ACTIONS(1632),
    [anon_sym_infix] = ACTIONS(1628),
    [anon_sym_open] = ACTIONS(1628),
    [anon_sym_transparent] = ACTIONS(1628),
    [anon_sym_LPAREN] = ACTIONS(1634),
    [anon_sym_macro] = ACTIONS(2074),
    [anon_sym_BANG] = ACTIONS(1626),
    [anon_sym_TILDE] = ACTIONS(1626),
    [anon_sym_DOLLAR] = ACTIONS(1636),
    [anon_sym_SQUOTE] = ACTIONS(1638),
    [sym__backquoted_id] = ACTIONS(1640),
    [sym_operator_identifier] = ACTIONS(2076),
    [sym_integer_literal] = ACTIONS(1644),
    [sym_floating_point_literal] = ACTIONS(1646),
    [anon_sym_true] = ACTIONS(1648),
    [anon_sym_false] = ACTIONS(1648),
    [sym_character_literal] = ACTIONS(1646),
    [sym_null_literal] = ACTIONS(1650),
    [anon_sym_return] = ACTIONS(2078),
    [anon_sym_throw] = ACTIONS(2080),
    [anon_sym_do] = ACTIONS(2082),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1652),
    [sym__simple_string] = ACTIONS(1652),
  },
  [628] = {
    [sym_inline_modifier] = STATE(2259),
    [sym__indentable_expression] = STATE(12892),
    [sym_block] = STATE(8070),
    [sym_indented_block] = STATE(12700),
    [sym_indented_cases] = STATE(12700),
    [sym_expression] = STATE(12581),
    [sym__simple_expression] = STATE(7077),
    [sym_lambda_expression] = STATE(12742),
    [sym_if_expression] = STATE(12742),
    [sym_match_expression] = STATE(12742),
    [sym_try_expression] = STATE(12742),
    [sym__expr_case_clause] = STATE(12891),
    [sym_bindings] = STATE(15598),
    [sym_case_block] = STATE(8070),
    [sym_assignment_expression] = STATE(12742),
    [sym_generic_function] = STATE(8070),
    [sym_call_expression] = STATE(8070),
    [sym_field_expression] = STATE(8070),
    [sym_instance_expression] = STATE(8070),
    [sym_ascription_expression] = STATE(12742),
    [sym_infix_expression] = STATE(8913),
    [sym_postfix_expression] = STATE(12343),
    [sym__postfix_expression_choice] = STATE(16230),
    [sym_macro_body] = STATE(12742),
    [sym_prefix_expression] = STATE(10037),
    [sym_tuple_expression] = STATE(8070),
    [sym_parenthesized_expression] = STATE(8070),
    [sym_splice_expression] = STATE(8070),
    [sym_quote_expression] = STATE(8070),
    [sym_identifier] = STATE(6308),
    [sym__soft_identifier] = STATE(5234),
    [sym_wildcard] = STATE(8710),
    [sym__non_null_literal] = STATE(8070),
    [sym_boolean_literal] = STATE(8055),
    [sym_interpolated_string_expression] = STATE(8070),
    [sym_string] = STATE(8055),
    [sym_unit] = STATE(8070),
    [sym_return_expression] = STATE(12742),
    [sym_throw_expression] = STATE(12742),
    [sym_while_expression] = STATE(12742),
    [sym_do_while_expression] = STATE(12742),
    [sym_for_expression] = STATE(12742),
    [sym_comment] = STATE(628),
    [sym_block_comment] = STATE(628),
    [sym__alpha_identifier] = ACTIONS(1314),
    [anon_sym_LBRACE] = ACTIONS(1318),
    [anon_sym_case] = ACTIONS(2484),
    [anon_sym__] = ACTIONS(1320),
    [anon_sym_PLUS] = ACTIONS(1322),
    [anon_sym_DASH] = ACTIONS(1322),
    [anon_sym_end] = ACTIONS(1324),
    [anon_sym_if] = ACTIONS(2486),
    [anon_sym_while] = ACTIONS(2488),
    [anon_sym_for] = ACTIONS(2490),
    [anon_sym_try] = ACTIONS(2492),
    [anon_sym_new] = ACTIONS(1326),
    [anon_sym_opaque] = ACTIONS(1324),
    [anon_sym_implicit] = ACTIONS(2494),
    [anon_sym_inline] = ACTIONS(1328),
    [anon_sym_infix] = ACTIONS(1324),
    [anon_sym_open] = ACTIONS(1324),
    [anon_sym_transparent] = ACTIONS(1324),
    [anon_sym_LPAREN] = ACTIONS(1330),
    [anon_sym_macro] = ACTIONS(1740),
    [anon_sym_BANG] = ACTIONS(1322),
    [anon_sym_TILDE] = ACTIONS(1322),
    [anon_sym_DOLLAR] = ACTIONS(1332),
    [anon_sym_SQUOTE] = ACTIONS(1334),
    [sym__backquoted_id] = ACTIONS(1336),
    [sym_operator_identifier] = ACTIONS(2496),
    [sym_integer_literal] = ACTIONS(1340),
    [sym_floating_point_literal] = ACTIONS(1342),
    [anon_sym_true] = ACTIONS(1344),
    [anon_sym_false] = ACTIONS(1344),
    [sym_character_literal] = ACTIONS(1342),
    [sym_null_literal] = ACTIONS(1346),
    [anon_sym_return] = ACTIONS(2498),
    [anon_sym_throw] = ACTIONS(2500),
    [anon_sym_do] = ACTIONS(1748),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2158),
    [sym__simple_multiline_string] = ACTIONS(1348),
    [sym__simple_string] = ACTIONS(1348),
  },
  [629] = {
    [sym_inline_modifier] = STATE(2074),
    [sym__indentable_expression] = STATE(11722),
    [sym_block] = STATE(9523),
    [sym_indented_block] = STATE(11535),
    [sym_indented_cases] = STATE(11535),
    [sym_expression] = STATE(13312),
    [sym__simple_expression] = STATE(6085),
    [sym_lambda_expression] = STATE(11549),
    [sym_if_expression] = STATE(11549),
    [sym_match_expression] = STATE(11549),
    [sym_try_expression] = STATE(11549),
    [sym__expr_case_clause] = STATE(11570),
    [sym_bindings] = STATE(15713),
    [sym_case_block] = STATE(9523),
    [sym_assignment_expression] = STATE(11549),
    [sym_generic_function] = STATE(9523),
    [sym_call_expression] = STATE(9523),
    [sym_field_expression] = STATE(9523),
    [sym_instance_expression] = STATE(9523),
    [sym_ascription_expression] = STATE(11549),
    [sym_infix_expression] = STATE(10056),
    [sym_postfix_expression] = STATE(11204),
    [sym__postfix_expression_choice] = STATE(16623),
    [sym_macro_body] = STATE(11549),
    [sym_prefix_expression] = STATE(9754),
    [sym_tuple_expression] = STATE(9523),
    [sym_parenthesized_expression] = STATE(9523),
    [sym_splice_expression] = STATE(9523),
    [sym_quote_expression] = STATE(9523),
    [sym_identifier] = STATE(5442),
    [sym__soft_identifier] = STATE(4485),
    [sym_wildcard] = STATE(8639),
    [sym__non_null_literal] = STATE(9523),
    [sym_boolean_literal] = STATE(5592),
    [sym_interpolated_string_expression] = STATE(9523),
    [sym_string] = STATE(5592),
    [sym_unit] = STATE(9523),
    [sym_return_expression] = STATE(11549),
    [sym_throw_expression] = STATE(11549),
    [sym_while_expression] = STATE(11549),
    [sym_do_while_expression] = STATE(11549),
    [sym_for_expression] = STATE(11549),
    [sym_comment] = STATE(629),
    [sym_block_comment] = STATE(629),
    [sym__alpha_identifier] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(1392),
    [anon_sym_case] = ACTIONS(2502),
    [anon_sym__] = ACTIONS(1394),
    [anon_sym_PLUS] = ACTIONS(1396),
    [anon_sym_DASH] = ACTIONS(1396),
    [anon_sym_end] = ACTIONS(1398),
    [anon_sym_if] = ACTIONS(1820),
    [anon_sym_while] = ACTIONS(1822),
    [anon_sym_for] = ACTIONS(1824),
    [anon_sym_try] = ACTIONS(1826),
    [anon_sym_new] = ACTIONS(1400),
    [anon_sym_opaque] = ACTIONS(1398),
    [anon_sym_implicit] = ACTIONS(1828),
    [anon_sym_inline] = ACTIONS(1402),
    [anon_sym_infix] = ACTIONS(1398),
    [anon_sym_open] = ACTIONS(1398),
    [anon_sym_transparent] = ACTIONS(1398),
    [anon_sym_LPAREN] = ACTIONS(1404),
    [anon_sym_macro] = ACTIONS(1830),
    [anon_sym_BANG] = ACTIONS(1396),
    [anon_sym_TILDE] = ACTIONS(1396),
    [anon_sym_DOLLAR] = ACTIONS(1406),
    [anon_sym_SQUOTE] = ACTIONS(1408),
    [sym__backquoted_id] = ACTIONS(1410),
    [sym_operator_identifier] = ACTIONS(1832),
    [sym_integer_literal] = ACTIONS(1414),
    [sym_floating_point_literal] = ACTIONS(1416),
    [anon_sym_true] = ACTIONS(1418),
    [anon_sym_false] = ACTIONS(1418),
    [sym_character_literal] = ACTIONS(1416),
    [sym_null_literal] = ACTIONS(1420),
    [anon_sym_return] = ACTIONS(1834),
    [anon_sym_throw] = ACTIONS(1836),
    [anon_sym_do] = ACTIONS(1386),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2258),
    [sym__simple_multiline_string] = ACTIONS(1422),
    [sym__simple_string] = ACTIONS(1422),
  },
  [630] = {
    [sym_inline_modifier] = STATE(2081),
    [sym__indentable_expression] = STATE(11723),
    [sym_block] = STATE(6540),
    [sym_indented_block] = STATE(11390),
    [sym_indented_cases] = STATE(11390),
    [sym_expression] = STATE(11385),
    [sym__simple_expression] = STATE(5282),
    [sym_lambda_expression] = STATE(11374),
    [sym_if_expression] = STATE(11374),
    [sym_match_expression] = STATE(11374),
    [sym_try_expression] = STATE(11374),
    [sym__expr_case_clause] = STATE(11718),
    [sym_bindings] = STATE(15666),
    [sym_case_block] = STATE(6540),
    [sym_assignment_expression] = STATE(11374),
    [sym_generic_function] = STATE(6540),
    [sym_call_expression] = STATE(6540),
    [sym_field_expression] = STATE(6540),
    [sym_instance_expression] = STATE(6540),
    [sym_ascription_expression] = STATE(11374),
    [sym_infix_expression] = STATE(7834),
    [sym_postfix_expression] = STATE(11215),
    [sym__postfix_expression_choice] = STATE(16210),
    [sym_macro_body] = STATE(11374),
    [sym_prefix_expression] = STATE(8793),
    [sym_tuple_expression] = STATE(6540),
    [sym_parenthesized_expression] = STATE(6540),
    [sym_splice_expression] = STATE(6540),
    [sym_quote_expression] = STATE(6540),
    [sym_identifier] = STATE(4731),
    [sym__soft_identifier] = STATE(4667),
    [sym_wildcard] = STATE(7219),
    [sym__non_null_literal] = STATE(6540),
    [sym_boolean_literal] = STATE(6246),
    [sym_interpolated_string_expression] = STATE(6540),
    [sym_string] = STATE(6246),
    [sym_unit] = STATE(6540),
    [sym_return_expression] = STATE(11374),
    [sym_throw_expression] = STATE(11374),
    [sym_while_expression] = STATE(11374),
    [sym_do_while_expression] = STATE(11374),
    [sym_for_expression] = STATE(11374),
    [sym_comment] = STATE(630),
    [sym_block_comment] = STATE(630),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym_case] = ACTIONS(2504),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(2506),
    [anon_sym_while] = ACTIONS(1988),
    [anon_sym_for] = ACTIONS(1990),
    [anon_sym_try] = ACTIONS(1992),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1994),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1540),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1996),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1998),
    [anon_sym_throw] = ACTIONS(2000),
    [anon_sym_do] = ACTIONS(1548),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2240),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [631] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(16957),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym__if_condition] = STATE(1100),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(4065),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(631),
    [sym_block_comment] = STATE(631),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2508),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [632] = {
    [sym_inline_modifier] = STATE(2113),
    [sym_block] = STATE(6703),
    [sym_expression] = STATE(12167),
    [sym__simple_expression] = STATE(5524),
    [sym_lambda_expression] = STATE(12046),
    [sym_if_expression] = STATE(12046),
    [sym_match_expression] = STATE(12046),
    [sym_try_expression] = STATE(12046),
    [sym_bindings] = STATE(15660),
    [sym_case_block] = STATE(6703),
    [sym_assignment_expression] = STATE(12046),
    [sym_generic_function] = STATE(6703),
    [sym_call_expression] = STATE(6703),
    [sym_field_expression] = STATE(6703),
    [sym_instance_expression] = STATE(6703),
    [sym_ascription_expression] = STATE(12046),
    [sym_infix_expression] = STATE(8166),
    [sym_postfix_expression] = STATE(11496),
    [sym__postfix_expression_choice] = STATE(15827),
    [sym_macro_body] = STATE(12046),
    [sym_prefix_expression] = STATE(9264),
    [sym_tuple_expression] = STATE(6703),
    [sym_parenthesized_expression] = STATE(6703),
    [sym_splice_expression] = STATE(6703),
    [sym_quote_expression] = STATE(6703),
    [sym_identifier] = STATE(5303),
    [sym__soft_identifier] = STATE(4884),
    [sym_wildcard] = STATE(7550),
    [sym__non_null_literal] = STATE(6703),
    [sym_boolean_literal] = STATE(6780),
    [sym_interpolated_string_expression] = STATE(6703),
    [sym_string] = STATE(6780),
    [sym_unit] = STATE(6703),
    [sym_return_expression] = STATE(12046),
    [sym_throw_expression] = STATE(12046),
    [sym_while_expression] = STATE(12046),
    [sym_do_while_expression] = STATE(12046),
    [sym_for_expression] = STATE(12046),
    [sym_comment] = STATE(632),
    [sym_block_comment] = STATE(632),
    [sym__alpha_identifier] = ACTIONS(2512),
    [anon_sym_COLON] = ACTIONS(2515),
    [anon_sym_LBRACE] = ACTIONS(2517),
    [anon_sym_DOT] = ACTIONS(2515),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_LBRACK] = ACTIONS(2520),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(2522),
    [anon_sym_if] = ACTIONS(2478),
    [anon_sym_while] = ACTIONS(2002),
    [anon_sym_for] = ACTIONS(2004),
    [anon_sym_match] = ACTIONS(2515),
    [anon_sym_try] = ACTIONS(2006),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_EQ] = ACTIONS(2515),
    [anon_sym_opaque] = ACTIONS(2522),
    [anon_sym_implicit] = ACTIONS(2008),
    [anon_sym_inline] = ACTIONS(2525),
    [anon_sym_infix] = ACTIONS(2522),
    [anon_sym_open] = ACTIONS(2522),
    [anon_sym_transparent] = ACTIONS(2522),
    [anon_sym_LPAREN] = ACTIONS(2528),
    [anon_sym_macro] = ACTIONS(1848),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(2531),
    [sym_operator_identifier] = ACTIONS(2534),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(2012),
    [anon_sym_throw] = ACTIONS(2014),
    [anon_sym_do] = ACTIONS(2537),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [633] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(16957),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym__if_condition] = STATE(1017),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(4065),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(633),
    [sym_block_comment] = STATE(633),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2508),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [634] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(16957),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym__if_condition] = STATE(864),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(4065),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(634),
    [sym_block_comment] = STATE(634),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2508),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [635] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(16957),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym__if_condition] = STATE(928),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(4065),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(635),
    [sym_block_comment] = STATE(635),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2508),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [636] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(16957),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym__if_condition] = STATE(847),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(4065),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(636),
    [sym_block_comment] = STATE(636),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2508),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [637] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(16957),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym__if_condition] = STATE(1450),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(4065),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(637),
    [sym_block_comment] = STATE(637),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2508),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [638] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(16957),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym__if_condition] = STATE(1496),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(4065),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(638),
    [sym_block_comment] = STATE(638),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2508),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [639] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(16957),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym__if_condition] = STATE(979),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(4065),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(639),
    [sym_block_comment] = STATE(639),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2508),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [640] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(16957),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym__if_condition] = STATE(1216),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(4065),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(640),
    [sym_block_comment] = STATE(640),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2508),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [641] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(16957),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym__if_condition] = STATE(1544),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(4065),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(641),
    [sym_block_comment] = STATE(641),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2508),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [642] = {
    [sym_inline_modifier] = STATE(2191),
    [sym_block] = STATE(8821),
    [sym_expression] = STATE(13192),
    [sym__simple_expression] = STATE(6138),
    [sym_lambda_expression] = STATE(13337),
    [sym_if_expression] = STATE(13337),
    [sym_match_expression] = STATE(13337),
    [sym_try_expression] = STATE(13337),
    [sym_bindings] = STATE(15634),
    [sym_case_block] = STATE(8821),
    [sym_assignment_expression] = STATE(13337),
    [sym_generic_function] = STATE(8821),
    [sym_call_expression] = STATE(8821),
    [sym_field_expression] = STATE(8821),
    [sym_instance_expression] = STATE(8821),
    [sym_ascription_expression] = STATE(13337),
    [sym_infix_expression] = STATE(9659),
    [sym_postfix_expression] = STATE(13173),
    [sym__postfix_expression_choice] = STATE(16170),
    [sym_macro_body] = STATE(13337),
    [sym_prefix_expression] = STATE(9758),
    [sym_tuple_expression] = STATE(8821),
    [sym_parenthesized_expression] = STATE(8821),
    [sym_splice_expression] = STATE(8821),
    [sym_quote_expression] = STATE(8821),
    [sym_identifier] = STATE(5472),
    [sym__soft_identifier] = STATE(6446),
    [sym_wildcard] = STATE(8602),
    [sym__non_null_literal] = STATE(8821),
    [sym_boolean_literal] = STATE(8798),
    [sym_interpolated_string_expression] = STATE(8821),
    [sym_string] = STATE(8798),
    [sym_unit] = STATE(8821),
    [sym_return_expression] = STATE(13337),
    [sym_throw_expression] = STATE(13337),
    [sym_while_expression] = STATE(13337),
    [sym_do_while_expression] = STATE(13337),
    [sym_for_expression] = STATE(13337),
    [sym_comment] = STATE(642),
    [sym_block_comment] = STATE(642),
    [sym__alpha_identifier] = ACTIONS(2540),
    [anon_sym_COLON] = ACTIONS(2515),
    [anon_sym_LBRACE] = ACTIONS(2543),
    [anon_sym_DOT] = ACTIONS(2515),
    [anon_sym__] = ACTIONS(1680),
    [anon_sym_LBRACK] = ACTIONS(2520),
    [anon_sym_PLUS] = ACTIONS(1682),
    [anon_sym_DASH] = ACTIONS(1682),
    [anon_sym_end] = ACTIONS(2546),
    [anon_sym_if] = ACTIONS(2298),
    [anon_sym_while] = ACTIONS(2300),
    [anon_sym_for] = ACTIONS(2302),
    [anon_sym_match] = ACTIONS(2515),
    [anon_sym_try] = ACTIONS(2304),
    [anon_sym_new] = ACTIONS(1686),
    [anon_sym_EQ] = ACTIONS(2515),
    [anon_sym_opaque] = ACTIONS(2546),
    [anon_sym_implicit] = ACTIONS(2306),
    [anon_sym_inline] = ACTIONS(2549),
    [anon_sym_infix] = ACTIONS(2546),
    [anon_sym_open] = ACTIONS(2546),
    [anon_sym_transparent] = ACTIONS(2546),
    [anon_sym_LPAREN] = ACTIONS(2552),
    [anon_sym_macro] = ACTIONS(1914),
    [anon_sym_BANG] = ACTIONS(1682),
    [anon_sym_TILDE] = ACTIONS(1682),
    [anon_sym_DOLLAR] = ACTIONS(1692),
    [anon_sym_SQUOTE] = ACTIONS(1694),
    [sym__backquoted_id] = ACTIONS(2555),
    [sym_operator_identifier] = ACTIONS(2558),
    [sym_integer_literal] = ACTIONS(1700),
    [sym_floating_point_literal] = ACTIONS(1702),
    [anon_sym_true] = ACTIONS(1704),
    [anon_sym_false] = ACTIONS(1704),
    [sym_character_literal] = ACTIONS(1702),
    [sym_null_literal] = ACTIONS(1706),
    [anon_sym_return] = ACTIONS(2310),
    [anon_sym_throw] = ACTIONS(2312),
    [anon_sym_do] = ACTIONS(2561),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1708),
    [sym__simple_string] = ACTIONS(1708),
  },
  [643] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(16957),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym__if_condition] = STATE(878),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(4065),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(643),
    [sym_block_comment] = STATE(643),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2508),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [644] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(16957),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym__if_condition] = STATE(853),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(4065),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(644),
    [sym_block_comment] = STATE(644),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2508),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [645] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(16957),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym__if_condition] = STATE(1202),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(4065),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(645),
    [sym_block_comment] = STATE(645),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2508),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [646] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(16957),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym__if_condition] = STATE(808),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(4065),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(646),
    [sym_block_comment] = STATE(646),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2508),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [647] = {
    [sym_inline_modifier] = STATE(2250),
    [sym_block] = STATE(6450),
    [sym_expression] = STATE(11481),
    [sym__simple_expression] = STATE(5297),
    [sym_lambda_expression] = STATE(11549),
    [sym_if_expression] = STATE(11549),
    [sym_match_expression] = STATE(11549),
    [sym_try_expression] = STATE(11549),
    [sym_bindings] = STATE(15503),
    [sym_case_block] = STATE(6450),
    [sym_assignment_expression] = STATE(11549),
    [sym_generic_function] = STATE(6450),
    [sym_call_expression] = STATE(6450),
    [sym_field_expression] = STATE(6450),
    [sym_instance_expression] = STATE(6450),
    [sym_ascription_expression] = STATE(11549),
    [sym_infix_expression] = STATE(7641),
    [sym_postfix_expression] = STATE(11204),
    [sym__postfix_expression_choice] = STATE(16480),
    [sym_macro_body] = STATE(11549),
    [sym_prefix_expression] = STATE(8711),
    [sym_tuple_expression] = STATE(6450),
    [sym_parenthesized_expression] = STATE(6450),
    [sym_splice_expression] = STATE(6450),
    [sym_quote_expression] = STATE(6450),
    [sym_identifier] = STATE(4723),
    [sym__soft_identifier] = STATE(4507),
    [sym_wildcard] = STATE(7115),
    [sym__non_null_literal] = STATE(6450),
    [sym_boolean_literal] = STATE(6156),
    [sym_interpolated_string_expression] = STATE(6450),
    [sym_string] = STATE(6156),
    [sym_unit] = STATE(6450),
    [sym_return_expression] = STATE(11549),
    [sym_throw_expression] = STATE(11549),
    [sym_while_expression] = STATE(11549),
    [sym_do_while_expression] = STATE(11549),
    [sym_for_expression] = STATE(11549),
    [sym_comment] = STATE(647),
    [sym_block_comment] = STATE(647),
    [sym__alpha_identifier] = ACTIONS(2564),
    [anon_sym_COLON] = ACTIONS(2515),
    [anon_sym_LBRACE] = ACTIONS(2567),
    [anon_sym_DOT] = ACTIONS(2515),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_LBRACK] = ACTIONS(2520),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(2570),
    [anon_sym_if] = ACTIONS(2256),
    [anon_sym_while] = ACTIONS(1370),
    [anon_sym_for] = ACTIONS(1372),
    [anon_sym_match] = ACTIONS(2515),
    [anon_sym_try] = ACTIONS(1374),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_EQ] = ACTIONS(2515),
    [anon_sym_opaque] = ACTIONS(2570),
    [anon_sym_implicit] = ACTIONS(1376),
    [anon_sym_inline] = ACTIONS(2573),
    [anon_sym_infix] = ACTIONS(2570),
    [anon_sym_open] = ACTIONS(2570),
    [anon_sym_transparent] = ACTIONS(2570),
    [anon_sym_LPAREN] = ACTIONS(2576),
    [anon_sym_macro] = ACTIONS(1378),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(2579),
    [sym_operator_identifier] = ACTIONS(2582),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1382),
    [anon_sym_throw] = ACTIONS(1384),
    [anon_sym_do] = ACTIONS(2585),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [648] = {
    [sym_inline_modifier] = STATE(2148),
    [sym_block] = STATE(9088),
    [sym_expression] = STATE(13047),
    [sym__simple_expression] = STATE(8626),
    [sym_lambda_expression] = STATE(13338),
    [sym_if_expression] = STATE(13338),
    [sym_match_expression] = STATE(13338),
    [sym_try_expression] = STATE(13338),
    [sym_bindings] = STATE(15683),
    [sym_case_block] = STATE(9088),
    [sym_assignment_expression] = STATE(13338),
    [sym_generic_function] = STATE(9088),
    [sym_call_expression] = STATE(9088),
    [sym_field_expression] = STATE(9088),
    [sym_instance_expression] = STATE(9088),
    [sym_ascription_expression] = STATE(13338),
    [sym_infix_expression] = STATE(9773),
    [sym_postfix_expression] = STATE(13117),
    [sym__postfix_expression_choice] = STATE(15912),
    [sym_macro_body] = STATE(13338),
    [sym_prefix_expression] = STATE(10372),
    [sym_tuple_expression] = STATE(9088),
    [sym_parenthesized_expression] = STATE(9088),
    [sym_splice_expression] = STATE(9088),
    [sym_quote_expression] = STATE(9088),
    [sym_identifier] = STATE(7467),
    [sym__soft_identifier] = STATE(6581),
    [sym_wildcard] = STATE(9755),
    [sym__non_null_literal] = STATE(9088),
    [sym_boolean_literal] = STATE(8905),
    [sym_interpolated_string_expression] = STATE(9088),
    [sym_string] = STATE(8905),
    [sym_unit] = STATE(9088),
    [sym_return_expression] = STATE(13338),
    [sym_throw_expression] = STATE(13338),
    [sym_while_expression] = STATE(13338),
    [sym_do_while_expression] = STATE(13338),
    [sym_for_expression] = STATE(13338),
    [sym_comment] = STATE(648),
    [sym_block_comment] = STATE(648),
    [sym__alpha_identifier] = ACTIONS(2588),
    [anon_sym_COLON] = ACTIONS(2515),
    [anon_sym_LBRACE] = ACTIONS(2591),
    [anon_sym_DOT] = ACTIONS(2515),
    [anon_sym__] = ACTIONS(1944),
    [anon_sym_LBRACK] = ACTIONS(2520),
    [anon_sym_PLUS] = ACTIONS(1946),
    [anon_sym_DASH] = ACTIONS(1946),
    [anon_sym_end] = ACTIONS(2594),
    [anon_sym_if] = ACTIONS(2450),
    [anon_sym_while] = ACTIONS(2452),
    [anon_sym_for] = ACTIONS(2454),
    [anon_sym_match] = ACTIONS(2515),
    [anon_sym_try] = ACTIONS(2456),
    [anon_sym_new] = ACTIONS(1950),
    [anon_sym_EQ] = ACTIONS(2515),
    [anon_sym_opaque] = ACTIONS(2594),
    [anon_sym_implicit] = ACTIONS(2458),
    [anon_sym_inline] = ACTIONS(2597),
    [anon_sym_infix] = ACTIONS(2594),
    [anon_sym_open] = ACTIONS(2594),
    [anon_sym_transparent] = ACTIONS(2594),
    [anon_sym_LPAREN] = ACTIONS(2600),
    [anon_sym_macro] = ACTIONS(2270),
    [anon_sym_BANG] = ACTIONS(1946),
    [anon_sym_TILDE] = ACTIONS(1946),
    [anon_sym_DOLLAR] = ACTIONS(1956),
    [anon_sym_SQUOTE] = ACTIONS(1958),
    [sym__backquoted_id] = ACTIONS(2603),
    [sym_operator_identifier] = ACTIONS(2606),
    [sym_integer_literal] = ACTIONS(1964),
    [sym_floating_point_literal] = ACTIONS(1966),
    [anon_sym_true] = ACTIONS(1968),
    [anon_sym_false] = ACTIONS(1968),
    [sym_character_literal] = ACTIONS(1966),
    [sym_null_literal] = ACTIONS(1970),
    [anon_sym_return] = ACTIONS(2462),
    [anon_sym_throw] = ACTIONS(2464),
    [anon_sym_do] = ACTIONS(2609),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1972),
    [sym__simple_string] = ACTIONS(1972),
  },
  [649] = {
    [sym_inline_modifier] = STATE(2108),
    [sym_block] = STATE(9800),
    [sym_expression] = STATE(13497),
    [sym__simple_expression] = STATE(7357),
    [sym_lambda_expression] = STATE(12046),
    [sym_if_expression] = STATE(12046),
    [sym_match_expression] = STATE(12046),
    [sym_try_expression] = STATE(12046),
    [sym_bindings] = STATE(15518),
    [sym_case_block] = STATE(9800),
    [sym_assignment_expression] = STATE(12046),
    [sym_generic_function] = STATE(9800),
    [sym_call_expression] = STATE(9800),
    [sym_field_expression] = STATE(9800),
    [sym_instance_expression] = STATE(9800),
    [sym_ascription_expression] = STATE(12046),
    [sym_infix_expression] = STATE(10315),
    [sym_postfix_expression] = STATE(11496),
    [sym__postfix_expression_choice] = STATE(15840),
    [sym_macro_body] = STATE(12046),
    [sym_prefix_expression] = STATE(9949),
    [sym_tuple_expression] = STATE(9800),
    [sym_parenthesized_expression] = STATE(9800),
    [sym_splice_expression] = STATE(9800),
    [sym_quote_expression] = STATE(9800),
    [sym_identifier] = STATE(6016),
    [sym__soft_identifier] = STATE(4545),
    [sym_wildcard] = STATE(9086),
    [sym__non_null_literal] = STATE(9800),
    [sym_boolean_literal] = STATE(6076),
    [sym_interpolated_string_expression] = STATE(9800),
    [sym_string] = STATE(6076),
    [sym_unit] = STATE(9800),
    [sym_return_expression] = STATE(12046),
    [sym_throw_expression] = STATE(12046),
    [sym_while_expression] = STATE(12046),
    [sym_do_while_expression] = STATE(12046),
    [sym_for_expression] = STATE(12046),
    [sym_comment] = STATE(649),
    [sym_block_comment] = STATE(649),
    [sym__alpha_identifier] = ACTIONS(2612),
    [anon_sym_COLON] = ACTIONS(2515),
    [anon_sym_LBRACE] = ACTIONS(2615),
    [anon_sym_DOT] = ACTIONS(2515),
    [anon_sym__] = ACTIONS(2090),
    [anon_sym_LBRACK] = ACTIONS(2520),
    [anon_sym_PLUS] = ACTIONS(2092),
    [anon_sym_DASH] = ACTIONS(2092),
    [anon_sym_end] = ACTIONS(2618),
    [anon_sym_if] = ACTIONS(2216),
    [anon_sym_while] = ACTIONS(2218),
    [anon_sym_for] = ACTIONS(2220),
    [anon_sym_match] = ACTIONS(2515),
    [anon_sym_try] = ACTIONS(2222),
    [anon_sym_new] = ACTIONS(2096),
    [anon_sym_EQ] = ACTIONS(2515),
    [anon_sym_opaque] = ACTIONS(2618),
    [anon_sym_implicit] = ACTIONS(2224),
    [anon_sym_inline] = ACTIONS(2621),
    [anon_sym_infix] = ACTIONS(2618),
    [anon_sym_open] = ACTIONS(2618),
    [anon_sym_transparent] = ACTIONS(2618),
    [anon_sym_LPAREN] = ACTIONS(2624),
    [anon_sym_macro] = ACTIONS(2226),
    [anon_sym_BANG] = ACTIONS(2092),
    [anon_sym_TILDE] = ACTIONS(2092),
    [anon_sym_DOLLAR] = ACTIONS(2102),
    [anon_sym_SQUOTE] = ACTIONS(2104),
    [sym__backquoted_id] = ACTIONS(2627),
    [sym_operator_identifier] = ACTIONS(2630),
    [sym_integer_literal] = ACTIONS(2110),
    [sym_floating_point_literal] = ACTIONS(2112),
    [anon_sym_true] = ACTIONS(2114),
    [anon_sym_false] = ACTIONS(2114),
    [sym_character_literal] = ACTIONS(2112),
    [sym_null_literal] = ACTIONS(2116),
    [anon_sym_return] = ACTIONS(2230),
    [anon_sym_throw] = ACTIONS(2232),
    [anon_sym_do] = ACTIONS(2537),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(2118),
    [sym__simple_string] = ACTIONS(2118),
  },
  [650] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(16957),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym__if_condition] = STATE(1488),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(4065),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(650),
    [sym_block_comment] = STATE(650),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2508),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [651] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(16957),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym__if_condition] = STATE(1127),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(4065),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(651),
    [sym_block_comment] = STATE(651),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2508),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [652] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(16957),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym__if_condition] = STATE(914),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(4065),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(652),
    [sym_block_comment] = STATE(652),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2508),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [653] = {
    [sym_inline_modifier] = STATE(2181),
    [sym_block] = STATE(5403),
    [sym_expression] = STATE(11362),
    [sym__simple_expression] = STATE(4722),
    [sym_lambda_expression] = STATE(11364),
    [sym_if_expression] = STATE(11364),
    [sym_match_expression] = STATE(11364),
    [sym_try_expression] = STATE(11364),
    [sym_bindings] = STATE(15648),
    [sym_case_block] = STATE(5403),
    [sym_assignment_expression] = STATE(11364),
    [sym_generic_function] = STATE(5403),
    [sym_call_expression] = STATE(5403),
    [sym_field_expression] = STATE(5403),
    [sym_instance_expression] = STATE(5403),
    [sym_ascription_expression] = STATE(11364),
    [sym_infix_expression] = STATE(6806),
    [sym_postfix_expression] = STATE(10789),
    [sym__postfix_expression_choice] = STATE(15797),
    [sym_macro_body] = STATE(11364),
    [sym_prefix_expression] = STATE(8559),
    [sym_tuple_expression] = STATE(5403),
    [sym_parenthesized_expression] = STATE(5403),
    [sym_splice_expression] = STATE(5403),
    [sym_quote_expression] = STATE(5403),
    [sym_identifier] = STATE(4646),
    [sym__soft_identifier] = STATE(4455),
    [sym_wildcard] = STATE(6287),
    [sym__non_null_literal] = STATE(5403),
    [sym_boolean_literal] = STATE(5637),
    [sym_interpolated_string_expression] = STATE(5403),
    [sym_string] = STATE(5637),
    [sym_unit] = STATE(5403),
    [sym_return_expression] = STATE(11364),
    [sym_throw_expression] = STATE(11364),
    [sym_while_expression] = STATE(11364),
    [sym_do_while_expression] = STATE(11364),
    [sym_for_expression] = STATE(11364),
    [sym_comment] = STATE(653),
    [sym_block_comment] = STATE(653),
    [sym__alpha_identifier] = ACTIONS(2633),
    [anon_sym_COLON] = ACTIONS(2515),
    [anon_sym_LBRACE] = ACTIONS(2636),
    [anon_sym_DOT] = ACTIONS(2515),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_LBRACK] = ACTIONS(2520),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(2639),
    [anon_sym_if] = ACTIONS(2352),
    [anon_sym_while] = ACTIONS(1172),
    [anon_sym_for] = ACTIONS(1174),
    [anon_sym_match] = ACTIONS(2515),
    [anon_sym_try] = ACTIONS(1176),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_EQ] = ACTIONS(2515),
    [anon_sym_opaque] = ACTIONS(2639),
    [anon_sym_implicit] = ACTIONS(1178),
    [anon_sym_inline] = ACTIONS(2642),
    [anon_sym_infix] = ACTIONS(2639),
    [anon_sym_open] = ACTIONS(2639),
    [anon_sym_transparent] = ACTIONS(2639),
    [anon_sym_LPAREN] = ACTIONS(2645),
    [anon_sym_macro] = ACTIONS(1162),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(2648),
    [sym_operator_identifier] = ACTIONS(2651),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1182),
    [anon_sym_throw] = ACTIONS(1184),
    [anon_sym_do] = ACTIONS(2654),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [654] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(16957),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym__if_condition] = STATE(1385),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(4065),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(654),
    [sym_block_comment] = STATE(654),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2508),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [655] = {
    [sym_inline_modifier] = STATE(2255),
    [sym_block] = STATE(6954),
    [sym_expression] = STATE(12176),
    [sym__simple_expression] = STATE(5438),
    [sym_lambda_expression] = STATE(12144),
    [sym_if_expression] = STATE(12144),
    [sym_match_expression] = STATE(12144),
    [sym_try_expression] = STATE(12144),
    [sym_bindings] = STATE(15515),
    [sym_case_block] = STATE(6954),
    [sym_assignment_expression] = STATE(12144),
    [sym_generic_function] = STATE(6954),
    [sym_call_expression] = STATE(6954),
    [sym_field_expression] = STATE(6954),
    [sym_instance_expression] = STATE(6954),
    [sym_ascription_expression] = STATE(12144),
    [sym_infix_expression] = STATE(8226),
    [sym_postfix_expression] = STATE(11499),
    [sym__postfix_expression_choice] = STATE(16229),
    [sym_macro_body] = STATE(12144),
    [sym_prefix_expression] = STATE(9369),
    [sym_tuple_expression] = STATE(6954),
    [sym_parenthesized_expression] = STATE(6954),
    [sym_splice_expression] = STATE(6954),
    [sym_quote_expression] = STATE(6954),
    [sym_identifier] = STATE(5276),
    [sym__soft_identifier] = STATE(4827),
    [sym_wildcard] = STATE(7444),
    [sym__non_null_literal] = STATE(6954),
    [sym_boolean_literal] = STATE(6997),
    [sym_interpolated_string_expression] = STATE(6954),
    [sym_string] = STATE(6997),
    [sym_unit] = STATE(6954),
    [sym_return_expression] = STATE(12144),
    [sym_throw_expression] = STATE(12144),
    [sym_while_expression] = STATE(12144),
    [sym_do_while_expression] = STATE(12144),
    [sym_for_expression] = STATE(12144),
    [sym_comment] = STATE(655),
    [sym_block_comment] = STATE(655),
    [sym__alpha_identifier] = ACTIONS(2657),
    [anon_sym_COLON] = ACTIONS(2515),
    [anon_sym_LBRACE] = ACTIONS(2660),
    [anon_sym_DOT] = ACTIONS(2515),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_LBRACK] = ACTIONS(2520),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(2663),
    [anon_sym_if] = ACTIONS(2666),
    [anon_sym_while] = ACTIONS(2314),
    [anon_sym_for] = ACTIONS(2316),
    [anon_sym_match] = ACTIONS(2515),
    [anon_sym_try] = ACTIONS(2318),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_EQ] = ACTIONS(2515),
    [anon_sym_opaque] = ACTIONS(2663),
    [anon_sym_implicit] = ACTIONS(2320),
    [anon_sym_inline] = ACTIONS(2668),
    [anon_sym_infix] = ACTIONS(2663),
    [anon_sym_open] = ACTIONS(2663),
    [anon_sym_transparent] = ACTIONS(2663),
    [anon_sym_LPAREN] = ACTIONS(2671),
    [anon_sym_macro] = ACTIONS(1894),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(2674),
    [sym_operator_identifier] = ACTIONS(2677),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(2324),
    [anon_sym_throw] = ACTIONS(2326),
    [anon_sym_do] = ACTIONS(2680),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [656] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(16957),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym__if_condition] = STATE(1111),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(4065),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(656),
    [sym_block_comment] = STATE(656),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2508),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [657] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(16957),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym__if_condition] = STATE(1559),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(4065),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(657),
    [sym_block_comment] = STATE(657),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2508),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [658] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(16957),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym__if_condition] = STATE(977),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(4065),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(658),
    [sym_block_comment] = STATE(658),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2508),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [659] = {
    [sym_inline_modifier] = STATE(2262),
    [sym_block] = STATE(6540),
    [sym_expression] = STATE(11396),
    [sym__simple_expression] = STATE(5817),
    [sym_lambda_expression] = STATE(11374),
    [sym_if_expression] = STATE(11374),
    [sym_match_expression] = STATE(11374),
    [sym_try_expression] = STATE(11374),
    [sym_bindings] = STATE(15530),
    [sym_case_block] = STATE(6540),
    [sym_assignment_expression] = STATE(11374),
    [sym_generic_function] = STATE(6540),
    [sym_call_expression] = STATE(6540),
    [sym_field_expression] = STATE(6540),
    [sym_instance_expression] = STATE(6540),
    [sym_ascription_expression] = STATE(11374),
    [sym_infix_expression] = STATE(7834),
    [sym_postfix_expression] = STATE(11215),
    [sym__postfix_expression_choice] = STATE(16210),
    [sym_macro_body] = STATE(11374),
    [sym_prefix_expression] = STATE(9262),
    [sym_tuple_expression] = STATE(6540),
    [sym_parenthesized_expression] = STATE(6540),
    [sym_splice_expression] = STATE(6540),
    [sym_quote_expression] = STATE(6540),
    [sym_identifier] = STATE(5031),
    [sym__soft_identifier] = STATE(4667),
    [sym_wildcard] = STATE(7986),
    [sym__non_null_literal] = STATE(6540),
    [sym_boolean_literal] = STATE(6246),
    [sym_interpolated_string_expression] = STATE(6540),
    [sym_string] = STATE(6246),
    [sym_unit] = STATE(6540),
    [sym_return_expression] = STATE(11374),
    [sym_throw_expression] = STATE(11374),
    [sym_while_expression] = STATE(11374),
    [sym_do_while_expression] = STATE(11374),
    [sym_for_expression] = STATE(11374),
    [sym_comment] = STATE(659),
    [sym_block_comment] = STATE(659),
    [sym__alpha_identifier] = ACTIONS(2683),
    [anon_sym_COLON] = ACTIONS(2515),
    [anon_sym_LBRACE] = ACTIONS(2686),
    [anon_sym_DOT] = ACTIONS(2515),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_LBRACK] = ACTIONS(2520),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(2689),
    [anon_sym_if] = ACTIONS(1530),
    [anon_sym_while] = ACTIONS(1532),
    [anon_sym_for] = ACTIONS(1534),
    [anon_sym_match] = ACTIONS(2515),
    [anon_sym_try] = ACTIONS(1536),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_EQ] = ACTIONS(2515),
    [anon_sym_opaque] = ACTIONS(2689),
    [anon_sym_implicit] = ACTIONS(1538),
    [anon_sym_inline] = ACTIONS(2692),
    [anon_sym_infix] = ACTIONS(2689),
    [anon_sym_open] = ACTIONS(2689),
    [anon_sym_transparent] = ACTIONS(2689),
    [anon_sym_LPAREN] = ACTIONS(2695),
    [anon_sym_macro] = ACTIONS(1540),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(2698),
    [sym_operator_identifier] = ACTIONS(2701),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1544),
    [anon_sym_throw] = ACTIONS(1546),
    [anon_sym_do] = ACTIONS(2704),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [660] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(16957),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym__if_condition] = STATE(913),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(4065),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(660),
    [sym_block_comment] = STATE(660),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2508),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [661] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(16957),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym__if_condition] = STATE(816),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(4065),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(661),
    [sym_block_comment] = STATE(661),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2508),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [662] = {
    [sym_inline_modifier] = STATE(2223),
    [sym_block] = STATE(8375),
    [sym_expression] = STATE(12917),
    [sym__simple_expression] = STATE(7442),
    [sym_lambda_expression] = STATE(13185),
    [sym_if_expression] = STATE(13185),
    [sym_match_expression] = STATE(13185),
    [sym_try_expression] = STATE(13185),
    [sym_bindings] = STATE(15586),
    [sym_case_block] = STATE(8375),
    [sym_assignment_expression] = STATE(13185),
    [sym_generic_function] = STATE(8375),
    [sym_call_expression] = STATE(8375),
    [sym_field_expression] = STATE(8375),
    [sym_instance_expression] = STATE(8375),
    [sym_ascription_expression] = STATE(13185),
    [sym_infix_expression] = STATE(9364),
    [sym_postfix_expression] = STATE(12809),
    [sym__postfix_expression_choice] = STATE(16440),
    [sym_macro_body] = STATE(13185),
    [sym_prefix_expression] = STATE(10191),
    [sym_tuple_expression] = STATE(8375),
    [sym_parenthesized_expression] = STATE(8375),
    [sym_splice_expression] = STATE(8375),
    [sym_quote_expression] = STATE(8375),
    [sym_identifier] = STATE(7290),
    [sym__soft_identifier] = STATE(5430),
    [sym_wildcard] = STATE(9387),
    [sym__non_null_literal] = STATE(8375),
    [sym_boolean_literal] = STATE(8117),
    [sym_interpolated_string_expression] = STATE(8375),
    [sym_string] = STATE(8117),
    [sym_unit] = STATE(8375),
    [sym_return_expression] = STATE(13185),
    [sym_throw_expression] = STATE(13185),
    [sym_while_expression] = STATE(13185),
    [sym_do_while_expression] = STATE(13185),
    [sym_for_expression] = STATE(13185),
    [sym_comment] = STATE(662),
    [sym_block_comment] = STATE(662),
    [sym__alpha_identifier] = ACTIONS(2707),
    [anon_sym_COLON] = ACTIONS(2515),
    [anon_sym_LBRACE] = ACTIONS(2710),
    [anon_sym_DOT] = ACTIONS(2515),
    [anon_sym__] = ACTIONS(1624),
    [anon_sym_LBRACK] = ACTIONS(2520),
    [anon_sym_PLUS] = ACTIONS(1626),
    [anon_sym_DASH] = ACTIONS(1626),
    [anon_sym_end] = ACTIONS(2713),
    [anon_sym_if] = ACTIONS(2122),
    [anon_sym_while] = ACTIONS(2124),
    [anon_sym_for] = ACTIONS(2126),
    [anon_sym_match] = ACTIONS(2515),
    [anon_sym_try] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(1630),
    [anon_sym_EQ] = ACTIONS(2515),
    [anon_sym_opaque] = ACTIONS(2713),
    [anon_sym_implicit] = ACTIONS(2130),
    [anon_sym_inline] = ACTIONS(2716),
    [anon_sym_infix] = ACTIONS(2713),
    [anon_sym_open] = ACTIONS(2713),
    [anon_sym_transparent] = ACTIONS(2713),
    [anon_sym_LPAREN] = ACTIONS(2719),
    [anon_sym_macro] = ACTIONS(2074),
    [anon_sym_BANG] = ACTIONS(1626),
    [anon_sym_TILDE] = ACTIONS(1626),
    [anon_sym_DOLLAR] = ACTIONS(1636),
    [anon_sym_SQUOTE] = ACTIONS(1638),
    [sym__backquoted_id] = ACTIONS(2722),
    [sym_operator_identifier] = ACTIONS(2725),
    [sym_integer_literal] = ACTIONS(1644),
    [sym_floating_point_literal] = ACTIONS(1646),
    [anon_sym_true] = ACTIONS(1648),
    [anon_sym_false] = ACTIONS(1648),
    [sym_character_literal] = ACTIONS(1646),
    [sym_null_literal] = ACTIONS(1650),
    [anon_sym_return] = ACTIONS(2134),
    [anon_sym_throw] = ACTIONS(2136),
    [anon_sym_do] = ACTIONS(2728),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1652),
    [sym__simple_string] = ACTIONS(1652),
  },
  [663] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(16957),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym__if_condition] = STATE(1044),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(4065),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(663),
    [sym_block_comment] = STATE(663),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2508),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [664] = {
    [sym_inline_modifier] = STATE(2084),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13436),
    [sym__simple_expression] = STATE(8831),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15722),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10635),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(8641),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(10149),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(664),
    [sym_block_comment] = STATE(664),
    [sym__alpha_identifier] = ACTIONS(2731),
    [anon_sym_COLON] = ACTIONS(2515),
    [anon_sym_LBRACE] = ACTIONS(2734),
    [anon_sym_DOT] = ACTIONS(2515),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_LBRACK] = ACTIONS(2520),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(2737),
    [anon_sym_if] = ACTIONS(2740),
    [anon_sym_while] = ACTIONS(2742),
    [anon_sym_for] = ACTIONS(2744),
    [anon_sym_match] = ACTIONS(2515),
    [anon_sym_try] = ACTIONS(2746),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_EQ] = ACTIONS(2515),
    [anon_sym_opaque] = ACTIONS(2737),
    [anon_sym_implicit] = ACTIONS(2748),
    [anon_sym_inline] = ACTIONS(2750),
    [anon_sym_infix] = ACTIONS(2737),
    [anon_sym_open] = ACTIONS(2737),
    [anon_sym_transparent] = ACTIONS(2737),
    [anon_sym_LPAREN] = ACTIONS(2753),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(2756),
    [sym_operator_identifier] = ACTIONS(2759),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2762),
    [anon_sym_throw] = ACTIONS(2764),
    [anon_sym_do] = ACTIONS(2766),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [665] = {
    [sym_inline_modifier] = STATE(2234),
    [sym_block] = STATE(7443),
    [sym_expression] = STATE(12248),
    [sym__simple_expression] = STATE(5279),
    [sym_lambda_expression] = STATE(12692),
    [sym_if_expression] = STATE(12692),
    [sym_match_expression] = STATE(12692),
    [sym_try_expression] = STATE(12692),
    [sym_bindings] = STATE(15619),
    [sym_case_block] = STATE(7443),
    [sym_assignment_expression] = STATE(12692),
    [sym_generic_function] = STATE(7443),
    [sym_call_expression] = STATE(7443),
    [sym_field_expression] = STATE(7443),
    [sym_instance_expression] = STATE(7443),
    [sym_ascription_expression] = STATE(12692),
    [sym_infix_expression] = STATE(8993),
    [sym_postfix_expression] = STATE(12386),
    [sym__postfix_expression_choice] = STATE(16150),
    [sym_macro_body] = STATE(12692),
    [sym_prefix_expression] = STATE(8795),
    [sym_tuple_expression] = STATE(7443),
    [sym_parenthesized_expression] = STATE(7443),
    [sym_splice_expression] = STATE(7443),
    [sym_quote_expression] = STATE(7443),
    [sym_identifier] = STATE(4734),
    [sym__soft_identifier] = STATE(5213),
    [sym_wildcard] = STATE(7227),
    [sym__non_null_literal] = STATE(7443),
    [sym_boolean_literal] = STATE(7707),
    [sym_interpolated_string_expression] = STATE(7443),
    [sym_string] = STATE(7707),
    [sym_unit] = STATE(7443),
    [sym_return_expression] = STATE(12692),
    [sym_throw_expression] = STATE(12692),
    [sym_while_expression] = STATE(12692),
    [sym_do_while_expression] = STATE(12692),
    [sym_for_expression] = STATE(12692),
    [sym_comment] = STATE(665),
    [sym_block_comment] = STATE(665),
    [sym__alpha_identifier] = ACTIONS(2769),
    [anon_sym_COLON] = ACTIONS(2515),
    [anon_sym_LBRACE] = ACTIONS(2772),
    [anon_sym_DOT] = ACTIONS(2515),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_LBRACK] = ACTIONS(2520),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(2775),
    [anon_sym_if] = ACTIONS(2292),
    [anon_sym_while] = ACTIONS(1480),
    [anon_sym_for] = ACTIONS(1482),
    [anon_sym_match] = ACTIONS(2515),
    [anon_sym_try] = ACTIONS(1484),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_EQ] = ACTIONS(2515),
    [anon_sym_opaque] = ACTIONS(2775),
    [anon_sym_implicit] = ACTIONS(1486),
    [anon_sym_inline] = ACTIONS(2778),
    [anon_sym_infix] = ACTIONS(2775),
    [anon_sym_open] = ACTIONS(2775),
    [anon_sym_transparent] = ACTIONS(2775),
    [anon_sym_LPAREN] = ACTIONS(2781),
    [anon_sym_macro] = ACTIONS(1196),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(2784),
    [sym_operator_identifier] = ACTIONS(2787),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(1490),
    [anon_sym_throw] = ACTIONS(1492),
    [anon_sym_do] = ACTIONS(2790),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [666] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(16957),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym__if_condition] = STATE(1040),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(4065),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(666),
    [sym_block_comment] = STATE(666),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2508),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [667] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(16957),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym__if_condition] = STATE(1361),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(4065),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(667),
    [sym_block_comment] = STATE(667),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2508),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [668] = {
    [sym_inline_modifier] = STATE(2149),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13289),
    [sym__simple_expression] = STATE(7109),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15656),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10005),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6267),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(8706),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(668),
    [sym_block_comment] = STATE(668),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_LBRACK] = ACTIONS(1148),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(1150),
    [anon_sym_while] = ACTIONS(2793),
    [anon_sym_for] = ACTIONS(2795),
    [anon_sym_match] = ACTIONS(1150),
    [anon_sym_try] = ACTIONS(2797),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(2799),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(1148),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(2801),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(2803),
    [anon_sym_throw] = ACTIONS(2805),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1148),
    [sym__outdent] = ACTIONS(1148),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [669] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(16957),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym__if_condition] = STATE(1034),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(4065),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(669),
    [sym_block_comment] = STATE(669),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2508),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [670] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(16957),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym__if_condition] = STATE(1592),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(4065),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(670),
    [sym_block_comment] = STATE(670),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2508),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [671] = {
    [sym_inline_modifier] = STATE(2054),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(12282),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(7036),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(671),
    [sym_block_comment] = STATE(671),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(1148),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_LBRACK] = ACTIONS(1148),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_match] = ACTIONS(1150),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2807),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(1148),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1148),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [672] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(16957),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym__if_condition] = STATE(1126),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(4065),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(672),
    [sym_block_comment] = STATE(672),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2508),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [673] = {
    [sym_inline_modifier] = STATE(2081),
    [sym_block] = STATE(6540),
    [sym_expression] = STATE(11396),
    [sym__simple_expression] = STATE(5282),
    [sym_lambda_expression] = STATE(11374),
    [sym_if_expression] = STATE(11374),
    [sym_match_expression] = STATE(11374),
    [sym_try_expression] = STATE(11374),
    [sym_bindings] = STATE(15666),
    [sym_case_block] = STATE(6540),
    [sym_assignment_expression] = STATE(11374),
    [sym_generic_function] = STATE(6540),
    [sym_call_expression] = STATE(6540),
    [sym_field_expression] = STATE(6540),
    [sym_instance_expression] = STATE(6540),
    [sym_ascription_expression] = STATE(11374),
    [sym_infix_expression] = STATE(7834),
    [sym_postfix_expression] = STATE(11215),
    [sym__postfix_expression_choice] = STATE(16210),
    [sym_macro_body] = STATE(11374),
    [sym_prefix_expression] = STATE(8793),
    [sym_tuple_expression] = STATE(6540),
    [sym_parenthesized_expression] = STATE(6540),
    [sym_splice_expression] = STATE(6540),
    [sym_quote_expression] = STATE(6540),
    [sym_identifier] = STATE(4731),
    [sym__soft_identifier] = STATE(4667),
    [sym_wildcard] = STATE(7219),
    [sym__non_null_literal] = STATE(6540),
    [sym_boolean_literal] = STATE(6246),
    [sym_interpolated_string_expression] = STATE(6540),
    [sym_string] = STATE(6246),
    [sym_unit] = STATE(6540),
    [sym_return_expression] = STATE(11374),
    [sym_throw_expression] = STATE(11374),
    [sym_while_expression] = STATE(11374),
    [sym_do_while_expression] = STATE(11374),
    [sym_for_expression] = STATE(11374),
    [sym_comment] = STATE(673),
    [sym_block_comment] = STATE(673),
    [sym__alpha_identifier] = ACTIONS(2683),
    [anon_sym_COLON] = ACTIONS(2515),
    [anon_sym_LBRACE] = ACTIONS(2686),
    [anon_sym_DOT] = ACTIONS(2515),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_LBRACK] = ACTIONS(2520),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(2689),
    [anon_sym_if] = ACTIONS(2506),
    [anon_sym_while] = ACTIONS(1988),
    [anon_sym_for] = ACTIONS(1990),
    [anon_sym_match] = ACTIONS(2515),
    [anon_sym_try] = ACTIONS(1992),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_EQ] = ACTIONS(2515),
    [anon_sym_opaque] = ACTIONS(2689),
    [anon_sym_implicit] = ACTIONS(1994),
    [anon_sym_inline] = ACTIONS(2692),
    [anon_sym_infix] = ACTIONS(2689),
    [anon_sym_open] = ACTIONS(2689),
    [anon_sym_transparent] = ACTIONS(2689),
    [anon_sym_LPAREN] = ACTIONS(2695),
    [anon_sym_macro] = ACTIONS(1540),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(2698),
    [sym_operator_identifier] = ACTIONS(2809),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1998),
    [anon_sym_throw] = ACTIONS(2000),
    [anon_sym_do] = ACTIONS(2704),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [674] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(16957),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym__if_condition] = STATE(1605),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(4065),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(674),
    [sym_block_comment] = STATE(674),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2508),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [675] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(16957),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym__if_condition] = STATE(964),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(4065),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(675),
    [sym_block_comment] = STATE(675),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2508),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [676] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(16957),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym__if_condition] = STATE(1473),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(4065),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(676),
    [sym_block_comment] = STATE(676),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2508),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [677] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(16957),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym__if_condition] = STATE(1136),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(4065),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(677),
    [sym_block_comment] = STATE(677),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2508),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [678] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(16957),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym__if_condition] = STATE(1086),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(4065),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(678),
    [sym_block_comment] = STATE(678),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2508),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [679] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(16957),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym__if_condition] = STATE(1630),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(4065),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(679),
    [sym_block_comment] = STATE(679),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2508),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [680] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(16957),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym__if_condition] = STATE(957),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(4065),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(680),
    [sym_block_comment] = STATE(680),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2508),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [681] = {
    [sym_inline_modifier] = STATE(2125),
    [sym_block] = STATE(6738),
    [sym_expression] = STATE(12102),
    [sym__simple_expression] = STATE(5176),
    [sym_lambda_expression] = STATE(12430),
    [sym_if_expression] = STATE(12430),
    [sym_match_expression] = STATE(12430),
    [sym_try_expression] = STATE(12430),
    [sym_bindings] = STATE(15677),
    [sym_case_block] = STATE(6738),
    [sym_assignment_expression] = STATE(12430),
    [sym_generic_function] = STATE(6738),
    [sym_call_expression] = STATE(6738),
    [sym_field_expression] = STATE(6738),
    [sym_instance_expression] = STATE(6738),
    [sym_ascription_expression] = STATE(12430),
    [sym_infix_expression] = STATE(8389),
    [sym_postfix_expression] = STATE(11930),
    [sym__postfix_expression_choice] = STATE(15885),
    [sym_macro_body] = STATE(12430),
    [sym_prefix_expression] = STATE(9115),
    [sym_tuple_expression] = STATE(6738),
    [sym_parenthesized_expression] = STATE(6738),
    [sym_splice_expression] = STATE(6738),
    [sym_quote_expression] = STATE(6738),
    [sym_identifier] = STATE(4951),
    [sym__soft_identifier] = STATE(4943),
    [sym_wildcard] = STATE(7114),
    [sym__non_null_literal] = STATE(6738),
    [sym_boolean_literal] = STATE(7301),
    [sym_interpolated_string_expression] = STATE(6738),
    [sym_string] = STATE(7301),
    [sym_unit] = STATE(6738),
    [sym_return_expression] = STATE(12430),
    [sym_throw_expression] = STATE(12430),
    [sym_while_expression] = STATE(12430),
    [sym_do_while_expression] = STATE(12430),
    [sym_for_expression] = STATE(12430),
    [sym_comment] = STATE(681),
    [sym_block_comment] = STATE(681),
    [sym__alpha_identifier] = ACTIONS(2812),
    [anon_sym_COLON] = ACTIONS(2515),
    [anon_sym_LBRACE] = ACTIONS(2815),
    [anon_sym_DOT] = ACTIONS(2515),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_LBRACK] = ACTIONS(2520),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(2818),
    [anon_sym_if] = ACTIONS(1350),
    [anon_sym_while] = ACTIONS(1352),
    [anon_sym_for] = ACTIONS(1354),
    [anon_sym_match] = ACTIONS(2515),
    [anon_sym_try] = ACTIONS(1356),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_EQ] = ACTIONS(2515),
    [anon_sym_opaque] = ACTIONS(2818),
    [anon_sym_implicit] = ACTIONS(1358),
    [anon_sym_inline] = ACTIONS(2821),
    [anon_sym_infix] = ACTIONS(2818),
    [anon_sym_open] = ACTIONS(2818),
    [anon_sym_transparent] = ACTIONS(2818),
    [anon_sym_LPAREN] = ACTIONS(2824),
    [anon_sym_macro] = ACTIONS(1360),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(2827),
    [sym_operator_identifier] = ACTIONS(2830),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(1364),
    [anon_sym_throw] = ACTIONS(1366),
    [anon_sym_do] = ACTIONS(2833),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [682] = {
    [sym_inline_modifier] = STATE(2114),
    [sym_block] = STATE(8218),
    [sym_expression] = STATE(12918),
    [sym__simple_expression] = STATE(7544),
    [sym_lambda_expression] = STATE(13097),
    [sym_if_expression] = STATE(13097),
    [sym_match_expression] = STATE(13097),
    [sym_try_expression] = STATE(13097),
    [sym_bindings] = STATE(15630),
    [sym_case_block] = STATE(8218),
    [sym_assignment_expression] = STATE(13097),
    [sym_generic_function] = STATE(8218),
    [sym_call_expression] = STATE(8218),
    [sym_field_expression] = STATE(8218),
    [sym_instance_expression] = STATE(8218),
    [sym_ascription_expression] = STATE(13097),
    [sym_infix_expression] = STATE(9424),
    [sym_postfix_expression] = STATE(12765),
    [sym__postfix_expression_choice] = STATE(16117),
    [sym_macro_body] = STATE(13097),
    [sym_prefix_expression] = STATE(10300),
    [sym_tuple_expression] = STATE(8218),
    [sym_parenthesized_expression] = STATE(8218),
    [sym_splice_expression] = STATE(8218),
    [sym_quote_expression] = STATE(8218),
    [sym_identifier] = STATE(7100),
    [sym__soft_identifier] = STATE(5752),
    [sym_wildcard] = STATE(9268),
    [sym__non_null_literal] = STATE(8218),
    [sym_boolean_literal] = STATE(8413),
    [sym_interpolated_string_expression] = STATE(8218),
    [sym_string] = STATE(8413),
    [sym_unit] = STATE(8218),
    [sym_return_expression] = STATE(13097),
    [sym_throw_expression] = STATE(13097),
    [sym_while_expression] = STATE(13097),
    [sym_do_while_expression] = STATE(13097),
    [sym_for_expression] = STATE(13097),
    [sym_comment] = STATE(682),
    [sym_block_comment] = STATE(682),
    [sym__alpha_identifier] = ACTIONS(2836),
    [anon_sym_COLON] = ACTIONS(2515),
    [anon_sym_LBRACE] = ACTIONS(2839),
    [anon_sym_DOT] = ACTIONS(2515),
    [anon_sym__] = ACTIONS(1500),
    [anon_sym_LBRACK] = ACTIONS(2520),
    [anon_sym_PLUS] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1502),
    [anon_sym_end] = ACTIONS(2842),
    [anon_sym_if] = ACTIONS(2845),
    [anon_sym_while] = ACTIONS(2847),
    [anon_sym_for] = ACTIONS(2849),
    [anon_sym_match] = ACTIONS(2515),
    [anon_sym_try] = ACTIONS(2851),
    [anon_sym_new] = ACTIONS(1506),
    [anon_sym_EQ] = ACTIONS(2515),
    [anon_sym_opaque] = ACTIONS(2842),
    [anon_sym_implicit] = ACTIONS(2853),
    [anon_sym_inline] = ACTIONS(2855),
    [anon_sym_infix] = ACTIONS(2842),
    [anon_sym_open] = ACTIONS(2842),
    [anon_sym_transparent] = ACTIONS(2842),
    [anon_sym_LPAREN] = ACTIONS(2858),
    [anon_sym_macro] = ACTIONS(2054),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_TILDE] = ACTIONS(1502),
    [anon_sym_DOLLAR] = ACTIONS(1512),
    [anon_sym_SQUOTE] = ACTIONS(1514),
    [sym__backquoted_id] = ACTIONS(2861),
    [sym_operator_identifier] = ACTIONS(2864),
    [sym_integer_literal] = ACTIONS(1520),
    [sym_floating_point_literal] = ACTIONS(1522),
    [anon_sym_true] = ACTIONS(1524),
    [anon_sym_false] = ACTIONS(1524),
    [sym_character_literal] = ACTIONS(1522),
    [sym_null_literal] = ACTIONS(1526),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1528),
    [sym__simple_string] = ACTIONS(1528),
  },
  [683] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(16957),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym__if_condition] = STATE(1174),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(4065),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(683),
    [sym_block_comment] = STATE(683),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2508),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [684] = {
    [sym_inline_modifier] = STATE(2044),
    [sym_block] = STATE(9913),
    [sym_expression] = STATE(13626),
    [sym__simple_expression] = STATE(7224),
    [sym_lambda_expression] = STATE(12144),
    [sym_if_expression] = STATE(12144),
    [sym_match_expression] = STATE(12144),
    [sym_try_expression] = STATE(12144),
    [sym_bindings] = STATE(15632),
    [sym_case_block] = STATE(9913),
    [sym_assignment_expression] = STATE(12144),
    [sym_generic_function] = STATE(9913),
    [sym_call_expression] = STATE(9913),
    [sym_field_expression] = STATE(9913),
    [sym_instance_expression] = STATE(9913),
    [sym_ascription_expression] = STATE(12144),
    [sym_infix_expression] = STATE(10304),
    [sym_postfix_expression] = STATE(11499),
    [sym__postfix_expression_choice] = STATE(16334),
    [sym_macro_body] = STATE(12144),
    [sym_prefix_expression] = STATE(9963),
    [sym_tuple_expression] = STATE(9913),
    [sym_parenthesized_expression] = STATE(9913),
    [sym_splice_expression] = STATE(9913),
    [sym_quote_expression] = STATE(9913),
    [sym_identifier] = STATE(6170),
    [sym__soft_identifier] = STATE(4555),
    [sym_wildcard] = STATE(8897),
    [sym__non_null_literal] = STATE(9913),
    [sym_boolean_literal] = STATE(6572),
    [sym_interpolated_string_expression] = STATE(9913),
    [sym_string] = STATE(6572),
    [sym_unit] = STATE(9913),
    [sym_return_expression] = STATE(12144),
    [sym_throw_expression] = STATE(12144),
    [sym_while_expression] = STATE(12144),
    [sym_do_while_expression] = STATE(12144),
    [sym_for_expression] = STATE(12144),
    [sym_comment] = STATE(684),
    [sym_block_comment] = STATE(684),
    [sym__alpha_identifier] = ACTIONS(2874),
    [anon_sym_COLON] = ACTIONS(2515),
    [anon_sym_LBRACE] = ACTIONS(2877),
    [anon_sym_DOT] = ACTIONS(2515),
    [anon_sym__] = ACTIONS(1772),
    [anon_sym_LBRACK] = ACTIONS(2520),
    [anon_sym_PLUS] = ACTIONS(1774),
    [anon_sym_DASH] = ACTIONS(1774),
    [anon_sym_end] = ACTIONS(2880),
    [anon_sym_if] = ACTIONS(2160),
    [anon_sym_while] = ACTIONS(2162),
    [anon_sym_for] = ACTIONS(2164),
    [anon_sym_match] = ACTIONS(2515),
    [anon_sym_try] = ACTIONS(2166),
    [anon_sym_new] = ACTIONS(1778),
    [anon_sym_EQ] = ACTIONS(2515),
    [anon_sym_opaque] = ACTIONS(2880),
    [anon_sym_implicit] = ACTIONS(2168),
    [anon_sym_inline] = ACTIONS(2883),
    [anon_sym_infix] = ACTIONS(2880),
    [anon_sym_open] = ACTIONS(2880),
    [anon_sym_transparent] = ACTIONS(2880),
    [anon_sym_LPAREN] = ACTIONS(2886),
    [anon_sym_macro] = ACTIONS(2170),
    [anon_sym_BANG] = ACTIONS(1774),
    [anon_sym_TILDE] = ACTIONS(1774),
    [anon_sym_DOLLAR] = ACTIONS(1784),
    [anon_sym_SQUOTE] = ACTIONS(1786),
    [sym__backquoted_id] = ACTIONS(2889),
    [sym_operator_identifier] = ACTIONS(2892),
    [sym_integer_literal] = ACTIONS(1792),
    [sym_floating_point_literal] = ACTIONS(1794),
    [anon_sym_true] = ACTIONS(1796),
    [anon_sym_false] = ACTIONS(1796),
    [sym_character_literal] = ACTIONS(1794),
    [sym_null_literal] = ACTIONS(1798),
    [anon_sym_return] = ACTIONS(2174),
    [anon_sym_throw] = ACTIONS(2176),
    [anon_sym_do] = ACTIONS(2680),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1800),
    [sym__simple_string] = ACTIONS(1800),
  },
  [685] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(16957),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym__if_condition] = STATE(1404),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(4065),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(685),
    [sym_block_comment] = STATE(685),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2508),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [686] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(16957),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym__if_condition] = STATE(881),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(4065),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(686),
    [sym_block_comment] = STATE(686),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2508),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [687] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(16957),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym__if_condition] = STATE(1633),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(4065),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(687),
    [sym_block_comment] = STATE(687),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2508),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [688] = {
    [sym_inline_modifier] = STATE(2252),
    [sym_block] = STATE(8262),
    [sym_expression] = STATE(12911),
    [sym__simple_expression] = STATE(5471),
    [sym_lambda_expression] = STATE(13098),
    [sym_if_expression] = STATE(13098),
    [sym_match_expression] = STATE(13098),
    [sym_try_expression] = STATE(13098),
    [sym_bindings] = STATE(15615),
    [sym_case_block] = STATE(8262),
    [sym_assignment_expression] = STATE(13098),
    [sym_generic_function] = STATE(8262),
    [sym_call_expression] = STATE(8262),
    [sym_field_expression] = STATE(8262),
    [sym_instance_expression] = STATE(8262),
    [sym_ascription_expression] = STATE(13098),
    [sym_infix_expression] = STATE(9485),
    [sym_postfix_expression] = STATE(12647),
    [sym__postfix_expression_choice] = STATE(16347),
    [sym_macro_body] = STATE(13098),
    [sym_prefix_expression] = STATE(9525),
    [sym_tuple_expression] = STATE(8262),
    [sym_parenthesized_expression] = STATE(8262),
    [sym_splice_expression] = STATE(8262),
    [sym_quote_expression] = STATE(8262),
    [sym_identifier] = STATE(5180),
    [sym__soft_identifier] = STATE(5419),
    [sym_wildcard] = STATE(7820),
    [sym__non_null_literal] = STATE(8262),
    [sym_boolean_literal] = STATE(8242),
    [sym_interpolated_string_expression] = STATE(8262),
    [sym_string] = STATE(8242),
    [sym_unit] = STATE(8262),
    [sym_return_expression] = STATE(13098),
    [sym_throw_expression] = STATE(13098),
    [sym_while_expression] = STATE(13098),
    [sym_do_while_expression] = STATE(13098),
    [sym_for_expression] = STATE(13098),
    [sym_comment] = STATE(688),
    [sym_block_comment] = STATE(688),
    [sym__alpha_identifier] = ACTIONS(2895),
    [anon_sym_COLON] = ACTIONS(2515),
    [anon_sym_LBRACE] = ACTIONS(2898),
    [anon_sym_DOT] = ACTIONS(2515),
    [anon_sym__] = ACTIONS(1284),
    [anon_sym_LBRACK] = ACTIONS(2520),
    [anon_sym_PLUS] = ACTIONS(1286),
    [anon_sym_DASH] = ACTIONS(1286),
    [anon_sym_end] = ACTIONS(2901),
    [anon_sym_if] = ACTIONS(1710),
    [anon_sym_while] = ACTIONS(1712),
    [anon_sym_for] = ACTIONS(1714),
    [anon_sym_match] = ACTIONS(2515),
    [anon_sym_try] = ACTIONS(1716),
    [anon_sym_new] = ACTIONS(1290),
    [anon_sym_EQ] = ACTIONS(2515),
    [anon_sym_opaque] = ACTIONS(2901),
    [anon_sym_implicit] = ACTIONS(1718),
    [anon_sym_inline] = ACTIONS(2904),
    [anon_sym_infix] = ACTIONS(2901),
    [anon_sym_open] = ACTIONS(2901),
    [anon_sym_transparent] = ACTIONS(2901),
    [anon_sym_LPAREN] = ACTIONS(2907),
    [anon_sym_macro] = ACTIONS(1720),
    [anon_sym_BANG] = ACTIONS(1286),
    [anon_sym_TILDE] = ACTIONS(1286),
    [anon_sym_DOLLAR] = ACTIONS(1296),
    [anon_sym_SQUOTE] = ACTIONS(1298),
    [sym__backquoted_id] = ACTIONS(2910),
    [sym_operator_identifier] = ACTIONS(2913),
    [sym_integer_literal] = ACTIONS(1304),
    [sym_floating_point_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1308),
    [anon_sym_false] = ACTIONS(1308),
    [sym_character_literal] = ACTIONS(1306),
    [sym_null_literal] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(1724),
    [anon_sym_throw] = ACTIONS(1726),
    [anon_sym_do] = ACTIONS(2916),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1312),
    [sym__simple_string] = ACTIONS(1312),
  },
  [689] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(16957),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym__if_condition] = STATE(1200),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(4065),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(689),
    [sym_block_comment] = STATE(689),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2508),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [690] = {
    [sym_inline_modifier] = STATE(2149),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13321),
    [sym__simple_expression] = STATE(7109),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15656),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10005),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6267),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(8706),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(690),
    [sym_block_comment] = STATE(690),
    [sym__alpha_identifier] = ACTIONS(2919),
    [anon_sym_COLON] = ACTIONS(2515),
    [anon_sym_LBRACE] = ACTIONS(2922),
    [anon_sym_DOT] = ACTIONS(2515),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_LBRACK] = ACTIONS(2520),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(2925),
    [anon_sym_if] = ACTIONS(2928),
    [anon_sym_while] = ACTIONS(2793),
    [anon_sym_for] = ACTIONS(2795),
    [anon_sym_match] = ACTIONS(2515),
    [anon_sym_try] = ACTIONS(2797),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_EQ] = ACTIONS(2515),
    [anon_sym_opaque] = ACTIONS(2925),
    [anon_sym_implicit] = ACTIONS(2799),
    [anon_sym_inline] = ACTIONS(2930),
    [anon_sym_infix] = ACTIONS(2925),
    [anon_sym_open] = ACTIONS(2925),
    [anon_sym_transparent] = ACTIONS(2925),
    [anon_sym_LPAREN] = ACTIONS(2933),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(2936),
    [sym_operator_identifier] = ACTIONS(2939),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(2803),
    [anon_sym_throw] = ACTIONS(2805),
    [anon_sym_do] = ACTIONS(2942),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [691] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(16957),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym__if_condition] = STATE(1146),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(4065),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(691),
    [sym_block_comment] = STATE(691),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2508),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [692] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(16957),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym__if_condition] = STATE(856),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(4065),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(692),
    [sym_block_comment] = STATE(692),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2508),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [693] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(16957),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym__if_condition] = STATE(1626),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(4065),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(693),
    [sym_block_comment] = STATE(693),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2508),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [694] = {
    [sym_inline_modifier] = STATE(2246),
    [sym_block] = STATE(8360),
    [sym_expression] = STATE(12660),
    [sym__simple_expression] = STATE(5440),
    [sym_lambda_expression] = STATE(13229),
    [sym_if_expression] = STATE(13229),
    [sym_match_expression] = STATE(13229),
    [sym_try_expression] = STATE(13229),
    [sym_bindings] = STATE(15490),
    [sym_case_block] = STATE(8360),
    [sym_assignment_expression] = STATE(13229),
    [sym_generic_function] = STATE(8360),
    [sym_call_expression] = STATE(8360),
    [sym_field_expression] = STATE(8360),
    [sym_instance_expression] = STATE(8360),
    [sym_ascription_expression] = STATE(13229),
    [sym_infix_expression] = STATE(9581),
    [sym_postfix_expression] = STATE(12866),
    [sym__postfix_expression_choice] = STATE(15971),
    [sym_macro_body] = STATE(13229),
    [sym_prefix_expression] = STATE(9366),
    [sym_tuple_expression] = STATE(8360),
    [sym_parenthesized_expression] = STATE(8360),
    [sym_splice_expression] = STATE(8360),
    [sym_quote_expression] = STATE(8360),
    [sym_identifier] = STATE(5277),
    [sym__soft_identifier] = STATE(5563),
    [sym_wildcard] = STATE(7446),
    [sym__non_null_literal] = STATE(8360),
    [sym_boolean_literal] = STATE(8269),
    [sym_interpolated_string_expression] = STATE(8360),
    [sym_string] = STATE(8269),
    [sym_unit] = STATE(8360),
    [sym_return_expression] = STATE(13229),
    [sym_throw_expression] = STATE(13229),
    [sym_while_expression] = STATE(13229),
    [sym_do_while_expression] = STATE(13229),
    [sym_for_expression] = STATE(13229),
    [sym_comment] = STATE(694),
    [sym_block_comment] = STATE(694),
    [sym__alpha_identifier] = ACTIONS(2945),
    [anon_sym_COLON] = ACTIONS(2515),
    [anon_sym_LBRACE] = ACTIONS(2948),
    [anon_sym_DOT] = ACTIONS(2515),
    [anon_sym__] = ACTIONS(1248),
    [anon_sym_LBRACK] = ACTIONS(2520),
    [anon_sym_PLUS] = ACTIONS(1250),
    [anon_sym_DASH] = ACTIONS(1250),
    [anon_sym_end] = ACTIONS(2951),
    [anon_sym_if] = ACTIONS(2210),
    [anon_sym_while] = ACTIONS(2030),
    [anon_sym_for] = ACTIONS(2032),
    [anon_sym_match] = ACTIONS(2515),
    [anon_sym_try] = ACTIONS(2034),
    [anon_sym_new] = ACTIONS(1254),
    [anon_sym_EQ] = ACTIONS(2515),
    [anon_sym_opaque] = ACTIONS(2951),
    [anon_sym_implicit] = ACTIONS(2036),
    [anon_sym_inline] = ACTIONS(2954),
    [anon_sym_infix] = ACTIONS(2951),
    [anon_sym_open] = ACTIONS(2951),
    [anon_sym_transparent] = ACTIONS(2951),
    [anon_sym_LPAREN] = ACTIONS(2957),
    [anon_sym_macro] = ACTIONS(1664),
    [anon_sym_BANG] = ACTIONS(1250),
    [anon_sym_TILDE] = ACTIONS(1250),
    [anon_sym_DOLLAR] = ACTIONS(1260),
    [anon_sym_SQUOTE] = ACTIONS(1262),
    [sym__backquoted_id] = ACTIONS(2960),
    [sym_operator_identifier] = ACTIONS(2963),
    [sym_integer_literal] = ACTIONS(1268),
    [sym_floating_point_literal] = ACTIONS(1270),
    [anon_sym_true] = ACTIONS(1272),
    [anon_sym_false] = ACTIONS(1272),
    [sym_character_literal] = ACTIONS(1270),
    [sym_null_literal] = ACTIONS(1274),
    [anon_sym_return] = ACTIONS(2040),
    [anon_sym_throw] = ACTIONS(2042),
    [anon_sym_do] = ACTIONS(2966),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1276),
    [sym__simple_string] = ACTIONS(1276),
  },
  [695] = {
    [sym_inline_modifier] = STATE(2269),
    [sym_block] = STATE(8070),
    [sym_expression] = STATE(12625),
    [sym__simple_expression] = STATE(5679),
    [sym_lambda_expression] = STATE(12742),
    [sym_if_expression] = STATE(12742),
    [sym_match_expression] = STATE(12742),
    [sym_try_expression] = STATE(12742),
    [sym_bindings] = STATE(15536),
    [sym_case_block] = STATE(8070),
    [sym_assignment_expression] = STATE(12742),
    [sym_generic_function] = STATE(8070),
    [sym_call_expression] = STATE(8070),
    [sym_field_expression] = STATE(8070),
    [sym_instance_expression] = STATE(8070),
    [sym_ascription_expression] = STATE(12742),
    [sym_infix_expression] = STATE(8913),
    [sym_postfix_expression] = STATE(12343),
    [sym__postfix_expression_choice] = STATE(16230),
    [sym_macro_body] = STATE(12742),
    [sym_prefix_expression] = STATE(9483),
    [sym_tuple_expression] = STATE(8070),
    [sym_parenthesized_expression] = STATE(8070),
    [sym_splice_expression] = STATE(8070),
    [sym_quote_expression] = STATE(8070),
    [sym_identifier] = STATE(4999),
    [sym__soft_identifier] = STATE(5234),
    [sym_wildcard] = STATE(8075),
    [sym__non_null_literal] = STATE(8070),
    [sym_boolean_literal] = STATE(8055),
    [sym_interpolated_string_expression] = STATE(8070),
    [sym_string] = STATE(8055),
    [sym_unit] = STATE(8070),
    [sym_return_expression] = STATE(12742),
    [sym_throw_expression] = STATE(12742),
    [sym_while_expression] = STATE(12742),
    [sym_do_while_expression] = STATE(12742),
    [sym_for_expression] = STATE(12742),
    [sym_comment] = STATE(695),
    [sym_block_comment] = STATE(695),
    [sym__alpha_identifier] = ACTIONS(2969),
    [anon_sym_COLON] = ACTIONS(2515),
    [anon_sym_LBRACE] = ACTIONS(2972),
    [anon_sym_DOT] = ACTIONS(2515),
    [anon_sym__] = ACTIONS(1320),
    [anon_sym_LBRACK] = ACTIONS(2520),
    [anon_sym_PLUS] = ACTIONS(1322),
    [anon_sym_DASH] = ACTIONS(1322),
    [anon_sym_end] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(1730),
    [anon_sym_while] = ACTIONS(1732),
    [anon_sym_for] = ACTIONS(1734),
    [anon_sym_match] = ACTIONS(2515),
    [anon_sym_try] = ACTIONS(1736),
    [anon_sym_new] = ACTIONS(1326),
    [anon_sym_EQ] = ACTIONS(2515),
    [anon_sym_opaque] = ACTIONS(2975),
    [anon_sym_implicit] = ACTIONS(1738),
    [anon_sym_inline] = ACTIONS(2978),
    [anon_sym_infix] = ACTIONS(2975),
    [anon_sym_open] = ACTIONS(2975),
    [anon_sym_transparent] = ACTIONS(2975),
    [anon_sym_LPAREN] = ACTIONS(2981),
    [anon_sym_macro] = ACTIONS(1740),
    [anon_sym_BANG] = ACTIONS(1322),
    [anon_sym_TILDE] = ACTIONS(1322),
    [anon_sym_DOLLAR] = ACTIONS(1332),
    [anon_sym_SQUOTE] = ACTIONS(1334),
    [sym__backquoted_id] = ACTIONS(2984),
    [sym_operator_identifier] = ACTIONS(2987),
    [sym_integer_literal] = ACTIONS(1340),
    [sym_floating_point_literal] = ACTIONS(1342),
    [anon_sym_true] = ACTIONS(1344),
    [anon_sym_false] = ACTIONS(1344),
    [sym_character_literal] = ACTIONS(1342),
    [sym_null_literal] = ACTIONS(1346),
    [anon_sym_return] = ACTIONS(1744),
    [anon_sym_throw] = ACTIONS(1746),
    [anon_sym_do] = ACTIONS(2990),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1348),
    [sym__simple_string] = ACTIONS(1348),
  },
  [696] = {
    [sym_inline_modifier] = STATE(2067),
    [sym_block] = STATE(10133),
    [sym_expression] = STATE(13664),
    [sym__simple_expression] = STATE(7525),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15728),
    [sym_case_block] = STATE(10133),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(10133),
    [sym_call_expression] = STATE(10133),
    [sym_field_expression] = STATE(10133),
    [sym_instance_expression] = STATE(10133),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(10489),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(17114),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10321),
    [sym_tuple_expression] = STATE(10133),
    [sym_parenthesized_expression] = STATE(10133),
    [sym_splice_expression] = STATE(10133),
    [sym_quote_expression] = STATE(10133),
    [sym_identifier] = STATE(7070),
    [sym__soft_identifier] = STATE(4482),
    [sym_wildcard] = STATE(9321),
    [sym__non_null_literal] = STATE(10133),
    [sym_boolean_literal] = STATE(7065),
    [sym_interpolated_string_expression] = STATE(10133),
    [sym_string] = STATE(7065),
    [sym_unit] = STATE(10133),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(696),
    [sym_block_comment] = STATE(696),
    [sym__alpha_identifier] = ACTIONS(2993),
    [anon_sym_COLON] = ACTIONS(2515),
    [anon_sym_LBRACE] = ACTIONS(2996),
    [anon_sym_DOT] = ACTIONS(2515),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_LBRACK] = ACTIONS(2520),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_end] = ACTIONS(2999),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_match] = ACTIONS(2515),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_EQ] = ACTIONS(2515),
    [anon_sym_opaque] = ACTIONS(2999),
    [anon_sym_implicit] = ACTIONS(3002),
    [anon_sym_inline] = ACTIONS(3004),
    [anon_sym_infix] = ACTIONS(2999),
    [anon_sym_open] = ACTIONS(2999),
    [anon_sym_transparent] = ACTIONS(2999),
    [anon_sym_LPAREN] = ACTIONS(3007),
    [anon_sym_macro] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(3010),
    [sym_operator_identifier] = ACTIONS(3013),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(95),
    [anon_sym_throw] = ACTIONS(97),
    [anon_sym_do] = ACTIONS(3016),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [697] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(16957),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym__if_condition] = STATE(1242),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(4065),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(697),
    [sym_block_comment] = STATE(697),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2508),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [698] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(16957),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym__if_condition] = STATE(915),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(4065),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(698),
    [sym_block_comment] = STATE(698),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2508),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [699] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(16957),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym__if_condition] = STATE(1159),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(4065),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(699),
    [sym_block_comment] = STATE(699),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2508),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [700] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(16957),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym__if_condition] = STATE(1618),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(4065),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(700),
    [sym_block_comment] = STATE(700),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2508),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [701] = {
    [sym_inline_modifier] = STATE(2049),
    [sym_block] = STATE(8262),
    [sym_expression] = STATE(12911),
    [sym__simple_expression] = STATE(5468),
    [sym_lambda_expression] = STATE(13098),
    [sym_if_expression] = STATE(13098),
    [sym_match_expression] = STATE(13098),
    [sym_try_expression] = STATE(13098),
    [sym_bindings] = STATE(15673),
    [sym_case_block] = STATE(8262),
    [sym_assignment_expression] = STATE(13098),
    [sym_generic_function] = STATE(8262),
    [sym_call_expression] = STATE(8262),
    [sym_field_expression] = STATE(8262),
    [sym_instance_expression] = STATE(8262),
    [sym_ascription_expression] = STATE(13098),
    [sym_infix_expression] = STATE(9485),
    [sym_postfix_expression] = STATE(12647),
    [sym__postfix_expression_choice] = STATE(16347),
    [sym_macro_body] = STATE(13098),
    [sym_prefix_expression] = STATE(9354),
    [sym_tuple_expression] = STATE(8262),
    [sym_parenthesized_expression] = STATE(8262),
    [sym_splice_expression] = STATE(8262),
    [sym_quote_expression] = STATE(8262),
    [sym_identifier] = STATE(5288),
    [sym__soft_identifier] = STATE(5419),
    [sym_wildcard] = STATE(7475),
    [sym__non_null_literal] = STATE(8262),
    [sym_boolean_literal] = STATE(8242),
    [sym_interpolated_string_expression] = STATE(8262),
    [sym_string] = STATE(8242),
    [sym_unit] = STATE(8262),
    [sym_return_expression] = STATE(13098),
    [sym_throw_expression] = STATE(13098),
    [sym_while_expression] = STATE(13098),
    [sym_do_while_expression] = STATE(13098),
    [sym_for_expression] = STATE(13098),
    [sym_comment] = STATE(701),
    [sym_block_comment] = STATE(701),
    [sym__alpha_identifier] = ACTIONS(2895),
    [anon_sym_COLON] = ACTIONS(2515),
    [anon_sym_LBRACE] = ACTIONS(2898),
    [anon_sym_DOT] = ACTIONS(2515),
    [anon_sym__] = ACTIONS(1284),
    [anon_sym_LBRACK] = ACTIONS(2520),
    [anon_sym_PLUS] = ACTIONS(1286),
    [anon_sym_DASH] = ACTIONS(1286),
    [anon_sym_end] = ACTIONS(2901),
    [anon_sym_if] = ACTIONS(2196),
    [anon_sym_while] = ACTIONS(2016),
    [anon_sym_for] = ACTIONS(2018),
    [anon_sym_match] = ACTIONS(2515),
    [anon_sym_try] = ACTIONS(2020),
    [anon_sym_new] = ACTIONS(1290),
    [anon_sym_EQ] = ACTIONS(2515),
    [anon_sym_opaque] = ACTIONS(2901),
    [anon_sym_implicit] = ACTIONS(2022),
    [anon_sym_inline] = ACTIONS(2904),
    [anon_sym_infix] = ACTIONS(2901),
    [anon_sym_open] = ACTIONS(2901),
    [anon_sym_transparent] = ACTIONS(2901),
    [anon_sym_LPAREN] = ACTIONS(2907),
    [anon_sym_macro] = ACTIONS(1720),
    [anon_sym_BANG] = ACTIONS(1286),
    [anon_sym_TILDE] = ACTIONS(1286),
    [anon_sym_DOLLAR] = ACTIONS(1296),
    [anon_sym_SQUOTE] = ACTIONS(1298),
    [sym__backquoted_id] = ACTIONS(2910),
    [sym_operator_identifier] = ACTIONS(3019),
    [sym_integer_literal] = ACTIONS(1304),
    [sym_floating_point_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1308),
    [anon_sym_false] = ACTIONS(1308),
    [sym_character_literal] = ACTIONS(1306),
    [sym_null_literal] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(2026),
    [anon_sym_throw] = ACTIONS(2028),
    [anon_sym_do] = ACTIONS(2916),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1312),
    [sym__simple_string] = ACTIONS(1312),
  },
  [702] = {
    [sym_inline_modifier] = STATE(2054),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(12268),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(7036),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(702),
    [sym_block_comment] = STATE(702),
    [sym__alpha_identifier] = ACTIONS(3022),
    [anon_sym_COLON] = ACTIONS(2515),
    [anon_sym_LBRACE] = ACTIONS(3025),
    [anon_sym_DOT] = ACTIONS(2515),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_LBRACK] = ACTIONS(2520),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(3028),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_match] = ACTIONS(2515),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_EQ] = ACTIONS(2515),
    [anon_sym_opaque] = ACTIONS(3028),
    [anon_sym_implicit] = ACTIONS(2807),
    [anon_sym_inline] = ACTIONS(3031),
    [anon_sym_infix] = ACTIONS(3028),
    [anon_sym_open] = ACTIONS(3028),
    [anon_sym_transparent] = ACTIONS(3028),
    [anon_sym_LPAREN] = ACTIONS(3034),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(3037),
    [sym_operator_identifier] = ACTIONS(3040),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(3016),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [703] = {
    [sym_inline_modifier] = STATE(2130),
    [sym_block] = STATE(9120),
    [sym_expression] = STATE(13147),
    [sym__simple_expression] = STATE(6353),
    [sym_lambda_expression] = STATE(13422),
    [sym_if_expression] = STATE(13422),
    [sym_match_expression] = STATE(13422),
    [sym_try_expression] = STATE(13422),
    [sym_bindings] = STATE(15752),
    [sym_case_block] = STATE(9120),
    [sym_assignment_expression] = STATE(13422),
    [sym_generic_function] = STATE(9120),
    [sym_call_expression] = STATE(9120),
    [sym_field_expression] = STATE(9120),
    [sym_instance_expression] = STATE(9120),
    [sym_ascription_expression] = STATE(13422),
    [sym_infix_expression] = STATE(9820),
    [sym_postfix_expression] = STATE(13148),
    [sym__postfix_expression_choice] = STATE(15936),
    [sym_macro_body] = STATE(13422),
    [sym_prefix_expression] = STATE(9828),
    [sym_tuple_expression] = STATE(9120),
    [sym_parenthesized_expression] = STATE(9120),
    [sym_splice_expression] = STATE(9120),
    [sym_quote_expression] = STATE(9120),
    [sym_identifier] = STATE(5669),
    [sym__soft_identifier] = STATE(6470),
    [sym_wildcard] = STATE(8444),
    [sym__non_null_literal] = STATE(9120),
    [sym_boolean_literal] = STATE(8928),
    [sym_interpolated_string_expression] = STATE(9120),
    [sym_string] = STATE(8928),
    [sym_unit] = STATE(9120),
    [sym_return_expression] = STATE(13422),
    [sym_throw_expression] = STATE(13422),
    [sym_while_expression] = STATE(13422),
    [sym_do_while_expression] = STATE(13422),
    [sym_for_expression] = STATE(13422),
    [sym_comment] = STATE(703),
    [sym_block_comment] = STATE(703),
    [sym__alpha_identifier] = ACTIONS(3043),
    [anon_sym_COLON] = ACTIONS(2515),
    [anon_sym_LBRACE] = ACTIONS(3046),
    [anon_sym_DOT] = ACTIONS(2515),
    [anon_sym__] = ACTIONS(1588),
    [anon_sym_LBRACK] = ACTIONS(2520),
    [anon_sym_PLUS] = ACTIONS(1590),
    [anon_sym_DASH] = ACTIONS(1590),
    [anon_sym_end] = ACTIONS(3049),
    [anon_sym_if] = ACTIONS(1864),
    [anon_sym_while] = ACTIONS(1866),
    [anon_sym_for] = ACTIONS(1868),
    [anon_sym_match] = ACTIONS(2515),
    [anon_sym_try] = ACTIONS(1870),
    [anon_sym_new] = ACTIONS(1594),
    [anon_sym_EQ] = ACTIONS(2515),
    [anon_sym_opaque] = ACTIONS(3049),
    [anon_sym_implicit] = ACTIONS(1872),
    [anon_sym_inline] = ACTIONS(3052),
    [anon_sym_infix] = ACTIONS(3049),
    [anon_sym_open] = ACTIONS(3049),
    [anon_sym_transparent] = ACTIONS(3049),
    [anon_sym_LPAREN] = ACTIONS(3055),
    [anon_sym_macro] = ACTIONS(1874),
    [anon_sym_BANG] = ACTIONS(1590),
    [anon_sym_TILDE] = ACTIONS(1590),
    [anon_sym_DOLLAR] = ACTIONS(1600),
    [anon_sym_SQUOTE] = ACTIONS(1602),
    [sym__backquoted_id] = ACTIONS(3058),
    [sym_operator_identifier] = ACTIONS(3061),
    [sym_integer_literal] = ACTIONS(1608),
    [sym_floating_point_literal] = ACTIONS(1610),
    [anon_sym_true] = ACTIONS(1612),
    [anon_sym_false] = ACTIONS(1612),
    [sym_character_literal] = ACTIONS(1610),
    [sym_null_literal] = ACTIONS(1614),
    [anon_sym_return] = ACTIONS(1878),
    [anon_sym_throw] = ACTIONS(1880),
    [anon_sym_do] = ACTIONS(3064),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1616),
    [sym__simple_string] = ACTIONS(1616),
  },
  [704] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(16957),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym__if_condition] = STATE(1225),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(4065),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(704),
    [sym_block_comment] = STATE(704),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2508),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [705] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(16957),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym__if_condition] = STATE(845),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(4065),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(705),
    [sym_block_comment] = STATE(705),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2508),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [706] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(16957),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym__if_condition] = STATE(1243),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(4065),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(706),
    [sym_block_comment] = STATE(706),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2508),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [707] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(16957),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym__if_condition] = STATE(1309),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(4065),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(707),
    [sym_block_comment] = STATE(707),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2508),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [708] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(16957),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym__if_condition] = STATE(1282),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(4065),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(708),
    [sym_block_comment] = STATE(708),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2508),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [709] = {
    [sym_inline_modifier] = STATE(2281),
    [sym_block] = STATE(6540),
    [sym_expression] = STATE(11396),
    [sym__simple_expression] = STATE(5304),
    [sym_lambda_expression] = STATE(11374),
    [sym_if_expression] = STATE(11374),
    [sym_match_expression] = STATE(11374),
    [sym_try_expression] = STATE(11374),
    [sym_bindings] = STATE(15689),
    [sym_case_block] = STATE(6540),
    [sym_assignment_expression] = STATE(11374),
    [sym_generic_function] = STATE(6540),
    [sym_call_expression] = STATE(6540),
    [sym_field_expression] = STATE(6540),
    [sym_instance_expression] = STATE(6540),
    [sym_ascription_expression] = STATE(11374),
    [sym_infix_expression] = STATE(7834),
    [sym_postfix_expression] = STATE(11215),
    [sym__postfix_expression_choice] = STATE(16210),
    [sym_macro_body] = STATE(11374),
    [sym_prefix_expression] = STATE(8725),
    [sym_tuple_expression] = STATE(6540),
    [sym_parenthesized_expression] = STATE(6540),
    [sym_splice_expression] = STATE(6540),
    [sym_quote_expression] = STATE(6540),
    [sym_identifier] = STATE(4721),
    [sym__soft_identifier] = STATE(4667),
    [sym_wildcard] = STATE(7076),
    [sym__non_null_literal] = STATE(6540),
    [sym_boolean_literal] = STATE(6246),
    [sym_interpolated_string_expression] = STATE(6540),
    [sym_string] = STATE(6246),
    [sym_unit] = STATE(6540),
    [sym_return_expression] = STATE(11374),
    [sym_throw_expression] = STATE(11374),
    [sym_while_expression] = STATE(11374),
    [sym_do_while_expression] = STATE(11374),
    [sym_for_expression] = STATE(11374),
    [sym_comment] = STATE(709),
    [sym_block_comment] = STATE(709),
    [sym__alpha_identifier] = ACTIONS(2683),
    [anon_sym_COLON] = ACTIONS(2515),
    [anon_sym_LBRACE] = ACTIONS(2686),
    [anon_sym_DOT] = ACTIONS(2515),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_LBRACK] = ACTIONS(2520),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(2689),
    [anon_sym_if] = ACTIONS(2238),
    [anon_sym_while] = ACTIONS(1568),
    [anon_sym_for] = ACTIONS(1570),
    [anon_sym_match] = ACTIONS(2515),
    [anon_sym_try] = ACTIONS(1572),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_EQ] = ACTIONS(2515),
    [anon_sym_opaque] = ACTIONS(2689),
    [anon_sym_implicit] = ACTIONS(1574),
    [anon_sym_inline] = ACTIONS(2692),
    [anon_sym_infix] = ACTIONS(2689),
    [anon_sym_open] = ACTIONS(2689),
    [anon_sym_transparent] = ACTIONS(2689),
    [anon_sym_LPAREN] = ACTIONS(2695),
    [anon_sym_macro] = ACTIONS(1540),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(2698),
    [sym_operator_identifier] = ACTIONS(3067),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1578),
    [anon_sym_throw] = ACTIONS(1580),
    [anon_sym_do] = ACTIONS(2704),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [710] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(16957),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym__if_condition] = STATE(1323),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(4065),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(710),
    [sym_block_comment] = STATE(710),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2508),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [711] = {
    [sym_inline_modifier] = STATE(2212),
    [sym_block] = STATE(9539),
    [sym_expression] = STATE(13415),
    [sym__simple_expression] = STATE(6249),
    [sym_lambda_expression] = STATE(11374),
    [sym_if_expression] = STATE(11374),
    [sym_match_expression] = STATE(11374),
    [sym_try_expression] = STATE(11374),
    [sym_bindings] = STATE(15480),
    [sym_case_block] = STATE(9539),
    [sym_assignment_expression] = STATE(11374),
    [sym_generic_function] = STATE(9539),
    [sym_call_expression] = STATE(9539),
    [sym_field_expression] = STATE(9539),
    [sym_instance_expression] = STATE(9539),
    [sym_ascription_expression] = STATE(11374),
    [sym_infix_expression] = STATE(10179),
    [sym_postfix_expression] = STATE(11215),
    [sym__postfix_expression_choice] = STATE(16190),
    [sym_macro_body] = STATE(11374),
    [sym_prefix_expression] = STATE(9816),
    [sym_tuple_expression] = STATE(9539),
    [sym_parenthesized_expression] = STATE(9539),
    [sym_splice_expression] = STATE(9539),
    [sym_quote_expression] = STATE(9539),
    [sym_identifier] = STATE(5934),
    [sym__soft_identifier] = STATE(4462),
    [sym_wildcard] = STATE(8175),
    [sym__non_null_literal] = STATE(9539),
    [sym_boolean_literal] = STATE(5971),
    [sym_interpolated_string_expression] = STATE(9539),
    [sym_string] = STATE(5971),
    [sym_unit] = STATE(9539),
    [sym_return_expression] = STATE(11374),
    [sym_throw_expression] = STATE(11374),
    [sym_while_expression] = STATE(11374),
    [sym_do_while_expression] = STATE(11374),
    [sym_for_expression] = STATE(11374),
    [sym_comment] = STATE(711),
    [sym_block_comment] = STATE(711),
    [sym__alpha_identifier] = ACTIONS(3070),
    [anon_sym_COLON] = ACTIONS(2515),
    [anon_sym_LBRACE] = ACTIONS(3073),
    [anon_sym_DOT] = ACTIONS(2515),
    [anon_sym__] = ACTIONS(1450),
    [anon_sym_LBRACK] = ACTIONS(2520),
    [anon_sym_PLUS] = ACTIONS(1452),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_end] = ACTIONS(3076),
    [anon_sym_if] = ACTIONS(1802),
    [anon_sym_while] = ACTIONS(1804),
    [anon_sym_for] = ACTIONS(1806),
    [anon_sym_match] = ACTIONS(2515),
    [anon_sym_try] = ACTIONS(1808),
    [anon_sym_new] = ACTIONS(1456),
    [anon_sym_EQ] = ACTIONS(2515),
    [anon_sym_opaque] = ACTIONS(3076),
    [anon_sym_implicit] = ACTIONS(1810),
    [anon_sym_inline] = ACTIONS(3079),
    [anon_sym_infix] = ACTIONS(3076),
    [anon_sym_open] = ACTIONS(3076),
    [anon_sym_transparent] = ACTIONS(3076),
    [anon_sym_LPAREN] = ACTIONS(3082),
    [anon_sym_macro] = ACTIONS(1812),
    [anon_sym_BANG] = ACTIONS(1452),
    [anon_sym_TILDE] = ACTIONS(1452),
    [anon_sym_DOLLAR] = ACTIONS(1462),
    [anon_sym_SQUOTE] = ACTIONS(1464),
    [sym__backquoted_id] = ACTIONS(3085),
    [sym_operator_identifier] = ACTIONS(3088),
    [sym_integer_literal] = ACTIONS(1470),
    [sym_floating_point_literal] = ACTIONS(1472),
    [anon_sym_true] = ACTIONS(1474),
    [anon_sym_false] = ACTIONS(1474),
    [sym_character_literal] = ACTIONS(1472),
    [sym_null_literal] = ACTIONS(1476),
    [anon_sym_return] = ACTIONS(1816),
    [anon_sym_throw] = ACTIONS(1818),
    [anon_sym_do] = ACTIONS(2704),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1478),
    [sym__simple_string] = ACTIONS(1478),
  },
  [712] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(16957),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym__if_condition] = STATE(1351),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(4065),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(712),
    [sym_block_comment] = STATE(712),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2508),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [713] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(16957),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym__if_condition] = STATE(810),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(4065),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(713),
    [sym_block_comment] = STATE(713),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2508),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [714] = {
    [sym_inline_modifier] = STATE(2132),
    [sym_block] = STATE(6738),
    [sym_expression] = STATE(12102),
    [sym__simple_expression] = STATE(6097),
    [sym_lambda_expression] = STATE(12430),
    [sym_if_expression] = STATE(12430),
    [sym_match_expression] = STATE(12430),
    [sym_try_expression] = STATE(12430),
    [sym_bindings] = STATE(15718),
    [sym_case_block] = STATE(6738),
    [sym_assignment_expression] = STATE(12430),
    [sym_generic_function] = STATE(6738),
    [sym_call_expression] = STATE(6738),
    [sym_field_expression] = STATE(6738),
    [sym_instance_expression] = STATE(6738),
    [sym_ascription_expression] = STATE(12430),
    [sym_infix_expression] = STATE(8389),
    [sym_postfix_expression] = STATE(11930),
    [sym__postfix_expression_choice] = STATE(15885),
    [sym_macro_body] = STATE(12430),
    [sym_prefix_expression] = STATE(9761),
    [sym_tuple_expression] = STATE(6738),
    [sym_parenthesized_expression] = STATE(6738),
    [sym_splice_expression] = STATE(6738),
    [sym_quote_expression] = STATE(6738),
    [sym_identifier] = STATE(5458),
    [sym__soft_identifier] = STATE(4943),
    [sym_wildcard] = STATE(8612),
    [sym__non_null_literal] = STATE(6738),
    [sym_boolean_literal] = STATE(7301),
    [sym_interpolated_string_expression] = STATE(6738),
    [sym_string] = STATE(7301),
    [sym_unit] = STATE(6738),
    [sym_return_expression] = STATE(12430),
    [sym_throw_expression] = STATE(12430),
    [sym_while_expression] = STATE(12430),
    [sym_do_while_expression] = STATE(12430),
    [sym_for_expression] = STATE(12430),
    [sym_comment] = STATE(714),
    [sym_block_comment] = STATE(714),
    [sym__alpha_identifier] = ACTIONS(2812),
    [anon_sym_COLON] = ACTIONS(2515),
    [anon_sym_LBRACE] = ACTIONS(2815),
    [anon_sym_DOT] = ACTIONS(2515),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_LBRACK] = ACTIONS(2520),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(2818),
    [anon_sym_if] = ACTIONS(2430),
    [anon_sym_while] = ACTIONS(2432),
    [anon_sym_for] = ACTIONS(2434),
    [anon_sym_match] = ACTIONS(2515),
    [anon_sym_try] = ACTIONS(2436),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_EQ] = ACTIONS(2515),
    [anon_sym_opaque] = ACTIONS(2818),
    [anon_sym_implicit] = ACTIONS(2438),
    [anon_sym_inline] = ACTIONS(2821),
    [anon_sym_infix] = ACTIONS(2818),
    [anon_sym_open] = ACTIONS(2818),
    [anon_sym_transparent] = ACTIONS(2818),
    [anon_sym_LPAREN] = ACTIONS(2824),
    [anon_sym_macro] = ACTIONS(1360),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(2827),
    [sym_operator_identifier] = ACTIONS(3091),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(2442),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2833),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [715] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(16957),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym__if_condition] = STATE(1392),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(4065),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(715),
    [sym_block_comment] = STATE(715),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2508),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [716] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(16957),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym__if_condition] = STATE(1366),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(4065),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(716),
    [sym_block_comment] = STATE(716),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2508),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [717] = {
    [sym_inline_modifier] = STATE(2122),
    [sym_block] = STATE(6703),
    [sym_expression] = STATE(12167),
    [sym__simple_expression] = STATE(6037),
    [sym_lambda_expression] = STATE(12046),
    [sym_if_expression] = STATE(12046),
    [sym_match_expression] = STATE(12046),
    [sym_try_expression] = STATE(12046),
    [sym_bindings] = STATE(15638),
    [sym_case_block] = STATE(6703),
    [sym_assignment_expression] = STATE(12046),
    [sym_generic_function] = STATE(6703),
    [sym_call_expression] = STATE(6703),
    [sym_field_expression] = STATE(6703),
    [sym_instance_expression] = STATE(6703),
    [sym_ascription_expression] = STATE(12046),
    [sym_infix_expression] = STATE(8166),
    [sym_postfix_expression] = STATE(11496),
    [sym__postfix_expression_choice] = STATE(15827),
    [sym_macro_body] = STATE(12046),
    [sym_prefix_expression] = STATE(9715),
    [sym_tuple_expression] = STATE(6703),
    [sym_parenthesized_expression] = STATE(6703),
    [sym_splice_expression] = STATE(6703),
    [sym_quote_expression] = STATE(6703),
    [sym_identifier] = STATE(5641),
    [sym__soft_identifier] = STATE(4884),
    [sym_wildcard] = STATE(8386),
    [sym__non_null_literal] = STATE(6703),
    [sym_boolean_literal] = STATE(6780),
    [sym_interpolated_string_expression] = STATE(6703),
    [sym_string] = STATE(6780),
    [sym_unit] = STATE(6703),
    [sym_return_expression] = STATE(12046),
    [sym_throw_expression] = STATE(12046),
    [sym_while_expression] = STATE(12046),
    [sym_do_while_expression] = STATE(12046),
    [sym_for_expression] = STATE(12046),
    [sym_comment] = STATE(717),
    [sym_block_comment] = STATE(717),
    [sym__alpha_identifier] = ACTIONS(2512),
    [anon_sym_COLON] = ACTIONS(2515),
    [anon_sym_LBRACE] = ACTIONS(2517),
    [anon_sym_DOT] = ACTIONS(2515),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_LBRACK] = ACTIONS(2520),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(2522),
    [anon_sym_if] = ACTIONS(1838),
    [anon_sym_while] = ACTIONS(1840),
    [anon_sym_for] = ACTIONS(1842),
    [anon_sym_match] = ACTIONS(2515),
    [anon_sym_try] = ACTIONS(1844),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_EQ] = ACTIONS(2515),
    [anon_sym_opaque] = ACTIONS(2522),
    [anon_sym_implicit] = ACTIONS(1846),
    [anon_sym_inline] = ACTIONS(2525),
    [anon_sym_infix] = ACTIONS(2522),
    [anon_sym_open] = ACTIONS(2522),
    [anon_sym_transparent] = ACTIONS(2522),
    [anon_sym_LPAREN] = ACTIONS(2528),
    [anon_sym_macro] = ACTIONS(1848),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(2531),
    [sym_operator_identifier] = ACTIONS(3094),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(1852),
    [anon_sym_throw] = ACTIONS(1854),
    [anon_sym_do] = ACTIONS(2537),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [718] = {
    [sym_inline_modifier] = STATE(2259),
    [sym_block] = STATE(8070),
    [sym_expression] = STATE(12625),
    [sym__simple_expression] = STATE(7077),
    [sym_lambda_expression] = STATE(12742),
    [sym_if_expression] = STATE(12742),
    [sym_match_expression] = STATE(12742),
    [sym_try_expression] = STATE(12742),
    [sym_bindings] = STATE(15598),
    [sym_case_block] = STATE(8070),
    [sym_assignment_expression] = STATE(12742),
    [sym_generic_function] = STATE(8070),
    [sym_call_expression] = STATE(8070),
    [sym_field_expression] = STATE(8070),
    [sym_instance_expression] = STATE(8070),
    [sym_ascription_expression] = STATE(12742),
    [sym_infix_expression] = STATE(8913),
    [sym_postfix_expression] = STATE(12343),
    [sym__postfix_expression_choice] = STATE(16230),
    [sym_macro_body] = STATE(12742),
    [sym_prefix_expression] = STATE(10037),
    [sym_tuple_expression] = STATE(8070),
    [sym_parenthesized_expression] = STATE(8070),
    [sym_splice_expression] = STATE(8070),
    [sym_quote_expression] = STATE(8070),
    [sym_identifier] = STATE(6308),
    [sym__soft_identifier] = STATE(5234),
    [sym_wildcard] = STATE(8710),
    [sym__non_null_literal] = STATE(8070),
    [sym_boolean_literal] = STATE(8055),
    [sym_interpolated_string_expression] = STATE(8070),
    [sym_string] = STATE(8055),
    [sym_unit] = STATE(8070),
    [sym_return_expression] = STATE(12742),
    [sym_throw_expression] = STATE(12742),
    [sym_while_expression] = STATE(12742),
    [sym_do_while_expression] = STATE(12742),
    [sym_for_expression] = STATE(12742),
    [sym_comment] = STATE(718),
    [sym_block_comment] = STATE(718),
    [sym__alpha_identifier] = ACTIONS(2969),
    [anon_sym_COLON] = ACTIONS(2515),
    [anon_sym_LBRACE] = ACTIONS(2972),
    [anon_sym_DOT] = ACTIONS(2515),
    [anon_sym__] = ACTIONS(1320),
    [anon_sym_LBRACK] = ACTIONS(2520),
    [anon_sym_PLUS] = ACTIONS(1322),
    [anon_sym_DASH] = ACTIONS(1322),
    [anon_sym_end] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2486),
    [anon_sym_while] = ACTIONS(2488),
    [anon_sym_for] = ACTIONS(2490),
    [anon_sym_match] = ACTIONS(2515),
    [anon_sym_try] = ACTIONS(2492),
    [anon_sym_new] = ACTIONS(1326),
    [anon_sym_EQ] = ACTIONS(2515),
    [anon_sym_opaque] = ACTIONS(2975),
    [anon_sym_implicit] = ACTIONS(2494),
    [anon_sym_inline] = ACTIONS(2978),
    [anon_sym_infix] = ACTIONS(2975),
    [anon_sym_open] = ACTIONS(2975),
    [anon_sym_transparent] = ACTIONS(2975),
    [anon_sym_LPAREN] = ACTIONS(2981),
    [anon_sym_macro] = ACTIONS(1740),
    [anon_sym_BANG] = ACTIONS(1322),
    [anon_sym_TILDE] = ACTIONS(1322),
    [anon_sym_DOLLAR] = ACTIONS(1332),
    [anon_sym_SQUOTE] = ACTIONS(1334),
    [sym__backquoted_id] = ACTIONS(2984),
    [sym_operator_identifier] = ACTIONS(3097),
    [sym_integer_literal] = ACTIONS(1340),
    [sym_floating_point_literal] = ACTIONS(1342),
    [anon_sym_true] = ACTIONS(1344),
    [anon_sym_false] = ACTIONS(1344),
    [sym_character_literal] = ACTIONS(1342),
    [sym_null_literal] = ACTIONS(1346),
    [anon_sym_return] = ACTIONS(2498),
    [anon_sym_throw] = ACTIONS(2500),
    [anon_sym_do] = ACTIONS(2990),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1348),
    [sym__simple_string] = ACTIONS(1348),
  },
  [719] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(16957),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym__if_condition] = STATE(1383),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(4065),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(719),
    [sym_block_comment] = STATE(719),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2508),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [720] = {
    [sym_inline_modifier] = STATE(2189),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13321),
    [sym__simple_expression] = STATE(7289),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15762),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10205),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10142),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6081),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(8816),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(720),
    [sym_block_comment] = STATE(720),
    [sym__alpha_identifier] = ACTIONS(2919),
    [anon_sym_COLON] = ACTIONS(2515),
    [anon_sym_LBRACE] = ACTIONS(2922),
    [anon_sym_DOT] = ACTIONS(2515),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_LBRACK] = ACTIONS(2520),
    [anon_sym_PLUS] = ACTIONS(569),
    [anon_sym_DASH] = ACTIONS(569),
    [anon_sym_end] = ACTIONS(2925),
    [anon_sym_if] = ACTIONS(571),
    [anon_sym_while] = ACTIONS(573),
    [anon_sym_for] = ACTIONS(575),
    [anon_sym_match] = ACTIONS(2515),
    [anon_sym_try] = ACTIONS(577),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_EQ] = ACTIONS(2515),
    [anon_sym_opaque] = ACTIONS(2925),
    [anon_sym_implicit] = ACTIONS(2248),
    [anon_sym_inline] = ACTIONS(3100),
    [anon_sym_infix] = ACTIONS(2925),
    [anon_sym_open] = ACTIONS(2925),
    [anon_sym_transparent] = ACTIONS(2925),
    [anon_sym_LPAREN] = ACTIONS(2933),
    [anon_sym_macro] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(569),
    [anon_sym_TILDE] = ACTIONS(569),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(2936),
    [sym_operator_identifier] = ACTIONS(3103),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(589),
    [anon_sym_throw] = ACTIONS(591),
    [anon_sym_do] = ACTIONS(2942),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [721] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(16957),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym__if_condition] = STATE(1407),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(4065),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(721),
    [sym_block_comment] = STATE(721),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2508),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [722] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(16957),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym__if_condition] = STATE(831),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(4065),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(722),
    [sym_block_comment] = STATE(722),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2508),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [723] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(16957),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym__if_condition] = STATE(1409),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(4065),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(723),
    [sym_block_comment] = STATE(723),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2508),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [724] = {
    [sym_inline_modifier] = STATE(2259),
    [sym_block] = STATE(8070),
    [sym_expression] = STATE(12600),
    [sym__simple_expression] = STATE(7077),
    [sym_lambda_expression] = STATE(12742),
    [sym_if_expression] = STATE(12742),
    [sym_match_expression] = STATE(12742),
    [sym_try_expression] = STATE(12742),
    [sym_bindings] = STATE(15598),
    [sym_case_block] = STATE(8070),
    [sym_assignment_expression] = STATE(12742),
    [sym_generic_function] = STATE(8070),
    [sym_call_expression] = STATE(8070),
    [sym_field_expression] = STATE(8070),
    [sym_instance_expression] = STATE(8070),
    [sym_ascription_expression] = STATE(12742),
    [sym_infix_expression] = STATE(8913),
    [sym_postfix_expression] = STATE(12343),
    [sym__postfix_expression_choice] = STATE(16230),
    [sym_macro_body] = STATE(12742),
    [sym_prefix_expression] = STATE(10037),
    [sym_tuple_expression] = STATE(8070),
    [sym_parenthesized_expression] = STATE(8070),
    [sym_splice_expression] = STATE(8070),
    [sym_quote_expression] = STATE(8070),
    [sym_identifier] = STATE(6308),
    [sym__soft_identifier] = STATE(5234),
    [sym_wildcard] = STATE(8710),
    [sym__non_null_literal] = STATE(8070),
    [sym_boolean_literal] = STATE(8055),
    [sym_interpolated_string_expression] = STATE(8070),
    [sym_string] = STATE(8055),
    [sym_unit] = STATE(8070),
    [sym_return_expression] = STATE(12742),
    [sym_throw_expression] = STATE(12742),
    [sym_while_expression] = STATE(12742),
    [sym_do_while_expression] = STATE(12742),
    [sym_for_expression] = STATE(12742),
    [sym_comment] = STATE(724),
    [sym_block_comment] = STATE(724),
    [sym__alpha_identifier] = ACTIONS(1314),
    [anon_sym_LBRACE] = ACTIONS(1318),
    [anon_sym__] = ACTIONS(1320),
    [anon_sym_LBRACK] = ACTIONS(1148),
    [anon_sym_PLUS] = ACTIONS(1322),
    [anon_sym_DASH] = ACTIONS(1322),
    [anon_sym_end] = ACTIONS(1324),
    [anon_sym_if] = ACTIONS(2486),
    [anon_sym_while] = ACTIONS(1150),
    [anon_sym_for] = ACTIONS(2490),
    [anon_sym_match] = ACTIONS(1150),
    [anon_sym_try] = ACTIONS(2492),
    [anon_sym_new] = ACTIONS(1326),
    [anon_sym_opaque] = ACTIONS(1324),
    [anon_sym_implicit] = ACTIONS(2494),
    [anon_sym_inline] = ACTIONS(1328),
    [anon_sym_infix] = ACTIONS(1324),
    [anon_sym_open] = ACTIONS(1324),
    [anon_sym_transparent] = ACTIONS(1324),
    [anon_sym_LPAREN] = ACTIONS(1330),
    [anon_sym_SEMI] = ACTIONS(1148),
    [anon_sym_else] = ACTIONS(1150),
    [anon_sym_finally] = ACTIONS(1150),
    [anon_sym_macro] = ACTIONS(1740),
    [anon_sym_BANG] = ACTIONS(1322),
    [anon_sym_TILDE] = ACTIONS(1322),
    [anon_sym_DOLLAR] = ACTIONS(1332),
    [anon_sym_SQUOTE] = ACTIONS(1334),
    [sym__backquoted_id] = ACTIONS(1336),
    [sym_operator_identifier] = ACTIONS(2496),
    [sym_integer_literal] = ACTIONS(1340),
    [sym_floating_point_literal] = ACTIONS(1342),
    [anon_sym_true] = ACTIONS(1344),
    [anon_sym_false] = ACTIONS(1344),
    [sym_character_literal] = ACTIONS(1342),
    [sym_null_literal] = ACTIONS(1346),
    [anon_sym_return] = ACTIONS(2498),
    [anon_sym_throw] = ACTIONS(2500),
    [anon_sym_do] = ACTIONS(1748),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1348),
    [sym__simple_string] = ACTIONS(1348),
  },
  [725] = {
    [sym_inline_modifier] = STATE(2040),
    [sym_block] = STATE(8375),
    [sym_expression] = STATE(12917),
    [sym__simple_expression] = STATE(7538),
    [sym_lambda_expression] = STATE(13185),
    [sym_if_expression] = STATE(13185),
    [sym_match_expression] = STATE(13185),
    [sym_try_expression] = STATE(13185),
    [sym_bindings] = STATE(15594),
    [sym_case_block] = STATE(8375),
    [sym_assignment_expression] = STATE(13185),
    [sym_generic_function] = STATE(8375),
    [sym_call_expression] = STATE(8375),
    [sym_field_expression] = STATE(8375),
    [sym_instance_expression] = STATE(8375),
    [sym_ascription_expression] = STATE(13185),
    [sym_infix_expression] = STATE(9364),
    [sym_postfix_expression] = STATE(12809),
    [sym__postfix_expression_choice] = STATE(16440),
    [sym_macro_body] = STATE(13185),
    [sym_prefix_expression] = STATE(10274),
    [sym_tuple_expression] = STATE(8375),
    [sym_parenthesized_expression] = STATE(8375),
    [sym_splice_expression] = STATE(8375),
    [sym_quote_expression] = STATE(8375),
    [sym_identifier] = STATE(7110),
    [sym__soft_identifier] = STATE(5430),
    [sym_wildcard] = STATE(9287),
    [sym__non_null_literal] = STATE(8375),
    [sym_boolean_literal] = STATE(8117),
    [sym_interpolated_string_expression] = STATE(8375),
    [sym_string] = STATE(8117),
    [sym_unit] = STATE(8375),
    [sym_return_expression] = STATE(13185),
    [sym_throw_expression] = STATE(13185),
    [sym_while_expression] = STATE(13185),
    [sym_do_while_expression] = STATE(13185),
    [sym_for_expression] = STATE(13185),
    [sym_comment] = STATE(725),
    [sym_block_comment] = STATE(725),
    [sym__alpha_identifier] = ACTIONS(2707),
    [anon_sym_COLON] = ACTIONS(2515),
    [anon_sym_LBRACE] = ACTIONS(2710),
    [anon_sym_DOT] = ACTIONS(2515),
    [anon_sym__] = ACTIONS(1624),
    [anon_sym_LBRACK] = ACTIONS(2520),
    [anon_sym_PLUS] = ACTIONS(1626),
    [anon_sym_DASH] = ACTIONS(1626),
    [anon_sym_end] = ACTIONS(2713),
    [anon_sym_if] = ACTIONS(2414),
    [anon_sym_while] = ACTIONS(2416),
    [anon_sym_for] = ACTIONS(2418),
    [anon_sym_match] = ACTIONS(2515),
    [anon_sym_try] = ACTIONS(2420),
    [anon_sym_new] = ACTIONS(1630),
    [anon_sym_EQ] = ACTIONS(2515),
    [anon_sym_opaque] = ACTIONS(2713),
    [anon_sym_implicit] = ACTIONS(2422),
    [anon_sym_inline] = ACTIONS(2716),
    [anon_sym_infix] = ACTIONS(2713),
    [anon_sym_open] = ACTIONS(2713),
    [anon_sym_transparent] = ACTIONS(2713),
    [anon_sym_LPAREN] = ACTIONS(2719),
    [anon_sym_macro] = ACTIONS(2074),
    [anon_sym_BANG] = ACTIONS(1626),
    [anon_sym_TILDE] = ACTIONS(1626),
    [anon_sym_DOLLAR] = ACTIONS(1636),
    [anon_sym_SQUOTE] = ACTIONS(1638),
    [sym__backquoted_id] = ACTIONS(2722),
    [sym_operator_identifier] = ACTIONS(3106),
    [sym_integer_literal] = ACTIONS(1644),
    [sym_floating_point_literal] = ACTIONS(1646),
    [anon_sym_true] = ACTIONS(1648),
    [anon_sym_false] = ACTIONS(1648),
    [sym_character_literal] = ACTIONS(1646),
    [sym_null_literal] = ACTIONS(1650),
    [anon_sym_return] = ACTIONS(2426),
    [anon_sym_throw] = ACTIONS(2428),
    [anon_sym_do] = ACTIONS(2728),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1652),
    [sym__simple_string] = ACTIONS(1652),
  },
  [726] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(16957),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym__if_condition] = STATE(1461),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(4065),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(726),
    [sym_block_comment] = STATE(726),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2508),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [727] = {
    [sym_inline_modifier] = STATE(2154),
    [sym_block] = STATE(8070),
    [sym_expression] = STATE(12600),
    [sym__simple_expression] = STATE(7235),
    [sym_lambda_expression] = STATE(12742),
    [sym_if_expression] = STATE(12742),
    [sym_match_expression] = STATE(12742),
    [sym_try_expression] = STATE(12742),
    [sym_bindings] = STATE(15546),
    [sym_case_block] = STATE(8070),
    [sym_assignment_expression] = STATE(12742),
    [sym_generic_function] = STATE(8070),
    [sym_call_expression] = STATE(8070),
    [sym_field_expression] = STATE(8070),
    [sym_instance_expression] = STATE(8070),
    [sym_ascription_expression] = STATE(12742),
    [sym_infix_expression] = STATE(8913),
    [sym_postfix_expression] = STATE(12343),
    [sym__postfix_expression_choice] = STATE(16230),
    [sym_macro_body] = STATE(12742),
    [sym_prefix_expression] = STATE(9970),
    [sym_tuple_expression] = STATE(8070),
    [sym_parenthesized_expression] = STATE(8070),
    [sym_splice_expression] = STATE(8070),
    [sym_quote_expression] = STATE(8070),
    [sym_identifier] = STATE(6168),
    [sym__soft_identifier] = STATE(5234),
    [sym_wildcard] = STATE(8792),
    [sym__non_null_literal] = STATE(8070),
    [sym_boolean_literal] = STATE(8055),
    [sym_interpolated_string_expression] = STATE(8070),
    [sym_string] = STATE(8055),
    [sym_unit] = STATE(8070),
    [sym_return_expression] = STATE(12742),
    [sym_throw_expression] = STATE(12742),
    [sym_while_expression] = STATE(12742),
    [sym_do_while_expression] = STATE(12742),
    [sym_for_expression] = STATE(12742),
    [sym_comment] = STATE(727),
    [sym_block_comment] = STATE(727),
    [sym__alpha_identifier] = ACTIONS(1314),
    [anon_sym_LBRACE] = ACTIONS(1318),
    [anon_sym__] = ACTIONS(1320),
    [anon_sym_LBRACK] = ACTIONS(1148),
    [anon_sym_PLUS] = ACTIONS(1322),
    [anon_sym_DASH] = ACTIONS(1322),
    [anon_sym_end] = ACTIONS(1324),
    [anon_sym_if] = ACTIONS(2142),
    [anon_sym_while] = ACTIONS(2144),
    [anon_sym_for] = ACTIONS(2146),
    [anon_sym_match] = ACTIONS(1150),
    [anon_sym_try] = ACTIONS(2148),
    [anon_sym_new] = ACTIONS(1326),
    [anon_sym_opaque] = ACTIONS(1324),
    [anon_sym_implicit] = ACTIONS(2150),
    [anon_sym_inline] = ACTIONS(1328),
    [anon_sym_infix] = ACTIONS(1324),
    [anon_sym_open] = ACTIONS(1324),
    [anon_sym_transparent] = ACTIONS(1324),
    [anon_sym_LPAREN] = ACTIONS(1330),
    [anon_sym_SEMI] = ACTIONS(1148),
    [anon_sym_else] = ACTIONS(1150),
    [anon_sym_finally] = ACTIONS(1150),
    [anon_sym_macro] = ACTIONS(1740),
    [anon_sym_BANG] = ACTIONS(1322),
    [anon_sym_TILDE] = ACTIONS(1322),
    [anon_sym_DOLLAR] = ACTIONS(1332),
    [anon_sym_SQUOTE] = ACTIONS(1334),
    [sym__backquoted_id] = ACTIONS(1336),
    [sym_operator_identifier] = ACTIONS(2152),
    [sym_integer_literal] = ACTIONS(1340),
    [sym_floating_point_literal] = ACTIONS(1342),
    [anon_sym_true] = ACTIONS(1344),
    [anon_sym_false] = ACTIONS(1344),
    [sym_character_literal] = ACTIONS(1342),
    [sym_null_literal] = ACTIONS(1346),
    [anon_sym_return] = ACTIONS(2154),
    [anon_sym_throw] = ACTIONS(2156),
    [anon_sym_do] = ACTIONS(1150),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1348),
    [sym__simple_string] = ACTIONS(1348),
  },
  [728] = {
    [sym_inline_modifier] = STATE(2076),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13321),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(728),
    [sym_block_comment] = STATE(728),
    [sym__alpha_identifier] = ACTIONS(2919),
    [anon_sym_COLON] = ACTIONS(2515),
    [anon_sym_LBRACE] = ACTIONS(2922),
    [anon_sym_DOT] = ACTIONS(2515),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_LBRACK] = ACTIONS(2520),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(2925),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_match] = ACTIONS(2515),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_EQ] = ACTIONS(2515),
    [anon_sym_opaque] = ACTIONS(2925),
    [anon_sym_implicit] = ACTIONS(3109),
    [anon_sym_inline] = ACTIONS(2930),
    [anon_sym_infix] = ACTIONS(2925),
    [anon_sym_open] = ACTIONS(2925),
    [anon_sym_transparent] = ACTIONS(2925),
    [anon_sym_LPAREN] = ACTIONS(2933),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(2936),
    [sym_operator_identifier] = ACTIONS(3111),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(2942),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [729] = {
    [sym_inline_modifier] = STATE(2106),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(12268),
    [sym__simple_expression] = STATE(6252),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15549),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(9660),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(5550),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(8541),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(729),
    [sym_block_comment] = STATE(729),
    [sym__alpha_identifier] = ACTIONS(3022),
    [anon_sym_COLON] = ACTIONS(2515),
    [anon_sym_LBRACE] = ACTIONS(3025),
    [anon_sym_DOT] = ACTIONS(2515),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_LBRACK] = ACTIONS(2520),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(3028),
    [anon_sym_if] = ACTIONS(3114),
    [anon_sym_while] = ACTIONS(3116),
    [anon_sym_for] = ACTIONS(3118),
    [anon_sym_match] = ACTIONS(2515),
    [anon_sym_try] = ACTIONS(3120),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_EQ] = ACTIONS(2515),
    [anon_sym_opaque] = ACTIONS(3028),
    [anon_sym_implicit] = ACTIONS(3122),
    [anon_sym_inline] = ACTIONS(3031),
    [anon_sym_infix] = ACTIONS(3028),
    [anon_sym_open] = ACTIONS(3028),
    [anon_sym_transparent] = ACTIONS(3028),
    [anon_sym_LPAREN] = ACTIONS(3034),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(3037),
    [sym_operator_identifier] = ACTIONS(3124),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(3127),
    [anon_sym_throw] = ACTIONS(3129),
    [anon_sym_do] = ACTIONS(3016),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [730] = {
    [sym_inline_modifier] = STATE(2154),
    [sym_block] = STATE(8070),
    [sym_expression] = STATE(12625),
    [sym__simple_expression] = STATE(7235),
    [sym_lambda_expression] = STATE(12742),
    [sym_if_expression] = STATE(12742),
    [sym_match_expression] = STATE(12742),
    [sym_try_expression] = STATE(12742),
    [sym_bindings] = STATE(15546),
    [sym_case_block] = STATE(8070),
    [sym_assignment_expression] = STATE(12742),
    [sym_generic_function] = STATE(8070),
    [sym_call_expression] = STATE(8070),
    [sym_field_expression] = STATE(8070),
    [sym_instance_expression] = STATE(8070),
    [sym_ascription_expression] = STATE(12742),
    [sym_infix_expression] = STATE(8913),
    [sym_postfix_expression] = STATE(12343),
    [sym__postfix_expression_choice] = STATE(16230),
    [sym_macro_body] = STATE(12742),
    [sym_prefix_expression] = STATE(9970),
    [sym_tuple_expression] = STATE(8070),
    [sym_parenthesized_expression] = STATE(8070),
    [sym_splice_expression] = STATE(8070),
    [sym_quote_expression] = STATE(8070),
    [sym_identifier] = STATE(6168),
    [sym__soft_identifier] = STATE(5234),
    [sym_wildcard] = STATE(8792),
    [sym__non_null_literal] = STATE(8070),
    [sym_boolean_literal] = STATE(8055),
    [sym_interpolated_string_expression] = STATE(8070),
    [sym_string] = STATE(8055),
    [sym_unit] = STATE(8070),
    [sym_return_expression] = STATE(12742),
    [sym_throw_expression] = STATE(12742),
    [sym_while_expression] = STATE(12742),
    [sym_do_while_expression] = STATE(12742),
    [sym_for_expression] = STATE(12742),
    [sym_comment] = STATE(730),
    [sym_block_comment] = STATE(730),
    [sym__alpha_identifier] = ACTIONS(2969),
    [anon_sym_COLON] = ACTIONS(2515),
    [anon_sym_LBRACE] = ACTIONS(2972),
    [anon_sym_DOT] = ACTIONS(2515),
    [anon_sym__] = ACTIONS(1320),
    [anon_sym_LBRACK] = ACTIONS(2520),
    [anon_sym_PLUS] = ACTIONS(1322),
    [anon_sym_DASH] = ACTIONS(1322),
    [anon_sym_end] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2142),
    [anon_sym_while] = ACTIONS(2144),
    [anon_sym_for] = ACTIONS(2146),
    [anon_sym_match] = ACTIONS(2515),
    [anon_sym_try] = ACTIONS(2148),
    [anon_sym_new] = ACTIONS(1326),
    [anon_sym_EQ] = ACTIONS(2515),
    [anon_sym_opaque] = ACTIONS(2975),
    [anon_sym_implicit] = ACTIONS(2150),
    [anon_sym_inline] = ACTIONS(2978),
    [anon_sym_infix] = ACTIONS(2975),
    [anon_sym_open] = ACTIONS(2975),
    [anon_sym_transparent] = ACTIONS(2975),
    [anon_sym_LPAREN] = ACTIONS(2981),
    [anon_sym_macro] = ACTIONS(1740),
    [anon_sym_BANG] = ACTIONS(1322),
    [anon_sym_TILDE] = ACTIONS(1322),
    [anon_sym_DOLLAR] = ACTIONS(1332),
    [anon_sym_SQUOTE] = ACTIONS(1334),
    [sym__backquoted_id] = ACTIONS(2984),
    [sym_operator_identifier] = ACTIONS(3131),
    [sym_integer_literal] = ACTIONS(1340),
    [sym_floating_point_literal] = ACTIONS(1342),
    [anon_sym_true] = ACTIONS(1344),
    [anon_sym_false] = ACTIONS(1344),
    [sym_character_literal] = ACTIONS(1342),
    [sym_null_literal] = ACTIONS(1346),
    [anon_sym_return] = ACTIONS(2154),
    [anon_sym_throw] = ACTIONS(2156),
    [anon_sym_do] = ACTIONS(2990),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1348),
    [sym__simple_string] = ACTIONS(1348),
  },
  [731] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(16957),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym__if_condition] = STATE(967),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(4065),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(731),
    [sym_block_comment] = STATE(731),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2508),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [732] = {
    [sym_inline_modifier] = STATE(2106),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(12282),
    [sym__simple_expression] = STATE(6252),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15549),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(9660),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(5550),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(8541),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(732),
    [sym_block_comment] = STATE(732),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_LBRACK] = ACTIONS(1148),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(1150),
    [anon_sym_while] = ACTIONS(3116),
    [anon_sym_for] = ACTIONS(3118),
    [anon_sym_match] = ACTIONS(1150),
    [anon_sym_try] = ACTIONS(3120),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(3122),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(1148),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(3134),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(3127),
    [anon_sym_throw] = ACTIONS(3129),
    [anon_sym_do] = ACTIONS(1150),
    [anon_sym_yield] = ACTIONS(1150),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1148),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [733] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(16957),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym__if_condition] = STATE(1291),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(4065),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(733),
    [sym_block_comment] = STATE(733),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2508),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [734] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(16957),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym__if_condition] = STATE(1551),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(4065),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(734),
    [sym_block_comment] = STATE(734),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2508),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [735] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(16957),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym__if_condition] = STATE(1422),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(4065),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(735),
    [sym_block_comment] = STATE(735),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2508),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [736] = {
    [sym_inline_modifier] = STATE(2074),
    [sym_block] = STATE(9523),
    [sym_expression] = STATE(13413),
    [sym__simple_expression] = STATE(6085),
    [sym_lambda_expression] = STATE(11549),
    [sym_if_expression] = STATE(11549),
    [sym_match_expression] = STATE(11549),
    [sym_try_expression] = STATE(11549),
    [sym_bindings] = STATE(15713),
    [sym_case_block] = STATE(9523),
    [sym_assignment_expression] = STATE(11549),
    [sym_generic_function] = STATE(9523),
    [sym_call_expression] = STATE(9523),
    [sym_field_expression] = STATE(9523),
    [sym_instance_expression] = STATE(9523),
    [sym_ascription_expression] = STATE(11549),
    [sym_infix_expression] = STATE(10056),
    [sym_postfix_expression] = STATE(11204),
    [sym__postfix_expression_choice] = STATE(16623),
    [sym_macro_body] = STATE(11549),
    [sym_prefix_expression] = STATE(9754),
    [sym_tuple_expression] = STATE(9523),
    [sym_parenthesized_expression] = STATE(9523),
    [sym_splice_expression] = STATE(9523),
    [sym_quote_expression] = STATE(9523),
    [sym_identifier] = STATE(5442),
    [sym__soft_identifier] = STATE(4485),
    [sym_wildcard] = STATE(8639),
    [sym__non_null_literal] = STATE(9523),
    [sym_boolean_literal] = STATE(5592),
    [sym_interpolated_string_expression] = STATE(9523),
    [sym_string] = STATE(5592),
    [sym_unit] = STATE(9523),
    [sym_return_expression] = STATE(11549),
    [sym_throw_expression] = STATE(11549),
    [sym_while_expression] = STATE(11549),
    [sym_do_while_expression] = STATE(11549),
    [sym_for_expression] = STATE(11549),
    [sym_comment] = STATE(736),
    [sym_block_comment] = STATE(736),
    [sym__alpha_identifier] = ACTIONS(3136),
    [anon_sym_COLON] = ACTIONS(2515),
    [anon_sym_LBRACE] = ACTIONS(3139),
    [anon_sym_DOT] = ACTIONS(2515),
    [anon_sym__] = ACTIONS(1394),
    [anon_sym_LBRACK] = ACTIONS(2520),
    [anon_sym_PLUS] = ACTIONS(1396),
    [anon_sym_DASH] = ACTIONS(1396),
    [anon_sym_end] = ACTIONS(3142),
    [anon_sym_if] = ACTIONS(1820),
    [anon_sym_while] = ACTIONS(1822),
    [anon_sym_for] = ACTIONS(1824),
    [anon_sym_match] = ACTIONS(2515),
    [anon_sym_try] = ACTIONS(1826),
    [anon_sym_new] = ACTIONS(1400),
    [anon_sym_EQ] = ACTIONS(2515),
    [anon_sym_opaque] = ACTIONS(3142),
    [anon_sym_implicit] = ACTIONS(1828),
    [anon_sym_inline] = ACTIONS(3145),
    [anon_sym_infix] = ACTIONS(3142),
    [anon_sym_open] = ACTIONS(3142),
    [anon_sym_transparent] = ACTIONS(3142),
    [anon_sym_LPAREN] = ACTIONS(3148),
    [anon_sym_macro] = ACTIONS(1830),
    [anon_sym_BANG] = ACTIONS(1396),
    [anon_sym_TILDE] = ACTIONS(1396),
    [anon_sym_DOLLAR] = ACTIONS(1406),
    [anon_sym_SQUOTE] = ACTIONS(1408),
    [sym__backquoted_id] = ACTIONS(3151),
    [sym_operator_identifier] = ACTIONS(3154),
    [sym_integer_literal] = ACTIONS(1414),
    [sym_floating_point_literal] = ACTIONS(1416),
    [anon_sym_true] = ACTIONS(1418),
    [anon_sym_false] = ACTIONS(1418),
    [sym_character_literal] = ACTIONS(1416),
    [sym_null_literal] = ACTIONS(1420),
    [anon_sym_return] = ACTIONS(1834),
    [anon_sym_throw] = ACTIONS(1836),
    [anon_sym_do] = ACTIONS(2585),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1422),
    [sym__simple_string] = ACTIONS(1422),
  },
  [737] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(16957),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym__if_condition] = STATE(1573),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(4065),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(737),
    [sym_block_comment] = STATE(737),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2508),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [738] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(16957),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym__if_condition] = STATE(994),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(4065),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(738),
    [sym_block_comment] = STATE(738),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2508),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [739] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(16957),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym__if_condition] = STATE(1534),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(4065),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(739),
    [sym_block_comment] = STATE(739),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2508),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [740] = {
    [sym_inline_modifier] = STATE(2076),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13289),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(740),
    [sym_block_comment] = STATE(740),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_LBRACK] = ACTIONS(1148),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_match] = ACTIONS(1150),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(3109),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(1148),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1148),
    [sym__outdent] = ACTIONS(1148),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [741] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(16957),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym__if_condition] = STATE(1536),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(4065),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(741),
    [sym_block_comment] = STATE(741),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2508),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [742] = {
    [sym_inline_modifier] = STATE(2038),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(12268),
    [sym__simple_expression] = STATE(6323),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15629),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(9695),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(5557),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(8528),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(742),
    [sym_block_comment] = STATE(742),
    [sym__alpha_identifier] = ACTIONS(3022),
    [anon_sym_COLON] = ACTIONS(2515),
    [anon_sym_LBRACE] = ACTIONS(3025),
    [anon_sym_DOT] = ACTIONS(2515),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_LBRACK] = ACTIONS(2520),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(3028),
    [anon_sym_if] = ACTIONS(3157),
    [anon_sym_while] = ACTIONS(2394),
    [anon_sym_for] = ACTIONS(2396),
    [anon_sym_match] = ACTIONS(2515),
    [anon_sym_try] = ACTIONS(2398),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_EQ] = ACTIONS(2515),
    [anon_sym_opaque] = ACTIONS(3028),
    [anon_sym_implicit] = ACTIONS(2400),
    [anon_sym_inline] = ACTIONS(3031),
    [anon_sym_infix] = ACTIONS(3028),
    [anon_sym_open] = ACTIONS(3028),
    [anon_sym_transparent] = ACTIONS(3028),
    [anon_sym_LPAREN] = ACTIONS(3034),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(3037),
    [sym_operator_identifier] = ACTIONS(3159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(2404),
    [anon_sym_throw] = ACTIONS(2406),
    [anon_sym_do] = ACTIONS(3016),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [743] = {
    [sym_inline_modifier] = STATE(2100),
    [sym_block] = STATE(8218),
    [sym_expression] = STATE(12918),
    [sym__simple_expression] = STATE(7445),
    [sym_lambda_expression] = STATE(13097),
    [sym_if_expression] = STATE(13097),
    [sym_match_expression] = STATE(13097),
    [sym_try_expression] = STATE(13097),
    [sym_bindings] = STATE(15495),
    [sym_case_block] = STATE(8218),
    [sym_assignment_expression] = STATE(13097),
    [sym_generic_function] = STATE(8218),
    [sym_call_expression] = STATE(8218),
    [sym_field_expression] = STATE(8218),
    [sym_instance_expression] = STATE(8218),
    [sym_ascription_expression] = STATE(13097),
    [sym_infix_expression] = STATE(9424),
    [sym_postfix_expression] = STATE(12765),
    [sym__postfix_expression_choice] = STATE(16117),
    [sym_macro_body] = STATE(13097),
    [sym_prefix_expression] = STATE(10239),
    [sym_tuple_expression] = STATE(8218),
    [sym_parenthesized_expression] = STATE(8218),
    [sym_splice_expression] = STATE(8218),
    [sym_quote_expression] = STATE(8218),
    [sym_identifier] = STATE(7278),
    [sym__soft_identifier] = STATE(5752),
    [sym_wildcard] = STATE(9367),
    [sym__non_null_literal] = STATE(8218),
    [sym_boolean_literal] = STATE(8413),
    [sym_interpolated_string_expression] = STATE(8218),
    [sym_string] = STATE(8413),
    [sym_unit] = STATE(8218),
    [sym_return_expression] = STATE(13097),
    [sym_throw_expression] = STATE(13097),
    [sym_while_expression] = STATE(13097),
    [sym_do_while_expression] = STATE(13097),
    [sym_for_expression] = STATE(13097),
    [sym_comment] = STATE(743),
    [sym_block_comment] = STATE(743),
    [sym__alpha_identifier] = ACTIONS(2836),
    [anon_sym_COLON] = ACTIONS(2515),
    [anon_sym_LBRACE] = ACTIONS(2839),
    [anon_sym_DOT] = ACTIONS(2515),
    [anon_sym__] = ACTIONS(1500),
    [anon_sym_LBRACK] = ACTIONS(2520),
    [anon_sym_PLUS] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1502),
    [anon_sym_end] = ACTIONS(2842),
    [anon_sym_if] = ACTIONS(3162),
    [anon_sym_while] = ACTIONS(3164),
    [anon_sym_for] = ACTIONS(3166),
    [anon_sym_match] = ACTIONS(2515),
    [anon_sym_try] = ACTIONS(3168),
    [anon_sym_new] = ACTIONS(1506),
    [anon_sym_EQ] = ACTIONS(2515),
    [anon_sym_opaque] = ACTIONS(2842),
    [anon_sym_implicit] = ACTIONS(3170),
    [anon_sym_inline] = ACTIONS(2855),
    [anon_sym_infix] = ACTIONS(2842),
    [anon_sym_open] = ACTIONS(2842),
    [anon_sym_transparent] = ACTIONS(2842),
    [anon_sym_LPAREN] = ACTIONS(2858),
    [anon_sym_macro] = ACTIONS(2054),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_TILDE] = ACTIONS(1502),
    [anon_sym_DOLLAR] = ACTIONS(1512),
    [anon_sym_SQUOTE] = ACTIONS(1514),
    [sym__backquoted_id] = ACTIONS(2861),
    [sym_operator_identifier] = ACTIONS(3172),
    [sym_integer_literal] = ACTIONS(1520),
    [sym_floating_point_literal] = ACTIONS(1522),
    [anon_sym_true] = ACTIONS(1524),
    [anon_sym_false] = ACTIONS(1524),
    [sym_character_literal] = ACTIONS(1522),
    [sym_null_literal] = ACTIONS(1526),
    [anon_sym_return] = ACTIONS(3175),
    [anon_sym_throw] = ACTIONS(3177),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1528),
    [sym__simple_string] = ACTIONS(1528),
  },
  [744] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(16957),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym__if_condition] = STATE(1006),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(4065),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(744),
    [sym_block_comment] = STATE(744),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2508),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [745] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(16957),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym__if_condition] = STATE(1604),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(4065),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(745),
    [sym_block_comment] = STATE(745),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2508),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [746] = {
    [sym_inline_modifier] = STATE(2208),
    [sym_block] = STATE(8821),
    [sym_expression] = STATE(13192),
    [sym__simple_expression] = STATE(6537),
    [sym_lambda_expression] = STATE(13337),
    [sym_if_expression] = STATE(13337),
    [sym_match_expression] = STATE(13337),
    [sym_try_expression] = STATE(13337),
    [sym_bindings] = STATE(15500),
    [sym_case_block] = STATE(8821),
    [sym_assignment_expression] = STATE(13337),
    [sym_generic_function] = STATE(8821),
    [sym_call_expression] = STATE(8821),
    [sym_field_expression] = STATE(8821),
    [sym_instance_expression] = STATE(8821),
    [sym_ascription_expression] = STATE(13337),
    [sym_infix_expression] = STATE(9659),
    [sym_postfix_expression] = STATE(13173),
    [sym__postfix_expression_choice] = STATE(16170),
    [sym_macro_body] = STATE(13337),
    [sym_prefix_expression] = STATE(9718),
    [sym_tuple_expression] = STATE(8821),
    [sym_parenthesized_expression] = STATE(8821),
    [sym_splice_expression] = STATE(8821),
    [sym_quote_expression] = STATE(8821),
    [sym_identifier] = STATE(5968),
    [sym__soft_identifier] = STATE(6446),
    [sym_wildcard] = STATE(8208),
    [sym__non_null_literal] = STATE(8821),
    [sym_boolean_literal] = STATE(8798),
    [sym_interpolated_string_expression] = STATE(8821),
    [sym_string] = STATE(8798),
    [sym_unit] = STATE(8821),
    [sym_return_expression] = STATE(13337),
    [sym_throw_expression] = STATE(13337),
    [sym_while_expression] = STATE(13337),
    [sym_do_while_expression] = STATE(13337),
    [sym_for_expression] = STATE(13337),
    [sym_comment] = STATE(746),
    [sym_block_comment] = STATE(746),
    [sym__alpha_identifier] = ACTIONS(2540),
    [anon_sym_COLON] = ACTIONS(2515),
    [anon_sym_LBRACE] = ACTIONS(2543),
    [anon_sym_DOT] = ACTIONS(2515),
    [anon_sym__] = ACTIONS(1680),
    [anon_sym_LBRACK] = ACTIONS(2520),
    [anon_sym_PLUS] = ACTIONS(1682),
    [anon_sym_DASH] = ACTIONS(1682),
    [anon_sym_end] = ACTIONS(2546),
    [anon_sym_if] = ACTIONS(1904),
    [anon_sym_while] = ACTIONS(1906),
    [anon_sym_for] = ACTIONS(1908),
    [anon_sym_match] = ACTIONS(2515),
    [anon_sym_try] = ACTIONS(1910),
    [anon_sym_new] = ACTIONS(1686),
    [anon_sym_EQ] = ACTIONS(2515),
    [anon_sym_opaque] = ACTIONS(2546),
    [anon_sym_implicit] = ACTIONS(1912),
    [anon_sym_inline] = ACTIONS(2549),
    [anon_sym_infix] = ACTIONS(2546),
    [anon_sym_open] = ACTIONS(2546),
    [anon_sym_transparent] = ACTIONS(2546),
    [anon_sym_LPAREN] = ACTIONS(2552),
    [anon_sym_macro] = ACTIONS(1914),
    [anon_sym_BANG] = ACTIONS(1682),
    [anon_sym_TILDE] = ACTIONS(1682),
    [anon_sym_DOLLAR] = ACTIONS(1692),
    [anon_sym_SQUOTE] = ACTIONS(1694),
    [sym__backquoted_id] = ACTIONS(2555),
    [sym_operator_identifier] = ACTIONS(3179),
    [sym_integer_literal] = ACTIONS(1700),
    [sym_floating_point_literal] = ACTIONS(1702),
    [anon_sym_true] = ACTIONS(1704),
    [anon_sym_false] = ACTIONS(1704),
    [sym_character_literal] = ACTIONS(1702),
    [sym_null_literal] = ACTIONS(1706),
    [anon_sym_return] = ACTIONS(1918),
    [anon_sym_throw] = ACTIONS(1920),
    [anon_sym_do] = ACTIONS(2561),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1708),
    [sym__simple_string] = ACTIONS(1708),
  },
  [747] = {
    [sym_inline_modifier] = STATE(2293),
    [sym_block] = STATE(6703),
    [sym_expression] = STATE(12167),
    [sym__simple_expression] = STATE(5444),
    [sym_lambda_expression] = STATE(12046),
    [sym_if_expression] = STATE(12046),
    [sym_match_expression] = STATE(12046),
    [sym_try_expression] = STATE(12046),
    [sym_bindings] = STATE(15592),
    [sym_case_block] = STATE(6703),
    [sym_assignment_expression] = STATE(12046),
    [sym_generic_function] = STATE(6703),
    [sym_call_expression] = STATE(6703),
    [sym_field_expression] = STATE(6703),
    [sym_instance_expression] = STATE(6703),
    [sym_ascription_expression] = STATE(12046),
    [sym_infix_expression] = STATE(8166),
    [sym_postfix_expression] = STATE(11496),
    [sym__postfix_expression_choice] = STATE(15827),
    [sym_macro_body] = STATE(12046),
    [sym_prefix_expression] = STATE(9361),
    [sym_tuple_expression] = STATE(6703),
    [sym_parenthesized_expression] = STATE(6703),
    [sym_splice_expression] = STATE(6703),
    [sym_quote_expression] = STATE(6703),
    [sym_identifier] = STATE(5281),
    [sym__soft_identifier] = STATE(4884),
    [sym_wildcard] = STATE(7456),
    [sym__non_null_literal] = STATE(6703),
    [sym_boolean_literal] = STATE(6780),
    [sym_interpolated_string_expression] = STATE(6703),
    [sym_string] = STATE(6780),
    [sym_unit] = STATE(6703),
    [sym_return_expression] = STATE(12046),
    [sym_throw_expression] = STATE(12046),
    [sym_while_expression] = STATE(12046),
    [sym_do_while_expression] = STATE(12046),
    [sym_for_expression] = STATE(12046),
    [sym_comment] = STATE(747),
    [sym_block_comment] = STATE(747),
    [sym__alpha_identifier] = ACTIONS(2512),
    [anon_sym_COLON] = ACTIONS(2515),
    [anon_sym_LBRACE] = ACTIONS(2517),
    [anon_sym_DOT] = ACTIONS(2515),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_LBRACK] = ACTIONS(2520),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(2522),
    [anon_sym_if] = ACTIONS(2410),
    [anon_sym_while] = ACTIONS(2178),
    [anon_sym_for] = ACTIONS(2180),
    [anon_sym_match] = ACTIONS(2515),
    [anon_sym_try] = ACTIONS(2182),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_EQ] = ACTIONS(2515),
    [anon_sym_opaque] = ACTIONS(2522),
    [anon_sym_implicit] = ACTIONS(2184),
    [anon_sym_inline] = ACTIONS(2525),
    [anon_sym_infix] = ACTIONS(2522),
    [anon_sym_open] = ACTIONS(2522),
    [anon_sym_transparent] = ACTIONS(2522),
    [anon_sym_LPAREN] = ACTIONS(2528),
    [anon_sym_macro] = ACTIONS(1848),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(2531),
    [sym_operator_identifier] = ACTIONS(3182),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(2188),
    [anon_sym_throw] = ACTIONS(2190),
    [anon_sym_do] = ACTIONS(2537),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [748] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13436),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(748),
    [sym_block_comment] = STATE(748),
    [sym__alpha_identifier] = ACTIONS(2731),
    [anon_sym_COLON] = ACTIONS(2515),
    [anon_sym_LBRACE] = ACTIONS(2734),
    [anon_sym_DOT] = ACTIONS(2515),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_LBRACK] = ACTIONS(2520),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(2737),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(2515),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_EQ] = ACTIONS(2515),
    [anon_sym_opaque] = ACTIONS(2737),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2750),
    [anon_sym_infix] = ACTIONS(2737),
    [anon_sym_open] = ACTIONS(2737),
    [anon_sym_transparent] = ACTIONS(2737),
    [anon_sym_LPAREN] = ACTIONS(2753),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(2756),
    [sym_operator_identifier] = ACTIONS(3185),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(2766),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [749] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(16957),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym__if_condition] = STATE(1638),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(4065),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(749),
    [sym_block_comment] = STATE(749),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2508),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [750] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(16957),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym__if_condition] = STATE(1055),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(4065),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(750),
    [sym_block_comment] = STATE(750),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2508),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [751] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(16957),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym__if_condition] = STATE(1463),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(4065),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(751),
    [sym_block_comment] = STATE(751),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2508),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [752] = {
    [sym_inline_modifier] = STATE(2159),
    [sym_block] = STATE(6450),
    [sym_expression] = STATE(11481),
    [sym__simple_expression] = STATE(5274),
    [sym_lambda_expression] = STATE(11549),
    [sym_if_expression] = STATE(11549),
    [sym_match_expression] = STATE(11549),
    [sym_try_expression] = STATE(11549),
    [sym_bindings] = STATE(15607),
    [sym_case_block] = STATE(6450),
    [sym_assignment_expression] = STATE(11549),
    [sym_generic_function] = STATE(6450),
    [sym_call_expression] = STATE(6450),
    [sym_field_expression] = STATE(6450),
    [sym_instance_expression] = STATE(6450),
    [sym_ascription_expression] = STATE(11549),
    [sym_infix_expression] = STATE(7641),
    [sym_postfix_expression] = STATE(11204),
    [sym__postfix_expression_choice] = STATE(16480),
    [sym_macro_body] = STATE(11549),
    [sym_prefix_expression] = STATE(8822),
    [sym_tuple_expression] = STATE(6450),
    [sym_parenthesized_expression] = STATE(6450),
    [sym_splice_expression] = STATE(6450),
    [sym_quote_expression] = STATE(6450),
    [sym_identifier] = STATE(4738),
    [sym__soft_identifier] = STATE(4507),
    [sym_wildcard] = STATE(7298),
    [sym__non_null_literal] = STATE(6450),
    [sym_boolean_literal] = STATE(6156),
    [sym_interpolated_string_expression] = STATE(6450),
    [sym_string] = STATE(6156),
    [sym_unit] = STATE(6450),
    [sym_return_expression] = STATE(11549),
    [sym_throw_expression] = STATE(11549),
    [sym_while_expression] = STATE(11549),
    [sym_do_while_expression] = STATE(11549),
    [sym_for_expression] = STATE(11549),
    [sym_comment] = STATE(752),
    [sym_block_comment] = STATE(752),
    [sym__alpha_identifier] = ACTIONS(2564),
    [anon_sym_COLON] = ACTIONS(2515),
    [anon_sym_LBRACE] = ACTIONS(2567),
    [anon_sym_DOT] = ACTIONS(2515),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_LBRACK] = ACTIONS(2520),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(2570),
    [anon_sym_if] = ACTIONS(2472),
    [anon_sym_while] = ACTIONS(1974),
    [anon_sym_for] = ACTIONS(1976),
    [anon_sym_match] = ACTIONS(2515),
    [anon_sym_try] = ACTIONS(1978),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_EQ] = ACTIONS(2515),
    [anon_sym_opaque] = ACTIONS(2570),
    [anon_sym_implicit] = ACTIONS(1980),
    [anon_sym_inline] = ACTIONS(2573),
    [anon_sym_infix] = ACTIONS(2570),
    [anon_sym_open] = ACTIONS(2570),
    [anon_sym_transparent] = ACTIONS(2570),
    [anon_sym_LPAREN] = ACTIONS(2576),
    [anon_sym_macro] = ACTIONS(1378),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(2579),
    [sym_operator_identifier] = ACTIONS(3188),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1984),
    [anon_sym_throw] = ACTIONS(1986),
    [anon_sym_do] = ACTIONS(2585),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [753] = {
    [sym_inline_modifier] = STATE(2067),
    [sym_block] = STATE(10133),
    [sym_expression] = STATE(13697),
    [sym__simple_expression] = STATE(7525),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15728),
    [sym_case_block] = STATE(10133),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(10133),
    [sym_call_expression] = STATE(10133),
    [sym_field_expression] = STATE(10133),
    [sym_instance_expression] = STATE(10133),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(10489),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(17114),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10321),
    [sym_tuple_expression] = STATE(10133),
    [sym_parenthesized_expression] = STATE(10133),
    [sym_splice_expression] = STATE(10133),
    [sym_quote_expression] = STATE(10133),
    [sym_identifier] = STATE(7070),
    [sym__soft_identifier] = STATE(4482),
    [sym_wildcard] = STATE(9321),
    [sym__non_null_literal] = STATE(10133),
    [sym_boolean_literal] = STATE(7065),
    [sym_interpolated_string_expression] = STATE(10133),
    [sym_string] = STATE(7065),
    [sym_unit] = STATE(10133),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(753),
    [sym_block_comment] = STATE(753),
    [ts_builtin_sym_end] = ACTIONS(1148),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_LBRACK] = ACTIONS(1148),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_end] = ACTIONS(2374),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_match] = ACTIONS(1150),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_opaque] = ACTIONS(2374),
    [anon_sym_implicit] = ACTIONS(3002),
    [anon_sym_inline] = ACTIONS(67),
    [anon_sym_infix] = ACTIONS(2374),
    [anon_sym_open] = ACTIONS(2374),
    [anon_sym_transparent] = ACTIONS(2374),
    [anon_sym_LPAREN] = ACTIONS(75),
    [anon_sym_SEMI] = ACTIONS(1148),
    [anon_sym_macro] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(83),
    [sym_operator_identifier] = ACTIONS(85),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(95),
    [anon_sym_throw] = ACTIONS(97),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1148),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [754] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(16957),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym__if_condition] = STATE(1543),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(4065),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(754),
    [sym_block_comment] = STATE(754),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2508),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [755] = {
    [sym_inline_modifier] = STATE(2086),
    [sym_block] = STATE(9116),
    [sym_expression] = STATE(13076),
    [sym__simple_expression] = STATE(5562),
    [sym_lambda_expression] = STATE(11364),
    [sym_if_expression] = STATE(11364),
    [sym_match_expression] = STATE(11364),
    [sym_try_expression] = STATE(11364),
    [sym_bindings] = STATE(15512),
    [sym_case_block] = STATE(9116),
    [sym_assignment_expression] = STATE(11364),
    [sym_generic_function] = STATE(9116),
    [sym_call_expression] = STATE(9116),
    [sym_field_expression] = STATE(9116),
    [sym_instance_expression] = STATE(9116),
    [sym_ascription_expression] = STATE(11364),
    [sym_infix_expression] = STATE(9793),
    [sym_postfix_expression] = STATE(10789),
    [sym__postfix_expression_choice] = STATE(15871),
    [sym_macro_body] = STATE(11364),
    [sym_prefix_expression] = STATE(9370),
    [sym_tuple_expression] = STATE(9116),
    [sym_parenthesized_expression] = STATE(9116),
    [sym_splice_expression] = STATE(9116),
    [sym_quote_expression] = STATE(9116),
    [sym_identifier] = STATE(5047),
    [sym__soft_identifier] = STATE(4332),
    [sym_wildcard] = STATE(7660),
    [sym__non_null_literal] = STATE(9116),
    [sym_boolean_literal] = STATE(5055),
    [sym_interpolated_string_expression] = STATE(9116),
    [sym_string] = STATE(5055),
    [sym_unit] = STATE(9116),
    [sym_return_expression] = STATE(11364),
    [sym_throw_expression] = STATE(11364),
    [sym_while_expression] = STATE(11364),
    [sym_do_while_expression] = STATE(11364),
    [sym_for_expression] = STATE(11364),
    [sym_comment] = STATE(755),
    [sym_block_comment] = STATE(755),
    [sym__alpha_identifier] = ACTIONS(3191),
    [anon_sym_COLON] = ACTIONS(2515),
    [anon_sym_LBRACE] = ACTIONS(3194),
    [anon_sym_DOT] = ACTIONS(2515),
    [anon_sym__] = ACTIONS(1212),
    [anon_sym_LBRACK] = ACTIONS(2520),
    [anon_sym_PLUS] = ACTIONS(1214),
    [anon_sym_DASH] = ACTIONS(1214),
    [anon_sym_end] = ACTIONS(3197),
    [anon_sym_if] = ACTIONS(1550),
    [anon_sym_while] = ACTIONS(1552),
    [anon_sym_for] = ACTIONS(1554),
    [anon_sym_match] = ACTIONS(2515),
    [anon_sym_try] = ACTIONS(1556),
    [anon_sym_new] = ACTIONS(1218),
    [anon_sym_EQ] = ACTIONS(2515),
    [anon_sym_opaque] = ACTIONS(3197),
    [anon_sym_implicit] = ACTIONS(1558),
    [anon_sym_inline] = ACTIONS(3200),
    [anon_sym_infix] = ACTIONS(3197),
    [anon_sym_open] = ACTIONS(3197),
    [anon_sym_transparent] = ACTIONS(3197),
    [anon_sym_LPAREN] = ACTIONS(3203),
    [anon_sym_macro] = ACTIONS(1560),
    [anon_sym_BANG] = ACTIONS(1214),
    [anon_sym_TILDE] = ACTIONS(1214),
    [anon_sym_DOLLAR] = ACTIONS(1224),
    [anon_sym_SQUOTE] = ACTIONS(1226),
    [sym__backquoted_id] = ACTIONS(3206),
    [sym_operator_identifier] = ACTIONS(3209),
    [sym_integer_literal] = ACTIONS(1232),
    [sym_floating_point_literal] = ACTIONS(1234),
    [anon_sym_true] = ACTIONS(1236),
    [anon_sym_false] = ACTIONS(1236),
    [sym_character_literal] = ACTIONS(1234),
    [sym_null_literal] = ACTIONS(1238),
    [anon_sym_return] = ACTIONS(1564),
    [anon_sym_throw] = ACTIONS(1566),
    [anon_sym_do] = ACTIONS(2654),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1240),
    [sym__simple_string] = ACTIONS(1240),
  },
  [756] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(16957),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym__if_condition] = STATE(1554),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(4065),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(756),
    [sym_block_comment] = STATE(756),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2508),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [757] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(16957),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym__if_condition] = STATE(1627),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(4065),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(757),
    [sym_block_comment] = STATE(757),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2508),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [758] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(16957),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym__if_condition] = STATE(1076),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(4065),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(758),
    [sym_block_comment] = STATE(758),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2508),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [759] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13428),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(759),
    [sym_block_comment] = STATE(759),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym_COMMA] = ACTIONS(1148),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_LBRACK] = ACTIONS(1148),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(1150),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(1148),
    [anon_sym_then] = ACTIONS(1150),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [760] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(16957),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym__if_condition] = STATE(1601),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(4065),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(760),
    [sym_block_comment] = STATE(760),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2508),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [761] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(16957),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym__if_condition] = STATE(1612),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(4065),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(761),
    [sym_block_comment] = STATE(761),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2508),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [762] = {
    [sym_inline_modifier] = STATE(2070),
    [sym_block] = STATE(8360),
    [sym_expression] = STATE(12660),
    [sym__simple_expression] = STATE(5615),
    [sym_lambda_expression] = STATE(13229),
    [sym_if_expression] = STATE(13229),
    [sym_match_expression] = STATE(13229),
    [sym_try_expression] = STATE(13229),
    [sym_bindings] = STATE(15528),
    [sym_case_block] = STATE(8360),
    [sym_assignment_expression] = STATE(13229),
    [sym_generic_function] = STATE(8360),
    [sym_call_expression] = STATE(8360),
    [sym_field_expression] = STATE(8360),
    [sym_instance_expression] = STATE(8360),
    [sym_ascription_expression] = STATE(13229),
    [sym_infix_expression] = STATE(9581),
    [sym_postfix_expression] = STATE(12866),
    [sym__postfix_expression_choice] = STATE(15971),
    [sym_macro_body] = STATE(13229),
    [sym_prefix_expression] = STATE(9582),
    [sym_tuple_expression] = STATE(8360),
    [sym_parenthesized_expression] = STATE(8360),
    [sym_splice_expression] = STATE(8360),
    [sym_quote_expression] = STATE(8360),
    [sym_identifier] = STATE(5263),
    [sym__soft_identifier] = STATE(5563),
    [sym_wildcard] = STATE(7408),
    [sym__non_null_literal] = STATE(8360),
    [sym_boolean_literal] = STATE(8269),
    [sym_interpolated_string_expression] = STATE(8360),
    [sym_string] = STATE(8269),
    [sym_unit] = STATE(8360),
    [sym_return_expression] = STATE(13229),
    [sym_throw_expression] = STATE(13229),
    [sym_while_expression] = STATE(13229),
    [sym_do_while_expression] = STATE(13229),
    [sym_for_expression] = STATE(13229),
    [sym_comment] = STATE(762),
    [sym_block_comment] = STATE(762),
    [sym__alpha_identifier] = ACTIONS(2945),
    [anon_sym_COLON] = ACTIONS(2515),
    [anon_sym_LBRACE] = ACTIONS(2948),
    [anon_sym_DOT] = ACTIONS(2515),
    [anon_sym__] = ACTIONS(1248),
    [anon_sym_LBRACK] = ACTIONS(2520),
    [anon_sym_PLUS] = ACTIONS(1250),
    [anon_sym_DASH] = ACTIONS(1250),
    [anon_sym_end] = ACTIONS(2951),
    [anon_sym_if] = ACTIONS(1654),
    [anon_sym_while] = ACTIONS(1656),
    [anon_sym_for] = ACTIONS(1658),
    [anon_sym_match] = ACTIONS(2515),
    [anon_sym_try] = ACTIONS(1660),
    [anon_sym_new] = ACTIONS(1254),
    [anon_sym_EQ] = ACTIONS(2515),
    [anon_sym_opaque] = ACTIONS(2951),
    [anon_sym_implicit] = ACTIONS(1662),
    [anon_sym_inline] = ACTIONS(2954),
    [anon_sym_infix] = ACTIONS(2951),
    [anon_sym_open] = ACTIONS(2951),
    [anon_sym_transparent] = ACTIONS(2951),
    [anon_sym_LPAREN] = ACTIONS(2957),
    [anon_sym_macro] = ACTIONS(1664),
    [anon_sym_BANG] = ACTIONS(1250),
    [anon_sym_TILDE] = ACTIONS(1250),
    [anon_sym_DOLLAR] = ACTIONS(1260),
    [anon_sym_SQUOTE] = ACTIONS(1262),
    [sym__backquoted_id] = ACTIONS(2960),
    [sym_operator_identifier] = ACTIONS(3212),
    [sym_integer_literal] = ACTIONS(1268),
    [sym_floating_point_literal] = ACTIONS(1270),
    [anon_sym_true] = ACTIONS(1272),
    [anon_sym_false] = ACTIONS(1272),
    [sym_character_literal] = ACTIONS(1270),
    [sym_null_literal] = ACTIONS(1274),
    [anon_sym_return] = ACTIONS(1668),
    [anon_sym_throw] = ACTIONS(1670),
    [anon_sym_do] = ACTIONS(2966),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1276),
    [sym__simple_string] = ACTIONS(1276),
  },
  [763] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(16957),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym__if_condition] = STATE(1610),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(4065),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(763),
    [sym_block_comment] = STATE(763),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2508),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [764] = {
    [sym_inline_modifier] = STATE(2195),
    [sym_block] = STATE(7443),
    [sym_expression] = STATE(12248),
    [sym__simple_expression] = STATE(5261),
    [sym_lambda_expression] = STATE(12692),
    [sym_if_expression] = STATE(12692),
    [sym_match_expression] = STATE(12692),
    [sym_try_expression] = STATE(12692),
    [sym_bindings] = STATE(15526),
    [sym_case_block] = STATE(7443),
    [sym_assignment_expression] = STATE(12692),
    [sym_generic_function] = STATE(7443),
    [sym_call_expression] = STATE(7443),
    [sym_field_expression] = STATE(7443),
    [sym_instance_expression] = STATE(7443),
    [sym_ascription_expression] = STATE(12692),
    [sym_infix_expression] = STATE(8993),
    [sym_postfix_expression] = STATE(12386),
    [sym__postfix_expression_choice] = STATE(16150),
    [sym_macro_body] = STATE(12692),
    [sym_prefix_expression] = STATE(8984),
    [sym_tuple_expression] = STATE(7443),
    [sym_parenthesized_expression] = STATE(7443),
    [sym_splice_expression] = STATE(7443),
    [sym_quote_expression] = STATE(7443),
    [sym_identifier] = STATE(4861),
    [sym__soft_identifier] = STATE(5213),
    [sym_wildcard] = STATE(7324),
    [sym__non_null_literal] = STATE(7443),
    [sym_boolean_literal] = STATE(7707),
    [sym_interpolated_string_expression] = STATE(7443),
    [sym_string] = STATE(7707),
    [sym_unit] = STATE(7443),
    [sym_return_expression] = STATE(12692),
    [sym_throw_expression] = STATE(12692),
    [sym_while_expression] = STATE(12692),
    [sym_do_while_expression] = STATE(12692),
    [sym_for_expression] = STATE(12692),
    [sym_comment] = STATE(764),
    [sym_block_comment] = STATE(764),
    [sym__alpha_identifier] = ACTIONS(2769),
    [anon_sym_COLON] = ACTIONS(2515),
    [anon_sym_LBRACE] = ACTIONS(2772),
    [anon_sym_DOT] = ACTIONS(2515),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_LBRACK] = ACTIONS(2520),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(2775),
    [anon_sym_if] = ACTIONS(1186),
    [anon_sym_while] = ACTIONS(1188),
    [anon_sym_for] = ACTIONS(1190),
    [anon_sym_match] = ACTIONS(2515),
    [anon_sym_try] = ACTIONS(1192),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_EQ] = ACTIONS(2515),
    [anon_sym_opaque] = ACTIONS(2775),
    [anon_sym_implicit] = ACTIONS(1194),
    [anon_sym_inline] = ACTIONS(2778),
    [anon_sym_infix] = ACTIONS(2775),
    [anon_sym_open] = ACTIONS(2775),
    [anon_sym_transparent] = ACTIONS(2775),
    [anon_sym_LPAREN] = ACTIONS(2781),
    [anon_sym_macro] = ACTIONS(1196),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(2784),
    [sym_operator_identifier] = ACTIONS(3215),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(1200),
    [anon_sym_throw] = ACTIONS(1202),
    [anon_sym_do] = ACTIONS(2790),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [765] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(16957),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym__if_condition] = STATE(1645),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(4065),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(765),
    [sym_block_comment] = STATE(765),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2508),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [766] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(16957),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym__if_condition] = STATE(1380),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(4065),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(766),
    [sym_block_comment] = STATE(766),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2508),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [767] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(16957),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym__if_condition] = STATE(1131),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(4065),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(767),
    [sym_block_comment] = STATE(767),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2508),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [768] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(16957),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym__if_condition] = STATE(1643),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(4065),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(768),
    [sym_block_comment] = STATE(768),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2508),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [769] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(16957),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym__if_condition] = STATE(1574),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(4065),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(769),
    [sym_block_comment] = STATE(769),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2508),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [770] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(16957),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym__if_condition] = STATE(1624),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(4065),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(770),
    [sym_block_comment] = STATE(770),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2508),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [771] = {
    [sym_inline_modifier] = STATE(2284),
    [sym_block] = STATE(9120),
    [sym_expression] = STATE(13147),
    [sym__simple_expression] = STATE(6111),
    [sym_lambda_expression] = STATE(13422),
    [sym_if_expression] = STATE(13422),
    [sym_match_expression] = STATE(13422),
    [sym_try_expression] = STATE(13422),
    [sym_bindings] = STATE(15588),
    [sym_case_block] = STATE(9120),
    [sym_assignment_expression] = STATE(13422),
    [sym_generic_function] = STATE(9120),
    [sym_call_expression] = STATE(9120),
    [sym_field_expression] = STATE(9120),
    [sym_instance_expression] = STATE(9120),
    [sym_ascription_expression] = STATE(13422),
    [sym_infix_expression] = STATE(9820),
    [sym_postfix_expression] = STATE(13148),
    [sym__postfix_expression_choice] = STATE(15936),
    [sym_macro_body] = STATE(13422),
    [sym_prefix_expression] = STATE(9760),
    [sym_tuple_expression] = STATE(9120),
    [sym_parenthesized_expression] = STATE(9120),
    [sym_splice_expression] = STATE(9120),
    [sym_quote_expression] = STATE(9120),
    [sym_identifier] = STATE(5467),
    [sym__soft_identifier] = STATE(6470),
    [sym_wildcard] = STATE(8607),
    [sym__non_null_literal] = STATE(9120),
    [sym_boolean_literal] = STATE(8928),
    [sym_interpolated_string_expression] = STATE(9120),
    [sym_string] = STATE(8928),
    [sym_unit] = STATE(9120),
    [sym_return_expression] = STATE(13422),
    [sym_throw_expression] = STATE(13422),
    [sym_while_expression] = STATE(13422),
    [sym_do_while_expression] = STATE(13422),
    [sym_for_expression] = STATE(13422),
    [sym_comment] = STATE(771),
    [sym_block_comment] = STATE(771),
    [sym__alpha_identifier] = ACTIONS(3043),
    [anon_sym_COLON] = ACTIONS(2515),
    [anon_sym_LBRACE] = ACTIONS(3046),
    [anon_sym_DOT] = ACTIONS(2515),
    [anon_sym__] = ACTIONS(1588),
    [anon_sym_LBRACK] = ACTIONS(2520),
    [anon_sym_PLUS] = ACTIONS(1590),
    [anon_sym_DASH] = ACTIONS(1590),
    [anon_sym_end] = ACTIONS(3049),
    [anon_sym_if] = ACTIONS(3218),
    [anon_sym_while] = ACTIONS(2380),
    [anon_sym_for] = ACTIONS(2382),
    [anon_sym_match] = ACTIONS(2515),
    [anon_sym_try] = ACTIONS(2384),
    [anon_sym_new] = ACTIONS(1594),
    [anon_sym_EQ] = ACTIONS(2515),
    [anon_sym_opaque] = ACTIONS(3049),
    [anon_sym_implicit] = ACTIONS(2386),
    [anon_sym_inline] = ACTIONS(3052),
    [anon_sym_infix] = ACTIONS(3049),
    [anon_sym_open] = ACTIONS(3049),
    [anon_sym_transparent] = ACTIONS(3049),
    [anon_sym_LPAREN] = ACTIONS(3055),
    [anon_sym_macro] = ACTIONS(1874),
    [anon_sym_BANG] = ACTIONS(1590),
    [anon_sym_TILDE] = ACTIONS(1590),
    [anon_sym_DOLLAR] = ACTIONS(1600),
    [anon_sym_SQUOTE] = ACTIONS(1602),
    [sym__backquoted_id] = ACTIONS(3058),
    [sym_operator_identifier] = ACTIONS(3220),
    [sym_integer_literal] = ACTIONS(1608),
    [sym_floating_point_literal] = ACTIONS(1610),
    [anon_sym_true] = ACTIONS(1612),
    [anon_sym_false] = ACTIONS(1612),
    [sym_character_literal] = ACTIONS(1610),
    [sym_null_literal] = ACTIONS(1614),
    [anon_sym_return] = ACTIONS(2390),
    [anon_sym_throw] = ACTIONS(2392),
    [anon_sym_do] = ACTIONS(3064),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1616),
    [sym__simple_string] = ACTIONS(1616),
  },
  [772] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(16957),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym__if_condition] = STATE(1164),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(4065),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(772),
    [sym_block_comment] = STATE(772),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2508),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [773] = {
    [sym_inline_modifier] = STATE(2055),
    [sym_block] = STATE(8218),
    [sym_expression] = STATE(12918),
    [sym__simple_expression] = STATE(6561),
    [sym_lambda_expression] = STATE(13097),
    [sym_if_expression] = STATE(13097),
    [sym_match_expression] = STATE(13097),
    [sym_try_expression] = STATE(13097),
    [sym_bindings] = STATE(15541),
    [sym_case_block] = STATE(8218),
    [sym_assignment_expression] = STATE(13097),
    [sym_generic_function] = STATE(8218),
    [sym_call_expression] = STATE(8218),
    [sym_field_expression] = STATE(8218),
    [sym_instance_expression] = STATE(8218),
    [sym_ascription_expression] = STATE(13097),
    [sym_infix_expression] = STATE(9424),
    [sym_postfix_expression] = STATE(12765),
    [sym__postfix_expression_choice] = STATE(16117),
    [sym_macro_body] = STATE(13097),
    [sym_prefix_expression] = STATE(9863),
    [sym_tuple_expression] = STATE(8218),
    [sym_parenthesized_expression] = STATE(8218),
    [sym_splice_expression] = STATE(8218),
    [sym_quote_expression] = STATE(8218),
    [sym_identifier] = STATE(5613),
    [sym__soft_identifier] = STATE(5752),
    [sym_wildcard] = STATE(8448),
    [sym__non_null_literal] = STATE(8218),
    [sym_boolean_literal] = STATE(8413),
    [sym_interpolated_string_expression] = STATE(8218),
    [sym_string] = STATE(8413),
    [sym_unit] = STATE(8218),
    [sym_return_expression] = STATE(13097),
    [sym_throw_expression] = STATE(13097),
    [sym_while_expression] = STATE(13097),
    [sym_do_while_expression] = STATE(13097),
    [sym_for_expression] = STATE(13097),
    [sym_comment] = STATE(773),
    [sym_block_comment] = STATE(773),
    [sym__alpha_identifier] = ACTIONS(2836),
    [anon_sym_COLON] = ACTIONS(2515),
    [anon_sym_LBRACE] = ACTIONS(2839),
    [anon_sym_DOT] = ACTIONS(2515),
    [anon_sym__] = ACTIONS(1500),
    [anon_sym_LBRACK] = ACTIONS(2520),
    [anon_sym_PLUS] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1502),
    [anon_sym_end] = ACTIONS(2842),
    [anon_sym_if] = ACTIONS(2044),
    [anon_sym_while] = ACTIONS(2046),
    [anon_sym_for] = ACTIONS(2048),
    [anon_sym_match] = ACTIONS(2515),
    [anon_sym_try] = ACTIONS(2050),
    [anon_sym_new] = ACTIONS(1506),
    [anon_sym_EQ] = ACTIONS(2515),
    [anon_sym_opaque] = ACTIONS(2842),
    [anon_sym_implicit] = ACTIONS(2052),
    [anon_sym_inline] = ACTIONS(2855),
    [anon_sym_infix] = ACTIONS(2842),
    [anon_sym_open] = ACTIONS(2842),
    [anon_sym_transparent] = ACTIONS(2842),
    [anon_sym_LPAREN] = ACTIONS(2858),
    [anon_sym_macro] = ACTIONS(2054),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_TILDE] = ACTIONS(1502),
    [anon_sym_DOLLAR] = ACTIONS(1512),
    [anon_sym_SQUOTE] = ACTIONS(1514),
    [sym__backquoted_id] = ACTIONS(2861),
    [sym_operator_identifier] = ACTIONS(3223),
    [sym_integer_literal] = ACTIONS(1520),
    [sym_floating_point_literal] = ACTIONS(1522),
    [anon_sym_true] = ACTIONS(1524),
    [anon_sym_false] = ACTIONS(1524),
    [sym_character_literal] = ACTIONS(1522),
    [sym_null_literal] = ACTIONS(1526),
    [anon_sym_return] = ACTIONS(2058),
    [anon_sym_throw] = ACTIONS(2060),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1528),
    [sym__simple_string] = ACTIONS(1528),
  },
  [774] = {
    [sym_inline_modifier] = STATE(2050),
    [sym_block] = STATE(8375),
    [sym_expression] = STATE(12917),
    [sym__simple_expression] = STATE(6499),
    [sym_lambda_expression] = STATE(13185),
    [sym_if_expression] = STATE(13185),
    [sym_match_expression] = STATE(13185),
    [sym_try_expression] = STATE(13185),
    [sym_bindings] = STATE(15649),
    [sym_case_block] = STATE(8375),
    [sym_assignment_expression] = STATE(13185),
    [sym_generic_function] = STATE(8375),
    [sym_call_expression] = STATE(8375),
    [sym_field_expression] = STATE(8375),
    [sym_instance_expression] = STATE(8375),
    [sym_ascription_expression] = STATE(13185),
    [sym_infix_expression] = STATE(9364),
    [sym_postfix_expression] = STATE(12809),
    [sym__postfix_expression_choice] = STATE(16440),
    [sym_macro_body] = STATE(13185),
    [sym_prefix_expression] = STATE(9765),
    [sym_tuple_expression] = STATE(8375),
    [sym_parenthesized_expression] = STATE(8375),
    [sym_splice_expression] = STATE(8375),
    [sym_quote_expression] = STATE(8375),
    [sym_identifier] = STATE(5812),
    [sym__soft_identifier] = STATE(5430),
    [sym_wildcard] = STATE(8380),
    [sym__non_null_literal] = STATE(8375),
    [sym_boolean_literal] = STATE(8117),
    [sym_interpolated_string_expression] = STATE(8375),
    [sym_string] = STATE(8117),
    [sym_unit] = STATE(8375),
    [sym_return_expression] = STATE(13185),
    [sym_throw_expression] = STATE(13185),
    [sym_while_expression] = STATE(13185),
    [sym_do_while_expression] = STATE(13185),
    [sym_for_expression] = STATE(13185),
    [sym_comment] = STATE(774),
    [sym_block_comment] = STATE(774),
    [sym__alpha_identifier] = ACTIONS(2707),
    [anon_sym_COLON] = ACTIONS(2515),
    [anon_sym_LBRACE] = ACTIONS(2710),
    [anon_sym_DOT] = ACTIONS(2515),
    [anon_sym__] = ACTIONS(1624),
    [anon_sym_LBRACK] = ACTIONS(2520),
    [anon_sym_PLUS] = ACTIONS(1626),
    [anon_sym_DASH] = ACTIONS(1626),
    [anon_sym_end] = ACTIONS(2713),
    [anon_sym_if] = ACTIONS(2064),
    [anon_sym_while] = ACTIONS(2066),
    [anon_sym_for] = ACTIONS(2068),
    [anon_sym_match] = ACTIONS(2515),
    [anon_sym_try] = ACTIONS(2070),
    [anon_sym_new] = ACTIONS(1630),
    [anon_sym_EQ] = ACTIONS(2515),
    [anon_sym_opaque] = ACTIONS(2713),
    [anon_sym_implicit] = ACTIONS(2072),
    [anon_sym_inline] = ACTIONS(2716),
    [anon_sym_infix] = ACTIONS(2713),
    [anon_sym_open] = ACTIONS(2713),
    [anon_sym_transparent] = ACTIONS(2713),
    [anon_sym_LPAREN] = ACTIONS(2719),
    [anon_sym_macro] = ACTIONS(2074),
    [anon_sym_BANG] = ACTIONS(1626),
    [anon_sym_TILDE] = ACTIONS(1626),
    [anon_sym_DOLLAR] = ACTIONS(1636),
    [anon_sym_SQUOTE] = ACTIONS(1638),
    [sym__backquoted_id] = ACTIONS(2722),
    [sym_operator_identifier] = ACTIONS(3226),
    [sym_integer_literal] = ACTIONS(1644),
    [sym_floating_point_literal] = ACTIONS(1646),
    [anon_sym_true] = ACTIONS(1648),
    [anon_sym_false] = ACTIONS(1648),
    [sym_character_literal] = ACTIONS(1646),
    [sym_null_literal] = ACTIONS(1650),
    [anon_sym_return] = ACTIONS(2078),
    [anon_sym_throw] = ACTIONS(2080),
    [anon_sym_do] = ACTIONS(2728),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1652),
    [sym__simple_string] = ACTIONS(1652),
  },
  [775] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(16957),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym__if_condition] = STATE(1172),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(4065),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(775),
    [sym_block_comment] = STATE(775),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2508),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [776] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(16957),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym__if_condition] = STATE(1620),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(4065),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(776),
    [sym_block_comment] = STATE(776),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2508),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [777] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9088),
    [sym_expression] = STATE(13047),
    [sym__simple_expression] = STATE(7286),
    [sym_lambda_expression] = STATE(13338),
    [sym_if_expression] = STATE(13338),
    [sym_match_expression] = STATE(13338),
    [sym_try_expression] = STATE(13338),
    [sym_bindings] = STATE(15723),
    [sym_case_block] = STATE(9088),
    [sym_assignment_expression] = STATE(13338),
    [sym_generic_function] = STATE(9088),
    [sym_call_expression] = STATE(9088),
    [sym_field_expression] = STATE(9088),
    [sym_instance_expression] = STATE(9088),
    [sym_ascription_expression] = STATE(13338),
    [sym_infix_expression] = STATE(9773),
    [sym_postfix_expression] = STATE(13117),
    [sym__postfix_expression_choice] = STATE(15912),
    [sym_macro_body] = STATE(13338),
    [sym_prefix_expression] = STATE(10020),
    [sym_tuple_expression] = STATE(9088),
    [sym_parenthesized_expression] = STATE(9088),
    [sym_splice_expression] = STATE(9088),
    [sym_quote_expression] = STATE(9088),
    [sym_identifier] = STATE(6105),
    [sym__soft_identifier] = STATE(6581),
    [sym_wildcard] = STATE(8709),
    [sym__non_null_literal] = STATE(9088),
    [sym_boolean_literal] = STATE(8905),
    [sym_interpolated_string_expression] = STATE(9088),
    [sym_string] = STATE(8905),
    [sym_unit] = STATE(9088),
    [sym_return_expression] = STATE(13338),
    [sym_throw_expression] = STATE(13338),
    [sym_while_expression] = STATE(13338),
    [sym_do_while_expression] = STATE(13338),
    [sym_for_expression] = STATE(13338),
    [sym_comment] = STATE(777),
    [sym_block_comment] = STATE(777),
    [sym__alpha_identifier] = ACTIONS(2588),
    [anon_sym_COLON] = ACTIONS(2515),
    [anon_sym_LBRACE] = ACTIONS(2591),
    [anon_sym_DOT] = ACTIONS(2515),
    [anon_sym__] = ACTIONS(1944),
    [anon_sym_LBRACK] = ACTIONS(2520),
    [anon_sym_PLUS] = ACTIONS(1946),
    [anon_sym_DASH] = ACTIONS(1946),
    [anon_sym_end] = ACTIONS(2594),
    [anon_sym_if] = ACTIONS(2260),
    [anon_sym_while] = ACTIONS(2262),
    [anon_sym_for] = ACTIONS(2264),
    [anon_sym_match] = ACTIONS(2515),
    [anon_sym_try] = ACTIONS(2266),
    [anon_sym_new] = ACTIONS(1950),
    [anon_sym_EQ] = ACTIONS(2515),
    [anon_sym_opaque] = ACTIONS(2594),
    [anon_sym_implicit] = ACTIONS(2268),
    [anon_sym_inline] = ACTIONS(2597),
    [anon_sym_infix] = ACTIONS(2594),
    [anon_sym_open] = ACTIONS(2594),
    [anon_sym_transparent] = ACTIONS(2594),
    [anon_sym_LPAREN] = ACTIONS(2600),
    [anon_sym_macro] = ACTIONS(2270),
    [anon_sym_BANG] = ACTIONS(1946),
    [anon_sym_TILDE] = ACTIONS(1946),
    [anon_sym_DOLLAR] = ACTIONS(1956),
    [anon_sym_SQUOTE] = ACTIONS(1958),
    [sym__backquoted_id] = ACTIONS(2603),
    [sym_operator_identifier] = ACTIONS(3229),
    [sym_integer_literal] = ACTIONS(1964),
    [sym_floating_point_literal] = ACTIONS(1966),
    [anon_sym_true] = ACTIONS(1968),
    [anon_sym_false] = ACTIONS(1968),
    [sym_character_literal] = ACTIONS(1966),
    [sym_null_literal] = ACTIONS(1970),
    [anon_sym_return] = ACTIONS(2274),
    [anon_sym_throw] = ACTIONS(2276),
    [anon_sym_do] = ACTIONS(2609),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1972),
    [sym__simple_string] = ACTIONS(1972),
  },
  [778] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(16957),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym__if_condition] = STATE(1607),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(4065),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(778),
    [sym_block_comment] = STATE(778),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2508),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [779] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(16957),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym__if_condition] = STATE(1252),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(4065),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(779),
    [sym_block_comment] = STATE(779),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2508),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [780] = {
    [sym_inline_modifier] = STATE(2183),
    [sym_block] = STATE(9088),
    [sym_expression] = STATE(13047),
    [sym__simple_expression] = STATE(8555),
    [sym_lambda_expression] = STATE(13338),
    [sym_if_expression] = STATE(13338),
    [sym_match_expression] = STATE(13338),
    [sym_try_expression] = STATE(13338),
    [sym_bindings] = STATE(15553),
    [sym_case_block] = STATE(9088),
    [sym_assignment_expression] = STATE(13338),
    [sym_generic_function] = STATE(9088),
    [sym_call_expression] = STATE(9088),
    [sym_field_expression] = STATE(9088),
    [sym_instance_expression] = STATE(9088),
    [sym_ascription_expression] = STATE(13338),
    [sym_infix_expression] = STATE(9773),
    [sym_postfix_expression] = STATE(13117),
    [sym__postfix_expression_choice] = STATE(15912),
    [sym_macro_body] = STATE(13338),
    [sym_prefix_expression] = STATE(10565),
    [sym_tuple_expression] = STATE(9088),
    [sym_parenthesized_expression] = STATE(9088),
    [sym_splice_expression] = STATE(9088),
    [sym_quote_expression] = STATE(9088),
    [sym_identifier] = STATE(7556),
    [sym__soft_identifier] = STATE(6581),
    [sym_wildcard] = STATE(9665),
    [sym__non_null_literal] = STATE(9088),
    [sym_boolean_literal] = STATE(8905),
    [sym_interpolated_string_expression] = STATE(9088),
    [sym_string] = STATE(8905),
    [sym_unit] = STATE(9088),
    [sym_return_expression] = STATE(13338),
    [sym_throw_expression] = STATE(13338),
    [sym_while_expression] = STATE(13338),
    [sym_do_while_expression] = STATE(13338),
    [sym_for_expression] = STATE(13338),
    [sym_comment] = STATE(780),
    [sym_block_comment] = STATE(780),
    [sym__alpha_identifier] = ACTIONS(2588),
    [anon_sym_COLON] = ACTIONS(2515),
    [anon_sym_LBRACE] = ACTIONS(2591),
    [anon_sym_DOT] = ACTIONS(2515),
    [anon_sym__] = ACTIONS(1944),
    [anon_sym_LBRACK] = ACTIONS(2520),
    [anon_sym_PLUS] = ACTIONS(1946),
    [anon_sym_DASH] = ACTIONS(1946),
    [anon_sym_end] = ACTIONS(2594),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2332),
    [anon_sym_for] = ACTIONS(2334),
    [anon_sym_match] = ACTIONS(2515),
    [anon_sym_try] = ACTIONS(2336),
    [anon_sym_new] = ACTIONS(1950),
    [anon_sym_EQ] = ACTIONS(2515),
    [anon_sym_opaque] = ACTIONS(2594),
    [anon_sym_implicit] = ACTIONS(2338),
    [anon_sym_inline] = ACTIONS(2597),
    [anon_sym_infix] = ACTIONS(2594),
    [anon_sym_open] = ACTIONS(2594),
    [anon_sym_transparent] = ACTIONS(2594),
    [anon_sym_LPAREN] = ACTIONS(2600),
    [anon_sym_macro] = ACTIONS(2270),
    [anon_sym_BANG] = ACTIONS(1946),
    [anon_sym_TILDE] = ACTIONS(1946),
    [anon_sym_DOLLAR] = ACTIONS(1956),
    [anon_sym_SQUOTE] = ACTIONS(1958),
    [sym__backquoted_id] = ACTIONS(2603),
    [sym_operator_identifier] = ACTIONS(3232),
    [sym_integer_literal] = ACTIONS(1964),
    [sym_floating_point_literal] = ACTIONS(1966),
    [anon_sym_true] = ACTIONS(1968),
    [anon_sym_false] = ACTIONS(1968),
    [sym_character_literal] = ACTIONS(1966),
    [sym_null_literal] = ACTIONS(1970),
    [anon_sym_return] = ACTIONS(2342),
    [anon_sym_throw] = ACTIONS(2344),
    [anon_sym_do] = ACTIONS(2609),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1972),
    [sym__simple_string] = ACTIONS(1972),
  },
  [781] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(16957),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym__if_condition] = STATE(1603),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(4065),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(781),
    [sym_block_comment] = STATE(781),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2508),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [782] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(16957),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym__if_condition] = STATE(1279),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(4065),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(782),
    [sym_block_comment] = STATE(782),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2508),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [783] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(16957),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym__if_condition] = STATE(1585),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(4065),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(783),
    [sym_block_comment] = STATE(783),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2508),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [784] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(16957),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym__if_condition] = STATE(1579),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(4065),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(784),
    [sym_block_comment] = STATE(784),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2508),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [785] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(16957),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym__if_condition] = STATE(1557),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(4065),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(785),
    [sym_block_comment] = STATE(785),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2508),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [786] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(16957),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym__if_condition] = STATE(1370),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(4065),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(786),
    [sym_block_comment] = STATE(786),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2508),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [787] = {
    [sym_inline_modifier] = STATE(2323),
    [sym_block] = STATE(6954),
    [sym_expression] = STATE(12176),
    [sym__simple_expression] = STATE(5520),
    [sym_lambda_expression] = STATE(12144),
    [sym_if_expression] = STATE(12144),
    [sym_match_expression] = STATE(12144),
    [sym_try_expression] = STATE(12144),
    [sym_bindings] = STATE(15572),
    [sym_case_block] = STATE(6954),
    [sym_assignment_expression] = STATE(12144),
    [sym_generic_function] = STATE(6954),
    [sym_call_expression] = STATE(6954),
    [sym_field_expression] = STATE(6954),
    [sym_instance_expression] = STATE(6954),
    [sym_ascription_expression] = STATE(12144),
    [sym_infix_expression] = STATE(8226),
    [sym_postfix_expression] = STATE(11499),
    [sym__postfix_expression_choice] = STATE(16229),
    [sym_macro_body] = STATE(12144),
    [sym_prefix_expression] = STATE(9280),
    [sym_tuple_expression] = STATE(6954),
    [sym_parenthesized_expression] = STATE(6954),
    [sym_splice_expression] = STATE(6954),
    [sym_quote_expression] = STATE(6954),
    [sym_identifier] = STATE(5300),
    [sym__soft_identifier] = STATE(4827),
    [sym_wildcard] = STATE(7542),
    [sym__non_null_literal] = STATE(6954),
    [sym_boolean_literal] = STATE(6997),
    [sym_interpolated_string_expression] = STATE(6954),
    [sym_string] = STATE(6997),
    [sym_unit] = STATE(6954),
    [sym_return_expression] = STATE(12144),
    [sym_throw_expression] = STATE(12144),
    [sym_while_expression] = STATE(12144),
    [sym_do_while_expression] = STATE(12144),
    [sym_for_expression] = STATE(12144),
    [sym_comment] = STATE(787),
    [sym_block_comment] = STATE(787),
    [sym__alpha_identifier] = ACTIONS(2657),
    [anon_sym_COLON] = ACTIONS(2515),
    [anon_sym_LBRACE] = ACTIONS(2660),
    [anon_sym_DOT] = ACTIONS(2515),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_LBRACK] = ACTIONS(2520),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(2663),
    [anon_sym_if] = ACTIONS(3235),
    [anon_sym_while] = ACTIONS(1924),
    [anon_sym_for] = ACTIONS(1926),
    [anon_sym_match] = ACTIONS(2515),
    [anon_sym_try] = ACTIONS(1928),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_EQ] = ACTIONS(2515),
    [anon_sym_opaque] = ACTIONS(2663),
    [anon_sym_implicit] = ACTIONS(1930),
    [anon_sym_inline] = ACTIONS(2668),
    [anon_sym_infix] = ACTIONS(2663),
    [anon_sym_open] = ACTIONS(2663),
    [anon_sym_transparent] = ACTIONS(2663),
    [anon_sym_LPAREN] = ACTIONS(2671),
    [anon_sym_macro] = ACTIONS(1894),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(2674),
    [sym_operator_identifier] = ACTIONS(3237),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(1934),
    [anon_sym_throw] = ACTIONS(1936),
    [anon_sym_do] = ACTIONS(2680),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [788] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(16957),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym__if_condition] = STATE(1552),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(4065),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(788),
    [sym_block_comment] = STATE(788),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2508),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [789] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(16957),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym__if_condition] = STATE(1397),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(4065),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(789),
    [sym_block_comment] = STATE(789),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2508),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [790] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(16957),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym__if_condition] = STATE(1521),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(4065),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(790),
    [sym_block_comment] = STATE(790),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2508),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [791] = {
    [sym_inline_modifier] = STATE(2047),
    [sym_block] = STATE(6954),
    [sym_expression] = STATE(12176),
    [sym__simple_expression] = STATE(6567),
    [sym_lambda_expression] = STATE(12144),
    [sym_if_expression] = STATE(12144),
    [sym_match_expression] = STATE(12144),
    [sym_try_expression] = STATE(12144),
    [sym_bindings] = STATE(15566),
    [sym_case_block] = STATE(6954),
    [sym_assignment_expression] = STATE(12144),
    [sym_generic_function] = STATE(6954),
    [sym_call_expression] = STATE(6954),
    [sym_field_expression] = STATE(6954),
    [sym_instance_expression] = STATE(6954),
    [sym_ascription_expression] = STATE(12144),
    [sym_infix_expression] = STATE(8226),
    [sym_postfix_expression] = STATE(11499),
    [sym__postfix_expression_choice] = STATE(16229),
    [sym_macro_body] = STATE(12144),
    [sym_prefix_expression] = STATE(9870),
    [sym_tuple_expression] = STATE(6954),
    [sym_parenthesized_expression] = STATE(6954),
    [sym_splice_expression] = STATE(6954),
    [sym_quote_expression] = STATE(6954),
    [sym_identifier] = STATE(5779),
    [sym__soft_identifier] = STATE(4827),
    [sym_wildcard] = STATE(8216),
    [sym__non_null_literal] = STATE(6954),
    [sym_boolean_literal] = STATE(6997),
    [sym_interpolated_string_expression] = STATE(6954),
    [sym_string] = STATE(6997),
    [sym_unit] = STATE(6954),
    [sym_return_expression] = STATE(12144),
    [sym_throw_expression] = STATE(12144),
    [sym_while_expression] = STATE(12144),
    [sym_do_while_expression] = STATE(12144),
    [sym_for_expression] = STATE(12144),
    [sym_comment] = STATE(791),
    [sym_block_comment] = STATE(791),
    [sym__alpha_identifier] = ACTIONS(2657),
    [anon_sym_COLON] = ACTIONS(2515),
    [anon_sym_LBRACE] = ACTIONS(2660),
    [anon_sym_DOT] = ACTIONS(2515),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_LBRACK] = ACTIONS(2520),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(2663),
    [anon_sym_if] = ACTIONS(1884),
    [anon_sym_while] = ACTIONS(1886),
    [anon_sym_for] = ACTIONS(1888),
    [anon_sym_match] = ACTIONS(2515),
    [anon_sym_try] = ACTIONS(1890),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_EQ] = ACTIONS(2515),
    [anon_sym_opaque] = ACTIONS(2663),
    [anon_sym_implicit] = ACTIONS(1892),
    [anon_sym_inline] = ACTIONS(2668),
    [anon_sym_infix] = ACTIONS(2663),
    [anon_sym_open] = ACTIONS(2663),
    [anon_sym_transparent] = ACTIONS(2663),
    [anon_sym_LPAREN] = ACTIONS(2671),
    [anon_sym_macro] = ACTIONS(1894),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(2674),
    [sym_operator_identifier] = ACTIONS(3240),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(1898),
    [anon_sym_throw] = ACTIONS(1900),
    [anon_sym_do] = ACTIONS(2680),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [792] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(16957),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym__if_condition] = STATE(1405),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(4065),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(792),
    [sym_block_comment] = STATE(792),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2508),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [793] = {
    [sym_inline_modifier] = STATE(2179),
    [sym_block] = STATE(6738),
    [sym_expression] = STATE(12102),
    [sym__simple_expression] = STATE(6283),
    [sym_lambda_expression] = STATE(12430),
    [sym_if_expression] = STATE(12430),
    [sym_match_expression] = STATE(12430),
    [sym_try_expression] = STATE(12430),
    [sym_bindings] = STATE(15581),
    [sym_case_block] = STATE(6738),
    [sym_assignment_expression] = STATE(12430),
    [sym_generic_function] = STATE(6738),
    [sym_call_expression] = STATE(6738),
    [sym_field_expression] = STATE(6738),
    [sym_instance_expression] = STATE(6738),
    [sym_ascription_expression] = STATE(12430),
    [sym_infix_expression] = STATE(8389),
    [sym_postfix_expression] = STATE(11930),
    [sym__postfix_expression_choice] = STATE(15885),
    [sym_macro_body] = STATE(12430),
    [sym_prefix_expression] = STATE(9616),
    [sym_tuple_expression] = STATE(6738),
    [sym_parenthesized_expression] = STATE(6738),
    [sym_splice_expression] = STATE(6738),
    [sym_quote_expression] = STATE(6738),
    [sym_identifier] = STATE(5530),
    [sym__soft_identifier] = STATE(4943),
    [sym_wildcard] = STATE(8554),
    [sym__non_null_literal] = STATE(6738),
    [sym_boolean_literal] = STATE(7301),
    [sym_interpolated_string_expression] = STATE(6738),
    [sym_string] = STATE(7301),
    [sym_unit] = STATE(6738),
    [sym_return_expression] = STATE(12430),
    [sym_throw_expression] = STATE(12430),
    [sym_while_expression] = STATE(12430),
    [sym_do_while_expression] = STATE(12430),
    [sym_for_expression] = STATE(12430),
    [sym_comment] = STATE(793),
    [sym_block_comment] = STATE(793),
    [sym__alpha_identifier] = ACTIONS(2812),
    [anon_sym_COLON] = ACTIONS(2515),
    [anon_sym_LBRACE] = ACTIONS(2815),
    [anon_sym_DOT] = ACTIONS(2515),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_LBRACK] = ACTIONS(2520),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(2818),
    [anon_sym_if] = ACTIONS(2356),
    [anon_sym_while] = ACTIONS(2358),
    [anon_sym_for] = ACTIONS(2360),
    [anon_sym_match] = ACTIONS(2515),
    [anon_sym_try] = ACTIONS(2362),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_EQ] = ACTIONS(2515),
    [anon_sym_opaque] = ACTIONS(2818),
    [anon_sym_implicit] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2821),
    [anon_sym_infix] = ACTIONS(2818),
    [anon_sym_open] = ACTIONS(2818),
    [anon_sym_transparent] = ACTIONS(2818),
    [anon_sym_LPAREN] = ACTIONS(2824),
    [anon_sym_macro] = ACTIONS(1360),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(2827),
    [sym_operator_identifier] = ACTIONS(3243),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(2368),
    [anon_sym_throw] = ACTIONS(2370),
    [anon_sym_do] = ACTIONS(2833),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [794] = {
    [sym_inline_modifier] = STATE(2064),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13436),
    [sym__simple_expression] = STATE(8719),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15704),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10572),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(8565),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(10039),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(794),
    [sym_block_comment] = STATE(794),
    [sym__alpha_identifier] = ACTIONS(2731),
    [anon_sym_COLON] = ACTIONS(2515),
    [anon_sym_LBRACE] = ACTIONS(2734),
    [anon_sym_DOT] = ACTIONS(2515),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_LBRACK] = ACTIONS(2520),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(2737),
    [anon_sym_if] = ACTIONS(3246),
    [anon_sym_while] = ACTIONS(3248),
    [anon_sym_for] = ACTIONS(3250),
    [anon_sym_match] = ACTIONS(2515),
    [anon_sym_try] = ACTIONS(3252),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_EQ] = ACTIONS(2515),
    [anon_sym_opaque] = ACTIONS(2737),
    [anon_sym_implicit] = ACTIONS(3254),
    [anon_sym_inline] = ACTIONS(2750),
    [anon_sym_infix] = ACTIONS(2737),
    [anon_sym_open] = ACTIONS(2737),
    [anon_sym_transparent] = ACTIONS(2737),
    [anon_sym_LPAREN] = ACTIONS(2753),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(2756),
    [sym_operator_identifier] = ACTIONS(3256),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(3259),
    [anon_sym_throw] = ACTIONS(3261),
    [anon_sym_do] = ACTIONS(2766),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [795] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(16957),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym__if_condition] = STATE(1469),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(4065),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(795),
    [sym_block_comment] = STATE(795),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2508),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [796] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(16957),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym__if_condition] = STATE(1513),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(4065),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(796),
    [sym_block_comment] = STATE(796),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2508),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [797] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(16957),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym__if_condition] = STATE(1169),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(4065),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(797),
    [sym_block_comment] = STATE(797),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2508),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [798] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(16957),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym__if_condition] = STATE(1499),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(4065),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(798),
    [sym_block_comment] = STATE(798),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2508),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [799] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(16957),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym__if_condition] = STATE(1482),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(4065),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(799),
    [sym_block_comment] = STATE(799),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2508),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [800] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(16957),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym__if_condition] = STATE(1522),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(4065),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(800),
    [sym_block_comment] = STATE(800),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2508),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [801] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(16957),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym__if_condition] = STATE(1464),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(4065),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(801),
    [sym_block_comment] = STATE(801),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2508),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [802] = {
    [sym_inline_modifier] = STATE(2115),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(12268),
    [sym__simple_expression] = STATE(7311),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15577),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(10220),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10124),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6254),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(8727),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(802),
    [sym_block_comment] = STATE(802),
    [sym__alpha_identifier] = ACTIONS(3022),
    [anon_sym_COLON] = ACTIONS(2515),
    [anon_sym_LBRACE] = ACTIONS(3025),
    [anon_sym_DOT] = ACTIONS(2515),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_LBRACK] = ACTIONS(2520),
    [anon_sym_PLUS] = ACTIONS(603),
    [anon_sym_DASH] = ACTIONS(603),
    [anon_sym_end] = ACTIONS(3028),
    [anon_sym_if] = ACTIONS(605),
    [anon_sym_while] = ACTIONS(607),
    [anon_sym_for] = ACTIONS(609),
    [anon_sym_match] = ACTIONS(2515),
    [anon_sym_try] = ACTIONS(611),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_EQ] = ACTIONS(2515),
    [anon_sym_opaque] = ACTIONS(3028),
    [anon_sym_implicit] = ACTIONS(2192),
    [anon_sym_inline] = ACTIONS(3263),
    [anon_sym_infix] = ACTIONS(3028),
    [anon_sym_open] = ACTIONS(3028),
    [anon_sym_transparent] = ACTIONS(3028),
    [anon_sym_LPAREN] = ACTIONS(3034),
    [anon_sym_macro] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(603),
    [anon_sym_TILDE] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(3037),
    [sym_operator_identifier] = ACTIONS(3266),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(623),
    [anon_sym_throw] = ACTIONS(625),
    [anon_sym_do] = ACTIONS(3016),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [803] = {
    [sym_inline_modifier] = STATE(2335),
    [sym_block] = STATE(5403),
    [sym_expression] = STATE(11362),
    [sym__simple_expression] = STATE(4736),
    [sym_lambda_expression] = STATE(11364),
    [sym_if_expression] = STATE(11364),
    [sym_match_expression] = STATE(11364),
    [sym_try_expression] = STATE(11364),
    [sym_bindings] = STATE(15583),
    [sym_case_block] = STATE(5403),
    [sym_assignment_expression] = STATE(11364),
    [sym_generic_function] = STATE(5403),
    [sym_call_expression] = STATE(5403),
    [sym_field_expression] = STATE(5403),
    [sym_instance_expression] = STATE(5403),
    [sym_ascription_expression] = STATE(11364),
    [sym_infix_expression] = STATE(6806),
    [sym_postfix_expression] = STATE(10789),
    [sym__postfix_expression_choice] = STATE(15797),
    [sym_macro_body] = STATE(11364),
    [sym_prefix_expression] = STATE(8627),
    [sym_tuple_expression] = STATE(5403),
    [sym_parenthesized_expression] = STATE(5403),
    [sym_splice_expression] = STATE(5403),
    [sym_quote_expression] = STATE(5403),
    [sym_identifier] = STATE(4558),
    [sym__soft_identifier] = STATE(4455),
    [sym_wildcard] = STATE(6107),
    [sym__non_null_literal] = STATE(5403),
    [sym_boolean_literal] = STATE(5637),
    [sym_interpolated_string_expression] = STATE(5403),
    [sym_string] = STATE(5637),
    [sym_unit] = STATE(5403),
    [sym_return_expression] = STATE(11364),
    [sym_throw_expression] = STATE(11364),
    [sym_while_expression] = STATE(11364),
    [sym_do_while_expression] = STATE(11364),
    [sym_for_expression] = STATE(11364),
    [sym_comment] = STATE(803),
    [sym_block_comment] = STATE(803),
    [sym__alpha_identifier] = ACTIONS(2633),
    [anon_sym_COLON] = ACTIONS(2515),
    [anon_sym_LBRACE] = ACTIONS(2636),
    [anon_sym_DOT] = ACTIONS(2515),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_LBRACK] = ACTIONS(2520),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(2639),
    [anon_sym_if] = ACTIONS(2288),
    [anon_sym_while] = ACTIONS(1750),
    [anon_sym_for] = ACTIONS(1752),
    [anon_sym_match] = ACTIONS(2515),
    [anon_sym_try] = ACTIONS(1754),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_EQ] = ACTIONS(2515),
    [anon_sym_opaque] = ACTIONS(2639),
    [anon_sym_implicit] = ACTIONS(1756),
    [anon_sym_inline] = ACTIONS(2642),
    [anon_sym_infix] = ACTIONS(2639),
    [anon_sym_open] = ACTIONS(2639),
    [anon_sym_transparent] = ACTIONS(2639),
    [anon_sym_LPAREN] = ACTIONS(2645),
    [anon_sym_macro] = ACTIONS(1162),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(2648),
    [sym_operator_identifier] = ACTIONS(3269),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1760),
    [anon_sym_throw] = ACTIONS(1762),
    [anon_sym_do] = ACTIONS(2654),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [804] = {
    [sym_inline_modifier] = STATE(2060),
    [sym_block] = STATE(6450),
    [sym_expression] = STATE(11481),
    [sym__simple_expression] = STATE(5608),
    [sym_lambda_expression] = STATE(11549),
    [sym_if_expression] = STATE(11549),
    [sym_match_expression] = STATE(11549),
    [sym_try_expression] = STATE(11549),
    [sym_bindings] = STATE(15697),
    [sym_case_block] = STATE(6450),
    [sym_assignment_expression] = STATE(11549),
    [sym_generic_function] = STATE(6450),
    [sym_call_expression] = STATE(6450),
    [sym_field_expression] = STATE(6450),
    [sym_instance_expression] = STATE(6450),
    [sym_ascription_expression] = STATE(11549),
    [sym_infix_expression] = STATE(7641),
    [sym_postfix_expression] = STATE(11204),
    [sym__postfix_expression_choice] = STATE(16480),
    [sym_macro_body] = STATE(11549),
    [sym_prefix_expression] = STATE(9536),
    [sym_tuple_expression] = STATE(6450),
    [sym_parenthesized_expression] = STATE(6450),
    [sym_splice_expression] = STATE(6450),
    [sym_quote_expression] = STATE(6450),
    [sym_identifier] = STATE(5347),
    [sym__soft_identifier] = STATE(4507),
    [sym_wildcard] = STATE(7620),
    [sym__non_null_literal] = STATE(6450),
    [sym_boolean_literal] = STATE(6156),
    [sym_interpolated_string_expression] = STATE(6450),
    [sym_string] = STATE(6156),
    [sym_unit] = STATE(6450),
    [sym_return_expression] = STATE(11549),
    [sym_throw_expression] = STATE(11549),
    [sym_while_expression] = STATE(11549),
    [sym_do_while_expression] = STATE(11549),
    [sym_for_expression] = STATE(11549),
    [sym_comment] = STATE(804),
    [sym_block_comment] = STATE(804),
    [sym__alpha_identifier] = ACTIONS(2564),
    [anon_sym_COLON] = ACTIONS(2515),
    [anon_sym_LBRACE] = ACTIONS(2567),
    [anon_sym_DOT] = ACTIONS(2515),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_LBRACK] = ACTIONS(2520),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(2570),
    [anon_sym_if] = ACTIONS(1428),
    [anon_sym_while] = ACTIONS(1430),
    [anon_sym_for] = ACTIONS(1432),
    [anon_sym_match] = ACTIONS(2515),
    [anon_sym_try] = ACTIONS(1434),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_EQ] = ACTIONS(2515),
    [anon_sym_opaque] = ACTIONS(2570),
    [anon_sym_implicit] = ACTIONS(1436),
    [anon_sym_inline] = ACTIONS(2573),
    [anon_sym_infix] = ACTIONS(2570),
    [anon_sym_open] = ACTIONS(2570),
    [anon_sym_transparent] = ACTIONS(2570),
    [anon_sym_LPAREN] = ACTIONS(2576),
    [anon_sym_macro] = ACTIONS(1378),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(2579),
    [sym_operator_identifier] = ACTIONS(3272),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1440),
    [anon_sym_throw] = ACTIONS(1442),
    [anon_sym_do] = ACTIONS(2585),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [805] = {
    [sym_inline_modifier] = STATE(2118),
    [sym_block] = STATE(5403),
    [sym_expression] = STATE(11362),
    [sym__simple_expression] = STATE(5051),
    [sym_lambda_expression] = STATE(11364),
    [sym_if_expression] = STATE(11364),
    [sym_match_expression] = STATE(11364),
    [sym_try_expression] = STATE(11364),
    [sym_bindings] = STATE(15597),
    [sym_case_block] = STATE(5403),
    [sym_assignment_expression] = STATE(11364),
    [sym_generic_function] = STATE(5403),
    [sym_call_expression] = STATE(5403),
    [sym_field_expression] = STATE(5403),
    [sym_instance_expression] = STATE(5403),
    [sym_ascription_expression] = STATE(11364),
    [sym_infix_expression] = STATE(6806),
    [sym_postfix_expression] = STATE(10789),
    [sym__postfix_expression_choice] = STATE(15797),
    [sym_macro_body] = STATE(11364),
    [sym_prefix_expression] = STATE(8869),
    [sym_tuple_expression] = STATE(5403),
    [sym_parenthesized_expression] = STATE(5403),
    [sym_splice_expression] = STATE(5403),
    [sym_quote_expression] = STATE(5403),
    [sym_identifier] = STATE(4686),
    [sym__soft_identifier] = STATE(4455),
    [sym_wildcard] = STATE(7015),
    [sym__non_null_literal] = STATE(5403),
    [sym_boolean_literal] = STATE(5637),
    [sym_interpolated_string_expression] = STATE(5403),
    [sym_string] = STATE(5637),
    [sym_unit] = STATE(5403),
    [sym_return_expression] = STATE(11364),
    [sym_throw_expression] = STATE(11364),
    [sym_while_expression] = STATE(11364),
    [sym_do_while_expression] = STATE(11364),
    [sym_for_expression] = STATE(11364),
    [sym_comment] = STATE(805),
    [sym_block_comment] = STATE(805),
    [sym__alpha_identifier] = ACTIONS(2633),
    [anon_sym_COLON] = ACTIONS(2515),
    [anon_sym_LBRACE] = ACTIONS(2636),
    [anon_sym_DOT] = ACTIONS(2515),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_LBRACK] = ACTIONS(2520),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(2639),
    [anon_sym_if] = ACTIONS(1152),
    [anon_sym_while] = ACTIONS(1154),
    [anon_sym_for] = ACTIONS(1156),
    [anon_sym_match] = ACTIONS(2515),
    [anon_sym_try] = ACTIONS(1158),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_EQ] = ACTIONS(2515),
    [anon_sym_opaque] = ACTIONS(2639),
    [anon_sym_implicit] = ACTIONS(1160),
    [anon_sym_inline] = ACTIONS(2642),
    [anon_sym_infix] = ACTIONS(2639),
    [anon_sym_open] = ACTIONS(2639),
    [anon_sym_transparent] = ACTIONS(2639),
    [anon_sym_LPAREN] = ACTIONS(2645),
    [anon_sym_macro] = ACTIONS(1162),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(2648),
    [sym_operator_identifier] = ACTIONS(3275),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1166),
    [anon_sym_throw] = ACTIONS(1168),
    [anon_sym_do] = ACTIONS(2654),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [806] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(16957),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym__if_condition] = STATE(1564),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(4065),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(806),
    [sym_block_comment] = STATE(806),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2508),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [807] = {
    [sym_inline_modifier] = STATE(2054),
    [sym__indentable_expression] = STATE(14031),
    [sym_block] = STATE(8041),
    [sym_indented_block] = STATE(12292),
    [sym_indented_cases] = STATE(12292),
    [sym_expression] = STATE(12256),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(7036),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(807),
    [sym_block_comment] = STATE(807),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2807),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [808] = {
    [sym_inline_modifier] = STATE(2049),
    [sym__indentable_expression] = STATE(13427),
    [sym_block] = STATE(8262),
    [sym_indented_block] = STATE(13058),
    [sym_indented_cases] = STATE(13058),
    [sym_expression] = STATE(12868),
    [sym__simple_expression] = STATE(5468),
    [sym_lambda_expression] = STATE(13098),
    [sym_if_expression] = STATE(13098),
    [sym_match_expression] = STATE(13098),
    [sym_try_expression] = STATE(13098),
    [sym_bindings] = STATE(15673),
    [sym_case_block] = STATE(8262),
    [sym_assignment_expression] = STATE(13098),
    [sym_generic_function] = STATE(8262),
    [sym_call_expression] = STATE(8262),
    [sym_field_expression] = STATE(8262),
    [sym_instance_expression] = STATE(8262),
    [sym_ascription_expression] = STATE(13098),
    [sym_infix_expression] = STATE(9485),
    [sym_postfix_expression] = STATE(12647),
    [sym__postfix_expression_choice] = STATE(16347),
    [sym_macro_body] = STATE(13098),
    [sym_prefix_expression] = STATE(9354),
    [sym_tuple_expression] = STATE(8262),
    [sym_parenthesized_expression] = STATE(8262),
    [sym_splice_expression] = STATE(8262),
    [sym_quote_expression] = STATE(8262),
    [sym_identifier] = STATE(5288),
    [sym__soft_identifier] = STATE(5419),
    [sym_wildcard] = STATE(7475),
    [sym__non_null_literal] = STATE(8262),
    [sym_boolean_literal] = STATE(8242),
    [sym_interpolated_string_expression] = STATE(8262),
    [sym_string] = STATE(8242),
    [sym_unit] = STATE(8262),
    [sym_return_expression] = STATE(13098),
    [sym_throw_expression] = STATE(13098),
    [sym_while_expression] = STATE(13098),
    [sym_do_while_expression] = STATE(13098),
    [sym_for_expression] = STATE(13098),
    [sym_comment] = STATE(808),
    [sym_block_comment] = STATE(808),
    [sym__alpha_identifier] = ACTIONS(1278),
    [anon_sym_LBRACE] = ACTIONS(1282),
    [anon_sym__] = ACTIONS(1284),
    [anon_sym_PLUS] = ACTIONS(1286),
    [anon_sym_DASH] = ACTIONS(1286),
    [anon_sym_end] = ACTIONS(1288),
    [anon_sym_if] = ACTIONS(2196),
    [anon_sym_while] = ACTIONS(2016),
    [anon_sym_for] = ACTIONS(2018),
    [anon_sym_try] = ACTIONS(2020),
    [anon_sym_new] = ACTIONS(1290),
    [anon_sym_opaque] = ACTIONS(1288),
    [anon_sym_implicit] = ACTIONS(2022),
    [anon_sym_inline] = ACTIONS(1292),
    [anon_sym_infix] = ACTIONS(1288),
    [anon_sym_open] = ACTIONS(1288),
    [anon_sym_transparent] = ACTIONS(1288),
    [anon_sym_LPAREN] = ACTIONS(1294),
    [anon_sym_macro] = ACTIONS(1720),
    [anon_sym_BANG] = ACTIONS(1286),
    [anon_sym_TILDE] = ACTIONS(1286),
    [anon_sym_DOLLAR] = ACTIONS(1296),
    [anon_sym_SQUOTE] = ACTIONS(1298),
    [sym__backquoted_id] = ACTIONS(1300),
    [sym_operator_identifier] = ACTIONS(2024),
    [sym_integer_literal] = ACTIONS(1304),
    [sym_floating_point_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1308),
    [anon_sym_false] = ACTIONS(1308),
    [sym_character_literal] = ACTIONS(1306),
    [sym_null_literal] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(2026),
    [anon_sym_throw] = ACTIONS(2028),
    [anon_sym_do] = ACTIONS(1728),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2198),
    [sym__simple_multiline_string] = ACTIONS(1312),
    [sym__simple_string] = ACTIONS(1312),
  },
  [809] = {
    [sym_inline_modifier] = STATE(2323),
    [sym__indentable_expression] = STATE(12084),
    [sym_block] = STATE(6954),
    [sym_indented_block] = STATE(11923),
    [sym_indented_cases] = STATE(11923),
    [sym_expression] = STATE(12206),
    [sym__simple_expression] = STATE(5520),
    [sym_lambda_expression] = STATE(12144),
    [sym_if_expression] = STATE(12144),
    [sym_match_expression] = STATE(12144),
    [sym_try_expression] = STATE(12144),
    [sym_bindings] = STATE(15572),
    [sym_case_block] = STATE(6954),
    [sym_assignment_expression] = STATE(12144),
    [sym_generic_function] = STATE(6954),
    [sym_call_expression] = STATE(6954),
    [sym_field_expression] = STATE(6954),
    [sym_instance_expression] = STATE(6954),
    [sym_ascription_expression] = STATE(12144),
    [sym_infix_expression] = STATE(8226),
    [sym_postfix_expression] = STATE(11499),
    [sym__postfix_expression_choice] = STATE(16229),
    [sym_macro_body] = STATE(12144),
    [sym_prefix_expression] = STATE(9280),
    [sym_tuple_expression] = STATE(6954),
    [sym_parenthesized_expression] = STATE(6954),
    [sym_splice_expression] = STATE(6954),
    [sym_quote_expression] = STATE(6954),
    [sym_identifier] = STATE(5300),
    [sym__soft_identifier] = STATE(4827),
    [sym_wildcard] = STATE(7542),
    [sym__non_null_literal] = STATE(6954),
    [sym_boolean_literal] = STATE(6997),
    [sym_interpolated_string_expression] = STATE(6954),
    [sym_string] = STATE(6997),
    [sym_unit] = STATE(6954),
    [sym_return_expression] = STATE(12144),
    [sym_throw_expression] = STATE(12144),
    [sym_while_expression] = STATE(12144),
    [sym_do_while_expression] = STATE(12144),
    [sym_for_expression] = STATE(12144),
    [sym_comment] = STATE(809),
    [sym_block_comment] = STATE(809),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(3235),
    [anon_sym_while] = ACTIONS(1924),
    [anon_sym_for] = ACTIONS(1926),
    [anon_sym_try] = ACTIONS(1928),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(1930),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1894),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(1932),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(1934),
    [anon_sym_throw] = ACTIONS(1936),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3280),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [810] = {
    [sym_inline_modifier] = STATE(2154),
    [sym__indentable_expression] = STATE(13734),
    [sym_block] = STATE(8070),
    [sym_indented_block] = STATE(12700),
    [sym_indented_cases] = STATE(12700),
    [sym_expression] = STATE(12581),
    [sym__simple_expression] = STATE(7235),
    [sym_lambda_expression] = STATE(12742),
    [sym_if_expression] = STATE(12742),
    [sym_match_expression] = STATE(12742),
    [sym_try_expression] = STATE(12742),
    [sym_bindings] = STATE(15546),
    [sym_case_block] = STATE(8070),
    [sym_assignment_expression] = STATE(12742),
    [sym_generic_function] = STATE(8070),
    [sym_call_expression] = STATE(8070),
    [sym_field_expression] = STATE(8070),
    [sym_instance_expression] = STATE(8070),
    [sym_ascription_expression] = STATE(12742),
    [sym_infix_expression] = STATE(8913),
    [sym_postfix_expression] = STATE(12343),
    [sym__postfix_expression_choice] = STATE(16230),
    [sym_macro_body] = STATE(12742),
    [sym_prefix_expression] = STATE(9970),
    [sym_tuple_expression] = STATE(8070),
    [sym_parenthesized_expression] = STATE(8070),
    [sym_splice_expression] = STATE(8070),
    [sym_quote_expression] = STATE(8070),
    [sym_identifier] = STATE(6168),
    [sym__soft_identifier] = STATE(5234),
    [sym_wildcard] = STATE(8792),
    [sym__non_null_literal] = STATE(8070),
    [sym_boolean_literal] = STATE(8055),
    [sym_interpolated_string_expression] = STATE(8070),
    [sym_string] = STATE(8055),
    [sym_unit] = STATE(8070),
    [sym_return_expression] = STATE(12742),
    [sym_throw_expression] = STATE(12742),
    [sym_while_expression] = STATE(12742),
    [sym_do_while_expression] = STATE(12742),
    [sym_for_expression] = STATE(12742),
    [sym_comment] = STATE(810),
    [sym_block_comment] = STATE(810),
    [sym__alpha_identifier] = ACTIONS(1314),
    [anon_sym_LBRACE] = ACTIONS(1318),
    [anon_sym__] = ACTIONS(1320),
    [anon_sym_PLUS] = ACTIONS(1322),
    [anon_sym_DASH] = ACTIONS(1322),
    [anon_sym_end] = ACTIONS(1324),
    [anon_sym_if] = ACTIONS(2142),
    [anon_sym_while] = ACTIONS(2144),
    [anon_sym_for] = ACTIONS(2146),
    [anon_sym_try] = ACTIONS(2148),
    [anon_sym_new] = ACTIONS(1326),
    [anon_sym_opaque] = ACTIONS(1324),
    [anon_sym_implicit] = ACTIONS(2150),
    [anon_sym_inline] = ACTIONS(1328),
    [anon_sym_infix] = ACTIONS(1324),
    [anon_sym_open] = ACTIONS(1324),
    [anon_sym_transparent] = ACTIONS(1324),
    [anon_sym_LPAREN] = ACTIONS(1330),
    [anon_sym_macro] = ACTIONS(1740),
    [anon_sym_BANG] = ACTIONS(1322),
    [anon_sym_TILDE] = ACTIONS(1322),
    [anon_sym_DOLLAR] = ACTIONS(1332),
    [anon_sym_SQUOTE] = ACTIONS(1334),
    [sym__backquoted_id] = ACTIONS(1336),
    [sym_operator_identifier] = ACTIONS(2152),
    [sym_integer_literal] = ACTIONS(1340),
    [sym_floating_point_literal] = ACTIONS(1342),
    [anon_sym_true] = ACTIONS(1344),
    [anon_sym_false] = ACTIONS(1344),
    [sym_character_literal] = ACTIONS(1342),
    [sym_null_literal] = ACTIONS(1346),
    [anon_sym_return] = ACTIONS(2154),
    [anon_sym_throw] = ACTIONS(2156),
    [anon_sym_do] = ACTIONS(1748),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2158),
    [sym__simple_multiline_string] = ACTIONS(1348),
    [sym__simple_string] = ACTIONS(1348),
  },
  [811] = {
    [sym_inline_modifier] = STATE(2284),
    [sym__indentable_expression] = STATE(13285),
    [sym_block] = STATE(9120),
    [sym_indented_block] = STATE(13388),
    [sym_indented_cases] = STATE(13388),
    [sym_expression] = STATE(13211),
    [sym__simple_expression] = STATE(6111),
    [sym_lambda_expression] = STATE(13422),
    [sym_if_expression] = STATE(13422),
    [sym_match_expression] = STATE(13422),
    [sym_try_expression] = STATE(13422),
    [sym_bindings] = STATE(15588),
    [sym_case_block] = STATE(9120),
    [sym_assignment_expression] = STATE(13422),
    [sym_generic_function] = STATE(9120),
    [sym_call_expression] = STATE(9120),
    [sym_field_expression] = STATE(9120),
    [sym_instance_expression] = STATE(9120),
    [sym_ascription_expression] = STATE(13422),
    [sym_infix_expression] = STATE(9820),
    [sym_postfix_expression] = STATE(13148),
    [sym__postfix_expression_choice] = STATE(15936),
    [sym_macro_body] = STATE(13422),
    [sym_prefix_expression] = STATE(9760),
    [sym_tuple_expression] = STATE(9120),
    [sym_parenthesized_expression] = STATE(9120),
    [sym_splice_expression] = STATE(9120),
    [sym_quote_expression] = STATE(9120),
    [sym_identifier] = STATE(5467),
    [sym__soft_identifier] = STATE(6470),
    [sym_wildcard] = STATE(8607),
    [sym__non_null_literal] = STATE(9120),
    [sym_boolean_literal] = STATE(8928),
    [sym_interpolated_string_expression] = STATE(9120),
    [sym_string] = STATE(8928),
    [sym_unit] = STATE(9120),
    [sym_return_expression] = STATE(13422),
    [sym_throw_expression] = STATE(13422),
    [sym_while_expression] = STATE(13422),
    [sym_do_while_expression] = STATE(13422),
    [sym_for_expression] = STATE(13422),
    [sym_comment] = STATE(811),
    [sym_block_comment] = STATE(811),
    [sym__alpha_identifier] = ACTIONS(1582),
    [anon_sym_LBRACE] = ACTIONS(1586),
    [anon_sym__] = ACTIONS(1588),
    [anon_sym_PLUS] = ACTIONS(1590),
    [anon_sym_DASH] = ACTIONS(1590),
    [anon_sym_end] = ACTIONS(1592),
    [anon_sym_if] = ACTIONS(3218),
    [anon_sym_while] = ACTIONS(2380),
    [anon_sym_for] = ACTIONS(2382),
    [anon_sym_try] = ACTIONS(2384),
    [anon_sym_new] = ACTIONS(1594),
    [anon_sym_opaque] = ACTIONS(1592),
    [anon_sym_implicit] = ACTIONS(2386),
    [anon_sym_inline] = ACTIONS(1596),
    [anon_sym_infix] = ACTIONS(1592),
    [anon_sym_open] = ACTIONS(1592),
    [anon_sym_transparent] = ACTIONS(1592),
    [anon_sym_LPAREN] = ACTIONS(1598),
    [anon_sym_macro] = ACTIONS(1874),
    [anon_sym_BANG] = ACTIONS(1590),
    [anon_sym_TILDE] = ACTIONS(1590),
    [anon_sym_DOLLAR] = ACTIONS(1600),
    [anon_sym_SQUOTE] = ACTIONS(1602),
    [sym__backquoted_id] = ACTIONS(1604),
    [sym_operator_identifier] = ACTIONS(2388),
    [sym_integer_literal] = ACTIONS(1608),
    [sym_floating_point_literal] = ACTIONS(1610),
    [anon_sym_true] = ACTIONS(1612),
    [anon_sym_false] = ACTIONS(1612),
    [sym_character_literal] = ACTIONS(1610),
    [sym_null_literal] = ACTIONS(1614),
    [anon_sym_return] = ACTIONS(2390),
    [anon_sym_throw] = ACTIONS(2392),
    [anon_sym_do] = ACTIONS(1882),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3282),
    [sym__simple_multiline_string] = ACTIONS(1616),
    [sym__simple_string] = ACTIONS(1616),
  },
  [812] = {
    [sym_inline_modifier] = STATE(2118),
    [sym__indentable_expression] = STATE(11249),
    [sym_block] = STATE(5403),
    [sym_indented_block] = STATE(11085),
    [sym_indented_cases] = STATE(11085),
    [sym_expression] = STATE(11355),
    [sym__simple_expression] = STATE(5051),
    [sym_lambda_expression] = STATE(11364),
    [sym_if_expression] = STATE(11364),
    [sym_match_expression] = STATE(11364),
    [sym_try_expression] = STATE(11364),
    [sym_bindings] = STATE(15597),
    [sym_case_block] = STATE(5403),
    [sym_assignment_expression] = STATE(11364),
    [sym_generic_function] = STATE(5403),
    [sym_call_expression] = STATE(5403),
    [sym_field_expression] = STATE(5403),
    [sym_instance_expression] = STATE(5403),
    [sym_ascription_expression] = STATE(11364),
    [sym_infix_expression] = STATE(6806),
    [sym_postfix_expression] = STATE(10789),
    [sym__postfix_expression_choice] = STATE(15797),
    [sym_macro_body] = STATE(11364),
    [sym_prefix_expression] = STATE(8869),
    [sym_tuple_expression] = STATE(5403),
    [sym_parenthesized_expression] = STATE(5403),
    [sym_splice_expression] = STATE(5403),
    [sym_quote_expression] = STATE(5403),
    [sym_identifier] = STATE(4686),
    [sym__soft_identifier] = STATE(4455),
    [sym_wildcard] = STATE(7015),
    [sym__non_null_literal] = STATE(5403),
    [sym_boolean_literal] = STATE(5637),
    [sym_interpolated_string_expression] = STATE(5403),
    [sym_string] = STATE(5637),
    [sym_unit] = STATE(5403),
    [sym_return_expression] = STATE(11364),
    [sym_throw_expression] = STATE(11364),
    [sym_while_expression] = STATE(11364),
    [sym_do_while_expression] = STATE(11364),
    [sym_for_expression] = STATE(11364),
    [sym_comment] = STATE(812),
    [sym_block_comment] = STATE(812),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(1152),
    [anon_sym_while] = ACTIONS(1154),
    [anon_sym_for] = ACTIONS(1156),
    [anon_sym_try] = ACTIONS(1158),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1160),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1162),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1164),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1166),
    [anon_sym_throw] = ACTIONS(1168),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2282),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [813] = {
    [sym_inline_modifier] = STATE(2284),
    [sym__indentable_expression] = STATE(13276),
    [sym_block] = STATE(9120),
    [sym_indented_block] = STATE(13388),
    [sym_indented_cases] = STATE(13388),
    [sym_expression] = STATE(13211),
    [sym__simple_expression] = STATE(6111),
    [sym_lambda_expression] = STATE(13422),
    [sym_if_expression] = STATE(13422),
    [sym_match_expression] = STATE(13422),
    [sym_try_expression] = STATE(13422),
    [sym_bindings] = STATE(15588),
    [sym_case_block] = STATE(9120),
    [sym_assignment_expression] = STATE(13422),
    [sym_generic_function] = STATE(9120),
    [sym_call_expression] = STATE(9120),
    [sym_field_expression] = STATE(9120),
    [sym_instance_expression] = STATE(9120),
    [sym_ascription_expression] = STATE(13422),
    [sym_infix_expression] = STATE(9820),
    [sym_postfix_expression] = STATE(13148),
    [sym__postfix_expression_choice] = STATE(15936),
    [sym_macro_body] = STATE(13422),
    [sym_prefix_expression] = STATE(9760),
    [sym_tuple_expression] = STATE(9120),
    [sym_parenthesized_expression] = STATE(9120),
    [sym_splice_expression] = STATE(9120),
    [sym_quote_expression] = STATE(9120),
    [sym_identifier] = STATE(5467),
    [sym__soft_identifier] = STATE(6470),
    [sym_wildcard] = STATE(8607),
    [sym__non_null_literal] = STATE(9120),
    [sym_boolean_literal] = STATE(8928),
    [sym_interpolated_string_expression] = STATE(9120),
    [sym_string] = STATE(8928),
    [sym_unit] = STATE(9120),
    [sym_return_expression] = STATE(13422),
    [sym_throw_expression] = STATE(13422),
    [sym_while_expression] = STATE(13422),
    [sym_do_while_expression] = STATE(13422),
    [sym_for_expression] = STATE(13422),
    [sym_comment] = STATE(813),
    [sym_block_comment] = STATE(813),
    [sym__alpha_identifier] = ACTIONS(1582),
    [anon_sym_LBRACE] = ACTIONS(1586),
    [anon_sym__] = ACTIONS(1588),
    [anon_sym_PLUS] = ACTIONS(1590),
    [anon_sym_DASH] = ACTIONS(1590),
    [anon_sym_end] = ACTIONS(1592),
    [anon_sym_if] = ACTIONS(3218),
    [anon_sym_while] = ACTIONS(2380),
    [anon_sym_for] = ACTIONS(2382),
    [anon_sym_try] = ACTIONS(2384),
    [anon_sym_new] = ACTIONS(1594),
    [anon_sym_opaque] = ACTIONS(1592),
    [anon_sym_implicit] = ACTIONS(2386),
    [anon_sym_inline] = ACTIONS(1596),
    [anon_sym_infix] = ACTIONS(1592),
    [anon_sym_open] = ACTIONS(1592),
    [anon_sym_transparent] = ACTIONS(1592),
    [anon_sym_LPAREN] = ACTIONS(1598),
    [anon_sym_macro] = ACTIONS(1874),
    [anon_sym_BANG] = ACTIONS(1590),
    [anon_sym_TILDE] = ACTIONS(1590),
    [anon_sym_DOLLAR] = ACTIONS(1600),
    [anon_sym_SQUOTE] = ACTIONS(1602),
    [sym__backquoted_id] = ACTIONS(1604),
    [sym_operator_identifier] = ACTIONS(2388),
    [sym_integer_literal] = ACTIONS(1608),
    [sym_floating_point_literal] = ACTIONS(1610),
    [anon_sym_true] = ACTIONS(1612),
    [anon_sym_false] = ACTIONS(1612),
    [sym_character_literal] = ACTIONS(1610),
    [sym_null_literal] = ACTIONS(1614),
    [anon_sym_return] = ACTIONS(2390),
    [anon_sym_throw] = ACTIONS(2392),
    [anon_sym_do] = ACTIONS(1882),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3282),
    [sym__simple_multiline_string] = ACTIONS(1616),
    [sym__simple_string] = ACTIONS(1616),
  },
  [814] = {
    [sym_inline_modifier] = STATE(2118),
    [sym__indentable_expression] = STATE(11272),
    [sym_block] = STATE(5403),
    [sym_indented_block] = STATE(11085),
    [sym_indented_cases] = STATE(11085),
    [sym_expression] = STATE(11355),
    [sym__simple_expression] = STATE(5051),
    [sym_lambda_expression] = STATE(11364),
    [sym_if_expression] = STATE(11364),
    [sym_match_expression] = STATE(11364),
    [sym_try_expression] = STATE(11364),
    [sym_bindings] = STATE(15597),
    [sym_case_block] = STATE(5403),
    [sym_assignment_expression] = STATE(11364),
    [sym_generic_function] = STATE(5403),
    [sym_call_expression] = STATE(5403),
    [sym_field_expression] = STATE(5403),
    [sym_instance_expression] = STATE(5403),
    [sym_ascription_expression] = STATE(11364),
    [sym_infix_expression] = STATE(6806),
    [sym_postfix_expression] = STATE(10789),
    [sym__postfix_expression_choice] = STATE(15797),
    [sym_macro_body] = STATE(11364),
    [sym_prefix_expression] = STATE(8869),
    [sym_tuple_expression] = STATE(5403),
    [sym_parenthesized_expression] = STATE(5403),
    [sym_splice_expression] = STATE(5403),
    [sym_quote_expression] = STATE(5403),
    [sym_identifier] = STATE(4686),
    [sym__soft_identifier] = STATE(4455),
    [sym_wildcard] = STATE(7015),
    [sym__non_null_literal] = STATE(5403),
    [sym_boolean_literal] = STATE(5637),
    [sym_interpolated_string_expression] = STATE(5403),
    [sym_string] = STATE(5637),
    [sym_unit] = STATE(5403),
    [sym_return_expression] = STATE(11364),
    [sym_throw_expression] = STATE(11364),
    [sym_while_expression] = STATE(11364),
    [sym_do_while_expression] = STATE(11364),
    [sym_for_expression] = STATE(11364),
    [sym_comment] = STATE(814),
    [sym_block_comment] = STATE(814),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(1152),
    [anon_sym_while] = ACTIONS(1154),
    [anon_sym_for] = ACTIONS(1156),
    [anon_sym_try] = ACTIONS(1158),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1160),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1162),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1164),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1166),
    [anon_sym_throw] = ACTIONS(1168),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2282),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [815] = {
    [sym_inline_modifier] = STATE(2284),
    [sym__indentable_expression] = STATE(13331),
    [sym_block] = STATE(9120),
    [sym_indented_block] = STATE(13388),
    [sym_indented_cases] = STATE(13388),
    [sym_expression] = STATE(13211),
    [sym__simple_expression] = STATE(6111),
    [sym_lambda_expression] = STATE(13422),
    [sym_if_expression] = STATE(13422),
    [sym_match_expression] = STATE(13422),
    [sym_try_expression] = STATE(13422),
    [sym_bindings] = STATE(15588),
    [sym_case_block] = STATE(9120),
    [sym_assignment_expression] = STATE(13422),
    [sym_generic_function] = STATE(9120),
    [sym_call_expression] = STATE(9120),
    [sym_field_expression] = STATE(9120),
    [sym_instance_expression] = STATE(9120),
    [sym_ascription_expression] = STATE(13422),
    [sym_infix_expression] = STATE(9820),
    [sym_postfix_expression] = STATE(13148),
    [sym__postfix_expression_choice] = STATE(15936),
    [sym_macro_body] = STATE(13422),
    [sym_prefix_expression] = STATE(9760),
    [sym_tuple_expression] = STATE(9120),
    [sym_parenthesized_expression] = STATE(9120),
    [sym_splice_expression] = STATE(9120),
    [sym_quote_expression] = STATE(9120),
    [sym_identifier] = STATE(5467),
    [sym__soft_identifier] = STATE(6470),
    [sym_wildcard] = STATE(8607),
    [sym__non_null_literal] = STATE(9120),
    [sym_boolean_literal] = STATE(8928),
    [sym_interpolated_string_expression] = STATE(9120),
    [sym_string] = STATE(8928),
    [sym_unit] = STATE(9120),
    [sym_return_expression] = STATE(13422),
    [sym_throw_expression] = STATE(13422),
    [sym_while_expression] = STATE(13422),
    [sym_do_while_expression] = STATE(13422),
    [sym_for_expression] = STATE(13422),
    [sym_comment] = STATE(815),
    [sym_block_comment] = STATE(815),
    [sym__alpha_identifier] = ACTIONS(1582),
    [anon_sym_LBRACE] = ACTIONS(1586),
    [anon_sym__] = ACTIONS(1588),
    [anon_sym_PLUS] = ACTIONS(1590),
    [anon_sym_DASH] = ACTIONS(1590),
    [anon_sym_end] = ACTIONS(1592),
    [anon_sym_if] = ACTIONS(3218),
    [anon_sym_while] = ACTIONS(2380),
    [anon_sym_for] = ACTIONS(2382),
    [anon_sym_try] = ACTIONS(2384),
    [anon_sym_new] = ACTIONS(1594),
    [anon_sym_opaque] = ACTIONS(1592),
    [anon_sym_implicit] = ACTIONS(2386),
    [anon_sym_inline] = ACTIONS(1596),
    [anon_sym_infix] = ACTIONS(1592),
    [anon_sym_open] = ACTIONS(1592),
    [anon_sym_transparent] = ACTIONS(1592),
    [anon_sym_LPAREN] = ACTIONS(1598),
    [anon_sym_macro] = ACTIONS(1874),
    [anon_sym_BANG] = ACTIONS(1590),
    [anon_sym_TILDE] = ACTIONS(1590),
    [anon_sym_DOLLAR] = ACTIONS(1600),
    [anon_sym_SQUOTE] = ACTIONS(1602),
    [sym__backquoted_id] = ACTIONS(1604),
    [sym_operator_identifier] = ACTIONS(2388),
    [sym_integer_literal] = ACTIONS(1608),
    [sym_floating_point_literal] = ACTIONS(1610),
    [anon_sym_true] = ACTIONS(1612),
    [anon_sym_false] = ACTIONS(1612),
    [sym_character_literal] = ACTIONS(1610),
    [sym_null_literal] = ACTIONS(1614),
    [anon_sym_return] = ACTIONS(2390),
    [anon_sym_throw] = ACTIONS(2392),
    [anon_sym_do] = ACTIONS(1882),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3282),
    [sym__simple_multiline_string] = ACTIONS(1616),
    [sym__simple_string] = ACTIONS(1616),
  },
  [816] = {
    [sym_inline_modifier] = STATE(2262),
    [sym__indentable_expression] = STATE(13452),
    [sym_block] = STATE(6540),
    [sym_indented_block] = STATE(11390),
    [sym_indented_cases] = STATE(11390),
    [sym_expression] = STATE(11385),
    [sym__simple_expression] = STATE(5817),
    [sym_lambda_expression] = STATE(11374),
    [sym_if_expression] = STATE(11374),
    [sym_match_expression] = STATE(11374),
    [sym_try_expression] = STATE(11374),
    [sym_bindings] = STATE(15530),
    [sym_case_block] = STATE(6540),
    [sym_assignment_expression] = STATE(11374),
    [sym_generic_function] = STATE(6540),
    [sym_call_expression] = STATE(6540),
    [sym_field_expression] = STATE(6540),
    [sym_instance_expression] = STATE(6540),
    [sym_ascription_expression] = STATE(11374),
    [sym_infix_expression] = STATE(7834),
    [sym_postfix_expression] = STATE(11215),
    [sym__postfix_expression_choice] = STATE(16210),
    [sym_macro_body] = STATE(11374),
    [sym_prefix_expression] = STATE(9262),
    [sym_tuple_expression] = STATE(6540),
    [sym_parenthesized_expression] = STATE(6540),
    [sym_splice_expression] = STATE(6540),
    [sym_quote_expression] = STATE(6540),
    [sym_identifier] = STATE(5031),
    [sym__soft_identifier] = STATE(4667),
    [sym_wildcard] = STATE(7986),
    [sym__non_null_literal] = STATE(6540),
    [sym_boolean_literal] = STATE(6246),
    [sym_interpolated_string_expression] = STATE(6540),
    [sym_string] = STATE(6246),
    [sym_unit] = STATE(6540),
    [sym_return_expression] = STATE(11374),
    [sym_throw_expression] = STATE(11374),
    [sym_while_expression] = STATE(11374),
    [sym_do_while_expression] = STATE(11374),
    [sym_for_expression] = STATE(11374),
    [sym_comment] = STATE(816),
    [sym_block_comment] = STATE(816),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(1530),
    [anon_sym_while] = ACTIONS(1532),
    [anon_sym_for] = ACTIONS(1534),
    [anon_sym_try] = ACTIONS(1536),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1538),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1540),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1542),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1544),
    [anon_sym_throw] = ACTIONS(1546),
    [anon_sym_do] = ACTIONS(1548),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2240),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [817] = {
    [sym_inline_modifier] = STATE(2118),
    [sym__indentable_expression] = STATE(11274),
    [sym_block] = STATE(5403),
    [sym_indented_block] = STATE(11085),
    [sym_indented_cases] = STATE(11085),
    [sym_expression] = STATE(11355),
    [sym__simple_expression] = STATE(5051),
    [sym_lambda_expression] = STATE(11364),
    [sym_if_expression] = STATE(11364),
    [sym_match_expression] = STATE(11364),
    [sym_try_expression] = STATE(11364),
    [sym_bindings] = STATE(15597),
    [sym_case_block] = STATE(5403),
    [sym_assignment_expression] = STATE(11364),
    [sym_generic_function] = STATE(5403),
    [sym_call_expression] = STATE(5403),
    [sym_field_expression] = STATE(5403),
    [sym_instance_expression] = STATE(5403),
    [sym_ascription_expression] = STATE(11364),
    [sym_infix_expression] = STATE(6806),
    [sym_postfix_expression] = STATE(10789),
    [sym__postfix_expression_choice] = STATE(15797),
    [sym_macro_body] = STATE(11364),
    [sym_prefix_expression] = STATE(8869),
    [sym_tuple_expression] = STATE(5403),
    [sym_parenthesized_expression] = STATE(5403),
    [sym_splice_expression] = STATE(5403),
    [sym_quote_expression] = STATE(5403),
    [sym_identifier] = STATE(4686),
    [sym__soft_identifier] = STATE(4455),
    [sym_wildcard] = STATE(7015),
    [sym__non_null_literal] = STATE(5403),
    [sym_boolean_literal] = STATE(5637),
    [sym_interpolated_string_expression] = STATE(5403),
    [sym_string] = STATE(5637),
    [sym_unit] = STATE(5403),
    [sym_return_expression] = STATE(11364),
    [sym_throw_expression] = STATE(11364),
    [sym_while_expression] = STATE(11364),
    [sym_do_while_expression] = STATE(11364),
    [sym_for_expression] = STATE(11364),
    [sym_comment] = STATE(817),
    [sym_block_comment] = STATE(817),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(1152),
    [anon_sym_while] = ACTIONS(1154),
    [anon_sym_for] = ACTIONS(1156),
    [anon_sym_try] = ACTIONS(1158),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1160),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1162),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1164),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1166),
    [anon_sym_throw] = ACTIONS(1168),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2282),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [818] = {
    [sym_inline_modifier] = STATE(2118),
    [sym__indentable_expression] = STATE(11211),
    [sym_block] = STATE(5403),
    [sym_indented_block] = STATE(11085),
    [sym_indented_cases] = STATE(11085),
    [sym_expression] = STATE(11355),
    [sym__simple_expression] = STATE(5051),
    [sym_lambda_expression] = STATE(11364),
    [sym_if_expression] = STATE(11364),
    [sym_match_expression] = STATE(11364),
    [sym_try_expression] = STATE(11364),
    [sym_bindings] = STATE(15597),
    [sym_case_block] = STATE(5403),
    [sym_assignment_expression] = STATE(11364),
    [sym_generic_function] = STATE(5403),
    [sym_call_expression] = STATE(5403),
    [sym_field_expression] = STATE(5403),
    [sym_instance_expression] = STATE(5403),
    [sym_ascription_expression] = STATE(11364),
    [sym_infix_expression] = STATE(6806),
    [sym_postfix_expression] = STATE(10789),
    [sym__postfix_expression_choice] = STATE(15797),
    [sym_macro_body] = STATE(11364),
    [sym_prefix_expression] = STATE(8869),
    [sym_tuple_expression] = STATE(5403),
    [sym_parenthesized_expression] = STATE(5403),
    [sym_splice_expression] = STATE(5403),
    [sym_quote_expression] = STATE(5403),
    [sym_identifier] = STATE(4686),
    [sym__soft_identifier] = STATE(4455),
    [sym_wildcard] = STATE(7015),
    [sym__non_null_literal] = STATE(5403),
    [sym_boolean_literal] = STATE(5637),
    [sym_interpolated_string_expression] = STATE(5403),
    [sym_string] = STATE(5637),
    [sym_unit] = STATE(5403),
    [sym_return_expression] = STATE(11364),
    [sym_throw_expression] = STATE(11364),
    [sym_while_expression] = STATE(11364),
    [sym_do_while_expression] = STATE(11364),
    [sym_for_expression] = STATE(11364),
    [sym_comment] = STATE(818),
    [sym_block_comment] = STATE(818),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(1152),
    [anon_sym_while] = ACTIONS(1154),
    [anon_sym_for] = ACTIONS(1156),
    [anon_sym_try] = ACTIONS(1158),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1160),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1162),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1164),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1166),
    [anon_sym_throw] = ACTIONS(1168),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2282),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [819] = {
    [sym_inline_modifier] = STATE(2159),
    [sym__indentable_expression] = STATE(12446),
    [sym_block] = STATE(6450),
    [sym_indented_block] = STATE(11535),
    [sym_indented_cases] = STATE(11535),
    [sym_expression] = STATE(11606),
    [sym__simple_expression] = STATE(5274),
    [sym_lambda_expression] = STATE(11549),
    [sym_if_expression] = STATE(11549),
    [sym_match_expression] = STATE(11549),
    [sym_try_expression] = STATE(11549),
    [sym_bindings] = STATE(15607),
    [sym_case_block] = STATE(6450),
    [sym_assignment_expression] = STATE(11549),
    [sym_generic_function] = STATE(6450),
    [sym_call_expression] = STATE(6450),
    [sym_field_expression] = STATE(6450),
    [sym_instance_expression] = STATE(6450),
    [sym_ascription_expression] = STATE(11549),
    [sym_infix_expression] = STATE(7641),
    [sym_postfix_expression] = STATE(11204),
    [sym__postfix_expression_choice] = STATE(16480),
    [sym_macro_body] = STATE(11549),
    [sym_prefix_expression] = STATE(8822),
    [sym_tuple_expression] = STATE(6450),
    [sym_parenthesized_expression] = STATE(6450),
    [sym_splice_expression] = STATE(6450),
    [sym_quote_expression] = STATE(6450),
    [sym_identifier] = STATE(4738),
    [sym__soft_identifier] = STATE(4507),
    [sym_wildcard] = STATE(7298),
    [sym__non_null_literal] = STATE(6450),
    [sym_boolean_literal] = STATE(6156),
    [sym_interpolated_string_expression] = STATE(6450),
    [sym_string] = STATE(6156),
    [sym_unit] = STATE(6450),
    [sym_return_expression] = STATE(11549),
    [sym_throw_expression] = STATE(11549),
    [sym_while_expression] = STATE(11549),
    [sym_do_while_expression] = STATE(11549),
    [sym_for_expression] = STATE(11549),
    [sym_comment] = STATE(819),
    [sym_block_comment] = STATE(819),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(2472),
    [anon_sym_while] = ACTIONS(1974),
    [anon_sym_for] = ACTIONS(1976),
    [anon_sym_try] = ACTIONS(1978),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1980),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1378),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1982),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1984),
    [anon_sym_throw] = ACTIONS(1986),
    [anon_sym_do] = ACTIONS(1386),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2258),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [820] = {
    [sym_inline_modifier] = STATE(2076),
    [sym__indentable_expression] = STATE(13473),
    [sym_block] = STATE(9327),
    [sym_indented_block] = STATE(13548),
    [sym_indented_cases] = STATE(13548),
    [sym_expression] = STATE(13406),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(820),
    [sym_block_comment] = STATE(820),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(3109),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [821] = {
    [sym_inline_modifier] = STATE(2284),
    [sym__indentable_expression] = STATE(13344),
    [sym_block] = STATE(9120),
    [sym_indented_block] = STATE(13388),
    [sym_indented_cases] = STATE(13388),
    [sym_expression] = STATE(13211),
    [sym__simple_expression] = STATE(6111),
    [sym_lambda_expression] = STATE(13422),
    [sym_if_expression] = STATE(13422),
    [sym_match_expression] = STATE(13422),
    [sym_try_expression] = STATE(13422),
    [sym_bindings] = STATE(15588),
    [sym_case_block] = STATE(9120),
    [sym_assignment_expression] = STATE(13422),
    [sym_generic_function] = STATE(9120),
    [sym_call_expression] = STATE(9120),
    [sym_field_expression] = STATE(9120),
    [sym_instance_expression] = STATE(9120),
    [sym_ascription_expression] = STATE(13422),
    [sym_infix_expression] = STATE(9820),
    [sym_postfix_expression] = STATE(13148),
    [sym__postfix_expression_choice] = STATE(15936),
    [sym_macro_body] = STATE(13422),
    [sym_prefix_expression] = STATE(9760),
    [sym_tuple_expression] = STATE(9120),
    [sym_parenthesized_expression] = STATE(9120),
    [sym_splice_expression] = STATE(9120),
    [sym_quote_expression] = STATE(9120),
    [sym_identifier] = STATE(5467),
    [sym__soft_identifier] = STATE(6470),
    [sym_wildcard] = STATE(8607),
    [sym__non_null_literal] = STATE(9120),
    [sym_boolean_literal] = STATE(8928),
    [sym_interpolated_string_expression] = STATE(9120),
    [sym_string] = STATE(8928),
    [sym_unit] = STATE(9120),
    [sym_return_expression] = STATE(13422),
    [sym_throw_expression] = STATE(13422),
    [sym_while_expression] = STATE(13422),
    [sym_do_while_expression] = STATE(13422),
    [sym_for_expression] = STATE(13422),
    [sym_comment] = STATE(821),
    [sym_block_comment] = STATE(821),
    [sym__alpha_identifier] = ACTIONS(1582),
    [anon_sym_LBRACE] = ACTIONS(1586),
    [anon_sym__] = ACTIONS(1588),
    [anon_sym_PLUS] = ACTIONS(1590),
    [anon_sym_DASH] = ACTIONS(1590),
    [anon_sym_end] = ACTIONS(1592),
    [anon_sym_if] = ACTIONS(3218),
    [anon_sym_while] = ACTIONS(2380),
    [anon_sym_for] = ACTIONS(2382),
    [anon_sym_try] = ACTIONS(2384),
    [anon_sym_new] = ACTIONS(1594),
    [anon_sym_opaque] = ACTIONS(1592),
    [anon_sym_implicit] = ACTIONS(2386),
    [anon_sym_inline] = ACTIONS(1596),
    [anon_sym_infix] = ACTIONS(1592),
    [anon_sym_open] = ACTIONS(1592),
    [anon_sym_transparent] = ACTIONS(1592),
    [anon_sym_LPAREN] = ACTIONS(1598),
    [anon_sym_macro] = ACTIONS(1874),
    [anon_sym_BANG] = ACTIONS(1590),
    [anon_sym_TILDE] = ACTIONS(1590),
    [anon_sym_DOLLAR] = ACTIONS(1600),
    [anon_sym_SQUOTE] = ACTIONS(1602),
    [sym__backquoted_id] = ACTIONS(1604),
    [sym_operator_identifier] = ACTIONS(2388),
    [sym_integer_literal] = ACTIONS(1608),
    [sym_floating_point_literal] = ACTIONS(1610),
    [anon_sym_true] = ACTIONS(1612),
    [anon_sym_false] = ACTIONS(1612),
    [sym_character_literal] = ACTIONS(1610),
    [sym_null_literal] = ACTIONS(1614),
    [anon_sym_return] = ACTIONS(2390),
    [anon_sym_throw] = ACTIONS(2392),
    [anon_sym_do] = ACTIONS(1882),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3282),
    [sym__simple_multiline_string] = ACTIONS(1616),
    [sym__simple_string] = ACTIONS(1616),
  },
  [822] = {
    [sym_inline_modifier] = STATE(2323),
    [sym__indentable_expression] = STATE(12070),
    [sym_block] = STATE(6954),
    [sym_indented_block] = STATE(11923),
    [sym_indented_cases] = STATE(11923),
    [sym_expression] = STATE(12206),
    [sym__simple_expression] = STATE(5520),
    [sym_lambda_expression] = STATE(12144),
    [sym_if_expression] = STATE(12144),
    [sym_match_expression] = STATE(12144),
    [sym_try_expression] = STATE(12144),
    [sym_bindings] = STATE(15572),
    [sym_case_block] = STATE(6954),
    [sym_assignment_expression] = STATE(12144),
    [sym_generic_function] = STATE(6954),
    [sym_call_expression] = STATE(6954),
    [sym_field_expression] = STATE(6954),
    [sym_instance_expression] = STATE(6954),
    [sym_ascription_expression] = STATE(12144),
    [sym_infix_expression] = STATE(8226),
    [sym_postfix_expression] = STATE(11499),
    [sym__postfix_expression_choice] = STATE(16229),
    [sym_macro_body] = STATE(12144),
    [sym_prefix_expression] = STATE(9280),
    [sym_tuple_expression] = STATE(6954),
    [sym_parenthesized_expression] = STATE(6954),
    [sym_splice_expression] = STATE(6954),
    [sym_quote_expression] = STATE(6954),
    [sym_identifier] = STATE(5300),
    [sym__soft_identifier] = STATE(4827),
    [sym_wildcard] = STATE(7542),
    [sym__non_null_literal] = STATE(6954),
    [sym_boolean_literal] = STATE(6997),
    [sym_interpolated_string_expression] = STATE(6954),
    [sym_string] = STATE(6997),
    [sym_unit] = STATE(6954),
    [sym_return_expression] = STATE(12144),
    [sym_throw_expression] = STATE(12144),
    [sym_while_expression] = STATE(12144),
    [sym_do_while_expression] = STATE(12144),
    [sym_for_expression] = STATE(12144),
    [sym_comment] = STATE(822),
    [sym_block_comment] = STATE(822),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(3235),
    [anon_sym_while] = ACTIONS(1924),
    [anon_sym_for] = ACTIONS(1926),
    [anon_sym_try] = ACTIONS(1928),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(1930),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1894),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(1932),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(1934),
    [anon_sym_throw] = ACTIONS(1936),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3280),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [823] = {
    [sym_inline_modifier] = STATE(2323),
    [sym__indentable_expression] = STATE(12066),
    [sym_block] = STATE(6954),
    [sym_indented_block] = STATE(11923),
    [sym_indented_cases] = STATE(11923),
    [sym_expression] = STATE(12206),
    [sym__simple_expression] = STATE(5520),
    [sym_lambda_expression] = STATE(12144),
    [sym_if_expression] = STATE(12144),
    [sym_match_expression] = STATE(12144),
    [sym_try_expression] = STATE(12144),
    [sym_bindings] = STATE(15572),
    [sym_case_block] = STATE(6954),
    [sym_assignment_expression] = STATE(12144),
    [sym_generic_function] = STATE(6954),
    [sym_call_expression] = STATE(6954),
    [sym_field_expression] = STATE(6954),
    [sym_instance_expression] = STATE(6954),
    [sym_ascription_expression] = STATE(12144),
    [sym_infix_expression] = STATE(8226),
    [sym_postfix_expression] = STATE(11499),
    [sym__postfix_expression_choice] = STATE(16229),
    [sym_macro_body] = STATE(12144),
    [sym_prefix_expression] = STATE(9280),
    [sym_tuple_expression] = STATE(6954),
    [sym_parenthesized_expression] = STATE(6954),
    [sym_splice_expression] = STATE(6954),
    [sym_quote_expression] = STATE(6954),
    [sym_identifier] = STATE(5300),
    [sym__soft_identifier] = STATE(4827),
    [sym_wildcard] = STATE(7542),
    [sym__non_null_literal] = STATE(6954),
    [sym_boolean_literal] = STATE(6997),
    [sym_interpolated_string_expression] = STATE(6954),
    [sym_string] = STATE(6997),
    [sym_unit] = STATE(6954),
    [sym_return_expression] = STATE(12144),
    [sym_throw_expression] = STATE(12144),
    [sym_while_expression] = STATE(12144),
    [sym_do_while_expression] = STATE(12144),
    [sym_for_expression] = STATE(12144),
    [sym_comment] = STATE(823),
    [sym_block_comment] = STATE(823),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(3235),
    [anon_sym_while] = ACTIONS(1924),
    [anon_sym_for] = ACTIONS(1926),
    [anon_sym_try] = ACTIONS(1928),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(1930),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1894),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(1932),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(1934),
    [anon_sym_throw] = ACTIONS(1936),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3280),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [824] = {
    [sym_inline_modifier] = STATE(2284),
    [sym__indentable_expression] = STATE(13345),
    [sym_block] = STATE(9120),
    [sym_indented_block] = STATE(13388),
    [sym_indented_cases] = STATE(13388),
    [sym_expression] = STATE(13211),
    [sym__simple_expression] = STATE(6111),
    [sym_lambda_expression] = STATE(13422),
    [sym_if_expression] = STATE(13422),
    [sym_match_expression] = STATE(13422),
    [sym_try_expression] = STATE(13422),
    [sym_bindings] = STATE(15588),
    [sym_case_block] = STATE(9120),
    [sym_assignment_expression] = STATE(13422),
    [sym_generic_function] = STATE(9120),
    [sym_call_expression] = STATE(9120),
    [sym_field_expression] = STATE(9120),
    [sym_instance_expression] = STATE(9120),
    [sym_ascription_expression] = STATE(13422),
    [sym_infix_expression] = STATE(9820),
    [sym_postfix_expression] = STATE(13148),
    [sym__postfix_expression_choice] = STATE(15936),
    [sym_macro_body] = STATE(13422),
    [sym_prefix_expression] = STATE(9760),
    [sym_tuple_expression] = STATE(9120),
    [sym_parenthesized_expression] = STATE(9120),
    [sym_splice_expression] = STATE(9120),
    [sym_quote_expression] = STATE(9120),
    [sym_identifier] = STATE(5467),
    [sym__soft_identifier] = STATE(6470),
    [sym_wildcard] = STATE(8607),
    [sym__non_null_literal] = STATE(9120),
    [sym_boolean_literal] = STATE(8928),
    [sym_interpolated_string_expression] = STATE(9120),
    [sym_string] = STATE(8928),
    [sym_unit] = STATE(9120),
    [sym_return_expression] = STATE(13422),
    [sym_throw_expression] = STATE(13422),
    [sym_while_expression] = STATE(13422),
    [sym_do_while_expression] = STATE(13422),
    [sym_for_expression] = STATE(13422),
    [sym_comment] = STATE(824),
    [sym_block_comment] = STATE(824),
    [sym__alpha_identifier] = ACTIONS(1582),
    [anon_sym_LBRACE] = ACTIONS(1586),
    [anon_sym__] = ACTIONS(1588),
    [anon_sym_PLUS] = ACTIONS(1590),
    [anon_sym_DASH] = ACTIONS(1590),
    [anon_sym_end] = ACTIONS(1592),
    [anon_sym_if] = ACTIONS(3218),
    [anon_sym_while] = ACTIONS(2380),
    [anon_sym_for] = ACTIONS(2382),
    [anon_sym_try] = ACTIONS(2384),
    [anon_sym_new] = ACTIONS(1594),
    [anon_sym_opaque] = ACTIONS(1592),
    [anon_sym_implicit] = ACTIONS(2386),
    [anon_sym_inline] = ACTIONS(1596),
    [anon_sym_infix] = ACTIONS(1592),
    [anon_sym_open] = ACTIONS(1592),
    [anon_sym_transparent] = ACTIONS(1592),
    [anon_sym_LPAREN] = ACTIONS(1598),
    [anon_sym_macro] = ACTIONS(1874),
    [anon_sym_BANG] = ACTIONS(1590),
    [anon_sym_TILDE] = ACTIONS(1590),
    [anon_sym_DOLLAR] = ACTIONS(1600),
    [anon_sym_SQUOTE] = ACTIONS(1602),
    [sym__backquoted_id] = ACTIONS(1604),
    [sym_operator_identifier] = ACTIONS(2388),
    [sym_integer_literal] = ACTIONS(1608),
    [sym_floating_point_literal] = ACTIONS(1610),
    [anon_sym_true] = ACTIONS(1612),
    [anon_sym_false] = ACTIONS(1612),
    [sym_character_literal] = ACTIONS(1610),
    [sym_null_literal] = ACTIONS(1614),
    [anon_sym_return] = ACTIONS(2390),
    [anon_sym_throw] = ACTIONS(2392),
    [anon_sym_do] = ACTIONS(1882),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3282),
    [sym__simple_multiline_string] = ACTIONS(1616),
    [sym__simple_string] = ACTIONS(1616),
  },
  [825] = {
    [sym_inline_modifier] = STATE(2323),
    [sym__indentable_expression] = STATE(12062),
    [sym_block] = STATE(6954),
    [sym_indented_block] = STATE(11923),
    [sym_indented_cases] = STATE(11923),
    [sym_expression] = STATE(12206),
    [sym__simple_expression] = STATE(5520),
    [sym_lambda_expression] = STATE(12144),
    [sym_if_expression] = STATE(12144),
    [sym_match_expression] = STATE(12144),
    [sym_try_expression] = STATE(12144),
    [sym_bindings] = STATE(15572),
    [sym_case_block] = STATE(6954),
    [sym_assignment_expression] = STATE(12144),
    [sym_generic_function] = STATE(6954),
    [sym_call_expression] = STATE(6954),
    [sym_field_expression] = STATE(6954),
    [sym_instance_expression] = STATE(6954),
    [sym_ascription_expression] = STATE(12144),
    [sym_infix_expression] = STATE(8226),
    [sym_postfix_expression] = STATE(11499),
    [sym__postfix_expression_choice] = STATE(16229),
    [sym_macro_body] = STATE(12144),
    [sym_prefix_expression] = STATE(9280),
    [sym_tuple_expression] = STATE(6954),
    [sym_parenthesized_expression] = STATE(6954),
    [sym_splice_expression] = STATE(6954),
    [sym_quote_expression] = STATE(6954),
    [sym_identifier] = STATE(5300),
    [sym__soft_identifier] = STATE(4827),
    [sym_wildcard] = STATE(7542),
    [sym__non_null_literal] = STATE(6954),
    [sym_boolean_literal] = STATE(6997),
    [sym_interpolated_string_expression] = STATE(6954),
    [sym_string] = STATE(6997),
    [sym_unit] = STATE(6954),
    [sym_return_expression] = STATE(12144),
    [sym_throw_expression] = STATE(12144),
    [sym_while_expression] = STATE(12144),
    [sym_do_while_expression] = STATE(12144),
    [sym_for_expression] = STATE(12144),
    [sym_comment] = STATE(825),
    [sym_block_comment] = STATE(825),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(3235),
    [anon_sym_while] = ACTIONS(1924),
    [anon_sym_for] = ACTIONS(1926),
    [anon_sym_try] = ACTIONS(1928),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(1930),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1894),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(1932),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(1934),
    [anon_sym_throw] = ACTIONS(1936),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3280),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [826] = {
    [sym_inline_modifier] = STATE(2284),
    [sym__indentable_expression] = STATE(13329),
    [sym_block] = STATE(9120),
    [sym_indented_block] = STATE(13388),
    [sym_indented_cases] = STATE(13388),
    [sym_expression] = STATE(13211),
    [sym__simple_expression] = STATE(6111),
    [sym_lambda_expression] = STATE(13422),
    [sym_if_expression] = STATE(13422),
    [sym_match_expression] = STATE(13422),
    [sym_try_expression] = STATE(13422),
    [sym_bindings] = STATE(15588),
    [sym_case_block] = STATE(9120),
    [sym_assignment_expression] = STATE(13422),
    [sym_generic_function] = STATE(9120),
    [sym_call_expression] = STATE(9120),
    [sym_field_expression] = STATE(9120),
    [sym_instance_expression] = STATE(9120),
    [sym_ascription_expression] = STATE(13422),
    [sym_infix_expression] = STATE(9820),
    [sym_postfix_expression] = STATE(13148),
    [sym__postfix_expression_choice] = STATE(15936),
    [sym_macro_body] = STATE(13422),
    [sym_prefix_expression] = STATE(9760),
    [sym_tuple_expression] = STATE(9120),
    [sym_parenthesized_expression] = STATE(9120),
    [sym_splice_expression] = STATE(9120),
    [sym_quote_expression] = STATE(9120),
    [sym_identifier] = STATE(5467),
    [sym__soft_identifier] = STATE(6470),
    [sym_wildcard] = STATE(8607),
    [sym__non_null_literal] = STATE(9120),
    [sym_boolean_literal] = STATE(8928),
    [sym_interpolated_string_expression] = STATE(9120),
    [sym_string] = STATE(8928),
    [sym_unit] = STATE(9120),
    [sym_return_expression] = STATE(13422),
    [sym_throw_expression] = STATE(13422),
    [sym_while_expression] = STATE(13422),
    [sym_do_while_expression] = STATE(13422),
    [sym_for_expression] = STATE(13422),
    [sym_comment] = STATE(826),
    [sym_block_comment] = STATE(826),
    [sym__alpha_identifier] = ACTIONS(1582),
    [anon_sym_LBRACE] = ACTIONS(1586),
    [anon_sym__] = ACTIONS(1588),
    [anon_sym_PLUS] = ACTIONS(1590),
    [anon_sym_DASH] = ACTIONS(1590),
    [anon_sym_end] = ACTIONS(1592),
    [anon_sym_if] = ACTIONS(3218),
    [anon_sym_while] = ACTIONS(2380),
    [anon_sym_for] = ACTIONS(2382),
    [anon_sym_try] = ACTIONS(2384),
    [anon_sym_new] = ACTIONS(1594),
    [anon_sym_opaque] = ACTIONS(1592),
    [anon_sym_implicit] = ACTIONS(2386),
    [anon_sym_inline] = ACTIONS(1596),
    [anon_sym_infix] = ACTIONS(1592),
    [anon_sym_open] = ACTIONS(1592),
    [anon_sym_transparent] = ACTIONS(1592),
    [anon_sym_LPAREN] = ACTIONS(1598),
    [anon_sym_macro] = ACTIONS(1874),
    [anon_sym_BANG] = ACTIONS(1590),
    [anon_sym_TILDE] = ACTIONS(1590),
    [anon_sym_DOLLAR] = ACTIONS(1600),
    [anon_sym_SQUOTE] = ACTIONS(1602),
    [sym__backquoted_id] = ACTIONS(1604),
    [sym_operator_identifier] = ACTIONS(2388),
    [sym_integer_literal] = ACTIONS(1608),
    [sym_floating_point_literal] = ACTIONS(1610),
    [anon_sym_true] = ACTIONS(1612),
    [anon_sym_false] = ACTIONS(1612),
    [sym_character_literal] = ACTIONS(1610),
    [sym_null_literal] = ACTIONS(1614),
    [anon_sym_return] = ACTIONS(2390),
    [anon_sym_throw] = ACTIONS(2392),
    [anon_sym_do] = ACTIONS(1882),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3282),
    [sym__simple_multiline_string] = ACTIONS(1616),
    [sym__simple_string] = ACTIONS(1616),
  },
  [827] = {
    [sym_inline_modifier] = STATE(2323),
    [sym__indentable_expression] = STATE(12053),
    [sym_block] = STATE(6954),
    [sym_indented_block] = STATE(11923),
    [sym_indented_cases] = STATE(11923),
    [sym_expression] = STATE(12206),
    [sym__simple_expression] = STATE(5520),
    [sym_lambda_expression] = STATE(12144),
    [sym_if_expression] = STATE(12144),
    [sym_match_expression] = STATE(12144),
    [sym_try_expression] = STATE(12144),
    [sym_bindings] = STATE(15572),
    [sym_case_block] = STATE(6954),
    [sym_assignment_expression] = STATE(12144),
    [sym_generic_function] = STATE(6954),
    [sym_call_expression] = STATE(6954),
    [sym_field_expression] = STATE(6954),
    [sym_instance_expression] = STATE(6954),
    [sym_ascription_expression] = STATE(12144),
    [sym_infix_expression] = STATE(8226),
    [sym_postfix_expression] = STATE(11499),
    [sym__postfix_expression_choice] = STATE(16229),
    [sym_macro_body] = STATE(12144),
    [sym_prefix_expression] = STATE(9280),
    [sym_tuple_expression] = STATE(6954),
    [sym_parenthesized_expression] = STATE(6954),
    [sym_splice_expression] = STATE(6954),
    [sym_quote_expression] = STATE(6954),
    [sym_identifier] = STATE(5300),
    [sym__soft_identifier] = STATE(4827),
    [sym_wildcard] = STATE(7542),
    [sym__non_null_literal] = STATE(6954),
    [sym_boolean_literal] = STATE(6997),
    [sym_interpolated_string_expression] = STATE(6954),
    [sym_string] = STATE(6997),
    [sym_unit] = STATE(6954),
    [sym_return_expression] = STATE(12144),
    [sym_throw_expression] = STATE(12144),
    [sym_while_expression] = STATE(12144),
    [sym_do_while_expression] = STATE(12144),
    [sym_for_expression] = STATE(12144),
    [sym_comment] = STATE(827),
    [sym_block_comment] = STATE(827),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(3235),
    [anon_sym_while] = ACTIONS(1924),
    [anon_sym_for] = ACTIONS(1926),
    [anon_sym_try] = ACTIONS(1928),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(1930),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1894),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(1932),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(1934),
    [anon_sym_throw] = ACTIONS(1936),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3280),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [828] = {
    [sym_inline_modifier] = STATE(2284),
    [sym__indentable_expression] = STATE(13347),
    [sym_block] = STATE(9120),
    [sym_indented_block] = STATE(13388),
    [sym_indented_cases] = STATE(13388),
    [sym_expression] = STATE(13211),
    [sym__simple_expression] = STATE(6111),
    [sym_lambda_expression] = STATE(13422),
    [sym_if_expression] = STATE(13422),
    [sym_match_expression] = STATE(13422),
    [sym_try_expression] = STATE(13422),
    [sym_bindings] = STATE(15588),
    [sym_case_block] = STATE(9120),
    [sym_assignment_expression] = STATE(13422),
    [sym_generic_function] = STATE(9120),
    [sym_call_expression] = STATE(9120),
    [sym_field_expression] = STATE(9120),
    [sym_instance_expression] = STATE(9120),
    [sym_ascription_expression] = STATE(13422),
    [sym_infix_expression] = STATE(9820),
    [sym_postfix_expression] = STATE(13148),
    [sym__postfix_expression_choice] = STATE(15936),
    [sym_macro_body] = STATE(13422),
    [sym_prefix_expression] = STATE(9760),
    [sym_tuple_expression] = STATE(9120),
    [sym_parenthesized_expression] = STATE(9120),
    [sym_splice_expression] = STATE(9120),
    [sym_quote_expression] = STATE(9120),
    [sym_identifier] = STATE(5467),
    [sym__soft_identifier] = STATE(6470),
    [sym_wildcard] = STATE(8607),
    [sym__non_null_literal] = STATE(9120),
    [sym_boolean_literal] = STATE(8928),
    [sym_interpolated_string_expression] = STATE(9120),
    [sym_string] = STATE(8928),
    [sym_unit] = STATE(9120),
    [sym_return_expression] = STATE(13422),
    [sym_throw_expression] = STATE(13422),
    [sym_while_expression] = STATE(13422),
    [sym_do_while_expression] = STATE(13422),
    [sym_for_expression] = STATE(13422),
    [sym_comment] = STATE(828),
    [sym_block_comment] = STATE(828),
    [sym__alpha_identifier] = ACTIONS(1582),
    [anon_sym_LBRACE] = ACTIONS(1586),
    [anon_sym__] = ACTIONS(1588),
    [anon_sym_PLUS] = ACTIONS(1590),
    [anon_sym_DASH] = ACTIONS(1590),
    [anon_sym_end] = ACTIONS(1592),
    [anon_sym_if] = ACTIONS(3218),
    [anon_sym_while] = ACTIONS(2380),
    [anon_sym_for] = ACTIONS(2382),
    [anon_sym_try] = ACTIONS(2384),
    [anon_sym_new] = ACTIONS(1594),
    [anon_sym_opaque] = ACTIONS(1592),
    [anon_sym_implicit] = ACTIONS(2386),
    [anon_sym_inline] = ACTIONS(1596),
    [anon_sym_infix] = ACTIONS(1592),
    [anon_sym_open] = ACTIONS(1592),
    [anon_sym_transparent] = ACTIONS(1592),
    [anon_sym_LPAREN] = ACTIONS(1598),
    [anon_sym_macro] = ACTIONS(1874),
    [anon_sym_BANG] = ACTIONS(1590),
    [anon_sym_TILDE] = ACTIONS(1590),
    [anon_sym_DOLLAR] = ACTIONS(1600),
    [anon_sym_SQUOTE] = ACTIONS(1602),
    [sym__backquoted_id] = ACTIONS(1604),
    [sym_operator_identifier] = ACTIONS(2388),
    [sym_integer_literal] = ACTIONS(1608),
    [sym_floating_point_literal] = ACTIONS(1610),
    [anon_sym_true] = ACTIONS(1612),
    [anon_sym_false] = ACTIONS(1612),
    [sym_character_literal] = ACTIONS(1610),
    [sym_null_literal] = ACTIONS(1614),
    [anon_sym_return] = ACTIONS(2390),
    [anon_sym_throw] = ACTIONS(2392),
    [anon_sym_do] = ACTIONS(1882),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3282),
    [sym__simple_multiline_string] = ACTIONS(1616),
    [sym__simple_string] = ACTIONS(1616),
  },
  [829] = {
    [sym_inline_modifier] = STATE(2115),
    [sym__indentable_expression] = STATE(13804),
    [sym_block] = STATE(8041),
    [sym_indented_block] = STATE(12292),
    [sym_indented_cases] = STATE(12292),
    [sym_expression] = STATE(12256),
    [sym__simple_expression] = STATE(7311),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15577),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(10220),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10124),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6254),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(8727),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(829),
    [sym_block_comment] = STATE(829),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(603),
    [anon_sym_DASH] = ACTIONS(603),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(605),
    [anon_sym_while] = ACTIONS(607),
    [anon_sym_for] = ACTIONS(609),
    [anon_sym_try] = ACTIONS(611),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2192),
    [anon_sym_inline] = ACTIONS(1764),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(603),
    [anon_sym_TILDE] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(621),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(623),
    [anon_sym_throw] = ACTIONS(625),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [830] = {
    [sym_inline_modifier] = STATE(2323),
    [sym__indentable_expression] = STATE(12011),
    [sym_block] = STATE(6954),
    [sym_indented_block] = STATE(11923),
    [sym_indented_cases] = STATE(11923),
    [sym_expression] = STATE(12206),
    [sym__simple_expression] = STATE(5520),
    [sym_lambda_expression] = STATE(12144),
    [sym_if_expression] = STATE(12144),
    [sym_match_expression] = STATE(12144),
    [sym_try_expression] = STATE(12144),
    [sym_bindings] = STATE(15572),
    [sym_case_block] = STATE(6954),
    [sym_assignment_expression] = STATE(12144),
    [sym_generic_function] = STATE(6954),
    [sym_call_expression] = STATE(6954),
    [sym_field_expression] = STATE(6954),
    [sym_instance_expression] = STATE(6954),
    [sym_ascription_expression] = STATE(12144),
    [sym_infix_expression] = STATE(8226),
    [sym_postfix_expression] = STATE(11499),
    [sym__postfix_expression_choice] = STATE(16229),
    [sym_macro_body] = STATE(12144),
    [sym_prefix_expression] = STATE(9280),
    [sym_tuple_expression] = STATE(6954),
    [sym_parenthesized_expression] = STATE(6954),
    [sym_splice_expression] = STATE(6954),
    [sym_quote_expression] = STATE(6954),
    [sym_identifier] = STATE(5300),
    [sym__soft_identifier] = STATE(4827),
    [sym_wildcard] = STATE(7542),
    [sym__non_null_literal] = STATE(6954),
    [sym_boolean_literal] = STATE(6997),
    [sym_interpolated_string_expression] = STATE(6954),
    [sym_string] = STATE(6997),
    [sym_unit] = STATE(6954),
    [sym_return_expression] = STATE(12144),
    [sym_throw_expression] = STATE(12144),
    [sym_while_expression] = STATE(12144),
    [sym_do_while_expression] = STATE(12144),
    [sym_for_expression] = STATE(12144),
    [sym_comment] = STATE(830),
    [sym_block_comment] = STATE(830),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(3235),
    [anon_sym_while] = ACTIONS(1924),
    [anon_sym_for] = ACTIONS(1926),
    [anon_sym_try] = ACTIONS(1928),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(1930),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1894),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(1932),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(1934),
    [anon_sym_throw] = ACTIONS(1936),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3280),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [831] = {
    [sym_inline_modifier] = STATE(2154),
    [sym__indentable_expression] = STATE(13727),
    [sym_block] = STATE(8070),
    [sym_indented_block] = STATE(12700),
    [sym_indented_cases] = STATE(12700),
    [sym_expression] = STATE(12581),
    [sym__simple_expression] = STATE(7235),
    [sym_lambda_expression] = STATE(12742),
    [sym_if_expression] = STATE(12742),
    [sym_match_expression] = STATE(12742),
    [sym_try_expression] = STATE(12742),
    [sym_bindings] = STATE(15546),
    [sym_case_block] = STATE(8070),
    [sym_assignment_expression] = STATE(12742),
    [sym_generic_function] = STATE(8070),
    [sym_call_expression] = STATE(8070),
    [sym_field_expression] = STATE(8070),
    [sym_instance_expression] = STATE(8070),
    [sym_ascription_expression] = STATE(12742),
    [sym_infix_expression] = STATE(8913),
    [sym_postfix_expression] = STATE(12343),
    [sym__postfix_expression_choice] = STATE(16230),
    [sym_macro_body] = STATE(12742),
    [sym_prefix_expression] = STATE(9970),
    [sym_tuple_expression] = STATE(8070),
    [sym_parenthesized_expression] = STATE(8070),
    [sym_splice_expression] = STATE(8070),
    [sym_quote_expression] = STATE(8070),
    [sym_identifier] = STATE(6168),
    [sym__soft_identifier] = STATE(5234),
    [sym_wildcard] = STATE(8792),
    [sym__non_null_literal] = STATE(8070),
    [sym_boolean_literal] = STATE(8055),
    [sym_interpolated_string_expression] = STATE(8070),
    [sym_string] = STATE(8055),
    [sym_unit] = STATE(8070),
    [sym_return_expression] = STATE(12742),
    [sym_throw_expression] = STATE(12742),
    [sym_while_expression] = STATE(12742),
    [sym_do_while_expression] = STATE(12742),
    [sym_for_expression] = STATE(12742),
    [sym_comment] = STATE(831),
    [sym_block_comment] = STATE(831),
    [sym__alpha_identifier] = ACTIONS(1314),
    [anon_sym_LBRACE] = ACTIONS(1318),
    [anon_sym__] = ACTIONS(1320),
    [anon_sym_PLUS] = ACTIONS(1322),
    [anon_sym_DASH] = ACTIONS(1322),
    [anon_sym_end] = ACTIONS(1324),
    [anon_sym_if] = ACTIONS(2142),
    [anon_sym_while] = ACTIONS(2144),
    [anon_sym_for] = ACTIONS(2146),
    [anon_sym_try] = ACTIONS(2148),
    [anon_sym_new] = ACTIONS(1326),
    [anon_sym_opaque] = ACTIONS(1324),
    [anon_sym_implicit] = ACTIONS(2150),
    [anon_sym_inline] = ACTIONS(1328),
    [anon_sym_infix] = ACTIONS(1324),
    [anon_sym_open] = ACTIONS(1324),
    [anon_sym_transparent] = ACTIONS(1324),
    [anon_sym_LPAREN] = ACTIONS(1330),
    [anon_sym_macro] = ACTIONS(1740),
    [anon_sym_BANG] = ACTIONS(1322),
    [anon_sym_TILDE] = ACTIONS(1322),
    [anon_sym_DOLLAR] = ACTIONS(1332),
    [anon_sym_SQUOTE] = ACTIONS(1334),
    [sym__backquoted_id] = ACTIONS(1336),
    [sym_operator_identifier] = ACTIONS(2152),
    [sym_integer_literal] = ACTIONS(1340),
    [sym_floating_point_literal] = ACTIONS(1342),
    [anon_sym_true] = ACTIONS(1344),
    [anon_sym_false] = ACTIONS(1344),
    [sym_character_literal] = ACTIONS(1342),
    [sym_null_literal] = ACTIONS(1346),
    [anon_sym_return] = ACTIONS(2154),
    [anon_sym_throw] = ACTIONS(2156),
    [anon_sym_do] = ACTIONS(1748),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2158),
    [sym__simple_multiline_string] = ACTIONS(1348),
    [sym__simple_string] = ACTIONS(1348),
  },
  [832] = {
    [sym_inline_modifier] = STATE(2195),
    [sym__indentable_expression] = STATE(12310),
    [sym_block] = STATE(7443),
    [sym_indented_block] = STATE(12679),
    [sym_indented_cases] = STATE(12679),
    [sym_expression] = STATE(12305),
    [sym__simple_expression] = STATE(5261),
    [sym_lambda_expression] = STATE(12692),
    [sym_if_expression] = STATE(12692),
    [sym_match_expression] = STATE(12692),
    [sym_try_expression] = STATE(12692),
    [sym_bindings] = STATE(15526),
    [sym_case_block] = STATE(7443),
    [sym_assignment_expression] = STATE(12692),
    [sym_generic_function] = STATE(7443),
    [sym_call_expression] = STATE(7443),
    [sym_field_expression] = STATE(7443),
    [sym_instance_expression] = STATE(7443),
    [sym_ascription_expression] = STATE(12692),
    [sym_infix_expression] = STATE(8993),
    [sym_postfix_expression] = STATE(12386),
    [sym__postfix_expression_choice] = STATE(16150),
    [sym_macro_body] = STATE(12692),
    [sym_prefix_expression] = STATE(8984),
    [sym_tuple_expression] = STATE(7443),
    [sym_parenthesized_expression] = STATE(7443),
    [sym_splice_expression] = STATE(7443),
    [sym_quote_expression] = STATE(7443),
    [sym_identifier] = STATE(4861),
    [sym__soft_identifier] = STATE(5213),
    [sym_wildcard] = STATE(7324),
    [sym__non_null_literal] = STATE(7443),
    [sym_boolean_literal] = STATE(7707),
    [sym_interpolated_string_expression] = STATE(7443),
    [sym_string] = STATE(7707),
    [sym_unit] = STATE(7443),
    [sym_return_expression] = STATE(12692),
    [sym_throw_expression] = STATE(12692),
    [sym_while_expression] = STATE(12692),
    [sym_do_while_expression] = STATE(12692),
    [sym_for_expression] = STATE(12692),
    [sym_comment] = STATE(832),
    [sym_block_comment] = STATE(832),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(1186),
    [anon_sym_while] = ACTIONS(1188),
    [anon_sym_for] = ACTIONS(1190),
    [anon_sym_try] = ACTIONS(1192),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(1194),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1196),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(1198),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(1200),
    [anon_sym_throw] = ACTIONS(1202),
    [anon_sym_do] = ACTIONS(1204),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2294),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [833] = {
    [sym_inline_modifier] = STATE(2323),
    [sym__indentable_expression] = STATE(11988),
    [sym_block] = STATE(6954),
    [sym_indented_block] = STATE(11923),
    [sym_indented_cases] = STATE(11923),
    [sym_expression] = STATE(12206),
    [sym__simple_expression] = STATE(5520),
    [sym_lambda_expression] = STATE(12144),
    [sym_if_expression] = STATE(12144),
    [sym_match_expression] = STATE(12144),
    [sym_try_expression] = STATE(12144),
    [sym_bindings] = STATE(15572),
    [sym_case_block] = STATE(6954),
    [sym_assignment_expression] = STATE(12144),
    [sym_generic_function] = STATE(6954),
    [sym_call_expression] = STATE(6954),
    [sym_field_expression] = STATE(6954),
    [sym_instance_expression] = STATE(6954),
    [sym_ascription_expression] = STATE(12144),
    [sym_infix_expression] = STATE(8226),
    [sym_postfix_expression] = STATE(11499),
    [sym__postfix_expression_choice] = STATE(16229),
    [sym_macro_body] = STATE(12144),
    [sym_prefix_expression] = STATE(9280),
    [sym_tuple_expression] = STATE(6954),
    [sym_parenthesized_expression] = STATE(6954),
    [sym_splice_expression] = STATE(6954),
    [sym_quote_expression] = STATE(6954),
    [sym_identifier] = STATE(5300),
    [sym__soft_identifier] = STATE(4827),
    [sym_wildcard] = STATE(7542),
    [sym__non_null_literal] = STATE(6954),
    [sym_boolean_literal] = STATE(6997),
    [sym_interpolated_string_expression] = STATE(6954),
    [sym_string] = STATE(6997),
    [sym_unit] = STATE(6954),
    [sym_return_expression] = STATE(12144),
    [sym_throw_expression] = STATE(12144),
    [sym_while_expression] = STATE(12144),
    [sym_do_while_expression] = STATE(12144),
    [sym_for_expression] = STATE(12144),
    [sym_comment] = STATE(833),
    [sym_block_comment] = STATE(833),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(3235),
    [anon_sym_while] = ACTIONS(1924),
    [anon_sym_for] = ACTIONS(1926),
    [anon_sym_try] = ACTIONS(1928),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(1930),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1894),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(1932),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(1934),
    [anon_sym_throw] = ACTIONS(1936),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3280),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [834] = {
    [sym_inline_modifier] = STATE(2284),
    [sym__indentable_expression] = STATE(13295),
    [sym_block] = STATE(9120),
    [sym_indented_block] = STATE(13388),
    [sym_indented_cases] = STATE(13388),
    [sym_expression] = STATE(13211),
    [sym__simple_expression] = STATE(6111),
    [sym_lambda_expression] = STATE(13422),
    [sym_if_expression] = STATE(13422),
    [sym_match_expression] = STATE(13422),
    [sym_try_expression] = STATE(13422),
    [sym_bindings] = STATE(15588),
    [sym_case_block] = STATE(9120),
    [sym_assignment_expression] = STATE(13422),
    [sym_generic_function] = STATE(9120),
    [sym_call_expression] = STATE(9120),
    [sym_field_expression] = STATE(9120),
    [sym_instance_expression] = STATE(9120),
    [sym_ascription_expression] = STATE(13422),
    [sym_infix_expression] = STATE(9820),
    [sym_postfix_expression] = STATE(13148),
    [sym__postfix_expression_choice] = STATE(15936),
    [sym_macro_body] = STATE(13422),
    [sym_prefix_expression] = STATE(9760),
    [sym_tuple_expression] = STATE(9120),
    [sym_parenthesized_expression] = STATE(9120),
    [sym_splice_expression] = STATE(9120),
    [sym_quote_expression] = STATE(9120),
    [sym_identifier] = STATE(5467),
    [sym__soft_identifier] = STATE(6470),
    [sym_wildcard] = STATE(8607),
    [sym__non_null_literal] = STATE(9120),
    [sym_boolean_literal] = STATE(8928),
    [sym_interpolated_string_expression] = STATE(9120),
    [sym_string] = STATE(8928),
    [sym_unit] = STATE(9120),
    [sym_return_expression] = STATE(13422),
    [sym_throw_expression] = STATE(13422),
    [sym_while_expression] = STATE(13422),
    [sym_do_while_expression] = STATE(13422),
    [sym_for_expression] = STATE(13422),
    [sym_comment] = STATE(834),
    [sym_block_comment] = STATE(834),
    [sym__alpha_identifier] = ACTIONS(1582),
    [anon_sym_LBRACE] = ACTIONS(1586),
    [anon_sym__] = ACTIONS(1588),
    [anon_sym_PLUS] = ACTIONS(1590),
    [anon_sym_DASH] = ACTIONS(1590),
    [anon_sym_end] = ACTIONS(1592),
    [anon_sym_if] = ACTIONS(3218),
    [anon_sym_while] = ACTIONS(2380),
    [anon_sym_for] = ACTIONS(2382),
    [anon_sym_try] = ACTIONS(2384),
    [anon_sym_new] = ACTIONS(1594),
    [anon_sym_opaque] = ACTIONS(1592),
    [anon_sym_implicit] = ACTIONS(2386),
    [anon_sym_inline] = ACTIONS(1596),
    [anon_sym_infix] = ACTIONS(1592),
    [anon_sym_open] = ACTIONS(1592),
    [anon_sym_transparent] = ACTIONS(1592),
    [anon_sym_LPAREN] = ACTIONS(1598),
    [anon_sym_macro] = ACTIONS(1874),
    [anon_sym_BANG] = ACTIONS(1590),
    [anon_sym_TILDE] = ACTIONS(1590),
    [anon_sym_DOLLAR] = ACTIONS(1600),
    [anon_sym_SQUOTE] = ACTIONS(1602),
    [sym__backquoted_id] = ACTIONS(1604),
    [sym_operator_identifier] = ACTIONS(2388),
    [sym_integer_literal] = ACTIONS(1608),
    [sym_floating_point_literal] = ACTIONS(1610),
    [anon_sym_true] = ACTIONS(1612),
    [anon_sym_false] = ACTIONS(1612),
    [sym_character_literal] = ACTIONS(1610),
    [sym_null_literal] = ACTIONS(1614),
    [anon_sym_return] = ACTIONS(2390),
    [anon_sym_throw] = ACTIONS(2392),
    [anon_sym_do] = ACTIONS(1882),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3282),
    [sym__simple_multiline_string] = ACTIONS(1616),
    [sym__simple_string] = ACTIONS(1616),
  },
  [835] = {
    [sym_inline_modifier] = STATE(2323),
    [sym__indentable_expression] = STATE(11987),
    [sym_block] = STATE(6954),
    [sym_indented_block] = STATE(11923),
    [sym_indented_cases] = STATE(11923),
    [sym_expression] = STATE(12206),
    [sym__simple_expression] = STATE(5520),
    [sym_lambda_expression] = STATE(12144),
    [sym_if_expression] = STATE(12144),
    [sym_match_expression] = STATE(12144),
    [sym_try_expression] = STATE(12144),
    [sym_bindings] = STATE(15572),
    [sym_case_block] = STATE(6954),
    [sym_assignment_expression] = STATE(12144),
    [sym_generic_function] = STATE(6954),
    [sym_call_expression] = STATE(6954),
    [sym_field_expression] = STATE(6954),
    [sym_instance_expression] = STATE(6954),
    [sym_ascription_expression] = STATE(12144),
    [sym_infix_expression] = STATE(8226),
    [sym_postfix_expression] = STATE(11499),
    [sym__postfix_expression_choice] = STATE(16229),
    [sym_macro_body] = STATE(12144),
    [sym_prefix_expression] = STATE(9280),
    [sym_tuple_expression] = STATE(6954),
    [sym_parenthesized_expression] = STATE(6954),
    [sym_splice_expression] = STATE(6954),
    [sym_quote_expression] = STATE(6954),
    [sym_identifier] = STATE(5300),
    [sym__soft_identifier] = STATE(4827),
    [sym_wildcard] = STATE(7542),
    [sym__non_null_literal] = STATE(6954),
    [sym_boolean_literal] = STATE(6997),
    [sym_interpolated_string_expression] = STATE(6954),
    [sym_string] = STATE(6997),
    [sym_unit] = STATE(6954),
    [sym_return_expression] = STATE(12144),
    [sym_throw_expression] = STATE(12144),
    [sym_while_expression] = STATE(12144),
    [sym_do_while_expression] = STATE(12144),
    [sym_for_expression] = STATE(12144),
    [sym_comment] = STATE(835),
    [sym_block_comment] = STATE(835),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(3235),
    [anon_sym_while] = ACTIONS(1924),
    [anon_sym_for] = ACTIONS(1926),
    [anon_sym_try] = ACTIONS(1928),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(1930),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1894),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(1932),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(1934),
    [anon_sym_throw] = ACTIONS(1936),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3280),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [836] = {
    [sym_inline_modifier] = STATE(2323),
    [sym__indentable_expression] = STATE(11982),
    [sym_block] = STATE(6954),
    [sym_indented_block] = STATE(11923),
    [sym_indented_cases] = STATE(11923),
    [sym_expression] = STATE(12206),
    [sym__simple_expression] = STATE(5520),
    [sym_lambda_expression] = STATE(12144),
    [sym_if_expression] = STATE(12144),
    [sym_match_expression] = STATE(12144),
    [sym_try_expression] = STATE(12144),
    [sym_bindings] = STATE(15572),
    [sym_case_block] = STATE(6954),
    [sym_assignment_expression] = STATE(12144),
    [sym_generic_function] = STATE(6954),
    [sym_call_expression] = STATE(6954),
    [sym_field_expression] = STATE(6954),
    [sym_instance_expression] = STATE(6954),
    [sym_ascription_expression] = STATE(12144),
    [sym_infix_expression] = STATE(8226),
    [sym_postfix_expression] = STATE(11499),
    [sym__postfix_expression_choice] = STATE(16229),
    [sym_macro_body] = STATE(12144),
    [sym_prefix_expression] = STATE(9280),
    [sym_tuple_expression] = STATE(6954),
    [sym_parenthesized_expression] = STATE(6954),
    [sym_splice_expression] = STATE(6954),
    [sym_quote_expression] = STATE(6954),
    [sym_identifier] = STATE(5300),
    [sym__soft_identifier] = STATE(4827),
    [sym_wildcard] = STATE(7542),
    [sym__non_null_literal] = STATE(6954),
    [sym_boolean_literal] = STATE(6997),
    [sym_interpolated_string_expression] = STATE(6954),
    [sym_string] = STATE(6997),
    [sym_unit] = STATE(6954),
    [sym_return_expression] = STATE(12144),
    [sym_throw_expression] = STATE(12144),
    [sym_while_expression] = STATE(12144),
    [sym_do_while_expression] = STATE(12144),
    [sym_for_expression] = STATE(12144),
    [sym_comment] = STATE(836),
    [sym_block_comment] = STATE(836),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(3235),
    [anon_sym_while] = ACTIONS(1924),
    [anon_sym_for] = ACTIONS(1926),
    [anon_sym_try] = ACTIONS(1928),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(1930),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1894),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(1932),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(1934),
    [anon_sym_throw] = ACTIONS(1936),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3280),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [837] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(10398),
    [sym_expression] = STATE(15056),
    [sym__simple_expression] = STATE(8832),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(10398),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(10398),
    [sym_call_expression] = STATE(10398),
    [sym_field_expression] = STATE(10398),
    [sym_instance_expression] = STATE(10398),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16024),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10634),
    [sym_tuple_expression] = STATE(10398),
    [sym_parenthesized_expression] = STATE(10398),
    [sym_splice_expression] = STATE(10398),
    [sym_quote_expression] = STATE(10398),
    [sym_identifier] = STATE(9110),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(10188),
    [sym__non_null_literal] = STATE(10398),
    [sym_boolean_literal] = STATE(10391),
    [sym_interpolated_string_expression] = STATE(10398),
    [sym_string] = STATE(10391),
    [sym_unit] = STATE(10398),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(837),
    [sym_block_comment] = STATE(837),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_COLON] = ACTIONS(3284),
    [anon_sym_LBRACE] = ACTIONS(3286),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_EQ_GT] = ACTIONS(896),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(3288),
    [anon_sym_DASH] = ACTIONS(3288),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(3290),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3292),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(3288),
    [anon_sym_TILDE] = ACTIONS(3288),
    [anon_sym_DOLLAR] = ACTIONS(3294),
    [anon_sym_SQUOTE] = ACTIONS(3296),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3298),
    [sym_integer_literal] = ACTIONS(3300),
    [sym_floating_point_literal] = ACTIONS(3302),
    [anon_sym_true] = ACTIONS(3304),
    [anon_sym_false] = ACTIONS(3304),
    [sym_character_literal] = ACTIONS(3302),
    [sym_null_literal] = ACTIONS(3306),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(3308),
    [sym__simple_string] = ACTIONS(3308),
  },
  [838] = {
    [sym_inline_modifier] = STATE(2084),
    [sym__indentable_expression] = STATE(16031),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(8831),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15722),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10635),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(805),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(8641),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(10149),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(838),
    [sym_block_comment] = STATE(838),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2740),
    [anon_sym_while] = ACTIONS(2742),
    [anon_sym_for] = ACTIONS(2744),
    [anon_sym_try] = ACTIONS(2746),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2748),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3310),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3312),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2762),
    [anon_sym_throw] = ACTIONS(2764),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [839] = {
    [sym_inline_modifier] = STATE(2084),
    [sym__indentable_expression] = STATE(16477),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(8831),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15722),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10635),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(730),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(8641),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(10149),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(839),
    [sym_block_comment] = STATE(839),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2740),
    [anon_sym_while] = ACTIONS(2742),
    [anon_sym_for] = ACTIONS(2744),
    [anon_sym_try] = ACTIONS(2746),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2748),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3310),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3312),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2762),
    [anon_sym_throw] = ACTIONS(2764),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [840] = {
    [sym_inline_modifier] = STATE(2323),
    [sym__indentable_expression] = STATE(11973),
    [sym_block] = STATE(6954),
    [sym_indented_block] = STATE(11923),
    [sym_indented_cases] = STATE(11923),
    [sym_expression] = STATE(12206),
    [sym__simple_expression] = STATE(5520),
    [sym_lambda_expression] = STATE(12144),
    [sym_if_expression] = STATE(12144),
    [sym_match_expression] = STATE(12144),
    [sym_try_expression] = STATE(12144),
    [sym_bindings] = STATE(15572),
    [sym_case_block] = STATE(6954),
    [sym_assignment_expression] = STATE(12144),
    [sym_generic_function] = STATE(6954),
    [sym_call_expression] = STATE(6954),
    [sym_field_expression] = STATE(6954),
    [sym_instance_expression] = STATE(6954),
    [sym_ascription_expression] = STATE(12144),
    [sym_infix_expression] = STATE(8226),
    [sym_postfix_expression] = STATE(11499),
    [sym__postfix_expression_choice] = STATE(16229),
    [sym_macro_body] = STATE(12144),
    [sym_prefix_expression] = STATE(9280),
    [sym_tuple_expression] = STATE(6954),
    [sym_parenthesized_expression] = STATE(6954),
    [sym_splice_expression] = STATE(6954),
    [sym_quote_expression] = STATE(6954),
    [sym_identifier] = STATE(5300),
    [sym__soft_identifier] = STATE(4827),
    [sym_wildcard] = STATE(7542),
    [sym__non_null_literal] = STATE(6954),
    [sym_boolean_literal] = STATE(6997),
    [sym_interpolated_string_expression] = STATE(6954),
    [sym_string] = STATE(6997),
    [sym_unit] = STATE(6954),
    [sym_return_expression] = STATE(12144),
    [sym_throw_expression] = STATE(12144),
    [sym_while_expression] = STATE(12144),
    [sym_do_while_expression] = STATE(12144),
    [sym_for_expression] = STATE(12144),
    [sym_comment] = STATE(840),
    [sym_block_comment] = STATE(840),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(3235),
    [anon_sym_while] = ACTIONS(1924),
    [anon_sym_for] = ACTIONS(1926),
    [anon_sym_try] = ACTIONS(1928),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(1930),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1894),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(1932),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(1934),
    [anon_sym_throw] = ACTIONS(1936),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3280),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [841] = {
    [sym_inline_modifier] = STATE(2118),
    [sym__indentable_expression] = STATE(11290),
    [sym_block] = STATE(5403),
    [sym_indented_block] = STATE(11085),
    [sym_indented_cases] = STATE(11085),
    [sym_expression] = STATE(11355),
    [sym__simple_expression] = STATE(5051),
    [sym_lambda_expression] = STATE(11364),
    [sym_if_expression] = STATE(11364),
    [sym_match_expression] = STATE(11364),
    [sym_try_expression] = STATE(11364),
    [sym_bindings] = STATE(15597),
    [sym_case_block] = STATE(5403),
    [sym_assignment_expression] = STATE(11364),
    [sym_generic_function] = STATE(5403),
    [sym_call_expression] = STATE(5403),
    [sym_field_expression] = STATE(5403),
    [sym_instance_expression] = STATE(5403),
    [sym_ascription_expression] = STATE(11364),
    [sym_infix_expression] = STATE(6806),
    [sym_postfix_expression] = STATE(10789),
    [sym__postfix_expression_choice] = STATE(15797),
    [sym_macro_body] = STATE(11364),
    [sym_prefix_expression] = STATE(8869),
    [sym_tuple_expression] = STATE(5403),
    [sym_parenthesized_expression] = STATE(5403),
    [sym_splice_expression] = STATE(5403),
    [sym_quote_expression] = STATE(5403),
    [sym_identifier] = STATE(4686),
    [sym__soft_identifier] = STATE(4455),
    [sym_wildcard] = STATE(7015),
    [sym__non_null_literal] = STATE(5403),
    [sym_boolean_literal] = STATE(5637),
    [sym_interpolated_string_expression] = STATE(5403),
    [sym_string] = STATE(5637),
    [sym_unit] = STATE(5403),
    [sym_return_expression] = STATE(11364),
    [sym_throw_expression] = STATE(11364),
    [sym_while_expression] = STATE(11364),
    [sym_do_while_expression] = STATE(11364),
    [sym_for_expression] = STATE(11364),
    [sym_comment] = STATE(841),
    [sym_block_comment] = STATE(841),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(1152),
    [anon_sym_while] = ACTIONS(1154),
    [anon_sym_for] = ACTIONS(1156),
    [anon_sym_try] = ACTIONS(1158),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1160),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1162),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1164),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1166),
    [anon_sym_throw] = ACTIONS(1168),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2282),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [842] = {
    [sym_inline_modifier] = STATE(2284),
    [sym__indentable_expression] = STATE(13349),
    [sym_block] = STATE(9120),
    [sym_indented_block] = STATE(13388),
    [sym_indented_cases] = STATE(13388),
    [sym_expression] = STATE(13211),
    [sym__simple_expression] = STATE(6111),
    [sym_lambda_expression] = STATE(13422),
    [sym_if_expression] = STATE(13422),
    [sym_match_expression] = STATE(13422),
    [sym_try_expression] = STATE(13422),
    [sym_bindings] = STATE(15588),
    [sym_case_block] = STATE(9120),
    [sym_assignment_expression] = STATE(13422),
    [sym_generic_function] = STATE(9120),
    [sym_call_expression] = STATE(9120),
    [sym_field_expression] = STATE(9120),
    [sym_instance_expression] = STATE(9120),
    [sym_ascription_expression] = STATE(13422),
    [sym_infix_expression] = STATE(9820),
    [sym_postfix_expression] = STATE(13148),
    [sym__postfix_expression_choice] = STATE(15936),
    [sym_macro_body] = STATE(13422),
    [sym_prefix_expression] = STATE(9760),
    [sym_tuple_expression] = STATE(9120),
    [sym_parenthesized_expression] = STATE(9120),
    [sym_splice_expression] = STATE(9120),
    [sym_quote_expression] = STATE(9120),
    [sym_identifier] = STATE(5467),
    [sym__soft_identifier] = STATE(6470),
    [sym_wildcard] = STATE(8607),
    [sym__non_null_literal] = STATE(9120),
    [sym_boolean_literal] = STATE(8928),
    [sym_interpolated_string_expression] = STATE(9120),
    [sym_string] = STATE(8928),
    [sym_unit] = STATE(9120),
    [sym_return_expression] = STATE(13422),
    [sym_throw_expression] = STATE(13422),
    [sym_while_expression] = STATE(13422),
    [sym_do_while_expression] = STATE(13422),
    [sym_for_expression] = STATE(13422),
    [sym_comment] = STATE(842),
    [sym_block_comment] = STATE(842),
    [sym__alpha_identifier] = ACTIONS(1582),
    [anon_sym_LBRACE] = ACTIONS(1586),
    [anon_sym__] = ACTIONS(1588),
    [anon_sym_PLUS] = ACTIONS(1590),
    [anon_sym_DASH] = ACTIONS(1590),
    [anon_sym_end] = ACTIONS(1592),
    [anon_sym_if] = ACTIONS(3218),
    [anon_sym_while] = ACTIONS(2380),
    [anon_sym_for] = ACTIONS(2382),
    [anon_sym_try] = ACTIONS(2384),
    [anon_sym_new] = ACTIONS(1594),
    [anon_sym_opaque] = ACTIONS(1592),
    [anon_sym_implicit] = ACTIONS(2386),
    [anon_sym_inline] = ACTIONS(1596),
    [anon_sym_infix] = ACTIONS(1592),
    [anon_sym_open] = ACTIONS(1592),
    [anon_sym_transparent] = ACTIONS(1592),
    [anon_sym_LPAREN] = ACTIONS(1598),
    [anon_sym_macro] = ACTIONS(1874),
    [anon_sym_BANG] = ACTIONS(1590),
    [anon_sym_TILDE] = ACTIONS(1590),
    [anon_sym_DOLLAR] = ACTIONS(1600),
    [anon_sym_SQUOTE] = ACTIONS(1602),
    [sym__backquoted_id] = ACTIONS(1604),
    [sym_operator_identifier] = ACTIONS(2388),
    [sym_integer_literal] = ACTIONS(1608),
    [sym_floating_point_literal] = ACTIONS(1610),
    [anon_sym_true] = ACTIONS(1612),
    [anon_sym_false] = ACTIONS(1612),
    [sym_character_literal] = ACTIONS(1610),
    [sym_null_literal] = ACTIONS(1614),
    [anon_sym_return] = ACTIONS(2390),
    [anon_sym_throw] = ACTIONS(2392),
    [anon_sym_do] = ACTIONS(1882),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3282),
    [sym__simple_multiline_string] = ACTIONS(1616),
    [sym__simple_string] = ACTIONS(1616),
  },
  [843] = {
    [sym_inline_modifier] = STATE(2179),
    [sym__indentable_expression] = STATE(12941),
    [sym_block] = STATE(6738),
    [sym_indented_block] = STATE(12372),
    [sym_indented_cases] = STATE(12372),
    [sym_expression] = STATE(12028),
    [sym__simple_expression] = STATE(6283),
    [sym_lambda_expression] = STATE(12430),
    [sym_if_expression] = STATE(12430),
    [sym_match_expression] = STATE(12430),
    [sym_try_expression] = STATE(12430),
    [sym_bindings] = STATE(15581),
    [sym_case_block] = STATE(6738),
    [sym_assignment_expression] = STATE(12430),
    [sym_generic_function] = STATE(6738),
    [sym_call_expression] = STATE(6738),
    [sym_field_expression] = STATE(6738),
    [sym_instance_expression] = STATE(6738),
    [sym_ascription_expression] = STATE(12430),
    [sym_infix_expression] = STATE(8389),
    [sym_postfix_expression] = STATE(11930),
    [sym__postfix_expression_choice] = STATE(15885),
    [sym_macro_body] = STATE(12430),
    [sym_prefix_expression] = STATE(9616),
    [sym_tuple_expression] = STATE(6738),
    [sym_parenthesized_expression] = STATE(6738),
    [sym_splice_expression] = STATE(6738),
    [sym_quote_expression] = STATE(6738),
    [sym_identifier] = STATE(5530),
    [sym__soft_identifier] = STATE(4943),
    [sym_wildcard] = STATE(8554),
    [sym__non_null_literal] = STATE(6738),
    [sym_boolean_literal] = STATE(7301),
    [sym_interpolated_string_expression] = STATE(6738),
    [sym_string] = STATE(7301),
    [sym_unit] = STATE(6738),
    [sym_return_expression] = STATE(12430),
    [sym_throw_expression] = STATE(12430),
    [sym_while_expression] = STATE(12430),
    [sym_do_while_expression] = STATE(12430),
    [sym_for_expression] = STATE(12430),
    [sym_comment] = STATE(843),
    [sym_block_comment] = STATE(843),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(2356),
    [anon_sym_while] = ACTIONS(2358),
    [anon_sym_for] = ACTIONS(2360),
    [anon_sym_try] = ACTIONS(2362),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1360),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(2366),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(2368),
    [anon_sym_throw] = ACTIONS(2370),
    [anon_sym_do] = ACTIONS(1368),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2202),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [844] = {
    [sym_inline_modifier] = STATE(2076),
    [sym__indentable_expression] = STATE(13489),
    [sym_block] = STATE(9327),
    [sym_indented_block] = STATE(13548),
    [sym_indented_cases] = STATE(13548),
    [sym_expression] = STATE(13406),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(844),
    [sym_block_comment] = STATE(844),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(3109),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [845] = {
    [sym_inline_modifier] = STATE(2284),
    [sym__indentable_expression] = STATE(13519),
    [sym_block] = STATE(9120),
    [sym_indented_block] = STATE(13388),
    [sym_indented_cases] = STATE(13388),
    [sym_expression] = STATE(13211),
    [sym__simple_expression] = STATE(6111),
    [sym_lambda_expression] = STATE(13422),
    [sym_if_expression] = STATE(13422),
    [sym_match_expression] = STATE(13422),
    [sym_try_expression] = STATE(13422),
    [sym_bindings] = STATE(15588),
    [sym_case_block] = STATE(9120),
    [sym_assignment_expression] = STATE(13422),
    [sym_generic_function] = STATE(9120),
    [sym_call_expression] = STATE(9120),
    [sym_field_expression] = STATE(9120),
    [sym_instance_expression] = STATE(9120),
    [sym_ascription_expression] = STATE(13422),
    [sym_infix_expression] = STATE(9820),
    [sym_postfix_expression] = STATE(13148),
    [sym__postfix_expression_choice] = STATE(15936),
    [sym_macro_body] = STATE(13422),
    [sym_prefix_expression] = STATE(9760),
    [sym_tuple_expression] = STATE(9120),
    [sym_parenthesized_expression] = STATE(9120),
    [sym_splice_expression] = STATE(9120),
    [sym_quote_expression] = STATE(9120),
    [sym_identifier] = STATE(5467),
    [sym__soft_identifier] = STATE(6470),
    [sym_wildcard] = STATE(8607),
    [sym__non_null_literal] = STATE(9120),
    [sym_boolean_literal] = STATE(8928),
    [sym_interpolated_string_expression] = STATE(9120),
    [sym_string] = STATE(8928),
    [sym_unit] = STATE(9120),
    [sym_return_expression] = STATE(13422),
    [sym_throw_expression] = STATE(13422),
    [sym_while_expression] = STATE(13422),
    [sym_do_while_expression] = STATE(13422),
    [sym_for_expression] = STATE(13422),
    [sym_comment] = STATE(845),
    [sym_block_comment] = STATE(845),
    [sym__alpha_identifier] = ACTIONS(1582),
    [anon_sym_LBRACE] = ACTIONS(1586),
    [anon_sym__] = ACTIONS(1588),
    [anon_sym_PLUS] = ACTIONS(1590),
    [anon_sym_DASH] = ACTIONS(1590),
    [anon_sym_end] = ACTIONS(1592),
    [anon_sym_if] = ACTIONS(3218),
    [anon_sym_while] = ACTIONS(2380),
    [anon_sym_for] = ACTIONS(2382),
    [anon_sym_try] = ACTIONS(2384),
    [anon_sym_new] = ACTIONS(1594),
    [anon_sym_opaque] = ACTIONS(1592),
    [anon_sym_implicit] = ACTIONS(2386),
    [anon_sym_inline] = ACTIONS(1596),
    [anon_sym_infix] = ACTIONS(1592),
    [anon_sym_open] = ACTIONS(1592),
    [anon_sym_transparent] = ACTIONS(1592),
    [anon_sym_LPAREN] = ACTIONS(1598),
    [anon_sym_macro] = ACTIONS(1874),
    [anon_sym_BANG] = ACTIONS(1590),
    [anon_sym_TILDE] = ACTIONS(1590),
    [anon_sym_DOLLAR] = ACTIONS(1600),
    [anon_sym_SQUOTE] = ACTIONS(1602),
    [sym__backquoted_id] = ACTIONS(1604),
    [sym_operator_identifier] = ACTIONS(2388),
    [sym_integer_literal] = ACTIONS(1608),
    [sym_floating_point_literal] = ACTIONS(1610),
    [anon_sym_true] = ACTIONS(1612),
    [anon_sym_false] = ACTIONS(1612),
    [sym_character_literal] = ACTIONS(1610),
    [sym_null_literal] = ACTIONS(1614),
    [anon_sym_return] = ACTIONS(2390),
    [anon_sym_throw] = ACTIONS(2392),
    [anon_sym_do] = ACTIONS(1882),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3282),
    [sym__simple_multiline_string] = ACTIONS(1616),
    [sym__simple_string] = ACTIONS(1616),
  },
  [846] = {
    [sym_inline_modifier] = STATE(2076),
    [sym__indentable_expression] = STATE(13467),
    [sym_block] = STATE(9327),
    [sym_indented_block] = STATE(13548),
    [sym_indented_cases] = STATE(13548),
    [sym_expression] = STATE(13406),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(846),
    [sym_block_comment] = STATE(846),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(3109),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [847] = {
    [sym_inline_modifier] = STATE(2262),
    [sym__indentable_expression] = STATE(13449),
    [sym_block] = STATE(6540),
    [sym_indented_block] = STATE(11390),
    [sym_indented_cases] = STATE(11390),
    [sym_expression] = STATE(11385),
    [sym__simple_expression] = STATE(5817),
    [sym_lambda_expression] = STATE(11374),
    [sym_if_expression] = STATE(11374),
    [sym_match_expression] = STATE(11374),
    [sym_try_expression] = STATE(11374),
    [sym_bindings] = STATE(15530),
    [sym_case_block] = STATE(6540),
    [sym_assignment_expression] = STATE(11374),
    [sym_generic_function] = STATE(6540),
    [sym_call_expression] = STATE(6540),
    [sym_field_expression] = STATE(6540),
    [sym_instance_expression] = STATE(6540),
    [sym_ascription_expression] = STATE(11374),
    [sym_infix_expression] = STATE(7834),
    [sym_postfix_expression] = STATE(11215),
    [sym__postfix_expression_choice] = STATE(16210),
    [sym_macro_body] = STATE(11374),
    [sym_prefix_expression] = STATE(9262),
    [sym_tuple_expression] = STATE(6540),
    [sym_parenthesized_expression] = STATE(6540),
    [sym_splice_expression] = STATE(6540),
    [sym_quote_expression] = STATE(6540),
    [sym_identifier] = STATE(5031),
    [sym__soft_identifier] = STATE(4667),
    [sym_wildcard] = STATE(7986),
    [sym__non_null_literal] = STATE(6540),
    [sym_boolean_literal] = STATE(6246),
    [sym_interpolated_string_expression] = STATE(6540),
    [sym_string] = STATE(6246),
    [sym_unit] = STATE(6540),
    [sym_return_expression] = STATE(11374),
    [sym_throw_expression] = STATE(11374),
    [sym_while_expression] = STATE(11374),
    [sym_do_while_expression] = STATE(11374),
    [sym_for_expression] = STATE(11374),
    [sym_comment] = STATE(847),
    [sym_block_comment] = STATE(847),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(1530),
    [anon_sym_while] = ACTIONS(1532),
    [anon_sym_for] = ACTIONS(1534),
    [anon_sym_try] = ACTIONS(1536),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1538),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1540),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1542),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1544),
    [anon_sym_throw] = ACTIONS(1546),
    [anon_sym_do] = ACTIONS(1548),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2240),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [848] = {
    [sym_inline_modifier] = STATE(2084),
    [sym__indentable_expression] = STATE(16518),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(8831),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15722),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10635),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(771),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(8641),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(10149),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(848),
    [sym_block_comment] = STATE(848),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2740),
    [anon_sym_while] = ACTIONS(2742),
    [anon_sym_for] = ACTIONS(2744),
    [anon_sym_try] = ACTIONS(2746),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2748),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3310),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3312),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2762),
    [anon_sym_throw] = ACTIONS(2764),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [849] = {
    [sym_inline_modifier] = STATE(2335),
    [sym__indentable_expression] = STATE(11290),
    [sym_block] = STATE(5403),
    [sym_indented_block] = STATE(11085),
    [sym_indented_cases] = STATE(11085),
    [sym_expression] = STATE(11355),
    [sym__simple_expression] = STATE(4736),
    [sym_lambda_expression] = STATE(11364),
    [sym_if_expression] = STATE(11364),
    [sym_match_expression] = STATE(11364),
    [sym_try_expression] = STATE(11364),
    [sym_bindings] = STATE(15583),
    [sym_case_block] = STATE(5403),
    [sym_assignment_expression] = STATE(11364),
    [sym_generic_function] = STATE(5403),
    [sym_call_expression] = STATE(5403),
    [sym_field_expression] = STATE(5403),
    [sym_instance_expression] = STATE(5403),
    [sym_ascription_expression] = STATE(11364),
    [sym_infix_expression] = STATE(6806),
    [sym_postfix_expression] = STATE(10789),
    [sym__postfix_expression_choice] = STATE(15797),
    [sym_macro_body] = STATE(11364),
    [sym_prefix_expression] = STATE(8627),
    [sym_tuple_expression] = STATE(5403),
    [sym_parenthesized_expression] = STATE(5403),
    [sym_splice_expression] = STATE(5403),
    [sym_quote_expression] = STATE(5403),
    [sym_identifier] = STATE(4558),
    [sym__soft_identifier] = STATE(4455),
    [sym_wildcard] = STATE(6107),
    [sym__non_null_literal] = STATE(5403),
    [sym_boolean_literal] = STATE(5637),
    [sym_interpolated_string_expression] = STATE(5403),
    [sym_string] = STATE(5637),
    [sym_unit] = STATE(5403),
    [sym_return_expression] = STATE(11364),
    [sym_throw_expression] = STATE(11364),
    [sym_while_expression] = STATE(11364),
    [sym_do_while_expression] = STATE(11364),
    [sym_for_expression] = STATE(11364),
    [sym_comment] = STATE(849),
    [sym_block_comment] = STATE(849),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(2288),
    [anon_sym_while] = ACTIONS(1750),
    [anon_sym_for] = ACTIONS(1752),
    [anon_sym_try] = ACTIONS(1754),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1756),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1162),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1758),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1760),
    [anon_sym_throw] = ACTIONS(1762),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2282),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [850] = {
    [sym_inline_modifier] = STATE(2118),
    [sym__indentable_expression] = STATE(11242),
    [sym_block] = STATE(5403),
    [sym_indented_block] = STATE(11085),
    [sym_indented_cases] = STATE(11085),
    [sym_expression] = STATE(11355),
    [sym__simple_expression] = STATE(5051),
    [sym_lambda_expression] = STATE(11364),
    [sym_if_expression] = STATE(11364),
    [sym_match_expression] = STATE(11364),
    [sym_try_expression] = STATE(11364),
    [sym_bindings] = STATE(15597),
    [sym_case_block] = STATE(5403),
    [sym_assignment_expression] = STATE(11364),
    [sym_generic_function] = STATE(5403),
    [sym_call_expression] = STATE(5403),
    [sym_field_expression] = STATE(5403),
    [sym_instance_expression] = STATE(5403),
    [sym_ascription_expression] = STATE(11364),
    [sym_infix_expression] = STATE(6806),
    [sym_postfix_expression] = STATE(10789),
    [sym__postfix_expression_choice] = STATE(15797),
    [sym_macro_body] = STATE(11364),
    [sym_prefix_expression] = STATE(8869),
    [sym_tuple_expression] = STATE(5403),
    [sym_parenthesized_expression] = STATE(5403),
    [sym_splice_expression] = STATE(5403),
    [sym_quote_expression] = STATE(5403),
    [sym_identifier] = STATE(4686),
    [sym__soft_identifier] = STATE(4455),
    [sym_wildcard] = STATE(7015),
    [sym__non_null_literal] = STATE(5403),
    [sym_boolean_literal] = STATE(5637),
    [sym_interpolated_string_expression] = STATE(5403),
    [sym_string] = STATE(5637),
    [sym_unit] = STATE(5403),
    [sym_return_expression] = STATE(11364),
    [sym_throw_expression] = STATE(11364),
    [sym_while_expression] = STATE(11364),
    [sym_do_while_expression] = STATE(11364),
    [sym_for_expression] = STATE(11364),
    [sym_comment] = STATE(850),
    [sym_block_comment] = STATE(850),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(1152),
    [anon_sym_while] = ACTIONS(1154),
    [anon_sym_for] = ACTIONS(1156),
    [anon_sym_try] = ACTIONS(1158),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1160),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1162),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1164),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1166),
    [anon_sym_throw] = ACTIONS(1168),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2282),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [851] = {
    [sym_inline_modifier] = STATE(2284),
    [sym__indentable_expression] = STATE(13288),
    [sym_block] = STATE(9120),
    [sym_indented_block] = STATE(13388),
    [sym_indented_cases] = STATE(13388),
    [sym_expression] = STATE(13211),
    [sym__simple_expression] = STATE(6111),
    [sym_lambda_expression] = STATE(13422),
    [sym_if_expression] = STATE(13422),
    [sym_match_expression] = STATE(13422),
    [sym_try_expression] = STATE(13422),
    [sym_bindings] = STATE(15588),
    [sym_case_block] = STATE(9120),
    [sym_assignment_expression] = STATE(13422),
    [sym_generic_function] = STATE(9120),
    [sym_call_expression] = STATE(9120),
    [sym_field_expression] = STATE(9120),
    [sym_instance_expression] = STATE(9120),
    [sym_ascription_expression] = STATE(13422),
    [sym_infix_expression] = STATE(9820),
    [sym_postfix_expression] = STATE(13148),
    [sym__postfix_expression_choice] = STATE(15936),
    [sym_macro_body] = STATE(13422),
    [sym_prefix_expression] = STATE(9760),
    [sym_tuple_expression] = STATE(9120),
    [sym_parenthesized_expression] = STATE(9120),
    [sym_splice_expression] = STATE(9120),
    [sym_quote_expression] = STATE(9120),
    [sym_identifier] = STATE(5467),
    [sym__soft_identifier] = STATE(6470),
    [sym_wildcard] = STATE(8607),
    [sym__non_null_literal] = STATE(9120),
    [sym_boolean_literal] = STATE(8928),
    [sym_interpolated_string_expression] = STATE(9120),
    [sym_string] = STATE(8928),
    [sym_unit] = STATE(9120),
    [sym_return_expression] = STATE(13422),
    [sym_throw_expression] = STATE(13422),
    [sym_while_expression] = STATE(13422),
    [sym_do_while_expression] = STATE(13422),
    [sym_for_expression] = STATE(13422),
    [sym_comment] = STATE(851),
    [sym_block_comment] = STATE(851),
    [sym__alpha_identifier] = ACTIONS(1582),
    [anon_sym_LBRACE] = ACTIONS(1586),
    [anon_sym__] = ACTIONS(1588),
    [anon_sym_PLUS] = ACTIONS(1590),
    [anon_sym_DASH] = ACTIONS(1590),
    [anon_sym_end] = ACTIONS(1592),
    [anon_sym_if] = ACTIONS(3218),
    [anon_sym_while] = ACTIONS(2380),
    [anon_sym_for] = ACTIONS(2382),
    [anon_sym_try] = ACTIONS(2384),
    [anon_sym_new] = ACTIONS(1594),
    [anon_sym_opaque] = ACTIONS(1592),
    [anon_sym_implicit] = ACTIONS(2386),
    [anon_sym_inline] = ACTIONS(1596),
    [anon_sym_infix] = ACTIONS(1592),
    [anon_sym_open] = ACTIONS(1592),
    [anon_sym_transparent] = ACTIONS(1592),
    [anon_sym_LPAREN] = ACTIONS(1598),
    [anon_sym_macro] = ACTIONS(1874),
    [anon_sym_BANG] = ACTIONS(1590),
    [anon_sym_TILDE] = ACTIONS(1590),
    [anon_sym_DOLLAR] = ACTIONS(1600),
    [anon_sym_SQUOTE] = ACTIONS(1602),
    [sym__backquoted_id] = ACTIONS(1604),
    [sym_operator_identifier] = ACTIONS(2388),
    [sym_integer_literal] = ACTIONS(1608),
    [sym_floating_point_literal] = ACTIONS(1610),
    [anon_sym_true] = ACTIONS(1612),
    [anon_sym_false] = ACTIONS(1612),
    [sym_character_literal] = ACTIONS(1610),
    [sym_null_literal] = ACTIONS(1614),
    [anon_sym_return] = ACTIONS(2390),
    [anon_sym_throw] = ACTIONS(2392),
    [anon_sym_do] = ACTIONS(1882),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3282),
    [sym__simple_multiline_string] = ACTIONS(1616),
    [sym__simple_string] = ACTIONS(1616),
  },
  [852] = {
    [sym_inline_modifier] = STATE(2195),
    [sym__indentable_expression] = STATE(12414),
    [sym_block] = STATE(7443),
    [sym_indented_block] = STATE(12679),
    [sym_indented_cases] = STATE(12679),
    [sym_expression] = STATE(12305),
    [sym__simple_expression] = STATE(5261),
    [sym_lambda_expression] = STATE(12692),
    [sym_if_expression] = STATE(12692),
    [sym_match_expression] = STATE(12692),
    [sym_try_expression] = STATE(12692),
    [sym_bindings] = STATE(15526),
    [sym_case_block] = STATE(7443),
    [sym_assignment_expression] = STATE(12692),
    [sym_generic_function] = STATE(7443),
    [sym_call_expression] = STATE(7443),
    [sym_field_expression] = STATE(7443),
    [sym_instance_expression] = STATE(7443),
    [sym_ascription_expression] = STATE(12692),
    [sym_infix_expression] = STATE(8993),
    [sym_postfix_expression] = STATE(12386),
    [sym__postfix_expression_choice] = STATE(16150),
    [sym_macro_body] = STATE(12692),
    [sym_prefix_expression] = STATE(8984),
    [sym_tuple_expression] = STATE(7443),
    [sym_parenthesized_expression] = STATE(7443),
    [sym_splice_expression] = STATE(7443),
    [sym_quote_expression] = STATE(7443),
    [sym_identifier] = STATE(4861),
    [sym__soft_identifier] = STATE(5213),
    [sym_wildcard] = STATE(7324),
    [sym__non_null_literal] = STATE(7443),
    [sym_boolean_literal] = STATE(7707),
    [sym_interpolated_string_expression] = STATE(7443),
    [sym_string] = STATE(7707),
    [sym_unit] = STATE(7443),
    [sym_return_expression] = STATE(12692),
    [sym_throw_expression] = STATE(12692),
    [sym_while_expression] = STATE(12692),
    [sym_do_while_expression] = STATE(12692),
    [sym_for_expression] = STATE(12692),
    [sym_comment] = STATE(852),
    [sym_block_comment] = STATE(852),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(1186),
    [anon_sym_while] = ACTIONS(1188),
    [anon_sym_for] = ACTIONS(1190),
    [anon_sym_try] = ACTIONS(1192),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(1194),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1196),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(1198),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(1200),
    [anon_sym_throw] = ACTIONS(1202),
    [anon_sym_do] = ACTIONS(1204),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2294),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [853] = {
    [sym_inline_modifier] = STATE(2118),
    [sym__indentable_expression] = STATE(12953),
    [sym_block] = STATE(5403),
    [sym_indented_block] = STATE(11085),
    [sym_indented_cases] = STATE(11085),
    [sym_expression] = STATE(11355),
    [sym__simple_expression] = STATE(5051),
    [sym_lambda_expression] = STATE(11364),
    [sym_if_expression] = STATE(11364),
    [sym_match_expression] = STATE(11364),
    [sym_try_expression] = STATE(11364),
    [sym_bindings] = STATE(15597),
    [sym_case_block] = STATE(5403),
    [sym_assignment_expression] = STATE(11364),
    [sym_generic_function] = STATE(5403),
    [sym_call_expression] = STATE(5403),
    [sym_field_expression] = STATE(5403),
    [sym_instance_expression] = STATE(5403),
    [sym_ascription_expression] = STATE(11364),
    [sym_infix_expression] = STATE(6806),
    [sym_postfix_expression] = STATE(10789),
    [sym__postfix_expression_choice] = STATE(15797),
    [sym_macro_body] = STATE(11364),
    [sym_prefix_expression] = STATE(8869),
    [sym_tuple_expression] = STATE(5403),
    [sym_parenthesized_expression] = STATE(5403),
    [sym_splice_expression] = STATE(5403),
    [sym_quote_expression] = STATE(5403),
    [sym_identifier] = STATE(4686),
    [sym__soft_identifier] = STATE(4455),
    [sym_wildcard] = STATE(7015),
    [sym__non_null_literal] = STATE(5403),
    [sym_boolean_literal] = STATE(5637),
    [sym_interpolated_string_expression] = STATE(5403),
    [sym_string] = STATE(5637),
    [sym_unit] = STATE(5403),
    [sym_return_expression] = STATE(11364),
    [sym_throw_expression] = STATE(11364),
    [sym_while_expression] = STATE(11364),
    [sym_do_while_expression] = STATE(11364),
    [sym_for_expression] = STATE(11364),
    [sym_comment] = STATE(853),
    [sym_block_comment] = STATE(853),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(1152),
    [anon_sym_while] = ACTIONS(1154),
    [anon_sym_for] = ACTIONS(1156),
    [anon_sym_try] = ACTIONS(1158),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1160),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1162),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1164),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1166),
    [anon_sym_throw] = ACTIONS(1168),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2282),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [854] = {
    [sym_inline_modifier] = STATE(2335),
    [sym__indentable_expression] = STATE(11274),
    [sym_block] = STATE(5403),
    [sym_indented_block] = STATE(11085),
    [sym_indented_cases] = STATE(11085),
    [sym_expression] = STATE(11355),
    [sym__simple_expression] = STATE(4736),
    [sym_lambda_expression] = STATE(11364),
    [sym_if_expression] = STATE(11364),
    [sym_match_expression] = STATE(11364),
    [sym_try_expression] = STATE(11364),
    [sym_bindings] = STATE(15583),
    [sym_case_block] = STATE(5403),
    [sym_assignment_expression] = STATE(11364),
    [sym_generic_function] = STATE(5403),
    [sym_call_expression] = STATE(5403),
    [sym_field_expression] = STATE(5403),
    [sym_instance_expression] = STATE(5403),
    [sym_ascription_expression] = STATE(11364),
    [sym_infix_expression] = STATE(6806),
    [sym_postfix_expression] = STATE(10789),
    [sym__postfix_expression_choice] = STATE(15797),
    [sym_macro_body] = STATE(11364),
    [sym_prefix_expression] = STATE(8627),
    [sym_tuple_expression] = STATE(5403),
    [sym_parenthesized_expression] = STATE(5403),
    [sym_splice_expression] = STATE(5403),
    [sym_quote_expression] = STATE(5403),
    [sym_identifier] = STATE(4558),
    [sym__soft_identifier] = STATE(4455),
    [sym_wildcard] = STATE(6107),
    [sym__non_null_literal] = STATE(5403),
    [sym_boolean_literal] = STATE(5637),
    [sym_interpolated_string_expression] = STATE(5403),
    [sym_string] = STATE(5637),
    [sym_unit] = STATE(5403),
    [sym_return_expression] = STATE(11364),
    [sym_throw_expression] = STATE(11364),
    [sym_while_expression] = STATE(11364),
    [sym_do_while_expression] = STATE(11364),
    [sym_for_expression] = STATE(11364),
    [sym_comment] = STATE(854),
    [sym_block_comment] = STATE(854),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(2288),
    [anon_sym_while] = ACTIONS(1750),
    [anon_sym_for] = ACTIONS(1752),
    [anon_sym_try] = ACTIONS(1754),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1756),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1162),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1758),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1760),
    [anon_sym_throw] = ACTIONS(1762),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2282),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [855] = {
    [sym_inline_modifier] = STATE(2335),
    [sym__indentable_expression] = STATE(11272),
    [sym_block] = STATE(5403),
    [sym_indented_block] = STATE(11085),
    [sym_indented_cases] = STATE(11085),
    [sym_expression] = STATE(11355),
    [sym__simple_expression] = STATE(4736),
    [sym_lambda_expression] = STATE(11364),
    [sym_if_expression] = STATE(11364),
    [sym_match_expression] = STATE(11364),
    [sym_try_expression] = STATE(11364),
    [sym_bindings] = STATE(15583),
    [sym_case_block] = STATE(5403),
    [sym_assignment_expression] = STATE(11364),
    [sym_generic_function] = STATE(5403),
    [sym_call_expression] = STATE(5403),
    [sym_field_expression] = STATE(5403),
    [sym_instance_expression] = STATE(5403),
    [sym_ascription_expression] = STATE(11364),
    [sym_infix_expression] = STATE(6806),
    [sym_postfix_expression] = STATE(10789),
    [sym__postfix_expression_choice] = STATE(15797),
    [sym_macro_body] = STATE(11364),
    [sym_prefix_expression] = STATE(8627),
    [sym_tuple_expression] = STATE(5403),
    [sym_parenthesized_expression] = STATE(5403),
    [sym_splice_expression] = STATE(5403),
    [sym_quote_expression] = STATE(5403),
    [sym_identifier] = STATE(4558),
    [sym__soft_identifier] = STATE(4455),
    [sym_wildcard] = STATE(6107),
    [sym__non_null_literal] = STATE(5403),
    [sym_boolean_literal] = STATE(5637),
    [sym_interpolated_string_expression] = STATE(5403),
    [sym_string] = STATE(5637),
    [sym_unit] = STATE(5403),
    [sym_return_expression] = STATE(11364),
    [sym_throw_expression] = STATE(11364),
    [sym_while_expression] = STATE(11364),
    [sym_do_while_expression] = STATE(11364),
    [sym_for_expression] = STATE(11364),
    [sym_comment] = STATE(855),
    [sym_block_comment] = STATE(855),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(2288),
    [anon_sym_while] = ACTIONS(1750),
    [anon_sym_for] = ACTIONS(1752),
    [anon_sym_try] = ACTIONS(1754),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1756),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1162),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1758),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1760),
    [anon_sym_throw] = ACTIONS(1762),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2282),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [856] = {
    [sym_inline_modifier] = STATE(2323),
    [sym__indentable_expression] = STATE(13369),
    [sym_block] = STATE(6954),
    [sym_indented_block] = STATE(11923),
    [sym_indented_cases] = STATE(11923),
    [sym_expression] = STATE(12206),
    [sym__simple_expression] = STATE(5520),
    [sym_lambda_expression] = STATE(12144),
    [sym_if_expression] = STATE(12144),
    [sym_match_expression] = STATE(12144),
    [sym_try_expression] = STATE(12144),
    [sym_bindings] = STATE(15572),
    [sym_case_block] = STATE(6954),
    [sym_assignment_expression] = STATE(12144),
    [sym_generic_function] = STATE(6954),
    [sym_call_expression] = STATE(6954),
    [sym_field_expression] = STATE(6954),
    [sym_instance_expression] = STATE(6954),
    [sym_ascription_expression] = STATE(12144),
    [sym_infix_expression] = STATE(8226),
    [sym_postfix_expression] = STATE(11499),
    [sym__postfix_expression_choice] = STATE(16229),
    [sym_macro_body] = STATE(12144),
    [sym_prefix_expression] = STATE(9280),
    [sym_tuple_expression] = STATE(6954),
    [sym_parenthesized_expression] = STATE(6954),
    [sym_splice_expression] = STATE(6954),
    [sym_quote_expression] = STATE(6954),
    [sym_identifier] = STATE(5300),
    [sym__soft_identifier] = STATE(4827),
    [sym_wildcard] = STATE(7542),
    [sym__non_null_literal] = STATE(6954),
    [sym_boolean_literal] = STATE(6997),
    [sym_interpolated_string_expression] = STATE(6954),
    [sym_string] = STATE(6997),
    [sym_unit] = STATE(6954),
    [sym_return_expression] = STATE(12144),
    [sym_throw_expression] = STATE(12144),
    [sym_while_expression] = STATE(12144),
    [sym_do_while_expression] = STATE(12144),
    [sym_for_expression] = STATE(12144),
    [sym_comment] = STATE(856),
    [sym_block_comment] = STATE(856),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(3235),
    [anon_sym_while] = ACTIONS(1924),
    [anon_sym_for] = ACTIONS(1926),
    [anon_sym_try] = ACTIONS(1928),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(1930),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1894),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(1932),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(1934),
    [anon_sym_throw] = ACTIONS(1936),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3280),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [857] = {
    [sym_inline_modifier] = STATE(2335),
    [sym__indentable_expression] = STATE(11249),
    [sym_block] = STATE(5403),
    [sym_indented_block] = STATE(11085),
    [sym_indented_cases] = STATE(11085),
    [sym_expression] = STATE(11355),
    [sym__simple_expression] = STATE(4736),
    [sym_lambda_expression] = STATE(11364),
    [sym_if_expression] = STATE(11364),
    [sym_match_expression] = STATE(11364),
    [sym_try_expression] = STATE(11364),
    [sym_bindings] = STATE(15583),
    [sym_case_block] = STATE(5403),
    [sym_assignment_expression] = STATE(11364),
    [sym_generic_function] = STATE(5403),
    [sym_call_expression] = STATE(5403),
    [sym_field_expression] = STATE(5403),
    [sym_instance_expression] = STATE(5403),
    [sym_ascription_expression] = STATE(11364),
    [sym_infix_expression] = STATE(6806),
    [sym_postfix_expression] = STATE(10789),
    [sym__postfix_expression_choice] = STATE(15797),
    [sym_macro_body] = STATE(11364),
    [sym_prefix_expression] = STATE(8627),
    [sym_tuple_expression] = STATE(5403),
    [sym_parenthesized_expression] = STATE(5403),
    [sym_splice_expression] = STATE(5403),
    [sym_quote_expression] = STATE(5403),
    [sym_identifier] = STATE(4558),
    [sym__soft_identifier] = STATE(4455),
    [sym_wildcard] = STATE(6107),
    [sym__non_null_literal] = STATE(5403),
    [sym_boolean_literal] = STATE(5637),
    [sym_interpolated_string_expression] = STATE(5403),
    [sym_string] = STATE(5637),
    [sym_unit] = STATE(5403),
    [sym_return_expression] = STATE(11364),
    [sym_throw_expression] = STATE(11364),
    [sym_while_expression] = STATE(11364),
    [sym_do_while_expression] = STATE(11364),
    [sym_for_expression] = STATE(11364),
    [sym_comment] = STATE(857),
    [sym_block_comment] = STATE(857),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(2288),
    [anon_sym_while] = ACTIONS(1750),
    [anon_sym_for] = ACTIONS(1752),
    [anon_sym_try] = ACTIONS(1754),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1756),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1162),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1758),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1760),
    [anon_sym_throw] = ACTIONS(1762),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2282),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [858] = {
    [sym_inline_modifier] = STATE(2118),
    [sym__indentable_expression] = STATE(11206),
    [sym_block] = STATE(5403),
    [sym_indented_block] = STATE(11085),
    [sym_indented_cases] = STATE(11085),
    [sym_expression] = STATE(11355),
    [sym__simple_expression] = STATE(5051),
    [sym_lambda_expression] = STATE(11364),
    [sym_if_expression] = STATE(11364),
    [sym_match_expression] = STATE(11364),
    [sym_try_expression] = STATE(11364),
    [sym_bindings] = STATE(15597),
    [sym_case_block] = STATE(5403),
    [sym_assignment_expression] = STATE(11364),
    [sym_generic_function] = STATE(5403),
    [sym_call_expression] = STATE(5403),
    [sym_field_expression] = STATE(5403),
    [sym_instance_expression] = STATE(5403),
    [sym_ascription_expression] = STATE(11364),
    [sym_infix_expression] = STATE(6806),
    [sym_postfix_expression] = STATE(10789),
    [sym__postfix_expression_choice] = STATE(15797),
    [sym_macro_body] = STATE(11364),
    [sym_prefix_expression] = STATE(8869),
    [sym_tuple_expression] = STATE(5403),
    [sym_parenthesized_expression] = STATE(5403),
    [sym_splice_expression] = STATE(5403),
    [sym_quote_expression] = STATE(5403),
    [sym_identifier] = STATE(4686),
    [sym__soft_identifier] = STATE(4455),
    [sym_wildcard] = STATE(7015),
    [sym__non_null_literal] = STATE(5403),
    [sym_boolean_literal] = STATE(5637),
    [sym_interpolated_string_expression] = STATE(5403),
    [sym_string] = STATE(5637),
    [sym_unit] = STATE(5403),
    [sym_return_expression] = STATE(11364),
    [sym_throw_expression] = STATE(11364),
    [sym_while_expression] = STATE(11364),
    [sym_do_while_expression] = STATE(11364),
    [sym_for_expression] = STATE(11364),
    [sym_comment] = STATE(858),
    [sym_block_comment] = STATE(858),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(1152),
    [anon_sym_while] = ACTIONS(1154),
    [anon_sym_for] = ACTIONS(1156),
    [anon_sym_try] = ACTIONS(1158),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1160),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1162),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1164),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1166),
    [anon_sym_throw] = ACTIONS(1168),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2282),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [859] = {
    [sym_inline_modifier] = STATE(2335),
    [sym__indentable_expression] = STATE(11242),
    [sym_block] = STATE(5403),
    [sym_indented_block] = STATE(11085),
    [sym_indented_cases] = STATE(11085),
    [sym_expression] = STATE(11355),
    [sym__simple_expression] = STATE(4736),
    [sym_lambda_expression] = STATE(11364),
    [sym_if_expression] = STATE(11364),
    [sym_match_expression] = STATE(11364),
    [sym_try_expression] = STATE(11364),
    [sym_bindings] = STATE(15583),
    [sym_case_block] = STATE(5403),
    [sym_assignment_expression] = STATE(11364),
    [sym_generic_function] = STATE(5403),
    [sym_call_expression] = STATE(5403),
    [sym_field_expression] = STATE(5403),
    [sym_instance_expression] = STATE(5403),
    [sym_ascription_expression] = STATE(11364),
    [sym_infix_expression] = STATE(6806),
    [sym_postfix_expression] = STATE(10789),
    [sym__postfix_expression_choice] = STATE(15797),
    [sym_macro_body] = STATE(11364),
    [sym_prefix_expression] = STATE(8627),
    [sym_tuple_expression] = STATE(5403),
    [sym_parenthesized_expression] = STATE(5403),
    [sym_splice_expression] = STATE(5403),
    [sym_quote_expression] = STATE(5403),
    [sym_identifier] = STATE(4558),
    [sym__soft_identifier] = STATE(4455),
    [sym_wildcard] = STATE(6107),
    [sym__non_null_literal] = STATE(5403),
    [sym_boolean_literal] = STATE(5637),
    [sym_interpolated_string_expression] = STATE(5403),
    [sym_string] = STATE(5637),
    [sym_unit] = STATE(5403),
    [sym_return_expression] = STATE(11364),
    [sym_throw_expression] = STATE(11364),
    [sym_while_expression] = STATE(11364),
    [sym_do_while_expression] = STATE(11364),
    [sym_for_expression] = STATE(11364),
    [sym_comment] = STATE(859),
    [sym_block_comment] = STATE(859),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(2288),
    [anon_sym_while] = ACTIONS(1750),
    [anon_sym_for] = ACTIONS(1752),
    [anon_sym_try] = ACTIONS(1754),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1756),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1162),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1758),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1760),
    [anon_sym_throw] = ACTIONS(1762),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2282),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [860] = {
    [sym_inline_modifier] = STATE(2084),
    [sym__indentable_expression] = STATE(15968),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(8831),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15722),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10635),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(717),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(8641),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(10149),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(860),
    [sym_block_comment] = STATE(860),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2740),
    [anon_sym_while] = ACTIONS(2742),
    [anon_sym_for] = ACTIONS(2744),
    [anon_sym_try] = ACTIONS(2746),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2748),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3310),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3312),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2762),
    [anon_sym_throw] = ACTIONS(2764),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [861] = {
    [sym_inline_modifier] = STATE(2084),
    [sym__indentable_expression] = STATE(13526),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(8831),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15722),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10635),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(8641),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(10149),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(861),
    [sym_block_comment] = STATE(861),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2740),
    [anon_sym_while] = ACTIONS(2742),
    [anon_sym_for] = ACTIONS(2744),
    [anon_sym_try] = ACTIONS(2746),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2748),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3312),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2762),
    [anon_sym_throw] = ACTIONS(2764),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [862] = {
    [sym_inline_modifier] = STATE(2335),
    [sym__indentable_expression] = STATE(11211),
    [sym_block] = STATE(5403),
    [sym_indented_block] = STATE(11085),
    [sym_indented_cases] = STATE(11085),
    [sym_expression] = STATE(11355),
    [sym__simple_expression] = STATE(4736),
    [sym_lambda_expression] = STATE(11364),
    [sym_if_expression] = STATE(11364),
    [sym_match_expression] = STATE(11364),
    [sym_try_expression] = STATE(11364),
    [sym_bindings] = STATE(15583),
    [sym_case_block] = STATE(5403),
    [sym_assignment_expression] = STATE(11364),
    [sym_generic_function] = STATE(5403),
    [sym_call_expression] = STATE(5403),
    [sym_field_expression] = STATE(5403),
    [sym_instance_expression] = STATE(5403),
    [sym_ascription_expression] = STATE(11364),
    [sym_infix_expression] = STATE(6806),
    [sym_postfix_expression] = STATE(10789),
    [sym__postfix_expression_choice] = STATE(15797),
    [sym_macro_body] = STATE(11364),
    [sym_prefix_expression] = STATE(8627),
    [sym_tuple_expression] = STATE(5403),
    [sym_parenthesized_expression] = STATE(5403),
    [sym_splice_expression] = STATE(5403),
    [sym_quote_expression] = STATE(5403),
    [sym_identifier] = STATE(4558),
    [sym__soft_identifier] = STATE(4455),
    [sym_wildcard] = STATE(6107),
    [sym__non_null_literal] = STATE(5403),
    [sym_boolean_literal] = STATE(5637),
    [sym_interpolated_string_expression] = STATE(5403),
    [sym_string] = STATE(5637),
    [sym_unit] = STATE(5403),
    [sym_return_expression] = STATE(11364),
    [sym_throw_expression] = STATE(11364),
    [sym_while_expression] = STATE(11364),
    [sym_do_while_expression] = STATE(11364),
    [sym_for_expression] = STATE(11364),
    [sym_comment] = STATE(862),
    [sym_block_comment] = STATE(862),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(2288),
    [anon_sym_while] = ACTIONS(1750),
    [anon_sym_for] = ACTIONS(1752),
    [anon_sym_try] = ACTIONS(1754),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1756),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1162),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1758),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1760),
    [anon_sym_throw] = ACTIONS(1762),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2282),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [863] = {
    [sym_inline_modifier] = STATE(2154),
    [sym__indentable_expression] = STATE(12843),
    [sym_block] = STATE(8070),
    [sym_indented_block] = STATE(12700),
    [sym_indented_cases] = STATE(12700),
    [sym_expression] = STATE(12581),
    [sym__simple_expression] = STATE(7235),
    [sym_lambda_expression] = STATE(12742),
    [sym_if_expression] = STATE(12742),
    [sym_match_expression] = STATE(12742),
    [sym_try_expression] = STATE(12742),
    [sym_bindings] = STATE(15546),
    [sym_case_block] = STATE(8070),
    [sym_assignment_expression] = STATE(12742),
    [sym_generic_function] = STATE(8070),
    [sym_call_expression] = STATE(8070),
    [sym_field_expression] = STATE(8070),
    [sym_instance_expression] = STATE(8070),
    [sym_ascription_expression] = STATE(12742),
    [sym_infix_expression] = STATE(8913),
    [sym_postfix_expression] = STATE(12343),
    [sym__postfix_expression_choice] = STATE(16230),
    [sym_macro_body] = STATE(12742),
    [sym_prefix_expression] = STATE(9970),
    [sym_tuple_expression] = STATE(8070),
    [sym_parenthesized_expression] = STATE(8070),
    [sym_splice_expression] = STATE(8070),
    [sym_quote_expression] = STATE(8070),
    [sym_identifier] = STATE(6168),
    [sym__soft_identifier] = STATE(5234),
    [sym_wildcard] = STATE(8792),
    [sym__non_null_literal] = STATE(8070),
    [sym_boolean_literal] = STATE(8055),
    [sym_interpolated_string_expression] = STATE(8070),
    [sym_string] = STATE(8055),
    [sym_unit] = STATE(8070),
    [sym_return_expression] = STATE(12742),
    [sym_throw_expression] = STATE(12742),
    [sym_while_expression] = STATE(12742),
    [sym_do_while_expression] = STATE(12742),
    [sym_for_expression] = STATE(12742),
    [sym_comment] = STATE(863),
    [sym_block_comment] = STATE(863),
    [sym__alpha_identifier] = ACTIONS(1314),
    [anon_sym_LBRACE] = ACTIONS(1318),
    [anon_sym__] = ACTIONS(1320),
    [anon_sym_PLUS] = ACTIONS(1322),
    [anon_sym_DASH] = ACTIONS(1322),
    [anon_sym_end] = ACTIONS(1324),
    [anon_sym_if] = ACTIONS(2142),
    [anon_sym_while] = ACTIONS(2144),
    [anon_sym_for] = ACTIONS(2146),
    [anon_sym_try] = ACTIONS(2148),
    [anon_sym_new] = ACTIONS(1326),
    [anon_sym_opaque] = ACTIONS(1324),
    [anon_sym_implicit] = ACTIONS(2150),
    [anon_sym_inline] = ACTIONS(1328),
    [anon_sym_infix] = ACTIONS(1324),
    [anon_sym_open] = ACTIONS(1324),
    [anon_sym_transparent] = ACTIONS(1324),
    [anon_sym_LPAREN] = ACTIONS(1330),
    [anon_sym_macro] = ACTIONS(1740),
    [anon_sym_BANG] = ACTIONS(1322),
    [anon_sym_TILDE] = ACTIONS(1322),
    [anon_sym_DOLLAR] = ACTIONS(1332),
    [anon_sym_SQUOTE] = ACTIONS(1334),
    [sym__backquoted_id] = ACTIONS(1336),
    [sym_operator_identifier] = ACTIONS(2152),
    [sym_integer_literal] = ACTIONS(1340),
    [sym_floating_point_literal] = ACTIONS(1342),
    [anon_sym_true] = ACTIONS(1344),
    [anon_sym_false] = ACTIONS(1344),
    [sym_character_literal] = ACTIONS(1342),
    [sym_null_literal] = ACTIONS(1346),
    [anon_sym_return] = ACTIONS(2154),
    [anon_sym_throw] = ACTIONS(2156),
    [anon_sym_do] = ACTIONS(1748),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2158),
    [sym__simple_multiline_string] = ACTIONS(1348),
    [sym__simple_string] = ACTIONS(1348),
  },
  [864] = {
    [sym_inline_modifier] = STATE(2118),
    [sym__indentable_expression] = STATE(12949),
    [sym_block] = STATE(5403),
    [sym_indented_block] = STATE(11085),
    [sym_indented_cases] = STATE(11085),
    [sym_expression] = STATE(11355),
    [sym__simple_expression] = STATE(5051),
    [sym_lambda_expression] = STATE(11364),
    [sym_if_expression] = STATE(11364),
    [sym_match_expression] = STATE(11364),
    [sym_try_expression] = STATE(11364),
    [sym_bindings] = STATE(15597),
    [sym_case_block] = STATE(5403),
    [sym_assignment_expression] = STATE(11364),
    [sym_generic_function] = STATE(5403),
    [sym_call_expression] = STATE(5403),
    [sym_field_expression] = STATE(5403),
    [sym_instance_expression] = STATE(5403),
    [sym_ascription_expression] = STATE(11364),
    [sym_infix_expression] = STATE(6806),
    [sym_postfix_expression] = STATE(10789),
    [sym__postfix_expression_choice] = STATE(15797),
    [sym_macro_body] = STATE(11364),
    [sym_prefix_expression] = STATE(8869),
    [sym_tuple_expression] = STATE(5403),
    [sym_parenthesized_expression] = STATE(5403),
    [sym_splice_expression] = STATE(5403),
    [sym_quote_expression] = STATE(5403),
    [sym_identifier] = STATE(4686),
    [sym__soft_identifier] = STATE(4455),
    [sym_wildcard] = STATE(7015),
    [sym__non_null_literal] = STATE(5403),
    [sym_boolean_literal] = STATE(5637),
    [sym_interpolated_string_expression] = STATE(5403),
    [sym_string] = STATE(5637),
    [sym_unit] = STATE(5403),
    [sym_return_expression] = STATE(11364),
    [sym_throw_expression] = STATE(11364),
    [sym_while_expression] = STATE(11364),
    [sym_do_while_expression] = STATE(11364),
    [sym_for_expression] = STATE(11364),
    [sym_comment] = STATE(864),
    [sym_block_comment] = STATE(864),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(1152),
    [anon_sym_while] = ACTIONS(1154),
    [anon_sym_for] = ACTIONS(1156),
    [anon_sym_try] = ACTIONS(1158),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1160),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1162),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1164),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1166),
    [anon_sym_throw] = ACTIONS(1168),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2282),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [865] = {
    [sym_inline_modifier] = STATE(2154),
    [sym__indentable_expression] = STATE(12835),
    [sym_block] = STATE(8070),
    [sym_indented_block] = STATE(12700),
    [sym_indented_cases] = STATE(12700),
    [sym_expression] = STATE(12581),
    [sym__simple_expression] = STATE(7235),
    [sym_lambda_expression] = STATE(12742),
    [sym_if_expression] = STATE(12742),
    [sym_match_expression] = STATE(12742),
    [sym_try_expression] = STATE(12742),
    [sym_bindings] = STATE(15546),
    [sym_case_block] = STATE(8070),
    [sym_assignment_expression] = STATE(12742),
    [sym_generic_function] = STATE(8070),
    [sym_call_expression] = STATE(8070),
    [sym_field_expression] = STATE(8070),
    [sym_instance_expression] = STATE(8070),
    [sym_ascription_expression] = STATE(12742),
    [sym_infix_expression] = STATE(8913),
    [sym_postfix_expression] = STATE(12343),
    [sym__postfix_expression_choice] = STATE(16230),
    [sym_macro_body] = STATE(12742),
    [sym_prefix_expression] = STATE(9970),
    [sym_tuple_expression] = STATE(8070),
    [sym_parenthesized_expression] = STATE(8070),
    [sym_splice_expression] = STATE(8070),
    [sym_quote_expression] = STATE(8070),
    [sym_identifier] = STATE(6168),
    [sym__soft_identifier] = STATE(5234),
    [sym_wildcard] = STATE(8792),
    [sym__non_null_literal] = STATE(8070),
    [sym_boolean_literal] = STATE(8055),
    [sym_interpolated_string_expression] = STATE(8070),
    [sym_string] = STATE(8055),
    [sym_unit] = STATE(8070),
    [sym_return_expression] = STATE(12742),
    [sym_throw_expression] = STATE(12742),
    [sym_while_expression] = STATE(12742),
    [sym_do_while_expression] = STATE(12742),
    [sym_for_expression] = STATE(12742),
    [sym_comment] = STATE(865),
    [sym_block_comment] = STATE(865),
    [sym__alpha_identifier] = ACTIONS(1314),
    [anon_sym_LBRACE] = ACTIONS(1318),
    [anon_sym__] = ACTIONS(1320),
    [anon_sym_PLUS] = ACTIONS(1322),
    [anon_sym_DASH] = ACTIONS(1322),
    [anon_sym_end] = ACTIONS(1324),
    [anon_sym_if] = ACTIONS(2142),
    [anon_sym_while] = ACTIONS(2144),
    [anon_sym_for] = ACTIONS(2146),
    [anon_sym_try] = ACTIONS(2148),
    [anon_sym_new] = ACTIONS(1326),
    [anon_sym_opaque] = ACTIONS(1324),
    [anon_sym_implicit] = ACTIONS(2150),
    [anon_sym_inline] = ACTIONS(1328),
    [anon_sym_infix] = ACTIONS(1324),
    [anon_sym_open] = ACTIONS(1324),
    [anon_sym_transparent] = ACTIONS(1324),
    [anon_sym_LPAREN] = ACTIONS(1330),
    [anon_sym_macro] = ACTIONS(1740),
    [anon_sym_BANG] = ACTIONS(1322),
    [anon_sym_TILDE] = ACTIONS(1322),
    [anon_sym_DOLLAR] = ACTIONS(1332),
    [anon_sym_SQUOTE] = ACTIONS(1334),
    [sym__backquoted_id] = ACTIONS(1336),
    [sym_operator_identifier] = ACTIONS(2152),
    [sym_integer_literal] = ACTIONS(1340),
    [sym_floating_point_literal] = ACTIONS(1342),
    [anon_sym_true] = ACTIONS(1344),
    [anon_sym_false] = ACTIONS(1344),
    [sym_character_literal] = ACTIONS(1342),
    [sym_null_literal] = ACTIONS(1346),
    [anon_sym_return] = ACTIONS(2154),
    [anon_sym_throw] = ACTIONS(2156),
    [anon_sym_do] = ACTIONS(1748),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2158),
    [sym__simple_multiline_string] = ACTIONS(1348),
    [sym__simple_string] = ACTIONS(1348),
  },
  [866] = {
    [sym_inline_modifier] = STATE(2154),
    [sym__indentable_expression] = STATE(12828),
    [sym_block] = STATE(8070),
    [sym_indented_block] = STATE(12700),
    [sym_indented_cases] = STATE(12700),
    [sym_expression] = STATE(12581),
    [sym__simple_expression] = STATE(7235),
    [sym_lambda_expression] = STATE(12742),
    [sym_if_expression] = STATE(12742),
    [sym_match_expression] = STATE(12742),
    [sym_try_expression] = STATE(12742),
    [sym_bindings] = STATE(15546),
    [sym_case_block] = STATE(8070),
    [sym_assignment_expression] = STATE(12742),
    [sym_generic_function] = STATE(8070),
    [sym_call_expression] = STATE(8070),
    [sym_field_expression] = STATE(8070),
    [sym_instance_expression] = STATE(8070),
    [sym_ascription_expression] = STATE(12742),
    [sym_infix_expression] = STATE(8913),
    [sym_postfix_expression] = STATE(12343),
    [sym__postfix_expression_choice] = STATE(16230),
    [sym_macro_body] = STATE(12742),
    [sym_prefix_expression] = STATE(9970),
    [sym_tuple_expression] = STATE(8070),
    [sym_parenthesized_expression] = STATE(8070),
    [sym_splice_expression] = STATE(8070),
    [sym_quote_expression] = STATE(8070),
    [sym_identifier] = STATE(6168),
    [sym__soft_identifier] = STATE(5234),
    [sym_wildcard] = STATE(8792),
    [sym__non_null_literal] = STATE(8070),
    [sym_boolean_literal] = STATE(8055),
    [sym_interpolated_string_expression] = STATE(8070),
    [sym_string] = STATE(8055),
    [sym_unit] = STATE(8070),
    [sym_return_expression] = STATE(12742),
    [sym_throw_expression] = STATE(12742),
    [sym_while_expression] = STATE(12742),
    [sym_do_while_expression] = STATE(12742),
    [sym_for_expression] = STATE(12742),
    [sym_comment] = STATE(866),
    [sym_block_comment] = STATE(866),
    [sym__alpha_identifier] = ACTIONS(1314),
    [anon_sym_LBRACE] = ACTIONS(1318),
    [anon_sym__] = ACTIONS(1320),
    [anon_sym_PLUS] = ACTIONS(1322),
    [anon_sym_DASH] = ACTIONS(1322),
    [anon_sym_end] = ACTIONS(1324),
    [anon_sym_if] = ACTIONS(2142),
    [anon_sym_while] = ACTIONS(2144),
    [anon_sym_for] = ACTIONS(2146),
    [anon_sym_try] = ACTIONS(2148),
    [anon_sym_new] = ACTIONS(1326),
    [anon_sym_opaque] = ACTIONS(1324),
    [anon_sym_implicit] = ACTIONS(2150),
    [anon_sym_inline] = ACTIONS(1328),
    [anon_sym_infix] = ACTIONS(1324),
    [anon_sym_open] = ACTIONS(1324),
    [anon_sym_transparent] = ACTIONS(1324),
    [anon_sym_LPAREN] = ACTIONS(1330),
    [anon_sym_macro] = ACTIONS(1740),
    [anon_sym_BANG] = ACTIONS(1322),
    [anon_sym_TILDE] = ACTIONS(1322),
    [anon_sym_DOLLAR] = ACTIONS(1332),
    [anon_sym_SQUOTE] = ACTIONS(1334),
    [sym__backquoted_id] = ACTIONS(1336),
    [sym_operator_identifier] = ACTIONS(2152),
    [sym_integer_literal] = ACTIONS(1340),
    [sym_floating_point_literal] = ACTIONS(1342),
    [anon_sym_true] = ACTIONS(1344),
    [anon_sym_false] = ACTIONS(1344),
    [sym_character_literal] = ACTIONS(1342),
    [sym_null_literal] = ACTIONS(1346),
    [anon_sym_return] = ACTIONS(2154),
    [anon_sym_throw] = ACTIONS(2156),
    [anon_sym_do] = ACTIONS(1748),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2158),
    [sym__simple_multiline_string] = ACTIONS(1348),
    [sym__simple_string] = ACTIONS(1348),
  },
  [867] = {
    [sym_inline_modifier] = STATE(2132),
    [sym__indentable_expression] = STATE(13027),
    [sym_block] = STATE(6738),
    [sym_indented_block] = STATE(12372),
    [sym_indented_cases] = STATE(12372),
    [sym_expression] = STATE(12028),
    [sym__simple_expression] = STATE(6097),
    [sym_lambda_expression] = STATE(12430),
    [sym_if_expression] = STATE(12430),
    [sym_match_expression] = STATE(12430),
    [sym_try_expression] = STATE(12430),
    [sym_bindings] = STATE(15718),
    [sym_case_block] = STATE(6738),
    [sym_assignment_expression] = STATE(12430),
    [sym_generic_function] = STATE(6738),
    [sym_call_expression] = STATE(6738),
    [sym_field_expression] = STATE(6738),
    [sym_instance_expression] = STATE(6738),
    [sym_ascription_expression] = STATE(12430),
    [sym_infix_expression] = STATE(8389),
    [sym_postfix_expression] = STATE(11930),
    [sym__postfix_expression_choice] = STATE(15885),
    [sym_macro_body] = STATE(12430),
    [sym_prefix_expression] = STATE(9761),
    [sym_tuple_expression] = STATE(6738),
    [sym_parenthesized_expression] = STATE(6738),
    [sym_splice_expression] = STATE(6738),
    [sym_quote_expression] = STATE(6738),
    [sym_identifier] = STATE(5458),
    [sym__soft_identifier] = STATE(4943),
    [sym_wildcard] = STATE(8612),
    [sym__non_null_literal] = STATE(6738),
    [sym_boolean_literal] = STATE(7301),
    [sym_interpolated_string_expression] = STATE(6738),
    [sym_string] = STATE(7301),
    [sym_unit] = STATE(6738),
    [sym_return_expression] = STATE(12430),
    [sym_throw_expression] = STATE(12430),
    [sym_while_expression] = STATE(12430),
    [sym_do_while_expression] = STATE(12430),
    [sym_for_expression] = STATE(12430),
    [sym_comment] = STATE(867),
    [sym_block_comment] = STATE(867),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(2430),
    [anon_sym_while] = ACTIONS(2432),
    [anon_sym_for] = ACTIONS(2434),
    [anon_sym_try] = ACTIONS(2436),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(2438),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1360),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(2440),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(2442),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(1368),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2202),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [868] = {
    [sym_inline_modifier] = STATE(2154),
    [sym__indentable_expression] = STATE(12823),
    [sym_block] = STATE(8070),
    [sym_indented_block] = STATE(12700),
    [sym_indented_cases] = STATE(12700),
    [sym_expression] = STATE(12581),
    [sym__simple_expression] = STATE(7235),
    [sym_lambda_expression] = STATE(12742),
    [sym_if_expression] = STATE(12742),
    [sym_match_expression] = STATE(12742),
    [sym_try_expression] = STATE(12742),
    [sym_bindings] = STATE(15546),
    [sym_case_block] = STATE(8070),
    [sym_assignment_expression] = STATE(12742),
    [sym_generic_function] = STATE(8070),
    [sym_call_expression] = STATE(8070),
    [sym_field_expression] = STATE(8070),
    [sym_instance_expression] = STATE(8070),
    [sym_ascription_expression] = STATE(12742),
    [sym_infix_expression] = STATE(8913),
    [sym_postfix_expression] = STATE(12343),
    [sym__postfix_expression_choice] = STATE(16230),
    [sym_macro_body] = STATE(12742),
    [sym_prefix_expression] = STATE(9970),
    [sym_tuple_expression] = STATE(8070),
    [sym_parenthesized_expression] = STATE(8070),
    [sym_splice_expression] = STATE(8070),
    [sym_quote_expression] = STATE(8070),
    [sym_identifier] = STATE(6168),
    [sym__soft_identifier] = STATE(5234),
    [sym_wildcard] = STATE(8792),
    [sym__non_null_literal] = STATE(8070),
    [sym_boolean_literal] = STATE(8055),
    [sym_interpolated_string_expression] = STATE(8070),
    [sym_string] = STATE(8055),
    [sym_unit] = STATE(8070),
    [sym_return_expression] = STATE(12742),
    [sym_throw_expression] = STATE(12742),
    [sym_while_expression] = STATE(12742),
    [sym_do_while_expression] = STATE(12742),
    [sym_for_expression] = STATE(12742),
    [sym_comment] = STATE(868),
    [sym_block_comment] = STATE(868),
    [sym__alpha_identifier] = ACTIONS(1314),
    [anon_sym_LBRACE] = ACTIONS(1318),
    [anon_sym__] = ACTIONS(1320),
    [anon_sym_PLUS] = ACTIONS(1322),
    [anon_sym_DASH] = ACTIONS(1322),
    [anon_sym_end] = ACTIONS(1324),
    [anon_sym_if] = ACTIONS(2142),
    [anon_sym_while] = ACTIONS(2144),
    [anon_sym_for] = ACTIONS(2146),
    [anon_sym_try] = ACTIONS(2148),
    [anon_sym_new] = ACTIONS(1326),
    [anon_sym_opaque] = ACTIONS(1324),
    [anon_sym_implicit] = ACTIONS(2150),
    [anon_sym_inline] = ACTIONS(1328),
    [anon_sym_infix] = ACTIONS(1324),
    [anon_sym_open] = ACTIONS(1324),
    [anon_sym_transparent] = ACTIONS(1324),
    [anon_sym_LPAREN] = ACTIONS(1330),
    [anon_sym_macro] = ACTIONS(1740),
    [anon_sym_BANG] = ACTIONS(1322),
    [anon_sym_TILDE] = ACTIONS(1322),
    [anon_sym_DOLLAR] = ACTIONS(1332),
    [anon_sym_SQUOTE] = ACTIONS(1334),
    [sym__backquoted_id] = ACTIONS(1336),
    [sym_operator_identifier] = ACTIONS(2152),
    [sym_integer_literal] = ACTIONS(1340),
    [sym_floating_point_literal] = ACTIONS(1342),
    [anon_sym_true] = ACTIONS(1344),
    [anon_sym_false] = ACTIONS(1344),
    [sym_character_literal] = ACTIONS(1342),
    [sym_null_literal] = ACTIONS(1346),
    [anon_sym_return] = ACTIONS(2154),
    [anon_sym_throw] = ACTIONS(2156),
    [anon_sym_do] = ACTIONS(1748),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2158),
    [sym__simple_multiline_string] = ACTIONS(1348),
    [sym__simple_string] = ACTIONS(1348),
  },
  [869] = {
    [sym_inline_modifier] = STATE(2335),
    [sym__indentable_expression] = STATE(11208),
    [sym_block] = STATE(5403),
    [sym_indented_block] = STATE(11085),
    [sym_indented_cases] = STATE(11085),
    [sym_expression] = STATE(11355),
    [sym__simple_expression] = STATE(4736),
    [sym_lambda_expression] = STATE(11364),
    [sym_if_expression] = STATE(11364),
    [sym_match_expression] = STATE(11364),
    [sym_try_expression] = STATE(11364),
    [sym_bindings] = STATE(15583),
    [sym_case_block] = STATE(5403),
    [sym_assignment_expression] = STATE(11364),
    [sym_generic_function] = STATE(5403),
    [sym_call_expression] = STATE(5403),
    [sym_field_expression] = STATE(5403),
    [sym_instance_expression] = STATE(5403),
    [sym_ascription_expression] = STATE(11364),
    [sym_infix_expression] = STATE(6806),
    [sym_postfix_expression] = STATE(10789),
    [sym__postfix_expression_choice] = STATE(15797),
    [sym_macro_body] = STATE(11364),
    [sym_prefix_expression] = STATE(8627),
    [sym_tuple_expression] = STATE(5403),
    [sym_parenthesized_expression] = STATE(5403),
    [sym_splice_expression] = STATE(5403),
    [sym_quote_expression] = STATE(5403),
    [sym_identifier] = STATE(4558),
    [sym__soft_identifier] = STATE(4455),
    [sym_wildcard] = STATE(6107),
    [sym__non_null_literal] = STATE(5403),
    [sym_boolean_literal] = STATE(5637),
    [sym_interpolated_string_expression] = STATE(5403),
    [sym_string] = STATE(5637),
    [sym_unit] = STATE(5403),
    [sym_return_expression] = STATE(11364),
    [sym_throw_expression] = STATE(11364),
    [sym_while_expression] = STATE(11364),
    [sym_do_while_expression] = STATE(11364),
    [sym_for_expression] = STATE(11364),
    [sym_comment] = STATE(869),
    [sym_block_comment] = STATE(869),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(2288),
    [anon_sym_while] = ACTIONS(1750),
    [anon_sym_for] = ACTIONS(1752),
    [anon_sym_try] = ACTIONS(1754),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1756),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1162),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1758),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1760),
    [anon_sym_throw] = ACTIONS(1762),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2282),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [870] = {
    [sym_inline_modifier] = STATE(2067),
    [sym__indentable_expression] = STATE(12289),
    [sym_block] = STATE(10133),
    [sym_indented_block] = STATE(12292),
    [sym_indented_cases] = STATE(12292),
    [sym_expression] = STATE(13765),
    [sym__simple_expression] = STATE(7525),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15728),
    [sym_case_block] = STATE(10133),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(10133),
    [sym_call_expression] = STATE(10133),
    [sym_field_expression] = STATE(10133),
    [sym_instance_expression] = STATE(10133),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(10489),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(17114),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10321),
    [sym_tuple_expression] = STATE(10133),
    [sym_parenthesized_expression] = STATE(10133),
    [sym_splice_expression] = STATE(10133),
    [sym_quote_expression] = STATE(10133),
    [sym_identifier] = STATE(7070),
    [sym__soft_identifier] = STATE(4482),
    [sym_wildcard] = STATE(9321),
    [sym__non_null_literal] = STATE(10133),
    [sym_boolean_literal] = STATE(7065),
    [sym_interpolated_string_expression] = STATE(10133),
    [sym_string] = STATE(7065),
    [sym_unit] = STATE(10133),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(870),
    [sym_block_comment] = STATE(870),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_end] = ACTIONS(2374),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_opaque] = ACTIONS(2374),
    [anon_sym_implicit] = ACTIONS(3002),
    [anon_sym_inline] = ACTIONS(67),
    [anon_sym_infix] = ACTIONS(2374),
    [anon_sym_open] = ACTIONS(2374),
    [anon_sym_transparent] = ACTIONS(2374),
    [anon_sym_LPAREN] = ACTIONS(75),
    [anon_sym_macro] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(83),
    [sym_operator_identifier] = ACTIONS(85),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(95),
    [anon_sym_throw] = ACTIONS(97),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [871] = {
    [sym_inline_modifier] = STATE(2118),
    [sym__indentable_expression] = STATE(11208),
    [sym_block] = STATE(5403),
    [sym_indented_block] = STATE(11085),
    [sym_indented_cases] = STATE(11085),
    [sym_expression] = STATE(11355),
    [sym__simple_expression] = STATE(5051),
    [sym_lambda_expression] = STATE(11364),
    [sym_if_expression] = STATE(11364),
    [sym_match_expression] = STATE(11364),
    [sym_try_expression] = STATE(11364),
    [sym_bindings] = STATE(15597),
    [sym_case_block] = STATE(5403),
    [sym_assignment_expression] = STATE(11364),
    [sym_generic_function] = STATE(5403),
    [sym_call_expression] = STATE(5403),
    [sym_field_expression] = STATE(5403),
    [sym_instance_expression] = STATE(5403),
    [sym_ascription_expression] = STATE(11364),
    [sym_infix_expression] = STATE(6806),
    [sym_postfix_expression] = STATE(10789),
    [sym__postfix_expression_choice] = STATE(15797),
    [sym_macro_body] = STATE(11364),
    [sym_prefix_expression] = STATE(8869),
    [sym_tuple_expression] = STATE(5403),
    [sym_parenthesized_expression] = STATE(5403),
    [sym_splice_expression] = STATE(5403),
    [sym_quote_expression] = STATE(5403),
    [sym_identifier] = STATE(4686),
    [sym__soft_identifier] = STATE(4455),
    [sym_wildcard] = STATE(7015),
    [sym__non_null_literal] = STATE(5403),
    [sym_boolean_literal] = STATE(5637),
    [sym_interpolated_string_expression] = STATE(5403),
    [sym_string] = STATE(5637),
    [sym_unit] = STATE(5403),
    [sym_return_expression] = STATE(11364),
    [sym_throw_expression] = STATE(11364),
    [sym_while_expression] = STATE(11364),
    [sym_do_while_expression] = STATE(11364),
    [sym_for_expression] = STATE(11364),
    [sym_comment] = STATE(871),
    [sym_block_comment] = STATE(871),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(1152),
    [anon_sym_while] = ACTIONS(1154),
    [anon_sym_for] = ACTIONS(1156),
    [anon_sym_try] = ACTIONS(1158),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1160),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1162),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1164),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1166),
    [anon_sym_throw] = ACTIONS(1168),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2282),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [872] = {
    [sym_inline_modifier] = STATE(2335),
    [sym__indentable_expression] = STATE(11206),
    [sym_block] = STATE(5403),
    [sym_indented_block] = STATE(11085),
    [sym_indented_cases] = STATE(11085),
    [sym_expression] = STATE(11355),
    [sym__simple_expression] = STATE(4736),
    [sym_lambda_expression] = STATE(11364),
    [sym_if_expression] = STATE(11364),
    [sym_match_expression] = STATE(11364),
    [sym_try_expression] = STATE(11364),
    [sym_bindings] = STATE(15583),
    [sym_case_block] = STATE(5403),
    [sym_assignment_expression] = STATE(11364),
    [sym_generic_function] = STATE(5403),
    [sym_call_expression] = STATE(5403),
    [sym_field_expression] = STATE(5403),
    [sym_instance_expression] = STATE(5403),
    [sym_ascription_expression] = STATE(11364),
    [sym_infix_expression] = STATE(6806),
    [sym_postfix_expression] = STATE(10789),
    [sym__postfix_expression_choice] = STATE(15797),
    [sym_macro_body] = STATE(11364),
    [sym_prefix_expression] = STATE(8627),
    [sym_tuple_expression] = STATE(5403),
    [sym_parenthesized_expression] = STATE(5403),
    [sym_splice_expression] = STATE(5403),
    [sym_quote_expression] = STATE(5403),
    [sym_identifier] = STATE(4558),
    [sym__soft_identifier] = STATE(4455),
    [sym_wildcard] = STATE(6107),
    [sym__non_null_literal] = STATE(5403),
    [sym_boolean_literal] = STATE(5637),
    [sym_interpolated_string_expression] = STATE(5403),
    [sym_string] = STATE(5637),
    [sym_unit] = STATE(5403),
    [sym_return_expression] = STATE(11364),
    [sym_throw_expression] = STATE(11364),
    [sym_while_expression] = STATE(11364),
    [sym_do_while_expression] = STATE(11364),
    [sym_for_expression] = STATE(11364),
    [sym_comment] = STATE(872),
    [sym_block_comment] = STATE(872),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(2288),
    [anon_sym_while] = ACTIONS(1750),
    [anon_sym_for] = ACTIONS(1752),
    [anon_sym_try] = ACTIONS(1754),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1756),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1162),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1758),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1760),
    [anon_sym_throw] = ACTIONS(1762),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2282),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [873] = {
    [sym_inline_modifier] = STATE(2335),
    [sym__indentable_expression] = STATE(11205),
    [sym_block] = STATE(5403),
    [sym_indented_block] = STATE(11085),
    [sym_indented_cases] = STATE(11085),
    [sym_expression] = STATE(11355),
    [sym__simple_expression] = STATE(4736),
    [sym_lambda_expression] = STATE(11364),
    [sym_if_expression] = STATE(11364),
    [sym_match_expression] = STATE(11364),
    [sym_try_expression] = STATE(11364),
    [sym_bindings] = STATE(15583),
    [sym_case_block] = STATE(5403),
    [sym_assignment_expression] = STATE(11364),
    [sym_generic_function] = STATE(5403),
    [sym_call_expression] = STATE(5403),
    [sym_field_expression] = STATE(5403),
    [sym_instance_expression] = STATE(5403),
    [sym_ascription_expression] = STATE(11364),
    [sym_infix_expression] = STATE(6806),
    [sym_postfix_expression] = STATE(10789),
    [sym__postfix_expression_choice] = STATE(15797),
    [sym_macro_body] = STATE(11364),
    [sym_prefix_expression] = STATE(8627),
    [sym_tuple_expression] = STATE(5403),
    [sym_parenthesized_expression] = STATE(5403),
    [sym_splice_expression] = STATE(5403),
    [sym_quote_expression] = STATE(5403),
    [sym_identifier] = STATE(4558),
    [sym__soft_identifier] = STATE(4455),
    [sym_wildcard] = STATE(6107),
    [sym__non_null_literal] = STATE(5403),
    [sym_boolean_literal] = STATE(5637),
    [sym_interpolated_string_expression] = STATE(5403),
    [sym_string] = STATE(5637),
    [sym_unit] = STATE(5403),
    [sym_return_expression] = STATE(11364),
    [sym_throw_expression] = STATE(11364),
    [sym_while_expression] = STATE(11364),
    [sym_do_while_expression] = STATE(11364),
    [sym_for_expression] = STATE(11364),
    [sym_comment] = STATE(873),
    [sym_block_comment] = STATE(873),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(2288),
    [anon_sym_while] = ACTIONS(1750),
    [anon_sym_for] = ACTIONS(1752),
    [anon_sym_try] = ACTIONS(1754),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1756),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1162),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1758),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1760),
    [anon_sym_throw] = ACTIONS(1762),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2282),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [874] = {
    [sym_inline_modifier] = STATE(2067),
    [sym__indentable_expression] = STATE(12291),
    [sym_block] = STATE(10133),
    [sym_indented_block] = STATE(12292),
    [sym_indented_cases] = STATE(12292),
    [sym_expression] = STATE(13765),
    [sym__simple_expression] = STATE(7525),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15728),
    [sym_case_block] = STATE(10133),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(10133),
    [sym_call_expression] = STATE(10133),
    [sym_field_expression] = STATE(10133),
    [sym_instance_expression] = STATE(10133),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(10489),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(17114),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10321),
    [sym_tuple_expression] = STATE(10133),
    [sym_parenthesized_expression] = STATE(10133),
    [sym_splice_expression] = STATE(10133),
    [sym_quote_expression] = STATE(10133),
    [sym_identifier] = STATE(7070),
    [sym__soft_identifier] = STATE(4482),
    [sym_wildcard] = STATE(9321),
    [sym__non_null_literal] = STATE(10133),
    [sym_boolean_literal] = STATE(7065),
    [sym_interpolated_string_expression] = STATE(10133),
    [sym_string] = STATE(7065),
    [sym_unit] = STATE(10133),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(874),
    [sym_block_comment] = STATE(874),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_end] = ACTIONS(2374),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_opaque] = ACTIONS(2374),
    [anon_sym_implicit] = ACTIONS(3002),
    [anon_sym_inline] = ACTIONS(67),
    [anon_sym_infix] = ACTIONS(2374),
    [anon_sym_open] = ACTIONS(2374),
    [anon_sym_transparent] = ACTIONS(2374),
    [anon_sym_LPAREN] = ACTIONS(75),
    [anon_sym_macro] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(83),
    [sym_operator_identifier] = ACTIONS(85),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(95),
    [anon_sym_throw] = ACTIONS(97),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [875] = {
    [sym_inline_modifier] = STATE(2262),
    [sym__indentable_expression] = STATE(11551),
    [sym_block] = STATE(6540),
    [sym_indented_block] = STATE(11390),
    [sym_indented_cases] = STATE(11390),
    [sym_expression] = STATE(11385),
    [sym__simple_expression] = STATE(5817),
    [sym_lambda_expression] = STATE(11374),
    [sym_if_expression] = STATE(11374),
    [sym_match_expression] = STATE(11374),
    [sym_try_expression] = STATE(11374),
    [sym_bindings] = STATE(15530),
    [sym_case_block] = STATE(6540),
    [sym_assignment_expression] = STATE(11374),
    [sym_generic_function] = STATE(6540),
    [sym_call_expression] = STATE(6540),
    [sym_field_expression] = STATE(6540),
    [sym_instance_expression] = STATE(6540),
    [sym_ascription_expression] = STATE(11374),
    [sym_infix_expression] = STATE(7834),
    [sym_postfix_expression] = STATE(11215),
    [sym__postfix_expression_choice] = STATE(16210),
    [sym_macro_body] = STATE(11374),
    [sym_prefix_expression] = STATE(9262),
    [sym_tuple_expression] = STATE(6540),
    [sym_parenthesized_expression] = STATE(6540),
    [sym_splice_expression] = STATE(6540),
    [sym_quote_expression] = STATE(6540),
    [sym_identifier] = STATE(5031),
    [sym__soft_identifier] = STATE(4667),
    [sym_wildcard] = STATE(7986),
    [sym__non_null_literal] = STATE(6540),
    [sym_boolean_literal] = STATE(6246),
    [sym_interpolated_string_expression] = STATE(6540),
    [sym_string] = STATE(6246),
    [sym_unit] = STATE(6540),
    [sym_return_expression] = STATE(11374),
    [sym_throw_expression] = STATE(11374),
    [sym_while_expression] = STATE(11374),
    [sym_do_while_expression] = STATE(11374),
    [sym_for_expression] = STATE(11374),
    [sym_comment] = STATE(875),
    [sym_block_comment] = STATE(875),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(1530),
    [anon_sym_while] = ACTIONS(1532),
    [anon_sym_for] = ACTIONS(1534),
    [anon_sym_try] = ACTIONS(1536),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1538),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1540),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1542),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1544),
    [anon_sym_throw] = ACTIONS(1546),
    [anon_sym_do] = ACTIONS(1548),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2240),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [876] = {
    [sym_inline_modifier] = STATE(2335),
    [sym__indentable_expression] = STATE(11202),
    [sym_block] = STATE(5403),
    [sym_indented_block] = STATE(11085),
    [sym_indented_cases] = STATE(11085),
    [sym_expression] = STATE(11355),
    [sym__simple_expression] = STATE(4736),
    [sym_lambda_expression] = STATE(11364),
    [sym_if_expression] = STATE(11364),
    [sym_match_expression] = STATE(11364),
    [sym_try_expression] = STATE(11364),
    [sym_bindings] = STATE(15583),
    [sym_case_block] = STATE(5403),
    [sym_assignment_expression] = STATE(11364),
    [sym_generic_function] = STATE(5403),
    [sym_call_expression] = STATE(5403),
    [sym_field_expression] = STATE(5403),
    [sym_instance_expression] = STATE(5403),
    [sym_ascription_expression] = STATE(11364),
    [sym_infix_expression] = STATE(6806),
    [sym_postfix_expression] = STATE(10789),
    [sym__postfix_expression_choice] = STATE(15797),
    [sym_macro_body] = STATE(11364),
    [sym_prefix_expression] = STATE(8627),
    [sym_tuple_expression] = STATE(5403),
    [sym_parenthesized_expression] = STATE(5403),
    [sym_splice_expression] = STATE(5403),
    [sym_quote_expression] = STATE(5403),
    [sym_identifier] = STATE(4558),
    [sym__soft_identifier] = STATE(4455),
    [sym_wildcard] = STATE(6107),
    [sym__non_null_literal] = STATE(5403),
    [sym_boolean_literal] = STATE(5637),
    [sym_interpolated_string_expression] = STATE(5403),
    [sym_string] = STATE(5637),
    [sym_unit] = STATE(5403),
    [sym_return_expression] = STATE(11364),
    [sym_throw_expression] = STATE(11364),
    [sym_while_expression] = STATE(11364),
    [sym_do_while_expression] = STATE(11364),
    [sym_for_expression] = STATE(11364),
    [sym_comment] = STATE(876),
    [sym_block_comment] = STATE(876),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(2288),
    [anon_sym_while] = ACTIONS(1750),
    [anon_sym_for] = ACTIONS(1752),
    [anon_sym_try] = ACTIONS(1754),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1756),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1162),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1758),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1760),
    [anon_sym_throw] = ACTIONS(1762),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2282),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [877] = {
    [sym_inline_modifier] = STATE(2118),
    [sym__indentable_expression] = STATE(11205),
    [sym_block] = STATE(5403),
    [sym_indented_block] = STATE(11085),
    [sym_indented_cases] = STATE(11085),
    [sym_expression] = STATE(11355),
    [sym__simple_expression] = STATE(5051),
    [sym_lambda_expression] = STATE(11364),
    [sym_if_expression] = STATE(11364),
    [sym_match_expression] = STATE(11364),
    [sym_try_expression] = STATE(11364),
    [sym_bindings] = STATE(15597),
    [sym_case_block] = STATE(5403),
    [sym_assignment_expression] = STATE(11364),
    [sym_generic_function] = STATE(5403),
    [sym_call_expression] = STATE(5403),
    [sym_field_expression] = STATE(5403),
    [sym_instance_expression] = STATE(5403),
    [sym_ascription_expression] = STATE(11364),
    [sym_infix_expression] = STATE(6806),
    [sym_postfix_expression] = STATE(10789),
    [sym__postfix_expression_choice] = STATE(15797),
    [sym_macro_body] = STATE(11364),
    [sym_prefix_expression] = STATE(8869),
    [sym_tuple_expression] = STATE(5403),
    [sym_parenthesized_expression] = STATE(5403),
    [sym_splice_expression] = STATE(5403),
    [sym_quote_expression] = STATE(5403),
    [sym_identifier] = STATE(4686),
    [sym__soft_identifier] = STATE(4455),
    [sym_wildcard] = STATE(7015),
    [sym__non_null_literal] = STATE(5403),
    [sym_boolean_literal] = STATE(5637),
    [sym_interpolated_string_expression] = STATE(5403),
    [sym_string] = STATE(5637),
    [sym_unit] = STATE(5403),
    [sym_return_expression] = STATE(11364),
    [sym_throw_expression] = STATE(11364),
    [sym_while_expression] = STATE(11364),
    [sym_do_while_expression] = STATE(11364),
    [sym_for_expression] = STATE(11364),
    [sym_comment] = STATE(877),
    [sym_block_comment] = STATE(877),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(1152),
    [anon_sym_while] = ACTIONS(1154),
    [anon_sym_for] = ACTIONS(1156),
    [anon_sym_try] = ACTIONS(1158),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1160),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1162),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1164),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1166),
    [anon_sym_throw] = ACTIONS(1168),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2282),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [878] = {
    [sym_inline_modifier] = STATE(2125),
    [sym__indentable_expression] = STATE(13090),
    [sym_block] = STATE(6738),
    [sym_indented_block] = STATE(12372),
    [sym_indented_cases] = STATE(12372),
    [sym_expression] = STATE(12028),
    [sym__simple_expression] = STATE(5176),
    [sym_lambda_expression] = STATE(12430),
    [sym_if_expression] = STATE(12430),
    [sym_match_expression] = STATE(12430),
    [sym_try_expression] = STATE(12430),
    [sym_bindings] = STATE(15677),
    [sym_case_block] = STATE(6738),
    [sym_assignment_expression] = STATE(12430),
    [sym_generic_function] = STATE(6738),
    [sym_call_expression] = STATE(6738),
    [sym_field_expression] = STATE(6738),
    [sym_instance_expression] = STATE(6738),
    [sym_ascription_expression] = STATE(12430),
    [sym_infix_expression] = STATE(8389),
    [sym_postfix_expression] = STATE(11930),
    [sym__postfix_expression_choice] = STATE(15885),
    [sym_macro_body] = STATE(12430),
    [sym_prefix_expression] = STATE(9115),
    [sym_tuple_expression] = STATE(6738),
    [sym_parenthesized_expression] = STATE(6738),
    [sym_splice_expression] = STATE(6738),
    [sym_quote_expression] = STATE(6738),
    [sym_identifier] = STATE(4951),
    [sym__soft_identifier] = STATE(4943),
    [sym_wildcard] = STATE(7114),
    [sym__non_null_literal] = STATE(6738),
    [sym_boolean_literal] = STATE(7301),
    [sym_interpolated_string_expression] = STATE(6738),
    [sym_string] = STATE(7301),
    [sym_unit] = STATE(6738),
    [sym_return_expression] = STATE(12430),
    [sym_throw_expression] = STATE(12430),
    [sym_while_expression] = STATE(12430),
    [sym_do_while_expression] = STATE(12430),
    [sym_for_expression] = STATE(12430),
    [sym_comment] = STATE(878),
    [sym_block_comment] = STATE(878),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(1350),
    [anon_sym_while] = ACTIONS(1352),
    [anon_sym_for] = ACTIONS(1354),
    [anon_sym_try] = ACTIONS(1356),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(1358),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1360),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(1362),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(1364),
    [anon_sym_throw] = ACTIONS(1366),
    [anon_sym_do] = ACTIONS(1368),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2202),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [879] = {
    [sym_inline_modifier] = STATE(2115),
    [sym__indentable_expression] = STATE(13960),
    [sym_block] = STATE(8041),
    [sym_indented_block] = STATE(12292),
    [sym_indented_cases] = STATE(12292),
    [sym_expression] = STATE(12256),
    [sym__simple_expression] = STATE(7311),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15577),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(10220),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10124),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6254),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(8727),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(879),
    [sym_block_comment] = STATE(879),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(603),
    [anon_sym_DASH] = ACTIONS(603),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(605),
    [anon_sym_while] = ACTIONS(607),
    [anon_sym_for] = ACTIONS(609),
    [anon_sym_try] = ACTIONS(611),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2192),
    [anon_sym_inline] = ACTIONS(1764),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(603),
    [anon_sym_TILDE] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(621),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(623),
    [anon_sym_throw] = ACTIONS(625),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [880] = {
    [sym_inline_modifier] = STATE(2154),
    [sym__indentable_expression] = STATE(12775),
    [sym_block] = STATE(8070),
    [sym_indented_block] = STATE(12700),
    [sym_indented_cases] = STATE(12700),
    [sym_expression] = STATE(12581),
    [sym__simple_expression] = STATE(7235),
    [sym_lambda_expression] = STATE(12742),
    [sym_if_expression] = STATE(12742),
    [sym_match_expression] = STATE(12742),
    [sym_try_expression] = STATE(12742),
    [sym_bindings] = STATE(15546),
    [sym_case_block] = STATE(8070),
    [sym_assignment_expression] = STATE(12742),
    [sym_generic_function] = STATE(8070),
    [sym_call_expression] = STATE(8070),
    [sym_field_expression] = STATE(8070),
    [sym_instance_expression] = STATE(8070),
    [sym_ascription_expression] = STATE(12742),
    [sym_infix_expression] = STATE(8913),
    [sym_postfix_expression] = STATE(12343),
    [sym__postfix_expression_choice] = STATE(16230),
    [sym_macro_body] = STATE(12742),
    [sym_prefix_expression] = STATE(9970),
    [sym_tuple_expression] = STATE(8070),
    [sym_parenthesized_expression] = STATE(8070),
    [sym_splice_expression] = STATE(8070),
    [sym_quote_expression] = STATE(8070),
    [sym_identifier] = STATE(6168),
    [sym__soft_identifier] = STATE(5234),
    [sym_wildcard] = STATE(8792),
    [sym__non_null_literal] = STATE(8070),
    [sym_boolean_literal] = STATE(8055),
    [sym_interpolated_string_expression] = STATE(8070),
    [sym_string] = STATE(8055),
    [sym_unit] = STATE(8070),
    [sym_return_expression] = STATE(12742),
    [sym_throw_expression] = STATE(12742),
    [sym_while_expression] = STATE(12742),
    [sym_do_while_expression] = STATE(12742),
    [sym_for_expression] = STATE(12742),
    [sym_comment] = STATE(880),
    [sym_block_comment] = STATE(880),
    [sym__alpha_identifier] = ACTIONS(1314),
    [anon_sym_LBRACE] = ACTIONS(1318),
    [anon_sym__] = ACTIONS(1320),
    [anon_sym_PLUS] = ACTIONS(1322),
    [anon_sym_DASH] = ACTIONS(1322),
    [anon_sym_end] = ACTIONS(1324),
    [anon_sym_if] = ACTIONS(2142),
    [anon_sym_while] = ACTIONS(2144),
    [anon_sym_for] = ACTIONS(2146),
    [anon_sym_try] = ACTIONS(2148),
    [anon_sym_new] = ACTIONS(1326),
    [anon_sym_opaque] = ACTIONS(1324),
    [anon_sym_implicit] = ACTIONS(2150),
    [anon_sym_inline] = ACTIONS(1328),
    [anon_sym_infix] = ACTIONS(1324),
    [anon_sym_open] = ACTIONS(1324),
    [anon_sym_transparent] = ACTIONS(1324),
    [anon_sym_LPAREN] = ACTIONS(1330),
    [anon_sym_macro] = ACTIONS(1740),
    [anon_sym_BANG] = ACTIONS(1322),
    [anon_sym_TILDE] = ACTIONS(1322),
    [anon_sym_DOLLAR] = ACTIONS(1332),
    [anon_sym_SQUOTE] = ACTIONS(1334),
    [sym__backquoted_id] = ACTIONS(1336),
    [sym_operator_identifier] = ACTIONS(2152),
    [sym_integer_literal] = ACTIONS(1340),
    [sym_floating_point_literal] = ACTIONS(1342),
    [anon_sym_true] = ACTIONS(1344),
    [anon_sym_false] = ACTIONS(1344),
    [sym_character_literal] = ACTIONS(1342),
    [sym_null_literal] = ACTIONS(1346),
    [anon_sym_return] = ACTIONS(2154),
    [anon_sym_throw] = ACTIONS(2156),
    [anon_sym_do] = ACTIONS(1748),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2158),
    [sym__simple_multiline_string] = ACTIONS(1348),
    [sym__simple_string] = ACTIONS(1348),
  },
  [881] = {
    [sym_inline_modifier] = STATE(2323),
    [sym__indentable_expression] = STATE(13375),
    [sym_block] = STATE(6954),
    [sym_indented_block] = STATE(11923),
    [sym_indented_cases] = STATE(11923),
    [sym_expression] = STATE(12206),
    [sym__simple_expression] = STATE(5520),
    [sym_lambda_expression] = STATE(12144),
    [sym_if_expression] = STATE(12144),
    [sym_match_expression] = STATE(12144),
    [sym_try_expression] = STATE(12144),
    [sym_bindings] = STATE(15572),
    [sym_case_block] = STATE(6954),
    [sym_assignment_expression] = STATE(12144),
    [sym_generic_function] = STATE(6954),
    [sym_call_expression] = STATE(6954),
    [sym_field_expression] = STATE(6954),
    [sym_instance_expression] = STATE(6954),
    [sym_ascription_expression] = STATE(12144),
    [sym_infix_expression] = STATE(8226),
    [sym_postfix_expression] = STATE(11499),
    [sym__postfix_expression_choice] = STATE(16229),
    [sym_macro_body] = STATE(12144),
    [sym_prefix_expression] = STATE(9280),
    [sym_tuple_expression] = STATE(6954),
    [sym_parenthesized_expression] = STATE(6954),
    [sym_splice_expression] = STATE(6954),
    [sym_quote_expression] = STATE(6954),
    [sym_identifier] = STATE(5300),
    [sym__soft_identifier] = STATE(4827),
    [sym_wildcard] = STATE(7542),
    [sym__non_null_literal] = STATE(6954),
    [sym_boolean_literal] = STATE(6997),
    [sym_interpolated_string_expression] = STATE(6954),
    [sym_string] = STATE(6997),
    [sym_unit] = STATE(6954),
    [sym_return_expression] = STATE(12144),
    [sym_throw_expression] = STATE(12144),
    [sym_while_expression] = STATE(12144),
    [sym_do_while_expression] = STATE(12144),
    [sym_for_expression] = STATE(12144),
    [sym_comment] = STATE(881),
    [sym_block_comment] = STATE(881),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(3235),
    [anon_sym_while] = ACTIONS(1924),
    [anon_sym_for] = ACTIONS(1926),
    [anon_sym_try] = ACTIONS(1928),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(1930),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1894),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(1932),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(1934),
    [anon_sym_throw] = ACTIONS(1936),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3280),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [882] = {
    [sym_inline_modifier] = STATE(2070),
    [sym__indentable_expression] = STATE(12737),
    [sym_block] = STATE(8360),
    [sym_indented_block] = STATE(13059),
    [sym_indented_cases] = STATE(13059),
    [sym_expression] = STATE(12867),
    [sym__simple_expression] = STATE(5615),
    [sym_lambda_expression] = STATE(13229),
    [sym_if_expression] = STATE(13229),
    [sym_match_expression] = STATE(13229),
    [sym_try_expression] = STATE(13229),
    [sym_bindings] = STATE(15528),
    [sym_case_block] = STATE(8360),
    [sym_assignment_expression] = STATE(13229),
    [sym_generic_function] = STATE(8360),
    [sym_call_expression] = STATE(8360),
    [sym_field_expression] = STATE(8360),
    [sym_instance_expression] = STATE(8360),
    [sym_ascription_expression] = STATE(13229),
    [sym_infix_expression] = STATE(9581),
    [sym_postfix_expression] = STATE(12866),
    [sym__postfix_expression_choice] = STATE(15971),
    [sym_macro_body] = STATE(13229),
    [sym_prefix_expression] = STATE(9582),
    [sym_tuple_expression] = STATE(8360),
    [sym_parenthesized_expression] = STATE(8360),
    [sym_splice_expression] = STATE(8360),
    [sym_quote_expression] = STATE(8360),
    [sym_identifier] = STATE(5263),
    [sym__soft_identifier] = STATE(5563),
    [sym_wildcard] = STATE(7408),
    [sym__non_null_literal] = STATE(8360),
    [sym_boolean_literal] = STATE(8269),
    [sym_interpolated_string_expression] = STATE(8360),
    [sym_string] = STATE(8269),
    [sym_unit] = STATE(8360),
    [sym_return_expression] = STATE(13229),
    [sym_throw_expression] = STATE(13229),
    [sym_while_expression] = STATE(13229),
    [sym_do_while_expression] = STATE(13229),
    [sym_for_expression] = STATE(13229),
    [sym_comment] = STATE(882),
    [sym_block_comment] = STATE(882),
    [sym__alpha_identifier] = ACTIONS(1242),
    [anon_sym_LBRACE] = ACTIONS(1246),
    [anon_sym__] = ACTIONS(1248),
    [anon_sym_PLUS] = ACTIONS(1250),
    [anon_sym_DASH] = ACTIONS(1250),
    [anon_sym_end] = ACTIONS(1252),
    [anon_sym_if] = ACTIONS(1654),
    [anon_sym_while] = ACTIONS(1656),
    [anon_sym_for] = ACTIONS(1658),
    [anon_sym_try] = ACTIONS(1660),
    [anon_sym_new] = ACTIONS(1254),
    [anon_sym_opaque] = ACTIONS(1252),
    [anon_sym_implicit] = ACTIONS(1662),
    [anon_sym_inline] = ACTIONS(1256),
    [anon_sym_infix] = ACTIONS(1252),
    [anon_sym_open] = ACTIONS(1252),
    [anon_sym_transparent] = ACTIONS(1252),
    [anon_sym_LPAREN] = ACTIONS(1258),
    [anon_sym_macro] = ACTIONS(1664),
    [anon_sym_BANG] = ACTIONS(1250),
    [anon_sym_TILDE] = ACTIONS(1250),
    [anon_sym_DOLLAR] = ACTIONS(1260),
    [anon_sym_SQUOTE] = ACTIONS(1262),
    [sym__backquoted_id] = ACTIONS(1264),
    [sym_operator_identifier] = ACTIONS(1666),
    [sym_integer_literal] = ACTIONS(1268),
    [sym_floating_point_literal] = ACTIONS(1270),
    [anon_sym_true] = ACTIONS(1272),
    [anon_sym_false] = ACTIONS(1272),
    [sym_character_literal] = ACTIONS(1270),
    [sym_null_literal] = ACTIONS(1274),
    [anon_sym_return] = ACTIONS(1668),
    [anon_sym_throw] = ACTIONS(1670),
    [anon_sym_do] = ACTIONS(1672),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2212),
    [sym__simple_multiline_string] = ACTIONS(1276),
    [sym__simple_string] = ACTIONS(1276),
  },
  [883] = {
    [sym_inline_modifier] = STATE(2114),
    [sym__indentable_expression] = STATE(13184),
    [sym_block] = STATE(8218),
    [sym_indented_block] = STATE(13075),
    [sym_indented_cases] = STATE(13075),
    [sym_expression] = STATE(12682),
    [sym__simple_expression] = STATE(7544),
    [sym_lambda_expression] = STATE(13097),
    [sym_if_expression] = STATE(13097),
    [sym_match_expression] = STATE(13097),
    [sym_try_expression] = STATE(13097),
    [sym_bindings] = STATE(15630),
    [sym_case_block] = STATE(8218),
    [sym_assignment_expression] = STATE(13097),
    [sym_generic_function] = STATE(8218),
    [sym_call_expression] = STATE(8218),
    [sym_field_expression] = STATE(8218),
    [sym_instance_expression] = STATE(8218),
    [sym_ascription_expression] = STATE(13097),
    [sym_infix_expression] = STATE(9424),
    [sym_postfix_expression] = STATE(12765),
    [sym__postfix_expression_choice] = STATE(16117),
    [sym_macro_body] = STATE(13097),
    [sym_prefix_expression] = STATE(10300),
    [sym_tuple_expression] = STATE(8218),
    [sym_parenthesized_expression] = STATE(8218),
    [sym_splice_expression] = STATE(8218),
    [sym_quote_expression] = STATE(8218),
    [sym_identifier] = STATE(7100),
    [sym__soft_identifier] = STATE(5752),
    [sym_wildcard] = STATE(9268),
    [sym__non_null_literal] = STATE(8218),
    [sym_boolean_literal] = STATE(8413),
    [sym_interpolated_string_expression] = STATE(8218),
    [sym_string] = STATE(8413),
    [sym_unit] = STATE(8218),
    [sym_return_expression] = STATE(13097),
    [sym_throw_expression] = STATE(13097),
    [sym_while_expression] = STATE(13097),
    [sym_do_while_expression] = STATE(13097),
    [sym_for_expression] = STATE(13097),
    [sym_comment] = STATE(883),
    [sym_block_comment] = STATE(883),
    [sym__alpha_identifier] = ACTIONS(1494),
    [anon_sym_LBRACE] = ACTIONS(1498),
    [anon_sym__] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1502),
    [anon_sym_end] = ACTIONS(1504),
    [anon_sym_if] = ACTIONS(2845),
    [anon_sym_while] = ACTIONS(2847),
    [anon_sym_for] = ACTIONS(2849),
    [anon_sym_try] = ACTIONS(2851),
    [anon_sym_new] = ACTIONS(1506),
    [anon_sym_opaque] = ACTIONS(1504),
    [anon_sym_implicit] = ACTIONS(2853),
    [anon_sym_inline] = ACTIONS(1508),
    [anon_sym_infix] = ACTIONS(1504),
    [anon_sym_open] = ACTIONS(1504),
    [anon_sym_transparent] = ACTIONS(1504),
    [anon_sym_LPAREN] = ACTIONS(1510),
    [anon_sym_macro] = ACTIONS(2054),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_TILDE] = ACTIONS(1502),
    [anon_sym_DOLLAR] = ACTIONS(1512),
    [anon_sym_SQUOTE] = ACTIONS(1514),
    [sym__backquoted_id] = ACTIONS(1516),
    [sym_operator_identifier] = ACTIONS(3314),
    [sym_integer_literal] = ACTIONS(1520),
    [sym_floating_point_literal] = ACTIONS(1522),
    [anon_sym_true] = ACTIONS(1524),
    [anon_sym_false] = ACTIONS(1524),
    [sym_character_literal] = ACTIONS(1522),
    [sym_null_literal] = ACTIONS(1526),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2062),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3316),
    [sym__simple_multiline_string] = ACTIONS(1528),
    [sym__simple_string] = ACTIONS(1528),
  },
  [884] = {
    [sym_inline_modifier] = STATE(2154),
    [sym__indentable_expression] = STATE(12693),
    [sym_block] = STATE(8070),
    [sym_indented_block] = STATE(12700),
    [sym_indented_cases] = STATE(12700),
    [sym_expression] = STATE(12581),
    [sym__simple_expression] = STATE(7235),
    [sym_lambda_expression] = STATE(12742),
    [sym_if_expression] = STATE(12742),
    [sym_match_expression] = STATE(12742),
    [sym_try_expression] = STATE(12742),
    [sym_bindings] = STATE(15546),
    [sym_case_block] = STATE(8070),
    [sym_assignment_expression] = STATE(12742),
    [sym_generic_function] = STATE(8070),
    [sym_call_expression] = STATE(8070),
    [sym_field_expression] = STATE(8070),
    [sym_instance_expression] = STATE(8070),
    [sym_ascription_expression] = STATE(12742),
    [sym_infix_expression] = STATE(8913),
    [sym_postfix_expression] = STATE(12343),
    [sym__postfix_expression_choice] = STATE(16230),
    [sym_macro_body] = STATE(12742),
    [sym_prefix_expression] = STATE(9970),
    [sym_tuple_expression] = STATE(8070),
    [sym_parenthesized_expression] = STATE(8070),
    [sym_splice_expression] = STATE(8070),
    [sym_quote_expression] = STATE(8070),
    [sym_identifier] = STATE(6168),
    [sym__soft_identifier] = STATE(5234),
    [sym_wildcard] = STATE(8792),
    [sym__non_null_literal] = STATE(8070),
    [sym_boolean_literal] = STATE(8055),
    [sym_interpolated_string_expression] = STATE(8070),
    [sym_string] = STATE(8055),
    [sym_unit] = STATE(8070),
    [sym_return_expression] = STATE(12742),
    [sym_throw_expression] = STATE(12742),
    [sym_while_expression] = STATE(12742),
    [sym_do_while_expression] = STATE(12742),
    [sym_for_expression] = STATE(12742),
    [sym_comment] = STATE(884),
    [sym_block_comment] = STATE(884),
    [sym__alpha_identifier] = ACTIONS(1314),
    [anon_sym_LBRACE] = ACTIONS(1318),
    [anon_sym__] = ACTIONS(1320),
    [anon_sym_PLUS] = ACTIONS(1322),
    [anon_sym_DASH] = ACTIONS(1322),
    [anon_sym_end] = ACTIONS(1324),
    [anon_sym_if] = ACTIONS(2142),
    [anon_sym_while] = ACTIONS(2144),
    [anon_sym_for] = ACTIONS(2146),
    [anon_sym_try] = ACTIONS(2148),
    [anon_sym_new] = ACTIONS(1326),
    [anon_sym_opaque] = ACTIONS(1324),
    [anon_sym_implicit] = ACTIONS(2150),
    [anon_sym_inline] = ACTIONS(1328),
    [anon_sym_infix] = ACTIONS(1324),
    [anon_sym_open] = ACTIONS(1324),
    [anon_sym_transparent] = ACTIONS(1324),
    [anon_sym_LPAREN] = ACTIONS(1330),
    [anon_sym_macro] = ACTIONS(1740),
    [anon_sym_BANG] = ACTIONS(1322),
    [anon_sym_TILDE] = ACTIONS(1322),
    [anon_sym_DOLLAR] = ACTIONS(1332),
    [anon_sym_SQUOTE] = ACTIONS(1334),
    [sym__backquoted_id] = ACTIONS(1336),
    [sym_operator_identifier] = ACTIONS(2152),
    [sym_integer_literal] = ACTIONS(1340),
    [sym_floating_point_literal] = ACTIONS(1342),
    [anon_sym_true] = ACTIONS(1344),
    [anon_sym_false] = ACTIONS(1344),
    [sym_character_literal] = ACTIONS(1342),
    [sym_null_literal] = ACTIONS(1346),
    [anon_sym_return] = ACTIONS(2154),
    [anon_sym_throw] = ACTIONS(2156),
    [anon_sym_do] = ACTIONS(1748),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2158),
    [sym__simple_multiline_string] = ACTIONS(1348),
    [sym__simple_string] = ACTIONS(1348),
  },
  [885] = {
    [sym_inline_modifier] = STATE(2114),
    [sym__indentable_expression] = STATE(13174),
    [sym_block] = STATE(8218),
    [sym_indented_block] = STATE(13075),
    [sym_indented_cases] = STATE(13075),
    [sym_expression] = STATE(12682),
    [sym__simple_expression] = STATE(7544),
    [sym_lambda_expression] = STATE(13097),
    [sym_if_expression] = STATE(13097),
    [sym_match_expression] = STATE(13097),
    [sym_try_expression] = STATE(13097),
    [sym_bindings] = STATE(15630),
    [sym_case_block] = STATE(8218),
    [sym_assignment_expression] = STATE(13097),
    [sym_generic_function] = STATE(8218),
    [sym_call_expression] = STATE(8218),
    [sym_field_expression] = STATE(8218),
    [sym_instance_expression] = STATE(8218),
    [sym_ascription_expression] = STATE(13097),
    [sym_infix_expression] = STATE(9424),
    [sym_postfix_expression] = STATE(12765),
    [sym__postfix_expression_choice] = STATE(16117),
    [sym_macro_body] = STATE(13097),
    [sym_prefix_expression] = STATE(10300),
    [sym_tuple_expression] = STATE(8218),
    [sym_parenthesized_expression] = STATE(8218),
    [sym_splice_expression] = STATE(8218),
    [sym_quote_expression] = STATE(8218),
    [sym_identifier] = STATE(7100),
    [sym__soft_identifier] = STATE(5752),
    [sym_wildcard] = STATE(9268),
    [sym__non_null_literal] = STATE(8218),
    [sym_boolean_literal] = STATE(8413),
    [sym_interpolated_string_expression] = STATE(8218),
    [sym_string] = STATE(8413),
    [sym_unit] = STATE(8218),
    [sym_return_expression] = STATE(13097),
    [sym_throw_expression] = STATE(13097),
    [sym_while_expression] = STATE(13097),
    [sym_do_while_expression] = STATE(13097),
    [sym_for_expression] = STATE(13097),
    [sym_comment] = STATE(885),
    [sym_block_comment] = STATE(885),
    [sym__alpha_identifier] = ACTIONS(1494),
    [anon_sym_LBRACE] = ACTIONS(1498),
    [anon_sym__] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1502),
    [anon_sym_end] = ACTIONS(1504),
    [anon_sym_if] = ACTIONS(2845),
    [anon_sym_while] = ACTIONS(2847),
    [anon_sym_for] = ACTIONS(2849),
    [anon_sym_try] = ACTIONS(2851),
    [anon_sym_new] = ACTIONS(1506),
    [anon_sym_opaque] = ACTIONS(1504),
    [anon_sym_implicit] = ACTIONS(2853),
    [anon_sym_inline] = ACTIONS(1508),
    [anon_sym_infix] = ACTIONS(1504),
    [anon_sym_open] = ACTIONS(1504),
    [anon_sym_transparent] = ACTIONS(1504),
    [anon_sym_LPAREN] = ACTIONS(1510),
    [anon_sym_macro] = ACTIONS(2054),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_TILDE] = ACTIONS(1502),
    [anon_sym_DOLLAR] = ACTIONS(1512),
    [anon_sym_SQUOTE] = ACTIONS(1514),
    [sym__backquoted_id] = ACTIONS(1516),
    [sym_operator_identifier] = ACTIONS(3314),
    [sym_integer_literal] = ACTIONS(1520),
    [sym_floating_point_literal] = ACTIONS(1522),
    [anon_sym_true] = ACTIONS(1524),
    [anon_sym_false] = ACTIONS(1524),
    [sym_character_literal] = ACTIONS(1522),
    [sym_null_literal] = ACTIONS(1526),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2062),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3316),
    [sym__simple_multiline_string] = ACTIONS(1528),
    [sym__simple_string] = ACTIONS(1528),
  },
  [886] = {
    [sym_inline_modifier] = STATE(2293),
    [sym__indentable_expression] = STATE(11898),
    [sym_block] = STATE(6703),
    [sym_indented_block] = STATE(12004),
    [sym_indented_cases] = STATE(12004),
    [sym_expression] = STATE(12171),
    [sym__simple_expression] = STATE(5444),
    [sym_lambda_expression] = STATE(12046),
    [sym_if_expression] = STATE(12046),
    [sym_match_expression] = STATE(12046),
    [sym_try_expression] = STATE(12046),
    [sym_bindings] = STATE(15592),
    [sym_case_block] = STATE(6703),
    [sym_assignment_expression] = STATE(12046),
    [sym_generic_function] = STATE(6703),
    [sym_call_expression] = STATE(6703),
    [sym_field_expression] = STATE(6703),
    [sym_instance_expression] = STATE(6703),
    [sym_ascription_expression] = STATE(12046),
    [sym_infix_expression] = STATE(8166),
    [sym_postfix_expression] = STATE(11496),
    [sym__postfix_expression_choice] = STATE(15827),
    [sym_macro_body] = STATE(12046),
    [sym_prefix_expression] = STATE(9361),
    [sym_tuple_expression] = STATE(6703),
    [sym_parenthesized_expression] = STATE(6703),
    [sym_splice_expression] = STATE(6703),
    [sym_quote_expression] = STATE(6703),
    [sym_identifier] = STATE(5281),
    [sym__soft_identifier] = STATE(4884),
    [sym_wildcard] = STATE(7456),
    [sym__non_null_literal] = STATE(6703),
    [sym_boolean_literal] = STATE(6780),
    [sym_interpolated_string_expression] = STATE(6703),
    [sym_string] = STATE(6780),
    [sym_unit] = STATE(6703),
    [sym_return_expression] = STATE(12046),
    [sym_throw_expression] = STATE(12046),
    [sym_while_expression] = STATE(12046),
    [sym_do_while_expression] = STATE(12046),
    [sym_for_expression] = STATE(12046),
    [sym_comment] = STATE(886),
    [sym_block_comment] = STATE(886),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(2410),
    [anon_sym_while] = ACTIONS(2178),
    [anon_sym_for] = ACTIONS(2180),
    [anon_sym_try] = ACTIONS(2182),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(2184),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1848),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(2186),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(2188),
    [anon_sym_throw] = ACTIONS(2190),
    [anon_sym_do] = ACTIONS(1856),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2234),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [887] = {
    [sym_inline_modifier] = STATE(2118),
    [sym__indentable_expression] = STATE(11202),
    [sym_block] = STATE(5403),
    [sym_indented_block] = STATE(11085),
    [sym_indented_cases] = STATE(11085),
    [sym_expression] = STATE(11355),
    [sym__simple_expression] = STATE(5051),
    [sym_lambda_expression] = STATE(11364),
    [sym_if_expression] = STATE(11364),
    [sym_match_expression] = STATE(11364),
    [sym_try_expression] = STATE(11364),
    [sym_bindings] = STATE(15597),
    [sym_case_block] = STATE(5403),
    [sym_assignment_expression] = STATE(11364),
    [sym_generic_function] = STATE(5403),
    [sym_call_expression] = STATE(5403),
    [sym_field_expression] = STATE(5403),
    [sym_instance_expression] = STATE(5403),
    [sym_ascription_expression] = STATE(11364),
    [sym_infix_expression] = STATE(6806),
    [sym_postfix_expression] = STATE(10789),
    [sym__postfix_expression_choice] = STATE(15797),
    [sym_macro_body] = STATE(11364),
    [sym_prefix_expression] = STATE(8869),
    [sym_tuple_expression] = STATE(5403),
    [sym_parenthesized_expression] = STATE(5403),
    [sym_splice_expression] = STATE(5403),
    [sym_quote_expression] = STATE(5403),
    [sym_identifier] = STATE(4686),
    [sym__soft_identifier] = STATE(4455),
    [sym_wildcard] = STATE(7015),
    [sym__non_null_literal] = STATE(5403),
    [sym_boolean_literal] = STATE(5637),
    [sym_interpolated_string_expression] = STATE(5403),
    [sym_string] = STATE(5637),
    [sym_unit] = STATE(5403),
    [sym_return_expression] = STATE(11364),
    [sym_throw_expression] = STATE(11364),
    [sym_while_expression] = STATE(11364),
    [sym_do_while_expression] = STATE(11364),
    [sym_for_expression] = STATE(11364),
    [sym_comment] = STATE(887),
    [sym_block_comment] = STATE(887),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(1152),
    [anon_sym_while] = ACTIONS(1154),
    [anon_sym_for] = ACTIONS(1156),
    [anon_sym_try] = ACTIONS(1158),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1160),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1162),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1164),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1166),
    [anon_sym_throw] = ACTIONS(1168),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2282),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [888] = {
    [sym_inline_modifier] = STATE(2064),
    [sym__indentable_expression] = STATE(13634),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(8719),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15704),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10572),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(8565),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(10039),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(888),
    [sym_block_comment] = STATE(888),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(3246),
    [anon_sym_while] = ACTIONS(3248),
    [anon_sym_for] = ACTIONS(3250),
    [anon_sym_try] = ACTIONS(3252),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(3254),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3318),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(3259),
    [anon_sym_throw] = ACTIONS(3261),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [889] = {
    [sym_inline_modifier] = STATE(2114),
    [sym__indentable_expression] = STATE(13164),
    [sym_block] = STATE(8218),
    [sym_indented_block] = STATE(13075),
    [sym_indented_cases] = STATE(13075),
    [sym_expression] = STATE(12682),
    [sym__simple_expression] = STATE(7544),
    [sym_lambda_expression] = STATE(13097),
    [sym_if_expression] = STATE(13097),
    [sym_match_expression] = STATE(13097),
    [sym_try_expression] = STATE(13097),
    [sym_bindings] = STATE(15630),
    [sym_case_block] = STATE(8218),
    [sym_assignment_expression] = STATE(13097),
    [sym_generic_function] = STATE(8218),
    [sym_call_expression] = STATE(8218),
    [sym_field_expression] = STATE(8218),
    [sym_instance_expression] = STATE(8218),
    [sym_ascription_expression] = STATE(13097),
    [sym_infix_expression] = STATE(9424),
    [sym_postfix_expression] = STATE(12765),
    [sym__postfix_expression_choice] = STATE(16117),
    [sym_macro_body] = STATE(13097),
    [sym_prefix_expression] = STATE(10300),
    [sym_tuple_expression] = STATE(8218),
    [sym_parenthesized_expression] = STATE(8218),
    [sym_splice_expression] = STATE(8218),
    [sym_quote_expression] = STATE(8218),
    [sym_identifier] = STATE(7100),
    [sym__soft_identifier] = STATE(5752),
    [sym_wildcard] = STATE(9268),
    [sym__non_null_literal] = STATE(8218),
    [sym_boolean_literal] = STATE(8413),
    [sym_interpolated_string_expression] = STATE(8218),
    [sym_string] = STATE(8413),
    [sym_unit] = STATE(8218),
    [sym_return_expression] = STATE(13097),
    [sym_throw_expression] = STATE(13097),
    [sym_while_expression] = STATE(13097),
    [sym_do_while_expression] = STATE(13097),
    [sym_for_expression] = STATE(13097),
    [sym_comment] = STATE(889),
    [sym_block_comment] = STATE(889),
    [sym__alpha_identifier] = ACTIONS(1494),
    [anon_sym_LBRACE] = ACTIONS(1498),
    [anon_sym__] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1502),
    [anon_sym_end] = ACTIONS(1504),
    [anon_sym_if] = ACTIONS(2845),
    [anon_sym_while] = ACTIONS(2847),
    [anon_sym_for] = ACTIONS(2849),
    [anon_sym_try] = ACTIONS(2851),
    [anon_sym_new] = ACTIONS(1506),
    [anon_sym_opaque] = ACTIONS(1504),
    [anon_sym_implicit] = ACTIONS(2853),
    [anon_sym_inline] = ACTIONS(1508),
    [anon_sym_infix] = ACTIONS(1504),
    [anon_sym_open] = ACTIONS(1504),
    [anon_sym_transparent] = ACTIONS(1504),
    [anon_sym_LPAREN] = ACTIONS(1510),
    [anon_sym_macro] = ACTIONS(2054),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_TILDE] = ACTIONS(1502),
    [anon_sym_DOLLAR] = ACTIONS(1512),
    [anon_sym_SQUOTE] = ACTIONS(1514),
    [sym__backquoted_id] = ACTIONS(1516),
    [sym_operator_identifier] = ACTIONS(3314),
    [sym_integer_literal] = ACTIONS(1520),
    [sym_floating_point_literal] = ACTIONS(1522),
    [anon_sym_true] = ACTIONS(1524),
    [anon_sym_false] = ACTIONS(1524),
    [sym_character_literal] = ACTIONS(1522),
    [sym_null_literal] = ACTIONS(1526),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2062),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3316),
    [sym__simple_multiline_string] = ACTIONS(1528),
    [sym__simple_string] = ACTIONS(1528),
  },
  [890] = {
    [sym_inline_modifier] = STATE(2154),
    [sym__indentable_expression] = STATE(12686),
    [sym_block] = STATE(8070),
    [sym_indented_block] = STATE(12700),
    [sym_indented_cases] = STATE(12700),
    [sym_expression] = STATE(12581),
    [sym__simple_expression] = STATE(7235),
    [sym_lambda_expression] = STATE(12742),
    [sym_if_expression] = STATE(12742),
    [sym_match_expression] = STATE(12742),
    [sym_try_expression] = STATE(12742),
    [sym_bindings] = STATE(15546),
    [sym_case_block] = STATE(8070),
    [sym_assignment_expression] = STATE(12742),
    [sym_generic_function] = STATE(8070),
    [sym_call_expression] = STATE(8070),
    [sym_field_expression] = STATE(8070),
    [sym_instance_expression] = STATE(8070),
    [sym_ascription_expression] = STATE(12742),
    [sym_infix_expression] = STATE(8913),
    [sym_postfix_expression] = STATE(12343),
    [sym__postfix_expression_choice] = STATE(16230),
    [sym_macro_body] = STATE(12742),
    [sym_prefix_expression] = STATE(9970),
    [sym_tuple_expression] = STATE(8070),
    [sym_parenthesized_expression] = STATE(8070),
    [sym_splice_expression] = STATE(8070),
    [sym_quote_expression] = STATE(8070),
    [sym_identifier] = STATE(6168),
    [sym__soft_identifier] = STATE(5234),
    [sym_wildcard] = STATE(8792),
    [sym__non_null_literal] = STATE(8070),
    [sym_boolean_literal] = STATE(8055),
    [sym_interpolated_string_expression] = STATE(8070),
    [sym_string] = STATE(8055),
    [sym_unit] = STATE(8070),
    [sym_return_expression] = STATE(12742),
    [sym_throw_expression] = STATE(12742),
    [sym_while_expression] = STATE(12742),
    [sym_do_while_expression] = STATE(12742),
    [sym_for_expression] = STATE(12742),
    [sym_comment] = STATE(890),
    [sym_block_comment] = STATE(890),
    [sym__alpha_identifier] = ACTIONS(1314),
    [anon_sym_LBRACE] = ACTIONS(1318),
    [anon_sym__] = ACTIONS(1320),
    [anon_sym_PLUS] = ACTIONS(1322),
    [anon_sym_DASH] = ACTIONS(1322),
    [anon_sym_end] = ACTIONS(1324),
    [anon_sym_if] = ACTIONS(2142),
    [anon_sym_while] = ACTIONS(2144),
    [anon_sym_for] = ACTIONS(2146),
    [anon_sym_try] = ACTIONS(2148),
    [anon_sym_new] = ACTIONS(1326),
    [anon_sym_opaque] = ACTIONS(1324),
    [anon_sym_implicit] = ACTIONS(2150),
    [anon_sym_inline] = ACTIONS(1328),
    [anon_sym_infix] = ACTIONS(1324),
    [anon_sym_open] = ACTIONS(1324),
    [anon_sym_transparent] = ACTIONS(1324),
    [anon_sym_LPAREN] = ACTIONS(1330),
    [anon_sym_macro] = ACTIONS(1740),
    [anon_sym_BANG] = ACTIONS(1322),
    [anon_sym_TILDE] = ACTIONS(1322),
    [anon_sym_DOLLAR] = ACTIONS(1332),
    [anon_sym_SQUOTE] = ACTIONS(1334),
    [sym__backquoted_id] = ACTIONS(1336),
    [sym_operator_identifier] = ACTIONS(2152),
    [sym_integer_literal] = ACTIONS(1340),
    [sym_floating_point_literal] = ACTIONS(1342),
    [anon_sym_true] = ACTIONS(1344),
    [anon_sym_false] = ACTIONS(1344),
    [sym_character_literal] = ACTIONS(1342),
    [sym_null_literal] = ACTIONS(1346),
    [anon_sym_return] = ACTIONS(2154),
    [anon_sym_throw] = ACTIONS(2156),
    [anon_sym_do] = ACTIONS(1748),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2158),
    [sym__simple_multiline_string] = ACTIONS(1348),
    [sym__simple_string] = ACTIONS(1348),
  },
  [891] = {
    [sym_inline_modifier] = STATE(2114),
    [sym__indentable_expression] = STATE(13161),
    [sym_block] = STATE(8218),
    [sym_indented_block] = STATE(13075),
    [sym_indented_cases] = STATE(13075),
    [sym_expression] = STATE(12682),
    [sym__simple_expression] = STATE(7544),
    [sym_lambda_expression] = STATE(13097),
    [sym_if_expression] = STATE(13097),
    [sym_match_expression] = STATE(13097),
    [sym_try_expression] = STATE(13097),
    [sym_bindings] = STATE(15630),
    [sym_case_block] = STATE(8218),
    [sym_assignment_expression] = STATE(13097),
    [sym_generic_function] = STATE(8218),
    [sym_call_expression] = STATE(8218),
    [sym_field_expression] = STATE(8218),
    [sym_instance_expression] = STATE(8218),
    [sym_ascription_expression] = STATE(13097),
    [sym_infix_expression] = STATE(9424),
    [sym_postfix_expression] = STATE(12765),
    [sym__postfix_expression_choice] = STATE(16117),
    [sym_macro_body] = STATE(13097),
    [sym_prefix_expression] = STATE(10300),
    [sym_tuple_expression] = STATE(8218),
    [sym_parenthesized_expression] = STATE(8218),
    [sym_splice_expression] = STATE(8218),
    [sym_quote_expression] = STATE(8218),
    [sym_identifier] = STATE(7100),
    [sym__soft_identifier] = STATE(5752),
    [sym_wildcard] = STATE(9268),
    [sym__non_null_literal] = STATE(8218),
    [sym_boolean_literal] = STATE(8413),
    [sym_interpolated_string_expression] = STATE(8218),
    [sym_string] = STATE(8413),
    [sym_unit] = STATE(8218),
    [sym_return_expression] = STATE(13097),
    [sym_throw_expression] = STATE(13097),
    [sym_while_expression] = STATE(13097),
    [sym_do_while_expression] = STATE(13097),
    [sym_for_expression] = STATE(13097),
    [sym_comment] = STATE(891),
    [sym_block_comment] = STATE(891),
    [sym__alpha_identifier] = ACTIONS(1494),
    [anon_sym_LBRACE] = ACTIONS(1498),
    [anon_sym__] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1502),
    [anon_sym_end] = ACTIONS(1504),
    [anon_sym_if] = ACTIONS(2845),
    [anon_sym_while] = ACTIONS(2847),
    [anon_sym_for] = ACTIONS(2849),
    [anon_sym_try] = ACTIONS(2851),
    [anon_sym_new] = ACTIONS(1506),
    [anon_sym_opaque] = ACTIONS(1504),
    [anon_sym_implicit] = ACTIONS(2853),
    [anon_sym_inline] = ACTIONS(1508),
    [anon_sym_infix] = ACTIONS(1504),
    [anon_sym_open] = ACTIONS(1504),
    [anon_sym_transparent] = ACTIONS(1504),
    [anon_sym_LPAREN] = ACTIONS(1510),
    [anon_sym_macro] = ACTIONS(2054),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_TILDE] = ACTIONS(1502),
    [anon_sym_DOLLAR] = ACTIONS(1512),
    [anon_sym_SQUOTE] = ACTIONS(1514),
    [sym__backquoted_id] = ACTIONS(1516),
    [sym_operator_identifier] = ACTIONS(3314),
    [sym_integer_literal] = ACTIONS(1520),
    [sym_floating_point_literal] = ACTIONS(1522),
    [anon_sym_true] = ACTIONS(1524),
    [anon_sym_false] = ACTIONS(1524),
    [sym_character_literal] = ACTIONS(1522),
    [sym_null_literal] = ACTIONS(1526),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2062),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3316),
    [sym__simple_multiline_string] = ACTIONS(1528),
    [sym__simple_string] = ACTIONS(1528),
  },
  [892] = {
    [sym_inline_modifier] = STATE(2154),
    [sym__indentable_expression] = STATE(12681),
    [sym_block] = STATE(8070),
    [sym_indented_block] = STATE(12700),
    [sym_indented_cases] = STATE(12700),
    [sym_expression] = STATE(12581),
    [sym__simple_expression] = STATE(7235),
    [sym_lambda_expression] = STATE(12742),
    [sym_if_expression] = STATE(12742),
    [sym_match_expression] = STATE(12742),
    [sym_try_expression] = STATE(12742),
    [sym_bindings] = STATE(15546),
    [sym_case_block] = STATE(8070),
    [sym_assignment_expression] = STATE(12742),
    [sym_generic_function] = STATE(8070),
    [sym_call_expression] = STATE(8070),
    [sym_field_expression] = STATE(8070),
    [sym_instance_expression] = STATE(8070),
    [sym_ascription_expression] = STATE(12742),
    [sym_infix_expression] = STATE(8913),
    [sym_postfix_expression] = STATE(12343),
    [sym__postfix_expression_choice] = STATE(16230),
    [sym_macro_body] = STATE(12742),
    [sym_prefix_expression] = STATE(9970),
    [sym_tuple_expression] = STATE(8070),
    [sym_parenthesized_expression] = STATE(8070),
    [sym_splice_expression] = STATE(8070),
    [sym_quote_expression] = STATE(8070),
    [sym_identifier] = STATE(6168),
    [sym__soft_identifier] = STATE(5234),
    [sym_wildcard] = STATE(8792),
    [sym__non_null_literal] = STATE(8070),
    [sym_boolean_literal] = STATE(8055),
    [sym_interpolated_string_expression] = STATE(8070),
    [sym_string] = STATE(8055),
    [sym_unit] = STATE(8070),
    [sym_return_expression] = STATE(12742),
    [sym_throw_expression] = STATE(12742),
    [sym_while_expression] = STATE(12742),
    [sym_do_while_expression] = STATE(12742),
    [sym_for_expression] = STATE(12742),
    [sym_comment] = STATE(892),
    [sym_block_comment] = STATE(892),
    [sym__alpha_identifier] = ACTIONS(1314),
    [anon_sym_LBRACE] = ACTIONS(1318),
    [anon_sym__] = ACTIONS(1320),
    [anon_sym_PLUS] = ACTIONS(1322),
    [anon_sym_DASH] = ACTIONS(1322),
    [anon_sym_end] = ACTIONS(1324),
    [anon_sym_if] = ACTIONS(2142),
    [anon_sym_while] = ACTIONS(2144),
    [anon_sym_for] = ACTIONS(2146),
    [anon_sym_try] = ACTIONS(2148),
    [anon_sym_new] = ACTIONS(1326),
    [anon_sym_opaque] = ACTIONS(1324),
    [anon_sym_implicit] = ACTIONS(2150),
    [anon_sym_inline] = ACTIONS(1328),
    [anon_sym_infix] = ACTIONS(1324),
    [anon_sym_open] = ACTIONS(1324),
    [anon_sym_transparent] = ACTIONS(1324),
    [anon_sym_LPAREN] = ACTIONS(1330),
    [anon_sym_macro] = ACTIONS(1740),
    [anon_sym_BANG] = ACTIONS(1322),
    [anon_sym_TILDE] = ACTIONS(1322),
    [anon_sym_DOLLAR] = ACTIONS(1332),
    [anon_sym_SQUOTE] = ACTIONS(1334),
    [sym__backquoted_id] = ACTIONS(1336),
    [sym_operator_identifier] = ACTIONS(2152),
    [sym_integer_literal] = ACTIONS(1340),
    [sym_floating_point_literal] = ACTIONS(1342),
    [anon_sym_true] = ACTIONS(1344),
    [anon_sym_false] = ACTIONS(1344),
    [sym_character_literal] = ACTIONS(1342),
    [sym_null_literal] = ACTIONS(1346),
    [anon_sym_return] = ACTIONS(2154),
    [anon_sym_throw] = ACTIONS(2156),
    [anon_sym_do] = ACTIONS(1748),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2158),
    [sym__simple_multiline_string] = ACTIONS(1348),
    [sym__simple_string] = ACTIONS(1348),
  },
  [893] = {
    [sym_inline_modifier] = STATE(2084),
    [sym__indentable_expression] = STATE(16079),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(8831),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15722),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10635),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(682),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(8641),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(10149),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(893),
    [sym_block_comment] = STATE(893),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2740),
    [anon_sym_while] = ACTIONS(2742),
    [anon_sym_for] = ACTIONS(2744),
    [anon_sym_try] = ACTIONS(2746),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2748),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3310),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3312),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2762),
    [anon_sym_throw] = ACTIONS(2764),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [894] = {
    [sym_inline_modifier] = STATE(2084),
    [sym__indentable_expression] = STATE(13625),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(8831),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15722),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10635),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(8641),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(10149),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(894),
    [sym_block_comment] = STATE(894),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2740),
    [anon_sym_while] = ACTIONS(2742),
    [anon_sym_for] = ACTIONS(2744),
    [anon_sym_try] = ACTIONS(2746),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2748),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3312),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2762),
    [anon_sym_throw] = ACTIONS(2764),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [895] = {
    [sym_inline_modifier] = STATE(2067),
    [sym__indentable_expression] = STATE(13926),
    [sym_block] = STATE(10133),
    [sym_indented_block] = STATE(12292),
    [sym_indented_cases] = STATE(12292),
    [sym_expression] = STATE(13765),
    [sym__simple_expression] = STATE(7525),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15728),
    [sym_case_block] = STATE(10133),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(10133),
    [sym_call_expression] = STATE(10133),
    [sym_field_expression] = STATE(10133),
    [sym_instance_expression] = STATE(10133),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(10489),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(17114),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10321),
    [sym_tuple_expression] = STATE(10133),
    [sym_parenthesized_expression] = STATE(10133),
    [sym_splice_expression] = STATE(10133),
    [sym_quote_expression] = STATE(10133),
    [sym_identifier] = STATE(7070),
    [sym__soft_identifier] = STATE(4482),
    [sym_wildcard] = STATE(9321),
    [sym__non_null_literal] = STATE(10133),
    [sym_boolean_literal] = STATE(7065),
    [sym_interpolated_string_expression] = STATE(10133),
    [sym_string] = STATE(7065),
    [sym_unit] = STATE(10133),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(895),
    [sym_block_comment] = STATE(895),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_end] = ACTIONS(2374),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_opaque] = ACTIONS(2374),
    [anon_sym_implicit] = ACTIONS(3002),
    [anon_sym_inline] = ACTIONS(67),
    [anon_sym_infix] = ACTIONS(2374),
    [anon_sym_open] = ACTIONS(2374),
    [anon_sym_transparent] = ACTIONS(2374),
    [anon_sym_LPAREN] = ACTIONS(75),
    [anon_sym_macro] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(83),
    [sym_operator_identifier] = ACTIONS(85),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(95),
    [anon_sym_throw] = ACTIONS(97),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [896] = {
    [sym_inline_modifier] = STATE(2154),
    [sym__indentable_expression] = STATE(12673),
    [sym_block] = STATE(8070),
    [sym_indented_block] = STATE(12700),
    [sym_indented_cases] = STATE(12700),
    [sym_expression] = STATE(12581),
    [sym__simple_expression] = STATE(7235),
    [sym_lambda_expression] = STATE(12742),
    [sym_if_expression] = STATE(12742),
    [sym_match_expression] = STATE(12742),
    [sym_try_expression] = STATE(12742),
    [sym_bindings] = STATE(15546),
    [sym_case_block] = STATE(8070),
    [sym_assignment_expression] = STATE(12742),
    [sym_generic_function] = STATE(8070),
    [sym_call_expression] = STATE(8070),
    [sym_field_expression] = STATE(8070),
    [sym_instance_expression] = STATE(8070),
    [sym_ascription_expression] = STATE(12742),
    [sym_infix_expression] = STATE(8913),
    [sym_postfix_expression] = STATE(12343),
    [sym__postfix_expression_choice] = STATE(16230),
    [sym_macro_body] = STATE(12742),
    [sym_prefix_expression] = STATE(9970),
    [sym_tuple_expression] = STATE(8070),
    [sym_parenthesized_expression] = STATE(8070),
    [sym_splice_expression] = STATE(8070),
    [sym_quote_expression] = STATE(8070),
    [sym_identifier] = STATE(6168),
    [sym__soft_identifier] = STATE(5234),
    [sym_wildcard] = STATE(8792),
    [sym__non_null_literal] = STATE(8070),
    [sym_boolean_literal] = STATE(8055),
    [sym_interpolated_string_expression] = STATE(8070),
    [sym_string] = STATE(8055),
    [sym_unit] = STATE(8070),
    [sym_return_expression] = STATE(12742),
    [sym_throw_expression] = STATE(12742),
    [sym_while_expression] = STATE(12742),
    [sym_do_while_expression] = STATE(12742),
    [sym_for_expression] = STATE(12742),
    [sym_comment] = STATE(896),
    [sym_block_comment] = STATE(896),
    [sym__alpha_identifier] = ACTIONS(1314),
    [anon_sym_LBRACE] = ACTIONS(1318),
    [anon_sym__] = ACTIONS(1320),
    [anon_sym_PLUS] = ACTIONS(1322),
    [anon_sym_DASH] = ACTIONS(1322),
    [anon_sym_end] = ACTIONS(1324),
    [anon_sym_if] = ACTIONS(2142),
    [anon_sym_while] = ACTIONS(2144),
    [anon_sym_for] = ACTIONS(2146),
    [anon_sym_try] = ACTIONS(2148),
    [anon_sym_new] = ACTIONS(1326),
    [anon_sym_opaque] = ACTIONS(1324),
    [anon_sym_implicit] = ACTIONS(2150),
    [anon_sym_inline] = ACTIONS(1328),
    [anon_sym_infix] = ACTIONS(1324),
    [anon_sym_open] = ACTIONS(1324),
    [anon_sym_transparent] = ACTIONS(1324),
    [anon_sym_LPAREN] = ACTIONS(1330),
    [anon_sym_macro] = ACTIONS(1740),
    [anon_sym_BANG] = ACTIONS(1322),
    [anon_sym_TILDE] = ACTIONS(1322),
    [anon_sym_DOLLAR] = ACTIONS(1332),
    [anon_sym_SQUOTE] = ACTIONS(1334),
    [sym__backquoted_id] = ACTIONS(1336),
    [sym_operator_identifier] = ACTIONS(2152),
    [sym_integer_literal] = ACTIONS(1340),
    [sym_floating_point_literal] = ACTIONS(1342),
    [anon_sym_true] = ACTIONS(1344),
    [anon_sym_false] = ACTIONS(1344),
    [sym_character_literal] = ACTIONS(1342),
    [sym_null_literal] = ACTIONS(1346),
    [anon_sym_return] = ACTIONS(2154),
    [anon_sym_throw] = ACTIONS(2156),
    [anon_sym_do] = ACTIONS(1748),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2158),
    [sym__simple_multiline_string] = ACTIONS(1348),
    [sym__simple_string] = ACTIONS(1348),
  },
  [897] = {
    [sym_inline_modifier] = STATE(2084),
    [sym__indentable_expression] = STATE(13621),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(8831),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15722),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10635),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(8641),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(10149),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(897),
    [sym_block_comment] = STATE(897),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2740),
    [anon_sym_while] = ACTIONS(2742),
    [anon_sym_for] = ACTIONS(2744),
    [anon_sym_try] = ACTIONS(2746),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2748),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3312),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2762),
    [anon_sym_throw] = ACTIONS(2764),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [898] = {
    [sym_inline_modifier] = STATE(2115),
    [sym__indentable_expression] = STATE(13926),
    [sym_block] = STATE(8041),
    [sym_indented_block] = STATE(12292),
    [sym_indented_cases] = STATE(12292),
    [sym_expression] = STATE(12256),
    [sym__simple_expression] = STATE(7311),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15577),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(10220),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10124),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6254),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(8727),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(898),
    [sym_block_comment] = STATE(898),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(603),
    [anon_sym_DASH] = ACTIONS(603),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(605),
    [anon_sym_while] = ACTIONS(607),
    [anon_sym_for] = ACTIONS(609),
    [anon_sym_try] = ACTIONS(611),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2192),
    [anon_sym_inline] = ACTIONS(1764),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(603),
    [anon_sym_TILDE] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(621),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(623),
    [anon_sym_throw] = ACTIONS(625),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [899] = {
    [sym_inline_modifier] = STATE(2293),
    [sym__indentable_expression] = STATE(11823),
    [sym_block] = STATE(6703),
    [sym_indented_block] = STATE(12004),
    [sym_indented_cases] = STATE(12004),
    [sym_expression] = STATE(12171),
    [sym__simple_expression] = STATE(5444),
    [sym_lambda_expression] = STATE(12046),
    [sym_if_expression] = STATE(12046),
    [sym_match_expression] = STATE(12046),
    [sym_try_expression] = STATE(12046),
    [sym_bindings] = STATE(15592),
    [sym_case_block] = STATE(6703),
    [sym_assignment_expression] = STATE(12046),
    [sym_generic_function] = STATE(6703),
    [sym_call_expression] = STATE(6703),
    [sym_field_expression] = STATE(6703),
    [sym_instance_expression] = STATE(6703),
    [sym_ascription_expression] = STATE(12046),
    [sym_infix_expression] = STATE(8166),
    [sym_postfix_expression] = STATE(11496),
    [sym__postfix_expression_choice] = STATE(15827),
    [sym_macro_body] = STATE(12046),
    [sym_prefix_expression] = STATE(9361),
    [sym_tuple_expression] = STATE(6703),
    [sym_parenthesized_expression] = STATE(6703),
    [sym_splice_expression] = STATE(6703),
    [sym_quote_expression] = STATE(6703),
    [sym_identifier] = STATE(5281),
    [sym__soft_identifier] = STATE(4884),
    [sym_wildcard] = STATE(7456),
    [sym__non_null_literal] = STATE(6703),
    [sym_boolean_literal] = STATE(6780),
    [sym_interpolated_string_expression] = STATE(6703),
    [sym_string] = STATE(6780),
    [sym_unit] = STATE(6703),
    [sym_return_expression] = STATE(12046),
    [sym_throw_expression] = STATE(12046),
    [sym_while_expression] = STATE(12046),
    [sym_do_while_expression] = STATE(12046),
    [sym_for_expression] = STATE(12046),
    [sym_comment] = STATE(899),
    [sym_block_comment] = STATE(899),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(2410),
    [anon_sym_while] = ACTIONS(2178),
    [anon_sym_for] = ACTIONS(2180),
    [anon_sym_try] = ACTIONS(2182),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(2184),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1848),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(2186),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(2188),
    [anon_sym_throw] = ACTIONS(2190),
    [anon_sym_do] = ACTIONS(1856),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2234),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [900] = {
    [sym_inline_modifier] = STATE(2067),
    [sym__indentable_expression] = STATE(13893),
    [sym_block] = STATE(10133),
    [sym_indented_block] = STATE(12292),
    [sym_indented_cases] = STATE(12292),
    [sym_expression] = STATE(13765),
    [sym__simple_expression] = STATE(7525),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15728),
    [sym_case_block] = STATE(10133),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(10133),
    [sym_call_expression] = STATE(10133),
    [sym_field_expression] = STATE(10133),
    [sym_instance_expression] = STATE(10133),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(10489),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(17114),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10321),
    [sym_tuple_expression] = STATE(10133),
    [sym_parenthesized_expression] = STATE(10133),
    [sym_splice_expression] = STATE(10133),
    [sym_quote_expression] = STATE(10133),
    [sym_identifier] = STATE(7070),
    [sym__soft_identifier] = STATE(4482),
    [sym_wildcard] = STATE(9321),
    [sym__non_null_literal] = STATE(10133),
    [sym_boolean_literal] = STATE(7065),
    [sym_interpolated_string_expression] = STATE(10133),
    [sym_string] = STATE(7065),
    [sym_unit] = STATE(10133),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(900),
    [sym_block_comment] = STATE(900),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_end] = ACTIONS(2374),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_opaque] = ACTIONS(2374),
    [anon_sym_implicit] = ACTIONS(3002),
    [anon_sym_inline] = ACTIONS(67),
    [anon_sym_infix] = ACTIONS(2374),
    [anon_sym_open] = ACTIONS(2374),
    [anon_sym_transparent] = ACTIONS(2374),
    [anon_sym_LPAREN] = ACTIONS(75),
    [anon_sym_macro] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(83),
    [sym_operator_identifier] = ACTIONS(85),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(95),
    [anon_sym_throw] = ACTIONS(97),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [901] = {
    [sym_inline_modifier] = STATE(2293),
    [sym__indentable_expression] = STATE(11822),
    [sym_block] = STATE(6703),
    [sym_indented_block] = STATE(12004),
    [sym_indented_cases] = STATE(12004),
    [sym_expression] = STATE(12171),
    [sym__simple_expression] = STATE(5444),
    [sym_lambda_expression] = STATE(12046),
    [sym_if_expression] = STATE(12046),
    [sym_match_expression] = STATE(12046),
    [sym_try_expression] = STATE(12046),
    [sym_bindings] = STATE(15592),
    [sym_case_block] = STATE(6703),
    [sym_assignment_expression] = STATE(12046),
    [sym_generic_function] = STATE(6703),
    [sym_call_expression] = STATE(6703),
    [sym_field_expression] = STATE(6703),
    [sym_instance_expression] = STATE(6703),
    [sym_ascription_expression] = STATE(12046),
    [sym_infix_expression] = STATE(8166),
    [sym_postfix_expression] = STATE(11496),
    [sym__postfix_expression_choice] = STATE(15827),
    [sym_macro_body] = STATE(12046),
    [sym_prefix_expression] = STATE(9361),
    [sym_tuple_expression] = STATE(6703),
    [sym_parenthesized_expression] = STATE(6703),
    [sym_splice_expression] = STATE(6703),
    [sym_quote_expression] = STATE(6703),
    [sym_identifier] = STATE(5281),
    [sym__soft_identifier] = STATE(4884),
    [sym_wildcard] = STATE(7456),
    [sym__non_null_literal] = STATE(6703),
    [sym_boolean_literal] = STATE(6780),
    [sym_interpolated_string_expression] = STATE(6703),
    [sym_string] = STATE(6780),
    [sym_unit] = STATE(6703),
    [sym_return_expression] = STATE(12046),
    [sym_throw_expression] = STATE(12046),
    [sym_while_expression] = STATE(12046),
    [sym_do_while_expression] = STATE(12046),
    [sym_for_expression] = STATE(12046),
    [sym_comment] = STATE(901),
    [sym_block_comment] = STATE(901),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(2410),
    [anon_sym_while] = ACTIONS(2178),
    [anon_sym_for] = ACTIONS(2180),
    [anon_sym_try] = ACTIONS(2182),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(2184),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1848),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(2186),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(2188),
    [anon_sym_throw] = ACTIONS(2190),
    [anon_sym_do] = ACTIONS(1856),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2234),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [902] = {
    [sym_inline_modifier] = STATE(2293),
    [sym__indentable_expression] = STATE(11819),
    [sym_block] = STATE(6703),
    [sym_indented_block] = STATE(12004),
    [sym_indented_cases] = STATE(12004),
    [sym_expression] = STATE(12171),
    [sym__simple_expression] = STATE(5444),
    [sym_lambda_expression] = STATE(12046),
    [sym_if_expression] = STATE(12046),
    [sym_match_expression] = STATE(12046),
    [sym_try_expression] = STATE(12046),
    [sym_bindings] = STATE(15592),
    [sym_case_block] = STATE(6703),
    [sym_assignment_expression] = STATE(12046),
    [sym_generic_function] = STATE(6703),
    [sym_call_expression] = STATE(6703),
    [sym_field_expression] = STATE(6703),
    [sym_instance_expression] = STATE(6703),
    [sym_ascription_expression] = STATE(12046),
    [sym_infix_expression] = STATE(8166),
    [sym_postfix_expression] = STATE(11496),
    [sym__postfix_expression_choice] = STATE(15827),
    [sym_macro_body] = STATE(12046),
    [sym_prefix_expression] = STATE(9361),
    [sym_tuple_expression] = STATE(6703),
    [sym_parenthesized_expression] = STATE(6703),
    [sym_splice_expression] = STATE(6703),
    [sym_quote_expression] = STATE(6703),
    [sym_identifier] = STATE(5281),
    [sym__soft_identifier] = STATE(4884),
    [sym_wildcard] = STATE(7456),
    [sym__non_null_literal] = STATE(6703),
    [sym_boolean_literal] = STATE(6780),
    [sym_interpolated_string_expression] = STATE(6703),
    [sym_string] = STATE(6780),
    [sym_unit] = STATE(6703),
    [sym_return_expression] = STATE(12046),
    [sym_throw_expression] = STATE(12046),
    [sym_while_expression] = STATE(12046),
    [sym_do_while_expression] = STATE(12046),
    [sym_for_expression] = STATE(12046),
    [sym_comment] = STATE(902),
    [sym_block_comment] = STATE(902),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(2410),
    [anon_sym_while] = ACTIONS(2178),
    [anon_sym_for] = ACTIONS(2180),
    [anon_sym_try] = ACTIONS(2182),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(2184),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1848),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(2186),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(2188),
    [anon_sym_throw] = ACTIONS(2190),
    [anon_sym_do] = ACTIONS(1856),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2234),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [903] = {
    [sym_inline_modifier] = STATE(2064),
    [sym__indentable_expression] = STATE(13621),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(8719),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15704),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10572),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(8565),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(10039),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(903),
    [sym_block_comment] = STATE(903),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(3246),
    [anon_sym_while] = ACTIONS(3248),
    [anon_sym_for] = ACTIONS(3250),
    [anon_sym_try] = ACTIONS(3252),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(3254),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3318),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(3259),
    [anon_sym_throw] = ACTIONS(3261),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [904] = {
    [sym_inline_modifier] = STATE(2067),
    [sym__indentable_expression] = STATE(13861),
    [sym_block] = STATE(10133),
    [sym_indented_block] = STATE(12292),
    [sym_indented_cases] = STATE(12292),
    [sym_expression] = STATE(13765),
    [sym__simple_expression] = STATE(7525),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15728),
    [sym_case_block] = STATE(10133),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(10133),
    [sym_call_expression] = STATE(10133),
    [sym_field_expression] = STATE(10133),
    [sym_instance_expression] = STATE(10133),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(10489),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(17114),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10321),
    [sym_tuple_expression] = STATE(10133),
    [sym_parenthesized_expression] = STATE(10133),
    [sym_splice_expression] = STATE(10133),
    [sym_quote_expression] = STATE(10133),
    [sym_identifier] = STATE(7070),
    [sym__soft_identifier] = STATE(4482),
    [sym_wildcard] = STATE(9321),
    [sym__non_null_literal] = STATE(10133),
    [sym_boolean_literal] = STATE(7065),
    [sym_interpolated_string_expression] = STATE(10133),
    [sym_string] = STATE(7065),
    [sym_unit] = STATE(10133),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(904),
    [sym_block_comment] = STATE(904),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_end] = ACTIONS(2374),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_opaque] = ACTIONS(2374),
    [anon_sym_implicit] = ACTIONS(3002),
    [anon_sym_inline] = ACTIONS(67),
    [anon_sym_infix] = ACTIONS(2374),
    [anon_sym_open] = ACTIONS(2374),
    [anon_sym_transparent] = ACTIONS(2374),
    [anon_sym_LPAREN] = ACTIONS(75),
    [anon_sym_macro] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(83),
    [sym_operator_identifier] = ACTIONS(85),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(95),
    [anon_sym_throw] = ACTIONS(97),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [905] = {
    [sym_inline_modifier] = STATE(2293),
    [sym__indentable_expression] = STATE(11815),
    [sym_block] = STATE(6703),
    [sym_indented_block] = STATE(12004),
    [sym_indented_cases] = STATE(12004),
    [sym_expression] = STATE(12171),
    [sym__simple_expression] = STATE(5444),
    [sym_lambda_expression] = STATE(12046),
    [sym_if_expression] = STATE(12046),
    [sym_match_expression] = STATE(12046),
    [sym_try_expression] = STATE(12046),
    [sym_bindings] = STATE(15592),
    [sym_case_block] = STATE(6703),
    [sym_assignment_expression] = STATE(12046),
    [sym_generic_function] = STATE(6703),
    [sym_call_expression] = STATE(6703),
    [sym_field_expression] = STATE(6703),
    [sym_instance_expression] = STATE(6703),
    [sym_ascription_expression] = STATE(12046),
    [sym_infix_expression] = STATE(8166),
    [sym_postfix_expression] = STATE(11496),
    [sym__postfix_expression_choice] = STATE(15827),
    [sym_macro_body] = STATE(12046),
    [sym_prefix_expression] = STATE(9361),
    [sym_tuple_expression] = STATE(6703),
    [sym_parenthesized_expression] = STATE(6703),
    [sym_splice_expression] = STATE(6703),
    [sym_quote_expression] = STATE(6703),
    [sym_identifier] = STATE(5281),
    [sym__soft_identifier] = STATE(4884),
    [sym_wildcard] = STATE(7456),
    [sym__non_null_literal] = STATE(6703),
    [sym_boolean_literal] = STATE(6780),
    [sym_interpolated_string_expression] = STATE(6703),
    [sym_string] = STATE(6780),
    [sym_unit] = STATE(6703),
    [sym_return_expression] = STATE(12046),
    [sym_throw_expression] = STATE(12046),
    [sym_while_expression] = STATE(12046),
    [sym_do_while_expression] = STATE(12046),
    [sym_for_expression] = STATE(12046),
    [sym_comment] = STATE(905),
    [sym_block_comment] = STATE(905),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(2410),
    [anon_sym_while] = ACTIONS(2178),
    [anon_sym_for] = ACTIONS(2180),
    [anon_sym_try] = ACTIONS(2182),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(2184),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1848),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(2186),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(2188),
    [anon_sym_throw] = ACTIONS(2190),
    [anon_sym_do] = ACTIONS(1856),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2234),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [906] = {
    [sym_inline_modifier] = STATE(2154),
    [sym__indentable_expression] = STATE(12635),
    [sym_block] = STATE(8070),
    [sym_indented_block] = STATE(12700),
    [sym_indented_cases] = STATE(12700),
    [sym_expression] = STATE(12581),
    [sym__simple_expression] = STATE(7235),
    [sym_lambda_expression] = STATE(12742),
    [sym_if_expression] = STATE(12742),
    [sym_match_expression] = STATE(12742),
    [sym_try_expression] = STATE(12742),
    [sym_bindings] = STATE(15546),
    [sym_case_block] = STATE(8070),
    [sym_assignment_expression] = STATE(12742),
    [sym_generic_function] = STATE(8070),
    [sym_call_expression] = STATE(8070),
    [sym_field_expression] = STATE(8070),
    [sym_instance_expression] = STATE(8070),
    [sym_ascription_expression] = STATE(12742),
    [sym_infix_expression] = STATE(8913),
    [sym_postfix_expression] = STATE(12343),
    [sym__postfix_expression_choice] = STATE(16230),
    [sym_macro_body] = STATE(12742),
    [sym_prefix_expression] = STATE(9970),
    [sym_tuple_expression] = STATE(8070),
    [sym_parenthesized_expression] = STATE(8070),
    [sym_splice_expression] = STATE(8070),
    [sym_quote_expression] = STATE(8070),
    [sym_identifier] = STATE(6168),
    [sym__soft_identifier] = STATE(5234),
    [sym_wildcard] = STATE(8792),
    [sym__non_null_literal] = STATE(8070),
    [sym_boolean_literal] = STATE(8055),
    [sym_interpolated_string_expression] = STATE(8070),
    [sym_string] = STATE(8055),
    [sym_unit] = STATE(8070),
    [sym_return_expression] = STATE(12742),
    [sym_throw_expression] = STATE(12742),
    [sym_while_expression] = STATE(12742),
    [sym_do_while_expression] = STATE(12742),
    [sym_for_expression] = STATE(12742),
    [sym_comment] = STATE(906),
    [sym_block_comment] = STATE(906),
    [sym__alpha_identifier] = ACTIONS(1314),
    [anon_sym_LBRACE] = ACTIONS(1318),
    [anon_sym__] = ACTIONS(1320),
    [anon_sym_PLUS] = ACTIONS(1322),
    [anon_sym_DASH] = ACTIONS(1322),
    [anon_sym_end] = ACTIONS(1324),
    [anon_sym_if] = ACTIONS(2142),
    [anon_sym_while] = ACTIONS(2144),
    [anon_sym_for] = ACTIONS(2146),
    [anon_sym_try] = ACTIONS(2148),
    [anon_sym_new] = ACTIONS(1326),
    [anon_sym_opaque] = ACTIONS(1324),
    [anon_sym_implicit] = ACTIONS(2150),
    [anon_sym_inline] = ACTIONS(1328),
    [anon_sym_infix] = ACTIONS(1324),
    [anon_sym_open] = ACTIONS(1324),
    [anon_sym_transparent] = ACTIONS(1324),
    [anon_sym_LPAREN] = ACTIONS(1330),
    [anon_sym_macro] = ACTIONS(1740),
    [anon_sym_BANG] = ACTIONS(1322),
    [anon_sym_TILDE] = ACTIONS(1322),
    [anon_sym_DOLLAR] = ACTIONS(1332),
    [anon_sym_SQUOTE] = ACTIONS(1334),
    [sym__backquoted_id] = ACTIONS(1336),
    [sym_operator_identifier] = ACTIONS(2152),
    [sym_integer_literal] = ACTIONS(1340),
    [sym_floating_point_literal] = ACTIONS(1342),
    [anon_sym_true] = ACTIONS(1344),
    [anon_sym_false] = ACTIONS(1344),
    [sym_character_literal] = ACTIONS(1342),
    [sym_null_literal] = ACTIONS(1346),
    [anon_sym_return] = ACTIONS(2154),
    [anon_sym_throw] = ACTIONS(2156),
    [anon_sym_do] = ACTIONS(1748),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2158),
    [sym__simple_multiline_string] = ACTIONS(1348),
    [sym__simple_string] = ACTIONS(1348),
  },
  [907] = {
    [sym_inline_modifier] = STATE(2293),
    [sym__indentable_expression] = STATE(11831),
    [sym_block] = STATE(6703),
    [sym_indented_block] = STATE(12004),
    [sym_indented_cases] = STATE(12004),
    [sym_expression] = STATE(12171),
    [sym__simple_expression] = STATE(5444),
    [sym_lambda_expression] = STATE(12046),
    [sym_if_expression] = STATE(12046),
    [sym_match_expression] = STATE(12046),
    [sym_try_expression] = STATE(12046),
    [sym_bindings] = STATE(15592),
    [sym_case_block] = STATE(6703),
    [sym_assignment_expression] = STATE(12046),
    [sym_generic_function] = STATE(6703),
    [sym_call_expression] = STATE(6703),
    [sym_field_expression] = STATE(6703),
    [sym_instance_expression] = STATE(6703),
    [sym_ascription_expression] = STATE(12046),
    [sym_infix_expression] = STATE(8166),
    [sym_postfix_expression] = STATE(11496),
    [sym__postfix_expression_choice] = STATE(15827),
    [sym_macro_body] = STATE(12046),
    [sym_prefix_expression] = STATE(9361),
    [sym_tuple_expression] = STATE(6703),
    [sym_parenthesized_expression] = STATE(6703),
    [sym_splice_expression] = STATE(6703),
    [sym_quote_expression] = STATE(6703),
    [sym_identifier] = STATE(5281),
    [sym__soft_identifier] = STATE(4884),
    [sym_wildcard] = STATE(7456),
    [sym__non_null_literal] = STATE(6703),
    [sym_boolean_literal] = STATE(6780),
    [sym_interpolated_string_expression] = STATE(6703),
    [sym_string] = STATE(6780),
    [sym_unit] = STATE(6703),
    [sym_return_expression] = STATE(12046),
    [sym_throw_expression] = STATE(12046),
    [sym_while_expression] = STATE(12046),
    [sym_do_while_expression] = STATE(12046),
    [sym_for_expression] = STATE(12046),
    [sym_comment] = STATE(907),
    [sym_block_comment] = STATE(907),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(2410),
    [anon_sym_while] = ACTIONS(2178),
    [anon_sym_for] = ACTIONS(2180),
    [anon_sym_try] = ACTIONS(2182),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(2184),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1848),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(2186),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(2188),
    [anon_sym_throw] = ACTIONS(2190),
    [anon_sym_do] = ACTIONS(1856),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2234),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [908] = {
    [sym_inline_modifier] = STATE(2115),
    [sym__indentable_expression] = STATE(13893),
    [sym_block] = STATE(8041),
    [sym_indented_block] = STATE(12292),
    [sym_indented_cases] = STATE(12292),
    [sym_expression] = STATE(12256),
    [sym__simple_expression] = STATE(7311),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15577),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(10220),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10124),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6254),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(8727),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(908),
    [sym_block_comment] = STATE(908),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(603),
    [anon_sym_DASH] = ACTIONS(603),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(605),
    [anon_sym_while] = ACTIONS(607),
    [anon_sym_for] = ACTIONS(609),
    [anon_sym_try] = ACTIONS(611),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2192),
    [anon_sym_inline] = ACTIONS(1764),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(603),
    [anon_sym_TILDE] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(621),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(623),
    [anon_sym_throw] = ACTIONS(625),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [909] = {
    [sym_inline_modifier] = STATE(2067),
    [sym__indentable_expression] = STATE(12304),
    [sym_block] = STATE(10133),
    [sym_indented_block] = STATE(12292),
    [sym_indented_cases] = STATE(12292),
    [sym_expression] = STATE(13765),
    [sym__simple_expression] = STATE(7525),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15728),
    [sym_case_block] = STATE(10133),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(10133),
    [sym_call_expression] = STATE(10133),
    [sym_field_expression] = STATE(10133),
    [sym_instance_expression] = STATE(10133),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(10489),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(17114),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10321),
    [sym_tuple_expression] = STATE(10133),
    [sym_parenthesized_expression] = STATE(10133),
    [sym_splice_expression] = STATE(10133),
    [sym_quote_expression] = STATE(10133),
    [sym_identifier] = STATE(7070),
    [sym__soft_identifier] = STATE(4482),
    [sym_wildcard] = STATE(9321),
    [sym__non_null_literal] = STATE(10133),
    [sym_boolean_literal] = STATE(7065),
    [sym_interpolated_string_expression] = STATE(10133),
    [sym_string] = STATE(7065),
    [sym_unit] = STATE(10133),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(909),
    [sym_block_comment] = STATE(909),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_end] = ACTIONS(2374),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_opaque] = ACTIONS(2374),
    [anon_sym_implicit] = ACTIONS(3002),
    [anon_sym_inline] = ACTIONS(67),
    [anon_sym_infix] = ACTIONS(2374),
    [anon_sym_open] = ACTIONS(2374),
    [anon_sym_transparent] = ACTIONS(2374),
    [anon_sym_LPAREN] = ACTIONS(75),
    [anon_sym_macro] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(83),
    [sym_operator_identifier] = ACTIONS(85),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(95),
    [anon_sym_throw] = ACTIONS(97),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [910] = {
    [sym_inline_modifier] = STATE(2115),
    [sym__indentable_expression] = STATE(13861),
    [sym_block] = STATE(8041),
    [sym_indented_block] = STATE(12292),
    [sym_indented_cases] = STATE(12292),
    [sym_expression] = STATE(12256),
    [sym__simple_expression] = STATE(7311),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15577),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(10220),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10124),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6254),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(8727),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(910),
    [sym_block_comment] = STATE(910),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(603),
    [anon_sym_DASH] = ACTIONS(603),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(605),
    [anon_sym_while] = ACTIONS(607),
    [anon_sym_for] = ACTIONS(609),
    [anon_sym_try] = ACTIONS(611),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2192),
    [anon_sym_inline] = ACTIONS(1764),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(603),
    [anon_sym_TILDE] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(621),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(623),
    [anon_sym_throw] = ACTIONS(625),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [911] = {
    [sym_inline_modifier] = STATE(2114),
    [sym__indentable_expression] = STATE(13128),
    [sym_block] = STATE(8218),
    [sym_indented_block] = STATE(13075),
    [sym_indented_cases] = STATE(13075),
    [sym_expression] = STATE(12682),
    [sym__simple_expression] = STATE(7544),
    [sym_lambda_expression] = STATE(13097),
    [sym_if_expression] = STATE(13097),
    [sym_match_expression] = STATE(13097),
    [sym_try_expression] = STATE(13097),
    [sym_bindings] = STATE(15630),
    [sym_case_block] = STATE(8218),
    [sym_assignment_expression] = STATE(13097),
    [sym_generic_function] = STATE(8218),
    [sym_call_expression] = STATE(8218),
    [sym_field_expression] = STATE(8218),
    [sym_instance_expression] = STATE(8218),
    [sym_ascription_expression] = STATE(13097),
    [sym_infix_expression] = STATE(9424),
    [sym_postfix_expression] = STATE(12765),
    [sym__postfix_expression_choice] = STATE(16117),
    [sym_macro_body] = STATE(13097),
    [sym_prefix_expression] = STATE(10300),
    [sym_tuple_expression] = STATE(8218),
    [sym_parenthesized_expression] = STATE(8218),
    [sym_splice_expression] = STATE(8218),
    [sym_quote_expression] = STATE(8218),
    [sym_identifier] = STATE(7100),
    [sym__soft_identifier] = STATE(5752),
    [sym_wildcard] = STATE(9268),
    [sym__non_null_literal] = STATE(8218),
    [sym_boolean_literal] = STATE(8413),
    [sym_interpolated_string_expression] = STATE(8218),
    [sym_string] = STATE(8413),
    [sym_unit] = STATE(8218),
    [sym_return_expression] = STATE(13097),
    [sym_throw_expression] = STATE(13097),
    [sym_while_expression] = STATE(13097),
    [sym_do_while_expression] = STATE(13097),
    [sym_for_expression] = STATE(13097),
    [sym_comment] = STATE(911),
    [sym_block_comment] = STATE(911),
    [sym__alpha_identifier] = ACTIONS(1494),
    [anon_sym_LBRACE] = ACTIONS(1498),
    [anon_sym__] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1502),
    [anon_sym_end] = ACTIONS(1504),
    [anon_sym_if] = ACTIONS(2845),
    [anon_sym_while] = ACTIONS(2847),
    [anon_sym_for] = ACTIONS(2849),
    [anon_sym_try] = ACTIONS(2851),
    [anon_sym_new] = ACTIONS(1506),
    [anon_sym_opaque] = ACTIONS(1504),
    [anon_sym_implicit] = ACTIONS(2853),
    [anon_sym_inline] = ACTIONS(1508),
    [anon_sym_infix] = ACTIONS(1504),
    [anon_sym_open] = ACTIONS(1504),
    [anon_sym_transparent] = ACTIONS(1504),
    [anon_sym_LPAREN] = ACTIONS(1510),
    [anon_sym_macro] = ACTIONS(2054),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_TILDE] = ACTIONS(1502),
    [anon_sym_DOLLAR] = ACTIONS(1512),
    [anon_sym_SQUOTE] = ACTIONS(1514),
    [sym__backquoted_id] = ACTIONS(1516),
    [sym_operator_identifier] = ACTIONS(3314),
    [sym_integer_literal] = ACTIONS(1520),
    [sym_floating_point_literal] = ACTIONS(1522),
    [anon_sym_true] = ACTIONS(1524),
    [anon_sym_false] = ACTIONS(1524),
    [sym_character_literal] = ACTIONS(1522),
    [sym_null_literal] = ACTIONS(1526),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2062),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3316),
    [sym__simple_multiline_string] = ACTIONS(1528),
    [sym__simple_string] = ACTIONS(1528),
  },
  [912] = {
    [sym_inline_modifier] = STATE(2084),
    [sym__indentable_expression] = STATE(13634),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(8831),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15722),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10635),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(8641),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(10149),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(912),
    [sym_block_comment] = STATE(912),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2740),
    [anon_sym_while] = ACTIONS(2742),
    [anon_sym_for] = ACTIONS(2744),
    [anon_sym_try] = ACTIONS(2746),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2748),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3312),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2762),
    [anon_sym_throw] = ACTIONS(2764),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [913] = {
    [sym_inline_modifier] = STATE(2114),
    [sym__indentable_expression] = STATE(13799),
    [sym_block] = STATE(8218),
    [sym_indented_block] = STATE(13075),
    [sym_indented_cases] = STATE(13075),
    [sym_expression] = STATE(12682),
    [sym__simple_expression] = STATE(7544),
    [sym_lambda_expression] = STATE(13097),
    [sym_if_expression] = STATE(13097),
    [sym_match_expression] = STATE(13097),
    [sym_try_expression] = STATE(13097),
    [sym_bindings] = STATE(15630),
    [sym_case_block] = STATE(8218),
    [sym_assignment_expression] = STATE(13097),
    [sym_generic_function] = STATE(8218),
    [sym_call_expression] = STATE(8218),
    [sym_field_expression] = STATE(8218),
    [sym_instance_expression] = STATE(8218),
    [sym_ascription_expression] = STATE(13097),
    [sym_infix_expression] = STATE(9424),
    [sym_postfix_expression] = STATE(12765),
    [sym__postfix_expression_choice] = STATE(16117),
    [sym_macro_body] = STATE(13097),
    [sym_prefix_expression] = STATE(10300),
    [sym_tuple_expression] = STATE(8218),
    [sym_parenthesized_expression] = STATE(8218),
    [sym_splice_expression] = STATE(8218),
    [sym_quote_expression] = STATE(8218),
    [sym_identifier] = STATE(7100),
    [sym__soft_identifier] = STATE(5752),
    [sym_wildcard] = STATE(9268),
    [sym__non_null_literal] = STATE(8218),
    [sym_boolean_literal] = STATE(8413),
    [sym_interpolated_string_expression] = STATE(8218),
    [sym_string] = STATE(8413),
    [sym_unit] = STATE(8218),
    [sym_return_expression] = STATE(13097),
    [sym_throw_expression] = STATE(13097),
    [sym_while_expression] = STATE(13097),
    [sym_do_while_expression] = STATE(13097),
    [sym_for_expression] = STATE(13097),
    [sym_comment] = STATE(913),
    [sym_block_comment] = STATE(913),
    [sym__alpha_identifier] = ACTIONS(1494),
    [anon_sym_LBRACE] = ACTIONS(1498),
    [anon_sym__] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1502),
    [anon_sym_end] = ACTIONS(1504),
    [anon_sym_if] = ACTIONS(2845),
    [anon_sym_while] = ACTIONS(2847),
    [anon_sym_for] = ACTIONS(2849),
    [anon_sym_try] = ACTIONS(2851),
    [anon_sym_new] = ACTIONS(1506),
    [anon_sym_opaque] = ACTIONS(1504),
    [anon_sym_implicit] = ACTIONS(2853),
    [anon_sym_inline] = ACTIONS(1508),
    [anon_sym_infix] = ACTIONS(1504),
    [anon_sym_open] = ACTIONS(1504),
    [anon_sym_transparent] = ACTIONS(1504),
    [anon_sym_LPAREN] = ACTIONS(1510),
    [anon_sym_macro] = ACTIONS(2054),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_TILDE] = ACTIONS(1502),
    [anon_sym_DOLLAR] = ACTIONS(1512),
    [anon_sym_SQUOTE] = ACTIONS(1514),
    [sym__backquoted_id] = ACTIONS(1516),
    [sym_operator_identifier] = ACTIONS(3314),
    [sym_integer_literal] = ACTIONS(1520),
    [sym_floating_point_literal] = ACTIONS(1522),
    [anon_sym_true] = ACTIONS(1524),
    [anon_sym_false] = ACTIONS(1524),
    [sym_character_literal] = ACTIONS(1522),
    [sym_null_literal] = ACTIONS(1526),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2062),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3316),
    [sym__simple_multiline_string] = ACTIONS(1528),
    [sym__simple_string] = ACTIONS(1528),
  },
  [914] = {
    [sym_inline_modifier] = STATE(2125),
    [sym__indentable_expression] = STATE(13199),
    [sym_block] = STATE(6738),
    [sym_indented_block] = STATE(12372),
    [sym_indented_cases] = STATE(12372),
    [sym_expression] = STATE(12028),
    [sym__simple_expression] = STATE(5176),
    [sym_lambda_expression] = STATE(12430),
    [sym_if_expression] = STATE(12430),
    [sym_match_expression] = STATE(12430),
    [sym_try_expression] = STATE(12430),
    [sym_bindings] = STATE(15677),
    [sym_case_block] = STATE(6738),
    [sym_assignment_expression] = STATE(12430),
    [sym_generic_function] = STATE(6738),
    [sym_call_expression] = STATE(6738),
    [sym_field_expression] = STATE(6738),
    [sym_instance_expression] = STATE(6738),
    [sym_ascription_expression] = STATE(12430),
    [sym_infix_expression] = STATE(8389),
    [sym_postfix_expression] = STATE(11930),
    [sym__postfix_expression_choice] = STATE(15885),
    [sym_macro_body] = STATE(12430),
    [sym_prefix_expression] = STATE(9115),
    [sym_tuple_expression] = STATE(6738),
    [sym_parenthesized_expression] = STATE(6738),
    [sym_splice_expression] = STATE(6738),
    [sym_quote_expression] = STATE(6738),
    [sym_identifier] = STATE(4951),
    [sym__soft_identifier] = STATE(4943),
    [sym_wildcard] = STATE(7114),
    [sym__non_null_literal] = STATE(6738),
    [sym_boolean_literal] = STATE(7301),
    [sym_interpolated_string_expression] = STATE(6738),
    [sym_string] = STATE(7301),
    [sym_unit] = STATE(6738),
    [sym_return_expression] = STATE(12430),
    [sym_throw_expression] = STATE(12430),
    [sym_while_expression] = STATE(12430),
    [sym_do_while_expression] = STATE(12430),
    [sym_for_expression] = STATE(12430),
    [sym_comment] = STATE(914),
    [sym_block_comment] = STATE(914),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(1350),
    [anon_sym_while] = ACTIONS(1352),
    [anon_sym_for] = ACTIONS(1354),
    [anon_sym_try] = ACTIONS(1356),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(1358),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1360),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(1362),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(1364),
    [anon_sym_throw] = ACTIONS(1366),
    [anon_sym_do] = ACTIONS(1368),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2202),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [915] = {
    [sym_inline_modifier] = STATE(2284),
    [sym__indentable_expression] = STATE(13522),
    [sym_block] = STATE(9120),
    [sym_indented_block] = STATE(13388),
    [sym_indented_cases] = STATE(13388),
    [sym_expression] = STATE(13211),
    [sym__simple_expression] = STATE(6111),
    [sym_lambda_expression] = STATE(13422),
    [sym_if_expression] = STATE(13422),
    [sym_match_expression] = STATE(13422),
    [sym_try_expression] = STATE(13422),
    [sym_bindings] = STATE(15588),
    [sym_case_block] = STATE(9120),
    [sym_assignment_expression] = STATE(13422),
    [sym_generic_function] = STATE(9120),
    [sym_call_expression] = STATE(9120),
    [sym_field_expression] = STATE(9120),
    [sym_instance_expression] = STATE(9120),
    [sym_ascription_expression] = STATE(13422),
    [sym_infix_expression] = STATE(9820),
    [sym_postfix_expression] = STATE(13148),
    [sym__postfix_expression_choice] = STATE(15936),
    [sym_macro_body] = STATE(13422),
    [sym_prefix_expression] = STATE(9760),
    [sym_tuple_expression] = STATE(9120),
    [sym_parenthesized_expression] = STATE(9120),
    [sym_splice_expression] = STATE(9120),
    [sym_quote_expression] = STATE(9120),
    [sym_identifier] = STATE(5467),
    [sym__soft_identifier] = STATE(6470),
    [sym_wildcard] = STATE(8607),
    [sym__non_null_literal] = STATE(9120),
    [sym_boolean_literal] = STATE(8928),
    [sym_interpolated_string_expression] = STATE(9120),
    [sym_string] = STATE(8928),
    [sym_unit] = STATE(9120),
    [sym_return_expression] = STATE(13422),
    [sym_throw_expression] = STATE(13422),
    [sym_while_expression] = STATE(13422),
    [sym_do_while_expression] = STATE(13422),
    [sym_for_expression] = STATE(13422),
    [sym_comment] = STATE(915),
    [sym_block_comment] = STATE(915),
    [sym__alpha_identifier] = ACTIONS(1582),
    [anon_sym_LBRACE] = ACTIONS(1586),
    [anon_sym__] = ACTIONS(1588),
    [anon_sym_PLUS] = ACTIONS(1590),
    [anon_sym_DASH] = ACTIONS(1590),
    [anon_sym_end] = ACTIONS(1592),
    [anon_sym_if] = ACTIONS(3218),
    [anon_sym_while] = ACTIONS(2380),
    [anon_sym_for] = ACTIONS(2382),
    [anon_sym_try] = ACTIONS(2384),
    [anon_sym_new] = ACTIONS(1594),
    [anon_sym_opaque] = ACTIONS(1592),
    [anon_sym_implicit] = ACTIONS(2386),
    [anon_sym_inline] = ACTIONS(1596),
    [anon_sym_infix] = ACTIONS(1592),
    [anon_sym_open] = ACTIONS(1592),
    [anon_sym_transparent] = ACTIONS(1592),
    [anon_sym_LPAREN] = ACTIONS(1598),
    [anon_sym_macro] = ACTIONS(1874),
    [anon_sym_BANG] = ACTIONS(1590),
    [anon_sym_TILDE] = ACTIONS(1590),
    [anon_sym_DOLLAR] = ACTIONS(1600),
    [anon_sym_SQUOTE] = ACTIONS(1602),
    [sym__backquoted_id] = ACTIONS(1604),
    [sym_operator_identifier] = ACTIONS(2388),
    [sym_integer_literal] = ACTIONS(1608),
    [sym_floating_point_literal] = ACTIONS(1610),
    [anon_sym_true] = ACTIONS(1612),
    [anon_sym_false] = ACTIONS(1612),
    [sym_character_literal] = ACTIONS(1610),
    [sym_null_literal] = ACTIONS(1614),
    [anon_sym_return] = ACTIONS(2390),
    [anon_sym_throw] = ACTIONS(2392),
    [anon_sym_do] = ACTIONS(1882),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3282),
    [sym__simple_multiline_string] = ACTIONS(1616),
    [sym__simple_string] = ACTIONS(1616),
  },
  [916] = {
    [sym_inline_modifier] = STATE(2293),
    [sym__indentable_expression] = STATE(11848),
    [sym_block] = STATE(6703),
    [sym_indented_block] = STATE(12004),
    [sym_indented_cases] = STATE(12004),
    [sym_expression] = STATE(12171),
    [sym__simple_expression] = STATE(5444),
    [sym_lambda_expression] = STATE(12046),
    [sym_if_expression] = STATE(12046),
    [sym_match_expression] = STATE(12046),
    [sym_try_expression] = STATE(12046),
    [sym_bindings] = STATE(15592),
    [sym_case_block] = STATE(6703),
    [sym_assignment_expression] = STATE(12046),
    [sym_generic_function] = STATE(6703),
    [sym_call_expression] = STATE(6703),
    [sym_field_expression] = STATE(6703),
    [sym_instance_expression] = STATE(6703),
    [sym_ascription_expression] = STATE(12046),
    [sym_infix_expression] = STATE(8166),
    [sym_postfix_expression] = STATE(11496),
    [sym__postfix_expression_choice] = STATE(15827),
    [sym_macro_body] = STATE(12046),
    [sym_prefix_expression] = STATE(9361),
    [sym_tuple_expression] = STATE(6703),
    [sym_parenthesized_expression] = STATE(6703),
    [sym_splice_expression] = STATE(6703),
    [sym_quote_expression] = STATE(6703),
    [sym_identifier] = STATE(5281),
    [sym__soft_identifier] = STATE(4884),
    [sym_wildcard] = STATE(7456),
    [sym__non_null_literal] = STATE(6703),
    [sym_boolean_literal] = STATE(6780),
    [sym_interpolated_string_expression] = STATE(6703),
    [sym_string] = STATE(6780),
    [sym_unit] = STATE(6703),
    [sym_return_expression] = STATE(12046),
    [sym_throw_expression] = STATE(12046),
    [sym_while_expression] = STATE(12046),
    [sym_do_while_expression] = STATE(12046),
    [sym_for_expression] = STATE(12046),
    [sym_comment] = STATE(916),
    [sym_block_comment] = STATE(916),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(2410),
    [anon_sym_while] = ACTIONS(2178),
    [anon_sym_for] = ACTIONS(2180),
    [anon_sym_try] = ACTIONS(2182),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(2184),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1848),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(2186),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(2188),
    [anon_sym_throw] = ACTIONS(2190),
    [anon_sym_do] = ACTIONS(1856),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2234),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [917] = {
    [sym_inline_modifier] = STATE(2064),
    [sym__indentable_expression] = STATE(13625),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(8719),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15704),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10572),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(8565),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(10039),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(917),
    [sym_block_comment] = STATE(917),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(3246),
    [anon_sym_while] = ACTIONS(3248),
    [anon_sym_for] = ACTIONS(3250),
    [anon_sym_try] = ACTIONS(3252),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(3254),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3318),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(3259),
    [anon_sym_throw] = ACTIONS(3261),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [918] = {
    [sym_inline_modifier] = STATE(2293),
    [sym__indentable_expression] = STATE(11883),
    [sym_block] = STATE(6703),
    [sym_indented_block] = STATE(12004),
    [sym_indented_cases] = STATE(12004),
    [sym_expression] = STATE(12171),
    [sym__simple_expression] = STATE(5444),
    [sym_lambda_expression] = STATE(12046),
    [sym_if_expression] = STATE(12046),
    [sym_match_expression] = STATE(12046),
    [sym_try_expression] = STATE(12046),
    [sym_bindings] = STATE(15592),
    [sym_case_block] = STATE(6703),
    [sym_assignment_expression] = STATE(12046),
    [sym_generic_function] = STATE(6703),
    [sym_call_expression] = STATE(6703),
    [sym_field_expression] = STATE(6703),
    [sym_instance_expression] = STATE(6703),
    [sym_ascription_expression] = STATE(12046),
    [sym_infix_expression] = STATE(8166),
    [sym_postfix_expression] = STATE(11496),
    [sym__postfix_expression_choice] = STATE(15827),
    [sym_macro_body] = STATE(12046),
    [sym_prefix_expression] = STATE(9361),
    [sym_tuple_expression] = STATE(6703),
    [sym_parenthesized_expression] = STATE(6703),
    [sym_splice_expression] = STATE(6703),
    [sym_quote_expression] = STATE(6703),
    [sym_identifier] = STATE(5281),
    [sym__soft_identifier] = STATE(4884),
    [sym_wildcard] = STATE(7456),
    [sym__non_null_literal] = STATE(6703),
    [sym_boolean_literal] = STATE(6780),
    [sym_interpolated_string_expression] = STATE(6703),
    [sym_string] = STATE(6780),
    [sym_unit] = STATE(6703),
    [sym_return_expression] = STATE(12046),
    [sym_throw_expression] = STATE(12046),
    [sym_while_expression] = STATE(12046),
    [sym_do_while_expression] = STATE(12046),
    [sym_for_expression] = STATE(12046),
    [sym_comment] = STATE(918),
    [sym_block_comment] = STATE(918),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(2410),
    [anon_sym_while] = ACTIONS(2178),
    [anon_sym_for] = ACTIONS(2180),
    [anon_sym_try] = ACTIONS(2182),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(2184),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1848),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(2186),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(2188),
    [anon_sym_throw] = ACTIONS(2190),
    [anon_sym_do] = ACTIONS(1856),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2234),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [919] = {
    [sym_inline_modifier] = STATE(2293),
    [sym__indentable_expression] = STATE(11866),
    [sym_block] = STATE(6703),
    [sym_indented_block] = STATE(12004),
    [sym_indented_cases] = STATE(12004),
    [sym_expression] = STATE(12171),
    [sym__simple_expression] = STATE(5444),
    [sym_lambda_expression] = STATE(12046),
    [sym_if_expression] = STATE(12046),
    [sym_match_expression] = STATE(12046),
    [sym_try_expression] = STATE(12046),
    [sym_bindings] = STATE(15592),
    [sym_case_block] = STATE(6703),
    [sym_assignment_expression] = STATE(12046),
    [sym_generic_function] = STATE(6703),
    [sym_call_expression] = STATE(6703),
    [sym_field_expression] = STATE(6703),
    [sym_instance_expression] = STATE(6703),
    [sym_ascription_expression] = STATE(12046),
    [sym_infix_expression] = STATE(8166),
    [sym_postfix_expression] = STATE(11496),
    [sym__postfix_expression_choice] = STATE(15827),
    [sym_macro_body] = STATE(12046),
    [sym_prefix_expression] = STATE(9361),
    [sym_tuple_expression] = STATE(6703),
    [sym_parenthesized_expression] = STATE(6703),
    [sym_splice_expression] = STATE(6703),
    [sym_quote_expression] = STATE(6703),
    [sym_identifier] = STATE(5281),
    [sym__soft_identifier] = STATE(4884),
    [sym_wildcard] = STATE(7456),
    [sym__non_null_literal] = STATE(6703),
    [sym_boolean_literal] = STATE(6780),
    [sym_interpolated_string_expression] = STATE(6703),
    [sym_string] = STATE(6780),
    [sym_unit] = STATE(6703),
    [sym_return_expression] = STATE(12046),
    [sym_throw_expression] = STATE(12046),
    [sym_while_expression] = STATE(12046),
    [sym_do_while_expression] = STATE(12046),
    [sym_for_expression] = STATE(12046),
    [sym_comment] = STATE(919),
    [sym_block_comment] = STATE(919),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(2410),
    [anon_sym_while] = ACTIONS(2178),
    [anon_sym_for] = ACTIONS(2180),
    [anon_sym_try] = ACTIONS(2182),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(2184),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1848),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(2186),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(2188),
    [anon_sym_throw] = ACTIONS(2190),
    [anon_sym_do] = ACTIONS(1856),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2234),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [920] = {
    [sym_inline_modifier] = STATE(2293),
    [sym__indentable_expression] = STATE(12067),
    [sym_block] = STATE(6703),
    [sym_indented_block] = STATE(12004),
    [sym_indented_cases] = STATE(12004),
    [sym_expression] = STATE(12171),
    [sym__simple_expression] = STATE(5444),
    [sym_lambda_expression] = STATE(12046),
    [sym_if_expression] = STATE(12046),
    [sym_match_expression] = STATE(12046),
    [sym_try_expression] = STATE(12046),
    [sym_bindings] = STATE(15592),
    [sym_case_block] = STATE(6703),
    [sym_assignment_expression] = STATE(12046),
    [sym_generic_function] = STATE(6703),
    [sym_call_expression] = STATE(6703),
    [sym_field_expression] = STATE(6703),
    [sym_instance_expression] = STATE(6703),
    [sym_ascription_expression] = STATE(12046),
    [sym_infix_expression] = STATE(8166),
    [sym_postfix_expression] = STATE(11496),
    [sym__postfix_expression_choice] = STATE(15827),
    [sym_macro_body] = STATE(12046),
    [sym_prefix_expression] = STATE(9361),
    [sym_tuple_expression] = STATE(6703),
    [sym_parenthesized_expression] = STATE(6703),
    [sym_splice_expression] = STATE(6703),
    [sym_quote_expression] = STATE(6703),
    [sym_identifier] = STATE(5281),
    [sym__soft_identifier] = STATE(4884),
    [sym_wildcard] = STATE(7456),
    [sym__non_null_literal] = STATE(6703),
    [sym_boolean_literal] = STATE(6780),
    [sym_interpolated_string_expression] = STATE(6703),
    [sym_string] = STATE(6780),
    [sym_unit] = STATE(6703),
    [sym_return_expression] = STATE(12046),
    [sym_throw_expression] = STATE(12046),
    [sym_while_expression] = STATE(12046),
    [sym_do_while_expression] = STATE(12046),
    [sym_for_expression] = STATE(12046),
    [sym_comment] = STATE(920),
    [sym_block_comment] = STATE(920),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(2410),
    [anon_sym_while] = ACTIONS(2178),
    [anon_sym_for] = ACTIONS(2180),
    [anon_sym_try] = ACTIONS(2182),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(2184),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1848),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(2186),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(2188),
    [anon_sym_throw] = ACTIONS(2190),
    [anon_sym_do] = ACTIONS(1856),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2234),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [921] = {
    [sym_inline_modifier] = STATE(2115),
    [sym__indentable_expression] = STATE(13803),
    [sym_block] = STATE(8041),
    [sym_indented_block] = STATE(12292),
    [sym_indented_cases] = STATE(12292),
    [sym_expression] = STATE(12256),
    [sym__simple_expression] = STATE(7311),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15577),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(10220),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10124),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6254),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(8727),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(921),
    [sym_block_comment] = STATE(921),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(603),
    [anon_sym_DASH] = ACTIONS(603),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(605),
    [anon_sym_while] = ACTIONS(607),
    [anon_sym_for] = ACTIONS(609),
    [anon_sym_try] = ACTIONS(611),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2192),
    [anon_sym_inline] = ACTIONS(1764),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(603),
    [anon_sym_TILDE] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(621),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(623),
    [anon_sym_throw] = ACTIONS(625),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [922] = {
    [sym_inline_modifier] = STATE(2269),
    [sym__indentable_expression] = STATE(12843),
    [sym_block] = STATE(8070),
    [sym_indented_block] = STATE(12700),
    [sym_indented_cases] = STATE(12700),
    [sym_expression] = STATE(12581),
    [sym__simple_expression] = STATE(5679),
    [sym_lambda_expression] = STATE(12742),
    [sym_if_expression] = STATE(12742),
    [sym_match_expression] = STATE(12742),
    [sym_try_expression] = STATE(12742),
    [sym_bindings] = STATE(15536),
    [sym_case_block] = STATE(8070),
    [sym_assignment_expression] = STATE(12742),
    [sym_generic_function] = STATE(8070),
    [sym_call_expression] = STATE(8070),
    [sym_field_expression] = STATE(8070),
    [sym_instance_expression] = STATE(8070),
    [sym_ascription_expression] = STATE(12742),
    [sym_infix_expression] = STATE(8913),
    [sym_postfix_expression] = STATE(12343),
    [sym__postfix_expression_choice] = STATE(16230),
    [sym_macro_body] = STATE(12742),
    [sym_prefix_expression] = STATE(9483),
    [sym_tuple_expression] = STATE(8070),
    [sym_parenthesized_expression] = STATE(8070),
    [sym_splice_expression] = STATE(8070),
    [sym_quote_expression] = STATE(8070),
    [sym_identifier] = STATE(4999),
    [sym__soft_identifier] = STATE(5234),
    [sym_wildcard] = STATE(8075),
    [sym__non_null_literal] = STATE(8070),
    [sym_boolean_literal] = STATE(8055),
    [sym_interpolated_string_expression] = STATE(8070),
    [sym_string] = STATE(8055),
    [sym_unit] = STATE(8070),
    [sym_return_expression] = STATE(12742),
    [sym_throw_expression] = STATE(12742),
    [sym_while_expression] = STATE(12742),
    [sym_do_while_expression] = STATE(12742),
    [sym_for_expression] = STATE(12742),
    [sym_comment] = STATE(922),
    [sym_block_comment] = STATE(922),
    [sym__alpha_identifier] = ACTIONS(1314),
    [anon_sym_LBRACE] = ACTIONS(1318),
    [anon_sym__] = ACTIONS(1320),
    [anon_sym_PLUS] = ACTIONS(1322),
    [anon_sym_DASH] = ACTIONS(1322),
    [anon_sym_end] = ACTIONS(1324),
    [anon_sym_if] = ACTIONS(1730),
    [anon_sym_while] = ACTIONS(1732),
    [anon_sym_for] = ACTIONS(1734),
    [anon_sym_try] = ACTIONS(1736),
    [anon_sym_new] = ACTIONS(1326),
    [anon_sym_opaque] = ACTIONS(1324),
    [anon_sym_implicit] = ACTIONS(1738),
    [anon_sym_inline] = ACTIONS(1328),
    [anon_sym_infix] = ACTIONS(1324),
    [anon_sym_open] = ACTIONS(1324),
    [anon_sym_transparent] = ACTIONS(1324),
    [anon_sym_LPAREN] = ACTIONS(1330),
    [anon_sym_macro] = ACTIONS(1740),
    [anon_sym_BANG] = ACTIONS(1322),
    [anon_sym_TILDE] = ACTIONS(1322),
    [anon_sym_DOLLAR] = ACTIONS(1332),
    [anon_sym_SQUOTE] = ACTIONS(1334),
    [sym__backquoted_id] = ACTIONS(1336),
    [sym_operator_identifier] = ACTIONS(1742),
    [sym_integer_literal] = ACTIONS(1340),
    [sym_floating_point_literal] = ACTIONS(1342),
    [anon_sym_true] = ACTIONS(1344),
    [anon_sym_false] = ACTIONS(1344),
    [sym_character_literal] = ACTIONS(1342),
    [sym_null_literal] = ACTIONS(1346),
    [anon_sym_return] = ACTIONS(1744),
    [anon_sym_throw] = ACTIONS(1746),
    [anon_sym_do] = ACTIONS(1748),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2158),
    [sym__simple_multiline_string] = ACTIONS(1348),
    [sym__simple_string] = ACTIONS(1348),
  },
  [923] = {
    [sym_inline_modifier] = STATE(2067),
    [sym__indentable_expression] = STATE(13804),
    [sym_block] = STATE(10133),
    [sym_indented_block] = STATE(12292),
    [sym_indented_cases] = STATE(12292),
    [sym_expression] = STATE(13765),
    [sym__simple_expression] = STATE(7525),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15728),
    [sym_case_block] = STATE(10133),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(10133),
    [sym_call_expression] = STATE(10133),
    [sym_field_expression] = STATE(10133),
    [sym_instance_expression] = STATE(10133),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(10489),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(17114),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10321),
    [sym_tuple_expression] = STATE(10133),
    [sym_parenthesized_expression] = STATE(10133),
    [sym_splice_expression] = STATE(10133),
    [sym_quote_expression] = STATE(10133),
    [sym_identifier] = STATE(7070),
    [sym__soft_identifier] = STATE(4482),
    [sym_wildcard] = STATE(9321),
    [sym__non_null_literal] = STATE(10133),
    [sym_boolean_literal] = STATE(7065),
    [sym_interpolated_string_expression] = STATE(10133),
    [sym_string] = STATE(7065),
    [sym_unit] = STATE(10133),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(923),
    [sym_block_comment] = STATE(923),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_end] = ACTIONS(2374),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_opaque] = ACTIONS(2374),
    [anon_sym_implicit] = ACTIONS(3002),
    [anon_sym_inline] = ACTIONS(67),
    [anon_sym_infix] = ACTIONS(2374),
    [anon_sym_open] = ACTIONS(2374),
    [anon_sym_transparent] = ACTIONS(2374),
    [anon_sym_LPAREN] = ACTIONS(75),
    [anon_sym_macro] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(83),
    [sym_operator_identifier] = ACTIONS(85),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(95),
    [anon_sym_throw] = ACTIONS(97),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [924] = {
    [sym_inline_modifier] = STATE(2084),
    [sym__indentable_expression] = STATE(16441),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(8831),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15722),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10635),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(695),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(8641),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(10149),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(924),
    [sym_block_comment] = STATE(924),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2740),
    [anon_sym_while] = ACTIONS(2742),
    [anon_sym_for] = ACTIONS(2744),
    [anon_sym_try] = ACTIONS(2746),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2748),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3310),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3312),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2762),
    [anon_sym_throw] = ACTIONS(2764),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [925] = {
    [sym_inline_modifier] = STATE(2269),
    [sym__indentable_expression] = STATE(12835),
    [sym_block] = STATE(8070),
    [sym_indented_block] = STATE(12700),
    [sym_indented_cases] = STATE(12700),
    [sym_expression] = STATE(12581),
    [sym__simple_expression] = STATE(5679),
    [sym_lambda_expression] = STATE(12742),
    [sym_if_expression] = STATE(12742),
    [sym_match_expression] = STATE(12742),
    [sym_try_expression] = STATE(12742),
    [sym_bindings] = STATE(15536),
    [sym_case_block] = STATE(8070),
    [sym_assignment_expression] = STATE(12742),
    [sym_generic_function] = STATE(8070),
    [sym_call_expression] = STATE(8070),
    [sym_field_expression] = STATE(8070),
    [sym_instance_expression] = STATE(8070),
    [sym_ascription_expression] = STATE(12742),
    [sym_infix_expression] = STATE(8913),
    [sym_postfix_expression] = STATE(12343),
    [sym__postfix_expression_choice] = STATE(16230),
    [sym_macro_body] = STATE(12742),
    [sym_prefix_expression] = STATE(9483),
    [sym_tuple_expression] = STATE(8070),
    [sym_parenthesized_expression] = STATE(8070),
    [sym_splice_expression] = STATE(8070),
    [sym_quote_expression] = STATE(8070),
    [sym_identifier] = STATE(4999),
    [sym__soft_identifier] = STATE(5234),
    [sym_wildcard] = STATE(8075),
    [sym__non_null_literal] = STATE(8070),
    [sym_boolean_literal] = STATE(8055),
    [sym_interpolated_string_expression] = STATE(8070),
    [sym_string] = STATE(8055),
    [sym_unit] = STATE(8070),
    [sym_return_expression] = STATE(12742),
    [sym_throw_expression] = STATE(12742),
    [sym_while_expression] = STATE(12742),
    [sym_do_while_expression] = STATE(12742),
    [sym_for_expression] = STATE(12742),
    [sym_comment] = STATE(925),
    [sym_block_comment] = STATE(925),
    [sym__alpha_identifier] = ACTIONS(1314),
    [anon_sym_LBRACE] = ACTIONS(1318),
    [anon_sym__] = ACTIONS(1320),
    [anon_sym_PLUS] = ACTIONS(1322),
    [anon_sym_DASH] = ACTIONS(1322),
    [anon_sym_end] = ACTIONS(1324),
    [anon_sym_if] = ACTIONS(1730),
    [anon_sym_while] = ACTIONS(1732),
    [anon_sym_for] = ACTIONS(1734),
    [anon_sym_try] = ACTIONS(1736),
    [anon_sym_new] = ACTIONS(1326),
    [anon_sym_opaque] = ACTIONS(1324),
    [anon_sym_implicit] = ACTIONS(1738),
    [anon_sym_inline] = ACTIONS(1328),
    [anon_sym_infix] = ACTIONS(1324),
    [anon_sym_open] = ACTIONS(1324),
    [anon_sym_transparent] = ACTIONS(1324),
    [anon_sym_LPAREN] = ACTIONS(1330),
    [anon_sym_macro] = ACTIONS(1740),
    [anon_sym_BANG] = ACTIONS(1322),
    [anon_sym_TILDE] = ACTIONS(1322),
    [anon_sym_DOLLAR] = ACTIONS(1332),
    [anon_sym_SQUOTE] = ACTIONS(1334),
    [sym__backquoted_id] = ACTIONS(1336),
    [sym_operator_identifier] = ACTIONS(1742),
    [sym_integer_literal] = ACTIONS(1340),
    [sym_floating_point_literal] = ACTIONS(1342),
    [anon_sym_true] = ACTIONS(1344),
    [anon_sym_false] = ACTIONS(1344),
    [sym_character_literal] = ACTIONS(1342),
    [sym_null_literal] = ACTIONS(1346),
    [anon_sym_return] = ACTIONS(1744),
    [anon_sym_throw] = ACTIONS(1746),
    [anon_sym_do] = ACTIONS(1748),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2158),
    [sym__simple_multiline_string] = ACTIONS(1348),
    [sym__simple_string] = ACTIONS(1348),
  },
  [926] = {
    [sym_inline_modifier] = STATE(2067),
    [sym__indentable_expression] = STATE(13803),
    [sym_block] = STATE(10133),
    [sym_indented_block] = STATE(12292),
    [sym_indented_cases] = STATE(12292),
    [sym_expression] = STATE(13765),
    [sym__simple_expression] = STATE(7525),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15728),
    [sym_case_block] = STATE(10133),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(10133),
    [sym_call_expression] = STATE(10133),
    [sym_field_expression] = STATE(10133),
    [sym_instance_expression] = STATE(10133),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(10489),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(17114),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10321),
    [sym_tuple_expression] = STATE(10133),
    [sym_parenthesized_expression] = STATE(10133),
    [sym_splice_expression] = STATE(10133),
    [sym_quote_expression] = STATE(10133),
    [sym_identifier] = STATE(7070),
    [sym__soft_identifier] = STATE(4482),
    [sym_wildcard] = STATE(9321),
    [sym__non_null_literal] = STATE(10133),
    [sym_boolean_literal] = STATE(7065),
    [sym_interpolated_string_expression] = STATE(10133),
    [sym_string] = STATE(7065),
    [sym_unit] = STATE(10133),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(926),
    [sym_block_comment] = STATE(926),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_end] = ACTIONS(2374),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_opaque] = ACTIONS(2374),
    [anon_sym_implicit] = ACTIONS(3002),
    [anon_sym_inline] = ACTIONS(67),
    [anon_sym_infix] = ACTIONS(2374),
    [anon_sym_open] = ACTIONS(2374),
    [anon_sym_transparent] = ACTIONS(2374),
    [anon_sym_LPAREN] = ACTIONS(75),
    [anon_sym_macro] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(83),
    [sym_operator_identifier] = ACTIONS(85),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(95),
    [anon_sym_throw] = ACTIONS(97),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [927] = {
    [sym_inline_modifier] = STATE(2269),
    [sym__indentable_expression] = STATE(12828),
    [sym_block] = STATE(8070),
    [sym_indented_block] = STATE(12700),
    [sym_indented_cases] = STATE(12700),
    [sym_expression] = STATE(12581),
    [sym__simple_expression] = STATE(5679),
    [sym_lambda_expression] = STATE(12742),
    [sym_if_expression] = STATE(12742),
    [sym_match_expression] = STATE(12742),
    [sym_try_expression] = STATE(12742),
    [sym_bindings] = STATE(15536),
    [sym_case_block] = STATE(8070),
    [sym_assignment_expression] = STATE(12742),
    [sym_generic_function] = STATE(8070),
    [sym_call_expression] = STATE(8070),
    [sym_field_expression] = STATE(8070),
    [sym_instance_expression] = STATE(8070),
    [sym_ascription_expression] = STATE(12742),
    [sym_infix_expression] = STATE(8913),
    [sym_postfix_expression] = STATE(12343),
    [sym__postfix_expression_choice] = STATE(16230),
    [sym_macro_body] = STATE(12742),
    [sym_prefix_expression] = STATE(9483),
    [sym_tuple_expression] = STATE(8070),
    [sym_parenthesized_expression] = STATE(8070),
    [sym_splice_expression] = STATE(8070),
    [sym_quote_expression] = STATE(8070),
    [sym_identifier] = STATE(4999),
    [sym__soft_identifier] = STATE(5234),
    [sym_wildcard] = STATE(8075),
    [sym__non_null_literal] = STATE(8070),
    [sym_boolean_literal] = STATE(8055),
    [sym_interpolated_string_expression] = STATE(8070),
    [sym_string] = STATE(8055),
    [sym_unit] = STATE(8070),
    [sym_return_expression] = STATE(12742),
    [sym_throw_expression] = STATE(12742),
    [sym_while_expression] = STATE(12742),
    [sym_do_while_expression] = STATE(12742),
    [sym_for_expression] = STATE(12742),
    [sym_comment] = STATE(927),
    [sym_block_comment] = STATE(927),
    [sym__alpha_identifier] = ACTIONS(1314),
    [anon_sym_LBRACE] = ACTIONS(1318),
    [anon_sym__] = ACTIONS(1320),
    [anon_sym_PLUS] = ACTIONS(1322),
    [anon_sym_DASH] = ACTIONS(1322),
    [anon_sym_end] = ACTIONS(1324),
    [anon_sym_if] = ACTIONS(1730),
    [anon_sym_while] = ACTIONS(1732),
    [anon_sym_for] = ACTIONS(1734),
    [anon_sym_try] = ACTIONS(1736),
    [anon_sym_new] = ACTIONS(1326),
    [anon_sym_opaque] = ACTIONS(1324),
    [anon_sym_implicit] = ACTIONS(1738),
    [anon_sym_inline] = ACTIONS(1328),
    [anon_sym_infix] = ACTIONS(1324),
    [anon_sym_open] = ACTIONS(1324),
    [anon_sym_transparent] = ACTIONS(1324),
    [anon_sym_LPAREN] = ACTIONS(1330),
    [anon_sym_macro] = ACTIONS(1740),
    [anon_sym_BANG] = ACTIONS(1322),
    [anon_sym_TILDE] = ACTIONS(1322),
    [anon_sym_DOLLAR] = ACTIONS(1332),
    [anon_sym_SQUOTE] = ACTIONS(1334),
    [sym__backquoted_id] = ACTIONS(1336),
    [sym_operator_identifier] = ACTIONS(1742),
    [sym_integer_literal] = ACTIONS(1340),
    [sym_floating_point_literal] = ACTIONS(1342),
    [anon_sym_true] = ACTIONS(1344),
    [anon_sym_false] = ACTIONS(1344),
    [sym_character_literal] = ACTIONS(1342),
    [sym_null_literal] = ACTIONS(1346),
    [anon_sym_return] = ACTIONS(1744),
    [anon_sym_throw] = ACTIONS(1746),
    [anon_sym_do] = ACTIONS(1748),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2158),
    [sym__simple_multiline_string] = ACTIONS(1348),
    [sym__simple_string] = ACTIONS(1348),
  },
  [928] = {
    [sym_inline_modifier] = STATE(2114),
    [sym__indentable_expression] = STATE(13873),
    [sym_block] = STATE(8218),
    [sym_indented_block] = STATE(13075),
    [sym_indented_cases] = STATE(13075),
    [sym_expression] = STATE(12682),
    [sym__simple_expression] = STATE(7544),
    [sym_lambda_expression] = STATE(13097),
    [sym_if_expression] = STATE(13097),
    [sym_match_expression] = STATE(13097),
    [sym_try_expression] = STATE(13097),
    [sym_bindings] = STATE(15630),
    [sym_case_block] = STATE(8218),
    [sym_assignment_expression] = STATE(13097),
    [sym_generic_function] = STATE(8218),
    [sym_call_expression] = STATE(8218),
    [sym_field_expression] = STATE(8218),
    [sym_instance_expression] = STATE(8218),
    [sym_ascription_expression] = STATE(13097),
    [sym_infix_expression] = STATE(9424),
    [sym_postfix_expression] = STATE(12765),
    [sym__postfix_expression_choice] = STATE(16117),
    [sym_macro_body] = STATE(13097),
    [sym_prefix_expression] = STATE(10300),
    [sym_tuple_expression] = STATE(8218),
    [sym_parenthesized_expression] = STATE(8218),
    [sym_splice_expression] = STATE(8218),
    [sym_quote_expression] = STATE(8218),
    [sym_identifier] = STATE(7100),
    [sym__soft_identifier] = STATE(5752),
    [sym_wildcard] = STATE(9268),
    [sym__non_null_literal] = STATE(8218),
    [sym_boolean_literal] = STATE(8413),
    [sym_interpolated_string_expression] = STATE(8218),
    [sym_string] = STATE(8413),
    [sym_unit] = STATE(8218),
    [sym_return_expression] = STATE(13097),
    [sym_throw_expression] = STATE(13097),
    [sym_while_expression] = STATE(13097),
    [sym_do_while_expression] = STATE(13097),
    [sym_for_expression] = STATE(13097),
    [sym_comment] = STATE(928),
    [sym_block_comment] = STATE(928),
    [sym__alpha_identifier] = ACTIONS(1494),
    [anon_sym_LBRACE] = ACTIONS(1498),
    [anon_sym__] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1502),
    [anon_sym_end] = ACTIONS(1504),
    [anon_sym_if] = ACTIONS(2845),
    [anon_sym_while] = ACTIONS(2847),
    [anon_sym_for] = ACTIONS(2849),
    [anon_sym_try] = ACTIONS(2851),
    [anon_sym_new] = ACTIONS(1506),
    [anon_sym_opaque] = ACTIONS(1504),
    [anon_sym_implicit] = ACTIONS(2853),
    [anon_sym_inline] = ACTIONS(1508),
    [anon_sym_infix] = ACTIONS(1504),
    [anon_sym_open] = ACTIONS(1504),
    [anon_sym_transparent] = ACTIONS(1504),
    [anon_sym_LPAREN] = ACTIONS(1510),
    [anon_sym_macro] = ACTIONS(2054),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_TILDE] = ACTIONS(1502),
    [anon_sym_DOLLAR] = ACTIONS(1512),
    [anon_sym_SQUOTE] = ACTIONS(1514),
    [sym__backquoted_id] = ACTIONS(1516),
    [sym_operator_identifier] = ACTIONS(3314),
    [sym_integer_literal] = ACTIONS(1520),
    [sym_floating_point_literal] = ACTIONS(1522),
    [anon_sym_true] = ACTIONS(1524),
    [anon_sym_false] = ACTIONS(1524),
    [sym_character_literal] = ACTIONS(1522),
    [sym_null_literal] = ACTIONS(1526),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2062),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3316),
    [sym__simple_multiline_string] = ACTIONS(1528),
    [sym__simple_string] = ACTIONS(1528),
  },
  [929] = {
    [sym_inline_modifier] = STATE(2259),
    [sym__indentable_expression] = STATE(12635),
    [sym_block] = STATE(8070),
    [sym_indented_block] = STATE(12700),
    [sym_indented_cases] = STATE(12700),
    [sym_expression] = STATE(12581),
    [sym__simple_expression] = STATE(7077),
    [sym_lambda_expression] = STATE(12742),
    [sym_if_expression] = STATE(12742),
    [sym_match_expression] = STATE(12742),
    [sym_try_expression] = STATE(12742),
    [sym_bindings] = STATE(15598),
    [sym_case_block] = STATE(8070),
    [sym_assignment_expression] = STATE(12742),
    [sym_generic_function] = STATE(8070),
    [sym_call_expression] = STATE(8070),
    [sym_field_expression] = STATE(8070),
    [sym_instance_expression] = STATE(8070),
    [sym_ascription_expression] = STATE(12742),
    [sym_infix_expression] = STATE(8913),
    [sym_postfix_expression] = STATE(12343),
    [sym__postfix_expression_choice] = STATE(16230),
    [sym_macro_body] = STATE(12742),
    [sym_prefix_expression] = STATE(10037),
    [sym_tuple_expression] = STATE(8070),
    [sym_parenthesized_expression] = STATE(8070),
    [sym_splice_expression] = STATE(8070),
    [sym_quote_expression] = STATE(8070),
    [sym_identifier] = STATE(6308),
    [sym__soft_identifier] = STATE(5234),
    [sym_wildcard] = STATE(8710),
    [sym__non_null_literal] = STATE(8070),
    [sym_boolean_literal] = STATE(8055),
    [sym_interpolated_string_expression] = STATE(8070),
    [sym_string] = STATE(8055),
    [sym_unit] = STATE(8070),
    [sym_return_expression] = STATE(12742),
    [sym_throw_expression] = STATE(12742),
    [sym_while_expression] = STATE(12742),
    [sym_do_while_expression] = STATE(12742),
    [sym_for_expression] = STATE(12742),
    [sym_comment] = STATE(929),
    [sym_block_comment] = STATE(929),
    [sym__alpha_identifier] = ACTIONS(1314),
    [anon_sym_LBRACE] = ACTIONS(1318),
    [anon_sym__] = ACTIONS(1320),
    [anon_sym_PLUS] = ACTIONS(1322),
    [anon_sym_DASH] = ACTIONS(1322),
    [anon_sym_end] = ACTIONS(1324),
    [anon_sym_if] = ACTIONS(2486),
    [anon_sym_while] = ACTIONS(2488),
    [anon_sym_for] = ACTIONS(2490),
    [anon_sym_try] = ACTIONS(2492),
    [anon_sym_new] = ACTIONS(1326),
    [anon_sym_opaque] = ACTIONS(1324),
    [anon_sym_implicit] = ACTIONS(2494),
    [anon_sym_inline] = ACTIONS(1328),
    [anon_sym_infix] = ACTIONS(1324),
    [anon_sym_open] = ACTIONS(1324),
    [anon_sym_transparent] = ACTIONS(1324),
    [anon_sym_LPAREN] = ACTIONS(1330),
    [anon_sym_macro] = ACTIONS(1740),
    [anon_sym_BANG] = ACTIONS(1322),
    [anon_sym_TILDE] = ACTIONS(1322),
    [anon_sym_DOLLAR] = ACTIONS(1332),
    [anon_sym_SQUOTE] = ACTIONS(1334),
    [sym__backquoted_id] = ACTIONS(1336),
    [sym_operator_identifier] = ACTIONS(2496),
    [sym_integer_literal] = ACTIONS(1340),
    [sym_floating_point_literal] = ACTIONS(1342),
    [anon_sym_true] = ACTIONS(1344),
    [anon_sym_false] = ACTIONS(1344),
    [sym_character_literal] = ACTIONS(1342),
    [sym_null_literal] = ACTIONS(1346),
    [anon_sym_return] = ACTIONS(2498),
    [anon_sym_throw] = ACTIONS(2500),
    [anon_sym_do] = ACTIONS(1748),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2158),
    [sym__simple_multiline_string] = ACTIONS(1348),
    [sym__simple_string] = ACTIONS(1348),
  },
  [930] = {
    [sym_inline_modifier] = STATE(2084),
    [sym__indentable_expression] = STATE(16579),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(8831),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15722),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10635),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(787),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(8641),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(10149),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(930),
    [sym_block_comment] = STATE(930),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2740),
    [anon_sym_while] = ACTIONS(2742),
    [anon_sym_for] = ACTIONS(2744),
    [anon_sym_try] = ACTIONS(2746),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2748),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3310),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3312),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2762),
    [anon_sym_throw] = ACTIONS(2764),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [931] = {
    [sym_inline_modifier] = STATE(2076),
    [sym__indentable_expression] = STATE(13524),
    [sym_block] = STATE(9327),
    [sym_indented_block] = STATE(13548),
    [sym_indented_cases] = STATE(13548),
    [sym_expression] = STATE(13406),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(931),
    [sym_block_comment] = STATE(931),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(3109),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [932] = {
    [sym_inline_modifier] = STATE(2269),
    [sym__indentable_expression] = STATE(12823),
    [sym_block] = STATE(8070),
    [sym_indented_block] = STATE(12700),
    [sym_indented_cases] = STATE(12700),
    [sym_expression] = STATE(12581),
    [sym__simple_expression] = STATE(5679),
    [sym_lambda_expression] = STATE(12742),
    [sym_if_expression] = STATE(12742),
    [sym_match_expression] = STATE(12742),
    [sym_try_expression] = STATE(12742),
    [sym_bindings] = STATE(15536),
    [sym_case_block] = STATE(8070),
    [sym_assignment_expression] = STATE(12742),
    [sym_generic_function] = STATE(8070),
    [sym_call_expression] = STATE(8070),
    [sym_field_expression] = STATE(8070),
    [sym_instance_expression] = STATE(8070),
    [sym_ascription_expression] = STATE(12742),
    [sym_infix_expression] = STATE(8913),
    [sym_postfix_expression] = STATE(12343),
    [sym__postfix_expression_choice] = STATE(16230),
    [sym_macro_body] = STATE(12742),
    [sym_prefix_expression] = STATE(9483),
    [sym_tuple_expression] = STATE(8070),
    [sym_parenthesized_expression] = STATE(8070),
    [sym_splice_expression] = STATE(8070),
    [sym_quote_expression] = STATE(8070),
    [sym_identifier] = STATE(4999),
    [sym__soft_identifier] = STATE(5234),
    [sym_wildcard] = STATE(8075),
    [sym__non_null_literal] = STATE(8070),
    [sym_boolean_literal] = STATE(8055),
    [sym_interpolated_string_expression] = STATE(8070),
    [sym_string] = STATE(8055),
    [sym_unit] = STATE(8070),
    [sym_return_expression] = STATE(12742),
    [sym_throw_expression] = STATE(12742),
    [sym_while_expression] = STATE(12742),
    [sym_do_while_expression] = STATE(12742),
    [sym_for_expression] = STATE(12742),
    [sym_comment] = STATE(932),
    [sym_block_comment] = STATE(932),
    [sym__alpha_identifier] = ACTIONS(1314),
    [anon_sym_LBRACE] = ACTIONS(1318),
    [anon_sym__] = ACTIONS(1320),
    [anon_sym_PLUS] = ACTIONS(1322),
    [anon_sym_DASH] = ACTIONS(1322),
    [anon_sym_end] = ACTIONS(1324),
    [anon_sym_if] = ACTIONS(1730),
    [anon_sym_while] = ACTIONS(1732),
    [anon_sym_for] = ACTIONS(1734),
    [anon_sym_try] = ACTIONS(1736),
    [anon_sym_new] = ACTIONS(1326),
    [anon_sym_opaque] = ACTIONS(1324),
    [anon_sym_implicit] = ACTIONS(1738),
    [anon_sym_inline] = ACTIONS(1328),
    [anon_sym_infix] = ACTIONS(1324),
    [anon_sym_open] = ACTIONS(1324),
    [anon_sym_transparent] = ACTIONS(1324),
    [anon_sym_LPAREN] = ACTIONS(1330),
    [anon_sym_macro] = ACTIONS(1740),
    [anon_sym_BANG] = ACTIONS(1322),
    [anon_sym_TILDE] = ACTIONS(1322),
    [anon_sym_DOLLAR] = ACTIONS(1332),
    [anon_sym_SQUOTE] = ACTIONS(1334),
    [sym__backquoted_id] = ACTIONS(1336),
    [sym_operator_identifier] = ACTIONS(1742),
    [sym_integer_literal] = ACTIONS(1340),
    [sym_floating_point_literal] = ACTIONS(1342),
    [anon_sym_true] = ACTIONS(1344),
    [anon_sym_false] = ACTIONS(1344),
    [sym_character_literal] = ACTIONS(1342),
    [sym_null_literal] = ACTIONS(1346),
    [anon_sym_return] = ACTIONS(1744),
    [anon_sym_throw] = ACTIONS(1746),
    [anon_sym_do] = ACTIONS(1748),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2158),
    [sym__simple_multiline_string] = ACTIONS(1348),
    [sym__simple_string] = ACTIONS(1348),
  },
  [933] = {
    [sym_inline_modifier] = STATE(2114),
    [sym__indentable_expression] = STATE(13036),
    [sym_block] = STATE(8218),
    [sym_indented_block] = STATE(13075),
    [sym_indented_cases] = STATE(13075),
    [sym_expression] = STATE(12682),
    [sym__simple_expression] = STATE(7544),
    [sym_lambda_expression] = STATE(13097),
    [sym_if_expression] = STATE(13097),
    [sym_match_expression] = STATE(13097),
    [sym_try_expression] = STATE(13097),
    [sym_bindings] = STATE(15630),
    [sym_case_block] = STATE(8218),
    [sym_assignment_expression] = STATE(13097),
    [sym_generic_function] = STATE(8218),
    [sym_call_expression] = STATE(8218),
    [sym_field_expression] = STATE(8218),
    [sym_instance_expression] = STATE(8218),
    [sym_ascription_expression] = STATE(13097),
    [sym_infix_expression] = STATE(9424),
    [sym_postfix_expression] = STATE(12765),
    [sym__postfix_expression_choice] = STATE(16117),
    [sym_macro_body] = STATE(13097),
    [sym_prefix_expression] = STATE(10300),
    [sym_tuple_expression] = STATE(8218),
    [sym_parenthesized_expression] = STATE(8218),
    [sym_splice_expression] = STATE(8218),
    [sym_quote_expression] = STATE(8218),
    [sym_identifier] = STATE(7100),
    [sym__soft_identifier] = STATE(5752),
    [sym_wildcard] = STATE(9268),
    [sym__non_null_literal] = STATE(8218),
    [sym_boolean_literal] = STATE(8413),
    [sym_interpolated_string_expression] = STATE(8218),
    [sym_string] = STATE(8413),
    [sym_unit] = STATE(8218),
    [sym_return_expression] = STATE(13097),
    [sym_throw_expression] = STATE(13097),
    [sym_while_expression] = STATE(13097),
    [sym_do_while_expression] = STATE(13097),
    [sym_for_expression] = STATE(13097),
    [sym_comment] = STATE(933),
    [sym_block_comment] = STATE(933),
    [sym__alpha_identifier] = ACTIONS(1494),
    [anon_sym_LBRACE] = ACTIONS(1498),
    [anon_sym__] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1502),
    [anon_sym_end] = ACTIONS(1504),
    [anon_sym_if] = ACTIONS(2845),
    [anon_sym_while] = ACTIONS(2847),
    [anon_sym_for] = ACTIONS(2849),
    [anon_sym_try] = ACTIONS(2851),
    [anon_sym_new] = ACTIONS(1506),
    [anon_sym_opaque] = ACTIONS(1504),
    [anon_sym_implicit] = ACTIONS(2853),
    [anon_sym_inline] = ACTIONS(1508),
    [anon_sym_infix] = ACTIONS(1504),
    [anon_sym_open] = ACTIONS(1504),
    [anon_sym_transparent] = ACTIONS(1504),
    [anon_sym_LPAREN] = ACTIONS(1510),
    [anon_sym_macro] = ACTIONS(2054),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_TILDE] = ACTIONS(1502),
    [anon_sym_DOLLAR] = ACTIONS(1512),
    [anon_sym_SQUOTE] = ACTIONS(1514),
    [sym__backquoted_id] = ACTIONS(1516),
    [sym_operator_identifier] = ACTIONS(3314),
    [sym_integer_literal] = ACTIONS(1520),
    [sym_floating_point_literal] = ACTIONS(1522),
    [anon_sym_true] = ACTIONS(1524),
    [anon_sym_false] = ACTIONS(1524),
    [sym_character_literal] = ACTIONS(1522),
    [sym_null_literal] = ACTIONS(1526),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2062),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3316),
    [sym__simple_multiline_string] = ACTIONS(1528),
    [sym__simple_string] = ACTIONS(1528),
  },
  [934] = {
    [sym_inline_modifier] = STATE(2259),
    [sym__indentable_expression] = STATE(12673),
    [sym_block] = STATE(8070),
    [sym_indented_block] = STATE(12700),
    [sym_indented_cases] = STATE(12700),
    [sym_expression] = STATE(12581),
    [sym__simple_expression] = STATE(7077),
    [sym_lambda_expression] = STATE(12742),
    [sym_if_expression] = STATE(12742),
    [sym_match_expression] = STATE(12742),
    [sym_try_expression] = STATE(12742),
    [sym_bindings] = STATE(15598),
    [sym_case_block] = STATE(8070),
    [sym_assignment_expression] = STATE(12742),
    [sym_generic_function] = STATE(8070),
    [sym_call_expression] = STATE(8070),
    [sym_field_expression] = STATE(8070),
    [sym_instance_expression] = STATE(8070),
    [sym_ascription_expression] = STATE(12742),
    [sym_infix_expression] = STATE(8913),
    [sym_postfix_expression] = STATE(12343),
    [sym__postfix_expression_choice] = STATE(16230),
    [sym_macro_body] = STATE(12742),
    [sym_prefix_expression] = STATE(10037),
    [sym_tuple_expression] = STATE(8070),
    [sym_parenthesized_expression] = STATE(8070),
    [sym_splice_expression] = STATE(8070),
    [sym_quote_expression] = STATE(8070),
    [sym_identifier] = STATE(6308),
    [sym__soft_identifier] = STATE(5234),
    [sym_wildcard] = STATE(8710),
    [sym__non_null_literal] = STATE(8070),
    [sym_boolean_literal] = STATE(8055),
    [sym_interpolated_string_expression] = STATE(8070),
    [sym_string] = STATE(8055),
    [sym_unit] = STATE(8070),
    [sym_return_expression] = STATE(12742),
    [sym_throw_expression] = STATE(12742),
    [sym_while_expression] = STATE(12742),
    [sym_do_while_expression] = STATE(12742),
    [sym_for_expression] = STATE(12742),
    [sym_comment] = STATE(934),
    [sym_block_comment] = STATE(934),
    [sym__alpha_identifier] = ACTIONS(1314),
    [anon_sym_LBRACE] = ACTIONS(1318),
    [anon_sym__] = ACTIONS(1320),
    [anon_sym_PLUS] = ACTIONS(1322),
    [anon_sym_DASH] = ACTIONS(1322),
    [anon_sym_end] = ACTIONS(1324),
    [anon_sym_if] = ACTIONS(2486),
    [anon_sym_while] = ACTIONS(2488),
    [anon_sym_for] = ACTIONS(2490),
    [anon_sym_try] = ACTIONS(2492),
    [anon_sym_new] = ACTIONS(1326),
    [anon_sym_opaque] = ACTIONS(1324),
    [anon_sym_implicit] = ACTIONS(2494),
    [anon_sym_inline] = ACTIONS(1328),
    [anon_sym_infix] = ACTIONS(1324),
    [anon_sym_open] = ACTIONS(1324),
    [anon_sym_transparent] = ACTIONS(1324),
    [anon_sym_LPAREN] = ACTIONS(1330),
    [anon_sym_macro] = ACTIONS(1740),
    [anon_sym_BANG] = ACTIONS(1322),
    [anon_sym_TILDE] = ACTIONS(1322),
    [anon_sym_DOLLAR] = ACTIONS(1332),
    [anon_sym_SQUOTE] = ACTIONS(1334),
    [sym__backquoted_id] = ACTIONS(1336),
    [sym_operator_identifier] = ACTIONS(2496),
    [sym_integer_literal] = ACTIONS(1340),
    [sym_floating_point_literal] = ACTIONS(1342),
    [anon_sym_true] = ACTIONS(1344),
    [anon_sym_false] = ACTIONS(1344),
    [sym_character_literal] = ACTIONS(1342),
    [sym_null_literal] = ACTIONS(1346),
    [anon_sym_return] = ACTIONS(2498),
    [anon_sym_throw] = ACTIONS(2500),
    [anon_sym_do] = ACTIONS(1748),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2158),
    [sym__simple_multiline_string] = ACTIONS(1348),
    [sym__simple_string] = ACTIONS(1348),
  },
  [935] = {
    [sym_inline_modifier] = STATE(2114),
    [sym__indentable_expression] = STATE(13028),
    [sym_block] = STATE(8218),
    [sym_indented_block] = STATE(13075),
    [sym_indented_cases] = STATE(13075),
    [sym_expression] = STATE(12682),
    [sym__simple_expression] = STATE(7544),
    [sym_lambda_expression] = STATE(13097),
    [sym_if_expression] = STATE(13097),
    [sym_match_expression] = STATE(13097),
    [sym_try_expression] = STATE(13097),
    [sym_bindings] = STATE(15630),
    [sym_case_block] = STATE(8218),
    [sym_assignment_expression] = STATE(13097),
    [sym_generic_function] = STATE(8218),
    [sym_call_expression] = STATE(8218),
    [sym_field_expression] = STATE(8218),
    [sym_instance_expression] = STATE(8218),
    [sym_ascription_expression] = STATE(13097),
    [sym_infix_expression] = STATE(9424),
    [sym_postfix_expression] = STATE(12765),
    [sym__postfix_expression_choice] = STATE(16117),
    [sym_macro_body] = STATE(13097),
    [sym_prefix_expression] = STATE(10300),
    [sym_tuple_expression] = STATE(8218),
    [sym_parenthesized_expression] = STATE(8218),
    [sym_splice_expression] = STATE(8218),
    [sym_quote_expression] = STATE(8218),
    [sym_identifier] = STATE(7100),
    [sym__soft_identifier] = STATE(5752),
    [sym_wildcard] = STATE(9268),
    [sym__non_null_literal] = STATE(8218),
    [sym_boolean_literal] = STATE(8413),
    [sym_interpolated_string_expression] = STATE(8218),
    [sym_string] = STATE(8413),
    [sym_unit] = STATE(8218),
    [sym_return_expression] = STATE(13097),
    [sym_throw_expression] = STATE(13097),
    [sym_while_expression] = STATE(13097),
    [sym_do_while_expression] = STATE(13097),
    [sym_for_expression] = STATE(13097),
    [sym_comment] = STATE(935),
    [sym_block_comment] = STATE(935),
    [sym__alpha_identifier] = ACTIONS(1494),
    [anon_sym_LBRACE] = ACTIONS(1498),
    [anon_sym__] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1502),
    [anon_sym_end] = ACTIONS(1504),
    [anon_sym_if] = ACTIONS(2845),
    [anon_sym_while] = ACTIONS(2847),
    [anon_sym_for] = ACTIONS(2849),
    [anon_sym_try] = ACTIONS(2851),
    [anon_sym_new] = ACTIONS(1506),
    [anon_sym_opaque] = ACTIONS(1504),
    [anon_sym_implicit] = ACTIONS(2853),
    [anon_sym_inline] = ACTIONS(1508),
    [anon_sym_infix] = ACTIONS(1504),
    [anon_sym_open] = ACTIONS(1504),
    [anon_sym_transparent] = ACTIONS(1504),
    [anon_sym_LPAREN] = ACTIONS(1510),
    [anon_sym_macro] = ACTIONS(2054),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_TILDE] = ACTIONS(1502),
    [anon_sym_DOLLAR] = ACTIONS(1512),
    [anon_sym_SQUOTE] = ACTIONS(1514),
    [sym__backquoted_id] = ACTIONS(1516),
    [sym_operator_identifier] = ACTIONS(3314),
    [sym_integer_literal] = ACTIONS(1520),
    [sym_floating_point_literal] = ACTIONS(1522),
    [anon_sym_true] = ACTIONS(1524),
    [anon_sym_false] = ACTIONS(1524),
    [sym_character_literal] = ACTIONS(1522),
    [sym_null_literal] = ACTIONS(1526),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2062),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3316),
    [sym__simple_multiline_string] = ACTIONS(1528),
    [sym__simple_string] = ACTIONS(1528),
  },
  [936] = {
    [sym_inline_modifier] = STATE(2234),
    [sym__indentable_expression] = STATE(12453),
    [sym_block] = STATE(7443),
    [sym_indented_block] = STATE(12679),
    [sym_indented_cases] = STATE(12679),
    [sym_expression] = STATE(12305),
    [sym__simple_expression] = STATE(5279),
    [sym_lambda_expression] = STATE(12692),
    [sym_if_expression] = STATE(12692),
    [sym_match_expression] = STATE(12692),
    [sym_try_expression] = STATE(12692),
    [sym_bindings] = STATE(15619),
    [sym_case_block] = STATE(7443),
    [sym_assignment_expression] = STATE(12692),
    [sym_generic_function] = STATE(7443),
    [sym_call_expression] = STATE(7443),
    [sym_field_expression] = STATE(7443),
    [sym_instance_expression] = STATE(7443),
    [sym_ascription_expression] = STATE(12692),
    [sym_infix_expression] = STATE(8993),
    [sym_postfix_expression] = STATE(12386),
    [sym__postfix_expression_choice] = STATE(16150),
    [sym_macro_body] = STATE(12692),
    [sym_prefix_expression] = STATE(8795),
    [sym_tuple_expression] = STATE(7443),
    [sym_parenthesized_expression] = STATE(7443),
    [sym_splice_expression] = STATE(7443),
    [sym_quote_expression] = STATE(7443),
    [sym_identifier] = STATE(4734),
    [sym__soft_identifier] = STATE(5213),
    [sym_wildcard] = STATE(7227),
    [sym__non_null_literal] = STATE(7443),
    [sym_boolean_literal] = STATE(7707),
    [sym_interpolated_string_expression] = STATE(7443),
    [sym_string] = STATE(7707),
    [sym_unit] = STATE(7443),
    [sym_return_expression] = STATE(12692),
    [sym_throw_expression] = STATE(12692),
    [sym_while_expression] = STATE(12692),
    [sym_do_while_expression] = STATE(12692),
    [sym_for_expression] = STATE(12692),
    [sym_comment] = STATE(936),
    [sym_block_comment] = STATE(936),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(2292),
    [anon_sym_while] = ACTIONS(1480),
    [anon_sym_for] = ACTIONS(1482),
    [anon_sym_try] = ACTIONS(1484),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(1486),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1196),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(1488),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(1490),
    [anon_sym_throw] = ACTIONS(1492),
    [anon_sym_do] = ACTIONS(1204),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2294),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [937] = {
    [sym_inline_modifier] = STATE(2114),
    [sym__indentable_expression] = STATE(13026),
    [sym_block] = STATE(8218),
    [sym_indented_block] = STATE(13075),
    [sym_indented_cases] = STATE(13075),
    [sym_expression] = STATE(12682),
    [sym__simple_expression] = STATE(7544),
    [sym_lambda_expression] = STATE(13097),
    [sym_if_expression] = STATE(13097),
    [sym_match_expression] = STATE(13097),
    [sym_try_expression] = STATE(13097),
    [sym_bindings] = STATE(15630),
    [sym_case_block] = STATE(8218),
    [sym_assignment_expression] = STATE(13097),
    [sym_generic_function] = STATE(8218),
    [sym_call_expression] = STATE(8218),
    [sym_field_expression] = STATE(8218),
    [sym_instance_expression] = STATE(8218),
    [sym_ascription_expression] = STATE(13097),
    [sym_infix_expression] = STATE(9424),
    [sym_postfix_expression] = STATE(12765),
    [sym__postfix_expression_choice] = STATE(16117),
    [sym_macro_body] = STATE(13097),
    [sym_prefix_expression] = STATE(10300),
    [sym_tuple_expression] = STATE(8218),
    [sym_parenthesized_expression] = STATE(8218),
    [sym_splice_expression] = STATE(8218),
    [sym_quote_expression] = STATE(8218),
    [sym_identifier] = STATE(7100),
    [sym__soft_identifier] = STATE(5752),
    [sym_wildcard] = STATE(9268),
    [sym__non_null_literal] = STATE(8218),
    [sym_boolean_literal] = STATE(8413),
    [sym_interpolated_string_expression] = STATE(8218),
    [sym_string] = STATE(8413),
    [sym_unit] = STATE(8218),
    [sym_return_expression] = STATE(13097),
    [sym_throw_expression] = STATE(13097),
    [sym_while_expression] = STATE(13097),
    [sym_do_while_expression] = STATE(13097),
    [sym_for_expression] = STATE(13097),
    [sym_comment] = STATE(937),
    [sym_block_comment] = STATE(937),
    [sym__alpha_identifier] = ACTIONS(1494),
    [anon_sym_LBRACE] = ACTIONS(1498),
    [anon_sym__] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1502),
    [anon_sym_end] = ACTIONS(1504),
    [anon_sym_if] = ACTIONS(2845),
    [anon_sym_while] = ACTIONS(2847),
    [anon_sym_for] = ACTIONS(2849),
    [anon_sym_try] = ACTIONS(2851),
    [anon_sym_new] = ACTIONS(1506),
    [anon_sym_opaque] = ACTIONS(1504),
    [anon_sym_implicit] = ACTIONS(2853),
    [anon_sym_inline] = ACTIONS(1508),
    [anon_sym_infix] = ACTIONS(1504),
    [anon_sym_open] = ACTIONS(1504),
    [anon_sym_transparent] = ACTIONS(1504),
    [anon_sym_LPAREN] = ACTIONS(1510),
    [anon_sym_macro] = ACTIONS(2054),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_TILDE] = ACTIONS(1502),
    [anon_sym_DOLLAR] = ACTIONS(1512),
    [anon_sym_SQUOTE] = ACTIONS(1514),
    [sym__backquoted_id] = ACTIONS(1516),
    [sym_operator_identifier] = ACTIONS(3314),
    [sym_integer_literal] = ACTIONS(1520),
    [sym_floating_point_literal] = ACTIONS(1522),
    [anon_sym_true] = ACTIONS(1524),
    [anon_sym_false] = ACTIONS(1524),
    [sym_character_literal] = ACTIONS(1522),
    [sym_null_literal] = ACTIONS(1526),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2062),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3316),
    [sym__simple_multiline_string] = ACTIONS(1528),
    [sym__simple_string] = ACTIONS(1528),
  },
  [938] = {
    [sym_inline_modifier] = STATE(2044),
    [sym__indentable_expression] = STATE(12084),
    [sym_block] = STATE(9913),
    [sym_indented_block] = STATE(11923),
    [sym_indented_cases] = STATE(11923),
    [sym_expression] = STATE(13501),
    [sym__simple_expression] = STATE(7224),
    [sym_lambda_expression] = STATE(12144),
    [sym_if_expression] = STATE(12144),
    [sym_match_expression] = STATE(12144),
    [sym_try_expression] = STATE(12144),
    [sym_bindings] = STATE(15632),
    [sym_case_block] = STATE(9913),
    [sym_assignment_expression] = STATE(12144),
    [sym_generic_function] = STATE(9913),
    [sym_call_expression] = STATE(9913),
    [sym_field_expression] = STATE(9913),
    [sym_instance_expression] = STATE(9913),
    [sym_ascription_expression] = STATE(12144),
    [sym_infix_expression] = STATE(10304),
    [sym_postfix_expression] = STATE(11499),
    [sym__postfix_expression_choice] = STATE(16334),
    [sym_macro_body] = STATE(12144),
    [sym_prefix_expression] = STATE(9963),
    [sym_tuple_expression] = STATE(9913),
    [sym_parenthesized_expression] = STATE(9913),
    [sym_splice_expression] = STATE(9913),
    [sym_quote_expression] = STATE(9913),
    [sym_identifier] = STATE(6170),
    [sym__soft_identifier] = STATE(4555),
    [sym_wildcard] = STATE(8897),
    [sym__non_null_literal] = STATE(9913),
    [sym_boolean_literal] = STATE(6572),
    [sym_interpolated_string_expression] = STATE(9913),
    [sym_string] = STATE(6572),
    [sym_unit] = STATE(9913),
    [sym_return_expression] = STATE(12144),
    [sym_throw_expression] = STATE(12144),
    [sym_while_expression] = STATE(12144),
    [sym_do_while_expression] = STATE(12144),
    [sym_for_expression] = STATE(12144),
    [sym_comment] = STATE(938),
    [sym_block_comment] = STATE(938),
    [sym__alpha_identifier] = ACTIONS(1766),
    [anon_sym_LBRACE] = ACTIONS(1770),
    [anon_sym__] = ACTIONS(1772),
    [anon_sym_PLUS] = ACTIONS(1774),
    [anon_sym_DASH] = ACTIONS(1774),
    [anon_sym_end] = ACTIONS(1776),
    [anon_sym_if] = ACTIONS(2160),
    [anon_sym_while] = ACTIONS(2162),
    [anon_sym_for] = ACTIONS(2164),
    [anon_sym_try] = ACTIONS(2166),
    [anon_sym_new] = ACTIONS(1778),
    [anon_sym_opaque] = ACTIONS(1776),
    [anon_sym_implicit] = ACTIONS(2168),
    [anon_sym_inline] = ACTIONS(1780),
    [anon_sym_infix] = ACTIONS(1776),
    [anon_sym_open] = ACTIONS(1776),
    [anon_sym_transparent] = ACTIONS(1776),
    [anon_sym_LPAREN] = ACTIONS(1782),
    [anon_sym_macro] = ACTIONS(2170),
    [anon_sym_BANG] = ACTIONS(1774),
    [anon_sym_TILDE] = ACTIONS(1774),
    [anon_sym_DOLLAR] = ACTIONS(1784),
    [anon_sym_SQUOTE] = ACTIONS(1786),
    [sym__backquoted_id] = ACTIONS(1788),
    [sym_operator_identifier] = ACTIONS(2172),
    [sym_integer_literal] = ACTIONS(1792),
    [sym_floating_point_literal] = ACTIONS(1794),
    [anon_sym_true] = ACTIONS(1796),
    [anon_sym_false] = ACTIONS(1796),
    [sym_character_literal] = ACTIONS(1794),
    [sym_null_literal] = ACTIONS(1798),
    [anon_sym_return] = ACTIONS(2174),
    [anon_sym_throw] = ACTIONS(2176),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3280),
    [sym__simple_multiline_string] = ACTIONS(1800),
    [sym__simple_string] = ACTIONS(1800),
  },
  [939] = {
    [sym_inline_modifier] = STATE(2114),
    [sym__indentable_expression] = STATE(13022),
    [sym_block] = STATE(8218),
    [sym_indented_block] = STATE(13075),
    [sym_indented_cases] = STATE(13075),
    [sym_expression] = STATE(12682),
    [sym__simple_expression] = STATE(7544),
    [sym_lambda_expression] = STATE(13097),
    [sym_if_expression] = STATE(13097),
    [sym_match_expression] = STATE(13097),
    [sym_try_expression] = STATE(13097),
    [sym_bindings] = STATE(15630),
    [sym_case_block] = STATE(8218),
    [sym_assignment_expression] = STATE(13097),
    [sym_generic_function] = STATE(8218),
    [sym_call_expression] = STATE(8218),
    [sym_field_expression] = STATE(8218),
    [sym_instance_expression] = STATE(8218),
    [sym_ascription_expression] = STATE(13097),
    [sym_infix_expression] = STATE(9424),
    [sym_postfix_expression] = STATE(12765),
    [sym__postfix_expression_choice] = STATE(16117),
    [sym_macro_body] = STATE(13097),
    [sym_prefix_expression] = STATE(10300),
    [sym_tuple_expression] = STATE(8218),
    [sym_parenthesized_expression] = STATE(8218),
    [sym_splice_expression] = STATE(8218),
    [sym_quote_expression] = STATE(8218),
    [sym_identifier] = STATE(7100),
    [sym__soft_identifier] = STATE(5752),
    [sym_wildcard] = STATE(9268),
    [sym__non_null_literal] = STATE(8218),
    [sym_boolean_literal] = STATE(8413),
    [sym_interpolated_string_expression] = STATE(8218),
    [sym_string] = STATE(8413),
    [sym_unit] = STATE(8218),
    [sym_return_expression] = STATE(13097),
    [sym_throw_expression] = STATE(13097),
    [sym_while_expression] = STATE(13097),
    [sym_do_while_expression] = STATE(13097),
    [sym_for_expression] = STATE(13097),
    [sym_comment] = STATE(939),
    [sym_block_comment] = STATE(939),
    [sym__alpha_identifier] = ACTIONS(1494),
    [anon_sym_LBRACE] = ACTIONS(1498),
    [anon_sym__] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1502),
    [anon_sym_end] = ACTIONS(1504),
    [anon_sym_if] = ACTIONS(2845),
    [anon_sym_while] = ACTIONS(2847),
    [anon_sym_for] = ACTIONS(2849),
    [anon_sym_try] = ACTIONS(2851),
    [anon_sym_new] = ACTIONS(1506),
    [anon_sym_opaque] = ACTIONS(1504),
    [anon_sym_implicit] = ACTIONS(2853),
    [anon_sym_inline] = ACTIONS(1508),
    [anon_sym_infix] = ACTIONS(1504),
    [anon_sym_open] = ACTIONS(1504),
    [anon_sym_transparent] = ACTIONS(1504),
    [anon_sym_LPAREN] = ACTIONS(1510),
    [anon_sym_macro] = ACTIONS(2054),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_TILDE] = ACTIONS(1502),
    [anon_sym_DOLLAR] = ACTIONS(1512),
    [anon_sym_SQUOTE] = ACTIONS(1514),
    [sym__backquoted_id] = ACTIONS(1516),
    [sym_operator_identifier] = ACTIONS(3314),
    [sym_integer_literal] = ACTIONS(1520),
    [sym_floating_point_literal] = ACTIONS(1522),
    [anon_sym_true] = ACTIONS(1524),
    [anon_sym_false] = ACTIONS(1524),
    [sym_character_literal] = ACTIONS(1522),
    [sym_null_literal] = ACTIONS(1526),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2062),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3316),
    [sym__simple_multiline_string] = ACTIONS(1528),
    [sym__simple_string] = ACTIONS(1528),
  },
  [940] = {
    [sym_inline_modifier] = STATE(2259),
    [sym__indentable_expression] = STATE(12681),
    [sym_block] = STATE(8070),
    [sym_indented_block] = STATE(12700),
    [sym_indented_cases] = STATE(12700),
    [sym_expression] = STATE(12581),
    [sym__simple_expression] = STATE(7077),
    [sym_lambda_expression] = STATE(12742),
    [sym_if_expression] = STATE(12742),
    [sym_match_expression] = STATE(12742),
    [sym_try_expression] = STATE(12742),
    [sym_bindings] = STATE(15598),
    [sym_case_block] = STATE(8070),
    [sym_assignment_expression] = STATE(12742),
    [sym_generic_function] = STATE(8070),
    [sym_call_expression] = STATE(8070),
    [sym_field_expression] = STATE(8070),
    [sym_instance_expression] = STATE(8070),
    [sym_ascription_expression] = STATE(12742),
    [sym_infix_expression] = STATE(8913),
    [sym_postfix_expression] = STATE(12343),
    [sym__postfix_expression_choice] = STATE(16230),
    [sym_macro_body] = STATE(12742),
    [sym_prefix_expression] = STATE(10037),
    [sym_tuple_expression] = STATE(8070),
    [sym_parenthesized_expression] = STATE(8070),
    [sym_splice_expression] = STATE(8070),
    [sym_quote_expression] = STATE(8070),
    [sym_identifier] = STATE(6308),
    [sym__soft_identifier] = STATE(5234),
    [sym_wildcard] = STATE(8710),
    [sym__non_null_literal] = STATE(8070),
    [sym_boolean_literal] = STATE(8055),
    [sym_interpolated_string_expression] = STATE(8070),
    [sym_string] = STATE(8055),
    [sym_unit] = STATE(8070),
    [sym_return_expression] = STATE(12742),
    [sym_throw_expression] = STATE(12742),
    [sym_while_expression] = STATE(12742),
    [sym_do_while_expression] = STATE(12742),
    [sym_for_expression] = STATE(12742),
    [sym_comment] = STATE(940),
    [sym_block_comment] = STATE(940),
    [sym__alpha_identifier] = ACTIONS(1314),
    [anon_sym_LBRACE] = ACTIONS(1318),
    [anon_sym__] = ACTIONS(1320),
    [anon_sym_PLUS] = ACTIONS(1322),
    [anon_sym_DASH] = ACTIONS(1322),
    [anon_sym_end] = ACTIONS(1324),
    [anon_sym_if] = ACTIONS(2486),
    [anon_sym_while] = ACTIONS(2488),
    [anon_sym_for] = ACTIONS(2490),
    [anon_sym_try] = ACTIONS(2492),
    [anon_sym_new] = ACTIONS(1326),
    [anon_sym_opaque] = ACTIONS(1324),
    [anon_sym_implicit] = ACTIONS(2494),
    [anon_sym_inline] = ACTIONS(1328),
    [anon_sym_infix] = ACTIONS(1324),
    [anon_sym_open] = ACTIONS(1324),
    [anon_sym_transparent] = ACTIONS(1324),
    [anon_sym_LPAREN] = ACTIONS(1330),
    [anon_sym_macro] = ACTIONS(1740),
    [anon_sym_BANG] = ACTIONS(1322),
    [anon_sym_TILDE] = ACTIONS(1322),
    [anon_sym_DOLLAR] = ACTIONS(1332),
    [anon_sym_SQUOTE] = ACTIONS(1334),
    [sym__backquoted_id] = ACTIONS(1336),
    [sym_operator_identifier] = ACTIONS(2496),
    [sym_integer_literal] = ACTIONS(1340),
    [sym_floating_point_literal] = ACTIONS(1342),
    [anon_sym_true] = ACTIONS(1344),
    [anon_sym_false] = ACTIONS(1344),
    [sym_character_literal] = ACTIONS(1342),
    [sym_null_literal] = ACTIONS(1346),
    [anon_sym_return] = ACTIONS(2498),
    [anon_sym_throw] = ACTIONS(2500),
    [anon_sym_do] = ACTIONS(1748),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2158),
    [sym__simple_multiline_string] = ACTIONS(1348),
    [sym__simple_string] = ACTIONS(1348),
  },
  [941] = {
    [sym_inline_modifier] = STATE(2259),
    [sym__indentable_expression] = STATE(12686),
    [sym_block] = STATE(8070),
    [sym_indented_block] = STATE(12700),
    [sym_indented_cases] = STATE(12700),
    [sym_expression] = STATE(12581),
    [sym__simple_expression] = STATE(7077),
    [sym_lambda_expression] = STATE(12742),
    [sym_if_expression] = STATE(12742),
    [sym_match_expression] = STATE(12742),
    [sym_try_expression] = STATE(12742),
    [sym_bindings] = STATE(15598),
    [sym_case_block] = STATE(8070),
    [sym_assignment_expression] = STATE(12742),
    [sym_generic_function] = STATE(8070),
    [sym_call_expression] = STATE(8070),
    [sym_field_expression] = STATE(8070),
    [sym_instance_expression] = STATE(8070),
    [sym_ascription_expression] = STATE(12742),
    [sym_infix_expression] = STATE(8913),
    [sym_postfix_expression] = STATE(12343),
    [sym__postfix_expression_choice] = STATE(16230),
    [sym_macro_body] = STATE(12742),
    [sym_prefix_expression] = STATE(10037),
    [sym_tuple_expression] = STATE(8070),
    [sym_parenthesized_expression] = STATE(8070),
    [sym_splice_expression] = STATE(8070),
    [sym_quote_expression] = STATE(8070),
    [sym_identifier] = STATE(6308),
    [sym__soft_identifier] = STATE(5234),
    [sym_wildcard] = STATE(8710),
    [sym__non_null_literal] = STATE(8070),
    [sym_boolean_literal] = STATE(8055),
    [sym_interpolated_string_expression] = STATE(8070),
    [sym_string] = STATE(8055),
    [sym_unit] = STATE(8070),
    [sym_return_expression] = STATE(12742),
    [sym_throw_expression] = STATE(12742),
    [sym_while_expression] = STATE(12742),
    [sym_do_while_expression] = STATE(12742),
    [sym_for_expression] = STATE(12742),
    [sym_comment] = STATE(941),
    [sym_block_comment] = STATE(941),
    [sym__alpha_identifier] = ACTIONS(1314),
    [anon_sym_LBRACE] = ACTIONS(1318),
    [anon_sym__] = ACTIONS(1320),
    [anon_sym_PLUS] = ACTIONS(1322),
    [anon_sym_DASH] = ACTIONS(1322),
    [anon_sym_end] = ACTIONS(1324),
    [anon_sym_if] = ACTIONS(2486),
    [anon_sym_while] = ACTIONS(2488),
    [anon_sym_for] = ACTIONS(2490),
    [anon_sym_try] = ACTIONS(2492),
    [anon_sym_new] = ACTIONS(1326),
    [anon_sym_opaque] = ACTIONS(1324),
    [anon_sym_implicit] = ACTIONS(2494),
    [anon_sym_inline] = ACTIONS(1328),
    [anon_sym_infix] = ACTIONS(1324),
    [anon_sym_open] = ACTIONS(1324),
    [anon_sym_transparent] = ACTIONS(1324),
    [anon_sym_LPAREN] = ACTIONS(1330),
    [anon_sym_macro] = ACTIONS(1740),
    [anon_sym_BANG] = ACTIONS(1322),
    [anon_sym_TILDE] = ACTIONS(1322),
    [anon_sym_DOLLAR] = ACTIONS(1332),
    [anon_sym_SQUOTE] = ACTIONS(1334),
    [sym__backquoted_id] = ACTIONS(1336),
    [sym_operator_identifier] = ACTIONS(2496),
    [sym_integer_literal] = ACTIONS(1340),
    [sym_floating_point_literal] = ACTIONS(1342),
    [anon_sym_true] = ACTIONS(1344),
    [anon_sym_false] = ACTIONS(1344),
    [sym_character_literal] = ACTIONS(1342),
    [sym_null_literal] = ACTIONS(1346),
    [anon_sym_return] = ACTIONS(2498),
    [anon_sym_throw] = ACTIONS(2500),
    [anon_sym_do] = ACTIONS(1748),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2158),
    [sym__simple_multiline_string] = ACTIONS(1348),
    [sym__simple_string] = ACTIONS(1348),
  },
  [942] = {
    [sym_inline_modifier] = STATE(2269),
    [sym__indentable_expression] = STATE(12775),
    [sym_block] = STATE(8070),
    [sym_indented_block] = STATE(12700),
    [sym_indented_cases] = STATE(12700),
    [sym_expression] = STATE(12581),
    [sym__simple_expression] = STATE(5679),
    [sym_lambda_expression] = STATE(12742),
    [sym_if_expression] = STATE(12742),
    [sym_match_expression] = STATE(12742),
    [sym_try_expression] = STATE(12742),
    [sym_bindings] = STATE(15536),
    [sym_case_block] = STATE(8070),
    [sym_assignment_expression] = STATE(12742),
    [sym_generic_function] = STATE(8070),
    [sym_call_expression] = STATE(8070),
    [sym_field_expression] = STATE(8070),
    [sym_instance_expression] = STATE(8070),
    [sym_ascription_expression] = STATE(12742),
    [sym_infix_expression] = STATE(8913),
    [sym_postfix_expression] = STATE(12343),
    [sym__postfix_expression_choice] = STATE(16230),
    [sym_macro_body] = STATE(12742),
    [sym_prefix_expression] = STATE(9483),
    [sym_tuple_expression] = STATE(8070),
    [sym_parenthesized_expression] = STATE(8070),
    [sym_splice_expression] = STATE(8070),
    [sym_quote_expression] = STATE(8070),
    [sym_identifier] = STATE(4999),
    [sym__soft_identifier] = STATE(5234),
    [sym_wildcard] = STATE(8075),
    [sym__non_null_literal] = STATE(8070),
    [sym_boolean_literal] = STATE(8055),
    [sym_interpolated_string_expression] = STATE(8070),
    [sym_string] = STATE(8055),
    [sym_unit] = STATE(8070),
    [sym_return_expression] = STATE(12742),
    [sym_throw_expression] = STATE(12742),
    [sym_while_expression] = STATE(12742),
    [sym_do_while_expression] = STATE(12742),
    [sym_for_expression] = STATE(12742),
    [sym_comment] = STATE(942),
    [sym_block_comment] = STATE(942),
    [sym__alpha_identifier] = ACTIONS(1314),
    [anon_sym_LBRACE] = ACTIONS(1318),
    [anon_sym__] = ACTIONS(1320),
    [anon_sym_PLUS] = ACTIONS(1322),
    [anon_sym_DASH] = ACTIONS(1322),
    [anon_sym_end] = ACTIONS(1324),
    [anon_sym_if] = ACTIONS(1730),
    [anon_sym_while] = ACTIONS(1732),
    [anon_sym_for] = ACTIONS(1734),
    [anon_sym_try] = ACTIONS(1736),
    [anon_sym_new] = ACTIONS(1326),
    [anon_sym_opaque] = ACTIONS(1324),
    [anon_sym_implicit] = ACTIONS(1738),
    [anon_sym_inline] = ACTIONS(1328),
    [anon_sym_infix] = ACTIONS(1324),
    [anon_sym_open] = ACTIONS(1324),
    [anon_sym_transparent] = ACTIONS(1324),
    [anon_sym_LPAREN] = ACTIONS(1330),
    [anon_sym_macro] = ACTIONS(1740),
    [anon_sym_BANG] = ACTIONS(1322),
    [anon_sym_TILDE] = ACTIONS(1322),
    [anon_sym_DOLLAR] = ACTIONS(1332),
    [anon_sym_SQUOTE] = ACTIONS(1334),
    [sym__backquoted_id] = ACTIONS(1336),
    [sym_operator_identifier] = ACTIONS(1742),
    [sym_integer_literal] = ACTIONS(1340),
    [sym_floating_point_literal] = ACTIONS(1342),
    [anon_sym_true] = ACTIONS(1344),
    [anon_sym_false] = ACTIONS(1344),
    [sym_character_literal] = ACTIONS(1342),
    [sym_null_literal] = ACTIONS(1346),
    [anon_sym_return] = ACTIONS(1744),
    [anon_sym_throw] = ACTIONS(1746),
    [anon_sym_do] = ACTIONS(1748),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2158),
    [sym__simple_multiline_string] = ACTIONS(1348),
    [sym__simple_string] = ACTIONS(1348),
  },
  [943] = {
    [sym_inline_modifier] = STATE(2259),
    [sym__indentable_expression] = STATE(12693),
    [sym_block] = STATE(8070),
    [sym_indented_block] = STATE(12700),
    [sym_indented_cases] = STATE(12700),
    [sym_expression] = STATE(12581),
    [sym__simple_expression] = STATE(7077),
    [sym_lambda_expression] = STATE(12742),
    [sym_if_expression] = STATE(12742),
    [sym_match_expression] = STATE(12742),
    [sym_try_expression] = STATE(12742),
    [sym_bindings] = STATE(15598),
    [sym_case_block] = STATE(8070),
    [sym_assignment_expression] = STATE(12742),
    [sym_generic_function] = STATE(8070),
    [sym_call_expression] = STATE(8070),
    [sym_field_expression] = STATE(8070),
    [sym_instance_expression] = STATE(8070),
    [sym_ascription_expression] = STATE(12742),
    [sym_infix_expression] = STATE(8913),
    [sym_postfix_expression] = STATE(12343),
    [sym__postfix_expression_choice] = STATE(16230),
    [sym_macro_body] = STATE(12742),
    [sym_prefix_expression] = STATE(10037),
    [sym_tuple_expression] = STATE(8070),
    [sym_parenthesized_expression] = STATE(8070),
    [sym_splice_expression] = STATE(8070),
    [sym_quote_expression] = STATE(8070),
    [sym_identifier] = STATE(6308),
    [sym__soft_identifier] = STATE(5234),
    [sym_wildcard] = STATE(8710),
    [sym__non_null_literal] = STATE(8070),
    [sym_boolean_literal] = STATE(8055),
    [sym_interpolated_string_expression] = STATE(8070),
    [sym_string] = STATE(8055),
    [sym_unit] = STATE(8070),
    [sym_return_expression] = STATE(12742),
    [sym_throw_expression] = STATE(12742),
    [sym_while_expression] = STATE(12742),
    [sym_do_while_expression] = STATE(12742),
    [sym_for_expression] = STATE(12742),
    [sym_comment] = STATE(943),
    [sym_block_comment] = STATE(943),
    [sym__alpha_identifier] = ACTIONS(1314),
    [anon_sym_LBRACE] = ACTIONS(1318),
    [anon_sym__] = ACTIONS(1320),
    [anon_sym_PLUS] = ACTIONS(1322),
    [anon_sym_DASH] = ACTIONS(1322),
    [anon_sym_end] = ACTIONS(1324),
    [anon_sym_if] = ACTIONS(2486),
    [anon_sym_while] = ACTIONS(2488),
    [anon_sym_for] = ACTIONS(2490),
    [anon_sym_try] = ACTIONS(2492),
    [anon_sym_new] = ACTIONS(1326),
    [anon_sym_opaque] = ACTIONS(1324),
    [anon_sym_implicit] = ACTIONS(2494),
    [anon_sym_inline] = ACTIONS(1328),
    [anon_sym_infix] = ACTIONS(1324),
    [anon_sym_open] = ACTIONS(1324),
    [anon_sym_transparent] = ACTIONS(1324),
    [anon_sym_LPAREN] = ACTIONS(1330),
    [anon_sym_macro] = ACTIONS(1740),
    [anon_sym_BANG] = ACTIONS(1322),
    [anon_sym_TILDE] = ACTIONS(1322),
    [anon_sym_DOLLAR] = ACTIONS(1332),
    [anon_sym_SQUOTE] = ACTIONS(1334),
    [sym__backquoted_id] = ACTIONS(1336),
    [sym_operator_identifier] = ACTIONS(2496),
    [sym_integer_literal] = ACTIONS(1340),
    [sym_floating_point_literal] = ACTIONS(1342),
    [anon_sym_true] = ACTIONS(1344),
    [anon_sym_false] = ACTIONS(1344),
    [sym_character_literal] = ACTIONS(1342),
    [sym_null_literal] = ACTIONS(1346),
    [anon_sym_return] = ACTIONS(2498),
    [anon_sym_throw] = ACTIONS(2500),
    [anon_sym_do] = ACTIONS(1748),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2158),
    [sym__simple_multiline_string] = ACTIONS(1348),
    [sym__simple_string] = ACTIONS(1348),
  },
  [944] = {
    [sym_inline_modifier] = STATE(2269),
    [sym__indentable_expression] = STATE(12693),
    [sym_block] = STATE(8070),
    [sym_indented_block] = STATE(12700),
    [sym_indented_cases] = STATE(12700),
    [sym_expression] = STATE(12581),
    [sym__simple_expression] = STATE(5679),
    [sym_lambda_expression] = STATE(12742),
    [sym_if_expression] = STATE(12742),
    [sym_match_expression] = STATE(12742),
    [sym_try_expression] = STATE(12742),
    [sym_bindings] = STATE(15536),
    [sym_case_block] = STATE(8070),
    [sym_assignment_expression] = STATE(12742),
    [sym_generic_function] = STATE(8070),
    [sym_call_expression] = STATE(8070),
    [sym_field_expression] = STATE(8070),
    [sym_instance_expression] = STATE(8070),
    [sym_ascription_expression] = STATE(12742),
    [sym_infix_expression] = STATE(8913),
    [sym_postfix_expression] = STATE(12343),
    [sym__postfix_expression_choice] = STATE(16230),
    [sym_macro_body] = STATE(12742),
    [sym_prefix_expression] = STATE(9483),
    [sym_tuple_expression] = STATE(8070),
    [sym_parenthesized_expression] = STATE(8070),
    [sym_splice_expression] = STATE(8070),
    [sym_quote_expression] = STATE(8070),
    [sym_identifier] = STATE(4999),
    [sym__soft_identifier] = STATE(5234),
    [sym_wildcard] = STATE(8075),
    [sym__non_null_literal] = STATE(8070),
    [sym_boolean_literal] = STATE(8055),
    [sym_interpolated_string_expression] = STATE(8070),
    [sym_string] = STATE(8055),
    [sym_unit] = STATE(8070),
    [sym_return_expression] = STATE(12742),
    [sym_throw_expression] = STATE(12742),
    [sym_while_expression] = STATE(12742),
    [sym_do_while_expression] = STATE(12742),
    [sym_for_expression] = STATE(12742),
    [sym_comment] = STATE(944),
    [sym_block_comment] = STATE(944),
    [sym__alpha_identifier] = ACTIONS(1314),
    [anon_sym_LBRACE] = ACTIONS(1318),
    [anon_sym__] = ACTIONS(1320),
    [anon_sym_PLUS] = ACTIONS(1322),
    [anon_sym_DASH] = ACTIONS(1322),
    [anon_sym_end] = ACTIONS(1324),
    [anon_sym_if] = ACTIONS(1730),
    [anon_sym_while] = ACTIONS(1732),
    [anon_sym_for] = ACTIONS(1734),
    [anon_sym_try] = ACTIONS(1736),
    [anon_sym_new] = ACTIONS(1326),
    [anon_sym_opaque] = ACTIONS(1324),
    [anon_sym_implicit] = ACTIONS(1738),
    [anon_sym_inline] = ACTIONS(1328),
    [anon_sym_infix] = ACTIONS(1324),
    [anon_sym_open] = ACTIONS(1324),
    [anon_sym_transparent] = ACTIONS(1324),
    [anon_sym_LPAREN] = ACTIONS(1330),
    [anon_sym_macro] = ACTIONS(1740),
    [anon_sym_BANG] = ACTIONS(1322),
    [anon_sym_TILDE] = ACTIONS(1322),
    [anon_sym_DOLLAR] = ACTIONS(1332),
    [anon_sym_SQUOTE] = ACTIONS(1334),
    [sym__backquoted_id] = ACTIONS(1336),
    [sym_operator_identifier] = ACTIONS(1742),
    [sym_integer_literal] = ACTIONS(1340),
    [sym_floating_point_literal] = ACTIONS(1342),
    [anon_sym_true] = ACTIONS(1344),
    [anon_sym_false] = ACTIONS(1344),
    [sym_character_literal] = ACTIONS(1342),
    [sym_null_literal] = ACTIONS(1346),
    [anon_sym_return] = ACTIONS(1744),
    [anon_sym_throw] = ACTIONS(1746),
    [anon_sym_do] = ACTIONS(1748),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2158),
    [sym__simple_multiline_string] = ACTIONS(1348),
    [sym__simple_string] = ACTIONS(1348),
  },
  [945] = {
    [sym_inline_modifier] = STATE(2259),
    [sym__indentable_expression] = STATE(12775),
    [sym_block] = STATE(8070),
    [sym_indented_block] = STATE(12700),
    [sym_indented_cases] = STATE(12700),
    [sym_expression] = STATE(12581),
    [sym__simple_expression] = STATE(7077),
    [sym_lambda_expression] = STATE(12742),
    [sym_if_expression] = STATE(12742),
    [sym_match_expression] = STATE(12742),
    [sym_try_expression] = STATE(12742),
    [sym_bindings] = STATE(15598),
    [sym_case_block] = STATE(8070),
    [sym_assignment_expression] = STATE(12742),
    [sym_generic_function] = STATE(8070),
    [sym_call_expression] = STATE(8070),
    [sym_field_expression] = STATE(8070),
    [sym_instance_expression] = STATE(8070),
    [sym_ascription_expression] = STATE(12742),
    [sym_infix_expression] = STATE(8913),
    [sym_postfix_expression] = STATE(12343),
    [sym__postfix_expression_choice] = STATE(16230),
    [sym_macro_body] = STATE(12742),
    [sym_prefix_expression] = STATE(10037),
    [sym_tuple_expression] = STATE(8070),
    [sym_parenthesized_expression] = STATE(8070),
    [sym_splice_expression] = STATE(8070),
    [sym_quote_expression] = STATE(8070),
    [sym_identifier] = STATE(6308),
    [sym__soft_identifier] = STATE(5234),
    [sym_wildcard] = STATE(8710),
    [sym__non_null_literal] = STATE(8070),
    [sym_boolean_literal] = STATE(8055),
    [sym_interpolated_string_expression] = STATE(8070),
    [sym_string] = STATE(8055),
    [sym_unit] = STATE(8070),
    [sym_return_expression] = STATE(12742),
    [sym_throw_expression] = STATE(12742),
    [sym_while_expression] = STATE(12742),
    [sym_do_while_expression] = STATE(12742),
    [sym_for_expression] = STATE(12742),
    [sym_comment] = STATE(945),
    [sym_block_comment] = STATE(945),
    [sym__alpha_identifier] = ACTIONS(1314),
    [anon_sym_LBRACE] = ACTIONS(1318),
    [anon_sym__] = ACTIONS(1320),
    [anon_sym_PLUS] = ACTIONS(1322),
    [anon_sym_DASH] = ACTIONS(1322),
    [anon_sym_end] = ACTIONS(1324),
    [anon_sym_if] = ACTIONS(2486),
    [anon_sym_while] = ACTIONS(2488),
    [anon_sym_for] = ACTIONS(2490),
    [anon_sym_try] = ACTIONS(2492),
    [anon_sym_new] = ACTIONS(1326),
    [anon_sym_opaque] = ACTIONS(1324),
    [anon_sym_implicit] = ACTIONS(2494),
    [anon_sym_inline] = ACTIONS(1328),
    [anon_sym_infix] = ACTIONS(1324),
    [anon_sym_open] = ACTIONS(1324),
    [anon_sym_transparent] = ACTIONS(1324),
    [anon_sym_LPAREN] = ACTIONS(1330),
    [anon_sym_macro] = ACTIONS(1740),
    [anon_sym_BANG] = ACTIONS(1322),
    [anon_sym_TILDE] = ACTIONS(1322),
    [anon_sym_DOLLAR] = ACTIONS(1332),
    [anon_sym_SQUOTE] = ACTIONS(1334),
    [sym__backquoted_id] = ACTIONS(1336),
    [sym_operator_identifier] = ACTIONS(2496),
    [sym_integer_literal] = ACTIONS(1340),
    [sym_floating_point_literal] = ACTIONS(1342),
    [anon_sym_true] = ACTIONS(1344),
    [anon_sym_false] = ACTIONS(1344),
    [sym_character_literal] = ACTIONS(1342),
    [sym_null_literal] = ACTIONS(1346),
    [anon_sym_return] = ACTIONS(2498),
    [anon_sym_throw] = ACTIONS(2500),
    [anon_sym_do] = ACTIONS(1748),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2158),
    [sym__simple_multiline_string] = ACTIONS(1348),
    [sym__simple_string] = ACTIONS(1348),
  },
  [946] = {
    [sym_inline_modifier] = STATE(2269),
    [sym__indentable_expression] = STATE(12686),
    [sym_block] = STATE(8070),
    [sym_indented_block] = STATE(12700),
    [sym_indented_cases] = STATE(12700),
    [sym_expression] = STATE(12581),
    [sym__simple_expression] = STATE(5679),
    [sym_lambda_expression] = STATE(12742),
    [sym_if_expression] = STATE(12742),
    [sym_match_expression] = STATE(12742),
    [sym_try_expression] = STATE(12742),
    [sym_bindings] = STATE(15536),
    [sym_case_block] = STATE(8070),
    [sym_assignment_expression] = STATE(12742),
    [sym_generic_function] = STATE(8070),
    [sym_call_expression] = STATE(8070),
    [sym_field_expression] = STATE(8070),
    [sym_instance_expression] = STATE(8070),
    [sym_ascription_expression] = STATE(12742),
    [sym_infix_expression] = STATE(8913),
    [sym_postfix_expression] = STATE(12343),
    [sym__postfix_expression_choice] = STATE(16230),
    [sym_macro_body] = STATE(12742),
    [sym_prefix_expression] = STATE(9483),
    [sym_tuple_expression] = STATE(8070),
    [sym_parenthesized_expression] = STATE(8070),
    [sym_splice_expression] = STATE(8070),
    [sym_quote_expression] = STATE(8070),
    [sym_identifier] = STATE(4999),
    [sym__soft_identifier] = STATE(5234),
    [sym_wildcard] = STATE(8075),
    [sym__non_null_literal] = STATE(8070),
    [sym_boolean_literal] = STATE(8055),
    [sym_interpolated_string_expression] = STATE(8070),
    [sym_string] = STATE(8055),
    [sym_unit] = STATE(8070),
    [sym_return_expression] = STATE(12742),
    [sym_throw_expression] = STATE(12742),
    [sym_while_expression] = STATE(12742),
    [sym_do_while_expression] = STATE(12742),
    [sym_for_expression] = STATE(12742),
    [sym_comment] = STATE(946),
    [sym_block_comment] = STATE(946),
    [sym__alpha_identifier] = ACTIONS(1314),
    [anon_sym_LBRACE] = ACTIONS(1318),
    [anon_sym__] = ACTIONS(1320),
    [anon_sym_PLUS] = ACTIONS(1322),
    [anon_sym_DASH] = ACTIONS(1322),
    [anon_sym_end] = ACTIONS(1324),
    [anon_sym_if] = ACTIONS(1730),
    [anon_sym_while] = ACTIONS(1732),
    [anon_sym_for] = ACTIONS(1734),
    [anon_sym_try] = ACTIONS(1736),
    [anon_sym_new] = ACTIONS(1326),
    [anon_sym_opaque] = ACTIONS(1324),
    [anon_sym_implicit] = ACTIONS(1738),
    [anon_sym_inline] = ACTIONS(1328),
    [anon_sym_infix] = ACTIONS(1324),
    [anon_sym_open] = ACTIONS(1324),
    [anon_sym_transparent] = ACTIONS(1324),
    [anon_sym_LPAREN] = ACTIONS(1330),
    [anon_sym_macro] = ACTIONS(1740),
    [anon_sym_BANG] = ACTIONS(1322),
    [anon_sym_TILDE] = ACTIONS(1322),
    [anon_sym_DOLLAR] = ACTIONS(1332),
    [anon_sym_SQUOTE] = ACTIONS(1334),
    [sym__backquoted_id] = ACTIONS(1336),
    [sym_operator_identifier] = ACTIONS(1742),
    [sym_integer_literal] = ACTIONS(1340),
    [sym_floating_point_literal] = ACTIONS(1342),
    [anon_sym_true] = ACTIONS(1344),
    [anon_sym_false] = ACTIONS(1344),
    [sym_character_literal] = ACTIONS(1342),
    [sym_null_literal] = ACTIONS(1346),
    [anon_sym_return] = ACTIONS(1744),
    [anon_sym_throw] = ACTIONS(1746),
    [anon_sym_do] = ACTIONS(1748),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2158),
    [sym__simple_multiline_string] = ACTIONS(1348),
    [sym__simple_string] = ACTIONS(1348),
  },
  [947] = {
    [sym_inline_modifier] = STATE(2115),
    [sym__indentable_expression] = STATE(13865),
    [sym_block] = STATE(8041),
    [sym_indented_block] = STATE(12292),
    [sym_indented_cases] = STATE(12292),
    [sym_expression] = STATE(12256),
    [sym__simple_expression] = STATE(7311),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15577),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(10220),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10124),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6254),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(8727),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(947),
    [sym_block_comment] = STATE(947),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(603),
    [anon_sym_DASH] = ACTIONS(603),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(605),
    [anon_sym_while] = ACTIONS(607),
    [anon_sym_for] = ACTIONS(609),
    [anon_sym_try] = ACTIONS(611),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2192),
    [anon_sym_inline] = ACTIONS(1764),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(603),
    [anon_sym_TILDE] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(621),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(623),
    [anon_sym_throw] = ACTIONS(625),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [948] = {
    [sym_inline_modifier] = STATE(2115),
    [sym__indentable_expression] = STATE(13840),
    [sym_block] = STATE(8041),
    [sym_indented_block] = STATE(12292),
    [sym_indented_cases] = STATE(12292),
    [sym_expression] = STATE(12256),
    [sym__simple_expression] = STATE(7311),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15577),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(10220),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10124),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6254),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(8727),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(948),
    [sym_block_comment] = STATE(948),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(603),
    [anon_sym_DASH] = ACTIONS(603),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(605),
    [anon_sym_while] = ACTIONS(607),
    [anon_sym_for] = ACTIONS(609),
    [anon_sym_try] = ACTIONS(611),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2192),
    [anon_sym_inline] = ACTIONS(1764),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(603),
    [anon_sym_TILDE] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(621),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(623),
    [anon_sym_throw] = ACTIONS(625),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [949] = {
    [sym_inline_modifier] = STATE(2269),
    [sym__indentable_expression] = STATE(12681),
    [sym_block] = STATE(8070),
    [sym_indented_block] = STATE(12700),
    [sym_indented_cases] = STATE(12700),
    [sym_expression] = STATE(12581),
    [sym__simple_expression] = STATE(5679),
    [sym_lambda_expression] = STATE(12742),
    [sym_if_expression] = STATE(12742),
    [sym_match_expression] = STATE(12742),
    [sym_try_expression] = STATE(12742),
    [sym_bindings] = STATE(15536),
    [sym_case_block] = STATE(8070),
    [sym_assignment_expression] = STATE(12742),
    [sym_generic_function] = STATE(8070),
    [sym_call_expression] = STATE(8070),
    [sym_field_expression] = STATE(8070),
    [sym_instance_expression] = STATE(8070),
    [sym_ascription_expression] = STATE(12742),
    [sym_infix_expression] = STATE(8913),
    [sym_postfix_expression] = STATE(12343),
    [sym__postfix_expression_choice] = STATE(16230),
    [sym_macro_body] = STATE(12742),
    [sym_prefix_expression] = STATE(9483),
    [sym_tuple_expression] = STATE(8070),
    [sym_parenthesized_expression] = STATE(8070),
    [sym_splice_expression] = STATE(8070),
    [sym_quote_expression] = STATE(8070),
    [sym_identifier] = STATE(4999),
    [sym__soft_identifier] = STATE(5234),
    [sym_wildcard] = STATE(8075),
    [sym__non_null_literal] = STATE(8070),
    [sym_boolean_literal] = STATE(8055),
    [sym_interpolated_string_expression] = STATE(8070),
    [sym_string] = STATE(8055),
    [sym_unit] = STATE(8070),
    [sym_return_expression] = STATE(12742),
    [sym_throw_expression] = STATE(12742),
    [sym_while_expression] = STATE(12742),
    [sym_do_while_expression] = STATE(12742),
    [sym_for_expression] = STATE(12742),
    [sym_comment] = STATE(949),
    [sym_block_comment] = STATE(949),
    [sym__alpha_identifier] = ACTIONS(1314),
    [anon_sym_LBRACE] = ACTIONS(1318),
    [anon_sym__] = ACTIONS(1320),
    [anon_sym_PLUS] = ACTIONS(1322),
    [anon_sym_DASH] = ACTIONS(1322),
    [anon_sym_end] = ACTIONS(1324),
    [anon_sym_if] = ACTIONS(1730),
    [anon_sym_while] = ACTIONS(1732),
    [anon_sym_for] = ACTIONS(1734),
    [anon_sym_try] = ACTIONS(1736),
    [anon_sym_new] = ACTIONS(1326),
    [anon_sym_opaque] = ACTIONS(1324),
    [anon_sym_implicit] = ACTIONS(1738),
    [anon_sym_inline] = ACTIONS(1328),
    [anon_sym_infix] = ACTIONS(1324),
    [anon_sym_open] = ACTIONS(1324),
    [anon_sym_transparent] = ACTIONS(1324),
    [anon_sym_LPAREN] = ACTIONS(1330),
    [anon_sym_macro] = ACTIONS(1740),
    [anon_sym_BANG] = ACTIONS(1322),
    [anon_sym_TILDE] = ACTIONS(1322),
    [anon_sym_DOLLAR] = ACTIONS(1332),
    [anon_sym_SQUOTE] = ACTIONS(1334),
    [sym__backquoted_id] = ACTIONS(1336),
    [sym_operator_identifier] = ACTIONS(1742),
    [sym_integer_literal] = ACTIONS(1340),
    [sym_floating_point_literal] = ACTIONS(1342),
    [anon_sym_true] = ACTIONS(1344),
    [anon_sym_false] = ACTIONS(1344),
    [sym_character_literal] = ACTIONS(1342),
    [sym_null_literal] = ACTIONS(1346),
    [anon_sym_return] = ACTIONS(1744),
    [anon_sym_throw] = ACTIONS(1746),
    [anon_sym_do] = ACTIONS(1748),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2158),
    [sym__simple_multiline_string] = ACTIONS(1348),
    [sym__simple_string] = ACTIONS(1348),
  },
  [950] = {
    [sym_inline_modifier] = STATE(2259),
    [sym__indentable_expression] = STATE(12823),
    [sym_block] = STATE(8070),
    [sym_indented_block] = STATE(12700),
    [sym_indented_cases] = STATE(12700),
    [sym_expression] = STATE(12581),
    [sym__simple_expression] = STATE(7077),
    [sym_lambda_expression] = STATE(12742),
    [sym_if_expression] = STATE(12742),
    [sym_match_expression] = STATE(12742),
    [sym_try_expression] = STATE(12742),
    [sym_bindings] = STATE(15598),
    [sym_case_block] = STATE(8070),
    [sym_assignment_expression] = STATE(12742),
    [sym_generic_function] = STATE(8070),
    [sym_call_expression] = STATE(8070),
    [sym_field_expression] = STATE(8070),
    [sym_instance_expression] = STATE(8070),
    [sym_ascription_expression] = STATE(12742),
    [sym_infix_expression] = STATE(8913),
    [sym_postfix_expression] = STATE(12343),
    [sym__postfix_expression_choice] = STATE(16230),
    [sym_macro_body] = STATE(12742),
    [sym_prefix_expression] = STATE(10037),
    [sym_tuple_expression] = STATE(8070),
    [sym_parenthesized_expression] = STATE(8070),
    [sym_splice_expression] = STATE(8070),
    [sym_quote_expression] = STATE(8070),
    [sym_identifier] = STATE(6308),
    [sym__soft_identifier] = STATE(5234),
    [sym_wildcard] = STATE(8710),
    [sym__non_null_literal] = STATE(8070),
    [sym_boolean_literal] = STATE(8055),
    [sym_interpolated_string_expression] = STATE(8070),
    [sym_string] = STATE(8055),
    [sym_unit] = STATE(8070),
    [sym_return_expression] = STATE(12742),
    [sym_throw_expression] = STATE(12742),
    [sym_while_expression] = STATE(12742),
    [sym_do_while_expression] = STATE(12742),
    [sym_for_expression] = STATE(12742),
    [sym_comment] = STATE(950),
    [sym_block_comment] = STATE(950),
    [sym__alpha_identifier] = ACTIONS(1314),
    [anon_sym_LBRACE] = ACTIONS(1318),
    [anon_sym__] = ACTIONS(1320),
    [anon_sym_PLUS] = ACTIONS(1322),
    [anon_sym_DASH] = ACTIONS(1322),
    [anon_sym_end] = ACTIONS(1324),
    [anon_sym_if] = ACTIONS(2486),
    [anon_sym_while] = ACTIONS(2488),
    [anon_sym_for] = ACTIONS(2490),
    [anon_sym_try] = ACTIONS(2492),
    [anon_sym_new] = ACTIONS(1326),
    [anon_sym_opaque] = ACTIONS(1324),
    [anon_sym_implicit] = ACTIONS(2494),
    [anon_sym_inline] = ACTIONS(1328),
    [anon_sym_infix] = ACTIONS(1324),
    [anon_sym_open] = ACTIONS(1324),
    [anon_sym_transparent] = ACTIONS(1324),
    [anon_sym_LPAREN] = ACTIONS(1330),
    [anon_sym_macro] = ACTIONS(1740),
    [anon_sym_BANG] = ACTIONS(1322),
    [anon_sym_TILDE] = ACTIONS(1322),
    [anon_sym_DOLLAR] = ACTIONS(1332),
    [anon_sym_SQUOTE] = ACTIONS(1334),
    [sym__backquoted_id] = ACTIONS(1336),
    [sym_operator_identifier] = ACTIONS(2496),
    [sym_integer_literal] = ACTIONS(1340),
    [sym_floating_point_literal] = ACTIONS(1342),
    [anon_sym_true] = ACTIONS(1344),
    [anon_sym_false] = ACTIONS(1344),
    [sym_character_literal] = ACTIONS(1342),
    [sym_null_literal] = ACTIONS(1346),
    [anon_sym_return] = ACTIONS(2498),
    [anon_sym_throw] = ACTIONS(2500),
    [anon_sym_do] = ACTIONS(1748),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2158),
    [sym__simple_multiline_string] = ACTIONS(1348),
    [sym__simple_string] = ACTIONS(1348),
  },
  [951] = {
    [sym_inline_modifier] = STATE(2269),
    [sym__indentable_expression] = STATE(12673),
    [sym_block] = STATE(8070),
    [sym_indented_block] = STATE(12700),
    [sym_indented_cases] = STATE(12700),
    [sym_expression] = STATE(12581),
    [sym__simple_expression] = STATE(5679),
    [sym_lambda_expression] = STATE(12742),
    [sym_if_expression] = STATE(12742),
    [sym_match_expression] = STATE(12742),
    [sym_try_expression] = STATE(12742),
    [sym_bindings] = STATE(15536),
    [sym_case_block] = STATE(8070),
    [sym_assignment_expression] = STATE(12742),
    [sym_generic_function] = STATE(8070),
    [sym_call_expression] = STATE(8070),
    [sym_field_expression] = STATE(8070),
    [sym_instance_expression] = STATE(8070),
    [sym_ascription_expression] = STATE(12742),
    [sym_infix_expression] = STATE(8913),
    [sym_postfix_expression] = STATE(12343),
    [sym__postfix_expression_choice] = STATE(16230),
    [sym_macro_body] = STATE(12742),
    [sym_prefix_expression] = STATE(9483),
    [sym_tuple_expression] = STATE(8070),
    [sym_parenthesized_expression] = STATE(8070),
    [sym_splice_expression] = STATE(8070),
    [sym_quote_expression] = STATE(8070),
    [sym_identifier] = STATE(4999),
    [sym__soft_identifier] = STATE(5234),
    [sym_wildcard] = STATE(8075),
    [sym__non_null_literal] = STATE(8070),
    [sym_boolean_literal] = STATE(8055),
    [sym_interpolated_string_expression] = STATE(8070),
    [sym_string] = STATE(8055),
    [sym_unit] = STATE(8070),
    [sym_return_expression] = STATE(12742),
    [sym_throw_expression] = STATE(12742),
    [sym_while_expression] = STATE(12742),
    [sym_do_while_expression] = STATE(12742),
    [sym_for_expression] = STATE(12742),
    [sym_comment] = STATE(951),
    [sym_block_comment] = STATE(951),
    [sym__alpha_identifier] = ACTIONS(1314),
    [anon_sym_LBRACE] = ACTIONS(1318),
    [anon_sym__] = ACTIONS(1320),
    [anon_sym_PLUS] = ACTIONS(1322),
    [anon_sym_DASH] = ACTIONS(1322),
    [anon_sym_end] = ACTIONS(1324),
    [anon_sym_if] = ACTIONS(1730),
    [anon_sym_while] = ACTIONS(1732),
    [anon_sym_for] = ACTIONS(1734),
    [anon_sym_try] = ACTIONS(1736),
    [anon_sym_new] = ACTIONS(1326),
    [anon_sym_opaque] = ACTIONS(1324),
    [anon_sym_implicit] = ACTIONS(1738),
    [anon_sym_inline] = ACTIONS(1328),
    [anon_sym_infix] = ACTIONS(1324),
    [anon_sym_open] = ACTIONS(1324),
    [anon_sym_transparent] = ACTIONS(1324),
    [anon_sym_LPAREN] = ACTIONS(1330),
    [anon_sym_macro] = ACTIONS(1740),
    [anon_sym_BANG] = ACTIONS(1322),
    [anon_sym_TILDE] = ACTIONS(1322),
    [anon_sym_DOLLAR] = ACTIONS(1332),
    [anon_sym_SQUOTE] = ACTIONS(1334),
    [sym__backquoted_id] = ACTIONS(1336),
    [sym_operator_identifier] = ACTIONS(1742),
    [sym_integer_literal] = ACTIONS(1340),
    [sym_floating_point_literal] = ACTIONS(1342),
    [anon_sym_true] = ACTIONS(1344),
    [anon_sym_false] = ACTIONS(1344),
    [sym_character_literal] = ACTIONS(1342),
    [sym_null_literal] = ACTIONS(1346),
    [anon_sym_return] = ACTIONS(1744),
    [anon_sym_throw] = ACTIONS(1746),
    [anon_sym_do] = ACTIONS(1748),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2158),
    [sym__simple_multiline_string] = ACTIONS(1348),
    [sym__simple_string] = ACTIONS(1348),
  },
  [952] = {
    [sym_inline_modifier] = STATE(2259),
    [sym__indentable_expression] = STATE(12828),
    [sym_block] = STATE(8070),
    [sym_indented_block] = STATE(12700),
    [sym_indented_cases] = STATE(12700),
    [sym_expression] = STATE(12581),
    [sym__simple_expression] = STATE(7077),
    [sym_lambda_expression] = STATE(12742),
    [sym_if_expression] = STATE(12742),
    [sym_match_expression] = STATE(12742),
    [sym_try_expression] = STATE(12742),
    [sym_bindings] = STATE(15598),
    [sym_case_block] = STATE(8070),
    [sym_assignment_expression] = STATE(12742),
    [sym_generic_function] = STATE(8070),
    [sym_call_expression] = STATE(8070),
    [sym_field_expression] = STATE(8070),
    [sym_instance_expression] = STATE(8070),
    [sym_ascription_expression] = STATE(12742),
    [sym_infix_expression] = STATE(8913),
    [sym_postfix_expression] = STATE(12343),
    [sym__postfix_expression_choice] = STATE(16230),
    [sym_macro_body] = STATE(12742),
    [sym_prefix_expression] = STATE(10037),
    [sym_tuple_expression] = STATE(8070),
    [sym_parenthesized_expression] = STATE(8070),
    [sym_splice_expression] = STATE(8070),
    [sym_quote_expression] = STATE(8070),
    [sym_identifier] = STATE(6308),
    [sym__soft_identifier] = STATE(5234),
    [sym_wildcard] = STATE(8710),
    [sym__non_null_literal] = STATE(8070),
    [sym_boolean_literal] = STATE(8055),
    [sym_interpolated_string_expression] = STATE(8070),
    [sym_string] = STATE(8055),
    [sym_unit] = STATE(8070),
    [sym_return_expression] = STATE(12742),
    [sym_throw_expression] = STATE(12742),
    [sym_while_expression] = STATE(12742),
    [sym_do_while_expression] = STATE(12742),
    [sym_for_expression] = STATE(12742),
    [sym_comment] = STATE(952),
    [sym_block_comment] = STATE(952),
    [sym__alpha_identifier] = ACTIONS(1314),
    [anon_sym_LBRACE] = ACTIONS(1318),
    [anon_sym__] = ACTIONS(1320),
    [anon_sym_PLUS] = ACTIONS(1322),
    [anon_sym_DASH] = ACTIONS(1322),
    [anon_sym_end] = ACTIONS(1324),
    [anon_sym_if] = ACTIONS(2486),
    [anon_sym_while] = ACTIONS(2488),
    [anon_sym_for] = ACTIONS(2490),
    [anon_sym_try] = ACTIONS(2492),
    [anon_sym_new] = ACTIONS(1326),
    [anon_sym_opaque] = ACTIONS(1324),
    [anon_sym_implicit] = ACTIONS(2494),
    [anon_sym_inline] = ACTIONS(1328),
    [anon_sym_infix] = ACTIONS(1324),
    [anon_sym_open] = ACTIONS(1324),
    [anon_sym_transparent] = ACTIONS(1324),
    [anon_sym_LPAREN] = ACTIONS(1330),
    [anon_sym_macro] = ACTIONS(1740),
    [anon_sym_BANG] = ACTIONS(1322),
    [anon_sym_TILDE] = ACTIONS(1322),
    [anon_sym_DOLLAR] = ACTIONS(1332),
    [anon_sym_SQUOTE] = ACTIONS(1334),
    [sym__backquoted_id] = ACTIONS(1336),
    [sym_operator_identifier] = ACTIONS(2496),
    [sym_integer_literal] = ACTIONS(1340),
    [sym_floating_point_literal] = ACTIONS(1342),
    [anon_sym_true] = ACTIONS(1344),
    [anon_sym_false] = ACTIONS(1344),
    [sym_character_literal] = ACTIONS(1342),
    [sym_null_literal] = ACTIONS(1346),
    [anon_sym_return] = ACTIONS(2498),
    [anon_sym_throw] = ACTIONS(2500),
    [anon_sym_do] = ACTIONS(1748),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2158),
    [sym__simple_multiline_string] = ACTIONS(1348),
    [sym__simple_string] = ACTIONS(1348),
  },
  [953] = {
    [sym_inline_modifier] = STATE(2050),
    [sym__indentable_expression] = STATE(13146),
    [sym_block] = STATE(8375),
    [sym_indented_block] = STATE(13183),
    [sym_indented_cases] = STATE(13183),
    [sym_expression] = STATE(12800),
    [sym__simple_expression] = STATE(6499),
    [sym_lambda_expression] = STATE(13185),
    [sym_if_expression] = STATE(13185),
    [sym_match_expression] = STATE(13185),
    [sym_try_expression] = STATE(13185),
    [sym_bindings] = STATE(15649),
    [sym_case_block] = STATE(8375),
    [sym_assignment_expression] = STATE(13185),
    [sym_generic_function] = STATE(8375),
    [sym_call_expression] = STATE(8375),
    [sym_field_expression] = STATE(8375),
    [sym_instance_expression] = STATE(8375),
    [sym_ascription_expression] = STATE(13185),
    [sym_infix_expression] = STATE(9364),
    [sym_postfix_expression] = STATE(12809),
    [sym__postfix_expression_choice] = STATE(16440),
    [sym_macro_body] = STATE(13185),
    [sym_prefix_expression] = STATE(9765),
    [sym_tuple_expression] = STATE(8375),
    [sym_parenthesized_expression] = STATE(8375),
    [sym_splice_expression] = STATE(8375),
    [sym_quote_expression] = STATE(8375),
    [sym_identifier] = STATE(5812),
    [sym__soft_identifier] = STATE(5430),
    [sym_wildcard] = STATE(8380),
    [sym__non_null_literal] = STATE(8375),
    [sym_boolean_literal] = STATE(8117),
    [sym_interpolated_string_expression] = STATE(8375),
    [sym_string] = STATE(8117),
    [sym_unit] = STATE(8375),
    [sym_return_expression] = STATE(13185),
    [sym_throw_expression] = STATE(13185),
    [sym_while_expression] = STATE(13185),
    [sym_do_while_expression] = STATE(13185),
    [sym_for_expression] = STATE(13185),
    [sym_comment] = STATE(953),
    [sym_block_comment] = STATE(953),
    [sym__alpha_identifier] = ACTIONS(1618),
    [anon_sym_LBRACE] = ACTIONS(1622),
    [anon_sym__] = ACTIONS(1624),
    [anon_sym_PLUS] = ACTIONS(1626),
    [anon_sym_DASH] = ACTIONS(1626),
    [anon_sym_end] = ACTIONS(1628),
    [anon_sym_if] = ACTIONS(2064),
    [anon_sym_while] = ACTIONS(2066),
    [anon_sym_for] = ACTIONS(2068),
    [anon_sym_try] = ACTIONS(2070),
    [anon_sym_new] = ACTIONS(1630),
    [anon_sym_opaque] = ACTIONS(1628),
    [anon_sym_implicit] = ACTIONS(2072),
    [anon_sym_inline] = ACTIONS(1632),
    [anon_sym_infix] = ACTIONS(1628),
    [anon_sym_open] = ACTIONS(1628),
    [anon_sym_transparent] = ACTIONS(1628),
    [anon_sym_LPAREN] = ACTIONS(1634),
    [anon_sym_macro] = ACTIONS(2074),
    [anon_sym_BANG] = ACTIONS(1626),
    [anon_sym_TILDE] = ACTIONS(1626),
    [anon_sym_DOLLAR] = ACTIONS(1636),
    [anon_sym_SQUOTE] = ACTIONS(1638),
    [sym__backquoted_id] = ACTIONS(1640),
    [sym_operator_identifier] = ACTIONS(2076),
    [sym_integer_literal] = ACTIONS(1644),
    [sym_floating_point_literal] = ACTIONS(1646),
    [anon_sym_true] = ACTIONS(1648),
    [anon_sym_false] = ACTIONS(1648),
    [sym_character_literal] = ACTIONS(1646),
    [sym_null_literal] = ACTIONS(1650),
    [anon_sym_return] = ACTIONS(2078),
    [anon_sym_throw] = ACTIONS(2080),
    [anon_sym_do] = ACTIONS(2082),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1652),
    [sym__simple_string] = ACTIONS(1652),
  },
  [954] = {
    [sym_inline_modifier] = STATE(2259),
    [sym__indentable_expression] = STATE(12835),
    [sym_block] = STATE(8070),
    [sym_indented_block] = STATE(12700),
    [sym_indented_cases] = STATE(12700),
    [sym_expression] = STATE(12581),
    [sym__simple_expression] = STATE(7077),
    [sym_lambda_expression] = STATE(12742),
    [sym_if_expression] = STATE(12742),
    [sym_match_expression] = STATE(12742),
    [sym_try_expression] = STATE(12742),
    [sym_bindings] = STATE(15598),
    [sym_case_block] = STATE(8070),
    [sym_assignment_expression] = STATE(12742),
    [sym_generic_function] = STATE(8070),
    [sym_call_expression] = STATE(8070),
    [sym_field_expression] = STATE(8070),
    [sym_instance_expression] = STATE(8070),
    [sym_ascription_expression] = STATE(12742),
    [sym_infix_expression] = STATE(8913),
    [sym_postfix_expression] = STATE(12343),
    [sym__postfix_expression_choice] = STATE(16230),
    [sym_macro_body] = STATE(12742),
    [sym_prefix_expression] = STATE(10037),
    [sym_tuple_expression] = STATE(8070),
    [sym_parenthesized_expression] = STATE(8070),
    [sym_splice_expression] = STATE(8070),
    [sym_quote_expression] = STATE(8070),
    [sym_identifier] = STATE(6308),
    [sym__soft_identifier] = STATE(5234),
    [sym_wildcard] = STATE(8710),
    [sym__non_null_literal] = STATE(8070),
    [sym_boolean_literal] = STATE(8055),
    [sym_interpolated_string_expression] = STATE(8070),
    [sym_string] = STATE(8055),
    [sym_unit] = STATE(8070),
    [sym_return_expression] = STATE(12742),
    [sym_throw_expression] = STATE(12742),
    [sym_while_expression] = STATE(12742),
    [sym_do_while_expression] = STATE(12742),
    [sym_for_expression] = STATE(12742),
    [sym_comment] = STATE(954),
    [sym_block_comment] = STATE(954),
    [sym__alpha_identifier] = ACTIONS(1314),
    [anon_sym_LBRACE] = ACTIONS(1318),
    [anon_sym__] = ACTIONS(1320),
    [anon_sym_PLUS] = ACTIONS(1322),
    [anon_sym_DASH] = ACTIONS(1322),
    [anon_sym_end] = ACTIONS(1324),
    [anon_sym_if] = ACTIONS(2486),
    [anon_sym_while] = ACTIONS(2488),
    [anon_sym_for] = ACTIONS(2490),
    [anon_sym_try] = ACTIONS(2492),
    [anon_sym_new] = ACTIONS(1326),
    [anon_sym_opaque] = ACTIONS(1324),
    [anon_sym_implicit] = ACTIONS(2494),
    [anon_sym_inline] = ACTIONS(1328),
    [anon_sym_infix] = ACTIONS(1324),
    [anon_sym_open] = ACTIONS(1324),
    [anon_sym_transparent] = ACTIONS(1324),
    [anon_sym_LPAREN] = ACTIONS(1330),
    [anon_sym_macro] = ACTIONS(1740),
    [anon_sym_BANG] = ACTIONS(1322),
    [anon_sym_TILDE] = ACTIONS(1322),
    [anon_sym_DOLLAR] = ACTIONS(1332),
    [anon_sym_SQUOTE] = ACTIONS(1334),
    [sym__backquoted_id] = ACTIONS(1336),
    [sym_operator_identifier] = ACTIONS(2496),
    [sym_integer_literal] = ACTIONS(1340),
    [sym_floating_point_literal] = ACTIONS(1342),
    [anon_sym_true] = ACTIONS(1344),
    [anon_sym_false] = ACTIONS(1344),
    [sym_character_literal] = ACTIONS(1342),
    [sym_null_literal] = ACTIONS(1346),
    [anon_sym_return] = ACTIONS(2498),
    [anon_sym_throw] = ACTIONS(2500),
    [anon_sym_do] = ACTIONS(1748),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2158),
    [sym__simple_multiline_string] = ACTIONS(1348),
    [sym__simple_string] = ACTIONS(1348),
  },
  [955] = {
    [sym_inline_modifier] = STATE(2259),
    [sym__indentable_expression] = STATE(12843),
    [sym_block] = STATE(8070),
    [sym_indented_block] = STATE(12700),
    [sym_indented_cases] = STATE(12700),
    [sym_expression] = STATE(12581),
    [sym__simple_expression] = STATE(7077),
    [sym_lambda_expression] = STATE(12742),
    [sym_if_expression] = STATE(12742),
    [sym_match_expression] = STATE(12742),
    [sym_try_expression] = STATE(12742),
    [sym_bindings] = STATE(15598),
    [sym_case_block] = STATE(8070),
    [sym_assignment_expression] = STATE(12742),
    [sym_generic_function] = STATE(8070),
    [sym_call_expression] = STATE(8070),
    [sym_field_expression] = STATE(8070),
    [sym_instance_expression] = STATE(8070),
    [sym_ascription_expression] = STATE(12742),
    [sym_infix_expression] = STATE(8913),
    [sym_postfix_expression] = STATE(12343),
    [sym__postfix_expression_choice] = STATE(16230),
    [sym_macro_body] = STATE(12742),
    [sym_prefix_expression] = STATE(10037),
    [sym_tuple_expression] = STATE(8070),
    [sym_parenthesized_expression] = STATE(8070),
    [sym_splice_expression] = STATE(8070),
    [sym_quote_expression] = STATE(8070),
    [sym_identifier] = STATE(6308),
    [sym__soft_identifier] = STATE(5234),
    [sym_wildcard] = STATE(8710),
    [sym__non_null_literal] = STATE(8070),
    [sym_boolean_literal] = STATE(8055),
    [sym_interpolated_string_expression] = STATE(8070),
    [sym_string] = STATE(8055),
    [sym_unit] = STATE(8070),
    [sym_return_expression] = STATE(12742),
    [sym_throw_expression] = STATE(12742),
    [sym_while_expression] = STATE(12742),
    [sym_do_while_expression] = STATE(12742),
    [sym_for_expression] = STATE(12742),
    [sym_comment] = STATE(955),
    [sym_block_comment] = STATE(955),
    [sym__alpha_identifier] = ACTIONS(1314),
    [anon_sym_LBRACE] = ACTIONS(1318),
    [anon_sym__] = ACTIONS(1320),
    [anon_sym_PLUS] = ACTIONS(1322),
    [anon_sym_DASH] = ACTIONS(1322),
    [anon_sym_end] = ACTIONS(1324),
    [anon_sym_if] = ACTIONS(2486),
    [anon_sym_while] = ACTIONS(2488),
    [anon_sym_for] = ACTIONS(2490),
    [anon_sym_try] = ACTIONS(2492),
    [anon_sym_new] = ACTIONS(1326),
    [anon_sym_opaque] = ACTIONS(1324),
    [anon_sym_implicit] = ACTIONS(2494),
    [anon_sym_inline] = ACTIONS(1328),
    [anon_sym_infix] = ACTIONS(1324),
    [anon_sym_open] = ACTIONS(1324),
    [anon_sym_transparent] = ACTIONS(1324),
    [anon_sym_LPAREN] = ACTIONS(1330),
    [anon_sym_macro] = ACTIONS(1740),
    [anon_sym_BANG] = ACTIONS(1322),
    [anon_sym_TILDE] = ACTIONS(1322),
    [anon_sym_DOLLAR] = ACTIONS(1332),
    [anon_sym_SQUOTE] = ACTIONS(1334),
    [sym__backquoted_id] = ACTIONS(1336),
    [sym_operator_identifier] = ACTIONS(2496),
    [sym_integer_literal] = ACTIONS(1340),
    [sym_floating_point_literal] = ACTIONS(1342),
    [anon_sym_true] = ACTIONS(1344),
    [anon_sym_false] = ACTIONS(1344),
    [sym_character_literal] = ACTIONS(1342),
    [sym_null_literal] = ACTIONS(1346),
    [anon_sym_return] = ACTIONS(2498),
    [anon_sym_throw] = ACTIONS(2500),
    [anon_sym_do] = ACTIONS(1748),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2158),
    [sym__simple_multiline_string] = ACTIONS(1348),
    [sym__simple_string] = ACTIONS(1348),
  },
  [956] = {
    [sym_inline_modifier] = STATE(2122),
    [sym__indentable_expression] = STATE(11898),
    [sym_block] = STATE(6703),
    [sym_indented_block] = STATE(12004),
    [sym_indented_cases] = STATE(12004),
    [sym_expression] = STATE(12171),
    [sym__simple_expression] = STATE(6037),
    [sym_lambda_expression] = STATE(12046),
    [sym_if_expression] = STATE(12046),
    [sym_match_expression] = STATE(12046),
    [sym_try_expression] = STATE(12046),
    [sym_bindings] = STATE(15638),
    [sym_case_block] = STATE(6703),
    [sym_assignment_expression] = STATE(12046),
    [sym_generic_function] = STATE(6703),
    [sym_call_expression] = STATE(6703),
    [sym_field_expression] = STATE(6703),
    [sym_instance_expression] = STATE(6703),
    [sym_ascription_expression] = STATE(12046),
    [sym_infix_expression] = STATE(8166),
    [sym_postfix_expression] = STATE(11496),
    [sym__postfix_expression_choice] = STATE(15827),
    [sym_macro_body] = STATE(12046),
    [sym_prefix_expression] = STATE(9715),
    [sym_tuple_expression] = STATE(6703),
    [sym_parenthesized_expression] = STATE(6703),
    [sym_splice_expression] = STATE(6703),
    [sym_quote_expression] = STATE(6703),
    [sym_identifier] = STATE(5641),
    [sym__soft_identifier] = STATE(4884),
    [sym_wildcard] = STATE(8386),
    [sym__non_null_literal] = STATE(6703),
    [sym_boolean_literal] = STATE(6780),
    [sym_interpolated_string_expression] = STATE(6703),
    [sym_string] = STATE(6780),
    [sym_unit] = STATE(6703),
    [sym_return_expression] = STATE(12046),
    [sym_throw_expression] = STATE(12046),
    [sym_while_expression] = STATE(12046),
    [sym_do_while_expression] = STATE(12046),
    [sym_for_expression] = STATE(12046),
    [sym_comment] = STATE(956),
    [sym_block_comment] = STATE(956),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(1838),
    [anon_sym_while] = ACTIONS(1840),
    [anon_sym_for] = ACTIONS(1842),
    [anon_sym_try] = ACTIONS(1844),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(1846),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1848),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(1850),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(1852),
    [anon_sym_throw] = ACTIONS(1854),
    [anon_sym_do] = ACTIONS(1856),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2234),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [957] = {
    [sym_inline_modifier] = STATE(2335),
    [sym__indentable_expression] = STATE(12752),
    [sym_block] = STATE(5403),
    [sym_indented_block] = STATE(11085),
    [sym_indented_cases] = STATE(11085),
    [sym_expression] = STATE(11355),
    [sym__simple_expression] = STATE(4736),
    [sym_lambda_expression] = STATE(11364),
    [sym_if_expression] = STATE(11364),
    [sym_match_expression] = STATE(11364),
    [sym_try_expression] = STATE(11364),
    [sym_bindings] = STATE(15583),
    [sym_case_block] = STATE(5403),
    [sym_assignment_expression] = STATE(11364),
    [sym_generic_function] = STATE(5403),
    [sym_call_expression] = STATE(5403),
    [sym_field_expression] = STATE(5403),
    [sym_instance_expression] = STATE(5403),
    [sym_ascription_expression] = STATE(11364),
    [sym_infix_expression] = STATE(6806),
    [sym_postfix_expression] = STATE(10789),
    [sym__postfix_expression_choice] = STATE(15797),
    [sym_macro_body] = STATE(11364),
    [sym_prefix_expression] = STATE(8627),
    [sym_tuple_expression] = STATE(5403),
    [sym_parenthesized_expression] = STATE(5403),
    [sym_splice_expression] = STATE(5403),
    [sym_quote_expression] = STATE(5403),
    [sym_identifier] = STATE(4558),
    [sym__soft_identifier] = STATE(4455),
    [sym_wildcard] = STATE(6107),
    [sym__non_null_literal] = STATE(5403),
    [sym_boolean_literal] = STATE(5637),
    [sym_interpolated_string_expression] = STATE(5403),
    [sym_string] = STATE(5637),
    [sym_unit] = STATE(5403),
    [sym_return_expression] = STATE(11364),
    [sym_throw_expression] = STATE(11364),
    [sym_while_expression] = STATE(11364),
    [sym_do_while_expression] = STATE(11364),
    [sym_for_expression] = STATE(11364),
    [sym_comment] = STATE(957),
    [sym_block_comment] = STATE(957),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(2288),
    [anon_sym_while] = ACTIONS(1750),
    [anon_sym_for] = ACTIONS(1752),
    [anon_sym_try] = ACTIONS(1754),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1756),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1162),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1758),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1760),
    [anon_sym_throw] = ACTIONS(1762),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2282),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [958] = {
    [sym_inline_modifier] = STATE(2084),
    [sym__indentable_expression] = STATE(16142),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(8831),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15722),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10635),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(649),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(8641),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(10149),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(958),
    [sym_block_comment] = STATE(958),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2740),
    [anon_sym_while] = ACTIONS(2742),
    [anon_sym_for] = ACTIONS(2744),
    [anon_sym_try] = ACTIONS(2746),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2748),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3310),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3312),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2762),
    [anon_sym_throw] = ACTIONS(2764),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [959] = {
    [sym_inline_modifier] = STATE(2084),
    [sym__indentable_expression] = STATE(13581),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(8831),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15722),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10635),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(8641),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(10149),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(959),
    [sym_block_comment] = STATE(959),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2740),
    [anon_sym_while] = ACTIONS(2742),
    [anon_sym_for] = ACTIONS(2744),
    [anon_sym_try] = ACTIONS(2746),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2748),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3312),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2762),
    [anon_sym_throw] = ACTIONS(2764),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [960] = {
    [sym_inline_modifier] = STATE(2132),
    [sym__indentable_expression] = STATE(12266),
    [sym_block] = STATE(6738),
    [sym_indented_block] = STATE(12372),
    [sym_indented_cases] = STATE(12372),
    [sym_expression] = STATE(12028),
    [sym__simple_expression] = STATE(6097),
    [sym_lambda_expression] = STATE(12430),
    [sym_if_expression] = STATE(12430),
    [sym_match_expression] = STATE(12430),
    [sym_try_expression] = STATE(12430),
    [sym_bindings] = STATE(15718),
    [sym_case_block] = STATE(6738),
    [sym_assignment_expression] = STATE(12430),
    [sym_generic_function] = STATE(6738),
    [sym_call_expression] = STATE(6738),
    [sym_field_expression] = STATE(6738),
    [sym_instance_expression] = STATE(6738),
    [sym_ascription_expression] = STATE(12430),
    [sym_infix_expression] = STATE(8389),
    [sym_postfix_expression] = STATE(11930),
    [sym__postfix_expression_choice] = STATE(15885),
    [sym_macro_body] = STATE(12430),
    [sym_prefix_expression] = STATE(9761),
    [sym_tuple_expression] = STATE(6738),
    [sym_parenthesized_expression] = STATE(6738),
    [sym_splice_expression] = STATE(6738),
    [sym_quote_expression] = STATE(6738),
    [sym_identifier] = STATE(5458),
    [sym__soft_identifier] = STATE(4943),
    [sym_wildcard] = STATE(8612),
    [sym__non_null_literal] = STATE(6738),
    [sym_boolean_literal] = STATE(7301),
    [sym_interpolated_string_expression] = STATE(6738),
    [sym_string] = STATE(7301),
    [sym_unit] = STATE(6738),
    [sym_return_expression] = STATE(12430),
    [sym_throw_expression] = STATE(12430),
    [sym_while_expression] = STATE(12430),
    [sym_do_while_expression] = STATE(12430),
    [sym_for_expression] = STATE(12430),
    [sym_comment] = STATE(960),
    [sym_block_comment] = STATE(960),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(2430),
    [anon_sym_while] = ACTIONS(2432),
    [anon_sym_for] = ACTIONS(2434),
    [anon_sym_try] = ACTIONS(2436),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(2438),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1360),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(2440),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(2442),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(1368),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2202),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [961] = {
    [sym_inline_modifier] = STATE(2064),
    [sym__indentable_expression] = STATE(13526),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(8719),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15704),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10572),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(8565),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(10039),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(961),
    [sym_block_comment] = STATE(961),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(3246),
    [anon_sym_while] = ACTIONS(3248),
    [anon_sym_for] = ACTIONS(3250),
    [anon_sym_try] = ACTIONS(3252),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(3254),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3318),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(3259),
    [anon_sym_throw] = ACTIONS(3261),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [962] = {
    [sym_inline_modifier] = STATE(2269),
    [sym__indentable_expression] = STATE(12635),
    [sym_block] = STATE(8070),
    [sym_indented_block] = STATE(12700),
    [sym_indented_cases] = STATE(12700),
    [sym_expression] = STATE(12581),
    [sym__simple_expression] = STATE(5679),
    [sym_lambda_expression] = STATE(12742),
    [sym_if_expression] = STATE(12742),
    [sym_match_expression] = STATE(12742),
    [sym_try_expression] = STATE(12742),
    [sym_bindings] = STATE(15536),
    [sym_case_block] = STATE(8070),
    [sym_assignment_expression] = STATE(12742),
    [sym_generic_function] = STATE(8070),
    [sym_call_expression] = STATE(8070),
    [sym_field_expression] = STATE(8070),
    [sym_instance_expression] = STATE(8070),
    [sym_ascription_expression] = STATE(12742),
    [sym_infix_expression] = STATE(8913),
    [sym_postfix_expression] = STATE(12343),
    [sym__postfix_expression_choice] = STATE(16230),
    [sym_macro_body] = STATE(12742),
    [sym_prefix_expression] = STATE(9483),
    [sym_tuple_expression] = STATE(8070),
    [sym_parenthesized_expression] = STATE(8070),
    [sym_splice_expression] = STATE(8070),
    [sym_quote_expression] = STATE(8070),
    [sym_identifier] = STATE(4999),
    [sym__soft_identifier] = STATE(5234),
    [sym_wildcard] = STATE(8075),
    [sym__non_null_literal] = STATE(8070),
    [sym_boolean_literal] = STATE(8055),
    [sym_interpolated_string_expression] = STATE(8070),
    [sym_string] = STATE(8055),
    [sym_unit] = STATE(8070),
    [sym_return_expression] = STATE(12742),
    [sym_throw_expression] = STATE(12742),
    [sym_while_expression] = STATE(12742),
    [sym_do_while_expression] = STATE(12742),
    [sym_for_expression] = STATE(12742),
    [sym_comment] = STATE(962),
    [sym_block_comment] = STATE(962),
    [sym__alpha_identifier] = ACTIONS(1314),
    [anon_sym_LBRACE] = ACTIONS(1318),
    [anon_sym__] = ACTIONS(1320),
    [anon_sym_PLUS] = ACTIONS(1322),
    [anon_sym_DASH] = ACTIONS(1322),
    [anon_sym_end] = ACTIONS(1324),
    [anon_sym_if] = ACTIONS(1730),
    [anon_sym_while] = ACTIONS(1732),
    [anon_sym_for] = ACTIONS(1734),
    [anon_sym_try] = ACTIONS(1736),
    [anon_sym_new] = ACTIONS(1326),
    [anon_sym_opaque] = ACTIONS(1324),
    [anon_sym_implicit] = ACTIONS(1738),
    [anon_sym_inline] = ACTIONS(1328),
    [anon_sym_infix] = ACTIONS(1324),
    [anon_sym_open] = ACTIONS(1324),
    [anon_sym_transparent] = ACTIONS(1324),
    [anon_sym_LPAREN] = ACTIONS(1330),
    [anon_sym_macro] = ACTIONS(1740),
    [anon_sym_BANG] = ACTIONS(1322),
    [anon_sym_TILDE] = ACTIONS(1322),
    [anon_sym_DOLLAR] = ACTIONS(1332),
    [anon_sym_SQUOTE] = ACTIONS(1334),
    [sym__backquoted_id] = ACTIONS(1336),
    [sym_operator_identifier] = ACTIONS(1742),
    [sym_integer_literal] = ACTIONS(1340),
    [sym_floating_point_literal] = ACTIONS(1342),
    [anon_sym_true] = ACTIONS(1344),
    [anon_sym_false] = ACTIONS(1344),
    [sym_character_literal] = ACTIONS(1342),
    [sym_null_literal] = ACTIONS(1346),
    [anon_sym_return] = ACTIONS(1744),
    [anon_sym_throw] = ACTIONS(1746),
    [anon_sym_do] = ACTIONS(1748),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2158),
    [sym__simple_multiline_string] = ACTIONS(1348),
    [sym__simple_string] = ACTIONS(1348),
  },
  [963] = {
    [sym_inline_modifier] = STATE(2084),
    [sym__indentable_expression] = STATE(15911),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(8831),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15722),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10635),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(681),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(8641),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(10149),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(963),
    [sym_block_comment] = STATE(963),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2740),
    [anon_sym_while] = ACTIONS(2742),
    [anon_sym_for] = ACTIONS(2744),
    [anon_sym_try] = ACTIONS(2746),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2748),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3310),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3312),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2762),
    [anon_sym_throw] = ACTIONS(2764),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [964] = {
    [sym_inline_modifier] = STATE(2335),
    [sym__indentable_expression] = STATE(12753),
    [sym_block] = STATE(5403),
    [sym_indented_block] = STATE(11085),
    [sym_indented_cases] = STATE(11085),
    [sym_expression] = STATE(11355),
    [sym__simple_expression] = STATE(4736),
    [sym_lambda_expression] = STATE(11364),
    [sym_if_expression] = STATE(11364),
    [sym_match_expression] = STATE(11364),
    [sym_try_expression] = STATE(11364),
    [sym_bindings] = STATE(15583),
    [sym_case_block] = STATE(5403),
    [sym_assignment_expression] = STATE(11364),
    [sym_generic_function] = STATE(5403),
    [sym_call_expression] = STATE(5403),
    [sym_field_expression] = STATE(5403),
    [sym_instance_expression] = STATE(5403),
    [sym_ascription_expression] = STATE(11364),
    [sym_infix_expression] = STATE(6806),
    [sym_postfix_expression] = STATE(10789),
    [sym__postfix_expression_choice] = STATE(15797),
    [sym_macro_body] = STATE(11364),
    [sym_prefix_expression] = STATE(8627),
    [sym_tuple_expression] = STATE(5403),
    [sym_parenthesized_expression] = STATE(5403),
    [sym_splice_expression] = STATE(5403),
    [sym_quote_expression] = STATE(5403),
    [sym_identifier] = STATE(4558),
    [sym__soft_identifier] = STATE(4455),
    [sym_wildcard] = STATE(6107),
    [sym__non_null_literal] = STATE(5403),
    [sym_boolean_literal] = STATE(5637),
    [sym_interpolated_string_expression] = STATE(5403),
    [sym_string] = STATE(5637),
    [sym_unit] = STATE(5403),
    [sym_return_expression] = STATE(11364),
    [sym_throw_expression] = STATE(11364),
    [sym_while_expression] = STATE(11364),
    [sym_do_while_expression] = STATE(11364),
    [sym_for_expression] = STATE(11364),
    [sym_comment] = STATE(964),
    [sym_block_comment] = STATE(964),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(2288),
    [anon_sym_while] = ACTIONS(1750),
    [anon_sym_for] = ACTIONS(1752),
    [anon_sym_try] = ACTIONS(1754),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1756),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1162),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1758),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1760),
    [anon_sym_throw] = ACTIONS(1762),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2282),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [965] = {
    [sym_inline_modifier] = STATE(2223),
    [sym__indentable_expression] = STATE(13482),
    [sym_block] = STATE(8375),
    [sym_indented_block] = STATE(13183),
    [sym_indented_cases] = STATE(13183),
    [sym_expression] = STATE(12800),
    [sym__simple_expression] = STATE(7442),
    [sym_lambda_expression] = STATE(13185),
    [sym_if_expression] = STATE(13185),
    [sym_match_expression] = STATE(13185),
    [sym_try_expression] = STATE(13185),
    [sym_bindings] = STATE(15586),
    [sym_case_block] = STATE(8375),
    [sym_assignment_expression] = STATE(13185),
    [sym_generic_function] = STATE(8375),
    [sym_call_expression] = STATE(8375),
    [sym_field_expression] = STATE(8375),
    [sym_instance_expression] = STATE(8375),
    [sym_ascription_expression] = STATE(13185),
    [sym_infix_expression] = STATE(9364),
    [sym_postfix_expression] = STATE(12809),
    [sym__postfix_expression_choice] = STATE(16440),
    [sym_macro_body] = STATE(13185),
    [sym_prefix_expression] = STATE(10191),
    [sym_tuple_expression] = STATE(8375),
    [sym_parenthesized_expression] = STATE(8375),
    [sym_splice_expression] = STATE(8375),
    [sym_quote_expression] = STATE(8375),
    [sym_identifier] = STATE(7290),
    [sym__soft_identifier] = STATE(5430),
    [sym_wildcard] = STATE(9387),
    [sym__non_null_literal] = STATE(8375),
    [sym_boolean_literal] = STATE(8117),
    [sym_interpolated_string_expression] = STATE(8375),
    [sym_string] = STATE(8117),
    [sym_unit] = STATE(8375),
    [sym_return_expression] = STATE(13185),
    [sym_throw_expression] = STATE(13185),
    [sym_while_expression] = STATE(13185),
    [sym_do_while_expression] = STATE(13185),
    [sym_for_expression] = STATE(13185),
    [sym_comment] = STATE(965),
    [sym_block_comment] = STATE(965),
    [sym__alpha_identifier] = ACTIONS(1618),
    [anon_sym_LBRACE] = ACTIONS(1622),
    [anon_sym__] = ACTIONS(1624),
    [anon_sym_PLUS] = ACTIONS(1626),
    [anon_sym_DASH] = ACTIONS(1626),
    [anon_sym_end] = ACTIONS(1628),
    [anon_sym_if] = ACTIONS(2122),
    [anon_sym_while] = ACTIONS(2124),
    [anon_sym_for] = ACTIONS(2126),
    [anon_sym_try] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(1630),
    [anon_sym_opaque] = ACTIONS(1628),
    [anon_sym_implicit] = ACTIONS(2130),
    [anon_sym_inline] = ACTIONS(1632),
    [anon_sym_infix] = ACTIONS(1628),
    [anon_sym_open] = ACTIONS(1628),
    [anon_sym_transparent] = ACTIONS(1628),
    [anon_sym_LPAREN] = ACTIONS(1634),
    [anon_sym_macro] = ACTIONS(2074),
    [anon_sym_BANG] = ACTIONS(1626),
    [anon_sym_TILDE] = ACTIONS(1626),
    [anon_sym_DOLLAR] = ACTIONS(1636),
    [anon_sym_SQUOTE] = ACTIONS(1638),
    [sym__backquoted_id] = ACTIONS(1640),
    [sym_operator_identifier] = ACTIONS(2132),
    [sym_integer_literal] = ACTIONS(1644),
    [sym_floating_point_literal] = ACTIONS(1646),
    [anon_sym_true] = ACTIONS(1648),
    [anon_sym_false] = ACTIONS(1648),
    [sym_character_literal] = ACTIONS(1646),
    [sym_null_literal] = ACTIONS(1650),
    [anon_sym_return] = ACTIONS(2134),
    [anon_sym_throw] = ACTIONS(2136),
    [anon_sym_do] = ACTIONS(2082),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1652),
    [sym__simple_string] = ACTIONS(1652),
  },
  [966] = {
    [sym_inline_modifier] = STATE(2114),
    [sym__indentable_expression] = STATE(12959),
    [sym_block] = STATE(8218),
    [sym_indented_block] = STATE(13075),
    [sym_indented_cases] = STATE(13075),
    [sym_expression] = STATE(12682),
    [sym__simple_expression] = STATE(7544),
    [sym_lambda_expression] = STATE(13097),
    [sym_if_expression] = STATE(13097),
    [sym_match_expression] = STATE(13097),
    [sym_try_expression] = STATE(13097),
    [sym_bindings] = STATE(15630),
    [sym_case_block] = STATE(8218),
    [sym_assignment_expression] = STATE(13097),
    [sym_generic_function] = STATE(8218),
    [sym_call_expression] = STATE(8218),
    [sym_field_expression] = STATE(8218),
    [sym_instance_expression] = STATE(8218),
    [sym_ascription_expression] = STATE(13097),
    [sym_infix_expression] = STATE(9424),
    [sym_postfix_expression] = STATE(12765),
    [sym__postfix_expression_choice] = STATE(16117),
    [sym_macro_body] = STATE(13097),
    [sym_prefix_expression] = STATE(10300),
    [sym_tuple_expression] = STATE(8218),
    [sym_parenthesized_expression] = STATE(8218),
    [sym_splice_expression] = STATE(8218),
    [sym_quote_expression] = STATE(8218),
    [sym_identifier] = STATE(7100),
    [sym__soft_identifier] = STATE(5752),
    [sym_wildcard] = STATE(9268),
    [sym__non_null_literal] = STATE(8218),
    [sym_boolean_literal] = STATE(8413),
    [sym_interpolated_string_expression] = STATE(8218),
    [sym_string] = STATE(8413),
    [sym_unit] = STATE(8218),
    [sym_return_expression] = STATE(13097),
    [sym_throw_expression] = STATE(13097),
    [sym_while_expression] = STATE(13097),
    [sym_do_while_expression] = STATE(13097),
    [sym_for_expression] = STATE(13097),
    [sym_comment] = STATE(966),
    [sym_block_comment] = STATE(966),
    [sym__alpha_identifier] = ACTIONS(1494),
    [anon_sym_LBRACE] = ACTIONS(1498),
    [anon_sym__] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1502),
    [anon_sym_end] = ACTIONS(1504),
    [anon_sym_if] = ACTIONS(2845),
    [anon_sym_while] = ACTIONS(2847),
    [anon_sym_for] = ACTIONS(2849),
    [anon_sym_try] = ACTIONS(2851),
    [anon_sym_new] = ACTIONS(1506),
    [anon_sym_opaque] = ACTIONS(1504),
    [anon_sym_implicit] = ACTIONS(2853),
    [anon_sym_inline] = ACTIONS(1508),
    [anon_sym_infix] = ACTIONS(1504),
    [anon_sym_open] = ACTIONS(1504),
    [anon_sym_transparent] = ACTIONS(1504),
    [anon_sym_LPAREN] = ACTIONS(1510),
    [anon_sym_macro] = ACTIONS(2054),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_TILDE] = ACTIONS(1502),
    [anon_sym_DOLLAR] = ACTIONS(1512),
    [anon_sym_SQUOTE] = ACTIONS(1514),
    [sym__backquoted_id] = ACTIONS(1516),
    [sym_operator_identifier] = ACTIONS(3314),
    [sym_integer_literal] = ACTIONS(1520),
    [sym_floating_point_literal] = ACTIONS(1522),
    [anon_sym_true] = ACTIONS(1524),
    [anon_sym_false] = ACTIONS(1524),
    [sym_character_literal] = ACTIONS(1522),
    [sym_null_literal] = ACTIONS(1526),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2062),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3316),
    [sym__simple_multiline_string] = ACTIONS(1528),
    [sym__simple_string] = ACTIONS(1528),
  },
  [967] = {
    [sym_inline_modifier] = STATE(2269),
    [sym__indentable_expression] = STATE(13365),
    [sym_block] = STATE(8070),
    [sym_indented_block] = STATE(12700),
    [sym_indented_cases] = STATE(12700),
    [sym_expression] = STATE(12581),
    [sym__simple_expression] = STATE(5679),
    [sym_lambda_expression] = STATE(12742),
    [sym_if_expression] = STATE(12742),
    [sym_match_expression] = STATE(12742),
    [sym_try_expression] = STATE(12742),
    [sym_bindings] = STATE(15536),
    [sym_case_block] = STATE(8070),
    [sym_assignment_expression] = STATE(12742),
    [sym_generic_function] = STATE(8070),
    [sym_call_expression] = STATE(8070),
    [sym_field_expression] = STATE(8070),
    [sym_instance_expression] = STATE(8070),
    [sym_ascription_expression] = STATE(12742),
    [sym_infix_expression] = STATE(8913),
    [sym_postfix_expression] = STATE(12343),
    [sym__postfix_expression_choice] = STATE(16230),
    [sym_macro_body] = STATE(12742),
    [sym_prefix_expression] = STATE(9483),
    [sym_tuple_expression] = STATE(8070),
    [sym_parenthesized_expression] = STATE(8070),
    [sym_splice_expression] = STATE(8070),
    [sym_quote_expression] = STATE(8070),
    [sym_identifier] = STATE(4999),
    [sym__soft_identifier] = STATE(5234),
    [sym_wildcard] = STATE(8075),
    [sym__non_null_literal] = STATE(8070),
    [sym_boolean_literal] = STATE(8055),
    [sym_interpolated_string_expression] = STATE(8070),
    [sym_string] = STATE(8055),
    [sym_unit] = STATE(8070),
    [sym_return_expression] = STATE(12742),
    [sym_throw_expression] = STATE(12742),
    [sym_while_expression] = STATE(12742),
    [sym_do_while_expression] = STATE(12742),
    [sym_for_expression] = STATE(12742),
    [sym_comment] = STATE(967),
    [sym_block_comment] = STATE(967),
    [sym__alpha_identifier] = ACTIONS(1314),
    [anon_sym_LBRACE] = ACTIONS(1318),
    [anon_sym__] = ACTIONS(1320),
    [anon_sym_PLUS] = ACTIONS(1322),
    [anon_sym_DASH] = ACTIONS(1322),
    [anon_sym_end] = ACTIONS(1324),
    [anon_sym_if] = ACTIONS(1730),
    [anon_sym_while] = ACTIONS(1732),
    [anon_sym_for] = ACTIONS(1734),
    [anon_sym_try] = ACTIONS(1736),
    [anon_sym_new] = ACTIONS(1326),
    [anon_sym_opaque] = ACTIONS(1324),
    [anon_sym_implicit] = ACTIONS(1738),
    [anon_sym_inline] = ACTIONS(1328),
    [anon_sym_infix] = ACTIONS(1324),
    [anon_sym_open] = ACTIONS(1324),
    [anon_sym_transparent] = ACTIONS(1324),
    [anon_sym_LPAREN] = ACTIONS(1330),
    [anon_sym_macro] = ACTIONS(1740),
    [anon_sym_BANG] = ACTIONS(1322),
    [anon_sym_TILDE] = ACTIONS(1322),
    [anon_sym_DOLLAR] = ACTIONS(1332),
    [anon_sym_SQUOTE] = ACTIONS(1334),
    [sym__backquoted_id] = ACTIONS(1336),
    [sym_operator_identifier] = ACTIONS(1742),
    [sym_integer_literal] = ACTIONS(1340),
    [sym_floating_point_literal] = ACTIONS(1342),
    [anon_sym_true] = ACTIONS(1344),
    [anon_sym_false] = ACTIONS(1344),
    [sym_character_literal] = ACTIONS(1342),
    [sym_null_literal] = ACTIONS(1346),
    [anon_sym_return] = ACTIONS(1744),
    [anon_sym_throw] = ACTIONS(1746),
    [anon_sym_do] = ACTIONS(1748),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2158),
    [sym__simple_multiline_string] = ACTIONS(1348),
    [sym__simple_string] = ACTIONS(1348),
  },
  [968] = {
    [sym_inline_modifier] = STATE(2262),
    [sym__indentable_expression] = STATE(11630),
    [sym_block] = STATE(6540),
    [sym_indented_block] = STATE(11390),
    [sym_indented_cases] = STATE(11390),
    [sym_expression] = STATE(11385),
    [sym__simple_expression] = STATE(5817),
    [sym_lambda_expression] = STATE(11374),
    [sym_if_expression] = STATE(11374),
    [sym_match_expression] = STATE(11374),
    [sym_try_expression] = STATE(11374),
    [sym_bindings] = STATE(15530),
    [sym_case_block] = STATE(6540),
    [sym_assignment_expression] = STATE(11374),
    [sym_generic_function] = STATE(6540),
    [sym_call_expression] = STATE(6540),
    [sym_field_expression] = STATE(6540),
    [sym_instance_expression] = STATE(6540),
    [sym_ascription_expression] = STATE(11374),
    [sym_infix_expression] = STATE(7834),
    [sym_postfix_expression] = STATE(11215),
    [sym__postfix_expression_choice] = STATE(16210),
    [sym_macro_body] = STATE(11374),
    [sym_prefix_expression] = STATE(9262),
    [sym_tuple_expression] = STATE(6540),
    [sym_parenthesized_expression] = STATE(6540),
    [sym_splice_expression] = STATE(6540),
    [sym_quote_expression] = STATE(6540),
    [sym_identifier] = STATE(5031),
    [sym__soft_identifier] = STATE(4667),
    [sym_wildcard] = STATE(7986),
    [sym__non_null_literal] = STATE(6540),
    [sym_boolean_literal] = STATE(6246),
    [sym_interpolated_string_expression] = STATE(6540),
    [sym_string] = STATE(6246),
    [sym_unit] = STATE(6540),
    [sym_return_expression] = STATE(11374),
    [sym_throw_expression] = STATE(11374),
    [sym_while_expression] = STATE(11374),
    [sym_do_while_expression] = STATE(11374),
    [sym_for_expression] = STATE(11374),
    [sym_comment] = STATE(968),
    [sym_block_comment] = STATE(968),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(1530),
    [anon_sym_while] = ACTIONS(1532),
    [anon_sym_for] = ACTIONS(1534),
    [anon_sym_try] = ACTIONS(1536),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1538),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1540),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1542),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1544),
    [anon_sym_throw] = ACTIONS(1546),
    [anon_sym_do] = ACTIONS(1548),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2240),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [969] = {
    [sym_inline_modifier] = STATE(2084),
    [sym__indentable_expression] = STATE(13635),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(8831),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15722),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10635),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(8641),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(10149),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(969),
    [sym_block_comment] = STATE(969),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2740),
    [anon_sym_while] = ACTIONS(2742),
    [anon_sym_for] = ACTIONS(2744),
    [anon_sym_try] = ACTIONS(2746),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2748),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3312),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2762),
    [anon_sym_throw] = ACTIONS(2764),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [970] = {
    [sym_inline_modifier] = STATE(2252),
    [sym__indentable_expression] = STATE(12948),
    [sym_block] = STATE(8262),
    [sym_indented_block] = STATE(13058),
    [sym_indented_cases] = STATE(13058),
    [sym_expression] = STATE(12868),
    [sym__simple_expression] = STATE(5471),
    [sym_lambda_expression] = STATE(13098),
    [sym_if_expression] = STATE(13098),
    [sym_match_expression] = STATE(13098),
    [sym_try_expression] = STATE(13098),
    [sym_bindings] = STATE(15615),
    [sym_case_block] = STATE(8262),
    [sym_assignment_expression] = STATE(13098),
    [sym_generic_function] = STATE(8262),
    [sym_call_expression] = STATE(8262),
    [sym_field_expression] = STATE(8262),
    [sym_instance_expression] = STATE(8262),
    [sym_ascription_expression] = STATE(13098),
    [sym_infix_expression] = STATE(9485),
    [sym_postfix_expression] = STATE(12647),
    [sym__postfix_expression_choice] = STATE(16347),
    [sym_macro_body] = STATE(13098),
    [sym_prefix_expression] = STATE(9525),
    [sym_tuple_expression] = STATE(8262),
    [sym_parenthesized_expression] = STATE(8262),
    [sym_splice_expression] = STATE(8262),
    [sym_quote_expression] = STATE(8262),
    [sym_identifier] = STATE(5180),
    [sym__soft_identifier] = STATE(5419),
    [sym_wildcard] = STATE(7820),
    [sym__non_null_literal] = STATE(8262),
    [sym_boolean_literal] = STATE(8242),
    [sym_interpolated_string_expression] = STATE(8262),
    [sym_string] = STATE(8242),
    [sym_unit] = STATE(8262),
    [sym_return_expression] = STATE(13098),
    [sym_throw_expression] = STATE(13098),
    [sym_while_expression] = STATE(13098),
    [sym_do_while_expression] = STATE(13098),
    [sym_for_expression] = STATE(13098),
    [sym_comment] = STATE(970),
    [sym_block_comment] = STATE(970),
    [sym__alpha_identifier] = ACTIONS(1278),
    [anon_sym_LBRACE] = ACTIONS(1282),
    [anon_sym__] = ACTIONS(1284),
    [anon_sym_PLUS] = ACTIONS(1286),
    [anon_sym_DASH] = ACTIONS(1286),
    [anon_sym_end] = ACTIONS(1288),
    [anon_sym_if] = ACTIONS(1710),
    [anon_sym_while] = ACTIONS(1712),
    [anon_sym_for] = ACTIONS(1714),
    [anon_sym_try] = ACTIONS(1716),
    [anon_sym_new] = ACTIONS(1290),
    [anon_sym_opaque] = ACTIONS(1288),
    [anon_sym_implicit] = ACTIONS(1718),
    [anon_sym_inline] = ACTIONS(1292),
    [anon_sym_infix] = ACTIONS(1288),
    [anon_sym_open] = ACTIONS(1288),
    [anon_sym_transparent] = ACTIONS(1288),
    [anon_sym_LPAREN] = ACTIONS(1294),
    [anon_sym_macro] = ACTIONS(1720),
    [anon_sym_BANG] = ACTIONS(1286),
    [anon_sym_TILDE] = ACTIONS(1286),
    [anon_sym_DOLLAR] = ACTIONS(1296),
    [anon_sym_SQUOTE] = ACTIONS(1298),
    [sym__backquoted_id] = ACTIONS(1300),
    [sym_operator_identifier] = ACTIONS(1722),
    [sym_integer_literal] = ACTIONS(1304),
    [sym_floating_point_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1308),
    [anon_sym_false] = ACTIONS(1308),
    [sym_character_literal] = ACTIONS(1306),
    [sym_null_literal] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(1724),
    [anon_sym_throw] = ACTIONS(1726),
    [anon_sym_do] = ACTIONS(1728),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2198),
    [sym__simple_multiline_string] = ACTIONS(1312),
    [sym__simple_string] = ACTIONS(1312),
  },
  [971] = {
    [sym_inline_modifier] = STATE(2084),
    [sym__indentable_expression] = STATE(13566),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(8831),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15722),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10635),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(8641),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(10149),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(971),
    [sym_block_comment] = STATE(971),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2740),
    [anon_sym_while] = ACTIONS(2742),
    [anon_sym_for] = ACTIONS(2744),
    [anon_sym_try] = ACTIONS(2746),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2748),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3312),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2762),
    [anon_sym_throw] = ACTIONS(2764),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [972] = {
    [sym_inline_modifier] = STATE(2084),
    [sym__indentable_expression] = STATE(13554),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(8831),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15722),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10635),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(8641),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(10149),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(972),
    [sym_block_comment] = STATE(972),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2740),
    [anon_sym_while] = ACTIONS(2742),
    [anon_sym_for] = ACTIONS(2744),
    [anon_sym_try] = ACTIONS(2746),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2748),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3312),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2762),
    [anon_sym_throw] = ACTIONS(2764),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [973] = {
    [sym_inline_modifier] = STATE(2262),
    [sym__indentable_expression] = STATE(11627),
    [sym_block] = STATE(6540),
    [sym_indented_block] = STATE(11390),
    [sym_indented_cases] = STATE(11390),
    [sym_expression] = STATE(11385),
    [sym__simple_expression] = STATE(5817),
    [sym_lambda_expression] = STATE(11374),
    [sym_if_expression] = STATE(11374),
    [sym_match_expression] = STATE(11374),
    [sym_try_expression] = STATE(11374),
    [sym_bindings] = STATE(15530),
    [sym_case_block] = STATE(6540),
    [sym_assignment_expression] = STATE(11374),
    [sym_generic_function] = STATE(6540),
    [sym_call_expression] = STATE(6540),
    [sym_field_expression] = STATE(6540),
    [sym_instance_expression] = STATE(6540),
    [sym_ascription_expression] = STATE(11374),
    [sym_infix_expression] = STATE(7834),
    [sym_postfix_expression] = STATE(11215),
    [sym__postfix_expression_choice] = STATE(16210),
    [sym_macro_body] = STATE(11374),
    [sym_prefix_expression] = STATE(9262),
    [sym_tuple_expression] = STATE(6540),
    [sym_parenthesized_expression] = STATE(6540),
    [sym_splice_expression] = STATE(6540),
    [sym_quote_expression] = STATE(6540),
    [sym_identifier] = STATE(5031),
    [sym__soft_identifier] = STATE(4667),
    [sym_wildcard] = STATE(7986),
    [sym__non_null_literal] = STATE(6540),
    [sym_boolean_literal] = STATE(6246),
    [sym_interpolated_string_expression] = STATE(6540),
    [sym_string] = STATE(6246),
    [sym_unit] = STATE(6540),
    [sym_return_expression] = STATE(11374),
    [sym_throw_expression] = STATE(11374),
    [sym_while_expression] = STATE(11374),
    [sym_do_while_expression] = STATE(11374),
    [sym_for_expression] = STATE(11374),
    [sym_comment] = STATE(973),
    [sym_block_comment] = STATE(973),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(1530),
    [anon_sym_while] = ACTIONS(1532),
    [anon_sym_for] = ACTIONS(1534),
    [anon_sym_try] = ACTIONS(1536),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1538),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1540),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1542),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1544),
    [anon_sym_throw] = ACTIONS(1546),
    [anon_sym_do] = ACTIONS(1548),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2240),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [974] = {
    [sym_inline_modifier] = STATE(2252),
    [sym__indentable_expression] = STATE(12992),
    [sym_block] = STATE(8262),
    [sym_indented_block] = STATE(13058),
    [sym_indented_cases] = STATE(13058),
    [sym_expression] = STATE(12868),
    [sym__simple_expression] = STATE(5471),
    [sym_lambda_expression] = STATE(13098),
    [sym_if_expression] = STATE(13098),
    [sym_match_expression] = STATE(13098),
    [sym_try_expression] = STATE(13098),
    [sym_bindings] = STATE(15615),
    [sym_case_block] = STATE(8262),
    [sym_assignment_expression] = STATE(13098),
    [sym_generic_function] = STATE(8262),
    [sym_call_expression] = STATE(8262),
    [sym_field_expression] = STATE(8262),
    [sym_instance_expression] = STATE(8262),
    [sym_ascription_expression] = STATE(13098),
    [sym_infix_expression] = STATE(9485),
    [sym_postfix_expression] = STATE(12647),
    [sym__postfix_expression_choice] = STATE(16347),
    [sym_macro_body] = STATE(13098),
    [sym_prefix_expression] = STATE(9525),
    [sym_tuple_expression] = STATE(8262),
    [sym_parenthesized_expression] = STATE(8262),
    [sym_splice_expression] = STATE(8262),
    [sym_quote_expression] = STATE(8262),
    [sym_identifier] = STATE(5180),
    [sym__soft_identifier] = STATE(5419),
    [sym_wildcard] = STATE(7820),
    [sym__non_null_literal] = STATE(8262),
    [sym_boolean_literal] = STATE(8242),
    [sym_interpolated_string_expression] = STATE(8262),
    [sym_string] = STATE(8242),
    [sym_unit] = STATE(8262),
    [sym_return_expression] = STATE(13098),
    [sym_throw_expression] = STATE(13098),
    [sym_while_expression] = STATE(13098),
    [sym_do_while_expression] = STATE(13098),
    [sym_for_expression] = STATE(13098),
    [sym_comment] = STATE(974),
    [sym_block_comment] = STATE(974),
    [sym__alpha_identifier] = ACTIONS(1278),
    [anon_sym_LBRACE] = ACTIONS(1282),
    [anon_sym__] = ACTIONS(1284),
    [anon_sym_PLUS] = ACTIONS(1286),
    [anon_sym_DASH] = ACTIONS(1286),
    [anon_sym_end] = ACTIONS(1288),
    [anon_sym_if] = ACTIONS(1710),
    [anon_sym_while] = ACTIONS(1712),
    [anon_sym_for] = ACTIONS(1714),
    [anon_sym_try] = ACTIONS(1716),
    [anon_sym_new] = ACTIONS(1290),
    [anon_sym_opaque] = ACTIONS(1288),
    [anon_sym_implicit] = ACTIONS(1718),
    [anon_sym_inline] = ACTIONS(1292),
    [anon_sym_infix] = ACTIONS(1288),
    [anon_sym_open] = ACTIONS(1288),
    [anon_sym_transparent] = ACTIONS(1288),
    [anon_sym_LPAREN] = ACTIONS(1294),
    [anon_sym_macro] = ACTIONS(1720),
    [anon_sym_BANG] = ACTIONS(1286),
    [anon_sym_TILDE] = ACTIONS(1286),
    [anon_sym_DOLLAR] = ACTIONS(1296),
    [anon_sym_SQUOTE] = ACTIONS(1298),
    [sym__backquoted_id] = ACTIONS(1300),
    [sym_operator_identifier] = ACTIONS(1722),
    [sym_integer_literal] = ACTIONS(1304),
    [sym_floating_point_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1308),
    [anon_sym_false] = ACTIONS(1308),
    [sym_character_literal] = ACTIONS(1306),
    [sym_null_literal] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(1724),
    [anon_sym_throw] = ACTIONS(1726),
    [anon_sym_do] = ACTIONS(1728),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2198),
    [sym__simple_multiline_string] = ACTIONS(1312),
    [sym__simple_string] = ACTIONS(1312),
  },
  [975] = {
    [sym_inline_modifier] = STATE(2262),
    [sym__indentable_expression] = STATE(11626),
    [sym_block] = STATE(6540),
    [sym_indented_block] = STATE(11390),
    [sym_indented_cases] = STATE(11390),
    [sym_expression] = STATE(11385),
    [sym__simple_expression] = STATE(5817),
    [sym_lambda_expression] = STATE(11374),
    [sym_if_expression] = STATE(11374),
    [sym_match_expression] = STATE(11374),
    [sym_try_expression] = STATE(11374),
    [sym_bindings] = STATE(15530),
    [sym_case_block] = STATE(6540),
    [sym_assignment_expression] = STATE(11374),
    [sym_generic_function] = STATE(6540),
    [sym_call_expression] = STATE(6540),
    [sym_field_expression] = STATE(6540),
    [sym_instance_expression] = STATE(6540),
    [sym_ascription_expression] = STATE(11374),
    [sym_infix_expression] = STATE(7834),
    [sym_postfix_expression] = STATE(11215),
    [sym__postfix_expression_choice] = STATE(16210),
    [sym_macro_body] = STATE(11374),
    [sym_prefix_expression] = STATE(9262),
    [sym_tuple_expression] = STATE(6540),
    [sym_parenthesized_expression] = STATE(6540),
    [sym_splice_expression] = STATE(6540),
    [sym_quote_expression] = STATE(6540),
    [sym_identifier] = STATE(5031),
    [sym__soft_identifier] = STATE(4667),
    [sym_wildcard] = STATE(7986),
    [sym__non_null_literal] = STATE(6540),
    [sym_boolean_literal] = STATE(6246),
    [sym_interpolated_string_expression] = STATE(6540),
    [sym_string] = STATE(6246),
    [sym_unit] = STATE(6540),
    [sym_return_expression] = STATE(11374),
    [sym_throw_expression] = STATE(11374),
    [sym_while_expression] = STATE(11374),
    [sym_do_while_expression] = STATE(11374),
    [sym_for_expression] = STATE(11374),
    [sym_comment] = STATE(975),
    [sym_block_comment] = STATE(975),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(1530),
    [anon_sym_while] = ACTIONS(1532),
    [anon_sym_for] = ACTIONS(1534),
    [anon_sym_try] = ACTIONS(1536),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1538),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1540),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1542),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1544),
    [anon_sym_throw] = ACTIONS(1546),
    [anon_sym_do] = ACTIONS(1548),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2240),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [976] = {
    [sym_inline_modifier] = STATE(2262),
    [sym__indentable_expression] = STATE(11625),
    [sym_block] = STATE(6540),
    [sym_indented_block] = STATE(11390),
    [sym_indented_cases] = STATE(11390),
    [sym_expression] = STATE(11385),
    [sym__simple_expression] = STATE(5817),
    [sym_lambda_expression] = STATE(11374),
    [sym_if_expression] = STATE(11374),
    [sym_match_expression] = STATE(11374),
    [sym_try_expression] = STATE(11374),
    [sym_bindings] = STATE(15530),
    [sym_case_block] = STATE(6540),
    [sym_assignment_expression] = STATE(11374),
    [sym_generic_function] = STATE(6540),
    [sym_call_expression] = STATE(6540),
    [sym_field_expression] = STATE(6540),
    [sym_instance_expression] = STATE(6540),
    [sym_ascription_expression] = STATE(11374),
    [sym_infix_expression] = STATE(7834),
    [sym_postfix_expression] = STATE(11215),
    [sym__postfix_expression_choice] = STATE(16210),
    [sym_macro_body] = STATE(11374),
    [sym_prefix_expression] = STATE(9262),
    [sym_tuple_expression] = STATE(6540),
    [sym_parenthesized_expression] = STATE(6540),
    [sym_splice_expression] = STATE(6540),
    [sym_quote_expression] = STATE(6540),
    [sym_identifier] = STATE(5031),
    [sym__soft_identifier] = STATE(4667),
    [sym_wildcard] = STATE(7986),
    [sym__non_null_literal] = STATE(6540),
    [sym_boolean_literal] = STATE(6246),
    [sym_interpolated_string_expression] = STATE(6540),
    [sym_string] = STATE(6246),
    [sym_unit] = STATE(6540),
    [sym_return_expression] = STATE(11374),
    [sym_throw_expression] = STATE(11374),
    [sym_while_expression] = STATE(11374),
    [sym_do_while_expression] = STATE(11374),
    [sym_for_expression] = STATE(11374),
    [sym_comment] = STATE(976),
    [sym_block_comment] = STATE(976),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(1530),
    [anon_sym_while] = ACTIONS(1532),
    [anon_sym_for] = ACTIONS(1534),
    [anon_sym_try] = ACTIONS(1536),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1538),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1540),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1542),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1544),
    [anon_sym_throw] = ACTIONS(1546),
    [anon_sym_do] = ACTIONS(1548),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2240),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [977] = {
    [sym_inline_modifier] = STATE(2269),
    [sym__indentable_expression] = STATE(13421),
    [sym_block] = STATE(8070),
    [sym_indented_block] = STATE(12700),
    [sym_indented_cases] = STATE(12700),
    [sym_expression] = STATE(12581),
    [sym__simple_expression] = STATE(5679),
    [sym_lambda_expression] = STATE(12742),
    [sym_if_expression] = STATE(12742),
    [sym_match_expression] = STATE(12742),
    [sym_try_expression] = STATE(12742),
    [sym_bindings] = STATE(15536),
    [sym_case_block] = STATE(8070),
    [sym_assignment_expression] = STATE(12742),
    [sym_generic_function] = STATE(8070),
    [sym_call_expression] = STATE(8070),
    [sym_field_expression] = STATE(8070),
    [sym_instance_expression] = STATE(8070),
    [sym_ascription_expression] = STATE(12742),
    [sym_infix_expression] = STATE(8913),
    [sym_postfix_expression] = STATE(12343),
    [sym__postfix_expression_choice] = STATE(16230),
    [sym_macro_body] = STATE(12742),
    [sym_prefix_expression] = STATE(9483),
    [sym_tuple_expression] = STATE(8070),
    [sym_parenthesized_expression] = STATE(8070),
    [sym_splice_expression] = STATE(8070),
    [sym_quote_expression] = STATE(8070),
    [sym_identifier] = STATE(4999),
    [sym__soft_identifier] = STATE(5234),
    [sym_wildcard] = STATE(8075),
    [sym__non_null_literal] = STATE(8070),
    [sym_boolean_literal] = STATE(8055),
    [sym_interpolated_string_expression] = STATE(8070),
    [sym_string] = STATE(8055),
    [sym_unit] = STATE(8070),
    [sym_return_expression] = STATE(12742),
    [sym_throw_expression] = STATE(12742),
    [sym_while_expression] = STATE(12742),
    [sym_do_while_expression] = STATE(12742),
    [sym_for_expression] = STATE(12742),
    [sym_comment] = STATE(977),
    [sym_block_comment] = STATE(977),
    [sym__alpha_identifier] = ACTIONS(1314),
    [anon_sym_LBRACE] = ACTIONS(1318),
    [anon_sym__] = ACTIONS(1320),
    [anon_sym_PLUS] = ACTIONS(1322),
    [anon_sym_DASH] = ACTIONS(1322),
    [anon_sym_end] = ACTIONS(1324),
    [anon_sym_if] = ACTIONS(1730),
    [anon_sym_while] = ACTIONS(1732),
    [anon_sym_for] = ACTIONS(1734),
    [anon_sym_try] = ACTIONS(1736),
    [anon_sym_new] = ACTIONS(1326),
    [anon_sym_opaque] = ACTIONS(1324),
    [anon_sym_implicit] = ACTIONS(1738),
    [anon_sym_inline] = ACTIONS(1328),
    [anon_sym_infix] = ACTIONS(1324),
    [anon_sym_open] = ACTIONS(1324),
    [anon_sym_transparent] = ACTIONS(1324),
    [anon_sym_LPAREN] = ACTIONS(1330),
    [anon_sym_macro] = ACTIONS(1740),
    [anon_sym_BANG] = ACTIONS(1322),
    [anon_sym_TILDE] = ACTIONS(1322),
    [anon_sym_DOLLAR] = ACTIONS(1332),
    [anon_sym_SQUOTE] = ACTIONS(1334),
    [sym__backquoted_id] = ACTIONS(1336),
    [sym_operator_identifier] = ACTIONS(1742),
    [sym_integer_literal] = ACTIONS(1340),
    [sym_floating_point_literal] = ACTIONS(1342),
    [anon_sym_true] = ACTIONS(1344),
    [anon_sym_false] = ACTIONS(1344),
    [sym_character_literal] = ACTIONS(1342),
    [sym_null_literal] = ACTIONS(1346),
    [anon_sym_return] = ACTIONS(1744),
    [anon_sym_throw] = ACTIONS(1746),
    [anon_sym_do] = ACTIONS(1748),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2158),
    [sym__simple_multiline_string] = ACTIONS(1348),
    [sym__simple_string] = ACTIONS(1348),
  },
  [978] = {
    [sym_inline_modifier] = STATE(2252),
    [sym__indentable_expression] = STATE(12993),
    [sym_block] = STATE(8262),
    [sym_indented_block] = STATE(13058),
    [sym_indented_cases] = STATE(13058),
    [sym_expression] = STATE(12868),
    [sym__simple_expression] = STATE(5471),
    [sym_lambda_expression] = STATE(13098),
    [sym_if_expression] = STATE(13098),
    [sym_match_expression] = STATE(13098),
    [sym_try_expression] = STATE(13098),
    [sym_bindings] = STATE(15615),
    [sym_case_block] = STATE(8262),
    [sym_assignment_expression] = STATE(13098),
    [sym_generic_function] = STATE(8262),
    [sym_call_expression] = STATE(8262),
    [sym_field_expression] = STATE(8262),
    [sym_instance_expression] = STATE(8262),
    [sym_ascription_expression] = STATE(13098),
    [sym_infix_expression] = STATE(9485),
    [sym_postfix_expression] = STATE(12647),
    [sym__postfix_expression_choice] = STATE(16347),
    [sym_macro_body] = STATE(13098),
    [sym_prefix_expression] = STATE(9525),
    [sym_tuple_expression] = STATE(8262),
    [sym_parenthesized_expression] = STATE(8262),
    [sym_splice_expression] = STATE(8262),
    [sym_quote_expression] = STATE(8262),
    [sym_identifier] = STATE(5180),
    [sym__soft_identifier] = STATE(5419),
    [sym_wildcard] = STATE(7820),
    [sym__non_null_literal] = STATE(8262),
    [sym_boolean_literal] = STATE(8242),
    [sym_interpolated_string_expression] = STATE(8262),
    [sym_string] = STATE(8242),
    [sym_unit] = STATE(8262),
    [sym_return_expression] = STATE(13098),
    [sym_throw_expression] = STATE(13098),
    [sym_while_expression] = STATE(13098),
    [sym_do_while_expression] = STATE(13098),
    [sym_for_expression] = STATE(13098),
    [sym_comment] = STATE(978),
    [sym_block_comment] = STATE(978),
    [sym__alpha_identifier] = ACTIONS(1278),
    [anon_sym_LBRACE] = ACTIONS(1282),
    [anon_sym__] = ACTIONS(1284),
    [anon_sym_PLUS] = ACTIONS(1286),
    [anon_sym_DASH] = ACTIONS(1286),
    [anon_sym_end] = ACTIONS(1288),
    [anon_sym_if] = ACTIONS(1710),
    [anon_sym_while] = ACTIONS(1712),
    [anon_sym_for] = ACTIONS(1714),
    [anon_sym_try] = ACTIONS(1716),
    [anon_sym_new] = ACTIONS(1290),
    [anon_sym_opaque] = ACTIONS(1288),
    [anon_sym_implicit] = ACTIONS(1718),
    [anon_sym_inline] = ACTIONS(1292),
    [anon_sym_infix] = ACTIONS(1288),
    [anon_sym_open] = ACTIONS(1288),
    [anon_sym_transparent] = ACTIONS(1288),
    [anon_sym_LPAREN] = ACTIONS(1294),
    [anon_sym_macro] = ACTIONS(1720),
    [anon_sym_BANG] = ACTIONS(1286),
    [anon_sym_TILDE] = ACTIONS(1286),
    [anon_sym_DOLLAR] = ACTIONS(1296),
    [anon_sym_SQUOTE] = ACTIONS(1298),
    [sym__backquoted_id] = ACTIONS(1300),
    [sym_operator_identifier] = ACTIONS(1722),
    [sym_integer_literal] = ACTIONS(1304),
    [sym_floating_point_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1308),
    [anon_sym_false] = ACTIONS(1308),
    [sym_character_literal] = ACTIONS(1306),
    [sym_null_literal] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(1724),
    [anon_sym_throw] = ACTIONS(1726),
    [anon_sym_do] = ACTIONS(1728),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2198),
    [sym__simple_multiline_string] = ACTIONS(1312),
    [sym__simple_string] = ACTIONS(1312),
  },
  [979] = {
    [sym_inline_modifier] = STATE(2212),
    [sym__indentable_expression] = STATE(13477),
    [sym_block] = STATE(9539),
    [sym_indented_block] = STATE(11390),
    [sym_indented_cases] = STATE(11390),
    [sym_expression] = STATE(13433),
    [sym__simple_expression] = STATE(6249),
    [sym_lambda_expression] = STATE(11374),
    [sym_if_expression] = STATE(11374),
    [sym_match_expression] = STATE(11374),
    [sym_try_expression] = STATE(11374),
    [sym_bindings] = STATE(15480),
    [sym_case_block] = STATE(9539),
    [sym_assignment_expression] = STATE(11374),
    [sym_generic_function] = STATE(9539),
    [sym_call_expression] = STATE(9539),
    [sym_field_expression] = STATE(9539),
    [sym_instance_expression] = STATE(9539),
    [sym_ascription_expression] = STATE(11374),
    [sym_infix_expression] = STATE(10179),
    [sym_postfix_expression] = STATE(11215),
    [sym__postfix_expression_choice] = STATE(16190),
    [sym_macro_body] = STATE(11374),
    [sym_prefix_expression] = STATE(9816),
    [sym_tuple_expression] = STATE(9539),
    [sym_parenthesized_expression] = STATE(9539),
    [sym_splice_expression] = STATE(9539),
    [sym_quote_expression] = STATE(9539),
    [sym_identifier] = STATE(5934),
    [sym__soft_identifier] = STATE(4462),
    [sym_wildcard] = STATE(8175),
    [sym__non_null_literal] = STATE(9539),
    [sym_boolean_literal] = STATE(5971),
    [sym_interpolated_string_expression] = STATE(9539),
    [sym_string] = STATE(5971),
    [sym_unit] = STATE(9539),
    [sym_return_expression] = STATE(11374),
    [sym_throw_expression] = STATE(11374),
    [sym_while_expression] = STATE(11374),
    [sym_do_while_expression] = STATE(11374),
    [sym_for_expression] = STATE(11374),
    [sym_comment] = STATE(979),
    [sym_block_comment] = STATE(979),
    [sym__alpha_identifier] = ACTIONS(1444),
    [anon_sym_LBRACE] = ACTIONS(1448),
    [anon_sym__] = ACTIONS(1450),
    [anon_sym_PLUS] = ACTIONS(1452),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_end] = ACTIONS(1454),
    [anon_sym_if] = ACTIONS(1802),
    [anon_sym_while] = ACTIONS(1804),
    [anon_sym_for] = ACTIONS(1806),
    [anon_sym_try] = ACTIONS(1808),
    [anon_sym_new] = ACTIONS(1456),
    [anon_sym_opaque] = ACTIONS(1454),
    [anon_sym_implicit] = ACTIONS(1810),
    [anon_sym_inline] = ACTIONS(1458),
    [anon_sym_infix] = ACTIONS(1454),
    [anon_sym_open] = ACTIONS(1454),
    [anon_sym_transparent] = ACTIONS(1454),
    [anon_sym_LPAREN] = ACTIONS(1460),
    [anon_sym_macro] = ACTIONS(1812),
    [anon_sym_BANG] = ACTIONS(1452),
    [anon_sym_TILDE] = ACTIONS(1452),
    [anon_sym_DOLLAR] = ACTIONS(1462),
    [anon_sym_SQUOTE] = ACTIONS(1464),
    [sym__backquoted_id] = ACTIONS(1466),
    [sym_operator_identifier] = ACTIONS(1814),
    [sym_integer_literal] = ACTIONS(1470),
    [sym_floating_point_literal] = ACTIONS(1472),
    [anon_sym_true] = ACTIONS(1474),
    [anon_sym_false] = ACTIONS(1474),
    [sym_character_literal] = ACTIONS(1472),
    [sym_null_literal] = ACTIONS(1476),
    [anon_sym_return] = ACTIONS(1816),
    [anon_sym_throw] = ACTIONS(1818),
    [anon_sym_do] = ACTIONS(1548),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2240),
    [sym__simple_multiline_string] = ACTIONS(1478),
    [sym__simple_string] = ACTIONS(1478),
  },
  [980] = {
    [sym_inline_modifier] = STATE(2252),
    [sym__indentable_expression] = STATE(12997),
    [sym_block] = STATE(8262),
    [sym_indented_block] = STATE(13058),
    [sym_indented_cases] = STATE(13058),
    [sym_expression] = STATE(12868),
    [sym__simple_expression] = STATE(5471),
    [sym_lambda_expression] = STATE(13098),
    [sym_if_expression] = STATE(13098),
    [sym_match_expression] = STATE(13098),
    [sym_try_expression] = STATE(13098),
    [sym_bindings] = STATE(15615),
    [sym_case_block] = STATE(8262),
    [sym_assignment_expression] = STATE(13098),
    [sym_generic_function] = STATE(8262),
    [sym_call_expression] = STATE(8262),
    [sym_field_expression] = STATE(8262),
    [sym_instance_expression] = STATE(8262),
    [sym_ascription_expression] = STATE(13098),
    [sym_infix_expression] = STATE(9485),
    [sym_postfix_expression] = STATE(12647),
    [sym__postfix_expression_choice] = STATE(16347),
    [sym_macro_body] = STATE(13098),
    [sym_prefix_expression] = STATE(9525),
    [sym_tuple_expression] = STATE(8262),
    [sym_parenthesized_expression] = STATE(8262),
    [sym_splice_expression] = STATE(8262),
    [sym_quote_expression] = STATE(8262),
    [sym_identifier] = STATE(5180),
    [sym__soft_identifier] = STATE(5419),
    [sym_wildcard] = STATE(7820),
    [sym__non_null_literal] = STATE(8262),
    [sym_boolean_literal] = STATE(8242),
    [sym_interpolated_string_expression] = STATE(8262),
    [sym_string] = STATE(8242),
    [sym_unit] = STATE(8262),
    [sym_return_expression] = STATE(13098),
    [sym_throw_expression] = STATE(13098),
    [sym_while_expression] = STATE(13098),
    [sym_do_while_expression] = STATE(13098),
    [sym_for_expression] = STATE(13098),
    [sym_comment] = STATE(980),
    [sym_block_comment] = STATE(980),
    [sym__alpha_identifier] = ACTIONS(1278),
    [anon_sym_LBRACE] = ACTIONS(1282),
    [anon_sym__] = ACTIONS(1284),
    [anon_sym_PLUS] = ACTIONS(1286),
    [anon_sym_DASH] = ACTIONS(1286),
    [anon_sym_end] = ACTIONS(1288),
    [anon_sym_if] = ACTIONS(1710),
    [anon_sym_while] = ACTIONS(1712),
    [anon_sym_for] = ACTIONS(1714),
    [anon_sym_try] = ACTIONS(1716),
    [anon_sym_new] = ACTIONS(1290),
    [anon_sym_opaque] = ACTIONS(1288),
    [anon_sym_implicit] = ACTIONS(1718),
    [anon_sym_inline] = ACTIONS(1292),
    [anon_sym_infix] = ACTIONS(1288),
    [anon_sym_open] = ACTIONS(1288),
    [anon_sym_transparent] = ACTIONS(1288),
    [anon_sym_LPAREN] = ACTIONS(1294),
    [anon_sym_macro] = ACTIONS(1720),
    [anon_sym_BANG] = ACTIONS(1286),
    [anon_sym_TILDE] = ACTIONS(1286),
    [anon_sym_DOLLAR] = ACTIONS(1296),
    [anon_sym_SQUOTE] = ACTIONS(1298),
    [sym__backquoted_id] = ACTIONS(1300),
    [sym_operator_identifier] = ACTIONS(1722),
    [sym_integer_literal] = ACTIONS(1304),
    [sym_floating_point_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1308),
    [anon_sym_false] = ACTIONS(1308),
    [sym_character_literal] = ACTIONS(1306),
    [sym_null_literal] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(1724),
    [anon_sym_throw] = ACTIONS(1726),
    [anon_sym_do] = ACTIONS(1728),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2198),
    [sym__simple_multiline_string] = ACTIONS(1312),
    [sym__simple_string] = ACTIONS(1312),
  },
  [981] = {
    [sym_inline_modifier] = STATE(2084),
    [sym__indentable_expression] = STATE(13601),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(8831),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15722),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10635),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(8641),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(10149),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(981),
    [sym_block_comment] = STATE(981),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2740),
    [anon_sym_while] = ACTIONS(2742),
    [anon_sym_for] = ACTIONS(2744),
    [anon_sym_try] = ACTIONS(2746),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2748),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3312),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2762),
    [anon_sym_throw] = ACTIONS(2764),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [982] = {
    [sym_inline_modifier] = STATE(2252),
    [sym__indentable_expression] = STATE(13003),
    [sym_block] = STATE(8262),
    [sym_indented_block] = STATE(13058),
    [sym_indented_cases] = STATE(13058),
    [sym_expression] = STATE(12868),
    [sym__simple_expression] = STATE(5471),
    [sym_lambda_expression] = STATE(13098),
    [sym_if_expression] = STATE(13098),
    [sym_match_expression] = STATE(13098),
    [sym_try_expression] = STATE(13098),
    [sym_bindings] = STATE(15615),
    [sym_case_block] = STATE(8262),
    [sym_assignment_expression] = STATE(13098),
    [sym_generic_function] = STATE(8262),
    [sym_call_expression] = STATE(8262),
    [sym_field_expression] = STATE(8262),
    [sym_instance_expression] = STATE(8262),
    [sym_ascription_expression] = STATE(13098),
    [sym_infix_expression] = STATE(9485),
    [sym_postfix_expression] = STATE(12647),
    [sym__postfix_expression_choice] = STATE(16347),
    [sym_macro_body] = STATE(13098),
    [sym_prefix_expression] = STATE(9525),
    [sym_tuple_expression] = STATE(8262),
    [sym_parenthesized_expression] = STATE(8262),
    [sym_splice_expression] = STATE(8262),
    [sym_quote_expression] = STATE(8262),
    [sym_identifier] = STATE(5180),
    [sym__soft_identifier] = STATE(5419),
    [sym_wildcard] = STATE(7820),
    [sym__non_null_literal] = STATE(8262),
    [sym_boolean_literal] = STATE(8242),
    [sym_interpolated_string_expression] = STATE(8262),
    [sym_string] = STATE(8242),
    [sym_unit] = STATE(8262),
    [sym_return_expression] = STATE(13098),
    [sym_throw_expression] = STATE(13098),
    [sym_while_expression] = STATE(13098),
    [sym_do_while_expression] = STATE(13098),
    [sym_for_expression] = STATE(13098),
    [sym_comment] = STATE(982),
    [sym_block_comment] = STATE(982),
    [sym__alpha_identifier] = ACTIONS(1278),
    [anon_sym_LBRACE] = ACTIONS(1282),
    [anon_sym__] = ACTIONS(1284),
    [anon_sym_PLUS] = ACTIONS(1286),
    [anon_sym_DASH] = ACTIONS(1286),
    [anon_sym_end] = ACTIONS(1288),
    [anon_sym_if] = ACTIONS(1710),
    [anon_sym_while] = ACTIONS(1712),
    [anon_sym_for] = ACTIONS(1714),
    [anon_sym_try] = ACTIONS(1716),
    [anon_sym_new] = ACTIONS(1290),
    [anon_sym_opaque] = ACTIONS(1288),
    [anon_sym_implicit] = ACTIONS(1718),
    [anon_sym_inline] = ACTIONS(1292),
    [anon_sym_infix] = ACTIONS(1288),
    [anon_sym_open] = ACTIONS(1288),
    [anon_sym_transparent] = ACTIONS(1288),
    [anon_sym_LPAREN] = ACTIONS(1294),
    [anon_sym_macro] = ACTIONS(1720),
    [anon_sym_BANG] = ACTIONS(1286),
    [anon_sym_TILDE] = ACTIONS(1286),
    [anon_sym_DOLLAR] = ACTIONS(1296),
    [anon_sym_SQUOTE] = ACTIONS(1298),
    [sym__backquoted_id] = ACTIONS(1300),
    [sym_operator_identifier] = ACTIONS(1722),
    [sym_integer_literal] = ACTIONS(1304),
    [sym_floating_point_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1308),
    [anon_sym_false] = ACTIONS(1308),
    [sym_character_literal] = ACTIONS(1306),
    [sym_null_literal] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(1724),
    [anon_sym_throw] = ACTIONS(1726),
    [anon_sym_do] = ACTIONS(1728),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2198),
    [sym__simple_multiline_string] = ACTIONS(1312),
    [sym__simple_string] = ACTIONS(1312),
  },
  [983] = {
    [sym_inline_modifier] = STATE(2262),
    [sym__indentable_expression] = STATE(11597),
    [sym_block] = STATE(6540),
    [sym_indented_block] = STATE(11390),
    [sym_indented_cases] = STATE(11390),
    [sym_expression] = STATE(11385),
    [sym__simple_expression] = STATE(5817),
    [sym_lambda_expression] = STATE(11374),
    [sym_if_expression] = STATE(11374),
    [sym_match_expression] = STATE(11374),
    [sym_try_expression] = STATE(11374),
    [sym_bindings] = STATE(15530),
    [sym_case_block] = STATE(6540),
    [sym_assignment_expression] = STATE(11374),
    [sym_generic_function] = STATE(6540),
    [sym_call_expression] = STATE(6540),
    [sym_field_expression] = STATE(6540),
    [sym_instance_expression] = STATE(6540),
    [sym_ascription_expression] = STATE(11374),
    [sym_infix_expression] = STATE(7834),
    [sym_postfix_expression] = STATE(11215),
    [sym__postfix_expression_choice] = STATE(16210),
    [sym_macro_body] = STATE(11374),
    [sym_prefix_expression] = STATE(9262),
    [sym_tuple_expression] = STATE(6540),
    [sym_parenthesized_expression] = STATE(6540),
    [sym_splice_expression] = STATE(6540),
    [sym_quote_expression] = STATE(6540),
    [sym_identifier] = STATE(5031),
    [sym__soft_identifier] = STATE(4667),
    [sym_wildcard] = STATE(7986),
    [sym__non_null_literal] = STATE(6540),
    [sym_boolean_literal] = STATE(6246),
    [sym_interpolated_string_expression] = STATE(6540),
    [sym_string] = STATE(6246),
    [sym_unit] = STATE(6540),
    [sym_return_expression] = STATE(11374),
    [sym_throw_expression] = STATE(11374),
    [sym_while_expression] = STATE(11374),
    [sym_do_while_expression] = STATE(11374),
    [sym_for_expression] = STATE(11374),
    [sym_comment] = STATE(983),
    [sym_block_comment] = STATE(983),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(1530),
    [anon_sym_while] = ACTIONS(1532),
    [anon_sym_for] = ACTIONS(1534),
    [anon_sym_try] = ACTIONS(1536),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1538),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1540),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1542),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1544),
    [anon_sym_throw] = ACTIONS(1546),
    [anon_sym_do] = ACTIONS(1548),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2240),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [984] = {
    [sym_inline_modifier] = STATE(2252),
    [sym__indentable_expression] = STATE(13041),
    [sym_block] = STATE(8262),
    [sym_indented_block] = STATE(13058),
    [sym_indented_cases] = STATE(13058),
    [sym_expression] = STATE(12868),
    [sym__simple_expression] = STATE(5471),
    [sym_lambda_expression] = STATE(13098),
    [sym_if_expression] = STATE(13098),
    [sym_match_expression] = STATE(13098),
    [sym_try_expression] = STATE(13098),
    [sym_bindings] = STATE(15615),
    [sym_case_block] = STATE(8262),
    [sym_assignment_expression] = STATE(13098),
    [sym_generic_function] = STATE(8262),
    [sym_call_expression] = STATE(8262),
    [sym_field_expression] = STATE(8262),
    [sym_instance_expression] = STATE(8262),
    [sym_ascription_expression] = STATE(13098),
    [sym_infix_expression] = STATE(9485),
    [sym_postfix_expression] = STATE(12647),
    [sym__postfix_expression_choice] = STATE(16347),
    [sym_macro_body] = STATE(13098),
    [sym_prefix_expression] = STATE(9525),
    [sym_tuple_expression] = STATE(8262),
    [sym_parenthesized_expression] = STATE(8262),
    [sym_splice_expression] = STATE(8262),
    [sym_quote_expression] = STATE(8262),
    [sym_identifier] = STATE(5180),
    [sym__soft_identifier] = STATE(5419),
    [sym_wildcard] = STATE(7820),
    [sym__non_null_literal] = STATE(8262),
    [sym_boolean_literal] = STATE(8242),
    [sym_interpolated_string_expression] = STATE(8262),
    [sym_string] = STATE(8242),
    [sym_unit] = STATE(8262),
    [sym_return_expression] = STATE(13098),
    [sym_throw_expression] = STATE(13098),
    [sym_while_expression] = STATE(13098),
    [sym_do_while_expression] = STATE(13098),
    [sym_for_expression] = STATE(13098),
    [sym_comment] = STATE(984),
    [sym_block_comment] = STATE(984),
    [sym__alpha_identifier] = ACTIONS(1278),
    [anon_sym_LBRACE] = ACTIONS(1282),
    [anon_sym__] = ACTIONS(1284),
    [anon_sym_PLUS] = ACTIONS(1286),
    [anon_sym_DASH] = ACTIONS(1286),
    [anon_sym_end] = ACTIONS(1288),
    [anon_sym_if] = ACTIONS(1710),
    [anon_sym_while] = ACTIONS(1712),
    [anon_sym_for] = ACTIONS(1714),
    [anon_sym_try] = ACTIONS(1716),
    [anon_sym_new] = ACTIONS(1290),
    [anon_sym_opaque] = ACTIONS(1288),
    [anon_sym_implicit] = ACTIONS(1718),
    [anon_sym_inline] = ACTIONS(1292),
    [anon_sym_infix] = ACTIONS(1288),
    [anon_sym_open] = ACTIONS(1288),
    [anon_sym_transparent] = ACTIONS(1288),
    [anon_sym_LPAREN] = ACTIONS(1294),
    [anon_sym_macro] = ACTIONS(1720),
    [anon_sym_BANG] = ACTIONS(1286),
    [anon_sym_TILDE] = ACTIONS(1286),
    [anon_sym_DOLLAR] = ACTIONS(1296),
    [anon_sym_SQUOTE] = ACTIONS(1298),
    [sym__backquoted_id] = ACTIONS(1300),
    [sym_operator_identifier] = ACTIONS(1722),
    [sym_integer_literal] = ACTIONS(1304),
    [sym_floating_point_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1308),
    [anon_sym_false] = ACTIONS(1308),
    [sym_character_literal] = ACTIONS(1306),
    [sym_null_literal] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(1724),
    [anon_sym_throw] = ACTIONS(1726),
    [anon_sym_do] = ACTIONS(1728),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2198),
    [sym__simple_multiline_string] = ACTIONS(1312),
    [sym__simple_string] = ACTIONS(1312),
  },
  [985] = {
    [sym_inline_modifier] = STATE(2262),
    [sym__indentable_expression] = STATE(11561),
    [sym_block] = STATE(6540),
    [sym_indented_block] = STATE(11390),
    [sym_indented_cases] = STATE(11390),
    [sym_expression] = STATE(11385),
    [sym__simple_expression] = STATE(5817),
    [sym_lambda_expression] = STATE(11374),
    [sym_if_expression] = STATE(11374),
    [sym_match_expression] = STATE(11374),
    [sym_try_expression] = STATE(11374),
    [sym_bindings] = STATE(15530),
    [sym_case_block] = STATE(6540),
    [sym_assignment_expression] = STATE(11374),
    [sym_generic_function] = STATE(6540),
    [sym_call_expression] = STATE(6540),
    [sym_field_expression] = STATE(6540),
    [sym_instance_expression] = STATE(6540),
    [sym_ascription_expression] = STATE(11374),
    [sym_infix_expression] = STATE(7834),
    [sym_postfix_expression] = STATE(11215),
    [sym__postfix_expression_choice] = STATE(16210),
    [sym_macro_body] = STATE(11374),
    [sym_prefix_expression] = STATE(9262),
    [sym_tuple_expression] = STATE(6540),
    [sym_parenthesized_expression] = STATE(6540),
    [sym_splice_expression] = STATE(6540),
    [sym_quote_expression] = STATE(6540),
    [sym_identifier] = STATE(5031),
    [sym__soft_identifier] = STATE(4667),
    [sym_wildcard] = STATE(7986),
    [sym__non_null_literal] = STATE(6540),
    [sym_boolean_literal] = STATE(6246),
    [sym_interpolated_string_expression] = STATE(6540),
    [sym_string] = STATE(6246),
    [sym_unit] = STATE(6540),
    [sym_return_expression] = STATE(11374),
    [sym_throw_expression] = STATE(11374),
    [sym_while_expression] = STATE(11374),
    [sym_do_while_expression] = STATE(11374),
    [sym_for_expression] = STATE(11374),
    [sym_comment] = STATE(985),
    [sym_block_comment] = STATE(985),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(1530),
    [anon_sym_while] = ACTIONS(1532),
    [anon_sym_for] = ACTIONS(1534),
    [anon_sym_try] = ACTIONS(1536),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1538),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1540),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1542),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1544),
    [anon_sym_throw] = ACTIONS(1546),
    [anon_sym_do] = ACTIONS(1548),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2240),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [986] = {
    [sym_inline_modifier] = STATE(2115),
    [sym__indentable_expression] = STATE(14006),
    [sym_block] = STATE(8041),
    [sym_indented_block] = STATE(12292),
    [sym_indented_cases] = STATE(12292),
    [sym_expression] = STATE(12256),
    [sym__simple_expression] = STATE(7311),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15577),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(10220),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10124),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6254),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(8727),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(986),
    [sym_block_comment] = STATE(986),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(603),
    [anon_sym_DASH] = ACTIONS(603),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(605),
    [anon_sym_while] = ACTIONS(607),
    [anon_sym_for] = ACTIONS(609),
    [anon_sym_try] = ACTIONS(611),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2192),
    [anon_sym_inline] = ACTIONS(1764),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(603),
    [anon_sym_TILDE] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(621),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(623),
    [anon_sym_throw] = ACTIONS(625),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [987] = {
    [sym_inline_modifier] = STATE(2252),
    [sym__indentable_expression] = STATE(12939),
    [sym_block] = STATE(8262),
    [sym_indented_block] = STATE(13058),
    [sym_indented_cases] = STATE(13058),
    [sym_expression] = STATE(12868),
    [sym__simple_expression] = STATE(5471),
    [sym_lambda_expression] = STATE(13098),
    [sym_if_expression] = STATE(13098),
    [sym_match_expression] = STATE(13098),
    [sym_try_expression] = STATE(13098),
    [sym_bindings] = STATE(15615),
    [sym_case_block] = STATE(8262),
    [sym_assignment_expression] = STATE(13098),
    [sym_generic_function] = STATE(8262),
    [sym_call_expression] = STATE(8262),
    [sym_field_expression] = STATE(8262),
    [sym_instance_expression] = STATE(8262),
    [sym_ascription_expression] = STATE(13098),
    [sym_infix_expression] = STATE(9485),
    [sym_postfix_expression] = STATE(12647),
    [sym__postfix_expression_choice] = STATE(16347),
    [sym_macro_body] = STATE(13098),
    [sym_prefix_expression] = STATE(9525),
    [sym_tuple_expression] = STATE(8262),
    [sym_parenthesized_expression] = STATE(8262),
    [sym_splice_expression] = STATE(8262),
    [sym_quote_expression] = STATE(8262),
    [sym_identifier] = STATE(5180),
    [sym__soft_identifier] = STATE(5419),
    [sym_wildcard] = STATE(7820),
    [sym__non_null_literal] = STATE(8262),
    [sym_boolean_literal] = STATE(8242),
    [sym_interpolated_string_expression] = STATE(8262),
    [sym_string] = STATE(8242),
    [sym_unit] = STATE(8262),
    [sym_return_expression] = STATE(13098),
    [sym_throw_expression] = STATE(13098),
    [sym_while_expression] = STATE(13098),
    [sym_do_while_expression] = STATE(13098),
    [sym_for_expression] = STATE(13098),
    [sym_comment] = STATE(987),
    [sym_block_comment] = STATE(987),
    [sym__alpha_identifier] = ACTIONS(1278),
    [anon_sym_LBRACE] = ACTIONS(1282),
    [anon_sym__] = ACTIONS(1284),
    [anon_sym_PLUS] = ACTIONS(1286),
    [anon_sym_DASH] = ACTIONS(1286),
    [anon_sym_end] = ACTIONS(1288),
    [anon_sym_if] = ACTIONS(1710),
    [anon_sym_while] = ACTIONS(1712),
    [anon_sym_for] = ACTIONS(1714),
    [anon_sym_try] = ACTIONS(1716),
    [anon_sym_new] = ACTIONS(1290),
    [anon_sym_opaque] = ACTIONS(1288),
    [anon_sym_implicit] = ACTIONS(1718),
    [anon_sym_inline] = ACTIONS(1292),
    [anon_sym_infix] = ACTIONS(1288),
    [anon_sym_open] = ACTIONS(1288),
    [anon_sym_transparent] = ACTIONS(1288),
    [anon_sym_LPAREN] = ACTIONS(1294),
    [anon_sym_macro] = ACTIONS(1720),
    [anon_sym_BANG] = ACTIONS(1286),
    [anon_sym_TILDE] = ACTIONS(1286),
    [anon_sym_DOLLAR] = ACTIONS(1296),
    [anon_sym_SQUOTE] = ACTIONS(1298),
    [sym__backquoted_id] = ACTIONS(1300),
    [sym_operator_identifier] = ACTIONS(1722),
    [sym_integer_literal] = ACTIONS(1304),
    [sym_floating_point_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1308),
    [anon_sym_false] = ACTIONS(1308),
    [sym_character_literal] = ACTIONS(1306),
    [sym_null_literal] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(1724),
    [anon_sym_throw] = ACTIONS(1726),
    [anon_sym_do] = ACTIONS(1728),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2198),
    [sym__simple_multiline_string] = ACTIONS(1312),
    [sym__simple_string] = ACTIONS(1312),
  },
  [988] = {
    [sym_inline_modifier] = STATE(2252),
    [sym__indentable_expression] = STATE(13143),
    [sym_block] = STATE(8262),
    [sym_indented_block] = STATE(13058),
    [sym_indented_cases] = STATE(13058),
    [sym_expression] = STATE(12868),
    [sym__simple_expression] = STATE(5471),
    [sym_lambda_expression] = STATE(13098),
    [sym_if_expression] = STATE(13098),
    [sym_match_expression] = STATE(13098),
    [sym_try_expression] = STATE(13098),
    [sym_bindings] = STATE(15615),
    [sym_case_block] = STATE(8262),
    [sym_assignment_expression] = STATE(13098),
    [sym_generic_function] = STATE(8262),
    [sym_call_expression] = STATE(8262),
    [sym_field_expression] = STATE(8262),
    [sym_instance_expression] = STATE(8262),
    [sym_ascription_expression] = STATE(13098),
    [sym_infix_expression] = STATE(9485),
    [sym_postfix_expression] = STATE(12647),
    [sym__postfix_expression_choice] = STATE(16347),
    [sym_macro_body] = STATE(13098),
    [sym_prefix_expression] = STATE(9525),
    [sym_tuple_expression] = STATE(8262),
    [sym_parenthesized_expression] = STATE(8262),
    [sym_splice_expression] = STATE(8262),
    [sym_quote_expression] = STATE(8262),
    [sym_identifier] = STATE(5180),
    [sym__soft_identifier] = STATE(5419),
    [sym_wildcard] = STATE(7820),
    [sym__non_null_literal] = STATE(8262),
    [sym_boolean_literal] = STATE(8242),
    [sym_interpolated_string_expression] = STATE(8262),
    [sym_string] = STATE(8242),
    [sym_unit] = STATE(8262),
    [sym_return_expression] = STATE(13098),
    [sym_throw_expression] = STATE(13098),
    [sym_while_expression] = STATE(13098),
    [sym_do_while_expression] = STATE(13098),
    [sym_for_expression] = STATE(13098),
    [sym_comment] = STATE(988),
    [sym_block_comment] = STATE(988),
    [sym__alpha_identifier] = ACTIONS(1278),
    [anon_sym_LBRACE] = ACTIONS(1282),
    [anon_sym__] = ACTIONS(1284),
    [anon_sym_PLUS] = ACTIONS(1286),
    [anon_sym_DASH] = ACTIONS(1286),
    [anon_sym_end] = ACTIONS(1288),
    [anon_sym_if] = ACTIONS(1710),
    [anon_sym_while] = ACTIONS(1712),
    [anon_sym_for] = ACTIONS(1714),
    [anon_sym_try] = ACTIONS(1716),
    [anon_sym_new] = ACTIONS(1290),
    [anon_sym_opaque] = ACTIONS(1288),
    [anon_sym_implicit] = ACTIONS(1718),
    [anon_sym_inline] = ACTIONS(1292),
    [anon_sym_infix] = ACTIONS(1288),
    [anon_sym_open] = ACTIONS(1288),
    [anon_sym_transparent] = ACTIONS(1288),
    [anon_sym_LPAREN] = ACTIONS(1294),
    [anon_sym_macro] = ACTIONS(1720),
    [anon_sym_BANG] = ACTIONS(1286),
    [anon_sym_TILDE] = ACTIONS(1286),
    [anon_sym_DOLLAR] = ACTIONS(1296),
    [anon_sym_SQUOTE] = ACTIONS(1298),
    [sym__backquoted_id] = ACTIONS(1300),
    [sym_operator_identifier] = ACTIONS(1722),
    [sym_integer_literal] = ACTIONS(1304),
    [sym_floating_point_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1308),
    [anon_sym_false] = ACTIONS(1308),
    [sym_character_literal] = ACTIONS(1306),
    [sym_null_literal] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(1724),
    [anon_sym_throw] = ACTIONS(1726),
    [anon_sym_do] = ACTIONS(1728),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2198),
    [sym__simple_multiline_string] = ACTIONS(1312),
    [sym__simple_string] = ACTIONS(1312),
  },
  [989] = {
    [sym_inline_modifier] = STATE(2262),
    [sym__indentable_expression] = STATE(11554),
    [sym_block] = STATE(6540),
    [sym_indented_block] = STATE(11390),
    [sym_indented_cases] = STATE(11390),
    [sym_expression] = STATE(11385),
    [sym__simple_expression] = STATE(5817),
    [sym_lambda_expression] = STATE(11374),
    [sym_if_expression] = STATE(11374),
    [sym_match_expression] = STATE(11374),
    [sym_try_expression] = STATE(11374),
    [sym_bindings] = STATE(15530),
    [sym_case_block] = STATE(6540),
    [sym_assignment_expression] = STATE(11374),
    [sym_generic_function] = STATE(6540),
    [sym_call_expression] = STATE(6540),
    [sym_field_expression] = STATE(6540),
    [sym_instance_expression] = STATE(6540),
    [sym_ascription_expression] = STATE(11374),
    [sym_infix_expression] = STATE(7834),
    [sym_postfix_expression] = STATE(11215),
    [sym__postfix_expression_choice] = STATE(16210),
    [sym_macro_body] = STATE(11374),
    [sym_prefix_expression] = STATE(9262),
    [sym_tuple_expression] = STATE(6540),
    [sym_parenthesized_expression] = STATE(6540),
    [sym_splice_expression] = STATE(6540),
    [sym_quote_expression] = STATE(6540),
    [sym_identifier] = STATE(5031),
    [sym__soft_identifier] = STATE(4667),
    [sym_wildcard] = STATE(7986),
    [sym__non_null_literal] = STATE(6540),
    [sym_boolean_literal] = STATE(6246),
    [sym_interpolated_string_expression] = STATE(6540),
    [sym_string] = STATE(6246),
    [sym_unit] = STATE(6540),
    [sym_return_expression] = STATE(11374),
    [sym_throw_expression] = STATE(11374),
    [sym_while_expression] = STATE(11374),
    [sym_do_while_expression] = STATE(11374),
    [sym_for_expression] = STATE(11374),
    [sym_comment] = STATE(989),
    [sym_block_comment] = STATE(989),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(1530),
    [anon_sym_while] = ACTIONS(1532),
    [anon_sym_for] = ACTIONS(1534),
    [anon_sym_try] = ACTIONS(1536),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1538),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1540),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1542),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1544),
    [anon_sym_throw] = ACTIONS(1546),
    [anon_sym_do] = ACTIONS(1548),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2240),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [990] = {
    [sym_inline_modifier] = STATE(2252),
    [sym__indentable_expression] = STATE(13052),
    [sym_block] = STATE(8262),
    [sym_indented_block] = STATE(13058),
    [sym_indented_cases] = STATE(13058),
    [sym_expression] = STATE(12868),
    [sym__simple_expression] = STATE(5471),
    [sym_lambda_expression] = STATE(13098),
    [sym_if_expression] = STATE(13098),
    [sym_match_expression] = STATE(13098),
    [sym_try_expression] = STATE(13098),
    [sym_bindings] = STATE(15615),
    [sym_case_block] = STATE(8262),
    [sym_assignment_expression] = STATE(13098),
    [sym_generic_function] = STATE(8262),
    [sym_call_expression] = STATE(8262),
    [sym_field_expression] = STATE(8262),
    [sym_instance_expression] = STATE(8262),
    [sym_ascription_expression] = STATE(13098),
    [sym_infix_expression] = STATE(9485),
    [sym_postfix_expression] = STATE(12647),
    [sym__postfix_expression_choice] = STATE(16347),
    [sym_macro_body] = STATE(13098),
    [sym_prefix_expression] = STATE(9525),
    [sym_tuple_expression] = STATE(8262),
    [sym_parenthesized_expression] = STATE(8262),
    [sym_splice_expression] = STATE(8262),
    [sym_quote_expression] = STATE(8262),
    [sym_identifier] = STATE(5180),
    [sym__soft_identifier] = STATE(5419),
    [sym_wildcard] = STATE(7820),
    [sym__non_null_literal] = STATE(8262),
    [sym_boolean_literal] = STATE(8242),
    [sym_interpolated_string_expression] = STATE(8262),
    [sym_string] = STATE(8242),
    [sym_unit] = STATE(8262),
    [sym_return_expression] = STATE(13098),
    [sym_throw_expression] = STATE(13098),
    [sym_while_expression] = STATE(13098),
    [sym_do_while_expression] = STATE(13098),
    [sym_for_expression] = STATE(13098),
    [sym_comment] = STATE(990),
    [sym_block_comment] = STATE(990),
    [sym__alpha_identifier] = ACTIONS(1278),
    [anon_sym_LBRACE] = ACTIONS(1282),
    [anon_sym__] = ACTIONS(1284),
    [anon_sym_PLUS] = ACTIONS(1286),
    [anon_sym_DASH] = ACTIONS(1286),
    [anon_sym_end] = ACTIONS(1288),
    [anon_sym_if] = ACTIONS(1710),
    [anon_sym_while] = ACTIONS(1712),
    [anon_sym_for] = ACTIONS(1714),
    [anon_sym_try] = ACTIONS(1716),
    [anon_sym_new] = ACTIONS(1290),
    [anon_sym_opaque] = ACTIONS(1288),
    [anon_sym_implicit] = ACTIONS(1718),
    [anon_sym_inline] = ACTIONS(1292),
    [anon_sym_infix] = ACTIONS(1288),
    [anon_sym_open] = ACTIONS(1288),
    [anon_sym_transparent] = ACTIONS(1288),
    [anon_sym_LPAREN] = ACTIONS(1294),
    [anon_sym_macro] = ACTIONS(1720),
    [anon_sym_BANG] = ACTIONS(1286),
    [anon_sym_TILDE] = ACTIONS(1286),
    [anon_sym_DOLLAR] = ACTIONS(1296),
    [anon_sym_SQUOTE] = ACTIONS(1298),
    [sym__backquoted_id] = ACTIONS(1300),
    [sym_operator_identifier] = ACTIONS(1722),
    [sym_integer_literal] = ACTIONS(1304),
    [sym_floating_point_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1308),
    [anon_sym_false] = ACTIONS(1308),
    [sym_character_literal] = ACTIONS(1306),
    [sym_null_literal] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(1724),
    [anon_sym_throw] = ACTIONS(1726),
    [anon_sym_do] = ACTIONS(1728),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2198),
    [sym__simple_multiline_string] = ACTIONS(1312),
    [sym__simple_string] = ACTIONS(1312),
  },
  [991] = {
    [sym_inline_modifier] = STATE(2122),
    [sym__indentable_expression] = STATE(11823),
    [sym_block] = STATE(6703),
    [sym_indented_block] = STATE(12004),
    [sym_indented_cases] = STATE(12004),
    [sym_expression] = STATE(12171),
    [sym__simple_expression] = STATE(6037),
    [sym_lambda_expression] = STATE(12046),
    [sym_if_expression] = STATE(12046),
    [sym_match_expression] = STATE(12046),
    [sym_try_expression] = STATE(12046),
    [sym_bindings] = STATE(15638),
    [sym_case_block] = STATE(6703),
    [sym_assignment_expression] = STATE(12046),
    [sym_generic_function] = STATE(6703),
    [sym_call_expression] = STATE(6703),
    [sym_field_expression] = STATE(6703),
    [sym_instance_expression] = STATE(6703),
    [sym_ascription_expression] = STATE(12046),
    [sym_infix_expression] = STATE(8166),
    [sym_postfix_expression] = STATE(11496),
    [sym__postfix_expression_choice] = STATE(15827),
    [sym_macro_body] = STATE(12046),
    [sym_prefix_expression] = STATE(9715),
    [sym_tuple_expression] = STATE(6703),
    [sym_parenthesized_expression] = STATE(6703),
    [sym_splice_expression] = STATE(6703),
    [sym_quote_expression] = STATE(6703),
    [sym_identifier] = STATE(5641),
    [sym__soft_identifier] = STATE(4884),
    [sym_wildcard] = STATE(8386),
    [sym__non_null_literal] = STATE(6703),
    [sym_boolean_literal] = STATE(6780),
    [sym_interpolated_string_expression] = STATE(6703),
    [sym_string] = STATE(6780),
    [sym_unit] = STATE(6703),
    [sym_return_expression] = STATE(12046),
    [sym_throw_expression] = STATE(12046),
    [sym_while_expression] = STATE(12046),
    [sym_do_while_expression] = STATE(12046),
    [sym_for_expression] = STATE(12046),
    [sym_comment] = STATE(991),
    [sym_block_comment] = STATE(991),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(1838),
    [anon_sym_while] = ACTIONS(1840),
    [anon_sym_for] = ACTIONS(1842),
    [anon_sym_try] = ACTIONS(1844),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(1846),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1848),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(1850),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(1852),
    [anon_sym_throw] = ACTIONS(1854),
    [anon_sym_do] = ACTIONS(1856),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2234),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [992] = {
    [sym_inline_modifier] = STATE(2252),
    [sym__indentable_expression] = STATE(13065),
    [sym_block] = STATE(8262),
    [sym_indented_block] = STATE(13058),
    [sym_indented_cases] = STATE(13058),
    [sym_expression] = STATE(12868),
    [sym__simple_expression] = STATE(5471),
    [sym_lambda_expression] = STATE(13098),
    [sym_if_expression] = STATE(13098),
    [sym_match_expression] = STATE(13098),
    [sym_try_expression] = STATE(13098),
    [sym_bindings] = STATE(15615),
    [sym_case_block] = STATE(8262),
    [sym_assignment_expression] = STATE(13098),
    [sym_generic_function] = STATE(8262),
    [sym_call_expression] = STATE(8262),
    [sym_field_expression] = STATE(8262),
    [sym_instance_expression] = STATE(8262),
    [sym_ascription_expression] = STATE(13098),
    [sym_infix_expression] = STATE(9485),
    [sym_postfix_expression] = STATE(12647),
    [sym__postfix_expression_choice] = STATE(16347),
    [sym_macro_body] = STATE(13098),
    [sym_prefix_expression] = STATE(9525),
    [sym_tuple_expression] = STATE(8262),
    [sym_parenthesized_expression] = STATE(8262),
    [sym_splice_expression] = STATE(8262),
    [sym_quote_expression] = STATE(8262),
    [sym_identifier] = STATE(5180),
    [sym__soft_identifier] = STATE(5419),
    [sym_wildcard] = STATE(7820),
    [sym__non_null_literal] = STATE(8262),
    [sym_boolean_literal] = STATE(8242),
    [sym_interpolated_string_expression] = STATE(8262),
    [sym_string] = STATE(8242),
    [sym_unit] = STATE(8262),
    [sym_return_expression] = STATE(13098),
    [sym_throw_expression] = STATE(13098),
    [sym_while_expression] = STATE(13098),
    [sym_do_while_expression] = STATE(13098),
    [sym_for_expression] = STATE(13098),
    [sym_comment] = STATE(992),
    [sym_block_comment] = STATE(992),
    [sym__alpha_identifier] = ACTIONS(1278),
    [anon_sym_LBRACE] = ACTIONS(1282),
    [anon_sym__] = ACTIONS(1284),
    [anon_sym_PLUS] = ACTIONS(1286),
    [anon_sym_DASH] = ACTIONS(1286),
    [anon_sym_end] = ACTIONS(1288),
    [anon_sym_if] = ACTIONS(1710),
    [anon_sym_while] = ACTIONS(1712),
    [anon_sym_for] = ACTIONS(1714),
    [anon_sym_try] = ACTIONS(1716),
    [anon_sym_new] = ACTIONS(1290),
    [anon_sym_opaque] = ACTIONS(1288),
    [anon_sym_implicit] = ACTIONS(1718),
    [anon_sym_inline] = ACTIONS(1292),
    [anon_sym_infix] = ACTIONS(1288),
    [anon_sym_open] = ACTIONS(1288),
    [anon_sym_transparent] = ACTIONS(1288),
    [anon_sym_LPAREN] = ACTIONS(1294),
    [anon_sym_macro] = ACTIONS(1720),
    [anon_sym_BANG] = ACTIONS(1286),
    [anon_sym_TILDE] = ACTIONS(1286),
    [anon_sym_DOLLAR] = ACTIONS(1296),
    [anon_sym_SQUOTE] = ACTIONS(1298),
    [sym__backquoted_id] = ACTIONS(1300),
    [sym_operator_identifier] = ACTIONS(1722),
    [sym_integer_literal] = ACTIONS(1304),
    [sym_floating_point_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1308),
    [anon_sym_false] = ACTIONS(1308),
    [sym_character_literal] = ACTIONS(1306),
    [sym_null_literal] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(1724),
    [anon_sym_throw] = ACTIONS(1726),
    [anon_sym_do] = ACTIONS(1728),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2198),
    [sym__simple_multiline_string] = ACTIONS(1312),
    [sym__simple_string] = ACTIONS(1312),
  },
  [993] = {
    [sym_inline_modifier] = STATE(2122),
    [sym__indentable_expression] = STATE(11822),
    [sym_block] = STATE(6703),
    [sym_indented_block] = STATE(12004),
    [sym_indented_cases] = STATE(12004),
    [sym_expression] = STATE(12171),
    [sym__simple_expression] = STATE(6037),
    [sym_lambda_expression] = STATE(12046),
    [sym_if_expression] = STATE(12046),
    [sym_match_expression] = STATE(12046),
    [sym_try_expression] = STATE(12046),
    [sym_bindings] = STATE(15638),
    [sym_case_block] = STATE(6703),
    [sym_assignment_expression] = STATE(12046),
    [sym_generic_function] = STATE(6703),
    [sym_call_expression] = STATE(6703),
    [sym_field_expression] = STATE(6703),
    [sym_instance_expression] = STATE(6703),
    [sym_ascription_expression] = STATE(12046),
    [sym_infix_expression] = STATE(8166),
    [sym_postfix_expression] = STATE(11496),
    [sym__postfix_expression_choice] = STATE(15827),
    [sym_macro_body] = STATE(12046),
    [sym_prefix_expression] = STATE(9715),
    [sym_tuple_expression] = STATE(6703),
    [sym_parenthesized_expression] = STATE(6703),
    [sym_splice_expression] = STATE(6703),
    [sym_quote_expression] = STATE(6703),
    [sym_identifier] = STATE(5641),
    [sym__soft_identifier] = STATE(4884),
    [sym_wildcard] = STATE(8386),
    [sym__non_null_literal] = STATE(6703),
    [sym_boolean_literal] = STATE(6780),
    [sym_interpolated_string_expression] = STATE(6703),
    [sym_string] = STATE(6780),
    [sym_unit] = STATE(6703),
    [sym_return_expression] = STATE(12046),
    [sym_throw_expression] = STATE(12046),
    [sym_while_expression] = STATE(12046),
    [sym_do_while_expression] = STATE(12046),
    [sym_for_expression] = STATE(12046),
    [sym_comment] = STATE(993),
    [sym_block_comment] = STATE(993),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(1838),
    [anon_sym_while] = ACTIONS(1840),
    [anon_sym_for] = ACTIONS(1842),
    [anon_sym_try] = ACTIONS(1844),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(1846),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1848),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(1850),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(1852),
    [anon_sym_throw] = ACTIONS(1854),
    [anon_sym_do] = ACTIONS(1856),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2234),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [994] = {
    [sym_inline_modifier] = STATE(2269),
    [sym__indentable_expression] = STATE(13448),
    [sym_block] = STATE(8070),
    [sym_indented_block] = STATE(12700),
    [sym_indented_cases] = STATE(12700),
    [sym_expression] = STATE(12581),
    [sym__simple_expression] = STATE(5679),
    [sym_lambda_expression] = STATE(12742),
    [sym_if_expression] = STATE(12742),
    [sym_match_expression] = STATE(12742),
    [sym_try_expression] = STATE(12742),
    [sym_bindings] = STATE(15536),
    [sym_case_block] = STATE(8070),
    [sym_assignment_expression] = STATE(12742),
    [sym_generic_function] = STATE(8070),
    [sym_call_expression] = STATE(8070),
    [sym_field_expression] = STATE(8070),
    [sym_instance_expression] = STATE(8070),
    [sym_ascription_expression] = STATE(12742),
    [sym_infix_expression] = STATE(8913),
    [sym_postfix_expression] = STATE(12343),
    [sym__postfix_expression_choice] = STATE(16230),
    [sym_macro_body] = STATE(12742),
    [sym_prefix_expression] = STATE(9483),
    [sym_tuple_expression] = STATE(8070),
    [sym_parenthesized_expression] = STATE(8070),
    [sym_splice_expression] = STATE(8070),
    [sym_quote_expression] = STATE(8070),
    [sym_identifier] = STATE(4999),
    [sym__soft_identifier] = STATE(5234),
    [sym_wildcard] = STATE(8075),
    [sym__non_null_literal] = STATE(8070),
    [sym_boolean_literal] = STATE(8055),
    [sym_interpolated_string_expression] = STATE(8070),
    [sym_string] = STATE(8055),
    [sym_unit] = STATE(8070),
    [sym_return_expression] = STATE(12742),
    [sym_throw_expression] = STATE(12742),
    [sym_while_expression] = STATE(12742),
    [sym_do_while_expression] = STATE(12742),
    [sym_for_expression] = STATE(12742),
    [sym_comment] = STATE(994),
    [sym_block_comment] = STATE(994),
    [sym__alpha_identifier] = ACTIONS(1314),
    [anon_sym_LBRACE] = ACTIONS(1318),
    [anon_sym__] = ACTIONS(1320),
    [anon_sym_PLUS] = ACTIONS(1322),
    [anon_sym_DASH] = ACTIONS(1322),
    [anon_sym_end] = ACTIONS(1324),
    [anon_sym_if] = ACTIONS(1730),
    [anon_sym_while] = ACTIONS(1732),
    [anon_sym_for] = ACTIONS(1734),
    [anon_sym_try] = ACTIONS(1736),
    [anon_sym_new] = ACTIONS(1326),
    [anon_sym_opaque] = ACTIONS(1324),
    [anon_sym_implicit] = ACTIONS(1738),
    [anon_sym_inline] = ACTIONS(1328),
    [anon_sym_infix] = ACTIONS(1324),
    [anon_sym_open] = ACTIONS(1324),
    [anon_sym_transparent] = ACTIONS(1324),
    [anon_sym_LPAREN] = ACTIONS(1330),
    [anon_sym_macro] = ACTIONS(1740),
    [anon_sym_BANG] = ACTIONS(1322),
    [anon_sym_TILDE] = ACTIONS(1322),
    [anon_sym_DOLLAR] = ACTIONS(1332),
    [anon_sym_SQUOTE] = ACTIONS(1334),
    [sym__backquoted_id] = ACTIONS(1336),
    [sym_operator_identifier] = ACTIONS(1742),
    [sym_integer_literal] = ACTIONS(1340),
    [sym_floating_point_literal] = ACTIONS(1342),
    [anon_sym_true] = ACTIONS(1344),
    [anon_sym_false] = ACTIONS(1344),
    [sym_character_literal] = ACTIONS(1342),
    [sym_null_literal] = ACTIONS(1346),
    [anon_sym_return] = ACTIONS(1744),
    [anon_sym_throw] = ACTIONS(1746),
    [anon_sym_do] = ACTIONS(1748),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2158),
    [sym__simple_multiline_string] = ACTIONS(1348),
    [sym__simple_string] = ACTIONS(1348),
  },
  [995] = {
    [sym_inline_modifier] = STATE(2076),
    [sym__indentable_expression] = STATE(13583),
    [sym_block] = STATE(9327),
    [sym_indented_block] = STATE(13548),
    [sym_indented_cases] = STATE(13548),
    [sym_expression] = STATE(13406),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(995),
    [sym_block_comment] = STATE(995),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(3109),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [996] = {
    [sym_inline_modifier] = STATE(2114),
    [sym_block] = STATE(8218),
    [sym_expression] = STATE(12895),
    [sym__simple_expression] = STATE(7544),
    [sym_lambda_expression] = STATE(13097),
    [sym_if_expression] = STATE(13097),
    [sym_match_expression] = STATE(13097),
    [sym_try_expression] = STATE(13097),
    [sym_bindings] = STATE(15630),
    [sym_case_block] = STATE(8218),
    [sym_assignment_expression] = STATE(13097),
    [sym_generic_function] = STATE(8218),
    [sym_call_expression] = STATE(8218),
    [sym_field_expression] = STATE(8218),
    [sym_instance_expression] = STATE(8218),
    [sym_ascription_expression] = STATE(13097),
    [sym_infix_expression] = STATE(9424),
    [sym_postfix_expression] = STATE(12765),
    [sym__postfix_expression_choice] = STATE(16117),
    [sym_macro_body] = STATE(13097),
    [sym_prefix_expression] = STATE(10300),
    [sym_tuple_expression] = STATE(8218),
    [sym_parenthesized_expression] = STATE(8218),
    [sym_splice_expression] = STATE(8218),
    [sym_quote_expression] = STATE(8218),
    [sym_identifier] = STATE(7100),
    [sym__soft_identifier] = STATE(5752),
    [sym_wildcard] = STATE(9268),
    [sym__non_null_literal] = STATE(8218),
    [sym_boolean_literal] = STATE(8413),
    [sym_interpolated_string_expression] = STATE(8218),
    [sym_string] = STATE(8413),
    [sym_unit] = STATE(8218),
    [sym_return_expression] = STATE(13097),
    [sym_throw_expression] = STATE(13097),
    [sym_while_expression] = STATE(13097),
    [sym_do_while_expression] = STATE(13097),
    [sym_for_expression] = STATE(13097),
    [sym_comment] = STATE(996),
    [sym_block_comment] = STATE(996),
    [sym__alpha_identifier] = ACTIONS(1494),
    [anon_sym_LBRACE] = ACTIONS(1498),
    [anon_sym__] = ACTIONS(1500),
    [anon_sym_LBRACK] = ACTIONS(1148),
    [anon_sym_PLUS] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1502),
    [anon_sym_end] = ACTIONS(1504),
    [anon_sym_if] = ACTIONS(2845),
    [anon_sym_while] = ACTIONS(1150),
    [anon_sym_for] = ACTIONS(2849),
    [anon_sym_match] = ACTIONS(1150),
    [anon_sym_try] = ACTIONS(2851),
    [anon_sym_new] = ACTIONS(1506),
    [anon_sym_opaque] = ACTIONS(1504),
    [anon_sym_implicit] = ACTIONS(2853),
    [anon_sym_inline] = ACTIONS(1508),
    [anon_sym_infix] = ACTIONS(1504),
    [anon_sym_open] = ACTIONS(1504),
    [anon_sym_transparent] = ACTIONS(1504),
    [anon_sym_LPAREN] = ACTIONS(1510),
    [anon_sym_SEMI] = ACTIONS(1148),
    [anon_sym_else] = ACTIONS(1150),
    [anon_sym_macro] = ACTIONS(2054),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_TILDE] = ACTIONS(1502),
    [anon_sym_DOLLAR] = ACTIONS(1512),
    [anon_sym_SQUOTE] = ACTIONS(1514),
    [sym__backquoted_id] = ACTIONS(1516),
    [sym_operator_identifier] = ACTIONS(3314),
    [sym_integer_literal] = ACTIONS(1520),
    [sym_floating_point_literal] = ACTIONS(1522),
    [anon_sym_true] = ACTIONS(1524),
    [anon_sym_false] = ACTIONS(1524),
    [sym_character_literal] = ACTIONS(1522),
    [sym_null_literal] = ACTIONS(1526),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2062),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1528),
    [sym__simple_string] = ACTIONS(1528),
  },
  [997] = {
    [sym_inline_modifier] = STATE(2044),
    [sym__indentable_expression] = STATE(12070),
    [sym_block] = STATE(9913),
    [sym_indented_block] = STATE(11923),
    [sym_indented_cases] = STATE(11923),
    [sym_expression] = STATE(13501),
    [sym__simple_expression] = STATE(7224),
    [sym_lambda_expression] = STATE(12144),
    [sym_if_expression] = STATE(12144),
    [sym_match_expression] = STATE(12144),
    [sym_try_expression] = STATE(12144),
    [sym_bindings] = STATE(15632),
    [sym_case_block] = STATE(9913),
    [sym_assignment_expression] = STATE(12144),
    [sym_generic_function] = STATE(9913),
    [sym_call_expression] = STATE(9913),
    [sym_field_expression] = STATE(9913),
    [sym_instance_expression] = STATE(9913),
    [sym_ascription_expression] = STATE(12144),
    [sym_infix_expression] = STATE(10304),
    [sym_postfix_expression] = STATE(11499),
    [sym__postfix_expression_choice] = STATE(16334),
    [sym_macro_body] = STATE(12144),
    [sym_prefix_expression] = STATE(9963),
    [sym_tuple_expression] = STATE(9913),
    [sym_parenthesized_expression] = STATE(9913),
    [sym_splice_expression] = STATE(9913),
    [sym_quote_expression] = STATE(9913),
    [sym_identifier] = STATE(6170),
    [sym__soft_identifier] = STATE(4555),
    [sym_wildcard] = STATE(8897),
    [sym__non_null_literal] = STATE(9913),
    [sym_boolean_literal] = STATE(6572),
    [sym_interpolated_string_expression] = STATE(9913),
    [sym_string] = STATE(6572),
    [sym_unit] = STATE(9913),
    [sym_return_expression] = STATE(12144),
    [sym_throw_expression] = STATE(12144),
    [sym_while_expression] = STATE(12144),
    [sym_do_while_expression] = STATE(12144),
    [sym_for_expression] = STATE(12144),
    [sym_comment] = STATE(997),
    [sym_block_comment] = STATE(997),
    [sym__alpha_identifier] = ACTIONS(1766),
    [anon_sym_LBRACE] = ACTIONS(1770),
    [anon_sym__] = ACTIONS(1772),
    [anon_sym_PLUS] = ACTIONS(1774),
    [anon_sym_DASH] = ACTIONS(1774),
    [anon_sym_end] = ACTIONS(1776),
    [anon_sym_if] = ACTIONS(2160),
    [anon_sym_while] = ACTIONS(2162),
    [anon_sym_for] = ACTIONS(2164),
    [anon_sym_try] = ACTIONS(2166),
    [anon_sym_new] = ACTIONS(1778),
    [anon_sym_opaque] = ACTIONS(1776),
    [anon_sym_implicit] = ACTIONS(2168),
    [anon_sym_inline] = ACTIONS(1780),
    [anon_sym_infix] = ACTIONS(1776),
    [anon_sym_open] = ACTIONS(1776),
    [anon_sym_transparent] = ACTIONS(1776),
    [anon_sym_LPAREN] = ACTIONS(1782),
    [anon_sym_macro] = ACTIONS(2170),
    [anon_sym_BANG] = ACTIONS(1774),
    [anon_sym_TILDE] = ACTIONS(1774),
    [anon_sym_DOLLAR] = ACTIONS(1784),
    [anon_sym_SQUOTE] = ACTIONS(1786),
    [sym__backquoted_id] = ACTIONS(1788),
    [sym_operator_identifier] = ACTIONS(2172),
    [sym_integer_literal] = ACTIONS(1792),
    [sym_floating_point_literal] = ACTIONS(1794),
    [anon_sym_true] = ACTIONS(1796),
    [anon_sym_false] = ACTIONS(1796),
    [sym_character_literal] = ACTIONS(1794),
    [sym_null_literal] = ACTIONS(1798),
    [anon_sym_return] = ACTIONS(2174),
    [anon_sym_throw] = ACTIONS(2176),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3280),
    [sym__simple_multiline_string] = ACTIONS(1800),
    [sym__simple_string] = ACTIONS(1800),
  },
  [998] = {
    [sym_inline_modifier] = STATE(2122),
    [sym__indentable_expression] = STATE(11819),
    [sym_block] = STATE(6703),
    [sym_indented_block] = STATE(12004),
    [sym_indented_cases] = STATE(12004),
    [sym_expression] = STATE(12171),
    [sym__simple_expression] = STATE(6037),
    [sym_lambda_expression] = STATE(12046),
    [sym_if_expression] = STATE(12046),
    [sym_match_expression] = STATE(12046),
    [sym_try_expression] = STATE(12046),
    [sym_bindings] = STATE(15638),
    [sym_case_block] = STATE(6703),
    [sym_assignment_expression] = STATE(12046),
    [sym_generic_function] = STATE(6703),
    [sym_call_expression] = STATE(6703),
    [sym_field_expression] = STATE(6703),
    [sym_instance_expression] = STATE(6703),
    [sym_ascription_expression] = STATE(12046),
    [sym_infix_expression] = STATE(8166),
    [sym_postfix_expression] = STATE(11496),
    [sym__postfix_expression_choice] = STATE(15827),
    [sym_macro_body] = STATE(12046),
    [sym_prefix_expression] = STATE(9715),
    [sym_tuple_expression] = STATE(6703),
    [sym_parenthesized_expression] = STATE(6703),
    [sym_splice_expression] = STATE(6703),
    [sym_quote_expression] = STATE(6703),
    [sym_identifier] = STATE(5641),
    [sym__soft_identifier] = STATE(4884),
    [sym_wildcard] = STATE(8386),
    [sym__non_null_literal] = STATE(6703),
    [sym_boolean_literal] = STATE(6780),
    [sym_interpolated_string_expression] = STATE(6703),
    [sym_string] = STATE(6780),
    [sym_unit] = STATE(6703),
    [sym_return_expression] = STATE(12046),
    [sym_throw_expression] = STATE(12046),
    [sym_while_expression] = STATE(12046),
    [sym_do_while_expression] = STATE(12046),
    [sym_for_expression] = STATE(12046),
    [sym_comment] = STATE(998),
    [sym_block_comment] = STATE(998),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(1838),
    [anon_sym_while] = ACTIONS(1840),
    [anon_sym_for] = ACTIONS(1842),
    [anon_sym_try] = ACTIONS(1844),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(1846),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1848),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(1850),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(1852),
    [anon_sym_throw] = ACTIONS(1854),
    [anon_sym_do] = ACTIONS(1856),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2234),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [999] = {
    [sym_inline_modifier] = STATE(2262),
    [sym__indentable_expression] = STATE(11553),
    [sym_block] = STATE(6540),
    [sym_indented_block] = STATE(11390),
    [sym_indented_cases] = STATE(11390),
    [sym_expression] = STATE(11385),
    [sym__simple_expression] = STATE(5817),
    [sym_lambda_expression] = STATE(11374),
    [sym_if_expression] = STATE(11374),
    [sym_match_expression] = STATE(11374),
    [sym_try_expression] = STATE(11374),
    [sym_bindings] = STATE(15530),
    [sym_case_block] = STATE(6540),
    [sym_assignment_expression] = STATE(11374),
    [sym_generic_function] = STATE(6540),
    [sym_call_expression] = STATE(6540),
    [sym_field_expression] = STATE(6540),
    [sym_instance_expression] = STATE(6540),
    [sym_ascription_expression] = STATE(11374),
    [sym_infix_expression] = STATE(7834),
    [sym_postfix_expression] = STATE(11215),
    [sym__postfix_expression_choice] = STATE(16210),
    [sym_macro_body] = STATE(11374),
    [sym_prefix_expression] = STATE(9262),
    [sym_tuple_expression] = STATE(6540),
    [sym_parenthesized_expression] = STATE(6540),
    [sym_splice_expression] = STATE(6540),
    [sym_quote_expression] = STATE(6540),
    [sym_identifier] = STATE(5031),
    [sym__soft_identifier] = STATE(4667),
    [sym_wildcard] = STATE(7986),
    [sym__non_null_literal] = STATE(6540),
    [sym_boolean_literal] = STATE(6246),
    [sym_interpolated_string_expression] = STATE(6540),
    [sym_string] = STATE(6246),
    [sym_unit] = STATE(6540),
    [sym_return_expression] = STATE(11374),
    [sym_throw_expression] = STATE(11374),
    [sym_while_expression] = STATE(11374),
    [sym_do_while_expression] = STATE(11374),
    [sym_for_expression] = STATE(11374),
    [sym_comment] = STATE(999),
    [sym_block_comment] = STATE(999),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(1530),
    [anon_sym_while] = ACTIONS(1532),
    [anon_sym_for] = ACTIONS(1534),
    [anon_sym_try] = ACTIONS(1536),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1538),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1540),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1542),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1544),
    [anon_sym_throw] = ACTIONS(1546),
    [anon_sym_do] = ACTIONS(1548),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2240),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [1000] = {
    [sym_inline_modifier] = STATE(2335),
    [sym__indentable_expression] = STATE(11775),
    [sym_block] = STATE(5403),
    [sym_indented_block] = STATE(11085),
    [sym_indented_cases] = STATE(11085),
    [sym_expression] = STATE(11355),
    [sym__simple_expression] = STATE(4736),
    [sym_lambda_expression] = STATE(11364),
    [sym_if_expression] = STATE(11364),
    [sym_match_expression] = STATE(11364),
    [sym_try_expression] = STATE(11364),
    [sym_bindings] = STATE(15583),
    [sym_case_block] = STATE(5403),
    [sym_assignment_expression] = STATE(11364),
    [sym_generic_function] = STATE(5403),
    [sym_call_expression] = STATE(5403),
    [sym_field_expression] = STATE(5403),
    [sym_instance_expression] = STATE(5403),
    [sym_ascription_expression] = STATE(11364),
    [sym_infix_expression] = STATE(6806),
    [sym_postfix_expression] = STATE(10789),
    [sym__postfix_expression_choice] = STATE(15797),
    [sym_macro_body] = STATE(11364),
    [sym_prefix_expression] = STATE(8627),
    [sym_tuple_expression] = STATE(5403),
    [sym_parenthesized_expression] = STATE(5403),
    [sym_splice_expression] = STATE(5403),
    [sym_quote_expression] = STATE(5403),
    [sym_identifier] = STATE(4558),
    [sym__soft_identifier] = STATE(4455),
    [sym_wildcard] = STATE(6107),
    [sym__non_null_literal] = STATE(5403),
    [sym_boolean_literal] = STATE(5637),
    [sym_interpolated_string_expression] = STATE(5403),
    [sym_string] = STATE(5637),
    [sym_unit] = STATE(5403),
    [sym_return_expression] = STATE(11364),
    [sym_throw_expression] = STATE(11364),
    [sym_while_expression] = STATE(11364),
    [sym_do_while_expression] = STATE(11364),
    [sym_for_expression] = STATE(11364),
    [sym_comment] = STATE(1000),
    [sym_block_comment] = STATE(1000),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(2288),
    [anon_sym_while] = ACTIONS(1750),
    [anon_sym_for] = ACTIONS(1752),
    [anon_sym_try] = ACTIONS(1754),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1756),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1162),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1758),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1760),
    [anon_sym_throw] = ACTIONS(1762),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2282),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [1001] = {
    [sym_inline_modifier] = STATE(2084),
    [sym__indentable_expression] = STATE(16406),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(8831),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15722),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10635),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(659),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(8641),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(10149),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1001),
    [sym_block_comment] = STATE(1001),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2740),
    [anon_sym_while] = ACTIONS(2742),
    [anon_sym_for] = ACTIONS(2744),
    [anon_sym_try] = ACTIONS(2746),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2748),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3310),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3312),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2762),
    [anon_sym_throw] = ACTIONS(2764),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1002] = {
    [sym_inline_modifier] = STATE(2255),
    [sym__indentable_expression] = STATE(12053),
    [sym_block] = STATE(6954),
    [sym_indented_block] = STATE(11923),
    [sym_indented_cases] = STATE(11923),
    [sym_expression] = STATE(12206),
    [sym__simple_expression] = STATE(5438),
    [sym_lambda_expression] = STATE(12144),
    [sym_if_expression] = STATE(12144),
    [sym_match_expression] = STATE(12144),
    [sym_try_expression] = STATE(12144),
    [sym_bindings] = STATE(15515),
    [sym_case_block] = STATE(6954),
    [sym_assignment_expression] = STATE(12144),
    [sym_generic_function] = STATE(6954),
    [sym_call_expression] = STATE(6954),
    [sym_field_expression] = STATE(6954),
    [sym_instance_expression] = STATE(6954),
    [sym_ascription_expression] = STATE(12144),
    [sym_infix_expression] = STATE(8226),
    [sym_postfix_expression] = STATE(11499),
    [sym__postfix_expression_choice] = STATE(16229),
    [sym_macro_body] = STATE(12144),
    [sym_prefix_expression] = STATE(9369),
    [sym_tuple_expression] = STATE(6954),
    [sym_parenthesized_expression] = STATE(6954),
    [sym_splice_expression] = STATE(6954),
    [sym_quote_expression] = STATE(6954),
    [sym_identifier] = STATE(5276),
    [sym__soft_identifier] = STATE(4827),
    [sym_wildcard] = STATE(7444),
    [sym__non_null_literal] = STATE(6954),
    [sym_boolean_literal] = STATE(6997),
    [sym_interpolated_string_expression] = STATE(6954),
    [sym_string] = STATE(6997),
    [sym_unit] = STATE(6954),
    [sym_return_expression] = STATE(12144),
    [sym_throw_expression] = STATE(12144),
    [sym_while_expression] = STATE(12144),
    [sym_do_while_expression] = STATE(12144),
    [sym_for_expression] = STATE(12144),
    [sym_comment] = STATE(1002),
    [sym_block_comment] = STATE(1002),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(2666),
    [anon_sym_while] = ACTIONS(2314),
    [anon_sym_for] = ACTIONS(2316),
    [anon_sym_try] = ACTIONS(2318),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(2320),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1894),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(2322),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(2324),
    [anon_sym_throw] = ACTIONS(2326),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3280),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [1003] = {
    [sym_inline_modifier] = STATE(2122),
    [sym__indentable_expression] = STATE(11815),
    [sym_block] = STATE(6703),
    [sym_indented_block] = STATE(12004),
    [sym_indented_cases] = STATE(12004),
    [sym_expression] = STATE(12171),
    [sym__simple_expression] = STATE(6037),
    [sym_lambda_expression] = STATE(12046),
    [sym_if_expression] = STATE(12046),
    [sym_match_expression] = STATE(12046),
    [sym_try_expression] = STATE(12046),
    [sym_bindings] = STATE(15638),
    [sym_case_block] = STATE(6703),
    [sym_assignment_expression] = STATE(12046),
    [sym_generic_function] = STATE(6703),
    [sym_call_expression] = STATE(6703),
    [sym_field_expression] = STATE(6703),
    [sym_instance_expression] = STATE(6703),
    [sym_ascription_expression] = STATE(12046),
    [sym_infix_expression] = STATE(8166),
    [sym_postfix_expression] = STATE(11496),
    [sym__postfix_expression_choice] = STATE(15827),
    [sym_macro_body] = STATE(12046),
    [sym_prefix_expression] = STATE(9715),
    [sym_tuple_expression] = STATE(6703),
    [sym_parenthesized_expression] = STATE(6703),
    [sym_splice_expression] = STATE(6703),
    [sym_quote_expression] = STATE(6703),
    [sym_identifier] = STATE(5641),
    [sym__soft_identifier] = STATE(4884),
    [sym_wildcard] = STATE(8386),
    [sym__non_null_literal] = STATE(6703),
    [sym_boolean_literal] = STATE(6780),
    [sym_interpolated_string_expression] = STATE(6703),
    [sym_string] = STATE(6780),
    [sym_unit] = STATE(6703),
    [sym_return_expression] = STATE(12046),
    [sym_throw_expression] = STATE(12046),
    [sym_while_expression] = STATE(12046),
    [sym_do_while_expression] = STATE(12046),
    [sym_for_expression] = STATE(12046),
    [sym_comment] = STATE(1003),
    [sym_block_comment] = STATE(1003),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(1838),
    [anon_sym_while] = ACTIONS(1840),
    [anon_sym_for] = ACTIONS(1842),
    [anon_sym_try] = ACTIONS(1844),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(1846),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1848),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(1850),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(1852),
    [anon_sym_throw] = ACTIONS(1854),
    [anon_sym_do] = ACTIONS(1856),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2234),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [1004] = {
    [sym_inline_modifier] = STATE(2234),
    [sym__indentable_expression] = STATE(12646),
    [sym_block] = STATE(7443),
    [sym_indented_block] = STATE(12679),
    [sym_indented_cases] = STATE(12679),
    [sym_expression] = STATE(12305),
    [sym__simple_expression] = STATE(5279),
    [sym_lambda_expression] = STATE(12692),
    [sym_if_expression] = STATE(12692),
    [sym_match_expression] = STATE(12692),
    [sym_try_expression] = STATE(12692),
    [sym_bindings] = STATE(15619),
    [sym_case_block] = STATE(7443),
    [sym_assignment_expression] = STATE(12692),
    [sym_generic_function] = STATE(7443),
    [sym_call_expression] = STATE(7443),
    [sym_field_expression] = STATE(7443),
    [sym_instance_expression] = STATE(7443),
    [sym_ascription_expression] = STATE(12692),
    [sym_infix_expression] = STATE(8993),
    [sym_postfix_expression] = STATE(12386),
    [sym__postfix_expression_choice] = STATE(16150),
    [sym_macro_body] = STATE(12692),
    [sym_prefix_expression] = STATE(8795),
    [sym_tuple_expression] = STATE(7443),
    [sym_parenthesized_expression] = STATE(7443),
    [sym_splice_expression] = STATE(7443),
    [sym_quote_expression] = STATE(7443),
    [sym_identifier] = STATE(4734),
    [sym__soft_identifier] = STATE(5213),
    [sym_wildcard] = STATE(7227),
    [sym__non_null_literal] = STATE(7443),
    [sym_boolean_literal] = STATE(7707),
    [sym_interpolated_string_expression] = STATE(7443),
    [sym_string] = STATE(7707),
    [sym_unit] = STATE(7443),
    [sym_return_expression] = STATE(12692),
    [sym_throw_expression] = STATE(12692),
    [sym_while_expression] = STATE(12692),
    [sym_do_while_expression] = STATE(12692),
    [sym_for_expression] = STATE(12692),
    [sym_comment] = STATE(1004),
    [sym_block_comment] = STATE(1004),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(2292),
    [anon_sym_while] = ACTIONS(1480),
    [anon_sym_for] = ACTIONS(1482),
    [anon_sym_try] = ACTIONS(1484),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(1486),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1196),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(1488),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(1490),
    [anon_sym_throw] = ACTIONS(1492),
    [anon_sym_do] = ACTIONS(1204),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2294),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [1005] = {
    [sym_inline_modifier] = STATE(2132),
    [sym__indentable_expression] = STATE(12328),
    [sym_block] = STATE(6738),
    [sym_indented_block] = STATE(12372),
    [sym_indented_cases] = STATE(12372),
    [sym_expression] = STATE(12028),
    [sym__simple_expression] = STATE(6097),
    [sym_lambda_expression] = STATE(12430),
    [sym_if_expression] = STATE(12430),
    [sym_match_expression] = STATE(12430),
    [sym_try_expression] = STATE(12430),
    [sym_bindings] = STATE(15718),
    [sym_case_block] = STATE(6738),
    [sym_assignment_expression] = STATE(12430),
    [sym_generic_function] = STATE(6738),
    [sym_call_expression] = STATE(6738),
    [sym_field_expression] = STATE(6738),
    [sym_instance_expression] = STATE(6738),
    [sym_ascription_expression] = STATE(12430),
    [sym_infix_expression] = STATE(8389),
    [sym_postfix_expression] = STATE(11930),
    [sym__postfix_expression_choice] = STATE(15885),
    [sym_macro_body] = STATE(12430),
    [sym_prefix_expression] = STATE(9761),
    [sym_tuple_expression] = STATE(6738),
    [sym_parenthesized_expression] = STATE(6738),
    [sym_splice_expression] = STATE(6738),
    [sym_quote_expression] = STATE(6738),
    [sym_identifier] = STATE(5458),
    [sym__soft_identifier] = STATE(4943),
    [sym_wildcard] = STATE(8612),
    [sym__non_null_literal] = STATE(6738),
    [sym_boolean_literal] = STATE(7301),
    [sym_interpolated_string_expression] = STATE(6738),
    [sym_string] = STATE(7301),
    [sym_unit] = STATE(6738),
    [sym_return_expression] = STATE(12430),
    [sym_throw_expression] = STATE(12430),
    [sym_while_expression] = STATE(12430),
    [sym_do_while_expression] = STATE(12430),
    [sym_for_expression] = STATE(12430),
    [sym_comment] = STATE(1005),
    [sym_block_comment] = STATE(1005),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(2430),
    [anon_sym_while] = ACTIONS(2432),
    [anon_sym_for] = ACTIONS(2434),
    [anon_sym_try] = ACTIONS(2436),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(2438),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1360),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(2440),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(2442),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(1368),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2202),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [1006] = {
    [sym_inline_modifier] = STATE(2262),
    [sym__indentable_expression] = STATE(13424),
    [sym_block] = STATE(6540),
    [sym_indented_block] = STATE(11390),
    [sym_indented_cases] = STATE(11390),
    [sym_expression] = STATE(11385),
    [sym__simple_expression] = STATE(5817),
    [sym_lambda_expression] = STATE(11374),
    [sym_if_expression] = STATE(11374),
    [sym_match_expression] = STATE(11374),
    [sym_try_expression] = STATE(11374),
    [sym_bindings] = STATE(15530),
    [sym_case_block] = STATE(6540),
    [sym_assignment_expression] = STATE(11374),
    [sym_generic_function] = STATE(6540),
    [sym_call_expression] = STATE(6540),
    [sym_field_expression] = STATE(6540),
    [sym_instance_expression] = STATE(6540),
    [sym_ascription_expression] = STATE(11374),
    [sym_infix_expression] = STATE(7834),
    [sym_postfix_expression] = STATE(11215),
    [sym__postfix_expression_choice] = STATE(16210),
    [sym_macro_body] = STATE(11374),
    [sym_prefix_expression] = STATE(9262),
    [sym_tuple_expression] = STATE(6540),
    [sym_parenthesized_expression] = STATE(6540),
    [sym_splice_expression] = STATE(6540),
    [sym_quote_expression] = STATE(6540),
    [sym_identifier] = STATE(5031),
    [sym__soft_identifier] = STATE(4667),
    [sym_wildcard] = STATE(7986),
    [sym__non_null_literal] = STATE(6540),
    [sym_boolean_literal] = STATE(6246),
    [sym_interpolated_string_expression] = STATE(6540),
    [sym_string] = STATE(6246),
    [sym_unit] = STATE(6540),
    [sym_return_expression] = STATE(11374),
    [sym_throw_expression] = STATE(11374),
    [sym_while_expression] = STATE(11374),
    [sym_do_while_expression] = STATE(11374),
    [sym_for_expression] = STATE(11374),
    [sym_comment] = STATE(1006),
    [sym_block_comment] = STATE(1006),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(1530),
    [anon_sym_while] = ACTIONS(1532),
    [anon_sym_for] = ACTIONS(1534),
    [anon_sym_try] = ACTIONS(1536),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1538),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1540),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1542),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1544),
    [anon_sym_throw] = ACTIONS(1546),
    [anon_sym_do] = ACTIONS(1548),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2240),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [1007] = {
    [sym_inline_modifier] = STATE(2044),
    [sym__indentable_expression] = STATE(12066),
    [sym_block] = STATE(9913),
    [sym_indented_block] = STATE(11923),
    [sym_indented_cases] = STATE(11923),
    [sym_expression] = STATE(13501),
    [sym__simple_expression] = STATE(7224),
    [sym_lambda_expression] = STATE(12144),
    [sym_if_expression] = STATE(12144),
    [sym_match_expression] = STATE(12144),
    [sym_try_expression] = STATE(12144),
    [sym_bindings] = STATE(15632),
    [sym_case_block] = STATE(9913),
    [sym_assignment_expression] = STATE(12144),
    [sym_generic_function] = STATE(9913),
    [sym_call_expression] = STATE(9913),
    [sym_field_expression] = STATE(9913),
    [sym_instance_expression] = STATE(9913),
    [sym_ascription_expression] = STATE(12144),
    [sym_infix_expression] = STATE(10304),
    [sym_postfix_expression] = STATE(11499),
    [sym__postfix_expression_choice] = STATE(16334),
    [sym_macro_body] = STATE(12144),
    [sym_prefix_expression] = STATE(9963),
    [sym_tuple_expression] = STATE(9913),
    [sym_parenthesized_expression] = STATE(9913),
    [sym_splice_expression] = STATE(9913),
    [sym_quote_expression] = STATE(9913),
    [sym_identifier] = STATE(6170),
    [sym__soft_identifier] = STATE(4555),
    [sym_wildcard] = STATE(8897),
    [sym__non_null_literal] = STATE(9913),
    [sym_boolean_literal] = STATE(6572),
    [sym_interpolated_string_expression] = STATE(9913),
    [sym_string] = STATE(6572),
    [sym_unit] = STATE(9913),
    [sym_return_expression] = STATE(12144),
    [sym_throw_expression] = STATE(12144),
    [sym_while_expression] = STATE(12144),
    [sym_do_while_expression] = STATE(12144),
    [sym_for_expression] = STATE(12144),
    [sym_comment] = STATE(1007),
    [sym_block_comment] = STATE(1007),
    [sym__alpha_identifier] = ACTIONS(1766),
    [anon_sym_LBRACE] = ACTIONS(1770),
    [anon_sym__] = ACTIONS(1772),
    [anon_sym_PLUS] = ACTIONS(1774),
    [anon_sym_DASH] = ACTIONS(1774),
    [anon_sym_end] = ACTIONS(1776),
    [anon_sym_if] = ACTIONS(2160),
    [anon_sym_while] = ACTIONS(2162),
    [anon_sym_for] = ACTIONS(2164),
    [anon_sym_try] = ACTIONS(2166),
    [anon_sym_new] = ACTIONS(1778),
    [anon_sym_opaque] = ACTIONS(1776),
    [anon_sym_implicit] = ACTIONS(2168),
    [anon_sym_inline] = ACTIONS(1780),
    [anon_sym_infix] = ACTIONS(1776),
    [anon_sym_open] = ACTIONS(1776),
    [anon_sym_transparent] = ACTIONS(1776),
    [anon_sym_LPAREN] = ACTIONS(1782),
    [anon_sym_macro] = ACTIONS(2170),
    [anon_sym_BANG] = ACTIONS(1774),
    [anon_sym_TILDE] = ACTIONS(1774),
    [anon_sym_DOLLAR] = ACTIONS(1784),
    [anon_sym_SQUOTE] = ACTIONS(1786),
    [sym__backquoted_id] = ACTIONS(1788),
    [sym_operator_identifier] = ACTIONS(2172),
    [sym_integer_literal] = ACTIONS(1792),
    [sym_floating_point_literal] = ACTIONS(1794),
    [anon_sym_true] = ACTIONS(1796),
    [anon_sym_false] = ACTIONS(1796),
    [sym_character_literal] = ACTIONS(1794),
    [sym_null_literal] = ACTIONS(1798),
    [anon_sym_return] = ACTIONS(2174),
    [anon_sym_throw] = ACTIONS(2176),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3280),
    [sym__simple_multiline_string] = ACTIONS(1800),
    [sym__simple_string] = ACTIONS(1800),
  },
  [1008] = {
    [sym_inline_modifier] = STATE(2108),
    [sym__indentable_expression] = STATE(12067),
    [sym_block] = STATE(9800),
    [sym_indented_block] = STATE(12004),
    [sym_indented_cases] = STATE(12004),
    [sym_expression] = STATE(13568),
    [sym__simple_expression] = STATE(7357),
    [sym_lambda_expression] = STATE(12046),
    [sym_if_expression] = STATE(12046),
    [sym_match_expression] = STATE(12046),
    [sym_try_expression] = STATE(12046),
    [sym_bindings] = STATE(15518),
    [sym_case_block] = STATE(9800),
    [sym_assignment_expression] = STATE(12046),
    [sym_generic_function] = STATE(9800),
    [sym_call_expression] = STATE(9800),
    [sym_field_expression] = STATE(9800),
    [sym_instance_expression] = STATE(9800),
    [sym_ascription_expression] = STATE(12046),
    [sym_infix_expression] = STATE(10315),
    [sym_postfix_expression] = STATE(11496),
    [sym__postfix_expression_choice] = STATE(15840),
    [sym_macro_body] = STATE(12046),
    [sym_prefix_expression] = STATE(9949),
    [sym_tuple_expression] = STATE(9800),
    [sym_parenthesized_expression] = STATE(9800),
    [sym_splice_expression] = STATE(9800),
    [sym_quote_expression] = STATE(9800),
    [sym_identifier] = STATE(6016),
    [sym__soft_identifier] = STATE(4545),
    [sym_wildcard] = STATE(9086),
    [sym__non_null_literal] = STATE(9800),
    [sym_boolean_literal] = STATE(6076),
    [sym_interpolated_string_expression] = STATE(9800),
    [sym_string] = STATE(6076),
    [sym_unit] = STATE(9800),
    [sym_return_expression] = STATE(12046),
    [sym_throw_expression] = STATE(12046),
    [sym_while_expression] = STATE(12046),
    [sym_do_while_expression] = STATE(12046),
    [sym_for_expression] = STATE(12046),
    [sym_comment] = STATE(1008),
    [sym_block_comment] = STATE(1008),
    [sym__alpha_identifier] = ACTIONS(2084),
    [anon_sym_LBRACE] = ACTIONS(2088),
    [anon_sym__] = ACTIONS(2090),
    [anon_sym_PLUS] = ACTIONS(2092),
    [anon_sym_DASH] = ACTIONS(2092),
    [anon_sym_end] = ACTIONS(2094),
    [anon_sym_if] = ACTIONS(2216),
    [anon_sym_while] = ACTIONS(2218),
    [anon_sym_for] = ACTIONS(2220),
    [anon_sym_try] = ACTIONS(2222),
    [anon_sym_new] = ACTIONS(2096),
    [anon_sym_opaque] = ACTIONS(2094),
    [anon_sym_implicit] = ACTIONS(2224),
    [anon_sym_inline] = ACTIONS(2098),
    [anon_sym_infix] = ACTIONS(2094),
    [anon_sym_open] = ACTIONS(2094),
    [anon_sym_transparent] = ACTIONS(2094),
    [anon_sym_LPAREN] = ACTIONS(2100),
    [anon_sym_macro] = ACTIONS(2226),
    [anon_sym_BANG] = ACTIONS(2092),
    [anon_sym_TILDE] = ACTIONS(2092),
    [anon_sym_DOLLAR] = ACTIONS(2102),
    [anon_sym_SQUOTE] = ACTIONS(2104),
    [sym__backquoted_id] = ACTIONS(2106),
    [sym_operator_identifier] = ACTIONS(2228),
    [sym_integer_literal] = ACTIONS(2110),
    [sym_floating_point_literal] = ACTIONS(2112),
    [anon_sym_true] = ACTIONS(2114),
    [anon_sym_false] = ACTIONS(2114),
    [sym_character_literal] = ACTIONS(2112),
    [sym_null_literal] = ACTIONS(2116),
    [anon_sym_return] = ACTIONS(2230),
    [anon_sym_throw] = ACTIONS(2232),
    [anon_sym_do] = ACTIONS(1856),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2234),
    [sym__simple_multiline_string] = ACTIONS(2118),
    [sym__simple_string] = ACTIONS(2118),
  },
  [1009] = {
    [sym_inline_modifier] = STATE(2234),
    [sym__indentable_expression] = STATE(12664),
    [sym_block] = STATE(7443),
    [sym_indented_block] = STATE(12679),
    [sym_indented_cases] = STATE(12679),
    [sym_expression] = STATE(12305),
    [sym__simple_expression] = STATE(5279),
    [sym_lambda_expression] = STATE(12692),
    [sym_if_expression] = STATE(12692),
    [sym_match_expression] = STATE(12692),
    [sym_try_expression] = STATE(12692),
    [sym_bindings] = STATE(15619),
    [sym_case_block] = STATE(7443),
    [sym_assignment_expression] = STATE(12692),
    [sym_generic_function] = STATE(7443),
    [sym_call_expression] = STATE(7443),
    [sym_field_expression] = STATE(7443),
    [sym_instance_expression] = STATE(7443),
    [sym_ascription_expression] = STATE(12692),
    [sym_infix_expression] = STATE(8993),
    [sym_postfix_expression] = STATE(12386),
    [sym__postfix_expression_choice] = STATE(16150),
    [sym_macro_body] = STATE(12692),
    [sym_prefix_expression] = STATE(8795),
    [sym_tuple_expression] = STATE(7443),
    [sym_parenthesized_expression] = STATE(7443),
    [sym_splice_expression] = STATE(7443),
    [sym_quote_expression] = STATE(7443),
    [sym_identifier] = STATE(4734),
    [sym__soft_identifier] = STATE(5213),
    [sym_wildcard] = STATE(7227),
    [sym__non_null_literal] = STATE(7443),
    [sym_boolean_literal] = STATE(7707),
    [sym_interpolated_string_expression] = STATE(7443),
    [sym_string] = STATE(7707),
    [sym_unit] = STATE(7443),
    [sym_return_expression] = STATE(12692),
    [sym_throw_expression] = STATE(12692),
    [sym_while_expression] = STATE(12692),
    [sym_do_while_expression] = STATE(12692),
    [sym_for_expression] = STATE(12692),
    [sym_comment] = STATE(1009),
    [sym_block_comment] = STATE(1009),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(2292),
    [anon_sym_while] = ACTIONS(1480),
    [anon_sym_for] = ACTIONS(1482),
    [anon_sym_try] = ACTIONS(1484),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(1486),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1196),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(1488),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(1490),
    [anon_sym_throw] = ACTIONS(1492),
    [anon_sym_do] = ACTIONS(1204),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2294),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [1010] = {
    [sym_inline_modifier] = STATE(2234),
    [sym__indentable_expression] = STATE(12667),
    [sym_block] = STATE(7443),
    [sym_indented_block] = STATE(12679),
    [sym_indented_cases] = STATE(12679),
    [sym_expression] = STATE(12305),
    [sym__simple_expression] = STATE(5279),
    [sym_lambda_expression] = STATE(12692),
    [sym_if_expression] = STATE(12692),
    [sym_match_expression] = STATE(12692),
    [sym_try_expression] = STATE(12692),
    [sym_bindings] = STATE(15619),
    [sym_case_block] = STATE(7443),
    [sym_assignment_expression] = STATE(12692),
    [sym_generic_function] = STATE(7443),
    [sym_call_expression] = STATE(7443),
    [sym_field_expression] = STATE(7443),
    [sym_instance_expression] = STATE(7443),
    [sym_ascription_expression] = STATE(12692),
    [sym_infix_expression] = STATE(8993),
    [sym_postfix_expression] = STATE(12386),
    [sym__postfix_expression_choice] = STATE(16150),
    [sym_macro_body] = STATE(12692),
    [sym_prefix_expression] = STATE(8795),
    [sym_tuple_expression] = STATE(7443),
    [sym_parenthesized_expression] = STATE(7443),
    [sym_splice_expression] = STATE(7443),
    [sym_quote_expression] = STATE(7443),
    [sym_identifier] = STATE(4734),
    [sym__soft_identifier] = STATE(5213),
    [sym_wildcard] = STATE(7227),
    [sym__non_null_literal] = STATE(7443),
    [sym_boolean_literal] = STATE(7707),
    [sym_interpolated_string_expression] = STATE(7443),
    [sym_string] = STATE(7707),
    [sym_unit] = STATE(7443),
    [sym_return_expression] = STATE(12692),
    [sym_throw_expression] = STATE(12692),
    [sym_while_expression] = STATE(12692),
    [sym_do_while_expression] = STATE(12692),
    [sym_for_expression] = STATE(12692),
    [sym_comment] = STATE(1010),
    [sym_block_comment] = STATE(1010),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(2292),
    [anon_sym_while] = ACTIONS(1480),
    [anon_sym_for] = ACTIONS(1482),
    [anon_sym_try] = ACTIONS(1484),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(1486),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1196),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(1488),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(1490),
    [anon_sym_throw] = ACTIONS(1492),
    [anon_sym_do] = ACTIONS(1204),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2294),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [1011] = {
    [sym_inline_modifier] = STATE(2084),
    [sym__indentable_expression] = STATE(16578),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(8831),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15722),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10635),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(803),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(8641),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(10149),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1011),
    [sym_block_comment] = STATE(1011),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2740),
    [anon_sym_while] = ACTIONS(2742),
    [anon_sym_for] = ACTIONS(2744),
    [anon_sym_try] = ACTIONS(2746),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2748),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3310),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3312),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2762),
    [anon_sym_throw] = ACTIONS(2764),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1012] = {
    [sym_inline_modifier] = STATE(2234),
    [sym__indentable_expression] = STATE(12670),
    [sym_block] = STATE(7443),
    [sym_indented_block] = STATE(12679),
    [sym_indented_cases] = STATE(12679),
    [sym_expression] = STATE(12305),
    [sym__simple_expression] = STATE(5279),
    [sym_lambda_expression] = STATE(12692),
    [sym_if_expression] = STATE(12692),
    [sym_match_expression] = STATE(12692),
    [sym_try_expression] = STATE(12692),
    [sym_bindings] = STATE(15619),
    [sym_case_block] = STATE(7443),
    [sym_assignment_expression] = STATE(12692),
    [sym_generic_function] = STATE(7443),
    [sym_call_expression] = STATE(7443),
    [sym_field_expression] = STATE(7443),
    [sym_instance_expression] = STATE(7443),
    [sym_ascription_expression] = STATE(12692),
    [sym_infix_expression] = STATE(8993),
    [sym_postfix_expression] = STATE(12386),
    [sym__postfix_expression_choice] = STATE(16150),
    [sym_macro_body] = STATE(12692),
    [sym_prefix_expression] = STATE(8795),
    [sym_tuple_expression] = STATE(7443),
    [sym_parenthesized_expression] = STATE(7443),
    [sym_splice_expression] = STATE(7443),
    [sym_quote_expression] = STATE(7443),
    [sym_identifier] = STATE(4734),
    [sym__soft_identifier] = STATE(5213),
    [sym_wildcard] = STATE(7227),
    [sym__non_null_literal] = STATE(7443),
    [sym_boolean_literal] = STATE(7707),
    [sym_interpolated_string_expression] = STATE(7443),
    [sym_string] = STATE(7707),
    [sym_unit] = STATE(7443),
    [sym_return_expression] = STATE(12692),
    [sym_throw_expression] = STATE(12692),
    [sym_while_expression] = STATE(12692),
    [sym_do_while_expression] = STATE(12692),
    [sym_for_expression] = STATE(12692),
    [sym_comment] = STATE(1012),
    [sym_block_comment] = STATE(1012),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(2292),
    [anon_sym_while] = ACTIONS(1480),
    [anon_sym_for] = ACTIONS(1482),
    [anon_sym_try] = ACTIONS(1484),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(1486),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1196),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(1488),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(1490),
    [anon_sym_throw] = ACTIONS(1492),
    [anon_sym_do] = ACTIONS(1204),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2294),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [1013] = {
    [sym_inline_modifier] = STATE(2262),
    [sym__indentable_expression] = STATE(11526),
    [sym_block] = STATE(6540),
    [sym_indented_block] = STATE(11390),
    [sym_indented_cases] = STATE(11390),
    [sym_expression] = STATE(11385),
    [sym__simple_expression] = STATE(5817),
    [sym_lambda_expression] = STATE(11374),
    [sym_if_expression] = STATE(11374),
    [sym_match_expression] = STATE(11374),
    [sym_try_expression] = STATE(11374),
    [sym_bindings] = STATE(15530),
    [sym_case_block] = STATE(6540),
    [sym_assignment_expression] = STATE(11374),
    [sym_generic_function] = STATE(6540),
    [sym_call_expression] = STATE(6540),
    [sym_field_expression] = STATE(6540),
    [sym_instance_expression] = STATE(6540),
    [sym_ascription_expression] = STATE(11374),
    [sym_infix_expression] = STATE(7834),
    [sym_postfix_expression] = STATE(11215),
    [sym__postfix_expression_choice] = STATE(16210),
    [sym_macro_body] = STATE(11374),
    [sym_prefix_expression] = STATE(9262),
    [sym_tuple_expression] = STATE(6540),
    [sym_parenthesized_expression] = STATE(6540),
    [sym_splice_expression] = STATE(6540),
    [sym_quote_expression] = STATE(6540),
    [sym_identifier] = STATE(5031),
    [sym__soft_identifier] = STATE(4667),
    [sym_wildcard] = STATE(7986),
    [sym__non_null_literal] = STATE(6540),
    [sym_boolean_literal] = STATE(6246),
    [sym_interpolated_string_expression] = STATE(6540),
    [sym_string] = STATE(6246),
    [sym_unit] = STATE(6540),
    [sym_return_expression] = STATE(11374),
    [sym_throw_expression] = STATE(11374),
    [sym_while_expression] = STATE(11374),
    [sym_do_while_expression] = STATE(11374),
    [sym_for_expression] = STATE(11374),
    [sym_comment] = STATE(1013),
    [sym_block_comment] = STATE(1013),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(1530),
    [anon_sym_while] = ACTIONS(1532),
    [anon_sym_for] = ACTIONS(1534),
    [anon_sym_try] = ACTIONS(1536),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1538),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1540),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1542),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1544),
    [anon_sym_throw] = ACTIONS(1546),
    [anon_sym_do] = ACTIONS(1548),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2240),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [1014] = {
    [sym_inline_modifier] = STATE(2234),
    [sym__indentable_expression] = STATE(12672),
    [sym_block] = STATE(7443),
    [sym_indented_block] = STATE(12679),
    [sym_indented_cases] = STATE(12679),
    [sym_expression] = STATE(12305),
    [sym__simple_expression] = STATE(5279),
    [sym_lambda_expression] = STATE(12692),
    [sym_if_expression] = STATE(12692),
    [sym_match_expression] = STATE(12692),
    [sym_try_expression] = STATE(12692),
    [sym_bindings] = STATE(15619),
    [sym_case_block] = STATE(7443),
    [sym_assignment_expression] = STATE(12692),
    [sym_generic_function] = STATE(7443),
    [sym_call_expression] = STATE(7443),
    [sym_field_expression] = STATE(7443),
    [sym_instance_expression] = STATE(7443),
    [sym_ascription_expression] = STATE(12692),
    [sym_infix_expression] = STATE(8993),
    [sym_postfix_expression] = STATE(12386),
    [sym__postfix_expression_choice] = STATE(16150),
    [sym_macro_body] = STATE(12692),
    [sym_prefix_expression] = STATE(8795),
    [sym_tuple_expression] = STATE(7443),
    [sym_parenthesized_expression] = STATE(7443),
    [sym_splice_expression] = STATE(7443),
    [sym_quote_expression] = STATE(7443),
    [sym_identifier] = STATE(4734),
    [sym__soft_identifier] = STATE(5213),
    [sym_wildcard] = STATE(7227),
    [sym__non_null_literal] = STATE(7443),
    [sym_boolean_literal] = STATE(7707),
    [sym_interpolated_string_expression] = STATE(7443),
    [sym_string] = STATE(7707),
    [sym_unit] = STATE(7443),
    [sym_return_expression] = STATE(12692),
    [sym_throw_expression] = STATE(12692),
    [sym_while_expression] = STATE(12692),
    [sym_do_while_expression] = STATE(12692),
    [sym_for_expression] = STATE(12692),
    [sym_comment] = STATE(1014),
    [sym_block_comment] = STATE(1014),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(2292),
    [anon_sym_while] = ACTIONS(1480),
    [anon_sym_for] = ACTIONS(1482),
    [anon_sym_try] = ACTIONS(1484),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(1486),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1196),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(1488),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(1490),
    [anon_sym_throw] = ACTIONS(1492),
    [anon_sym_do] = ACTIONS(1204),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2294),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [1015] = {
    [sym_inline_modifier] = STATE(2044),
    [sym__indentable_expression] = STATE(12062),
    [sym_block] = STATE(9913),
    [sym_indented_block] = STATE(11923),
    [sym_indented_cases] = STATE(11923),
    [sym_expression] = STATE(13501),
    [sym__simple_expression] = STATE(7224),
    [sym_lambda_expression] = STATE(12144),
    [sym_if_expression] = STATE(12144),
    [sym_match_expression] = STATE(12144),
    [sym_try_expression] = STATE(12144),
    [sym_bindings] = STATE(15632),
    [sym_case_block] = STATE(9913),
    [sym_assignment_expression] = STATE(12144),
    [sym_generic_function] = STATE(9913),
    [sym_call_expression] = STATE(9913),
    [sym_field_expression] = STATE(9913),
    [sym_instance_expression] = STATE(9913),
    [sym_ascription_expression] = STATE(12144),
    [sym_infix_expression] = STATE(10304),
    [sym_postfix_expression] = STATE(11499),
    [sym__postfix_expression_choice] = STATE(16334),
    [sym_macro_body] = STATE(12144),
    [sym_prefix_expression] = STATE(9963),
    [sym_tuple_expression] = STATE(9913),
    [sym_parenthesized_expression] = STATE(9913),
    [sym_splice_expression] = STATE(9913),
    [sym_quote_expression] = STATE(9913),
    [sym_identifier] = STATE(6170),
    [sym__soft_identifier] = STATE(4555),
    [sym_wildcard] = STATE(8897),
    [sym__non_null_literal] = STATE(9913),
    [sym_boolean_literal] = STATE(6572),
    [sym_interpolated_string_expression] = STATE(9913),
    [sym_string] = STATE(6572),
    [sym_unit] = STATE(9913),
    [sym_return_expression] = STATE(12144),
    [sym_throw_expression] = STATE(12144),
    [sym_while_expression] = STATE(12144),
    [sym_do_while_expression] = STATE(12144),
    [sym_for_expression] = STATE(12144),
    [sym_comment] = STATE(1015),
    [sym_block_comment] = STATE(1015),
    [sym__alpha_identifier] = ACTIONS(1766),
    [anon_sym_LBRACE] = ACTIONS(1770),
    [anon_sym__] = ACTIONS(1772),
    [anon_sym_PLUS] = ACTIONS(1774),
    [anon_sym_DASH] = ACTIONS(1774),
    [anon_sym_end] = ACTIONS(1776),
    [anon_sym_if] = ACTIONS(2160),
    [anon_sym_while] = ACTIONS(2162),
    [anon_sym_for] = ACTIONS(2164),
    [anon_sym_try] = ACTIONS(2166),
    [anon_sym_new] = ACTIONS(1778),
    [anon_sym_opaque] = ACTIONS(1776),
    [anon_sym_implicit] = ACTIONS(2168),
    [anon_sym_inline] = ACTIONS(1780),
    [anon_sym_infix] = ACTIONS(1776),
    [anon_sym_open] = ACTIONS(1776),
    [anon_sym_transparent] = ACTIONS(1776),
    [anon_sym_LPAREN] = ACTIONS(1782),
    [anon_sym_macro] = ACTIONS(2170),
    [anon_sym_BANG] = ACTIONS(1774),
    [anon_sym_TILDE] = ACTIONS(1774),
    [anon_sym_DOLLAR] = ACTIONS(1784),
    [anon_sym_SQUOTE] = ACTIONS(1786),
    [sym__backquoted_id] = ACTIONS(1788),
    [sym_operator_identifier] = ACTIONS(2172),
    [sym_integer_literal] = ACTIONS(1792),
    [sym_floating_point_literal] = ACTIONS(1794),
    [anon_sym_true] = ACTIONS(1796),
    [anon_sym_false] = ACTIONS(1796),
    [sym_character_literal] = ACTIONS(1794),
    [sym_null_literal] = ACTIONS(1798),
    [anon_sym_return] = ACTIONS(2174),
    [anon_sym_throw] = ACTIONS(2176),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3280),
    [sym__simple_multiline_string] = ACTIONS(1800),
    [sym__simple_string] = ACTIONS(1800),
  },
  [1016] = {
    [sym_inline_modifier] = STATE(2108),
    [sym__indentable_expression] = STATE(11866),
    [sym_block] = STATE(9800),
    [sym_indented_block] = STATE(12004),
    [sym_indented_cases] = STATE(12004),
    [sym_expression] = STATE(13568),
    [sym__simple_expression] = STATE(7357),
    [sym_lambda_expression] = STATE(12046),
    [sym_if_expression] = STATE(12046),
    [sym_match_expression] = STATE(12046),
    [sym_try_expression] = STATE(12046),
    [sym_bindings] = STATE(15518),
    [sym_case_block] = STATE(9800),
    [sym_assignment_expression] = STATE(12046),
    [sym_generic_function] = STATE(9800),
    [sym_call_expression] = STATE(9800),
    [sym_field_expression] = STATE(9800),
    [sym_instance_expression] = STATE(9800),
    [sym_ascription_expression] = STATE(12046),
    [sym_infix_expression] = STATE(10315),
    [sym_postfix_expression] = STATE(11496),
    [sym__postfix_expression_choice] = STATE(15840),
    [sym_macro_body] = STATE(12046),
    [sym_prefix_expression] = STATE(9949),
    [sym_tuple_expression] = STATE(9800),
    [sym_parenthesized_expression] = STATE(9800),
    [sym_splice_expression] = STATE(9800),
    [sym_quote_expression] = STATE(9800),
    [sym_identifier] = STATE(6016),
    [sym__soft_identifier] = STATE(4545),
    [sym_wildcard] = STATE(9086),
    [sym__non_null_literal] = STATE(9800),
    [sym_boolean_literal] = STATE(6076),
    [sym_interpolated_string_expression] = STATE(9800),
    [sym_string] = STATE(6076),
    [sym_unit] = STATE(9800),
    [sym_return_expression] = STATE(12046),
    [sym_throw_expression] = STATE(12046),
    [sym_while_expression] = STATE(12046),
    [sym_do_while_expression] = STATE(12046),
    [sym_for_expression] = STATE(12046),
    [sym_comment] = STATE(1016),
    [sym_block_comment] = STATE(1016),
    [sym__alpha_identifier] = ACTIONS(2084),
    [anon_sym_LBRACE] = ACTIONS(2088),
    [anon_sym__] = ACTIONS(2090),
    [anon_sym_PLUS] = ACTIONS(2092),
    [anon_sym_DASH] = ACTIONS(2092),
    [anon_sym_end] = ACTIONS(2094),
    [anon_sym_if] = ACTIONS(2216),
    [anon_sym_while] = ACTIONS(2218),
    [anon_sym_for] = ACTIONS(2220),
    [anon_sym_try] = ACTIONS(2222),
    [anon_sym_new] = ACTIONS(2096),
    [anon_sym_opaque] = ACTIONS(2094),
    [anon_sym_implicit] = ACTIONS(2224),
    [anon_sym_inline] = ACTIONS(2098),
    [anon_sym_infix] = ACTIONS(2094),
    [anon_sym_open] = ACTIONS(2094),
    [anon_sym_transparent] = ACTIONS(2094),
    [anon_sym_LPAREN] = ACTIONS(2100),
    [anon_sym_macro] = ACTIONS(2226),
    [anon_sym_BANG] = ACTIONS(2092),
    [anon_sym_TILDE] = ACTIONS(2092),
    [anon_sym_DOLLAR] = ACTIONS(2102),
    [anon_sym_SQUOTE] = ACTIONS(2104),
    [sym__backquoted_id] = ACTIONS(2106),
    [sym_operator_identifier] = ACTIONS(2228),
    [sym_integer_literal] = ACTIONS(2110),
    [sym_floating_point_literal] = ACTIONS(2112),
    [anon_sym_true] = ACTIONS(2114),
    [anon_sym_false] = ACTIONS(2114),
    [sym_character_literal] = ACTIONS(2112),
    [sym_null_literal] = ACTIONS(2116),
    [anon_sym_return] = ACTIONS(2230),
    [anon_sym_throw] = ACTIONS(2232),
    [anon_sym_do] = ACTIONS(1856),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2234),
    [sym__simple_multiline_string] = ACTIONS(2118),
    [sym__simple_string] = ACTIONS(2118),
  },
  [1017] = {
    [sym_inline_modifier] = STATE(2212),
    [sym__indentable_expression] = STATE(13502),
    [sym_block] = STATE(9539),
    [sym_indented_block] = STATE(11390),
    [sym_indented_cases] = STATE(11390),
    [sym_expression] = STATE(13433),
    [sym__simple_expression] = STATE(6249),
    [sym_lambda_expression] = STATE(11374),
    [sym_if_expression] = STATE(11374),
    [sym_match_expression] = STATE(11374),
    [sym_try_expression] = STATE(11374),
    [sym_bindings] = STATE(15480),
    [sym_case_block] = STATE(9539),
    [sym_assignment_expression] = STATE(11374),
    [sym_generic_function] = STATE(9539),
    [sym_call_expression] = STATE(9539),
    [sym_field_expression] = STATE(9539),
    [sym_instance_expression] = STATE(9539),
    [sym_ascription_expression] = STATE(11374),
    [sym_infix_expression] = STATE(10179),
    [sym_postfix_expression] = STATE(11215),
    [sym__postfix_expression_choice] = STATE(16190),
    [sym_macro_body] = STATE(11374),
    [sym_prefix_expression] = STATE(9816),
    [sym_tuple_expression] = STATE(9539),
    [sym_parenthesized_expression] = STATE(9539),
    [sym_splice_expression] = STATE(9539),
    [sym_quote_expression] = STATE(9539),
    [sym_identifier] = STATE(5934),
    [sym__soft_identifier] = STATE(4462),
    [sym_wildcard] = STATE(8175),
    [sym__non_null_literal] = STATE(9539),
    [sym_boolean_literal] = STATE(5971),
    [sym_interpolated_string_expression] = STATE(9539),
    [sym_string] = STATE(5971),
    [sym_unit] = STATE(9539),
    [sym_return_expression] = STATE(11374),
    [sym_throw_expression] = STATE(11374),
    [sym_while_expression] = STATE(11374),
    [sym_do_while_expression] = STATE(11374),
    [sym_for_expression] = STATE(11374),
    [sym_comment] = STATE(1017),
    [sym_block_comment] = STATE(1017),
    [sym__alpha_identifier] = ACTIONS(1444),
    [anon_sym_LBRACE] = ACTIONS(1448),
    [anon_sym__] = ACTIONS(1450),
    [anon_sym_PLUS] = ACTIONS(1452),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_end] = ACTIONS(1454),
    [anon_sym_if] = ACTIONS(1802),
    [anon_sym_while] = ACTIONS(1804),
    [anon_sym_for] = ACTIONS(1806),
    [anon_sym_try] = ACTIONS(1808),
    [anon_sym_new] = ACTIONS(1456),
    [anon_sym_opaque] = ACTIONS(1454),
    [anon_sym_implicit] = ACTIONS(1810),
    [anon_sym_inline] = ACTIONS(1458),
    [anon_sym_infix] = ACTIONS(1454),
    [anon_sym_open] = ACTIONS(1454),
    [anon_sym_transparent] = ACTIONS(1454),
    [anon_sym_LPAREN] = ACTIONS(1460),
    [anon_sym_macro] = ACTIONS(1812),
    [anon_sym_BANG] = ACTIONS(1452),
    [anon_sym_TILDE] = ACTIONS(1452),
    [anon_sym_DOLLAR] = ACTIONS(1462),
    [anon_sym_SQUOTE] = ACTIONS(1464),
    [sym__backquoted_id] = ACTIONS(1466),
    [sym_operator_identifier] = ACTIONS(1814),
    [sym_integer_literal] = ACTIONS(1470),
    [sym_floating_point_literal] = ACTIONS(1472),
    [anon_sym_true] = ACTIONS(1474),
    [anon_sym_false] = ACTIONS(1474),
    [sym_character_literal] = ACTIONS(1472),
    [sym_null_literal] = ACTIONS(1476),
    [anon_sym_return] = ACTIONS(1816),
    [anon_sym_throw] = ACTIONS(1818),
    [anon_sym_do] = ACTIONS(1548),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2240),
    [sym__simple_multiline_string] = ACTIONS(1478),
    [sym__simple_string] = ACTIONS(1478),
  },
  [1018] = {
    [sym_inline_modifier] = STATE(2108),
    [sym__indentable_expression] = STATE(11883),
    [sym_block] = STATE(9800),
    [sym_indented_block] = STATE(12004),
    [sym_indented_cases] = STATE(12004),
    [sym_expression] = STATE(13568),
    [sym__simple_expression] = STATE(7357),
    [sym_lambda_expression] = STATE(12046),
    [sym_if_expression] = STATE(12046),
    [sym_match_expression] = STATE(12046),
    [sym_try_expression] = STATE(12046),
    [sym_bindings] = STATE(15518),
    [sym_case_block] = STATE(9800),
    [sym_assignment_expression] = STATE(12046),
    [sym_generic_function] = STATE(9800),
    [sym_call_expression] = STATE(9800),
    [sym_field_expression] = STATE(9800),
    [sym_instance_expression] = STATE(9800),
    [sym_ascription_expression] = STATE(12046),
    [sym_infix_expression] = STATE(10315),
    [sym_postfix_expression] = STATE(11496),
    [sym__postfix_expression_choice] = STATE(15840),
    [sym_macro_body] = STATE(12046),
    [sym_prefix_expression] = STATE(9949),
    [sym_tuple_expression] = STATE(9800),
    [sym_parenthesized_expression] = STATE(9800),
    [sym_splice_expression] = STATE(9800),
    [sym_quote_expression] = STATE(9800),
    [sym_identifier] = STATE(6016),
    [sym__soft_identifier] = STATE(4545),
    [sym_wildcard] = STATE(9086),
    [sym__non_null_literal] = STATE(9800),
    [sym_boolean_literal] = STATE(6076),
    [sym_interpolated_string_expression] = STATE(9800),
    [sym_string] = STATE(6076),
    [sym_unit] = STATE(9800),
    [sym_return_expression] = STATE(12046),
    [sym_throw_expression] = STATE(12046),
    [sym_while_expression] = STATE(12046),
    [sym_do_while_expression] = STATE(12046),
    [sym_for_expression] = STATE(12046),
    [sym_comment] = STATE(1018),
    [sym_block_comment] = STATE(1018),
    [sym__alpha_identifier] = ACTIONS(2084),
    [anon_sym_LBRACE] = ACTIONS(2088),
    [anon_sym__] = ACTIONS(2090),
    [anon_sym_PLUS] = ACTIONS(2092),
    [anon_sym_DASH] = ACTIONS(2092),
    [anon_sym_end] = ACTIONS(2094),
    [anon_sym_if] = ACTIONS(2216),
    [anon_sym_while] = ACTIONS(2218),
    [anon_sym_for] = ACTIONS(2220),
    [anon_sym_try] = ACTIONS(2222),
    [anon_sym_new] = ACTIONS(2096),
    [anon_sym_opaque] = ACTIONS(2094),
    [anon_sym_implicit] = ACTIONS(2224),
    [anon_sym_inline] = ACTIONS(2098),
    [anon_sym_infix] = ACTIONS(2094),
    [anon_sym_open] = ACTIONS(2094),
    [anon_sym_transparent] = ACTIONS(2094),
    [anon_sym_LPAREN] = ACTIONS(2100),
    [anon_sym_macro] = ACTIONS(2226),
    [anon_sym_BANG] = ACTIONS(2092),
    [anon_sym_TILDE] = ACTIONS(2092),
    [anon_sym_DOLLAR] = ACTIONS(2102),
    [anon_sym_SQUOTE] = ACTIONS(2104),
    [sym__backquoted_id] = ACTIONS(2106),
    [sym_operator_identifier] = ACTIONS(2228),
    [sym_integer_literal] = ACTIONS(2110),
    [sym_floating_point_literal] = ACTIONS(2112),
    [anon_sym_true] = ACTIONS(2114),
    [anon_sym_false] = ACTIONS(2114),
    [sym_character_literal] = ACTIONS(2112),
    [sym_null_literal] = ACTIONS(2116),
    [anon_sym_return] = ACTIONS(2230),
    [anon_sym_throw] = ACTIONS(2232),
    [anon_sym_do] = ACTIONS(1856),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2234),
    [sym__simple_multiline_string] = ACTIONS(2118),
    [sym__simple_string] = ACTIONS(2118),
  },
  [1019] = {
    [sym_inline_modifier] = STATE(2108),
    [sym__indentable_expression] = STATE(11848),
    [sym_block] = STATE(9800),
    [sym_indented_block] = STATE(12004),
    [sym_indented_cases] = STATE(12004),
    [sym_expression] = STATE(13568),
    [sym__simple_expression] = STATE(7357),
    [sym_lambda_expression] = STATE(12046),
    [sym_if_expression] = STATE(12046),
    [sym_match_expression] = STATE(12046),
    [sym_try_expression] = STATE(12046),
    [sym_bindings] = STATE(15518),
    [sym_case_block] = STATE(9800),
    [sym_assignment_expression] = STATE(12046),
    [sym_generic_function] = STATE(9800),
    [sym_call_expression] = STATE(9800),
    [sym_field_expression] = STATE(9800),
    [sym_instance_expression] = STATE(9800),
    [sym_ascription_expression] = STATE(12046),
    [sym_infix_expression] = STATE(10315),
    [sym_postfix_expression] = STATE(11496),
    [sym__postfix_expression_choice] = STATE(15840),
    [sym_macro_body] = STATE(12046),
    [sym_prefix_expression] = STATE(9949),
    [sym_tuple_expression] = STATE(9800),
    [sym_parenthesized_expression] = STATE(9800),
    [sym_splice_expression] = STATE(9800),
    [sym_quote_expression] = STATE(9800),
    [sym_identifier] = STATE(6016),
    [sym__soft_identifier] = STATE(4545),
    [sym_wildcard] = STATE(9086),
    [sym__non_null_literal] = STATE(9800),
    [sym_boolean_literal] = STATE(6076),
    [sym_interpolated_string_expression] = STATE(9800),
    [sym_string] = STATE(6076),
    [sym_unit] = STATE(9800),
    [sym_return_expression] = STATE(12046),
    [sym_throw_expression] = STATE(12046),
    [sym_while_expression] = STATE(12046),
    [sym_do_while_expression] = STATE(12046),
    [sym_for_expression] = STATE(12046),
    [sym_comment] = STATE(1019),
    [sym_block_comment] = STATE(1019),
    [sym__alpha_identifier] = ACTIONS(2084),
    [anon_sym_LBRACE] = ACTIONS(2088),
    [anon_sym__] = ACTIONS(2090),
    [anon_sym_PLUS] = ACTIONS(2092),
    [anon_sym_DASH] = ACTIONS(2092),
    [anon_sym_end] = ACTIONS(2094),
    [anon_sym_if] = ACTIONS(2216),
    [anon_sym_while] = ACTIONS(2218),
    [anon_sym_for] = ACTIONS(2220),
    [anon_sym_try] = ACTIONS(2222),
    [anon_sym_new] = ACTIONS(2096),
    [anon_sym_opaque] = ACTIONS(2094),
    [anon_sym_implicit] = ACTIONS(2224),
    [anon_sym_inline] = ACTIONS(2098),
    [anon_sym_infix] = ACTIONS(2094),
    [anon_sym_open] = ACTIONS(2094),
    [anon_sym_transparent] = ACTIONS(2094),
    [anon_sym_LPAREN] = ACTIONS(2100),
    [anon_sym_macro] = ACTIONS(2226),
    [anon_sym_BANG] = ACTIONS(2092),
    [anon_sym_TILDE] = ACTIONS(2092),
    [anon_sym_DOLLAR] = ACTIONS(2102),
    [anon_sym_SQUOTE] = ACTIONS(2104),
    [sym__backquoted_id] = ACTIONS(2106),
    [sym_operator_identifier] = ACTIONS(2228),
    [sym_integer_literal] = ACTIONS(2110),
    [sym_floating_point_literal] = ACTIONS(2112),
    [anon_sym_true] = ACTIONS(2114),
    [anon_sym_false] = ACTIONS(2114),
    [sym_character_literal] = ACTIONS(2112),
    [sym_null_literal] = ACTIONS(2116),
    [anon_sym_return] = ACTIONS(2230),
    [anon_sym_throw] = ACTIONS(2232),
    [anon_sym_do] = ACTIONS(1856),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2234),
    [sym__simple_multiline_string] = ACTIONS(2118),
    [sym__simple_string] = ACTIONS(2118),
  },
  [1020] = {
    [sym_inline_modifier] = STATE(2246),
    [sym__indentable_expression] = STATE(12812),
    [sym_block] = STATE(8360),
    [sym_indented_block] = STATE(13059),
    [sym_indented_cases] = STATE(13059),
    [sym_expression] = STATE(12867),
    [sym__simple_expression] = STATE(5440),
    [sym_lambda_expression] = STATE(13229),
    [sym_if_expression] = STATE(13229),
    [sym_match_expression] = STATE(13229),
    [sym_try_expression] = STATE(13229),
    [sym_bindings] = STATE(15490),
    [sym_case_block] = STATE(8360),
    [sym_assignment_expression] = STATE(13229),
    [sym_generic_function] = STATE(8360),
    [sym_call_expression] = STATE(8360),
    [sym_field_expression] = STATE(8360),
    [sym_instance_expression] = STATE(8360),
    [sym_ascription_expression] = STATE(13229),
    [sym_infix_expression] = STATE(9581),
    [sym_postfix_expression] = STATE(12866),
    [sym__postfix_expression_choice] = STATE(15971),
    [sym_macro_body] = STATE(13229),
    [sym_prefix_expression] = STATE(9366),
    [sym_tuple_expression] = STATE(8360),
    [sym_parenthesized_expression] = STATE(8360),
    [sym_splice_expression] = STATE(8360),
    [sym_quote_expression] = STATE(8360),
    [sym_identifier] = STATE(5277),
    [sym__soft_identifier] = STATE(5563),
    [sym_wildcard] = STATE(7446),
    [sym__non_null_literal] = STATE(8360),
    [sym_boolean_literal] = STATE(8269),
    [sym_interpolated_string_expression] = STATE(8360),
    [sym_string] = STATE(8269),
    [sym_unit] = STATE(8360),
    [sym_return_expression] = STATE(13229),
    [sym_throw_expression] = STATE(13229),
    [sym_while_expression] = STATE(13229),
    [sym_do_while_expression] = STATE(13229),
    [sym_for_expression] = STATE(13229),
    [sym_comment] = STATE(1020),
    [sym_block_comment] = STATE(1020),
    [sym__alpha_identifier] = ACTIONS(1242),
    [anon_sym_LBRACE] = ACTIONS(1246),
    [anon_sym__] = ACTIONS(1248),
    [anon_sym_PLUS] = ACTIONS(1250),
    [anon_sym_DASH] = ACTIONS(1250),
    [anon_sym_end] = ACTIONS(1252),
    [anon_sym_if] = ACTIONS(2210),
    [anon_sym_while] = ACTIONS(2030),
    [anon_sym_for] = ACTIONS(2032),
    [anon_sym_try] = ACTIONS(2034),
    [anon_sym_new] = ACTIONS(1254),
    [anon_sym_opaque] = ACTIONS(1252),
    [anon_sym_implicit] = ACTIONS(2036),
    [anon_sym_inline] = ACTIONS(1256),
    [anon_sym_infix] = ACTIONS(1252),
    [anon_sym_open] = ACTIONS(1252),
    [anon_sym_transparent] = ACTIONS(1252),
    [anon_sym_LPAREN] = ACTIONS(1258),
    [anon_sym_macro] = ACTIONS(1664),
    [anon_sym_BANG] = ACTIONS(1250),
    [anon_sym_TILDE] = ACTIONS(1250),
    [anon_sym_DOLLAR] = ACTIONS(1260),
    [anon_sym_SQUOTE] = ACTIONS(1262),
    [sym__backquoted_id] = ACTIONS(1264),
    [sym_operator_identifier] = ACTIONS(2038),
    [sym_integer_literal] = ACTIONS(1268),
    [sym_floating_point_literal] = ACTIONS(1270),
    [anon_sym_true] = ACTIONS(1272),
    [anon_sym_false] = ACTIONS(1272),
    [sym_character_literal] = ACTIONS(1270),
    [sym_null_literal] = ACTIONS(1274),
    [anon_sym_return] = ACTIONS(2040),
    [anon_sym_throw] = ACTIONS(2042),
    [anon_sym_do] = ACTIONS(1672),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2212),
    [sym__simple_multiline_string] = ACTIONS(1276),
    [sym__simple_string] = ACTIONS(1276),
  },
  [1021] = {
    [sym_inline_modifier] = STATE(2234),
    [sym__indentable_expression] = STATE(12697),
    [sym_block] = STATE(7443),
    [sym_indented_block] = STATE(12679),
    [sym_indented_cases] = STATE(12679),
    [sym_expression] = STATE(12305),
    [sym__simple_expression] = STATE(5279),
    [sym_lambda_expression] = STATE(12692),
    [sym_if_expression] = STATE(12692),
    [sym_match_expression] = STATE(12692),
    [sym_try_expression] = STATE(12692),
    [sym_bindings] = STATE(15619),
    [sym_case_block] = STATE(7443),
    [sym_assignment_expression] = STATE(12692),
    [sym_generic_function] = STATE(7443),
    [sym_call_expression] = STATE(7443),
    [sym_field_expression] = STATE(7443),
    [sym_instance_expression] = STATE(7443),
    [sym_ascription_expression] = STATE(12692),
    [sym_infix_expression] = STATE(8993),
    [sym_postfix_expression] = STATE(12386),
    [sym__postfix_expression_choice] = STATE(16150),
    [sym_macro_body] = STATE(12692),
    [sym_prefix_expression] = STATE(8795),
    [sym_tuple_expression] = STATE(7443),
    [sym_parenthesized_expression] = STATE(7443),
    [sym_splice_expression] = STATE(7443),
    [sym_quote_expression] = STATE(7443),
    [sym_identifier] = STATE(4734),
    [sym__soft_identifier] = STATE(5213),
    [sym_wildcard] = STATE(7227),
    [sym__non_null_literal] = STATE(7443),
    [sym_boolean_literal] = STATE(7707),
    [sym_interpolated_string_expression] = STATE(7443),
    [sym_string] = STATE(7707),
    [sym_unit] = STATE(7443),
    [sym_return_expression] = STATE(12692),
    [sym_throw_expression] = STATE(12692),
    [sym_while_expression] = STATE(12692),
    [sym_do_while_expression] = STATE(12692),
    [sym_for_expression] = STATE(12692),
    [sym_comment] = STATE(1021),
    [sym_block_comment] = STATE(1021),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(2292),
    [anon_sym_while] = ACTIONS(1480),
    [anon_sym_for] = ACTIONS(1482),
    [anon_sym_try] = ACTIONS(1484),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(1486),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1196),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(1488),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(1490),
    [anon_sym_throw] = ACTIONS(1492),
    [anon_sym_do] = ACTIONS(1204),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2294),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [1022] = {
    [sym_inline_modifier] = STATE(2255),
    [sym__indentable_expression] = STATE(11973),
    [sym_block] = STATE(6954),
    [sym_indented_block] = STATE(11923),
    [sym_indented_cases] = STATE(11923),
    [sym_expression] = STATE(12206),
    [sym__simple_expression] = STATE(5438),
    [sym_lambda_expression] = STATE(12144),
    [sym_if_expression] = STATE(12144),
    [sym_match_expression] = STATE(12144),
    [sym_try_expression] = STATE(12144),
    [sym_bindings] = STATE(15515),
    [sym_case_block] = STATE(6954),
    [sym_assignment_expression] = STATE(12144),
    [sym_generic_function] = STATE(6954),
    [sym_call_expression] = STATE(6954),
    [sym_field_expression] = STATE(6954),
    [sym_instance_expression] = STATE(6954),
    [sym_ascription_expression] = STATE(12144),
    [sym_infix_expression] = STATE(8226),
    [sym_postfix_expression] = STATE(11499),
    [sym__postfix_expression_choice] = STATE(16229),
    [sym_macro_body] = STATE(12144),
    [sym_prefix_expression] = STATE(9369),
    [sym_tuple_expression] = STATE(6954),
    [sym_parenthesized_expression] = STATE(6954),
    [sym_splice_expression] = STATE(6954),
    [sym_quote_expression] = STATE(6954),
    [sym_identifier] = STATE(5276),
    [sym__soft_identifier] = STATE(4827),
    [sym_wildcard] = STATE(7444),
    [sym__non_null_literal] = STATE(6954),
    [sym_boolean_literal] = STATE(6997),
    [sym_interpolated_string_expression] = STATE(6954),
    [sym_string] = STATE(6997),
    [sym_unit] = STATE(6954),
    [sym_return_expression] = STATE(12144),
    [sym_throw_expression] = STATE(12144),
    [sym_while_expression] = STATE(12144),
    [sym_do_while_expression] = STATE(12144),
    [sym_for_expression] = STATE(12144),
    [sym_comment] = STATE(1022),
    [sym_block_comment] = STATE(1022),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(2666),
    [anon_sym_while] = ACTIONS(2314),
    [anon_sym_for] = ACTIONS(2316),
    [anon_sym_try] = ACTIONS(2318),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(2320),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1894),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(2322),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(2324),
    [anon_sym_throw] = ACTIONS(2326),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3280),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [1023] = {
    [sym_inline_modifier] = STATE(2132),
    [sym__indentable_expression] = STATE(12333),
    [sym_block] = STATE(6738),
    [sym_indented_block] = STATE(12372),
    [sym_indented_cases] = STATE(12372),
    [sym_expression] = STATE(12028),
    [sym__simple_expression] = STATE(6097),
    [sym_lambda_expression] = STATE(12430),
    [sym_if_expression] = STATE(12430),
    [sym_match_expression] = STATE(12430),
    [sym_try_expression] = STATE(12430),
    [sym_bindings] = STATE(15718),
    [sym_case_block] = STATE(6738),
    [sym_assignment_expression] = STATE(12430),
    [sym_generic_function] = STATE(6738),
    [sym_call_expression] = STATE(6738),
    [sym_field_expression] = STATE(6738),
    [sym_instance_expression] = STATE(6738),
    [sym_ascription_expression] = STATE(12430),
    [sym_infix_expression] = STATE(8389),
    [sym_postfix_expression] = STATE(11930),
    [sym__postfix_expression_choice] = STATE(15885),
    [sym_macro_body] = STATE(12430),
    [sym_prefix_expression] = STATE(9761),
    [sym_tuple_expression] = STATE(6738),
    [sym_parenthesized_expression] = STATE(6738),
    [sym_splice_expression] = STATE(6738),
    [sym_quote_expression] = STATE(6738),
    [sym_identifier] = STATE(5458),
    [sym__soft_identifier] = STATE(4943),
    [sym_wildcard] = STATE(8612),
    [sym__non_null_literal] = STATE(6738),
    [sym_boolean_literal] = STATE(7301),
    [sym_interpolated_string_expression] = STATE(6738),
    [sym_string] = STATE(7301),
    [sym_unit] = STATE(6738),
    [sym_return_expression] = STATE(12430),
    [sym_throw_expression] = STATE(12430),
    [sym_while_expression] = STATE(12430),
    [sym_do_while_expression] = STATE(12430),
    [sym_for_expression] = STATE(12430),
    [sym_comment] = STATE(1023),
    [sym_block_comment] = STATE(1023),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(2430),
    [anon_sym_while] = ACTIONS(2432),
    [anon_sym_for] = ACTIONS(2434),
    [anon_sym_try] = ACTIONS(2436),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(2438),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1360),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(2440),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(2442),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(1368),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2202),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [1024] = {
    [sym_inline_modifier] = STATE(2255),
    [sym__indentable_expression] = STATE(11982),
    [sym_block] = STATE(6954),
    [sym_indented_block] = STATE(11923),
    [sym_indented_cases] = STATE(11923),
    [sym_expression] = STATE(12206),
    [sym__simple_expression] = STATE(5438),
    [sym_lambda_expression] = STATE(12144),
    [sym_if_expression] = STATE(12144),
    [sym_match_expression] = STATE(12144),
    [sym_try_expression] = STATE(12144),
    [sym_bindings] = STATE(15515),
    [sym_case_block] = STATE(6954),
    [sym_assignment_expression] = STATE(12144),
    [sym_generic_function] = STATE(6954),
    [sym_call_expression] = STATE(6954),
    [sym_field_expression] = STATE(6954),
    [sym_instance_expression] = STATE(6954),
    [sym_ascription_expression] = STATE(12144),
    [sym_infix_expression] = STATE(8226),
    [sym_postfix_expression] = STATE(11499),
    [sym__postfix_expression_choice] = STATE(16229),
    [sym_macro_body] = STATE(12144),
    [sym_prefix_expression] = STATE(9369),
    [sym_tuple_expression] = STATE(6954),
    [sym_parenthesized_expression] = STATE(6954),
    [sym_splice_expression] = STATE(6954),
    [sym_quote_expression] = STATE(6954),
    [sym_identifier] = STATE(5276),
    [sym__soft_identifier] = STATE(4827),
    [sym_wildcard] = STATE(7444),
    [sym__non_null_literal] = STATE(6954),
    [sym_boolean_literal] = STATE(6997),
    [sym_interpolated_string_expression] = STATE(6954),
    [sym_string] = STATE(6997),
    [sym_unit] = STATE(6954),
    [sym_return_expression] = STATE(12144),
    [sym_throw_expression] = STATE(12144),
    [sym_while_expression] = STATE(12144),
    [sym_do_while_expression] = STATE(12144),
    [sym_for_expression] = STATE(12144),
    [sym_comment] = STATE(1024),
    [sym_block_comment] = STATE(1024),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(2666),
    [anon_sym_while] = ACTIONS(2314),
    [anon_sym_for] = ACTIONS(2316),
    [anon_sym_try] = ACTIONS(2318),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(2320),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1894),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(2322),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(2324),
    [anon_sym_throw] = ACTIONS(2326),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3280),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [1025] = {
    [sym_inline_modifier] = STATE(2234),
    [sym__indentable_expression] = STATE(12701),
    [sym_block] = STATE(7443),
    [sym_indented_block] = STATE(12679),
    [sym_indented_cases] = STATE(12679),
    [sym_expression] = STATE(12305),
    [sym__simple_expression] = STATE(5279),
    [sym_lambda_expression] = STATE(12692),
    [sym_if_expression] = STATE(12692),
    [sym_match_expression] = STATE(12692),
    [sym_try_expression] = STATE(12692),
    [sym_bindings] = STATE(15619),
    [sym_case_block] = STATE(7443),
    [sym_assignment_expression] = STATE(12692),
    [sym_generic_function] = STATE(7443),
    [sym_call_expression] = STATE(7443),
    [sym_field_expression] = STATE(7443),
    [sym_instance_expression] = STATE(7443),
    [sym_ascription_expression] = STATE(12692),
    [sym_infix_expression] = STATE(8993),
    [sym_postfix_expression] = STATE(12386),
    [sym__postfix_expression_choice] = STATE(16150),
    [sym_macro_body] = STATE(12692),
    [sym_prefix_expression] = STATE(8795),
    [sym_tuple_expression] = STATE(7443),
    [sym_parenthesized_expression] = STATE(7443),
    [sym_splice_expression] = STATE(7443),
    [sym_quote_expression] = STATE(7443),
    [sym_identifier] = STATE(4734),
    [sym__soft_identifier] = STATE(5213),
    [sym_wildcard] = STATE(7227),
    [sym__non_null_literal] = STATE(7443),
    [sym_boolean_literal] = STATE(7707),
    [sym_interpolated_string_expression] = STATE(7443),
    [sym_string] = STATE(7707),
    [sym_unit] = STATE(7443),
    [sym_return_expression] = STATE(12692),
    [sym_throw_expression] = STATE(12692),
    [sym_while_expression] = STATE(12692),
    [sym_do_while_expression] = STATE(12692),
    [sym_for_expression] = STATE(12692),
    [sym_comment] = STATE(1025),
    [sym_block_comment] = STATE(1025),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(2292),
    [anon_sym_while] = ACTIONS(1480),
    [anon_sym_for] = ACTIONS(1482),
    [anon_sym_try] = ACTIONS(1484),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(1486),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1196),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(1488),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(1490),
    [anon_sym_throw] = ACTIONS(1492),
    [anon_sym_do] = ACTIONS(1204),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2294),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [1026] = {
    [sym_inline_modifier] = STATE(2255),
    [sym__indentable_expression] = STATE(11987),
    [sym_block] = STATE(6954),
    [sym_indented_block] = STATE(11923),
    [sym_indented_cases] = STATE(11923),
    [sym_expression] = STATE(12206),
    [sym__simple_expression] = STATE(5438),
    [sym_lambda_expression] = STATE(12144),
    [sym_if_expression] = STATE(12144),
    [sym_match_expression] = STATE(12144),
    [sym_try_expression] = STATE(12144),
    [sym_bindings] = STATE(15515),
    [sym_case_block] = STATE(6954),
    [sym_assignment_expression] = STATE(12144),
    [sym_generic_function] = STATE(6954),
    [sym_call_expression] = STATE(6954),
    [sym_field_expression] = STATE(6954),
    [sym_instance_expression] = STATE(6954),
    [sym_ascription_expression] = STATE(12144),
    [sym_infix_expression] = STATE(8226),
    [sym_postfix_expression] = STATE(11499),
    [sym__postfix_expression_choice] = STATE(16229),
    [sym_macro_body] = STATE(12144),
    [sym_prefix_expression] = STATE(9369),
    [sym_tuple_expression] = STATE(6954),
    [sym_parenthesized_expression] = STATE(6954),
    [sym_splice_expression] = STATE(6954),
    [sym_quote_expression] = STATE(6954),
    [sym_identifier] = STATE(5276),
    [sym__soft_identifier] = STATE(4827),
    [sym_wildcard] = STATE(7444),
    [sym__non_null_literal] = STATE(6954),
    [sym_boolean_literal] = STATE(6997),
    [sym_interpolated_string_expression] = STATE(6954),
    [sym_string] = STATE(6997),
    [sym_unit] = STATE(6954),
    [sym_return_expression] = STATE(12144),
    [sym_throw_expression] = STATE(12144),
    [sym_while_expression] = STATE(12144),
    [sym_do_while_expression] = STATE(12144),
    [sym_for_expression] = STATE(12144),
    [sym_comment] = STATE(1026),
    [sym_block_comment] = STATE(1026),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(2666),
    [anon_sym_while] = ACTIONS(2314),
    [anon_sym_for] = ACTIONS(2316),
    [anon_sym_try] = ACTIONS(2318),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(2320),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1894),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(2322),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(2324),
    [anon_sym_throw] = ACTIONS(2326),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3280),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [1027] = {
    [sym_inline_modifier] = STATE(2067),
    [sym__indentable_expression] = STATE(12408),
    [sym_block] = STATE(10133),
    [sym_indented_block] = STATE(12292),
    [sym_indented_cases] = STATE(12292),
    [sym_expression] = STATE(13765),
    [sym__simple_expression] = STATE(7525),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15728),
    [sym_case_block] = STATE(10133),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(10133),
    [sym_call_expression] = STATE(10133),
    [sym_field_expression] = STATE(10133),
    [sym_instance_expression] = STATE(10133),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(10489),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(17114),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10321),
    [sym_tuple_expression] = STATE(10133),
    [sym_parenthesized_expression] = STATE(10133),
    [sym_splice_expression] = STATE(10133),
    [sym_quote_expression] = STATE(10133),
    [sym_identifier] = STATE(7070),
    [sym__soft_identifier] = STATE(4482),
    [sym_wildcard] = STATE(9321),
    [sym__non_null_literal] = STATE(10133),
    [sym_boolean_literal] = STATE(7065),
    [sym_interpolated_string_expression] = STATE(10133),
    [sym_string] = STATE(7065),
    [sym_unit] = STATE(10133),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(1027),
    [sym_block_comment] = STATE(1027),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_end] = ACTIONS(2374),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_opaque] = ACTIONS(2374),
    [anon_sym_implicit] = ACTIONS(3002),
    [anon_sym_inline] = ACTIONS(67),
    [anon_sym_infix] = ACTIONS(2374),
    [anon_sym_open] = ACTIONS(2374),
    [anon_sym_transparent] = ACTIONS(2374),
    [anon_sym_LPAREN] = ACTIONS(75),
    [anon_sym_macro] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(83),
    [sym_operator_identifier] = ACTIONS(85),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(95),
    [anon_sym_throw] = ACTIONS(97),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [1028] = {
    [sym_inline_modifier] = STATE(2234),
    [sym__indentable_expression] = STATE(12705),
    [sym_block] = STATE(7443),
    [sym_indented_block] = STATE(12679),
    [sym_indented_cases] = STATE(12679),
    [sym_expression] = STATE(12305),
    [sym__simple_expression] = STATE(5279),
    [sym_lambda_expression] = STATE(12692),
    [sym_if_expression] = STATE(12692),
    [sym_match_expression] = STATE(12692),
    [sym_try_expression] = STATE(12692),
    [sym_bindings] = STATE(15619),
    [sym_case_block] = STATE(7443),
    [sym_assignment_expression] = STATE(12692),
    [sym_generic_function] = STATE(7443),
    [sym_call_expression] = STATE(7443),
    [sym_field_expression] = STATE(7443),
    [sym_instance_expression] = STATE(7443),
    [sym_ascription_expression] = STATE(12692),
    [sym_infix_expression] = STATE(8993),
    [sym_postfix_expression] = STATE(12386),
    [sym__postfix_expression_choice] = STATE(16150),
    [sym_macro_body] = STATE(12692),
    [sym_prefix_expression] = STATE(8795),
    [sym_tuple_expression] = STATE(7443),
    [sym_parenthesized_expression] = STATE(7443),
    [sym_splice_expression] = STATE(7443),
    [sym_quote_expression] = STATE(7443),
    [sym_identifier] = STATE(4734),
    [sym__soft_identifier] = STATE(5213),
    [sym_wildcard] = STATE(7227),
    [sym__non_null_literal] = STATE(7443),
    [sym_boolean_literal] = STATE(7707),
    [sym_interpolated_string_expression] = STATE(7443),
    [sym_string] = STATE(7707),
    [sym_unit] = STATE(7443),
    [sym_return_expression] = STATE(12692),
    [sym_throw_expression] = STATE(12692),
    [sym_while_expression] = STATE(12692),
    [sym_do_while_expression] = STATE(12692),
    [sym_for_expression] = STATE(12692),
    [sym_comment] = STATE(1028),
    [sym_block_comment] = STATE(1028),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(2292),
    [anon_sym_while] = ACTIONS(1480),
    [anon_sym_for] = ACTIONS(1482),
    [anon_sym_try] = ACTIONS(1484),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(1486),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1196),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(1488),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(1490),
    [anon_sym_throw] = ACTIONS(1492),
    [anon_sym_do] = ACTIONS(1204),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2294),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [1029] = {
    [sym_inline_modifier] = STATE(2234),
    [sym__indentable_expression] = STATE(12726),
    [sym_block] = STATE(7443),
    [sym_indented_block] = STATE(12679),
    [sym_indented_cases] = STATE(12679),
    [sym_expression] = STATE(12305),
    [sym__simple_expression] = STATE(5279),
    [sym_lambda_expression] = STATE(12692),
    [sym_if_expression] = STATE(12692),
    [sym_match_expression] = STATE(12692),
    [sym_try_expression] = STATE(12692),
    [sym_bindings] = STATE(15619),
    [sym_case_block] = STATE(7443),
    [sym_assignment_expression] = STATE(12692),
    [sym_generic_function] = STATE(7443),
    [sym_call_expression] = STATE(7443),
    [sym_field_expression] = STATE(7443),
    [sym_instance_expression] = STATE(7443),
    [sym_ascription_expression] = STATE(12692),
    [sym_infix_expression] = STATE(8993),
    [sym_postfix_expression] = STATE(12386),
    [sym__postfix_expression_choice] = STATE(16150),
    [sym_macro_body] = STATE(12692),
    [sym_prefix_expression] = STATE(8795),
    [sym_tuple_expression] = STATE(7443),
    [sym_parenthesized_expression] = STATE(7443),
    [sym_splice_expression] = STATE(7443),
    [sym_quote_expression] = STATE(7443),
    [sym_identifier] = STATE(4734),
    [sym__soft_identifier] = STATE(5213),
    [sym_wildcard] = STATE(7227),
    [sym__non_null_literal] = STATE(7443),
    [sym_boolean_literal] = STATE(7707),
    [sym_interpolated_string_expression] = STATE(7443),
    [sym_string] = STATE(7707),
    [sym_unit] = STATE(7443),
    [sym_return_expression] = STATE(12692),
    [sym_throw_expression] = STATE(12692),
    [sym_while_expression] = STATE(12692),
    [sym_do_while_expression] = STATE(12692),
    [sym_for_expression] = STATE(12692),
    [sym_comment] = STATE(1029),
    [sym_block_comment] = STATE(1029),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(2292),
    [anon_sym_while] = ACTIONS(1480),
    [anon_sym_for] = ACTIONS(1482),
    [anon_sym_try] = ACTIONS(1484),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(1486),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1196),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(1488),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(1490),
    [anon_sym_throw] = ACTIONS(1492),
    [anon_sym_do] = ACTIONS(1204),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2294),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [1030] = {
    [sym_inline_modifier] = STATE(2234),
    [sym__indentable_expression] = STATE(12710),
    [sym_block] = STATE(7443),
    [sym_indented_block] = STATE(12679),
    [sym_indented_cases] = STATE(12679),
    [sym_expression] = STATE(12305),
    [sym__simple_expression] = STATE(5279),
    [sym_lambda_expression] = STATE(12692),
    [sym_if_expression] = STATE(12692),
    [sym_match_expression] = STATE(12692),
    [sym_try_expression] = STATE(12692),
    [sym_bindings] = STATE(15619),
    [sym_case_block] = STATE(7443),
    [sym_assignment_expression] = STATE(12692),
    [sym_generic_function] = STATE(7443),
    [sym_call_expression] = STATE(7443),
    [sym_field_expression] = STATE(7443),
    [sym_instance_expression] = STATE(7443),
    [sym_ascription_expression] = STATE(12692),
    [sym_infix_expression] = STATE(8993),
    [sym_postfix_expression] = STATE(12386),
    [sym__postfix_expression_choice] = STATE(16150),
    [sym_macro_body] = STATE(12692),
    [sym_prefix_expression] = STATE(8795),
    [sym_tuple_expression] = STATE(7443),
    [sym_parenthesized_expression] = STATE(7443),
    [sym_splice_expression] = STATE(7443),
    [sym_quote_expression] = STATE(7443),
    [sym_identifier] = STATE(4734),
    [sym__soft_identifier] = STATE(5213),
    [sym_wildcard] = STATE(7227),
    [sym__non_null_literal] = STATE(7443),
    [sym_boolean_literal] = STATE(7707),
    [sym_interpolated_string_expression] = STATE(7443),
    [sym_string] = STATE(7707),
    [sym_unit] = STATE(7443),
    [sym_return_expression] = STATE(12692),
    [sym_throw_expression] = STATE(12692),
    [sym_while_expression] = STATE(12692),
    [sym_do_while_expression] = STATE(12692),
    [sym_for_expression] = STATE(12692),
    [sym_comment] = STATE(1030),
    [sym_block_comment] = STATE(1030),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(2292),
    [anon_sym_while] = ACTIONS(1480),
    [anon_sym_for] = ACTIONS(1482),
    [anon_sym_try] = ACTIONS(1484),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(1486),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1196),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(1488),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(1490),
    [anon_sym_throw] = ACTIONS(1492),
    [anon_sym_do] = ACTIONS(1204),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2294),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [1031] = {
    [sym_inline_modifier] = STATE(2067),
    [sym__indentable_expression] = STATE(13942),
    [sym_block] = STATE(10133),
    [sym_indented_block] = STATE(12292),
    [sym_indented_cases] = STATE(12292),
    [sym_expression] = STATE(13765),
    [sym__simple_expression] = STATE(7525),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15728),
    [sym_case_block] = STATE(10133),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(10133),
    [sym_call_expression] = STATE(10133),
    [sym_field_expression] = STATE(10133),
    [sym_instance_expression] = STATE(10133),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(10489),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(17114),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10321),
    [sym_tuple_expression] = STATE(10133),
    [sym_parenthesized_expression] = STATE(10133),
    [sym_splice_expression] = STATE(10133),
    [sym_quote_expression] = STATE(10133),
    [sym_identifier] = STATE(7070),
    [sym__soft_identifier] = STATE(4482),
    [sym_wildcard] = STATE(9321),
    [sym__non_null_literal] = STATE(10133),
    [sym_boolean_literal] = STATE(7065),
    [sym_interpolated_string_expression] = STATE(10133),
    [sym_string] = STATE(7065),
    [sym_unit] = STATE(10133),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(1031),
    [sym_block_comment] = STATE(1031),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_end] = ACTIONS(2374),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_opaque] = ACTIONS(2374),
    [anon_sym_implicit] = ACTIONS(3002),
    [anon_sym_inline] = ACTIONS(67),
    [anon_sym_infix] = ACTIONS(2374),
    [anon_sym_open] = ACTIONS(2374),
    [anon_sym_transparent] = ACTIONS(2374),
    [anon_sym_LPAREN] = ACTIONS(75),
    [anon_sym_macro] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(83),
    [sym_operator_identifier] = ACTIONS(85),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(95),
    [anon_sym_throw] = ACTIONS(97),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [1032] = {
    [sym_inline_modifier] = STATE(2255),
    [sym__indentable_expression] = STATE(11988),
    [sym_block] = STATE(6954),
    [sym_indented_block] = STATE(11923),
    [sym_indented_cases] = STATE(11923),
    [sym_expression] = STATE(12206),
    [sym__simple_expression] = STATE(5438),
    [sym_lambda_expression] = STATE(12144),
    [sym_if_expression] = STATE(12144),
    [sym_match_expression] = STATE(12144),
    [sym_try_expression] = STATE(12144),
    [sym_bindings] = STATE(15515),
    [sym_case_block] = STATE(6954),
    [sym_assignment_expression] = STATE(12144),
    [sym_generic_function] = STATE(6954),
    [sym_call_expression] = STATE(6954),
    [sym_field_expression] = STATE(6954),
    [sym_instance_expression] = STATE(6954),
    [sym_ascription_expression] = STATE(12144),
    [sym_infix_expression] = STATE(8226),
    [sym_postfix_expression] = STATE(11499),
    [sym__postfix_expression_choice] = STATE(16229),
    [sym_macro_body] = STATE(12144),
    [sym_prefix_expression] = STATE(9369),
    [sym_tuple_expression] = STATE(6954),
    [sym_parenthesized_expression] = STATE(6954),
    [sym_splice_expression] = STATE(6954),
    [sym_quote_expression] = STATE(6954),
    [sym_identifier] = STATE(5276),
    [sym__soft_identifier] = STATE(4827),
    [sym_wildcard] = STATE(7444),
    [sym__non_null_literal] = STATE(6954),
    [sym_boolean_literal] = STATE(6997),
    [sym_interpolated_string_expression] = STATE(6954),
    [sym_string] = STATE(6997),
    [sym_unit] = STATE(6954),
    [sym_return_expression] = STATE(12144),
    [sym_throw_expression] = STATE(12144),
    [sym_while_expression] = STATE(12144),
    [sym_do_while_expression] = STATE(12144),
    [sym_for_expression] = STATE(12144),
    [sym_comment] = STATE(1032),
    [sym_block_comment] = STATE(1032),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(2666),
    [anon_sym_while] = ACTIONS(2314),
    [anon_sym_for] = ACTIONS(2316),
    [anon_sym_try] = ACTIONS(2318),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(2320),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1894),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(2322),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(2324),
    [anon_sym_throw] = ACTIONS(2326),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3280),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [1033] = {
    [sym_inline_modifier] = STATE(2132),
    [sym__indentable_expression] = STATE(12363),
    [sym_block] = STATE(6738),
    [sym_indented_block] = STATE(12372),
    [sym_indented_cases] = STATE(12372),
    [sym_expression] = STATE(12028),
    [sym__simple_expression] = STATE(6097),
    [sym_lambda_expression] = STATE(12430),
    [sym_if_expression] = STATE(12430),
    [sym_match_expression] = STATE(12430),
    [sym_try_expression] = STATE(12430),
    [sym_bindings] = STATE(15718),
    [sym_case_block] = STATE(6738),
    [sym_assignment_expression] = STATE(12430),
    [sym_generic_function] = STATE(6738),
    [sym_call_expression] = STATE(6738),
    [sym_field_expression] = STATE(6738),
    [sym_instance_expression] = STATE(6738),
    [sym_ascription_expression] = STATE(12430),
    [sym_infix_expression] = STATE(8389),
    [sym_postfix_expression] = STATE(11930),
    [sym__postfix_expression_choice] = STATE(15885),
    [sym_macro_body] = STATE(12430),
    [sym_prefix_expression] = STATE(9761),
    [sym_tuple_expression] = STATE(6738),
    [sym_parenthesized_expression] = STATE(6738),
    [sym_splice_expression] = STATE(6738),
    [sym_quote_expression] = STATE(6738),
    [sym_identifier] = STATE(5458),
    [sym__soft_identifier] = STATE(4943),
    [sym_wildcard] = STATE(8612),
    [sym__non_null_literal] = STATE(6738),
    [sym_boolean_literal] = STATE(7301),
    [sym_interpolated_string_expression] = STATE(6738),
    [sym_string] = STATE(7301),
    [sym_unit] = STATE(6738),
    [sym_return_expression] = STATE(12430),
    [sym_throw_expression] = STATE(12430),
    [sym_while_expression] = STATE(12430),
    [sym_do_while_expression] = STATE(12430),
    [sym_for_expression] = STATE(12430),
    [sym_comment] = STATE(1033),
    [sym_block_comment] = STATE(1033),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(2430),
    [anon_sym_while] = ACTIONS(2432),
    [anon_sym_for] = ACTIONS(2434),
    [anon_sym_try] = ACTIONS(2436),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(2438),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1360),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(2440),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(2442),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(1368),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2202),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [1034] = {
    [sym_inline_modifier] = STATE(2081),
    [sym__indentable_expression] = STATE(13259),
    [sym_block] = STATE(6540),
    [sym_indented_block] = STATE(11390),
    [sym_indented_cases] = STATE(11390),
    [sym_expression] = STATE(11385),
    [sym__simple_expression] = STATE(5282),
    [sym_lambda_expression] = STATE(11374),
    [sym_if_expression] = STATE(11374),
    [sym_match_expression] = STATE(11374),
    [sym_try_expression] = STATE(11374),
    [sym_bindings] = STATE(15666),
    [sym_case_block] = STATE(6540),
    [sym_assignment_expression] = STATE(11374),
    [sym_generic_function] = STATE(6540),
    [sym_call_expression] = STATE(6540),
    [sym_field_expression] = STATE(6540),
    [sym_instance_expression] = STATE(6540),
    [sym_ascription_expression] = STATE(11374),
    [sym_infix_expression] = STATE(7834),
    [sym_postfix_expression] = STATE(11215),
    [sym__postfix_expression_choice] = STATE(16210),
    [sym_macro_body] = STATE(11374),
    [sym_prefix_expression] = STATE(8793),
    [sym_tuple_expression] = STATE(6540),
    [sym_parenthesized_expression] = STATE(6540),
    [sym_splice_expression] = STATE(6540),
    [sym_quote_expression] = STATE(6540),
    [sym_identifier] = STATE(4731),
    [sym__soft_identifier] = STATE(4667),
    [sym_wildcard] = STATE(7219),
    [sym__non_null_literal] = STATE(6540),
    [sym_boolean_literal] = STATE(6246),
    [sym_interpolated_string_expression] = STATE(6540),
    [sym_string] = STATE(6246),
    [sym_unit] = STATE(6540),
    [sym_return_expression] = STATE(11374),
    [sym_throw_expression] = STATE(11374),
    [sym_while_expression] = STATE(11374),
    [sym_do_while_expression] = STATE(11374),
    [sym_for_expression] = STATE(11374),
    [sym_comment] = STATE(1034),
    [sym_block_comment] = STATE(1034),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(2506),
    [anon_sym_while] = ACTIONS(1988),
    [anon_sym_for] = ACTIONS(1990),
    [anon_sym_try] = ACTIONS(1992),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1994),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1540),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1996),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1998),
    [anon_sym_throw] = ACTIONS(2000),
    [anon_sym_do] = ACTIONS(1548),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2240),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [1035] = {
    [sym_inline_modifier] = STATE(2132),
    [sym__indentable_expression] = STATE(12365),
    [sym_block] = STATE(6738),
    [sym_indented_block] = STATE(12372),
    [sym_indented_cases] = STATE(12372),
    [sym_expression] = STATE(12028),
    [sym__simple_expression] = STATE(6097),
    [sym_lambda_expression] = STATE(12430),
    [sym_if_expression] = STATE(12430),
    [sym_match_expression] = STATE(12430),
    [sym_try_expression] = STATE(12430),
    [sym_bindings] = STATE(15718),
    [sym_case_block] = STATE(6738),
    [sym_assignment_expression] = STATE(12430),
    [sym_generic_function] = STATE(6738),
    [sym_call_expression] = STATE(6738),
    [sym_field_expression] = STATE(6738),
    [sym_instance_expression] = STATE(6738),
    [sym_ascription_expression] = STATE(12430),
    [sym_infix_expression] = STATE(8389),
    [sym_postfix_expression] = STATE(11930),
    [sym__postfix_expression_choice] = STATE(15885),
    [sym_macro_body] = STATE(12430),
    [sym_prefix_expression] = STATE(9761),
    [sym_tuple_expression] = STATE(6738),
    [sym_parenthesized_expression] = STATE(6738),
    [sym_splice_expression] = STATE(6738),
    [sym_quote_expression] = STATE(6738),
    [sym_identifier] = STATE(5458),
    [sym__soft_identifier] = STATE(4943),
    [sym_wildcard] = STATE(8612),
    [sym__non_null_literal] = STATE(6738),
    [sym_boolean_literal] = STATE(7301),
    [sym_interpolated_string_expression] = STATE(6738),
    [sym_string] = STATE(7301),
    [sym_unit] = STATE(6738),
    [sym_return_expression] = STATE(12430),
    [sym_throw_expression] = STATE(12430),
    [sym_while_expression] = STATE(12430),
    [sym_do_while_expression] = STATE(12430),
    [sym_for_expression] = STATE(12430),
    [sym_comment] = STATE(1035),
    [sym_block_comment] = STATE(1035),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(2430),
    [anon_sym_while] = ACTIONS(2432),
    [anon_sym_for] = ACTIONS(2434),
    [anon_sym_try] = ACTIONS(2436),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(2438),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1360),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(2440),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(2442),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(1368),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2202),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [1036] = {
    [sym_inline_modifier] = STATE(2255),
    [sym__indentable_expression] = STATE(12011),
    [sym_block] = STATE(6954),
    [sym_indented_block] = STATE(11923),
    [sym_indented_cases] = STATE(11923),
    [sym_expression] = STATE(12206),
    [sym__simple_expression] = STATE(5438),
    [sym_lambda_expression] = STATE(12144),
    [sym_if_expression] = STATE(12144),
    [sym_match_expression] = STATE(12144),
    [sym_try_expression] = STATE(12144),
    [sym_bindings] = STATE(15515),
    [sym_case_block] = STATE(6954),
    [sym_assignment_expression] = STATE(12144),
    [sym_generic_function] = STATE(6954),
    [sym_call_expression] = STATE(6954),
    [sym_field_expression] = STATE(6954),
    [sym_instance_expression] = STATE(6954),
    [sym_ascription_expression] = STATE(12144),
    [sym_infix_expression] = STATE(8226),
    [sym_postfix_expression] = STATE(11499),
    [sym__postfix_expression_choice] = STATE(16229),
    [sym_macro_body] = STATE(12144),
    [sym_prefix_expression] = STATE(9369),
    [sym_tuple_expression] = STATE(6954),
    [sym_parenthesized_expression] = STATE(6954),
    [sym_splice_expression] = STATE(6954),
    [sym_quote_expression] = STATE(6954),
    [sym_identifier] = STATE(5276),
    [sym__soft_identifier] = STATE(4827),
    [sym_wildcard] = STATE(7444),
    [sym__non_null_literal] = STATE(6954),
    [sym_boolean_literal] = STATE(6997),
    [sym_interpolated_string_expression] = STATE(6954),
    [sym_string] = STATE(6997),
    [sym_unit] = STATE(6954),
    [sym_return_expression] = STATE(12144),
    [sym_throw_expression] = STATE(12144),
    [sym_while_expression] = STATE(12144),
    [sym_do_while_expression] = STATE(12144),
    [sym_for_expression] = STATE(12144),
    [sym_comment] = STATE(1036),
    [sym_block_comment] = STATE(1036),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(2666),
    [anon_sym_while] = ACTIONS(2314),
    [anon_sym_for] = ACTIONS(2316),
    [anon_sym_try] = ACTIONS(2318),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(2320),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1894),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(2322),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(2324),
    [anon_sym_throw] = ACTIONS(2326),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3280),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [1037] = {
    [sym_inline_modifier] = STATE(2191),
    [sym__indentable_expression] = STATE(13269),
    [sym_block] = STATE(8821),
    [sym_indented_block] = STATE(13308),
    [sym_indented_cases] = STATE(13308),
    [sym_expression] = STATE(13197),
    [sym__simple_expression] = STATE(6138),
    [sym_lambda_expression] = STATE(13337),
    [sym_if_expression] = STATE(13337),
    [sym_match_expression] = STATE(13337),
    [sym_try_expression] = STATE(13337),
    [sym_bindings] = STATE(15634),
    [sym_case_block] = STATE(8821),
    [sym_assignment_expression] = STATE(13337),
    [sym_generic_function] = STATE(8821),
    [sym_call_expression] = STATE(8821),
    [sym_field_expression] = STATE(8821),
    [sym_instance_expression] = STATE(8821),
    [sym_ascription_expression] = STATE(13337),
    [sym_infix_expression] = STATE(9659),
    [sym_postfix_expression] = STATE(13173),
    [sym__postfix_expression_choice] = STATE(16170),
    [sym_macro_body] = STATE(13337),
    [sym_prefix_expression] = STATE(9758),
    [sym_tuple_expression] = STATE(8821),
    [sym_parenthesized_expression] = STATE(8821),
    [sym_splice_expression] = STATE(8821),
    [sym_quote_expression] = STATE(8821),
    [sym_identifier] = STATE(5472),
    [sym__soft_identifier] = STATE(6446),
    [sym_wildcard] = STATE(8602),
    [sym__non_null_literal] = STATE(8821),
    [sym_boolean_literal] = STATE(8798),
    [sym_interpolated_string_expression] = STATE(8821),
    [sym_string] = STATE(8798),
    [sym_unit] = STATE(8821),
    [sym_return_expression] = STATE(13337),
    [sym_throw_expression] = STATE(13337),
    [sym_while_expression] = STATE(13337),
    [sym_do_while_expression] = STATE(13337),
    [sym_for_expression] = STATE(13337),
    [sym_comment] = STATE(1037),
    [sym_block_comment] = STATE(1037),
    [sym__alpha_identifier] = ACTIONS(1674),
    [anon_sym_LBRACE] = ACTIONS(1678),
    [anon_sym__] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1682),
    [anon_sym_DASH] = ACTIONS(1682),
    [anon_sym_end] = ACTIONS(1684),
    [anon_sym_if] = ACTIONS(2298),
    [anon_sym_while] = ACTIONS(2300),
    [anon_sym_for] = ACTIONS(2302),
    [anon_sym_try] = ACTIONS(2304),
    [anon_sym_new] = ACTIONS(1686),
    [anon_sym_opaque] = ACTIONS(1684),
    [anon_sym_implicit] = ACTIONS(2306),
    [anon_sym_inline] = ACTIONS(1688),
    [anon_sym_infix] = ACTIONS(1684),
    [anon_sym_open] = ACTIONS(1684),
    [anon_sym_transparent] = ACTIONS(1684),
    [anon_sym_LPAREN] = ACTIONS(1690),
    [anon_sym_macro] = ACTIONS(1914),
    [anon_sym_BANG] = ACTIONS(1682),
    [anon_sym_TILDE] = ACTIONS(1682),
    [anon_sym_DOLLAR] = ACTIONS(1692),
    [anon_sym_SQUOTE] = ACTIONS(1694),
    [sym__backquoted_id] = ACTIONS(1696),
    [sym_operator_identifier] = ACTIONS(2308),
    [sym_integer_literal] = ACTIONS(1700),
    [sym_floating_point_literal] = ACTIONS(1702),
    [anon_sym_true] = ACTIONS(1704),
    [anon_sym_false] = ACTIONS(1704),
    [sym_character_literal] = ACTIONS(1702),
    [sym_null_literal] = ACTIONS(1706),
    [anon_sym_return] = ACTIONS(2310),
    [anon_sym_throw] = ACTIONS(2312),
    [anon_sym_do] = ACTIONS(1922),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2206),
    [sym__simple_multiline_string] = ACTIONS(1708),
    [sym__simple_string] = ACTIONS(1708),
  },
  [1038] = {
    [sym_inline_modifier] = STATE(2250),
    [sym__indentable_expression] = STATE(11384),
    [sym_block] = STATE(6450),
    [sym_indented_block] = STATE(11535),
    [sym_indented_cases] = STATE(11535),
    [sym_expression] = STATE(11606),
    [sym__simple_expression] = STATE(5297),
    [sym_lambda_expression] = STATE(11549),
    [sym_if_expression] = STATE(11549),
    [sym_match_expression] = STATE(11549),
    [sym_try_expression] = STATE(11549),
    [sym_bindings] = STATE(15503),
    [sym_case_block] = STATE(6450),
    [sym_assignment_expression] = STATE(11549),
    [sym_generic_function] = STATE(6450),
    [sym_call_expression] = STATE(6450),
    [sym_field_expression] = STATE(6450),
    [sym_instance_expression] = STATE(6450),
    [sym_ascription_expression] = STATE(11549),
    [sym_infix_expression] = STATE(7641),
    [sym_postfix_expression] = STATE(11204),
    [sym__postfix_expression_choice] = STATE(16480),
    [sym_macro_body] = STATE(11549),
    [sym_prefix_expression] = STATE(8711),
    [sym_tuple_expression] = STATE(6450),
    [sym_parenthesized_expression] = STATE(6450),
    [sym_splice_expression] = STATE(6450),
    [sym_quote_expression] = STATE(6450),
    [sym_identifier] = STATE(4723),
    [sym__soft_identifier] = STATE(4507),
    [sym_wildcard] = STATE(7115),
    [sym__non_null_literal] = STATE(6450),
    [sym_boolean_literal] = STATE(6156),
    [sym_interpolated_string_expression] = STATE(6450),
    [sym_string] = STATE(6156),
    [sym_unit] = STATE(6450),
    [sym_return_expression] = STATE(11549),
    [sym_throw_expression] = STATE(11549),
    [sym_while_expression] = STATE(11549),
    [sym_do_while_expression] = STATE(11549),
    [sym_for_expression] = STATE(11549),
    [sym_comment] = STATE(1038),
    [sym_block_comment] = STATE(1038),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(2256),
    [anon_sym_while] = ACTIONS(1370),
    [anon_sym_for] = ACTIONS(1372),
    [anon_sym_try] = ACTIONS(1374),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1376),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1378),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1380),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1382),
    [anon_sym_throw] = ACTIONS(1384),
    [anon_sym_do] = ACTIONS(1386),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2258),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [1039] = {
    [sym_inline_modifier] = STATE(2115),
    [sym__indentable_expression] = STATE(13942),
    [sym_block] = STATE(8041),
    [sym_indented_block] = STATE(12292),
    [sym_indented_cases] = STATE(12292),
    [sym_expression] = STATE(12256),
    [sym__simple_expression] = STATE(7311),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15577),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(10220),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10124),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6254),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(8727),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(1039),
    [sym_block_comment] = STATE(1039),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(603),
    [anon_sym_DASH] = ACTIONS(603),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(605),
    [anon_sym_while] = ACTIONS(607),
    [anon_sym_for] = ACTIONS(609),
    [anon_sym_try] = ACTIONS(611),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2192),
    [anon_sym_inline] = ACTIONS(1764),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(603),
    [anon_sym_TILDE] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(621),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(623),
    [anon_sym_throw] = ACTIONS(625),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1040] = {
    [sym_inline_modifier] = STATE(2269),
    [sym__indentable_expression] = STATE(13366),
    [sym_block] = STATE(8070),
    [sym_indented_block] = STATE(12700),
    [sym_indented_cases] = STATE(12700),
    [sym_expression] = STATE(12581),
    [sym__simple_expression] = STATE(5679),
    [sym_lambda_expression] = STATE(12742),
    [sym_if_expression] = STATE(12742),
    [sym_match_expression] = STATE(12742),
    [sym_try_expression] = STATE(12742),
    [sym_bindings] = STATE(15536),
    [sym_case_block] = STATE(8070),
    [sym_assignment_expression] = STATE(12742),
    [sym_generic_function] = STATE(8070),
    [sym_call_expression] = STATE(8070),
    [sym_field_expression] = STATE(8070),
    [sym_instance_expression] = STATE(8070),
    [sym_ascription_expression] = STATE(12742),
    [sym_infix_expression] = STATE(8913),
    [sym_postfix_expression] = STATE(12343),
    [sym__postfix_expression_choice] = STATE(16230),
    [sym_macro_body] = STATE(12742),
    [sym_prefix_expression] = STATE(9483),
    [sym_tuple_expression] = STATE(8070),
    [sym_parenthesized_expression] = STATE(8070),
    [sym_splice_expression] = STATE(8070),
    [sym_quote_expression] = STATE(8070),
    [sym_identifier] = STATE(4999),
    [sym__soft_identifier] = STATE(5234),
    [sym_wildcard] = STATE(8075),
    [sym__non_null_literal] = STATE(8070),
    [sym_boolean_literal] = STATE(8055),
    [sym_interpolated_string_expression] = STATE(8070),
    [sym_string] = STATE(8055),
    [sym_unit] = STATE(8070),
    [sym_return_expression] = STATE(12742),
    [sym_throw_expression] = STATE(12742),
    [sym_while_expression] = STATE(12742),
    [sym_do_while_expression] = STATE(12742),
    [sym_for_expression] = STATE(12742),
    [sym_comment] = STATE(1040),
    [sym_block_comment] = STATE(1040),
    [sym__alpha_identifier] = ACTIONS(1314),
    [anon_sym_LBRACE] = ACTIONS(1318),
    [anon_sym__] = ACTIONS(1320),
    [anon_sym_PLUS] = ACTIONS(1322),
    [anon_sym_DASH] = ACTIONS(1322),
    [anon_sym_end] = ACTIONS(1324),
    [anon_sym_if] = ACTIONS(1730),
    [anon_sym_while] = ACTIONS(1732),
    [anon_sym_for] = ACTIONS(1734),
    [anon_sym_try] = ACTIONS(1736),
    [anon_sym_new] = ACTIONS(1326),
    [anon_sym_opaque] = ACTIONS(1324),
    [anon_sym_implicit] = ACTIONS(1738),
    [anon_sym_inline] = ACTIONS(1328),
    [anon_sym_infix] = ACTIONS(1324),
    [anon_sym_open] = ACTIONS(1324),
    [anon_sym_transparent] = ACTIONS(1324),
    [anon_sym_LPAREN] = ACTIONS(1330),
    [anon_sym_macro] = ACTIONS(1740),
    [anon_sym_BANG] = ACTIONS(1322),
    [anon_sym_TILDE] = ACTIONS(1322),
    [anon_sym_DOLLAR] = ACTIONS(1332),
    [anon_sym_SQUOTE] = ACTIONS(1334),
    [sym__backquoted_id] = ACTIONS(1336),
    [sym_operator_identifier] = ACTIONS(1742),
    [sym_integer_literal] = ACTIONS(1340),
    [sym_floating_point_literal] = ACTIONS(1342),
    [anon_sym_true] = ACTIONS(1344),
    [anon_sym_false] = ACTIONS(1344),
    [sym_character_literal] = ACTIONS(1342),
    [sym_null_literal] = ACTIONS(1346),
    [anon_sym_return] = ACTIONS(1744),
    [anon_sym_throw] = ACTIONS(1746),
    [anon_sym_do] = ACTIONS(1748),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2158),
    [sym__simple_multiline_string] = ACTIONS(1348),
    [sym__simple_string] = ACTIONS(1348),
  },
  [1041] = {
    [sym_inline_modifier] = STATE(2108),
    [sym__indentable_expression] = STATE(11831),
    [sym_block] = STATE(9800),
    [sym_indented_block] = STATE(12004),
    [sym_indented_cases] = STATE(12004),
    [sym_expression] = STATE(13568),
    [sym__simple_expression] = STATE(7357),
    [sym_lambda_expression] = STATE(12046),
    [sym_if_expression] = STATE(12046),
    [sym_match_expression] = STATE(12046),
    [sym_try_expression] = STATE(12046),
    [sym_bindings] = STATE(15518),
    [sym_case_block] = STATE(9800),
    [sym_assignment_expression] = STATE(12046),
    [sym_generic_function] = STATE(9800),
    [sym_call_expression] = STATE(9800),
    [sym_field_expression] = STATE(9800),
    [sym_instance_expression] = STATE(9800),
    [sym_ascription_expression] = STATE(12046),
    [sym_infix_expression] = STATE(10315),
    [sym_postfix_expression] = STATE(11496),
    [sym__postfix_expression_choice] = STATE(15840),
    [sym_macro_body] = STATE(12046),
    [sym_prefix_expression] = STATE(9949),
    [sym_tuple_expression] = STATE(9800),
    [sym_parenthesized_expression] = STATE(9800),
    [sym_splice_expression] = STATE(9800),
    [sym_quote_expression] = STATE(9800),
    [sym_identifier] = STATE(6016),
    [sym__soft_identifier] = STATE(4545),
    [sym_wildcard] = STATE(9086),
    [sym__non_null_literal] = STATE(9800),
    [sym_boolean_literal] = STATE(6076),
    [sym_interpolated_string_expression] = STATE(9800),
    [sym_string] = STATE(6076),
    [sym_unit] = STATE(9800),
    [sym_return_expression] = STATE(12046),
    [sym_throw_expression] = STATE(12046),
    [sym_while_expression] = STATE(12046),
    [sym_do_while_expression] = STATE(12046),
    [sym_for_expression] = STATE(12046),
    [sym_comment] = STATE(1041),
    [sym_block_comment] = STATE(1041),
    [sym__alpha_identifier] = ACTIONS(2084),
    [anon_sym_LBRACE] = ACTIONS(2088),
    [anon_sym__] = ACTIONS(2090),
    [anon_sym_PLUS] = ACTIONS(2092),
    [anon_sym_DASH] = ACTIONS(2092),
    [anon_sym_end] = ACTIONS(2094),
    [anon_sym_if] = ACTIONS(2216),
    [anon_sym_while] = ACTIONS(2218),
    [anon_sym_for] = ACTIONS(2220),
    [anon_sym_try] = ACTIONS(2222),
    [anon_sym_new] = ACTIONS(2096),
    [anon_sym_opaque] = ACTIONS(2094),
    [anon_sym_implicit] = ACTIONS(2224),
    [anon_sym_inline] = ACTIONS(2098),
    [anon_sym_infix] = ACTIONS(2094),
    [anon_sym_open] = ACTIONS(2094),
    [anon_sym_transparent] = ACTIONS(2094),
    [anon_sym_LPAREN] = ACTIONS(2100),
    [anon_sym_macro] = ACTIONS(2226),
    [anon_sym_BANG] = ACTIONS(2092),
    [anon_sym_TILDE] = ACTIONS(2092),
    [anon_sym_DOLLAR] = ACTIONS(2102),
    [anon_sym_SQUOTE] = ACTIONS(2104),
    [sym__backquoted_id] = ACTIONS(2106),
    [sym_operator_identifier] = ACTIONS(2228),
    [sym_integer_literal] = ACTIONS(2110),
    [sym_floating_point_literal] = ACTIONS(2112),
    [anon_sym_true] = ACTIONS(2114),
    [anon_sym_false] = ACTIONS(2114),
    [sym_character_literal] = ACTIONS(2112),
    [sym_null_literal] = ACTIONS(2116),
    [anon_sym_return] = ACTIONS(2230),
    [anon_sym_throw] = ACTIONS(2232),
    [anon_sym_do] = ACTIONS(1856),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2234),
    [sym__simple_multiline_string] = ACTIONS(2118),
    [sym__simple_string] = ACTIONS(2118),
  },
  [1042] = {
    [sym_inline_modifier] = STATE(2122),
    [sym__indentable_expression] = STATE(11831),
    [sym_block] = STATE(6703),
    [sym_indented_block] = STATE(12004),
    [sym_indented_cases] = STATE(12004),
    [sym_expression] = STATE(12171),
    [sym__simple_expression] = STATE(6037),
    [sym_lambda_expression] = STATE(12046),
    [sym_if_expression] = STATE(12046),
    [sym_match_expression] = STATE(12046),
    [sym_try_expression] = STATE(12046),
    [sym_bindings] = STATE(15638),
    [sym_case_block] = STATE(6703),
    [sym_assignment_expression] = STATE(12046),
    [sym_generic_function] = STATE(6703),
    [sym_call_expression] = STATE(6703),
    [sym_field_expression] = STATE(6703),
    [sym_instance_expression] = STATE(6703),
    [sym_ascription_expression] = STATE(12046),
    [sym_infix_expression] = STATE(8166),
    [sym_postfix_expression] = STATE(11496),
    [sym__postfix_expression_choice] = STATE(15827),
    [sym_macro_body] = STATE(12046),
    [sym_prefix_expression] = STATE(9715),
    [sym_tuple_expression] = STATE(6703),
    [sym_parenthesized_expression] = STATE(6703),
    [sym_splice_expression] = STATE(6703),
    [sym_quote_expression] = STATE(6703),
    [sym_identifier] = STATE(5641),
    [sym__soft_identifier] = STATE(4884),
    [sym_wildcard] = STATE(8386),
    [sym__non_null_literal] = STATE(6703),
    [sym_boolean_literal] = STATE(6780),
    [sym_interpolated_string_expression] = STATE(6703),
    [sym_string] = STATE(6780),
    [sym_unit] = STATE(6703),
    [sym_return_expression] = STATE(12046),
    [sym_throw_expression] = STATE(12046),
    [sym_while_expression] = STATE(12046),
    [sym_do_while_expression] = STATE(12046),
    [sym_for_expression] = STATE(12046),
    [sym_comment] = STATE(1042),
    [sym_block_comment] = STATE(1042),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(1838),
    [anon_sym_while] = ACTIONS(1840),
    [anon_sym_for] = ACTIONS(1842),
    [anon_sym_try] = ACTIONS(1844),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(1846),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1848),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(1850),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(1852),
    [anon_sym_throw] = ACTIONS(1854),
    [anon_sym_do] = ACTIONS(1856),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2234),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [1043] = {
    [sym_inline_modifier] = STATE(2115),
    [sym__indentable_expression] = STATE(14031),
    [sym_block] = STATE(8041),
    [sym_indented_block] = STATE(12292),
    [sym_indented_cases] = STATE(12292),
    [sym_expression] = STATE(12256),
    [sym__simple_expression] = STATE(7311),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15577),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(10220),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10124),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6254),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(8727),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(1043),
    [sym_block_comment] = STATE(1043),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(603),
    [anon_sym_DASH] = ACTIONS(603),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(605),
    [anon_sym_while] = ACTIONS(607),
    [anon_sym_for] = ACTIONS(609),
    [anon_sym_try] = ACTIONS(611),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2192),
    [anon_sym_inline] = ACTIONS(1764),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(603),
    [anon_sym_TILDE] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(621),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(623),
    [anon_sym_throw] = ACTIONS(625),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1044] = {
    [sym_inline_modifier] = STATE(2081),
    [sym__indentable_expression] = STATE(13261),
    [sym_block] = STATE(6540),
    [sym_indented_block] = STATE(11390),
    [sym_indented_cases] = STATE(11390),
    [sym_expression] = STATE(11385),
    [sym__simple_expression] = STATE(5282),
    [sym_lambda_expression] = STATE(11374),
    [sym_if_expression] = STATE(11374),
    [sym_match_expression] = STATE(11374),
    [sym_try_expression] = STATE(11374),
    [sym_bindings] = STATE(15666),
    [sym_case_block] = STATE(6540),
    [sym_assignment_expression] = STATE(11374),
    [sym_generic_function] = STATE(6540),
    [sym_call_expression] = STATE(6540),
    [sym_field_expression] = STATE(6540),
    [sym_instance_expression] = STATE(6540),
    [sym_ascription_expression] = STATE(11374),
    [sym_infix_expression] = STATE(7834),
    [sym_postfix_expression] = STATE(11215),
    [sym__postfix_expression_choice] = STATE(16210),
    [sym_macro_body] = STATE(11374),
    [sym_prefix_expression] = STATE(8793),
    [sym_tuple_expression] = STATE(6540),
    [sym_parenthesized_expression] = STATE(6540),
    [sym_splice_expression] = STATE(6540),
    [sym_quote_expression] = STATE(6540),
    [sym_identifier] = STATE(4731),
    [sym__soft_identifier] = STATE(4667),
    [sym_wildcard] = STATE(7219),
    [sym__non_null_literal] = STATE(6540),
    [sym_boolean_literal] = STATE(6246),
    [sym_interpolated_string_expression] = STATE(6540),
    [sym_string] = STATE(6246),
    [sym_unit] = STATE(6540),
    [sym_return_expression] = STATE(11374),
    [sym_throw_expression] = STATE(11374),
    [sym_while_expression] = STATE(11374),
    [sym_do_while_expression] = STATE(11374),
    [sym_for_expression] = STATE(11374),
    [sym_comment] = STATE(1044),
    [sym_block_comment] = STATE(1044),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(2506),
    [anon_sym_while] = ACTIONS(1988),
    [anon_sym_for] = ACTIONS(1990),
    [anon_sym_try] = ACTIONS(1992),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1994),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1540),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1996),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1998),
    [anon_sym_throw] = ACTIONS(2000),
    [anon_sym_do] = ACTIONS(1548),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2240),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [1045] = {
    [sym_inline_modifier] = STATE(2125),
    [sym__indentable_expression] = STATE(12413),
    [sym_block] = STATE(6738),
    [sym_indented_block] = STATE(12372),
    [sym_indented_cases] = STATE(12372),
    [sym_expression] = STATE(12028),
    [sym__simple_expression] = STATE(5176),
    [sym_lambda_expression] = STATE(12430),
    [sym_if_expression] = STATE(12430),
    [sym_match_expression] = STATE(12430),
    [sym_try_expression] = STATE(12430),
    [sym_bindings] = STATE(15677),
    [sym_case_block] = STATE(6738),
    [sym_assignment_expression] = STATE(12430),
    [sym_generic_function] = STATE(6738),
    [sym_call_expression] = STATE(6738),
    [sym_field_expression] = STATE(6738),
    [sym_instance_expression] = STATE(6738),
    [sym_ascription_expression] = STATE(12430),
    [sym_infix_expression] = STATE(8389),
    [sym_postfix_expression] = STATE(11930),
    [sym__postfix_expression_choice] = STATE(15885),
    [sym_macro_body] = STATE(12430),
    [sym_prefix_expression] = STATE(9115),
    [sym_tuple_expression] = STATE(6738),
    [sym_parenthesized_expression] = STATE(6738),
    [sym_splice_expression] = STATE(6738),
    [sym_quote_expression] = STATE(6738),
    [sym_identifier] = STATE(4951),
    [sym__soft_identifier] = STATE(4943),
    [sym_wildcard] = STATE(7114),
    [sym__non_null_literal] = STATE(6738),
    [sym_boolean_literal] = STATE(7301),
    [sym_interpolated_string_expression] = STATE(6738),
    [sym_string] = STATE(7301),
    [sym_unit] = STATE(6738),
    [sym_return_expression] = STATE(12430),
    [sym_throw_expression] = STATE(12430),
    [sym_while_expression] = STATE(12430),
    [sym_do_while_expression] = STATE(12430),
    [sym_for_expression] = STATE(12430),
    [sym_comment] = STATE(1045),
    [sym_block_comment] = STATE(1045),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(1350),
    [anon_sym_while] = ACTIONS(1352),
    [anon_sym_for] = ACTIONS(1354),
    [anon_sym_try] = ACTIONS(1356),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(1358),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1360),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(1362),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(1364),
    [anon_sym_throw] = ACTIONS(1366),
    [anon_sym_do] = ACTIONS(1368),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2202),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [1046] = {
    [sym_inline_modifier] = STATE(2044),
    [sym__indentable_expression] = STATE(12053),
    [sym_block] = STATE(9913),
    [sym_indented_block] = STATE(11923),
    [sym_indented_cases] = STATE(11923),
    [sym_expression] = STATE(13501),
    [sym__simple_expression] = STATE(7224),
    [sym_lambda_expression] = STATE(12144),
    [sym_if_expression] = STATE(12144),
    [sym_match_expression] = STATE(12144),
    [sym_try_expression] = STATE(12144),
    [sym_bindings] = STATE(15632),
    [sym_case_block] = STATE(9913),
    [sym_assignment_expression] = STATE(12144),
    [sym_generic_function] = STATE(9913),
    [sym_call_expression] = STATE(9913),
    [sym_field_expression] = STATE(9913),
    [sym_instance_expression] = STATE(9913),
    [sym_ascription_expression] = STATE(12144),
    [sym_infix_expression] = STATE(10304),
    [sym_postfix_expression] = STATE(11499),
    [sym__postfix_expression_choice] = STATE(16334),
    [sym_macro_body] = STATE(12144),
    [sym_prefix_expression] = STATE(9963),
    [sym_tuple_expression] = STATE(9913),
    [sym_parenthesized_expression] = STATE(9913),
    [sym_splice_expression] = STATE(9913),
    [sym_quote_expression] = STATE(9913),
    [sym_identifier] = STATE(6170),
    [sym__soft_identifier] = STATE(4555),
    [sym_wildcard] = STATE(8897),
    [sym__non_null_literal] = STATE(9913),
    [sym_boolean_literal] = STATE(6572),
    [sym_interpolated_string_expression] = STATE(9913),
    [sym_string] = STATE(6572),
    [sym_unit] = STATE(9913),
    [sym_return_expression] = STATE(12144),
    [sym_throw_expression] = STATE(12144),
    [sym_while_expression] = STATE(12144),
    [sym_do_while_expression] = STATE(12144),
    [sym_for_expression] = STATE(12144),
    [sym_comment] = STATE(1046),
    [sym_block_comment] = STATE(1046),
    [sym__alpha_identifier] = ACTIONS(1766),
    [anon_sym_LBRACE] = ACTIONS(1770),
    [anon_sym__] = ACTIONS(1772),
    [anon_sym_PLUS] = ACTIONS(1774),
    [anon_sym_DASH] = ACTIONS(1774),
    [anon_sym_end] = ACTIONS(1776),
    [anon_sym_if] = ACTIONS(2160),
    [anon_sym_while] = ACTIONS(2162),
    [anon_sym_for] = ACTIONS(2164),
    [anon_sym_try] = ACTIONS(2166),
    [anon_sym_new] = ACTIONS(1778),
    [anon_sym_opaque] = ACTIONS(1776),
    [anon_sym_implicit] = ACTIONS(2168),
    [anon_sym_inline] = ACTIONS(1780),
    [anon_sym_infix] = ACTIONS(1776),
    [anon_sym_open] = ACTIONS(1776),
    [anon_sym_transparent] = ACTIONS(1776),
    [anon_sym_LPAREN] = ACTIONS(1782),
    [anon_sym_macro] = ACTIONS(2170),
    [anon_sym_BANG] = ACTIONS(1774),
    [anon_sym_TILDE] = ACTIONS(1774),
    [anon_sym_DOLLAR] = ACTIONS(1784),
    [anon_sym_SQUOTE] = ACTIONS(1786),
    [sym__backquoted_id] = ACTIONS(1788),
    [sym_operator_identifier] = ACTIONS(2172),
    [sym_integer_literal] = ACTIONS(1792),
    [sym_floating_point_literal] = ACTIONS(1794),
    [anon_sym_true] = ACTIONS(1796),
    [anon_sym_false] = ACTIONS(1796),
    [sym_character_literal] = ACTIONS(1794),
    [sym_null_literal] = ACTIONS(1798),
    [anon_sym_return] = ACTIONS(2174),
    [anon_sym_throw] = ACTIONS(2176),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3280),
    [sym__simple_multiline_string] = ACTIONS(1800),
    [sym__simple_string] = ACTIONS(1800),
  },
  [1047] = {
    [sym_inline_modifier] = STATE(2191),
    [sym__indentable_expression] = STATE(13300),
    [sym_block] = STATE(8821),
    [sym_indented_block] = STATE(13308),
    [sym_indented_cases] = STATE(13308),
    [sym_expression] = STATE(13197),
    [sym__simple_expression] = STATE(6138),
    [sym_lambda_expression] = STATE(13337),
    [sym_if_expression] = STATE(13337),
    [sym_match_expression] = STATE(13337),
    [sym_try_expression] = STATE(13337),
    [sym_bindings] = STATE(15634),
    [sym_case_block] = STATE(8821),
    [sym_assignment_expression] = STATE(13337),
    [sym_generic_function] = STATE(8821),
    [sym_call_expression] = STATE(8821),
    [sym_field_expression] = STATE(8821),
    [sym_instance_expression] = STATE(8821),
    [sym_ascription_expression] = STATE(13337),
    [sym_infix_expression] = STATE(9659),
    [sym_postfix_expression] = STATE(13173),
    [sym__postfix_expression_choice] = STATE(16170),
    [sym_macro_body] = STATE(13337),
    [sym_prefix_expression] = STATE(9758),
    [sym_tuple_expression] = STATE(8821),
    [sym_parenthesized_expression] = STATE(8821),
    [sym_splice_expression] = STATE(8821),
    [sym_quote_expression] = STATE(8821),
    [sym_identifier] = STATE(5472),
    [sym__soft_identifier] = STATE(6446),
    [sym_wildcard] = STATE(8602),
    [sym__non_null_literal] = STATE(8821),
    [sym_boolean_literal] = STATE(8798),
    [sym_interpolated_string_expression] = STATE(8821),
    [sym_string] = STATE(8798),
    [sym_unit] = STATE(8821),
    [sym_return_expression] = STATE(13337),
    [sym_throw_expression] = STATE(13337),
    [sym_while_expression] = STATE(13337),
    [sym_do_while_expression] = STATE(13337),
    [sym_for_expression] = STATE(13337),
    [sym_comment] = STATE(1047),
    [sym_block_comment] = STATE(1047),
    [sym__alpha_identifier] = ACTIONS(1674),
    [anon_sym_LBRACE] = ACTIONS(1678),
    [anon_sym__] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1682),
    [anon_sym_DASH] = ACTIONS(1682),
    [anon_sym_end] = ACTIONS(1684),
    [anon_sym_if] = ACTIONS(2298),
    [anon_sym_while] = ACTIONS(2300),
    [anon_sym_for] = ACTIONS(2302),
    [anon_sym_try] = ACTIONS(2304),
    [anon_sym_new] = ACTIONS(1686),
    [anon_sym_opaque] = ACTIONS(1684),
    [anon_sym_implicit] = ACTIONS(2306),
    [anon_sym_inline] = ACTIONS(1688),
    [anon_sym_infix] = ACTIONS(1684),
    [anon_sym_open] = ACTIONS(1684),
    [anon_sym_transparent] = ACTIONS(1684),
    [anon_sym_LPAREN] = ACTIONS(1690),
    [anon_sym_macro] = ACTIONS(1914),
    [anon_sym_BANG] = ACTIONS(1682),
    [anon_sym_TILDE] = ACTIONS(1682),
    [anon_sym_DOLLAR] = ACTIONS(1692),
    [anon_sym_SQUOTE] = ACTIONS(1694),
    [sym__backquoted_id] = ACTIONS(1696),
    [sym_operator_identifier] = ACTIONS(2308),
    [sym_integer_literal] = ACTIONS(1700),
    [sym_floating_point_literal] = ACTIONS(1702),
    [anon_sym_true] = ACTIONS(1704),
    [anon_sym_false] = ACTIONS(1704),
    [sym_character_literal] = ACTIONS(1702),
    [sym_null_literal] = ACTIONS(1706),
    [anon_sym_return] = ACTIONS(2310),
    [anon_sym_throw] = ACTIONS(2312),
    [anon_sym_do] = ACTIONS(1922),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2206),
    [sym__simple_multiline_string] = ACTIONS(1708),
    [sym__simple_string] = ACTIONS(1708),
  },
  [1048] = {
    [sym_inline_modifier] = STATE(2191),
    [sym__indentable_expression] = STATE(13301),
    [sym_block] = STATE(8821),
    [sym_indented_block] = STATE(13308),
    [sym_indented_cases] = STATE(13308),
    [sym_expression] = STATE(13197),
    [sym__simple_expression] = STATE(6138),
    [sym_lambda_expression] = STATE(13337),
    [sym_if_expression] = STATE(13337),
    [sym_match_expression] = STATE(13337),
    [sym_try_expression] = STATE(13337),
    [sym_bindings] = STATE(15634),
    [sym_case_block] = STATE(8821),
    [sym_assignment_expression] = STATE(13337),
    [sym_generic_function] = STATE(8821),
    [sym_call_expression] = STATE(8821),
    [sym_field_expression] = STATE(8821),
    [sym_instance_expression] = STATE(8821),
    [sym_ascription_expression] = STATE(13337),
    [sym_infix_expression] = STATE(9659),
    [sym_postfix_expression] = STATE(13173),
    [sym__postfix_expression_choice] = STATE(16170),
    [sym_macro_body] = STATE(13337),
    [sym_prefix_expression] = STATE(9758),
    [sym_tuple_expression] = STATE(8821),
    [sym_parenthesized_expression] = STATE(8821),
    [sym_splice_expression] = STATE(8821),
    [sym_quote_expression] = STATE(8821),
    [sym_identifier] = STATE(5472),
    [sym__soft_identifier] = STATE(6446),
    [sym_wildcard] = STATE(8602),
    [sym__non_null_literal] = STATE(8821),
    [sym_boolean_literal] = STATE(8798),
    [sym_interpolated_string_expression] = STATE(8821),
    [sym_string] = STATE(8798),
    [sym_unit] = STATE(8821),
    [sym_return_expression] = STATE(13337),
    [sym_throw_expression] = STATE(13337),
    [sym_while_expression] = STATE(13337),
    [sym_do_while_expression] = STATE(13337),
    [sym_for_expression] = STATE(13337),
    [sym_comment] = STATE(1048),
    [sym_block_comment] = STATE(1048),
    [sym__alpha_identifier] = ACTIONS(1674),
    [anon_sym_LBRACE] = ACTIONS(1678),
    [anon_sym__] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1682),
    [anon_sym_DASH] = ACTIONS(1682),
    [anon_sym_end] = ACTIONS(1684),
    [anon_sym_if] = ACTIONS(2298),
    [anon_sym_while] = ACTIONS(2300),
    [anon_sym_for] = ACTIONS(2302),
    [anon_sym_try] = ACTIONS(2304),
    [anon_sym_new] = ACTIONS(1686),
    [anon_sym_opaque] = ACTIONS(1684),
    [anon_sym_implicit] = ACTIONS(2306),
    [anon_sym_inline] = ACTIONS(1688),
    [anon_sym_infix] = ACTIONS(1684),
    [anon_sym_open] = ACTIONS(1684),
    [anon_sym_transparent] = ACTIONS(1684),
    [anon_sym_LPAREN] = ACTIONS(1690),
    [anon_sym_macro] = ACTIONS(1914),
    [anon_sym_BANG] = ACTIONS(1682),
    [anon_sym_TILDE] = ACTIONS(1682),
    [anon_sym_DOLLAR] = ACTIONS(1692),
    [anon_sym_SQUOTE] = ACTIONS(1694),
    [sym__backquoted_id] = ACTIONS(1696),
    [sym_operator_identifier] = ACTIONS(2308),
    [sym_integer_literal] = ACTIONS(1700),
    [sym_floating_point_literal] = ACTIONS(1702),
    [anon_sym_true] = ACTIONS(1704),
    [anon_sym_false] = ACTIONS(1704),
    [sym_character_literal] = ACTIONS(1702),
    [sym_null_literal] = ACTIONS(1706),
    [anon_sym_return] = ACTIONS(2310),
    [anon_sym_throw] = ACTIONS(2312),
    [anon_sym_do] = ACTIONS(1922),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2206),
    [sym__simple_multiline_string] = ACTIONS(1708),
    [sym__simple_string] = ACTIONS(1708),
  },
  [1049] = {
    [sym_inline_modifier] = STATE(2255),
    [sym__indentable_expression] = STATE(12062),
    [sym_block] = STATE(6954),
    [sym_indented_block] = STATE(11923),
    [sym_indented_cases] = STATE(11923),
    [sym_expression] = STATE(12206),
    [sym__simple_expression] = STATE(5438),
    [sym_lambda_expression] = STATE(12144),
    [sym_if_expression] = STATE(12144),
    [sym_match_expression] = STATE(12144),
    [sym_try_expression] = STATE(12144),
    [sym_bindings] = STATE(15515),
    [sym_case_block] = STATE(6954),
    [sym_assignment_expression] = STATE(12144),
    [sym_generic_function] = STATE(6954),
    [sym_call_expression] = STATE(6954),
    [sym_field_expression] = STATE(6954),
    [sym_instance_expression] = STATE(6954),
    [sym_ascription_expression] = STATE(12144),
    [sym_infix_expression] = STATE(8226),
    [sym_postfix_expression] = STATE(11499),
    [sym__postfix_expression_choice] = STATE(16229),
    [sym_macro_body] = STATE(12144),
    [sym_prefix_expression] = STATE(9369),
    [sym_tuple_expression] = STATE(6954),
    [sym_parenthesized_expression] = STATE(6954),
    [sym_splice_expression] = STATE(6954),
    [sym_quote_expression] = STATE(6954),
    [sym_identifier] = STATE(5276),
    [sym__soft_identifier] = STATE(4827),
    [sym_wildcard] = STATE(7444),
    [sym__non_null_literal] = STATE(6954),
    [sym_boolean_literal] = STATE(6997),
    [sym_interpolated_string_expression] = STATE(6954),
    [sym_string] = STATE(6997),
    [sym_unit] = STATE(6954),
    [sym_return_expression] = STATE(12144),
    [sym_throw_expression] = STATE(12144),
    [sym_while_expression] = STATE(12144),
    [sym_do_while_expression] = STATE(12144),
    [sym_for_expression] = STATE(12144),
    [sym_comment] = STATE(1049),
    [sym_block_comment] = STATE(1049),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(2666),
    [anon_sym_while] = ACTIONS(2314),
    [anon_sym_for] = ACTIONS(2316),
    [anon_sym_try] = ACTIONS(2318),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(2320),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1894),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(2322),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(2324),
    [anon_sym_throw] = ACTIONS(2326),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3280),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [1050] = {
    [sym_inline_modifier] = STATE(2191),
    [sym__indentable_expression] = STATE(13299),
    [sym_block] = STATE(8821),
    [sym_indented_block] = STATE(13308),
    [sym_indented_cases] = STATE(13308),
    [sym_expression] = STATE(13197),
    [sym__simple_expression] = STATE(6138),
    [sym_lambda_expression] = STATE(13337),
    [sym_if_expression] = STATE(13337),
    [sym_match_expression] = STATE(13337),
    [sym_try_expression] = STATE(13337),
    [sym_bindings] = STATE(15634),
    [sym_case_block] = STATE(8821),
    [sym_assignment_expression] = STATE(13337),
    [sym_generic_function] = STATE(8821),
    [sym_call_expression] = STATE(8821),
    [sym_field_expression] = STATE(8821),
    [sym_instance_expression] = STATE(8821),
    [sym_ascription_expression] = STATE(13337),
    [sym_infix_expression] = STATE(9659),
    [sym_postfix_expression] = STATE(13173),
    [sym__postfix_expression_choice] = STATE(16170),
    [sym_macro_body] = STATE(13337),
    [sym_prefix_expression] = STATE(9758),
    [sym_tuple_expression] = STATE(8821),
    [sym_parenthesized_expression] = STATE(8821),
    [sym_splice_expression] = STATE(8821),
    [sym_quote_expression] = STATE(8821),
    [sym_identifier] = STATE(5472),
    [sym__soft_identifier] = STATE(6446),
    [sym_wildcard] = STATE(8602),
    [sym__non_null_literal] = STATE(8821),
    [sym_boolean_literal] = STATE(8798),
    [sym_interpolated_string_expression] = STATE(8821),
    [sym_string] = STATE(8798),
    [sym_unit] = STATE(8821),
    [sym_return_expression] = STATE(13337),
    [sym_throw_expression] = STATE(13337),
    [sym_while_expression] = STATE(13337),
    [sym_do_while_expression] = STATE(13337),
    [sym_for_expression] = STATE(13337),
    [sym_comment] = STATE(1050),
    [sym_block_comment] = STATE(1050),
    [sym__alpha_identifier] = ACTIONS(1674),
    [anon_sym_LBRACE] = ACTIONS(1678),
    [anon_sym__] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1682),
    [anon_sym_DASH] = ACTIONS(1682),
    [anon_sym_end] = ACTIONS(1684),
    [anon_sym_if] = ACTIONS(2298),
    [anon_sym_while] = ACTIONS(2300),
    [anon_sym_for] = ACTIONS(2302),
    [anon_sym_try] = ACTIONS(2304),
    [anon_sym_new] = ACTIONS(1686),
    [anon_sym_opaque] = ACTIONS(1684),
    [anon_sym_implicit] = ACTIONS(2306),
    [anon_sym_inline] = ACTIONS(1688),
    [anon_sym_infix] = ACTIONS(1684),
    [anon_sym_open] = ACTIONS(1684),
    [anon_sym_transparent] = ACTIONS(1684),
    [anon_sym_LPAREN] = ACTIONS(1690),
    [anon_sym_macro] = ACTIONS(1914),
    [anon_sym_BANG] = ACTIONS(1682),
    [anon_sym_TILDE] = ACTIONS(1682),
    [anon_sym_DOLLAR] = ACTIONS(1692),
    [anon_sym_SQUOTE] = ACTIONS(1694),
    [sym__backquoted_id] = ACTIONS(1696),
    [sym_operator_identifier] = ACTIONS(2308),
    [sym_integer_literal] = ACTIONS(1700),
    [sym_floating_point_literal] = ACTIONS(1702),
    [anon_sym_true] = ACTIONS(1704),
    [anon_sym_false] = ACTIONS(1704),
    [sym_character_literal] = ACTIONS(1702),
    [sym_null_literal] = ACTIONS(1706),
    [anon_sym_return] = ACTIONS(2310),
    [anon_sym_throw] = ACTIONS(2312),
    [anon_sym_do] = ACTIONS(1922),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2206),
    [sym__simple_multiline_string] = ACTIONS(1708),
    [sym__simple_string] = ACTIONS(1708),
  },
  [1051] = {
    [sym_inline_modifier] = STATE(2084),
    [sym__indentable_expression] = STATE(13508),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(8831),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15722),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10635),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(8641),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(10149),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1051),
    [sym_block_comment] = STATE(1051),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2740),
    [anon_sym_while] = ACTIONS(2742),
    [anon_sym_for] = ACTIONS(2744),
    [anon_sym_try] = ACTIONS(2746),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2748),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3312),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2762),
    [anon_sym_throw] = ACTIONS(2764),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1052] = {
    [sym_inline_modifier] = STATE(2191),
    [sym__indentable_expression] = STATE(13304),
    [sym_block] = STATE(8821),
    [sym_indented_block] = STATE(13308),
    [sym_indented_cases] = STATE(13308),
    [sym_expression] = STATE(13197),
    [sym__simple_expression] = STATE(6138),
    [sym_lambda_expression] = STATE(13337),
    [sym_if_expression] = STATE(13337),
    [sym_match_expression] = STATE(13337),
    [sym_try_expression] = STATE(13337),
    [sym_bindings] = STATE(15634),
    [sym_case_block] = STATE(8821),
    [sym_assignment_expression] = STATE(13337),
    [sym_generic_function] = STATE(8821),
    [sym_call_expression] = STATE(8821),
    [sym_field_expression] = STATE(8821),
    [sym_instance_expression] = STATE(8821),
    [sym_ascription_expression] = STATE(13337),
    [sym_infix_expression] = STATE(9659),
    [sym_postfix_expression] = STATE(13173),
    [sym__postfix_expression_choice] = STATE(16170),
    [sym_macro_body] = STATE(13337),
    [sym_prefix_expression] = STATE(9758),
    [sym_tuple_expression] = STATE(8821),
    [sym_parenthesized_expression] = STATE(8821),
    [sym_splice_expression] = STATE(8821),
    [sym_quote_expression] = STATE(8821),
    [sym_identifier] = STATE(5472),
    [sym__soft_identifier] = STATE(6446),
    [sym_wildcard] = STATE(8602),
    [sym__non_null_literal] = STATE(8821),
    [sym_boolean_literal] = STATE(8798),
    [sym_interpolated_string_expression] = STATE(8821),
    [sym_string] = STATE(8798),
    [sym_unit] = STATE(8821),
    [sym_return_expression] = STATE(13337),
    [sym_throw_expression] = STATE(13337),
    [sym_while_expression] = STATE(13337),
    [sym_do_while_expression] = STATE(13337),
    [sym_for_expression] = STATE(13337),
    [sym_comment] = STATE(1052),
    [sym_block_comment] = STATE(1052),
    [sym__alpha_identifier] = ACTIONS(1674),
    [anon_sym_LBRACE] = ACTIONS(1678),
    [anon_sym__] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1682),
    [anon_sym_DASH] = ACTIONS(1682),
    [anon_sym_end] = ACTIONS(1684),
    [anon_sym_if] = ACTIONS(2298),
    [anon_sym_while] = ACTIONS(2300),
    [anon_sym_for] = ACTIONS(2302),
    [anon_sym_try] = ACTIONS(2304),
    [anon_sym_new] = ACTIONS(1686),
    [anon_sym_opaque] = ACTIONS(1684),
    [anon_sym_implicit] = ACTIONS(2306),
    [anon_sym_inline] = ACTIONS(1688),
    [anon_sym_infix] = ACTIONS(1684),
    [anon_sym_open] = ACTIONS(1684),
    [anon_sym_transparent] = ACTIONS(1684),
    [anon_sym_LPAREN] = ACTIONS(1690),
    [anon_sym_macro] = ACTIONS(1914),
    [anon_sym_BANG] = ACTIONS(1682),
    [anon_sym_TILDE] = ACTIONS(1682),
    [anon_sym_DOLLAR] = ACTIONS(1692),
    [anon_sym_SQUOTE] = ACTIONS(1694),
    [sym__backquoted_id] = ACTIONS(1696),
    [sym_operator_identifier] = ACTIONS(2308),
    [sym_integer_literal] = ACTIONS(1700),
    [sym_floating_point_literal] = ACTIONS(1702),
    [anon_sym_true] = ACTIONS(1704),
    [anon_sym_false] = ACTIONS(1704),
    [sym_character_literal] = ACTIONS(1702),
    [sym_null_literal] = ACTIONS(1706),
    [anon_sym_return] = ACTIONS(2310),
    [anon_sym_throw] = ACTIONS(2312),
    [anon_sym_do] = ACTIONS(1922),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2206),
    [sym__simple_multiline_string] = ACTIONS(1708),
    [sym__simple_string] = ACTIONS(1708),
  },
  [1053] = {
    [sym_inline_modifier] = STATE(2255),
    [sym__indentable_expression] = STATE(12066),
    [sym_block] = STATE(6954),
    [sym_indented_block] = STATE(11923),
    [sym_indented_cases] = STATE(11923),
    [sym_expression] = STATE(12206),
    [sym__simple_expression] = STATE(5438),
    [sym_lambda_expression] = STATE(12144),
    [sym_if_expression] = STATE(12144),
    [sym_match_expression] = STATE(12144),
    [sym_try_expression] = STATE(12144),
    [sym_bindings] = STATE(15515),
    [sym_case_block] = STATE(6954),
    [sym_assignment_expression] = STATE(12144),
    [sym_generic_function] = STATE(6954),
    [sym_call_expression] = STATE(6954),
    [sym_field_expression] = STATE(6954),
    [sym_instance_expression] = STATE(6954),
    [sym_ascription_expression] = STATE(12144),
    [sym_infix_expression] = STATE(8226),
    [sym_postfix_expression] = STATE(11499),
    [sym__postfix_expression_choice] = STATE(16229),
    [sym_macro_body] = STATE(12144),
    [sym_prefix_expression] = STATE(9369),
    [sym_tuple_expression] = STATE(6954),
    [sym_parenthesized_expression] = STATE(6954),
    [sym_splice_expression] = STATE(6954),
    [sym_quote_expression] = STATE(6954),
    [sym_identifier] = STATE(5276),
    [sym__soft_identifier] = STATE(4827),
    [sym_wildcard] = STATE(7444),
    [sym__non_null_literal] = STATE(6954),
    [sym_boolean_literal] = STATE(6997),
    [sym_interpolated_string_expression] = STATE(6954),
    [sym_string] = STATE(6997),
    [sym_unit] = STATE(6954),
    [sym_return_expression] = STATE(12144),
    [sym_throw_expression] = STATE(12144),
    [sym_while_expression] = STATE(12144),
    [sym_do_while_expression] = STATE(12144),
    [sym_for_expression] = STATE(12144),
    [sym_comment] = STATE(1053),
    [sym_block_comment] = STATE(1053),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(2666),
    [anon_sym_while] = ACTIONS(2314),
    [anon_sym_for] = ACTIONS(2316),
    [anon_sym_try] = ACTIONS(2318),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(2320),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1894),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(2322),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(2324),
    [anon_sym_throw] = ACTIONS(2326),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3280),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [1054] = {
    [sym_inline_modifier] = STATE(2191),
    [sym__indentable_expression] = STATE(13385),
    [sym_block] = STATE(8821),
    [sym_indented_block] = STATE(13308),
    [sym_indented_cases] = STATE(13308),
    [sym_expression] = STATE(13197),
    [sym__simple_expression] = STATE(6138),
    [sym_lambda_expression] = STATE(13337),
    [sym_if_expression] = STATE(13337),
    [sym_match_expression] = STATE(13337),
    [sym_try_expression] = STATE(13337),
    [sym_bindings] = STATE(15634),
    [sym_case_block] = STATE(8821),
    [sym_assignment_expression] = STATE(13337),
    [sym_generic_function] = STATE(8821),
    [sym_call_expression] = STATE(8821),
    [sym_field_expression] = STATE(8821),
    [sym_instance_expression] = STATE(8821),
    [sym_ascription_expression] = STATE(13337),
    [sym_infix_expression] = STATE(9659),
    [sym_postfix_expression] = STATE(13173),
    [sym__postfix_expression_choice] = STATE(16170),
    [sym_macro_body] = STATE(13337),
    [sym_prefix_expression] = STATE(9758),
    [sym_tuple_expression] = STATE(8821),
    [sym_parenthesized_expression] = STATE(8821),
    [sym_splice_expression] = STATE(8821),
    [sym_quote_expression] = STATE(8821),
    [sym_identifier] = STATE(5472),
    [sym__soft_identifier] = STATE(6446),
    [sym_wildcard] = STATE(8602),
    [sym__non_null_literal] = STATE(8821),
    [sym_boolean_literal] = STATE(8798),
    [sym_interpolated_string_expression] = STATE(8821),
    [sym_string] = STATE(8798),
    [sym_unit] = STATE(8821),
    [sym_return_expression] = STATE(13337),
    [sym_throw_expression] = STATE(13337),
    [sym_while_expression] = STATE(13337),
    [sym_do_while_expression] = STATE(13337),
    [sym_for_expression] = STATE(13337),
    [sym_comment] = STATE(1054),
    [sym_block_comment] = STATE(1054),
    [sym__alpha_identifier] = ACTIONS(1674),
    [anon_sym_LBRACE] = ACTIONS(1678),
    [anon_sym__] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1682),
    [anon_sym_DASH] = ACTIONS(1682),
    [anon_sym_end] = ACTIONS(1684),
    [anon_sym_if] = ACTIONS(2298),
    [anon_sym_while] = ACTIONS(2300),
    [anon_sym_for] = ACTIONS(2302),
    [anon_sym_try] = ACTIONS(2304),
    [anon_sym_new] = ACTIONS(1686),
    [anon_sym_opaque] = ACTIONS(1684),
    [anon_sym_implicit] = ACTIONS(2306),
    [anon_sym_inline] = ACTIONS(1688),
    [anon_sym_infix] = ACTIONS(1684),
    [anon_sym_open] = ACTIONS(1684),
    [anon_sym_transparent] = ACTIONS(1684),
    [anon_sym_LPAREN] = ACTIONS(1690),
    [anon_sym_macro] = ACTIONS(1914),
    [anon_sym_BANG] = ACTIONS(1682),
    [anon_sym_TILDE] = ACTIONS(1682),
    [anon_sym_DOLLAR] = ACTIONS(1692),
    [anon_sym_SQUOTE] = ACTIONS(1694),
    [sym__backquoted_id] = ACTIONS(1696),
    [sym_operator_identifier] = ACTIONS(2308),
    [sym_integer_literal] = ACTIONS(1700),
    [sym_floating_point_literal] = ACTIONS(1702),
    [anon_sym_true] = ACTIONS(1704),
    [anon_sym_false] = ACTIONS(1704),
    [sym_character_literal] = ACTIONS(1702),
    [sym_null_literal] = ACTIONS(1706),
    [anon_sym_return] = ACTIONS(2310),
    [anon_sym_throw] = ACTIONS(2312),
    [anon_sym_do] = ACTIONS(1922),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2206),
    [sym__simple_multiline_string] = ACTIONS(1708),
    [sym__simple_string] = ACTIONS(1708),
  },
  [1055] = {
    [sym_inline_modifier] = STATE(2262),
    [sym__indentable_expression] = STATE(13425),
    [sym_block] = STATE(6540),
    [sym_indented_block] = STATE(11390),
    [sym_indented_cases] = STATE(11390),
    [sym_expression] = STATE(11385),
    [sym__simple_expression] = STATE(5817),
    [sym_lambda_expression] = STATE(11374),
    [sym_if_expression] = STATE(11374),
    [sym_match_expression] = STATE(11374),
    [sym_try_expression] = STATE(11374),
    [sym_bindings] = STATE(15530),
    [sym_case_block] = STATE(6540),
    [sym_assignment_expression] = STATE(11374),
    [sym_generic_function] = STATE(6540),
    [sym_call_expression] = STATE(6540),
    [sym_field_expression] = STATE(6540),
    [sym_instance_expression] = STATE(6540),
    [sym_ascription_expression] = STATE(11374),
    [sym_infix_expression] = STATE(7834),
    [sym_postfix_expression] = STATE(11215),
    [sym__postfix_expression_choice] = STATE(16210),
    [sym_macro_body] = STATE(11374),
    [sym_prefix_expression] = STATE(9262),
    [sym_tuple_expression] = STATE(6540),
    [sym_parenthesized_expression] = STATE(6540),
    [sym_splice_expression] = STATE(6540),
    [sym_quote_expression] = STATE(6540),
    [sym_identifier] = STATE(5031),
    [sym__soft_identifier] = STATE(4667),
    [sym_wildcard] = STATE(7986),
    [sym__non_null_literal] = STATE(6540),
    [sym_boolean_literal] = STATE(6246),
    [sym_interpolated_string_expression] = STATE(6540),
    [sym_string] = STATE(6246),
    [sym_unit] = STATE(6540),
    [sym_return_expression] = STATE(11374),
    [sym_throw_expression] = STATE(11374),
    [sym_while_expression] = STATE(11374),
    [sym_do_while_expression] = STATE(11374),
    [sym_for_expression] = STATE(11374),
    [sym_comment] = STATE(1055),
    [sym_block_comment] = STATE(1055),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(1530),
    [anon_sym_while] = ACTIONS(1532),
    [anon_sym_for] = ACTIONS(1534),
    [anon_sym_try] = ACTIONS(1536),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1538),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1540),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1542),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1544),
    [anon_sym_throw] = ACTIONS(1546),
    [anon_sym_do] = ACTIONS(1548),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2240),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [1056] = {
    [sym_inline_modifier] = STATE(2084),
    [sym__indentable_expression] = STATE(16215),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(8831),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15722),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10635),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(729),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(8641),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(10149),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1056),
    [sym_block_comment] = STATE(1056),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2740),
    [anon_sym_while] = ACTIONS(2742),
    [anon_sym_for] = ACTIONS(2744),
    [anon_sym_try] = ACTIONS(2746),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2748),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3310),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3312),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2762),
    [anon_sym_throw] = ACTIONS(2764),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1057] = {
    [sym_inline_modifier] = STATE(2191),
    [sym__indentable_expression] = STATE(13397),
    [sym_block] = STATE(8821),
    [sym_indented_block] = STATE(13308),
    [sym_indented_cases] = STATE(13308),
    [sym_expression] = STATE(13197),
    [sym__simple_expression] = STATE(6138),
    [sym_lambda_expression] = STATE(13337),
    [sym_if_expression] = STATE(13337),
    [sym_match_expression] = STATE(13337),
    [sym_try_expression] = STATE(13337),
    [sym_bindings] = STATE(15634),
    [sym_case_block] = STATE(8821),
    [sym_assignment_expression] = STATE(13337),
    [sym_generic_function] = STATE(8821),
    [sym_call_expression] = STATE(8821),
    [sym_field_expression] = STATE(8821),
    [sym_instance_expression] = STATE(8821),
    [sym_ascription_expression] = STATE(13337),
    [sym_infix_expression] = STATE(9659),
    [sym_postfix_expression] = STATE(13173),
    [sym__postfix_expression_choice] = STATE(16170),
    [sym_macro_body] = STATE(13337),
    [sym_prefix_expression] = STATE(9758),
    [sym_tuple_expression] = STATE(8821),
    [sym_parenthesized_expression] = STATE(8821),
    [sym_splice_expression] = STATE(8821),
    [sym_quote_expression] = STATE(8821),
    [sym_identifier] = STATE(5472),
    [sym__soft_identifier] = STATE(6446),
    [sym_wildcard] = STATE(8602),
    [sym__non_null_literal] = STATE(8821),
    [sym_boolean_literal] = STATE(8798),
    [sym_interpolated_string_expression] = STATE(8821),
    [sym_string] = STATE(8798),
    [sym_unit] = STATE(8821),
    [sym_return_expression] = STATE(13337),
    [sym_throw_expression] = STATE(13337),
    [sym_while_expression] = STATE(13337),
    [sym_do_while_expression] = STATE(13337),
    [sym_for_expression] = STATE(13337),
    [sym_comment] = STATE(1057),
    [sym_block_comment] = STATE(1057),
    [sym__alpha_identifier] = ACTIONS(1674),
    [anon_sym_LBRACE] = ACTIONS(1678),
    [anon_sym__] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1682),
    [anon_sym_DASH] = ACTIONS(1682),
    [anon_sym_end] = ACTIONS(1684),
    [anon_sym_if] = ACTIONS(2298),
    [anon_sym_while] = ACTIONS(2300),
    [anon_sym_for] = ACTIONS(2302),
    [anon_sym_try] = ACTIONS(2304),
    [anon_sym_new] = ACTIONS(1686),
    [anon_sym_opaque] = ACTIONS(1684),
    [anon_sym_implicit] = ACTIONS(2306),
    [anon_sym_inline] = ACTIONS(1688),
    [anon_sym_infix] = ACTIONS(1684),
    [anon_sym_open] = ACTIONS(1684),
    [anon_sym_transparent] = ACTIONS(1684),
    [anon_sym_LPAREN] = ACTIONS(1690),
    [anon_sym_macro] = ACTIONS(1914),
    [anon_sym_BANG] = ACTIONS(1682),
    [anon_sym_TILDE] = ACTIONS(1682),
    [anon_sym_DOLLAR] = ACTIONS(1692),
    [anon_sym_SQUOTE] = ACTIONS(1694),
    [sym__backquoted_id] = ACTIONS(1696),
    [sym_operator_identifier] = ACTIONS(2308),
    [sym_integer_literal] = ACTIONS(1700),
    [sym_floating_point_literal] = ACTIONS(1702),
    [anon_sym_true] = ACTIONS(1704),
    [anon_sym_false] = ACTIONS(1704),
    [sym_character_literal] = ACTIONS(1702),
    [sym_null_literal] = ACTIONS(1706),
    [anon_sym_return] = ACTIONS(2310),
    [anon_sym_throw] = ACTIONS(2312),
    [anon_sym_do] = ACTIONS(1922),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2206),
    [sym__simple_multiline_string] = ACTIONS(1708),
    [sym__simple_string] = ACTIONS(1708),
  },
  [1058] = {
    [sym_inline_modifier] = STATE(2076),
    [sym__indentable_expression] = STATE(13600),
    [sym_block] = STATE(9327),
    [sym_indented_block] = STATE(13548),
    [sym_indented_cases] = STATE(13548),
    [sym_expression] = STATE(13406),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(1058),
    [sym_block_comment] = STATE(1058),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(3109),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [1059] = {
    [sym_inline_modifier] = STATE(2191),
    [sym__indentable_expression] = STATE(13398),
    [sym_block] = STATE(8821),
    [sym_indented_block] = STATE(13308),
    [sym_indented_cases] = STATE(13308),
    [sym_expression] = STATE(13197),
    [sym__simple_expression] = STATE(6138),
    [sym_lambda_expression] = STATE(13337),
    [sym_if_expression] = STATE(13337),
    [sym_match_expression] = STATE(13337),
    [sym_try_expression] = STATE(13337),
    [sym_bindings] = STATE(15634),
    [sym_case_block] = STATE(8821),
    [sym_assignment_expression] = STATE(13337),
    [sym_generic_function] = STATE(8821),
    [sym_call_expression] = STATE(8821),
    [sym_field_expression] = STATE(8821),
    [sym_instance_expression] = STATE(8821),
    [sym_ascription_expression] = STATE(13337),
    [sym_infix_expression] = STATE(9659),
    [sym_postfix_expression] = STATE(13173),
    [sym__postfix_expression_choice] = STATE(16170),
    [sym_macro_body] = STATE(13337),
    [sym_prefix_expression] = STATE(9758),
    [sym_tuple_expression] = STATE(8821),
    [sym_parenthesized_expression] = STATE(8821),
    [sym_splice_expression] = STATE(8821),
    [sym_quote_expression] = STATE(8821),
    [sym_identifier] = STATE(5472),
    [sym__soft_identifier] = STATE(6446),
    [sym_wildcard] = STATE(8602),
    [sym__non_null_literal] = STATE(8821),
    [sym_boolean_literal] = STATE(8798),
    [sym_interpolated_string_expression] = STATE(8821),
    [sym_string] = STATE(8798),
    [sym_unit] = STATE(8821),
    [sym_return_expression] = STATE(13337),
    [sym_throw_expression] = STATE(13337),
    [sym_while_expression] = STATE(13337),
    [sym_do_while_expression] = STATE(13337),
    [sym_for_expression] = STATE(13337),
    [sym_comment] = STATE(1059),
    [sym_block_comment] = STATE(1059),
    [sym__alpha_identifier] = ACTIONS(1674),
    [anon_sym_LBRACE] = ACTIONS(1678),
    [anon_sym__] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1682),
    [anon_sym_DASH] = ACTIONS(1682),
    [anon_sym_end] = ACTIONS(1684),
    [anon_sym_if] = ACTIONS(2298),
    [anon_sym_while] = ACTIONS(2300),
    [anon_sym_for] = ACTIONS(2302),
    [anon_sym_try] = ACTIONS(2304),
    [anon_sym_new] = ACTIONS(1686),
    [anon_sym_opaque] = ACTIONS(1684),
    [anon_sym_implicit] = ACTIONS(2306),
    [anon_sym_inline] = ACTIONS(1688),
    [anon_sym_infix] = ACTIONS(1684),
    [anon_sym_open] = ACTIONS(1684),
    [anon_sym_transparent] = ACTIONS(1684),
    [anon_sym_LPAREN] = ACTIONS(1690),
    [anon_sym_macro] = ACTIONS(1914),
    [anon_sym_BANG] = ACTIONS(1682),
    [anon_sym_TILDE] = ACTIONS(1682),
    [anon_sym_DOLLAR] = ACTIONS(1692),
    [anon_sym_SQUOTE] = ACTIONS(1694),
    [sym__backquoted_id] = ACTIONS(1696),
    [sym_operator_identifier] = ACTIONS(2308),
    [sym_integer_literal] = ACTIONS(1700),
    [sym_floating_point_literal] = ACTIONS(1702),
    [anon_sym_true] = ACTIONS(1704),
    [anon_sym_false] = ACTIONS(1704),
    [sym_character_literal] = ACTIONS(1702),
    [sym_null_literal] = ACTIONS(1706),
    [anon_sym_return] = ACTIONS(2310),
    [anon_sym_throw] = ACTIONS(2312),
    [anon_sym_do] = ACTIONS(1922),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2206),
    [sym__simple_multiline_string] = ACTIONS(1708),
    [sym__simple_string] = ACTIONS(1708),
  },
  [1060] = {
    [sym_inline_modifier] = STATE(2255),
    [sym__indentable_expression] = STATE(12070),
    [sym_block] = STATE(6954),
    [sym_indented_block] = STATE(11923),
    [sym_indented_cases] = STATE(11923),
    [sym_expression] = STATE(12206),
    [sym__simple_expression] = STATE(5438),
    [sym_lambda_expression] = STATE(12144),
    [sym_if_expression] = STATE(12144),
    [sym_match_expression] = STATE(12144),
    [sym_try_expression] = STATE(12144),
    [sym_bindings] = STATE(15515),
    [sym_case_block] = STATE(6954),
    [sym_assignment_expression] = STATE(12144),
    [sym_generic_function] = STATE(6954),
    [sym_call_expression] = STATE(6954),
    [sym_field_expression] = STATE(6954),
    [sym_instance_expression] = STATE(6954),
    [sym_ascription_expression] = STATE(12144),
    [sym_infix_expression] = STATE(8226),
    [sym_postfix_expression] = STATE(11499),
    [sym__postfix_expression_choice] = STATE(16229),
    [sym_macro_body] = STATE(12144),
    [sym_prefix_expression] = STATE(9369),
    [sym_tuple_expression] = STATE(6954),
    [sym_parenthesized_expression] = STATE(6954),
    [sym_splice_expression] = STATE(6954),
    [sym_quote_expression] = STATE(6954),
    [sym_identifier] = STATE(5276),
    [sym__soft_identifier] = STATE(4827),
    [sym_wildcard] = STATE(7444),
    [sym__non_null_literal] = STATE(6954),
    [sym_boolean_literal] = STATE(6997),
    [sym_interpolated_string_expression] = STATE(6954),
    [sym_string] = STATE(6997),
    [sym_unit] = STATE(6954),
    [sym_return_expression] = STATE(12144),
    [sym_throw_expression] = STATE(12144),
    [sym_while_expression] = STATE(12144),
    [sym_do_while_expression] = STATE(12144),
    [sym_for_expression] = STATE(12144),
    [sym_comment] = STATE(1060),
    [sym_block_comment] = STATE(1060),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(2666),
    [anon_sym_while] = ACTIONS(2314),
    [anon_sym_for] = ACTIONS(2316),
    [anon_sym_try] = ACTIONS(2318),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(2320),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1894),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(2322),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(2324),
    [anon_sym_throw] = ACTIONS(2326),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3280),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [1061] = {
    [sym_inline_modifier] = STATE(2191),
    [sym__indentable_expression] = STATE(13403),
    [sym_block] = STATE(8821),
    [sym_indented_block] = STATE(13308),
    [sym_indented_cases] = STATE(13308),
    [sym_expression] = STATE(13197),
    [sym__simple_expression] = STATE(6138),
    [sym_lambda_expression] = STATE(13337),
    [sym_if_expression] = STATE(13337),
    [sym_match_expression] = STATE(13337),
    [sym_try_expression] = STATE(13337),
    [sym_bindings] = STATE(15634),
    [sym_case_block] = STATE(8821),
    [sym_assignment_expression] = STATE(13337),
    [sym_generic_function] = STATE(8821),
    [sym_call_expression] = STATE(8821),
    [sym_field_expression] = STATE(8821),
    [sym_instance_expression] = STATE(8821),
    [sym_ascription_expression] = STATE(13337),
    [sym_infix_expression] = STATE(9659),
    [sym_postfix_expression] = STATE(13173),
    [sym__postfix_expression_choice] = STATE(16170),
    [sym_macro_body] = STATE(13337),
    [sym_prefix_expression] = STATE(9758),
    [sym_tuple_expression] = STATE(8821),
    [sym_parenthesized_expression] = STATE(8821),
    [sym_splice_expression] = STATE(8821),
    [sym_quote_expression] = STATE(8821),
    [sym_identifier] = STATE(5472),
    [sym__soft_identifier] = STATE(6446),
    [sym_wildcard] = STATE(8602),
    [sym__non_null_literal] = STATE(8821),
    [sym_boolean_literal] = STATE(8798),
    [sym_interpolated_string_expression] = STATE(8821),
    [sym_string] = STATE(8798),
    [sym_unit] = STATE(8821),
    [sym_return_expression] = STATE(13337),
    [sym_throw_expression] = STATE(13337),
    [sym_while_expression] = STATE(13337),
    [sym_do_while_expression] = STATE(13337),
    [sym_for_expression] = STATE(13337),
    [sym_comment] = STATE(1061),
    [sym_block_comment] = STATE(1061),
    [sym__alpha_identifier] = ACTIONS(1674),
    [anon_sym_LBRACE] = ACTIONS(1678),
    [anon_sym__] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1682),
    [anon_sym_DASH] = ACTIONS(1682),
    [anon_sym_end] = ACTIONS(1684),
    [anon_sym_if] = ACTIONS(2298),
    [anon_sym_while] = ACTIONS(2300),
    [anon_sym_for] = ACTIONS(2302),
    [anon_sym_try] = ACTIONS(2304),
    [anon_sym_new] = ACTIONS(1686),
    [anon_sym_opaque] = ACTIONS(1684),
    [anon_sym_implicit] = ACTIONS(2306),
    [anon_sym_inline] = ACTIONS(1688),
    [anon_sym_infix] = ACTIONS(1684),
    [anon_sym_open] = ACTIONS(1684),
    [anon_sym_transparent] = ACTIONS(1684),
    [anon_sym_LPAREN] = ACTIONS(1690),
    [anon_sym_macro] = ACTIONS(1914),
    [anon_sym_BANG] = ACTIONS(1682),
    [anon_sym_TILDE] = ACTIONS(1682),
    [anon_sym_DOLLAR] = ACTIONS(1692),
    [anon_sym_SQUOTE] = ACTIONS(1694),
    [sym__backquoted_id] = ACTIONS(1696),
    [sym_operator_identifier] = ACTIONS(2308),
    [sym_integer_literal] = ACTIONS(1700),
    [sym_floating_point_literal] = ACTIONS(1702),
    [anon_sym_true] = ACTIONS(1704),
    [anon_sym_false] = ACTIONS(1704),
    [sym_character_literal] = ACTIONS(1702),
    [sym_null_literal] = ACTIONS(1706),
    [anon_sym_return] = ACTIONS(2310),
    [anon_sym_throw] = ACTIONS(2312),
    [anon_sym_do] = ACTIONS(1922),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2206),
    [sym__simple_multiline_string] = ACTIONS(1708),
    [sym__simple_string] = ACTIONS(1708),
  },
  [1062] = {
    [sym_inline_modifier] = STATE(2181),
    [sym__indentable_expression] = STATE(11799),
    [sym_block] = STATE(5403),
    [sym_indented_block] = STATE(11085),
    [sym_indented_cases] = STATE(11085),
    [sym_expression] = STATE(11355),
    [sym__simple_expression] = STATE(4722),
    [sym_lambda_expression] = STATE(11364),
    [sym_if_expression] = STATE(11364),
    [sym_match_expression] = STATE(11364),
    [sym_try_expression] = STATE(11364),
    [sym_bindings] = STATE(15648),
    [sym_case_block] = STATE(5403),
    [sym_assignment_expression] = STATE(11364),
    [sym_generic_function] = STATE(5403),
    [sym_call_expression] = STATE(5403),
    [sym_field_expression] = STATE(5403),
    [sym_instance_expression] = STATE(5403),
    [sym_ascription_expression] = STATE(11364),
    [sym_infix_expression] = STATE(6806),
    [sym_postfix_expression] = STATE(10789),
    [sym__postfix_expression_choice] = STATE(15797),
    [sym_macro_body] = STATE(11364),
    [sym_prefix_expression] = STATE(8559),
    [sym_tuple_expression] = STATE(5403),
    [sym_parenthesized_expression] = STATE(5403),
    [sym_splice_expression] = STATE(5403),
    [sym_quote_expression] = STATE(5403),
    [sym_identifier] = STATE(4646),
    [sym__soft_identifier] = STATE(4455),
    [sym_wildcard] = STATE(6287),
    [sym__non_null_literal] = STATE(5403),
    [sym_boolean_literal] = STATE(5637),
    [sym_interpolated_string_expression] = STATE(5403),
    [sym_string] = STATE(5637),
    [sym_unit] = STATE(5403),
    [sym_return_expression] = STATE(11364),
    [sym_throw_expression] = STATE(11364),
    [sym_while_expression] = STATE(11364),
    [sym_do_while_expression] = STATE(11364),
    [sym_for_expression] = STATE(11364),
    [sym_comment] = STATE(1062),
    [sym_block_comment] = STATE(1062),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(2352),
    [anon_sym_while] = ACTIONS(1172),
    [anon_sym_for] = ACTIONS(1174),
    [anon_sym_try] = ACTIONS(1176),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1178),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1162),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1180),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1182),
    [anon_sym_throw] = ACTIONS(1184),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2282),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [1063] = {
    [sym_inline_modifier] = STATE(2191),
    [sym__indentable_expression] = STATE(13407),
    [sym_block] = STATE(8821),
    [sym_indented_block] = STATE(13308),
    [sym_indented_cases] = STATE(13308),
    [sym_expression] = STATE(13197),
    [sym__simple_expression] = STATE(6138),
    [sym_lambda_expression] = STATE(13337),
    [sym_if_expression] = STATE(13337),
    [sym_match_expression] = STATE(13337),
    [sym_try_expression] = STATE(13337),
    [sym_bindings] = STATE(15634),
    [sym_case_block] = STATE(8821),
    [sym_assignment_expression] = STATE(13337),
    [sym_generic_function] = STATE(8821),
    [sym_call_expression] = STATE(8821),
    [sym_field_expression] = STATE(8821),
    [sym_instance_expression] = STATE(8821),
    [sym_ascription_expression] = STATE(13337),
    [sym_infix_expression] = STATE(9659),
    [sym_postfix_expression] = STATE(13173),
    [sym__postfix_expression_choice] = STATE(16170),
    [sym_macro_body] = STATE(13337),
    [sym_prefix_expression] = STATE(9758),
    [sym_tuple_expression] = STATE(8821),
    [sym_parenthesized_expression] = STATE(8821),
    [sym_splice_expression] = STATE(8821),
    [sym_quote_expression] = STATE(8821),
    [sym_identifier] = STATE(5472),
    [sym__soft_identifier] = STATE(6446),
    [sym_wildcard] = STATE(8602),
    [sym__non_null_literal] = STATE(8821),
    [sym_boolean_literal] = STATE(8798),
    [sym_interpolated_string_expression] = STATE(8821),
    [sym_string] = STATE(8798),
    [sym_unit] = STATE(8821),
    [sym_return_expression] = STATE(13337),
    [sym_throw_expression] = STATE(13337),
    [sym_while_expression] = STATE(13337),
    [sym_do_while_expression] = STATE(13337),
    [sym_for_expression] = STATE(13337),
    [sym_comment] = STATE(1063),
    [sym_block_comment] = STATE(1063),
    [sym__alpha_identifier] = ACTIONS(1674),
    [anon_sym_LBRACE] = ACTIONS(1678),
    [anon_sym__] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1682),
    [anon_sym_DASH] = ACTIONS(1682),
    [anon_sym_end] = ACTIONS(1684),
    [anon_sym_if] = ACTIONS(2298),
    [anon_sym_while] = ACTIONS(2300),
    [anon_sym_for] = ACTIONS(2302),
    [anon_sym_try] = ACTIONS(2304),
    [anon_sym_new] = ACTIONS(1686),
    [anon_sym_opaque] = ACTIONS(1684),
    [anon_sym_implicit] = ACTIONS(2306),
    [anon_sym_inline] = ACTIONS(1688),
    [anon_sym_infix] = ACTIONS(1684),
    [anon_sym_open] = ACTIONS(1684),
    [anon_sym_transparent] = ACTIONS(1684),
    [anon_sym_LPAREN] = ACTIONS(1690),
    [anon_sym_macro] = ACTIONS(1914),
    [anon_sym_BANG] = ACTIONS(1682),
    [anon_sym_TILDE] = ACTIONS(1682),
    [anon_sym_DOLLAR] = ACTIONS(1692),
    [anon_sym_SQUOTE] = ACTIONS(1694),
    [sym__backquoted_id] = ACTIONS(1696),
    [sym_operator_identifier] = ACTIONS(2308),
    [sym_integer_literal] = ACTIONS(1700),
    [sym_floating_point_literal] = ACTIONS(1702),
    [anon_sym_true] = ACTIONS(1704),
    [anon_sym_false] = ACTIONS(1704),
    [sym_character_literal] = ACTIONS(1702),
    [sym_null_literal] = ACTIONS(1706),
    [anon_sym_return] = ACTIONS(2310),
    [anon_sym_throw] = ACTIONS(2312),
    [anon_sym_do] = ACTIONS(1922),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2206),
    [sym__simple_multiline_string] = ACTIONS(1708),
    [sym__simple_string] = ACTIONS(1708),
  },
  [1064] = {
    [sym_inline_modifier] = STATE(2067),
    [sym__indentable_expression] = STATE(12355),
    [sym_block] = STATE(10133),
    [sym_indented_block] = STATE(12292),
    [sym_indented_cases] = STATE(12292),
    [sym_expression] = STATE(13765),
    [sym__simple_expression] = STATE(7525),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15728),
    [sym_case_block] = STATE(10133),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(10133),
    [sym_call_expression] = STATE(10133),
    [sym_field_expression] = STATE(10133),
    [sym_instance_expression] = STATE(10133),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(10489),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(17114),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10321),
    [sym_tuple_expression] = STATE(10133),
    [sym_parenthesized_expression] = STATE(10133),
    [sym_splice_expression] = STATE(10133),
    [sym_quote_expression] = STATE(10133),
    [sym_identifier] = STATE(7070),
    [sym__soft_identifier] = STATE(4482),
    [sym_wildcard] = STATE(9321),
    [sym__non_null_literal] = STATE(10133),
    [sym_boolean_literal] = STATE(7065),
    [sym_interpolated_string_expression] = STATE(10133),
    [sym_string] = STATE(7065),
    [sym_unit] = STATE(10133),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(1064),
    [sym_block_comment] = STATE(1064),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_end] = ACTIONS(2374),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_opaque] = ACTIONS(2374),
    [anon_sym_implicit] = ACTIONS(3002),
    [anon_sym_inline] = ACTIONS(67),
    [anon_sym_infix] = ACTIONS(2374),
    [anon_sym_open] = ACTIONS(2374),
    [anon_sym_transparent] = ACTIONS(2374),
    [anon_sym_LPAREN] = ACTIONS(75),
    [anon_sym_macro] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(83),
    [sym_operator_identifier] = ACTIONS(85),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(95),
    [anon_sym_throw] = ACTIONS(97),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [1065] = {
    [sym_inline_modifier] = STATE(2076),
    [sym__indentable_expression] = STATE(13609),
    [sym_block] = STATE(9327),
    [sym_indented_block] = STATE(13548),
    [sym_indented_cases] = STATE(13548),
    [sym_expression] = STATE(13406),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(1065),
    [sym_block_comment] = STATE(1065),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(3109),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [1066] = {
    [sym_inline_modifier] = STATE(2084),
    [sym__indentable_expression] = STATE(16359),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(8831),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15722),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10635),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(655),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(8641),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(10149),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1066),
    [sym_block_comment] = STATE(1066),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2740),
    [anon_sym_while] = ACTIONS(2742),
    [anon_sym_for] = ACTIONS(2744),
    [anon_sym_try] = ACTIONS(2746),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2748),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3310),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3312),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2762),
    [anon_sym_throw] = ACTIONS(2764),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1067] = {
    [sym_inline_modifier] = STATE(2255),
    [sym__indentable_expression] = STATE(12084),
    [sym_block] = STATE(6954),
    [sym_indented_block] = STATE(11923),
    [sym_indented_cases] = STATE(11923),
    [sym_expression] = STATE(12206),
    [sym__simple_expression] = STATE(5438),
    [sym_lambda_expression] = STATE(12144),
    [sym_if_expression] = STATE(12144),
    [sym_match_expression] = STATE(12144),
    [sym_try_expression] = STATE(12144),
    [sym_bindings] = STATE(15515),
    [sym_case_block] = STATE(6954),
    [sym_assignment_expression] = STATE(12144),
    [sym_generic_function] = STATE(6954),
    [sym_call_expression] = STATE(6954),
    [sym_field_expression] = STATE(6954),
    [sym_instance_expression] = STATE(6954),
    [sym_ascription_expression] = STATE(12144),
    [sym_infix_expression] = STATE(8226),
    [sym_postfix_expression] = STATE(11499),
    [sym__postfix_expression_choice] = STATE(16229),
    [sym_macro_body] = STATE(12144),
    [sym_prefix_expression] = STATE(9369),
    [sym_tuple_expression] = STATE(6954),
    [sym_parenthesized_expression] = STATE(6954),
    [sym_splice_expression] = STATE(6954),
    [sym_quote_expression] = STATE(6954),
    [sym_identifier] = STATE(5276),
    [sym__soft_identifier] = STATE(4827),
    [sym_wildcard] = STATE(7444),
    [sym__non_null_literal] = STATE(6954),
    [sym_boolean_literal] = STATE(6997),
    [sym_interpolated_string_expression] = STATE(6954),
    [sym_string] = STATE(6997),
    [sym_unit] = STATE(6954),
    [sym_return_expression] = STATE(12144),
    [sym_throw_expression] = STATE(12144),
    [sym_while_expression] = STATE(12144),
    [sym_do_while_expression] = STATE(12144),
    [sym_for_expression] = STATE(12144),
    [sym_comment] = STATE(1067),
    [sym_block_comment] = STATE(1067),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(2666),
    [anon_sym_while] = ACTIONS(2314),
    [anon_sym_for] = ACTIONS(2316),
    [anon_sym_try] = ACTIONS(2318),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(2320),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1894),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(2322),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(2324),
    [anon_sym_throw] = ACTIONS(2326),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3280),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [1068] = {
    [sym_inline_modifier] = STATE(2060),
    [sym__indentable_expression] = STATE(11384),
    [sym_block] = STATE(6450),
    [sym_indented_block] = STATE(11535),
    [sym_indented_cases] = STATE(11535),
    [sym_expression] = STATE(11606),
    [sym__simple_expression] = STATE(5608),
    [sym_lambda_expression] = STATE(11549),
    [sym_if_expression] = STATE(11549),
    [sym_match_expression] = STATE(11549),
    [sym_try_expression] = STATE(11549),
    [sym_bindings] = STATE(15697),
    [sym_case_block] = STATE(6450),
    [sym_assignment_expression] = STATE(11549),
    [sym_generic_function] = STATE(6450),
    [sym_call_expression] = STATE(6450),
    [sym_field_expression] = STATE(6450),
    [sym_instance_expression] = STATE(6450),
    [sym_ascription_expression] = STATE(11549),
    [sym_infix_expression] = STATE(7641),
    [sym_postfix_expression] = STATE(11204),
    [sym__postfix_expression_choice] = STATE(16480),
    [sym_macro_body] = STATE(11549),
    [sym_prefix_expression] = STATE(9536),
    [sym_tuple_expression] = STATE(6450),
    [sym_parenthesized_expression] = STATE(6450),
    [sym_splice_expression] = STATE(6450),
    [sym_quote_expression] = STATE(6450),
    [sym_identifier] = STATE(5347),
    [sym__soft_identifier] = STATE(4507),
    [sym_wildcard] = STATE(7620),
    [sym__non_null_literal] = STATE(6450),
    [sym_boolean_literal] = STATE(6156),
    [sym_interpolated_string_expression] = STATE(6450),
    [sym_string] = STATE(6156),
    [sym_unit] = STATE(6450),
    [sym_return_expression] = STATE(11549),
    [sym_throw_expression] = STATE(11549),
    [sym_while_expression] = STATE(11549),
    [sym_do_while_expression] = STATE(11549),
    [sym_for_expression] = STATE(11549),
    [sym_comment] = STATE(1068),
    [sym_block_comment] = STATE(1068),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(1428),
    [anon_sym_while] = ACTIONS(1430),
    [anon_sym_for] = ACTIONS(1432),
    [anon_sym_try] = ACTIONS(1434),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1436),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1378),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1438),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1440),
    [anon_sym_throw] = ACTIONS(1442),
    [anon_sym_do] = ACTIONS(1386),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2258),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [1069] = {
    [sym_inline_modifier] = STATE(2108),
    [sym__indentable_expression] = STATE(11815),
    [sym_block] = STATE(9800),
    [sym_indented_block] = STATE(12004),
    [sym_indented_cases] = STATE(12004),
    [sym_expression] = STATE(13568),
    [sym__simple_expression] = STATE(7357),
    [sym_lambda_expression] = STATE(12046),
    [sym_if_expression] = STATE(12046),
    [sym_match_expression] = STATE(12046),
    [sym_try_expression] = STATE(12046),
    [sym_bindings] = STATE(15518),
    [sym_case_block] = STATE(9800),
    [sym_assignment_expression] = STATE(12046),
    [sym_generic_function] = STATE(9800),
    [sym_call_expression] = STATE(9800),
    [sym_field_expression] = STATE(9800),
    [sym_instance_expression] = STATE(9800),
    [sym_ascription_expression] = STATE(12046),
    [sym_infix_expression] = STATE(10315),
    [sym_postfix_expression] = STATE(11496),
    [sym__postfix_expression_choice] = STATE(15840),
    [sym_macro_body] = STATE(12046),
    [sym_prefix_expression] = STATE(9949),
    [sym_tuple_expression] = STATE(9800),
    [sym_parenthesized_expression] = STATE(9800),
    [sym_splice_expression] = STATE(9800),
    [sym_quote_expression] = STATE(9800),
    [sym_identifier] = STATE(6016),
    [sym__soft_identifier] = STATE(4545),
    [sym_wildcard] = STATE(9086),
    [sym__non_null_literal] = STATE(9800),
    [sym_boolean_literal] = STATE(6076),
    [sym_interpolated_string_expression] = STATE(9800),
    [sym_string] = STATE(6076),
    [sym_unit] = STATE(9800),
    [sym_return_expression] = STATE(12046),
    [sym_throw_expression] = STATE(12046),
    [sym_while_expression] = STATE(12046),
    [sym_do_while_expression] = STATE(12046),
    [sym_for_expression] = STATE(12046),
    [sym_comment] = STATE(1069),
    [sym_block_comment] = STATE(1069),
    [sym__alpha_identifier] = ACTIONS(2084),
    [anon_sym_LBRACE] = ACTIONS(2088),
    [anon_sym__] = ACTIONS(2090),
    [anon_sym_PLUS] = ACTIONS(2092),
    [anon_sym_DASH] = ACTIONS(2092),
    [anon_sym_end] = ACTIONS(2094),
    [anon_sym_if] = ACTIONS(2216),
    [anon_sym_while] = ACTIONS(2218),
    [anon_sym_for] = ACTIONS(2220),
    [anon_sym_try] = ACTIONS(2222),
    [anon_sym_new] = ACTIONS(2096),
    [anon_sym_opaque] = ACTIONS(2094),
    [anon_sym_implicit] = ACTIONS(2224),
    [anon_sym_inline] = ACTIONS(2098),
    [anon_sym_infix] = ACTIONS(2094),
    [anon_sym_open] = ACTIONS(2094),
    [anon_sym_transparent] = ACTIONS(2094),
    [anon_sym_LPAREN] = ACTIONS(2100),
    [anon_sym_macro] = ACTIONS(2226),
    [anon_sym_BANG] = ACTIONS(2092),
    [anon_sym_TILDE] = ACTIONS(2092),
    [anon_sym_DOLLAR] = ACTIONS(2102),
    [anon_sym_SQUOTE] = ACTIONS(2104),
    [sym__backquoted_id] = ACTIONS(2106),
    [sym_operator_identifier] = ACTIONS(2228),
    [sym_integer_literal] = ACTIONS(2110),
    [sym_floating_point_literal] = ACTIONS(2112),
    [anon_sym_true] = ACTIONS(2114),
    [anon_sym_false] = ACTIONS(2114),
    [sym_character_literal] = ACTIONS(2112),
    [sym_null_literal] = ACTIONS(2116),
    [anon_sym_return] = ACTIONS(2230),
    [anon_sym_throw] = ACTIONS(2232),
    [anon_sym_do] = ACTIONS(1856),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2234),
    [sym__simple_multiline_string] = ACTIONS(2118),
    [sym__simple_string] = ACTIONS(2118),
  },
  [1070] = {
    [sym_inline_modifier] = STATE(2076),
    [sym__indentable_expression] = STATE(13610),
    [sym_block] = STATE(9327),
    [sym_indented_block] = STATE(13548),
    [sym_indented_cases] = STATE(13548),
    [sym_expression] = STATE(13406),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(1070),
    [sym_block_comment] = STATE(1070),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(3109),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [1071] = {
    [sym_inline_modifier] = STATE(2181),
    [sym__indentable_expression] = STATE(11290),
    [sym_block] = STATE(5403),
    [sym_indented_block] = STATE(11085),
    [sym_indented_cases] = STATE(11085),
    [sym_expression] = STATE(11355),
    [sym__simple_expression] = STATE(4722),
    [sym_lambda_expression] = STATE(11364),
    [sym_if_expression] = STATE(11364),
    [sym_match_expression] = STATE(11364),
    [sym_try_expression] = STATE(11364),
    [sym_bindings] = STATE(15648),
    [sym_case_block] = STATE(5403),
    [sym_assignment_expression] = STATE(11364),
    [sym_generic_function] = STATE(5403),
    [sym_call_expression] = STATE(5403),
    [sym_field_expression] = STATE(5403),
    [sym_instance_expression] = STATE(5403),
    [sym_ascription_expression] = STATE(11364),
    [sym_infix_expression] = STATE(6806),
    [sym_postfix_expression] = STATE(10789),
    [sym__postfix_expression_choice] = STATE(15797),
    [sym_macro_body] = STATE(11364),
    [sym_prefix_expression] = STATE(8559),
    [sym_tuple_expression] = STATE(5403),
    [sym_parenthesized_expression] = STATE(5403),
    [sym_splice_expression] = STATE(5403),
    [sym_quote_expression] = STATE(5403),
    [sym_identifier] = STATE(4646),
    [sym__soft_identifier] = STATE(4455),
    [sym_wildcard] = STATE(6287),
    [sym__non_null_literal] = STATE(5403),
    [sym_boolean_literal] = STATE(5637),
    [sym_interpolated_string_expression] = STATE(5403),
    [sym_string] = STATE(5637),
    [sym_unit] = STATE(5403),
    [sym_return_expression] = STATE(11364),
    [sym_throw_expression] = STATE(11364),
    [sym_while_expression] = STATE(11364),
    [sym_do_while_expression] = STATE(11364),
    [sym_for_expression] = STATE(11364),
    [sym_comment] = STATE(1071),
    [sym_block_comment] = STATE(1071),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(2352),
    [anon_sym_while] = ACTIONS(1172),
    [anon_sym_for] = ACTIONS(1174),
    [anon_sym_try] = ACTIONS(1176),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1178),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1162),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1180),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1182),
    [anon_sym_throw] = ACTIONS(1184),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2282),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [1072] = {
    [sym_inline_modifier] = STATE(2250),
    [sym__indentable_expression] = STATE(11661),
    [sym_block] = STATE(6450),
    [sym_indented_block] = STATE(11535),
    [sym_indented_cases] = STATE(11535),
    [sym_expression] = STATE(11606),
    [sym__simple_expression] = STATE(5297),
    [sym_lambda_expression] = STATE(11549),
    [sym_if_expression] = STATE(11549),
    [sym_match_expression] = STATE(11549),
    [sym_try_expression] = STATE(11549),
    [sym_bindings] = STATE(15503),
    [sym_case_block] = STATE(6450),
    [sym_assignment_expression] = STATE(11549),
    [sym_generic_function] = STATE(6450),
    [sym_call_expression] = STATE(6450),
    [sym_field_expression] = STATE(6450),
    [sym_instance_expression] = STATE(6450),
    [sym_ascription_expression] = STATE(11549),
    [sym_infix_expression] = STATE(7641),
    [sym_postfix_expression] = STATE(11204),
    [sym__postfix_expression_choice] = STATE(16480),
    [sym_macro_body] = STATE(11549),
    [sym_prefix_expression] = STATE(8711),
    [sym_tuple_expression] = STATE(6450),
    [sym_parenthesized_expression] = STATE(6450),
    [sym_splice_expression] = STATE(6450),
    [sym_quote_expression] = STATE(6450),
    [sym_identifier] = STATE(4723),
    [sym__soft_identifier] = STATE(4507),
    [sym_wildcard] = STATE(7115),
    [sym__non_null_literal] = STATE(6450),
    [sym_boolean_literal] = STATE(6156),
    [sym_interpolated_string_expression] = STATE(6450),
    [sym_string] = STATE(6156),
    [sym_unit] = STATE(6450),
    [sym_return_expression] = STATE(11549),
    [sym_throw_expression] = STATE(11549),
    [sym_while_expression] = STATE(11549),
    [sym_do_while_expression] = STATE(11549),
    [sym_for_expression] = STATE(11549),
    [sym_comment] = STATE(1072),
    [sym_block_comment] = STATE(1072),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(2256),
    [anon_sym_while] = ACTIONS(1370),
    [anon_sym_for] = ACTIONS(1372),
    [anon_sym_try] = ACTIONS(1374),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1376),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1378),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1380),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1382),
    [anon_sym_throw] = ACTIONS(1384),
    [anon_sym_do] = ACTIONS(1386),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2258),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [1073] = {
    [sym_inline_modifier] = STATE(2132),
    [sym__indentable_expression] = STATE(12464),
    [sym_block] = STATE(6738),
    [sym_indented_block] = STATE(12372),
    [sym_indented_cases] = STATE(12372),
    [sym_expression] = STATE(12028),
    [sym__simple_expression] = STATE(6097),
    [sym_lambda_expression] = STATE(12430),
    [sym_if_expression] = STATE(12430),
    [sym_match_expression] = STATE(12430),
    [sym_try_expression] = STATE(12430),
    [sym_bindings] = STATE(15718),
    [sym_case_block] = STATE(6738),
    [sym_assignment_expression] = STATE(12430),
    [sym_generic_function] = STATE(6738),
    [sym_call_expression] = STATE(6738),
    [sym_field_expression] = STATE(6738),
    [sym_instance_expression] = STATE(6738),
    [sym_ascription_expression] = STATE(12430),
    [sym_infix_expression] = STATE(8389),
    [sym_postfix_expression] = STATE(11930),
    [sym__postfix_expression_choice] = STATE(15885),
    [sym_macro_body] = STATE(12430),
    [sym_prefix_expression] = STATE(9761),
    [sym_tuple_expression] = STATE(6738),
    [sym_parenthesized_expression] = STATE(6738),
    [sym_splice_expression] = STATE(6738),
    [sym_quote_expression] = STATE(6738),
    [sym_identifier] = STATE(5458),
    [sym__soft_identifier] = STATE(4943),
    [sym_wildcard] = STATE(8612),
    [sym__non_null_literal] = STATE(6738),
    [sym_boolean_literal] = STATE(7301),
    [sym_interpolated_string_expression] = STATE(6738),
    [sym_string] = STATE(7301),
    [sym_unit] = STATE(6738),
    [sym_return_expression] = STATE(12430),
    [sym_throw_expression] = STATE(12430),
    [sym_while_expression] = STATE(12430),
    [sym_do_while_expression] = STATE(12430),
    [sym_for_expression] = STATE(12430),
    [sym_comment] = STATE(1073),
    [sym_block_comment] = STATE(1073),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(2430),
    [anon_sym_while] = ACTIONS(2432),
    [anon_sym_for] = ACTIONS(2434),
    [anon_sym_try] = ACTIONS(2436),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(2438),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1360),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(2440),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(2442),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(1368),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2202),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [1074] = {
    [sym_inline_modifier] = STATE(2084),
    [sym__indentable_expression] = STATE(15846),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(8831),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15722),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10635),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(777),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(8641),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(10149),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1074),
    [sym_block_comment] = STATE(1074),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2740),
    [anon_sym_while] = ACTIONS(2742),
    [anon_sym_for] = ACTIONS(2744),
    [anon_sym_try] = ACTIONS(2746),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2748),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3310),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3312),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2762),
    [anon_sym_throw] = ACTIONS(2764),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1075] = {
    [sym_inline_modifier] = STATE(2122),
    [sym__indentable_expression] = STATE(11848),
    [sym_block] = STATE(6703),
    [sym_indented_block] = STATE(12004),
    [sym_indented_cases] = STATE(12004),
    [sym_expression] = STATE(12171),
    [sym__simple_expression] = STATE(6037),
    [sym_lambda_expression] = STATE(12046),
    [sym_if_expression] = STATE(12046),
    [sym_match_expression] = STATE(12046),
    [sym_try_expression] = STATE(12046),
    [sym_bindings] = STATE(15638),
    [sym_case_block] = STATE(6703),
    [sym_assignment_expression] = STATE(12046),
    [sym_generic_function] = STATE(6703),
    [sym_call_expression] = STATE(6703),
    [sym_field_expression] = STATE(6703),
    [sym_instance_expression] = STATE(6703),
    [sym_ascription_expression] = STATE(12046),
    [sym_infix_expression] = STATE(8166),
    [sym_postfix_expression] = STATE(11496),
    [sym__postfix_expression_choice] = STATE(15827),
    [sym_macro_body] = STATE(12046),
    [sym_prefix_expression] = STATE(9715),
    [sym_tuple_expression] = STATE(6703),
    [sym_parenthesized_expression] = STATE(6703),
    [sym_splice_expression] = STATE(6703),
    [sym_quote_expression] = STATE(6703),
    [sym_identifier] = STATE(5641),
    [sym__soft_identifier] = STATE(4884),
    [sym_wildcard] = STATE(8386),
    [sym__non_null_literal] = STATE(6703),
    [sym_boolean_literal] = STATE(6780),
    [sym_interpolated_string_expression] = STATE(6703),
    [sym_string] = STATE(6780),
    [sym_unit] = STATE(6703),
    [sym_return_expression] = STATE(12046),
    [sym_throw_expression] = STATE(12046),
    [sym_while_expression] = STATE(12046),
    [sym_do_while_expression] = STATE(12046),
    [sym_for_expression] = STATE(12046),
    [sym_comment] = STATE(1075),
    [sym_block_comment] = STATE(1075),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(1838),
    [anon_sym_while] = ACTIONS(1840),
    [anon_sym_for] = ACTIONS(1842),
    [anon_sym_try] = ACTIONS(1844),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(1846),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1848),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(1850),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(1852),
    [anon_sym_throw] = ACTIONS(1854),
    [anon_sym_do] = ACTIONS(1856),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2234),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [1076] = {
    [sym_inline_modifier] = STATE(2255),
    [sym__indentable_expression] = STATE(13278),
    [sym_block] = STATE(6954),
    [sym_indented_block] = STATE(11923),
    [sym_indented_cases] = STATE(11923),
    [sym_expression] = STATE(12206),
    [sym__simple_expression] = STATE(5438),
    [sym_lambda_expression] = STATE(12144),
    [sym_if_expression] = STATE(12144),
    [sym_match_expression] = STATE(12144),
    [sym_try_expression] = STATE(12144),
    [sym_bindings] = STATE(15515),
    [sym_case_block] = STATE(6954),
    [sym_assignment_expression] = STATE(12144),
    [sym_generic_function] = STATE(6954),
    [sym_call_expression] = STATE(6954),
    [sym_field_expression] = STATE(6954),
    [sym_instance_expression] = STATE(6954),
    [sym_ascription_expression] = STATE(12144),
    [sym_infix_expression] = STATE(8226),
    [sym_postfix_expression] = STATE(11499),
    [sym__postfix_expression_choice] = STATE(16229),
    [sym_macro_body] = STATE(12144),
    [sym_prefix_expression] = STATE(9369),
    [sym_tuple_expression] = STATE(6954),
    [sym_parenthesized_expression] = STATE(6954),
    [sym_splice_expression] = STATE(6954),
    [sym_quote_expression] = STATE(6954),
    [sym_identifier] = STATE(5276),
    [sym__soft_identifier] = STATE(4827),
    [sym_wildcard] = STATE(7444),
    [sym__non_null_literal] = STATE(6954),
    [sym_boolean_literal] = STATE(6997),
    [sym_interpolated_string_expression] = STATE(6954),
    [sym_string] = STATE(6997),
    [sym_unit] = STATE(6954),
    [sym_return_expression] = STATE(12144),
    [sym_throw_expression] = STATE(12144),
    [sym_while_expression] = STATE(12144),
    [sym_do_while_expression] = STATE(12144),
    [sym_for_expression] = STATE(12144),
    [sym_comment] = STATE(1076),
    [sym_block_comment] = STATE(1076),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(2666),
    [anon_sym_while] = ACTIONS(2314),
    [anon_sym_for] = ACTIONS(2316),
    [anon_sym_try] = ACTIONS(2318),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(2320),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1894),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(2322),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(2324),
    [anon_sym_throw] = ACTIONS(2326),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3280),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [1077] = {
    [sym_inline_modifier] = STATE(2108),
    [sym__indentable_expression] = STATE(11819),
    [sym_block] = STATE(9800),
    [sym_indented_block] = STATE(12004),
    [sym_indented_cases] = STATE(12004),
    [sym_expression] = STATE(13568),
    [sym__simple_expression] = STATE(7357),
    [sym_lambda_expression] = STATE(12046),
    [sym_if_expression] = STATE(12046),
    [sym_match_expression] = STATE(12046),
    [sym_try_expression] = STATE(12046),
    [sym_bindings] = STATE(15518),
    [sym_case_block] = STATE(9800),
    [sym_assignment_expression] = STATE(12046),
    [sym_generic_function] = STATE(9800),
    [sym_call_expression] = STATE(9800),
    [sym_field_expression] = STATE(9800),
    [sym_instance_expression] = STATE(9800),
    [sym_ascription_expression] = STATE(12046),
    [sym_infix_expression] = STATE(10315),
    [sym_postfix_expression] = STATE(11496),
    [sym__postfix_expression_choice] = STATE(15840),
    [sym_macro_body] = STATE(12046),
    [sym_prefix_expression] = STATE(9949),
    [sym_tuple_expression] = STATE(9800),
    [sym_parenthesized_expression] = STATE(9800),
    [sym_splice_expression] = STATE(9800),
    [sym_quote_expression] = STATE(9800),
    [sym_identifier] = STATE(6016),
    [sym__soft_identifier] = STATE(4545),
    [sym_wildcard] = STATE(9086),
    [sym__non_null_literal] = STATE(9800),
    [sym_boolean_literal] = STATE(6076),
    [sym_interpolated_string_expression] = STATE(9800),
    [sym_string] = STATE(6076),
    [sym_unit] = STATE(9800),
    [sym_return_expression] = STATE(12046),
    [sym_throw_expression] = STATE(12046),
    [sym_while_expression] = STATE(12046),
    [sym_do_while_expression] = STATE(12046),
    [sym_for_expression] = STATE(12046),
    [sym_comment] = STATE(1077),
    [sym_block_comment] = STATE(1077),
    [sym__alpha_identifier] = ACTIONS(2084),
    [anon_sym_LBRACE] = ACTIONS(2088),
    [anon_sym__] = ACTIONS(2090),
    [anon_sym_PLUS] = ACTIONS(2092),
    [anon_sym_DASH] = ACTIONS(2092),
    [anon_sym_end] = ACTIONS(2094),
    [anon_sym_if] = ACTIONS(2216),
    [anon_sym_while] = ACTIONS(2218),
    [anon_sym_for] = ACTIONS(2220),
    [anon_sym_try] = ACTIONS(2222),
    [anon_sym_new] = ACTIONS(2096),
    [anon_sym_opaque] = ACTIONS(2094),
    [anon_sym_implicit] = ACTIONS(2224),
    [anon_sym_inline] = ACTIONS(2098),
    [anon_sym_infix] = ACTIONS(2094),
    [anon_sym_open] = ACTIONS(2094),
    [anon_sym_transparent] = ACTIONS(2094),
    [anon_sym_LPAREN] = ACTIONS(2100),
    [anon_sym_macro] = ACTIONS(2226),
    [anon_sym_BANG] = ACTIONS(2092),
    [anon_sym_TILDE] = ACTIONS(2092),
    [anon_sym_DOLLAR] = ACTIONS(2102),
    [anon_sym_SQUOTE] = ACTIONS(2104),
    [sym__backquoted_id] = ACTIONS(2106),
    [sym_operator_identifier] = ACTIONS(2228),
    [sym_integer_literal] = ACTIONS(2110),
    [sym_floating_point_literal] = ACTIONS(2112),
    [anon_sym_true] = ACTIONS(2114),
    [anon_sym_false] = ACTIONS(2114),
    [sym_character_literal] = ACTIONS(2112),
    [sym_null_literal] = ACTIONS(2116),
    [anon_sym_return] = ACTIONS(2230),
    [anon_sym_throw] = ACTIONS(2232),
    [anon_sym_do] = ACTIONS(1856),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2234),
    [sym__simple_multiline_string] = ACTIONS(2118),
    [sym__simple_string] = ACTIONS(2118),
  },
  [1078] = {
    [sym_inline_modifier] = STATE(2108),
    [sym__indentable_expression] = STATE(11822),
    [sym_block] = STATE(9800),
    [sym_indented_block] = STATE(12004),
    [sym_indented_cases] = STATE(12004),
    [sym_expression] = STATE(13568),
    [sym__simple_expression] = STATE(7357),
    [sym_lambda_expression] = STATE(12046),
    [sym_if_expression] = STATE(12046),
    [sym_match_expression] = STATE(12046),
    [sym_try_expression] = STATE(12046),
    [sym_bindings] = STATE(15518),
    [sym_case_block] = STATE(9800),
    [sym_assignment_expression] = STATE(12046),
    [sym_generic_function] = STATE(9800),
    [sym_call_expression] = STATE(9800),
    [sym_field_expression] = STATE(9800),
    [sym_instance_expression] = STATE(9800),
    [sym_ascription_expression] = STATE(12046),
    [sym_infix_expression] = STATE(10315),
    [sym_postfix_expression] = STATE(11496),
    [sym__postfix_expression_choice] = STATE(15840),
    [sym_macro_body] = STATE(12046),
    [sym_prefix_expression] = STATE(9949),
    [sym_tuple_expression] = STATE(9800),
    [sym_parenthesized_expression] = STATE(9800),
    [sym_splice_expression] = STATE(9800),
    [sym_quote_expression] = STATE(9800),
    [sym_identifier] = STATE(6016),
    [sym__soft_identifier] = STATE(4545),
    [sym_wildcard] = STATE(9086),
    [sym__non_null_literal] = STATE(9800),
    [sym_boolean_literal] = STATE(6076),
    [sym_interpolated_string_expression] = STATE(9800),
    [sym_string] = STATE(6076),
    [sym_unit] = STATE(9800),
    [sym_return_expression] = STATE(12046),
    [sym_throw_expression] = STATE(12046),
    [sym_while_expression] = STATE(12046),
    [sym_do_while_expression] = STATE(12046),
    [sym_for_expression] = STATE(12046),
    [sym_comment] = STATE(1078),
    [sym_block_comment] = STATE(1078),
    [sym__alpha_identifier] = ACTIONS(2084),
    [anon_sym_LBRACE] = ACTIONS(2088),
    [anon_sym__] = ACTIONS(2090),
    [anon_sym_PLUS] = ACTIONS(2092),
    [anon_sym_DASH] = ACTIONS(2092),
    [anon_sym_end] = ACTIONS(2094),
    [anon_sym_if] = ACTIONS(2216),
    [anon_sym_while] = ACTIONS(2218),
    [anon_sym_for] = ACTIONS(2220),
    [anon_sym_try] = ACTIONS(2222),
    [anon_sym_new] = ACTIONS(2096),
    [anon_sym_opaque] = ACTIONS(2094),
    [anon_sym_implicit] = ACTIONS(2224),
    [anon_sym_inline] = ACTIONS(2098),
    [anon_sym_infix] = ACTIONS(2094),
    [anon_sym_open] = ACTIONS(2094),
    [anon_sym_transparent] = ACTIONS(2094),
    [anon_sym_LPAREN] = ACTIONS(2100),
    [anon_sym_macro] = ACTIONS(2226),
    [anon_sym_BANG] = ACTIONS(2092),
    [anon_sym_TILDE] = ACTIONS(2092),
    [anon_sym_DOLLAR] = ACTIONS(2102),
    [anon_sym_SQUOTE] = ACTIONS(2104),
    [sym__backquoted_id] = ACTIONS(2106),
    [sym_operator_identifier] = ACTIONS(2228),
    [sym_integer_literal] = ACTIONS(2110),
    [sym_floating_point_literal] = ACTIONS(2112),
    [anon_sym_true] = ACTIONS(2114),
    [anon_sym_false] = ACTIONS(2114),
    [sym_character_literal] = ACTIONS(2112),
    [sym_null_literal] = ACTIONS(2116),
    [anon_sym_return] = ACTIONS(2230),
    [anon_sym_throw] = ACTIONS(2232),
    [anon_sym_do] = ACTIONS(1856),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2234),
    [sym__simple_multiline_string] = ACTIONS(2118),
    [sym__simple_string] = ACTIONS(2118),
  },
  [1079] = {
    [sym_inline_modifier] = STATE(2108),
    [sym__indentable_expression] = STATE(11823),
    [sym_block] = STATE(9800),
    [sym_indented_block] = STATE(12004),
    [sym_indented_cases] = STATE(12004),
    [sym_expression] = STATE(13568),
    [sym__simple_expression] = STATE(7357),
    [sym_lambda_expression] = STATE(12046),
    [sym_if_expression] = STATE(12046),
    [sym_match_expression] = STATE(12046),
    [sym_try_expression] = STATE(12046),
    [sym_bindings] = STATE(15518),
    [sym_case_block] = STATE(9800),
    [sym_assignment_expression] = STATE(12046),
    [sym_generic_function] = STATE(9800),
    [sym_call_expression] = STATE(9800),
    [sym_field_expression] = STATE(9800),
    [sym_instance_expression] = STATE(9800),
    [sym_ascription_expression] = STATE(12046),
    [sym_infix_expression] = STATE(10315),
    [sym_postfix_expression] = STATE(11496),
    [sym__postfix_expression_choice] = STATE(15840),
    [sym_macro_body] = STATE(12046),
    [sym_prefix_expression] = STATE(9949),
    [sym_tuple_expression] = STATE(9800),
    [sym_parenthesized_expression] = STATE(9800),
    [sym_splice_expression] = STATE(9800),
    [sym_quote_expression] = STATE(9800),
    [sym_identifier] = STATE(6016),
    [sym__soft_identifier] = STATE(4545),
    [sym_wildcard] = STATE(9086),
    [sym__non_null_literal] = STATE(9800),
    [sym_boolean_literal] = STATE(6076),
    [sym_interpolated_string_expression] = STATE(9800),
    [sym_string] = STATE(6076),
    [sym_unit] = STATE(9800),
    [sym_return_expression] = STATE(12046),
    [sym_throw_expression] = STATE(12046),
    [sym_while_expression] = STATE(12046),
    [sym_do_while_expression] = STATE(12046),
    [sym_for_expression] = STATE(12046),
    [sym_comment] = STATE(1079),
    [sym_block_comment] = STATE(1079),
    [sym__alpha_identifier] = ACTIONS(2084),
    [anon_sym_LBRACE] = ACTIONS(2088),
    [anon_sym__] = ACTIONS(2090),
    [anon_sym_PLUS] = ACTIONS(2092),
    [anon_sym_DASH] = ACTIONS(2092),
    [anon_sym_end] = ACTIONS(2094),
    [anon_sym_if] = ACTIONS(2216),
    [anon_sym_while] = ACTIONS(2218),
    [anon_sym_for] = ACTIONS(2220),
    [anon_sym_try] = ACTIONS(2222),
    [anon_sym_new] = ACTIONS(2096),
    [anon_sym_opaque] = ACTIONS(2094),
    [anon_sym_implicit] = ACTIONS(2224),
    [anon_sym_inline] = ACTIONS(2098),
    [anon_sym_infix] = ACTIONS(2094),
    [anon_sym_open] = ACTIONS(2094),
    [anon_sym_transparent] = ACTIONS(2094),
    [anon_sym_LPAREN] = ACTIONS(2100),
    [anon_sym_macro] = ACTIONS(2226),
    [anon_sym_BANG] = ACTIONS(2092),
    [anon_sym_TILDE] = ACTIONS(2092),
    [anon_sym_DOLLAR] = ACTIONS(2102),
    [anon_sym_SQUOTE] = ACTIONS(2104),
    [sym__backquoted_id] = ACTIONS(2106),
    [sym_operator_identifier] = ACTIONS(2228),
    [sym_integer_literal] = ACTIONS(2110),
    [sym_floating_point_literal] = ACTIONS(2112),
    [anon_sym_true] = ACTIONS(2114),
    [anon_sym_false] = ACTIONS(2114),
    [sym_character_literal] = ACTIONS(2112),
    [sym_null_literal] = ACTIONS(2116),
    [anon_sym_return] = ACTIONS(2230),
    [anon_sym_throw] = ACTIONS(2232),
    [anon_sym_do] = ACTIONS(1856),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2234),
    [sym__simple_multiline_string] = ACTIONS(2118),
    [sym__simple_string] = ACTIONS(2118),
  },
  [1080] = {
    [sym_inline_modifier] = STATE(2122),
    [sym__indentable_expression] = STATE(11883),
    [sym_block] = STATE(6703),
    [sym_indented_block] = STATE(12004),
    [sym_indented_cases] = STATE(12004),
    [sym_expression] = STATE(12171),
    [sym__simple_expression] = STATE(6037),
    [sym_lambda_expression] = STATE(12046),
    [sym_if_expression] = STATE(12046),
    [sym_match_expression] = STATE(12046),
    [sym_try_expression] = STATE(12046),
    [sym_bindings] = STATE(15638),
    [sym_case_block] = STATE(6703),
    [sym_assignment_expression] = STATE(12046),
    [sym_generic_function] = STATE(6703),
    [sym_call_expression] = STATE(6703),
    [sym_field_expression] = STATE(6703),
    [sym_instance_expression] = STATE(6703),
    [sym_ascription_expression] = STATE(12046),
    [sym_infix_expression] = STATE(8166),
    [sym_postfix_expression] = STATE(11496),
    [sym__postfix_expression_choice] = STATE(15827),
    [sym_macro_body] = STATE(12046),
    [sym_prefix_expression] = STATE(9715),
    [sym_tuple_expression] = STATE(6703),
    [sym_parenthesized_expression] = STATE(6703),
    [sym_splice_expression] = STATE(6703),
    [sym_quote_expression] = STATE(6703),
    [sym_identifier] = STATE(5641),
    [sym__soft_identifier] = STATE(4884),
    [sym_wildcard] = STATE(8386),
    [sym__non_null_literal] = STATE(6703),
    [sym_boolean_literal] = STATE(6780),
    [sym_interpolated_string_expression] = STATE(6703),
    [sym_string] = STATE(6780),
    [sym_unit] = STATE(6703),
    [sym_return_expression] = STATE(12046),
    [sym_throw_expression] = STATE(12046),
    [sym_while_expression] = STATE(12046),
    [sym_do_while_expression] = STATE(12046),
    [sym_for_expression] = STATE(12046),
    [sym_comment] = STATE(1080),
    [sym_block_comment] = STATE(1080),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(1838),
    [anon_sym_while] = ACTIONS(1840),
    [anon_sym_for] = ACTIONS(1842),
    [anon_sym_try] = ACTIONS(1844),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(1846),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1848),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(1850),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(1852),
    [anon_sym_throw] = ACTIONS(1854),
    [anon_sym_do] = ACTIONS(1856),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2234),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [1081] = {
    [sym_inline_modifier] = STATE(2181),
    [sym__indentable_expression] = STATE(11274),
    [sym_block] = STATE(5403),
    [sym_indented_block] = STATE(11085),
    [sym_indented_cases] = STATE(11085),
    [sym_expression] = STATE(11355),
    [sym__simple_expression] = STATE(4722),
    [sym_lambda_expression] = STATE(11364),
    [sym_if_expression] = STATE(11364),
    [sym_match_expression] = STATE(11364),
    [sym_try_expression] = STATE(11364),
    [sym_bindings] = STATE(15648),
    [sym_case_block] = STATE(5403),
    [sym_assignment_expression] = STATE(11364),
    [sym_generic_function] = STATE(5403),
    [sym_call_expression] = STATE(5403),
    [sym_field_expression] = STATE(5403),
    [sym_instance_expression] = STATE(5403),
    [sym_ascription_expression] = STATE(11364),
    [sym_infix_expression] = STATE(6806),
    [sym_postfix_expression] = STATE(10789),
    [sym__postfix_expression_choice] = STATE(15797),
    [sym_macro_body] = STATE(11364),
    [sym_prefix_expression] = STATE(8559),
    [sym_tuple_expression] = STATE(5403),
    [sym_parenthesized_expression] = STATE(5403),
    [sym_splice_expression] = STATE(5403),
    [sym_quote_expression] = STATE(5403),
    [sym_identifier] = STATE(4646),
    [sym__soft_identifier] = STATE(4455),
    [sym_wildcard] = STATE(6287),
    [sym__non_null_literal] = STATE(5403),
    [sym_boolean_literal] = STATE(5637),
    [sym_interpolated_string_expression] = STATE(5403),
    [sym_string] = STATE(5637),
    [sym_unit] = STATE(5403),
    [sym_return_expression] = STATE(11364),
    [sym_throw_expression] = STATE(11364),
    [sym_while_expression] = STATE(11364),
    [sym_do_while_expression] = STATE(11364),
    [sym_for_expression] = STATE(11364),
    [sym_comment] = STATE(1081),
    [sym_block_comment] = STATE(1081),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(2352),
    [anon_sym_while] = ACTIONS(1172),
    [anon_sym_for] = ACTIONS(1174),
    [anon_sym_try] = ACTIONS(1176),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1178),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1162),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1180),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1182),
    [anon_sym_throw] = ACTIONS(1184),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2282),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [1082] = {
    [sym_inline_modifier] = STATE(2250),
    [sym__indentable_expression] = STATE(11671),
    [sym_block] = STATE(6450),
    [sym_indented_block] = STATE(11535),
    [sym_indented_cases] = STATE(11535),
    [sym_expression] = STATE(11606),
    [sym__simple_expression] = STATE(5297),
    [sym_lambda_expression] = STATE(11549),
    [sym_if_expression] = STATE(11549),
    [sym_match_expression] = STATE(11549),
    [sym_try_expression] = STATE(11549),
    [sym_bindings] = STATE(15503),
    [sym_case_block] = STATE(6450),
    [sym_assignment_expression] = STATE(11549),
    [sym_generic_function] = STATE(6450),
    [sym_call_expression] = STATE(6450),
    [sym_field_expression] = STATE(6450),
    [sym_instance_expression] = STATE(6450),
    [sym_ascription_expression] = STATE(11549),
    [sym_infix_expression] = STATE(7641),
    [sym_postfix_expression] = STATE(11204),
    [sym__postfix_expression_choice] = STATE(16480),
    [sym_macro_body] = STATE(11549),
    [sym_prefix_expression] = STATE(8711),
    [sym_tuple_expression] = STATE(6450),
    [sym_parenthesized_expression] = STATE(6450),
    [sym_splice_expression] = STATE(6450),
    [sym_quote_expression] = STATE(6450),
    [sym_identifier] = STATE(4723),
    [sym__soft_identifier] = STATE(4507),
    [sym_wildcard] = STATE(7115),
    [sym__non_null_literal] = STATE(6450),
    [sym_boolean_literal] = STATE(6156),
    [sym_interpolated_string_expression] = STATE(6450),
    [sym_string] = STATE(6156),
    [sym_unit] = STATE(6450),
    [sym_return_expression] = STATE(11549),
    [sym_throw_expression] = STATE(11549),
    [sym_while_expression] = STATE(11549),
    [sym_do_while_expression] = STATE(11549),
    [sym_for_expression] = STATE(11549),
    [sym_comment] = STATE(1082),
    [sym_block_comment] = STATE(1082),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(2256),
    [anon_sym_while] = ACTIONS(1370),
    [anon_sym_for] = ACTIONS(1372),
    [anon_sym_try] = ACTIONS(1374),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1376),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1378),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1380),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1382),
    [anon_sym_throw] = ACTIONS(1384),
    [anon_sym_do] = ACTIONS(1386),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2258),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [1083] = {
    [sym_inline_modifier] = STATE(2181),
    [sym__indentable_expression] = STATE(11272),
    [sym_block] = STATE(5403),
    [sym_indented_block] = STATE(11085),
    [sym_indented_cases] = STATE(11085),
    [sym_expression] = STATE(11355),
    [sym__simple_expression] = STATE(4722),
    [sym_lambda_expression] = STATE(11364),
    [sym_if_expression] = STATE(11364),
    [sym_match_expression] = STATE(11364),
    [sym_try_expression] = STATE(11364),
    [sym_bindings] = STATE(15648),
    [sym_case_block] = STATE(5403),
    [sym_assignment_expression] = STATE(11364),
    [sym_generic_function] = STATE(5403),
    [sym_call_expression] = STATE(5403),
    [sym_field_expression] = STATE(5403),
    [sym_instance_expression] = STATE(5403),
    [sym_ascription_expression] = STATE(11364),
    [sym_infix_expression] = STATE(6806),
    [sym_postfix_expression] = STATE(10789),
    [sym__postfix_expression_choice] = STATE(15797),
    [sym_macro_body] = STATE(11364),
    [sym_prefix_expression] = STATE(8559),
    [sym_tuple_expression] = STATE(5403),
    [sym_parenthesized_expression] = STATE(5403),
    [sym_splice_expression] = STATE(5403),
    [sym_quote_expression] = STATE(5403),
    [sym_identifier] = STATE(4646),
    [sym__soft_identifier] = STATE(4455),
    [sym_wildcard] = STATE(6287),
    [sym__non_null_literal] = STATE(5403),
    [sym_boolean_literal] = STATE(5637),
    [sym_interpolated_string_expression] = STATE(5403),
    [sym_string] = STATE(5637),
    [sym_unit] = STATE(5403),
    [sym_return_expression] = STATE(11364),
    [sym_throw_expression] = STATE(11364),
    [sym_while_expression] = STATE(11364),
    [sym_do_while_expression] = STATE(11364),
    [sym_for_expression] = STATE(11364),
    [sym_comment] = STATE(1083),
    [sym_block_comment] = STATE(1083),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(2352),
    [anon_sym_while] = ACTIONS(1172),
    [anon_sym_for] = ACTIONS(1174),
    [anon_sym_try] = ACTIONS(1176),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1178),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1162),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1180),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1182),
    [anon_sym_throw] = ACTIONS(1184),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2282),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [1084] = {
    [sym_inline_modifier] = STATE(2067),
    [sym__indentable_expression] = STATE(13960),
    [sym_block] = STATE(10133),
    [sym_indented_block] = STATE(12292),
    [sym_indented_cases] = STATE(12292),
    [sym_expression] = STATE(13765),
    [sym__simple_expression] = STATE(7525),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15728),
    [sym_case_block] = STATE(10133),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(10133),
    [sym_call_expression] = STATE(10133),
    [sym_field_expression] = STATE(10133),
    [sym_instance_expression] = STATE(10133),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(10489),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(17114),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10321),
    [sym_tuple_expression] = STATE(10133),
    [sym_parenthesized_expression] = STATE(10133),
    [sym_splice_expression] = STATE(10133),
    [sym_quote_expression] = STATE(10133),
    [sym_identifier] = STATE(7070),
    [sym__soft_identifier] = STATE(4482),
    [sym_wildcard] = STATE(9321),
    [sym__non_null_literal] = STATE(10133),
    [sym_boolean_literal] = STATE(7065),
    [sym_interpolated_string_expression] = STATE(10133),
    [sym_string] = STATE(7065),
    [sym_unit] = STATE(10133),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(1084),
    [sym_block_comment] = STATE(1084),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_end] = ACTIONS(2374),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_opaque] = ACTIONS(2374),
    [anon_sym_implicit] = ACTIONS(3002),
    [anon_sym_inline] = ACTIONS(67),
    [anon_sym_infix] = ACTIONS(2374),
    [anon_sym_open] = ACTIONS(2374),
    [anon_sym_transparent] = ACTIONS(2374),
    [anon_sym_LPAREN] = ACTIONS(75),
    [anon_sym_macro] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(83),
    [sym_operator_identifier] = ACTIONS(85),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(95),
    [anon_sym_throw] = ACTIONS(97),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [1085] = {
    [sym_inline_modifier] = STATE(2181),
    [sym__indentable_expression] = STATE(11249),
    [sym_block] = STATE(5403),
    [sym_indented_block] = STATE(11085),
    [sym_indented_cases] = STATE(11085),
    [sym_expression] = STATE(11355),
    [sym__simple_expression] = STATE(4722),
    [sym_lambda_expression] = STATE(11364),
    [sym_if_expression] = STATE(11364),
    [sym_match_expression] = STATE(11364),
    [sym_try_expression] = STATE(11364),
    [sym_bindings] = STATE(15648),
    [sym_case_block] = STATE(5403),
    [sym_assignment_expression] = STATE(11364),
    [sym_generic_function] = STATE(5403),
    [sym_call_expression] = STATE(5403),
    [sym_field_expression] = STATE(5403),
    [sym_instance_expression] = STATE(5403),
    [sym_ascription_expression] = STATE(11364),
    [sym_infix_expression] = STATE(6806),
    [sym_postfix_expression] = STATE(10789),
    [sym__postfix_expression_choice] = STATE(15797),
    [sym_macro_body] = STATE(11364),
    [sym_prefix_expression] = STATE(8559),
    [sym_tuple_expression] = STATE(5403),
    [sym_parenthesized_expression] = STATE(5403),
    [sym_splice_expression] = STATE(5403),
    [sym_quote_expression] = STATE(5403),
    [sym_identifier] = STATE(4646),
    [sym__soft_identifier] = STATE(4455),
    [sym_wildcard] = STATE(6287),
    [sym__non_null_literal] = STATE(5403),
    [sym_boolean_literal] = STATE(5637),
    [sym_interpolated_string_expression] = STATE(5403),
    [sym_string] = STATE(5637),
    [sym_unit] = STATE(5403),
    [sym_return_expression] = STATE(11364),
    [sym_throw_expression] = STATE(11364),
    [sym_while_expression] = STATE(11364),
    [sym_do_while_expression] = STATE(11364),
    [sym_for_expression] = STATE(11364),
    [sym_comment] = STATE(1085),
    [sym_block_comment] = STATE(1085),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(2352),
    [anon_sym_while] = ACTIONS(1172),
    [anon_sym_for] = ACTIONS(1174),
    [anon_sym_try] = ACTIONS(1176),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1178),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1162),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1180),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1182),
    [anon_sym_throw] = ACTIONS(1184),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2282),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [1086] = {
    [sym_inline_modifier] = STATE(2255),
    [sym__indentable_expression] = STATE(13327),
    [sym_block] = STATE(6954),
    [sym_indented_block] = STATE(11923),
    [sym_indented_cases] = STATE(11923),
    [sym_expression] = STATE(12206),
    [sym__simple_expression] = STATE(5438),
    [sym_lambda_expression] = STATE(12144),
    [sym_if_expression] = STATE(12144),
    [sym_match_expression] = STATE(12144),
    [sym_try_expression] = STATE(12144),
    [sym_bindings] = STATE(15515),
    [sym_case_block] = STATE(6954),
    [sym_assignment_expression] = STATE(12144),
    [sym_generic_function] = STATE(6954),
    [sym_call_expression] = STATE(6954),
    [sym_field_expression] = STATE(6954),
    [sym_instance_expression] = STATE(6954),
    [sym_ascription_expression] = STATE(12144),
    [sym_infix_expression] = STATE(8226),
    [sym_postfix_expression] = STATE(11499),
    [sym__postfix_expression_choice] = STATE(16229),
    [sym_macro_body] = STATE(12144),
    [sym_prefix_expression] = STATE(9369),
    [sym_tuple_expression] = STATE(6954),
    [sym_parenthesized_expression] = STATE(6954),
    [sym_splice_expression] = STATE(6954),
    [sym_quote_expression] = STATE(6954),
    [sym_identifier] = STATE(5276),
    [sym__soft_identifier] = STATE(4827),
    [sym_wildcard] = STATE(7444),
    [sym__non_null_literal] = STATE(6954),
    [sym_boolean_literal] = STATE(6997),
    [sym_interpolated_string_expression] = STATE(6954),
    [sym_string] = STATE(6997),
    [sym_unit] = STATE(6954),
    [sym_return_expression] = STATE(12144),
    [sym_throw_expression] = STATE(12144),
    [sym_while_expression] = STATE(12144),
    [sym_do_while_expression] = STATE(12144),
    [sym_for_expression] = STATE(12144),
    [sym_comment] = STATE(1086),
    [sym_block_comment] = STATE(1086),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(2666),
    [anon_sym_while] = ACTIONS(2314),
    [anon_sym_for] = ACTIONS(2316),
    [anon_sym_try] = ACTIONS(2318),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(2320),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1894),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(2322),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(2324),
    [anon_sym_throw] = ACTIONS(2326),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3280),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [1087] = {
    [sym_inline_modifier] = STATE(2181),
    [sym__indentable_expression] = STATE(11242),
    [sym_block] = STATE(5403),
    [sym_indented_block] = STATE(11085),
    [sym_indented_cases] = STATE(11085),
    [sym_expression] = STATE(11355),
    [sym__simple_expression] = STATE(4722),
    [sym_lambda_expression] = STATE(11364),
    [sym_if_expression] = STATE(11364),
    [sym_match_expression] = STATE(11364),
    [sym_try_expression] = STATE(11364),
    [sym_bindings] = STATE(15648),
    [sym_case_block] = STATE(5403),
    [sym_assignment_expression] = STATE(11364),
    [sym_generic_function] = STATE(5403),
    [sym_call_expression] = STATE(5403),
    [sym_field_expression] = STATE(5403),
    [sym_instance_expression] = STATE(5403),
    [sym_ascription_expression] = STATE(11364),
    [sym_infix_expression] = STATE(6806),
    [sym_postfix_expression] = STATE(10789),
    [sym__postfix_expression_choice] = STATE(15797),
    [sym_macro_body] = STATE(11364),
    [sym_prefix_expression] = STATE(8559),
    [sym_tuple_expression] = STATE(5403),
    [sym_parenthesized_expression] = STATE(5403),
    [sym_splice_expression] = STATE(5403),
    [sym_quote_expression] = STATE(5403),
    [sym_identifier] = STATE(4646),
    [sym__soft_identifier] = STATE(4455),
    [sym_wildcard] = STATE(6287),
    [sym__non_null_literal] = STATE(5403),
    [sym_boolean_literal] = STATE(5637),
    [sym_interpolated_string_expression] = STATE(5403),
    [sym_string] = STATE(5637),
    [sym_unit] = STATE(5403),
    [sym_return_expression] = STATE(11364),
    [sym_throw_expression] = STATE(11364),
    [sym_while_expression] = STATE(11364),
    [sym_do_while_expression] = STATE(11364),
    [sym_for_expression] = STATE(11364),
    [sym_comment] = STATE(1087),
    [sym_block_comment] = STATE(1087),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(2352),
    [anon_sym_while] = ACTIONS(1172),
    [anon_sym_for] = ACTIONS(1174),
    [anon_sym_try] = ACTIONS(1176),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1178),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1162),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1180),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1182),
    [anon_sym_throw] = ACTIONS(1184),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2282),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [1088] = {
    [sym_inline_modifier] = STATE(2122),
    [sym__indentable_expression] = STATE(11866),
    [sym_block] = STATE(6703),
    [sym_indented_block] = STATE(12004),
    [sym_indented_cases] = STATE(12004),
    [sym_expression] = STATE(12171),
    [sym__simple_expression] = STATE(6037),
    [sym_lambda_expression] = STATE(12046),
    [sym_if_expression] = STATE(12046),
    [sym_match_expression] = STATE(12046),
    [sym_try_expression] = STATE(12046),
    [sym_bindings] = STATE(15638),
    [sym_case_block] = STATE(6703),
    [sym_assignment_expression] = STATE(12046),
    [sym_generic_function] = STATE(6703),
    [sym_call_expression] = STATE(6703),
    [sym_field_expression] = STATE(6703),
    [sym_instance_expression] = STATE(6703),
    [sym_ascription_expression] = STATE(12046),
    [sym_infix_expression] = STATE(8166),
    [sym_postfix_expression] = STATE(11496),
    [sym__postfix_expression_choice] = STATE(15827),
    [sym_macro_body] = STATE(12046),
    [sym_prefix_expression] = STATE(9715),
    [sym_tuple_expression] = STATE(6703),
    [sym_parenthesized_expression] = STATE(6703),
    [sym_splice_expression] = STATE(6703),
    [sym_quote_expression] = STATE(6703),
    [sym_identifier] = STATE(5641),
    [sym__soft_identifier] = STATE(4884),
    [sym_wildcard] = STATE(8386),
    [sym__non_null_literal] = STATE(6703),
    [sym_boolean_literal] = STATE(6780),
    [sym_interpolated_string_expression] = STATE(6703),
    [sym_string] = STATE(6780),
    [sym_unit] = STATE(6703),
    [sym_return_expression] = STATE(12046),
    [sym_throw_expression] = STATE(12046),
    [sym_while_expression] = STATE(12046),
    [sym_do_while_expression] = STATE(12046),
    [sym_for_expression] = STATE(12046),
    [sym_comment] = STATE(1088),
    [sym_block_comment] = STATE(1088),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(1838),
    [anon_sym_while] = ACTIONS(1840),
    [anon_sym_for] = ACTIONS(1842),
    [anon_sym_try] = ACTIONS(1844),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(1846),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1848),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(1850),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(1852),
    [anon_sym_throw] = ACTIONS(1854),
    [anon_sym_do] = ACTIONS(1856),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2234),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [1089] = {
    [sym_inline_modifier] = STATE(2181),
    [sym__indentable_expression] = STATE(11211),
    [sym_block] = STATE(5403),
    [sym_indented_block] = STATE(11085),
    [sym_indented_cases] = STATE(11085),
    [sym_expression] = STATE(11355),
    [sym__simple_expression] = STATE(4722),
    [sym_lambda_expression] = STATE(11364),
    [sym_if_expression] = STATE(11364),
    [sym_match_expression] = STATE(11364),
    [sym_try_expression] = STATE(11364),
    [sym_bindings] = STATE(15648),
    [sym_case_block] = STATE(5403),
    [sym_assignment_expression] = STATE(11364),
    [sym_generic_function] = STATE(5403),
    [sym_call_expression] = STATE(5403),
    [sym_field_expression] = STATE(5403),
    [sym_instance_expression] = STATE(5403),
    [sym_ascription_expression] = STATE(11364),
    [sym_infix_expression] = STATE(6806),
    [sym_postfix_expression] = STATE(10789),
    [sym__postfix_expression_choice] = STATE(15797),
    [sym_macro_body] = STATE(11364),
    [sym_prefix_expression] = STATE(8559),
    [sym_tuple_expression] = STATE(5403),
    [sym_parenthesized_expression] = STATE(5403),
    [sym_splice_expression] = STATE(5403),
    [sym_quote_expression] = STATE(5403),
    [sym_identifier] = STATE(4646),
    [sym__soft_identifier] = STATE(4455),
    [sym_wildcard] = STATE(6287),
    [sym__non_null_literal] = STATE(5403),
    [sym_boolean_literal] = STATE(5637),
    [sym_interpolated_string_expression] = STATE(5403),
    [sym_string] = STATE(5637),
    [sym_unit] = STATE(5403),
    [sym_return_expression] = STATE(11364),
    [sym_throw_expression] = STATE(11364),
    [sym_while_expression] = STATE(11364),
    [sym_do_while_expression] = STATE(11364),
    [sym_for_expression] = STATE(11364),
    [sym_comment] = STATE(1089),
    [sym_block_comment] = STATE(1089),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(2352),
    [anon_sym_while] = ACTIONS(1172),
    [anon_sym_for] = ACTIONS(1174),
    [anon_sym_try] = ACTIONS(1176),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1178),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1162),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1180),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1182),
    [anon_sym_throw] = ACTIONS(1184),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2282),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [1090] = {
    [sym_inline_modifier] = STATE(2064),
    [sym__indentable_expression] = STATE(13581),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(8719),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15704),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10572),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(8565),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(10039),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1090),
    [sym_block_comment] = STATE(1090),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(3246),
    [anon_sym_while] = ACTIONS(3248),
    [anon_sym_for] = ACTIONS(3250),
    [anon_sym_try] = ACTIONS(3252),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(3254),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3318),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(3259),
    [anon_sym_throw] = ACTIONS(3261),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1091] = {
    [sym_inline_modifier] = STATE(2132),
    [sym__indentable_expression] = STATE(12474),
    [sym_block] = STATE(6738),
    [sym_indented_block] = STATE(12372),
    [sym_indented_cases] = STATE(12372),
    [sym_expression] = STATE(12028),
    [sym__simple_expression] = STATE(6097),
    [sym_lambda_expression] = STATE(12430),
    [sym_if_expression] = STATE(12430),
    [sym_match_expression] = STATE(12430),
    [sym_try_expression] = STATE(12430),
    [sym_bindings] = STATE(15718),
    [sym_case_block] = STATE(6738),
    [sym_assignment_expression] = STATE(12430),
    [sym_generic_function] = STATE(6738),
    [sym_call_expression] = STATE(6738),
    [sym_field_expression] = STATE(6738),
    [sym_instance_expression] = STATE(6738),
    [sym_ascription_expression] = STATE(12430),
    [sym_infix_expression] = STATE(8389),
    [sym_postfix_expression] = STATE(11930),
    [sym__postfix_expression_choice] = STATE(15885),
    [sym_macro_body] = STATE(12430),
    [sym_prefix_expression] = STATE(9761),
    [sym_tuple_expression] = STATE(6738),
    [sym_parenthesized_expression] = STATE(6738),
    [sym_splice_expression] = STATE(6738),
    [sym_quote_expression] = STATE(6738),
    [sym_identifier] = STATE(5458),
    [sym__soft_identifier] = STATE(4943),
    [sym_wildcard] = STATE(8612),
    [sym__non_null_literal] = STATE(6738),
    [sym_boolean_literal] = STATE(7301),
    [sym_interpolated_string_expression] = STATE(6738),
    [sym_string] = STATE(7301),
    [sym_unit] = STATE(6738),
    [sym_return_expression] = STATE(12430),
    [sym_throw_expression] = STATE(12430),
    [sym_while_expression] = STATE(12430),
    [sym_do_while_expression] = STATE(12430),
    [sym_for_expression] = STATE(12430),
    [sym_comment] = STATE(1091),
    [sym_block_comment] = STATE(1091),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(2430),
    [anon_sym_while] = ACTIONS(2432),
    [anon_sym_for] = ACTIONS(2434),
    [anon_sym_try] = ACTIONS(2436),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(2438),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1360),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(2440),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(2442),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(1368),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2202),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [1092] = {
    [sym_inline_modifier] = STATE(2250),
    [sym__indentable_expression] = STATE(11697),
    [sym_block] = STATE(6450),
    [sym_indented_block] = STATE(11535),
    [sym_indented_cases] = STATE(11535),
    [sym_expression] = STATE(11606),
    [sym__simple_expression] = STATE(5297),
    [sym_lambda_expression] = STATE(11549),
    [sym_if_expression] = STATE(11549),
    [sym_match_expression] = STATE(11549),
    [sym_try_expression] = STATE(11549),
    [sym_bindings] = STATE(15503),
    [sym_case_block] = STATE(6450),
    [sym_assignment_expression] = STATE(11549),
    [sym_generic_function] = STATE(6450),
    [sym_call_expression] = STATE(6450),
    [sym_field_expression] = STATE(6450),
    [sym_instance_expression] = STATE(6450),
    [sym_ascription_expression] = STATE(11549),
    [sym_infix_expression] = STATE(7641),
    [sym_postfix_expression] = STATE(11204),
    [sym__postfix_expression_choice] = STATE(16480),
    [sym_macro_body] = STATE(11549),
    [sym_prefix_expression] = STATE(8711),
    [sym_tuple_expression] = STATE(6450),
    [sym_parenthesized_expression] = STATE(6450),
    [sym_splice_expression] = STATE(6450),
    [sym_quote_expression] = STATE(6450),
    [sym_identifier] = STATE(4723),
    [sym__soft_identifier] = STATE(4507),
    [sym_wildcard] = STATE(7115),
    [sym__non_null_literal] = STATE(6450),
    [sym_boolean_literal] = STATE(6156),
    [sym_interpolated_string_expression] = STATE(6450),
    [sym_string] = STATE(6156),
    [sym_unit] = STATE(6450),
    [sym_return_expression] = STATE(11549),
    [sym_throw_expression] = STATE(11549),
    [sym_while_expression] = STATE(11549),
    [sym_do_while_expression] = STATE(11549),
    [sym_for_expression] = STATE(11549),
    [sym_comment] = STATE(1092),
    [sym_block_comment] = STATE(1092),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(2256),
    [anon_sym_while] = ACTIONS(1370),
    [anon_sym_for] = ACTIONS(1372),
    [anon_sym_try] = ACTIONS(1374),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1376),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1378),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1380),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1382),
    [anon_sym_throw] = ACTIONS(1384),
    [anon_sym_do] = ACTIONS(1386),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2258),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [1093] = {
    [sym_inline_modifier] = STATE(2181),
    [sym__indentable_expression] = STATE(11208),
    [sym_block] = STATE(5403),
    [sym_indented_block] = STATE(11085),
    [sym_indented_cases] = STATE(11085),
    [sym_expression] = STATE(11355),
    [sym__simple_expression] = STATE(4722),
    [sym_lambda_expression] = STATE(11364),
    [sym_if_expression] = STATE(11364),
    [sym_match_expression] = STATE(11364),
    [sym_try_expression] = STATE(11364),
    [sym_bindings] = STATE(15648),
    [sym_case_block] = STATE(5403),
    [sym_assignment_expression] = STATE(11364),
    [sym_generic_function] = STATE(5403),
    [sym_call_expression] = STATE(5403),
    [sym_field_expression] = STATE(5403),
    [sym_instance_expression] = STATE(5403),
    [sym_ascription_expression] = STATE(11364),
    [sym_infix_expression] = STATE(6806),
    [sym_postfix_expression] = STATE(10789),
    [sym__postfix_expression_choice] = STATE(15797),
    [sym_macro_body] = STATE(11364),
    [sym_prefix_expression] = STATE(8559),
    [sym_tuple_expression] = STATE(5403),
    [sym_parenthesized_expression] = STATE(5403),
    [sym_splice_expression] = STATE(5403),
    [sym_quote_expression] = STATE(5403),
    [sym_identifier] = STATE(4646),
    [sym__soft_identifier] = STATE(4455),
    [sym_wildcard] = STATE(6287),
    [sym__non_null_literal] = STATE(5403),
    [sym_boolean_literal] = STATE(5637),
    [sym_interpolated_string_expression] = STATE(5403),
    [sym_string] = STATE(5637),
    [sym_unit] = STATE(5403),
    [sym_return_expression] = STATE(11364),
    [sym_throw_expression] = STATE(11364),
    [sym_while_expression] = STATE(11364),
    [sym_do_while_expression] = STATE(11364),
    [sym_for_expression] = STATE(11364),
    [sym_comment] = STATE(1093),
    [sym_block_comment] = STATE(1093),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(2352),
    [anon_sym_while] = ACTIONS(1172),
    [anon_sym_for] = ACTIONS(1174),
    [anon_sym_try] = ACTIONS(1176),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1178),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1162),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1180),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1182),
    [anon_sym_throw] = ACTIONS(1184),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2282),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [1094] = {
    [sym_inline_modifier] = STATE(2246),
    [sym__indentable_expression] = STATE(12820),
    [sym_block] = STATE(8360),
    [sym_indented_block] = STATE(13059),
    [sym_indented_cases] = STATE(13059),
    [sym_expression] = STATE(12867),
    [sym__simple_expression] = STATE(5440),
    [sym_lambda_expression] = STATE(13229),
    [sym_if_expression] = STATE(13229),
    [sym_match_expression] = STATE(13229),
    [sym_try_expression] = STATE(13229),
    [sym_bindings] = STATE(15490),
    [sym_case_block] = STATE(8360),
    [sym_assignment_expression] = STATE(13229),
    [sym_generic_function] = STATE(8360),
    [sym_call_expression] = STATE(8360),
    [sym_field_expression] = STATE(8360),
    [sym_instance_expression] = STATE(8360),
    [sym_ascription_expression] = STATE(13229),
    [sym_infix_expression] = STATE(9581),
    [sym_postfix_expression] = STATE(12866),
    [sym__postfix_expression_choice] = STATE(15971),
    [sym_macro_body] = STATE(13229),
    [sym_prefix_expression] = STATE(9366),
    [sym_tuple_expression] = STATE(8360),
    [sym_parenthesized_expression] = STATE(8360),
    [sym_splice_expression] = STATE(8360),
    [sym_quote_expression] = STATE(8360),
    [sym_identifier] = STATE(5277),
    [sym__soft_identifier] = STATE(5563),
    [sym_wildcard] = STATE(7446),
    [sym__non_null_literal] = STATE(8360),
    [sym_boolean_literal] = STATE(8269),
    [sym_interpolated_string_expression] = STATE(8360),
    [sym_string] = STATE(8269),
    [sym_unit] = STATE(8360),
    [sym_return_expression] = STATE(13229),
    [sym_throw_expression] = STATE(13229),
    [sym_while_expression] = STATE(13229),
    [sym_do_while_expression] = STATE(13229),
    [sym_for_expression] = STATE(13229),
    [sym_comment] = STATE(1094),
    [sym_block_comment] = STATE(1094),
    [sym__alpha_identifier] = ACTIONS(1242),
    [anon_sym_LBRACE] = ACTIONS(1246),
    [anon_sym__] = ACTIONS(1248),
    [anon_sym_PLUS] = ACTIONS(1250),
    [anon_sym_DASH] = ACTIONS(1250),
    [anon_sym_end] = ACTIONS(1252),
    [anon_sym_if] = ACTIONS(2210),
    [anon_sym_while] = ACTIONS(2030),
    [anon_sym_for] = ACTIONS(2032),
    [anon_sym_try] = ACTIONS(2034),
    [anon_sym_new] = ACTIONS(1254),
    [anon_sym_opaque] = ACTIONS(1252),
    [anon_sym_implicit] = ACTIONS(2036),
    [anon_sym_inline] = ACTIONS(1256),
    [anon_sym_infix] = ACTIONS(1252),
    [anon_sym_open] = ACTIONS(1252),
    [anon_sym_transparent] = ACTIONS(1252),
    [anon_sym_LPAREN] = ACTIONS(1258),
    [anon_sym_macro] = ACTIONS(1664),
    [anon_sym_BANG] = ACTIONS(1250),
    [anon_sym_TILDE] = ACTIONS(1250),
    [anon_sym_DOLLAR] = ACTIONS(1260),
    [anon_sym_SQUOTE] = ACTIONS(1262),
    [sym__backquoted_id] = ACTIONS(1264),
    [sym_operator_identifier] = ACTIONS(2038),
    [sym_integer_literal] = ACTIONS(1268),
    [sym_floating_point_literal] = ACTIONS(1270),
    [anon_sym_true] = ACTIONS(1272),
    [anon_sym_false] = ACTIONS(1272),
    [sym_character_literal] = ACTIONS(1270),
    [sym_null_literal] = ACTIONS(1274),
    [anon_sym_return] = ACTIONS(2040),
    [anon_sym_throw] = ACTIONS(2042),
    [anon_sym_do] = ACTIONS(1672),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2212),
    [sym__simple_multiline_string] = ACTIONS(1276),
    [sym__simple_string] = ACTIONS(1276),
  },
  [1095] = {
    [sym_inline_modifier] = STATE(2181),
    [sym__indentable_expression] = STATE(11206),
    [sym_block] = STATE(5403),
    [sym_indented_block] = STATE(11085),
    [sym_indented_cases] = STATE(11085),
    [sym_expression] = STATE(11355),
    [sym__simple_expression] = STATE(4722),
    [sym_lambda_expression] = STATE(11364),
    [sym_if_expression] = STATE(11364),
    [sym_match_expression] = STATE(11364),
    [sym_try_expression] = STATE(11364),
    [sym_bindings] = STATE(15648),
    [sym_case_block] = STATE(5403),
    [sym_assignment_expression] = STATE(11364),
    [sym_generic_function] = STATE(5403),
    [sym_call_expression] = STATE(5403),
    [sym_field_expression] = STATE(5403),
    [sym_instance_expression] = STATE(5403),
    [sym_ascription_expression] = STATE(11364),
    [sym_infix_expression] = STATE(6806),
    [sym_postfix_expression] = STATE(10789),
    [sym__postfix_expression_choice] = STATE(15797),
    [sym_macro_body] = STATE(11364),
    [sym_prefix_expression] = STATE(8559),
    [sym_tuple_expression] = STATE(5403),
    [sym_parenthesized_expression] = STATE(5403),
    [sym_splice_expression] = STATE(5403),
    [sym_quote_expression] = STATE(5403),
    [sym_identifier] = STATE(4646),
    [sym__soft_identifier] = STATE(4455),
    [sym_wildcard] = STATE(6287),
    [sym__non_null_literal] = STATE(5403),
    [sym_boolean_literal] = STATE(5637),
    [sym_interpolated_string_expression] = STATE(5403),
    [sym_string] = STATE(5637),
    [sym_unit] = STATE(5403),
    [sym_return_expression] = STATE(11364),
    [sym_throw_expression] = STATE(11364),
    [sym_while_expression] = STATE(11364),
    [sym_do_while_expression] = STATE(11364),
    [sym_for_expression] = STATE(11364),
    [sym_comment] = STATE(1095),
    [sym_block_comment] = STATE(1095),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(2352),
    [anon_sym_while] = ACTIONS(1172),
    [anon_sym_for] = ACTIONS(1174),
    [anon_sym_try] = ACTIONS(1176),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1178),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1162),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1180),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1182),
    [anon_sym_throw] = ACTIONS(1184),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2282),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [1096] = {
    [sym_inline_modifier] = STATE(2181),
    [sym__indentable_expression] = STATE(11205),
    [sym_block] = STATE(5403),
    [sym_indented_block] = STATE(11085),
    [sym_indented_cases] = STATE(11085),
    [sym_expression] = STATE(11355),
    [sym__simple_expression] = STATE(4722),
    [sym_lambda_expression] = STATE(11364),
    [sym_if_expression] = STATE(11364),
    [sym_match_expression] = STATE(11364),
    [sym_try_expression] = STATE(11364),
    [sym_bindings] = STATE(15648),
    [sym_case_block] = STATE(5403),
    [sym_assignment_expression] = STATE(11364),
    [sym_generic_function] = STATE(5403),
    [sym_call_expression] = STATE(5403),
    [sym_field_expression] = STATE(5403),
    [sym_instance_expression] = STATE(5403),
    [sym_ascription_expression] = STATE(11364),
    [sym_infix_expression] = STATE(6806),
    [sym_postfix_expression] = STATE(10789),
    [sym__postfix_expression_choice] = STATE(15797),
    [sym_macro_body] = STATE(11364),
    [sym_prefix_expression] = STATE(8559),
    [sym_tuple_expression] = STATE(5403),
    [sym_parenthesized_expression] = STATE(5403),
    [sym_splice_expression] = STATE(5403),
    [sym_quote_expression] = STATE(5403),
    [sym_identifier] = STATE(4646),
    [sym__soft_identifier] = STATE(4455),
    [sym_wildcard] = STATE(6287),
    [sym__non_null_literal] = STATE(5403),
    [sym_boolean_literal] = STATE(5637),
    [sym_interpolated_string_expression] = STATE(5403),
    [sym_string] = STATE(5637),
    [sym_unit] = STATE(5403),
    [sym_return_expression] = STATE(11364),
    [sym_throw_expression] = STATE(11364),
    [sym_while_expression] = STATE(11364),
    [sym_do_while_expression] = STATE(11364),
    [sym_for_expression] = STATE(11364),
    [sym_comment] = STATE(1096),
    [sym_block_comment] = STATE(1096),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(2352),
    [anon_sym_while] = ACTIONS(1172),
    [anon_sym_for] = ACTIONS(1174),
    [anon_sym_try] = ACTIONS(1176),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1178),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1162),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1180),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1182),
    [anon_sym_throw] = ACTIONS(1184),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2282),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [1097] = {
    [sym_inline_modifier] = STATE(2132),
    [sym__indentable_expression] = STATE(12475),
    [sym_block] = STATE(6738),
    [sym_indented_block] = STATE(12372),
    [sym_indented_cases] = STATE(12372),
    [sym_expression] = STATE(12028),
    [sym__simple_expression] = STATE(6097),
    [sym_lambda_expression] = STATE(12430),
    [sym_if_expression] = STATE(12430),
    [sym_match_expression] = STATE(12430),
    [sym_try_expression] = STATE(12430),
    [sym_bindings] = STATE(15718),
    [sym_case_block] = STATE(6738),
    [sym_assignment_expression] = STATE(12430),
    [sym_generic_function] = STATE(6738),
    [sym_call_expression] = STATE(6738),
    [sym_field_expression] = STATE(6738),
    [sym_instance_expression] = STATE(6738),
    [sym_ascription_expression] = STATE(12430),
    [sym_infix_expression] = STATE(8389),
    [sym_postfix_expression] = STATE(11930),
    [sym__postfix_expression_choice] = STATE(15885),
    [sym_macro_body] = STATE(12430),
    [sym_prefix_expression] = STATE(9761),
    [sym_tuple_expression] = STATE(6738),
    [sym_parenthesized_expression] = STATE(6738),
    [sym_splice_expression] = STATE(6738),
    [sym_quote_expression] = STATE(6738),
    [sym_identifier] = STATE(5458),
    [sym__soft_identifier] = STATE(4943),
    [sym_wildcard] = STATE(8612),
    [sym__non_null_literal] = STATE(6738),
    [sym_boolean_literal] = STATE(7301),
    [sym_interpolated_string_expression] = STATE(6738),
    [sym_string] = STATE(7301),
    [sym_unit] = STATE(6738),
    [sym_return_expression] = STATE(12430),
    [sym_throw_expression] = STATE(12430),
    [sym_while_expression] = STATE(12430),
    [sym_do_while_expression] = STATE(12430),
    [sym_for_expression] = STATE(12430),
    [sym_comment] = STATE(1097),
    [sym_block_comment] = STATE(1097),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(2430),
    [anon_sym_while] = ACTIONS(2432),
    [anon_sym_for] = ACTIONS(2434),
    [anon_sym_try] = ACTIONS(2436),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(2438),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1360),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(2440),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(2442),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(1368),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2202),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [1098] = {
    [sym_inline_modifier] = STATE(2250),
    [sym__indentable_expression] = STATE(11698),
    [sym_block] = STATE(6450),
    [sym_indented_block] = STATE(11535),
    [sym_indented_cases] = STATE(11535),
    [sym_expression] = STATE(11606),
    [sym__simple_expression] = STATE(5297),
    [sym_lambda_expression] = STATE(11549),
    [sym_if_expression] = STATE(11549),
    [sym_match_expression] = STATE(11549),
    [sym_try_expression] = STATE(11549),
    [sym_bindings] = STATE(15503),
    [sym_case_block] = STATE(6450),
    [sym_assignment_expression] = STATE(11549),
    [sym_generic_function] = STATE(6450),
    [sym_call_expression] = STATE(6450),
    [sym_field_expression] = STATE(6450),
    [sym_instance_expression] = STATE(6450),
    [sym_ascription_expression] = STATE(11549),
    [sym_infix_expression] = STATE(7641),
    [sym_postfix_expression] = STATE(11204),
    [sym__postfix_expression_choice] = STATE(16480),
    [sym_macro_body] = STATE(11549),
    [sym_prefix_expression] = STATE(8711),
    [sym_tuple_expression] = STATE(6450),
    [sym_parenthesized_expression] = STATE(6450),
    [sym_splice_expression] = STATE(6450),
    [sym_quote_expression] = STATE(6450),
    [sym_identifier] = STATE(4723),
    [sym__soft_identifier] = STATE(4507),
    [sym_wildcard] = STATE(7115),
    [sym__non_null_literal] = STATE(6450),
    [sym_boolean_literal] = STATE(6156),
    [sym_interpolated_string_expression] = STATE(6450),
    [sym_string] = STATE(6156),
    [sym_unit] = STATE(6450),
    [sym_return_expression] = STATE(11549),
    [sym_throw_expression] = STATE(11549),
    [sym_while_expression] = STATE(11549),
    [sym_do_while_expression] = STATE(11549),
    [sym_for_expression] = STATE(11549),
    [sym_comment] = STATE(1098),
    [sym_block_comment] = STATE(1098),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(2256),
    [anon_sym_while] = ACTIONS(1370),
    [anon_sym_for] = ACTIONS(1372),
    [anon_sym_try] = ACTIONS(1374),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1376),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1378),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1380),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1382),
    [anon_sym_throw] = ACTIONS(1384),
    [anon_sym_do] = ACTIONS(1386),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2258),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [1099] = {
    [sym_inline_modifier] = STATE(2181),
    [sym__indentable_expression] = STATE(11202),
    [sym_block] = STATE(5403),
    [sym_indented_block] = STATE(11085),
    [sym_indented_cases] = STATE(11085),
    [sym_expression] = STATE(11355),
    [sym__simple_expression] = STATE(4722),
    [sym_lambda_expression] = STATE(11364),
    [sym_if_expression] = STATE(11364),
    [sym_match_expression] = STATE(11364),
    [sym_try_expression] = STATE(11364),
    [sym_bindings] = STATE(15648),
    [sym_case_block] = STATE(5403),
    [sym_assignment_expression] = STATE(11364),
    [sym_generic_function] = STATE(5403),
    [sym_call_expression] = STATE(5403),
    [sym_field_expression] = STATE(5403),
    [sym_instance_expression] = STATE(5403),
    [sym_ascription_expression] = STATE(11364),
    [sym_infix_expression] = STATE(6806),
    [sym_postfix_expression] = STATE(10789),
    [sym__postfix_expression_choice] = STATE(15797),
    [sym_macro_body] = STATE(11364),
    [sym_prefix_expression] = STATE(8559),
    [sym_tuple_expression] = STATE(5403),
    [sym_parenthesized_expression] = STATE(5403),
    [sym_splice_expression] = STATE(5403),
    [sym_quote_expression] = STATE(5403),
    [sym_identifier] = STATE(4646),
    [sym__soft_identifier] = STATE(4455),
    [sym_wildcard] = STATE(6287),
    [sym__non_null_literal] = STATE(5403),
    [sym_boolean_literal] = STATE(5637),
    [sym_interpolated_string_expression] = STATE(5403),
    [sym_string] = STATE(5637),
    [sym_unit] = STATE(5403),
    [sym_return_expression] = STATE(11364),
    [sym_throw_expression] = STATE(11364),
    [sym_while_expression] = STATE(11364),
    [sym_do_while_expression] = STATE(11364),
    [sym_for_expression] = STATE(11364),
    [sym_comment] = STATE(1099),
    [sym_block_comment] = STATE(1099),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(2352),
    [anon_sym_while] = ACTIONS(1172),
    [anon_sym_for] = ACTIONS(1174),
    [anon_sym_try] = ACTIONS(1176),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1178),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1162),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1180),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1182),
    [anon_sym_throw] = ACTIONS(1184),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2282),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [1100] = {
    [sym_inline_modifier] = STATE(2255),
    [sym__indentable_expression] = STATE(13311),
    [sym_block] = STATE(6954),
    [sym_indented_block] = STATE(11923),
    [sym_indented_cases] = STATE(11923),
    [sym_expression] = STATE(12206),
    [sym__simple_expression] = STATE(5438),
    [sym_lambda_expression] = STATE(12144),
    [sym_if_expression] = STATE(12144),
    [sym_match_expression] = STATE(12144),
    [sym_try_expression] = STATE(12144),
    [sym_bindings] = STATE(15515),
    [sym_case_block] = STATE(6954),
    [sym_assignment_expression] = STATE(12144),
    [sym_generic_function] = STATE(6954),
    [sym_call_expression] = STATE(6954),
    [sym_field_expression] = STATE(6954),
    [sym_instance_expression] = STATE(6954),
    [sym_ascription_expression] = STATE(12144),
    [sym_infix_expression] = STATE(8226),
    [sym_postfix_expression] = STATE(11499),
    [sym__postfix_expression_choice] = STATE(16229),
    [sym_macro_body] = STATE(12144),
    [sym_prefix_expression] = STATE(9369),
    [sym_tuple_expression] = STATE(6954),
    [sym_parenthesized_expression] = STATE(6954),
    [sym_splice_expression] = STATE(6954),
    [sym_quote_expression] = STATE(6954),
    [sym_identifier] = STATE(5276),
    [sym__soft_identifier] = STATE(4827),
    [sym_wildcard] = STATE(7444),
    [sym__non_null_literal] = STATE(6954),
    [sym_boolean_literal] = STATE(6997),
    [sym_interpolated_string_expression] = STATE(6954),
    [sym_string] = STATE(6997),
    [sym_unit] = STATE(6954),
    [sym_return_expression] = STATE(12144),
    [sym_throw_expression] = STATE(12144),
    [sym_while_expression] = STATE(12144),
    [sym_do_while_expression] = STATE(12144),
    [sym_for_expression] = STATE(12144),
    [sym_comment] = STATE(1100),
    [sym_block_comment] = STATE(1100),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(2666),
    [anon_sym_while] = ACTIONS(2314),
    [anon_sym_for] = ACTIONS(2316),
    [anon_sym_try] = ACTIONS(2318),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(2320),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1894),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(2322),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(2324),
    [anon_sym_throw] = ACTIONS(2326),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3280),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [1101] = {
    [sym_inline_modifier] = STATE(2084),
    [sym__indentable_expression] = STATE(16666),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(8831),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15722),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10635),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(747),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(8641),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(10149),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1101),
    [sym_block_comment] = STATE(1101),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2740),
    [anon_sym_while] = ACTIONS(2742),
    [anon_sym_for] = ACTIONS(2744),
    [anon_sym_try] = ACTIONS(2746),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2748),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3310),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3312),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2762),
    [anon_sym_throw] = ACTIONS(2764),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1102] = {
    [sym_inline_modifier] = STATE(2132),
    [sym__indentable_expression] = STATE(12478),
    [sym_block] = STATE(6738),
    [sym_indented_block] = STATE(12372),
    [sym_indented_cases] = STATE(12372),
    [sym_expression] = STATE(12028),
    [sym__simple_expression] = STATE(6097),
    [sym_lambda_expression] = STATE(12430),
    [sym_if_expression] = STATE(12430),
    [sym_match_expression] = STATE(12430),
    [sym_try_expression] = STATE(12430),
    [sym_bindings] = STATE(15718),
    [sym_case_block] = STATE(6738),
    [sym_assignment_expression] = STATE(12430),
    [sym_generic_function] = STATE(6738),
    [sym_call_expression] = STATE(6738),
    [sym_field_expression] = STATE(6738),
    [sym_instance_expression] = STATE(6738),
    [sym_ascription_expression] = STATE(12430),
    [sym_infix_expression] = STATE(8389),
    [sym_postfix_expression] = STATE(11930),
    [sym__postfix_expression_choice] = STATE(15885),
    [sym_macro_body] = STATE(12430),
    [sym_prefix_expression] = STATE(9761),
    [sym_tuple_expression] = STATE(6738),
    [sym_parenthesized_expression] = STATE(6738),
    [sym_splice_expression] = STATE(6738),
    [sym_quote_expression] = STATE(6738),
    [sym_identifier] = STATE(5458),
    [sym__soft_identifier] = STATE(4943),
    [sym_wildcard] = STATE(8612),
    [sym__non_null_literal] = STATE(6738),
    [sym_boolean_literal] = STATE(7301),
    [sym_interpolated_string_expression] = STATE(6738),
    [sym_string] = STATE(7301),
    [sym_unit] = STATE(6738),
    [sym_return_expression] = STATE(12430),
    [sym_throw_expression] = STATE(12430),
    [sym_while_expression] = STATE(12430),
    [sym_do_while_expression] = STATE(12430),
    [sym_for_expression] = STATE(12430),
    [sym_comment] = STATE(1102),
    [sym_block_comment] = STATE(1102),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(2430),
    [anon_sym_while] = ACTIONS(2432),
    [anon_sym_for] = ACTIONS(2434),
    [anon_sym_try] = ACTIONS(2436),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(2438),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1360),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(2440),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(2442),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(1368),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2202),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [1103] = {
    [sym_inline_modifier] = STATE(2122),
    [sym__indentable_expression] = STATE(12067),
    [sym_block] = STATE(6703),
    [sym_indented_block] = STATE(12004),
    [sym_indented_cases] = STATE(12004),
    [sym_expression] = STATE(12171),
    [sym__simple_expression] = STATE(6037),
    [sym_lambda_expression] = STATE(12046),
    [sym_if_expression] = STATE(12046),
    [sym_match_expression] = STATE(12046),
    [sym_try_expression] = STATE(12046),
    [sym_bindings] = STATE(15638),
    [sym_case_block] = STATE(6703),
    [sym_assignment_expression] = STATE(12046),
    [sym_generic_function] = STATE(6703),
    [sym_call_expression] = STATE(6703),
    [sym_field_expression] = STATE(6703),
    [sym_instance_expression] = STATE(6703),
    [sym_ascription_expression] = STATE(12046),
    [sym_infix_expression] = STATE(8166),
    [sym_postfix_expression] = STATE(11496),
    [sym__postfix_expression_choice] = STATE(15827),
    [sym_macro_body] = STATE(12046),
    [sym_prefix_expression] = STATE(9715),
    [sym_tuple_expression] = STATE(6703),
    [sym_parenthesized_expression] = STATE(6703),
    [sym_splice_expression] = STATE(6703),
    [sym_quote_expression] = STATE(6703),
    [sym_identifier] = STATE(5641),
    [sym__soft_identifier] = STATE(4884),
    [sym_wildcard] = STATE(8386),
    [sym__non_null_literal] = STATE(6703),
    [sym_boolean_literal] = STATE(6780),
    [sym_interpolated_string_expression] = STATE(6703),
    [sym_string] = STATE(6780),
    [sym_unit] = STATE(6703),
    [sym_return_expression] = STATE(12046),
    [sym_throw_expression] = STATE(12046),
    [sym_while_expression] = STATE(12046),
    [sym_do_while_expression] = STATE(12046),
    [sym_for_expression] = STATE(12046),
    [sym_comment] = STATE(1103),
    [sym_block_comment] = STATE(1103),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(1838),
    [anon_sym_while] = ACTIONS(1840),
    [anon_sym_for] = ACTIONS(1842),
    [anon_sym_try] = ACTIONS(1844),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(1846),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1848),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(1850),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(1852),
    [anon_sym_throw] = ACTIONS(1854),
    [anon_sym_do] = ACTIONS(1856),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2234),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [1104] = {
    [sym_inline_modifier] = STATE(2181),
    [sym__indentable_expression] = STATE(11842),
    [sym_block] = STATE(5403),
    [sym_indented_block] = STATE(11085),
    [sym_indented_cases] = STATE(11085),
    [sym_expression] = STATE(11355),
    [sym__simple_expression] = STATE(4722),
    [sym_lambda_expression] = STATE(11364),
    [sym_if_expression] = STATE(11364),
    [sym_match_expression] = STATE(11364),
    [sym_try_expression] = STATE(11364),
    [sym_bindings] = STATE(15648),
    [sym_case_block] = STATE(5403),
    [sym_assignment_expression] = STATE(11364),
    [sym_generic_function] = STATE(5403),
    [sym_call_expression] = STATE(5403),
    [sym_field_expression] = STATE(5403),
    [sym_instance_expression] = STATE(5403),
    [sym_ascription_expression] = STATE(11364),
    [sym_infix_expression] = STATE(6806),
    [sym_postfix_expression] = STATE(10789),
    [sym__postfix_expression_choice] = STATE(15797),
    [sym_macro_body] = STATE(11364),
    [sym_prefix_expression] = STATE(8559),
    [sym_tuple_expression] = STATE(5403),
    [sym_parenthesized_expression] = STATE(5403),
    [sym_splice_expression] = STATE(5403),
    [sym_quote_expression] = STATE(5403),
    [sym_identifier] = STATE(4646),
    [sym__soft_identifier] = STATE(4455),
    [sym_wildcard] = STATE(6287),
    [sym__non_null_literal] = STATE(5403),
    [sym_boolean_literal] = STATE(5637),
    [sym_interpolated_string_expression] = STATE(5403),
    [sym_string] = STATE(5637),
    [sym_unit] = STATE(5403),
    [sym_return_expression] = STATE(11364),
    [sym_throw_expression] = STATE(11364),
    [sym_while_expression] = STATE(11364),
    [sym_do_while_expression] = STATE(11364),
    [sym_for_expression] = STATE(11364),
    [sym_comment] = STATE(1104),
    [sym_block_comment] = STATE(1104),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(2352),
    [anon_sym_while] = ACTIONS(1172),
    [anon_sym_for] = ACTIONS(1174),
    [anon_sym_try] = ACTIONS(1176),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1178),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1162),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1180),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1182),
    [anon_sym_throw] = ACTIONS(1184),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2282),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [1105] = {
    [sym_inline_modifier] = STATE(2250),
    [sym__indentable_expression] = STATE(11766),
    [sym_block] = STATE(6450),
    [sym_indented_block] = STATE(11535),
    [sym_indented_cases] = STATE(11535),
    [sym_expression] = STATE(11606),
    [sym__simple_expression] = STATE(5297),
    [sym_lambda_expression] = STATE(11549),
    [sym_if_expression] = STATE(11549),
    [sym_match_expression] = STATE(11549),
    [sym_try_expression] = STATE(11549),
    [sym_bindings] = STATE(15503),
    [sym_case_block] = STATE(6450),
    [sym_assignment_expression] = STATE(11549),
    [sym_generic_function] = STATE(6450),
    [sym_call_expression] = STATE(6450),
    [sym_field_expression] = STATE(6450),
    [sym_instance_expression] = STATE(6450),
    [sym_ascription_expression] = STATE(11549),
    [sym_infix_expression] = STATE(7641),
    [sym_postfix_expression] = STATE(11204),
    [sym__postfix_expression_choice] = STATE(16480),
    [sym_macro_body] = STATE(11549),
    [sym_prefix_expression] = STATE(8711),
    [sym_tuple_expression] = STATE(6450),
    [sym_parenthesized_expression] = STATE(6450),
    [sym_splice_expression] = STATE(6450),
    [sym_quote_expression] = STATE(6450),
    [sym_identifier] = STATE(4723),
    [sym__soft_identifier] = STATE(4507),
    [sym_wildcard] = STATE(7115),
    [sym__non_null_literal] = STATE(6450),
    [sym_boolean_literal] = STATE(6156),
    [sym_interpolated_string_expression] = STATE(6450),
    [sym_string] = STATE(6156),
    [sym_unit] = STATE(6450),
    [sym_return_expression] = STATE(11549),
    [sym_throw_expression] = STATE(11549),
    [sym_while_expression] = STATE(11549),
    [sym_do_while_expression] = STATE(11549),
    [sym_for_expression] = STATE(11549),
    [sym_comment] = STATE(1105),
    [sym_block_comment] = STATE(1105),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(2256),
    [anon_sym_while] = ACTIONS(1370),
    [anon_sym_for] = ACTIONS(1372),
    [anon_sym_try] = ACTIONS(1374),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1376),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1378),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1380),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1382),
    [anon_sym_throw] = ACTIONS(1384),
    [anon_sym_do] = ACTIONS(1386),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2258),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [1106] = {
    [sym_inline_modifier] = STATE(2108),
    [sym__indentable_expression] = STATE(11898),
    [sym_block] = STATE(9800),
    [sym_indented_block] = STATE(12004),
    [sym_indented_cases] = STATE(12004),
    [sym_expression] = STATE(13568),
    [sym__simple_expression] = STATE(7357),
    [sym_lambda_expression] = STATE(12046),
    [sym_if_expression] = STATE(12046),
    [sym_match_expression] = STATE(12046),
    [sym_try_expression] = STATE(12046),
    [sym_bindings] = STATE(15518),
    [sym_case_block] = STATE(9800),
    [sym_assignment_expression] = STATE(12046),
    [sym_generic_function] = STATE(9800),
    [sym_call_expression] = STATE(9800),
    [sym_field_expression] = STATE(9800),
    [sym_instance_expression] = STATE(9800),
    [sym_ascription_expression] = STATE(12046),
    [sym_infix_expression] = STATE(10315),
    [sym_postfix_expression] = STATE(11496),
    [sym__postfix_expression_choice] = STATE(15840),
    [sym_macro_body] = STATE(12046),
    [sym_prefix_expression] = STATE(9949),
    [sym_tuple_expression] = STATE(9800),
    [sym_parenthesized_expression] = STATE(9800),
    [sym_splice_expression] = STATE(9800),
    [sym_quote_expression] = STATE(9800),
    [sym_identifier] = STATE(6016),
    [sym__soft_identifier] = STATE(4545),
    [sym_wildcard] = STATE(9086),
    [sym__non_null_literal] = STATE(9800),
    [sym_boolean_literal] = STATE(6076),
    [sym_interpolated_string_expression] = STATE(9800),
    [sym_string] = STATE(6076),
    [sym_unit] = STATE(9800),
    [sym_return_expression] = STATE(12046),
    [sym_throw_expression] = STATE(12046),
    [sym_while_expression] = STATE(12046),
    [sym_do_while_expression] = STATE(12046),
    [sym_for_expression] = STATE(12046),
    [sym_comment] = STATE(1106),
    [sym_block_comment] = STATE(1106),
    [sym__alpha_identifier] = ACTIONS(2084),
    [anon_sym_LBRACE] = ACTIONS(2088),
    [anon_sym__] = ACTIONS(2090),
    [anon_sym_PLUS] = ACTIONS(2092),
    [anon_sym_DASH] = ACTIONS(2092),
    [anon_sym_end] = ACTIONS(2094),
    [anon_sym_if] = ACTIONS(2216),
    [anon_sym_while] = ACTIONS(2218),
    [anon_sym_for] = ACTIONS(2220),
    [anon_sym_try] = ACTIONS(2222),
    [anon_sym_new] = ACTIONS(2096),
    [anon_sym_opaque] = ACTIONS(2094),
    [anon_sym_implicit] = ACTIONS(2224),
    [anon_sym_inline] = ACTIONS(2098),
    [anon_sym_infix] = ACTIONS(2094),
    [anon_sym_open] = ACTIONS(2094),
    [anon_sym_transparent] = ACTIONS(2094),
    [anon_sym_LPAREN] = ACTIONS(2100),
    [anon_sym_macro] = ACTIONS(2226),
    [anon_sym_BANG] = ACTIONS(2092),
    [anon_sym_TILDE] = ACTIONS(2092),
    [anon_sym_DOLLAR] = ACTIONS(2102),
    [anon_sym_SQUOTE] = ACTIONS(2104),
    [sym__backquoted_id] = ACTIONS(2106),
    [sym_operator_identifier] = ACTIONS(2228),
    [sym_integer_literal] = ACTIONS(2110),
    [sym_floating_point_literal] = ACTIONS(2112),
    [anon_sym_true] = ACTIONS(2114),
    [anon_sym_false] = ACTIONS(2114),
    [sym_character_literal] = ACTIONS(2112),
    [sym_null_literal] = ACTIONS(2116),
    [anon_sym_return] = ACTIONS(2230),
    [anon_sym_throw] = ACTIONS(2232),
    [anon_sym_do] = ACTIONS(1856),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2234),
    [sym__simple_multiline_string] = ACTIONS(2118),
    [sym__simple_string] = ACTIONS(2118),
  },
  [1107] = {
    [sym_inline_modifier] = STATE(2044),
    [sym__indentable_expression] = STATE(12011),
    [sym_block] = STATE(9913),
    [sym_indented_block] = STATE(11923),
    [sym_indented_cases] = STATE(11923),
    [sym_expression] = STATE(13501),
    [sym__simple_expression] = STATE(7224),
    [sym_lambda_expression] = STATE(12144),
    [sym_if_expression] = STATE(12144),
    [sym_match_expression] = STATE(12144),
    [sym_try_expression] = STATE(12144),
    [sym_bindings] = STATE(15632),
    [sym_case_block] = STATE(9913),
    [sym_assignment_expression] = STATE(12144),
    [sym_generic_function] = STATE(9913),
    [sym_call_expression] = STATE(9913),
    [sym_field_expression] = STATE(9913),
    [sym_instance_expression] = STATE(9913),
    [sym_ascription_expression] = STATE(12144),
    [sym_infix_expression] = STATE(10304),
    [sym_postfix_expression] = STATE(11499),
    [sym__postfix_expression_choice] = STATE(16334),
    [sym_macro_body] = STATE(12144),
    [sym_prefix_expression] = STATE(9963),
    [sym_tuple_expression] = STATE(9913),
    [sym_parenthesized_expression] = STATE(9913),
    [sym_splice_expression] = STATE(9913),
    [sym_quote_expression] = STATE(9913),
    [sym_identifier] = STATE(6170),
    [sym__soft_identifier] = STATE(4555),
    [sym_wildcard] = STATE(8897),
    [sym__non_null_literal] = STATE(9913),
    [sym_boolean_literal] = STATE(6572),
    [sym_interpolated_string_expression] = STATE(9913),
    [sym_string] = STATE(6572),
    [sym_unit] = STATE(9913),
    [sym_return_expression] = STATE(12144),
    [sym_throw_expression] = STATE(12144),
    [sym_while_expression] = STATE(12144),
    [sym_do_while_expression] = STATE(12144),
    [sym_for_expression] = STATE(12144),
    [sym_comment] = STATE(1107),
    [sym_block_comment] = STATE(1107),
    [sym__alpha_identifier] = ACTIONS(1766),
    [anon_sym_LBRACE] = ACTIONS(1770),
    [anon_sym__] = ACTIONS(1772),
    [anon_sym_PLUS] = ACTIONS(1774),
    [anon_sym_DASH] = ACTIONS(1774),
    [anon_sym_end] = ACTIONS(1776),
    [anon_sym_if] = ACTIONS(2160),
    [anon_sym_while] = ACTIONS(2162),
    [anon_sym_for] = ACTIONS(2164),
    [anon_sym_try] = ACTIONS(2166),
    [anon_sym_new] = ACTIONS(1778),
    [anon_sym_opaque] = ACTIONS(1776),
    [anon_sym_implicit] = ACTIONS(2168),
    [anon_sym_inline] = ACTIONS(1780),
    [anon_sym_infix] = ACTIONS(1776),
    [anon_sym_open] = ACTIONS(1776),
    [anon_sym_transparent] = ACTIONS(1776),
    [anon_sym_LPAREN] = ACTIONS(1782),
    [anon_sym_macro] = ACTIONS(2170),
    [anon_sym_BANG] = ACTIONS(1774),
    [anon_sym_TILDE] = ACTIONS(1774),
    [anon_sym_DOLLAR] = ACTIONS(1784),
    [anon_sym_SQUOTE] = ACTIONS(1786),
    [sym__backquoted_id] = ACTIONS(1788),
    [sym_operator_identifier] = ACTIONS(2172),
    [sym_integer_literal] = ACTIONS(1792),
    [sym_floating_point_literal] = ACTIONS(1794),
    [anon_sym_true] = ACTIONS(1796),
    [anon_sym_false] = ACTIONS(1796),
    [sym_character_literal] = ACTIONS(1794),
    [sym_null_literal] = ACTIONS(1798),
    [anon_sym_return] = ACTIONS(2174),
    [anon_sym_throw] = ACTIONS(2176),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3280),
    [sym__simple_multiline_string] = ACTIONS(1800),
    [sym__simple_string] = ACTIONS(1800),
  },
  [1108] = {
    [sym_inline_modifier] = STATE(2250),
    [sym__indentable_expression] = STATE(11585),
    [sym_block] = STATE(6450),
    [sym_indented_block] = STATE(11535),
    [sym_indented_cases] = STATE(11535),
    [sym_expression] = STATE(11606),
    [sym__simple_expression] = STATE(5297),
    [sym_lambda_expression] = STATE(11549),
    [sym_if_expression] = STATE(11549),
    [sym_match_expression] = STATE(11549),
    [sym_try_expression] = STATE(11549),
    [sym_bindings] = STATE(15503),
    [sym_case_block] = STATE(6450),
    [sym_assignment_expression] = STATE(11549),
    [sym_generic_function] = STATE(6450),
    [sym_call_expression] = STATE(6450),
    [sym_field_expression] = STATE(6450),
    [sym_instance_expression] = STATE(6450),
    [sym_ascription_expression] = STATE(11549),
    [sym_infix_expression] = STATE(7641),
    [sym_postfix_expression] = STATE(11204),
    [sym__postfix_expression_choice] = STATE(16480),
    [sym_macro_body] = STATE(11549),
    [sym_prefix_expression] = STATE(8711),
    [sym_tuple_expression] = STATE(6450),
    [sym_parenthesized_expression] = STATE(6450),
    [sym_splice_expression] = STATE(6450),
    [sym_quote_expression] = STATE(6450),
    [sym_identifier] = STATE(4723),
    [sym__soft_identifier] = STATE(4507),
    [sym_wildcard] = STATE(7115),
    [sym__non_null_literal] = STATE(6450),
    [sym_boolean_literal] = STATE(6156),
    [sym_interpolated_string_expression] = STATE(6450),
    [sym_string] = STATE(6156),
    [sym_unit] = STATE(6450),
    [sym_return_expression] = STATE(11549),
    [sym_throw_expression] = STATE(11549),
    [sym_while_expression] = STATE(11549),
    [sym_do_while_expression] = STATE(11549),
    [sym_for_expression] = STATE(11549),
    [sym_comment] = STATE(1108),
    [sym_block_comment] = STATE(1108),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(2256),
    [anon_sym_while] = ACTIONS(1370),
    [anon_sym_for] = ACTIONS(1372),
    [anon_sym_try] = ACTIONS(1374),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1376),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1378),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1380),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1382),
    [anon_sym_throw] = ACTIONS(1384),
    [anon_sym_do] = ACTIONS(1386),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2258),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [1109] = {
    [sym_inline_modifier] = STATE(2250),
    [sym__indentable_expression] = STATE(11572),
    [sym_block] = STATE(6450),
    [sym_indented_block] = STATE(11535),
    [sym_indented_cases] = STATE(11535),
    [sym_expression] = STATE(11606),
    [sym__simple_expression] = STATE(5297),
    [sym_lambda_expression] = STATE(11549),
    [sym_if_expression] = STATE(11549),
    [sym_match_expression] = STATE(11549),
    [sym_try_expression] = STATE(11549),
    [sym_bindings] = STATE(15503),
    [sym_case_block] = STATE(6450),
    [sym_assignment_expression] = STATE(11549),
    [sym_generic_function] = STATE(6450),
    [sym_call_expression] = STATE(6450),
    [sym_field_expression] = STATE(6450),
    [sym_instance_expression] = STATE(6450),
    [sym_ascription_expression] = STATE(11549),
    [sym_infix_expression] = STATE(7641),
    [sym_postfix_expression] = STATE(11204),
    [sym__postfix_expression_choice] = STATE(16480),
    [sym_macro_body] = STATE(11549),
    [sym_prefix_expression] = STATE(8711),
    [sym_tuple_expression] = STATE(6450),
    [sym_parenthesized_expression] = STATE(6450),
    [sym_splice_expression] = STATE(6450),
    [sym_quote_expression] = STATE(6450),
    [sym_identifier] = STATE(4723),
    [sym__soft_identifier] = STATE(4507),
    [sym_wildcard] = STATE(7115),
    [sym__non_null_literal] = STATE(6450),
    [sym_boolean_literal] = STATE(6156),
    [sym_interpolated_string_expression] = STATE(6450),
    [sym_string] = STATE(6156),
    [sym_unit] = STATE(6450),
    [sym_return_expression] = STATE(11549),
    [sym_throw_expression] = STATE(11549),
    [sym_while_expression] = STATE(11549),
    [sym_do_while_expression] = STATE(11549),
    [sym_for_expression] = STATE(11549),
    [sym_comment] = STATE(1109),
    [sym_block_comment] = STATE(1109),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(2256),
    [anon_sym_while] = ACTIONS(1370),
    [anon_sym_for] = ACTIONS(1372),
    [anon_sym_try] = ACTIONS(1374),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1376),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1378),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1380),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1382),
    [anon_sym_throw] = ACTIONS(1384),
    [anon_sym_do] = ACTIONS(1386),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2258),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [1110] = {
    [sym_inline_modifier] = STATE(2113),
    [sym__indentable_expression] = STATE(11898),
    [sym_block] = STATE(6703),
    [sym_indented_block] = STATE(12004),
    [sym_indented_cases] = STATE(12004),
    [sym_expression] = STATE(12171),
    [sym__simple_expression] = STATE(5524),
    [sym_lambda_expression] = STATE(12046),
    [sym_if_expression] = STATE(12046),
    [sym_match_expression] = STATE(12046),
    [sym_try_expression] = STATE(12046),
    [sym_bindings] = STATE(15660),
    [sym_case_block] = STATE(6703),
    [sym_assignment_expression] = STATE(12046),
    [sym_generic_function] = STATE(6703),
    [sym_call_expression] = STATE(6703),
    [sym_field_expression] = STATE(6703),
    [sym_instance_expression] = STATE(6703),
    [sym_ascription_expression] = STATE(12046),
    [sym_infix_expression] = STATE(8166),
    [sym_postfix_expression] = STATE(11496),
    [sym__postfix_expression_choice] = STATE(15827),
    [sym_macro_body] = STATE(12046),
    [sym_prefix_expression] = STATE(9264),
    [sym_tuple_expression] = STATE(6703),
    [sym_parenthesized_expression] = STATE(6703),
    [sym_splice_expression] = STATE(6703),
    [sym_quote_expression] = STATE(6703),
    [sym_identifier] = STATE(5303),
    [sym__soft_identifier] = STATE(4884),
    [sym_wildcard] = STATE(7550),
    [sym__non_null_literal] = STATE(6703),
    [sym_boolean_literal] = STATE(6780),
    [sym_interpolated_string_expression] = STATE(6703),
    [sym_string] = STATE(6780),
    [sym_unit] = STATE(6703),
    [sym_return_expression] = STATE(12046),
    [sym_throw_expression] = STATE(12046),
    [sym_while_expression] = STATE(12046),
    [sym_do_while_expression] = STATE(12046),
    [sym_for_expression] = STATE(12046),
    [sym_comment] = STATE(1110),
    [sym_block_comment] = STATE(1110),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(2478),
    [anon_sym_while] = ACTIONS(2002),
    [anon_sym_for] = ACTIONS(2004),
    [anon_sym_try] = ACTIONS(2006),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(2008),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1848),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(2010),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(2012),
    [anon_sym_throw] = ACTIONS(2014),
    [anon_sym_do] = ACTIONS(1856),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2234),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [1111] = {
    [sym_inline_modifier] = STATE(2259),
    [sym__indentable_expression] = STATE(13783),
    [sym_block] = STATE(8070),
    [sym_indented_block] = STATE(12700),
    [sym_indented_cases] = STATE(12700),
    [sym_expression] = STATE(12581),
    [sym__simple_expression] = STATE(7077),
    [sym_lambda_expression] = STATE(12742),
    [sym_if_expression] = STATE(12742),
    [sym_match_expression] = STATE(12742),
    [sym_try_expression] = STATE(12742),
    [sym_bindings] = STATE(15598),
    [sym_case_block] = STATE(8070),
    [sym_assignment_expression] = STATE(12742),
    [sym_generic_function] = STATE(8070),
    [sym_call_expression] = STATE(8070),
    [sym_field_expression] = STATE(8070),
    [sym_instance_expression] = STATE(8070),
    [sym_ascription_expression] = STATE(12742),
    [sym_infix_expression] = STATE(8913),
    [sym_postfix_expression] = STATE(12343),
    [sym__postfix_expression_choice] = STATE(16230),
    [sym_macro_body] = STATE(12742),
    [sym_prefix_expression] = STATE(10037),
    [sym_tuple_expression] = STATE(8070),
    [sym_parenthesized_expression] = STATE(8070),
    [sym_splice_expression] = STATE(8070),
    [sym_quote_expression] = STATE(8070),
    [sym_identifier] = STATE(6308),
    [sym__soft_identifier] = STATE(5234),
    [sym_wildcard] = STATE(8710),
    [sym__non_null_literal] = STATE(8070),
    [sym_boolean_literal] = STATE(8055),
    [sym_interpolated_string_expression] = STATE(8070),
    [sym_string] = STATE(8055),
    [sym_unit] = STATE(8070),
    [sym_return_expression] = STATE(12742),
    [sym_throw_expression] = STATE(12742),
    [sym_while_expression] = STATE(12742),
    [sym_do_while_expression] = STATE(12742),
    [sym_for_expression] = STATE(12742),
    [sym_comment] = STATE(1111),
    [sym_block_comment] = STATE(1111),
    [sym__alpha_identifier] = ACTIONS(1314),
    [anon_sym_LBRACE] = ACTIONS(1318),
    [anon_sym__] = ACTIONS(1320),
    [anon_sym_PLUS] = ACTIONS(1322),
    [anon_sym_DASH] = ACTIONS(1322),
    [anon_sym_end] = ACTIONS(1324),
    [anon_sym_if] = ACTIONS(2486),
    [anon_sym_while] = ACTIONS(2488),
    [anon_sym_for] = ACTIONS(2490),
    [anon_sym_try] = ACTIONS(2492),
    [anon_sym_new] = ACTIONS(1326),
    [anon_sym_opaque] = ACTIONS(1324),
    [anon_sym_implicit] = ACTIONS(2494),
    [anon_sym_inline] = ACTIONS(1328),
    [anon_sym_infix] = ACTIONS(1324),
    [anon_sym_open] = ACTIONS(1324),
    [anon_sym_transparent] = ACTIONS(1324),
    [anon_sym_LPAREN] = ACTIONS(1330),
    [anon_sym_macro] = ACTIONS(1740),
    [anon_sym_BANG] = ACTIONS(1322),
    [anon_sym_TILDE] = ACTIONS(1322),
    [anon_sym_DOLLAR] = ACTIONS(1332),
    [anon_sym_SQUOTE] = ACTIONS(1334),
    [sym__backquoted_id] = ACTIONS(1336),
    [sym_operator_identifier] = ACTIONS(2496),
    [sym_integer_literal] = ACTIONS(1340),
    [sym_floating_point_literal] = ACTIONS(1342),
    [anon_sym_true] = ACTIONS(1344),
    [anon_sym_false] = ACTIONS(1344),
    [sym_character_literal] = ACTIONS(1342),
    [sym_null_literal] = ACTIONS(1346),
    [anon_sym_return] = ACTIONS(2498),
    [anon_sym_throw] = ACTIONS(2500),
    [anon_sym_do] = ACTIONS(1748),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2158),
    [sym__simple_multiline_string] = ACTIONS(1348),
    [sym__simple_string] = ACTIONS(1348),
  },
  [1112] = {
    [sym_inline_modifier] = STATE(2118),
    [sym__indentable_expression] = STATE(12410),
    [sym_block] = STATE(5403),
    [sym_indented_block] = STATE(11085),
    [sym_indented_cases] = STATE(11085),
    [sym_expression] = STATE(11355),
    [sym__simple_expression] = STATE(5051),
    [sym_lambda_expression] = STATE(11364),
    [sym_if_expression] = STATE(11364),
    [sym_match_expression] = STATE(11364),
    [sym_try_expression] = STATE(11364),
    [sym_bindings] = STATE(15597),
    [sym_case_block] = STATE(5403),
    [sym_assignment_expression] = STATE(11364),
    [sym_generic_function] = STATE(5403),
    [sym_call_expression] = STATE(5403),
    [sym_field_expression] = STATE(5403),
    [sym_instance_expression] = STATE(5403),
    [sym_ascription_expression] = STATE(11364),
    [sym_infix_expression] = STATE(6806),
    [sym_postfix_expression] = STATE(10789),
    [sym__postfix_expression_choice] = STATE(15797),
    [sym_macro_body] = STATE(11364),
    [sym_prefix_expression] = STATE(8869),
    [sym_tuple_expression] = STATE(5403),
    [sym_parenthesized_expression] = STATE(5403),
    [sym_splice_expression] = STATE(5403),
    [sym_quote_expression] = STATE(5403),
    [sym_identifier] = STATE(4686),
    [sym__soft_identifier] = STATE(4455),
    [sym_wildcard] = STATE(7015),
    [sym__non_null_literal] = STATE(5403),
    [sym_boolean_literal] = STATE(5637),
    [sym_interpolated_string_expression] = STATE(5403),
    [sym_string] = STATE(5637),
    [sym_unit] = STATE(5403),
    [sym_return_expression] = STATE(11364),
    [sym_throw_expression] = STATE(11364),
    [sym_while_expression] = STATE(11364),
    [sym_do_while_expression] = STATE(11364),
    [sym_for_expression] = STATE(11364),
    [sym_comment] = STATE(1112),
    [sym_block_comment] = STATE(1112),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(1152),
    [anon_sym_while] = ACTIONS(1154),
    [anon_sym_for] = ACTIONS(1156),
    [anon_sym_try] = ACTIONS(1158),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1160),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1162),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1164),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1166),
    [anon_sym_throw] = ACTIONS(1168),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2282),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [1113] = {
    [sym_inline_modifier] = STATE(2064),
    [sym__indentable_expression] = STATE(13635),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(8719),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15704),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10572),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(8565),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(10039),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1113),
    [sym_block_comment] = STATE(1113),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(3246),
    [anon_sym_while] = ACTIONS(3248),
    [anon_sym_for] = ACTIONS(3250),
    [anon_sym_try] = ACTIONS(3252),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(3254),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3318),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(3259),
    [anon_sym_throw] = ACTIONS(3261),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1114] = {
    [sym_inline_modifier] = STATE(2250),
    [sym__indentable_expression] = STATE(11566),
    [sym_block] = STATE(6450),
    [sym_indented_block] = STATE(11535),
    [sym_indented_cases] = STATE(11535),
    [sym_expression] = STATE(11606),
    [sym__simple_expression] = STATE(5297),
    [sym_lambda_expression] = STATE(11549),
    [sym_if_expression] = STATE(11549),
    [sym_match_expression] = STATE(11549),
    [sym_try_expression] = STATE(11549),
    [sym_bindings] = STATE(15503),
    [sym_case_block] = STATE(6450),
    [sym_assignment_expression] = STATE(11549),
    [sym_generic_function] = STATE(6450),
    [sym_call_expression] = STATE(6450),
    [sym_field_expression] = STATE(6450),
    [sym_instance_expression] = STATE(6450),
    [sym_ascription_expression] = STATE(11549),
    [sym_infix_expression] = STATE(7641),
    [sym_postfix_expression] = STATE(11204),
    [sym__postfix_expression_choice] = STATE(16480),
    [sym_macro_body] = STATE(11549),
    [sym_prefix_expression] = STATE(8711),
    [sym_tuple_expression] = STATE(6450),
    [sym_parenthesized_expression] = STATE(6450),
    [sym_splice_expression] = STATE(6450),
    [sym_quote_expression] = STATE(6450),
    [sym_identifier] = STATE(4723),
    [sym__soft_identifier] = STATE(4507),
    [sym_wildcard] = STATE(7115),
    [sym__non_null_literal] = STATE(6450),
    [sym_boolean_literal] = STATE(6156),
    [sym_interpolated_string_expression] = STATE(6450),
    [sym_string] = STATE(6156),
    [sym_unit] = STATE(6450),
    [sym_return_expression] = STATE(11549),
    [sym_throw_expression] = STATE(11549),
    [sym_while_expression] = STATE(11549),
    [sym_do_while_expression] = STATE(11549),
    [sym_for_expression] = STATE(11549),
    [sym_comment] = STATE(1114),
    [sym_block_comment] = STATE(1114),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(2256),
    [anon_sym_while] = ACTIONS(1370),
    [anon_sym_for] = ACTIONS(1372),
    [anon_sym_try] = ACTIONS(1374),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1376),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1378),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1380),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1382),
    [anon_sym_throw] = ACTIONS(1384),
    [anon_sym_do] = ACTIONS(1386),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2258),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [1115] = {
    [sym_inline_modifier] = STATE(2113),
    [sym__indentable_expression] = STATE(11823),
    [sym_block] = STATE(6703),
    [sym_indented_block] = STATE(12004),
    [sym_indented_cases] = STATE(12004),
    [sym_expression] = STATE(12171),
    [sym__simple_expression] = STATE(5524),
    [sym_lambda_expression] = STATE(12046),
    [sym_if_expression] = STATE(12046),
    [sym_match_expression] = STATE(12046),
    [sym_try_expression] = STATE(12046),
    [sym_bindings] = STATE(15660),
    [sym_case_block] = STATE(6703),
    [sym_assignment_expression] = STATE(12046),
    [sym_generic_function] = STATE(6703),
    [sym_call_expression] = STATE(6703),
    [sym_field_expression] = STATE(6703),
    [sym_instance_expression] = STATE(6703),
    [sym_ascription_expression] = STATE(12046),
    [sym_infix_expression] = STATE(8166),
    [sym_postfix_expression] = STATE(11496),
    [sym__postfix_expression_choice] = STATE(15827),
    [sym_macro_body] = STATE(12046),
    [sym_prefix_expression] = STATE(9264),
    [sym_tuple_expression] = STATE(6703),
    [sym_parenthesized_expression] = STATE(6703),
    [sym_splice_expression] = STATE(6703),
    [sym_quote_expression] = STATE(6703),
    [sym_identifier] = STATE(5303),
    [sym__soft_identifier] = STATE(4884),
    [sym_wildcard] = STATE(7550),
    [sym__non_null_literal] = STATE(6703),
    [sym_boolean_literal] = STATE(6780),
    [sym_interpolated_string_expression] = STATE(6703),
    [sym_string] = STATE(6780),
    [sym_unit] = STATE(6703),
    [sym_return_expression] = STATE(12046),
    [sym_throw_expression] = STATE(12046),
    [sym_while_expression] = STATE(12046),
    [sym_do_while_expression] = STATE(12046),
    [sym_for_expression] = STATE(12046),
    [sym_comment] = STATE(1115),
    [sym_block_comment] = STATE(1115),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(2478),
    [anon_sym_while] = ACTIONS(2002),
    [anon_sym_for] = ACTIONS(2004),
    [anon_sym_try] = ACTIONS(2006),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(2008),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1848),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(2010),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(2012),
    [anon_sym_throw] = ACTIONS(2014),
    [anon_sym_do] = ACTIONS(1856),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2234),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [1116] = {
    [sym_inline_modifier] = STATE(2084),
    [sym__indentable_expression] = STATE(16277),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(8831),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15722),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10635),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(743),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(8641),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(10149),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1116),
    [sym_block_comment] = STATE(1116),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2740),
    [anon_sym_while] = ACTIONS(2742),
    [anon_sym_for] = ACTIONS(2744),
    [anon_sym_try] = ACTIONS(2746),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2748),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3310),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3312),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2762),
    [anon_sym_throw] = ACTIONS(2764),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1117] = {
    [sym_inline_modifier] = STATE(2113),
    [sym__indentable_expression] = STATE(11822),
    [sym_block] = STATE(6703),
    [sym_indented_block] = STATE(12004),
    [sym_indented_cases] = STATE(12004),
    [sym_expression] = STATE(12171),
    [sym__simple_expression] = STATE(5524),
    [sym_lambda_expression] = STATE(12046),
    [sym_if_expression] = STATE(12046),
    [sym_match_expression] = STATE(12046),
    [sym_try_expression] = STATE(12046),
    [sym_bindings] = STATE(15660),
    [sym_case_block] = STATE(6703),
    [sym_assignment_expression] = STATE(12046),
    [sym_generic_function] = STATE(6703),
    [sym_call_expression] = STATE(6703),
    [sym_field_expression] = STATE(6703),
    [sym_instance_expression] = STATE(6703),
    [sym_ascription_expression] = STATE(12046),
    [sym_infix_expression] = STATE(8166),
    [sym_postfix_expression] = STATE(11496),
    [sym__postfix_expression_choice] = STATE(15827),
    [sym_macro_body] = STATE(12046),
    [sym_prefix_expression] = STATE(9264),
    [sym_tuple_expression] = STATE(6703),
    [sym_parenthesized_expression] = STATE(6703),
    [sym_splice_expression] = STATE(6703),
    [sym_quote_expression] = STATE(6703),
    [sym_identifier] = STATE(5303),
    [sym__soft_identifier] = STATE(4884),
    [sym_wildcard] = STATE(7550),
    [sym__non_null_literal] = STATE(6703),
    [sym_boolean_literal] = STATE(6780),
    [sym_interpolated_string_expression] = STATE(6703),
    [sym_string] = STATE(6780),
    [sym_unit] = STATE(6703),
    [sym_return_expression] = STATE(12046),
    [sym_throw_expression] = STATE(12046),
    [sym_while_expression] = STATE(12046),
    [sym_do_while_expression] = STATE(12046),
    [sym_for_expression] = STATE(12046),
    [sym_comment] = STATE(1117),
    [sym_block_comment] = STATE(1117),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(2478),
    [anon_sym_while] = ACTIONS(2002),
    [anon_sym_for] = ACTIONS(2004),
    [anon_sym_try] = ACTIONS(2006),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(2008),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1848),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(2010),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(2012),
    [anon_sym_throw] = ACTIONS(2014),
    [anon_sym_do] = ACTIONS(1856),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2234),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [1118] = {
    [sym_inline_modifier] = STATE(2250),
    [sym__indentable_expression] = STATE(11483),
    [sym_block] = STATE(6450),
    [sym_indented_block] = STATE(11535),
    [sym_indented_cases] = STATE(11535),
    [sym_expression] = STATE(11606),
    [sym__simple_expression] = STATE(5297),
    [sym_lambda_expression] = STATE(11549),
    [sym_if_expression] = STATE(11549),
    [sym_match_expression] = STATE(11549),
    [sym_try_expression] = STATE(11549),
    [sym_bindings] = STATE(15503),
    [sym_case_block] = STATE(6450),
    [sym_assignment_expression] = STATE(11549),
    [sym_generic_function] = STATE(6450),
    [sym_call_expression] = STATE(6450),
    [sym_field_expression] = STATE(6450),
    [sym_instance_expression] = STATE(6450),
    [sym_ascription_expression] = STATE(11549),
    [sym_infix_expression] = STATE(7641),
    [sym_postfix_expression] = STATE(11204),
    [sym__postfix_expression_choice] = STATE(16480),
    [sym_macro_body] = STATE(11549),
    [sym_prefix_expression] = STATE(8711),
    [sym_tuple_expression] = STATE(6450),
    [sym_parenthesized_expression] = STATE(6450),
    [sym_splice_expression] = STATE(6450),
    [sym_quote_expression] = STATE(6450),
    [sym_identifier] = STATE(4723),
    [sym__soft_identifier] = STATE(4507),
    [sym_wildcard] = STATE(7115),
    [sym__non_null_literal] = STATE(6450),
    [sym_boolean_literal] = STATE(6156),
    [sym_interpolated_string_expression] = STATE(6450),
    [sym_string] = STATE(6156),
    [sym_unit] = STATE(6450),
    [sym_return_expression] = STATE(11549),
    [sym_throw_expression] = STATE(11549),
    [sym_while_expression] = STATE(11549),
    [sym_do_while_expression] = STATE(11549),
    [sym_for_expression] = STATE(11549),
    [sym_comment] = STATE(1118),
    [sym_block_comment] = STATE(1118),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(2256),
    [anon_sym_while] = ACTIONS(1370),
    [anon_sym_for] = ACTIONS(1372),
    [anon_sym_try] = ACTIONS(1374),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1376),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1378),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1380),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1382),
    [anon_sym_throw] = ACTIONS(1384),
    [anon_sym_do] = ACTIONS(1386),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2258),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [1119] = {
    [sym_inline_modifier] = STATE(2064),
    [sym__indentable_expression] = STATE(13566),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(8719),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15704),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10572),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(8565),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(10039),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1119),
    [sym_block_comment] = STATE(1119),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(3246),
    [anon_sym_while] = ACTIONS(3248),
    [anon_sym_for] = ACTIONS(3250),
    [anon_sym_try] = ACTIONS(3252),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(3254),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3318),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(3259),
    [anon_sym_throw] = ACTIONS(3261),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1120] = {
    [sym_inline_modifier] = STATE(2113),
    [sym__indentable_expression] = STATE(11819),
    [sym_block] = STATE(6703),
    [sym_indented_block] = STATE(12004),
    [sym_indented_cases] = STATE(12004),
    [sym_expression] = STATE(12171),
    [sym__simple_expression] = STATE(5524),
    [sym_lambda_expression] = STATE(12046),
    [sym_if_expression] = STATE(12046),
    [sym_match_expression] = STATE(12046),
    [sym_try_expression] = STATE(12046),
    [sym_bindings] = STATE(15660),
    [sym_case_block] = STATE(6703),
    [sym_assignment_expression] = STATE(12046),
    [sym_generic_function] = STATE(6703),
    [sym_call_expression] = STATE(6703),
    [sym_field_expression] = STATE(6703),
    [sym_instance_expression] = STATE(6703),
    [sym_ascription_expression] = STATE(12046),
    [sym_infix_expression] = STATE(8166),
    [sym_postfix_expression] = STATE(11496),
    [sym__postfix_expression_choice] = STATE(15827),
    [sym_macro_body] = STATE(12046),
    [sym_prefix_expression] = STATE(9264),
    [sym_tuple_expression] = STATE(6703),
    [sym_parenthesized_expression] = STATE(6703),
    [sym_splice_expression] = STATE(6703),
    [sym_quote_expression] = STATE(6703),
    [sym_identifier] = STATE(5303),
    [sym__soft_identifier] = STATE(4884),
    [sym_wildcard] = STATE(7550),
    [sym__non_null_literal] = STATE(6703),
    [sym_boolean_literal] = STATE(6780),
    [sym_interpolated_string_expression] = STATE(6703),
    [sym_string] = STATE(6780),
    [sym_unit] = STATE(6703),
    [sym_return_expression] = STATE(12046),
    [sym_throw_expression] = STATE(12046),
    [sym_while_expression] = STATE(12046),
    [sym_do_while_expression] = STATE(12046),
    [sym_for_expression] = STATE(12046),
    [sym_comment] = STATE(1120),
    [sym_block_comment] = STATE(1120),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(2478),
    [anon_sym_while] = ACTIONS(2002),
    [anon_sym_for] = ACTIONS(2004),
    [anon_sym_try] = ACTIONS(2006),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(2008),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1848),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(2010),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(2012),
    [anon_sym_throw] = ACTIONS(2014),
    [anon_sym_do] = ACTIONS(1856),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2234),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [1121] = {
    [sym_inline_modifier] = STATE(2132),
    [sym__indentable_expression] = STATE(12481),
    [sym_block] = STATE(6738),
    [sym_indented_block] = STATE(12372),
    [sym_indented_cases] = STATE(12372),
    [sym_expression] = STATE(12028),
    [sym__simple_expression] = STATE(6097),
    [sym_lambda_expression] = STATE(12430),
    [sym_if_expression] = STATE(12430),
    [sym_match_expression] = STATE(12430),
    [sym_try_expression] = STATE(12430),
    [sym_bindings] = STATE(15718),
    [sym_case_block] = STATE(6738),
    [sym_assignment_expression] = STATE(12430),
    [sym_generic_function] = STATE(6738),
    [sym_call_expression] = STATE(6738),
    [sym_field_expression] = STATE(6738),
    [sym_instance_expression] = STATE(6738),
    [sym_ascription_expression] = STATE(12430),
    [sym_infix_expression] = STATE(8389),
    [sym_postfix_expression] = STATE(11930),
    [sym__postfix_expression_choice] = STATE(15885),
    [sym_macro_body] = STATE(12430),
    [sym_prefix_expression] = STATE(9761),
    [sym_tuple_expression] = STATE(6738),
    [sym_parenthesized_expression] = STATE(6738),
    [sym_splice_expression] = STATE(6738),
    [sym_quote_expression] = STATE(6738),
    [sym_identifier] = STATE(5458),
    [sym__soft_identifier] = STATE(4943),
    [sym_wildcard] = STATE(8612),
    [sym__non_null_literal] = STATE(6738),
    [sym_boolean_literal] = STATE(7301),
    [sym_interpolated_string_expression] = STATE(6738),
    [sym_string] = STATE(7301),
    [sym_unit] = STATE(6738),
    [sym_return_expression] = STATE(12430),
    [sym_throw_expression] = STATE(12430),
    [sym_while_expression] = STATE(12430),
    [sym_do_while_expression] = STATE(12430),
    [sym_for_expression] = STATE(12430),
    [sym_comment] = STATE(1121),
    [sym_block_comment] = STATE(1121),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(2430),
    [anon_sym_while] = ACTIONS(2432),
    [anon_sym_for] = ACTIONS(2434),
    [anon_sym_try] = ACTIONS(2436),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(2438),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1360),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(2440),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(2442),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(1368),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2202),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [1122] = {
    [sym_inline_modifier] = STATE(2113),
    [sym__indentable_expression] = STATE(11815),
    [sym_block] = STATE(6703),
    [sym_indented_block] = STATE(12004),
    [sym_indented_cases] = STATE(12004),
    [sym_expression] = STATE(12171),
    [sym__simple_expression] = STATE(5524),
    [sym_lambda_expression] = STATE(12046),
    [sym_if_expression] = STATE(12046),
    [sym_match_expression] = STATE(12046),
    [sym_try_expression] = STATE(12046),
    [sym_bindings] = STATE(15660),
    [sym_case_block] = STATE(6703),
    [sym_assignment_expression] = STATE(12046),
    [sym_generic_function] = STATE(6703),
    [sym_call_expression] = STATE(6703),
    [sym_field_expression] = STATE(6703),
    [sym_instance_expression] = STATE(6703),
    [sym_ascription_expression] = STATE(12046),
    [sym_infix_expression] = STATE(8166),
    [sym_postfix_expression] = STATE(11496),
    [sym__postfix_expression_choice] = STATE(15827),
    [sym_macro_body] = STATE(12046),
    [sym_prefix_expression] = STATE(9264),
    [sym_tuple_expression] = STATE(6703),
    [sym_parenthesized_expression] = STATE(6703),
    [sym_splice_expression] = STATE(6703),
    [sym_quote_expression] = STATE(6703),
    [sym_identifier] = STATE(5303),
    [sym__soft_identifier] = STATE(4884),
    [sym_wildcard] = STATE(7550),
    [sym__non_null_literal] = STATE(6703),
    [sym_boolean_literal] = STATE(6780),
    [sym_interpolated_string_expression] = STATE(6703),
    [sym_string] = STATE(6780),
    [sym_unit] = STATE(6703),
    [sym_return_expression] = STATE(12046),
    [sym_throw_expression] = STATE(12046),
    [sym_while_expression] = STATE(12046),
    [sym_do_while_expression] = STATE(12046),
    [sym_for_expression] = STATE(12046),
    [sym_comment] = STATE(1122),
    [sym_block_comment] = STATE(1122),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(2478),
    [anon_sym_while] = ACTIONS(2002),
    [anon_sym_for] = ACTIONS(2004),
    [anon_sym_try] = ACTIONS(2006),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(2008),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1848),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(2010),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(2012),
    [anon_sym_throw] = ACTIONS(2014),
    [anon_sym_do] = ACTIONS(1856),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2234),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [1123] = {
    [sym_inline_modifier] = STATE(2130),
    [sym__indentable_expression] = STATE(13329),
    [sym_block] = STATE(9120),
    [sym_indented_block] = STATE(13388),
    [sym_indented_cases] = STATE(13388),
    [sym_expression] = STATE(13211),
    [sym__simple_expression] = STATE(6353),
    [sym_lambda_expression] = STATE(13422),
    [sym_if_expression] = STATE(13422),
    [sym_match_expression] = STATE(13422),
    [sym_try_expression] = STATE(13422),
    [sym_bindings] = STATE(15752),
    [sym_case_block] = STATE(9120),
    [sym_assignment_expression] = STATE(13422),
    [sym_generic_function] = STATE(9120),
    [sym_call_expression] = STATE(9120),
    [sym_field_expression] = STATE(9120),
    [sym_instance_expression] = STATE(9120),
    [sym_ascription_expression] = STATE(13422),
    [sym_infix_expression] = STATE(9820),
    [sym_postfix_expression] = STATE(13148),
    [sym__postfix_expression_choice] = STATE(15936),
    [sym_macro_body] = STATE(13422),
    [sym_prefix_expression] = STATE(9828),
    [sym_tuple_expression] = STATE(9120),
    [sym_parenthesized_expression] = STATE(9120),
    [sym_splice_expression] = STATE(9120),
    [sym_quote_expression] = STATE(9120),
    [sym_identifier] = STATE(5669),
    [sym__soft_identifier] = STATE(6470),
    [sym_wildcard] = STATE(8444),
    [sym__non_null_literal] = STATE(9120),
    [sym_boolean_literal] = STATE(8928),
    [sym_interpolated_string_expression] = STATE(9120),
    [sym_string] = STATE(8928),
    [sym_unit] = STATE(9120),
    [sym_return_expression] = STATE(13422),
    [sym_throw_expression] = STATE(13422),
    [sym_while_expression] = STATE(13422),
    [sym_do_while_expression] = STATE(13422),
    [sym_for_expression] = STATE(13422),
    [sym_comment] = STATE(1123),
    [sym_block_comment] = STATE(1123),
    [sym__alpha_identifier] = ACTIONS(1582),
    [anon_sym_LBRACE] = ACTIONS(1586),
    [anon_sym__] = ACTIONS(1588),
    [anon_sym_PLUS] = ACTIONS(1590),
    [anon_sym_DASH] = ACTIONS(1590),
    [anon_sym_end] = ACTIONS(1592),
    [anon_sym_if] = ACTIONS(1864),
    [anon_sym_while] = ACTIONS(1866),
    [anon_sym_for] = ACTIONS(1868),
    [anon_sym_try] = ACTIONS(1870),
    [anon_sym_new] = ACTIONS(1594),
    [anon_sym_opaque] = ACTIONS(1592),
    [anon_sym_implicit] = ACTIONS(1872),
    [anon_sym_inline] = ACTIONS(1596),
    [anon_sym_infix] = ACTIONS(1592),
    [anon_sym_open] = ACTIONS(1592),
    [anon_sym_transparent] = ACTIONS(1592),
    [anon_sym_LPAREN] = ACTIONS(1598),
    [anon_sym_macro] = ACTIONS(1874),
    [anon_sym_BANG] = ACTIONS(1590),
    [anon_sym_TILDE] = ACTIONS(1590),
    [anon_sym_DOLLAR] = ACTIONS(1600),
    [anon_sym_SQUOTE] = ACTIONS(1602),
    [sym__backquoted_id] = ACTIONS(1604),
    [sym_operator_identifier] = ACTIONS(1876),
    [sym_integer_literal] = ACTIONS(1608),
    [sym_floating_point_literal] = ACTIONS(1610),
    [anon_sym_true] = ACTIONS(1612),
    [anon_sym_false] = ACTIONS(1612),
    [sym_character_literal] = ACTIONS(1610),
    [sym_null_literal] = ACTIONS(1614),
    [anon_sym_return] = ACTIONS(1878),
    [anon_sym_throw] = ACTIONS(1880),
    [anon_sym_do] = ACTIONS(1882),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3282),
    [sym__simple_multiline_string] = ACTIONS(1616),
    [sym__simple_string] = ACTIONS(1616),
  },
  [1124] = {
    [sym_inline_modifier] = STATE(2113),
    [sym__indentable_expression] = STATE(11831),
    [sym_block] = STATE(6703),
    [sym_indented_block] = STATE(12004),
    [sym_indented_cases] = STATE(12004),
    [sym_expression] = STATE(12171),
    [sym__simple_expression] = STATE(5524),
    [sym_lambda_expression] = STATE(12046),
    [sym_if_expression] = STATE(12046),
    [sym_match_expression] = STATE(12046),
    [sym_try_expression] = STATE(12046),
    [sym_bindings] = STATE(15660),
    [sym_case_block] = STATE(6703),
    [sym_assignment_expression] = STATE(12046),
    [sym_generic_function] = STATE(6703),
    [sym_call_expression] = STATE(6703),
    [sym_field_expression] = STATE(6703),
    [sym_instance_expression] = STATE(6703),
    [sym_ascription_expression] = STATE(12046),
    [sym_infix_expression] = STATE(8166),
    [sym_postfix_expression] = STATE(11496),
    [sym__postfix_expression_choice] = STATE(15827),
    [sym_macro_body] = STATE(12046),
    [sym_prefix_expression] = STATE(9264),
    [sym_tuple_expression] = STATE(6703),
    [sym_parenthesized_expression] = STATE(6703),
    [sym_splice_expression] = STATE(6703),
    [sym_quote_expression] = STATE(6703),
    [sym_identifier] = STATE(5303),
    [sym__soft_identifier] = STATE(4884),
    [sym_wildcard] = STATE(7550),
    [sym__non_null_literal] = STATE(6703),
    [sym_boolean_literal] = STATE(6780),
    [sym_interpolated_string_expression] = STATE(6703),
    [sym_string] = STATE(6780),
    [sym_unit] = STATE(6703),
    [sym_return_expression] = STATE(12046),
    [sym_throw_expression] = STATE(12046),
    [sym_while_expression] = STATE(12046),
    [sym_do_while_expression] = STATE(12046),
    [sym_for_expression] = STATE(12046),
    [sym_comment] = STATE(1124),
    [sym_block_comment] = STATE(1124),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(2478),
    [anon_sym_while] = ACTIONS(2002),
    [anon_sym_for] = ACTIONS(2004),
    [anon_sym_try] = ACTIONS(2006),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(2008),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1848),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(2010),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(2012),
    [anon_sym_throw] = ACTIONS(2014),
    [anon_sym_do] = ACTIONS(1856),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2234),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [1125] = {
    [sym_inline_modifier] = STATE(2064),
    [sym__indentable_expression] = STATE(13554),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(8719),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15704),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10572),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(8565),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(10039),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1125),
    [sym_block_comment] = STATE(1125),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(3246),
    [anon_sym_while] = ACTIONS(3248),
    [anon_sym_for] = ACTIONS(3250),
    [anon_sym_try] = ACTIONS(3252),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(3254),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3318),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(3259),
    [anon_sym_throw] = ACTIONS(3261),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1126] = {
    [sym_inline_modifier] = STATE(2130),
    [sym__indentable_expression] = STATE(13464),
    [sym_block] = STATE(9120),
    [sym_indented_block] = STATE(13388),
    [sym_indented_cases] = STATE(13388),
    [sym_expression] = STATE(13211),
    [sym__simple_expression] = STATE(6353),
    [sym_lambda_expression] = STATE(13422),
    [sym_if_expression] = STATE(13422),
    [sym_match_expression] = STATE(13422),
    [sym_try_expression] = STATE(13422),
    [sym_bindings] = STATE(15752),
    [sym_case_block] = STATE(9120),
    [sym_assignment_expression] = STATE(13422),
    [sym_generic_function] = STATE(9120),
    [sym_call_expression] = STATE(9120),
    [sym_field_expression] = STATE(9120),
    [sym_instance_expression] = STATE(9120),
    [sym_ascription_expression] = STATE(13422),
    [sym_infix_expression] = STATE(9820),
    [sym_postfix_expression] = STATE(13148),
    [sym__postfix_expression_choice] = STATE(15936),
    [sym_macro_body] = STATE(13422),
    [sym_prefix_expression] = STATE(9828),
    [sym_tuple_expression] = STATE(9120),
    [sym_parenthesized_expression] = STATE(9120),
    [sym_splice_expression] = STATE(9120),
    [sym_quote_expression] = STATE(9120),
    [sym_identifier] = STATE(5669),
    [sym__soft_identifier] = STATE(6470),
    [sym_wildcard] = STATE(8444),
    [sym__non_null_literal] = STATE(9120),
    [sym_boolean_literal] = STATE(8928),
    [sym_interpolated_string_expression] = STATE(9120),
    [sym_string] = STATE(8928),
    [sym_unit] = STATE(9120),
    [sym_return_expression] = STATE(13422),
    [sym_throw_expression] = STATE(13422),
    [sym_while_expression] = STATE(13422),
    [sym_do_while_expression] = STATE(13422),
    [sym_for_expression] = STATE(13422),
    [sym_comment] = STATE(1126),
    [sym_block_comment] = STATE(1126),
    [sym__alpha_identifier] = ACTIONS(1582),
    [anon_sym_LBRACE] = ACTIONS(1586),
    [anon_sym__] = ACTIONS(1588),
    [anon_sym_PLUS] = ACTIONS(1590),
    [anon_sym_DASH] = ACTIONS(1590),
    [anon_sym_end] = ACTIONS(1592),
    [anon_sym_if] = ACTIONS(1864),
    [anon_sym_while] = ACTIONS(1866),
    [anon_sym_for] = ACTIONS(1868),
    [anon_sym_try] = ACTIONS(1870),
    [anon_sym_new] = ACTIONS(1594),
    [anon_sym_opaque] = ACTIONS(1592),
    [anon_sym_implicit] = ACTIONS(1872),
    [anon_sym_inline] = ACTIONS(1596),
    [anon_sym_infix] = ACTIONS(1592),
    [anon_sym_open] = ACTIONS(1592),
    [anon_sym_transparent] = ACTIONS(1592),
    [anon_sym_LPAREN] = ACTIONS(1598),
    [anon_sym_macro] = ACTIONS(1874),
    [anon_sym_BANG] = ACTIONS(1590),
    [anon_sym_TILDE] = ACTIONS(1590),
    [anon_sym_DOLLAR] = ACTIONS(1600),
    [anon_sym_SQUOTE] = ACTIONS(1602),
    [sym__backquoted_id] = ACTIONS(1604),
    [sym_operator_identifier] = ACTIONS(1876),
    [sym_integer_literal] = ACTIONS(1608),
    [sym_floating_point_literal] = ACTIONS(1610),
    [anon_sym_true] = ACTIONS(1612),
    [anon_sym_false] = ACTIONS(1612),
    [sym_character_literal] = ACTIONS(1610),
    [sym_null_literal] = ACTIONS(1614),
    [anon_sym_return] = ACTIONS(1878),
    [anon_sym_throw] = ACTIONS(1880),
    [anon_sym_do] = ACTIONS(1882),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3282),
    [sym__simple_multiline_string] = ACTIONS(1616),
    [sym__simple_string] = ACTIONS(1616),
  },
  [1127] = {
    [sym_inline_modifier] = STATE(2259),
    [sym__indentable_expression] = STATE(13789),
    [sym_block] = STATE(8070),
    [sym_indented_block] = STATE(12700),
    [sym_indented_cases] = STATE(12700),
    [sym_expression] = STATE(12581),
    [sym__simple_expression] = STATE(7077),
    [sym_lambda_expression] = STATE(12742),
    [sym_if_expression] = STATE(12742),
    [sym_match_expression] = STATE(12742),
    [sym_try_expression] = STATE(12742),
    [sym_bindings] = STATE(15598),
    [sym_case_block] = STATE(8070),
    [sym_assignment_expression] = STATE(12742),
    [sym_generic_function] = STATE(8070),
    [sym_call_expression] = STATE(8070),
    [sym_field_expression] = STATE(8070),
    [sym_instance_expression] = STATE(8070),
    [sym_ascription_expression] = STATE(12742),
    [sym_infix_expression] = STATE(8913),
    [sym_postfix_expression] = STATE(12343),
    [sym__postfix_expression_choice] = STATE(16230),
    [sym_macro_body] = STATE(12742),
    [sym_prefix_expression] = STATE(10037),
    [sym_tuple_expression] = STATE(8070),
    [sym_parenthesized_expression] = STATE(8070),
    [sym_splice_expression] = STATE(8070),
    [sym_quote_expression] = STATE(8070),
    [sym_identifier] = STATE(6308),
    [sym__soft_identifier] = STATE(5234),
    [sym_wildcard] = STATE(8710),
    [sym__non_null_literal] = STATE(8070),
    [sym_boolean_literal] = STATE(8055),
    [sym_interpolated_string_expression] = STATE(8070),
    [sym_string] = STATE(8055),
    [sym_unit] = STATE(8070),
    [sym_return_expression] = STATE(12742),
    [sym_throw_expression] = STATE(12742),
    [sym_while_expression] = STATE(12742),
    [sym_do_while_expression] = STATE(12742),
    [sym_for_expression] = STATE(12742),
    [sym_comment] = STATE(1127),
    [sym_block_comment] = STATE(1127),
    [sym__alpha_identifier] = ACTIONS(1314),
    [anon_sym_LBRACE] = ACTIONS(1318),
    [anon_sym__] = ACTIONS(1320),
    [anon_sym_PLUS] = ACTIONS(1322),
    [anon_sym_DASH] = ACTIONS(1322),
    [anon_sym_end] = ACTIONS(1324),
    [anon_sym_if] = ACTIONS(2486),
    [anon_sym_while] = ACTIONS(2488),
    [anon_sym_for] = ACTIONS(2490),
    [anon_sym_try] = ACTIONS(2492),
    [anon_sym_new] = ACTIONS(1326),
    [anon_sym_opaque] = ACTIONS(1324),
    [anon_sym_implicit] = ACTIONS(2494),
    [anon_sym_inline] = ACTIONS(1328),
    [anon_sym_infix] = ACTIONS(1324),
    [anon_sym_open] = ACTIONS(1324),
    [anon_sym_transparent] = ACTIONS(1324),
    [anon_sym_LPAREN] = ACTIONS(1330),
    [anon_sym_macro] = ACTIONS(1740),
    [anon_sym_BANG] = ACTIONS(1322),
    [anon_sym_TILDE] = ACTIONS(1322),
    [anon_sym_DOLLAR] = ACTIONS(1332),
    [anon_sym_SQUOTE] = ACTIONS(1334),
    [sym__backquoted_id] = ACTIONS(1336),
    [sym_operator_identifier] = ACTIONS(2496),
    [sym_integer_literal] = ACTIONS(1340),
    [sym_floating_point_literal] = ACTIONS(1342),
    [anon_sym_true] = ACTIONS(1344),
    [anon_sym_false] = ACTIONS(1344),
    [sym_character_literal] = ACTIONS(1342),
    [sym_null_literal] = ACTIONS(1346),
    [anon_sym_return] = ACTIONS(2498),
    [anon_sym_throw] = ACTIONS(2500),
    [anon_sym_do] = ACTIONS(1748),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2158),
    [sym__simple_multiline_string] = ACTIONS(1348),
    [sym__simple_string] = ACTIONS(1348),
  },
  [1128] = {
    [sym_inline_modifier] = STATE(2113),
    [sym__indentable_expression] = STATE(11848),
    [sym_block] = STATE(6703),
    [sym_indented_block] = STATE(12004),
    [sym_indented_cases] = STATE(12004),
    [sym_expression] = STATE(12171),
    [sym__simple_expression] = STATE(5524),
    [sym_lambda_expression] = STATE(12046),
    [sym_if_expression] = STATE(12046),
    [sym_match_expression] = STATE(12046),
    [sym_try_expression] = STATE(12046),
    [sym_bindings] = STATE(15660),
    [sym_case_block] = STATE(6703),
    [sym_assignment_expression] = STATE(12046),
    [sym_generic_function] = STATE(6703),
    [sym_call_expression] = STATE(6703),
    [sym_field_expression] = STATE(6703),
    [sym_instance_expression] = STATE(6703),
    [sym_ascription_expression] = STATE(12046),
    [sym_infix_expression] = STATE(8166),
    [sym_postfix_expression] = STATE(11496),
    [sym__postfix_expression_choice] = STATE(15827),
    [sym_macro_body] = STATE(12046),
    [sym_prefix_expression] = STATE(9264),
    [sym_tuple_expression] = STATE(6703),
    [sym_parenthesized_expression] = STATE(6703),
    [sym_splice_expression] = STATE(6703),
    [sym_quote_expression] = STATE(6703),
    [sym_identifier] = STATE(5303),
    [sym__soft_identifier] = STATE(4884),
    [sym_wildcard] = STATE(7550),
    [sym__non_null_literal] = STATE(6703),
    [sym_boolean_literal] = STATE(6780),
    [sym_interpolated_string_expression] = STATE(6703),
    [sym_string] = STATE(6780),
    [sym_unit] = STATE(6703),
    [sym_return_expression] = STATE(12046),
    [sym_throw_expression] = STATE(12046),
    [sym_while_expression] = STATE(12046),
    [sym_do_while_expression] = STATE(12046),
    [sym_for_expression] = STATE(12046),
    [sym_comment] = STATE(1128),
    [sym_block_comment] = STATE(1128),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(2478),
    [anon_sym_while] = ACTIONS(2002),
    [anon_sym_for] = ACTIONS(2004),
    [anon_sym_try] = ACTIONS(2006),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(2008),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1848),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(2010),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(2012),
    [anon_sym_throw] = ACTIONS(2014),
    [anon_sym_do] = ACTIONS(1856),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2234),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [1129] = {
    [sym_inline_modifier] = STATE(2113),
    [sym__indentable_expression] = STATE(11883),
    [sym_block] = STATE(6703),
    [sym_indented_block] = STATE(12004),
    [sym_indented_cases] = STATE(12004),
    [sym_expression] = STATE(12171),
    [sym__simple_expression] = STATE(5524),
    [sym_lambda_expression] = STATE(12046),
    [sym_if_expression] = STATE(12046),
    [sym_match_expression] = STATE(12046),
    [sym_try_expression] = STATE(12046),
    [sym_bindings] = STATE(15660),
    [sym_case_block] = STATE(6703),
    [sym_assignment_expression] = STATE(12046),
    [sym_generic_function] = STATE(6703),
    [sym_call_expression] = STATE(6703),
    [sym_field_expression] = STATE(6703),
    [sym_instance_expression] = STATE(6703),
    [sym_ascription_expression] = STATE(12046),
    [sym_infix_expression] = STATE(8166),
    [sym_postfix_expression] = STATE(11496),
    [sym__postfix_expression_choice] = STATE(15827),
    [sym_macro_body] = STATE(12046),
    [sym_prefix_expression] = STATE(9264),
    [sym_tuple_expression] = STATE(6703),
    [sym_parenthesized_expression] = STATE(6703),
    [sym_splice_expression] = STATE(6703),
    [sym_quote_expression] = STATE(6703),
    [sym_identifier] = STATE(5303),
    [sym__soft_identifier] = STATE(4884),
    [sym_wildcard] = STATE(7550),
    [sym__non_null_literal] = STATE(6703),
    [sym_boolean_literal] = STATE(6780),
    [sym_interpolated_string_expression] = STATE(6703),
    [sym_string] = STATE(6780),
    [sym_unit] = STATE(6703),
    [sym_return_expression] = STATE(12046),
    [sym_throw_expression] = STATE(12046),
    [sym_while_expression] = STATE(12046),
    [sym_do_while_expression] = STATE(12046),
    [sym_for_expression] = STATE(12046),
    [sym_comment] = STATE(1129),
    [sym_block_comment] = STATE(1129),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(2478),
    [anon_sym_while] = ACTIONS(2002),
    [anon_sym_for] = ACTIONS(2004),
    [anon_sym_try] = ACTIONS(2006),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(2008),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1848),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(2010),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(2012),
    [anon_sym_throw] = ACTIONS(2014),
    [anon_sym_do] = ACTIONS(1856),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2234),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [1130] = {
    [sym_inline_modifier] = STATE(2113),
    [sym__indentable_expression] = STATE(11866),
    [sym_block] = STATE(6703),
    [sym_indented_block] = STATE(12004),
    [sym_indented_cases] = STATE(12004),
    [sym_expression] = STATE(12171),
    [sym__simple_expression] = STATE(5524),
    [sym_lambda_expression] = STATE(12046),
    [sym_if_expression] = STATE(12046),
    [sym_match_expression] = STATE(12046),
    [sym_try_expression] = STATE(12046),
    [sym_bindings] = STATE(15660),
    [sym_case_block] = STATE(6703),
    [sym_assignment_expression] = STATE(12046),
    [sym_generic_function] = STATE(6703),
    [sym_call_expression] = STATE(6703),
    [sym_field_expression] = STATE(6703),
    [sym_instance_expression] = STATE(6703),
    [sym_ascription_expression] = STATE(12046),
    [sym_infix_expression] = STATE(8166),
    [sym_postfix_expression] = STATE(11496),
    [sym__postfix_expression_choice] = STATE(15827),
    [sym_macro_body] = STATE(12046),
    [sym_prefix_expression] = STATE(9264),
    [sym_tuple_expression] = STATE(6703),
    [sym_parenthesized_expression] = STATE(6703),
    [sym_splice_expression] = STATE(6703),
    [sym_quote_expression] = STATE(6703),
    [sym_identifier] = STATE(5303),
    [sym__soft_identifier] = STATE(4884),
    [sym_wildcard] = STATE(7550),
    [sym__non_null_literal] = STATE(6703),
    [sym_boolean_literal] = STATE(6780),
    [sym_interpolated_string_expression] = STATE(6703),
    [sym_string] = STATE(6780),
    [sym_unit] = STATE(6703),
    [sym_return_expression] = STATE(12046),
    [sym_throw_expression] = STATE(12046),
    [sym_while_expression] = STATE(12046),
    [sym_do_while_expression] = STATE(12046),
    [sym_for_expression] = STATE(12046),
    [sym_comment] = STATE(1130),
    [sym_block_comment] = STATE(1130),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(2478),
    [anon_sym_while] = ACTIONS(2002),
    [anon_sym_for] = ACTIONS(2004),
    [anon_sym_try] = ACTIONS(2006),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(2008),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1848),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(2010),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(2012),
    [anon_sym_throw] = ACTIONS(2014),
    [anon_sym_do] = ACTIONS(1856),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2234),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [1131] = {
    [sym_inline_modifier] = STATE(2255),
    [sym__indentable_expression] = STATE(13279),
    [sym_block] = STATE(6954),
    [sym_indented_block] = STATE(11923),
    [sym_indented_cases] = STATE(11923),
    [sym_expression] = STATE(12206),
    [sym__simple_expression] = STATE(5438),
    [sym_lambda_expression] = STATE(12144),
    [sym_if_expression] = STATE(12144),
    [sym_match_expression] = STATE(12144),
    [sym_try_expression] = STATE(12144),
    [sym_bindings] = STATE(15515),
    [sym_case_block] = STATE(6954),
    [sym_assignment_expression] = STATE(12144),
    [sym_generic_function] = STATE(6954),
    [sym_call_expression] = STATE(6954),
    [sym_field_expression] = STATE(6954),
    [sym_instance_expression] = STATE(6954),
    [sym_ascription_expression] = STATE(12144),
    [sym_infix_expression] = STATE(8226),
    [sym_postfix_expression] = STATE(11499),
    [sym__postfix_expression_choice] = STATE(16229),
    [sym_macro_body] = STATE(12144),
    [sym_prefix_expression] = STATE(9369),
    [sym_tuple_expression] = STATE(6954),
    [sym_parenthesized_expression] = STATE(6954),
    [sym_splice_expression] = STATE(6954),
    [sym_quote_expression] = STATE(6954),
    [sym_identifier] = STATE(5276),
    [sym__soft_identifier] = STATE(4827),
    [sym_wildcard] = STATE(7444),
    [sym__non_null_literal] = STATE(6954),
    [sym_boolean_literal] = STATE(6997),
    [sym_interpolated_string_expression] = STATE(6954),
    [sym_string] = STATE(6997),
    [sym_unit] = STATE(6954),
    [sym_return_expression] = STATE(12144),
    [sym_throw_expression] = STATE(12144),
    [sym_while_expression] = STATE(12144),
    [sym_do_while_expression] = STATE(12144),
    [sym_for_expression] = STATE(12144),
    [sym_comment] = STATE(1131),
    [sym_block_comment] = STATE(1131),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(2666),
    [anon_sym_while] = ACTIONS(2314),
    [anon_sym_for] = ACTIONS(2316),
    [anon_sym_try] = ACTIONS(2318),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(2320),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1894),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(2322),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(2324),
    [anon_sym_throw] = ACTIONS(2326),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3280),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [1132] = {
    [sym_inline_modifier] = STATE(2125),
    [sym__indentable_expression] = STATE(12328),
    [sym_block] = STATE(6738),
    [sym_indented_block] = STATE(12372),
    [sym_indented_cases] = STATE(12372),
    [sym_expression] = STATE(12028),
    [sym__simple_expression] = STATE(5176),
    [sym_lambda_expression] = STATE(12430),
    [sym_if_expression] = STATE(12430),
    [sym_match_expression] = STATE(12430),
    [sym_try_expression] = STATE(12430),
    [sym_bindings] = STATE(15677),
    [sym_case_block] = STATE(6738),
    [sym_assignment_expression] = STATE(12430),
    [sym_generic_function] = STATE(6738),
    [sym_call_expression] = STATE(6738),
    [sym_field_expression] = STATE(6738),
    [sym_instance_expression] = STATE(6738),
    [sym_ascription_expression] = STATE(12430),
    [sym_infix_expression] = STATE(8389),
    [sym_postfix_expression] = STATE(11930),
    [sym__postfix_expression_choice] = STATE(15885),
    [sym_macro_body] = STATE(12430),
    [sym_prefix_expression] = STATE(9115),
    [sym_tuple_expression] = STATE(6738),
    [sym_parenthesized_expression] = STATE(6738),
    [sym_splice_expression] = STATE(6738),
    [sym_quote_expression] = STATE(6738),
    [sym_identifier] = STATE(4951),
    [sym__soft_identifier] = STATE(4943),
    [sym_wildcard] = STATE(7114),
    [sym__non_null_literal] = STATE(6738),
    [sym_boolean_literal] = STATE(7301),
    [sym_interpolated_string_expression] = STATE(6738),
    [sym_string] = STATE(7301),
    [sym_unit] = STATE(6738),
    [sym_return_expression] = STATE(12430),
    [sym_throw_expression] = STATE(12430),
    [sym_while_expression] = STATE(12430),
    [sym_do_while_expression] = STATE(12430),
    [sym_for_expression] = STATE(12430),
    [sym_comment] = STATE(1132),
    [sym_block_comment] = STATE(1132),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(1350),
    [anon_sym_while] = ACTIONS(1352),
    [anon_sym_for] = ACTIONS(1354),
    [anon_sym_try] = ACTIONS(1356),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(1358),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1360),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(1362),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(1364),
    [anon_sym_throw] = ACTIONS(1366),
    [anon_sym_do] = ACTIONS(1368),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2202),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [1133] = {
    [sym_inline_modifier] = STATE(2113),
    [sym__indentable_expression] = STATE(12067),
    [sym_block] = STATE(6703),
    [sym_indented_block] = STATE(12004),
    [sym_indented_cases] = STATE(12004),
    [sym_expression] = STATE(12171),
    [sym__simple_expression] = STATE(5524),
    [sym_lambda_expression] = STATE(12046),
    [sym_if_expression] = STATE(12046),
    [sym_match_expression] = STATE(12046),
    [sym_try_expression] = STATE(12046),
    [sym_bindings] = STATE(15660),
    [sym_case_block] = STATE(6703),
    [sym_assignment_expression] = STATE(12046),
    [sym_generic_function] = STATE(6703),
    [sym_call_expression] = STATE(6703),
    [sym_field_expression] = STATE(6703),
    [sym_instance_expression] = STATE(6703),
    [sym_ascription_expression] = STATE(12046),
    [sym_infix_expression] = STATE(8166),
    [sym_postfix_expression] = STATE(11496),
    [sym__postfix_expression_choice] = STATE(15827),
    [sym_macro_body] = STATE(12046),
    [sym_prefix_expression] = STATE(9264),
    [sym_tuple_expression] = STATE(6703),
    [sym_parenthesized_expression] = STATE(6703),
    [sym_splice_expression] = STATE(6703),
    [sym_quote_expression] = STATE(6703),
    [sym_identifier] = STATE(5303),
    [sym__soft_identifier] = STATE(4884),
    [sym_wildcard] = STATE(7550),
    [sym__non_null_literal] = STATE(6703),
    [sym_boolean_literal] = STATE(6780),
    [sym_interpolated_string_expression] = STATE(6703),
    [sym_string] = STATE(6780),
    [sym_unit] = STATE(6703),
    [sym_return_expression] = STATE(12046),
    [sym_throw_expression] = STATE(12046),
    [sym_while_expression] = STATE(12046),
    [sym_do_while_expression] = STATE(12046),
    [sym_for_expression] = STATE(12046),
    [sym_comment] = STATE(1133),
    [sym_block_comment] = STATE(1133),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(2478),
    [anon_sym_while] = ACTIONS(2002),
    [anon_sym_for] = ACTIONS(2004),
    [anon_sym_try] = ACTIONS(2006),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(2008),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1848),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(2010),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(2012),
    [anon_sym_throw] = ACTIONS(2014),
    [anon_sym_do] = ACTIONS(1856),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2234),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [1134] = {
    [sym_inline_modifier] = STATE(2234),
    [sym__indentable_expression] = STATE(12347),
    [sym_block] = STATE(7443),
    [sym_indented_block] = STATE(12679),
    [sym_indented_cases] = STATE(12679),
    [sym_expression] = STATE(12305),
    [sym__simple_expression] = STATE(5279),
    [sym_lambda_expression] = STATE(12692),
    [sym_if_expression] = STATE(12692),
    [sym_match_expression] = STATE(12692),
    [sym_try_expression] = STATE(12692),
    [sym_bindings] = STATE(15619),
    [sym_case_block] = STATE(7443),
    [sym_assignment_expression] = STATE(12692),
    [sym_generic_function] = STATE(7443),
    [sym_call_expression] = STATE(7443),
    [sym_field_expression] = STATE(7443),
    [sym_instance_expression] = STATE(7443),
    [sym_ascription_expression] = STATE(12692),
    [sym_infix_expression] = STATE(8993),
    [sym_postfix_expression] = STATE(12386),
    [sym__postfix_expression_choice] = STATE(16150),
    [sym_macro_body] = STATE(12692),
    [sym_prefix_expression] = STATE(8795),
    [sym_tuple_expression] = STATE(7443),
    [sym_parenthesized_expression] = STATE(7443),
    [sym_splice_expression] = STATE(7443),
    [sym_quote_expression] = STATE(7443),
    [sym_identifier] = STATE(4734),
    [sym__soft_identifier] = STATE(5213),
    [sym_wildcard] = STATE(7227),
    [sym__non_null_literal] = STATE(7443),
    [sym_boolean_literal] = STATE(7707),
    [sym_interpolated_string_expression] = STATE(7443),
    [sym_string] = STATE(7707),
    [sym_unit] = STATE(7443),
    [sym_return_expression] = STATE(12692),
    [sym_throw_expression] = STATE(12692),
    [sym_while_expression] = STATE(12692),
    [sym_do_while_expression] = STATE(12692),
    [sym_for_expression] = STATE(12692),
    [sym_comment] = STATE(1134),
    [sym_block_comment] = STATE(1134),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(2292),
    [anon_sym_while] = ACTIONS(1480),
    [anon_sym_for] = ACTIONS(1482),
    [anon_sym_try] = ACTIONS(1484),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(1486),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1196),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(1488),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(1490),
    [anon_sym_throw] = ACTIONS(1492),
    [anon_sym_do] = ACTIONS(1204),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2294),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [1135] = {
    [sym_inline_modifier] = STATE(2084),
    [sym__indentable_expression] = STATE(16313),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(8831),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15722),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10635),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(647),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(8641),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(10149),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1135),
    [sym_block_comment] = STATE(1135),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2740),
    [anon_sym_while] = ACTIONS(2742),
    [anon_sym_for] = ACTIONS(2744),
    [anon_sym_try] = ACTIONS(2746),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2748),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3310),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3312),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2762),
    [anon_sym_throw] = ACTIONS(2764),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1136] = {
    [sym_inline_modifier] = STATE(2130),
    [sym__indentable_expression] = STATE(13494),
    [sym_block] = STATE(9120),
    [sym_indented_block] = STATE(13388),
    [sym_indented_cases] = STATE(13388),
    [sym_expression] = STATE(13211),
    [sym__simple_expression] = STATE(6353),
    [sym_lambda_expression] = STATE(13422),
    [sym_if_expression] = STATE(13422),
    [sym_match_expression] = STATE(13422),
    [sym_try_expression] = STATE(13422),
    [sym_bindings] = STATE(15752),
    [sym_case_block] = STATE(9120),
    [sym_assignment_expression] = STATE(13422),
    [sym_generic_function] = STATE(9120),
    [sym_call_expression] = STATE(9120),
    [sym_field_expression] = STATE(9120),
    [sym_instance_expression] = STATE(9120),
    [sym_ascription_expression] = STATE(13422),
    [sym_infix_expression] = STATE(9820),
    [sym_postfix_expression] = STATE(13148),
    [sym__postfix_expression_choice] = STATE(15936),
    [sym_macro_body] = STATE(13422),
    [sym_prefix_expression] = STATE(9828),
    [sym_tuple_expression] = STATE(9120),
    [sym_parenthesized_expression] = STATE(9120),
    [sym_splice_expression] = STATE(9120),
    [sym_quote_expression] = STATE(9120),
    [sym_identifier] = STATE(5669),
    [sym__soft_identifier] = STATE(6470),
    [sym_wildcard] = STATE(8444),
    [sym__non_null_literal] = STATE(9120),
    [sym_boolean_literal] = STATE(8928),
    [sym_interpolated_string_expression] = STATE(9120),
    [sym_string] = STATE(8928),
    [sym_unit] = STATE(9120),
    [sym_return_expression] = STATE(13422),
    [sym_throw_expression] = STATE(13422),
    [sym_while_expression] = STATE(13422),
    [sym_do_while_expression] = STATE(13422),
    [sym_for_expression] = STATE(13422),
    [sym_comment] = STATE(1136),
    [sym_block_comment] = STATE(1136),
    [sym__alpha_identifier] = ACTIONS(1582),
    [anon_sym_LBRACE] = ACTIONS(1586),
    [anon_sym__] = ACTIONS(1588),
    [anon_sym_PLUS] = ACTIONS(1590),
    [anon_sym_DASH] = ACTIONS(1590),
    [anon_sym_end] = ACTIONS(1592),
    [anon_sym_if] = ACTIONS(1864),
    [anon_sym_while] = ACTIONS(1866),
    [anon_sym_for] = ACTIONS(1868),
    [anon_sym_try] = ACTIONS(1870),
    [anon_sym_new] = ACTIONS(1594),
    [anon_sym_opaque] = ACTIONS(1592),
    [anon_sym_implicit] = ACTIONS(1872),
    [anon_sym_inline] = ACTIONS(1596),
    [anon_sym_infix] = ACTIONS(1592),
    [anon_sym_open] = ACTIONS(1592),
    [anon_sym_transparent] = ACTIONS(1592),
    [anon_sym_LPAREN] = ACTIONS(1598),
    [anon_sym_macro] = ACTIONS(1874),
    [anon_sym_BANG] = ACTIONS(1590),
    [anon_sym_TILDE] = ACTIONS(1590),
    [anon_sym_DOLLAR] = ACTIONS(1600),
    [anon_sym_SQUOTE] = ACTIONS(1602),
    [sym__backquoted_id] = ACTIONS(1604),
    [sym_operator_identifier] = ACTIONS(1876),
    [sym_integer_literal] = ACTIONS(1608),
    [sym_floating_point_literal] = ACTIONS(1610),
    [anon_sym_true] = ACTIONS(1612),
    [anon_sym_false] = ACTIONS(1612),
    [sym_character_literal] = ACTIONS(1610),
    [sym_null_literal] = ACTIONS(1614),
    [anon_sym_return] = ACTIONS(1878),
    [anon_sym_throw] = ACTIONS(1880),
    [anon_sym_do] = ACTIONS(1882),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3282),
    [sym__simple_multiline_string] = ACTIONS(1616),
    [sym__simple_string] = ACTIONS(1616),
  },
  [1137] = {
    [sym_inline_modifier] = STATE(2246),
    [sym__indentable_expression] = STATE(13228),
    [sym_block] = STATE(8360),
    [sym_indented_block] = STATE(13059),
    [sym_indented_cases] = STATE(13059),
    [sym_expression] = STATE(12867),
    [sym__simple_expression] = STATE(5440),
    [sym_lambda_expression] = STATE(13229),
    [sym_if_expression] = STATE(13229),
    [sym_match_expression] = STATE(13229),
    [sym_try_expression] = STATE(13229),
    [sym_bindings] = STATE(15490),
    [sym_case_block] = STATE(8360),
    [sym_assignment_expression] = STATE(13229),
    [sym_generic_function] = STATE(8360),
    [sym_call_expression] = STATE(8360),
    [sym_field_expression] = STATE(8360),
    [sym_instance_expression] = STATE(8360),
    [sym_ascription_expression] = STATE(13229),
    [sym_infix_expression] = STATE(9581),
    [sym_postfix_expression] = STATE(12866),
    [sym__postfix_expression_choice] = STATE(15971),
    [sym_macro_body] = STATE(13229),
    [sym_prefix_expression] = STATE(9366),
    [sym_tuple_expression] = STATE(8360),
    [sym_parenthesized_expression] = STATE(8360),
    [sym_splice_expression] = STATE(8360),
    [sym_quote_expression] = STATE(8360),
    [sym_identifier] = STATE(5277),
    [sym__soft_identifier] = STATE(5563),
    [sym_wildcard] = STATE(7446),
    [sym__non_null_literal] = STATE(8360),
    [sym_boolean_literal] = STATE(8269),
    [sym_interpolated_string_expression] = STATE(8360),
    [sym_string] = STATE(8269),
    [sym_unit] = STATE(8360),
    [sym_return_expression] = STATE(13229),
    [sym_throw_expression] = STATE(13229),
    [sym_while_expression] = STATE(13229),
    [sym_do_while_expression] = STATE(13229),
    [sym_for_expression] = STATE(13229),
    [sym_comment] = STATE(1137),
    [sym_block_comment] = STATE(1137),
    [sym__alpha_identifier] = ACTIONS(1242),
    [anon_sym_LBRACE] = ACTIONS(1246),
    [anon_sym__] = ACTIONS(1248),
    [anon_sym_PLUS] = ACTIONS(1250),
    [anon_sym_DASH] = ACTIONS(1250),
    [anon_sym_end] = ACTIONS(1252),
    [anon_sym_if] = ACTIONS(2210),
    [anon_sym_while] = ACTIONS(2030),
    [anon_sym_for] = ACTIONS(2032),
    [anon_sym_try] = ACTIONS(2034),
    [anon_sym_new] = ACTIONS(1254),
    [anon_sym_opaque] = ACTIONS(1252),
    [anon_sym_implicit] = ACTIONS(2036),
    [anon_sym_inline] = ACTIONS(1256),
    [anon_sym_infix] = ACTIONS(1252),
    [anon_sym_open] = ACTIONS(1252),
    [anon_sym_transparent] = ACTIONS(1252),
    [anon_sym_LPAREN] = ACTIONS(1258),
    [anon_sym_macro] = ACTIONS(1664),
    [anon_sym_BANG] = ACTIONS(1250),
    [anon_sym_TILDE] = ACTIONS(1250),
    [anon_sym_DOLLAR] = ACTIONS(1260),
    [anon_sym_SQUOTE] = ACTIONS(1262),
    [sym__backquoted_id] = ACTIONS(1264),
    [sym_operator_identifier] = ACTIONS(2038),
    [sym_integer_literal] = ACTIONS(1268),
    [sym_floating_point_literal] = ACTIONS(1270),
    [anon_sym_true] = ACTIONS(1272),
    [anon_sym_false] = ACTIONS(1272),
    [sym_character_literal] = ACTIONS(1270),
    [sym_null_literal] = ACTIONS(1274),
    [anon_sym_return] = ACTIONS(2040),
    [anon_sym_throw] = ACTIONS(2042),
    [anon_sym_do] = ACTIONS(1672),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2212),
    [sym__simple_multiline_string] = ACTIONS(1276),
    [sym__simple_string] = ACTIONS(1276),
  },
  [1138] = {
    [sym_inline_modifier] = STATE(2060),
    [sym__indentable_expression] = STATE(11483),
    [sym_block] = STATE(6450),
    [sym_indented_block] = STATE(11535),
    [sym_indented_cases] = STATE(11535),
    [sym_expression] = STATE(11606),
    [sym__simple_expression] = STATE(5608),
    [sym_lambda_expression] = STATE(11549),
    [sym_if_expression] = STATE(11549),
    [sym_match_expression] = STATE(11549),
    [sym_try_expression] = STATE(11549),
    [sym_bindings] = STATE(15697),
    [sym_case_block] = STATE(6450),
    [sym_assignment_expression] = STATE(11549),
    [sym_generic_function] = STATE(6450),
    [sym_call_expression] = STATE(6450),
    [sym_field_expression] = STATE(6450),
    [sym_instance_expression] = STATE(6450),
    [sym_ascription_expression] = STATE(11549),
    [sym_infix_expression] = STATE(7641),
    [sym_postfix_expression] = STATE(11204),
    [sym__postfix_expression_choice] = STATE(16480),
    [sym_macro_body] = STATE(11549),
    [sym_prefix_expression] = STATE(9536),
    [sym_tuple_expression] = STATE(6450),
    [sym_parenthesized_expression] = STATE(6450),
    [sym_splice_expression] = STATE(6450),
    [sym_quote_expression] = STATE(6450),
    [sym_identifier] = STATE(5347),
    [sym__soft_identifier] = STATE(4507),
    [sym_wildcard] = STATE(7620),
    [sym__non_null_literal] = STATE(6450),
    [sym_boolean_literal] = STATE(6156),
    [sym_interpolated_string_expression] = STATE(6450),
    [sym_string] = STATE(6156),
    [sym_unit] = STATE(6450),
    [sym_return_expression] = STATE(11549),
    [sym_throw_expression] = STATE(11549),
    [sym_while_expression] = STATE(11549),
    [sym_do_while_expression] = STATE(11549),
    [sym_for_expression] = STATE(11549),
    [sym_comment] = STATE(1138),
    [sym_block_comment] = STATE(1138),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(1428),
    [anon_sym_while] = ACTIONS(1430),
    [anon_sym_for] = ACTIONS(1432),
    [anon_sym_try] = ACTIONS(1434),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1436),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1378),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1438),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1440),
    [anon_sym_throw] = ACTIONS(1442),
    [anon_sym_do] = ACTIONS(1386),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2258),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [1139] = {
    [sym_inline_modifier] = STATE(2060),
    [sym__indentable_expression] = STATE(11566),
    [sym_block] = STATE(6450),
    [sym_indented_block] = STATE(11535),
    [sym_indented_cases] = STATE(11535),
    [sym_expression] = STATE(11606),
    [sym__simple_expression] = STATE(5608),
    [sym_lambda_expression] = STATE(11549),
    [sym_if_expression] = STATE(11549),
    [sym_match_expression] = STATE(11549),
    [sym_try_expression] = STATE(11549),
    [sym_bindings] = STATE(15697),
    [sym_case_block] = STATE(6450),
    [sym_assignment_expression] = STATE(11549),
    [sym_generic_function] = STATE(6450),
    [sym_call_expression] = STATE(6450),
    [sym_field_expression] = STATE(6450),
    [sym_instance_expression] = STATE(6450),
    [sym_ascription_expression] = STATE(11549),
    [sym_infix_expression] = STATE(7641),
    [sym_postfix_expression] = STATE(11204),
    [sym__postfix_expression_choice] = STATE(16480),
    [sym_macro_body] = STATE(11549),
    [sym_prefix_expression] = STATE(9536),
    [sym_tuple_expression] = STATE(6450),
    [sym_parenthesized_expression] = STATE(6450),
    [sym_splice_expression] = STATE(6450),
    [sym_quote_expression] = STATE(6450),
    [sym_identifier] = STATE(5347),
    [sym__soft_identifier] = STATE(4507),
    [sym_wildcard] = STATE(7620),
    [sym__non_null_literal] = STATE(6450),
    [sym_boolean_literal] = STATE(6156),
    [sym_interpolated_string_expression] = STATE(6450),
    [sym_string] = STATE(6156),
    [sym_unit] = STATE(6450),
    [sym_return_expression] = STATE(11549),
    [sym_throw_expression] = STATE(11549),
    [sym_while_expression] = STATE(11549),
    [sym_do_while_expression] = STATE(11549),
    [sym_for_expression] = STATE(11549),
    [sym_comment] = STATE(1139),
    [sym_block_comment] = STATE(1139),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(1428),
    [anon_sym_while] = ACTIONS(1430),
    [anon_sym_for] = ACTIONS(1432),
    [anon_sym_try] = ACTIONS(1434),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1436),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1378),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1438),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1440),
    [anon_sym_throw] = ACTIONS(1442),
    [anon_sym_do] = ACTIONS(1386),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2258),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [1140] = {
    [sym_inline_modifier] = STATE(2076),
    [sym__indentable_expression] = STATE(13623),
    [sym_block] = STATE(9327),
    [sym_indented_block] = STATE(13548),
    [sym_indented_cases] = STATE(13548),
    [sym_expression] = STATE(13406),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(1140),
    [sym_block_comment] = STATE(1140),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(3109),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [1141] = {
    [sym_inline_modifier] = STATE(2246),
    [sym__indentable_expression] = STATE(12973),
    [sym_block] = STATE(8360),
    [sym_indented_block] = STATE(13059),
    [sym_indented_cases] = STATE(13059),
    [sym_expression] = STATE(12867),
    [sym__simple_expression] = STATE(5440),
    [sym_lambda_expression] = STATE(13229),
    [sym_if_expression] = STATE(13229),
    [sym_match_expression] = STATE(13229),
    [sym_try_expression] = STATE(13229),
    [sym_bindings] = STATE(15490),
    [sym_case_block] = STATE(8360),
    [sym_assignment_expression] = STATE(13229),
    [sym_generic_function] = STATE(8360),
    [sym_call_expression] = STATE(8360),
    [sym_field_expression] = STATE(8360),
    [sym_instance_expression] = STATE(8360),
    [sym_ascription_expression] = STATE(13229),
    [sym_infix_expression] = STATE(9581),
    [sym_postfix_expression] = STATE(12866),
    [sym__postfix_expression_choice] = STATE(15971),
    [sym_macro_body] = STATE(13229),
    [sym_prefix_expression] = STATE(9366),
    [sym_tuple_expression] = STATE(8360),
    [sym_parenthesized_expression] = STATE(8360),
    [sym_splice_expression] = STATE(8360),
    [sym_quote_expression] = STATE(8360),
    [sym_identifier] = STATE(5277),
    [sym__soft_identifier] = STATE(5563),
    [sym_wildcard] = STATE(7446),
    [sym__non_null_literal] = STATE(8360),
    [sym_boolean_literal] = STATE(8269),
    [sym_interpolated_string_expression] = STATE(8360),
    [sym_string] = STATE(8269),
    [sym_unit] = STATE(8360),
    [sym_return_expression] = STATE(13229),
    [sym_throw_expression] = STATE(13229),
    [sym_while_expression] = STATE(13229),
    [sym_do_while_expression] = STATE(13229),
    [sym_for_expression] = STATE(13229),
    [sym_comment] = STATE(1141),
    [sym_block_comment] = STATE(1141),
    [sym__alpha_identifier] = ACTIONS(1242),
    [anon_sym_LBRACE] = ACTIONS(1246),
    [anon_sym__] = ACTIONS(1248),
    [anon_sym_PLUS] = ACTIONS(1250),
    [anon_sym_DASH] = ACTIONS(1250),
    [anon_sym_end] = ACTIONS(1252),
    [anon_sym_if] = ACTIONS(2210),
    [anon_sym_while] = ACTIONS(2030),
    [anon_sym_for] = ACTIONS(2032),
    [anon_sym_try] = ACTIONS(2034),
    [anon_sym_new] = ACTIONS(1254),
    [anon_sym_opaque] = ACTIONS(1252),
    [anon_sym_implicit] = ACTIONS(2036),
    [anon_sym_inline] = ACTIONS(1256),
    [anon_sym_infix] = ACTIONS(1252),
    [anon_sym_open] = ACTIONS(1252),
    [anon_sym_transparent] = ACTIONS(1252),
    [anon_sym_LPAREN] = ACTIONS(1258),
    [anon_sym_macro] = ACTIONS(1664),
    [anon_sym_BANG] = ACTIONS(1250),
    [anon_sym_TILDE] = ACTIONS(1250),
    [anon_sym_DOLLAR] = ACTIONS(1260),
    [anon_sym_SQUOTE] = ACTIONS(1262),
    [sym__backquoted_id] = ACTIONS(1264),
    [sym_operator_identifier] = ACTIONS(2038),
    [sym_integer_literal] = ACTIONS(1268),
    [sym_floating_point_literal] = ACTIONS(1270),
    [anon_sym_true] = ACTIONS(1272),
    [anon_sym_false] = ACTIONS(1272),
    [sym_character_literal] = ACTIONS(1270),
    [sym_null_literal] = ACTIONS(1274),
    [anon_sym_return] = ACTIONS(2040),
    [anon_sym_throw] = ACTIONS(2042),
    [anon_sym_do] = ACTIONS(1672),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2212),
    [sym__simple_multiline_string] = ACTIONS(1276),
    [sym__simple_string] = ACTIONS(1276),
  },
  [1142] = {
    [sym_inline_modifier] = STATE(2246),
    [sym__indentable_expression] = STATE(12968),
    [sym_block] = STATE(8360),
    [sym_indented_block] = STATE(13059),
    [sym_indented_cases] = STATE(13059),
    [sym_expression] = STATE(12867),
    [sym__simple_expression] = STATE(5440),
    [sym_lambda_expression] = STATE(13229),
    [sym_if_expression] = STATE(13229),
    [sym_match_expression] = STATE(13229),
    [sym_try_expression] = STATE(13229),
    [sym_bindings] = STATE(15490),
    [sym_case_block] = STATE(8360),
    [sym_assignment_expression] = STATE(13229),
    [sym_generic_function] = STATE(8360),
    [sym_call_expression] = STATE(8360),
    [sym_field_expression] = STATE(8360),
    [sym_instance_expression] = STATE(8360),
    [sym_ascription_expression] = STATE(13229),
    [sym_infix_expression] = STATE(9581),
    [sym_postfix_expression] = STATE(12866),
    [sym__postfix_expression_choice] = STATE(15971),
    [sym_macro_body] = STATE(13229),
    [sym_prefix_expression] = STATE(9366),
    [sym_tuple_expression] = STATE(8360),
    [sym_parenthesized_expression] = STATE(8360),
    [sym_splice_expression] = STATE(8360),
    [sym_quote_expression] = STATE(8360),
    [sym_identifier] = STATE(5277),
    [sym__soft_identifier] = STATE(5563),
    [sym_wildcard] = STATE(7446),
    [sym__non_null_literal] = STATE(8360),
    [sym_boolean_literal] = STATE(8269),
    [sym_interpolated_string_expression] = STATE(8360),
    [sym_string] = STATE(8269),
    [sym_unit] = STATE(8360),
    [sym_return_expression] = STATE(13229),
    [sym_throw_expression] = STATE(13229),
    [sym_while_expression] = STATE(13229),
    [sym_do_while_expression] = STATE(13229),
    [sym_for_expression] = STATE(13229),
    [sym_comment] = STATE(1142),
    [sym_block_comment] = STATE(1142),
    [sym__alpha_identifier] = ACTIONS(1242),
    [anon_sym_LBRACE] = ACTIONS(1246),
    [anon_sym__] = ACTIONS(1248),
    [anon_sym_PLUS] = ACTIONS(1250),
    [anon_sym_DASH] = ACTIONS(1250),
    [anon_sym_end] = ACTIONS(1252),
    [anon_sym_if] = ACTIONS(2210),
    [anon_sym_while] = ACTIONS(2030),
    [anon_sym_for] = ACTIONS(2032),
    [anon_sym_try] = ACTIONS(2034),
    [anon_sym_new] = ACTIONS(1254),
    [anon_sym_opaque] = ACTIONS(1252),
    [anon_sym_implicit] = ACTIONS(2036),
    [anon_sym_inline] = ACTIONS(1256),
    [anon_sym_infix] = ACTIONS(1252),
    [anon_sym_open] = ACTIONS(1252),
    [anon_sym_transparent] = ACTIONS(1252),
    [anon_sym_LPAREN] = ACTIONS(1258),
    [anon_sym_macro] = ACTIONS(1664),
    [anon_sym_BANG] = ACTIONS(1250),
    [anon_sym_TILDE] = ACTIONS(1250),
    [anon_sym_DOLLAR] = ACTIONS(1260),
    [anon_sym_SQUOTE] = ACTIONS(1262),
    [sym__backquoted_id] = ACTIONS(1264),
    [sym_operator_identifier] = ACTIONS(2038),
    [sym_integer_literal] = ACTIONS(1268),
    [sym_floating_point_literal] = ACTIONS(1270),
    [anon_sym_true] = ACTIONS(1272),
    [anon_sym_false] = ACTIONS(1272),
    [sym_character_literal] = ACTIONS(1270),
    [sym_null_literal] = ACTIONS(1274),
    [anon_sym_return] = ACTIONS(2040),
    [anon_sym_throw] = ACTIONS(2042),
    [anon_sym_do] = ACTIONS(1672),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2212),
    [sym__simple_multiline_string] = ACTIONS(1276),
    [sym__simple_string] = ACTIONS(1276),
  },
  [1143] = {
    [sym_inline_modifier] = STATE(2081),
    [sym__indentable_expression] = STATE(11526),
    [sym_block] = STATE(6540),
    [sym_indented_block] = STATE(11390),
    [sym_indented_cases] = STATE(11390),
    [sym_expression] = STATE(11385),
    [sym__simple_expression] = STATE(5282),
    [sym_lambda_expression] = STATE(11374),
    [sym_if_expression] = STATE(11374),
    [sym_match_expression] = STATE(11374),
    [sym_try_expression] = STATE(11374),
    [sym_bindings] = STATE(15666),
    [sym_case_block] = STATE(6540),
    [sym_assignment_expression] = STATE(11374),
    [sym_generic_function] = STATE(6540),
    [sym_call_expression] = STATE(6540),
    [sym_field_expression] = STATE(6540),
    [sym_instance_expression] = STATE(6540),
    [sym_ascription_expression] = STATE(11374),
    [sym_infix_expression] = STATE(7834),
    [sym_postfix_expression] = STATE(11215),
    [sym__postfix_expression_choice] = STATE(16210),
    [sym_macro_body] = STATE(11374),
    [sym_prefix_expression] = STATE(8793),
    [sym_tuple_expression] = STATE(6540),
    [sym_parenthesized_expression] = STATE(6540),
    [sym_splice_expression] = STATE(6540),
    [sym_quote_expression] = STATE(6540),
    [sym_identifier] = STATE(4731),
    [sym__soft_identifier] = STATE(4667),
    [sym_wildcard] = STATE(7219),
    [sym__non_null_literal] = STATE(6540),
    [sym_boolean_literal] = STATE(6246),
    [sym_interpolated_string_expression] = STATE(6540),
    [sym_string] = STATE(6246),
    [sym_unit] = STATE(6540),
    [sym_return_expression] = STATE(11374),
    [sym_throw_expression] = STATE(11374),
    [sym_while_expression] = STATE(11374),
    [sym_do_while_expression] = STATE(11374),
    [sym_for_expression] = STATE(11374),
    [sym_comment] = STATE(1143),
    [sym_block_comment] = STATE(1143),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(2506),
    [anon_sym_while] = ACTIONS(1988),
    [anon_sym_for] = ACTIONS(1990),
    [anon_sym_try] = ACTIONS(1992),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1994),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1540),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1996),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1998),
    [anon_sym_throw] = ACTIONS(2000),
    [anon_sym_do] = ACTIONS(1548),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2240),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [1144] = {
    [sym_inline_modifier] = STATE(2246),
    [sym__indentable_expression] = STATE(12967),
    [sym_block] = STATE(8360),
    [sym_indented_block] = STATE(13059),
    [sym_indented_cases] = STATE(13059),
    [sym_expression] = STATE(12867),
    [sym__simple_expression] = STATE(5440),
    [sym_lambda_expression] = STATE(13229),
    [sym_if_expression] = STATE(13229),
    [sym_match_expression] = STATE(13229),
    [sym_try_expression] = STATE(13229),
    [sym_bindings] = STATE(15490),
    [sym_case_block] = STATE(8360),
    [sym_assignment_expression] = STATE(13229),
    [sym_generic_function] = STATE(8360),
    [sym_call_expression] = STATE(8360),
    [sym_field_expression] = STATE(8360),
    [sym_instance_expression] = STATE(8360),
    [sym_ascription_expression] = STATE(13229),
    [sym_infix_expression] = STATE(9581),
    [sym_postfix_expression] = STATE(12866),
    [sym__postfix_expression_choice] = STATE(15971),
    [sym_macro_body] = STATE(13229),
    [sym_prefix_expression] = STATE(9366),
    [sym_tuple_expression] = STATE(8360),
    [sym_parenthesized_expression] = STATE(8360),
    [sym_splice_expression] = STATE(8360),
    [sym_quote_expression] = STATE(8360),
    [sym_identifier] = STATE(5277),
    [sym__soft_identifier] = STATE(5563),
    [sym_wildcard] = STATE(7446),
    [sym__non_null_literal] = STATE(8360),
    [sym_boolean_literal] = STATE(8269),
    [sym_interpolated_string_expression] = STATE(8360),
    [sym_string] = STATE(8269),
    [sym_unit] = STATE(8360),
    [sym_return_expression] = STATE(13229),
    [sym_throw_expression] = STATE(13229),
    [sym_while_expression] = STATE(13229),
    [sym_do_while_expression] = STATE(13229),
    [sym_for_expression] = STATE(13229),
    [sym_comment] = STATE(1144),
    [sym_block_comment] = STATE(1144),
    [sym__alpha_identifier] = ACTIONS(1242),
    [anon_sym_LBRACE] = ACTIONS(1246),
    [anon_sym__] = ACTIONS(1248),
    [anon_sym_PLUS] = ACTIONS(1250),
    [anon_sym_DASH] = ACTIONS(1250),
    [anon_sym_end] = ACTIONS(1252),
    [anon_sym_if] = ACTIONS(2210),
    [anon_sym_while] = ACTIONS(2030),
    [anon_sym_for] = ACTIONS(2032),
    [anon_sym_try] = ACTIONS(2034),
    [anon_sym_new] = ACTIONS(1254),
    [anon_sym_opaque] = ACTIONS(1252),
    [anon_sym_implicit] = ACTIONS(2036),
    [anon_sym_inline] = ACTIONS(1256),
    [anon_sym_infix] = ACTIONS(1252),
    [anon_sym_open] = ACTIONS(1252),
    [anon_sym_transparent] = ACTIONS(1252),
    [anon_sym_LPAREN] = ACTIONS(1258),
    [anon_sym_macro] = ACTIONS(1664),
    [anon_sym_BANG] = ACTIONS(1250),
    [anon_sym_TILDE] = ACTIONS(1250),
    [anon_sym_DOLLAR] = ACTIONS(1260),
    [anon_sym_SQUOTE] = ACTIONS(1262),
    [sym__backquoted_id] = ACTIONS(1264),
    [sym_operator_identifier] = ACTIONS(2038),
    [sym_integer_literal] = ACTIONS(1268),
    [sym_floating_point_literal] = ACTIONS(1270),
    [anon_sym_true] = ACTIONS(1272),
    [anon_sym_false] = ACTIONS(1272),
    [sym_character_literal] = ACTIONS(1270),
    [sym_null_literal] = ACTIONS(1274),
    [anon_sym_return] = ACTIONS(2040),
    [anon_sym_throw] = ACTIONS(2042),
    [anon_sym_do] = ACTIONS(1672),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2212),
    [sym__simple_multiline_string] = ACTIONS(1276),
    [sym__simple_string] = ACTIONS(1276),
  },
  [1145] = {
    [sym_inline_modifier] = STATE(2060),
    [sym__indentable_expression] = STATE(11572),
    [sym_block] = STATE(6450),
    [sym_indented_block] = STATE(11535),
    [sym_indented_cases] = STATE(11535),
    [sym_expression] = STATE(11606),
    [sym__simple_expression] = STATE(5608),
    [sym_lambda_expression] = STATE(11549),
    [sym_if_expression] = STATE(11549),
    [sym_match_expression] = STATE(11549),
    [sym_try_expression] = STATE(11549),
    [sym_bindings] = STATE(15697),
    [sym_case_block] = STATE(6450),
    [sym_assignment_expression] = STATE(11549),
    [sym_generic_function] = STATE(6450),
    [sym_call_expression] = STATE(6450),
    [sym_field_expression] = STATE(6450),
    [sym_instance_expression] = STATE(6450),
    [sym_ascription_expression] = STATE(11549),
    [sym_infix_expression] = STATE(7641),
    [sym_postfix_expression] = STATE(11204),
    [sym__postfix_expression_choice] = STATE(16480),
    [sym_macro_body] = STATE(11549),
    [sym_prefix_expression] = STATE(9536),
    [sym_tuple_expression] = STATE(6450),
    [sym_parenthesized_expression] = STATE(6450),
    [sym_splice_expression] = STATE(6450),
    [sym_quote_expression] = STATE(6450),
    [sym_identifier] = STATE(5347),
    [sym__soft_identifier] = STATE(4507),
    [sym_wildcard] = STATE(7620),
    [sym__non_null_literal] = STATE(6450),
    [sym_boolean_literal] = STATE(6156),
    [sym_interpolated_string_expression] = STATE(6450),
    [sym_string] = STATE(6156),
    [sym_unit] = STATE(6450),
    [sym_return_expression] = STATE(11549),
    [sym_throw_expression] = STATE(11549),
    [sym_while_expression] = STATE(11549),
    [sym_do_while_expression] = STATE(11549),
    [sym_for_expression] = STATE(11549),
    [sym_comment] = STATE(1145),
    [sym_block_comment] = STATE(1145),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(1428),
    [anon_sym_while] = ACTIONS(1430),
    [anon_sym_for] = ACTIONS(1432),
    [anon_sym_try] = ACTIONS(1434),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1436),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1378),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1438),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1440),
    [anon_sym_throw] = ACTIONS(1442),
    [anon_sym_do] = ACTIONS(1386),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2258),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [1146] = {
    [sym_inline_modifier] = STATE(2100),
    [sym__indentable_expression] = STATE(13797),
    [sym_block] = STATE(8218),
    [sym_indented_block] = STATE(13075),
    [sym_indented_cases] = STATE(13075),
    [sym_expression] = STATE(12682),
    [sym__simple_expression] = STATE(7445),
    [sym_lambda_expression] = STATE(13097),
    [sym_if_expression] = STATE(13097),
    [sym_match_expression] = STATE(13097),
    [sym_try_expression] = STATE(13097),
    [sym_bindings] = STATE(15495),
    [sym_case_block] = STATE(8218),
    [sym_assignment_expression] = STATE(13097),
    [sym_generic_function] = STATE(8218),
    [sym_call_expression] = STATE(8218),
    [sym_field_expression] = STATE(8218),
    [sym_instance_expression] = STATE(8218),
    [sym_ascription_expression] = STATE(13097),
    [sym_infix_expression] = STATE(9424),
    [sym_postfix_expression] = STATE(12765),
    [sym__postfix_expression_choice] = STATE(16117),
    [sym_macro_body] = STATE(13097),
    [sym_prefix_expression] = STATE(10239),
    [sym_tuple_expression] = STATE(8218),
    [sym_parenthesized_expression] = STATE(8218),
    [sym_splice_expression] = STATE(8218),
    [sym_quote_expression] = STATE(8218),
    [sym_identifier] = STATE(7278),
    [sym__soft_identifier] = STATE(5752),
    [sym_wildcard] = STATE(9367),
    [sym__non_null_literal] = STATE(8218),
    [sym_boolean_literal] = STATE(8413),
    [sym_interpolated_string_expression] = STATE(8218),
    [sym_string] = STATE(8413),
    [sym_unit] = STATE(8218),
    [sym_return_expression] = STATE(13097),
    [sym_throw_expression] = STATE(13097),
    [sym_while_expression] = STATE(13097),
    [sym_do_while_expression] = STATE(13097),
    [sym_for_expression] = STATE(13097),
    [sym_comment] = STATE(1146),
    [sym_block_comment] = STATE(1146),
    [sym__alpha_identifier] = ACTIONS(1494),
    [anon_sym_LBRACE] = ACTIONS(1498),
    [anon_sym__] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1502),
    [anon_sym_end] = ACTIONS(1504),
    [anon_sym_if] = ACTIONS(3162),
    [anon_sym_while] = ACTIONS(3164),
    [anon_sym_for] = ACTIONS(3166),
    [anon_sym_try] = ACTIONS(3168),
    [anon_sym_new] = ACTIONS(1506),
    [anon_sym_opaque] = ACTIONS(1504),
    [anon_sym_implicit] = ACTIONS(3170),
    [anon_sym_inline] = ACTIONS(1508),
    [anon_sym_infix] = ACTIONS(1504),
    [anon_sym_open] = ACTIONS(1504),
    [anon_sym_transparent] = ACTIONS(1504),
    [anon_sym_LPAREN] = ACTIONS(1510),
    [anon_sym_macro] = ACTIONS(2054),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_TILDE] = ACTIONS(1502),
    [anon_sym_DOLLAR] = ACTIONS(1512),
    [anon_sym_SQUOTE] = ACTIONS(1514),
    [sym__backquoted_id] = ACTIONS(1516),
    [sym_operator_identifier] = ACTIONS(3320),
    [sym_integer_literal] = ACTIONS(1520),
    [sym_floating_point_literal] = ACTIONS(1522),
    [anon_sym_true] = ACTIONS(1524),
    [anon_sym_false] = ACTIONS(1524),
    [sym_character_literal] = ACTIONS(1522),
    [sym_null_literal] = ACTIONS(1526),
    [anon_sym_return] = ACTIONS(3175),
    [anon_sym_throw] = ACTIONS(3177),
    [anon_sym_do] = ACTIONS(2062),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3316),
    [sym__simple_multiline_string] = ACTIONS(1528),
    [sym__simple_string] = ACTIONS(1528),
  },
  [1147] = {
    [sym_inline_modifier] = STATE(2081),
    [sym__indentable_expression] = STATE(11551),
    [sym_block] = STATE(6540),
    [sym_indented_block] = STATE(11390),
    [sym_indented_cases] = STATE(11390),
    [sym_expression] = STATE(11385),
    [sym__simple_expression] = STATE(5282),
    [sym_lambda_expression] = STATE(11374),
    [sym_if_expression] = STATE(11374),
    [sym_match_expression] = STATE(11374),
    [sym_try_expression] = STATE(11374),
    [sym_bindings] = STATE(15666),
    [sym_case_block] = STATE(6540),
    [sym_assignment_expression] = STATE(11374),
    [sym_generic_function] = STATE(6540),
    [sym_call_expression] = STATE(6540),
    [sym_field_expression] = STATE(6540),
    [sym_instance_expression] = STATE(6540),
    [sym_ascription_expression] = STATE(11374),
    [sym_infix_expression] = STATE(7834),
    [sym_postfix_expression] = STATE(11215),
    [sym__postfix_expression_choice] = STATE(16210),
    [sym_macro_body] = STATE(11374),
    [sym_prefix_expression] = STATE(8793),
    [sym_tuple_expression] = STATE(6540),
    [sym_parenthesized_expression] = STATE(6540),
    [sym_splice_expression] = STATE(6540),
    [sym_quote_expression] = STATE(6540),
    [sym_identifier] = STATE(4731),
    [sym__soft_identifier] = STATE(4667),
    [sym_wildcard] = STATE(7219),
    [sym__non_null_literal] = STATE(6540),
    [sym_boolean_literal] = STATE(6246),
    [sym_interpolated_string_expression] = STATE(6540),
    [sym_string] = STATE(6246),
    [sym_unit] = STATE(6540),
    [sym_return_expression] = STATE(11374),
    [sym_throw_expression] = STATE(11374),
    [sym_while_expression] = STATE(11374),
    [sym_do_while_expression] = STATE(11374),
    [sym_for_expression] = STATE(11374),
    [sym_comment] = STATE(1147),
    [sym_block_comment] = STATE(1147),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(2506),
    [anon_sym_while] = ACTIONS(1988),
    [anon_sym_for] = ACTIONS(1990),
    [anon_sym_try] = ACTIONS(1992),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1994),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1540),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1996),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1998),
    [anon_sym_throw] = ACTIONS(2000),
    [anon_sym_do] = ACTIONS(1548),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2240),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [1148] = {
    [sym_inline_modifier] = STATE(2189),
    [sym__indentable_expression] = STATE(13467),
    [sym_block] = STATE(9327),
    [sym_indented_block] = STATE(13548),
    [sym_indented_cases] = STATE(13548),
    [sym_expression] = STATE(13406),
    [sym__simple_expression] = STATE(7289),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15762),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10205),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10142),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6081),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(8816),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(1148),
    [sym_block_comment] = STATE(1148),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(569),
    [anon_sym_DASH] = ACTIONS(569),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(571),
    [anon_sym_while] = ACTIONS(573),
    [anon_sym_for] = ACTIONS(575),
    [anon_sym_try] = ACTIONS(577),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(2248),
    [anon_sym_inline] = ACTIONS(1860),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(569),
    [anon_sym_TILDE] = ACTIONS(569),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(587),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(589),
    [anon_sym_throw] = ACTIONS(591),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [1149] = {
    [sym_inline_modifier] = STATE(2060),
    [sym__indentable_expression] = STATE(11585),
    [sym_block] = STATE(6450),
    [sym_indented_block] = STATE(11535),
    [sym_indented_cases] = STATE(11535),
    [sym_expression] = STATE(11606),
    [sym__simple_expression] = STATE(5608),
    [sym_lambda_expression] = STATE(11549),
    [sym_if_expression] = STATE(11549),
    [sym_match_expression] = STATE(11549),
    [sym_try_expression] = STATE(11549),
    [sym_bindings] = STATE(15697),
    [sym_case_block] = STATE(6450),
    [sym_assignment_expression] = STATE(11549),
    [sym_generic_function] = STATE(6450),
    [sym_call_expression] = STATE(6450),
    [sym_field_expression] = STATE(6450),
    [sym_instance_expression] = STATE(6450),
    [sym_ascription_expression] = STATE(11549),
    [sym_infix_expression] = STATE(7641),
    [sym_postfix_expression] = STATE(11204),
    [sym__postfix_expression_choice] = STATE(16480),
    [sym_macro_body] = STATE(11549),
    [sym_prefix_expression] = STATE(9536),
    [sym_tuple_expression] = STATE(6450),
    [sym_parenthesized_expression] = STATE(6450),
    [sym_splice_expression] = STATE(6450),
    [sym_quote_expression] = STATE(6450),
    [sym_identifier] = STATE(5347),
    [sym__soft_identifier] = STATE(4507),
    [sym_wildcard] = STATE(7620),
    [sym__non_null_literal] = STATE(6450),
    [sym_boolean_literal] = STATE(6156),
    [sym_interpolated_string_expression] = STATE(6450),
    [sym_string] = STATE(6156),
    [sym_unit] = STATE(6450),
    [sym_return_expression] = STATE(11549),
    [sym_throw_expression] = STATE(11549),
    [sym_while_expression] = STATE(11549),
    [sym_do_while_expression] = STATE(11549),
    [sym_for_expression] = STATE(11549),
    [sym_comment] = STATE(1149),
    [sym_block_comment] = STATE(1149),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(1428),
    [anon_sym_while] = ACTIONS(1430),
    [anon_sym_for] = ACTIONS(1432),
    [anon_sym_try] = ACTIONS(1434),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1436),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1378),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1438),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1440),
    [anon_sym_throw] = ACTIONS(1442),
    [anon_sym_do] = ACTIONS(1386),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2258),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [1150] = {
    [sym_inline_modifier] = STATE(2246),
    [sym__indentable_expression] = STATE(12978),
    [sym_block] = STATE(8360),
    [sym_indented_block] = STATE(13059),
    [sym_indented_cases] = STATE(13059),
    [sym_expression] = STATE(12867),
    [sym__simple_expression] = STATE(5440),
    [sym_lambda_expression] = STATE(13229),
    [sym_if_expression] = STATE(13229),
    [sym_match_expression] = STATE(13229),
    [sym_try_expression] = STATE(13229),
    [sym_bindings] = STATE(15490),
    [sym_case_block] = STATE(8360),
    [sym_assignment_expression] = STATE(13229),
    [sym_generic_function] = STATE(8360),
    [sym_call_expression] = STATE(8360),
    [sym_field_expression] = STATE(8360),
    [sym_instance_expression] = STATE(8360),
    [sym_ascription_expression] = STATE(13229),
    [sym_infix_expression] = STATE(9581),
    [sym_postfix_expression] = STATE(12866),
    [sym__postfix_expression_choice] = STATE(15971),
    [sym_macro_body] = STATE(13229),
    [sym_prefix_expression] = STATE(9366),
    [sym_tuple_expression] = STATE(8360),
    [sym_parenthesized_expression] = STATE(8360),
    [sym_splice_expression] = STATE(8360),
    [sym_quote_expression] = STATE(8360),
    [sym_identifier] = STATE(5277),
    [sym__soft_identifier] = STATE(5563),
    [sym_wildcard] = STATE(7446),
    [sym__non_null_literal] = STATE(8360),
    [sym_boolean_literal] = STATE(8269),
    [sym_interpolated_string_expression] = STATE(8360),
    [sym_string] = STATE(8269),
    [sym_unit] = STATE(8360),
    [sym_return_expression] = STATE(13229),
    [sym_throw_expression] = STATE(13229),
    [sym_while_expression] = STATE(13229),
    [sym_do_while_expression] = STATE(13229),
    [sym_for_expression] = STATE(13229),
    [sym_comment] = STATE(1150),
    [sym_block_comment] = STATE(1150),
    [sym__alpha_identifier] = ACTIONS(1242),
    [anon_sym_LBRACE] = ACTIONS(1246),
    [anon_sym__] = ACTIONS(1248),
    [anon_sym_PLUS] = ACTIONS(1250),
    [anon_sym_DASH] = ACTIONS(1250),
    [anon_sym_end] = ACTIONS(1252),
    [anon_sym_if] = ACTIONS(2210),
    [anon_sym_while] = ACTIONS(2030),
    [anon_sym_for] = ACTIONS(2032),
    [anon_sym_try] = ACTIONS(2034),
    [anon_sym_new] = ACTIONS(1254),
    [anon_sym_opaque] = ACTIONS(1252),
    [anon_sym_implicit] = ACTIONS(2036),
    [anon_sym_inline] = ACTIONS(1256),
    [anon_sym_infix] = ACTIONS(1252),
    [anon_sym_open] = ACTIONS(1252),
    [anon_sym_transparent] = ACTIONS(1252),
    [anon_sym_LPAREN] = ACTIONS(1258),
    [anon_sym_macro] = ACTIONS(1664),
    [anon_sym_BANG] = ACTIONS(1250),
    [anon_sym_TILDE] = ACTIONS(1250),
    [anon_sym_DOLLAR] = ACTIONS(1260),
    [anon_sym_SQUOTE] = ACTIONS(1262),
    [sym__backquoted_id] = ACTIONS(1264),
    [sym_operator_identifier] = ACTIONS(2038),
    [sym_integer_literal] = ACTIONS(1268),
    [sym_floating_point_literal] = ACTIONS(1270),
    [anon_sym_true] = ACTIONS(1272),
    [anon_sym_false] = ACTIONS(1272),
    [sym_character_literal] = ACTIONS(1270),
    [sym_null_literal] = ACTIONS(1274),
    [anon_sym_return] = ACTIONS(2040),
    [anon_sym_throw] = ACTIONS(2042),
    [anon_sym_do] = ACTIONS(1672),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2212),
    [sym__simple_multiline_string] = ACTIONS(1276),
    [sym__simple_string] = ACTIONS(1276),
  },
  [1151] = {
    [sym_inline_modifier] = STATE(2081),
    [sym__indentable_expression] = STATE(11553),
    [sym_block] = STATE(6540),
    [sym_indented_block] = STATE(11390),
    [sym_indented_cases] = STATE(11390),
    [sym_expression] = STATE(11385),
    [sym__simple_expression] = STATE(5282),
    [sym_lambda_expression] = STATE(11374),
    [sym_if_expression] = STATE(11374),
    [sym_match_expression] = STATE(11374),
    [sym_try_expression] = STATE(11374),
    [sym_bindings] = STATE(15666),
    [sym_case_block] = STATE(6540),
    [sym_assignment_expression] = STATE(11374),
    [sym_generic_function] = STATE(6540),
    [sym_call_expression] = STATE(6540),
    [sym_field_expression] = STATE(6540),
    [sym_instance_expression] = STATE(6540),
    [sym_ascription_expression] = STATE(11374),
    [sym_infix_expression] = STATE(7834),
    [sym_postfix_expression] = STATE(11215),
    [sym__postfix_expression_choice] = STATE(16210),
    [sym_macro_body] = STATE(11374),
    [sym_prefix_expression] = STATE(8793),
    [sym_tuple_expression] = STATE(6540),
    [sym_parenthesized_expression] = STATE(6540),
    [sym_splice_expression] = STATE(6540),
    [sym_quote_expression] = STATE(6540),
    [sym_identifier] = STATE(4731),
    [sym__soft_identifier] = STATE(4667),
    [sym_wildcard] = STATE(7219),
    [sym__non_null_literal] = STATE(6540),
    [sym_boolean_literal] = STATE(6246),
    [sym_interpolated_string_expression] = STATE(6540),
    [sym_string] = STATE(6246),
    [sym_unit] = STATE(6540),
    [sym_return_expression] = STATE(11374),
    [sym_throw_expression] = STATE(11374),
    [sym_while_expression] = STATE(11374),
    [sym_do_while_expression] = STATE(11374),
    [sym_for_expression] = STATE(11374),
    [sym_comment] = STATE(1151),
    [sym_block_comment] = STATE(1151),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(2506),
    [anon_sym_while] = ACTIONS(1988),
    [anon_sym_for] = ACTIONS(1990),
    [anon_sym_try] = ACTIONS(1992),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1994),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1540),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1996),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1998),
    [anon_sym_throw] = ACTIONS(2000),
    [anon_sym_do] = ACTIONS(1548),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2240),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [1152] = {
    [sym_inline_modifier] = STATE(2246),
    [sym__indentable_expression] = STATE(13227),
    [sym_block] = STATE(8360),
    [sym_indented_block] = STATE(13059),
    [sym_indented_cases] = STATE(13059),
    [sym_expression] = STATE(12867),
    [sym__simple_expression] = STATE(5440),
    [sym_lambda_expression] = STATE(13229),
    [sym_if_expression] = STATE(13229),
    [sym_match_expression] = STATE(13229),
    [sym_try_expression] = STATE(13229),
    [sym_bindings] = STATE(15490),
    [sym_case_block] = STATE(8360),
    [sym_assignment_expression] = STATE(13229),
    [sym_generic_function] = STATE(8360),
    [sym_call_expression] = STATE(8360),
    [sym_field_expression] = STATE(8360),
    [sym_instance_expression] = STATE(8360),
    [sym_ascription_expression] = STATE(13229),
    [sym_infix_expression] = STATE(9581),
    [sym_postfix_expression] = STATE(12866),
    [sym__postfix_expression_choice] = STATE(15971),
    [sym_macro_body] = STATE(13229),
    [sym_prefix_expression] = STATE(9366),
    [sym_tuple_expression] = STATE(8360),
    [sym_parenthesized_expression] = STATE(8360),
    [sym_splice_expression] = STATE(8360),
    [sym_quote_expression] = STATE(8360),
    [sym_identifier] = STATE(5277),
    [sym__soft_identifier] = STATE(5563),
    [sym_wildcard] = STATE(7446),
    [sym__non_null_literal] = STATE(8360),
    [sym_boolean_literal] = STATE(8269),
    [sym_interpolated_string_expression] = STATE(8360),
    [sym_string] = STATE(8269),
    [sym_unit] = STATE(8360),
    [sym_return_expression] = STATE(13229),
    [sym_throw_expression] = STATE(13229),
    [sym_while_expression] = STATE(13229),
    [sym_do_while_expression] = STATE(13229),
    [sym_for_expression] = STATE(13229),
    [sym_comment] = STATE(1152),
    [sym_block_comment] = STATE(1152),
    [sym__alpha_identifier] = ACTIONS(1242),
    [anon_sym_LBRACE] = ACTIONS(1246),
    [anon_sym__] = ACTIONS(1248),
    [anon_sym_PLUS] = ACTIONS(1250),
    [anon_sym_DASH] = ACTIONS(1250),
    [anon_sym_end] = ACTIONS(1252),
    [anon_sym_if] = ACTIONS(2210),
    [anon_sym_while] = ACTIONS(2030),
    [anon_sym_for] = ACTIONS(2032),
    [anon_sym_try] = ACTIONS(2034),
    [anon_sym_new] = ACTIONS(1254),
    [anon_sym_opaque] = ACTIONS(1252),
    [anon_sym_implicit] = ACTIONS(2036),
    [anon_sym_inline] = ACTIONS(1256),
    [anon_sym_infix] = ACTIONS(1252),
    [anon_sym_open] = ACTIONS(1252),
    [anon_sym_transparent] = ACTIONS(1252),
    [anon_sym_LPAREN] = ACTIONS(1258),
    [anon_sym_macro] = ACTIONS(1664),
    [anon_sym_BANG] = ACTIONS(1250),
    [anon_sym_TILDE] = ACTIONS(1250),
    [anon_sym_DOLLAR] = ACTIONS(1260),
    [anon_sym_SQUOTE] = ACTIONS(1262),
    [sym__backquoted_id] = ACTIONS(1264),
    [sym_operator_identifier] = ACTIONS(2038),
    [sym_integer_literal] = ACTIONS(1268),
    [sym_floating_point_literal] = ACTIONS(1270),
    [anon_sym_true] = ACTIONS(1272),
    [anon_sym_false] = ACTIONS(1272),
    [sym_character_literal] = ACTIONS(1270),
    [sym_null_literal] = ACTIONS(1274),
    [anon_sym_return] = ACTIONS(2040),
    [anon_sym_throw] = ACTIONS(2042),
    [anon_sym_do] = ACTIONS(1672),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2212),
    [sym__simple_multiline_string] = ACTIONS(1276),
    [sym__simple_string] = ACTIONS(1276),
  },
  [1153] = {
    [sym_inline_modifier] = STATE(2081),
    [sym__indentable_expression] = STATE(11554),
    [sym_block] = STATE(6540),
    [sym_indented_block] = STATE(11390),
    [sym_indented_cases] = STATE(11390),
    [sym_expression] = STATE(11385),
    [sym__simple_expression] = STATE(5282),
    [sym_lambda_expression] = STATE(11374),
    [sym_if_expression] = STATE(11374),
    [sym_match_expression] = STATE(11374),
    [sym_try_expression] = STATE(11374),
    [sym_bindings] = STATE(15666),
    [sym_case_block] = STATE(6540),
    [sym_assignment_expression] = STATE(11374),
    [sym_generic_function] = STATE(6540),
    [sym_call_expression] = STATE(6540),
    [sym_field_expression] = STATE(6540),
    [sym_instance_expression] = STATE(6540),
    [sym_ascription_expression] = STATE(11374),
    [sym_infix_expression] = STATE(7834),
    [sym_postfix_expression] = STATE(11215),
    [sym__postfix_expression_choice] = STATE(16210),
    [sym_macro_body] = STATE(11374),
    [sym_prefix_expression] = STATE(8793),
    [sym_tuple_expression] = STATE(6540),
    [sym_parenthesized_expression] = STATE(6540),
    [sym_splice_expression] = STATE(6540),
    [sym_quote_expression] = STATE(6540),
    [sym_identifier] = STATE(4731),
    [sym__soft_identifier] = STATE(4667),
    [sym_wildcard] = STATE(7219),
    [sym__non_null_literal] = STATE(6540),
    [sym_boolean_literal] = STATE(6246),
    [sym_interpolated_string_expression] = STATE(6540),
    [sym_string] = STATE(6246),
    [sym_unit] = STATE(6540),
    [sym_return_expression] = STATE(11374),
    [sym_throw_expression] = STATE(11374),
    [sym_while_expression] = STATE(11374),
    [sym_do_while_expression] = STATE(11374),
    [sym_for_expression] = STATE(11374),
    [sym_comment] = STATE(1153),
    [sym_block_comment] = STATE(1153),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(2506),
    [anon_sym_while] = ACTIONS(1988),
    [anon_sym_for] = ACTIONS(1990),
    [anon_sym_try] = ACTIONS(1992),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1994),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1540),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1996),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1998),
    [anon_sym_throw] = ACTIONS(2000),
    [anon_sym_do] = ACTIONS(1548),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2240),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [1154] = {
    [sym_inline_modifier] = STATE(2246),
    [sym__indentable_expression] = STATE(13231),
    [sym_block] = STATE(8360),
    [sym_indented_block] = STATE(13059),
    [sym_indented_cases] = STATE(13059),
    [sym_expression] = STATE(12867),
    [sym__simple_expression] = STATE(5440),
    [sym_lambda_expression] = STATE(13229),
    [sym_if_expression] = STATE(13229),
    [sym_match_expression] = STATE(13229),
    [sym_try_expression] = STATE(13229),
    [sym_bindings] = STATE(15490),
    [sym_case_block] = STATE(8360),
    [sym_assignment_expression] = STATE(13229),
    [sym_generic_function] = STATE(8360),
    [sym_call_expression] = STATE(8360),
    [sym_field_expression] = STATE(8360),
    [sym_instance_expression] = STATE(8360),
    [sym_ascription_expression] = STATE(13229),
    [sym_infix_expression] = STATE(9581),
    [sym_postfix_expression] = STATE(12866),
    [sym__postfix_expression_choice] = STATE(15971),
    [sym_macro_body] = STATE(13229),
    [sym_prefix_expression] = STATE(9366),
    [sym_tuple_expression] = STATE(8360),
    [sym_parenthesized_expression] = STATE(8360),
    [sym_splice_expression] = STATE(8360),
    [sym_quote_expression] = STATE(8360),
    [sym_identifier] = STATE(5277),
    [sym__soft_identifier] = STATE(5563),
    [sym_wildcard] = STATE(7446),
    [sym__non_null_literal] = STATE(8360),
    [sym_boolean_literal] = STATE(8269),
    [sym_interpolated_string_expression] = STATE(8360),
    [sym_string] = STATE(8269),
    [sym_unit] = STATE(8360),
    [sym_return_expression] = STATE(13229),
    [sym_throw_expression] = STATE(13229),
    [sym_while_expression] = STATE(13229),
    [sym_do_while_expression] = STATE(13229),
    [sym_for_expression] = STATE(13229),
    [sym_comment] = STATE(1154),
    [sym_block_comment] = STATE(1154),
    [sym__alpha_identifier] = ACTIONS(1242),
    [anon_sym_LBRACE] = ACTIONS(1246),
    [anon_sym__] = ACTIONS(1248),
    [anon_sym_PLUS] = ACTIONS(1250),
    [anon_sym_DASH] = ACTIONS(1250),
    [anon_sym_end] = ACTIONS(1252),
    [anon_sym_if] = ACTIONS(2210),
    [anon_sym_while] = ACTIONS(2030),
    [anon_sym_for] = ACTIONS(2032),
    [anon_sym_try] = ACTIONS(2034),
    [anon_sym_new] = ACTIONS(1254),
    [anon_sym_opaque] = ACTIONS(1252),
    [anon_sym_implicit] = ACTIONS(2036),
    [anon_sym_inline] = ACTIONS(1256),
    [anon_sym_infix] = ACTIONS(1252),
    [anon_sym_open] = ACTIONS(1252),
    [anon_sym_transparent] = ACTIONS(1252),
    [anon_sym_LPAREN] = ACTIONS(1258),
    [anon_sym_macro] = ACTIONS(1664),
    [anon_sym_BANG] = ACTIONS(1250),
    [anon_sym_TILDE] = ACTIONS(1250),
    [anon_sym_DOLLAR] = ACTIONS(1260),
    [anon_sym_SQUOTE] = ACTIONS(1262),
    [sym__backquoted_id] = ACTIONS(1264),
    [sym_operator_identifier] = ACTIONS(2038),
    [sym_integer_literal] = ACTIONS(1268),
    [sym_floating_point_literal] = ACTIONS(1270),
    [anon_sym_true] = ACTIONS(1272),
    [anon_sym_false] = ACTIONS(1272),
    [sym_character_literal] = ACTIONS(1270),
    [sym_null_literal] = ACTIONS(1274),
    [anon_sym_return] = ACTIONS(2040),
    [anon_sym_throw] = ACTIONS(2042),
    [anon_sym_do] = ACTIONS(1672),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2212),
    [sym__simple_multiline_string] = ACTIONS(1276),
    [sym__simple_string] = ACTIONS(1276),
  },
  [1155] = {
    [sym_inline_modifier] = STATE(2081),
    [sym__indentable_expression] = STATE(11561),
    [sym_block] = STATE(6540),
    [sym_indented_block] = STATE(11390),
    [sym_indented_cases] = STATE(11390),
    [sym_expression] = STATE(11385),
    [sym__simple_expression] = STATE(5282),
    [sym_lambda_expression] = STATE(11374),
    [sym_if_expression] = STATE(11374),
    [sym_match_expression] = STATE(11374),
    [sym_try_expression] = STATE(11374),
    [sym_bindings] = STATE(15666),
    [sym_case_block] = STATE(6540),
    [sym_assignment_expression] = STATE(11374),
    [sym_generic_function] = STATE(6540),
    [sym_call_expression] = STATE(6540),
    [sym_field_expression] = STATE(6540),
    [sym_instance_expression] = STATE(6540),
    [sym_ascription_expression] = STATE(11374),
    [sym_infix_expression] = STATE(7834),
    [sym_postfix_expression] = STATE(11215),
    [sym__postfix_expression_choice] = STATE(16210),
    [sym_macro_body] = STATE(11374),
    [sym_prefix_expression] = STATE(8793),
    [sym_tuple_expression] = STATE(6540),
    [sym_parenthesized_expression] = STATE(6540),
    [sym_splice_expression] = STATE(6540),
    [sym_quote_expression] = STATE(6540),
    [sym_identifier] = STATE(4731),
    [sym__soft_identifier] = STATE(4667),
    [sym_wildcard] = STATE(7219),
    [sym__non_null_literal] = STATE(6540),
    [sym_boolean_literal] = STATE(6246),
    [sym_interpolated_string_expression] = STATE(6540),
    [sym_string] = STATE(6246),
    [sym_unit] = STATE(6540),
    [sym_return_expression] = STATE(11374),
    [sym_throw_expression] = STATE(11374),
    [sym_while_expression] = STATE(11374),
    [sym_do_while_expression] = STATE(11374),
    [sym_for_expression] = STATE(11374),
    [sym_comment] = STATE(1155),
    [sym_block_comment] = STATE(1155),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(2506),
    [anon_sym_while] = ACTIONS(1988),
    [anon_sym_for] = ACTIONS(1990),
    [anon_sym_try] = ACTIONS(1992),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1994),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1540),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1996),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1998),
    [anon_sym_throw] = ACTIONS(2000),
    [anon_sym_do] = ACTIONS(1548),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2240),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [1156] = {
    [sym_inline_modifier] = STATE(2246),
    [sym__indentable_expression] = STATE(13168),
    [sym_block] = STATE(8360),
    [sym_indented_block] = STATE(13059),
    [sym_indented_cases] = STATE(13059),
    [sym_expression] = STATE(12867),
    [sym__simple_expression] = STATE(5440),
    [sym_lambda_expression] = STATE(13229),
    [sym_if_expression] = STATE(13229),
    [sym_match_expression] = STATE(13229),
    [sym_try_expression] = STATE(13229),
    [sym_bindings] = STATE(15490),
    [sym_case_block] = STATE(8360),
    [sym_assignment_expression] = STATE(13229),
    [sym_generic_function] = STATE(8360),
    [sym_call_expression] = STATE(8360),
    [sym_field_expression] = STATE(8360),
    [sym_instance_expression] = STATE(8360),
    [sym_ascription_expression] = STATE(13229),
    [sym_infix_expression] = STATE(9581),
    [sym_postfix_expression] = STATE(12866),
    [sym__postfix_expression_choice] = STATE(15971),
    [sym_macro_body] = STATE(13229),
    [sym_prefix_expression] = STATE(9366),
    [sym_tuple_expression] = STATE(8360),
    [sym_parenthesized_expression] = STATE(8360),
    [sym_splice_expression] = STATE(8360),
    [sym_quote_expression] = STATE(8360),
    [sym_identifier] = STATE(5277),
    [sym__soft_identifier] = STATE(5563),
    [sym_wildcard] = STATE(7446),
    [sym__non_null_literal] = STATE(8360),
    [sym_boolean_literal] = STATE(8269),
    [sym_interpolated_string_expression] = STATE(8360),
    [sym_string] = STATE(8269),
    [sym_unit] = STATE(8360),
    [sym_return_expression] = STATE(13229),
    [sym_throw_expression] = STATE(13229),
    [sym_while_expression] = STATE(13229),
    [sym_do_while_expression] = STATE(13229),
    [sym_for_expression] = STATE(13229),
    [sym_comment] = STATE(1156),
    [sym_block_comment] = STATE(1156),
    [sym__alpha_identifier] = ACTIONS(1242),
    [anon_sym_LBRACE] = ACTIONS(1246),
    [anon_sym__] = ACTIONS(1248),
    [anon_sym_PLUS] = ACTIONS(1250),
    [anon_sym_DASH] = ACTIONS(1250),
    [anon_sym_end] = ACTIONS(1252),
    [anon_sym_if] = ACTIONS(2210),
    [anon_sym_while] = ACTIONS(2030),
    [anon_sym_for] = ACTIONS(2032),
    [anon_sym_try] = ACTIONS(2034),
    [anon_sym_new] = ACTIONS(1254),
    [anon_sym_opaque] = ACTIONS(1252),
    [anon_sym_implicit] = ACTIONS(2036),
    [anon_sym_inline] = ACTIONS(1256),
    [anon_sym_infix] = ACTIONS(1252),
    [anon_sym_open] = ACTIONS(1252),
    [anon_sym_transparent] = ACTIONS(1252),
    [anon_sym_LPAREN] = ACTIONS(1258),
    [anon_sym_macro] = ACTIONS(1664),
    [anon_sym_BANG] = ACTIONS(1250),
    [anon_sym_TILDE] = ACTIONS(1250),
    [anon_sym_DOLLAR] = ACTIONS(1260),
    [anon_sym_SQUOTE] = ACTIONS(1262),
    [sym__backquoted_id] = ACTIONS(1264),
    [sym_operator_identifier] = ACTIONS(2038),
    [sym_integer_literal] = ACTIONS(1268),
    [sym_floating_point_literal] = ACTIONS(1270),
    [anon_sym_true] = ACTIONS(1272),
    [anon_sym_false] = ACTIONS(1272),
    [sym_character_literal] = ACTIONS(1270),
    [sym_null_literal] = ACTIONS(1274),
    [anon_sym_return] = ACTIONS(2040),
    [anon_sym_throw] = ACTIONS(2042),
    [anon_sym_do] = ACTIONS(1672),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2212),
    [sym__simple_multiline_string] = ACTIONS(1276),
    [sym__simple_string] = ACTIONS(1276),
  },
  [1157] = {
    [sym_inline_modifier] = STATE(2081),
    [sym__indentable_expression] = STATE(11597),
    [sym_block] = STATE(6540),
    [sym_indented_block] = STATE(11390),
    [sym_indented_cases] = STATE(11390),
    [sym_expression] = STATE(11385),
    [sym__simple_expression] = STATE(5282),
    [sym_lambda_expression] = STATE(11374),
    [sym_if_expression] = STATE(11374),
    [sym_match_expression] = STATE(11374),
    [sym_try_expression] = STATE(11374),
    [sym_bindings] = STATE(15666),
    [sym_case_block] = STATE(6540),
    [sym_assignment_expression] = STATE(11374),
    [sym_generic_function] = STATE(6540),
    [sym_call_expression] = STATE(6540),
    [sym_field_expression] = STATE(6540),
    [sym_instance_expression] = STATE(6540),
    [sym_ascription_expression] = STATE(11374),
    [sym_infix_expression] = STATE(7834),
    [sym_postfix_expression] = STATE(11215),
    [sym__postfix_expression_choice] = STATE(16210),
    [sym_macro_body] = STATE(11374),
    [sym_prefix_expression] = STATE(8793),
    [sym_tuple_expression] = STATE(6540),
    [sym_parenthesized_expression] = STATE(6540),
    [sym_splice_expression] = STATE(6540),
    [sym_quote_expression] = STATE(6540),
    [sym_identifier] = STATE(4731),
    [sym__soft_identifier] = STATE(4667),
    [sym_wildcard] = STATE(7219),
    [sym__non_null_literal] = STATE(6540),
    [sym_boolean_literal] = STATE(6246),
    [sym_interpolated_string_expression] = STATE(6540),
    [sym_string] = STATE(6246),
    [sym_unit] = STATE(6540),
    [sym_return_expression] = STATE(11374),
    [sym_throw_expression] = STATE(11374),
    [sym_while_expression] = STATE(11374),
    [sym_do_while_expression] = STATE(11374),
    [sym_for_expression] = STATE(11374),
    [sym_comment] = STATE(1157),
    [sym_block_comment] = STATE(1157),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(2506),
    [anon_sym_while] = ACTIONS(1988),
    [anon_sym_for] = ACTIONS(1990),
    [anon_sym_try] = ACTIONS(1992),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1994),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1540),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1996),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1998),
    [anon_sym_throw] = ACTIONS(2000),
    [anon_sym_do] = ACTIONS(1548),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2240),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [1158] = {
    [sym_inline_modifier] = STATE(2084),
    [sym__indentable_expression] = STATE(15796),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(8831),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15722),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10635),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(720),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(8641),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(10149),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1158),
    [sym_block_comment] = STATE(1158),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2740),
    [anon_sym_while] = ACTIONS(2742),
    [anon_sym_for] = ACTIONS(2744),
    [anon_sym_try] = ACTIONS(2746),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2748),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3310),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3312),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2762),
    [anon_sym_throw] = ACTIONS(2764),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1159] = {
    [sym_inline_modifier] = STATE(2100),
    [sym__indentable_expression] = STATE(13990),
    [sym_block] = STATE(8218),
    [sym_indented_block] = STATE(13075),
    [sym_indented_cases] = STATE(13075),
    [sym_expression] = STATE(12682),
    [sym__simple_expression] = STATE(7445),
    [sym_lambda_expression] = STATE(13097),
    [sym_if_expression] = STATE(13097),
    [sym_match_expression] = STATE(13097),
    [sym_try_expression] = STATE(13097),
    [sym_bindings] = STATE(15495),
    [sym_case_block] = STATE(8218),
    [sym_assignment_expression] = STATE(13097),
    [sym_generic_function] = STATE(8218),
    [sym_call_expression] = STATE(8218),
    [sym_field_expression] = STATE(8218),
    [sym_instance_expression] = STATE(8218),
    [sym_ascription_expression] = STATE(13097),
    [sym_infix_expression] = STATE(9424),
    [sym_postfix_expression] = STATE(12765),
    [sym__postfix_expression_choice] = STATE(16117),
    [sym_macro_body] = STATE(13097),
    [sym_prefix_expression] = STATE(10239),
    [sym_tuple_expression] = STATE(8218),
    [sym_parenthesized_expression] = STATE(8218),
    [sym_splice_expression] = STATE(8218),
    [sym_quote_expression] = STATE(8218),
    [sym_identifier] = STATE(7278),
    [sym__soft_identifier] = STATE(5752),
    [sym_wildcard] = STATE(9367),
    [sym__non_null_literal] = STATE(8218),
    [sym_boolean_literal] = STATE(8413),
    [sym_interpolated_string_expression] = STATE(8218),
    [sym_string] = STATE(8413),
    [sym_unit] = STATE(8218),
    [sym_return_expression] = STATE(13097),
    [sym_throw_expression] = STATE(13097),
    [sym_while_expression] = STATE(13097),
    [sym_do_while_expression] = STATE(13097),
    [sym_for_expression] = STATE(13097),
    [sym_comment] = STATE(1159),
    [sym_block_comment] = STATE(1159),
    [sym__alpha_identifier] = ACTIONS(1494),
    [anon_sym_LBRACE] = ACTIONS(1498),
    [anon_sym__] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1502),
    [anon_sym_end] = ACTIONS(1504),
    [anon_sym_if] = ACTIONS(3162),
    [anon_sym_while] = ACTIONS(3164),
    [anon_sym_for] = ACTIONS(3166),
    [anon_sym_try] = ACTIONS(3168),
    [anon_sym_new] = ACTIONS(1506),
    [anon_sym_opaque] = ACTIONS(1504),
    [anon_sym_implicit] = ACTIONS(3170),
    [anon_sym_inline] = ACTIONS(1508),
    [anon_sym_infix] = ACTIONS(1504),
    [anon_sym_open] = ACTIONS(1504),
    [anon_sym_transparent] = ACTIONS(1504),
    [anon_sym_LPAREN] = ACTIONS(1510),
    [anon_sym_macro] = ACTIONS(2054),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_TILDE] = ACTIONS(1502),
    [anon_sym_DOLLAR] = ACTIONS(1512),
    [anon_sym_SQUOTE] = ACTIONS(1514),
    [sym__backquoted_id] = ACTIONS(1516),
    [sym_operator_identifier] = ACTIONS(3320),
    [sym_integer_literal] = ACTIONS(1520),
    [sym_floating_point_literal] = ACTIONS(1522),
    [anon_sym_true] = ACTIONS(1524),
    [anon_sym_false] = ACTIONS(1524),
    [sym_character_literal] = ACTIONS(1522),
    [sym_null_literal] = ACTIONS(1526),
    [anon_sym_return] = ACTIONS(3175),
    [anon_sym_throw] = ACTIONS(3177),
    [anon_sym_do] = ACTIONS(2062),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3316),
    [sym__simple_multiline_string] = ACTIONS(1528),
    [sym__simple_string] = ACTIONS(1528),
  },
  [1160] = {
    [sym_inline_modifier] = STATE(2246),
    [sym__indentable_expression] = STATE(13162),
    [sym_block] = STATE(8360),
    [sym_indented_block] = STATE(13059),
    [sym_indented_cases] = STATE(13059),
    [sym_expression] = STATE(12867),
    [sym__simple_expression] = STATE(5440),
    [sym_lambda_expression] = STATE(13229),
    [sym_if_expression] = STATE(13229),
    [sym_match_expression] = STATE(13229),
    [sym_try_expression] = STATE(13229),
    [sym_bindings] = STATE(15490),
    [sym_case_block] = STATE(8360),
    [sym_assignment_expression] = STATE(13229),
    [sym_generic_function] = STATE(8360),
    [sym_call_expression] = STATE(8360),
    [sym_field_expression] = STATE(8360),
    [sym_instance_expression] = STATE(8360),
    [sym_ascription_expression] = STATE(13229),
    [sym_infix_expression] = STATE(9581),
    [sym_postfix_expression] = STATE(12866),
    [sym__postfix_expression_choice] = STATE(15971),
    [sym_macro_body] = STATE(13229),
    [sym_prefix_expression] = STATE(9366),
    [sym_tuple_expression] = STATE(8360),
    [sym_parenthesized_expression] = STATE(8360),
    [sym_splice_expression] = STATE(8360),
    [sym_quote_expression] = STATE(8360),
    [sym_identifier] = STATE(5277),
    [sym__soft_identifier] = STATE(5563),
    [sym_wildcard] = STATE(7446),
    [sym__non_null_literal] = STATE(8360),
    [sym_boolean_literal] = STATE(8269),
    [sym_interpolated_string_expression] = STATE(8360),
    [sym_string] = STATE(8269),
    [sym_unit] = STATE(8360),
    [sym_return_expression] = STATE(13229),
    [sym_throw_expression] = STATE(13229),
    [sym_while_expression] = STATE(13229),
    [sym_do_while_expression] = STATE(13229),
    [sym_for_expression] = STATE(13229),
    [sym_comment] = STATE(1160),
    [sym_block_comment] = STATE(1160),
    [sym__alpha_identifier] = ACTIONS(1242),
    [anon_sym_LBRACE] = ACTIONS(1246),
    [anon_sym__] = ACTIONS(1248),
    [anon_sym_PLUS] = ACTIONS(1250),
    [anon_sym_DASH] = ACTIONS(1250),
    [anon_sym_end] = ACTIONS(1252),
    [anon_sym_if] = ACTIONS(2210),
    [anon_sym_while] = ACTIONS(2030),
    [anon_sym_for] = ACTIONS(2032),
    [anon_sym_try] = ACTIONS(2034),
    [anon_sym_new] = ACTIONS(1254),
    [anon_sym_opaque] = ACTIONS(1252),
    [anon_sym_implicit] = ACTIONS(2036),
    [anon_sym_inline] = ACTIONS(1256),
    [anon_sym_infix] = ACTIONS(1252),
    [anon_sym_open] = ACTIONS(1252),
    [anon_sym_transparent] = ACTIONS(1252),
    [anon_sym_LPAREN] = ACTIONS(1258),
    [anon_sym_macro] = ACTIONS(1664),
    [anon_sym_BANG] = ACTIONS(1250),
    [anon_sym_TILDE] = ACTIONS(1250),
    [anon_sym_DOLLAR] = ACTIONS(1260),
    [anon_sym_SQUOTE] = ACTIONS(1262),
    [sym__backquoted_id] = ACTIONS(1264),
    [sym_operator_identifier] = ACTIONS(2038),
    [sym_integer_literal] = ACTIONS(1268),
    [sym_floating_point_literal] = ACTIONS(1270),
    [anon_sym_true] = ACTIONS(1272),
    [anon_sym_false] = ACTIONS(1272),
    [sym_character_literal] = ACTIONS(1270),
    [sym_null_literal] = ACTIONS(1274),
    [anon_sym_return] = ACTIONS(2040),
    [anon_sym_throw] = ACTIONS(2042),
    [anon_sym_do] = ACTIONS(1672),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2212),
    [sym__simple_multiline_string] = ACTIONS(1276),
    [sym__simple_string] = ACTIONS(1276),
  },
  [1161] = {
    [sym_inline_modifier] = STATE(2081),
    [sym__indentable_expression] = STATE(11625),
    [sym_block] = STATE(6540),
    [sym_indented_block] = STATE(11390),
    [sym_indented_cases] = STATE(11390),
    [sym_expression] = STATE(11385),
    [sym__simple_expression] = STATE(5282),
    [sym_lambda_expression] = STATE(11374),
    [sym_if_expression] = STATE(11374),
    [sym_match_expression] = STATE(11374),
    [sym_try_expression] = STATE(11374),
    [sym_bindings] = STATE(15666),
    [sym_case_block] = STATE(6540),
    [sym_assignment_expression] = STATE(11374),
    [sym_generic_function] = STATE(6540),
    [sym_call_expression] = STATE(6540),
    [sym_field_expression] = STATE(6540),
    [sym_instance_expression] = STATE(6540),
    [sym_ascription_expression] = STATE(11374),
    [sym_infix_expression] = STATE(7834),
    [sym_postfix_expression] = STATE(11215),
    [sym__postfix_expression_choice] = STATE(16210),
    [sym_macro_body] = STATE(11374),
    [sym_prefix_expression] = STATE(8793),
    [sym_tuple_expression] = STATE(6540),
    [sym_parenthesized_expression] = STATE(6540),
    [sym_splice_expression] = STATE(6540),
    [sym_quote_expression] = STATE(6540),
    [sym_identifier] = STATE(4731),
    [sym__soft_identifier] = STATE(4667),
    [sym_wildcard] = STATE(7219),
    [sym__non_null_literal] = STATE(6540),
    [sym_boolean_literal] = STATE(6246),
    [sym_interpolated_string_expression] = STATE(6540),
    [sym_string] = STATE(6246),
    [sym_unit] = STATE(6540),
    [sym_return_expression] = STATE(11374),
    [sym_throw_expression] = STATE(11374),
    [sym_while_expression] = STATE(11374),
    [sym_do_while_expression] = STATE(11374),
    [sym_for_expression] = STATE(11374),
    [sym_comment] = STATE(1161),
    [sym_block_comment] = STATE(1161),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(2506),
    [anon_sym_while] = ACTIONS(1988),
    [anon_sym_for] = ACTIONS(1990),
    [anon_sym_try] = ACTIONS(1992),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1994),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1540),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1996),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1998),
    [anon_sym_throw] = ACTIONS(2000),
    [anon_sym_do] = ACTIONS(1548),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2240),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [1162] = {
    [sym_inline_modifier] = STATE(2250),
    [sym__indentable_expression] = STATE(12606),
    [sym_block] = STATE(6450),
    [sym_indented_block] = STATE(11535),
    [sym_indented_cases] = STATE(11535),
    [sym_expression] = STATE(11606),
    [sym__simple_expression] = STATE(5297),
    [sym_lambda_expression] = STATE(11549),
    [sym_if_expression] = STATE(11549),
    [sym_match_expression] = STATE(11549),
    [sym_try_expression] = STATE(11549),
    [sym_bindings] = STATE(15503),
    [sym_case_block] = STATE(6450),
    [sym_assignment_expression] = STATE(11549),
    [sym_generic_function] = STATE(6450),
    [sym_call_expression] = STATE(6450),
    [sym_field_expression] = STATE(6450),
    [sym_instance_expression] = STATE(6450),
    [sym_ascription_expression] = STATE(11549),
    [sym_infix_expression] = STATE(7641),
    [sym_postfix_expression] = STATE(11204),
    [sym__postfix_expression_choice] = STATE(16480),
    [sym_macro_body] = STATE(11549),
    [sym_prefix_expression] = STATE(8711),
    [sym_tuple_expression] = STATE(6450),
    [sym_parenthesized_expression] = STATE(6450),
    [sym_splice_expression] = STATE(6450),
    [sym_quote_expression] = STATE(6450),
    [sym_identifier] = STATE(4723),
    [sym__soft_identifier] = STATE(4507),
    [sym_wildcard] = STATE(7115),
    [sym__non_null_literal] = STATE(6450),
    [sym_boolean_literal] = STATE(6156),
    [sym_interpolated_string_expression] = STATE(6450),
    [sym_string] = STATE(6156),
    [sym_unit] = STATE(6450),
    [sym_return_expression] = STATE(11549),
    [sym_throw_expression] = STATE(11549),
    [sym_while_expression] = STATE(11549),
    [sym_do_while_expression] = STATE(11549),
    [sym_for_expression] = STATE(11549),
    [sym_comment] = STATE(1162),
    [sym_block_comment] = STATE(1162),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(2256),
    [anon_sym_while] = ACTIONS(1370),
    [anon_sym_for] = ACTIONS(1372),
    [anon_sym_try] = ACTIONS(1374),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1376),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1378),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1380),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1382),
    [anon_sym_throw] = ACTIONS(1384),
    [anon_sym_do] = ACTIONS(1386),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2258),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [1163] = {
    [sym_inline_modifier] = STATE(2081),
    [sym__indentable_expression] = STATE(11626),
    [sym_block] = STATE(6540),
    [sym_indented_block] = STATE(11390),
    [sym_indented_cases] = STATE(11390),
    [sym_expression] = STATE(11385),
    [sym__simple_expression] = STATE(5282),
    [sym_lambda_expression] = STATE(11374),
    [sym_if_expression] = STATE(11374),
    [sym_match_expression] = STATE(11374),
    [sym_try_expression] = STATE(11374),
    [sym_bindings] = STATE(15666),
    [sym_case_block] = STATE(6540),
    [sym_assignment_expression] = STATE(11374),
    [sym_generic_function] = STATE(6540),
    [sym_call_expression] = STATE(6540),
    [sym_field_expression] = STATE(6540),
    [sym_instance_expression] = STATE(6540),
    [sym_ascription_expression] = STATE(11374),
    [sym_infix_expression] = STATE(7834),
    [sym_postfix_expression] = STATE(11215),
    [sym__postfix_expression_choice] = STATE(16210),
    [sym_macro_body] = STATE(11374),
    [sym_prefix_expression] = STATE(8793),
    [sym_tuple_expression] = STATE(6540),
    [sym_parenthesized_expression] = STATE(6540),
    [sym_splice_expression] = STATE(6540),
    [sym_quote_expression] = STATE(6540),
    [sym_identifier] = STATE(4731),
    [sym__soft_identifier] = STATE(4667),
    [sym_wildcard] = STATE(7219),
    [sym__non_null_literal] = STATE(6540),
    [sym_boolean_literal] = STATE(6246),
    [sym_interpolated_string_expression] = STATE(6540),
    [sym_string] = STATE(6246),
    [sym_unit] = STATE(6540),
    [sym_return_expression] = STATE(11374),
    [sym_throw_expression] = STATE(11374),
    [sym_while_expression] = STATE(11374),
    [sym_do_while_expression] = STATE(11374),
    [sym_for_expression] = STATE(11374),
    [sym_comment] = STATE(1163),
    [sym_block_comment] = STATE(1163),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(2506),
    [anon_sym_while] = ACTIONS(1988),
    [anon_sym_for] = ACTIONS(1990),
    [anon_sym_try] = ACTIONS(1992),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1994),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1540),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1996),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1998),
    [anon_sym_throw] = ACTIONS(2000),
    [anon_sym_do] = ACTIONS(1548),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2240),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [1164] = {
    [sym_inline_modifier] = STATE(2181),
    [sym__indentable_expression] = STATE(12825),
    [sym_block] = STATE(5403),
    [sym_indented_block] = STATE(11085),
    [sym_indented_cases] = STATE(11085),
    [sym_expression] = STATE(11355),
    [sym__simple_expression] = STATE(4722),
    [sym_lambda_expression] = STATE(11364),
    [sym_if_expression] = STATE(11364),
    [sym_match_expression] = STATE(11364),
    [sym_try_expression] = STATE(11364),
    [sym_bindings] = STATE(15648),
    [sym_case_block] = STATE(5403),
    [sym_assignment_expression] = STATE(11364),
    [sym_generic_function] = STATE(5403),
    [sym_call_expression] = STATE(5403),
    [sym_field_expression] = STATE(5403),
    [sym_instance_expression] = STATE(5403),
    [sym_ascription_expression] = STATE(11364),
    [sym_infix_expression] = STATE(6806),
    [sym_postfix_expression] = STATE(10789),
    [sym__postfix_expression_choice] = STATE(15797),
    [sym_macro_body] = STATE(11364),
    [sym_prefix_expression] = STATE(8559),
    [sym_tuple_expression] = STATE(5403),
    [sym_parenthesized_expression] = STATE(5403),
    [sym_splice_expression] = STATE(5403),
    [sym_quote_expression] = STATE(5403),
    [sym_identifier] = STATE(4646),
    [sym__soft_identifier] = STATE(4455),
    [sym_wildcard] = STATE(6287),
    [sym__non_null_literal] = STATE(5403),
    [sym_boolean_literal] = STATE(5637),
    [sym_interpolated_string_expression] = STATE(5403),
    [sym_string] = STATE(5637),
    [sym_unit] = STATE(5403),
    [sym_return_expression] = STATE(11364),
    [sym_throw_expression] = STATE(11364),
    [sym_while_expression] = STATE(11364),
    [sym_do_while_expression] = STATE(11364),
    [sym_for_expression] = STATE(11364),
    [sym_comment] = STATE(1164),
    [sym_block_comment] = STATE(1164),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(2352),
    [anon_sym_while] = ACTIONS(1172),
    [anon_sym_for] = ACTIONS(1174),
    [anon_sym_try] = ACTIONS(1176),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1178),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1162),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1180),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1182),
    [anon_sym_throw] = ACTIONS(1184),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2282),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [1165] = {
    [sym_inline_modifier] = STATE(2081),
    [sym__indentable_expression] = STATE(11627),
    [sym_block] = STATE(6540),
    [sym_indented_block] = STATE(11390),
    [sym_indented_cases] = STATE(11390),
    [sym_expression] = STATE(11385),
    [sym__simple_expression] = STATE(5282),
    [sym_lambda_expression] = STATE(11374),
    [sym_if_expression] = STATE(11374),
    [sym_match_expression] = STATE(11374),
    [sym_try_expression] = STATE(11374),
    [sym_bindings] = STATE(15666),
    [sym_case_block] = STATE(6540),
    [sym_assignment_expression] = STATE(11374),
    [sym_generic_function] = STATE(6540),
    [sym_call_expression] = STATE(6540),
    [sym_field_expression] = STATE(6540),
    [sym_instance_expression] = STATE(6540),
    [sym_ascription_expression] = STATE(11374),
    [sym_infix_expression] = STATE(7834),
    [sym_postfix_expression] = STATE(11215),
    [sym__postfix_expression_choice] = STATE(16210),
    [sym_macro_body] = STATE(11374),
    [sym_prefix_expression] = STATE(8793),
    [sym_tuple_expression] = STATE(6540),
    [sym_parenthesized_expression] = STATE(6540),
    [sym_splice_expression] = STATE(6540),
    [sym_quote_expression] = STATE(6540),
    [sym_identifier] = STATE(4731),
    [sym__soft_identifier] = STATE(4667),
    [sym_wildcard] = STATE(7219),
    [sym__non_null_literal] = STATE(6540),
    [sym_boolean_literal] = STATE(6246),
    [sym_interpolated_string_expression] = STATE(6540),
    [sym_string] = STATE(6246),
    [sym_unit] = STATE(6540),
    [sym_return_expression] = STATE(11374),
    [sym_throw_expression] = STATE(11374),
    [sym_while_expression] = STATE(11374),
    [sym_do_while_expression] = STATE(11374),
    [sym_for_expression] = STATE(11374),
    [sym_comment] = STATE(1165),
    [sym_block_comment] = STATE(1165),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(2506),
    [anon_sym_while] = ACTIONS(1988),
    [anon_sym_for] = ACTIONS(1990),
    [anon_sym_try] = ACTIONS(1992),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1994),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1540),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1996),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1998),
    [anon_sym_throw] = ACTIONS(2000),
    [anon_sym_do] = ACTIONS(1548),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2240),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [1166] = {
    [sym_inline_modifier] = STATE(2246),
    [sym__indentable_expression] = STATE(12984),
    [sym_block] = STATE(8360),
    [sym_indented_block] = STATE(13059),
    [sym_indented_cases] = STATE(13059),
    [sym_expression] = STATE(12867),
    [sym__simple_expression] = STATE(5440),
    [sym_lambda_expression] = STATE(13229),
    [sym_if_expression] = STATE(13229),
    [sym_match_expression] = STATE(13229),
    [sym_try_expression] = STATE(13229),
    [sym_bindings] = STATE(15490),
    [sym_case_block] = STATE(8360),
    [sym_assignment_expression] = STATE(13229),
    [sym_generic_function] = STATE(8360),
    [sym_call_expression] = STATE(8360),
    [sym_field_expression] = STATE(8360),
    [sym_instance_expression] = STATE(8360),
    [sym_ascription_expression] = STATE(13229),
    [sym_infix_expression] = STATE(9581),
    [sym_postfix_expression] = STATE(12866),
    [sym__postfix_expression_choice] = STATE(15971),
    [sym_macro_body] = STATE(13229),
    [sym_prefix_expression] = STATE(9366),
    [sym_tuple_expression] = STATE(8360),
    [sym_parenthesized_expression] = STATE(8360),
    [sym_splice_expression] = STATE(8360),
    [sym_quote_expression] = STATE(8360),
    [sym_identifier] = STATE(5277),
    [sym__soft_identifier] = STATE(5563),
    [sym_wildcard] = STATE(7446),
    [sym__non_null_literal] = STATE(8360),
    [sym_boolean_literal] = STATE(8269),
    [sym_interpolated_string_expression] = STATE(8360),
    [sym_string] = STATE(8269),
    [sym_unit] = STATE(8360),
    [sym_return_expression] = STATE(13229),
    [sym_throw_expression] = STATE(13229),
    [sym_while_expression] = STATE(13229),
    [sym_do_while_expression] = STATE(13229),
    [sym_for_expression] = STATE(13229),
    [sym_comment] = STATE(1166),
    [sym_block_comment] = STATE(1166),
    [sym__alpha_identifier] = ACTIONS(1242),
    [anon_sym_LBRACE] = ACTIONS(1246),
    [anon_sym__] = ACTIONS(1248),
    [anon_sym_PLUS] = ACTIONS(1250),
    [anon_sym_DASH] = ACTIONS(1250),
    [anon_sym_end] = ACTIONS(1252),
    [anon_sym_if] = ACTIONS(2210),
    [anon_sym_while] = ACTIONS(2030),
    [anon_sym_for] = ACTIONS(2032),
    [anon_sym_try] = ACTIONS(2034),
    [anon_sym_new] = ACTIONS(1254),
    [anon_sym_opaque] = ACTIONS(1252),
    [anon_sym_implicit] = ACTIONS(2036),
    [anon_sym_inline] = ACTIONS(1256),
    [anon_sym_infix] = ACTIONS(1252),
    [anon_sym_open] = ACTIONS(1252),
    [anon_sym_transparent] = ACTIONS(1252),
    [anon_sym_LPAREN] = ACTIONS(1258),
    [anon_sym_macro] = ACTIONS(1664),
    [anon_sym_BANG] = ACTIONS(1250),
    [anon_sym_TILDE] = ACTIONS(1250),
    [anon_sym_DOLLAR] = ACTIONS(1260),
    [anon_sym_SQUOTE] = ACTIONS(1262),
    [sym__backquoted_id] = ACTIONS(1264),
    [sym_operator_identifier] = ACTIONS(2038),
    [sym_integer_literal] = ACTIONS(1268),
    [sym_floating_point_literal] = ACTIONS(1270),
    [anon_sym_true] = ACTIONS(1272),
    [anon_sym_false] = ACTIONS(1272),
    [sym_character_literal] = ACTIONS(1270),
    [sym_null_literal] = ACTIONS(1274),
    [anon_sym_return] = ACTIONS(2040),
    [anon_sym_throw] = ACTIONS(2042),
    [anon_sym_do] = ACTIONS(1672),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2212),
    [sym__simple_multiline_string] = ACTIONS(1276),
    [sym__simple_string] = ACTIONS(1276),
  },
  [1167] = {
    [sym_inline_modifier] = STATE(2106),
    [sym__indentable_expression] = STATE(12408),
    [sym_block] = STATE(8041),
    [sym_indented_block] = STATE(12292),
    [sym_indented_cases] = STATE(12292),
    [sym_expression] = STATE(12256),
    [sym__simple_expression] = STATE(6252),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15549),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(9660),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(5550),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(8541),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(1167),
    [sym_block_comment] = STATE(1167),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(3114),
    [anon_sym_while] = ACTIONS(3116),
    [anon_sym_for] = ACTIONS(3118),
    [anon_sym_try] = ACTIONS(3120),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(3122),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(3134),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(3127),
    [anon_sym_throw] = ACTIONS(3129),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1168] = {
    [sym_inline_modifier] = STATE(2081),
    [sym__indentable_expression] = STATE(11630),
    [sym_block] = STATE(6540),
    [sym_indented_block] = STATE(11390),
    [sym_indented_cases] = STATE(11390),
    [sym_expression] = STATE(11385),
    [sym__simple_expression] = STATE(5282),
    [sym_lambda_expression] = STATE(11374),
    [sym_if_expression] = STATE(11374),
    [sym_match_expression] = STATE(11374),
    [sym_try_expression] = STATE(11374),
    [sym_bindings] = STATE(15666),
    [sym_case_block] = STATE(6540),
    [sym_assignment_expression] = STATE(11374),
    [sym_generic_function] = STATE(6540),
    [sym_call_expression] = STATE(6540),
    [sym_field_expression] = STATE(6540),
    [sym_instance_expression] = STATE(6540),
    [sym_ascription_expression] = STATE(11374),
    [sym_infix_expression] = STATE(7834),
    [sym_postfix_expression] = STATE(11215),
    [sym__postfix_expression_choice] = STATE(16210),
    [sym_macro_body] = STATE(11374),
    [sym_prefix_expression] = STATE(8793),
    [sym_tuple_expression] = STATE(6540),
    [sym_parenthesized_expression] = STATE(6540),
    [sym_splice_expression] = STATE(6540),
    [sym_quote_expression] = STATE(6540),
    [sym_identifier] = STATE(4731),
    [sym__soft_identifier] = STATE(4667),
    [sym_wildcard] = STATE(7219),
    [sym__non_null_literal] = STATE(6540),
    [sym_boolean_literal] = STATE(6246),
    [sym_interpolated_string_expression] = STATE(6540),
    [sym_string] = STATE(6246),
    [sym_unit] = STATE(6540),
    [sym_return_expression] = STATE(11374),
    [sym_throw_expression] = STATE(11374),
    [sym_while_expression] = STATE(11374),
    [sym_do_while_expression] = STATE(11374),
    [sym_for_expression] = STATE(11374),
    [sym_comment] = STATE(1168),
    [sym_block_comment] = STATE(1168),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(2506),
    [anon_sym_while] = ACTIONS(1988),
    [anon_sym_for] = ACTIONS(1990),
    [anon_sym_try] = ACTIONS(1992),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1994),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1540),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1996),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1998),
    [anon_sym_throw] = ACTIONS(2000),
    [anon_sym_do] = ACTIONS(1548),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2240),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [1169] = {
    [sym_inline_modifier] = STATE(2044),
    [sym__indentable_expression] = STATE(13662),
    [sym_block] = STATE(9913),
    [sym_indented_block] = STATE(11923),
    [sym_indented_cases] = STATE(11923),
    [sym_expression] = STATE(13501),
    [sym__simple_expression] = STATE(7224),
    [sym_lambda_expression] = STATE(12144),
    [sym_if_expression] = STATE(12144),
    [sym_match_expression] = STATE(12144),
    [sym_try_expression] = STATE(12144),
    [sym_bindings] = STATE(15632),
    [sym_case_block] = STATE(9913),
    [sym_assignment_expression] = STATE(12144),
    [sym_generic_function] = STATE(9913),
    [sym_call_expression] = STATE(9913),
    [sym_field_expression] = STATE(9913),
    [sym_instance_expression] = STATE(9913),
    [sym_ascription_expression] = STATE(12144),
    [sym_infix_expression] = STATE(10304),
    [sym_postfix_expression] = STATE(11499),
    [sym__postfix_expression_choice] = STATE(16334),
    [sym_macro_body] = STATE(12144),
    [sym_prefix_expression] = STATE(9963),
    [sym_tuple_expression] = STATE(9913),
    [sym_parenthesized_expression] = STATE(9913),
    [sym_splice_expression] = STATE(9913),
    [sym_quote_expression] = STATE(9913),
    [sym_identifier] = STATE(6170),
    [sym__soft_identifier] = STATE(4555),
    [sym_wildcard] = STATE(8897),
    [sym__non_null_literal] = STATE(9913),
    [sym_boolean_literal] = STATE(6572),
    [sym_interpolated_string_expression] = STATE(9913),
    [sym_string] = STATE(6572),
    [sym_unit] = STATE(9913),
    [sym_return_expression] = STATE(12144),
    [sym_throw_expression] = STATE(12144),
    [sym_while_expression] = STATE(12144),
    [sym_do_while_expression] = STATE(12144),
    [sym_for_expression] = STATE(12144),
    [sym_comment] = STATE(1169),
    [sym_block_comment] = STATE(1169),
    [sym__alpha_identifier] = ACTIONS(1766),
    [anon_sym_LBRACE] = ACTIONS(1770),
    [anon_sym__] = ACTIONS(1772),
    [anon_sym_PLUS] = ACTIONS(1774),
    [anon_sym_DASH] = ACTIONS(1774),
    [anon_sym_end] = ACTIONS(1776),
    [anon_sym_if] = ACTIONS(2160),
    [anon_sym_while] = ACTIONS(2162),
    [anon_sym_for] = ACTIONS(2164),
    [anon_sym_try] = ACTIONS(2166),
    [anon_sym_new] = ACTIONS(1778),
    [anon_sym_opaque] = ACTIONS(1776),
    [anon_sym_implicit] = ACTIONS(2168),
    [anon_sym_inline] = ACTIONS(1780),
    [anon_sym_infix] = ACTIONS(1776),
    [anon_sym_open] = ACTIONS(1776),
    [anon_sym_transparent] = ACTIONS(1776),
    [anon_sym_LPAREN] = ACTIONS(1782),
    [anon_sym_macro] = ACTIONS(2170),
    [anon_sym_BANG] = ACTIONS(1774),
    [anon_sym_TILDE] = ACTIONS(1774),
    [anon_sym_DOLLAR] = ACTIONS(1784),
    [anon_sym_SQUOTE] = ACTIONS(1786),
    [sym__backquoted_id] = ACTIONS(1788),
    [sym_operator_identifier] = ACTIONS(2172),
    [sym_integer_literal] = ACTIONS(1792),
    [sym_floating_point_literal] = ACTIONS(1794),
    [anon_sym_true] = ACTIONS(1796),
    [anon_sym_false] = ACTIONS(1796),
    [sym_character_literal] = ACTIONS(1794),
    [sym_null_literal] = ACTIONS(1798),
    [anon_sym_return] = ACTIONS(2174),
    [anon_sym_throw] = ACTIONS(2176),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3280),
    [sym__simple_multiline_string] = ACTIONS(1800),
    [sym__simple_string] = ACTIONS(1800),
  },
  [1170] = {
    [sym_inline_modifier] = STATE(2125),
    [sym__indentable_expression] = STATE(12266),
    [sym_block] = STATE(6738),
    [sym_indented_block] = STATE(12372),
    [sym_indented_cases] = STATE(12372),
    [sym_expression] = STATE(12028),
    [sym__simple_expression] = STATE(5176),
    [sym_lambda_expression] = STATE(12430),
    [sym_if_expression] = STATE(12430),
    [sym_match_expression] = STATE(12430),
    [sym_try_expression] = STATE(12430),
    [sym_bindings] = STATE(15677),
    [sym_case_block] = STATE(6738),
    [sym_assignment_expression] = STATE(12430),
    [sym_generic_function] = STATE(6738),
    [sym_call_expression] = STATE(6738),
    [sym_field_expression] = STATE(6738),
    [sym_instance_expression] = STATE(6738),
    [sym_ascription_expression] = STATE(12430),
    [sym_infix_expression] = STATE(8389),
    [sym_postfix_expression] = STATE(11930),
    [sym__postfix_expression_choice] = STATE(15885),
    [sym_macro_body] = STATE(12430),
    [sym_prefix_expression] = STATE(9115),
    [sym_tuple_expression] = STATE(6738),
    [sym_parenthesized_expression] = STATE(6738),
    [sym_splice_expression] = STATE(6738),
    [sym_quote_expression] = STATE(6738),
    [sym_identifier] = STATE(4951),
    [sym__soft_identifier] = STATE(4943),
    [sym_wildcard] = STATE(7114),
    [sym__non_null_literal] = STATE(6738),
    [sym_boolean_literal] = STATE(7301),
    [sym_interpolated_string_expression] = STATE(6738),
    [sym_string] = STATE(7301),
    [sym_unit] = STATE(6738),
    [sym_return_expression] = STATE(12430),
    [sym_throw_expression] = STATE(12430),
    [sym_while_expression] = STATE(12430),
    [sym_do_while_expression] = STATE(12430),
    [sym_for_expression] = STATE(12430),
    [sym_comment] = STATE(1170),
    [sym_block_comment] = STATE(1170),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(1350),
    [anon_sym_while] = ACTIONS(1352),
    [anon_sym_for] = ACTIONS(1354),
    [anon_sym_try] = ACTIONS(1356),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(1358),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1360),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(1362),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(1364),
    [anon_sym_throw] = ACTIONS(1366),
    [anon_sym_do] = ACTIONS(1368),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2202),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [1171] = {
    [sym_inline_modifier] = STATE(2179),
    [sym__indentable_expression] = STATE(13230),
    [sym_block] = STATE(6738),
    [sym_indented_block] = STATE(12372),
    [sym_indented_cases] = STATE(12372),
    [sym_expression] = STATE(12028),
    [sym__simple_expression] = STATE(6283),
    [sym_lambda_expression] = STATE(12430),
    [sym_if_expression] = STATE(12430),
    [sym_match_expression] = STATE(12430),
    [sym_try_expression] = STATE(12430),
    [sym_bindings] = STATE(15581),
    [sym_case_block] = STATE(6738),
    [sym_assignment_expression] = STATE(12430),
    [sym_generic_function] = STATE(6738),
    [sym_call_expression] = STATE(6738),
    [sym_field_expression] = STATE(6738),
    [sym_instance_expression] = STATE(6738),
    [sym_ascription_expression] = STATE(12430),
    [sym_infix_expression] = STATE(8389),
    [sym_postfix_expression] = STATE(11930),
    [sym__postfix_expression_choice] = STATE(15885),
    [sym_macro_body] = STATE(12430),
    [sym_prefix_expression] = STATE(9616),
    [sym_tuple_expression] = STATE(6738),
    [sym_parenthesized_expression] = STATE(6738),
    [sym_splice_expression] = STATE(6738),
    [sym_quote_expression] = STATE(6738),
    [sym_identifier] = STATE(5530),
    [sym__soft_identifier] = STATE(4943),
    [sym_wildcard] = STATE(8554),
    [sym__non_null_literal] = STATE(6738),
    [sym_boolean_literal] = STATE(7301),
    [sym_interpolated_string_expression] = STATE(6738),
    [sym_string] = STATE(7301),
    [sym_unit] = STATE(6738),
    [sym_return_expression] = STATE(12430),
    [sym_throw_expression] = STATE(12430),
    [sym_while_expression] = STATE(12430),
    [sym_do_while_expression] = STATE(12430),
    [sym_for_expression] = STATE(12430),
    [sym_comment] = STATE(1171),
    [sym_block_comment] = STATE(1171),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(2356),
    [anon_sym_while] = ACTIONS(2358),
    [anon_sym_for] = ACTIONS(2360),
    [anon_sym_try] = ACTIONS(2362),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1360),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(2366),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(2368),
    [anon_sym_throw] = ACTIONS(2370),
    [anon_sym_do] = ACTIONS(1368),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2202),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [1172] = {
    [sym_inline_modifier] = STATE(2181),
    [sym__indentable_expression] = STATE(12822),
    [sym_block] = STATE(5403),
    [sym_indented_block] = STATE(11085),
    [sym_indented_cases] = STATE(11085),
    [sym_expression] = STATE(11355),
    [sym__simple_expression] = STATE(4722),
    [sym_lambda_expression] = STATE(11364),
    [sym_if_expression] = STATE(11364),
    [sym_match_expression] = STATE(11364),
    [sym_try_expression] = STATE(11364),
    [sym_bindings] = STATE(15648),
    [sym_case_block] = STATE(5403),
    [sym_assignment_expression] = STATE(11364),
    [sym_generic_function] = STATE(5403),
    [sym_call_expression] = STATE(5403),
    [sym_field_expression] = STATE(5403),
    [sym_instance_expression] = STATE(5403),
    [sym_ascription_expression] = STATE(11364),
    [sym_infix_expression] = STATE(6806),
    [sym_postfix_expression] = STATE(10789),
    [sym__postfix_expression_choice] = STATE(15797),
    [sym_macro_body] = STATE(11364),
    [sym_prefix_expression] = STATE(8559),
    [sym_tuple_expression] = STATE(5403),
    [sym_parenthesized_expression] = STATE(5403),
    [sym_splice_expression] = STATE(5403),
    [sym_quote_expression] = STATE(5403),
    [sym_identifier] = STATE(4646),
    [sym__soft_identifier] = STATE(4455),
    [sym_wildcard] = STATE(6287),
    [sym__non_null_literal] = STATE(5403),
    [sym_boolean_literal] = STATE(5637),
    [sym_interpolated_string_expression] = STATE(5403),
    [sym_string] = STATE(5637),
    [sym_unit] = STATE(5403),
    [sym_return_expression] = STATE(11364),
    [sym_throw_expression] = STATE(11364),
    [sym_while_expression] = STATE(11364),
    [sym_do_while_expression] = STATE(11364),
    [sym_for_expression] = STATE(11364),
    [sym_comment] = STATE(1172),
    [sym_block_comment] = STATE(1172),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(2352),
    [anon_sym_while] = ACTIONS(1172),
    [anon_sym_for] = ACTIONS(1174),
    [anon_sym_try] = ACTIONS(1176),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1178),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1162),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1180),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1182),
    [anon_sym_throw] = ACTIONS(1184),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2282),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [1173] = {
    [sym_inline_modifier] = STATE(2084),
    [sym__indentable_expression] = STATE(16688),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(8831),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15722),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10635),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(718),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(8641),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(10149),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1173),
    [sym_block_comment] = STATE(1173),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2740),
    [anon_sym_while] = ACTIONS(2742),
    [anon_sym_for] = ACTIONS(2744),
    [anon_sym_try] = ACTIONS(2746),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2748),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3310),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3312),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2762),
    [anon_sym_throw] = ACTIONS(2764),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1174] = {
    [sym_inline_modifier] = STATE(2130),
    [sym__indentable_expression] = STATE(13557),
    [sym_block] = STATE(9120),
    [sym_indented_block] = STATE(13388),
    [sym_indented_cases] = STATE(13388),
    [sym_expression] = STATE(13211),
    [sym__simple_expression] = STATE(6353),
    [sym_lambda_expression] = STATE(13422),
    [sym_if_expression] = STATE(13422),
    [sym_match_expression] = STATE(13422),
    [sym_try_expression] = STATE(13422),
    [sym_bindings] = STATE(15752),
    [sym_case_block] = STATE(9120),
    [sym_assignment_expression] = STATE(13422),
    [sym_generic_function] = STATE(9120),
    [sym_call_expression] = STATE(9120),
    [sym_field_expression] = STATE(9120),
    [sym_instance_expression] = STATE(9120),
    [sym_ascription_expression] = STATE(13422),
    [sym_infix_expression] = STATE(9820),
    [sym_postfix_expression] = STATE(13148),
    [sym__postfix_expression_choice] = STATE(15936),
    [sym_macro_body] = STATE(13422),
    [sym_prefix_expression] = STATE(9828),
    [sym_tuple_expression] = STATE(9120),
    [sym_parenthesized_expression] = STATE(9120),
    [sym_splice_expression] = STATE(9120),
    [sym_quote_expression] = STATE(9120),
    [sym_identifier] = STATE(5669),
    [sym__soft_identifier] = STATE(6470),
    [sym_wildcard] = STATE(8444),
    [sym__non_null_literal] = STATE(9120),
    [sym_boolean_literal] = STATE(8928),
    [sym_interpolated_string_expression] = STATE(9120),
    [sym_string] = STATE(8928),
    [sym_unit] = STATE(9120),
    [sym_return_expression] = STATE(13422),
    [sym_throw_expression] = STATE(13422),
    [sym_while_expression] = STATE(13422),
    [sym_do_while_expression] = STATE(13422),
    [sym_for_expression] = STATE(13422),
    [sym_comment] = STATE(1174),
    [sym_block_comment] = STATE(1174),
    [sym__alpha_identifier] = ACTIONS(1582),
    [anon_sym_LBRACE] = ACTIONS(1586),
    [anon_sym__] = ACTIONS(1588),
    [anon_sym_PLUS] = ACTIONS(1590),
    [anon_sym_DASH] = ACTIONS(1590),
    [anon_sym_end] = ACTIONS(1592),
    [anon_sym_if] = ACTIONS(1864),
    [anon_sym_while] = ACTIONS(1866),
    [anon_sym_for] = ACTIONS(1868),
    [anon_sym_try] = ACTIONS(1870),
    [anon_sym_new] = ACTIONS(1594),
    [anon_sym_opaque] = ACTIONS(1592),
    [anon_sym_implicit] = ACTIONS(1872),
    [anon_sym_inline] = ACTIONS(1596),
    [anon_sym_infix] = ACTIONS(1592),
    [anon_sym_open] = ACTIONS(1592),
    [anon_sym_transparent] = ACTIONS(1592),
    [anon_sym_LPAREN] = ACTIONS(1598),
    [anon_sym_macro] = ACTIONS(1874),
    [anon_sym_BANG] = ACTIONS(1590),
    [anon_sym_TILDE] = ACTIONS(1590),
    [anon_sym_DOLLAR] = ACTIONS(1600),
    [anon_sym_SQUOTE] = ACTIONS(1602),
    [sym__backquoted_id] = ACTIONS(1604),
    [sym_operator_identifier] = ACTIONS(1876),
    [sym_integer_literal] = ACTIONS(1608),
    [sym_floating_point_literal] = ACTIONS(1610),
    [anon_sym_true] = ACTIONS(1612),
    [anon_sym_false] = ACTIONS(1612),
    [sym_character_literal] = ACTIONS(1610),
    [sym_null_literal] = ACTIONS(1614),
    [anon_sym_return] = ACTIONS(1878),
    [anon_sym_throw] = ACTIONS(1880),
    [anon_sym_do] = ACTIONS(1882),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3282),
    [sym__simple_multiline_string] = ACTIONS(1616),
    [sym__simple_string] = ACTIONS(1616),
  },
  [1175] = {
    [sym_inline_modifier] = STATE(2106),
    [sym__indentable_expression] = STATE(12304),
    [sym_block] = STATE(8041),
    [sym_indented_block] = STATE(12292),
    [sym_indented_cases] = STATE(12292),
    [sym_expression] = STATE(12256),
    [sym__simple_expression] = STATE(6252),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15549),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(9660),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(5550),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(8541),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(1175),
    [sym_block_comment] = STATE(1175),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(3114),
    [anon_sym_while] = ACTIONS(3116),
    [anon_sym_for] = ACTIONS(3118),
    [anon_sym_try] = ACTIONS(3120),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(3122),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(3134),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(3127),
    [anon_sym_throw] = ACTIONS(3129),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1176] = {
    [sym_inline_modifier] = STATE(2049),
    [sym__indentable_expression] = STATE(12948),
    [sym_block] = STATE(8262),
    [sym_indented_block] = STATE(13058),
    [sym_indented_cases] = STATE(13058),
    [sym_expression] = STATE(12868),
    [sym__simple_expression] = STATE(5468),
    [sym_lambda_expression] = STATE(13098),
    [sym_if_expression] = STATE(13098),
    [sym_match_expression] = STATE(13098),
    [sym_try_expression] = STATE(13098),
    [sym_bindings] = STATE(15673),
    [sym_case_block] = STATE(8262),
    [sym_assignment_expression] = STATE(13098),
    [sym_generic_function] = STATE(8262),
    [sym_call_expression] = STATE(8262),
    [sym_field_expression] = STATE(8262),
    [sym_instance_expression] = STATE(8262),
    [sym_ascription_expression] = STATE(13098),
    [sym_infix_expression] = STATE(9485),
    [sym_postfix_expression] = STATE(12647),
    [sym__postfix_expression_choice] = STATE(16347),
    [sym_macro_body] = STATE(13098),
    [sym_prefix_expression] = STATE(9354),
    [sym_tuple_expression] = STATE(8262),
    [sym_parenthesized_expression] = STATE(8262),
    [sym_splice_expression] = STATE(8262),
    [sym_quote_expression] = STATE(8262),
    [sym_identifier] = STATE(5288),
    [sym__soft_identifier] = STATE(5419),
    [sym_wildcard] = STATE(7475),
    [sym__non_null_literal] = STATE(8262),
    [sym_boolean_literal] = STATE(8242),
    [sym_interpolated_string_expression] = STATE(8262),
    [sym_string] = STATE(8242),
    [sym_unit] = STATE(8262),
    [sym_return_expression] = STATE(13098),
    [sym_throw_expression] = STATE(13098),
    [sym_while_expression] = STATE(13098),
    [sym_do_while_expression] = STATE(13098),
    [sym_for_expression] = STATE(13098),
    [sym_comment] = STATE(1176),
    [sym_block_comment] = STATE(1176),
    [sym__alpha_identifier] = ACTIONS(1278),
    [anon_sym_LBRACE] = ACTIONS(1282),
    [anon_sym__] = ACTIONS(1284),
    [anon_sym_PLUS] = ACTIONS(1286),
    [anon_sym_DASH] = ACTIONS(1286),
    [anon_sym_end] = ACTIONS(1288),
    [anon_sym_if] = ACTIONS(2196),
    [anon_sym_while] = ACTIONS(2016),
    [anon_sym_for] = ACTIONS(2018),
    [anon_sym_try] = ACTIONS(2020),
    [anon_sym_new] = ACTIONS(1290),
    [anon_sym_opaque] = ACTIONS(1288),
    [anon_sym_implicit] = ACTIONS(2022),
    [anon_sym_inline] = ACTIONS(1292),
    [anon_sym_infix] = ACTIONS(1288),
    [anon_sym_open] = ACTIONS(1288),
    [anon_sym_transparent] = ACTIONS(1288),
    [anon_sym_LPAREN] = ACTIONS(1294),
    [anon_sym_macro] = ACTIONS(1720),
    [anon_sym_BANG] = ACTIONS(1286),
    [anon_sym_TILDE] = ACTIONS(1286),
    [anon_sym_DOLLAR] = ACTIONS(1296),
    [anon_sym_SQUOTE] = ACTIONS(1298),
    [sym__backquoted_id] = ACTIONS(1300),
    [sym_operator_identifier] = ACTIONS(2024),
    [sym_integer_literal] = ACTIONS(1304),
    [sym_floating_point_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1308),
    [anon_sym_false] = ACTIONS(1308),
    [sym_character_literal] = ACTIONS(1306),
    [sym_null_literal] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(2026),
    [anon_sym_throw] = ACTIONS(2028),
    [anon_sym_do] = ACTIONS(1728),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2198),
    [sym__simple_multiline_string] = ACTIONS(1312),
    [sym__simple_string] = ACTIONS(1312),
  },
  [1177] = {
    [sym_inline_modifier] = STATE(2084),
    [sym__indentable_expression] = STATE(16340),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(8831),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15722),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10635),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(755),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(8641),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(10149),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1177),
    [sym_block_comment] = STATE(1177),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2740),
    [anon_sym_while] = ACTIONS(2742),
    [anon_sym_for] = ACTIONS(2744),
    [anon_sym_try] = ACTIONS(2746),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2748),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3310),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3312),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2762),
    [anon_sym_throw] = ACTIONS(2764),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1178] = {
    [sym_inline_modifier] = STATE(2106),
    [sym__indentable_expression] = STATE(12291),
    [sym_block] = STATE(8041),
    [sym_indented_block] = STATE(12292),
    [sym_indented_cases] = STATE(12292),
    [sym_expression] = STATE(12256),
    [sym__simple_expression] = STATE(6252),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15549),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(9660),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(5550),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(8541),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(1178),
    [sym_block_comment] = STATE(1178),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(3114),
    [anon_sym_while] = ACTIONS(3116),
    [anon_sym_for] = ACTIONS(3118),
    [anon_sym_try] = ACTIONS(3120),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(3122),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(3134),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(3127),
    [anon_sym_throw] = ACTIONS(3129),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1179] = {
    [sym_inline_modifier] = STATE(2212),
    [sym__indentable_expression] = STATE(11630),
    [sym_block] = STATE(9539),
    [sym_indented_block] = STATE(11390),
    [sym_indented_cases] = STATE(11390),
    [sym_expression] = STATE(13433),
    [sym__simple_expression] = STATE(6249),
    [sym_lambda_expression] = STATE(11374),
    [sym_if_expression] = STATE(11374),
    [sym_match_expression] = STATE(11374),
    [sym_try_expression] = STATE(11374),
    [sym_bindings] = STATE(15480),
    [sym_case_block] = STATE(9539),
    [sym_assignment_expression] = STATE(11374),
    [sym_generic_function] = STATE(9539),
    [sym_call_expression] = STATE(9539),
    [sym_field_expression] = STATE(9539),
    [sym_instance_expression] = STATE(9539),
    [sym_ascription_expression] = STATE(11374),
    [sym_infix_expression] = STATE(10179),
    [sym_postfix_expression] = STATE(11215),
    [sym__postfix_expression_choice] = STATE(16190),
    [sym_macro_body] = STATE(11374),
    [sym_prefix_expression] = STATE(9816),
    [sym_tuple_expression] = STATE(9539),
    [sym_parenthesized_expression] = STATE(9539),
    [sym_splice_expression] = STATE(9539),
    [sym_quote_expression] = STATE(9539),
    [sym_identifier] = STATE(5934),
    [sym__soft_identifier] = STATE(4462),
    [sym_wildcard] = STATE(8175),
    [sym__non_null_literal] = STATE(9539),
    [sym_boolean_literal] = STATE(5971),
    [sym_interpolated_string_expression] = STATE(9539),
    [sym_string] = STATE(5971),
    [sym_unit] = STATE(9539),
    [sym_return_expression] = STATE(11374),
    [sym_throw_expression] = STATE(11374),
    [sym_while_expression] = STATE(11374),
    [sym_do_while_expression] = STATE(11374),
    [sym_for_expression] = STATE(11374),
    [sym_comment] = STATE(1179),
    [sym_block_comment] = STATE(1179),
    [sym__alpha_identifier] = ACTIONS(1444),
    [anon_sym_LBRACE] = ACTIONS(1448),
    [anon_sym__] = ACTIONS(1450),
    [anon_sym_PLUS] = ACTIONS(1452),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_end] = ACTIONS(1454),
    [anon_sym_if] = ACTIONS(1802),
    [anon_sym_while] = ACTIONS(1804),
    [anon_sym_for] = ACTIONS(1806),
    [anon_sym_try] = ACTIONS(1808),
    [anon_sym_new] = ACTIONS(1456),
    [anon_sym_opaque] = ACTIONS(1454),
    [anon_sym_implicit] = ACTIONS(1810),
    [anon_sym_inline] = ACTIONS(1458),
    [anon_sym_infix] = ACTIONS(1454),
    [anon_sym_open] = ACTIONS(1454),
    [anon_sym_transparent] = ACTIONS(1454),
    [anon_sym_LPAREN] = ACTIONS(1460),
    [anon_sym_macro] = ACTIONS(1812),
    [anon_sym_BANG] = ACTIONS(1452),
    [anon_sym_TILDE] = ACTIONS(1452),
    [anon_sym_DOLLAR] = ACTIONS(1462),
    [anon_sym_SQUOTE] = ACTIONS(1464),
    [sym__backquoted_id] = ACTIONS(1466),
    [sym_operator_identifier] = ACTIONS(1814),
    [sym_integer_literal] = ACTIONS(1470),
    [sym_floating_point_literal] = ACTIONS(1472),
    [anon_sym_true] = ACTIONS(1474),
    [anon_sym_false] = ACTIONS(1474),
    [sym_character_literal] = ACTIONS(1472),
    [sym_null_literal] = ACTIONS(1476),
    [anon_sym_return] = ACTIONS(1816),
    [anon_sym_throw] = ACTIONS(1818),
    [anon_sym_do] = ACTIONS(1548),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2240),
    [sym__simple_multiline_string] = ACTIONS(1478),
    [sym__simple_string] = ACTIONS(1478),
  },
  [1180] = {
    [sym_inline_modifier] = STATE(2106),
    [sym__indentable_expression] = STATE(12289),
    [sym_block] = STATE(8041),
    [sym_indented_block] = STATE(12292),
    [sym_indented_cases] = STATE(12292),
    [sym_expression] = STATE(12256),
    [sym__simple_expression] = STATE(6252),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15549),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(9660),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(5550),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(8541),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(1180),
    [sym_block_comment] = STATE(1180),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(3114),
    [anon_sym_while] = ACTIONS(3116),
    [anon_sym_for] = ACTIONS(3118),
    [anon_sym_try] = ACTIONS(3120),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(3122),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(3134),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(3127),
    [anon_sym_throw] = ACTIONS(3129),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1181] = {
    [sym_inline_modifier] = STATE(2212),
    [sym__indentable_expression] = STATE(11627),
    [sym_block] = STATE(9539),
    [sym_indented_block] = STATE(11390),
    [sym_indented_cases] = STATE(11390),
    [sym_expression] = STATE(13433),
    [sym__simple_expression] = STATE(6249),
    [sym_lambda_expression] = STATE(11374),
    [sym_if_expression] = STATE(11374),
    [sym_match_expression] = STATE(11374),
    [sym_try_expression] = STATE(11374),
    [sym_bindings] = STATE(15480),
    [sym_case_block] = STATE(9539),
    [sym_assignment_expression] = STATE(11374),
    [sym_generic_function] = STATE(9539),
    [sym_call_expression] = STATE(9539),
    [sym_field_expression] = STATE(9539),
    [sym_instance_expression] = STATE(9539),
    [sym_ascription_expression] = STATE(11374),
    [sym_infix_expression] = STATE(10179),
    [sym_postfix_expression] = STATE(11215),
    [sym__postfix_expression_choice] = STATE(16190),
    [sym_macro_body] = STATE(11374),
    [sym_prefix_expression] = STATE(9816),
    [sym_tuple_expression] = STATE(9539),
    [sym_parenthesized_expression] = STATE(9539),
    [sym_splice_expression] = STATE(9539),
    [sym_quote_expression] = STATE(9539),
    [sym_identifier] = STATE(5934),
    [sym__soft_identifier] = STATE(4462),
    [sym_wildcard] = STATE(8175),
    [sym__non_null_literal] = STATE(9539),
    [sym_boolean_literal] = STATE(5971),
    [sym_interpolated_string_expression] = STATE(9539),
    [sym_string] = STATE(5971),
    [sym_unit] = STATE(9539),
    [sym_return_expression] = STATE(11374),
    [sym_throw_expression] = STATE(11374),
    [sym_while_expression] = STATE(11374),
    [sym_do_while_expression] = STATE(11374),
    [sym_for_expression] = STATE(11374),
    [sym_comment] = STATE(1181),
    [sym_block_comment] = STATE(1181),
    [sym__alpha_identifier] = ACTIONS(1444),
    [anon_sym_LBRACE] = ACTIONS(1448),
    [anon_sym__] = ACTIONS(1450),
    [anon_sym_PLUS] = ACTIONS(1452),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_end] = ACTIONS(1454),
    [anon_sym_if] = ACTIONS(1802),
    [anon_sym_while] = ACTIONS(1804),
    [anon_sym_for] = ACTIONS(1806),
    [anon_sym_try] = ACTIONS(1808),
    [anon_sym_new] = ACTIONS(1456),
    [anon_sym_opaque] = ACTIONS(1454),
    [anon_sym_implicit] = ACTIONS(1810),
    [anon_sym_inline] = ACTIONS(1458),
    [anon_sym_infix] = ACTIONS(1454),
    [anon_sym_open] = ACTIONS(1454),
    [anon_sym_transparent] = ACTIONS(1454),
    [anon_sym_LPAREN] = ACTIONS(1460),
    [anon_sym_macro] = ACTIONS(1812),
    [anon_sym_BANG] = ACTIONS(1452),
    [anon_sym_TILDE] = ACTIONS(1452),
    [anon_sym_DOLLAR] = ACTIONS(1462),
    [anon_sym_SQUOTE] = ACTIONS(1464),
    [sym__backquoted_id] = ACTIONS(1466),
    [sym_operator_identifier] = ACTIONS(1814),
    [sym_integer_literal] = ACTIONS(1470),
    [sym_floating_point_literal] = ACTIONS(1472),
    [anon_sym_true] = ACTIONS(1474),
    [anon_sym_false] = ACTIONS(1474),
    [sym_character_literal] = ACTIONS(1472),
    [sym_null_literal] = ACTIONS(1476),
    [anon_sym_return] = ACTIONS(1816),
    [anon_sym_throw] = ACTIONS(1818),
    [anon_sym_do] = ACTIONS(1548),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2240),
    [sym__simple_multiline_string] = ACTIONS(1478),
    [sym__simple_string] = ACTIONS(1478),
  },
  [1182] = {
    [sym_inline_modifier] = STATE(2212),
    [sym__indentable_expression] = STATE(11626),
    [sym_block] = STATE(9539),
    [sym_indented_block] = STATE(11390),
    [sym_indented_cases] = STATE(11390),
    [sym_expression] = STATE(13433),
    [sym__simple_expression] = STATE(6249),
    [sym_lambda_expression] = STATE(11374),
    [sym_if_expression] = STATE(11374),
    [sym_match_expression] = STATE(11374),
    [sym_try_expression] = STATE(11374),
    [sym_bindings] = STATE(15480),
    [sym_case_block] = STATE(9539),
    [sym_assignment_expression] = STATE(11374),
    [sym_generic_function] = STATE(9539),
    [sym_call_expression] = STATE(9539),
    [sym_field_expression] = STATE(9539),
    [sym_instance_expression] = STATE(9539),
    [sym_ascription_expression] = STATE(11374),
    [sym_infix_expression] = STATE(10179),
    [sym_postfix_expression] = STATE(11215),
    [sym__postfix_expression_choice] = STATE(16190),
    [sym_macro_body] = STATE(11374),
    [sym_prefix_expression] = STATE(9816),
    [sym_tuple_expression] = STATE(9539),
    [sym_parenthesized_expression] = STATE(9539),
    [sym_splice_expression] = STATE(9539),
    [sym_quote_expression] = STATE(9539),
    [sym_identifier] = STATE(5934),
    [sym__soft_identifier] = STATE(4462),
    [sym_wildcard] = STATE(8175),
    [sym__non_null_literal] = STATE(9539),
    [sym_boolean_literal] = STATE(5971),
    [sym_interpolated_string_expression] = STATE(9539),
    [sym_string] = STATE(5971),
    [sym_unit] = STATE(9539),
    [sym_return_expression] = STATE(11374),
    [sym_throw_expression] = STATE(11374),
    [sym_while_expression] = STATE(11374),
    [sym_do_while_expression] = STATE(11374),
    [sym_for_expression] = STATE(11374),
    [sym_comment] = STATE(1182),
    [sym_block_comment] = STATE(1182),
    [sym__alpha_identifier] = ACTIONS(1444),
    [anon_sym_LBRACE] = ACTIONS(1448),
    [anon_sym__] = ACTIONS(1450),
    [anon_sym_PLUS] = ACTIONS(1452),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_end] = ACTIONS(1454),
    [anon_sym_if] = ACTIONS(1802),
    [anon_sym_while] = ACTIONS(1804),
    [anon_sym_for] = ACTIONS(1806),
    [anon_sym_try] = ACTIONS(1808),
    [anon_sym_new] = ACTIONS(1456),
    [anon_sym_opaque] = ACTIONS(1454),
    [anon_sym_implicit] = ACTIONS(1810),
    [anon_sym_inline] = ACTIONS(1458),
    [anon_sym_infix] = ACTIONS(1454),
    [anon_sym_open] = ACTIONS(1454),
    [anon_sym_transparent] = ACTIONS(1454),
    [anon_sym_LPAREN] = ACTIONS(1460),
    [anon_sym_macro] = ACTIONS(1812),
    [anon_sym_BANG] = ACTIONS(1452),
    [anon_sym_TILDE] = ACTIONS(1452),
    [anon_sym_DOLLAR] = ACTIONS(1462),
    [anon_sym_SQUOTE] = ACTIONS(1464),
    [sym__backquoted_id] = ACTIONS(1466),
    [sym_operator_identifier] = ACTIONS(1814),
    [sym_integer_literal] = ACTIONS(1470),
    [sym_floating_point_literal] = ACTIONS(1472),
    [anon_sym_true] = ACTIONS(1474),
    [anon_sym_false] = ACTIONS(1474),
    [sym_character_literal] = ACTIONS(1472),
    [sym_null_literal] = ACTIONS(1476),
    [anon_sym_return] = ACTIONS(1816),
    [anon_sym_throw] = ACTIONS(1818),
    [anon_sym_do] = ACTIONS(1548),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2240),
    [sym__simple_multiline_string] = ACTIONS(1478),
    [sym__simple_string] = ACTIONS(1478),
  },
  [1183] = {
    [sym_inline_modifier] = STATE(2250),
    [sym__indentable_expression] = STATE(12322),
    [sym_block] = STATE(6450),
    [sym_indented_block] = STATE(11535),
    [sym_indented_cases] = STATE(11535),
    [sym_expression] = STATE(11606),
    [sym__simple_expression] = STATE(5297),
    [sym_lambda_expression] = STATE(11549),
    [sym_if_expression] = STATE(11549),
    [sym_match_expression] = STATE(11549),
    [sym_try_expression] = STATE(11549),
    [sym_bindings] = STATE(15503),
    [sym_case_block] = STATE(6450),
    [sym_assignment_expression] = STATE(11549),
    [sym_generic_function] = STATE(6450),
    [sym_call_expression] = STATE(6450),
    [sym_field_expression] = STATE(6450),
    [sym_instance_expression] = STATE(6450),
    [sym_ascription_expression] = STATE(11549),
    [sym_infix_expression] = STATE(7641),
    [sym_postfix_expression] = STATE(11204),
    [sym__postfix_expression_choice] = STATE(16480),
    [sym_macro_body] = STATE(11549),
    [sym_prefix_expression] = STATE(8711),
    [sym_tuple_expression] = STATE(6450),
    [sym_parenthesized_expression] = STATE(6450),
    [sym_splice_expression] = STATE(6450),
    [sym_quote_expression] = STATE(6450),
    [sym_identifier] = STATE(4723),
    [sym__soft_identifier] = STATE(4507),
    [sym_wildcard] = STATE(7115),
    [sym__non_null_literal] = STATE(6450),
    [sym_boolean_literal] = STATE(6156),
    [sym_interpolated_string_expression] = STATE(6450),
    [sym_string] = STATE(6156),
    [sym_unit] = STATE(6450),
    [sym_return_expression] = STATE(11549),
    [sym_throw_expression] = STATE(11549),
    [sym_while_expression] = STATE(11549),
    [sym_do_while_expression] = STATE(11549),
    [sym_for_expression] = STATE(11549),
    [sym_comment] = STATE(1183),
    [sym_block_comment] = STATE(1183),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(2256),
    [anon_sym_while] = ACTIONS(1370),
    [anon_sym_for] = ACTIONS(1372),
    [anon_sym_try] = ACTIONS(1374),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1376),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1378),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1380),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1382),
    [anon_sym_throw] = ACTIONS(1384),
    [anon_sym_do] = ACTIONS(1386),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2258),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [1184] = {
    [sym_inline_modifier] = STATE(2189),
    [sym__indentable_expression] = STATE(13473),
    [sym_block] = STATE(9327),
    [sym_indented_block] = STATE(13548),
    [sym_indented_cases] = STATE(13548),
    [sym_expression] = STATE(13406),
    [sym__simple_expression] = STATE(7289),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15762),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10205),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10142),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6081),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(8816),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(1184),
    [sym_block_comment] = STATE(1184),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(569),
    [anon_sym_DASH] = ACTIONS(569),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(571),
    [anon_sym_while] = ACTIONS(573),
    [anon_sym_for] = ACTIONS(575),
    [anon_sym_try] = ACTIONS(577),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(2248),
    [anon_sym_inline] = ACTIONS(1860),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(569),
    [anon_sym_TILDE] = ACTIONS(569),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(587),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(589),
    [anon_sym_throw] = ACTIONS(591),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [1185] = {
    [sym_inline_modifier] = STATE(2049),
    [sym__indentable_expression] = STATE(12992),
    [sym_block] = STATE(8262),
    [sym_indented_block] = STATE(13058),
    [sym_indented_cases] = STATE(13058),
    [sym_expression] = STATE(12868),
    [sym__simple_expression] = STATE(5468),
    [sym_lambda_expression] = STATE(13098),
    [sym_if_expression] = STATE(13098),
    [sym_match_expression] = STATE(13098),
    [sym_try_expression] = STATE(13098),
    [sym_bindings] = STATE(15673),
    [sym_case_block] = STATE(8262),
    [sym_assignment_expression] = STATE(13098),
    [sym_generic_function] = STATE(8262),
    [sym_call_expression] = STATE(8262),
    [sym_field_expression] = STATE(8262),
    [sym_instance_expression] = STATE(8262),
    [sym_ascription_expression] = STATE(13098),
    [sym_infix_expression] = STATE(9485),
    [sym_postfix_expression] = STATE(12647),
    [sym__postfix_expression_choice] = STATE(16347),
    [sym_macro_body] = STATE(13098),
    [sym_prefix_expression] = STATE(9354),
    [sym_tuple_expression] = STATE(8262),
    [sym_parenthesized_expression] = STATE(8262),
    [sym_splice_expression] = STATE(8262),
    [sym_quote_expression] = STATE(8262),
    [sym_identifier] = STATE(5288),
    [sym__soft_identifier] = STATE(5419),
    [sym_wildcard] = STATE(7475),
    [sym__non_null_literal] = STATE(8262),
    [sym_boolean_literal] = STATE(8242),
    [sym_interpolated_string_expression] = STATE(8262),
    [sym_string] = STATE(8242),
    [sym_unit] = STATE(8262),
    [sym_return_expression] = STATE(13098),
    [sym_throw_expression] = STATE(13098),
    [sym_while_expression] = STATE(13098),
    [sym_do_while_expression] = STATE(13098),
    [sym_for_expression] = STATE(13098),
    [sym_comment] = STATE(1185),
    [sym_block_comment] = STATE(1185),
    [sym__alpha_identifier] = ACTIONS(1278),
    [anon_sym_LBRACE] = ACTIONS(1282),
    [anon_sym__] = ACTIONS(1284),
    [anon_sym_PLUS] = ACTIONS(1286),
    [anon_sym_DASH] = ACTIONS(1286),
    [anon_sym_end] = ACTIONS(1288),
    [anon_sym_if] = ACTIONS(2196),
    [anon_sym_while] = ACTIONS(2016),
    [anon_sym_for] = ACTIONS(2018),
    [anon_sym_try] = ACTIONS(2020),
    [anon_sym_new] = ACTIONS(1290),
    [anon_sym_opaque] = ACTIONS(1288),
    [anon_sym_implicit] = ACTIONS(2022),
    [anon_sym_inline] = ACTIONS(1292),
    [anon_sym_infix] = ACTIONS(1288),
    [anon_sym_open] = ACTIONS(1288),
    [anon_sym_transparent] = ACTIONS(1288),
    [anon_sym_LPAREN] = ACTIONS(1294),
    [anon_sym_macro] = ACTIONS(1720),
    [anon_sym_BANG] = ACTIONS(1286),
    [anon_sym_TILDE] = ACTIONS(1286),
    [anon_sym_DOLLAR] = ACTIONS(1296),
    [anon_sym_SQUOTE] = ACTIONS(1298),
    [sym__backquoted_id] = ACTIONS(1300),
    [sym_operator_identifier] = ACTIONS(2024),
    [sym_integer_literal] = ACTIONS(1304),
    [sym_floating_point_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1308),
    [anon_sym_false] = ACTIONS(1308),
    [sym_character_literal] = ACTIONS(1306),
    [sym_null_literal] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(2026),
    [anon_sym_throw] = ACTIONS(2028),
    [anon_sym_do] = ACTIONS(1728),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2198),
    [sym__simple_multiline_string] = ACTIONS(1312),
    [sym__simple_string] = ACTIONS(1312),
  },
  [1186] = {
    [sym_inline_modifier] = STATE(2049),
    [sym__indentable_expression] = STATE(12993),
    [sym_block] = STATE(8262),
    [sym_indented_block] = STATE(13058),
    [sym_indented_cases] = STATE(13058),
    [sym_expression] = STATE(12868),
    [sym__simple_expression] = STATE(5468),
    [sym_lambda_expression] = STATE(13098),
    [sym_if_expression] = STATE(13098),
    [sym_match_expression] = STATE(13098),
    [sym_try_expression] = STATE(13098),
    [sym_bindings] = STATE(15673),
    [sym_case_block] = STATE(8262),
    [sym_assignment_expression] = STATE(13098),
    [sym_generic_function] = STATE(8262),
    [sym_call_expression] = STATE(8262),
    [sym_field_expression] = STATE(8262),
    [sym_instance_expression] = STATE(8262),
    [sym_ascription_expression] = STATE(13098),
    [sym_infix_expression] = STATE(9485),
    [sym_postfix_expression] = STATE(12647),
    [sym__postfix_expression_choice] = STATE(16347),
    [sym_macro_body] = STATE(13098),
    [sym_prefix_expression] = STATE(9354),
    [sym_tuple_expression] = STATE(8262),
    [sym_parenthesized_expression] = STATE(8262),
    [sym_splice_expression] = STATE(8262),
    [sym_quote_expression] = STATE(8262),
    [sym_identifier] = STATE(5288),
    [sym__soft_identifier] = STATE(5419),
    [sym_wildcard] = STATE(7475),
    [sym__non_null_literal] = STATE(8262),
    [sym_boolean_literal] = STATE(8242),
    [sym_interpolated_string_expression] = STATE(8262),
    [sym_string] = STATE(8242),
    [sym_unit] = STATE(8262),
    [sym_return_expression] = STATE(13098),
    [sym_throw_expression] = STATE(13098),
    [sym_while_expression] = STATE(13098),
    [sym_do_while_expression] = STATE(13098),
    [sym_for_expression] = STATE(13098),
    [sym_comment] = STATE(1186),
    [sym_block_comment] = STATE(1186),
    [sym__alpha_identifier] = ACTIONS(1278),
    [anon_sym_LBRACE] = ACTIONS(1282),
    [anon_sym__] = ACTIONS(1284),
    [anon_sym_PLUS] = ACTIONS(1286),
    [anon_sym_DASH] = ACTIONS(1286),
    [anon_sym_end] = ACTIONS(1288),
    [anon_sym_if] = ACTIONS(2196),
    [anon_sym_while] = ACTIONS(2016),
    [anon_sym_for] = ACTIONS(2018),
    [anon_sym_try] = ACTIONS(2020),
    [anon_sym_new] = ACTIONS(1290),
    [anon_sym_opaque] = ACTIONS(1288),
    [anon_sym_implicit] = ACTIONS(2022),
    [anon_sym_inline] = ACTIONS(1292),
    [anon_sym_infix] = ACTIONS(1288),
    [anon_sym_open] = ACTIONS(1288),
    [anon_sym_transparent] = ACTIONS(1288),
    [anon_sym_LPAREN] = ACTIONS(1294),
    [anon_sym_macro] = ACTIONS(1720),
    [anon_sym_BANG] = ACTIONS(1286),
    [anon_sym_TILDE] = ACTIONS(1286),
    [anon_sym_DOLLAR] = ACTIONS(1296),
    [anon_sym_SQUOTE] = ACTIONS(1298),
    [sym__backquoted_id] = ACTIONS(1300),
    [sym_operator_identifier] = ACTIONS(2024),
    [sym_integer_literal] = ACTIONS(1304),
    [sym_floating_point_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1308),
    [anon_sym_false] = ACTIONS(1308),
    [sym_character_literal] = ACTIONS(1306),
    [sym_null_literal] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(2026),
    [anon_sym_throw] = ACTIONS(2028),
    [anon_sym_do] = ACTIONS(1728),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2198),
    [sym__simple_multiline_string] = ACTIONS(1312),
    [sym__simple_string] = ACTIONS(1312),
  },
  [1187] = {
    [sym_inline_modifier] = STATE(2212),
    [sym__indentable_expression] = STATE(11625),
    [sym_block] = STATE(9539),
    [sym_indented_block] = STATE(11390),
    [sym_indented_cases] = STATE(11390),
    [sym_expression] = STATE(13433),
    [sym__simple_expression] = STATE(6249),
    [sym_lambda_expression] = STATE(11374),
    [sym_if_expression] = STATE(11374),
    [sym_match_expression] = STATE(11374),
    [sym_try_expression] = STATE(11374),
    [sym_bindings] = STATE(15480),
    [sym_case_block] = STATE(9539),
    [sym_assignment_expression] = STATE(11374),
    [sym_generic_function] = STATE(9539),
    [sym_call_expression] = STATE(9539),
    [sym_field_expression] = STATE(9539),
    [sym_instance_expression] = STATE(9539),
    [sym_ascription_expression] = STATE(11374),
    [sym_infix_expression] = STATE(10179),
    [sym_postfix_expression] = STATE(11215),
    [sym__postfix_expression_choice] = STATE(16190),
    [sym_macro_body] = STATE(11374),
    [sym_prefix_expression] = STATE(9816),
    [sym_tuple_expression] = STATE(9539),
    [sym_parenthesized_expression] = STATE(9539),
    [sym_splice_expression] = STATE(9539),
    [sym_quote_expression] = STATE(9539),
    [sym_identifier] = STATE(5934),
    [sym__soft_identifier] = STATE(4462),
    [sym_wildcard] = STATE(8175),
    [sym__non_null_literal] = STATE(9539),
    [sym_boolean_literal] = STATE(5971),
    [sym_interpolated_string_expression] = STATE(9539),
    [sym_string] = STATE(5971),
    [sym_unit] = STATE(9539),
    [sym_return_expression] = STATE(11374),
    [sym_throw_expression] = STATE(11374),
    [sym_while_expression] = STATE(11374),
    [sym_do_while_expression] = STATE(11374),
    [sym_for_expression] = STATE(11374),
    [sym_comment] = STATE(1187),
    [sym_block_comment] = STATE(1187),
    [sym__alpha_identifier] = ACTIONS(1444),
    [anon_sym_LBRACE] = ACTIONS(1448),
    [anon_sym__] = ACTIONS(1450),
    [anon_sym_PLUS] = ACTIONS(1452),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_end] = ACTIONS(1454),
    [anon_sym_if] = ACTIONS(1802),
    [anon_sym_while] = ACTIONS(1804),
    [anon_sym_for] = ACTIONS(1806),
    [anon_sym_try] = ACTIONS(1808),
    [anon_sym_new] = ACTIONS(1456),
    [anon_sym_opaque] = ACTIONS(1454),
    [anon_sym_implicit] = ACTIONS(1810),
    [anon_sym_inline] = ACTIONS(1458),
    [anon_sym_infix] = ACTIONS(1454),
    [anon_sym_open] = ACTIONS(1454),
    [anon_sym_transparent] = ACTIONS(1454),
    [anon_sym_LPAREN] = ACTIONS(1460),
    [anon_sym_macro] = ACTIONS(1812),
    [anon_sym_BANG] = ACTIONS(1452),
    [anon_sym_TILDE] = ACTIONS(1452),
    [anon_sym_DOLLAR] = ACTIONS(1462),
    [anon_sym_SQUOTE] = ACTIONS(1464),
    [sym__backquoted_id] = ACTIONS(1466),
    [sym_operator_identifier] = ACTIONS(1814),
    [sym_integer_literal] = ACTIONS(1470),
    [sym_floating_point_literal] = ACTIONS(1472),
    [anon_sym_true] = ACTIONS(1474),
    [anon_sym_false] = ACTIONS(1474),
    [sym_character_literal] = ACTIONS(1472),
    [sym_null_literal] = ACTIONS(1476),
    [anon_sym_return] = ACTIONS(1816),
    [anon_sym_throw] = ACTIONS(1818),
    [anon_sym_do] = ACTIONS(1548),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2240),
    [sym__simple_multiline_string] = ACTIONS(1478),
    [sym__simple_string] = ACTIONS(1478),
  },
  [1188] = {
    [sym_inline_modifier] = STATE(2049),
    [sym__indentable_expression] = STATE(12997),
    [sym_block] = STATE(8262),
    [sym_indented_block] = STATE(13058),
    [sym_indented_cases] = STATE(13058),
    [sym_expression] = STATE(12868),
    [sym__simple_expression] = STATE(5468),
    [sym_lambda_expression] = STATE(13098),
    [sym_if_expression] = STATE(13098),
    [sym_match_expression] = STATE(13098),
    [sym_try_expression] = STATE(13098),
    [sym_bindings] = STATE(15673),
    [sym_case_block] = STATE(8262),
    [sym_assignment_expression] = STATE(13098),
    [sym_generic_function] = STATE(8262),
    [sym_call_expression] = STATE(8262),
    [sym_field_expression] = STATE(8262),
    [sym_instance_expression] = STATE(8262),
    [sym_ascription_expression] = STATE(13098),
    [sym_infix_expression] = STATE(9485),
    [sym_postfix_expression] = STATE(12647),
    [sym__postfix_expression_choice] = STATE(16347),
    [sym_macro_body] = STATE(13098),
    [sym_prefix_expression] = STATE(9354),
    [sym_tuple_expression] = STATE(8262),
    [sym_parenthesized_expression] = STATE(8262),
    [sym_splice_expression] = STATE(8262),
    [sym_quote_expression] = STATE(8262),
    [sym_identifier] = STATE(5288),
    [sym__soft_identifier] = STATE(5419),
    [sym_wildcard] = STATE(7475),
    [sym__non_null_literal] = STATE(8262),
    [sym_boolean_literal] = STATE(8242),
    [sym_interpolated_string_expression] = STATE(8262),
    [sym_string] = STATE(8242),
    [sym_unit] = STATE(8262),
    [sym_return_expression] = STATE(13098),
    [sym_throw_expression] = STATE(13098),
    [sym_while_expression] = STATE(13098),
    [sym_do_while_expression] = STATE(13098),
    [sym_for_expression] = STATE(13098),
    [sym_comment] = STATE(1188),
    [sym_block_comment] = STATE(1188),
    [sym__alpha_identifier] = ACTIONS(1278),
    [anon_sym_LBRACE] = ACTIONS(1282),
    [anon_sym__] = ACTIONS(1284),
    [anon_sym_PLUS] = ACTIONS(1286),
    [anon_sym_DASH] = ACTIONS(1286),
    [anon_sym_end] = ACTIONS(1288),
    [anon_sym_if] = ACTIONS(2196),
    [anon_sym_while] = ACTIONS(2016),
    [anon_sym_for] = ACTIONS(2018),
    [anon_sym_try] = ACTIONS(2020),
    [anon_sym_new] = ACTIONS(1290),
    [anon_sym_opaque] = ACTIONS(1288),
    [anon_sym_implicit] = ACTIONS(2022),
    [anon_sym_inline] = ACTIONS(1292),
    [anon_sym_infix] = ACTIONS(1288),
    [anon_sym_open] = ACTIONS(1288),
    [anon_sym_transparent] = ACTIONS(1288),
    [anon_sym_LPAREN] = ACTIONS(1294),
    [anon_sym_macro] = ACTIONS(1720),
    [anon_sym_BANG] = ACTIONS(1286),
    [anon_sym_TILDE] = ACTIONS(1286),
    [anon_sym_DOLLAR] = ACTIONS(1296),
    [anon_sym_SQUOTE] = ACTIONS(1298),
    [sym__backquoted_id] = ACTIONS(1300),
    [sym_operator_identifier] = ACTIONS(2024),
    [sym_integer_literal] = ACTIONS(1304),
    [sym_floating_point_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1308),
    [anon_sym_false] = ACTIONS(1308),
    [sym_character_literal] = ACTIONS(1306),
    [sym_null_literal] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(2026),
    [anon_sym_throw] = ACTIONS(2028),
    [anon_sym_do] = ACTIONS(1728),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2198),
    [sym__simple_multiline_string] = ACTIONS(1312),
    [sym__simple_string] = ACTIONS(1312),
  },
  [1189] = {
    [sym_inline_modifier] = STATE(2049),
    [sym__indentable_expression] = STATE(13003),
    [sym_block] = STATE(8262),
    [sym_indented_block] = STATE(13058),
    [sym_indented_cases] = STATE(13058),
    [sym_expression] = STATE(12868),
    [sym__simple_expression] = STATE(5468),
    [sym_lambda_expression] = STATE(13098),
    [sym_if_expression] = STATE(13098),
    [sym_match_expression] = STATE(13098),
    [sym_try_expression] = STATE(13098),
    [sym_bindings] = STATE(15673),
    [sym_case_block] = STATE(8262),
    [sym_assignment_expression] = STATE(13098),
    [sym_generic_function] = STATE(8262),
    [sym_call_expression] = STATE(8262),
    [sym_field_expression] = STATE(8262),
    [sym_instance_expression] = STATE(8262),
    [sym_ascription_expression] = STATE(13098),
    [sym_infix_expression] = STATE(9485),
    [sym_postfix_expression] = STATE(12647),
    [sym__postfix_expression_choice] = STATE(16347),
    [sym_macro_body] = STATE(13098),
    [sym_prefix_expression] = STATE(9354),
    [sym_tuple_expression] = STATE(8262),
    [sym_parenthesized_expression] = STATE(8262),
    [sym_splice_expression] = STATE(8262),
    [sym_quote_expression] = STATE(8262),
    [sym_identifier] = STATE(5288),
    [sym__soft_identifier] = STATE(5419),
    [sym_wildcard] = STATE(7475),
    [sym__non_null_literal] = STATE(8262),
    [sym_boolean_literal] = STATE(8242),
    [sym_interpolated_string_expression] = STATE(8262),
    [sym_string] = STATE(8242),
    [sym_unit] = STATE(8262),
    [sym_return_expression] = STATE(13098),
    [sym_throw_expression] = STATE(13098),
    [sym_while_expression] = STATE(13098),
    [sym_do_while_expression] = STATE(13098),
    [sym_for_expression] = STATE(13098),
    [sym_comment] = STATE(1189),
    [sym_block_comment] = STATE(1189),
    [sym__alpha_identifier] = ACTIONS(1278),
    [anon_sym_LBRACE] = ACTIONS(1282),
    [anon_sym__] = ACTIONS(1284),
    [anon_sym_PLUS] = ACTIONS(1286),
    [anon_sym_DASH] = ACTIONS(1286),
    [anon_sym_end] = ACTIONS(1288),
    [anon_sym_if] = ACTIONS(2196),
    [anon_sym_while] = ACTIONS(2016),
    [anon_sym_for] = ACTIONS(2018),
    [anon_sym_try] = ACTIONS(2020),
    [anon_sym_new] = ACTIONS(1290),
    [anon_sym_opaque] = ACTIONS(1288),
    [anon_sym_implicit] = ACTIONS(2022),
    [anon_sym_inline] = ACTIONS(1292),
    [anon_sym_infix] = ACTIONS(1288),
    [anon_sym_open] = ACTIONS(1288),
    [anon_sym_transparent] = ACTIONS(1288),
    [anon_sym_LPAREN] = ACTIONS(1294),
    [anon_sym_macro] = ACTIONS(1720),
    [anon_sym_BANG] = ACTIONS(1286),
    [anon_sym_TILDE] = ACTIONS(1286),
    [anon_sym_DOLLAR] = ACTIONS(1296),
    [anon_sym_SQUOTE] = ACTIONS(1298),
    [sym__backquoted_id] = ACTIONS(1300),
    [sym_operator_identifier] = ACTIONS(2024),
    [sym_integer_literal] = ACTIONS(1304),
    [sym_floating_point_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1308),
    [anon_sym_false] = ACTIONS(1308),
    [sym_character_literal] = ACTIONS(1306),
    [sym_null_literal] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(2026),
    [anon_sym_throw] = ACTIONS(2028),
    [anon_sym_do] = ACTIONS(1728),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2198),
    [sym__simple_multiline_string] = ACTIONS(1312),
    [sym__simple_string] = ACTIONS(1312),
  },
  [1190] = {
    [sym_inline_modifier] = STATE(2049),
    [sym__indentable_expression] = STATE(13041),
    [sym_block] = STATE(8262),
    [sym_indented_block] = STATE(13058),
    [sym_indented_cases] = STATE(13058),
    [sym_expression] = STATE(12868),
    [sym__simple_expression] = STATE(5468),
    [sym_lambda_expression] = STATE(13098),
    [sym_if_expression] = STATE(13098),
    [sym_match_expression] = STATE(13098),
    [sym_try_expression] = STATE(13098),
    [sym_bindings] = STATE(15673),
    [sym_case_block] = STATE(8262),
    [sym_assignment_expression] = STATE(13098),
    [sym_generic_function] = STATE(8262),
    [sym_call_expression] = STATE(8262),
    [sym_field_expression] = STATE(8262),
    [sym_instance_expression] = STATE(8262),
    [sym_ascription_expression] = STATE(13098),
    [sym_infix_expression] = STATE(9485),
    [sym_postfix_expression] = STATE(12647),
    [sym__postfix_expression_choice] = STATE(16347),
    [sym_macro_body] = STATE(13098),
    [sym_prefix_expression] = STATE(9354),
    [sym_tuple_expression] = STATE(8262),
    [sym_parenthesized_expression] = STATE(8262),
    [sym_splice_expression] = STATE(8262),
    [sym_quote_expression] = STATE(8262),
    [sym_identifier] = STATE(5288),
    [sym__soft_identifier] = STATE(5419),
    [sym_wildcard] = STATE(7475),
    [sym__non_null_literal] = STATE(8262),
    [sym_boolean_literal] = STATE(8242),
    [sym_interpolated_string_expression] = STATE(8262),
    [sym_string] = STATE(8242),
    [sym_unit] = STATE(8262),
    [sym_return_expression] = STATE(13098),
    [sym_throw_expression] = STATE(13098),
    [sym_while_expression] = STATE(13098),
    [sym_do_while_expression] = STATE(13098),
    [sym_for_expression] = STATE(13098),
    [sym_comment] = STATE(1190),
    [sym_block_comment] = STATE(1190),
    [sym__alpha_identifier] = ACTIONS(1278),
    [anon_sym_LBRACE] = ACTIONS(1282),
    [anon_sym__] = ACTIONS(1284),
    [anon_sym_PLUS] = ACTIONS(1286),
    [anon_sym_DASH] = ACTIONS(1286),
    [anon_sym_end] = ACTIONS(1288),
    [anon_sym_if] = ACTIONS(2196),
    [anon_sym_while] = ACTIONS(2016),
    [anon_sym_for] = ACTIONS(2018),
    [anon_sym_try] = ACTIONS(2020),
    [anon_sym_new] = ACTIONS(1290),
    [anon_sym_opaque] = ACTIONS(1288),
    [anon_sym_implicit] = ACTIONS(2022),
    [anon_sym_inline] = ACTIONS(1292),
    [anon_sym_infix] = ACTIONS(1288),
    [anon_sym_open] = ACTIONS(1288),
    [anon_sym_transparent] = ACTIONS(1288),
    [anon_sym_LPAREN] = ACTIONS(1294),
    [anon_sym_macro] = ACTIONS(1720),
    [anon_sym_BANG] = ACTIONS(1286),
    [anon_sym_TILDE] = ACTIONS(1286),
    [anon_sym_DOLLAR] = ACTIONS(1296),
    [anon_sym_SQUOTE] = ACTIONS(1298),
    [sym__backquoted_id] = ACTIONS(1300),
    [sym_operator_identifier] = ACTIONS(2024),
    [sym_integer_literal] = ACTIONS(1304),
    [sym_floating_point_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1308),
    [anon_sym_false] = ACTIONS(1308),
    [sym_character_literal] = ACTIONS(1306),
    [sym_null_literal] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(2026),
    [anon_sym_throw] = ACTIONS(2028),
    [anon_sym_do] = ACTIONS(1728),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2198),
    [sym__simple_multiline_string] = ACTIONS(1312),
    [sym__simple_string] = ACTIONS(1312),
  },
  [1191] = {
    [sym_inline_modifier] = STATE(2044),
    [sym__indentable_expression] = STATE(11988),
    [sym_block] = STATE(9913),
    [sym_indented_block] = STATE(11923),
    [sym_indented_cases] = STATE(11923),
    [sym_expression] = STATE(13501),
    [sym__simple_expression] = STATE(7224),
    [sym_lambda_expression] = STATE(12144),
    [sym_if_expression] = STATE(12144),
    [sym_match_expression] = STATE(12144),
    [sym_try_expression] = STATE(12144),
    [sym_bindings] = STATE(15632),
    [sym_case_block] = STATE(9913),
    [sym_assignment_expression] = STATE(12144),
    [sym_generic_function] = STATE(9913),
    [sym_call_expression] = STATE(9913),
    [sym_field_expression] = STATE(9913),
    [sym_instance_expression] = STATE(9913),
    [sym_ascription_expression] = STATE(12144),
    [sym_infix_expression] = STATE(10304),
    [sym_postfix_expression] = STATE(11499),
    [sym__postfix_expression_choice] = STATE(16334),
    [sym_macro_body] = STATE(12144),
    [sym_prefix_expression] = STATE(9963),
    [sym_tuple_expression] = STATE(9913),
    [sym_parenthesized_expression] = STATE(9913),
    [sym_splice_expression] = STATE(9913),
    [sym_quote_expression] = STATE(9913),
    [sym_identifier] = STATE(6170),
    [sym__soft_identifier] = STATE(4555),
    [sym_wildcard] = STATE(8897),
    [sym__non_null_literal] = STATE(9913),
    [sym_boolean_literal] = STATE(6572),
    [sym_interpolated_string_expression] = STATE(9913),
    [sym_string] = STATE(6572),
    [sym_unit] = STATE(9913),
    [sym_return_expression] = STATE(12144),
    [sym_throw_expression] = STATE(12144),
    [sym_while_expression] = STATE(12144),
    [sym_do_while_expression] = STATE(12144),
    [sym_for_expression] = STATE(12144),
    [sym_comment] = STATE(1191),
    [sym_block_comment] = STATE(1191),
    [sym__alpha_identifier] = ACTIONS(1766),
    [anon_sym_LBRACE] = ACTIONS(1770),
    [anon_sym__] = ACTIONS(1772),
    [anon_sym_PLUS] = ACTIONS(1774),
    [anon_sym_DASH] = ACTIONS(1774),
    [anon_sym_end] = ACTIONS(1776),
    [anon_sym_if] = ACTIONS(2160),
    [anon_sym_while] = ACTIONS(2162),
    [anon_sym_for] = ACTIONS(2164),
    [anon_sym_try] = ACTIONS(2166),
    [anon_sym_new] = ACTIONS(1778),
    [anon_sym_opaque] = ACTIONS(1776),
    [anon_sym_implicit] = ACTIONS(2168),
    [anon_sym_inline] = ACTIONS(1780),
    [anon_sym_infix] = ACTIONS(1776),
    [anon_sym_open] = ACTIONS(1776),
    [anon_sym_transparent] = ACTIONS(1776),
    [anon_sym_LPAREN] = ACTIONS(1782),
    [anon_sym_macro] = ACTIONS(2170),
    [anon_sym_BANG] = ACTIONS(1774),
    [anon_sym_TILDE] = ACTIONS(1774),
    [anon_sym_DOLLAR] = ACTIONS(1784),
    [anon_sym_SQUOTE] = ACTIONS(1786),
    [sym__backquoted_id] = ACTIONS(1788),
    [sym_operator_identifier] = ACTIONS(2172),
    [sym_integer_literal] = ACTIONS(1792),
    [sym_floating_point_literal] = ACTIONS(1794),
    [anon_sym_true] = ACTIONS(1796),
    [anon_sym_false] = ACTIONS(1796),
    [sym_character_literal] = ACTIONS(1794),
    [sym_null_literal] = ACTIONS(1798),
    [anon_sym_return] = ACTIONS(2174),
    [anon_sym_throw] = ACTIONS(2176),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3280),
    [sym__simple_multiline_string] = ACTIONS(1800),
    [sym__simple_string] = ACTIONS(1800),
  },
  [1192] = {
    [sym_inline_modifier] = STATE(2189),
    [sym__indentable_expression] = STATE(13486),
    [sym_block] = STATE(9327),
    [sym_indented_block] = STATE(13548),
    [sym_indented_cases] = STATE(13548),
    [sym_expression] = STATE(13406),
    [sym__simple_expression] = STATE(7289),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15762),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10205),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10142),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6081),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(8816),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(1192),
    [sym_block_comment] = STATE(1192),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(569),
    [anon_sym_DASH] = ACTIONS(569),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(571),
    [anon_sym_while] = ACTIONS(573),
    [anon_sym_for] = ACTIONS(575),
    [anon_sym_try] = ACTIONS(577),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(2248),
    [anon_sym_inline] = ACTIONS(1860),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(569),
    [anon_sym_TILDE] = ACTIONS(569),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(587),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(589),
    [anon_sym_throw] = ACTIONS(591),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [1193] = {
    [sym_inline_modifier] = STATE(2049),
    [sym__indentable_expression] = STATE(12939),
    [sym_block] = STATE(8262),
    [sym_indented_block] = STATE(13058),
    [sym_indented_cases] = STATE(13058),
    [sym_expression] = STATE(12868),
    [sym__simple_expression] = STATE(5468),
    [sym_lambda_expression] = STATE(13098),
    [sym_if_expression] = STATE(13098),
    [sym_match_expression] = STATE(13098),
    [sym_try_expression] = STATE(13098),
    [sym_bindings] = STATE(15673),
    [sym_case_block] = STATE(8262),
    [sym_assignment_expression] = STATE(13098),
    [sym_generic_function] = STATE(8262),
    [sym_call_expression] = STATE(8262),
    [sym_field_expression] = STATE(8262),
    [sym_instance_expression] = STATE(8262),
    [sym_ascription_expression] = STATE(13098),
    [sym_infix_expression] = STATE(9485),
    [sym_postfix_expression] = STATE(12647),
    [sym__postfix_expression_choice] = STATE(16347),
    [sym_macro_body] = STATE(13098),
    [sym_prefix_expression] = STATE(9354),
    [sym_tuple_expression] = STATE(8262),
    [sym_parenthesized_expression] = STATE(8262),
    [sym_splice_expression] = STATE(8262),
    [sym_quote_expression] = STATE(8262),
    [sym_identifier] = STATE(5288),
    [sym__soft_identifier] = STATE(5419),
    [sym_wildcard] = STATE(7475),
    [sym__non_null_literal] = STATE(8262),
    [sym_boolean_literal] = STATE(8242),
    [sym_interpolated_string_expression] = STATE(8262),
    [sym_string] = STATE(8242),
    [sym_unit] = STATE(8262),
    [sym_return_expression] = STATE(13098),
    [sym_throw_expression] = STATE(13098),
    [sym_while_expression] = STATE(13098),
    [sym_do_while_expression] = STATE(13098),
    [sym_for_expression] = STATE(13098),
    [sym_comment] = STATE(1193),
    [sym_block_comment] = STATE(1193),
    [sym__alpha_identifier] = ACTIONS(1278),
    [anon_sym_LBRACE] = ACTIONS(1282),
    [anon_sym__] = ACTIONS(1284),
    [anon_sym_PLUS] = ACTIONS(1286),
    [anon_sym_DASH] = ACTIONS(1286),
    [anon_sym_end] = ACTIONS(1288),
    [anon_sym_if] = ACTIONS(2196),
    [anon_sym_while] = ACTIONS(2016),
    [anon_sym_for] = ACTIONS(2018),
    [anon_sym_try] = ACTIONS(2020),
    [anon_sym_new] = ACTIONS(1290),
    [anon_sym_opaque] = ACTIONS(1288),
    [anon_sym_implicit] = ACTIONS(2022),
    [anon_sym_inline] = ACTIONS(1292),
    [anon_sym_infix] = ACTIONS(1288),
    [anon_sym_open] = ACTIONS(1288),
    [anon_sym_transparent] = ACTIONS(1288),
    [anon_sym_LPAREN] = ACTIONS(1294),
    [anon_sym_macro] = ACTIONS(1720),
    [anon_sym_BANG] = ACTIONS(1286),
    [anon_sym_TILDE] = ACTIONS(1286),
    [anon_sym_DOLLAR] = ACTIONS(1296),
    [anon_sym_SQUOTE] = ACTIONS(1298),
    [sym__backquoted_id] = ACTIONS(1300),
    [sym_operator_identifier] = ACTIONS(2024),
    [sym_integer_literal] = ACTIONS(1304),
    [sym_floating_point_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1308),
    [anon_sym_false] = ACTIONS(1308),
    [sym_character_literal] = ACTIONS(1306),
    [sym_null_literal] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(2026),
    [anon_sym_throw] = ACTIONS(2028),
    [anon_sym_do] = ACTIONS(1728),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2198),
    [sym__simple_multiline_string] = ACTIONS(1312),
    [sym__simple_string] = ACTIONS(1312),
  },
  [1194] = {
    [sym_inline_modifier] = STATE(2130),
    [sym__indentable_expression] = STATE(13331),
    [sym_block] = STATE(9120),
    [sym_indented_block] = STATE(13388),
    [sym_indented_cases] = STATE(13388),
    [sym_expression] = STATE(13211),
    [sym__simple_expression] = STATE(6353),
    [sym_lambda_expression] = STATE(13422),
    [sym_if_expression] = STATE(13422),
    [sym_match_expression] = STATE(13422),
    [sym_try_expression] = STATE(13422),
    [sym_bindings] = STATE(15752),
    [sym_case_block] = STATE(9120),
    [sym_assignment_expression] = STATE(13422),
    [sym_generic_function] = STATE(9120),
    [sym_call_expression] = STATE(9120),
    [sym_field_expression] = STATE(9120),
    [sym_instance_expression] = STATE(9120),
    [sym_ascription_expression] = STATE(13422),
    [sym_infix_expression] = STATE(9820),
    [sym_postfix_expression] = STATE(13148),
    [sym__postfix_expression_choice] = STATE(15936),
    [sym_macro_body] = STATE(13422),
    [sym_prefix_expression] = STATE(9828),
    [sym_tuple_expression] = STATE(9120),
    [sym_parenthesized_expression] = STATE(9120),
    [sym_splice_expression] = STATE(9120),
    [sym_quote_expression] = STATE(9120),
    [sym_identifier] = STATE(5669),
    [sym__soft_identifier] = STATE(6470),
    [sym_wildcard] = STATE(8444),
    [sym__non_null_literal] = STATE(9120),
    [sym_boolean_literal] = STATE(8928),
    [sym_interpolated_string_expression] = STATE(9120),
    [sym_string] = STATE(8928),
    [sym_unit] = STATE(9120),
    [sym_return_expression] = STATE(13422),
    [sym_throw_expression] = STATE(13422),
    [sym_while_expression] = STATE(13422),
    [sym_do_while_expression] = STATE(13422),
    [sym_for_expression] = STATE(13422),
    [sym_comment] = STATE(1194),
    [sym_block_comment] = STATE(1194),
    [sym__alpha_identifier] = ACTIONS(1582),
    [anon_sym_LBRACE] = ACTIONS(1586),
    [anon_sym__] = ACTIONS(1588),
    [anon_sym_PLUS] = ACTIONS(1590),
    [anon_sym_DASH] = ACTIONS(1590),
    [anon_sym_end] = ACTIONS(1592),
    [anon_sym_if] = ACTIONS(1864),
    [anon_sym_while] = ACTIONS(1866),
    [anon_sym_for] = ACTIONS(1868),
    [anon_sym_try] = ACTIONS(1870),
    [anon_sym_new] = ACTIONS(1594),
    [anon_sym_opaque] = ACTIONS(1592),
    [anon_sym_implicit] = ACTIONS(1872),
    [anon_sym_inline] = ACTIONS(1596),
    [anon_sym_infix] = ACTIONS(1592),
    [anon_sym_open] = ACTIONS(1592),
    [anon_sym_transparent] = ACTIONS(1592),
    [anon_sym_LPAREN] = ACTIONS(1598),
    [anon_sym_macro] = ACTIONS(1874),
    [anon_sym_BANG] = ACTIONS(1590),
    [anon_sym_TILDE] = ACTIONS(1590),
    [anon_sym_DOLLAR] = ACTIONS(1600),
    [anon_sym_SQUOTE] = ACTIONS(1602),
    [sym__backquoted_id] = ACTIONS(1604),
    [sym_operator_identifier] = ACTIONS(1876),
    [sym_integer_literal] = ACTIONS(1608),
    [sym_floating_point_literal] = ACTIONS(1610),
    [anon_sym_true] = ACTIONS(1612),
    [anon_sym_false] = ACTIONS(1612),
    [sym_character_literal] = ACTIONS(1610),
    [sym_null_literal] = ACTIONS(1614),
    [anon_sym_return] = ACTIONS(1878),
    [anon_sym_throw] = ACTIONS(1880),
    [anon_sym_do] = ACTIONS(1882),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3282),
    [sym__simple_multiline_string] = ACTIONS(1616),
    [sym__simple_string] = ACTIONS(1616),
  },
  [1195] = {
    [sym_inline_modifier] = STATE(2049),
    [sym__indentable_expression] = STATE(13143),
    [sym_block] = STATE(8262),
    [sym_indented_block] = STATE(13058),
    [sym_indented_cases] = STATE(13058),
    [sym_expression] = STATE(12868),
    [sym__simple_expression] = STATE(5468),
    [sym_lambda_expression] = STATE(13098),
    [sym_if_expression] = STATE(13098),
    [sym_match_expression] = STATE(13098),
    [sym_try_expression] = STATE(13098),
    [sym_bindings] = STATE(15673),
    [sym_case_block] = STATE(8262),
    [sym_assignment_expression] = STATE(13098),
    [sym_generic_function] = STATE(8262),
    [sym_call_expression] = STATE(8262),
    [sym_field_expression] = STATE(8262),
    [sym_instance_expression] = STATE(8262),
    [sym_ascription_expression] = STATE(13098),
    [sym_infix_expression] = STATE(9485),
    [sym_postfix_expression] = STATE(12647),
    [sym__postfix_expression_choice] = STATE(16347),
    [sym_macro_body] = STATE(13098),
    [sym_prefix_expression] = STATE(9354),
    [sym_tuple_expression] = STATE(8262),
    [sym_parenthesized_expression] = STATE(8262),
    [sym_splice_expression] = STATE(8262),
    [sym_quote_expression] = STATE(8262),
    [sym_identifier] = STATE(5288),
    [sym__soft_identifier] = STATE(5419),
    [sym_wildcard] = STATE(7475),
    [sym__non_null_literal] = STATE(8262),
    [sym_boolean_literal] = STATE(8242),
    [sym_interpolated_string_expression] = STATE(8262),
    [sym_string] = STATE(8242),
    [sym_unit] = STATE(8262),
    [sym_return_expression] = STATE(13098),
    [sym_throw_expression] = STATE(13098),
    [sym_while_expression] = STATE(13098),
    [sym_do_while_expression] = STATE(13098),
    [sym_for_expression] = STATE(13098),
    [sym_comment] = STATE(1195),
    [sym_block_comment] = STATE(1195),
    [sym__alpha_identifier] = ACTIONS(1278),
    [anon_sym_LBRACE] = ACTIONS(1282),
    [anon_sym__] = ACTIONS(1284),
    [anon_sym_PLUS] = ACTIONS(1286),
    [anon_sym_DASH] = ACTIONS(1286),
    [anon_sym_end] = ACTIONS(1288),
    [anon_sym_if] = ACTIONS(2196),
    [anon_sym_while] = ACTIONS(2016),
    [anon_sym_for] = ACTIONS(2018),
    [anon_sym_try] = ACTIONS(2020),
    [anon_sym_new] = ACTIONS(1290),
    [anon_sym_opaque] = ACTIONS(1288),
    [anon_sym_implicit] = ACTIONS(2022),
    [anon_sym_inline] = ACTIONS(1292),
    [anon_sym_infix] = ACTIONS(1288),
    [anon_sym_open] = ACTIONS(1288),
    [anon_sym_transparent] = ACTIONS(1288),
    [anon_sym_LPAREN] = ACTIONS(1294),
    [anon_sym_macro] = ACTIONS(1720),
    [anon_sym_BANG] = ACTIONS(1286),
    [anon_sym_TILDE] = ACTIONS(1286),
    [anon_sym_DOLLAR] = ACTIONS(1296),
    [anon_sym_SQUOTE] = ACTIONS(1298),
    [sym__backquoted_id] = ACTIONS(1300),
    [sym_operator_identifier] = ACTIONS(2024),
    [sym_integer_literal] = ACTIONS(1304),
    [sym_floating_point_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1308),
    [anon_sym_false] = ACTIONS(1308),
    [sym_character_literal] = ACTIONS(1306),
    [sym_null_literal] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(2026),
    [anon_sym_throw] = ACTIONS(2028),
    [anon_sym_do] = ACTIONS(1728),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2198),
    [sym__simple_multiline_string] = ACTIONS(1312),
    [sym__simple_string] = ACTIONS(1312),
  },
  [1196] = {
    [sym_inline_modifier] = STATE(2212),
    [sym__indentable_expression] = STATE(11597),
    [sym_block] = STATE(9539),
    [sym_indented_block] = STATE(11390),
    [sym_indented_cases] = STATE(11390),
    [sym_expression] = STATE(13433),
    [sym__simple_expression] = STATE(6249),
    [sym_lambda_expression] = STATE(11374),
    [sym_if_expression] = STATE(11374),
    [sym_match_expression] = STATE(11374),
    [sym_try_expression] = STATE(11374),
    [sym_bindings] = STATE(15480),
    [sym_case_block] = STATE(9539),
    [sym_assignment_expression] = STATE(11374),
    [sym_generic_function] = STATE(9539),
    [sym_call_expression] = STATE(9539),
    [sym_field_expression] = STATE(9539),
    [sym_instance_expression] = STATE(9539),
    [sym_ascription_expression] = STATE(11374),
    [sym_infix_expression] = STATE(10179),
    [sym_postfix_expression] = STATE(11215),
    [sym__postfix_expression_choice] = STATE(16190),
    [sym_macro_body] = STATE(11374),
    [sym_prefix_expression] = STATE(9816),
    [sym_tuple_expression] = STATE(9539),
    [sym_parenthesized_expression] = STATE(9539),
    [sym_splice_expression] = STATE(9539),
    [sym_quote_expression] = STATE(9539),
    [sym_identifier] = STATE(5934),
    [sym__soft_identifier] = STATE(4462),
    [sym_wildcard] = STATE(8175),
    [sym__non_null_literal] = STATE(9539),
    [sym_boolean_literal] = STATE(5971),
    [sym_interpolated_string_expression] = STATE(9539),
    [sym_string] = STATE(5971),
    [sym_unit] = STATE(9539),
    [sym_return_expression] = STATE(11374),
    [sym_throw_expression] = STATE(11374),
    [sym_while_expression] = STATE(11374),
    [sym_do_while_expression] = STATE(11374),
    [sym_for_expression] = STATE(11374),
    [sym_comment] = STATE(1196),
    [sym_block_comment] = STATE(1196),
    [sym__alpha_identifier] = ACTIONS(1444),
    [anon_sym_LBRACE] = ACTIONS(1448),
    [anon_sym__] = ACTIONS(1450),
    [anon_sym_PLUS] = ACTIONS(1452),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_end] = ACTIONS(1454),
    [anon_sym_if] = ACTIONS(1802),
    [anon_sym_while] = ACTIONS(1804),
    [anon_sym_for] = ACTIONS(1806),
    [anon_sym_try] = ACTIONS(1808),
    [anon_sym_new] = ACTIONS(1456),
    [anon_sym_opaque] = ACTIONS(1454),
    [anon_sym_implicit] = ACTIONS(1810),
    [anon_sym_inline] = ACTIONS(1458),
    [anon_sym_infix] = ACTIONS(1454),
    [anon_sym_open] = ACTIONS(1454),
    [anon_sym_transparent] = ACTIONS(1454),
    [anon_sym_LPAREN] = ACTIONS(1460),
    [anon_sym_macro] = ACTIONS(1812),
    [anon_sym_BANG] = ACTIONS(1452),
    [anon_sym_TILDE] = ACTIONS(1452),
    [anon_sym_DOLLAR] = ACTIONS(1462),
    [anon_sym_SQUOTE] = ACTIONS(1464),
    [sym__backquoted_id] = ACTIONS(1466),
    [sym_operator_identifier] = ACTIONS(1814),
    [sym_integer_literal] = ACTIONS(1470),
    [sym_floating_point_literal] = ACTIONS(1472),
    [anon_sym_true] = ACTIONS(1474),
    [anon_sym_false] = ACTIONS(1474),
    [sym_character_literal] = ACTIONS(1472),
    [sym_null_literal] = ACTIONS(1476),
    [anon_sym_return] = ACTIONS(1816),
    [anon_sym_throw] = ACTIONS(1818),
    [anon_sym_do] = ACTIONS(1548),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2240),
    [sym__simple_multiline_string] = ACTIONS(1478),
    [sym__simple_string] = ACTIONS(1478),
  },
  [1197] = {
    [sym_inline_modifier] = STATE(2049),
    [sym__indentable_expression] = STATE(13052),
    [sym_block] = STATE(8262),
    [sym_indented_block] = STATE(13058),
    [sym_indented_cases] = STATE(13058),
    [sym_expression] = STATE(12868),
    [sym__simple_expression] = STATE(5468),
    [sym_lambda_expression] = STATE(13098),
    [sym_if_expression] = STATE(13098),
    [sym_match_expression] = STATE(13098),
    [sym_try_expression] = STATE(13098),
    [sym_bindings] = STATE(15673),
    [sym_case_block] = STATE(8262),
    [sym_assignment_expression] = STATE(13098),
    [sym_generic_function] = STATE(8262),
    [sym_call_expression] = STATE(8262),
    [sym_field_expression] = STATE(8262),
    [sym_instance_expression] = STATE(8262),
    [sym_ascription_expression] = STATE(13098),
    [sym_infix_expression] = STATE(9485),
    [sym_postfix_expression] = STATE(12647),
    [sym__postfix_expression_choice] = STATE(16347),
    [sym_macro_body] = STATE(13098),
    [sym_prefix_expression] = STATE(9354),
    [sym_tuple_expression] = STATE(8262),
    [sym_parenthesized_expression] = STATE(8262),
    [sym_splice_expression] = STATE(8262),
    [sym_quote_expression] = STATE(8262),
    [sym_identifier] = STATE(5288),
    [sym__soft_identifier] = STATE(5419),
    [sym_wildcard] = STATE(7475),
    [sym__non_null_literal] = STATE(8262),
    [sym_boolean_literal] = STATE(8242),
    [sym_interpolated_string_expression] = STATE(8262),
    [sym_string] = STATE(8242),
    [sym_unit] = STATE(8262),
    [sym_return_expression] = STATE(13098),
    [sym_throw_expression] = STATE(13098),
    [sym_while_expression] = STATE(13098),
    [sym_do_while_expression] = STATE(13098),
    [sym_for_expression] = STATE(13098),
    [sym_comment] = STATE(1197),
    [sym_block_comment] = STATE(1197),
    [sym__alpha_identifier] = ACTIONS(1278),
    [anon_sym_LBRACE] = ACTIONS(1282),
    [anon_sym__] = ACTIONS(1284),
    [anon_sym_PLUS] = ACTIONS(1286),
    [anon_sym_DASH] = ACTIONS(1286),
    [anon_sym_end] = ACTIONS(1288),
    [anon_sym_if] = ACTIONS(2196),
    [anon_sym_while] = ACTIONS(2016),
    [anon_sym_for] = ACTIONS(2018),
    [anon_sym_try] = ACTIONS(2020),
    [anon_sym_new] = ACTIONS(1290),
    [anon_sym_opaque] = ACTIONS(1288),
    [anon_sym_implicit] = ACTIONS(2022),
    [anon_sym_inline] = ACTIONS(1292),
    [anon_sym_infix] = ACTIONS(1288),
    [anon_sym_open] = ACTIONS(1288),
    [anon_sym_transparent] = ACTIONS(1288),
    [anon_sym_LPAREN] = ACTIONS(1294),
    [anon_sym_macro] = ACTIONS(1720),
    [anon_sym_BANG] = ACTIONS(1286),
    [anon_sym_TILDE] = ACTIONS(1286),
    [anon_sym_DOLLAR] = ACTIONS(1296),
    [anon_sym_SQUOTE] = ACTIONS(1298),
    [sym__backquoted_id] = ACTIONS(1300),
    [sym_operator_identifier] = ACTIONS(2024),
    [sym_integer_literal] = ACTIONS(1304),
    [sym_floating_point_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1308),
    [anon_sym_false] = ACTIONS(1308),
    [sym_character_literal] = ACTIONS(1306),
    [sym_null_literal] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(2026),
    [anon_sym_throw] = ACTIONS(2028),
    [anon_sym_do] = ACTIONS(1728),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2198),
    [sym__simple_multiline_string] = ACTIONS(1312),
    [sym__simple_string] = ACTIONS(1312),
  },
  [1198] = {
    [sym_inline_modifier] = STATE(2049),
    [sym__indentable_expression] = STATE(13065),
    [sym_block] = STATE(8262),
    [sym_indented_block] = STATE(13058),
    [sym_indented_cases] = STATE(13058),
    [sym_expression] = STATE(12868),
    [sym__simple_expression] = STATE(5468),
    [sym_lambda_expression] = STATE(13098),
    [sym_if_expression] = STATE(13098),
    [sym_match_expression] = STATE(13098),
    [sym_try_expression] = STATE(13098),
    [sym_bindings] = STATE(15673),
    [sym_case_block] = STATE(8262),
    [sym_assignment_expression] = STATE(13098),
    [sym_generic_function] = STATE(8262),
    [sym_call_expression] = STATE(8262),
    [sym_field_expression] = STATE(8262),
    [sym_instance_expression] = STATE(8262),
    [sym_ascription_expression] = STATE(13098),
    [sym_infix_expression] = STATE(9485),
    [sym_postfix_expression] = STATE(12647),
    [sym__postfix_expression_choice] = STATE(16347),
    [sym_macro_body] = STATE(13098),
    [sym_prefix_expression] = STATE(9354),
    [sym_tuple_expression] = STATE(8262),
    [sym_parenthesized_expression] = STATE(8262),
    [sym_splice_expression] = STATE(8262),
    [sym_quote_expression] = STATE(8262),
    [sym_identifier] = STATE(5288),
    [sym__soft_identifier] = STATE(5419),
    [sym_wildcard] = STATE(7475),
    [sym__non_null_literal] = STATE(8262),
    [sym_boolean_literal] = STATE(8242),
    [sym_interpolated_string_expression] = STATE(8262),
    [sym_string] = STATE(8242),
    [sym_unit] = STATE(8262),
    [sym_return_expression] = STATE(13098),
    [sym_throw_expression] = STATE(13098),
    [sym_while_expression] = STATE(13098),
    [sym_do_while_expression] = STATE(13098),
    [sym_for_expression] = STATE(13098),
    [sym_comment] = STATE(1198),
    [sym_block_comment] = STATE(1198),
    [sym__alpha_identifier] = ACTIONS(1278),
    [anon_sym_LBRACE] = ACTIONS(1282),
    [anon_sym__] = ACTIONS(1284),
    [anon_sym_PLUS] = ACTIONS(1286),
    [anon_sym_DASH] = ACTIONS(1286),
    [anon_sym_end] = ACTIONS(1288),
    [anon_sym_if] = ACTIONS(2196),
    [anon_sym_while] = ACTIONS(2016),
    [anon_sym_for] = ACTIONS(2018),
    [anon_sym_try] = ACTIONS(2020),
    [anon_sym_new] = ACTIONS(1290),
    [anon_sym_opaque] = ACTIONS(1288),
    [anon_sym_implicit] = ACTIONS(2022),
    [anon_sym_inline] = ACTIONS(1292),
    [anon_sym_infix] = ACTIONS(1288),
    [anon_sym_open] = ACTIONS(1288),
    [anon_sym_transparent] = ACTIONS(1288),
    [anon_sym_LPAREN] = ACTIONS(1294),
    [anon_sym_macro] = ACTIONS(1720),
    [anon_sym_BANG] = ACTIONS(1286),
    [anon_sym_TILDE] = ACTIONS(1286),
    [anon_sym_DOLLAR] = ACTIONS(1296),
    [anon_sym_SQUOTE] = ACTIONS(1298),
    [sym__backquoted_id] = ACTIONS(1300),
    [sym_operator_identifier] = ACTIONS(2024),
    [sym_integer_literal] = ACTIONS(1304),
    [sym_floating_point_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1308),
    [anon_sym_false] = ACTIONS(1308),
    [sym_character_literal] = ACTIONS(1306),
    [sym_null_literal] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(2026),
    [anon_sym_throw] = ACTIONS(2028),
    [anon_sym_do] = ACTIONS(1728),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2198),
    [sym__simple_multiline_string] = ACTIONS(1312),
    [sym__simple_string] = ACTIONS(1312),
  },
  [1199] = {
    [sym_inline_modifier] = STATE(2044),
    [sym__indentable_expression] = STATE(11987),
    [sym_block] = STATE(9913),
    [sym_indented_block] = STATE(11923),
    [sym_indented_cases] = STATE(11923),
    [sym_expression] = STATE(13501),
    [sym__simple_expression] = STATE(7224),
    [sym_lambda_expression] = STATE(12144),
    [sym_if_expression] = STATE(12144),
    [sym_match_expression] = STATE(12144),
    [sym_try_expression] = STATE(12144),
    [sym_bindings] = STATE(15632),
    [sym_case_block] = STATE(9913),
    [sym_assignment_expression] = STATE(12144),
    [sym_generic_function] = STATE(9913),
    [sym_call_expression] = STATE(9913),
    [sym_field_expression] = STATE(9913),
    [sym_instance_expression] = STATE(9913),
    [sym_ascription_expression] = STATE(12144),
    [sym_infix_expression] = STATE(10304),
    [sym_postfix_expression] = STATE(11499),
    [sym__postfix_expression_choice] = STATE(16334),
    [sym_macro_body] = STATE(12144),
    [sym_prefix_expression] = STATE(9963),
    [sym_tuple_expression] = STATE(9913),
    [sym_parenthesized_expression] = STATE(9913),
    [sym_splice_expression] = STATE(9913),
    [sym_quote_expression] = STATE(9913),
    [sym_identifier] = STATE(6170),
    [sym__soft_identifier] = STATE(4555),
    [sym_wildcard] = STATE(8897),
    [sym__non_null_literal] = STATE(9913),
    [sym_boolean_literal] = STATE(6572),
    [sym_interpolated_string_expression] = STATE(9913),
    [sym_string] = STATE(6572),
    [sym_unit] = STATE(9913),
    [sym_return_expression] = STATE(12144),
    [sym_throw_expression] = STATE(12144),
    [sym_while_expression] = STATE(12144),
    [sym_do_while_expression] = STATE(12144),
    [sym_for_expression] = STATE(12144),
    [sym_comment] = STATE(1199),
    [sym_block_comment] = STATE(1199),
    [sym__alpha_identifier] = ACTIONS(1766),
    [anon_sym_LBRACE] = ACTIONS(1770),
    [anon_sym__] = ACTIONS(1772),
    [anon_sym_PLUS] = ACTIONS(1774),
    [anon_sym_DASH] = ACTIONS(1774),
    [anon_sym_end] = ACTIONS(1776),
    [anon_sym_if] = ACTIONS(2160),
    [anon_sym_while] = ACTIONS(2162),
    [anon_sym_for] = ACTIONS(2164),
    [anon_sym_try] = ACTIONS(2166),
    [anon_sym_new] = ACTIONS(1778),
    [anon_sym_opaque] = ACTIONS(1776),
    [anon_sym_implicit] = ACTIONS(2168),
    [anon_sym_inline] = ACTIONS(1780),
    [anon_sym_infix] = ACTIONS(1776),
    [anon_sym_open] = ACTIONS(1776),
    [anon_sym_transparent] = ACTIONS(1776),
    [anon_sym_LPAREN] = ACTIONS(1782),
    [anon_sym_macro] = ACTIONS(2170),
    [anon_sym_BANG] = ACTIONS(1774),
    [anon_sym_TILDE] = ACTIONS(1774),
    [anon_sym_DOLLAR] = ACTIONS(1784),
    [anon_sym_SQUOTE] = ACTIONS(1786),
    [sym__backquoted_id] = ACTIONS(1788),
    [sym_operator_identifier] = ACTIONS(2172),
    [sym_integer_literal] = ACTIONS(1792),
    [sym_floating_point_literal] = ACTIONS(1794),
    [anon_sym_true] = ACTIONS(1796),
    [anon_sym_false] = ACTIONS(1796),
    [sym_character_literal] = ACTIONS(1794),
    [sym_null_literal] = ACTIONS(1798),
    [anon_sym_return] = ACTIONS(2174),
    [anon_sym_throw] = ACTIONS(2176),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3280),
    [sym__simple_multiline_string] = ACTIONS(1800),
    [sym__simple_string] = ACTIONS(1800),
  },
  [1200] = {
    [sym_inline_modifier] = STATE(2130),
    [sym__indentable_expression] = STATE(13585),
    [sym_block] = STATE(9120),
    [sym_indented_block] = STATE(13388),
    [sym_indented_cases] = STATE(13388),
    [sym_expression] = STATE(13211),
    [sym__simple_expression] = STATE(6353),
    [sym_lambda_expression] = STATE(13422),
    [sym_if_expression] = STATE(13422),
    [sym_match_expression] = STATE(13422),
    [sym_try_expression] = STATE(13422),
    [sym_bindings] = STATE(15752),
    [sym_case_block] = STATE(9120),
    [sym_assignment_expression] = STATE(13422),
    [sym_generic_function] = STATE(9120),
    [sym_call_expression] = STATE(9120),
    [sym_field_expression] = STATE(9120),
    [sym_instance_expression] = STATE(9120),
    [sym_ascription_expression] = STATE(13422),
    [sym_infix_expression] = STATE(9820),
    [sym_postfix_expression] = STATE(13148),
    [sym__postfix_expression_choice] = STATE(15936),
    [sym_macro_body] = STATE(13422),
    [sym_prefix_expression] = STATE(9828),
    [sym_tuple_expression] = STATE(9120),
    [sym_parenthesized_expression] = STATE(9120),
    [sym_splice_expression] = STATE(9120),
    [sym_quote_expression] = STATE(9120),
    [sym_identifier] = STATE(5669),
    [sym__soft_identifier] = STATE(6470),
    [sym_wildcard] = STATE(8444),
    [sym__non_null_literal] = STATE(9120),
    [sym_boolean_literal] = STATE(8928),
    [sym_interpolated_string_expression] = STATE(9120),
    [sym_string] = STATE(8928),
    [sym_unit] = STATE(9120),
    [sym_return_expression] = STATE(13422),
    [sym_throw_expression] = STATE(13422),
    [sym_while_expression] = STATE(13422),
    [sym_do_while_expression] = STATE(13422),
    [sym_for_expression] = STATE(13422),
    [sym_comment] = STATE(1200),
    [sym_block_comment] = STATE(1200),
    [sym__alpha_identifier] = ACTIONS(1582),
    [anon_sym_LBRACE] = ACTIONS(1586),
    [anon_sym__] = ACTIONS(1588),
    [anon_sym_PLUS] = ACTIONS(1590),
    [anon_sym_DASH] = ACTIONS(1590),
    [anon_sym_end] = ACTIONS(1592),
    [anon_sym_if] = ACTIONS(1864),
    [anon_sym_while] = ACTIONS(1866),
    [anon_sym_for] = ACTIONS(1868),
    [anon_sym_try] = ACTIONS(1870),
    [anon_sym_new] = ACTIONS(1594),
    [anon_sym_opaque] = ACTIONS(1592),
    [anon_sym_implicit] = ACTIONS(1872),
    [anon_sym_inline] = ACTIONS(1596),
    [anon_sym_infix] = ACTIONS(1592),
    [anon_sym_open] = ACTIONS(1592),
    [anon_sym_transparent] = ACTIONS(1592),
    [anon_sym_LPAREN] = ACTIONS(1598),
    [anon_sym_macro] = ACTIONS(1874),
    [anon_sym_BANG] = ACTIONS(1590),
    [anon_sym_TILDE] = ACTIONS(1590),
    [anon_sym_DOLLAR] = ACTIONS(1600),
    [anon_sym_SQUOTE] = ACTIONS(1602),
    [sym__backquoted_id] = ACTIONS(1604),
    [sym_operator_identifier] = ACTIONS(1876),
    [sym_integer_literal] = ACTIONS(1608),
    [sym_floating_point_literal] = ACTIONS(1610),
    [anon_sym_true] = ACTIONS(1612),
    [anon_sym_false] = ACTIONS(1612),
    [sym_character_literal] = ACTIONS(1610),
    [sym_null_literal] = ACTIONS(1614),
    [anon_sym_return] = ACTIONS(1878),
    [anon_sym_throw] = ACTIONS(1880),
    [anon_sym_do] = ACTIONS(1882),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3282),
    [sym__simple_multiline_string] = ACTIONS(1616),
    [sym__simple_string] = ACTIONS(1616),
  },
  [1201] = {
    [sym_inline_modifier] = STATE(2212),
    [sym__indentable_expression] = STATE(11561),
    [sym_block] = STATE(9539),
    [sym_indented_block] = STATE(11390),
    [sym_indented_cases] = STATE(11390),
    [sym_expression] = STATE(13433),
    [sym__simple_expression] = STATE(6249),
    [sym_lambda_expression] = STATE(11374),
    [sym_if_expression] = STATE(11374),
    [sym_match_expression] = STATE(11374),
    [sym_try_expression] = STATE(11374),
    [sym_bindings] = STATE(15480),
    [sym_case_block] = STATE(9539),
    [sym_assignment_expression] = STATE(11374),
    [sym_generic_function] = STATE(9539),
    [sym_call_expression] = STATE(9539),
    [sym_field_expression] = STATE(9539),
    [sym_instance_expression] = STATE(9539),
    [sym_ascription_expression] = STATE(11374),
    [sym_infix_expression] = STATE(10179),
    [sym_postfix_expression] = STATE(11215),
    [sym__postfix_expression_choice] = STATE(16190),
    [sym_macro_body] = STATE(11374),
    [sym_prefix_expression] = STATE(9816),
    [sym_tuple_expression] = STATE(9539),
    [sym_parenthesized_expression] = STATE(9539),
    [sym_splice_expression] = STATE(9539),
    [sym_quote_expression] = STATE(9539),
    [sym_identifier] = STATE(5934),
    [sym__soft_identifier] = STATE(4462),
    [sym_wildcard] = STATE(8175),
    [sym__non_null_literal] = STATE(9539),
    [sym_boolean_literal] = STATE(5971),
    [sym_interpolated_string_expression] = STATE(9539),
    [sym_string] = STATE(5971),
    [sym_unit] = STATE(9539),
    [sym_return_expression] = STATE(11374),
    [sym_throw_expression] = STATE(11374),
    [sym_while_expression] = STATE(11374),
    [sym_do_while_expression] = STATE(11374),
    [sym_for_expression] = STATE(11374),
    [sym_comment] = STATE(1201),
    [sym_block_comment] = STATE(1201),
    [sym__alpha_identifier] = ACTIONS(1444),
    [anon_sym_LBRACE] = ACTIONS(1448),
    [anon_sym__] = ACTIONS(1450),
    [anon_sym_PLUS] = ACTIONS(1452),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_end] = ACTIONS(1454),
    [anon_sym_if] = ACTIONS(1802),
    [anon_sym_while] = ACTIONS(1804),
    [anon_sym_for] = ACTIONS(1806),
    [anon_sym_try] = ACTIONS(1808),
    [anon_sym_new] = ACTIONS(1456),
    [anon_sym_opaque] = ACTIONS(1454),
    [anon_sym_implicit] = ACTIONS(1810),
    [anon_sym_inline] = ACTIONS(1458),
    [anon_sym_infix] = ACTIONS(1454),
    [anon_sym_open] = ACTIONS(1454),
    [anon_sym_transparent] = ACTIONS(1454),
    [anon_sym_LPAREN] = ACTIONS(1460),
    [anon_sym_macro] = ACTIONS(1812),
    [anon_sym_BANG] = ACTIONS(1452),
    [anon_sym_TILDE] = ACTIONS(1452),
    [anon_sym_DOLLAR] = ACTIONS(1462),
    [anon_sym_SQUOTE] = ACTIONS(1464),
    [sym__backquoted_id] = ACTIONS(1466),
    [sym_operator_identifier] = ACTIONS(1814),
    [sym_integer_literal] = ACTIONS(1470),
    [sym_floating_point_literal] = ACTIONS(1472),
    [anon_sym_true] = ACTIONS(1474),
    [anon_sym_false] = ACTIONS(1474),
    [sym_character_literal] = ACTIONS(1472),
    [sym_null_literal] = ACTIONS(1476),
    [anon_sym_return] = ACTIONS(1816),
    [anon_sym_throw] = ACTIONS(1818),
    [anon_sym_do] = ACTIONS(1548),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2240),
    [sym__simple_multiline_string] = ACTIONS(1478),
    [sym__simple_string] = ACTIONS(1478),
  },
  [1202] = {
    [sym_inline_modifier] = STATE(2252),
    [sym__indentable_expression] = STATE(13435),
    [sym_block] = STATE(8262),
    [sym_indented_block] = STATE(13058),
    [sym_indented_cases] = STATE(13058),
    [sym_expression] = STATE(12868),
    [sym__simple_expression] = STATE(5471),
    [sym_lambda_expression] = STATE(13098),
    [sym_if_expression] = STATE(13098),
    [sym_match_expression] = STATE(13098),
    [sym_try_expression] = STATE(13098),
    [sym_bindings] = STATE(15615),
    [sym_case_block] = STATE(8262),
    [sym_assignment_expression] = STATE(13098),
    [sym_generic_function] = STATE(8262),
    [sym_call_expression] = STATE(8262),
    [sym_field_expression] = STATE(8262),
    [sym_instance_expression] = STATE(8262),
    [sym_ascription_expression] = STATE(13098),
    [sym_infix_expression] = STATE(9485),
    [sym_postfix_expression] = STATE(12647),
    [sym__postfix_expression_choice] = STATE(16347),
    [sym_macro_body] = STATE(13098),
    [sym_prefix_expression] = STATE(9525),
    [sym_tuple_expression] = STATE(8262),
    [sym_parenthesized_expression] = STATE(8262),
    [sym_splice_expression] = STATE(8262),
    [sym_quote_expression] = STATE(8262),
    [sym_identifier] = STATE(5180),
    [sym__soft_identifier] = STATE(5419),
    [sym_wildcard] = STATE(7820),
    [sym__non_null_literal] = STATE(8262),
    [sym_boolean_literal] = STATE(8242),
    [sym_interpolated_string_expression] = STATE(8262),
    [sym_string] = STATE(8242),
    [sym_unit] = STATE(8262),
    [sym_return_expression] = STATE(13098),
    [sym_throw_expression] = STATE(13098),
    [sym_while_expression] = STATE(13098),
    [sym_do_while_expression] = STATE(13098),
    [sym_for_expression] = STATE(13098),
    [sym_comment] = STATE(1202),
    [sym_block_comment] = STATE(1202),
    [sym__alpha_identifier] = ACTIONS(1278),
    [anon_sym_LBRACE] = ACTIONS(1282),
    [anon_sym__] = ACTIONS(1284),
    [anon_sym_PLUS] = ACTIONS(1286),
    [anon_sym_DASH] = ACTIONS(1286),
    [anon_sym_end] = ACTIONS(1288),
    [anon_sym_if] = ACTIONS(1710),
    [anon_sym_while] = ACTIONS(1712),
    [anon_sym_for] = ACTIONS(1714),
    [anon_sym_try] = ACTIONS(1716),
    [anon_sym_new] = ACTIONS(1290),
    [anon_sym_opaque] = ACTIONS(1288),
    [anon_sym_implicit] = ACTIONS(1718),
    [anon_sym_inline] = ACTIONS(1292),
    [anon_sym_infix] = ACTIONS(1288),
    [anon_sym_open] = ACTIONS(1288),
    [anon_sym_transparent] = ACTIONS(1288),
    [anon_sym_LPAREN] = ACTIONS(1294),
    [anon_sym_macro] = ACTIONS(1720),
    [anon_sym_BANG] = ACTIONS(1286),
    [anon_sym_TILDE] = ACTIONS(1286),
    [anon_sym_DOLLAR] = ACTIONS(1296),
    [anon_sym_SQUOTE] = ACTIONS(1298),
    [sym__backquoted_id] = ACTIONS(1300),
    [sym_operator_identifier] = ACTIONS(1722),
    [sym_integer_literal] = ACTIONS(1304),
    [sym_floating_point_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1308),
    [anon_sym_false] = ACTIONS(1308),
    [sym_character_literal] = ACTIONS(1306),
    [sym_null_literal] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(1724),
    [anon_sym_throw] = ACTIONS(1726),
    [anon_sym_do] = ACTIONS(1728),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2198),
    [sym__simple_multiline_string] = ACTIONS(1312),
    [sym__simple_string] = ACTIONS(1312),
  },
  [1203] = {
    [sym_inline_modifier] = STATE(2054),
    [sym__indentable_expression] = STATE(12506),
    [sym_block] = STATE(8041),
    [sym_indented_block] = STATE(12292),
    [sym_indented_cases] = STATE(12292),
    [sym_expression] = STATE(12256),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(7036),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(1203),
    [sym_block_comment] = STATE(1203),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2807),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1204] = {
    [sym_inline_modifier] = STATE(2212),
    [sym__indentable_expression] = STATE(11554),
    [sym_block] = STATE(9539),
    [sym_indented_block] = STATE(11390),
    [sym_indented_cases] = STATE(11390),
    [sym_expression] = STATE(13433),
    [sym__simple_expression] = STATE(6249),
    [sym_lambda_expression] = STATE(11374),
    [sym_if_expression] = STATE(11374),
    [sym_match_expression] = STATE(11374),
    [sym_try_expression] = STATE(11374),
    [sym_bindings] = STATE(15480),
    [sym_case_block] = STATE(9539),
    [sym_assignment_expression] = STATE(11374),
    [sym_generic_function] = STATE(9539),
    [sym_call_expression] = STATE(9539),
    [sym_field_expression] = STATE(9539),
    [sym_instance_expression] = STATE(9539),
    [sym_ascription_expression] = STATE(11374),
    [sym_infix_expression] = STATE(10179),
    [sym_postfix_expression] = STATE(11215),
    [sym__postfix_expression_choice] = STATE(16190),
    [sym_macro_body] = STATE(11374),
    [sym_prefix_expression] = STATE(9816),
    [sym_tuple_expression] = STATE(9539),
    [sym_parenthesized_expression] = STATE(9539),
    [sym_splice_expression] = STATE(9539),
    [sym_quote_expression] = STATE(9539),
    [sym_identifier] = STATE(5934),
    [sym__soft_identifier] = STATE(4462),
    [sym_wildcard] = STATE(8175),
    [sym__non_null_literal] = STATE(9539),
    [sym_boolean_literal] = STATE(5971),
    [sym_interpolated_string_expression] = STATE(9539),
    [sym_string] = STATE(5971),
    [sym_unit] = STATE(9539),
    [sym_return_expression] = STATE(11374),
    [sym_throw_expression] = STATE(11374),
    [sym_while_expression] = STATE(11374),
    [sym_do_while_expression] = STATE(11374),
    [sym_for_expression] = STATE(11374),
    [sym_comment] = STATE(1204),
    [sym_block_comment] = STATE(1204),
    [sym__alpha_identifier] = ACTIONS(1444),
    [anon_sym_LBRACE] = ACTIONS(1448),
    [anon_sym__] = ACTIONS(1450),
    [anon_sym_PLUS] = ACTIONS(1452),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_end] = ACTIONS(1454),
    [anon_sym_if] = ACTIONS(1802),
    [anon_sym_while] = ACTIONS(1804),
    [anon_sym_for] = ACTIONS(1806),
    [anon_sym_try] = ACTIONS(1808),
    [anon_sym_new] = ACTIONS(1456),
    [anon_sym_opaque] = ACTIONS(1454),
    [anon_sym_implicit] = ACTIONS(1810),
    [anon_sym_inline] = ACTIONS(1458),
    [anon_sym_infix] = ACTIONS(1454),
    [anon_sym_open] = ACTIONS(1454),
    [anon_sym_transparent] = ACTIONS(1454),
    [anon_sym_LPAREN] = ACTIONS(1460),
    [anon_sym_macro] = ACTIONS(1812),
    [anon_sym_BANG] = ACTIONS(1452),
    [anon_sym_TILDE] = ACTIONS(1452),
    [anon_sym_DOLLAR] = ACTIONS(1462),
    [anon_sym_SQUOTE] = ACTIONS(1464),
    [sym__backquoted_id] = ACTIONS(1466),
    [sym_operator_identifier] = ACTIONS(1814),
    [sym_integer_literal] = ACTIONS(1470),
    [sym_floating_point_literal] = ACTIONS(1472),
    [anon_sym_true] = ACTIONS(1474),
    [anon_sym_false] = ACTIONS(1474),
    [sym_character_literal] = ACTIONS(1472),
    [sym_null_literal] = ACTIONS(1476),
    [anon_sym_return] = ACTIONS(1816),
    [anon_sym_throw] = ACTIONS(1818),
    [anon_sym_do] = ACTIONS(1548),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2240),
    [sym__simple_multiline_string] = ACTIONS(1478),
    [sym__simple_string] = ACTIONS(1478),
  },
  [1205] = {
    [sym_inline_modifier] = STATE(2044),
    [sym__indentable_expression] = STATE(11982),
    [sym_block] = STATE(9913),
    [sym_indented_block] = STATE(11923),
    [sym_indented_cases] = STATE(11923),
    [sym_expression] = STATE(13501),
    [sym__simple_expression] = STATE(7224),
    [sym_lambda_expression] = STATE(12144),
    [sym_if_expression] = STATE(12144),
    [sym_match_expression] = STATE(12144),
    [sym_try_expression] = STATE(12144),
    [sym_bindings] = STATE(15632),
    [sym_case_block] = STATE(9913),
    [sym_assignment_expression] = STATE(12144),
    [sym_generic_function] = STATE(9913),
    [sym_call_expression] = STATE(9913),
    [sym_field_expression] = STATE(9913),
    [sym_instance_expression] = STATE(9913),
    [sym_ascription_expression] = STATE(12144),
    [sym_infix_expression] = STATE(10304),
    [sym_postfix_expression] = STATE(11499),
    [sym__postfix_expression_choice] = STATE(16334),
    [sym_macro_body] = STATE(12144),
    [sym_prefix_expression] = STATE(9963),
    [sym_tuple_expression] = STATE(9913),
    [sym_parenthesized_expression] = STATE(9913),
    [sym_splice_expression] = STATE(9913),
    [sym_quote_expression] = STATE(9913),
    [sym_identifier] = STATE(6170),
    [sym__soft_identifier] = STATE(4555),
    [sym_wildcard] = STATE(8897),
    [sym__non_null_literal] = STATE(9913),
    [sym_boolean_literal] = STATE(6572),
    [sym_interpolated_string_expression] = STATE(9913),
    [sym_string] = STATE(6572),
    [sym_unit] = STATE(9913),
    [sym_return_expression] = STATE(12144),
    [sym_throw_expression] = STATE(12144),
    [sym_while_expression] = STATE(12144),
    [sym_do_while_expression] = STATE(12144),
    [sym_for_expression] = STATE(12144),
    [sym_comment] = STATE(1205),
    [sym_block_comment] = STATE(1205),
    [sym__alpha_identifier] = ACTIONS(1766),
    [anon_sym_LBRACE] = ACTIONS(1770),
    [anon_sym__] = ACTIONS(1772),
    [anon_sym_PLUS] = ACTIONS(1774),
    [anon_sym_DASH] = ACTIONS(1774),
    [anon_sym_end] = ACTIONS(1776),
    [anon_sym_if] = ACTIONS(2160),
    [anon_sym_while] = ACTIONS(2162),
    [anon_sym_for] = ACTIONS(2164),
    [anon_sym_try] = ACTIONS(2166),
    [anon_sym_new] = ACTIONS(1778),
    [anon_sym_opaque] = ACTIONS(1776),
    [anon_sym_implicit] = ACTIONS(2168),
    [anon_sym_inline] = ACTIONS(1780),
    [anon_sym_infix] = ACTIONS(1776),
    [anon_sym_open] = ACTIONS(1776),
    [anon_sym_transparent] = ACTIONS(1776),
    [anon_sym_LPAREN] = ACTIONS(1782),
    [anon_sym_macro] = ACTIONS(2170),
    [anon_sym_BANG] = ACTIONS(1774),
    [anon_sym_TILDE] = ACTIONS(1774),
    [anon_sym_DOLLAR] = ACTIONS(1784),
    [anon_sym_SQUOTE] = ACTIONS(1786),
    [sym__backquoted_id] = ACTIONS(1788),
    [sym_operator_identifier] = ACTIONS(2172),
    [sym_integer_literal] = ACTIONS(1792),
    [sym_floating_point_literal] = ACTIONS(1794),
    [anon_sym_true] = ACTIONS(1796),
    [anon_sym_false] = ACTIONS(1796),
    [sym_character_literal] = ACTIONS(1794),
    [sym_null_literal] = ACTIONS(1798),
    [anon_sym_return] = ACTIONS(2174),
    [anon_sym_throw] = ACTIONS(2176),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3280),
    [sym__simple_multiline_string] = ACTIONS(1800),
    [sym__simple_string] = ACTIONS(1800),
  },
  [1206] = {
    [sym_inline_modifier] = STATE(2064),
    [sym__indentable_expression] = STATE(13601),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(8719),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15704),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10572),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(8565),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(10039),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1206),
    [sym_block_comment] = STATE(1206),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(3246),
    [anon_sym_while] = ACTIONS(3248),
    [anon_sym_for] = ACTIONS(3250),
    [anon_sym_try] = ACTIONS(3252),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(3254),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3318),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(3259),
    [anon_sym_throw] = ACTIONS(3261),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1207] = {
    [sym_inline_modifier] = STATE(2212),
    [sym__indentable_expression] = STATE(11553),
    [sym_block] = STATE(9539),
    [sym_indented_block] = STATE(11390),
    [sym_indented_cases] = STATE(11390),
    [sym_expression] = STATE(13433),
    [sym__simple_expression] = STATE(6249),
    [sym_lambda_expression] = STATE(11374),
    [sym_if_expression] = STATE(11374),
    [sym_match_expression] = STATE(11374),
    [sym_try_expression] = STATE(11374),
    [sym_bindings] = STATE(15480),
    [sym_case_block] = STATE(9539),
    [sym_assignment_expression] = STATE(11374),
    [sym_generic_function] = STATE(9539),
    [sym_call_expression] = STATE(9539),
    [sym_field_expression] = STATE(9539),
    [sym_instance_expression] = STATE(9539),
    [sym_ascription_expression] = STATE(11374),
    [sym_infix_expression] = STATE(10179),
    [sym_postfix_expression] = STATE(11215),
    [sym__postfix_expression_choice] = STATE(16190),
    [sym_macro_body] = STATE(11374),
    [sym_prefix_expression] = STATE(9816),
    [sym_tuple_expression] = STATE(9539),
    [sym_parenthesized_expression] = STATE(9539),
    [sym_splice_expression] = STATE(9539),
    [sym_quote_expression] = STATE(9539),
    [sym_identifier] = STATE(5934),
    [sym__soft_identifier] = STATE(4462),
    [sym_wildcard] = STATE(8175),
    [sym__non_null_literal] = STATE(9539),
    [sym_boolean_literal] = STATE(5971),
    [sym_interpolated_string_expression] = STATE(9539),
    [sym_string] = STATE(5971),
    [sym_unit] = STATE(9539),
    [sym_return_expression] = STATE(11374),
    [sym_throw_expression] = STATE(11374),
    [sym_while_expression] = STATE(11374),
    [sym_do_while_expression] = STATE(11374),
    [sym_for_expression] = STATE(11374),
    [sym_comment] = STATE(1207),
    [sym_block_comment] = STATE(1207),
    [sym__alpha_identifier] = ACTIONS(1444),
    [anon_sym_LBRACE] = ACTIONS(1448),
    [anon_sym__] = ACTIONS(1450),
    [anon_sym_PLUS] = ACTIONS(1452),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_end] = ACTIONS(1454),
    [anon_sym_if] = ACTIONS(1802),
    [anon_sym_while] = ACTIONS(1804),
    [anon_sym_for] = ACTIONS(1806),
    [anon_sym_try] = ACTIONS(1808),
    [anon_sym_new] = ACTIONS(1456),
    [anon_sym_opaque] = ACTIONS(1454),
    [anon_sym_implicit] = ACTIONS(1810),
    [anon_sym_inline] = ACTIONS(1458),
    [anon_sym_infix] = ACTIONS(1454),
    [anon_sym_open] = ACTIONS(1454),
    [anon_sym_transparent] = ACTIONS(1454),
    [anon_sym_LPAREN] = ACTIONS(1460),
    [anon_sym_macro] = ACTIONS(1812),
    [anon_sym_BANG] = ACTIONS(1452),
    [anon_sym_TILDE] = ACTIONS(1452),
    [anon_sym_DOLLAR] = ACTIONS(1462),
    [anon_sym_SQUOTE] = ACTIONS(1464),
    [sym__backquoted_id] = ACTIONS(1466),
    [sym_operator_identifier] = ACTIONS(1814),
    [sym_integer_literal] = ACTIONS(1470),
    [sym_floating_point_literal] = ACTIONS(1472),
    [anon_sym_true] = ACTIONS(1474),
    [anon_sym_false] = ACTIONS(1474),
    [sym_character_literal] = ACTIONS(1472),
    [sym_null_literal] = ACTIONS(1476),
    [anon_sym_return] = ACTIONS(1816),
    [anon_sym_throw] = ACTIONS(1818),
    [anon_sym_do] = ACTIONS(1548),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2240),
    [sym__simple_multiline_string] = ACTIONS(1478),
    [sym__simple_string] = ACTIONS(1478),
  },
  [1208] = {
    [sym_inline_modifier] = STATE(2106),
    [sym__indentable_expression] = STATE(12355),
    [sym_block] = STATE(8041),
    [sym_indented_block] = STATE(12292),
    [sym_indented_cases] = STATE(12292),
    [sym_expression] = STATE(12256),
    [sym__simple_expression] = STATE(6252),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15549),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(9660),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(5550),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(8541),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(1208),
    [sym_block_comment] = STATE(1208),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(3114),
    [anon_sym_while] = ACTIONS(3116),
    [anon_sym_for] = ACTIONS(3118),
    [anon_sym_try] = ACTIONS(3120),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(3122),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(3134),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(3127),
    [anon_sym_throw] = ACTIONS(3129),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1209] = {
    [sym_inline_modifier] = STATE(2212),
    [sym__indentable_expression] = STATE(11551),
    [sym_block] = STATE(9539),
    [sym_indented_block] = STATE(11390),
    [sym_indented_cases] = STATE(11390),
    [sym_expression] = STATE(13433),
    [sym__simple_expression] = STATE(6249),
    [sym_lambda_expression] = STATE(11374),
    [sym_if_expression] = STATE(11374),
    [sym_match_expression] = STATE(11374),
    [sym_try_expression] = STATE(11374),
    [sym_bindings] = STATE(15480),
    [sym_case_block] = STATE(9539),
    [sym_assignment_expression] = STATE(11374),
    [sym_generic_function] = STATE(9539),
    [sym_call_expression] = STATE(9539),
    [sym_field_expression] = STATE(9539),
    [sym_instance_expression] = STATE(9539),
    [sym_ascription_expression] = STATE(11374),
    [sym_infix_expression] = STATE(10179),
    [sym_postfix_expression] = STATE(11215),
    [sym__postfix_expression_choice] = STATE(16190),
    [sym_macro_body] = STATE(11374),
    [sym_prefix_expression] = STATE(9816),
    [sym_tuple_expression] = STATE(9539),
    [sym_parenthesized_expression] = STATE(9539),
    [sym_splice_expression] = STATE(9539),
    [sym_quote_expression] = STATE(9539),
    [sym_identifier] = STATE(5934),
    [sym__soft_identifier] = STATE(4462),
    [sym_wildcard] = STATE(8175),
    [sym__non_null_literal] = STATE(9539),
    [sym_boolean_literal] = STATE(5971),
    [sym_interpolated_string_expression] = STATE(9539),
    [sym_string] = STATE(5971),
    [sym_unit] = STATE(9539),
    [sym_return_expression] = STATE(11374),
    [sym_throw_expression] = STATE(11374),
    [sym_while_expression] = STATE(11374),
    [sym_do_while_expression] = STATE(11374),
    [sym_for_expression] = STATE(11374),
    [sym_comment] = STATE(1209),
    [sym_block_comment] = STATE(1209),
    [sym__alpha_identifier] = ACTIONS(1444),
    [anon_sym_LBRACE] = ACTIONS(1448),
    [anon_sym__] = ACTIONS(1450),
    [anon_sym_PLUS] = ACTIONS(1452),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_end] = ACTIONS(1454),
    [anon_sym_if] = ACTIONS(1802),
    [anon_sym_while] = ACTIONS(1804),
    [anon_sym_for] = ACTIONS(1806),
    [anon_sym_try] = ACTIONS(1808),
    [anon_sym_new] = ACTIONS(1456),
    [anon_sym_opaque] = ACTIONS(1454),
    [anon_sym_implicit] = ACTIONS(1810),
    [anon_sym_inline] = ACTIONS(1458),
    [anon_sym_infix] = ACTIONS(1454),
    [anon_sym_open] = ACTIONS(1454),
    [anon_sym_transparent] = ACTIONS(1454),
    [anon_sym_LPAREN] = ACTIONS(1460),
    [anon_sym_macro] = ACTIONS(1812),
    [anon_sym_BANG] = ACTIONS(1452),
    [anon_sym_TILDE] = ACTIONS(1452),
    [anon_sym_DOLLAR] = ACTIONS(1462),
    [anon_sym_SQUOTE] = ACTIONS(1464),
    [sym__backquoted_id] = ACTIONS(1466),
    [sym_operator_identifier] = ACTIONS(1814),
    [sym_integer_literal] = ACTIONS(1470),
    [sym_floating_point_literal] = ACTIONS(1472),
    [anon_sym_true] = ACTIONS(1474),
    [anon_sym_false] = ACTIONS(1474),
    [sym_character_literal] = ACTIONS(1472),
    [sym_null_literal] = ACTIONS(1476),
    [anon_sym_return] = ACTIONS(1816),
    [anon_sym_throw] = ACTIONS(1818),
    [anon_sym_do] = ACTIONS(1548),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2240),
    [sym__simple_multiline_string] = ACTIONS(1478),
    [sym__simple_string] = ACTIONS(1478),
  },
  [1210] = {
    [sym_inline_modifier] = STATE(2076),
    [sym__indentable_expression] = STATE(14232),
    [sym_block] = STATE(9327),
    [sym_indented_block] = STATE(13548),
    [sym_indented_cases] = STATE(13548),
    [sym_expression] = STATE(13406),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(1210),
    [sym_block_comment] = STATE(1210),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(3109),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [1211] = {
    [sym_inline_modifier] = STATE(2281),
    [sym__indentable_expression] = STATE(11526),
    [sym_block] = STATE(6540),
    [sym_indented_block] = STATE(11390),
    [sym_indented_cases] = STATE(11390),
    [sym_expression] = STATE(11385),
    [sym__simple_expression] = STATE(5304),
    [sym_lambda_expression] = STATE(11374),
    [sym_if_expression] = STATE(11374),
    [sym_match_expression] = STATE(11374),
    [sym_try_expression] = STATE(11374),
    [sym_bindings] = STATE(15689),
    [sym_case_block] = STATE(6540),
    [sym_assignment_expression] = STATE(11374),
    [sym_generic_function] = STATE(6540),
    [sym_call_expression] = STATE(6540),
    [sym_field_expression] = STATE(6540),
    [sym_instance_expression] = STATE(6540),
    [sym_ascription_expression] = STATE(11374),
    [sym_infix_expression] = STATE(7834),
    [sym_postfix_expression] = STATE(11215),
    [sym__postfix_expression_choice] = STATE(16210),
    [sym_macro_body] = STATE(11374),
    [sym_prefix_expression] = STATE(8725),
    [sym_tuple_expression] = STATE(6540),
    [sym_parenthesized_expression] = STATE(6540),
    [sym_splice_expression] = STATE(6540),
    [sym_quote_expression] = STATE(6540),
    [sym_identifier] = STATE(4721),
    [sym__soft_identifier] = STATE(4667),
    [sym_wildcard] = STATE(7076),
    [sym__non_null_literal] = STATE(6540),
    [sym_boolean_literal] = STATE(6246),
    [sym_interpolated_string_expression] = STATE(6540),
    [sym_string] = STATE(6246),
    [sym_unit] = STATE(6540),
    [sym_return_expression] = STATE(11374),
    [sym_throw_expression] = STATE(11374),
    [sym_while_expression] = STATE(11374),
    [sym_do_while_expression] = STATE(11374),
    [sym_for_expression] = STATE(11374),
    [sym_comment] = STATE(1211),
    [sym_block_comment] = STATE(1211),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(2238),
    [anon_sym_while] = ACTIONS(1568),
    [anon_sym_for] = ACTIONS(1570),
    [anon_sym_try] = ACTIONS(1572),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1574),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1540),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1576),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1578),
    [anon_sym_throw] = ACTIONS(1580),
    [anon_sym_do] = ACTIONS(1548),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2240),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [1212] = {
    [sym_inline_modifier] = STATE(2189),
    [sym__indentable_expression] = STATE(13489),
    [sym_block] = STATE(9327),
    [sym_indented_block] = STATE(13548),
    [sym_indented_cases] = STATE(13548),
    [sym_expression] = STATE(13406),
    [sym__simple_expression] = STATE(7289),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15762),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10205),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10142),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6081),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(8816),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(1212),
    [sym_block_comment] = STATE(1212),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(569),
    [anon_sym_DASH] = ACTIONS(569),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(571),
    [anon_sym_while] = ACTIONS(573),
    [anon_sym_for] = ACTIONS(575),
    [anon_sym_try] = ACTIONS(577),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(2248),
    [anon_sym_inline] = ACTIONS(1860),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(569),
    [anon_sym_TILDE] = ACTIONS(569),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(587),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(589),
    [anon_sym_throw] = ACTIONS(591),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [1213] = {
    [sym_inline_modifier] = STATE(2064),
    [sym__indentable_expression] = STATE(13508),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(8719),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15704),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10572),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(8565),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(10039),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1213),
    [sym_block_comment] = STATE(1213),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(3246),
    [anon_sym_while] = ACTIONS(3248),
    [anon_sym_for] = ACTIONS(3250),
    [anon_sym_try] = ACTIONS(3252),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(3254),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3318),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(3259),
    [anon_sym_throw] = ACTIONS(3261),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1214] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(13601),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1214),
    [sym_block_comment] = STATE(1214),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1215] = {
    [sym_inline_modifier] = STATE(2281),
    [sym__indentable_expression] = STATE(11551),
    [sym_block] = STATE(6540),
    [sym_indented_block] = STATE(11390),
    [sym_indented_cases] = STATE(11390),
    [sym_expression] = STATE(11385),
    [sym__simple_expression] = STATE(5304),
    [sym_lambda_expression] = STATE(11374),
    [sym_if_expression] = STATE(11374),
    [sym_match_expression] = STATE(11374),
    [sym_try_expression] = STATE(11374),
    [sym_bindings] = STATE(15689),
    [sym_case_block] = STATE(6540),
    [sym_assignment_expression] = STATE(11374),
    [sym_generic_function] = STATE(6540),
    [sym_call_expression] = STATE(6540),
    [sym_field_expression] = STATE(6540),
    [sym_instance_expression] = STATE(6540),
    [sym_ascription_expression] = STATE(11374),
    [sym_infix_expression] = STATE(7834),
    [sym_postfix_expression] = STATE(11215),
    [sym__postfix_expression_choice] = STATE(16210),
    [sym_macro_body] = STATE(11374),
    [sym_prefix_expression] = STATE(8725),
    [sym_tuple_expression] = STATE(6540),
    [sym_parenthesized_expression] = STATE(6540),
    [sym_splice_expression] = STATE(6540),
    [sym_quote_expression] = STATE(6540),
    [sym_identifier] = STATE(4721),
    [sym__soft_identifier] = STATE(4667),
    [sym_wildcard] = STATE(7076),
    [sym__non_null_literal] = STATE(6540),
    [sym_boolean_literal] = STATE(6246),
    [sym_interpolated_string_expression] = STATE(6540),
    [sym_string] = STATE(6246),
    [sym_unit] = STATE(6540),
    [sym_return_expression] = STATE(11374),
    [sym_throw_expression] = STATE(11374),
    [sym_while_expression] = STATE(11374),
    [sym_do_while_expression] = STATE(11374),
    [sym_for_expression] = STATE(11374),
    [sym_comment] = STATE(1215),
    [sym_block_comment] = STATE(1215),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(2238),
    [anon_sym_while] = ACTIONS(1568),
    [anon_sym_for] = ACTIONS(1570),
    [anon_sym_try] = ACTIONS(1572),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1574),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1540),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1576),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1578),
    [anon_sym_throw] = ACTIONS(1580),
    [anon_sym_do] = ACTIONS(1548),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2240),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [1216] = {
    [sym_inline_modifier] = STATE(2252),
    [sym__indentable_expression] = STATE(13432),
    [sym_block] = STATE(8262),
    [sym_indented_block] = STATE(13058),
    [sym_indented_cases] = STATE(13058),
    [sym_expression] = STATE(12868),
    [sym__simple_expression] = STATE(5471),
    [sym_lambda_expression] = STATE(13098),
    [sym_if_expression] = STATE(13098),
    [sym_match_expression] = STATE(13098),
    [sym_try_expression] = STATE(13098),
    [sym_bindings] = STATE(15615),
    [sym_case_block] = STATE(8262),
    [sym_assignment_expression] = STATE(13098),
    [sym_generic_function] = STATE(8262),
    [sym_call_expression] = STATE(8262),
    [sym_field_expression] = STATE(8262),
    [sym_instance_expression] = STATE(8262),
    [sym_ascription_expression] = STATE(13098),
    [sym_infix_expression] = STATE(9485),
    [sym_postfix_expression] = STATE(12647),
    [sym__postfix_expression_choice] = STATE(16347),
    [sym_macro_body] = STATE(13098),
    [sym_prefix_expression] = STATE(9525),
    [sym_tuple_expression] = STATE(8262),
    [sym_parenthesized_expression] = STATE(8262),
    [sym_splice_expression] = STATE(8262),
    [sym_quote_expression] = STATE(8262),
    [sym_identifier] = STATE(5180),
    [sym__soft_identifier] = STATE(5419),
    [sym_wildcard] = STATE(7820),
    [sym__non_null_literal] = STATE(8262),
    [sym_boolean_literal] = STATE(8242),
    [sym_interpolated_string_expression] = STATE(8262),
    [sym_string] = STATE(8242),
    [sym_unit] = STATE(8262),
    [sym_return_expression] = STATE(13098),
    [sym_throw_expression] = STATE(13098),
    [sym_while_expression] = STATE(13098),
    [sym_do_while_expression] = STATE(13098),
    [sym_for_expression] = STATE(13098),
    [sym_comment] = STATE(1216),
    [sym_block_comment] = STATE(1216),
    [sym__alpha_identifier] = ACTIONS(1278),
    [anon_sym_LBRACE] = ACTIONS(1282),
    [anon_sym__] = ACTIONS(1284),
    [anon_sym_PLUS] = ACTIONS(1286),
    [anon_sym_DASH] = ACTIONS(1286),
    [anon_sym_end] = ACTIONS(1288),
    [anon_sym_if] = ACTIONS(1710),
    [anon_sym_while] = ACTIONS(1712),
    [anon_sym_for] = ACTIONS(1714),
    [anon_sym_try] = ACTIONS(1716),
    [anon_sym_new] = ACTIONS(1290),
    [anon_sym_opaque] = ACTIONS(1288),
    [anon_sym_implicit] = ACTIONS(1718),
    [anon_sym_inline] = ACTIONS(1292),
    [anon_sym_infix] = ACTIONS(1288),
    [anon_sym_open] = ACTIONS(1288),
    [anon_sym_transparent] = ACTIONS(1288),
    [anon_sym_LPAREN] = ACTIONS(1294),
    [anon_sym_macro] = ACTIONS(1720),
    [anon_sym_BANG] = ACTIONS(1286),
    [anon_sym_TILDE] = ACTIONS(1286),
    [anon_sym_DOLLAR] = ACTIONS(1296),
    [anon_sym_SQUOTE] = ACTIONS(1298),
    [sym__backquoted_id] = ACTIONS(1300),
    [sym_operator_identifier] = ACTIONS(1722),
    [sym_integer_literal] = ACTIONS(1304),
    [sym_floating_point_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1308),
    [anon_sym_false] = ACTIONS(1308),
    [sym_character_literal] = ACTIONS(1306),
    [sym_null_literal] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(1724),
    [anon_sym_throw] = ACTIONS(1726),
    [anon_sym_do] = ACTIONS(1728),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2198),
    [sym__simple_multiline_string] = ACTIONS(1312),
    [sym__simple_string] = ACTIONS(1312),
  },
  [1217] = {
    [sym_inline_modifier] = STATE(2281),
    [sym__indentable_expression] = STATE(11553),
    [sym_block] = STATE(6540),
    [sym_indented_block] = STATE(11390),
    [sym_indented_cases] = STATE(11390),
    [sym_expression] = STATE(11385),
    [sym__simple_expression] = STATE(5304),
    [sym_lambda_expression] = STATE(11374),
    [sym_if_expression] = STATE(11374),
    [sym_match_expression] = STATE(11374),
    [sym_try_expression] = STATE(11374),
    [sym_bindings] = STATE(15689),
    [sym_case_block] = STATE(6540),
    [sym_assignment_expression] = STATE(11374),
    [sym_generic_function] = STATE(6540),
    [sym_call_expression] = STATE(6540),
    [sym_field_expression] = STATE(6540),
    [sym_instance_expression] = STATE(6540),
    [sym_ascription_expression] = STATE(11374),
    [sym_infix_expression] = STATE(7834),
    [sym_postfix_expression] = STATE(11215),
    [sym__postfix_expression_choice] = STATE(16210),
    [sym_macro_body] = STATE(11374),
    [sym_prefix_expression] = STATE(8725),
    [sym_tuple_expression] = STATE(6540),
    [sym_parenthesized_expression] = STATE(6540),
    [sym_splice_expression] = STATE(6540),
    [sym_quote_expression] = STATE(6540),
    [sym_identifier] = STATE(4721),
    [sym__soft_identifier] = STATE(4667),
    [sym_wildcard] = STATE(7076),
    [sym__non_null_literal] = STATE(6540),
    [sym_boolean_literal] = STATE(6246),
    [sym_interpolated_string_expression] = STATE(6540),
    [sym_string] = STATE(6246),
    [sym_unit] = STATE(6540),
    [sym_return_expression] = STATE(11374),
    [sym_throw_expression] = STATE(11374),
    [sym_while_expression] = STATE(11374),
    [sym_do_while_expression] = STATE(11374),
    [sym_for_expression] = STATE(11374),
    [sym_comment] = STATE(1217),
    [sym_block_comment] = STATE(1217),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(2238),
    [anon_sym_while] = ACTIONS(1568),
    [anon_sym_for] = ACTIONS(1570),
    [anon_sym_try] = ACTIONS(1572),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1574),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1540),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1576),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1578),
    [anon_sym_throw] = ACTIONS(1580),
    [anon_sym_do] = ACTIONS(1548),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2240),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [1218] = {
    [sym_inline_modifier] = STATE(2044),
    [sym__indentable_expression] = STATE(11973),
    [sym_block] = STATE(9913),
    [sym_indented_block] = STATE(11923),
    [sym_indented_cases] = STATE(11923),
    [sym_expression] = STATE(13501),
    [sym__simple_expression] = STATE(7224),
    [sym_lambda_expression] = STATE(12144),
    [sym_if_expression] = STATE(12144),
    [sym_match_expression] = STATE(12144),
    [sym_try_expression] = STATE(12144),
    [sym_bindings] = STATE(15632),
    [sym_case_block] = STATE(9913),
    [sym_assignment_expression] = STATE(12144),
    [sym_generic_function] = STATE(9913),
    [sym_call_expression] = STATE(9913),
    [sym_field_expression] = STATE(9913),
    [sym_instance_expression] = STATE(9913),
    [sym_ascription_expression] = STATE(12144),
    [sym_infix_expression] = STATE(10304),
    [sym_postfix_expression] = STATE(11499),
    [sym__postfix_expression_choice] = STATE(16334),
    [sym_macro_body] = STATE(12144),
    [sym_prefix_expression] = STATE(9963),
    [sym_tuple_expression] = STATE(9913),
    [sym_parenthesized_expression] = STATE(9913),
    [sym_splice_expression] = STATE(9913),
    [sym_quote_expression] = STATE(9913),
    [sym_identifier] = STATE(6170),
    [sym__soft_identifier] = STATE(4555),
    [sym_wildcard] = STATE(8897),
    [sym__non_null_literal] = STATE(9913),
    [sym_boolean_literal] = STATE(6572),
    [sym_interpolated_string_expression] = STATE(9913),
    [sym_string] = STATE(6572),
    [sym_unit] = STATE(9913),
    [sym_return_expression] = STATE(12144),
    [sym_throw_expression] = STATE(12144),
    [sym_while_expression] = STATE(12144),
    [sym_do_while_expression] = STATE(12144),
    [sym_for_expression] = STATE(12144),
    [sym_comment] = STATE(1218),
    [sym_block_comment] = STATE(1218),
    [sym__alpha_identifier] = ACTIONS(1766),
    [anon_sym_LBRACE] = ACTIONS(1770),
    [anon_sym__] = ACTIONS(1772),
    [anon_sym_PLUS] = ACTIONS(1774),
    [anon_sym_DASH] = ACTIONS(1774),
    [anon_sym_end] = ACTIONS(1776),
    [anon_sym_if] = ACTIONS(2160),
    [anon_sym_while] = ACTIONS(2162),
    [anon_sym_for] = ACTIONS(2164),
    [anon_sym_try] = ACTIONS(2166),
    [anon_sym_new] = ACTIONS(1778),
    [anon_sym_opaque] = ACTIONS(1776),
    [anon_sym_implicit] = ACTIONS(2168),
    [anon_sym_inline] = ACTIONS(1780),
    [anon_sym_infix] = ACTIONS(1776),
    [anon_sym_open] = ACTIONS(1776),
    [anon_sym_transparent] = ACTIONS(1776),
    [anon_sym_LPAREN] = ACTIONS(1782),
    [anon_sym_macro] = ACTIONS(2170),
    [anon_sym_BANG] = ACTIONS(1774),
    [anon_sym_TILDE] = ACTIONS(1774),
    [anon_sym_DOLLAR] = ACTIONS(1784),
    [anon_sym_SQUOTE] = ACTIONS(1786),
    [sym__backquoted_id] = ACTIONS(1788),
    [sym_operator_identifier] = ACTIONS(2172),
    [sym_integer_literal] = ACTIONS(1792),
    [sym_floating_point_literal] = ACTIONS(1794),
    [anon_sym_true] = ACTIONS(1796),
    [anon_sym_false] = ACTIONS(1796),
    [sym_character_literal] = ACTIONS(1794),
    [sym_null_literal] = ACTIONS(1798),
    [anon_sym_return] = ACTIONS(2174),
    [anon_sym_throw] = ACTIONS(2176),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3280),
    [sym__simple_multiline_string] = ACTIONS(1800),
    [sym__simple_string] = ACTIONS(1800),
  },
  [1219] = {
    [sym_inline_modifier] = STATE(2281),
    [sym__indentable_expression] = STATE(11554),
    [sym_block] = STATE(6540),
    [sym_indented_block] = STATE(11390),
    [sym_indented_cases] = STATE(11390),
    [sym_expression] = STATE(11385),
    [sym__simple_expression] = STATE(5304),
    [sym_lambda_expression] = STATE(11374),
    [sym_if_expression] = STATE(11374),
    [sym_match_expression] = STATE(11374),
    [sym_try_expression] = STATE(11374),
    [sym_bindings] = STATE(15689),
    [sym_case_block] = STATE(6540),
    [sym_assignment_expression] = STATE(11374),
    [sym_generic_function] = STATE(6540),
    [sym_call_expression] = STATE(6540),
    [sym_field_expression] = STATE(6540),
    [sym_instance_expression] = STATE(6540),
    [sym_ascription_expression] = STATE(11374),
    [sym_infix_expression] = STATE(7834),
    [sym_postfix_expression] = STATE(11215),
    [sym__postfix_expression_choice] = STATE(16210),
    [sym_macro_body] = STATE(11374),
    [sym_prefix_expression] = STATE(8725),
    [sym_tuple_expression] = STATE(6540),
    [sym_parenthesized_expression] = STATE(6540),
    [sym_splice_expression] = STATE(6540),
    [sym_quote_expression] = STATE(6540),
    [sym_identifier] = STATE(4721),
    [sym__soft_identifier] = STATE(4667),
    [sym_wildcard] = STATE(7076),
    [sym__non_null_literal] = STATE(6540),
    [sym_boolean_literal] = STATE(6246),
    [sym_interpolated_string_expression] = STATE(6540),
    [sym_string] = STATE(6246),
    [sym_unit] = STATE(6540),
    [sym_return_expression] = STATE(11374),
    [sym_throw_expression] = STATE(11374),
    [sym_while_expression] = STATE(11374),
    [sym_do_while_expression] = STATE(11374),
    [sym_for_expression] = STATE(11374),
    [sym_comment] = STATE(1219),
    [sym_block_comment] = STATE(1219),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(2238),
    [anon_sym_while] = ACTIONS(1568),
    [anon_sym_for] = ACTIONS(1570),
    [anon_sym_try] = ACTIONS(1572),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1574),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1540),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1576),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1578),
    [anon_sym_throw] = ACTIONS(1580),
    [anon_sym_do] = ACTIONS(1548),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2240),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [1220] = {
    [sym_inline_modifier] = STATE(2208),
    [sym__indentable_expression] = STATE(13301),
    [sym_block] = STATE(8821),
    [sym_indented_block] = STATE(13308),
    [sym_indented_cases] = STATE(13308),
    [sym_expression] = STATE(13197),
    [sym__simple_expression] = STATE(6537),
    [sym_lambda_expression] = STATE(13337),
    [sym_if_expression] = STATE(13337),
    [sym_match_expression] = STATE(13337),
    [sym_try_expression] = STATE(13337),
    [sym_bindings] = STATE(15500),
    [sym_case_block] = STATE(8821),
    [sym_assignment_expression] = STATE(13337),
    [sym_generic_function] = STATE(8821),
    [sym_call_expression] = STATE(8821),
    [sym_field_expression] = STATE(8821),
    [sym_instance_expression] = STATE(8821),
    [sym_ascription_expression] = STATE(13337),
    [sym_infix_expression] = STATE(9659),
    [sym_postfix_expression] = STATE(13173),
    [sym__postfix_expression_choice] = STATE(16170),
    [sym_macro_body] = STATE(13337),
    [sym_prefix_expression] = STATE(9718),
    [sym_tuple_expression] = STATE(8821),
    [sym_parenthesized_expression] = STATE(8821),
    [sym_splice_expression] = STATE(8821),
    [sym_quote_expression] = STATE(8821),
    [sym_identifier] = STATE(5968),
    [sym__soft_identifier] = STATE(6446),
    [sym_wildcard] = STATE(8208),
    [sym__non_null_literal] = STATE(8821),
    [sym_boolean_literal] = STATE(8798),
    [sym_interpolated_string_expression] = STATE(8821),
    [sym_string] = STATE(8798),
    [sym_unit] = STATE(8821),
    [sym_return_expression] = STATE(13337),
    [sym_throw_expression] = STATE(13337),
    [sym_while_expression] = STATE(13337),
    [sym_do_while_expression] = STATE(13337),
    [sym_for_expression] = STATE(13337),
    [sym_comment] = STATE(1220),
    [sym_block_comment] = STATE(1220),
    [sym__alpha_identifier] = ACTIONS(1674),
    [anon_sym_LBRACE] = ACTIONS(1678),
    [anon_sym__] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1682),
    [anon_sym_DASH] = ACTIONS(1682),
    [anon_sym_end] = ACTIONS(1684),
    [anon_sym_if] = ACTIONS(1904),
    [anon_sym_while] = ACTIONS(1906),
    [anon_sym_for] = ACTIONS(1908),
    [anon_sym_try] = ACTIONS(1910),
    [anon_sym_new] = ACTIONS(1686),
    [anon_sym_opaque] = ACTIONS(1684),
    [anon_sym_implicit] = ACTIONS(1912),
    [anon_sym_inline] = ACTIONS(1688),
    [anon_sym_infix] = ACTIONS(1684),
    [anon_sym_open] = ACTIONS(1684),
    [anon_sym_transparent] = ACTIONS(1684),
    [anon_sym_LPAREN] = ACTIONS(1690),
    [anon_sym_macro] = ACTIONS(1914),
    [anon_sym_BANG] = ACTIONS(1682),
    [anon_sym_TILDE] = ACTIONS(1682),
    [anon_sym_DOLLAR] = ACTIONS(1692),
    [anon_sym_SQUOTE] = ACTIONS(1694),
    [sym__backquoted_id] = ACTIONS(1696),
    [sym_operator_identifier] = ACTIONS(1916),
    [sym_integer_literal] = ACTIONS(1700),
    [sym_floating_point_literal] = ACTIONS(1702),
    [anon_sym_true] = ACTIONS(1704),
    [anon_sym_false] = ACTIONS(1704),
    [sym_character_literal] = ACTIONS(1702),
    [sym_null_literal] = ACTIONS(1706),
    [anon_sym_return] = ACTIONS(1918),
    [anon_sym_throw] = ACTIONS(1920),
    [anon_sym_do] = ACTIONS(1922),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2206),
    [sym__simple_multiline_string] = ACTIONS(1708),
    [sym__simple_string] = ACTIONS(1708),
  },
  [1221] = {
    [sym_inline_modifier] = STATE(2281),
    [sym__indentable_expression] = STATE(11561),
    [sym_block] = STATE(6540),
    [sym_indented_block] = STATE(11390),
    [sym_indented_cases] = STATE(11390),
    [sym_expression] = STATE(11385),
    [sym__simple_expression] = STATE(5304),
    [sym_lambda_expression] = STATE(11374),
    [sym_if_expression] = STATE(11374),
    [sym_match_expression] = STATE(11374),
    [sym_try_expression] = STATE(11374),
    [sym_bindings] = STATE(15689),
    [sym_case_block] = STATE(6540),
    [sym_assignment_expression] = STATE(11374),
    [sym_generic_function] = STATE(6540),
    [sym_call_expression] = STATE(6540),
    [sym_field_expression] = STATE(6540),
    [sym_instance_expression] = STATE(6540),
    [sym_ascription_expression] = STATE(11374),
    [sym_infix_expression] = STATE(7834),
    [sym_postfix_expression] = STATE(11215),
    [sym__postfix_expression_choice] = STATE(16210),
    [sym_macro_body] = STATE(11374),
    [sym_prefix_expression] = STATE(8725),
    [sym_tuple_expression] = STATE(6540),
    [sym_parenthesized_expression] = STATE(6540),
    [sym_splice_expression] = STATE(6540),
    [sym_quote_expression] = STATE(6540),
    [sym_identifier] = STATE(4721),
    [sym__soft_identifier] = STATE(4667),
    [sym_wildcard] = STATE(7076),
    [sym__non_null_literal] = STATE(6540),
    [sym_boolean_literal] = STATE(6246),
    [sym_interpolated_string_expression] = STATE(6540),
    [sym_string] = STATE(6246),
    [sym_unit] = STATE(6540),
    [sym_return_expression] = STATE(11374),
    [sym_throw_expression] = STATE(11374),
    [sym_while_expression] = STATE(11374),
    [sym_do_while_expression] = STATE(11374),
    [sym_for_expression] = STATE(11374),
    [sym_comment] = STATE(1221),
    [sym_block_comment] = STATE(1221),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(2238),
    [anon_sym_while] = ACTIONS(1568),
    [anon_sym_for] = ACTIONS(1570),
    [anon_sym_try] = ACTIONS(1572),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1574),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1540),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1576),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1578),
    [anon_sym_throw] = ACTIONS(1580),
    [anon_sym_do] = ACTIONS(1548),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2240),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [1222] = {
    [sym_inline_modifier] = STATE(2084),
    [sym__indentable_expression] = STATE(15823),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(8831),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15722),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10635),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(703),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(8641),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(10149),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1222),
    [sym_block_comment] = STATE(1222),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2740),
    [anon_sym_while] = ACTIONS(2742),
    [anon_sym_for] = ACTIONS(2744),
    [anon_sym_try] = ACTIONS(2746),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2748),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3310),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3312),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2762),
    [anon_sym_throw] = ACTIONS(2764),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1223] = {
    [sym_inline_modifier] = STATE(2281),
    [sym__indentable_expression] = STATE(11597),
    [sym_block] = STATE(6540),
    [sym_indented_block] = STATE(11390),
    [sym_indented_cases] = STATE(11390),
    [sym_expression] = STATE(11385),
    [sym__simple_expression] = STATE(5304),
    [sym_lambda_expression] = STATE(11374),
    [sym_if_expression] = STATE(11374),
    [sym_match_expression] = STATE(11374),
    [sym_try_expression] = STATE(11374),
    [sym_bindings] = STATE(15689),
    [sym_case_block] = STATE(6540),
    [sym_assignment_expression] = STATE(11374),
    [sym_generic_function] = STATE(6540),
    [sym_call_expression] = STATE(6540),
    [sym_field_expression] = STATE(6540),
    [sym_instance_expression] = STATE(6540),
    [sym_ascription_expression] = STATE(11374),
    [sym_infix_expression] = STATE(7834),
    [sym_postfix_expression] = STATE(11215),
    [sym__postfix_expression_choice] = STATE(16210),
    [sym_macro_body] = STATE(11374),
    [sym_prefix_expression] = STATE(8725),
    [sym_tuple_expression] = STATE(6540),
    [sym_parenthesized_expression] = STATE(6540),
    [sym_splice_expression] = STATE(6540),
    [sym_quote_expression] = STATE(6540),
    [sym_identifier] = STATE(4721),
    [sym__soft_identifier] = STATE(4667),
    [sym_wildcard] = STATE(7076),
    [sym__non_null_literal] = STATE(6540),
    [sym_boolean_literal] = STATE(6246),
    [sym_interpolated_string_expression] = STATE(6540),
    [sym_string] = STATE(6246),
    [sym_unit] = STATE(6540),
    [sym_return_expression] = STATE(11374),
    [sym_throw_expression] = STATE(11374),
    [sym_while_expression] = STATE(11374),
    [sym_do_while_expression] = STATE(11374),
    [sym_for_expression] = STATE(11374),
    [sym_comment] = STATE(1223),
    [sym_block_comment] = STATE(1223),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(2238),
    [anon_sym_while] = ACTIONS(1568),
    [anon_sym_for] = ACTIONS(1570),
    [anon_sym_try] = ACTIONS(1572),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1574),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1540),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1576),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1578),
    [anon_sym_throw] = ACTIONS(1580),
    [anon_sym_do] = ACTIONS(1548),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2240),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [1224] = {
    [sym_inline_modifier] = STATE(2125),
    [sym__indentable_expression] = STATE(12333),
    [sym_block] = STATE(6738),
    [sym_indented_block] = STATE(12372),
    [sym_indented_cases] = STATE(12372),
    [sym_expression] = STATE(12028),
    [sym__simple_expression] = STATE(5176),
    [sym_lambda_expression] = STATE(12430),
    [sym_if_expression] = STATE(12430),
    [sym_match_expression] = STATE(12430),
    [sym_try_expression] = STATE(12430),
    [sym_bindings] = STATE(15677),
    [sym_case_block] = STATE(6738),
    [sym_assignment_expression] = STATE(12430),
    [sym_generic_function] = STATE(6738),
    [sym_call_expression] = STATE(6738),
    [sym_field_expression] = STATE(6738),
    [sym_instance_expression] = STATE(6738),
    [sym_ascription_expression] = STATE(12430),
    [sym_infix_expression] = STATE(8389),
    [sym_postfix_expression] = STATE(11930),
    [sym__postfix_expression_choice] = STATE(15885),
    [sym_macro_body] = STATE(12430),
    [sym_prefix_expression] = STATE(9115),
    [sym_tuple_expression] = STATE(6738),
    [sym_parenthesized_expression] = STATE(6738),
    [sym_splice_expression] = STATE(6738),
    [sym_quote_expression] = STATE(6738),
    [sym_identifier] = STATE(4951),
    [sym__soft_identifier] = STATE(4943),
    [sym_wildcard] = STATE(7114),
    [sym__non_null_literal] = STATE(6738),
    [sym_boolean_literal] = STATE(7301),
    [sym_interpolated_string_expression] = STATE(6738),
    [sym_string] = STATE(7301),
    [sym_unit] = STATE(6738),
    [sym_return_expression] = STATE(12430),
    [sym_throw_expression] = STATE(12430),
    [sym_while_expression] = STATE(12430),
    [sym_do_while_expression] = STATE(12430),
    [sym_for_expression] = STATE(12430),
    [sym_comment] = STATE(1224),
    [sym_block_comment] = STATE(1224),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(1350),
    [anon_sym_while] = ACTIONS(1352),
    [anon_sym_for] = ACTIONS(1354),
    [anon_sym_try] = ACTIONS(1356),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(1358),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1360),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(1362),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(1364),
    [anon_sym_throw] = ACTIONS(1366),
    [anon_sym_do] = ACTIONS(1368),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2202),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [1225] = {
    [sym_inline_modifier] = STATE(2086),
    [sym__indentable_expression] = STATE(13335),
    [sym_block] = STATE(9116),
    [sym_indented_block] = STATE(11085),
    [sym_indented_cases] = STATE(11085),
    [sym_expression] = STATE(13151),
    [sym__simple_expression] = STATE(5562),
    [sym_lambda_expression] = STATE(11364),
    [sym_if_expression] = STATE(11364),
    [sym_match_expression] = STATE(11364),
    [sym_try_expression] = STATE(11364),
    [sym_bindings] = STATE(15512),
    [sym_case_block] = STATE(9116),
    [sym_assignment_expression] = STATE(11364),
    [sym_generic_function] = STATE(9116),
    [sym_call_expression] = STATE(9116),
    [sym_field_expression] = STATE(9116),
    [sym_instance_expression] = STATE(9116),
    [sym_ascription_expression] = STATE(11364),
    [sym_infix_expression] = STATE(9793),
    [sym_postfix_expression] = STATE(10789),
    [sym__postfix_expression_choice] = STATE(15871),
    [sym_macro_body] = STATE(11364),
    [sym_prefix_expression] = STATE(9370),
    [sym_tuple_expression] = STATE(9116),
    [sym_parenthesized_expression] = STATE(9116),
    [sym_splice_expression] = STATE(9116),
    [sym_quote_expression] = STATE(9116),
    [sym_identifier] = STATE(5047),
    [sym__soft_identifier] = STATE(4332),
    [sym_wildcard] = STATE(7660),
    [sym__non_null_literal] = STATE(9116),
    [sym_boolean_literal] = STATE(5055),
    [sym_interpolated_string_expression] = STATE(9116),
    [sym_string] = STATE(5055),
    [sym_unit] = STATE(9116),
    [sym_return_expression] = STATE(11364),
    [sym_throw_expression] = STATE(11364),
    [sym_while_expression] = STATE(11364),
    [sym_do_while_expression] = STATE(11364),
    [sym_for_expression] = STATE(11364),
    [sym_comment] = STATE(1225),
    [sym_block_comment] = STATE(1225),
    [sym__alpha_identifier] = ACTIONS(1206),
    [anon_sym_LBRACE] = ACTIONS(1210),
    [anon_sym__] = ACTIONS(1212),
    [anon_sym_PLUS] = ACTIONS(1214),
    [anon_sym_DASH] = ACTIONS(1214),
    [anon_sym_end] = ACTIONS(1216),
    [anon_sym_if] = ACTIONS(1550),
    [anon_sym_while] = ACTIONS(1552),
    [anon_sym_for] = ACTIONS(1554),
    [anon_sym_try] = ACTIONS(1556),
    [anon_sym_new] = ACTIONS(1218),
    [anon_sym_opaque] = ACTIONS(1216),
    [anon_sym_implicit] = ACTIONS(1558),
    [anon_sym_inline] = ACTIONS(1220),
    [anon_sym_infix] = ACTIONS(1216),
    [anon_sym_open] = ACTIONS(1216),
    [anon_sym_transparent] = ACTIONS(1216),
    [anon_sym_LPAREN] = ACTIONS(1222),
    [anon_sym_macro] = ACTIONS(1560),
    [anon_sym_BANG] = ACTIONS(1214),
    [anon_sym_TILDE] = ACTIONS(1214),
    [anon_sym_DOLLAR] = ACTIONS(1224),
    [anon_sym_SQUOTE] = ACTIONS(1226),
    [sym__backquoted_id] = ACTIONS(1228),
    [sym_operator_identifier] = ACTIONS(1562),
    [sym_integer_literal] = ACTIONS(1232),
    [sym_floating_point_literal] = ACTIONS(1234),
    [anon_sym_true] = ACTIONS(1236),
    [anon_sym_false] = ACTIONS(1236),
    [sym_character_literal] = ACTIONS(1234),
    [sym_null_literal] = ACTIONS(1238),
    [anon_sym_return] = ACTIONS(1564),
    [anon_sym_throw] = ACTIONS(1566),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2282),
    [sym__simple_multiline_string] = ACTIONS(1240),
    [sym__simple_string] = ACTIONS(1240),
  },
  [1226] = {
    [sym_inline_modifier] = STATE(2125),
    [sym__indentable_expression] = STATE(12363),
    [sym_block] = STATE(6738),
    [sym_indented_block] = STATE(12372),
    [sym_indented_cases] = STATE(12372),
    [sym_expression] = STATE(12028),
    [sym__simple_expression] = STATE(5176),
    [sym_lambda_expression] = STATE(12430),
    [sym_if_expression] = STATE(12430),
    [sym_match_expression] = STATE(12430),
    [sym_try_expression] = STATE(12430),
    [sym_bindings] = STATE(15677),
    [sym_case_block] = STATE(6738),
    [sym_assignment_expression] = STATE(12430),
    [sym_generic_function] = STATE(6738),
    [sym_call_expression] = STATE(6738),
    [sym_field_expression] = STATE(6738),
    [sym_instance_expression] = STATE(6738),
    [sym_ascription_expression] = STATE(12430),
    [sym_infix_expression] = STATE(8389),
    [sym_postfix_expression] = STATE(11930),
    [sym__postfix_expression_choice] = STATE(15885),
    [sym_macro_body] = STATE(12430),
    [sym_prefix_expression] = STATE(9115),
    [sym_tuple_expression] = STATE(6738),
    [sym_parenthesized_expression] = STATE(6738),
    [sym_splice_expression] = STATE(6738),
    [sym_quote_expression] = STATE(6738),
    [sym_identifier] = STATE(4951),
    [sym__soft_identifier] = STATE(4943),
    [sym_wildcard] = STATE(7114),
    [sym__non_null_literal] = STATE(6738),
    [sym_boolean_literal] = STATE(7301),
    [sym_interpolated_string_expression] = STATE(6738),
    [sym_string] = STATE(7301),
    [sym_unit] = STATE(6738),
    [sym_return_expression] = STATE(12430),
    [sym_throw_expression] = STATE(12430),
    [sym_while_expression] = STATE(12430),
    [sym_do_while_expression] = STATE(12430),
    [sym_for_expression] = STATE(12430),
    [sym_comment] = STATE(1226),
    [sym_block_comment] = STATE(1226),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(1350),
    [anon_sym_while] = ACTIONS(1352),
    [anon_sym_for] = ACTIONS(1354),
    [anon_sym_try] = ACTIONS(1356),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(1358),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1360),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(1362),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(1364),
    [anon_sym_throw] = ACTIONS(1366),
    [anon_sym_do] = ACTIONS(1368),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2202),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [1227] = {
    [sym_inline_modifier] = STATE(2148),
    [sym__indentable_expression] = STATE(13306),
    [sym_block] = STATE(9088),
    [sym_indented_block] = STATE(13438),
    [sym_indented_cases] = STATE(13438),
    [sym_expression] = STATE(12942),
    [sym__simple_expression] = STATE(8626),
    [sym_lambda_expression] = STATE(13338),
    [sym_if_expression] = STATE(13338),
    [sym_match_expression] = STATE(13338),
    [sym_try_expression] = STATE(13338),
    [sym_bindings] = STATE(15683),
    [sym_case_block] = STATE(9088),
    [sym_assignment_expression] = STATE(13338),
    [sym_generic_function] = STATE(9088),
    [sym_call_expression] = STATE(9088),
    [sym_field_expression] = STATE(9088),
    [sym_instance_expression] = STATE(9088),
    [sym_ascription_expression] = STATE(13338),
    [sym_infix_expression] = STATE(9773),
    [sym_postfix_expression] = STATE(13117),
    [sym__postfix_expression_choice] = STATE(15912),
    [sym_macro_body] = STATE(13338),
    [sym_prefix_expression] = STATE(10372),
    [sym_tuple_expression] = STATE(9088),
    [sym_parenthesized_expression] = STATE(9088),
    [sym_splice_expression] = STATE(9088),
    [sym_quote_expression] = STATE(9088),
    [sym_identifier] = STATE(7467),
    [sym__soft_identifier] = STATE(6581),
    [sym_wildcard] = STATE(9755),
    [sym__non_null_literal] = STATE(9088),
    [sym_boolean_literal] = STATE(8905),
    [sym_interpolated_string_expression] = STATE(9088),
    [sym_string] = STATE(8905),
    [sym_unit] = STATE(9088),
    [sym_return_expression] = STATE(13338),
    [sym_throw_expression] = STATE(13338),
    [sym_while_expression] = STATE(13338),
    [sym_do_while_expression] = STATE(13338),
    [sym_for_expression] = STATE(13338),
    [sym_comment] = STATE(1227),
    [sym_block_comment] = STATE(1227),
    [sym__alpha_identifier] = ACTIONS(1938),
    [anon_sym_LBRACE] = ACTIONS(1942),
    [anon_sym__] = ACTIONS(1944),
    [anon_sym_PLUS] = ACTIONS(1946),
    [anon_sym_DASH] = ACTIONS(1946),
    [anon_sym_end] = ACTIONS(1948),
    [anon_sym_if] = ACTIONS(2450),
    [anon_sym_while] = ACTIONS(2452),
    [anon_sym_for] = ACTIONS(2454),
    [anon_sym_try] = ACTIONS(2456),
    [anon_sym_new] = ACTIONS(1950),
    [anon_sym_opaque] = ACTIONS(1948),
    [anon_sym_implicit] = ACTIONS(2458),
    [anon_sym_inline] = ACTIONS(1952),
    [anon_sym_infix] = ACTIONS(1948),
    [anon_sym_open] = ACTIONS(1948),
    [anon_sym_transparent] = ACTIONS(1948),
    [anon_sym_LPAREN] = ACTIONS(1954),
    [anon_sym_macro] = ACTIONS(2270),
    [anon_sym_BANG] = ACTIONS(1946),
    [anon_sym_TILDE] = ACTIONS(1946),
    [anon_sym_DOLLAR] = ACTIONS(1956),
    [anon_sym_SQUOTE] = ACTIONS(1958),
    [sym__backquoted_id] = ACTIONS(1960),
    [sym_operator_identifier] = ACTIONS(2460),
    [sym_integer_literal] = ACTIONS(1964),
    [sym_floating_point_literal] = ACTIONS(1966),
    [anon_sym_true] = ACTIONS(1968),
    [anon_sym_false] = ACTIONS(1968),
    [sym_character_literal] = ACTIONS(1966),
    [sym_null_literal] = ACTIONS(1970),
    [anon_sym_return] = ACTIONS(2462),
    [anon_sym_throw] = ACTIONS(2464),
    [anon_sym_do] = ACTIONS(2278),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2346),
    [sym__simple_multiline_string] = ACTIONS(1972),
    [sym__simple_string] = ACTIONS(1972),
  },
  [1228] = {
    [sym_inline_modifier] = STATE(2212),
    [sym__indentable_expression] = STATE(11526),
    [sym_block] = STATE(9539),
    [sym_indented_block] = STATE(11390),
    [sym_indented_cases] = STATE(11390),
    [sym_expression] = STATE(13433),
    [sym__simple_expression] = STATE(6249),
    [sym_lambda_expression] = STATE(11374),
    [sym_if_expression] = STATE(11374),
    [sym_match_expression] = STATE(11374),
    [sym_try_expression] = STATE(11374),
    [sym_bindings] = STATE(15480),
    [sym_case_block] = STATE(9539),
    [sym_assignment_expression] = STATE(11374),
    [sym_generic_function] = STATE(9539),
    [sym_call_expression] = STATE(9539),
    [sym_field_expression] = STATE(9539),
    [sym_instance_expression] = STATE(9539),
    [sym_ascription_expression] = STATE(11374),
    [sym_infix_expression] = STATE(10179),
    [sym_postfix_expression] = STATE(11215),
    [sym__postfix_expression_choice] = STATE(16190),
    [sym_macro_body] = STATE(11374),
    [sym_prefix_expression] = STATE(9816),
    [sym_tuple_expression] = STATE(9539),
    [sym_parenthesized_expression] = STATE(9539),
    [sym_splice_expression] = STATE(9539),
    [sym_quote_expression] = STATE(9539),
    [sym_identifier] = STATE(5934),
    [sym__soft_identifier] = STATE(4462),
    [sym_wildcard] = STATE(8175),
    [sym__non_null_literal] = STATE(9539),
    [sym_boolean_literal] = STATE(5971),
    [sym_interpolated_string_expression] = STATE(9539),
    [sym_string] = STATE(5971),
    [sym_unit] = STATE(9539),
    [sym_return_expression] = STATE(11374),
    [sym_throw_expression] = STATE(11374),
    [sym_while_expression] = STATE(11374),
    [sym_do_while_expression] = STATE(11374),
    [sym_for_expression] = STATE(11374),
    [sym_comment] = STATE(1228),
    [sym_block_comment] = STATE(1228),
    [sym__alpha_identifier] = ACTIONS(1444),
    [anon_sym_LBRACE] = ACTIONS(1448),
    [anon_sym__] = ACTIONS(1450),
    [anon_sym_PLUS] = ACTIONS(1452),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_end] = ACTIONS(1454),
    [anon_sym_if] = ACTIONS(1802),
    [anon_sym_while] = ACTIONS(1804),
    [anon_sym_for] = ACTIONS(1806),
    [anon_sym_try] = ACTIONS(1808),
    [anon_sym_new] = ACTIONS(1456),
    [anon_sym_opaque] = ACTIONS(1454),
    [anon_sym_implicit] = ACTIONS(1810),
    [anon_sym_inline] = ACTIONS(1458),
    [anon_sym_infix] = ACTIONS(1454),
    [anon_sym_open] = ACTIONS(1454),
    [anon_sym_transparent] = ACTIONS(1454),
    [anon_sym_LPAREN] = ACTIONS(1460),
    [anon_sym_macro] = ACTIONS(1812),
    [anon_sym_BANG] = ACTIONS(1452),
    [anon_sym_TILDE] = ACTIONS(1452),
    [anon_sym_DOLLAR] = ACTIONS(1462),
    [anon_sym_SQUOTE] = ACTIONS(1464),
    [sym__backquoted_id] = ACTIONS(1466),
    [sym_operator_identifier] = ACTIONS(1814),
    [sym_integer_literal] = ACTIONS(1470),
    [sym_floating_point_literal] = ACTIONS(1472),
    [anon_sym_true] = ACTIONS(1474),
    [anon_sym_false] = ACTIONS(1474),
    [sym_character_literal] = ACTIONS(1472),
    [sym_null_literal] = ACTIONS(1476),
    [anon_sym_return] = ACTIONS(1816),
    [anon_sym_throw] = ACTIONS(1818),
    [anon_sym_do] = ACTIONS(1548),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2240),
    [sym__simple_multiline_string] = ACTIONS(1478),
    [sym__simple_string] = ACTIONS(1478),
  },
  [1229] = {
    [sym_inline_modifier] = STATE(2281),
    [sym__indentable_expression] = STATE(11625),
    [sym_block] = STATE(6540),
    [sym_indented_block] = STATE(11390),
    [sym_indented_cases] = STATE(11390),
    [sym_expression] = STATE(11385),
    [sym__simple_expression] = STATE(5304),
    [sym_lambda_expression] = STATE(11374),
    [sym_if_expression] = STATE(11374),
    [sym_match_expression] = STATE(11374),
    [sym_try_expression] = STATE(11374),
    [sym_bindings] = STATE(15689),
    [sym_case_block] = STATE(6540),
    [sym_assignment_expression] = STATE(11374),
    [sym_generic_function] = STATE(6540),
    [sym_call_expression] = STATE(6540),
    [sym_field_expression] = STATE(6540),
    [sym_instance_expression] = STATE(6540),
    [sym_ascription_expression] = STATE(11374),
    [sym_infix_expression] = STATE(7834),
    [sym_postfix_expression] = STATE(11215),
    [sym__postfix_expression_choice] = STATE(16210),
    [sym_macro_body] = STATE(11374),
    [sym_prefix_expression] = STATE(8725),
    [sym_tuple_expression] = STATE(6540),
    [sym_parenthesized_expression] = STATE(6540),
    [sym_splice_expression] = STATE(6540),
    [sym_quote_expression] = STATE(6540),
    [sym_identifier] = STATE(4721),
    [sym__soft_identifier] = STATE(4667),
    [sym_wildcard] = STATE(7076),
    [sym__non_null_literal] = STATE(6540),
    [sym_boolean_literal] = STATE(6246),
    [sym_interpolated_string_expression] = STATE(6540),
    [sym_string] = STATE(6246),
    [sym_unit] = STATE(6540),
    [sym_return_expression] = STATE(11374),
    [sym_throw_expression] = STATE(11374),
    [sym_while_expression] = STATE(11374),
    [sym_do_while_expression] = STATE(11374),
    [sym_for_expression] = STATE(11374),
    [sym_comment] = STATE(1229),
    [sym_block_comment] = STATE(1229),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(2238),
    [anon_sym_while] = ACTIONS(1568),
    [anon_sym_for] = ACTIONS(1570),
    [anon_sym_try] = ACTIONS(1572),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1574),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1540),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1576),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1578),
    [anon_sym_throw] = ACTIONS(1580),
    [anon_sym_do] = ACTIONS(1548),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2240),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [1230] = {
    [sym_inline_modifier] = STATE(2125),
    [sym__indentable_expression] = STATE(12365),
    [sym_block] = STATE(6738),
    [sym_indented_block] = STATE(12372),
    [sym_indented_cases] = STATE(12372),
    [sym_expression] = STATE(12028),
    [sym__simple_expression] = STATE(5176),
    [sym_lambda_expression] = STATE(12430),
    [sym_if_expression] = STATE(12430),
    [sym_match_expression] = STATE(12430),
    [sym_try_expression] = STATE(12430),
    [sym_bindings] = STATE(15677),
    [sym_case_block] = STATE(6738),
    [sym_assignment_expression] = STATE(12430),
    [sym_generic_function] = STATE(6738),
    [sym_call_expression] = STATE(6738),
    [sym_field_expression] = STATE(6738),
    [sym_instance_expression] = STATE(6738),
    [sym_ascription_expression] = STATE(12430),
    [sym_infix_expression] = STATE(8389),
    [sym_postfix_expression] = STATE(11930),
    [sym__postfix_expression_choice] = STATE(15885),
    [sym_macro_body] = STATE(12430),
    [sym_prefix_expression] = STATE(9115),
    [sym_tuple_expression] = STATE(6738),
    [sym_parenthesized_expression] = STATE(6738),
    [sym_splice_expression] = STATE(6738),
    [sym_quote_expression] = STATE(6738),
    [sym_identifier] = STATE(4951),
    [sym__soft_identifier] = STATE(4943),
    [sym_wildcard] = STATE(7114),
    [sym__non_null_literal] = STATE(6738),
    [sym_boolean_literal] = STATE(7301),
    [sym_interpolated_string_expression] = STATE(6738),
    [sym_string] = STATE(7301),
    [sym_unit] = STATE(6738),
    [sym_return_expression] = STATE(12430),
    [sym_throw_expression] = STATE(12430),
    [sym_while_expression] = STATE(12430),
    [sym_do_while_expression] = STATE(12430),
    [sym_for_expression] = STATE(12430),
    [sym_comment] = STATE(1230),
    [sym_block_comment] = STATE(1230),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(1350),
    [anon_sym_while] = ACTIONS(1352),
    [anon_sym_for] = ACTIONS(1354),
    [anon_sym_try] = ACTIONS(1356),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(1358),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1360),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(1362),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(1364),
    [anon_sym_throw] = ACTIONS(1366),
    [anon_sym_do] = ACTIONS(1368),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2202),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [1231] = {
    [sym_inline_modifier] = STATE(2281),
    [sym__indentable_expression] = STATE(11626),
    [sym_block] = STATE(6540),
    [sym_indented_block] = STATE(11390),
    [sym_indented_cases] = STATE(11390),
    [sym_expression] = STATE(11385),
    [sym__simple_expression] = STATE(5304),
    [sym_lambda_expression] = STATE(11374),
    [sym_if_expression] = STATE(11374),
    [sym_match_expression] = STATE(11374),
    [sym_try_expression] = STATE(11374),
    [sym_bindings] = STATE(15689),
    [sym_case_block] = STATE(6540),
    [sym_assignment_expression] = STATE(11374),
    [sym_generic_function] = STATE(6540),
    [sym_call_expression] = STATE(6540),
    [sym_field_expression] = STATE(6540),
    [sym_instance_expression] = STATE(6540),
    [sym_ascription_expression] = STATE(11374),
    [sym_infix_expression] = STATE(7834),
    [sym_postfix_expression] = STATE(11215),
    [sym__postfix_expression_choice] = STATE(16210),
    [sym_macro_body] = STATE(11374),
    [sym_prefix_expression] = STATE(8725),
    [sym_tuple_expression] = STATE(6540),
    [sym_parenthesized_expression] = STATE(6540),
    [sym_splice_expression] = STATE(6540),
    [sym_quote_expression] = STATE(6540),
    [sym_identifier] = STATE(4721),
    [sym__soft_identifier] = STATE(4667),
    [sym_wildcard] = STATE(7076),
    [sym__non_null_literal] = STATE(6540),
    [sym_boolean_literal] = STATE(6246),
    [sym_interpolated_string_expression] = STATE(6540),
    [sym_string] = STATE(6246),
    [sym_unit] = STATE(6540),
    [sym_return_expression] = STATE(11374),
    [sym_throw_expression] = STATE(11374),
    [sym_while_expression] = STATE(11374),
    [sym_do_while_expression] = STATE(11374),
    [sym_for_expression] = STATE(11374),
    [sym_comment] = STATE(1231),
    [sym_block_comment] = STATE(1231),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(2238),
    [anon_sym_while] = ACTIONS(1568),
    [anon_sym_for] = ACTIONS(1570),
    [anon_sym_try] = ACTIONS(1572),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1574),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1540),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1576),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1578),
    [anon_sym_throw] = ACTIONS(1580),
    [anon_sym_do] = ACTIONS(1548),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2240),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [1232] = {
    [sym_inline_modifier] = STATE(2132),
    [sym__indentable_expression] = STATE(13140),
    [sym_block] = STATE(6738),
    [sym_indented_block] = STATE(12372),
    [sym_indented_cases] = STATE(12372),
    [sym_expression] = STATE(12028),
    [sym__simple_expression] = STATE(6097),
    [sym_lambda_expression] = STATE(12430),
    [sym_if_expression] = STATE(12430),
    [sym_match_expression] = STATE(12430),
    [sym_try_expression] = STATE(12430),
    [sym_bindings] = STATE(15718),
    [sym_case_block] = STATE(6738),
    [sym_assignment_expression] = STATE(12430),
    [sym_generic_function] = STATE(6738),
    [sym_call_expression] = STATE(6738),
    [sym_field_expression] = STATE(6738),
    [sym_instance_expression] = STATE(6738),
    [sym_ascription_expression] = STATE(12430),
    [sym_infix_expression] = STATE(8389),
    [sym_postfix_expression] = STATE(11930),
    [sym__postfix_expression_choice] = STATE(15885),
    [sym_macro_body] = STATE(12430),
    [sym_prefix_expression] = STATE(9761),
    [sym_tuple_expression] = STATE(6738),
    [sym_parenthesized_expression] = STATE(6738),
    [sym_splice_expression] = STATE(6738),
    [sym_quote_expression] = STATE(6738),
    [sym_identifier] = STATE(5458),
    [sym__soft_identifier] = STATE(4943),
    [sym_wildcard] = STATE(8612),
    [sym__non_null_literal] = STATE(6738),
    [sym_boolean_literal] = STATE(7301),
    [sym_interpolated_string_expression] = STATE(6738),
    [sym_string] = STATE(7301),
    [sym_unit] = STATE(6738),
    [sym_return_expression] = STATE(12430),
    [sym_throw_expression] = STATE(12430),
    [sym_while_expression] = STATE(12430),
    [sym_do_while_expression] = STATE(12430),
    [sym_for_expression] = STATE(12430),
    [sym_comment] = STATE(1232),
    [sym_block_comment] = STATE(1232),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(2430),
    [anon_sym_while] = ACTIONS(2432),
    [anon_sym_for] = ACTIONS(2434),
    [anon_sym_try] = ACTIONS(2436),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(2438),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1360),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(2440),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(2442),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(1368),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2202),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [1233] = {
    [sym_inline_modifier] = STATE(2281),
    [sym__indentable_expression] = STATE(11627),
    [sym_block] = STATE(6540),
    [sym_indented_block] = STATE(11390),
    [sym_indented_cases] = STATE(11390),
    [sym_expression] = STATE(11385),
    [sym__simple_expression] = STATE(5304),
    [sym_lambda_expression] = STATE(11374),
    [sym_if_expression] = STATE(11374),
    [sym_match_expression] = STATE(11374),
    [sym_try_expression] = STATE(11374),
    [sym_bindings] = STATE(15689),
    [sym_case_block] = STATE(6540),
    [sym_assignment_expression] = STATE(11374),
    [sym_generic_function] = STATE(6540),
    [sym_call_expression] = STATE(6540),
    [sym_field_expression] = STATE(6540),
    [sym_instance_expression] = STATE(6540),
    [sym_ascription_expression] = STATE(11374),
    [sym_infix_expression] = STATE(7834),
    [sym_postfix_expression] = STATE(11215),
    [sym__postfix_expression_choice] = STATE(16210),
    [sym_macro_body] = STATE(11374),
    [sym_prefix_expression] = STATE(8725),
    [sym_tuple_expression] = STATE(6540),
    [sym_parenthesized_expression] = STATE(6540),
    [sym_splice_expression] = STATE(6540),
    [sym_quote_expression] = STATE(6540),
    [sym_identifier] = STATE(4721),
    [sym__soft_identifier] = STATE(4667),
    [sym_wildcard] = STATE(7076),
    [sym__non_null_literal] = STATE(6540),
    [sym_boolean_literal] = STATE(6246),
    [sym_interpolated_string_expression] = STATE(6540),
    [sym_string] = STATE(6246),
    [sym_unit] = STATE(6540),
    [sym_return_expression] = STATE(11374),
    [sym_throw_expression] = STATE(11374),
    [sym_while_expression] = STATE(11374),
    [sym_do_while_expression] = STATE(11374),
    [sym_for_expression] = STATE(11374),
    [sym_comment] = STATE(1233),
    [sym_block_comment] = STATE(1233),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(2238),
    [anon_sym_while] = ACTIONS(1568),
    [anon_sym_for] = ACTIONS(1570),
    [anon_sym_try] = ACTIONS(1572),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1574),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1540),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1576),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1578),
    [anon_sym_throw] = ACTIONS(1580),
    [anon_sym_do] = ACTIONS(1548),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2240),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [1234] = {
    [sym_inline_modifier] = STATE(2106),
    [sym__indentable_expression] = STATE(12619),
    [sym_block] = STATE(8041),
    [sym_indented_block] = STATE(12292),
    [sym_indented_cases] = STATE(12292),
    [sym_expression] = STATE(12256),
    [sym__simple_expression] = STATE(6252),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15549),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(9660),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(5550),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(8541),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(1234),
    [sym_block_comment] = STATE(1234),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(3114),
    [anon_sym_while] = ACTIONS(3116),
    [anon_sym_for] = ACTIONS(3118),
    [anon_sym_try] = ACTIONS(3120),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(3122),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(3134),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(3127),
    [anon_sym_throw] = ACTIONS(3129),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1235] = {
    [sym_inline_modifier] = STATE(2281),
    [sym__indentable_expression] = STATE(11630),
    [sym_block] = STATE(6540),
    [sym_indented_block] = STATE(11390),
    [sym_indented_cases] = STATE(11390),
    [sym_expression] = STATE(11385),
    [sym__simple_expression] = STATE(5304),
    [sym_lambda_expression] = STATE(11374),
    [sym_if_expression] = STATE(11374),
    [sym_match_expression] = STATE(11374),
    [sym_try_expression] = STATE(11374),
    [sym_bindings] = STATE(15689),
    [sym_case_block] = STATE(6540),
    [sym_assignment_expression] = STATE(11374),
    [sym_generic_function] = STATE(6540),
    [sym_call_expression] = STATE(6540),
    [sym_field_expression] = STATE(6540),
    [sym_instance_expression] = STATE(6540),
    [sym_ascription_expression] = STATE(11374),
    [sym_infix_expression] = STATE(7834),
    [sym_postfix_expression] = STATE(11215),
    [sym__postfix_expression_choice] = STATE(16210),
    [sym_macro_body] = STATE(11374),
    [sym_prefix_expression] = STATE(8725),
    [sym_tuple_expression] = STATE(6540),
    [sym_parenthesized_expression] = STATE(6540),
    [sym_splice_expression] = STATE(6540),
    [sym_quote_expression] = STATE(6540),
    [sym_identifier] = STATE(4721),
    [sym__soft_identifier] = STATE(4667),
    [sym_wildcard] = STATE(7076),
    [sym__non_null_literal] = STATE(6540),
    [sym_boolean_literal] = STATE(6246),
    [sym_interpolated_string_expression] = STATE(6540),
    [sym_string] = STATE(6246),
    [sym_unit] = STATE(6540),
    [sym_return_expression] = STATE(11374),
    [sym_throw_expression] = STATE(11374),
    [sym_while_expression] = STATE(11374),
    [sym_do_while_expression] = STATE(11374),
    [sym_for_expression] = STATE(11374),
    [sym_comment] = STATE(1235),
    [sym_block_comment] = STATE(1235),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(2238),
    [anon_sym_while] = ACTIONS(1568),
    [anon_sym_for] = ACTIONS(1570),
    [anon_sym_try] = ACTIONS(1572),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1574),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1540),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1576),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1578),
    [anon_sym_throw] = ACTIONS(1580),
    [anon_sym_do] = ACTIONS(1548),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2240),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [1236] = {
    [sym_inline_modifier] = STATE(2159),
    [sym__indentable_expression] = STATE(12609),
    [sym_block] = STATE(6450),
    [sym_indented_block] = STATE(11535),
    [sym_indented_cases] = STATE(11535),
    [sym_expression] = STATE(11606),
    [sym__simple_expression] = STATE(5274),
    [sym_lambda_expression] = STATE(11549),
    [sym_if_expression] = STATE(11549),
    [sym_match_expression] = STATE(11549),
    [sym_try_expression] = STATE(11549),
    [sym_bindings] = STATE(15607),
    [sym_case_block] = STATE(6450),
    [sym_assignment_expression] = STATE(11549),
    [sym_generic_function] = STATE(6450),
    [sym_call_expression] = STATE(6450),
    [sym_field_expression] = STATE(6450),
    [sym_instance_expression] = STATE(6450),
    [sym_ascription_expression] = STATE(11549),
    [sym_infix_expression] = STATE(7641),
    [sym_postfix_expression] = STATE(11204),
    [sym__postfix_expression_choice] = STATE(16480),
    [sym_macro_body] = STATE(11549),
    [sym_prefix_expression] = STATE(8822),
    [sym_tuple_expression] = STATE(6450),
    [sym_parenthesized_expression] = STATE(6450),
    [sym_splice_expression] = STATE(6450),
    [sym_quote_expression] = STATE(6450),
    [sym_identifier] = STATE(4738),
    [sym__soft_identifier] = STATE(4507),
    [sym_wildcard] = STATE(7298),
    [sym__non_null_literal] = STATE(6450),
    [sym_boolean_literal] = STATE(6156),
    [sym_interpolated_string_expression] = STATE(6450),
    [sym_string] = STATE(6156),
    [sym_unit] = STATE(6450),
    [sym_return_expression] = STATE(11549),
    [sym_throw_expression] = STATE(11549),
    [sym_while_expression] = STATE(11549),
    [sym_do_while_expression] = STATE(11549),
    [sym_for_expression] = STATE(11549),
    [sym_comment] = STATE(1236),
    [sym_block_comment] = STATE(1236),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(2472),
    [anon_sym_while] = ACTIONS(1974),
    [anon_sym_for] = ACTIONS(1976),
    [anon_sym_try] = ACTIONS(1978),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1980),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1378),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1982),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1984),
    [anon_sym_throw] = ACTIONS(1986),
    [anon_sym_do] = ACTIONS(1386),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2258),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [1237] = {
    [sym_inline_modifier] = STATE(2106),
    [sym__indentable_expression] = STATE(12525),
    [sym_block] = STATE(8041),
    [sym_indented_block] = STATE(12292),
    [sym_indented_cases] = STATE(12292),
    [sym_expression] = STATE(12256),
    [sym__simple_expression] = STATE(6252),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15549),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(9660),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(5550),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(8541),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(1237),
    [sym_block_comment] = STATE(1237),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(3114),
    [anon_sym_while] = ACTIONS(3116),
    [anon_sym_for] = ACTIONS(3118),
    [anon_sym_try] = ACTIONS(3120),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(3122),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(3134),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(3127),
    [anon_sym_throw] = ACTIONS(3129),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1238] = {
    [sym_inline_modifier] = STATE(2208),
    [sym__indentable_expression] = STATE(13407),
    [sym_block] = STATE(8821),
    [sym_indented_block] = STATE(13308),
    [sym_indented_cases] = STATE(13308),
    [sym_expression] = STATE(13197),
    [sym__simple_expression] = STATE(6537),
    [sym_lambda_expression] = STATE(13337),
    [sym_if_expression] = STATE(13337),
    [sym_match_expression] = STATE(13337),
    [sym_try_expression] = STATE(13337),
    [sym_bindings] = STATE(15500),
    [sym_case_block] = STATE(8821),
    [sym_assignment_expression] = STATE(13337),
    [sym_generic_function] = STATE(8821),
    [sym_call_expression] = STATE(8821),
    [sym_field_expression] = STATE(8821),
    [sym_instance_expression] = STATE(8821),
    [sym_ascription_expression] = STATE(13337),
    [sym_infix_expression] = STATE(9659),
    [sym_postfix_expression] = STATE(13173),
    [sym__postfix_expression_choice] = STATE(16170),
    [sym_macro_body] = STATE(13337),
    [sym_prefix_expression] = STATE(9718),
    [sym_tuple_expression] = STATE(8821),
    [sym_parenthesized_expression] = STATE(8821),
    [sym_splice_expression] = STATE(8821),
    [sym_quote_expression] = STATE(8821),
    [sym_identifier] = STATE(5968),
    [sym__soft_identifier] = STATE(6446),
    [sym_wildcard] = STATE(8208),
    [sym__non_null_literal] = STATE(8821),
    [sym_boolean_literal] = STATE(8798),
    [sym_interpolated_string_expression] = STATE(8821),
    [sym_string] = STATE(8798),
    [sym_unit] = STATE(8821),
    [sym_return_expression] = STATE(13337),
    [sym_throw_expression] = STATE(13337),
    [sym_while_expression] = STATE(13337),
    [sym_do_while_expression] = STATE(13337),
    [sym_for_expression] = STATE(13337),
    [sym_comment] = STATE(1238),
    [sym_block_comment] = STATE(1238),
    [sym__alpha_identifier] = ACTIONS(1674),
    [anon_sym_LBRACE] = ACTIONS(1678),
    [anon_sym__] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1682),
    [anon_sym_DASH] = ACTIONS(1682),
    [anon_sym_end] = ACTIONS(1684),
    [anon_sym_if] = ACTIONS(1904),
    [anon_sym_while] = ACTIONS(1906),
    [anon_sym_for] = ACTIONS(1908),
    [anon_sym_try] = ACTIONS(1910),
    [anon_sym_new] = ACTIONS(1686),
    [anon_sym_opaque] = ACTIONS(1684),
    [anon_sym_implicit] = ACTIONS(1912),
    [anon_sym_inline] = ACTIONS(1688),
    [anon_sym_infix] = ACTIONS(1684),
    [anon_sym_open] = ACTIONS(1684),
    [anon_sym_transparent] = ACTIONS(1684),
    [anon_sym_LPAREN] = ACTIONS(1690),
    [anon_sym_macro] = ACTIONS(1914),
    [anon_sym_BANG] = ACTIONS(1682),
    [anon_sym_TILDE] = ACTIONS(1682),
    [anon_sym_DOLLAR] = ACTIONS(1692),
    [anon_sym_SQUOTE] = ACTIONS(1694),
    [sym__backquoted_id] = ACTIONS(1696),
    [sym_operator_identifier] = ACTIONS(1916),
    [sym_integer_literal] = ACTIONS(1700),
    [sym_floating_point_literal] = ACTIONS(1702),
    [anon_sym_true] = ACTIONS(1704),
    [anon_sym_false] = ACTIONS(1704),
    [sym_character_literal] = ACTIONS(1702),
    [sym_null_literal] = ACTIONS(1706),
    [anon_sym_return] = ACTIONS(1918),
    [anon_sym_throw] = ACTIONS(1920),
    [anon_sym_do] = ACTIONS(1922),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2206),
    [sym__simple_multiline_string] = ACTIONS(1708),
    [sym__simple_string] = ACTIONS(1708),
  },
  [1239] = {
    [sym_inline_modifier] = STATE(2106),
    [sym__indentable_expression] = STATE(12508),
    [sym_block] = STATE(8041),
    [sym_indented_block] = STATE(12292),
    [sym_indented_cases] = STATE(12292),
    [sym_expression] = STATE(12256),
    [sym__simple_expression] = STATE(6252),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15549),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(9660),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(5550),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(8541),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(1239),
    [sym_block_comment] = STATE(1239),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(3114),
    [anon_sym_while] = ACTIONS(3116),
    [anon_sym_for] = ACTIONS(3118),
    [anon_sym_try] = ACTIONS(3120),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(3122),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(3134),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(3127),
    [anon_sym_throw] = ACTIONS(3129),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1240] = {
    [sym_inline_modifier] = STATE(2208),
    [sym__indentable_expression] = STATE(13403),
    [sym_block] = STATE(8821),
    [sym_indented_block] = STATE(13308),
    [sym_indented_cases] = STATE(13308),
    [sym_expression] = STATE(13197),
    [sym__simple_expression] = STATE(6537),
    [sym_lambda_expression] = STATE(13337),
    [sym_if_expression] = STATE(13337),
    [sym_match_expression] = STATE(13337),
    [sym_try_expression] = STATE(13337),
    [sym_bindings] = STATE(15500),
    [sym_case_block] = STATE(8821),
    [sym_assignment_expression] = STATE(13337),
    [sym_generic_function] = STATE(8821),
    [sym_call_expression] = STATE(8821),
    [sym_field_expression] = STATE(8821),
    [sym_instance_expression] = STATE(8821),
    [sym_ascription_expression] = STATE(13337),
    [sym_infix_expression] = STATE(9659),
    [sym_postfix_expression] = STATE(13173),
    [sym__postfix_expression_choice] = STATE(16170),
    [sym_macro_body] = STATE(13337),
    [sym_prefix_expression] = STATE(9718),
    [sym_tuple_expression] = STATE(8821),
    [sym_parenthesized_expression] = STATE(8821),
    [sym_splice_expression] = STATE(8821),
    [sym_quote_expression] = STATE(8821),
    [sym_identifier] = STATE(5968),
    [sym__soft_identifier] = STATE(6446),
    [sym_wildcard] = STATE(8208),
    [sym__non_null_literal] = STATE(8821),
    [sym_boolean_literal] = STATE(8798),
    [sym_interpolated_string_expression] = STATE(8821),
    [sym_string] = STATE(8798),
    [sym_unit] = STATE(8821),
    [sym_return_expression] = STATE(13337),
    [sym_throw_expression] = STATE(13337),
    [sym_while_expression] = STATE(13337),
    [sym_do_while_expression] = STATE(13337),
    [sym_for_expression] = STATE(13337),
    [sym_comment] = STATE(1240),
    [sym_block_comment] = STATE(1240),
    [sym__alpha_identifier] = ACTIONS(1674),
    [anon_sym_LBRACE] = ACTIONS(1678),
    [anon_sym__] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1682),
    [anon_sym_DASH] = ACTIONS(1682),
    [anon_sym_end] = ACTIONS(1684),
    [anon_sym_if] = ACTIONS(1904),
    [anon_sym_while] = ACTIONS(1906),
    [anon_sym_for] = ACTIONS(1908),
    [anon_sym_try] = ACTIONS(1910),
    [anon_sym_new] = ACTIONS(1686),
    [anon_sym_opaque] = ACTIONS(1684),
    [anon_sym_implicit] = ACTIONS(1912),
    [anon_sym_inline] = ACTIONS(1688),
    [anon_sym_infix] = ACTIONS(1684),
    [anon_sym_open] = ACTIONS(1684),
    [anon_sym_transparent] = ACTIONS(1684),
    [anon_sym_LPAREN] = ACTIONS(1690),
    [anon_sym_macro] = ACTIONS(1914),
    [anon_sym_BANG] = ACTIONS(1682),
    [anon_sym_TILDE] = ACTIONS(1682),
    [anon_sym_DOLLAR] = ACTIONS(1692),
    [anon_sym_SQUOTE] = ACTIONS(1694),
    [sym__backquoted_id] = ACTIONS(1696),
    [sym_operator_identifier] = ACTIONS(1916),
    [sym_integer_literal] = ACTIONS(1700),
    [sym_floating_point_literal] = ACTIONS(1702),
    [anon_sym_true] = ACTIONS(1704),
    [anon_sym_false] = ACTIONS(1704),
    [sym_character_literal] = ACTIONS(1702),
    [sym_null_literal] = ACTIONS(1706),
    [anon_sym_return] = ACTIONS(1918),
    [anon_sym_throw] = ACTIONS(1920),
    [anon_sym_do] = ACTIONS(1922),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2206),
    [sym__simple_multiline_string] = ACTIONS(1708),
    [sym__simple_string] = ACTIONS(1708),
  },
  [1241] = {
    [sym_inline_modifier] = STATE(2106),
    [sym__indentable_expression] = STATE(12405),
    [sym_block] = STATE(8041),
    [sym_indented_block] = STATE(12292),
    [sym_indented_cases] = STATE(12292),
    [sym_expression] = STATE(12256),
    [sym__simple_expression] = STATE(6252),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15549),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(9660),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(5550),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(8541),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(1241),
    [sym_block_comment] = STATE(1241),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(3114),
    [anon_sym_while] = ACTIONS(3116),
    [anon_sym_for] = ACTIONS(3118),
    [anon_sym_try] = ACTIONS(3120),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(3122),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(3134),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(3127),
    [anon_sym_throw] = ACTIONS(3129),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1242] = {
    [sym_inline_modifier] = STATE(2132),
    [sym__indentable_expression] = STATE(13498),
    [sym_block] = STATE(6738),
    [sym_indented_block] = STATE(12372),
    [sym_indented_cases] = STATE(12372),
    [sym_expression] = STATE(12028),
    [sym__simple_expression] = STATE(6097),
    [sym_lambda_expression] = STATE(12430),
    [sym_if_expression] = STATE(12430),
    [sym_match_expression] = STATE(12430),
    [sym_try_expression] = STATE(12430),
    [sym_bindings] = STATE(15718),
    [sym_case_block] = STATE(6738),
    [sym_assignment_expression] = STATE(12430),
    [sym_generic_function] = STATE(6738),
    [sym_call_expression] = STATE(6738),
    [sym_field_expression] = STATE(6738),
    [sym_instance_expression] = STATE(6738),
    [sym_ascription_expression] = STATE(12430),
    [sym_infix_expression] = STATE(8389),
    [sym_postfix_expression] = STATE(11930),
    [sym__postfix_expression_choice] = STATE(15885),
    [sym_macro_body] = STATE(12430),
    [sym_prefix_expression] = STATE(9761),
    [sym_tuple_expression] = STATE(6738),
    [sym_parenthesized_expression] = STATE(6738),
    [sym_splice_expression] = STATE(6738),
    [sym_quote_expression] = STATE(6738),
    [sym_identifier] = STATE(5458),
    [sym__soft_identifier] = STATE(4943),
    [sym_wildcard] = STATE(8612),
    [sym__non_null_literal] = STATE(6738),
    [sym_boolean_literal] = STATE(7301),
    [sym_interpolated_string_expression] = STATE(6738),
    [sym_string] = STATE(7301),
    [sym_unit] = STATE(6738),
    [sym_return_expression] = STATE(12430),
    [sym_throw_expression] = STATE(12430),
    [sym_while_expression] = STATE(12430),
    [sym_do_while_expression] = STATE(12430),
    [sym_for_expression] = STATE(12430),
    [sym_comment] = STATE(1242),
    [sym_block_comment] = STATE(1242),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(2430),
    [anon_sym_while] = ACTIONS(2432),
    [anon_sym_for] = ACTIONS(2434),
    [anon_sym_try] = ACTIONS(2436),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(2438),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1360),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(2440),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(2442),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(1368),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2202),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [1243] = {
    [sym_inline_modifier] = STATE(2086),
    [sym__indentable_expression] = STATE(13384),
    [sym_block] = STATE(9116),
    [sym_indented_block] = STATE(11085),
    [sym_indented_cases] = STATE(11085),
    [sym_expression] = STATE(13151),
    [sym__simple_expression] = STATE(5562),
    [sym_lambda_expression] = STATE(11364),
    [sym_if_expression] = STATE(11364),
    [sym_match_expression] = STATE(11364),
    [sym_try_expression] = STATE(11364),
    [sym_bindings] = STATE(15512),
    [sym_case_block] = STATE(9116),
    [sym_assignment_expression] = STATE(11364),
    [sym_generic_function] = STATE(9116),
    [sym_call_expression] = STATE(9116),
    [sym_field_expression] = STATE(9116),
    [sym_instance_expression] = STATE(9116),
    [sym_ascription_expression] = STATE(11364),
    [sym_infix_expression] = STATE(9793),
    [sym_postfix_expression] = STATE(10789),
    [sym__postfix_expression_choice] = STATE(15871),
    [sym_macro_body] = STATE(11364),
    [sym_prefix_expression] = STATE(9370),
    [sym_tuple_expression] = STATE(9116),
    [sym_parenthesized_expression] = STATE(9116),
    [sym_splice_expression] = STATE(9116),
    [sym_quote_expression] = STATE(9116),
    [sym_identifier] = STATE(5047),
    [sym__soft_identifier] = STATE(4332),
    [sym_wildcard] = STATE(7660),
    [sym__non_null_literal] = STATE(9116),
    [sym_boolean_literal] = STATE(5055),
    [sym_interpolated_string_expression] = STATE(9116),
    [sym_string] = STATE(5055),
    [sym_unit] = STATE(9116),
    [sym_return_expression] = STATE(11364),
    [sym_throw_expression] = STATE(11364),
    [sym_while_expression] = STATE(11364),
    [sym_do_while_expression] = STATE(11364),
    [sym_for_expression] = STATE(11364),
    [sym_comment] = STATE(1243),
    [sym_block_comment] = STATE(1243),
    [sym__alpha_identifier] = ACTIONS(1206),
    [anon_sym_LBRACE] = ACTIONS(1210),
    [anon_sym__] = ACTIONS(1212),
    [anon_sym_PLUS] = ACTIONS(1214),
    [anon_sym_DASH] = ACTIONS(1214),
    [anon_sym_end] = ACTIONS(1216),
    [anon_sym_if] = ACTIONS(1550),
    [anon_sym_while] = ACTIONS(1552),
    [anon_sym_for] = ACTIONS(1554),
    [anon_sym_try] = ACTIONS(1556),
    [anon_sym_new] = ACTIONS(1218),
    [anon_sym_opaque] = ACTIONS(1216),
    [anon_sym_implicit] = ACTIONS(1558),
    [anon_sym_inline] = ACTIONS(1220),
    [anon_sym_infix] = ACTIONS(1216),
    [anon_sym_open] = ACTIONS(1216),
    [anon_sym_transparent] = ACTIONS(1216),
    [anon_sym_LPAREN] = ACTIONS(1222),
    [anon_sym_macro] = ACTIONS(1560),
    [anon_sym_BANG] = ACTIONS(1214),
    [anon_sym_TILDE] = ACTIONS(1214),
    [anon_sym_DOLLAR] = ACTIONS(1224),
    [anon_sym_SQUOTE] = ACTIONS(1226),
    [sym__backquoted_id] = ACTIONS(1228),
    [sym_operator_identifier] = ACTIONS(1562),
    [sym_integer_literal] = ACTIONS(1232),
    [sym_floating_point_literal] = ACTIONS(1234),
    [anon_sym_true] = ACTIONS(1236),
    [anon_sym_false] = ACTIONS(1236),
    [sym_character_literal] = ACTIONS(1234),
    [sym_null_literal] = ACTIONS(1238),
    [anon_sym_return] = ACTIONS(1564),
    [anon_sym_throw] = ACTIONS(1566),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2282),
    [sym__simple_multiline_string] = ACTIONS(1240),
    [sym__simple_string] = ACTIONS(1240),
  },
  [1244] = {
    [sym_inline_modifier] = STATE(2208),
    [sym__indentable_expression] = STATE(13398),
    [sym_block] = STATE(8821),
    [sym_indented_block] = STATE(13308),
    [sym_indented_cases] = STATE(13308),
    [sym_expression] = STATE(13197),
    [sym__simple_expression] = STATE(6537),
    [sym_lambda_expression] = STATE(13337),
    [sym_if_expression] = STATE(13337),
    [sym_match_expression] = STATE(13337),
    [sym_try_expression] = STATE(13337),
    [sym_bindings] = STATE(15500),
    [sym_case_block] = STATE(8821),
    [sym_assignment_expression] = STATE(13337),
    [sym_generic_function] = STATE(8821),
    [sym_call_expression] = STATE(8821),
    [sym_field_expression] = STATE(8821),
    [sym_instance_expression] = STATE(8821),
    [sym_ascription_expression] = STATE(13337),
    [sym_infix_expression] = STATE(9659),
    [sym_postfix_expression] = STATE(13173),
    [sym__postfix_expression_choice] = STATE(16170),
    [sym_macro_body] = STATE(13337),
    [sym_prefix_expression] = STATE(9718),
    [sym_tuple_expression] = STATE(8821),
    [sym_parenthesized_expression] = STATE(8821),
    [sym_splice_expression] = STATE(8821),
    [sym_quote_expression] = STATE(8821),
    [sym_identifier] = STATE(5968),
    [sym__soft_identifier] = STATE(6446),
    [sym_wildcard] = STATE(8208),
    [sym__non_null_literal] = STATE(8821),
    [sym_boolean_literal] = STATE(8798),
    [sym_interpolated_string_expression] = STATE(8821),
    [sym_string] = STATE(8798),
    [sym_unit] = STATE(8821),
    [sym_return_expression] = STATE(13337),
    [sym_throw_expression] = STATE(13337),
    [sym_while_expression] = STATE(13337),
    [sym_do_while_expression] = STATE(13337),
    [sym_for_expression] = STATE(13337),
    [sym_comment] = STATE(1244),
    [sym_block_comment] = STATE(1244),
    [sym__alpha_identifier] = ACTIONS(1674),
    [anon_sym_LBRACE] = ACTIONS(1678),
    [anon_sym__] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1682),
    [anon_sym_DASH] = ACTIONS(1682),
    [anon_sym_end] = ACTIONS(1684),
    [anon_sym_if] = ACTIONS(1904),
    [anon_sym_while] = ACTIONS(1906),
    [anon_sym_for] = ACTIONS(1908),
    [anon_sym_try] = ACTIONS(1910),
    [anon_sym_new] = ACTIONS(1686),
    [anon_sym_opaque] = ACTIONS(1684),
    [anon_sym_implicit] = ACTIONS(1912),
    [anon_sym_inline] = ACTIONS(1688),
    [anon_sym_infix] = ACTIONS(1684),
    [anon_sym_open] = ACTIONS(1684),
    [anon_sym_transparent] = ACTIONS(1684),
    [anon_sym_LPAREN] = ACTIONS(1690),
    [anon_sym_macro] = ACTIONS(1914),
    [anon_sym_BANG] = ACTIONS(1682),
    [anon_sym_TILDE] = ACTIONS(1682),
    [anon_sym_DOLLAR] = ACTIONS(1692),
    [anon_sym_SQUOTE] = ACTIONS(1694),
    [sym__backquoted_id] = ACTIONS(1696),
    [sym_operator_identifier] = ACTIONS(1916),
    [sym_integer_literal] = ACTIONS(1700),
    [sym_floating_point_literal] = ACTIONS(1702),
    [anon_sym_true] = ACTIONS(1704),
    [anon_sym_false] = ACTIONS(1704),
    [sym_character_literal] = ACTIONS(1702),
    [sym_null_literal] = ACTIONS(1706),
    [anon_sym_return] = ACTIONS(1918),
    [anon_sym_throw] = ACTIONS(1920),
    [anon_sym_do] = ACTIONS(1922),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2206),
    [sym__simple_multiline_string] = ACTIONS(1708),
    [sym__simple_string] = ACTIONS(1708),
  },
  [1245] = {
    [sym_inline_modifier] = STATE(2084),
    [sym__indentable_expression] = STATE(16274),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(8831),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15722),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10635),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(694),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(8641),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(10149),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1245),
    [sym_block_comment] = STATE(1245),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2740),
    [anon_sym_while] = ACTIONS(2742),
    [anon_sym_for] = ACTIONS(2744),
    [anon_sym_try] = ACTIONS(2746),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2748),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3310),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3312),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2762),
    [anon_sym_throw] = ACTIONS(2764),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1246] = {
    [sym_inline_modifier] = STATE(2208),
    [sym__indentable_expression] = STATE(13397),
    [sym_block] = STATE(8821),
    [sym_indented_block] = STATE(13308),
    [sym_indented_cases] = STATE(13308),
    [sym_expression] = STATE(13197),
    [sym__simple_expression] = STATE(6537),
    [sym_lambda_expression] = STATE(13337),
    [sym_if_expression] = STATE(13337),
    [sym_match_expression] = STATE(13337),
    [sym_try_expression] = STATE(13337),
    [sym_bindings] = STATE(15500),
    [sym_case_block] = STATE(8821),
    [sym_assignment_expression] = STATE(13337),
    [sym_generic_function] = STATE(8821),
    [sym_call_expression] = STATE(8821),
    [sym_field_expression] = STATE(8821),
    [sym_instance_expression] = STATE(8821),
    [sym_ascription_expression] = STATE(13337),
    [sym_infix_expression] = STATE(9659),
    [sym_postfix_expression] = STATE(13173),
    [sym__postfix_expression_choice] = STATE(16170),
    [sym_macro_body] = STATE(13337),
    [sym_prefix_expression] = STATE(9718),
    [sym_tuple_expression] = STATE(8821),
    [sym_parenthesized_expression] = STATE(8821),
    [sym_splice_expression] = STATE(8821),
    [sym_quote_expression] = STATE(8821),
    [sym_identifier] = STATE(5968),
    [sym__soft_identifier] = STATE(6446),
    [sym_wildcard] = STATE(8208),
    [sym__non_null_literal] = STATE(8821),
    [sym_boolean_literal] = STATE(8798),
    [sym_interpolated_string_expression] = STATE(8821),
    [sym_string] = STATE(8798),
    [sym_unit] = STATE(8821),
    [sym_return_expression] = STATE(13337),
    [sym_throw_expression] = STATE(13337),
    [sym_while_expression] = STATE(13337),
    [sym_do_while_expression] = STATE(13337),
    [sym_for_expression] = STATE(13337),
    [sym_comment] = STATE(1246),
    [sym_block_comment] = STATE(1246),
    [sym__alpha_identifier] = ACTIONS(1674),
    [anon_sym_LBRACE] = ACTIONS(1678),
    [anon_sym__] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1682),
    [anon_sym_DASH] = ACTIONS(1682),
    [anon_sym_end] = ACTIONS(1684),
    [anon_sym_if] = ACTIONS(1904),
    [anon_sym_while] = ACTIONS(1906),
    [anon_sym_for] = ACTIONS(1908),
    [anon_sym_try] = ACTIONS(1910),
    [anon_sym_new] = ACTIONS(1686),
    [anon_sym_opaque] = ACTIONS(1684),
    [anon_sym_implicit] = ACTIONS(1912),
    [anon_sym_inline] = ACTIONS(1688),
    [anon_sym_infix] = ACTIONS(1684),
    [anon_sym_open] = ACTIONS(1684),
    [anon_sym_transparent] = ACTIONS(1684),
    [anon_sym_LPAREN] = ACTIONS(1690),
    [anon_sym_macro] = ACTIONS(1914),
    [anon_sym_BANG] = ACTIONS(1682),
    [anon_sym_TILDE] = ACTIONS(1682),
    [anon_sym_DOLLAR] = ACTIONS(1692),
    [anon_sym_SQUOTE] = ACTIONS(1694),
    [sym__backquoted_id] = ACTIONS(1696),
    [sym_operator_identifier] = ACTIONS(1916),
    [sym_integer_literal] = ACTIONS(1700),
    [sym_floating_point_literal] = ACTIONS(1702),
    [anon_sym_true] = ACTIONS(1704),
    [anon_sym_false] = ACTIONS(1704),
    [sym_character_literal] = ACTIONS(1702),
    [sym_null_literal] = ACTIONS(1706),
    [anon_sym_return] = ACTIONS(1918),
    [anon_sym_throw] = ACTIONS(1920),
    [anon_sym_do] = ACTIONS(1922),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2206),
    [sym__simple_multiline_string] = ACTIONS(1708),
    [sym__simple_string] = ACTIONS(1708),
  },
  [1247] = {
    [sym_inline_modifier] = STATE(2106),
    [sym__indentable_expression] = STATE(12506),
    [sym_block] = STATE(8041),
    [sym_indented_block] = STATE(12292),
    [sym_indented_cases] = STATE(12292),
    [sym_expression] = STATE(12256),
    [sym__simple_expression] = STATE(6252),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15549),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(9660),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(5550),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(8541),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(1247),
    [sym_block_comment] = STATE(1247),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(3114),
    [anon_sym_while] = ACTIONS(3116),
    [anon_sym_for] = ACTIONS(3118),
    [anon_sym_try] = ACTIONS(3120),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(3122),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(3134),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(3127),
    [anon_sym_throw] = ACTIONS(3129),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1248] = {
    [sym_inline_modifier] = STATE(2148),
    [sym__indentable_expression] = STATE(13310),
    [sym_block] = STATE(9088),
    [sym_indented_block] = STATE(13438),
    [sym_indented_cases] = STATE(13438),
    [sym_expression] = STATE(12942),
    [sym__simple_expression] = STATE(8626),
    [sym_lambda_expression] = STATE(13338),
    [sym_if_expression] = STATE(13338),
    [sym_match_expression] = STATE(13338),
    [sym_try_expression] = STATE(13338),
    [sym_bindings] = STATE(15683),
    [sym_case_block] = STATE(9088),
    [sym_assignment_expression] = STATE(13338),
    [sym_generic_function] = STATE(9088),
    [sym_call_expression] = STATE(9088),
    [sym_field_expression] = STATE(9088),
    [sym_instance_expression] = STATE(9088),
    [sym_ascription_expression] = STATE(13338),
    [sym_infix_expression] = STATE(9773),
    [sym_postfix_expression] = STATE(13117),
    [sym__postfix_expression_choice] = STATE(15912),
    [sym_macro_body] = STATE(13338),
    [sym_prefix_expression] = STATE(10372),
    [sym_tuple_expression] = STATE(9088),
    [sym_parenthesized_expression] = STATE(9088),
    [sym_splice_expression] = STATE(9088),
    [sym_quote_expression] = STATE(9088),
    [sym_identifier] = STATE(7467),
    [sym__soft_identifier] = STATE(6581),
    [sym_wildcard] = STATE(9755),
    [sym__non_null_literal] = STATE(9088),
    [sym_boolean_literal] = STATE(8905),
    [sym_interpolated_string_expression] = STATE(9088),
    [sym_string] = STATE(8905),
    [sym_unit] = STATE(9088),
    [sym_return_expression] = STATE(13338),
    [sym_throw_expression] = STATE(13338),
    [sym_while_expression] = STATE(13338),
    [sym_do_while_expression] = STATE(13338),
    [sym_for_expression] = STATE(13338),
    [sym_comment] = STATE(1248),
    [sym_block_comment] = STATE(1248),
    [sym__alpha_identifier] = ACTIONS(1938),
    [anon_sym_LBRACE] = ACTIONS(1942),
    [anon_sym__] = ACTIONS(1944),
    [anon_sym_PLUS] = ACTIONS(1946),
    [anon_sym_DASH] = ACTIONS(1946),
    [anon_sym_end] = ACTIONS(1948),
    [anon_sym_if] = ACTIONS(2450),
    [anon_sym_while] = ACTIONS(2452),
    [anon_sym_for] = ACTIONS(2454),
    [anon_sym_try] = ACTIONS(2456),
    [anon_sym_new] = ACTIONS(1950),
    [anon_sym_opaque] = ACTIONS(1948),
    [anon_sym_implicit] = ACTIONS(2458),
    [anon_sym_inline] = ACTIONS(1952),
    [anon_sym_infix] = ACTIONS(1948),
    [anon_sym_open] = ACTIONS(1948),
    [anon_sym_transparent] = ACTIONS(1948),
    [anon_sym_LPAREN] = ACTIONS(1954),
    [anon_sym_macro] = ACTIONS(2270),
    [anon_sym_BANG] = ACTIONS(1946),
    [anon_sym_TILDE] = ACTIONS(1946),
    [anon_sym_DOLLAR] = ACTIONS(1956),
    [anon_sym_SQUOTE] = ACTIONS(1958),
    [sym__backquoted_id] = ACTIONS(1960),
    [sym_operator_identifier] = ACTIONS(2460),
    [sym_integer_literal] = ACTIONS(1964),
    [sym_floating_point_literal] = ACTIONS(1966),
    [anon_sym_true] = ACTIONS(1968),
    [anon_sym_false] = ACTIONS(1968),
    [sym_character_literal] = ACTIONS(1966),
    [sym_null_literal] = ACTIONS(1970),
    [anon_sym_return] = ACTIONS(2462),
    [anon_sym_throw] = ACTIONS(2464),
    [anon_sym_do] = ACTIONS(2278),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2346),
    [sym__simple_multiline_string] = ACTIONS(1972),
    [sym__simple_string] = ACTIONS(1972),
  },
  [1249] = {
    [sym_inline_modifier] = STATE(2148),
    [sym__indentable_expression] = STATE(13313),
    [sym_block] = STATE(9088),
    [sym_indented_block] = STATE(13438),
    [sym_indented_cases] = STATE(13438),
    [sym_expression] = STATE(12942),
    [sym__simple_expression] = STATE(8626),
    [sym_lambda_expression] = STATE(13338),
    [sym_if_expression] = STATE(13338),
    [sym_match_expression] = STATE(13338),
    [sym_try_expression] = STATE(13338),
    [sym_bindings] = STATE(15683),
    [sym_case_block] = STATE(9088),
    [sym_assignment_expression] = STATE(13338),
    [sym_generic_function] = STATE(9088),
    [sym_call_expression] = STATE(9088),
    [sym_field_expression] = STATE(9088),
    [sym_instance_expression] = STATE(9088),
    [sym_ascription_expression] = STATE(13338),
    [sym_infix_expression] = STATE(9773),
    [sym_postfix_expression] = STATE(13117),
    [sym__postfix_expression_choice] = STATE(15912),
    [sym_macro_body] = STATE(13338),
    [sym_prefix_expression] = STATE(10372),
    [sym_tuple_expression] = STATE(9088),
    [sym_parenthesized_expression] = STATE(9088),
    [sym_splice_expression] = STATE(9088),
    [sym_quote_expression] = STATE(9088),
    [sym_identifier] = STATE(7467),
    [sym__soft_identifier] = STATE(6581),
    [sym_wildcard] = STATE(9755),
    [sym__non_null_literal] = STATE(9088),
    [sym_boolean_literal] = STATE(8905),
    [sym_interpolated_string_expression] = STATE(9088),
    [sym_string] = STATE(8905),
    [sym_unit] = STATE(9088),
    [sym_return_expression] = STATE(13338),
    [sym_throw_expression] = STATE(13338),
    [sym_while_expression] = STATE(13338),
    [sym_do_while_expression] = STATE(13338),
    [sym_for_expression] = STATE(13338),
    [sym_comment] = STATE(1249),
    [sym_block_comment] = STATE(1249),
    [sym__alpha_identifier] = ACTIONS(1938),
    [anon_sym_LBRACE] = ACTIONS(1942),
    [anon_sym__] = ACTIONS(1944),
    [anon_sym_PLUS] = ACTIONS(1946),
    [anon_sym_DASH] = ACTIONS(1946),
    [anon_sym_end] = ACTIONS(1948),
    [anon_sym_if] = ACTIONS(2450),
    [anon_sym_while] = ACTIONS(2452),
    [anon_sym_for] = ACTIONS(2454),
    [anon_sym_try] = ACTIONS(2456),
    [anon_sym_new] = ACTIONS(1950),
    [anon_sym_opaque] = ACTIONS(1948),
    [anon_sym_implicit] = ACTIONS(2458),
    [anon_sym_inline] = ACTIONS(1952),
    [anon_sym_infix] = ACTIONS(1948),
    [anon_sym_open] = ACTIONS(1948),
    [anon_sym_transparent] = ACTIONS(1948),
    [anon_sym_LPAREN] = ACTIONS(1954),
    [anon_sym_macro] = ACTIONS(2270),
    [anon_sym_BANG] = ACTIONS(1946),
    [anon_sym_TILDE] = ACTIONS(1946),
    [anon_sym_DOLLAR] = ACTIONS(1956),
    [anon_sym_SQUOTE] = ACTIONS(1958),
    [sym__backquoted_id] = ACTIONS(1960),
    [sym_operator_identifier] = ACTIONS(2460),
    [sym_integer_literal] = ACTIONS(1964),
    [sym_floating_point_literal] = ACTIONS(1966),
    [anon_sym_true] = ACTIONS(1968),
    [anon_sym_false] = ACTIONS(1968),
    [sym_character_literal] = ACTIONS(1966),
    [sym_null_literal] = ACTIONS(1970),
    [anon_sym_return] = ACTIONS(2462),
    [anon_sym_throw] = ACTIONS(2464),
    [anon_sym_do] = ACTIONS(2278),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2346),
    [sym__simple_multiline_string] = ACTIONS(1972),
    [sym__simple_string] = ACTIONS(1972),
  },
  [1250] = {
    [sym_inline_modifier] = STATE(2208),
    [sym__indentable_expression] = STATE(13385),
    [sym_block] = STATE(8821),
    [sym_indented_block] = STATE(13308),
    [sym_indented_cases] = STATE(13308),
    [sym_expression] = STATE(13197),
    [sym__simple_expression] = STATE(6537),
    [sym_lambda_expression] = STATE(13337),
    [sym_if_expression] = STATE(13337),
    [sym_match_expression] = STATE(13337),
    [sym_try_expression] = STATE(13337),
    [sym_bindings] = STATE(15500),
    [sym_case_block] = STATE(8821),
    [sym_assignment_expression] = STATE(13337),
    [sym_generic_function] = STATE(8821),
    [sym_call_expression] = STATE(8821),
    [sym_field_expression] = STATE(8821),
    [sym_instance_expression] = STATE(8821),
    [sym_ascription_expression] = STATE(13337),
    [sym_infix_expression] = STATE(9659),
    [sym_postfix_expression] = STATE(13173),
    [sym__postfix_expression_choice] = STATE(16170),
    [sym_macro_body] = STATE(13337),
    [sym_prefix_expression] = STATE(9718),
    [sym_tuple_expression] = STATE(8821),
    [sym_parenthesized_expression] = STATE(8821),
    [sym_splice_expression] = STATE(8821),
    [sym_quote_expression] = STATE(8821),
    [sym_identifier] = STATE(5968),
    [sym__soft_identifier] = STATE(6446),
    [sym_wildcard] = STATE(8208),
    [sym__non_null_literal] = STATE(8821),
    [sym_boolean_literal] = STATE(8798),
    [sym_interpolated_string_expression] = STATE(8821),
    [sym_string] = STATE(8798),
    [sym_unit] = STATE(8821),
    [sym_return_expression] = STATE(13337),
    [sym_throw_expression] = STATE(13337),
    [sym_while_expression] = STATE(13337),
    [sym_do_while_expression] = STATE(13337),
    [sym_for_expression] = STATE(13337),
    [sym_comment] = STATE(1250),
    [sym_block_comment] = STATE(1250),
    [sym__alpha_identifier] = ACTIONS(1674),
    [anon_sym_LBRACE] = ACTIONS(1678),
    [anon_sym__] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1682),
    [anon_sym_DASH] = ACTIONS(1682),
    [anon_sym_end] = ACTIONS(1684),
    [anon_sym_if] = ACTIONS(1904),
    [anon_sym_while] = ACTIONS(1906),
    [anon_sym_for] = ACTIONS(1908),
    [anon_sym_try] = ACTIONS(1910),
    [anon_sym_new] = ACTIONS(1686),
    [anon_sym_opaque] = ACTIONS(1684),
    [anon_sym_implicit] = ACTIONS(1912),
    [anon_sym_inline] = ACTIONS(1688),
    [anon_sym_infix] = ACTIONS(1684),
    [anon_sym_open] = ACTIONS(1684),
    [anon_sym_transparent] = ACTIONS(1684),
    [anon_sym_LPAREN] = ACTIONS(1690),
    [anon_sym_macro] = ACTIONS(1914),
    [anon_sym_BANG] = ACTIONS(1682),
    [anon_sym_TILDE] = ACTIONS(1682),
    [anon_sym_DOLLAR] = ACTIONS(1692),
    [anon_sym_SQUOTE] = ACTIONS(1694),
    [sym__backquoted_id] = ACTIONS(1696),
    [sym_operator_identifier] = ACTIONS(1916),
    [sym_integer_literal] = ACTIONS(1700),
    [sym_floating_point_literal] = ACTIONS(1702),
    [anon_sym_true] = ACTIONS(1704),
    [anon_sym_false] = ACTIONS(1704),
    [sym_character_literal] = ACTIONS(1702),
    [sym_null_literal] = ACTIONS(1706),
    [anon_sym_return] = ACTIONS(1918),
    [anon_sym_throw] = ACTIONS(1920),
    [anon_sym_do] = ACTIONS(1922),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2206),
    [sym__simple_multiline_string] = ACTIONS(1708),
    [sym__simple_string] = ACTIONS(1708),
  },
  [1251] = {
    [sym_inline_modifier] = STATE(2208),
    [sym__indentable_expression] = STATE(13304),
    [sym_block] = STATE(8821),
    [sym_indented_block] = STATE(13308),
    [sym_indented_cases] = STATE(13308),
    [sym_expression] = STATE(13197),
    [sym__simple_expression] = STATE(6537),
    [sym_lambda_expression] = STATE(13337),
    [sym_if_expression] = STATE(13337),
    [sym_match_expression] = STATE(13337),
    [sym_try_expression] = STATE(13337),
    [sym_bindings] = STATE(15500),
    [sym_case_block] = STATE(8821),
    [sym_assignment_expression] = STATE(13337),
    [sym_generic_function] = STATE(8821),
    [sym_call_expression] = STATE(8821),
    [sym_field_expression] = STATE(8821),
    [sym_instance_expression] = STATE(8821),
    [sym_ascription_expression] = STATE(13337),
    [sym_infix_expression] = STATE(9659),
    [sym_postfix_expression] = STATE(13173),
    [sym__postfix_expression_choice] = STATE(16170),
    [sym_macro_body] = STATE(13337),
    [sym_prefix_expression] = STATE(9718),
    [sym_tuple_expression] = STATE(8821),
    [sym_parenthesized_expression] = STATE(8821),
    [sym_splice_expression] = STATE(8821),
    [sym_quote_expression] = STATE(8821),
    [sym_identifier] = STATE(5968),
    [sym__soft_identifier] = STATE(6446),
    [sym_wildcard] = STATE(8208),
    [sym__non_null_literal] = STATE(8821),
    [sym_boolean_literal] = STATE(8798),
    [sym_interpolated_string_expression] = STATE(8821),
    [sym_string] = STATE(8798),
    [sym_unit] = STATE(8821),
    [sym_return_expression] = STATE(13337),
    [sym_throw_expression] = STATE(13337),
    [sym_while_expression] = STATE(13337),
    [sym_do_while_expression] = STATE(13337),
    [sym_for_expression] = STATE(13337),
    [sym_comment] = STATE(1251),
    [sym_block_comment] = STATE(1251),
    [sym__alpha_identifier] = ACTIONS(1674),
    [anon_sym_LBRACE] = ACTIONS(1678),
    [anon_sym__] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1682),
    [anon_sym_DASH] = ACTIONS(1682),
    [anon_sym_end] = ACTIONS(1684),
    [anon_sym_if] = ACTIONS(1904),
    [anon_sym_while] = ACTIONS(1906),
    [anon_sym_for] = ACTIONS(1908),
    [anon_sym_try] = ACTIONS(1910),
    [anon_sym_new] = ACTIONS(1686),
    [anon_sym_opaque] = ACTIONS(1684),
    [anon_sym_implicit] = ACTIONS(1912),
    [anon_sym_inline] = ACTIONS(1688),
    [anon_sym_infix] = ACTIONS(1684),
    [anon_sym_open] = ACTIONS(1684),
    [anon_sym_transparent] = ACTIONS(1684),
    [anon_sym_LPAREN] = ACTIONS(1690),
    [anon_sym_macro] = ACTIONS(1914),
    [anon_sym_BANG] = ACTIONS(1682),
    [anon_sym_TILDE] = ACTIONS(1682),
    [anon_sym_DOLLAR] = ACTIONS(1692),
    [anon_sym_SQUOTE] = ACTIONS(1694),
    [sym__backquoted_id] = ACTIONS(1696),
    [sym_operator_identifier] = ACTIONS(1916),
    [sym_integer_literal] = ACTIONS(1700),
    [sym_floating_point_literal] = ACTIONS(1702),
    [anon_sym_true] = ACTIONS(1704),
    [anon_sym_false] = ACTIONS(1704),
    [sym_character_literal] = ACTIONS(1702),
    [sym_null_literal] = ACTIONS(1706),
    [anon_sym_return] = ACTIONS(1918),
    [anon_sym_throw] = ACTIONS(1920),
    [anon_sym_do] = ACTIONS(1922),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2206),
    [sym__simple_multiline_string] = ACTIONS(1708),
    [sym__simple_string] = ACTIONS(1708),
  },
  [1252] = {
    [sym_inline_modifier] = STATE(2234),
    [sym__indentable_expression] = STATE(12945),
    [sym_block] = STATE(7443),
    [sym_indented_block] = STATE(12679),
    [sym_indented_cases] = STATE(12679),
    [sym_expression] = STATE(12305),
    [sym__simple_expression] = STATE(5279),
    [sym_lambda_expression] = STATE(12692),
    [sym_if_expression] = STATE(12692),
    [sym_match_expression] = STATE(12692),
    [sym_try_expression] = STATE(12692),
    [sym_bindings] = STATE(15619),
    [sym_case_block] = STATE(7443),
    [sym_assignment_expression] = STATE(12692),
    [sym_generic_function] = STATE(7443),
    [sym_call_expression] = STATE(7443),
    [sym_field_expression] = STATE(7443),
    [sym_instance_expression] = STATE(7443),
    [sym_ascription_expression] = STATE(12692),
    [sym_infix_expression] = STATE(8993),
    [sym_postfix_expression] = STATE(12386),
    [sym__postfix_expression_choice] = STATE(16150),
    [sym_macro_body] = STATE(12692),
    [sym_prefix_expression] = STATE(8795),
    [sym_tuple_expression] = STATE(7443),
    [sym_parenthesized_expression] = STATE(7443),
    [sym_splice_expression] = STATE(7443),
    [sym_quote_expression] = STATE(7443),
    [sym_identifier] = STATE(4734),
    [sym__soft_identifier] = STATE(5213),
    [sym_wildcard] = STATE(7227),
    [sym__non_null_literal] = STATE(7443),
    [sym_boolean_literal] = STATE(7707),
    [sym_interpolated_string_expression] = STATE(7443),
    [sym_string] = STATE(7707),
    [sym_unit] = STATE(7443),
    [sym_return_expression] = STATE(12692),
    [sym_throw_expression] = STATE(12692),
    [sym_while_expression] = STATE(12692),
    [sym_do_while_expression] = STATE(12692),
    [sym_for_expression] = STATE(12692),
    [sym_comment] = STATE(1252),
    [sym_block_comment] = STATE(1252),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(2292),
    [anon_sym_while] = ACTIONS(1480),
    [anon_sym_for] = ACTIONS(1482),
    [anon_sym_try] = ACTIONS(1484),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(1486),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1196),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(1488),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(1490),
    [anon_sym_throw] = ACTIONS(1492),
    [anon_sym_do] = ACTIONS(1204),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2294),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [1253] = {
    [sym_inline_modifier] = STATE(2159),
    [sym__indentable_expression] = STATE(12463),
    [sym_block] = STATE(6450),
    [sym_indented_block] = STATE(11535),
    [sym_indented_cases] = STATE(11535),
    [sym_expression] = STATE(11606),
    [sym__simple_expression] = STATE(5274),
    [sym_lambda_expression] = STATE(11549),
    [sym_if_expression] = STATE(11549),
    [sym_match_expression] = STATE(11549),
    [sym_try_expression] = STATE(11549),
    [sym_bindings] = STATE(15607),
    [sym_case_block] = STATE(6450),
    [sym_assignment_expression] = STATE(11549),
    [sym_generic_function] = STATE(6450),
    [sym_call_expression] = STATE(6450),
    [sym_field_expression] = STATE(6450),
    [sym_instance_expression] = STATE(6450),
    [sym_ascription_expression] = STATE(11549),
    [sym_infix_expression] = STATE(7641),
    [sym_postfix_expression] = STATE(11204),
    [sym__postfix_expression_choice] = STATE(16480),
    [sym_macro_body] = STATE(11549),
    [sym_prefix_expression] = STATE(8822),
    [sym_tuple_expression] = STATE(6450),
    [sym_parenthesized_expression] = STATE(6450),
    [sym_splice_expression] = STATE(6450),
    [sym_quote_expression] = STATE(6450),
    [sym_identifier] = STATE(4738),
    [sym__soft_identifier] = STATE(4507),
    [sym_wildcard] = STATE(7298),
    [sym__non_null_literal] = STATE(6450),
    [sym_boolean_literal] = STATE(6156),
    [sym_interpolated_string_expression] = STATE(6450),
    [sym_string] = STATE(6156),
    [sym_unit] = STATE(6450),
    [sym_return_expression] = STATE(11549),
    [sym_throw_expression] = STATE(11549),
    [sym_while_expression] = STATE(11549),
    [sym_do_while_expression] = STATE(11549),
    [sym_for_expression] = STATE(11549),
    [sym_comment] = STATE(1253),
    [sym_block_comment] = STATE(1253),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(2472),
    [anon_sym_while] = ACTIONS(1974),
    [anon_sym_for] = ACTIONS(1976),
    [anon_sym_try] = ACTIONS(1978),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1980),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1378),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1982),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1984),
    [anon_sym_throw] = ACTIONS(1986),
    [anon_sym_do] = ACTIONS(1386),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2258),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [1254] = {
    [sym_inline_modifier] = STATE(2208),
    [sym__indentable_expression] = STATE(13299),
    [sym_block] = STATE(8821),
    [sym_indented_block] = STATE(13308),
    [sym_indented_cases] = STATE(13308),
    [sym_expression] = STATE(13197),
    [sym__simple_expression] = STATE(6537),
    [sym_lambda_expression] = STATE(13337),
    [sym_if_expression] = STATE(13337),
    [sym_match_expression] = STATE(13337),
    [sym_try_expression] = STATE(13337),
    [sym_bindings] = STATE(15500),
    [sym_case_block] = STATE(8821),
    [sym_assignment_expression] = STATE(13337),
    [sym_generic_function] = STATE(8821),
    [sym_call_expression] = STATE(8821),
    [sym_field_expression] = STATE(8821),
    [sym_instance_expression] = STATE(8821),
    [sym_ascription_expression] = STATE(13337),
    [sym_infix_expression] = STATE(9659),
    [sym_postfix_expression] = STATE(13173),
    [sym__postfix_expression_choice] = STATE(16170),
    [sym_macro_body] = STATE(13337),
    [sym_prefix_expression] = STATE(9718),
    [sym_tuple_expression] = STATE(8821),
    [sym_parenthesized_expression] = STATE(8821),
    [sym_splice_expression] = STATE(8821),
    [sym_quote_expression] = STATE(8821),
    [sym_identifier] = STATE(5968),
    [sym__soft_identifier] = STATE(6446),
    [sym_wildcard] = STATE(8208),
    [sym__non_null_literal] = STATE(8821),
    [sym_boolean_literal] = STATE(8798),
    [sym_interpolated_string_expression] = STATE(8821),
    [sym_string] = STATE(8798),
    [sym_unit] = STATE(8821),
    [sym_return_expression] = STATE(13337),
    [sym_throw_expression] = STATE(13337),
    [sym_while_expression] = STATE(13337),
    [sym_do_while_expression] = STATE(13337),
    [sym_for_expression] = STATE(13337),
    [sym_comment] = STATE(1254),
    [sym_block_comment] = STATE(1254),
    [sym__alpha_identifier] = ACTIONS(1674),
    [anon_sym_LBRACE] = ACTIONS(1678),
    [anon_sym__] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1682),
    [anon_sym_DASH] = ACTIONS(1682),
    [anon_sym_end] = ACTIONS(1684),
    [anon_sym_if] = ACTIONS(1904),
    [anon_sym_while] = ACTIONS(1906),
    [anon_sym_for] = ACTIONS(1908),
    [anon_sym_try] = ACTIONS(1910),
    [anon_sym_new] = ACTIONS(1686),
    [anon_sym_opaque] = ACTIONS(1684),
    [anon_sym_implicit] = ACTIONS(1912),
    [anon_sym_inline] = ACTIONS(1688),
    [anon_sym_infix] = ACTIONS(1684),
    [anon_sym_open] = ACTIONS(1684),
    [anon_sym_transparent] = ACTIONS(1684),
    [anon_sym_LPAREN] = ACTIONS(1690),
    [anon_sym_macro] = ACTIONS(1914),
    [anon_sym_BANG] = ACTIONS(1682),
    [anon_sym_TILDE] = ACTIONS(1682),
    [anon_sym_DOLLAR] = ACTIONS(1692),
    [anon_sym_SQUOTE] = ACTIONS(1694),
    [sym__backquoted_id] = ACTIONS(1696),
    [sym_operator_identifier] = ACTIONS(1916),
    [sym_integer_literal] = ACTIONS(1700),
    [sym_floating_point_literal] = ACTIONS(1702),
    [anon_sym_true] = ACTIONS(1704),
    [anon_sym_false] = ACTIONS(1704),
    [sym_character_literal] = ACTIONS(1702),
    [sym_null_literal] = ACTIONS(1706),
    [anon_sym_return] = ACTIONS(1918),
    [anon_sym_throw] = ACTIONS(1920),
    [anon_sym_do] = ACTIONS(1922),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2206),
    [sym__simple_multiline_string] = ACTIONS(1708),
    [sym__simple_string] = ACTIONS(1708),
  },
  [1255] = {
    [sym_inline_modifier] = STATE(2100),
    [sym__indentable_expression] = STATE(13184),
    [sym_block] = STATE(8218),
    [sym_indented_block] = STATE(13075),
    [sym_indented_cases] = STATE(13075),
    [sym_expression] = STATE(12682),
    [sym__simple_expression] = STATE(7445),
    [sym_lambda_expression] = STATE(13097),
    [sym_if_expression] = STATE(13097),
    [sym_match_expression] = STATE(13097),
    [sym_try_expression] = STATE(13097),
    [sym_bindings] = STATE(15495),
    [sym_case_block] = STATE(8218),
    [sym_assignment_expression] = STATE(13097),
    [sym_generic_function] = STATE(8218),
    [sym_call_expression] = STATE(8218),
    [sym_field_expression] = STATE(8218),
    [sym_instance_expression] = STATE(8218),
    [sym_ascription_expression] = STATE(13097),
    [sym_infix_expression] = STATE(9424),
    [sym_postfix_expression] = STATE(12765),
    [sym__postfix_expression_choice] = STATE(16117),
    [sym_macro_body] = STATE(13097),
    [sym_prefix_expression] = STATE(10239),
    [sym_tuple_expression] = STATE(8218),
    [sym_parenthesized_expression] = STATE(8218),
    [sym_splice_expression] = STATE(8218),
    [sym_quote_expression] = STATE(8218),
    [sym_identifier] = STATE(7278),
    [sym__soft_identifier] = STATE(5752),
    [sym_wildcard] = STATE(9367),
    [sym__non_null_literal] = STATE(8218),
    [sym_boolean_literal] = STATE(8413),
    [sym_interpolated_string_expression] = STATE(8218),
    [sym_string] = STATE(8413),
    [sym_unit] = STATE(8218),
    [sym_return_expression] = STATE(13097),
    [sym_throw_expression] = STATE(13097),
    [sym_while_expression] = STATE(13097),
    [sym_do_while_expression] = STATE(13097),
    [sym_for_expression] = STATE(13097),
    [sym_comment] = STATE(1255),
    [sym_block_comment] = STATE(1255),
    [sym__alpha_identifier] = ACTIONS(1494),
    [anon_sym_LBRACE] = ACTIONS(1498),
    [anon_sym__] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1502),
    [anon_sym_end] = ACTIONS(1504),
    [anon_sym_if] = ACTIONS(3162),
    [anon_sym_while] = ACTIONS(3164),
    [anon_sym_for] = ACTIONS(3166),
    [anon_sym_try] = ACTIONS(3168),
    [anon_sym_new] = ACTIONS(1506),
    [anon_sym_opaque] = ACTIONS(1504),
    [anon_sym_implicit] = ACTIONS(3170),
    [anon_sym_inline] = ACTIONS(1508),
    [anon_sym_infix] = ACTIONS(1504),
    [anon_sym_open] = ACTIONS(1504),
    [anon_sym_transparent] = ACTIONS(1504),
    [anon_sym_LPAREN] = ACTIONS(1510),
    [anon_sym_macro] = ACTIONS(2054),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_TILDE] = ACTIONS(1502),
    [anon_sym_DOLLAR] = ACTIONS(1512),
    [anon_sym_SQUOTE] = ACTIONS(1514),
    [sym__backquoted_id] = ACTIONS(1516),
    [sym_operator_identifier] = ACTIONS(3320),
    [sym_integer_literal] = ACTIONS(1520),
    [sym_floating_point_literal] = ACTIONS(1522),
    [anon_sym_true] = ACTIONS(1524),
    [anon_sym_false] = ACTIONS(1524),
    [sym_character_literal] = ACTIONS(1522),
    [sym_null_literal] = ACTIONS(1526),
    [anon_sym_return] = ACTIONS(3175),
    [anon_sym_throw] = ACTIONS(3177),
    [anon_sym_do] = ACTIONS(2062),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3316),
    [sym__simple_multiline_string] = ACTIONS(1528),
    [sym__simple_string] = ACTIONS(1528),
  },
  [1256] = {
    [sym_inline_modifier] = STATE(2054),
    [sym__indentable_expression] = STATE(14006),
    [sym_block] = STATE(8041),
    [sym_indented_block] = STATE(12292),
    [sym_indented_cases] = STATE(12292),
    [sym_expression] = STATE(12256),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(7036),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(1256),
    [sym_block_comment] = STATE(1256),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2807),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1257] = {
    [sym_inline_modifier] = STATE(2183),
    [sym__indentable_expression] = STATE(13306),
    [sym_block] = STATE(9088),
    [sym_indented_block] = STATE(13438),
    [sym_indented_cases] = STATE(13438),
    [sym_expression] = STATE(12942),
    [sym__simple_expression] = STATE(8555),
    [sym_lambda_expression] = STATE(13338),
    [sym_if_expression] = STATE(13338),
    [sym_match_expression] = STATE(13338),
    [sym_try_expression] = STATE(13338),
    [sym_bindings] = STATE(15553),
    [sym_case_block] = STATE(9088),
    [sym_assignment_expression] = STATE(13338),
    [sym_generic_function] = STATE(9088),
    [sym_call_expression] = STATE(9088),
    [sym_field_expression] = STATE(9088),
    [sym_instance_expression] = STATE(9088),
    [sym_ascription_expression] = STATE(13338),
    [sym_infix_expression] = STATE(9773),
    [sym_postfix_expression] = STATE(13117),
    [sym__postfix_expression_choice] = STATE(15912),
    [sym_macro_body] = STATE(13338),
    [sym_prefix_expression] = STATE(10565),
    [sym_tuple_expression] = STATE(9088),
    [sym_parenthesized_expression] = STATE(9088),
    [sym_splice_expression] = STATE(9088),
    [sym_quote_expression] = STATE(9088),
    [sym_identifier] = STATE(7556),
    [sym__soft_identifier] = STATE(6581),
    [sym_wildcard] = STATE(9665),
    [sym__non_null_literal] = STATE(9088),
    [sym_boolean_literal] = STATE(8905),
    [sym_interpolated_string_expression] = STATE(9088),
    [sym_string] = STATE(8905),
    [sym_unit] = STATE(9088),
    [sym_return_expression] = STATE(13338),
    [sym_throw_expression] = STATE(13338),
    [sym_while_expression] = STATE(13338),
    [sym_do_while_expression] = STATE(13338),
    [sym_for_expression] = STATE(13338),
    [sym_comment] = STATE(1257),
    [sym_block_comment] = STATE(1257),
    [sym__alpha_identifier] = ACTIONS(1938),
    [anon_sym_LBRACE] = ACTIONS(1942),
    [anon_sym__] = ACTIONS(1944),
    [anon_sym_PLUS] = ACTIONS(1946),
    [anon_sym_DASH] = ACTIONS(1946),
    [anon_sym_end] = ACTIONS(1948),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2332),
    [anon_sym_for] = ACTIONS(2334),
    [anon_sym_try] = ACTIONS(2336),
    [anon_sym_new] = ACTIONS(1950),
    [anon_sym_opaque] = ACTIONS(1948),
    [anon_sym_implicit] = ACTIONS(2338),
    [anon_sym_inline] = ACTIONS(1952),
    [anon_sym_infix] = ACTIONS(1948),
    [anon_sym_open] = ACTIONS(1948),
    [anon_sym_transparent] = ACTIONS(1948),
    [anon_sym_LPAREN] = ACTIONS(1954),
    [anon_sym_macro] = ACTIONS(2270),
    [anon_sym_BANG] = ACTIONS(1946),
    [anon_sym_TILDE] = ACTIONS(1946),
    [anon_sym_DOLLAR] = ACTIONS(1956),
    [anon_sym_SQUOTE] = ACTIONS(1958),
    [sym__backquoted_id] = ACTIONS(1960),
    [sym_operator_identifier] = ACTIONS(2340),
    [sym_integer_literal] = ACTIONS(1964),
    [sym_floating_point_literal] = ACTIONS(1966),
    [anon_sym_true] = ACTIONS(1968),
    [anon_sym_false] = ACTIONS(1968),
    [sym_character_literal] = ACTIONS(1966),
    [sym_null_literal] = ACTIONS(1970),
    [anon_sym_return] = ACTIONS(2342),
    [anon_sym_throw] = ACTIONS(2344),
    [anon_sym_do] = ACTIONS(2278),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2346),
    [sym__simple_multiline_string] = ACTIONS(1972),
    [sym__simple_string] = ACTIONS(1972),
  },
  [1258] = {
    [sym_inline_modifier] = STATE(2100),
    [sym__indentable_expression] = STATE(13174),
    [sym_block] = STATE(8218),
    [sym_indented_block] = STATE(13075),
    [sym_indented_cases] = STATE(13075),
    [sym_expression] = STATE(12682),
    [sym__simple_expression] = STATE(7445),
    [sym_lambda_expression] = STATE(13097),
    [sym_if_expression] = STATE(13097),
    [sym_match_expression] = STATE(13097),
    [sym_try_expression] = STATE(13097),
    [sym_bindings] = STATE(15495),
    [sym_case_block] = STATE(8218),
    [sym_assignment_expression] = STATE(13097),
    [sym_generic_function] = STATE(8218),
    [sym_call_expression] = STATE(8218),
    [sym_field_expression] = STATE(8218),
    [sym_instance_expression] = STATE(8218),
    [sym_ascription_expression] = STATE(13097),
    [sym_infix_expression] = STATE(9424),
    [sym_postfix_expression] = STATE(12765),
    [sym__postfix_expression_choice] = STATE(16117),
    [sym_macro_body] = STATE(13097),
    [sym_prefix_expression] = STATE(10239),
    [sym_tuple_expression] = STATE(8218),
    [sym_parenthesized_expression] = STATE(8218),
    [sym_splice_expression] = STATE(8218),
    [sym_quote_expression] = STATE(8218),
    [sym_identifier] = STATE(7278),
    [sym__soft_identifier] = STATE(5752),
    [sym_wildcard] = STATE(9367),
    [sym__non_null_literal] = STATE(8218),
    [sym_boolean_literal] = STATE(8413),
    [sym_interpolated_string_expression] = STATE(8218),
    [sym_string] = STATE(8413),
    [sym_unit] = STATE(8218),
    [sym_return_expression] = STATE(13097),
    [sym_throw_expression] = STATE(13097),
    [sym_while_expression] = STATE(13097),
    [sym_do_while_expression] = STATE(13097),
    [sym_for_expression] = STATE(13097),
    [sym_comment] = STATE(1258),
    [sym_block_comment] = STATE(1258),
    [sym__alpha_identifier] = ACTIONS(1494),
    [anon_sym_LBRACE] = ACTIONS(1498),
    [anon_sym__] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1502),
    [anon_sym_end] = ACTIONS(1504),
    [anon_sym_if] = ACTIONS(3162),
    [anon_sym_while] = ACTIONS(3164),
    [anon_sym_for] = ACTIONS(3166),
    [anon_sym_try] = ACTIONS(3168),
    [anon_sym_new] = ACTIONS(1506),
    [anon_sym_opaque] = ACTIONS(1504),
    [anon_sym_implicit] = ACTIONS(3170),
    [anon_sym_inline] = ACTIONS(1508),
    [anon_sym_infix] = ACTIONS(1504),
    [anon_sym_open] = ACTIONS(1504),
    [anon_sym_transparent] = ACTIONS(1504),
    [anon_sym_LPAREN] = ACTIONS(1510),
    [anon_sym_macro] = ACTIONS(2054),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_TILDE] = ACTIONS(1502),
    [anon_sym_DOLLAR] = ACTIONS(1512),
    [anon_sym_SQUOTE] = ACTIONS(1514),
    [sym__backquoted_id] = ACTIONS(1516),
    [sym_operator_identifier] = ACTIONS(3320),
    [sym_integer_literal] = ACTIONS(1520),
    [sym_floating_point_literal] = ACTIONS(1522),
    [anon_sym_true] = ACTIONS(1524),
    [anon_sym_false] = ACTIONS(1524),
    [sym_character_literal] = ACTIONS(1522),
    [sym_null_literal] = ACTIONS(1526),
    [anon_sym_return] = ACTIONS(3175),
    [anon_sym_throw] = ACTIONS(3177),
    [anon_sym_do] = ACTIONS(2062),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3316),
    [sym__simple_multiline_string] = ACTIONS(1528),
    [sym__simple_string] = ACTIONS(1528),
  },
  [1259] = {
    [sym_inline_modifier] = STATE(2223),
    [sym_block] = STATE(8375),
    [sym_expression] = STATE(12888),
    [sym__simple_expression] = STATE(7442),
    [sym_lambda_expression] = STATE(13185),
    [sym_if_expression] = STATE(13185),
    [sym_match_expression] = STATE(13185),
    [sym_try_expression] = STATE(13185),
    [sym_bindings] = STATE(15586),
    [sym_case_block] = STATE(8375),
    [sym_assignment_expression] = STATE(13185),
    [sym_generic_function] = STATE(8375),
    [sym_call_expression] = STATE(8375),
    [sym_field_expression] = STATE(8375),
    [sym_instance_expression] = STATE(8375),
    [sym_ascription_expression] = STATE(13185),
    [sym_infix_expression] = STATE(9364),
    [sym_postfix_expression] = STATE(12809),
    [sym__postfix_expression_choice] = STATE(16440),
    [sym_macro_body] = STATE(13185),
    [sym_prefix_expression] = STATE(10191),
    [sym_tuple_expression] = STATE(8375),
    [sym_parenthesized_expression] = STATE(8375),
    [sym_splice_expression] = STATE(8375),
    [sym_quote_expression] = STATE(8375),
    [sym_identifier] = STATE(7290),
    [sym__soft_identifier] = STATE(5430),
    [sym_wildcard] = STATE(9387),
    [sym__non_null_literal] = STATE(8375),
    [sym_boolean_literal] = STATE(8117),
    [sym_interpolated_string_expression] = STATE(8375),
    [sym_string] = STATE(8117),
    [sym_unit] = STATE(8375),
    [sym_return_expression] = STATE(13185),
    [sym_throw_expression] = STATE(13185),
    [sym_while_expression] = STATE(13185),
    [sym_do_while_expression] = STATE(13185),
    [sym_for_expression] = STATE(13185),
    [sym_comment] = STATE(1259),
    [sym_block_comment] = STATE(1259),
    [sym__alpha_identifier] = ACTIONS(1618),
    [anon_sym_LBRACE] = ACTIONS(1622),
    [anon_sym__] = ACTIONS(1624),
    [anon_sym_LBRACK] = ACTIONS(1148),
    [anon_sym_PLUS] = ACTIONS(1626),
    [anon_sym_DASH] = ACTIONS(1626),
    [anon_sym_end] = ACTIONS(1628),
    [anon_sym_if] = ACTIONS(2122),
    [anon_sym_while] = ACTIONS(2124),
    [anon_sym_for] = ACTIONS(2126),
    [anon_sym_match] = ACTIONS(1150),
    [anon_sym_try] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(1630),
    [anon_sym_opaque] = ACTIONS(1628),
    [anon_sym_implicit] = ACTIONS(2130),
    [anon_sym_inline] = ACTIONS(1632),
    [anon_sym_infix] = ACTIONS(1628),
    [anon_sym_open] = ACTIONS(1628),
    [anon_sym_transparent] = ACTIONS(1628),
    [anon_sym_LPAREN] = ACTIONS(1634),
    [anon_sym_catch] = ACTIONS(1150),
    [anon_sym_finally] = ACTIONS(1150),
    [anon_sym_macro] = ACTIONS(2074),
    [anon_sym_BANG] = ACTIONS(1626),
    [anon_sym_TILDE] = ACTIONS(1626),
    [anon_sym_DOLLAR] = ACTIONS(1636),
    [anon_sym_SQUOTE] = ACTIONS(1638),
    [sym__backquoted_id] = ACTIONS(1640),
    [sym_operator_identifier] = ACTIONS(2132),
    [sym_integer_literal] = ACTIONS(1644),
    [sym_floating_point_literal] = ACTIONS(1646),
    [anon_sym_true] = ACTIONS(1648),
    [anon_sym_false] = ACTIONS(1648),
    [sym_character_literal] = ACTIONS(1646),
    [sym_null_literal] = ACTIONS(1650),
    [anon_sym_return] = ACTIONS(2134),
    [anon_sym_throw] = ACTIONS(2136),
    [anon_sym_do] = ACTIONS(1150),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1652),
    [sym__simple_string] = ACTIONS(1652),
  },
  [1260] = {
    [sym_inline_modifier] = STATE(2100),
    [sym__indentable_expression] = STATE(13164),
    [sym_block] = STATE(8218),
    [sym_indented_block] = STATE(13075),
    [sym_indented_cases] = STATE(13075),
    [sym_expression] = STATE(12682),
    [sym__simple_expression] = STATE(7445),
    [sym_lambda_expression] = STATE(13097),
    [sym_if_expression] = STATE(13097),
    [sym_match_expression] = STATE(13097),
    [sym_try_expression] = STATE(13097),
    [sym_bindings] = STATE(15495),
    [sym_case_block] = STATE(8218),
    [sym_assignment_expression] = STATE(13097),
    [sym_generic_function] = STATE(8218),
    [sym_call_expression] = STATE(8218),
    [sym_field_expression] = STATE(8218),
    [sym_instance_expression] = STATE(8218),
    [sym_ascription_expression] = STATE(13097),
    [sym_infix_expression] = STATE(9424),
    [sym_postfix_expression] = STATE(12765),
    [sym__postfix_expression_choice] = STATE(16117),
    [sym_macro_body] = STATE(13097),
    [sym_prefix_expression] = STATE(10239),
    [sym_tuple_expression] = STATE(8218),
    [sym_parenthesized_expression] = STATE(8218),
    [sym_splice_expression] = STATE(8218),
    [sym_quote_expression] = STATE(8218),
    [sym_identifier] = STATE(7278),
    [sym__soft_identifier] = STATE(5752),
    [sym_wildcard] = STATE(9367),
    [sym__non_null_literal] = STATE(8218),
    [sym_boolean_literal] = STATE(8413),
    [sym_interpolated_string_expression] = STATE(8218),
    [sym_string] = STATE(8413),
    [sym_unit] = STATE(8218),
    [sym_return_expression] = STATE(13097),
    [sym_throw_expression] = STATE(13097),
    [sym_while_expression] = STATE(13097),
    [sym_do_while_expression] = STATE(13097),
    [sym_for_expression] = STATE(13097),
    [sym_comment] = STATE(1260),
    [sym_block_comment] = STATE(1260),
    [sym__alpha_identifier] = ACTIONS(1494),
    [anon_sym_LBRACE] = ACTIONS(1498),
    [anon_sym__] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1502),
    [anon_sym_end] = ACTIONS(1504),
    [anon_sym_if] = ACTIONS(3162),
    [anon_sym_while] = ACTIONS(3164),
    [anon_sym_for] = ACTIONS(3166),
    [anon_sym_try] = ACTIONS(3168),
    [anon_sym_new] = ACTIONS(1506),
    [anon_sym_opaque] = ACTIONS(1504),
    [anon_sym_implicit] = ACTIONS(3170),
    [anon_sym_inline] = ACTIONS(1508),
    [anon_sym_infix] = ACTIONS(1504),
    [anon_sym_open] = ACTIONS(1504),
    [anon_sym_transparent] = ACTIONS(1504),
    [anon_sym_LPAREN] = ACTIONS(1510),
    [anon_sym_macro] = ACTIONS(2054),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_TILDE] = ACTIONS(1502),
    [anon_sym_DOLLAR] = ACTIONS(1512),
    [anon_sym_SQUOTE] = ACTIONS(1514),
    [sym__backquoted_id] = ACTIONS(1516),
    [sym_operator_identifier] = ACTIONS(3320),
    [sym_integer_literal] = ACTIONS(1520),
    [sym_floating_point_literal] = ACTIONS(1522),
    [anon_sym_true] = ACTIONS(1524),
    [anon_sym_false] = ACTIONS(1524),
    [sym_character_literal] = ACTIONS(1522),
    [sym_null_literal] = ACTIONS(1526),
    [anon_sym_return] = ACTIONS(3175),
    [anon_sym_throw] = ACTIONS(3177),
    [anon_sym_do] = ACTIONS(2062),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3316),
    [sym__simple_multiline_string] = ACTIONS(1528),
    [sym__simple_string] = ACTIONS(1528),
  },
  [1261] = {
    [sym_inline_modifier] = STATE(2148),
    [sym__indentable_expression] = STATE(13328),
    [sym_block] = STATE(9088),
    [sym_indented_block] = STATE(13438),
    [sym_indented_cases] = STATE(13438),
    [sym_expression] = STATE(12942),
    [sym__simple_expression] = STATE(8626),
    [sym_lambda_expression] = STATE(13338),
    [sym_if_expression] = STATE(13338),
    [sym_match_expression] = STATE(13338),
    [sym_try_expression] = STATE(13338),
    [sym_bindings] = STATE(15683),
    [sym_case_block] = STATE(9088),
    [sym_assignment_expression] = STATE(13338),
    [sym_generic_function] = STATE(9088),
    [sym_call_expression] = STATE(9088),
    [sym_field_expression] = STATE(9088),
    [sym_instance_expression] = STATE(9088),
    [sym_ascription_expression] = STATE(13338),
    [sym_infix_expression] = STATE(9773),
    [sym_postfix_expression] = STATE(13117),
    [sym__postfix_expression_choice] = STATE(15912),
    [sym_macro_body] = STATE(13338),
    [sym_prefix_expression] = STATE(10372),
    [sym_tuple_expression] = STATE(9088),
    [sym_parenthesized_expression] = STATE(9088),
    [sym_splice_expression] = STATE(9088),
    [sym_quote_expression] = STATE(9088),
    [sym_identifier] = STATE(7467),
    [sym__soft_identifier] = STATE(6581),
    [sym_wildcard] = STATE(9755),
    [sym__non_null_literal] = STATE(9088),
    [sym_boolean_literal] = STATE(8905),
    [sym_interpolated_string_expression] = STATE(9088),
    [sym_string] = STATE(8905),
    [sym_unit] = STATE(9088),
    [sym_return_expression] = STATE(13338),
    [sym_throw_expression] = STATE(13338),
    [sym_while_expression] = STATE(13338),
    [sym_do_while_expression] = STATE(13338),
    [sym_for_expression] = STATE(13338),
    [sym_comment] = STATE(1261),
    [sym_block_comment] = STATE(1261),
    [sym__alpha_identifier] = ACTIONS(1938),
    [anon_sym_LBRACE] = ACTIONS(1942),
    [anon_sym__] = ACTIONS(1944),
    [anon_sym_PLUS] = ACTIONS(1946),
    [anon_sym_DASH] = ACTIONS(1946),
    [anon_sym_end] = ACTIONS(1948),
    [anon_sym_if] = ACTIONS(2450),
    [anon_sym_while] = ACTIONS(2452),
    [anon_sym_for] = ACTIONS(2454),
    [anon_sym_try] = ACTIONS(2456),
    [anon_sym_new] = ACTIONS(1950),
    [anon_sym_opaque] = ACTIONS(1948),
    [anon_sym_implicit] = ACTIONS(2458),
    [anon_sym_inline] = ACTIONS(1952),
    [anon_sym_infix] = ACTIONS(1948),
    [anon_sym_open] = ACTIONS(1948),
    [anon_sym_transparent] = ACTIONS(1948),
    [anon_sym_LPAREN] = ACTIONS(1954),
    [anon_sym_macro] = ACTIONS(2270),
    [anon_sym_BANG] = ACTIONS(1946),
    [anon_sym_TILDE] = ACTIONS(1946),
    [anon_sym_DOLLAR] = ACTIONS(1956),
    [anon_sym_SQUOTE] = ACTIONS(1958),
    [sym__backquoted_id] = ACTIONS(1960),
    [sym_operator_identifier] = ACTIONS(2460),
    [sym_integer_literal] = ACTIONS(1964),
    [sym_floating_point_literal] = ACTIONS(1966),
    [anon_sym_true] = ACTIONS(1968),
    [anon_sym_false] = ACTIONS(1968),
    [sym_character_literal] = ACTIONS(1966),
    [sym_null_literal] = ACTIONS(1970),
    [anon_sym_return] = ACTIONS(2462),
    [anon_sym_throw] = ACTIONS(2464),
    [anon_sym_do] = ACTIONS(2278),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2346),
    [sym__simple_multiline_string] = ACTIONS(1972),
    [sym__simple_string] = ACTIONS(1972),
  },
  [1262] = {
    [sym_inline_modifier] = STATE(2100),
    [sym__indentable_expression] = STATE(13161),
    [sym_block] = STATE(8218),
    [sym_indented_block] = STATE(13075),
    [sym_indented_cases] = STATE(13075),
    [sym_expression] = STATE(12682),
    [sym__simple_expression] = STATE(7445),
    [sym_lambda_expression] = STATE(13097),
    [sym_if_expression] = STATE(13097),
    [sym_match_expression] = STATE(13097),
    [sym_try_expression] = STATE(13097),
    [sym_bindings] = STATE(15495),
    [sym_case_block] = STATE(8218),
    [sym_assignment_expression] = STATE(13097),
    [sym_generic_function] = STATE(8218),
    [sym_call_expression] = STATE(8218),
    [sym_field_expression] = STATE(8218),
    [sym_instance_expression] = STATE(8218),
    [sym_ascription_expression] = STATE(13097),
    [sym_infix_expression] = STATE(9424),
    [sym_postfix_expression] = STATE(12765),
    [sym__postfix_expression_choice] = STATE(16117),
    [sym_macro_body] = STATE(13097),
    [sym_prefix_expression] = STATE(10239),
    [sym_tuple_expression] = STATE(8218),
    [sym_parenthesized_expression] = STATE(8218),
    [sym_splice_expression] = STATE(8218),
    [sym_quote_expression] = STATE(8218),
    [sym_identifier] = STATE(7278),
    [sym__soft_identifier] = STATE(5752),
    [sym_wildcard] = STATE(9367),
    [sym__non_null_literal] = STATE(8218),
    [sym_boolean_literal] = STATE(8413),
    [sym_interpolated_string_expression] = STATE(8218),
    [sym_string] = STATE(8413),
    [sym_unit] = STATE(8218),
    [sym_return_expression] = STATE(13097),
    [sym_throw_expression] = STATE(13097),
    [sym_while_expression] = STATE(13097),
    [sym_do_while_expression] = STATE(13097),
    [sym_for_expression] = STATE(13097),
    [sym_comment] = STATE(1262),
    [sym_block_comment] = STATE(1262),
    [sym__alpha_identifier] = ACTIONS(1494),
    [anon_sym_LBRACE] = ACTIONS(1498),
    [anon_sym__] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1502),
    [anon_sym_end] = ACTIONS(1504),
    [anon_sym_if] = ACTIONS(3162),
    [anon_sym_while] = ACTIONS(3164),
    [anon_sym_for] = ACTIONS(3166),
    [anon_sym_try] = ACTIONS(3168),
    [anon_sym_new] = ACTIONS(1506),
    [anon_sym_opaque] = ACTIONS(1504),
    [anon_sym_implicit] = ACTIONS(3170),
    [anon_sym_inline] = ACTIONS(1508),
    [anon_sym_infix] = ACTIONS(1504),
    [anon_sym_open] = ACTIONS(1504),
    [anon_sym_transparent] = ACTIONS(1504),
    [anon_sym_LPAREN] = ACTIONS(1510),
    [anon_sym_macro] = ACTIONS(2054),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_TILDE] = ACTIONS(1502),
    [anon_sym_DOLLAR] = ACTIONS(1512),
    [anon_sym_SQUOTE] = ACTIONS(1514),
    [sym__backquoted_id] = ACTIONS(1516),
    [sym_operator_identifier] = ACTIONS(3320),
    [sym_integer_literal] = ACTIONS(1520),
    [sym_floating_point_literal] = ACTIONS(1522),
    [anon_sym_true] = ACTIONS(1524),
    [anon_sym_false] = ACTIONS(1524),
    [sym_character_literal] = ACTIONS(1522),
    [sym_null_literal] = ACTIONS(1526),
    [anon_sym_return] = ACTIONS(3175),
    [anon_sym_throw] = ACTIONS(3177),
    [anon_sym_do] = ACTIONS(2062),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3316),
    [sym__simple_multiline_string] = ACTIONS(1528),
    [sym__simple_string] = ACTIONS(1528),
  },
  [1263] = {
    [sym_inline_modifier] = STATE(2208),
    [sym__indentable_expression] = STATE(13300),
    [sym_block] = STATE(8821),
    [sym_indented_block] = STATE(13308),
    [sym_indented_cases] = STATE(13308),
    [sym_expression] = STATE(13197),
    [sym__simple_expression] = STATE(6537),
    [sym_lambda_expression] = STATE(13337),
    [sym_if_expression] = STATE(13337),
    [sym_match_expression] = STATE(13337),
    [sym_try_expression] = STATE(13337),
    [sym_bindings] = STATE(15500),
    [sym_case_block] = STATE(8821),
    [sym_assignment_expression] = STATE(13337),
    [sym_generic_function] = STATE(8821),
    [sym_call_expression] = STATE(8821),
    [sym_field_expression] = STATE(8821),
    [sym_instance_expression] = STATE(8821),
    [sym_ascription_expression] = STATE(13337),
    [sym_infix_expression] = STATE(9659),
    [sym_postfix_expression] = STATE(13173),
    [sym__postfix_expression_choice] = STATE(16170),
    [sym_macro_body] = STATE(13337),
    [sym_prefix_expression] = STATE(9718),
    [sym_tuple_expression] = STATE(8821),
    [sym_parenthesized_expression] = STATE(8821),
    [sym_splice_expression] = STATE(8821),
    [sym_quote_expression] = STATE(8821),
    [sym_identifier] = STATE(5968),
    [sym__soft_identifier] = STATE(6446),
    [sym_wildcard] = STATE(8208),
    [sym__non_null_literal] = STATE(8821),
    [sym_boolean_literal] = STATE(8798),
    [sym_interpolated_string_expression] = STATE(8821),
    [sym_string] = STATE(8798),
    [sym_unit] = STATE(8821),
    [sym_return_expression] = STATE(13337),
    [sym_throw_expression] = STATE(13337),
    [sym_while_expression] = STATE(13337),
    [sym_do_while_expression] = STATE(13337),
    [sym_for_expression] = STATE(13337),
    [sym_comment] = STATE(1263),
    [sym_block_comment] = STATE(1263),
    [sym__alpha_identifier] = ACTIONS(1674),
    [anon_sym_LBRACE] = ACTIONS(1678),
    [anon_sym__] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1682),
    [anon_sym_DASH] = ACTIONS(1682),
    [anon_sym_end] = ACTIONS(1684),
    [anon_sym_if] = ACTIONS(1904),
    [anon_sym_while] = ACTIONS(1906),
    [anon_sym_for] = ACTIONS(1908),
    [anon_sym_try] = ACTIONS(1910),
    [anon_sym_new] = ACTIONS(1686),
    [anon_sym_opaque] = ACTIONS(1684),
    [anon_sym_implicit] = ACTIONS(1912),
    [anon_sym_inline] = ACTIONS(1688),
    [anon_sym_infix] = ACTIONS(1684),
    [anon_sym_open] = ACTIONS(1684),
    [anon_sym_transparent] = ACTIONS(1684),
    [anon_sym_LPAREN] = ACTIONS(1690),
    [anon_sym_macro] = ACTIONS(1914),
    [anon_sym_BANG] = ACTIONS(1682),
    [anon_sym_TILDE] = ACTIONS(1682),
    [anon_sym_DOLLAR] = ACTIONS(1692),
    [anon_sym_SQUOTE] = ACTIONS(1694),
    [sym__backquoted_id] = ACTIONS(1696),
    [sym_operator_identifier] = ACTIONS(1916),
    [sym_integer_literal] = ACTIONS(1700),
    [sym_floating_point_literal] = ACTIONS(1702),
    [anon_sym_true] = ACTIONS(1704),
    [anon_sym_false] = ACTIONS(1704),
    [sym_character_literal] = ACTIONS(1702),
    [sym_null_literal] = ACTIONS(1706),
    [anon_sym_return] = ACTIONS(1918),
    [anon_sym_throw] = ACTIONS(1920),
    [anon_sym_do] = ACTIONS(1922),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2206),
    [sym__simple_multiline_string] = ACTIONS(1708),
    [sym__simple_string] = ACTIONS(1708),
  },
  [1264] = {
    [sym_inline_modifier] = STATE(2076),
    [sym__indentable_expression] = STATE(14108),
    [sym_block] = STATE(9327),
    [sym_indented_block] = STATE(13548),
    [sym_indented_cases] = STATE(13548),
    [sym_expression] = STATE(13406),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(1264),
    [sym_block_comment] = STATE(1264),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(3109),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [1265] = {
    [sym_inline_modifier] = STATE(2084),
    [sym__indentable_expression] = STATE(16390),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(8831),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15722),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10635),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(762),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(8641),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(10149),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1265),
    [sym_block_comment] = STATE(1265),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2740),
    [anon_sym_while] = ACTIONS(2742),
    [anon_sym_for] = ACTIONS(2744),
    [anon_sym_try] = ACTIONS(2746),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2748),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3310),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3312),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2762),
    [anon_sym_throw] = ACTIONS(2764),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1266] = {
    [sym_inline_modifier] = STATE(2100),
    [sym__indentable_expression] = STATE(13128),
    [sym_block] = STATE(8218),
    [sym_indented_block] = STATE(13075),
    [sym_indented_cases] = STATE(13075),
    [sym_expression] = STATE(12682),
    [sym__simple_expression] = STATE(7445),
    [sym_lambda_expression] = STATE(13097),
    [sym_if_expression] = STATE(13097),
    [sym_match_expression] = STATE(13097),
    [sym_try_expression] = STATE(13097),
    [sym_bindings] = STATE(15495),
    [sym_case_block] = STATE(8218),
    [sym_assignment_expression] = STATE(13097),
    [sym_generic_function] = STATE(8218),
    [sym_call_expression] = STATE(8218),
    [sym_field_expression] = STATE(8218),
    [sym_instance_expression] = STATE(8218),
    [sym_ascription_expression] = STATE(13097),
    [sym_infix_expression] = STATE(9424),
    [sym_postfix_expression] = STATE(12765),
    [sym__postfix_expression_choice] = STATE(16117),
    [sym_macro_body] = STATE(13097),
    [sym_prefix_expression] = STATE(10239),
    [sym_tuple_expression] = STATE(8218),
    [sym_parenthesized_expression] = STATE(8218),
    [sym_splice_expression] = STATE(8218),
    [sym_quote_expression] = STATE(8218),
    [sym_identifier] = STATE(7278),
    [sym__soft_identifier] = STATE(5752),
    [sym_wildcard] = STATE(9367),
    [sym__non_null_literal] = STATE(8218),
    [sym_boolean_literal] = STATE(8413),
    [sym_interpolated_string_expression] = STATE(8218),
    [sym_string] = STATE(8413),
    [sym_unit] = STATE(8218),
    [sym_return_expression] = STATE(13097),
    [sym_throw_expression] = STATE(13097),
    [sym_while_expression] = STATE(13097),
    [sym_do_while_expression] = STATE(13097),
    [sym_for_expression] = STATE(13097),
    [sym_comment] = STATE(1266),
    [sym_block_comment] = STATE(1266),
    [sym__alpha_identifier] = ACTIONS(1494),
    [anon_sym_LBRACE] = ACTIONS(1498),
    [anon_sym__] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1502),
    [anon_sym_end] = ACTIONS(1504),
    [anon_sym_if] = ACTIONS(3162),
    [anon_sym_while] = ACTIONS(3164),
    [anon_sym_for] = ACTIONS(3166),
    [anon_sym_try] = ACTIONS(3168),
    [anon_sym_new] = ACTIONS(1506),
    [anon_sym_opaque] = ACTIONS(1504),
    [anon_sym_implicit] = ACTIONS(3170),
    [anon_sym_inline] = ACTIONS(1508),
    [anon_sym_infix] = ACTIONS(1504),
    [anon_sym_open] = ACTIONS(1504),
    [anon_sym_transparent] = ACTIONS(1504),
    [anon_sym_LPAREN] = ACTIONS(1510),
    [anon_sym_macro] = ACTIONS(2054),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_TILDE] = ACTIONS(1502),
    [anon_sym_DOLLAR] = ACTIONS(1512),
    [anon_sym_SQUOTE] = ACTIONS(1514),
    [sym__backquoted_id] = ACTIONS(1516),
    [sym_operator_identifier] = ACTIONS(3320),
    [sym_integer_literal] = ACTIONS(1520),
    [sym_floating_point_literal] = ACTIONS(1522),
    [anon_sym_true] = ACTIONS(1524),
    [anon_sym_false] = ACTIONS(1524),
    [sym_character_literal] = ACTIONS(1522),
    [sym_null_literal] = ACTIONS(1526),
    [anon_sym_return] = ACTIONS(3175),
    [anon_sym_throw] = ACTIONS(3177),
    [anon_sym_do] = ACTIONS(2062),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3316),
    [sym__simple_multiline_string] = ACTIONS(1528),
    [sym__simple_string] = ACTIONS(1528),
  },
  [1267] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(13634),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1267),
    [sym_block_comment] = STATE(1267),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1268] = {
    [sym_inline_modifier] = STATE(2100),
    [sym__indentable_expression] = STATE(13036),
    [sym_block] = STATE(8218),
    [sym_indented_block] = STATE(13075),
    [sym_indented_cases] = STATE(13075),
    [sym_expression] = STATE(12682),
    [sym__simple_expression] = STATE(7445),
    [sym_lambda_expression] = STATE(13097),
    [sym_if_expression] = STATE(13097),
    [sym_match_expression] = STATE(13097),
    [sym_try_expression] = STATE(13097),
    [sym_bindings] = STATE(15495),
    [sym_case_block] = STATE(8218),
    [sym_assignment_expression] = STATE(13097),
    [sym_generic_function] = STATE(8218),
    [sym_call_expression] = STATE(8218),
    [sym_field_expression] = STATE(8218),
    [sym_instance_expression] = STATE(8218),
    [sym_ascription_expression] = STATE(13097),
    [sym_infix_expression] = STATE(9424),
    [sym_postfix_expression] = STATE(12765),
    [sym__postfix_expression_choice] = STATE(16117),
    [sym_macro_body] = STATE(13097),
    [sym_prefix_expression] = STATE(10239),
    [sym_tuple_expression] = STATE(8218),
    [sym_parenthesized_expression] = STATE(8218),
    [sym_splice_expression] = STATE(8218),
    [sym_quote_expression] = STATE(8218),
    [sym_identifier] = STATE(7278),
    [sym__soft_identifier] = STATE(5752),
    [sym_wildcard] = STATE(9367),
    [sym__non_null_literal] = STATE(8218),
    [sym_boolean_literal] = STATE(8413),
    [sym_interpolated_string_expression] = STATE(8218),
    [sym_string] = STATE(8413),
    [sym_unit] = STATE(8218),
    [sym_return_expression] = STATE(13097),
    [sym_throw_expression] = STATE(13097),
    [sym_while_expression] = STATE(13097),
    [sym_do_while_expression] = STATE(13097),
    [sym_for_expression] = STATE(13097),
    [sym_comment] = STATE(1268),
    [sym_block_comment] = STATE(1268),
    [sym__alpha_identifier] = ACTIONS(1494),
    [anon_sym_LBRACE] = ACTIONS(1498),
    [anon_sym__] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1502),
    [anon_sym_end] = ACTIONS(1504),
    [anon_sym_if] = ACTIONS(3162),
    [anon_sym_while] = ACTIONS(3164),
    [anon_sym_for] = ACTIONS(3166),
    [anon_sym_try] = ACTIONS(3168),
    [anon_sym_new] = ACTIONS(1506),
    [anon_sym_opaque] = ACTIONS(1504),
    [anon_sym_implicit] = ACTIONS(3170),
    [anon_sym_inline] = ACTIONS(1508),
    [anon_sym_infix] = ACTIONS(1504),
    [anon_sym_open] = ACTIONS(1504),
    [anon_sym_transparent] = ACTIONS(1504),
    [anon_sym_LPAREN] = ACTIONS(1510),
    [anon_sym_macro] = ACTIONS(2054),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_TILDE] = ACTIONS(1502),
    [anon_sym_DOLLAR] = ACTIONS(1512),
    [anon_sym_SQUOTE] = ACTIONS(1514),
    [sym__backquoted_id] = ACTIONS(1516),
    [sym_operator_identifier] = ACTIONS(3320),
    [sym_integer_literal] = ACTIONS(1520),
    [sym_floating_point_literal] = ACTIONS(1522),
    [anon_sym_true] = ACTIONS(1524),
    [anon_sym_false] = ACTIONS(1524),
    [sym_character_literal] = ACTIONS(1522),
    [sym_null_literal] = ACTIONS(1526),
    [anon_sym_return] = ACTIONS(3175),
    [anon_sym_throw] = ACTIONS(3177),
    [anon_sym_do] = ACTIONS(2062),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3316),
    [sym__simple_multiline_string] = ACTIONS(1528),
    [sym__simple_string] = ACTIONS(1528),
  },
  [1269] = {
    [sym_inline_modifier] = STATE(2208),
    [sym__indentable_expression] = STATE(13269),
    [sym_block] = STATE(8821),
    [sym_indented_block] = STATE(13308),
    [sym_indented_cases] = STATE(13308),
    [sym_expression] = STATE(13197),
    [sym__simple_expression] = STATE(6537),
    [sym_lambda_expression] = STATE(13337),
    [sym_if_expression] = STATE(13337),
    [sym_match_expression] = STATE(13337),
    [sym_try_expression] = STATE(13337),
    [sym_bindings] = STATE(15500),
    [sym_case_block] = STATE(8821),
    [sym_assignment_expression] = STATE(13337),
    [sym_generic_function] = STATE(8821),
    [sym_call_expression] = STATE(8821),
    [sym_field_expression] = STATE(8821),
    [sym_instance_expression] = STATE(8821),
    [sym_ascription_expression] = STATE(13337),
    [sym_infix_expression] = STATE(9659),
    [sym_postfix_expression] = STATE(13173),
    [sym__postfix_expression_choice] = STATE(16170),
    [sym_macro_body] = STATE(13337),
    [sym_prefix_expression] = STATE(9718),
    [sym_tuple_expression] = STATE(8821),
    [sym_parenthesized_expression] = STATE(8821),
    [sym_splice_expression] = STATE(8821),
    [sym_quote_expression] = STATE(8821),
    [sym_identifier] = STATE(5968),
    [sym__soft_identifier] = STATE(6446),
    [sym_wildcard] = STATE(8208),
    [sym__non_null_literal] = STATE(8821),
    [sym_boolean_literal] = STATE(8798),
    [sym_interpolated_string_expression] = STATE(8821),
    [sym_string] = STATE(8798),
    [sym_unit] = STATE(8821),
    [sym_return_expression] = STATE(13337),
    [sym_throw_expression] = STATE(13337),
    [sym_while_expression] = STATE(13337),
    [sym_do_while_expression] = STATE(13337),
    [sym_for_expression] = STATE(13337),
    [sym_comment] = STATE(1269),
    [sym_block_comment] = STATE(1269),
    [sym__alpha_identifier] = ACTIONS(1674),
    [anon_sym_LBRACE] = ACTIONS(1678),
    [anon_sym__] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1682),
    [anon_sym_DASH] = ACTIONS(1682),
    [anon_sym_end] = ACTIONS(1684),
    [anon_sym_if] = ACTIONS(1904),
    [anon_sym_while] = ACTIONS(1906),
    [anon_sym_for] = ACTIONS(1908),
    [anon_sym_try] = ACTIONS(1910),
    [anon_sym_new] = ACTIONS(1686),
    [anon_sym_opaque] = ACTIONS(1684),
    [anon_sym_implicit] = ACTIONS(1912),
    [anon_sym_inline] = ACTIONS(1688),
    [anon_sym_infix] = ACTIONS(1684),
    [anon_sym_open] = ACTIONS(1684),
    [anon_sym_transparent] = ACTIONS(1684),
    [anon_sym_LPAREN] = ACTIONS(1690),
    [anon_sym_macro] = ACTIONS(1914),
    [anon_sym_BANG] = ACTIONS(1682),
    [anon_sym_TILDE] = ACTIONS(1682),
    [anon_sym_DOLLAR] = ACTIONS(1692),
    [anon_sym_SQUOTE] = ACTIONS(1694),
    [sym__backquoted_id] = ACTIONS(1696),
    [sym_operator_identifier] = ACTIONS(1916),
    [sym_integer_literal] = ACTIONS(1700),
    [sym_floating_point_literal] = ACTIONS(1702),
    [anon_sym_true] = ACTIONS(1704),
    [anon_sym_false] = ACTIONS(1704),
    [sym_character_literal] = ACTIONS(1702),
    [sym_null_literal] = ACTIONS(1706),
    [anon_sym_return] = ACTIONS(1918),
    [anon_sym_throw] = ACTIONS(1920),
    [anon_sym_do] = ACTIONS(1922),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2206),
    [sym__simple_multiline_string] = ACTIONS(1708),
    [sym__simple_string] = ACTIONS(1708),
  },
  [1270] = {
    [sym_inline_modifier] = STATE(2054),
    [sym__indentable_expression] = STATE(12405),
    [sym_block] = STATE(8041),
    [sym_indented_block] = STATE(12292),
    [sym_indented_cases] = STATE(12292),
    [sym_expression] = STATE(12256),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(7036),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(1270),
    [sym_block_comment] = STATE(1270),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2807),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1271] = {
    [sym_inline_modifier] = STATE(2100),
    [sym__indentable_expression] = STATE(13028),
    [sym_block] = STATE(8218),
    [sym_indented_block] = STATE(13075),
    [sym_indented_cases] = STATE(13075),
    [sym_expression] = STATE(12682),
    [sym__simple_expression] = STATE(7445),
    [sym_lambda_expression] = STATE(13097),
    [sym_if_expression] = STATE(13097),
    [sym_match_expression] = STATE(13097),
    [sym_try_expression] = STATE(13097),
    [sym_bindings] = STATE(15495),
    [sym_case_block] = STATE(8218),
    [sym_assignment_expression] = STATE(13097),
    [sym_generic_function] = STATE(8218),
    [sym_call_expression] = STATE(8218),
    [sym_field_expression] = STATE(8218),
    [sym_instance_expression] = STATE(8218),
    [sym_ascription_expression] = STATE(13097),
    [sym_infix_expression] = STATE(9424),
    [sym_postfix_expression] = STATE(12765),
    [sym__postfix_expression_choice] = STATE(16117),
    [sym_macro_body] = STATE(13097),
    [sym_prefix_expression] = STATE(10239),
    [sym_tuple_expression] = STATE(8218),
    [sym_parenthesized_expression] = STATE(8218),
    [sym_splice_expression] = STATE(8218),
    [sym_quote_expression] = STATE(8218),
    [sym_identifier] = STATE(7278),
    [sym__soft_identifier] = STATE(5752),
    [sym_wildcard] = STATE(9367),
    [sym__non_null_literal] = STATE(8218),
    [sym_boolean_literal] = STATE(8413),
    [sym_interpolated_string_expression] = STATE(8218),
    [sym_string] = STATE(8413),
    [sym_unit] = STATE(8218),
    [sym_return_expression] = STATE(13097),
    [sym_throw_expression] = STATE(13097),
    [sym_while_expression] = STATE(13097),
    [sym_do_while_expression] = STATE(13097),
    [sym_for_expression] = STATE(13097),
    [sym_comment] = STATE(1271),
    [sym_block_comment] = STATE(1271),
    [sym__alpha_identifier] = ACTIONS(1494),
    [anon_sym_LBRACE] = ACTIONS(1498),
    [anon_sym__] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1502),
    [anon_sym_end] = ACTIONS(1504),
    [anon_sym_if] = ACTIONS(3162),
    [anon_sym_while] = ACTIONS(3164),
    [anon_sym_for] = ACTIONS(3166),
    [anon_sym_try] = ACTIONS(3168),
    [anon_sym_new] = ACTIONS(1506),
    [anon_sym_opaque] = ACTIONS(1504),
    [anon_sym_implicit] = ACTIONS(3170),
    [anon_sym_inline] = ACTIONS(1508),
    [anon_sym_infix] = ACTIONS(1504),
    [anon_sym_open] = ACTIONS(1504),
    [anon_sym_transparent] = ACTIONS(1504),
    [anon_sym_LPAREN] = ACTIONS(1510),
    [anon_sym_macro] = ACTIONS(2054),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_TILDE] = ACTIONS(1502),
    [anon_sym_DOLLAR] = ACTIONS(1512),
    [anon_sym_SQUOTE] = ACTIONS(1514),
    [sym__backquoted_id] = ACTIONS(1516),
    [sym_operator_identifier] = ACTIONS(3320),
    [sym_integer_literal] = ACTIONS(1520),
    [sym_floating_point_literal] = ACTIONS(1522),
    [anon_sym_true] = ACTIONS(1524),
    [anon_sym_false] = ACTIONS(1524),
    [sym_character_literal] = ACTIONS(1522),
    [sym_null_literal] = ACTIONS(1526),
    [anon_sym_return] = ACTIONS(3175),
    [anon_sym_throw] = ACTIONS(3177),
    [anon_sym_do] = ACTIONS(2062),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3316),
    [sym__simple_multiline_string] = ACTIONS(1528),
    [sym__simple_string] = ACTIONS(1528),
  },
  [1272] = {
    [sym_inline_modifier] = STATE(2100),
    [sym__indentable_expression] = STATE(13026),
    [sym_block] = STATE(8218),
    [sym_indented_block] = STATE(13075),
    [sym_indented_cases] = STATE(13075),
    [sym_expression] = STATE(12682),
    [sym__simple_expression] = STATE(7445),
    [sym_lambda_expression] = STATE(13097),
    [sym_if_expression] = STATE(13097),
    [sym_match_expression] = STATE(13097),
    [sym_try_expression] = STATE(13097),
    [sym_bindings] = STATE(15495),
    [sym_case_block] = STATE(8218),
    [sym_assignment_expression] = STATE(13097),
    [sym_generic_function] = STATE(8218),
    [sym_call_expression] = STATE(8218),
    [sym_field_expression] = STATE(8218),
    [sym_instance_expression] = STATE(8218),
    [sym_ascription_expression] = STATE(13097),
    [sym_infix_expression] = STATE(9424),
    [sym_postfix_expression] = STATE(12765),
    [sym__postfix_expression_choice] = STATE(16117),
    [sym_macro_body] = STATE(13097),
    [sym_prefix_expression] = STATE(10239),
    [sym_tuple_expression] = STATE(8218),
    [sym_parenthesized_expression] = STATE(8218),
    [sym_splice_expression] = STATE(8218),
    [sym_quote_expression] = STATE(8218),
    [sym_identifier] = STATE(7278),
    [sym__soft_identifier] = STATE(5752),
    [sym_wildcard] = STATE(9367),
    [sym__non_null_literal] = STATE(8218),
    [sym_boolean_literal] = STATE(8413),
    [sym_interpolated_string_expression] = STATE(8218),
    [sym_string] = STATE(8413),
    [sym_unit] = STATE(8218),
    [sym_return_expression] = STATE(13097),
    [sym_throw_expression] = STATE(13097),
    [sym_while_expression] = STATE(13097),
    [sym_do_while_expression] = STATE(13097),
    [sym_for_expression] = STATE(13097),
    [sym_comment] = STATE(1272),
    [sym_block_comment] = STATE(1272),
    [sym__alpha_identifier] = ACTIONS(1494),
    [anon_sym_LBRACE] = ACTIONS(1498),
    [anon_sym__] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1502),
    [anon_sym_end] = ACTIONS(1504),
    [anon_sym_if] = ACTIONS(3162),
    [anon_sym_while] = ACTIONS(3164),
    [anon_sym_for] = ACTIONS(3166),
    [anon_sym_try] = ACTIONS(3168),
    [anon_sym_new] = ACTIONS(1506),
    [anon_sym_opaque] = ACTIONS(1504),
    [anon_sym_implicit] = ACTIONS(3170),
    [anon_sym_inline] = ACTIONS(1508),
    [anon_sym_infix] = ACTIONS(1504),
    [anon_sym_open] = ACTIONS(1504),
    [anon_sym_transparent] = ACTIONS(1504),
    [anon_sym_LPAREN] = ACTIONS(1510),
    [anon_sym_macro] = ACTIONS(2054),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_TILDE] = ACTIONS(1502),
    [anon_sym_DOLLAR] = ACTIONS(1512),
    [anon_sym_SQUOTE] = ACTIONS(1514),
    [sym__backquoted_id] = ACTIONS(1516),
    [sym_operator_identifier] = ACTIONS(3320),
    [sym_integer_literal] = ACTIONS(1520),
    [sym_floating_point_literal] = ACTIONS(1522),
    [anon_sym_true] = ACTIONS(1524),
    [anon_sym_false] = ACTIONS(1524),
    [sym_character_literal] = ACTIONS(1522),
    [sym_null_literal] = ACTIONS(1526),
    [anon_sym_return] = ACTIONS(3175),
    [anon_sym_throw] = ACTIONS(3177),
    [anon_sym_do] = ACTIONS(2062),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3316),
    [sym__simple_multiline_string] = ACTIONS(1528),
    [sym__simple_string] = ACTIONS(1528),
  },
  [1273] = {
    [sym_inline_modifier] = STATE(2100),
    [sym__indentable_expression] = STATE(13022),
    [sym_block] = STATE(8218),
    [sym_indented_block] = STATE(13075),
    [sym_indented_cases] = STATE(13075),
    [sym_expression] = STATE(12682),
    [sym__simple_expression] = STATE(7445),
    [sym_lambda_expression] = STATE(13097),
    [sym_if_expression] = STATE(13097),
    [sym_match_expression] = STATE(13097),
    [sym_try_expression] = STATE(13097),
    [sym_bindings] = STATE(15495),
    [sym_case_block] = STATE(8218),
    [sym_assignment_expression] = STATE(13097),
    [sym_generic_function] = STATE(8218),
    [sym_call_expression] = STATE(8218),
    [sym_field_expression] = STATE(8218),
    [sym_instance_expression] = STATE(8218),
    [sym_ascription_expression] = STATE(13097),
    [sym_infix_expression] = STATE(9424),
    [sym_postfix_expression] = STATE(12765),
    [sym__postfix_expression_choice] = STATE(16117),
    [sym_macro_body] = STATE(13097),
    [sym_prefix_expression] = STATE(10239),
    [sym_tuple_expression] = STATE(8218),
    [sym_parenthesized_expression] = STATE(8218),
    [sym_splice_expression] = STATE(8218),
    [sym_quote_expression] = STATE(8218),
    [sym_identifier] = STATE(7278),
    [sym__soft_identifier] = STATE(5752),
    [sym_wildcard] = STATE(9367),
    [sym__non_null_literal] = STATE(8218),
    [sym_boolean_literal] = STATE(8413),
    [sym_interpolated_string_expression] = STATE(8218),
    [sym_string] = STATE(8413),
    [sym_unit] = STATE(8218),
    [sym_return_expression] = STATE(13097),
    [sym_throw_expression] = STATE(13097),
    [sym_while_expression] = STATE(13097),
    [sym_do_while_expression] = STATE(13097),
    [sym_for_expression] = STATE(13097),
    [sym_comment] = STATE(1273),
    [sym_block_comment] = STATE(1273),
    [sym__alpha_identifier] = ACTIONS(1494),
    [anon_sym_LBRACE] = ACTIONS(1498),
    [anon_sym__] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1502),
    [anon_sym_end] = ACTIONS(1504),
    [anon_sym_if] = ACTIONS(3162),
    [anon_sym_while] = ACTIONS(3164),
    [anon_sym_for] = ACTIONS(3166),
    [anon_sym_try] = ACTIONS(3168),
    [anon_sym_new] = ACTIONS(1506),
    [anon_sym_opaque] = ACTIONS(1504),
    [anon_sym_implicit] = ACTIONS(3170),
    [anon_sym_inline] = ACTIONS(1508),
    [anon_sym_infix] = ACTIONS(1504),
    [anon_sym_open] = ACTIONS(1504),
    [anon_sym_transparent] = ACTIONS(1504),
    [anon_sym_LPAREN] = ACTIONS(1510),
    [anon_sym_macro] = ACTIONS(2054),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_TILDE] = ACTIONS(1502),
    [anon_sym_DOLLAR] = ACTIONS(1512),
    [anon_sym_SQUOTE] = ACTIONS(1514),
    [sym__backquoted_id] = ACTIONS(1516),
    [sym_operator_identifier] = ACTIONS(3320),
    [sym_integer_literal] = ACTIONS(1520),
    [sym_floating_point_literal] = ACTIONS(1522),
    [anon_sym_true] = ACTIONS(1524),
    [anon_sym_false] = ACTIONS(1524),
    [sym_character_literal] = ACTIONS(1522),
    [sym_null_literal] = ACTIONS(1526),
    [anon_sym_return] = ACTIONS(3175),
    [anon_sym_throw] = ACTIONS(3177),
    [anon_sym_do] = ACTIONS(2062),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3316),
    [sym__simple_multiline_string] = ACTIONS(1528),
    [sym__simple_string] = ACTIONS(1528),
  },
  [1274] = {
    [sym_inline_modifier] = STATE(2076),
    [sym__indentable_expression] = STATE(14133),
    [sym_block] = STATE(9327),
    [sym_indented_block] = STATE(13548),
    [sym_indented_cases] = STATE(13548),
    [sym_expression] = STATE(13406),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(1274),
    [sym_block_comment] = STATE(1274),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(3109),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [1275] = {
    [sym_inline_modifier] = STATE(2054),
    [sym__indentable_expression] = STATE(12508),
    [sym_block] = STATE(8041),
    [sym_indented_block] = STATE(12292),
    [sym_indented_cases] = STATE(12292),
    [sym_expression] = STATE(12256),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(7036),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(1275),
    [sym_block_comment] = STATE(1275),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2807),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1276] = {
    [sym_inline_modifier] = STATE(2076),
    [sym__indentable_expression] = STATE(14144),
    [sym_block] = STATE(9327),
    [sym_indented_block] = STATE(13548),
    [sym_indented_cases] = STATE(13548),
    [sym_expression] = STATE(13406),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(1276),
    [sym_block_comment] = STATE(1276),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(3109),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [1277] = {
    [sym_inline_modifier] = STATE(2054),
    [sym__indentable_expression] = STATE(12525),
    [sym_block] = STATE(8041),
    [sym_indented_block] = STATE(12292),
    [sym_indented_cases] = STATE(12292),
    [sym_expression] = STATE(12256),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(7036),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(1277),
    [sym_block_comment] = STATE(1277),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2807),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1278] = {
    [sym_inline_modifier] = STATE(2125),
    [sym__indentable_expression] = STATE(12464),
    [sym_block] = STATE(6738),
    [sym_indented_block] = STATE(12372),
    [sym_indented_cases] = STATE(12372),
    [sym_expression] = STATE(12028),
    [sym__simple_expression] = STATE(5176),
    [sym_lambda_expression] = STATE(12430),
    [sym_if_expression] = STATE(12430),
    [sym_match_expression] = STATE(12430),
    [sym_try_expression] = STATE(12430),
    [sym_bindings] = STATE(15677),
    [sym_case_block] = STATE(6738),
    [sym_assignment_expression] = STATE(12430),
    [sym_generic_function] = STATE(6738),
    [sym_call_expression] = STATE(6738),
    [sym_field_expression] = STATE(6738),
    [sym_instance_expression] = STATE(6738),
    [sym_ascription_expression] = STATE(12430),
    [sym_infix_expression] = STATE(8389),
    [sym_postfix_expression] = STATE(11930),
    [sym__postfix_expression_choice] = STATE(15885),
    [sym_macro_body] = STATE(12430),
    [sym_prefix_expression] = STATE(9115),
    [sym_tuple_expression] = STATE(6738),
    [sym_parenthesized_expression] = STATE(6738),
    [sym_splice_expression] = STATE(6738),
    [sym_quote_expression] = STATE(6738),
    [sym_identifier] = STATE(4951),
    [sym__soft_identifier] = STATE(4943),
    [sym_wildcard] = STATE(7114),
    [sym__non_null_literal] = STATE(6738),
    [sym_boolean_literal] = STATE(7301),
    [sym_interpolated_string_expression] = STATE(6738),
    [sym_string] = STATE(7301),
    [sym_unit] = STATE(6738),
    [sym_return_expression] = STATE(12430),
    [sym_throw_expression] = STATE(12430),
    [sym_while_expression] = STATE(12430),
    [sym_do_while_expression] = STATE(12430),
    [sym_for_expression] = STATE(12430),
    [sym_comment] = STATE(1278),
    [sym_block_comment] = STATE(1278),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(1350),
    [anon_sym_while] = ACTIONS(1352),
    [anon_sym_for] = ACTIONS(1354),
    [anon_sym_try] = ACTIONS(1356),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(1358),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1360),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(1362),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(1364),
    [anon_sym_throw] = ACTIONS(1366),
    [anon_sym_do] = ACTIONS(1368),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2202),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [1279] = {
    [sym_inline_modifier] = STATE(2234),
    [sym__indentable_expression] = STATE(12943),
    [sym_block] = STATE(7443),
    [sym_indented_block] = STATE(12679),
    [sym_indented_cases] = STATE(12679),
    [sym_expression] = STATE(12305),
    [sym__simple_expression] = STATE(5279),
    [sym_lambda_expression] = STATE(12692),
    [sym_if_expression] = STATE(12692),
    [sym_match_expression] = STATE(12692),
    [sym_try_expression] = STATE(12692),
    [sym_bindings] = STATE(15619),
    [sym_case_block] = STATE(7443),
    [sym_assignment_expression] = STATE(12692),
    [sym_generic_function] = STATE(7443),
    [sym_call_expression] = STATE(7443),
    [sym_field_expression] = STATE(7443),
    [sym_instance_expression] = STATE(7443),
    [sym_ascription_expression] = STATE(12692),
    [sym_infix_expression] = STATE(8993),
    [sym_postfix_expression] = STATE(12386),
    [sym__postfix_expression_choice] = STATE(16150),
    [sym_macro_body] = STATE(12692),
    [sym_prefix_expression] = STATE(8795),
    [sym_tuple_expression] = STATE(7443),
    [sym_parenthesized_expression] = STATE(7443),
    [sym_splice_expression] = STATE(7443),
    [sym_quote_expression] = STATE(7443),
    [sym_identifier] = STATE(4734),
    [sym__soft_identifier] = STATE(5213),
    [sym_wildcard] = STATE(7227),
    [sym__non_null_literal] = STATE(7443),
    [sym_boolean_literal] = STATE(7707),
    [sym_interpolated_string_expression] = STATE(7443),
    [sym_string] = STATE(7707),
    [sym_unit] = STATE(7443),
    [sym_return_expression] = STATE(12692),
    [sym_throw_expression] = STATE(12692),
    [sym_while_expression] = STATE(12692),
    [sym_do_while_expression] = STATE(12692),
    [sym_for_expression] = STATE(12692),
    [sym_comment] = STATE(1279),
    [sym_block_comment] = STATE(1279),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(2292),
    [anon_sym_while] = ACTIONS(1480),
    [anon_sym_for] = ACTIONS(1482),
    [anon_sym_try] = ACTIONS(1484),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(1486),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1196),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(1488),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(1490),
    [anon_sym_throw] = ACTIONS(1492),
    [anon_sym_do] = ACTIONS(1204),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2294),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [1280] = {
    [sym_inline_modifier] = STATE(2076),
    [sym__indentable_expression] = STATE(14152),
    [sym_block] = STATE(9327),
    [sym_indented_block] = STATE(13548),
    [sym_indented_cases] = STATE(13548),
    [sym_expression] = STATE(13406),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(1280),
    [sym_block_comment] = STATE(1280),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(3109),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [1281] = {
    [sym_inline_modifier] = STATE(2100),
    [sym__indentable_expression] = STATE(12959),
    [sym_block] = STATE(8218),
    [sym_indented_block] = STATE(13075),
    [sym_indented_cases] = STATE(13075),
    [sym_expression] = STATE(12682),
    [sym__simple_expression] = STATE(7445),
    [sym_lambda_expression] = STATE(13097),
    [sym_if_expression] = STATE(13097),
    [sym_match_expression] = STATE(13097),
    [sym_try_expression] = STATE(13097),
    [sym_bindings] = STATE(15495),
    [sym_case_block] = STATE(8218),
    [sym_assignment_expression] = STATE(13097),
    [sym_generic_function] = STATE(8218),
    [sym_call_expression] = STATE(8218),
    [sym_field_expression] = STATE(8218),
    [sym_instance_expression] = STATE(8218),
    [sym_ascription_expression] = STATE(13097),
    [sym_infix_expression] = STATE(9424),
    [sym_postfix_expression] = STATE(12765),
    [sym__postfix_expression_choice] = STATE(16117),
    [sym_macro_body] = STATE(13097),
    [sym_prefix_expression] = STATE(10239),
    [sym_tuple_expression] = STATE(8218),
    [sym_parenthesized_expression] = STATE(8218),
    [sym_splice_expression] = STATE(8218),
    [sym_quote_expression] = STATE(8218),
    [sym_identifier] = STATE(7278),
    [sym__soft_identifier] = STATE(5752),
    [sym_wildcard] = STATE(9367),
    [sym__non_null_literal] = STATE(8218),
    [sym_boolean_literal] = STATE(8413),
    [sym_interpolated_string_expression] = STATE(8218),
    [sym_string] = STATE(8413),
    [sym_unit] = STATE(8218),
    [sym_return_expression] = STATE(13097),
    [sym_throw_expression] = STATE(13097),
    [sym_while_expression] = STATE(13097),
    [sym_do_while_expression] = STATE(13097),
    [sym_for_expression] = STATE(13097),
    [sym_comment] = STATE(1281),
    [sym_block_comment] = STATE(1281),
    [sym__alpha_identifier] = ACTIONS(1494),
    [anon_sym_LBRACE] = ACTIONS(1498),
    [anon_sym__] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1502),
    [anon_sym_end] = ACTIONS(1504),
    [anon_sym_if] = ACTIONS(3162),
    [anon_sym_while] = ACTIONS(3164),
    [anon_sym_for] = ACTIONS(3166),
    [anon_sym_try] = ACTIONS(3168),
    [anon_sym_new] = ACTIONS(1506),
    [anon_sym_opaque] = ACTIONS(1504),
    [anon_sym_implicit] = ACTIONS(3170),
    [anon_sym_inline] = ACTIONS(1508),
    [anon_sym_infix] = ACTIONS(1504),
    [anon_sym_open] = ACTIONS(1504),
    [anon_sym_transparent] = ACTIONS(1504),
    [anon_sym_LPAREN] = ACTIONS(1510),
    [anon_sym_macro] = ACTIONS(2054),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_TILDE] = ACTIONS(1502),
    [anon_sym_DOLLAR] = ACTIONS(1512),
    [anon_sym_SQUOTE] = ACTIONS(1514),
    [sym__backquoted_id] = ACTIONS(1516),
    [sym_operator_identifier] = ACTIONS(3320),
    [sym_integer_literal] = ACTIONS(1520),
    [sym_floating_point_literal] = ACTIONS(1522),
    [anon_sym_true] = ACTIONS(1524),
    [anon_sym_false] = ACTIONS(1524),
    [sym_character_literal] = ACTIONS(1522),
    [sym_null_literal] = ACTIONS(1526),
    [anon_sym_return] = ACTIONS(3175),
    [anon_sym_throw] = ACTIONS(3177),
    [anon_sym_do] = ACTIONS(2062),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3316),
    [sym__simple_multiline_string] = ACTIONS(1528),
    [sym__simple_string] = ACTIONS(1528),
  },
  [1282] = {
    [sym_inline_modifier] = STATE(2132),
    [sym__indentable_expression] = STATE(13515),
    [sym_block] = STATE(6738),
    [sym_indented_block] = STATE(12372),
    [sym_indented_cases] = STATE(12372),
    [sym_expression] = STATE(12028),
    [sym__simple_expression] = STATE(6097),
    [sym_lambda_expression] = STATE(12430),
    [sym_if_expression] = STATE(12430),
    [sym_match_expression] = STATE(12430),
    [sym_try_expression] = STATE(12430),
    [sym_bindings] = STATE(15718),
    [sym_case_block] = STATE(6738),
    [sym_assignment_expression] = STATE(12430),
    [sym_generic_function] = STATE(6738),
    [sym_call_expression] = STATE(6738),
    [sym_field_expression] = STATE(6738),
    [sym_instance_expression] = STATE(6738),
    [sym_ascription_expression] = STATE(12430),
    [sym_infix_expression] = STATE(8389),
    [sym_postfix_expression] = STATE(11930),
    [sym__postfix_expression_choice] = STATE(15885),
    [sym_macro_body] = STATE(12430),
    [sym_prefix_expression] = STATE(9761),
    [sym_tuple_expression] = STATE(6738),
    [sym_parenthesized_expression] = STATE(6738),
    [sym_splice_expression] = STATE(6738),
    [sym_quote_expression] = STATE(6738),
    [sym_identifier] = STATE(5458),
    [sym__soft_identifier] = STATE(4943),
    [sym_wildcard] = STATE(8612),
    [sym__non_null_literal] = STATE(6738),
    [sym_boolean_literal] = STATE(7301),
    [sym_interpolated_string_expression] = STATE(6738),
    [sym_string] = STATE(7301),
    [sym_unit] = STATE(6738),
    [sym_return_expression] = STATE(12430),
    [sym_throw_expression] = STATE(12430),
    [sym_while_expression] = STATE(12430),
    [sym_do_while_expression] = STATE(12430),
    [sym_for_expression] = STATE(12430),
    [sym_comment] = STATE(1282),
    [sym_block_comment] = STATE(1282),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(2430),
    [anon_sym_while] = ACTIONS(2432),
    [anon_sym_for] = ACTIONS(2434),
    [anon_sym_try] = ACTIONS(2436),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(2438),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1360),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(2440),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(2442),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(1368),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2202),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [1283] = {
    [sym_inline_modifier] = STATE(2050),
    [sym__indentable_expression] = STATE(13236),
    [sym_block] = STATE(8375),
    [sym_indented_block] = STATE(13183),
    [sym_indented_cases] = STATE(13183),
    [sym_expression] = STATE(12800),
    [sym__simple_expression] = STATE(6499),
    [sym_lambda_expression] = STATE(13185),
    [sym_if_expression] = STATE(13185),
    [sym_match_expression] = STATE(13185),
    [sym_try_expression] = STATE(13185),
    [sym_bindings] = STATE(15649),
    [sym_case_block] = STATE(8375),
    [sym_assignment_expression] = STATE(13185),
    [sym_generic_function] = STATE(8375),
    [sym_call_expression] = STATE(8375),
    [sym_field_expression] = STATE(8375),
    [sym_instance_expression] = STATE(8375),
    [sym_ascription_expression] = STATE(13185),
    [sym_infix_expression] = STATE(9364),
    [sym_postfix_expression] = STATE(12809),
    [sym__postfix_expression_choice] = STATE(16440),
    [sym_macro_body] = STATE(13185),
    [sym_prefix_expression] = STATE(9765),
    [sym_tuple_expression] = STATE(8375),
    [sym_parenthesized_expression] = STATE(8375),
    [sym_splice_expression] = STATE(8375),
    [sym_quote_expression] = STATE(8375),
    [sym_identifier] = STATE(5812),
    [sym__soft_identifier] = STATE(5430),
    [sym_wildcard] = STATE(8380),
    [sym__non_null_literal] = STATE(8375),
    [sym_boolean_literal] = STATE(8117),
    [sym_interpolated_string_expression] = STATE(8375),
    [sym_string] = STATE(8117),
    [sym_unit] = STATE(8375),
    [sym_return_expression] = STATE(13185),
    [sym_throw_expression] = STATE(13185),
    [sym_while_expression] = STATE(13185),
    [sym_do_while_expression] = STATE(13185),
    [sym_for_expression] = STATE(13185),
    [sym_comment] = STATE(1283),
    [sym_block_comment] = STATE(1283),
    [sym__alpha_identifier] = ACTIONS(1618),
    [anon_sym_LBRACE] = ACTIONS(1622),
    [anon_sym__] = ACTIONS(1624),
    [anon_sym_PLUS] = ACTIONS(1626),
    [anon_sym_DASH] = ACTIONS(1626),
    [anon_sym_end] = ACTIONS(1628),
    [anon_sym_if] = ACTIONS(2064),
    [anon_sym_while] = ACTIONS(2066),
    [anon_sym_for] = ACTIONS(2068),
    [anon_sym_try] = ACTIONS(2070),
    [anon_sym_new] = ACTIONS(1630),
    [anon_sym_opaque] = ACTIONS(1628),
    [anon_sym_implicit] = ACTIONS(2072),
    [anon_sym_inline] = ACTIONS(1632),
    [anon_sym_infix] = ACTIONS(1628),
    [anon_sym_open] = ACTIONS(1628),
    [anon_sym_transparent] = ACTIONS(1628),
    [anon_sym_LPAREN] = ACTIONS(1634),
    [anon_sym_macro] = ACTIONS(2074),
    [anon_sym_BANG] = ACTIONS(1626),
    [anon_sym_TILDE] = ACTIONS(1626),
    [anon_sym_DOLLAR] = ACTIONS(1636),
    [anon_sym_SQUOTE] = ACTIONS(1638),
    [sym__backquoted_id] = ACTIONS(1640),
    [sym_operator_identifier] = ACTIONS(2076),
    [sym_integer_literal] = ACTIONS(1644),
    [sym_floating_point_literal] = ACTIONS(1646),
    [anon_sym_true] = ACTIONS(1648),
    [anon_sym_false] = ACTIONS(1648),
    [sym_character_literal] = ACTIONS(1646),
    [sym_null_literal] = ACTIONS(1650),
    [anon_sym_return] = ACTIONS(2078),
    [anon_sym_throw] = ACTIONS(2080),
    [anon_sym_do] = ACTIONS(2082),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1652),
    [sym__simple_string] = ACTIONS(1652),
  },
  [1284] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(13621),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1284),
    [sym_block_comment] = STATE(1284),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1285] = {
    [sym_inline_modifier] = STATE(2084),
    [sym__indentable_expression] = STATE(16954),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(8831),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15722),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10635),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(696),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(8641),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(10149),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1285),
    [sym_block_comment] = STATE(1285),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2740),
    [anon_sym_while] = ACTIONS(2742),
    [anon_sym_for] = ACTIONS(2744),
    [anon_sym_try] = ACTIONS(2746),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2748),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3310),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3312),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2762),
    [anon_sym_throw] = ACTIONS(2764),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1286] = {
    [sym_inline_modifier] = STATE(2100),
    [sym_block] = STATE(8218),
    [sym_expression] = STATE(12895),
    [sym__simple_expression] = STATE(7445),
    [sym_lambda_expression] = STATE(13097),
    [sym_if_expression] = STATE(13097),
    [sym_match_expression] = STATE(13097),
    [sym_try_expression] = STATE(13097),
    [sym_bindings] = STATE(15495),
    [sym_case_block] = STATE(8218),
    [sym_assignment_expression] = STATE(13097),
    [sym_generic_function] = STATE(8218),
    [sym_call_expression] = STATE(8218),
    [sym_field_expression] = STATE(8218),
    [sym_instance_expression] = STATE(8218),
    [sym_ascription_expression] = STATE(13097),
    [sym_infix_expression] = STATE(9424),
    [sym_postfix_expression] = STATE(12765),
    [sym__postfix_expression_choice] = STATE(16117),
    [sym_macro_body] = STATE(13097),
    [sym_prefix_expression] = STATE(10239),
    [sym_tuple_expression] = STATE(8218),
    [sym_parenthesized_expression] = STATE(8218),
    [sym_splice_expression] = STATE(8218),
    [sym_quote_expression] = STATE(8218),
    [sym_identifier] = STATE(7278),
    [sym__soft_identifier] = STATE(5752),
    [sym_wildcard] = STATE(9367),
    [sym__non_null_literal] = STATE(8218),
    [sym_boolean_literal] = STATE(8413),
    [sym_interpolated_string_expression] = STATE(8218),
    [sym_string] = STATE(8413),
    [sym_unit] = STATE(8218),
    [sym_return_expression] = STATE(13097),
    [sym_throw_expression] = STATE(13097),
    [sym_while_expression] = STATE(13097),
    [sym_do_while_expression] = STATE(13097),
    [sym_for_expression] = STATE(13097),
    [sym_comment] = STATE(1286),
    [sym_block_comment] = STATE(1286),
    [sym__alpha_identifier] = ACTIONS(1494),
    [anon_sym_LBRACE] = ACTIONS(1498),
    [anon_sym__] = ACTIONS(1500),
    [anon_sym_LBRACK] = ACTIONS(1148),
    [anon_sym_PLUS] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1502),
    [anon_sym_end] = ACTIONS(1504),
    [anon_sym_if] = ACTIONS(3162),
    [anon_sym_while] = ACTIONS(3164),
    [anon_sym_for] = ACTIONS(3166),
    [anon_sym_match] = ACTIONS(1150),
    [anon_sym_try] = ACTIONS(3168),
    [anon_sym_new] = ACTIONS(1506),
    [anon_sym_opaque] = ACTIONS(1504),
    [anon_sym_implicit] = ACTIONS(3170),
    [anon_sym_inline] = ACTIONS(1508),
    [anon_sym_infix] = ACTIONS(1504),
    [anon_sym_open] = ACTIONS(1504),
    [anon_sym_transparent] = ACTIONS(1504),
    [anon_sym_LPAREN] = ACTIONS(1510),
    [anon_sym_SEMI] = ACTIONS(1148),
    [anon_sym_else] = ACTIONS(1150),
    [anon_sym_macro] = ACTIONS(2054),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_TILDE] = ACTIONS(1502),
    [anon_sym_DOLLAR] = ACTIONS(1512),
    [anon_sym_SQUOTE] = ACTIONS(1514),
    [sym__backquoted_id] = ACTIONS(1516),
    [sym_operator_identifier] = ACTIONS(3320),
    [sym_integer_literal] = ACTIONS(1520),
    [sym_floating_point_literal] = ACTIONS(1522),
    [anon_sym_true] = ACTIONS(1524),
    [anon_sym_false] = ACTIONS(1524),
    [sym_character_literal] = ACTIONS(1522),
    [sym_null_literal] = ACTIONS(1526),
    [anon_sym_return] = ACTIONS(3175),
    [anon_sym_throw] = ACTIONS(3177),
    [anon_sym_do] = ACTIONS(1150),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1528),
    [sym__simple_string] = ACTIONS(1528),
  },
  [1287] = {
    [sym_inline_modifier] = STATE(2125),
    [sym__indentable_expression] = STATE(12548),
    [sym_block] = STATE(6738),
    [sym_indented_block] = STATE(12372),
    [sym_indented_cases] = STATE(12372),
    [sym_expression] = STATE(12028),
    [sym__simple_expression] = STATE(5176),
    [sym_lambda_expression] = STATE(12430),
    [sym_if_expression] = STATE(12430),
    [sym_match_expression] = STATE(12430),
    [sym_try_expression] = STATE(12430),
    [sym_bindings] = STATE(15677),
    [sym_case_block] = STATE(6738),
    [sym_assignment_expression] = STATE(12430),
    [sym_generic_function] = STATE(6738),
    [sym_call_expression] = STATE(6738),
    [sym_field_expression] = STATE(6738),
    [sym_instance_expression] = STATE(6738),
    [sym_ascription_expression] = STATE(12430),
    [sym_infix_expression] = STATE(8389),
    [sym_postfix_expression] = STATE(11930),
    [sym__postfix_expression_choice] = STATE(15885),
    [sym_macro_body] = STATE(12430),
    [sym_prefix_expression] = STATE(9115),
    [sym_tuple_expression] = STATE(6738),
    [sym_parenthesized_expression] = STATE(6738),
    [sym_splice_expression] = STATE(6738),
    [sym_quote_expression] = STATE(6738),
    [sym_identifier] = STATE(4951),
    [sym__soft_identifier] = STATE(4943),
    [sym_wildcard] = STATE(7114),
    [sym__non_null_literal] = STATE(6738),
    [sym_boolean_literal] = STATE(7301),
    [sym_interpolated_string_expression] = STATE(6738),
    [sym_string] = STATE(7301),
    [sym_unit] = STATE(6738),
    [sym_return_expression] = STATE(12430),
    [sym_throw_expression] = STATE(12430),
    [sym_while_expression] = STATE(12430),
    [sym_do_while_expression] = STATE(12430),
    [sym_for_expression] = STATE(12430),
    [sym_comment] = STATE(1287),
    [sym_block_comment] = STATE(1287),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(1350),
    [anon_sym_while] = ACTIONS(1352),
    [anon_sym_for] = ACTIONS(1354),
    [anon_sym_try] = ACTIONS(1356),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(1358),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1360),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(1362),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(1364),
    [anon_sym_throw] = ACTIONS(1366),
    [anon_sym_do] = ACTIONS(1368),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2202),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [1288] = {
    [sym_inline_modifier] = STATE(2086),
    [sym__indentable_expression] = STATE(11202),
    [sym_block] = STATE(9116),
    [sym_indented_block] = STATE(11085),
    [sym_indented_cases] = STATE(11085),
    [sym_expression] = STATE(13151),
    [sym__simple_expression] = STATE(5562),
    [sym_lambda_expression] = STATE(11364),
    [sym_if_expression] = STATE(11364),
    [sym_match_expression] = STATE(11364),
    [sym_try_expression] = STATE(11364),
    [sym_bindings] = STATE(15512),
    [sym_case_block] = STATE(9116),
    [sym_assignment_expression] = STATE(11364),
    [sym_generic_function] = STATE(9116),
    [sym_call_expression] = STATE(9116),
    [sym_field_expression] = STATE(9116),
    [sym_instance_expression] = STATE(9116),
    [sym_ascription_expression] = STATE(11364),
    [sym_infix_expression] = STATE(9793),
    [sym_postfix_expression] = STATE(10789),
    [sym__postfix_expression_choice] = STATE(15871),
    [sym_macro_body] = STATE(11364),
    [sym_prefix_expression] = STATE(9370),
    [sym_tuple_expression] = STATE(9116),
    [sym_parenthesized_expression] = STATE(9116),
    [sym_splice_expression] = STATE(9116),
    [sym_quote_expression] = STATE(9116),
    [sym_identifier] = STATE(5047),
    [sym__soft_identifier] = STATE(4332),
    [sym_wildcard] = STATE(7660),
    [sym__non_null_literal] = STATE(9116),
    [sym_boolean_literal] = STATE(5055),
    [sym_interpolated_string_expression] = STATE(9116),
    [sym_string] = STATE(5055),
    [sym_unit] = STATE(9116),
    [sym_return_expression] = STATE(11364),
    [sym_throw_expression] = STATE(11364),
    [sym_while_expression] = STATE(11364),
    [sym_do_while_expression] = STATE(11364),
    [sym_for_expression] = STATE(11364),
    [sym_comment] = STATE(1288),
    [sym_block_comment] = STATE(1288),
    [sym__alpha_identifier] = ACTIONS(1206),
    [anon_sym_LBRACE] = ACTIONS(1210),
    [anon_sym__] = ACTIONS(1212),
    [anon_sym_PLUS] = ACTIONS(1214),
    [anon_sym_DASH] = ACTIONS(1214),
    [anon_sym_end] = ACTIONS(1216),
    [anon_sym_if] = ACTIONS(1550),
    [anon_sym_while] = ACTIONS(1552),
    [anon_sym_for] = ACTIONS(1554),
    [anon_sym_try] = ACTIONS(1556),
    [anon_sym_new] = ACTIONS(1218),
    [anon_sym_opaque] = ACTIONS(1216),
    [anon_sym_implicit] = ACTIONS(1558),
    [anon_sym_inline] = ACTIONS(1220),
    [anon_sym_infix] = ACTIONS(1216),
    [anon_sym_open] = ACTIONS(1216),
    [anon_sym_transparent] = ACTIONS(1216),
    [anon_sym_LPAREN] = ACTIONS(1222),
    [anon_sym_macro] = ACTIONS(1560),
    [anon_sym_BANG] = ACTIONS(1214),
    [anon_sym_TILDE] = ACTIONS(1214),
    [anon_sym_DOLLAR] = ACTIONS(1224),
    [anon_sym_SQUOTE] = ACTIONS(1226),
    [sym__backquoted_id] = ACTIONS(1228),
    [sym_operator_identifier] = ACTIONS(1562),
    [sym_integer_literal] = ACTIONS(1232),
    [sym_floating_point_literal] = ACTIONS(1234),
    [anon_sym_true] = ACTIONS(1236),
    [anon_sym_false] = ACTIONS(1236),
    [sym_character_literal] = ACTIONS(1234),
    [sym_null_literal] = ACTIONS(1238),
    [anon_sym_return] = ACTIONS(1564),
    [anon_sym_throw] = ACTIONS(1566),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2282),
    [sym__simple_multiline_string] = ACTIONS(1240),
    [sym__simple_string] = ACTIONS(1240),
  },
  [1289] = {
    [sym_inline_modifier] = STATE(2074),
    [sym__indentable_expression] = STATE(11384),
    [sym_block] = STATE(9523),
    [sym_indented_block] = STATE(11535),
    [sym_indented_cases] = STATE(11535),
    [sym_expression] = STATE(13312),
    [sym__simple_expression] = STATE(6085),
    [sym_lambda_expression] = STATE(11549),
    [sym_if_expression] = STATE(11549),
    [sym_match_expression] = STATE(11549),
    [sym_try_expression] = STATE(11549),
    [sym_bindings] = STATE(15713),
    [sym_case_block] = STATE(9523),
    [sym_assignment_expression] = STATE(11549),
    [sym_generic_function] = STATE(9523),
    [sym_call_expression] = STATE(9523),
    [sym_field_expression] = STATE(9523),
    [sym_instance_expression] = STATE(9523),
    [sym_ascription_expression] = STATE(11549),
    [sym_infix_expression] = STATE(10056),
    [sym_postfix_expression] = STATE(11204),
    [sym__postfix_expression_choice] = STATE(16623),
    [sym_macro_body] = STATE(11549),
    [sym_prefix_expression] = STATE(9754),
    [sym_tuple_expression] = STATE(9523),
    [sym_parenthesized_expression] = STATE(9523),
    [sym_splice_expression] = STATE(9523),
    [sym_quote_expression] = STATE(9523),
    [sym_identifier] = STATE(5442),
    [sym__soft_identifier] = STATE(4485),
    [sym_wildcard] = STATE(8639),
    [sym__non_null_literal] = STATE(9523),
    [sym_boolean_literal] = STATE(5592),
    [sym_interpolated_string_expression] = STATE(9523),
    [sym_string] = STATE(5592),
    [sym_unit] = STATE(9523),
    [sym_return_expression] = STATE(11549),
    [sym_throw_expression] = STATE(11549),
    [sym_while_expression] = STATE(11549),
    [sym_do_while_expression] = STATE(11549),
    [sym_for_expression] = STATE(11549),
    [sym_comment] = STATE(1289),
    [sym_block_comment] = STATE(1289),
    [sym__alpha_identifier] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(1392),
    [anon_sym__] = ACTIONS(1394),
    [anon_sym_PLUS] = ACTIONS(1396),
    [anon_sym_DASH] = ACTIONS(1396),
    [anon_sym_end] = ACTIONS(1398),
    [anon_sym_if] = ACTIONS(1820),
    [anon_sym_while] = ACTIONS(1822),
    [anon_sym_for] = ACTIONS(1824),
    [anon_sym_try] = ACTIONS(1826),
    [anon_sym_new] = ACTIONS(1400),
    [anon_sym_opaque] = ACTIONS(1398),
    [anon_sym_implicit] = ACTIONS(1828),
    [anon_sym_inline] = ACTIONS(1402),
    [anon_sym_infix] = ACTIONS(1398),
    [anon_sym_open] = ACTIONS(1398),
    [anon_sym_transparent] = ACTIONS(1398),
    [anon_sym_LPAREN] = ACTIONS(1404),
    [anon_sym_macro] = ACTIONS(1830),
    [anon_sym_BANG] = ACTIONS(1396),
    [anon_sym_TILDE] = ACTIONS(1396),
    [anon_sym_DOLLAR] = ACTIONS(1406),
    [anon_sym_SQUOTE] = ACTIONS(1408),
    [sym__backquoted_id] = ACTIONS(1410),
    [sym_operator_identifier] = ACTIONS(1832),
    [sym_integer_literal] = ACTIONS(1414),
    [sym_floating_point_literal] = ACTIONS(1416),
    [anon_sym_true] = ACTIONS(1418),
    [anon_sym_false] = ACTIONS(1418),
    [sym_character_literal] = ACTIONS(1416),
    [sym_null_literal] = ACTIONS(1420),
    [anon_sym_return] = ACTIONS(1834),
    [anon_sym_throw] = ACTIONS(1836),
    [anon_sym_do] = ACTIONS(1386),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2258),
    [sym__simple_multiline_string] = ACTIONS(1422),
    [sym__simple_string] = ACTIONS(1422),
  },
  [1290] = {
    [sym_inline_modifier] = STATE(2086),
    [sym__indentable_expression] = STATE(11205),
    [sym_block] = STATE(9116),
    [sym_indented_block] = STATE(11085),
    [sym_indented_cases] = STATE(11085),
    [sym_expression] = STATE(13151),
    [sym__simple_expression] = STATE(5562),
    [sym_lambda_expression] = STATE(11364),
    [sym_if_expression] = STATE(11364),
    [sym_match_expression] = STATE(11364),
    [sym_try_expression] = STATE(11364),
    [sym_bindings] = STATE(15512),
    [sym_case_block] = STATE(9116),
    [sym_assignment_expression] = STATE(11364),
    [sym_generic_function] = STATE(9116),
    [sym_call_expression] = STATE(9116),
    [sym_field_expression] = STATE(9116),
    [sym_instance_expression] = STATE(9116),
    [sym_ascription_expression] = STATE(11364),
    [sym_infix_expression] = STATE(9793),
    [sym_postfix_expression] = STATE(10789),
    [sym__postfix_expression_choice] = STATE(15871),
    [sym_macro_body] = STATE(11364),
    [sym_prefix_expression] = STATE(9370),
    [sym_tuple_expression] = STATE(9116),
    [sym_parenthesized_expression] = STATE(9116),
    [sym_splice_expression] = STATE(9116),
    [sym_quote_expression] = STATE(9116),
    [sym_identifier] = STATE(5047),
    [sym__soft_identifier] = STATE(4332),
    [sym_wildcard] = STATE(7660),
    [sym__non_null_literal] = STATE(9116),
    [sym_boolean_literal] = STATE(5055),
    [sym_interpolated_string_expression] = STATE(9116),
    [sym_string] = STATE(5055),
    [sym_unit] = STATE(9116),
    [sym_return_expression] = STATE(11364),
    [sym_throw_expression] = STATE(11364),
    [sym_while_expression] = STATE(11364),
    [sym_do_while_expression] = STATE(11364),
    [sym_for_expression] = STATE(11364),
    [sym_comment] = STATE(1290),
    [sym_block_comment] = STATE(1290),
    [sym__alpha_identifier] = ACTIONS(1206),
    [anon_sym_LBRACE] = ACTIONS(1210),
    [anon_sym__] = ACTIONS(1212),
    [anon_sym_PLUS] = ACTIONS(1214),
    [anon_sym_DASH] = ACTIONS(1214),
    [anon_sym_end] = ACTIONS(1216),
    [anon_sym_if] = ACTIONS(1550),
    [anon_sym_while] = ACTIONS(1552),
    [anon_sym_for] = ACTIONS(1554),
    [anon_sym_try] = ACTIONS(1556),
    [anon_sym_new] = ACTIONS(1218),
    [anon_sym_opaque] = ACTIONS(1216),
    [anon_sym_implicit] = ACTIONS(1558),
    [anon_sym_inline] = ACTIONS(1220),
    [anon_sym_infix] = ACTIONS(1216),
    [anon_sym_open] = ACTIONS(1216),
    [anon_sym_transparent] = ACTIONS(1216),
    [anon_sym_LPAREN] = ACTIONS(1222),
    [anon_sym_macro] = ACTIONS(1560),
    [anon_sym_BANG] = ACTIONS(1214),
    [anon_sym_TILDE] = ACTIONS(1214),
    [anon_sym_DOLLAR] = ACTIONS(1224),
    [anon_sym_SQUOTE] = ACTIONS(1226),
    [sym__backquoted_id] = ACTIONS(1228),
    [sym_operator_identifier] = ACTIONS(1562),
    [sym_integer_literal] = ACTIONS(1232),
    [sym_floating_point_literal] = ACTIONS(1234),
    [anon_sym_true] = ACTIONS(1236),
    [anon_sym_false] = ACTIONS(1236),
    [sym_character_literal] = ACTIONS(1234),
    [sym_null_literal] = ACTIONS(1238),
    [anon_sym_return] = ACTIONS(1564),
    [anon_sym_throw] = ACTIONS(1566),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2282),
    [sym__simple_multiline_string] = ACTIONS(1240),
    [sym__simple_string] = ACTIONS(1240),
  },
  [1291] = {
    [sym_inline_modifier] = STATE(2044),
    [sym__indentable_expression] = STATE(13666),
    [sym_block] = STATE(9913),
    [sym_indented_block] = STATE(11923),
    [sym_indented_cases] = STATE(11923),
    [sym_expression] = STATE(13501),
    [sym__simple_expression] = STATE(7224),
    [sym_lambda_expression] = STATE(12144),
    [sym_if_expression] = STATE(12144),
    [sym_match_expression] = STATE(12144),
    [sym_try_expression] = STATE(12144),
    [sym_bindings] = STATE(15632),
    [sym_case_block] = STATE(9913),
    [sym_assignment_expression] = STATE(12144),
    [sym_generic_function] = STATE(9913),
    [sym_call_expression] = STATE(9913),
    [sym_field_expression] = STATE(9913),
    [sym_instance_expression] = STATE(9913),
    [sym_ascription_expression] = STATE(12144),
    [sym_infix_expression] = STATE(10304),
    [sym_postfix_expression] = STATE(11499),
    [sym__postfix_expression_choice] = STATE(16334),
    [sym_macro_body] = STATE(12144),
    [sym_prefix_expression] = STATE(9963),
    [sym_tuple_expression] = STATE(9913),
    [sym_parenthesized_expression] = STATE(9913),
    [sym_splice_expression] = STATE(9913),
    [sym_quote_expression] = STATE(9913),
    [sym_identifier] = STATE(6170),
    [sym__soft_identifier] = STATE(4555),
    [sym_wildcard] = STATE(8897),
    [sym__non_null_literal] = STATE(9913),
    [sym_boolean_literal] = STATE(6572),
    [sym_interpolated_string_expression] = STATE(9913),
    [sym_string] = STATE(6572),
    [sym_unit] = STATE(9913),
    [sym_return_expression] = STATE(12144),
    [sym_throw_expression] = STATE(12144),
    [sym_while_expression] = STATE(12144),
    [sym_do_while_expression] = STATE(12144),
    [sym_for_expression] = STATE(12144),
    [sym_comment] = STATE(1291),
    [sym_block_comment] = STATE(1291),
    [sym__alpha_identifier] = ACTIONS(1766),
    [anon_sym_LBRACE] = ACTIONS(1770),
    [anon_sym__] = ACTIONS(1772),
    [anon_sym_PLUS] = ACTIONS(1774),
    [anon_sym_DASH] = ACTIONS(1774),
    [anon_sym_end] = ACTIONS(1776),
    [anon_sym_if] = ACTIONS(2160),
    [anon_sym_while] = ACTIONS(2162),
    [anon_sym_for] = ACTIONS(2164),
    [anon_sym_try] = ACTIONS(2166),
    [anon_sym_new] = ACTIONS(1778),
    [anon_sym_opaque] = ACTIONS(1776),
    [anon_sym_implicit] = ACTIONS(2168),
    [anon_sym_inline] = ACTIONS(1780),
    [anon_sym_infix] = ACTIONS(1776),
    [anon_sym_open] = ACTIONS(1776),
    [anon_sym_transparent] = ACTIONS(1776),
    [anon_sym_LPAREN] = ACTIONS(1782),
    [anon_sym_macro] = ACTIONS(2170),
    [anon_sym_BANG] = ACTIONS(1774),
    [anon_sym_TILDE] = ACTIONS(1774),
    [anon_sym_DOLLAR] = ACTIONS(1784),
    [anon_sym_SQUOTE] = ACTIONS(1786),
    [sym__backquoted_id] = ACTIONS(1788),
    [sym_operator_identifier] = ACTIONS(2172),
    [sym_integer_literal] = ACTIONS(1792),
    [sym_floating_point_literal] = ACTIONS(1794),
    [anon_sym_true] = ACTIONS(1796),
    [anon_sym_false] = ACTIONS(1796),
    [sym_character_literal] = ACTIONS(1794),
    [sym_null_literal] = ACTIONS(1798),
    [anon_sym_return] = ACTIONS(2174),
    [anon_sym_throw] = ACTIONS(2176),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3280),
    [sym__simple_multiline_string] = ACTIONS(1800),
    [sym__simple_string] = ACTIONS(1800),
  },
  [1292] = {
    [sym_inline_modifier] = STATE(2086),
    [sym__indentable_expression] = STATE(11206),
    [sym_block] = STATE(9116),
    [sym_indented_block] = STATE(11085),
    [sym_indented_cases] = STATE(11085),
    [sym_expression] = STATE(13151),
    [sym__simple_expression] = STATE(5562),
    [sym_lambda_expression] = STATE(11364),
    [sym_if_expression] = STATE(11364),
    [sym_match_expression] = STATE(11364),
    [sym_try_expression] = STATE(11364),
    [sym_bindings] = STATE(15512),
    [sym_case_block] = STATE(9116),
    [sym_assignment_expression] = STATE(11364),
    [sym_generic_function] = STATE(9116),
    [sym_call_expression] = STATE(9116),
    [sym_field_expression] = STATE(9116),
    [sym_instance_expression] = STATE(9116),
    [sym_ascription_expression] = STATE(11364),
    [sym_infix_expression] = STATE(9793),
    [sym_postfix_expression] = STATE(10789),
    [sym__postfix_expression_choice] = STATE(15871),
    [sym_macro_body] = STATE(11364),
    [sym_prefix_expression] = STATE(9370),
    [sym_tuple_expression] = STATE(9116),
    [sym_parenthesized_expression] = STATE(9116),
    [sym_splice_expression] = STATE(9116),
    [sym_quote_expression] = STATE(9116),
    [sym_identifier] = STATE(5047),
    [sym__soft_identifier] = STATE(4332),
    [sym_wildcard] = STATE(7660),
    [sym__non_null_literal] = STATE(9116),
    [sym_boolean_literal] = STATE(5055),
    [sym_interpolated_string_expression] = STATE(9116),
    [sym_string] = STATE(5055),
    [sym_unit] = STATE(9116),
    [sym_return_expression] = STATE(11364),
    [sym_throw_expression] = STATE(11364),
    [sym_while_expression] = STATE(11364),
    [sym_do_while_expression] = STATE(11364),
    [sym_for_expression] = STATE(11364),
    [sym_comment] = STATE(1292),
    [sym_block_comment] = STATE(1292),
    [sym__alpha_identifier] = ACTIONS(1206),
    [anon_sym_LBRACE] = ACTIONS(1210),
    [anon_sym__] = ACTIONS(1212),
    [anon_sym_PLUS] = ACTIONS(1214),
    [anon_sym_DASH] = ACTIONS(1214),
    [anon_sym_end] = ACTIONS(1216),
    [anon_sym_if] = ACTIONS(1550),
    [anon_sym_while] = ACTIONS(1552),
    [anon_sym_for] = ACTIONS(1554),
    [anon_sym_try] = ACTIONS(1556),
    [anon_sym_new] = ACTIONS(1218),
    [anon_sym_opaque] = ACTIONS(1216),
    [anon_sym_implicit] = ACTIONS(1558),
    [anon_sym_inline] = ACTIONS(1220),
    [anon_sym_infix] = ACTIONS(1216),
    [anon_sym_open] = ACTIONS(1216),
    [anon_sym_transparent] = ACTIONS(1216),
    [anon_sym_LPAREN] = ACTIONS(1222),
    [anon_sym_macro] = ACTIONS(1560),
    [anon_sym_BANG] = ACTIONS(1214),
    [anon_sym_TILDE] = ACTIONS(1214),
    [anon_sym_DOLLAR] = ACTIONS(1224),
    [anon_sym_SQUOTE] = ACTIONS(1226),
    [sym__backquoted_id] = ACTIONS(1228),
    [sym_operator_identifier] = ACTIONS(1562),
    [sym_integer_literal] = ACTIONS(1232),
    [sym_floating_point_literal] = ACTIONS(1234),
    [anon_sym_true] = ACTIONS(1236),
    [anon_sym_false] = ACTIONS(1236),
    [sym_character_literal] = ACTIONS(1234),
    [sym_null_literal] = ACTIONS(1238),
    [anon_sym_return] = ACTIONS(1564),
    [anon_sym_throw] = ACTIONS(1566),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2282),
    [sym__simple_multiline_string] = ACTIONS(1240),
    [sym__simple_string] = ACTIONS(1240),
  },
  [1293] = {
    [sym_inline_modifier] = STATE(2054),
    [sym__indentable_expression] = STATE(12619),
    [sym_block] = STATE(8041),
    [sym_indented_block] = STATE(12292),
    [sym_indented_cases] = STATE(12292),
    [sym_expression] = STATE(12256),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(7036),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(1293),
    [sym_block_comment] = STATE(1293),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2807),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1294] = {
    [sym_inline_modifier] = STATE(2086),
    [sym__indentable_expression] = STATE(11208),
    [sym_block] = STATE(9116),
    [sym_indented_block] = STATE(11085),
    [sym_indented_cases] = STATE(11085),
    [sym_expression] = STATE(13151),
    [sym__simple_expression] = STATE(5562),
    [sym_lambda_expression] = STATE(11364),
    [sym_if_expression] = STATE(11364),
    [sym_match_expression] = STATE(11364),
    [sym_try_expression] = STATE(11364),
    [sym_bindings] = STATE(15512),
    [sym_case_block] = STATE(9116),
    [sym_assignment_expression] = STATE(11364),
    [sym_generic_function] = STATE(9116),
    [sym_call_expression] = STATE(9116),
    [sym_field_expression] = STATE(9116),
    [sym_instance_expression] = STATE(9116),
    [sym_ascription_expression] = STATE(11364),
    [sym_infix_expression] = STATE(9793),
    [sym_postfix_expression] = STATE(10789),
    [sym__postfix_expression_choice] = STATE(15871),
    [sym_macro_body] = STATE(11364),
    [sym_prefix_expression] = STATE(9370),
    [sym_tuple_expression] = STATE(9116),
    [sym_parenthesized_expression] = STATE(9116),
    [sym_splice_expression] = STATE(9116),
    [sym_quote_expression] = STATE(9116),
    [sym_identifier] = STATE(5047),
    [sym__soft_identifier] = STATE(4332),
    [sym_wildcard] = STATE(7660),
    [sym__non_null_literal] = STATE(9116),
    [sym_boolean_literal] = STATE(5055),
    [sym_interpolated_string_expression] = STATE(9116),
    [sym_string] = STATE(5055),
    [sym_unit] = STATE(9116),
    [sym_return_expression] = STATE(11364),
    [sym_throw_expression] = STATE(11364),
    [sym_while_expression] = STATE(11364),
    [sym_do_while_expression] = STATE(11364),
    [sym_for_expression] = STATE(11364),
    [sym_comment] = STATE(1294),
    [sym_block_comment] = STATE(1294),
    [sym__alpha_identifier] = ACTIONS(1206),
    [anon_sym_LBRACE] = ACTIONS(1210),
    [anon_sym__] = ACTIONS(1212),
    [anon_sym_PLUS] = ACTIONS(1214),
    [anon_sym_DASH] = ACTIONS(1214),
    [anon_sym_end] = ACTIONS(1216),
    [anon_sym_if] = ACTIONS(1550),
    [anon_sym_while] = ACTIONS(1552),
    [anon_sym_for] = ACTIONS(1554),
    [anon_sym_try] = ACTIONS(1556),
    [anon_sym_new] = ACTIONS(1218),
    [anon_sym_opaque] = ACTIONS(1216),
    [anon_sym_implicit] = ACTIONS(1558),
    [anon_sym_inline] = ACTIONS(1220),
    [anon_sym_infix] = ACTIONS(1216),
    [anon_sym_open] = ACTIONS(1216),
    [anon_sym_transparent] = ACTIONS(1216),
    [anon_sym_LPAREN] = ACTIONS(1222),
    [anon_sym_macro] = ACTIONS(1560),
    [anon_sym_BANG] = ACTIONS(1214),
    [anon_sym_TILDE] = ACTIONS(1214),
    [anon_sym_DOLLAR] = ACTIONS(1224),
    [anon_sym_SQUOTE] = ACTIONS(1226),
    [sym__backquoted_id] = ACTIONS(1228),
    [sym_operator_identifier] = ACTIONS(1562),
    [sym_integer_literal] = ACTIONS(1232),
    [sym_floating_point_literal] = ACTIONS(1234),
    [anon_sym_true] = ACTIONS(1236),
    [anon_sym_false] = ACTIONS(1236),
    [sym_character_literal] = ACTIONS(1234),
    [sym_null_literal] = ACTIONS(1238),
    [anon_sym_return] = ACTIONS(1564),
    [anon_sym_throw] = ACTIONS(1566),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2282),
    [sym__simple_multiline_string] = ACTIONS(1240),
    [sym__simple_string] = ACTIONS(1240),
  },
  [1295] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(13625),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1295),
    [sym_block_comment] = STATE(1295),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1296] = {
    [sym_inline_modifier] = STATE(2054),
    [sym__indentable_expression] = STATE(13840),
    [sym_block] = STATE(8041),
    [sym_indented_block] = STATE(12292),
    [sym_indented_cases] = STATE(12292),
    [sym_expression] = STATE(12256),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(7036),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(1296),
    [sym_block_comment] = STATE(1296),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2807),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1297] = {
    [sym_inline_modifier] = STATE(2054),
    [sym__indentable_expression] = STATE(13865),
    [sym_block] = STATE(8041),
    [sym_indented_block] = STATE(12292),
    [sym_indented_cases] = STATE(12292),
    [sym_expression] = STATE(12256),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(7036),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(1297),
    [sym_block_comment] = STATE(1297),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2807),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1298] = {
    [sym_inline_modifier] = STATE(2195),
    [sym__indentable_expression] = STATE(12710),
    [sym_block] = STATE(7443),
    [sym_indented_block] = STATE(12679),
    [sym_indented_cases] = STATE(12679),
    [sym_expression] = STATE(12305),
    [sym__simple_expression] = STATE(5261),
    [sym_lambda_expression] = STATE(12692),
    [sym_if_expression] = STATE(12692),
    [sym_match_expression] = STATE(12692),
    [sym_try_expression] = STATE(12692),
    [sym_bindings] = STATE(15526),
    [sym_case_block] = STATE(7443),
    [sym_assignment_expression] = STATE(12692),
    [sym_generic_function] = STATE(7443),
    [sym_call_expression] = STATE(7443),
    [sym_field_expression] = STATE(7443),
    [sym_instance_expression] = STATE(7443),
    [sym_ascription_expression] = STATE(12692),
    [sym_infix_expression] = STATE(8993),
    [sym_postfix_expression] = STATE(12386),
    [sym__postfix_expression_choice] = STATE(16150),
    [sym_macro_body] = STATE(12692),
    [sym_prefix_expression] = STATE(8984),
    [sym_tuple_expression] = STATE(7443),
    [sym_parenthesized_expression] = STATE(7443),
    [sym_splice_expression] = STATE(7443),
    [sym_quote_expression] = STATE(7443),
    [sym_identifier] = STATE(4861),
    [sym__soft_identifier] = STATE(5213),
    [sym_wildcard] = STATE(7324),
    [sym__non_null_literal] = STATE(7443),
    [sym_boolean_literal] = STATE(7707),
    [sym_interpolated_string_expression] = STATE(7443),
    [sym_string] = STATE(7707),
    [sym_unit] = STATE(7443),
    [sym_return_expression] = STATE(12692),
    [sym_throw_expression] = STATE(12692),
    [sym_while_expression] = STATE(12692),
    [sym_do_while_expression] = STATE(12692),
    [sym_for_expression] = STATE(12692),
    [sym_comment] = STATE(1298),
    [sym_block_comment] = STATE(1298),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(1186),
    [anon_sym_while] = ACTIONS(1188),
    [anon_sym_for] = ACTIONS(1190),
    [anon_sym_try] = ACTIONS(1192),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(1194),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1196),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(1198),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(1200),
    [anon_sym_throw] = ACTIONS(1202),
    [anon_sym_do] = ACTIONS(1204),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2294),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [1299] = {
    [sym_inline_modifier] = STATE(2086),
    [sym__indentable_expression] = STATE(11211),
    [sym_block] = STATE(9116),
    [sym_indented_block] = STATE(11085),
    [sym_indented_cases] = STATE(11085),
    [sym_expression] = STATE(13151),
    [sym__simple_expression] = STATE(5562),
    [sym_lambda_expression] = STATE(11364),
    [sym_if_expression] = STATE(11364),
    [sym_match_expression] = STATE(11364),
    [sym_try_expression] = STATE(11364),
    [sym_bindings] = STATE(15512),
    [sym_case_block] = STATE(9116),
    [sym_assignment_expression] = STATE(11364),
    [sym_generic_function] = STATE(9116),
    [sym_call_expression] = STATE(9116),
    [sym_field_expression] = STATE(9116),
    [sym_instance_expression] = STATE(9116),
    [sym_ascription_expression] = STATE(11364),
    [sym_infix_expression] = STATE(9793),
    [sym_postfix_expression] = STATE(10789),
    [sym__postfix_expression_choice] = STATE(15871),
    [sym_macro_body] = STATE(11364),
    [sym_prefix_expression] = STATE(9370),
    [sym_tuple_expression] = STATE(9116),
    [sym_parenthesized_expression] = STATE(9116),
    [sym_splice_expression] = STATE(9116),
    [sym_quote_expression] = STATE(9116),
    [sym_identifier] = STATE(5047),
    [sym__soft_identifier] = STATE(4332),
    [sym_wildcard] = STATE(7660),
    [sym__non_null_literal] = STATE(9116),
    [sym_boolean_literal] = STATE(5055),
    [sym_interpolated_string_expression] = STATE(9116),
    [sym_string] = STATE(5055),
    [sym_unit] = STATE(9116),
    [sym_return_expression] = STATE(11364),
    [sym_throw_expression] = STATE(11364),
    [sym_while_expression] = STATE(11364),
    [sym_do_while_expression] = STATE(11364),
    [sym_for_expression] = STATE(11364),
    [sym_comment] = STATE(1299),
    [sym_block_comment] = STATE(1299),
    [sym__alpha_identifier] = ACTIONS(1206),
    [anon_sym_LBRACE] = ACTIONS(1210),
    [anon_sym__] = ACTIONS(1212),
    [anon_sym_PLUS] = ACTIONS(1214),
    [anon_sym_DASH] = ACTIONS(1214),
    [anon_sym_end] = ACTIONS(1216),
    [anon_sym_if] = ACTIONS(1550),
    [anon_sym_while] = ACTIONS(1552),
    [anon_sym_for] = ACTIONS(1554),
    [anon_sym_try] = ACTIONS(1556),
    [anon_sym_new] = ACTIONS(1218),
    [anon_sym_opaque] = ACTIONS(1216),
    [anon_sym_implicit] = ACTIONS(1558),
    [anon_sym_inline] = ACTIONS(1220),
    [anon_sym_infix] = ACTIONS(1216),
    [anon_sym_open] = ACTIONS(1216),
    [anon_sym_transparent] = ACTIONS(1216),
    [anon_sym_LPAREN] = ACTIONS(1222),
    [anon_sym_macro] = ACTIONS(1560),
    [anon_sym_BANG] = ACTIONS(1214),
    [anon_sym_TILDE] = ACTIONS(1214),
    [anon_sym_DOLLAR] = ACTIONS(1224),
    [anon_sym_SQUOTE] = ACTIONS(1226),
    [sym__backquoted_id] = ACTIONS(1228),
    [sym_operator_identifier] = ACTIONS(1562),
    [sym_integer_literal] = ACTIONS(1232),
    [sym_floating_point_literal] = ACTIONS(1234),
    [anon_sym_true] = ACTIONS(1236),
    [anon_sym_false] = ACTIONS(1236),
    [sym_character_literal] = ACTIONS(1234),
    [sym_null_literal] = ACTIONS(1238),
    [anon_sym_return] = ACTIONS(1564),
    [anon_sym_throw] = ACTIONS(1566),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2282),
    [sym__simple_multiline_string] = ACTIONS(1240),
    [sym__simple_string] = ACTIONS(1240),
  },
  [1300] = {
    [sym_inline_modifier] = STATE(2050),
    [sym__indentable_expression] = STATE(13208),
    [sym_block] = STATE(8375),
    [sym_indented_block] = STATE(13183),
    [sym_indented_cases] = STATE(13183),
    [sym_expression] = STATE(12800),
    [sym__simple_expression] = STATE(6499),
    [sym_lambda_expression] = STATE(13185),
    [sym_if_expression] = STATE(13185),
    [sym_match_expression] = STATE(13185),
    [sym_try_expression] = STATE(13185),
    [sym_bindings] = STATE(15649),
    [sym_case_block] = STATE(8375),
    [sym_assignment_expression] = STATE(13185),
    [sym_generic_function] = STATE(8375),
    [sym_call_expression] = STATE(8375),
    [sym_field_expression] = STATE(8375),
    [sym_instance_expression] = STATE(8375),
    [sym_ascription_expression] = STATE(13185),
    [sym_infix_expression] = STATE(9364),
    [sym_postfix_expression] = STATE(12809),
    [sym__postfix_expression_choice] = STATE(16440),
    [sym_macro_body] = STATE(13185),
    [sym_prefix_expression] = STATE(9765),
    [sym_tuple_expression] = STATE(8375),
    [sym_parenthesized_expression] = STATE(8375),
    [sym_splice_expression] = STATE(8375),
    [sym_quote_expression] = STATE(8375),
    [sym_identifier] = STATE(5812),
    [sym__soft_identifier] = STATE(5430),
    [sym_wildcard] = STATE(8380),
    [sym__non_null_literal] = STATE(8375),
    [sym_boolean_literal] = STATE(8117),
    [sym_interpolated_string_expression] = STATE(8375),
    [sym_string] = STATE(8117),
    [sym_unit] = STATE(8375),
    [sym_return_expression] = STATE(13185),
    [sym_throw_expression] = STATE(13185),
    [sym_while_expression] = STATE(13185),
    [sym_do_while_expression] = STATE(13185),
    [sym_for_expression] = STATE(13185),
    [sym_comment] = STATE(1300),
    [sym_block_comment] = STATE(1300),
    [sym__alpha_identifier] = ACTIONS(1618),
    [anon_sym_LBRACE] = ACTIONS(1622),
    [anon_sym__] = ACTIONS(1624),
    [anon_sym_PLUS] = ACTIONS(1626),
    [anon_sym_DASH] = ACTIONS(1626),
    [anon_sym_end] = ACTIONS(1628),
    [anon_sym_if] = ACTIONS(2064),
    [anon_sym_while] = ACTIONS(2066),
    [anon_sym_for] = ACTIONS(2068),
    [anon_sym_try] = ACTIONS(2070),
    [anon_sym_new] = ACTIONS(1630),
    [anon_sym_opaque] = ACTIONS(1628),
    [anon_sym_implicit] = ACTIONS(2072),
    [anon_sym_inline] = ACTIONS(1632),
    [anon_sym_infix] = ACTIONS(1628),
    [anon_sym_open] = ACTIONS(1628),
    [anon_sym_transparent] = ACTIONS(1628),
    [anon_sym_LPAREN] = ACTIONS(1634),
    [anon_sym_macro] = ACTIONS(2074),
    [anon_sym_BANG] = ACTIONS(1626),
    [anon_sym_TILDE] = ACTIONS(1626),
    [anon_sym_DOLLAR] = ACTIONS(1636),
    [anon_sym_SQUOTE] = ACTIONS(1638),
    [sym__backquoted_id] = ACTIONS(1640),
    [sym_operator_identifier] = ACTIONS(2076),
    [sym_integer_literal] = ACTIONS(1644),
    [sym_floating_point_literal] = ACTIONS(1646),
    [anon_sym_true] = ACTIONS(1648),
    [anon_sym_false] = ACTIONS(1648),
    [sym_character_literal] = ACTIONS(1646),
    [sym_null_literal] = ACTIONS(1650),
    [anon_sym_return] = ACTIONS(2078),
    [anon_sym_throw] = ACTIONS(2080),
    [anon_sym_do] = ACTIONS(2082),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1652),
    [sym__simple_string] = ACTIONS(1652),
  },
  [1301] = {
    [sym_inline_modifier] = STATE(2086),
    [sym__indentable_expression] = STATE(11242),
    [sym_block] = STATE(9116),
    [sym_indented_block] = STATE(11085),
    [sym_indented_cases] = STATE(11085),
    [sym_expression] = STATE(13151),
    [sym__simple_expression] = STATE(5562),
    [sym_lambda_expression] = STATE(11364),
    [sym_if_expression] = STATE(11364),
    [sym_match_expression] = STATE(11364),
    [sym_try_expression] = STATE(11364),
    [sym_bindings] = STATE(15512),
    [sym_case_block] = STATE(9116),
    [sym_assignment_expression] = STATE(11364),
    [sym_generic_function] = STATE(9116),
    [sym_call_expression] = STATE(9116),
    [sym_field_expression] = STATE(9116),
    [sym_instance_expression] = STATE(9116),
    [sym_ascription_expression] = STATE(11364),
    [sym_infix_expression] = STATE(9793),
    [sym_postfix_expression] = STATE(10789),
    [sym__postfix_expression_choice] = STATE(15871),
    [sym_macro_body] = STATE(11364),
    [sym_prefix_expression] = STATE(9370),
    [sym_tuple_expression] = STATE(9116),
    [sym_parenthesized_expression] = STATE(9116),
    [sym_splice_expression] = STATE(9116),
    [sym_quote_expression] = STATE(9116),
    [sym_identifier] = STATE(5047),
    [sym__soft_identifier] = STATE(4332),
    [sym_wildcard] = STATE(7660),
    [sym__non_null_literal] = STATE(9116),
    [sym_boolean_literal] = STATE(5055),
    [sym_interpolated_string_expression] = STATE(9116),
    [sym_string] = STATE(5055),
    [sym_unit] = STATE(9116),
    [sym_return_expression] = STATE(11364),
    [sym_throw_expression] = STATE(11364),
    [sym_while_expression] = STATE(11364),
    [sym_do_while_expression] = STATE(11364),
    [sym_for_expression] = STATE(11364),
    [sym_comment] = STATE(1301),
    [sym_block_comment] = STATE(1301),
    [sym__alpha_identifier] = ACTIONS(1206),
    [anon_sym_LBRACE] = ACTIONS(1210),
    [anon_sym__] = ACTIONS(1212),
    [anon_sym_PLUS] = ACTIONS(1214),
    [anon_sym_DASH] = ACTIONS(1214),
    [anon_sym_end] = ACTIONS(1216),
    [anon_sym_if] = ACTIONS(1550),
    [anon_sym_while] = ACTIONS(1552),
    [anon_sym_for] = ACTIONS(1554),
    [anon_sym_try] = ACTIONS(1556),
    [anon_sym_new] = ACTIONS(1218),
    [anon_sym_opaque] = ACTIONS(1216),
    [anon_sym_implicit] = ACTIONS(1558),
    [anon_sym_inline] = ACTIONS(1220),
    [anon_sym_infix] = ACTIONS(1216),
    [anon_sym_open] = ACTIONS(1216),
    [anon_sym_transparent] = ACTIONS(1216),
    [anon_sym_LPAREN] = ACTIONS(1222),
    [anon_sym_macro] = ACTIONS(1560),
    [anon_sym_BANG] = ACTIONS(1214),
    [anon_sym_TILDE] = ACTIONS(1214),
    [anon_sym_DOLLAR] = ACTIONS(1224),
    [anon_sym_SQUOTE] = ACTIONS(1226),
    [sym__backquoted_id] = ACTIONS(1228),
    [sym_operator_identifier] = ACTIONS(1562),
    [sym_integer_literal] = ACTIONS(1232),
    [sym_floating_point_literal] = ACTIONS(1234),
    [anon_sym_true] = ACTIONS(1236),
    [anon_sym_false] = ACTIONS(1236),
    [sym_character_literal] = ACTIONS(1234),
    [sym_null_literal] = ACTIONS(1238),
    [anon_sym_return] = ACTIONS(1564),
    [anon_sym_throw] = ACTIONS(1566),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2282),
    [sym__simple_multiline_string] = ACTIONS(1240),
    [sym__simple_string] = ACTIONS(1240),
  },
  [1302] = {
    [sym_inline_modifier] = STATE(2195),
    [sym__indentable_expression] = STATE(12726),
    [sym_block] = STATE(7443),
    [sym_indented_block] = STATE(12679),
    [sym_indented_cases] = STATE(12679),
    [sym_expression] = STATE(12305),
    [sym__simple_expression] = STATE(5261),
    [sym_lambda_expression] = STATE(12692),
    [sym_if_expression] = STATE(12692),
    [sym_match_expression] = STATE(12692),
    [sym_try_expression] = STATE(12692),
    [sym_bindings] = STATE(15526),
    [sym_case_block] = STATE(7443),
    [sym_assignment_expression] = STATE(12692),
    [sym_generic_function] = STATE(7443),
    [sym_call_expression] = STATE(7443),
    [sym_field_expression] = STATE(7443),
    [sym_instance_expression] = STATE(7443),
    [sym_ascription_expression] = STATE(12692),
    [sym_infix_expression] = STATE(8993),
    [sym_postfix_expression] = STATE(12386),
    [sym__postfix_expression_choice] = STATE(16150),
    [sym_macro_body] = STATE(12692),
    [sym_prefix_expression] = STATE(8984),
    [sym_tuple_expression] = STATE(7443),
    [sym_parenthesized_expression] = STATE(7443),
    [sym_splice_expression] = STATE(7443),
    [sym_quote_expression] = STATE(7443),
    [sym_identifier] = STATE(4861),
    [sym__soft_identifier] = STATE(5213),
    [sym_wildcard] = STATE(7324),
    [sym__non_null_literal] = STATE(7443),
    [sym_boolean_literal] = STATE(7707),
    [sym_interpolated_string_expression] = STATE(7443),
    [sym_string] = STATE(7707),
    [sym_unit] = STATE(7443),
    [sym_return_expression] = STATE(12692),
    [sym_throw_expression] = STATE(12692),
    [sym_while_expression] = STATE(12692),
    [sym_do_while_expression] = STATE(12692),
    [sym_for_expression] = STATE(12692),
    [sym_comment] = STATE(1302),
    [sym_block_comment] = STATE(1302),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(1186),
    [anon_sym_while] = ACTIONS(1188),
    [anon_sym_for] = ACTIONS(1190),
    [anon_sym_try] = ACTIONS(1192),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(1194),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1196),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(1198),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(1200),
    [anon_sym_throw] = ACTIONS(1202),
    [anon_sym_do] = ACTIONS(1204),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2294),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [1303] = {
    [sym_inline_modifier] = STATE(2086),
    [sym__indentable_expression] = STATE(11249),
    [sym_block] = STATE(9116),
    [sym_indented_block] = STATE(11085),
    [sym_indented_cases] = STATE(11085),
    [sym_expression] = STATE(13151),
    [sym__simple_expression] = STATE(5562),
    [sym_lambda_expression] = STATE(11364),
    [sym_if_expression] = STATE(11364),
    [sym_match_expression] = STATE(11364),
    [sym_try_expression] = STATE(11364),
    [sym_bindings] = STATE(15512),
    [sym_case_block] = STATE(9116),
    [sym_assignment_expression] = STATE(11364),
    [sym_generic_function] = STATE(9116),
    [sym_call_expression] = STATE(9116),
    [sym_field_expression] = STATE(9116),
    [sym_instance_expression] = STATE(9116),
    [sym_ascription_expression] = STATE(11364),
    [sym_infix_expression] = STATE(9793),
    [sym_postfix_expression] = STATE(10789),
    [sym__postfix_expression_choice] = STATE(15871),
    [sym_macro_body] = STATE(11364),
    [sym_prefix_expression] = STATE(9370),
    [sym_tuple_expression] = STATE(9116),
    [sym_parenthesized_expression] = STATE(9116),
    [sym_splice_expression] = STATE(9116),
    [sym_quote_expression] = STATE(9116),
    [sym_identifier] = STATE(5047),
    [sym__soft_identifier] = STATE(4332),
    [sym_wildcard] = STATE(7660),
    [sym__non_null_literal] = STATE(9116),
    [sym_boolean_literal] = STATE(5055),
    [sym_interpolated_string_expression] = STATE(9116),
    [sym_string] = STATE(5055),
    [sym_unit] = STATE(9116),
    [sym_return_expression] = STATE(11364),
    [sym_throw_expression] = STATE(11364),
    [sym_while_expression] = STATE(11364),
    [sym_do_while_expression] = STATE(11364),
    [sym_for_expression] = STATE(11364),
    [sym_comment] = STATE(1303),
    [sym_block_comment] = STATE(1303),
    [sym__alpha_identifier] = ACTIONS(1206),
    [anon_sym_LBRACE] = ACTIONS(1210),
    [anon_sym__] = ACTIONS(1212),
    [anon_sym_PLUS] = ACTIONS(1214),
    [anon_sym_DASH] = ACTIONS(1214),
    [anon_sym_end] = ACTIONS(1216),
    [anon_sym_if] = ACTIONS(1550),
    [anon_sym_while] = ACTIONS(1552),
    [anon_sym_for] = ACTIONS(1554),
    [anon_sym_try] = ACTIONS(1556),
    [anon_sym_new] = ACTIONS(1218),
    [anon_sym_opaque] = ACTIONS(1216),
    [anon_sym_implicit] = ACTIONS(1558),
    [anon_sym_inline] = ACTIONS(1220),
    [anon_sym_infix] = ACTIONS(1216),
    [anon_sym_open] = ACTIONS(1216),
    [anon_sym_transparent] = ACTIONS(1216),
    [anon_sym_LPAREN] = ACTIONS(1222),
    [anon_sym_macro] = ACTIONS(1560),
    [anon_sym_BANG] = ACTIONS(1214),
    [anon_sym_TILDE] = ACTIONS(1214),
    [anon_sym_DOLLAR] = ACTIONS(1224),
    [anon_sym_SQUOTE] = ACTIONS(1226),
    [sym__backquoted_id] = ACTIONS(1228),
    [sym_operator_identifier] = ACTIONS(1562),
    [sym_integer_literal] = ACTIONS(1232),
    [sym_floating_point_literal] = ACTIONS(1234),
    [anon_sym_true] = ACTIONS(1236),
    [anon_sym_false] = ACTIONS(1236),
    [sym_character_literal] = ACTIONS(1234),
    [sym_null_literal] = ACTIONS(1238),
    [anon_sym_return] = ACTIONS(1564),
    [anon_sym_throw] = ACTIONS(1566),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2282),
    [sym__simple_multiline_string] = ACTIONS(1240),
    [sym__simple_string] = ACTIONS(1240),
  },
  [1304] = {
    [sym_inline_modifier] = STATE(2189),
    [sym__indentable_expression] = STATE(13524),
    [sym_block] = STATE(9327),
    [sym_indented_block] = STATE(13548),
    [sym_indented_cases] = STATE(13548),
    [sym_expression] = STATE(13406),
    [sym__simple_expression] = STATE(7289),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15762),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10205),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10142),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6081),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(8816),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(1304),
    [sym_block_comment] = STATE(1304),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(569),
    [anon_sym_DASH] = ACTIONS(569),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(571),
    [anon_sym_while] = ACTIONS(573),
    [anon_sym_for] = ACTIONS(575),
    [anon_sym_try] = ACTIONS(577),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(2248),
    [anon_sym_inline] = ACTIONS(1860),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(569),
    [anon_sym_TILDE] = ACTIONS(569),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(587),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(589),
    [anon_sym_throw] = ACTIONS(591),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [1305] = {
    [sym_inline_modifier] = STATE(2086),
    [sym__indentable_expression] = STATE(11272),
    [sym_block] = STATE(9116),
    [sym_indented_block] = STATE(11085),
    [sym_indented_cases] = STATE(11085),
    [sym_expression] = STATE(13151),
    [sym__simple_expression] = STATE(5562),
    [sym_lambda_expression] = STATE(11364),
    [sym_if_expression] = STATE(11364),
    [sym_match_expression] = STATE(11364),
    [sym_try_expression] = STATE(11364),
    [sym_bindings] = STATE(15512),
    [sym_case_block] = STATE(9116),
    [sym_assignment_expression] = STATE(11364),
    [sym_generic_function] = STATE(9116),
    [sym_call_expression] = STATE(9116),
    [sym_field_expression] = STATE(9116),
    [sym_instance_expression] = STATE(9116),
    [sym_ascription_expression] = STATE(11364),
    [sym_infix_expression] = STATE(9793),
    [sym_postfix_expression] = STATE(10789),
    [sym__postfix_expression_choice] = STATE(15871),
    [sym_macro_body] = STATE(11364),
    [sym_prefix_expression] = STATE(9370),
    [sym_tuple_expression] = STATE(9116),
    [sym_parenthesized_expression] = STATE(9116),
    [sym_splice_expression] = STATE(9116),
    [sym_quote_expression] = STATE(9116),
    [sym_identifier] = STATE(5047),
    [sym__soft_identifier] = STATE(4332),
    [sym_wildcard] = STATE(7660),
    [sym__non_null_literal] = STATE(9116),
    [sym_boolean_literal] = STATE(5055),
    [sym_interpolated_string_expression] = STATE(9116),
    [sym_string] = STATE(5055),
    [sym_unit] = STATE(9116),
    [sym_return_expression] = STATE(11364),
    [sym_throw_expression] = STATE(11364),
    [sym_while_expression] = STATE(11364),
    [sym_do_while_expression] = STATE(11364),
    [sym_for_expression] = STATE(11364),
    [sym_comment] = STATE(1305),
    [sym_block_comment] = STATE(1305),
    [sym__alpha_identifier] = ACTIONS(1206),
    [anon_sym_LBRACE] = ACTIONS(1210),
    [anon_sym__] = ACTIONS(1212),
    [anon_sym_PLUS] = ACTIONS(1214),
    [anon_sym_DASH] = ACTIONS(1214),
    [anon_sym_end] = ACTIONS(1216),
    [anon_sym_if] = ACTIONS(1550),
    [anon_sym_while] = ACTIONS(1552),
    [anon_sym_for] = ACTIONS(1554),
    [anon_sym_try] = ACTIONS(1556),
    [anon_sym_new] = ACTIONS(1218),
    [anon_sym_opaque] = ACTIONS(1216),
    [anon_sym_implicit] = ACTIONS(1558),
    [anon_sym_inline] = ACTIONS(1220),
    [anon_sym_infix] = ACTIONS(1216),
    [anon_sym_open] = ACTIONS(1216),
    [anon_sym_transparent] = ACTIONS(1216),
    [anon_sym_LPAREN] = ACTIONS(1222),
    [anon_sym_macro] = ACTIONS(1560),
    [anon_sym_BANG] = ACTIONS(1214),
    [anon_sym_TILDE] = ACTIONS(1214),
    [anon_sym_DOLLAR] = ACTIONS(1224),
    [anon_sym_SQUOTE] = ACTIONS(1226),
    [sym__backquoted_id] = ACTIONS(1228),
    [sym_operator_identifier] = ACTIONS(1562),
    [sym_integer_literal] = ACTIONS(1232),
    [sym_floating_point_literal] = ACTIONS(1234),
    [anon_sym_true] = ACTIONS(1236),
    [anon_sym_false] = ACTIONS(1236),
    [sym_character_literal] = ACTIONS(1234),
    [sym_null_literal] = ACTIONS(1238),
    [anon_sym_return] = ACTIONS(1564),
    [anon_sym_throw] = ACTIONS(1566),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2282),
    [sym__simple_multiline_string] = ACTIONS(1240),
    [sym__simple_string] = ACTIONS(1240),
  },
  [1306] = {
    [sym_inline_modifier] = STATE(2195),
    [sym__indentable_expression] = STATE(12705),
    [sym_block] = STATE(7443),
    [sym_indented_block] = STATE(12679),
    [sym_indented_cases] = STATE(12679),
    [sym_expression] = STATE(12305),
    [sym__simple_expression] = STATE(5261),
    [sym_lambda_expression] = STATE(12692),
    [sym_if_expression] = STATE(12692),
    [sym_match_expression] = STATE(12692),
    [sym_try_expression] = STATE(12692),
    [sym_bindings] = STATE(15526),
    [sym_case_block] = STATE(7443),
    [sym_assignment_expression] = STATE(12692),
    [sym_generic_function] = STATE(7443),
    [sym_call_expression] = STATE(7443),
    [sym_field_expression] = STATE(7443),
    [sym_instance_expression] = STATE(7443),
    [sym_ascription_expression] = STATE(12692),
    [sym_infix_expression] = STATE(8993),
    [sym_postfix_expression] = STATE(12386),
    [sym__postfix_expression_choice] = STATE(16150),
    [sym_macro_body] = STATE(12692),
    [sym_prefix_expression] = STATE(8984),
    [sym_tuple_expression] = STATE(7443),
    [sym_parenthesized_expression] = STATE(7443),
    [sym_splice_expression] = STATE(7443),
    [sym_quote_expression] = STATE(7443),
    [sym_identifier] = STATE(4861),
    [sym__soft_identifier] = STATE(5213),
    [sym_wildcard] = STATE(7324),
    [sym__non_null_literal] = STATE(7443),
    [sym_boolean_literal] = STATE(7707),
    [sym_interpolated_string_expression] = STATE(7443),
    [sym_string] = STATE(7707),
    [sym_unit] = STATE(7443),
    [sym_return_expression] = STATE(12692),
    [sym_throw_expression] = STATE(12692),
    [sym_while_expression] = STATE(12692),
    [sym_do_while_expression] = STATE(12692),
    [sym_for_expression] = STATE(12692),
    [sym_comment] = STATE(1306),
    [sym_block_comment] = STATE(1306),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(1186),
    [anon_sym_while] = ACTIONS(1188),
    [anon_sym_for] = ACTIONS(1190),
    [anon_sym_try] = ACTIONS(1192),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(1194),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1196),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(1198),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(1200),
    [anon_sym_throw] = ACTIONS(1202),
    [anon_sym_do] = ACTIONS(1204),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2294),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [1307] = {
    [sym_inline_modifier] = STATE(2086),
    [sym__indentable_expression] = STATE(11274),
    [sym_block] = STATE(9116),
    [sym_indented_block] = STATE(11085),
    [sym_indented_cases] = STATE(11085),
    [sym_expression] = STATE(13151),
    [sym__simple_expression] = STATE(5562),
    [sym_lambda_expression] = STATE(11364),
    [sym_if_expression] = STATE(11364),
    [sym_match_expression] = STATE(11364),
    [sym_try_expression] = STATE(11364),
    [sym_bindings] = STATE(15512),
    [sym_case_block] = STATE(9116),
    [sym_assignment_expression] = STATE(11364),
    [sym_generic_function] = STATE(9116),
    [sym_call_expression] = STATE(9116),
    [sym_field_expression] = STATE(9116),
    [sym_instance_expression] = STATE(9116),
    [sym_ascription_expression] = STATE(11364),
    [sym_infix_expression] = STATE(9793),
    [sym_postfix_expression] = STATE(10789),
    [sym__postfix_expression_choice] = STATE(15871),
    [sym_macro_body] = STATE(11364),
    [sym_prefix_expression] = STATE(9370),
    [sym_tuple_expression] = STATE(9116),
    [sym_parenthesized_expression] = STATE(9116),
    [sym_splice_expression] = STATE(9116),
    [sym_quote_expression] = STATE(9116),
    [sym_identifier] = STATE(5047),
    [sym__soft_identifier] = STATE(4332),
    [sym_wildcard] = STATE(7660),
    [sym__non_null_literal] = STATE(9116),
    [sym_boolean_literal] = STATE(5055),
    [sym_interpolated_string_expression] = STATE(9116),
    [sym_string] = STATE(5055),
    [sym_unit] = STATE(9116),
    [sym_return_expression] = STATE(11364),
    [sym_throw_expression] = STATE(11364),
    [sym_while_expression] = STATE(11364),
    [sym_do_while_expression] = STATE(11364),
    [sym_for_expression] = STATE(11364),
    [sym_comment] = STATE(1307),
    [sym_block_comment] = STATE(1307),
    [sym__alpha_identifier] = ACTIONS(1206),
    [anon_sym_LBRACE] = ACTIONS(1210),
    [anon_sym__] = ACTIONS(1212),
    [anon_sym_PLUS] = ACTIONS(1214),
    [anon_sym_DASH] = ACTIONS(1214),
    [anon_sym_end] = ACTIONS(1216),
    [anon_sym_if] = ACTIONS(1550),
    [anon_sym_while] = ACTIONS(1552),
    [anon_sym_for] = ACTIONS(1554),
    [anon_sym_try] = ACTIONS(1556),
    [anon_sym_new] = ACTIONS(1218),
    [anon_sym_opaque] = ACTIONS(1216),
    [anon_sym_implicit] = ACTIONS(1558),
    [anon_sym_inline] = ACTIONS(1220),
    [anon_sym_infix] = ACTIONS(1216),
    [anon_sym_open] = ACTIONS(1216),
    [anon_sym_transparent] = ACTIONS(1216),
    [anon_sym_LPAREN] = ACTIONS(1222),
    [anon_sym_macro] = ACTIONS(1560),
    [anon_sym_BANG] = ACTIONS(1214),
    [anon_sym_TILDE] = ACTIONS(1214),
    [anon_sym_DOLLAR] = ACTIONS(1224),
    [anon_sym_SQUOTE] = ACTIONS(1226),
    [sym__backquoted_id] = ACTIONS(1228),
    [sym_operator_identifier] = ACTIONS(1562),
    [sym_integer_literal] = ACTIONS(1232),
    [sym_floating_point_literal] = ACTIONS(1234),
    [anon_sym_true] = ACTIONS(1236),
    [anon_sym_false] = ACTIONS(1236),
    [sym_character_literal] = ACTIONS(1234),
    [sym_null_literal] = ACTIONS(1238),
    [anon_sym_return] = ACTIONS(1564),
    [anon_sym_throw] = ACTIONS(1566),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2282),
    [sym__simple_multiline_string] = ACTIONS(1240),
    [sym__simple_string] = ACTIONS(1240),
  },
  [1308] = {
    [sym_inline_modifier] = STATE(2195),
    [sym__indentable_expression] = STATE(12701),
    [sym_block] = STATE(7443),
    [sym_indented_block] = STATE(12679),
    [sym_indented_cases] = STATE(12679),
    [sym_expression] = STATE(12305),
    [sym__simple_expression] = STATE(5261),
    [sym_lambda_expression] = STATE(12692),
    [sym_if_expression] = STATE(12692),
    [sym_match_expression] = STATE(12692),
    [sym_try_expression] = STATE(12692),
    [sym_bindings] = STATE(15526),
    [sym_case_block] = STATE(7443),
    [sym_assignment_expression] = STATE(12692),
    [sym_generic_function] = STATE(7443),
    [sym_call_expression] = STATE(7443),
    [sym_field_expression] = STATE(7443),
    [sym_instance_expression] = STATE(7443),
    [sym_ascription_expression] = STATE(12692),
    [sym_infix_expression] = STATE(8993),
    [sym_postfix_expression] = STATE(12386),
    [sym__postfix_expression_choice] = STATE(16150),
    [sym_macro_body] = STATE(12692),
    [sym_prefix_expression] = STATE(8984),
    [sym_tuple_expression] = STATE(7443),
    [sym_parenthesized_expression] = STATE(7443),
    [sym_splice_expression] = STATE(7443),
    [sym_quote_expression] = STATE(7443),
    [sym_identifier] = STATE(4861),
    [sym__soft_identifier] = STATE(5213),
    [sym_wildcard] = STATE(7324),
    [sym__non_null_literal] = STATE(7443),
    [sym_boolean_literal] = STATE(7707),
    [sym_interpolated_string_expression] = STATE(7443),
    [sym_string] = STATE(7707),
    [sym_unit] = STATE(7443),
    [sym_return_expression] = STATE(12692),
    [sym_throw_expression] = STATE(12692),
    [sym_while_expression] = STATE(12692),
    [sym_do_while_expression] = STATE(12692),
    [sym_for_expression] = STATE(12692),
    [sym_comment] = STATE(1308),
    [sym_block_comment] = STATE(1308),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(1186),
    [anon_sym_while] = ACTIONS(1188),
    [anon_sym_for] = ACTIONS(1190),
    [anon_sym_try] = ACTIONS(1192),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(1194),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1196),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(1198),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(1200),
    [anon_sym_throw] = ACTIONS(1202),
    [anon_sym_do] = ACTIONS(1204),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2294),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [1309] = {
    [sym_inline_modifier] = STATE(2195),
    [sym__indentable_expression] = STATE(13186),
    [sym_block] = STATE(7443),
    [sym_indented_block] = STATE(12679),
    [sym_indented_cases] = STATE(12679),
    [sym_expression] = STATE(12305),
    [sym__simple_expression] = STATE(5261),
    [sym_lambda_expression] = STATE(12692),
    [sym_if_expression] = STATE(12692),
    [sym_match_expression] = STATE(12692),
    [sym_try_expression] = STATE(12692),
    [sym_bindings] = STATE(15526),
    [sym_case_block] = STATE(7443),
    [sym_assignment_expression] = STATE(12692),
    [sym_generic_function] = STATE(7443),
    [sym_call_expression] = STATE(7443),
    [sym_field_expression] = STATE(7443),
    [sym_instance_expression] = STATE(7443),
    [sym_ascription_expression] = STATE(12692),
    [sym_infix_expression] = STATE(8993),
    [sym_postfix_expression] = STATE(12386),
    [sym__postfix_expression_choice] = STATE(16150),
    [sym_macro_body] = STATE(12692),
    [sym_prefix_expression] = STATE(8984),
    [sym_tuple_expression] = STATE(7443),
    [sym_parenthesized_expression] = STATE(7443),
    [sym_splice_expression] = STATE(7443),
    [sym_quote_expression] = STATE(7443),
    [sym_identifier] = STATE(4861),
    [sym__soft_identifier] = STATE(5213),
    [sym_wildcard] = STATE(7324),
    [sym__non_null_literal] = STATE(7443),
    [sym_boolean_literal] = STATE(7707),
    [sym_interpolated_string_expression] = STATE(7443),
    [sym_string] = STATE(7707),
    [sym_unit] = STATE(7443),
    [sym_return_expression] = STATE(12692),
    [sym_throw_expression] = STATE(12692),
    [sym_while_expression] = STATE(12692),
    [sym_do_while_expression] = STATE(12692),
    [sym_for_expression] = STATE(12692),
    [sym_comment] = STATE(1309),
    [sym_block_comment] = STATE(1309),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(1186),
    [anon_sym_while] = ACTIONS(1188),
    [anon_sym_for] = ACTIONS(1190),
    [anon_sym_try] = ACTIONS(1192),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(1194),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1196),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(1198),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(1200),
    [anon_sym_throw] = ACTIONS(1202),
    [anon_sym_do] = ACTIONS(1204),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2294),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [1310] = {
    [sym_inline_modifier] = STATE(2084),
    [sym__indentable_expression] = STATE(15867),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(8831),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15722),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10635),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(714),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(8641),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(10149),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1310),
    [sym_block_comment] = STATE(1310),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2740),
    [anon_sym_while] = ACTIONS(2742),
    [anon_sym_for] = ACTIONS(2744),
    [anon_sym_try] = ACTIONS(2746),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2748),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3310),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3312),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2762),
    [anon_sym_throw] = ACTIONS(2764),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1311] = {
    [sym_inline_modifier] = STATE(2084),
    [sym__indentable_expression] = STATE(16162),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(8831),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15722),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10635),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(711),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(8641),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(10149),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1311),
    [sym_block_comment] = STATE(1311),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2740),
    [anon_sym_while] = ACTIONS(2742),
    [anon_sym_for] = ACTIONS(2744),
    [anon_sym_try] = ACTIONS(2746),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2748),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3310),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3312),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2762),
    [anon_sym_throw] = ACTIONS(2764),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1312] = {
    [sym_inline_modifier] = STATE(2086),
    [sym__indentable_expression] = STATE(11290),
    [sym_block] = STATE(9116),
    [sym_indented_block] = STATE(11085),
    [sym_indented_cases] = STATE(11085),
    [sym_expression] = STATE(13151),
    [sym__simple_expression] = STATE(5562),
    [sym_lambda_expression] = STATE(11364),
    [sym_if_expression] = STATE(11364),
    [sym_match_expression] = STATE(11364),
    [sym_try_expression] = STATE(11364),
    [sym_bindings] = STATE(15512),
    [sym_case_block] = STATE(9116),
    [sym_assignment_expression] = STATE(11364),
    [sym_generic_function] = STATE(9116),
    [sym_call_expression] = STATE(9116),
    [sym_field_expression] = STATE(9116),
    [sym_instance_expression] = STATE(9116),
    [sym_ascription_expression] = STATE(11364),
    [sym_infix_expression] = STATE(9793),
    [sym_postfix_expression] = STATE(10789),
    [sym__postfix_expression_choice] = STATE(15871),
    [sym_macro_body] = STATE(11364),
    [sym_prefix_expression] = STATE(9370),
    [sym_tuple_expression] = STATE(9116),
    [sym_parenthesized_expression] = STATE(9116),
    [sym_splice_expression] = STATE(9116),
    [sym_quote_expression] = STATE(9116),
    [sym_identifier] = STATE(5047),
    [sym__soft_identifier] = STATE(4332),
    [sym_wildcard] = STATE(7660),
    [sym__non_null_literal] = STATE(9116),
    [sym_boolean_literal] = STATE(5055),
    [sym_interpolated_string_expression] = STATE(9116),
    [sym_string] = STATE(5055),
    [sym_unit] = STATE(9116),
    [sym_return_expression] = STATE(11364),
    [sym_throw_expression] = STATE(11364),
    [sym_while_expression] = STATE(11364),
    [sym_do_while_expression] = STATE(11364),
    [sym_for_expression] = STATE(11364),
    [sym_comment] = STATE(1312),
    [sym_block_comment] = STATE(1312),
    [sym__alpha_identifier] = ACTIONS(1206),
    [anon_sym_LBRACE] = ACTIONS(1210),
    [anon_sym__] = ACTIONS(1212),
    [anon_sym_PLUS] = ACTIONS(1214),
    [anon_sym_DASH] = ACTIONS(1214),
    [anon_sym_end] = ACTIONS(1216),
    [anon_sym_if] = ACTIONS(1550),
    [anon_sym_while] = ACTIONS(1552),
    [anon_sym_for] = ACTIONS(1554),
    [anon_sym_try] = ACTIONS(1556),
    [anon_sym_new] = ACTIONS(1218),
    [anon_sym_opaque] = ACTIONS(1216),
    [anon_sym_implicit] = ACTIONS(1558),
    [anon_sym_inline] = ACTIONS(1220),
    [anon_sym_infix] = ACTIONS(1216),
    [anon_sym_open] = ACTIONS(1216),
    [anon_sym_transparent] = ACTIONS(1216),
    [anon_sym_LPAREN] = ACTIONS(1222),
    [anon_sym_macro] = ACTIONS(1560),
    [anon_sym_BANG] = ACTIONS(1214),
    [anon_sym_TILDE] = ACTIONS(1214),
    [anon_sym_DOLLAR] = ACTIONS(1224),
    [anon_sym_SQUOTE] = ACTIONS(1226),
    [sym__backquoted_id] = ACTIONS(1228),
    [sym_operator_identifier] = ACTIONS(1562),
    [sym_integer_literal] = ACTIONS(1232),
    [sym_floating_point_literal] = ACTIONS(1234),
    [anon_sym_true] = ACTIONS(1236),
    [anon_sym_false] = ACTIONS(1236),
    [sym_character_literal] = ACTIONS(1234),
    [sym_null_literal] = ACTIONS(1238),
    [anon_sym_return] = ACTIONS(1564),
    [anon_sym_throw] = ACTIONS(1566),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2282),
    [sym__simple_multiline_string] = ACTIONS(1240),
    [sym__simple_string] = ACTIONS(1240),
  },
  [1313] = {
    [sym_inline_modifier] = STATE(2195),
    [sym__indentable_expression] = STATE(12697),
    [sym_block] = STATE(7443),
    [sym_indented_block] = STATE(12679),
    [sym_indented_cases] = STATE(12679),
    [sym_expression] = STATE(12305),
    [sym__simple_expression] = STATE(5261),
    [sym_lambda_expression] = STATE(12692),
    [sym_if_expression] = STATE(12692),
    [sym_match_expression] = STATE(12692),
    [sym_try_expression] = STATE(12692),
    [sym_bindings] = STATE(15526),
    [sym_case_block] = STATE(7443),
    [sym_assignment_expression] = STATE(12692),
    [sym_generic_function] = STATE(7443),
    [sym_call_expression] = STATE(7443),
    [sym_field_expression] = STATE(7443),
    [sym_instance_expression] = STATE(7443),
    [sym_ascription_expression] = STATE(12692),
    [sym_infix_expression] = STATE(8993),
    [sym_postfix_expression] = STATE(12386),
    [sym__postfix_expression_choice] = STATE(16150),
    [sym_macro_body] = STATE(12692),
    [sym_prefix_expression] = STATE(8984),
    [sym_tuple_expression] = STATE(7443),
    [sym_parenthesized_expression] = STATE(7443),
    [sym_splice_expression] = STATE(7443),
    [sym_quote_expression] = STATE(7443),
    [sym_identifier] = STATE(4861),
    [sym__soft_identifier] = STATE(5213),
    [sym_wildcard] = STATE(7324),
    [sym__non_null_literal] = STATE(7443),
    [sym_boolean_literal] = STATE(7707),
    [sym_interpolated_string_expression] = STATE(7443),
    [sym_string] = STATE(7707),
    [sym_unit] = STATE(7443),
    [sym_return_expression] = STATE(12692),
    [sym_throw_expression] = STATE(12692),
    [sym_while_expression] = STATE(12692),
    [sym_do_while_expression] = STATE(12692),
    [sym_for_expression] = STATE(12692),
    [sym_comment] = STATE(1313),
    [sym_block_comment] = STATE(1313),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(1186),
    [anon_sym_while] = ACTIONS(1188),
    [anon_sym_for] = ACTIONS(1190),
    [anon_sym_try] = ACTIONS(1192),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(1194),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1196),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(1198),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(1200),
    [anon_sym_throw] = ACTIONS(1202),
    [anon_sym_do] = ACTIONS(1204),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2294),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [1314] = {
    [sym_inline_modifier] = STATE(2195),
    [sym__indentable_expression] = STATE(12672),
    [sym_block] = STATE(7443),
    [sym_indented_block] = STATE(12679),
    [sym_indented_cases] = STATE(12679),
    [sym_expression] = STATE(12305),
    [sym__simple_expression] = STATE(5261),
    [sym_lambda_expression] = STATE(12692),
    [sym_if_expression] = STATE(12692),
    [sym_match_expression] = STATE(12692),
    [sym_try_expression] = STATE(12692),
    [sym_bindings] = STATE(15526),
    [sym_case_block] = STATE(7443),
    [sym_assignment_expression] = STATE(12692),
    [sym_generic_function] = STATE(7443),
    [sym_call_expression] = STATE(7443),
    [sym_field_expression] = STATE(7443),
    [sym_instance_expression] = STATE(7443),
    [sym_ascription_expression] = STATE(12692),
    [sym_infix_expression] = STATE(8993),
    [sym_postfix_expression] = STATE(12386),
    [sym__postfix_expression_choice] = STATE(16150),
    [sym_macro_body] = STATE(12692),
    [sym_prefix_expression] = STATE(8984),
    [sym_tuple_expression] = STATE(7443),
    [sym_parenthesized_expression] = STATE(7443),
    [sym_splice_expression] = STATE(7443),
    [sym_quote_expression] = STATE(7443),
    [sym_identifier] = STATE(4861),
    [sym__soft_identifier] = STATE(5213),
    [sym_wildcard] = STATE(7324),
    [sym__non_null_literal] = STATE(7443),
    [sym_boolean_literal] = STATE(7707),
    [sym_interpolated_string_expression] = STATE(7443),
    [sym_string] = STATE(7707),
    [sym_unit] = STATE(7443),
    [sym_return_expression] = STATE(12692),
    [sym_throw_expression] = STATE(12692),
    [sym_while_expression] = STATE(12692),
    [sym_do_while_expression] = STATE(12692),
    [sym_for_expression] = STATE(12692),
    [sym_comment] = STATE(1314),
    [sym_block_comment] = STATE(1314),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(1186),
    [anon_sym_while] = ACTIONS(1188),
    [anon_sym_for] = ACTIONS(1190),
    [anon_sym_try] = ACTIONS(1192),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(1194),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1196),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(1198),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(1200),
    [anon_sym_throw] = ACTIONS(1202),
    [anon_sym_do] = ACTIONS(1204),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2294),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [1315] = {
    [sym_inline_modifier] = STATE(2060),
    [sym__indentable_expression] = STATE(11766),
    [sym_block] = STATE(6450),
    [sym_indented_block] = STATE(11535),
    [sym_indented_cases] = STATE(11535),
    [sym_expression] = STATE(11606),
    [sym__simple_expression] = STATE(5608),
    [sym_lambda_expression] = STATE(11549),
    [sym_if_expression] = STATE(11549),
    [sym_match_expression] = STATE(11549),
    [sym_try_expression] = STATE(11549),
    [sym_bindings] = STATE(15697),
    [sym_case_block] = STATE(6450),
    [sym_assignment_expression] = STATE(11549),
    [sym_generic_function] = STATE(6450),
    [sym_call_expression] = STATE(6450),
    [sym_field_expression] = STATE(6450),
    [sym_instance_expression] = STATE(6450),
    [sym_ascription_expression] = STATE(11549),
    [sym_infix_expression] = STATE(7641),
    [sym_postfix_expression] = STATE(11204),
    [sym__postfix_expression_choice] = STATE(16480),
    [sym_macro_body] = STATE(11549),
    [sym_prefix_expression] = STATE(9536),
    [sym_tuple_expression] = STATE(6450),
    [sym_parenthesized_expression] = STATE(6450),
    [sym_splice_expression] = STATE(6450),
    [sym_quote_expression] = STATE(6450),
    [sym_identifier] = STATE(5347),
    [sym__soft_identifier] = STATE(4507),
    [sym_wildcard] = STATE(7620),
    [sym__non_null_literal] = STATE(6450),
    [sym_boolean_literal] = STATE(6156),
    [sym_interpolated_string_expression] = STATE(6450),
    [sym_string] = STATE(6156),
    [sym_unit] = STATE(6450),
    [sym_return_expression] = STATE(11549),
    [sym_throw_expression] = STATE(11549),
    [sym_while_expression] = STATE(11549),
    [sym_do_while_expression] = STATE(11549),
    [sym_for_expression] = STATE(11549),
    [sym_comment] = STATE(1315),
    [sym_block_comment] = STATE(1315),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(1428),
    [anon_sym_while] = ACTIONS(1430),
    [anon_sym_for] = ACTIONS(1432),
    [anon_sym_try] = ACTIONS(1434),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1436),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1378),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1438),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1440),
    [anon_sym_throw] = ACTIONS(1442),
    [anon_sym_do] = ACTIONS(1386),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2258),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [1316] = {
    [sym_inline_modifier] = STATE(2125),
    [sym__indentable_expression] = STATE(12474),
    [sym_block] = STATE(6738),
    [sym_indented_block] = STATE(12372),
    [sym_indented_cases] = STATE(12372),
    [sym_expression] = STATE(12028),
    [sym__simple_expression] = STATE(5176),
    [sym_lambda_expression] = STATE(12430),
    [sym_if_expression] = STATE(12430),
    [sym_match_expression] = STATE(12430),
    [sym_try_expression] = STATE(12430),
    [sym_bindings] = STATE(15677),
    [sym_case_block] = STATE(6738),
    [sym_assignment_expression] = STATE(12430),
    [sym_generic_function] = STATE(6738),
    [sym_call_expression] = STATE(6738),
    [sym_field_expression] = STATE(6738),
    [sym_instance_expression] = STATE(6738),
    [sym_ascription_expression] = STATE(12430),
    [sym_infix_expression] = STATE(8389),
    [sym_postfix_expression] = STATE(11930),
    [sym__postfix_expression_choice] = STATE(15885),
    [sym_macro_body] = STATE(12430),
    [sym_prefix_expression] = STATE(9115),
    [sym_tuple_expression] = STATE(6738),
    [sym_parenthesized_expression] = STATE(6738),
    [sym_splice_expression] = STATE(6738),
    [sym_quote_expression] = STATE(6738),
    [sym_identifier] = STATE(4951),
    [sym__soft_identifier] = STATE(4943),
    [sym_wildcard] = STATE(7114),
    [sym__non_null_literal] = STATE(6738),
    [sym_boolean_literal] = STATE(7301),
    [sym_interpolated_string_expression] = STATE(6738),
    [sym_string] = STATE(7301),
    [sym_unit] = STATE(6738),
    [sym_return_expression] = STATE(12430),
    [sym_throw_expression] = STATE(12430),
    [sym_while_expression] = STATE(12430),
    [sym_do_while_expression] = STATE(12430),
    [sym_for_expression] = STATE(12430),
    [sym_comment] = STATE(1316),
    [sym_block_comment] = STATE(1316),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(1350),
    [anon_sym_while] = ACTIONS(1352),
    [anon_sym_for] = ACTIONS(1354),
    [anon_sym_try] = ACTIONS(1356),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(1358),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1360),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(1362),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(1364),
    [anon_sym_throw] = ACTIONS(1366),
    [anon_sym_do] = ACTIONS(1368),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2202),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [1317] = {
    [sym_inline_modifier] = STATE(2070),
    [sym__indentable_expression] = STATE(13228),
    [sym_block] = STATE(8360),
    [sym_indented_block] = STATE(13059),
    [sym_indented_cases] = STATE(13059),
    [sym_expression] = STATE(12867),
    [sym__simple_expression] = STATE(5615),
    [sym_lambda_expression] = STATE(13229),
    [sym_if_expression] = STATE(13229),
    [sym_match_expression] = STATE(13229),
    [sym_try_expression] = STATE(13229),
    [sym_bindings] = STATE(15528),
    [sym_case_block] = STATE(8360),
    [sym_assignment_expression] = STATE(13229),
    [sym_generic_function] = STATE(8360),
    [sym_call_expression] = STATE(8360),
    [sym_field_expression] = STATE(8360),
    [sym_instance_expression] = STATE(8360),
    [sym_ascription_expression] = STATE(13229),
    [sym_infix_expression] = STATE(9581),
    [sym_postfix_expression] = STATE(12866),
    [sym__postfix_expression_choice] = STATE(15971),
    [sym_macro_body] = STATE(13229),
    [sym_prefix_expression] = STATE(9582),
    [sym_tuple_expression] = STATE(8360),
    [sym_parenthesized_expression] = STATE(8360),
    [sym_splice_expression] = STATE(8360),
    [sym_quote_expression] = STATE(8360),
    [sym_identifier] = STATE(5263),
    [sym__soft_identifier] = STATE(5563),
    [sym_wildcard] = STATE(7408),
    [sym__non_null_literal] = STATE(8360),
    [sym_boolean_literal] = STATE(8269),
    [sym_interpolated_string_expression] = STATE(8360),
    [sym_string] = STATE(8269),
    [sym_unit] = STATE(8360),
    [sym_return_expression] = STATE(13229),
    [sym_throw_expression] = STATE(13229),
    [sym_while_expression] = STATE(13229),
    [sym_do_while_expression] = STATE(13229),
    [sym_for_expression] = STATE(13229),
    [sym_comment] = STATE(1317),
    [sym_block_comment] = STATE(1317),
    [sym__alpha_identifier] = ACTIONS(1242),
    [anon_sym_LBRACE] = ACTIONS(1246),
    [anon_sym__] = ACTIONS(1248),
    [anon_sym_PLUS] = ACTIONS(1250),
    [anon_sym_DASH] = ACTIONS(1250),
    [anon_sym_end] = ACTIONS(1252),
    [anon_sym_if] = ACTIONS(1654),
    [anon_sym_while] = ACTIONS(1656),
    [anon_sym_for] = ACTIONS(1658),
    [anon_sym_try] = ACTIONS(1660),
    [anon_sym_new] = ACTIONS(1254),
    [anon_sym_opaque] = ACTIONS(1252),
    [anon_sym_implicit] = ACTIONS(1662),
    [anon_sym_inline] = ACTIONS(1256),
    [anon_sym_infix] = ACTIONS(1252),
    [anon_sym_open] = ACTIONS(1252),
    [anon_sym_transparent] = ACTIONS(1252),
    [anon_sym_LPAREN] = ACTIONS(1258),
    [anon_sym_macro] = ACTIONS(1664),
    [anon_sym_BANG] = ACTIONS(1250),
    [anon_sym_TILDE] = ACTIONS(1250),
    [anon_sym_DOLLAR] = ACTIONS(1260),
    [anon_sym_SQUOTE] = ACTIONS(1262),
    [sym__backquoted_id] = ACTIONS(1264),
    [sym_operator_identifier] = ACTIONS(1666),
    [sym_integer_literal] = ACTIONS(1268),
    [sym_floating_point_literal] = ACTIONS(1270),
    [anon_sym_true] = ACTIONS(1272),
    [anon_sym_false] = ACTIONS(1272),
    [sym_character_literal] = ACTIONS(1270),
    [sym_null_literal] = ACTIONS(1274),
    [anon_sym_return] = ACTIONS(1668),
    [anon_sym_throw] = ACTIONS(1670),
    [anon_sym_do] = ACTIONS(1672),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2212),
    [sym__simple_multiline_string] = ACTIONS(1276),
    [sym__simple_string] = ACTIONS(1276),
  },
  [1318] = {
    [sym_inline_modifier] = STATE(2070),
    [sym__indentable_expression] = STATE(12973),
    [sym_block] = STATE(8360),
    [sym_indented_block] = STATE(13059),
    [sym_indented_cases] = STATE(13059),
    [sym_expression] = STATE(12867),
    [sym__simple_expression] = STATE(5615),
    [sym_lambda_expression] = STATE(13229),
    [sym_if_expression] = STATE(13229),
    [sym_match_expression] = STATE(13229),
    [sym_try_expression] = STATE(13229),
    [sym_bindings] = STATE(15528),
    [sym_case_block] = STATE(8360),
    [sym_assignment_expression] = STATE(13229),
    [sym_generic_function] = STATE(8360),
    [sym_call_expression] = STATE(8360),
    [sym_field_expression] = STATE(8360),
    [sym_instance_expression] = STATE(8360),
    [sym_ascription_expression] = STATE(13229),
    [sym_infix_expression] = STATE(9581),
    [sym_postfix_expression] = STATE(12866),
    [sym__postfix_expression_choice] = STATE(15971),
    [sym_macro_body] = STATE(13229),
    [sym_prefix_expression] = STATE(9582),
    [sym_tuple_expression] = STATE(8360),
    [sym_parenthesized_expression] = STATE(8360),
    [sym_splice_expression] = STATE(8360),
    [sym_quote_expression] = STATE(8360),
    [sym_identifier] = STATE(5263),
    [sym__soft_identifier] = STATE(5563),
    [sym_wildcard] = STATE(7408),
    [sym__non_null_literal] = STATE(8360),
    [sym_boolean_literal] = STATE(8269),
    [sym_interpolated_string_expression] = STATE(8360),
    [sym_string] = STATE(8269),
    [sym_unit] = STATE(8360),
    [sym_return_expression] = STATE(13229),
    [sym_throw_expression] = STATE(13229),
    [sym_while_expression] = STATE(13229),
    [sym_do_while_expression] = STATE(13229),
    [sym_for_expression] = STATE(13229),
    [sym_comment] = STATE(1318),
    [sym_block_comment] = STATE(1318),
    [sym__alpha_identifier] = ACTIONS(1242),
    [anon_sym_LBRACE] = ACTIONS(1246),
    [anon_sym__] = ACTIONS(1248),
    [anon_sym_PLUS] = ACTIONS(1250),
    [anon_sym_DASH] = ACTIONS(1250),
    [anon_sym_end] = ACTIONS(1252),
    [anon_sym_if] = ACTIONS(1654),
    [anon_sym_while] = ACTIONS(1656),
    [anon_sym_for] = ACTIONS(1658),
    [anon_sym_try] = ACTIONS(1660),
    [anon_sym_new] = ACTIONS(1254),
    [anon_sym_opaque] = ACTIONS(1252),
    [anon_sym_implicit] = ACTIONS(1662),
    [anon_sym_inline] = ACTIONS(1256),
    [anon_sym_infix] = ACTIONS(1252),
    [anon_sym_open] = ACTIONS(1252),
    [anon_sym_transparent] = ACTIONS(1252),
    [anon_sym_LPAREN] = ACTIONS(1258),
    [anon_sym_macro] = ACTIONS(1664),
    [anon_sym_BANG] = ACTIONS(1250),
    [anon_sym_TILDE] = ACTIONS(1250),
    [anon_sym_DOLLAR] = ACTIONS(1260),
    [anon_sym_SQUOTE] = ACTIONS(1262),
    [sym__backquoted_id] = ACTIONS(1264),
    [sym_operator_identifier] = ACTIONS(1666),
    [sym_integer_literal] = ACTIONS(1268),
    [sym_floating_point_literal] = ACTIONS(1270),
    [anon_sym_true] = ACTIONS(1272),
    [anon_sym_false] = ACTIONS(1272),
    [sym_character_literal] = ACTIONS(1270),
    [sym_null_literal] = ACTIONS(1274),
    [anon_sym_return] = ACTIONS(1668),
    [anon_sym_throw] = ACTIONS(1670),
    [anon_sym_do] = ACTIONS(1672),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2212),
    [sym__simple_multiline_string] = ACTIONS(1276),
    [sym__simple_string] = ACTIONS(1276),
  },
  [1319] = {
    [sym_inline_modifier] = STATE(2067),
    [sym__indentable_expression] = STATE(13865),
    [sym_block] = STATE(10133),
    [sym_indented_block] = STATE(12292),
    [sym_indented_cases] = STATE(12292),
    [sym_expression] = STATE(13765),
    [sym__simple_expression] = STATE(7525),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15728),
    [sym_case_block] = STATE(10133),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(10133),
    [sym_call_expression] = STATE(10133),
    [sym_field_expression] = STATE(10133),
    [sym_instance_expression] = STATE(10133),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(10489),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(17114),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10321),
    [sym_tuple_expression] = STATE(10133),
    [sym_parenthesized_expression] = STATE(10133),
    [sym_splice_expression] = STATE(10133),
    [sym_quote_expression] = STATE(10133),
    [sym_identifier] = STATE(7070),
    [sym__soft_identifier] = STATE(4482),
    [sym_wildcard] = STATE(9321),
    [sym__non_null_literal] = STATE(10133),
    [sym_boolean_literal] = STATE(7065),
    [sym_interpolated_string_expression] = STATE(10133),
    [sym_string] = STATE(7065),
    [sym_unit] = STATE(10133),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(1319),
    [sym_block_comment] = STATE(1319),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_end] = ACTIONS(2374),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_opaque] = ACTIONS(2374),
    [anon_sym_implicit] = ACTIONS(3002),
    [anon_sym_inline] = ACTIONS(67),
    [anon_sym_infix] = ACTIONS(2374),
    [anon_sym_open] = ACTIONS(2374),
    [anon_sym_transparent] = ACTIONS(2374),
    [anon_sym_LPAREN] = ACTIONS(75),
    [anon_sym_macro] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(83),
    [sym_operator_identifier] = ACTIONS(85),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(95),
    [anon_sym_throw] = ACTIONS(97),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [1320] = {
    [sym_inline_modifier] = STATE(2070),
    [sym__indentable_expression] = STATE(12968),
    [sym_block] = STATE(8360),
    [sym_indented_block] = STATE(13059),
    [sym_indented_cases] = STATE(13059),
    [sym_expression] = STATE(12867),
    [sym__simple_expression] = STATE(5615),
    [sym_lambda_expression] = STATE(13229),
    [sym_if_expression] = STATE(13229),
    [sym_match_expression] = STATE(13229),
    [sym_try_expression] = STATE(13229),
    [sym_bindings] = STATE(15528),
    [sym_case_block] = STATE(8360),
    [sym_assignment_expression] = STATE(13229),
    [sym_generic_function] = STATE(8360),
    [sym_call_expression] = STATE(8360),
    [sym_field_expression] = STATE(8360),
    [sym_instance_expression] = STATE(8360),
    [sym_ascription_expression] = STATE(13229),
    [sym_infix_expression] = STATE(9581),
    [sym_postfix_expression] = STATE(12866),
    [sym__postfix_expression_choice] = STATE(15971),
    [sym_macro_body] = STATE(13229),
    [sym_prefix_expression] = STATE(9582),
    [sym_tuple_expression] = STATE(8360),
    [sym_parenthesized_expression] = STATE(8360),
    [sym_splice_expression] = STATE(8360),
    [sym_quote_expression] = STATE(8360),
    [sym_identifier] = STATE(5263),
    [sym__soft_identifier] = STATE(5563),
    [sym_wildcard] = STATE(7408),
    [sym__non_null_literal] = STATE(8360),
    [sym_boolean_literal] = STATE(8269),
    [sym_interpolated_string_expression] = STATE(8360),
    [sym_string] = STATE(8269),
    [sym_unit] = STATE(8360),
    [sym_return_expression] = STATE(13229),
    [sym_throw_expression] = STATE(13229),
    [sym_while_expression] = STATE(13229),
    [sym_do_while_expression] = STATE(13229),
    [sym_for_expression] = STATE(13229),
    [sym_comment] = STATE(1320),
    [sym_block_comment] = STATE(1320),
    [sym__alpha_identifier] = ACTIONS(1242),
    [anon_sym_LBRACE] = ACTIONS(1246),
    [anon_sym__] = ACTIONS(1248),
    [anon_sym_PLUS] = ACTIONS(1250),
    [anon_sym_DASH] = ACTIONS(1250),
    [anon_sym_end] = ACTIONS(1252),
    [anon_sym_if] = ACTIONS(1654),
    [anon_sym_while] = ACTIONS(1656),
    [anon_sym_for] = ACTIONS(1658),
    [anon_sym_try] = ACTIONS(1660),
    [anon_sym_new] = ACTIONS(1254),
    [anon_sym_opaque] = ACTIONS(1252),
    [anon_sym_implicit] = ACTIONS(1662),
    [anon_sym_inline] = ACTIONS(1256),
    [anon_sym_infix] = ACTIONS(1252),
    [anon_sym_open] = ACTIONS(1252),
    [anon_sym_transparent] = ACTIONS(1252),
    [anon_sym_LPAREN] = ACTIONS(1258),
    [anon_sym_macro] = ACTIONS(1664),
    [anon_sym_BANG] = ACTIONS(1250),
    [anon_sym_TILDE] = ACTIONS(1250),
    [anon_sym_DOLLAR] = ACTIONS(1260),
    [anon_sym_SQUOTE] = ACTIONS(1262),
    [sym__backquoted_id] = ACTIONS(1264),
    [sym_operator_identifier] = ACTIONS(1666),
    [sym_integer_literal] = ACTIONS(1268),
    [sym_floating_point_literal] = ACTIONS(1270),
    [anon_sym_true] = ACTIONS(1272),
    [anon_sym_false] = ACTIONS(1272),
    [sym_character_literal] = ACTIONS(1270),
    [sym_null_literal] = ACTIONS(1274),
    [anon_sym_return] = ACTIONS(1668),
    [anon_sym_throw] = ACTIONS(1670),
    [anon_sym_do] = ACTIONS(1672),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2212),
    [sym__simple_multiline_string] = ACTIONS(1276),
    [sym__simple_string] = ACTIONS(1276),
  },
  [1321] = {
    [sym_inline_modifier] = STATE(2125),
    [sym__indentable_expression] = STATE(12475),
    [sym_block] = STATE(6738),
    [sym_indented_block] = STATE(12372),
    [sym_indented_cases] = STATE(12372),
    [sym_expression] = STATE(12028),
    [sym__simple_expression] = STATE(5176),
    [sym_lambda_expression] = STATE(12430),
    [sym_if_expression] = STATE(12430),
    [sym_match_expression] = STATE(12430),
    [sym_try_expression] = STATE(12430),
    [sym_bindings] = STATE(15677),
    [sym_case_block] = STATE(6738),
    [sym_assignment_expression] = STATE(12430),
    [sym_generic_function] = STATE(6738),
    [sym_call_expression] = STATE(6738),
    [sym_field_expression] = STATE(6738),
    [sym_instance_expression] = STATE(6738),
    [sym_ascription_expression] = STATE(12430),
    [sym_infix_expression] = STATE(8389),
    [sym_postfix_expression] = STATE(11930),
    [sym__postfix_expression_choice] = STATE(15885),
    [sym_macro_body] = STATE(12430),
    [sym_prefix_expression] = STATE(9115),
    [sym_tuple_expression] = STATE(6738),
    [sym_parenthesized_expression] = STATE(6738),
    [sym_splice_expression] = STATE(6738),
    [sym_quote_expression] = STATE(6738),
    [sym_identifier] = STATE(4951),
    [sym__soft_identifier] = STATE(4943),
    [sym_wildcard] = STATE(7114),
    [sym__non_null_literal] = STATE(6738),
    [sym_boolean_literal] = STATE(7301),
    [sym_interpolated_string_expression] = STATE(6738),
    [sym_string] = STATE(7301),
    [sym_unit] = STATE(6738),
    [sym_return_expression] = STATE(12430),
    [sym_throw_expression] = STATE(12430),
    [sym_while_expression] = STATE(12430),
    [sym_do_while_expression] = STATE(12430),
    [sym_for_expression] = STATE(12430),
    [sym_comment] = STATE(1321),
    [sym_block_comment] = STATE(1321),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(1350),
    [anon_sym_while] = ACTIONS(1352),
    [anon_sym_for] = ACTIONS(1354),
    [anon_sym_try] = ACTIONS(1356),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(1358),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1360),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(1362),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(1364),
    [anon_sym_throw] = ACTIONS(1366),
    [anon_sym_do] = ACTIONS(1368),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2202),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [1322] = {
    [sym_inline_modifier] = STATE(2070),
    [sym__indentable_expression] = STATE(12967),
    [sym_block] = STATE(8360),
    [sym_indented_block] = STATE(13059),
    [sym_indented_cases] = STATE(13059),
    [sym_expression] = STATE(12867),
    [sym__simple_expression] = STATE(5615),
    [sym_lambda_expression] = STATE(13229),
    [sym_if_expression] = STATE(13229),
    [sym_match_expression] = STATE(13229),
    [sym_try_expression] = STATE(13229),
    [sym_bindings] = STATE(15528),
    [sym_case_block] = STATE(8360),
    [sym_assignment_expression] = STATE(13229),
    [sym_generic_function] = STATE(8360),
    [sym_call_expression] = STATE(8360),
    [sym_field_expression] = STATE(8360),
    [sym_instance_expression] = STATE(8360),
    [sym_ascription_expression] = STATE(13229),
    [sym_infix_expression] = STATE(9581),
    [sym_postfix_expression] = STATE(12866),
    [sym__postfix_expression_choice] = STATE(15971),
    [sym_macro_body] = STATE(13229),
    [sym_prefix_expression] = STATE(9582),
    [sym_tuple_expression] = STATE(8360),
    [sym_parenthesized_expression] = STATE(8360),
    [sym_splice_expression] = STATE(8360),
    [sym_quote_expression] = STATE(8360),
    [sym_identifier] = STATE(5263),
    [sym__soft_identifier] = STATE(5563),
    [sym_wildcard] = STATE(7408),
    [sym__non_null_literal] = STATE(8360),
    [sym_boolean_literal] = STATE(8269),
    [sym_interpolated_string_expression] = STATE(8360),
    [sym_string] = STATE(8269),
    [sym_unit] = STATE(8360),
    [sym_return_expression] = STATE(13229),
    [sym_throw_expression] = STATE(13229),
    [sym_while_expression] = STATE(13229),
    [sym_do_while_expression] = STATE(13229),
    [sym_for_expression] = STATE(13229),
    [sym_comment] = STATE(1322),
    [sym_block_comment] = STATE(1322),
    [sym__alpha_identifier] = ACTIONS(1242),
    [anon_sym_LBRACE] = ACTIONS(1246),
    [anon_sym__] = ACTIONS(1248),
    [anon_sym_PLUS] = ACTIONS(1250),
    [anon_sym_DASH] = ACTIONS(1250),
    [anon_sym_end] = ACTIONS(1252),
    [anon_sym_if] = ACTIONS(1654),
    [anon_sym_while] = ACTIONS(1656),
    [anon_sym_for] = ACTIONS(1658),
    [anon_sym_try] = ACTIONS(1660),
    [anon_sym_new] = ACTIONS(1254),
    [anon_sym_opaque] = ACTIONS(1252),
    [anon_sym_implicit] = ACTIONS(1662),
    [anon_sym_inline] = ACTIONS(1256),
    [anon_sym_infix] = ACTIONS(1252),
    [anon_sym_open] = ACTIONS(1252),
    [anon_sym_transparent] = ACTIONS(1252),
    [anon_sym_LPAREN] = ACTIONS(1258),
    [anon_sym_macro] = ACTIONS(1664),
    [anon_sym_BANG] = ACTIONS(1250),
    [anon_sym_TILDE] = ACTIONS(1250),
    [anon_sym_DOLLAR] = ACTIONS(1260),
    [anon_sym_SQUOTE] = ACTIONS(1262),
    [sym__backquoted_id] = ACTIONS(1264),
    [sym_operator_identifier] = ACTIONS(1666),
    [sym_integer_literal] = ACTIONS(1268),
    [sym_floating_point_literal] = ACTIONS(1270),
    [anon_sym_true] = ACTIONS(1272),
    [anon_sym_false] = ACTIONS(1272),
    [sym_character_literal] = ACTIONS(1270),
    [sym_null_literal] = ACTIONS(1274),
    [anon_sym_return] = ACTIONS(1668),
    [anon_sym_throw] = ACTIONS(1670),
    [anon_sym_do] = ACTIONS(1672),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2212),
    [sym__simple_multiline_string] = ACTIONS(1276),
    [sym__simple_string] = ACTIONS(1276),
  },
  [1323] = {
    [sym_inline_modifier] = STATE(2195),
    [sym__indentable_expression] = STATE(13032),
    [sym_block] = STATE(7443),
    [sym_indented_block] = STATE(12679),
    [sym_indented_cases] = STATE(12679),
    [sym_expression] = STATE(12305),
    [sym__simple_expression] = STATE(5261),
    [sym_lambda_expression] = STATE(12692),
    [sym_if_expression] = STATE(12692),
    [sym_match_expression] = STATE(12692),
    [sym_try_expression] = STATE(12692),
    [sym_bindings] = STATE(15526),
    [sym_case_block] = STATE(7443),
    [sym_assignment_expression] = STATE(12692),
    [sym_generic_function] = STATE(7443),
    [sym_call_expression] = STATE(7443),
    [sym_field_expression] = STATE(7443),
    [sym_instance_expression] = STATE(7443),
    [sym_ascription_expression] = STATE(12692),
    [sym_infix_expression] = STATE(8993),
    [sym_postfix_expression] = STATE(12386),
    [sym__postfix_expression_choice] = STATE(16150),
    [sym_macro_body] = STATE(12692),
    [sym_prefix_expression] = STATE(8984),
    [sym_tuple_expression] = STATE(7443),
    [sym_parenthesized_expression] = STATE(7443),
    [sym_splice_expression] = STATE(7443),
    [sym_quote_expression] = STATE(7443),
    [sym_identifier] = STATE(4861),
    [sym__soft_identifier] = STATE(5213),
    [sym_wildcard] = STATE(7324),
    [sym__non_null_literal] = STATE(7443),
    [sym_boolean_literal] = STATE(7707),
    [sym_interpolated_string_expression] = STATE(7443),
    [sym_string] = STATE(7707),
    [sym_unit] = STATE(7443),
    [sym_return_expression] = STATE(12692),
    [sym_throw_expression] = STATE(12692),
    [sym_while_expression] = STATE(12692),
    [sym_do_while_expression] = STATE(12692),
    [sym_for_expression] = STATE(12692),
    [sym_comment] = STATE(1323),
    [sym_block_comment] = STATE(1323),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(1186),
    [anon_sym_while] = ACTIONS(1188),
    [anon_sym_for] = ACTIONS(1190),
    [anon_sym_try] = ACTIONS(1192),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(1194),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1196),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(1198),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(1200),
    [anon_sym_throw] = ACTIONS(1202),
    [anon_sym_do] = ACTIONS(1204),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2294),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [1324] = {
    [sym_inline_modifier] = STATE(2195),
    [sym__indentable_expression] = STATE(12670),
    [sym_block] = STATE(7443),
    [sym_indented_block] = STATE(12679),
    [sym_indented_cases] = STATE(12679),
    [sym_expression] = STATE(12305),
    [sym__simple_expression] = STATE(5261),
    [sym_lambda_expression] = STATE(12692),
    [sym_if_expression] = STATE(12692),
    [sym_match_expression] = STATE(12692),
    [sym_try_expression] = STATE(12692),
    [sym_bindings] = STATE(15526),
    [sym_case_block] = STATE(7443),
    [sym_assignment_expression] = STATE(12692),
    [sym_generic_function] = STATE(7443),
    [sym_call_expression] = STATE(7443),
    [sym_field_expression] = STATE(7443),
    [sym_instance_expression] = STATE(7443),
    [sym_ascription_expression] = STATE(12692),
    [sym_infix_expression] = STATE(8993),
    [sym_postfix_expression] = STATE(12386),
    [sym__postfix_expression_choice] = STATE(16150),
    [sym_macro_body] = STATE(12692),
    [sym_prefix_expression] = STATE(8984),
    [sym_tuple_expression] = STATE(7443),
    [sym_parenthesized_expression] = STATE(7443),
    [sym_splice_expression] = STATE(7443),
    [sym_quote_expression] = STATE(7443),
    [sym_identifier] = STATE(4861),
    [sym__soft_identifier] = STATE(5213),
    [sym_wildcard] = STATE(7324),
    [sym__non_null_literal] = STATE(7443),
    [sym_boolean_literal] = STATE(7707),
    [sym_interpolated_string_expression] = STATE(7443),
    [sym_string] = STATE(7707),
    [sym_unit] = STATE(7443),
    [sym_return_expression] = STATE(12692),
    [sym_throw_expression] = STATE(12692),
    [sym_while_expression] = STATE(12692),
    [sym_do_while_expression] = STATE(12692),
    [sym_for_expression] = STATE(12692),
    [sym_comment] = STATE(1324),
    [sym_block_comment] = STATE(1324),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(1186),
    [anon_sym_while] = ACTIONS(1188),
    [anon_sym_for] = ACTIONS(1190),
    [anon_sym_try] = ACTIONS(1192),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(1194),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1196),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(1198),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(1200),
    [anon_sym_throw] = ACTIONS(1202),
    [anon_sym_do] = ACTIONS(1204),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2294),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [1325] = {
    [sym_inline_modifier] = STATE(2070),
    [sym__indentable_expression] = STATE(12978),
    [sym_block] = STATE(8360),
    [sym_indented_block] = STATE(13059),
    [sym_indented_cases] = STATE(13059),
    [sym_expression] = STATE(12867),
    [sym__simple_expression] = STATE(5615),
    [sym_lambda_expression] = STATE(13229),
    [sym_if_expression] = STATE(13229),
    [sym_match_expression] = STATE(13229),
    [sym_try_expression] = STATE(13229),
    [sym_bindings] = STATE(15528),
    [sym_case_block] = STATE(8360),
    [sym_assignment_expression] = STATE(13229),
    [sym_generic_function] = STATE(8360),
    [sym_call_expression] = STATE(8360),
    [sym_field_expression] = STATE(8360),
    [sym_instance_expression] = STATE(8360),
    [sym_ascription_expression] = STATE(13229),
    [sym_infix_expression] = STATE(9581),
    [sym_postfix_expression] = STATE(12866),
    [sym__postfix_expression_choice] = STATE(15971),
    [sym_macro_body] = STATE(13229),
    [sym_prefix_expression] = STATE(9582),
    [sym_tuple_expression] = STATE(8360),
    [sym_parenthesized_expression] = STATE(8360),
    [sym_splice_expression] = STATE(8360),
    [sym_quote_expression] = STATE(8360),
    [sym_identifier] = STATE(5263),
    [sym__soft_identifier] = STATE(5563),
    [sym_wildcard] = STATE(7408),
    [sym__non_null_literal] = STATE(8360),
    [sym_boolean_literal] = STATE(8269),
    [sym_interpolated_string_expression] = STATE(8360),
    [sym_string] = STATE(8269),
    [sym_unit] = STATE(8360),
    [sym_return_expression] = STATE(13229),
    [sym_throw_expression] = STATE(13229),
    [sym_while_expression] = STATE(13229),
    [sym_do_while_expression] = STATE(13229),
    [sym_for_expression] = STATE(13229),
    [sym_comment] = STATE(1325),
    [sym_block_comment] = STATE(1325),
    [sym__alpha_identifier] = ACTIONS(1242),
    [anon_sym_LBRACE] = ACTIONS(1246),
    [anon_sym__] = ACTIONS(1248),
    [anon_sym_PLUS] = ACTIONS(1250),
    [anon_sym_DASH] = ACTIONS(1250),
    [anon_sym_end] = ACTIONS(1252),
    [anon_sym_if] = ACTIONS(1654),
    [anon_sym_while] = ACTIONS(1656),
    [anon_sym_for] = ACTIONS(1658),
    [anon_sym_try] = ACTIONS(1660),
    [anon_sym_new] = ACTIONS(1254),
    [anon_sym_opaque] = ACTIONS(1252),
    [anon_sym_implicit] = ACTIONS(1662),
    [anon_sym_inline] = ACTIONS(1256),
    [anon_sym_infix] = ACTIONS(1252),
    [anon_sym_open] = ACTIONS(1252),
    [anon_sym_transparent] = ACTIONS(1252),
    [anon_sym_LPAREN] = ACTIONS(1258),
    [anon_sym_macro] = ACTIONS(1664),
    [anon_sym_BANG] = ACTIONS(1250),
    [anon_sym_TILDE] = ACTIONS(1250),
    [anon_sym_DOLLAR] = ACTIONS(1260),
    [anon_sym_SQUOTE] = ACTIONS(1262),
    [sym__backquoted_id] = ACTIONS(1264),
    [sym_operator_identifier] = ACTIONS(1666),
    [sym_integer_literal] = ACTIONS(1268),
    [sym_floating_point_literal] = ACTIONS(1270),
    [anon_sym_true] = ACTIONS(1272),
    [anon_sym_false] = ACTIONS(1272),
    [sym_character_literal] = ACTIONS(1270),
    [sym_null_literal] = ACTIONS(1274),
    [anon_sym_return] = ACTIONS(1668),
    [anon_sym_throw] = ACTIONS(1670),
    [anon_sym_do] = ACTIONS(1672),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2212),
    [sym__simple_multiline_string] = ACTIONS(1276),
    [sym__simple_string] = ACTIONS(1276),
  },
  [1326] = {
    [sym_inline_modifier] = STATE(2148),
    [sym__indentable_expression] = STATE(13402),
    [sym_block] = STATE(9088),
    [sym_indented_block] = STATE(13438),
    [sym_indented_cases] = STATE(13438),
    [sym_expression] = STATE(12942),
    [sym__simple_expression] = STATE(8626),
    [sym_lambda_expression] = STATE(13338),
    [sym_if_expression] = STATE(13338),
    [sym_match_expression] = STATE(13338),
    [sym_try_expression] = STATE(13338),
    [sym_bindings] = STATE(15683),
    [sym_case_block] = STATE(9088),
    [sym_assignment_expression] = STATE(13338),
    [sym_generic_function] = STATE(9088),
    [sym_call_expression] = STATE(9088),
    [sym_field_expression] = STATE(9088),
    [sym_instance_expression] = STATE(9088),
    [sym_ascription_expression] = STATE(13338),
    [sym_infix_expression] = STATE(9773),
    [sym_postfix_expression] = STATE(13117),
    [sym__postfix_expression_choice] = STATE(15912),
    [sym_macro_body] = STATE(13338),
    [sym_prefix_expression] = STATE(10372),
    [sym_tuple_expression] = STATE(9088),
    [sym_parenthesized_expression] = STATE(9088),
    [sym_splice_expression] = STATE(9088),
    [sym_quote_expression] = STATE(9088),
    [sym_identifier] = STATE(7467),
    [sym__soft_identifier] = STATE(6581),
    [sym_wildcard] = STATE(9755),
    [sym__non_null_literal] = STATE(9088),
    [sym_boolean_literal] = STATE(8905),
    [sym_interpolated_string_expression] = STATE(9088),
    [sym_string] = STATE(8905),
    [sym_unit] = STATE(9088),
    [sym_return_expression] = STATE(13338),
    [sym_throw_expression] = STATE(13338),
    [sym_while_expression] = STATE(13338),
    [sym_do_while_expression] = STATE(13338),
    [sym_for_expression] = STATE(13338),
    [sym_comment] = STATE(1326),
    [sym_block_comment] = STATE(1326),
    [sym__alpha_identifier] = ACTIONS(1938),
    [anon_sym_LBRACE] = ACTIONS(1942),
    [anon_sym__] = ACTIONS(1944),
    [anon_sym_PLUS] = ACTIONS(1946),
    [anon_sym_DASH] = ACTIONS(1946),
    [anon_sym_end] = ACTIONS(1948),
    [anon_sym_if] = ACTIONS(2450),
    [anon_sym_while] = ACTIONS(2452),
    [anon_sym_for] = ACTIONS(2454),
    [anon_sym_try] = ACTIONS(2456),
    [anon_sym_new] = ACTIONS(1950),
    [anon_sym_opaque] = ACTIONS(1948),
    [anon_sym_implicit] = ACTIONS(2458),
    [anon_sym_inline] = ACTIONS(1952),
    [anon_sym_infix] = ACTIONS(1948),
    [anon_sym_open] = ACTIONS(1948),
    [anon_sym_transparent] = ACTIONS(1948),
    [anon_sym_LPAREN] = ACTIONS(1954),
    [anon_sym_macro] = ACTIONS(2270),
    [anon_sym_BANG] = ACTIONS(1946),
    [anon_sym_TILDE] = ACTIONS(1946),
    [anon_sym_DOLLAR] = ACTIONS(1956),
    [anon_sym_SQUOTE] = ACTIONS(1958),
    [sym__backquoted_id] = ACTIONS(1960),
    [sym_operator_identifier] = ACTIONS(2460),
    [sym_integer_literal] = ACTIONS(1964),
    [sym_floating_point_literal] = ACTIONS(1966),
    [anon_sym_true] = ACTIONS(1968),
    [anon_sym_false] = ACTIONS(1968),
    [sym_character_literal] = ACTIONS(1966),
    [sym_null_literal] = ACTIONS(1970),
    [anon_sym_return] = ACTIONS(2462),
    [anon_sym_throw] = ACTIONS(2464),
    [anon_sym_do] = ACTIONS(2278),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2346),
    [sym__simple_multiline_string] = ACTIONS(1972),
    [sym__simple_string] = ACTIONS(1972),
  },
  [1327] = {
    [sym_inline_modifier] = STATE(2070),
    [sym__indentable_expression] = STATE(13227),
    [sym_block] = STATE(8360),
    [sym_indented_block] = STATE(13059),
    [sym_indented_cases] = STATE(13059),
    [sym_expression] = STATE(12867),
    [sym__simple_expression] = STATE(5615),
    [sym_lambda_expression] = STATE(13229),
    [sym_if_expression] = STATE(13229),
    [sym_match_expression] = STATE(13229),
    [sym_try_expression] = STATE(13229),
    [sym_bindings] = STATE(15528),
    [sym_case_block] = STATE(8360),
    [sym_assignment_expression] = STATE(13229),
    [sym_generic_function] = STATE(8360),
    [sym_call_expression] = STATE(8360),
    [sym_field_expression] = STATE(8360),
    [sym_instance_expression] = STATE(8360),
    [sym_ascription_expression] = STATE(13229),
    [sym_infix_expression] = STATE(9581),
    [sym_postfix_expression] = STATE(12866),
    [sym__postfix_expression_choice] = STATE(15971),
    [sym_macro_body] = STATE(13229),
    [sym_prefix_expression] = STATE(9582),
    [sym_tuple_expression] = STATE(8360),
    [sym_parenthesized_expression] = STATE(8360),
    [sym_splice_expression] = STATE(8360),
    [sym_quote_expression] = STATE(8360),
    [sym_identifier] = STATE(5263),
    [sym__soft_identifier] = STATE(5563),
    [sym_wildcard] = STATE(7408),
    [sym__non_null_literal] = STATE(8360),
    [sym_boolean_literal] = STATE(8269),
    [sym_interpolated_string_expression] = STATE(8360),
    [sym_string] = STATE(8269),
    [sym_unit] = STATE(8360),
    [sym_return_expression] = STATE(13229),
    [sym_throw_expression] = STATE(13229),
    [sym_while_expression] = STATE(13229),
    [sym_do_while_expression] = STATE(13229),
    [sym_for_expression] = STATE(13229),
    [sym_comment] = STATE(1327),
    [sym_block_comment] = STATE(1327),
    [sym__alpha_identifier] = ACTIONS(1242),
    [anon_sym_LBRACE] = ACTIONS(1246),
    [anon_sym__] = ACTIONS(1248),
    [anon_sym_PLUS] = ACTIONS(1250),
    [anon_sym_DASH] = ACTIONS(1250),
    [anon_sym_end] = ACTIONS(1252),
    [anon_sym_if] = ACTIONS(1654),
    [anon_sym_while] = ACTIONS(1656),
    [anon_sym_for] = ACTIONS(1658),
    [anon_sym_try] = ACTIONS(1660),
    [anon_sym_new] = ACTIONS(1254),
    [anon_sym_opaque] = ACTIONS(1252),
    [anon_sym_implicit] = ACTIONS(1662),
    [anon_sym_inline] = ACTIONS(1256),
    [anon_sym_infix] = ACTIONS(1252),
    [anon_sym_open] = ACTIONS(1252),
    [anon_sym_transparent] = ACTIONS(1252),
    [anon_sym_LPAREN] = ACTIONS(1258),
    [anon_sym_macro] = ACTIONS(1664),
    [anon_sym_BANG] = ACTIONS(1250),
    [anon_sym_TILDE] = ACTIONS(1250),
    [anon_sym_DOLLAR] = ACTIONS(1260),
    [anon_sym_SQUOTE] = ACTIONS(1262),
    [sym__backquoted_id] = ACTIONS(1264),
    [sym_operator_identifier] = ACTIONS(1666),
    [sym_integer_literal] = ACTIONS(1268),
    [sym_floating_point_literal] = ACTIONS(1270),
    [anon_sym_true] = ACTIONS(1272),
    [anon_sym_false] = ACTIONS(1272),
    [sym_character_literal] = ACTIONS(1270),
    [sym_null_literal] = ACTIONS(1274),
    [anon_sym_return] = ACTIONS(1668),
    [anon_sym_throw] = ACTIONS(1670),
    [anon_sym_do] = ACTIONS(1672),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2212),
    [sym__simple_multiline_string] = ACTIONS(1276),
    [sym__simple_string] = ACTIONS(1276),
  },
  [1328] = {
    [sym_inline_modifier] = STATE(2132),
    [sym__indentable_expression] = STATE(12981),
    [sym_block] = STATE(6738),
    [sym_indented_block] = STATE(12372),
    [sym_indented_cases] = STATE(12372),
    [sym_expression] = STATE(12028),
    [sym__simple_expression] = STATE(6097),
    [sym_lambda_expression] = STATE(12430),
    [sym_if_expression] = STATE(12430),
    [sym_match_expression] = STATE(12430),
    [sym_try_expression] = STATE(12430),
    [sym_bindings] = STATE(15718),
    [sym_case_block] = STATE(6738),
    [sym_assignment_expression] = STATE(12430),
    [sym_generic_function] = STATE(6738),
    [sym_call_expression] = STATE(6738),
    [sym_field_expression] = STATE(6738),
    [sym_instance_expression] = STATE(6738),
    [sym_ascription_expression] = STATE(12430),
    [sym_infix_expression] = STATE(8389),
    [sym_postfix_expression] = STATE(11930),
    [sym__postfix_expression_choice] = STATE(15885),
    [sym_macro_body] = STATE(12430),
    [sym_prefix_expression] = STATE(9761),
    [sym_tuple_expression] = STATE(6738),
    [sym_parenthesized_expression] = STATE(6738),
    [sym_splice_expression] = STATE(6738),
    [sym_quote_expression] = STATE(6738),
    [sym_identifier] = STATE(5458),
    [sym__soft_identifier] = STATE(4943),
    [sym_wildcard] = STATE(8612),
    [sym__non_null_literal] = STATE(6738),
    [sym_boolean_literal] = STATE(7301),
    [sym_interpolated_string_expression] = STATE(6738),
    [sym_string] = STATE(7301),
    [sym_unit] = STATE(6738),
    [sym_return_expression] = STATE(12430),
    [sym_throw_expression] = STATE(12430),
    [sym_while_expression] = STATE(12430),
    [sym_do_while_expression] = STATE(12430),
    [sym_for_expression] = STATE(12430),
    [sym_comment] = STATE(1328),
    [sym_block_comment] = STATE(1328),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(2430),
    [anon_sym_while] = ACTIONS(2432),
    [anon_sym_for] = ACTIONS(2434),
    [anon_sym_try] = ACTIONS(2436),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(2438),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1360),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(2440),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(2442),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(1368),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2202),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [1329] = {
    [sym_inline_modifier] = STATE(2070),
    [sym__indentable_expression] = STATE(13231),
    [sym_block] = STATE(8360),
    [sym_indented_block] = STATE(13059),
    [sym_indented_cases] = STATE(13059),
    [sym_expression] = STATE(12867),
    [sym__simple_expression] = STATE(5615),
    [sym_lambda_expression] = STATE(13229),
    [sym_if_expression] = STATE(13229),
    [sym_match_expression] = STATE(13229),
    [sym_try_expression] = STATE(13229),
    [sym_bindings] = STATE(15528),
    [sym_case_block] = STATE(8360),
    [sym_assignment_expression] = STATE(13229),
    [sym_generic_function] = STATE(8360),
    [sym_call_expression] = STATE(8360),
    [sym_field_expression] = STATE(8360),
    [sym_instance_expression] = STATE(8360),
    [sym_ascription_expression] = STATE(13229),
    [sym_infix_expression] = STATE(9581),
    [sym_postfix_expression] = STATE(12866),
    [sym__postfix_expression_choice] = STATE(15971),
    [sym_macro_body] = STATE(13229),
    [sym_prefix_expression] = STATE(9582),
    [sym_tuple_expression] = STATE(8360),
    [sym_parenthesized_expression] = STATE(8360),
    [sym_splice_expression] = STATE(8360),
    [sym_quote_expression] = STATE(8360),
    [sym_identifier] = STATE(5263),
    [sym__soft_identifier] = STATE(5563),
    [sym_wildcard] = STATE(7408),
    [sym__non_null_literal] = STATE(8360),
    [sym_boolean_literal] = STATE(8269),
    [sym_interpolated_string_expression] = STATE(8360),
    [sym_string] = STATE(8269),
    [sym_unit] = STATE(8360),
    [sym_return_expression] = STATE(13229),
    [sym_throw_expression] = STATE(13229),
    [sym_while_expression] = STATE(13229),
    [sym_do_while_expression] = STATE(13229),
    [sym_for_expression] = STATE(13229),
    [sym_comment] = STATE(1329),
    [sym_block_comment] = STATE(1329),
    [sym__alpha_identifier] = ACTIONS(1242),
    [anon_sym_LBRACE] = ACTIONS(1246),
    [anon_sym__] = ACTIONS(1248),
    [anon_sym_PLUS] = ACTIONS(1250),
    [anon_sym_DASH] = ACTIONS(1250),
    [anon_sym_end] = ACTIONS(1252),
    [anon_sym_if] = ACTIONS(1654),
    [anon_sym_while] = ACTIONS(1656),
    [anon_sym_for] = ACTIONS(1658),
    [anon_sym_try] = ACTIONS(1660),
    [anon_sym_new] = ACTIONS(1254),
    [anon_sym_opaque] = ACTIONS(1252),
    [anon_sym_implicit] = ACTIONS(1662),
    [anon_sym_inline] = ACTIONS(1256),
    [anon_sym_infix] = ACTIONS(1252),
    [anon_sym_open] = ACTIONS(1252),
    [anon_sym_transparent] = ACTIONS(1252),
    [anon_sym_LPAREN] = ACTIONS(1258),
    [anon_sym_macro] = ACTIONS(1664),
    [anon_sym_BANG] = ACTIONS(1250),
    [anon_sym_TILDE] = ACTIONS(1250),
    [anon_sym_DOLLAR] = ACTIONS(1260),
    [anon_sym_SQUOTE] = ACTIONS(1262),
    [sym__backquoted_id] = ACTIONS(1264),
    [sym_operator_identifier] = ACTIONS(1666),
    [sym_integer_literal] = ACTIONS(1268),
    [sym_floating_point_literal] = ACTIONS(1270),
    [anon_sym_true] = ACTIONS(1272),
    [anon_sym_false] = ACTIONS(1272),
    [sym_character_literal] = ACTIONS(1270),
    [sym_null_literal] = ACTIONS(1274),
    [anon_sym_return] = ACTIONS(1668),
    [anon_sym_throw] = ACTIONS(1670),
    [anon_sym_do] = ACTIONS(1672),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2212),
    [sym__simple_multiline_string] = ACTIONS(1276),
    [sym__simple_string] = ACTIONS(1276),
  },
  [1330] = {
    [sym_inline_modifier] = STATE(2125),
    [sym__indentable_expression] = STATE(12478),
    [sym_block] = STATE(6738),
    [sym_indented_block] = STATE(12372),
    [sym_indented_cases] = STATE(12372),
    [sym_expression] = STATE(12028),
    [sym__simple_expression] = STATE(5176),
    [sym_lambda_expression] = STATE(12430),
    [sym_if_expression] = STATE(12430),
    [sym_match_expression] = STATE(12430),
    [sym_try_expression] = STATE(12430),
    [sym_bindings] = STATE(15677),
    [sym_case_block] = STATE(6738),
    [sym_assignment_expression] = STATE(12430),
    [sym_generic_function] = STATE(6738),
    [sym_call_expression] = STATE(6738),
    [sym_field_expression] = STATE(6738),
    [sym_instance_expression] = STATE(6738),
    [sym_ascription_expression] = STATE(12430),
    [sym_infix_expression] = STATE(8389),
    [sym_postfix_expression] = STATE(11930),
    [sym__postfix_expression_choice] = STATE(15885),
    [sym_macro_body] = STATE(12430),
    [sym_prefix_expression] = STATE(9115),
    [sym_tuple_expression] = STATE(6738),
    [sym_parenthesized_expression] = STATE(6738),
    [sym_splice_expression] = STATE(6738),
    [sym_quote_expression] = STATE(6738),
    [sym_identifier] = STATE(4951),
    [sym__soft_identifier] = STATE(4943),
    [sym_wildcard] = STATE(7114),
    [sym__non_null_literal] = STATE(6738),
    [sym_boolean_literal] = STATE(7301),
    [sym_interpolated_string_expression] = STATE(6738),
    [sym_string] = STATE(7301),
    [sym_unit] = STATE(6738),
    [sym_return_expression] = STATE(12430),
    [sym_throw_expression] = STATE(12430),
    [sym_while_expression] = STATE(12430),
    [sym_do_while_expression] = STATE(12430),
    [sym_for_expression] = STATE(12430),
    [sym_comment] = STATE(1330),
    [sym_block_comment] = STATE(1330),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(1350),
    [anon_sym_while] = ACTIONS(1352),
    [anon_sym_for] = ACTIONS(1354),
    [anon_sym_try] = ACTIONS(1356),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(1358),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1360),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(1362),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(1364),
    [anon_sym_throw] = ACTIONS(1366),
    [anon_sym_do] = ACTIONS(1368),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2202),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [1331] = {
    [sym_inline_modifier] = STATE(2070),
    [sym__indentable_expression] = STATE(13168),
    [sym_block] = STATE(8360),
    [sym_indented_block] = STATE(13059),
    [sym_indented_cases] = STATE(13059),
    [sym_expression] = STATE(12867),
    [sym__simple_expression] = STATE(5615),
    [sym_lambda_expression] = STATE(13229),
    [sym_if_expression] = STATE(13229),
    [sym_match_expression] = STATE(13229),
    [sym_try_expression] = STATE(13229),
    [sym_bindings] = STATE(15528),
    [sym_case_block] = STATE(8360),
    [sym_assignment_expression] = STATE(13229),
    [sym_generic_function] = STATE(8360),
    [sym_call_expression] = STATE(8360),
    [sym_field_expression] = STATE(8360),
    [sym_instance_expression] = STATE(8360),
    [sym_ascription_expression] = STATE(13229),
    [sym_infix_expression] = STATE(9581),
    [sym_postfix_expression] = STATE(12866),
    [sym__postfix_expression_choice] = STATE(15971),
    [sym_macro_body] = STATE(13229),
    [sym_prefix_expression] = STATE(9582),
    [sym_tuple_expression] = STATE(8360),
    [sym_parenthesized_expression] = STATE(8360),
    [sym_splice_expression] = STATE(8360),
    [sym_quote_expression] = STATE(8360),
    [sym_identifier] = STATE(5263),
    [sym__soft_identifier] = STATE(5563),
    [sym_wildcard] = STATE(7408),
    [sym__non_null_literal] = STATE(8360),
    [sym_boolean_literal] = STATE(8269),
    [sym_interpolated_string_expression] = STATE(8360),
    [sym_string] = STATE(8269),
    [sym_unit] = STATE(8360),
    [sym_return_expression] = STATE(13229),
    [sym_throw_expression] = STATE(13229),
    [sym_while_expression] = STATE(13229),
    [sym_do_while_expression] = STATE(13229),
    [sym_for_expression] = STATE(13229),
    [sym_comment] = STATE(1331),
    [sym_block_comment] = STATE(1331),
    [sym__alpha_identifier] = ACTIONS(1242),
    [anon_sym_LBRACE] = ACTIONS(1246),
    [anon_sym__] = ACTIONS(1248),
    [anon_sym_PLUS] = ACTIONS(1250),
    [anon_sym_DASH] = ACTIONS(1250),
    [anon_sym_end] = ACTIONS(1252),
    [anon_sym_if] = ACTIONS(1654),
    [anon_sym_while] = ACTIONS(1656),
    [anon_sym_for] = ACTIONS(1658),
    [anon_sym_try] = ACTIONS(1660),
    [anon_sym_new] = ACTIONS(1254),
    [anon_sym_opaque] = ACTIONS(1252),
    [anon_sym_implicit] = ACTIONS(1662),
    [anon_sym_inline] = ACTIONS(1256),
    [anon_sym_infix] = ACTIONS(1252),
    [anon_sym_open] = ACTIONS(1252),
    [anon_sym_transparent] = ACTIONS(1252),
    [anon_sym_LPAREN] = ACTIONS(1258),
    [anon_sym_macro] = ACTIONS(1664),
    [anon_sym_BANG] = ACTIONS(1250),
    [anon_sym_TILDE] = ACTIONS(1250),
    [anon_sym_DOLLAR] = ACTIONS(1260),
    [anon_sym_SQUOTE] = ACTIONS(1262),
    [sym__backquoted_id] = ACTIONS(1264),
    [sym_operator_identifier] = ACTIONS(1666),
    [sym_integer_literal] = ACTIONS(1268),
    [sym_floating_point_literal] = ACTIONS(1270),
    [anon_sym_true] = ACTIONS(1272),
    [anon_sym_false] = ACTIONS(1272),
    [sym_character_literal] = ACTIONS(1270),
    [sym_null_literal] = ACTIONS(1274),
    [anon_sym_return] = ACTIONS(1668),
    [anon_sym_throw] = ACTIONS(1670),
    [anon_sym_do] = ACTIONS(1672),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2212),
    [sym__simple_multiline_string] = ACTIONS(1276),
    [sym__simple_string] = ACTIONS(1276),
  },
  [1332] = {
    [sym_inline_modifier] = STATE(2067),
    [sym__indentable_expression] = STATE(13840),
    [sym_block] = STATE(10133),
    [sym_indented_block] = STATE(12292),
    [sym_indented_cases] = STATE(12292),
    [sym_expression] = STATE(13765),
    [sym__simple_expression] = STATE(7525),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15728),
    [sym_case_block] = STATE(10133),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(10133),
    [sym_call_expression] = STATE(10133),
    [sym_field_expression] = STATE(10133),
    [sym_instance_expression] = STATE(10133),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(10489),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(17114),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10321),
    [sym_tuple_expression] = STATE(10133),
    [sym_parenthesized_expression] = STATE(10133),
    [sym_splice_expression] = STATE(10133),
    [sym_quote_expression] = STATE(10133),
    [sym_identifier] = STATE(7070),
    [sym__soft_identifier] = STATE(4482),
    [sym_wildcard] = STATE(9321),
    [sym__non_null_literal] = STATE(10133),
    [sym_boolean_literal] = STATE(7065),
    [sym_interpolated_string_expression] = STATE(10133),
    [sym_string] = STATE(7065),
    [sym_unit] = STATE(10133),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(1332),
    [sym_block_comment] = STATE(1332),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_end] = ACTIONS(2374),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_opaque] = ACTIONS(2374),
    [anon_sym_implicit] = ACTIONS(3002),
    [anon_sym_inline] = ACTIONS(67),
    [anon_sym_infix] = ACTIONS(2374),
    [anon_sym_open] = ACTIONS(2374),
    [anon_sym_transparent] = ACTIONS(2374),
    [anon_sym_LPAREN] = ACTIONS(75),
    [anon_sym_macro] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(83),
    [sym_operator_identifier] = ACTIONS(85),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(95),
    [anon_sym_throw] = ACTIONS(97),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [1333] = {
    [sym_inline_modifier] = STATE(2070),
    [sym__indentable_expression] = STATE(13162),
    [sym_block] = STATE(8360),
    [sym_indented_block] = STATE(13059),
    [sym_indented_cases] = STATE(13059),
    [sym_expression] = STATE(12867),
    [sym__simple_expression] = STATE(5615),
    [sym_lambda_expression] = STATE(13229),
    [sym_if_expression] = STATE(13229),
    [sym_match_expression] = STATE(13229),
    [sym_try_expression] = STATE(13229),
    [sym_bindings] = STATE(15528),
    [sym_case_block] = STATE(8360),
    [sym_assignment_expression] = STATE(13229),
    [sym_generic_function] = STATE(8360),
    [sym_call_expression] = STATE(8360),
    [sym_field_expression] = STATE(8360),
    [sym_instance_expression] = STATE(8360),
    [sym_ascription_expression] = STATE(13229),
    [sym_infix_expression] = STATE(9581),
    [sym_postfix_expression] = STATE(12866),
    [sym__postfix_expression_choice] = STATE(15971),
    [sym_macro_body] = STATE(13229),
    [sym_prefix_expression] = STATE(9582),
    [sym_tuple_expression] = STATE(8360),
    [sym_parenthesized_expression] = STATE(8360),
    [sym_splice_expression] = STATE(8360),
    [sym_quote_expression] = STATE(8360),
    [sym_identifier] = STATE(5263),
    [sym__soft_identifier] = STATE(5563),
    [sym_wildcard] = STATE(7408),
    [sym__non_null_literal] = STATE(8360),
    [sym_boolean_literal] = STATE(8269),
    [sym_interpolated_string_expression] = STATE(8360),
    [sym_string] = STATE(8269),
    [sym_unit] = STATE(8360),
    [sym_return_expression] = STATE(13229),
    [sym_throw_expression] = STATE(13229),
    [sym_while_expression] = STATE(13229),
    [sym_do_while_expression] = STATE(13229),
    [sym_for_expression] = STATE(13229),
    [sym_comment] = STATE(1333),
    [sym_block_comment] = STATE(1333),
    [sym__alpha_identifier] = ACTIONS(1242),
    [anon_sym_LBRACE] = ACTIONS(1246),
    [anon_sym__] = ACTIONS(1248),
    [anon_sym_PLUS] = ACTIONS(1250),
    [anon_sym_DASH] = ACTIONS(1250),
    [anon_sym_end] = ACTIONS(1252),
    [anon_sym_if] = ACTIONS(1654),
    [anon_sym_while] = ACTIONS(1656),
    [anon_sym_for] = ACTIONS(1658),
    [anon_sym_try] = ACTIONS(1660),
    [anon_sym_new] = ACTIONS(1254),
    [anon_sym_opaque] = ACTIONS(1252),
    [anon_sym_implicit] = ACTIONS(1662),
    [anon_sym_inline] = ACTIONS(1256),
    [anon_sym_infix] = ACTIONS(1252),
    [anon_sym_open] = ACTIONS(1252),
    [anon_sym_transparent] = ACTIONS(1252),
    [anon_sym_LPAREN] = ACTIONS(1258),
    [anon_sym_macro] = ACTIONS(1664),
    [anon_sym_BANG] = ACTIONS(1250),
    [anon_sym_TILDE] = ACTIONS(1250),
    [anon_sym_DOLLAR] = ACTIONS(1260),
    [anon_sym_SQUOTE] = ACTIONS(1262),
    [sym__backquoted_id] = ACTIONS(1264),
    [sym_operator_identifier] = ACTIONS(1666),
    [sym_integer_literal] = ACTIONS(1268),
    [sym_floating_point_literal] = ACTIONS(1270),
    [anon_sym_true] = ACTIONS(1272),
    [anon_sym_false] = ACTIONS(1272),
    [sym_character_literal] = ACTIONS(1270),
    [sym_null_literal] = ACTIONS(1274),
    [anon_sym_return] = ACTIONS(1668),
    [anon_sym_throw] = ACTIONS(1670),
    [anon_sym_do] = ACTIONS(1672),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2212),
    [sym__simple_multiline_string] = ACTIONS(1276),
    [sym__simple_string] = ACTIONS(1276),
  },
  [1334] = {
    [sym_inline_modifier] = STATE(2195),
    [sym__indentable_expression] = STATE(12667),
    [sym_block] = STATE(7443),
    [sym_indented_block] = STATE(12679),
    [sym_indented_cases] = STATE(12679),
    [sym_expression] = STATE(12305),
    [sym__simple_expression] = STATE(5261),
    [sym_lambda_expression] = STATE(12692),
    [sym_if_expression] = STATE(12692),
    [sym_match_expression] = STATE(12692),
    [sym_try_expression] = STATE(12692),
    [sym_bindings] = STATE(15526),
    [sym_case_block] = STATE(7443),
    [sym_assignment_expression] = STATE(12692),
    [sym_generic_function] = STATE(7443),
    [sym_call_expression] = STATE(7443),
    [sym_field_expression] = STATE(7443),
    [sym_instance_expression] = STATE(7443),
    [sym_ascription_expression] = STATE(12692),
    [sym_infix_expression] = STATE(8993),
    [sym_postfix_expression] = STATE(12386),
    [sym__postfix_expression_choice] = STATE(16150),
    [sym_macro_body] = STATE(12692),
    [sym_prefix_expression] = STATE(8984),
    [sym_tuple_expression] = STATE(7443),
    [sym_parenthesized_expression] = STATE(7443),
    [sym_splice_expression] = STATE(7443),
    [sym_quote_expression] = STATE(7443),
    [sym_identifier] = STATE(4861),
    [sym__soft_identifier] = STATE(5213),
    [sym_wildcard] = STATE(7324),
    [sym__non_null_literal] = STATE(7443),
    [sym_boolean_literal] = STATE(7707),
    [sym_interpolated_string_expression] = STATE(7443),
    [sym_string] = STATE(7707),
    [sym_unit] = STATE(7443),
    [sym_return_expression] = STATE(12692),
    [sym_throw_expression] = STATE(12692),
    [sym_while_expression] = STATE(12692),
    [sym_do_while_expression] = STATE(12692),
    [sym_for_expression] = STATE(12692),
    [sym_comment] = STATE(1334),
    [sym_block_comment] = STATE(1334),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(1186),
    [anon_sym_while] = ACTIONS(1188),
    [anon_sym_for] = ACTIONS(1190),
    [anon_sym_try] = ACTIONS(1192),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(1194),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1196),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(1198),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(1200),
    [anon_sym_throw] = ACTIONS(1202),
    [anon_sym_do] = ACTIONS(1204),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2294),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [1335] = {
    [sym_inline_modifier] = STATE(2223),
    [sym__indentable_expression] = STATE(12995),
    [sym_block] = STATE(8375),
    [sym_indented_block] = STATE(13183),
    [sym_indented_cases] = STATE(13183),
    [sym_expression] = STATE(12800),
    [sym__simple_expression] = STATE(7442),
    [sym_lambda_expression] = STATE(13185),
    [sym_if_expression] = STATE(13185),
    [sym_match_expression] = STATE(13185),
    [sym_try_expression] = STATE(13185),
    [sym_bindings] = STATE(15586),
    [sym_case_block] = STATE(8375),
    [sym_assignment_expression] = STATE(13185),
    [sym_generic_function] = STATE(8375),
    [sym_call_expression] = STATE(8375),
    [sym_field_expression] = STATE(8375),
    [sym_instance_expression] = STATE(8375),
    [sym_ascription_expression] = STATE(13185),
    [sym_infix_expression] = STATE(9364),
    [sym_postfix_expression] = STATE(12809),
    [sym__postfix_expression_choice] = STATE(16440),
    [sym_macro_body] = STATE(13185),
    [sym_prefix_expression] = STATE(10191),
    [sym_tuple_expression] = STATE(8375),
    [sym_parenthesized_expression] = STATE(8375),
    [sym_splice_expression] = STATE(8375),
    [sym_quote_expression] = STATE(8375),
    [sym_identifier] = STATE(7290),
    [sym__soft_identifier] = STATE(5430),
    [sym_wildcard] = STATE(9387),
    [sym__non_null_literal] = STATE(8375),
    [sym_boolean_literal] = STATE(8117),
    [sym_interpolated_string_expression] = STATE(8375),
    [sym_string] = STATE(8117),
    [sym_unit] = STATE(8375),
    [sym_return_expression] = STATE(13185),
    [sym_throw_expression] = STATE(13185),
    [sym_while_expression] = STATE(13185),
    [sym_do_while_expression] = STATE(13185),
    [sym_for_expression] = STATE(13185),
    [sym_comment] = STATE(1335),
    [sym_block_comment] = STATE(1335),
    [sym__alpha_identifier] = ACTIONS(1618),
    [anon_sym_LBRACE] = ACTIONS(1622),
    [anon_sym__] = ACTIONS(1624),
    [anon_sym_PLUS] = ACTIONS(1626),
    [anon_sym_DASH] = ACTIONS(1626),
    [anon_sym_end] = ACTIONS(1628),
    [anon_sym_if] = ACTIONS(2122),
    [anon_sym_while] = ACTIONS(2124),
    [anon_sym_for] = ACTIONS(2126),
    [anon_sym_try] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(1630),
    [anon_sym_opaque] = ACTIONS(1628),
    [anon_sym_implicit] = ACTIONS(2130),
    [anon_sym_inline] = ACTIONS(1632),
    [anon_sym_infix] = ACTIONS(1628),
    [anon_sym_open] = ACTIONS(1628),
    [anon_sym_transparent] = ACTIONS(1628),
    [anon_sym_LPAREN] = ACTIONS(1634),
    [anon_sym_macro] = ACTIONS(2074),
    [anon_sym_BANG] = ACTIONS(1626),
    [anon_sym_TILDE] = ACTIONS(1626),
    [anon_sym_DOLLAR] = ACTIONS(1636),
    [anon_sym_SQUOTE] = ACTIONS(1638),
    [sym__backquoted_id] = ACTIONS(1640),
    [sym_operator_identifier] = ACTIONS(2132),
    [sym_integer_literal] = ACTIONS(1644),
    [sym_floating_point_literal] = ACTIONS(1646),
    [anon_sym_true] = ACTIONS(1648),
    [anon_sym_false] = ACTIONS(1648),
    [sym_character_literal] = ACTIONS(1646),
    [sym_null_literal] = ACTIONS(1650),
    [anon_sym_return] = ACTIONS(2134),
    [anon_sym_throw] = ACTIONS(2136),
    [anon_sym_do] = ACTIONS(2082),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1652),
    [sym__simple_string] = ACTIONS(1652),
  },
  [1336] = {
    [sym_inline_modifier] = STATE(2084),
    [sym__indentable_expression] = STATE(16442),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(8831),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15722),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10635),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(773),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(8641),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(10149),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1336),
    [sym_block_comment] = STATE(1336),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2740),
    [anon_sym_while] = ACTIONS(2742),
    [anon_sym_for] = ACTIONS(2744),
    [anon_sym_try] = ACTIONS(2746),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2748),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3310),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3312),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2762),
    [anon_sym_throw] = ACTIONS(2764),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1337] = {
    [sym_inline_modifier] = STATE(2070),
    [sym__indentable_expression] = STATE(12984),
    [sym_block] = STATE(8360),
    [sym_indented_block] = STATE(13059),
    [sym_indented_cases] = STATE(13059),
    [sym_expression] = STATE(12867),
    [sym__simple_expression] = STATE(5615),
    [sym_lambda_expression] = STATE(13229),
    [sym_if_expression] = STATE(13229),
    [sym_match_expression] = STATE(13229),
    [sym_try_expression] = STATE(13229),
    [sym_bindings] = STATE(15528),
    [sym_case_block] = STATE(8360),
    [sym_assignment_expression] = STATE(13229),
    [sym_generic_function] = STATE(8360),
    [sym_call_expression] = STATE(8360),
    [sym_field_expression] = STATE(8360),
    [sym_instance_expression] = STATE(8360),
    [sym_ascription_expression] = STATE(13229),
    [sym_infix_expression] = STATE(9581),
    [sym_postfix_expression] = STATE(12866),
    [sym__postfix_expression_choice] = STATE(15971),
    [sym_macro_body] = STATE(13229),
    [sym_prefix_expression] = STATE(9582),
    [sym_tuple_expression] = STATE(8360),
    [sym_parenthesized_expression] = STATE(8360),
    [sym_splice_expression] = STATE(8360),
    [sym_quote_expression] = STATE(8360),
    [sym_identifier] = STATE(5263),
    [sym__soft_identifier] = STATE(5563),
    [sym_wildcard] = STATE(7408),
    [sym__non_null_literal] = STATE(8360),
    [sym_boolean_literal] = STATE(8269),
    [sym_interpolated_string_expression] = STATE(8360),
    [sym_string] = STATE(8269),
    [sym_unit] = STATE(8360),
    [sym_return_expression] = STATE(13229),
    [sym_throw_expression] = STATE(13229),
    [sym_while_expression] = STATE(13229),
    [sym_do_while_expression] = STATE(13229),
    [sym_for_expression] = STATE(13229),
    [sym_comment] = STATE(1337),
    [sym_block_comment] = STATE(1337),
    [sym__alpha_identifier] = ACTIONS(1242),
    [anon_sym_LBRACE] = ACTIONS(1246),
    [anon_sym__] = ACTIONS(1248),
    [anon_sym_PLUS] = ACTIONS(1250),
    [anon_sym_DASH] = ACTIONS(1250),
    [anon_sym_end] = ACTIONS(1252),
    [anon_sym_if] = ACTIONS(1654),
    [anon_sym_while] = ACTIONS(1656),
    [anon_sym_for] = ACTIONS(1658),
    [anon_sym_try] = ACTIONS(1660),
    [anon_sym_new] = ACTIONS(1254),
    [anon_sym_opaque] = ACTIONS(1252),
    [anon_sym_implicit] = ACTIONS(1662),
    [anon_sym_inline] = ACTIONS(1256),
    [anon_sym_infix] = ACTIONS(1252),
    [anon_sym_open] = ACTIONS(1252),
    [anon_sym_transparent] = ACTIONS(1252),
    [anon_sym_LPAREN] = ACTIONS(1258),
    [anon_sym_macro] = ACTIONS(1664),
    [anon_sym_BANG] = ACTIONS(1250),
    [anon_sym_TILDE] = ACTIONS(1250),
    [anon_sym_DOLLAR] = ACTIONS(1260),
    [anon_sym_SQUOTE] = ACTIONS(1262),
    [sym__backquoted_id] = ACTIONS(1264),
    [sym_operator_identifier] = ACTIONS(1666),
    [sym_integer_literal] = ACTIONS(1268),
    [sym_floating_point_literal] = ACTIONS(1270),
    [anon_sym_true] = ACTIONS(1272),
    [anon_sym_false] = ACTIONS(1272),
    [sym_character_literal] = ACTIONS(1270),
    [sym_null_literal] = ACTIONS(1274),
    [anon_sym_return] = ACTIONS(1668),
    [anon_sym_throw] = ACTIONS(1670),
    [anon_sym_do] = ACTIONS(1672),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2212),
    [sym__simple_multiline_string] = ACTIONS(1276),
    [sym__simple_string] = ACTIONS(1276),
  },
  [1338] = {
    [sym_inline_modifier] = STATE(2195),
    [sym__indentable_expression] = STATE(12664),
    [sym_block] = STATE(7443),
    [sym_indented_block] = STATE(12679),
    [sym_indented_cases] = STATE(12679),
    [sym_expression] = STATE(12305),
    [sym__simple_expression] = STATE(5261),
    [sym_lambda_expression] = STATE(12692),
    [sym_if_expression] = STATE(12692),
    [sym_match_expression] = STATE(12692),
    [sym_try_expression] = STATE(12692),
    [sym_bindings] = STATE(15526),
    [sym_case_block] = STATE(7443),
    [sym_assignment_expression] = STATE(12692),
    [sym_generic_function] = STATE(7443),
    [sym_call_expression] = STATE(7443),
    [sym_field_expression] = STATE(7443),
    [sym_instance_expression] = STATE(7443),
    [sym_ascription_expression] = STATE(12692),
    [sym_infix_expression] = STATE(8993),
    [sym_postfix_expression] = STATE(12386),
    [sym__postfix_expression_choice] = STATE(16150),
    [sym_macro_body] = STATE(12692),
    [sym_prefix_expression] = STATE(8984),
    [sym_tuple_expression] = STATE(7443),
    [sym_parenthesized_expression] = STATE(7443),
    [sym_splice_expression] = STATE(7443),
    [sym_quote_expression] = STATE(7443),
    [sym_identifier] = STATE(4861),
    [sym__soft_identifier] = STATE(5213),
    [sym_wildcard] = STATE(7324),
    [sym__non_null_literal] = STATE(7443),
    [sym_boolean_literal] = STATE(7707),
    [sym_interpolated_string_expression] = STATE(7443),
    [sym_string] = STATE(7707),
    [sym_unit] = STATE(7443),
    [sym_return_expression] = STATE(12692),
    [sym_throw_expression] = STATE(12692),
    [sym_while_expression] = STATE(12692),
    [sym_do_while_expression] = STATE(12692),
    [sym_for_expression] = STATE(12692),
    [sym_comment] = STATE(1338),
    [sym_block_comment] = STATE(1338),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(1186),
    [anon_sym_while] = ACTIONS(1188),
    [anon_sym_for] = ACTIONS(1190),
    [anon_sym_try] = ACTIONS(1192),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(1194),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1196),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(1198),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(1200),
    [anon_sym_throw] = ACTIONS(1202),
    [anon_sym_do] = ACTIONS(1204),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2294),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [1339] = {
    [sym_inline_modifier] = STATE(2179),
    [sym__indentable_expression] = STATE(12985),
    [sym_block] = STATE(6738),
    [sym_indented_block] = STATE(12372),
    [sym_indented_cases] = STATE(12372),
    [sym_expression] = STATE(12028),
    [sym__simple_expression] = STATE(6283),
    [sym_lambda_expression] = STATE(12430),
    [sym_if_expression] = STATE(12430),
    [sym_match_expression] = STATE(12430),
    [sym_try_expression] = STATE(12430),
    [sym_bindings] = STATE(15581),
    [sym_case_block] = STATE(6738),
    [sym_assignment_expression] = STATE(12430),
    [sym_generic_function] = STATE(6738),
    [sym_call_expression] = STATE(6738),
    [sym_field_expression] = STATE(6738),
    [sym_instance_expression] = STATE(6738),
    [sym_ascription_expression] = STATE(12430),
    [sym_infix_expression] = STATE(8389),
    [sym_postfix_expression] = STATE(11930),
    [sym__postfix_expression_choice] = STATE(15885),
    [sym_macro_body] = STATE(12430),
    [sym_prefix_expression] = STATE(9616),
    [sym_tuple_expression] = STATE(6738),
    [sym_parenthesized_expression] = STATE(6738),
    [sym_splice_expression] = STATE(6738),
    [sym_quote_expression] = STATE(6738),
    [sym_identifier] = STATE(5530),
    [sym__soft_identifier] = STATE(4943),
    [sym_wildcard] = STATE(8554),
    [sym__non_null_literal] = STATE(6738),
    [sym_boolean_literal] = STATE(7301),
    [sym_interpolated_string_expression] = STATE(6738),
    [sym_string] = STATE(7301),
    [sym_unit] = STATE(6738),
    [sym_return_expression] = STATE(12430),
    [sym_throw_expression] = STATE(12430),
    [sym_while_expression] = STATE(12430),
    [sym_do_while_expression] = STATE(12430),
    [sym_for_expression] = STATE(12430),
    [sym_comment] = STATE(1339),
    [sym_block_comment] = STATE(1339),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(2356),
    [anon_sym_while] = ACTIONS(2358),
    [anon_sym_for] = ACTIONS(2360),
    [anon_sym_try] = ACTIONS(2362),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1360),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(2366),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(2368),
    [anon_sym_throw] = ACTIONS(2370),
    [anon_sym_do] = ACTIONS(1368),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2202),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [1340] = {
    [sym_inline_modifier] = STATE(2130),
    [sym__indentable_expression] = STATE(13276),
    [sym_block] = STATE(9120),
    [sym_indented_block] = STATE(13388),
    [sym_indented_cases] = STATE(13388),
    [sym_expression] = STATE(13211),
    [sym__simple_expression] = STATE(6353),
    [sym_lambda_expression] = STATE(13422),
    [sym_if_expression] = STATE(13422),
    [sym_match_expression] = STATE(13422),
    [sym_try_expression] = STATE(13422),
    [sym_bindings] = STATE(15752),
    [sym_case_block] = STATE(9120),
    [sym_assignment_expression] = STATE(13422),
    [sym_generic_function] = STATE(9120),
    [sym_call_expression] = STATE(9120),
    [sym_field_expression] = STATE(9120),
    [sym_instance_expression] = STATE(9120),
    [sym_ascription_expression] = STATE(13422),
    [sym_infix_expression] = STATE(9820),
    [sym_postfix_expression] = STATE(13148),
    [sym__postfix_expression_choice] = STATE(15936),
    [sym_macro_body] = STATE(13422),
    [sym_prefix_expression] = STATE(9828),
    [sym_tuple_expression] = STATE(9120),
    [sym_parenthesized_expression] = STATE(9120),
    [sym_splice_expression] = STATE(9120),
    [sym_quote_expression] = STATE(9120),
    [sym_identifier] = STATE(5669),
    [sym__soft_identifier] = STATE(6470),
    [sym_wildcard] = STATE(8444),
    [sym__non_null_literal] = STATE(9120),
    [sym_boolean_literal] = STATE(8928),
    [sym_interpolated_string_expression] = STATE(9120),
    [sym_string] = STATE(8928),
    [sym_unit] = STATE(9120),
    [sym_return_expression] = STATE(13422),
    [sym_throw_expression] = STATE(13422),
    [sym_while_expression] = STATE(13422),
    [sym_do_while_expression] = STATE(13422),
    [sym_for_expression] = STATE(13422),
    [sym_comment] = STATE(1340),
    [sym_block_comment] = STATE(1340),
    [sym__alpha_identifier] = ACTIONS(1582),
    [anon_sym_LBRACE] = ACTIONS(1586),
    [anon_sym__] = ACTIONS(1588),
    [anon_sym_PLUS] = ACTIONS(1590),
    [anon_sym_DASH] = ACTIONS(1590),
    [anon_sym_end] = ACTIONS(1592),
    [anon_sym_if] = ACTIONS(1864),
    [anon_sym_while] = ACTIONS(1866),
    [anon_sym_for] = ACTIONS(1868),
    [anon_sym_try] = ACTIONS(1870),
    [anon_sym_new] = ACTIONS(1594),
    [anon_sym_opaque] = ACTIONS(1592),
    [anon_sym_implicit] = ACTIONS(1872),
    [anon_sym_inline] = ACTIONS(1596),
    [anon_sym_infix] = ACTIONS(1592),
    [anon_sym_open] = ACTIONS(1592),
    [anon_sym_transparent] = ACTIONS(1592),
    [anon_sym_LPAREN] = ACTIONS(1598),
    [anon_sym_macro] = ACTIONS(1874),
    [anon_sym_BANG] = ACTIONS(1590),
    [anon_sym_TILDE] = ACTIONS(1590),
    [anon_sym_DOLLAR] = ACTIONS(1600),
    [anon_sym_SQUOTE] = ACTIONS(1602),
    [sym__backquoted_id] = ACTIONS(1604),
    [sym_operator_identifier] = ACTIONS(1876),
    [sym_integer_literal] = ACTIONS(1608),
    [sym_floating_point_literal] = ACTIONS(1610),
    [anon_sym_true] = ACTIONS(1612),
    [anon_sym_false] = ACTIONS(1612),
    [sym_character_literal] = ACTIONS(1610),
    [sym_null_literal] = ACTIONS(1614),
    [anon_sym_return] = ACTIONS(1878),
    [anon_sym_throw] = ACTIONS(1880),
    [anon_sym_do] = ACTIONS(1882),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3282),
    [sym__simple_multiline_string] = ACTIONS(1616),
    [sym__simple_string] = ACTIONS(1616),
  },
  [1341] = {
    [sym_inline_modifier] = STATE(2050),
    [sym__indentable_expression] = STATE(13206),
    [sym_block] = STATE(8375),
    [sym_indented_block] = STATE(13183),
    [sym_indented_cases] = STATE(13183),
    [sym_expression] = STATE(12800),
    [sym__simple_expression] = STATE(6499),
    [sym_lambda_expression] = STATE(13185),
    [sym_if_expression] = STATE(13185),
    [sym_match_expression] = STATE(13185),
    [sym_try_expression] = STATE(13185),
    [sym_bindings] = STATE(15649),
    [sym_case_block] = STATE(8375),
    [sym_assignment_expression] = STATE(13185),
    [sym_generic_function] = STATE(8375),
    [sym_call_expression] = STATE(8375),
    [sym_field_expression] = STATE(8375),
    [sym_instance_expression] = STATE(8375),
    [sym_ascription_expression] = STATE(13185),
    [sym_infix_expression] = STATE(9364),
    [sym_postfix_expression] = STATE(12809),
    [sym__postfix_expression_choice] = STATE(16440),
    [sym_macro_body] = STATE(13185),
    [sym_prefix_expression] = STATE(9765),
    [sym_tuple_expression] = STATE(8375),
    [sym_parenthesized_expression] = STATE(8375),
    [sym_splice_expression] = STATE(8375),
    [sym_quote_expression] = STATE(8375),
    [sym_identifier] = STATE(5812),
    [sym__soft_identifier] = STATE(5430),
    [sym_wildcard] = STATE(8380),
    [sym__non_null_literal] = STATE(8375),
    [sym_boolean_literal] = STATE(8117),
    [sym_interpolated_string_expression] = STATE(8375),
    [sym_string] = STATE(8117),
    [sym_unit] = STATE(8375),
    [sym_return_expression] = STATE(13185),
    [sym_throw_expression] = STATE(13185),
    [sym_while_expression] = STATE(13185),
    [sym_do_while_expression] = STATE(13185),
    [sym_for_expression] = STATE(13185),
    [sym_comment] = STATE(1341),
    [sym_block_comment] = STATE(1341),
    [sym__alpha_identifier] = ACTIONS(1618),
    [anon_sym_LBRACE] = ACTIONS(1622),
    [anon_sym__] = ACTIONS(1624),
    [anon_sym_PLUS] = ACTIONS(1626),
    [anon_sym_DASH] = ACTIONS(1626),
    [anon_sym_end] = ACTIONS(1628),
    [anon_sym_if] = ACTIONS(2064),
    [anon_sym_while] = ACTIONS(2066),
    [anon_sym_for] = ACTIONS(2068),
    [anon_sym_try] = ACTIONS(2070),
    [anon_sym_new] = ACTIONS(1630),
    [anon_sym_opaque] = ACTIONS(1628),
    [anon_sym_implicit] = ACTIONS(2072),
    [anon_sym_inline] = ACTIONS(1632),
    [anon_sym_infix] = ACTIONS(1628),
    [anon_sym_open] = ACTIONS(1628),
    [anon_sym_transparent] = ACTIONS(1628),
    [anon_sym_LPAREN] = ACTIONS(1634),
    [anon_sym_macro] = ACTIONS(2074),
    [anon_sym_BANG] = ACTIONS(1626),
    [anon_sym_TILDE] = ACTIONS(1626),
    [anon_sym_DOLLAR] = ACTIONS(1636),
    [anon_sym_SQUOTE] = ACTIONS(1638),
    [sym__backquoted_id] = ACTIONS(1640),
    [sym_operator_identifier] = ACTIONS(2076),
    [sym_integer_literal] = ACTIONS(1644),
    [sym_floating_point_literal] = ACTIONS(1646),
    [anon_sym_true] = ACTIONS(1648),
    [anon_sym_false] = ACTIONS(1648),
    [sym_character_literal] = ACTIONS(1646),
    [sym_null_literal] = ACTIONS(1650),
    [anon_sym_return] = ACTIONS(2078),
    [anon_sym_throw] = ACTIONS(2080),
    [anon_sym_do] = ACTIONS(2082),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1652),
    [sym__simple_string] = ACTIONS(1652),
  },
  [1342] = {
    [sym_inline_modifier] = STATE(2084),
    [sym__indentable_expression] = STATE(16739),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(8831),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15722),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10635),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(688),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(8641),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(10149),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1342),
    [sym_block_comment] = STATE(1342),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2740),
    [anon_sym_while] = ACTIONS(2742),
    [anon_sym_for] = ACTIONS(2744),
    [anon_sym_try] = ACTIONS(2746),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2748),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3310),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3312),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2762),
    [anon_sym_throw] = ACTIONS(2764),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1343] = {
    [sym_inline_modifier] = STATE(2195),
    [sym__indentable_expression] = STATE(12646),
    [sym_block] = STATE(7443),
    [sym_indented_block] = STATE(12679),
    [sym_indented_cases] = STATE(12679),
    [sym_expression] = STATE(12305),
    [sym__simple_expression] = STATE(5261),
    [sym_lambda_expression] = STATE(12692),
    [sym_if_expression] = STATE(12692),
    [sym_match_expression] = STATE(12692),
    [sym_try_expression] = STATE(12692),
    [sym_bindings] = STATE(15526),
    [sym_case_block] = STATE(7443),
    [sym_assignment_expression] = STATE(12692),
    [sym_generic_function] = STATE(7443),
    [sym_call_expression] = STATE(7443),
    [sym_field_expression] = STATE(7443),
    [sym_instance_expression] = STATE(7443),
    [sym_ascription_expression] = STATE(12692),
    [sym_infix_expression] = STATE(8993),
    [sym_postfix_expression] = STATE(12386),
    [sym__postfix_expression_choice] = STATE(16150),
    [sym_macro_body] = STATE(12692),
    [sym_prefix_expression] = STATE(8984),
    [sym_tuple_expression] = STATE(7443),
    [sym_parenthesized_expression] = STATE(7443),
    [sym_splice_expression] = STATE(7443),
    [sym_quote_expression] = STATE(7443),
    [sym_identifier] = STATE(4861),
    [sym__soft_identifier] = STATE(5213),
    [sym_wildcard] = STATE(7324),
    [sym__non_null_literal] = STATE(7443),
    [sym_boolean_literal] = STATE(7707),
    [sym_interpolated_string_expression] = STATE(7443),
    [sym_string] = STATE(7707),
    [sym_unit] = STATE(7443),
    [sym_return_expression] = STATE(12692),
    [sym_throw_expression] = STATE(12692),
    [sym_while_expression] = STATE(12692),
    [sym_do_while_expression] = STATE(12692),
    [sym_for_expression] = STATE(12692),
    [sym_comment] = STATE(1343),
    [sym_block_comment] = STATE(1343),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(1186),
    [anon_sym_while] = ACTIONS(1188),
    [anon_sym_for] = ACTIONS(1190),
    [anon_sym_try] = ACTIONS(1192),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(1194),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1196),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(1198),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(1200),
    [anon_sym_throw] = ACTIONS(1202),
    [anon_sym_do] = ACTIONS(1204),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2294),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [1344] = {
    [sym_inline_modifier] = STATE(2335),
    [sym__indentable_expression] = STATE(11912),
    [sym_block] = STATE(5403),
    [sym_indented_block] = STATE(11085),
    [sym_indented_cases] = STATE(11085),
    [sym_expression] = STATE(11355),
    [sym__simple_expression] = STATE(4736),
    [sym_lambda_expression] = STATE(11364),
    [sym_if_expression] = STATE(11364),
    [sym_match_expression] = STATE(11364),
    [sym_try_expression] = STATE(11364),
    [sym_bindings] = STATE(15583),
    [sym_case_block] = STATE(5403),
    [sym_assignment_expression] = STATE(11364),
    [sym_generic_function] = STATE(5403),
    [sym_call_expression] = STATE(5403),
    [sym_field_expression] = STATE(5403),
    [sym_instance_expression] = STATE(5403),
    [sym_ascription_expression] = STATE(11364),
    [sym_infix_expression] = STATE(6806),
    [sym_postfix_expression] = STATE(10789),
    [sym__postfix_expression_choice] = STATE(15797),
    [sym_macro_body] = STATE(11364),
    [sym_prefix_expression] = STATE(8627),
    [sym_tuple_expression] = STATE(5403),
    [sym_parenthesized_expression] = STATE(5403),
    [sym_splice_expression] = STATE(5403),
    [sym_quote_expression] = STATE(5403),
    [sym_identifier] = STATE(4558),
    [sym__soft_identifier] = STATE(4455),
    [sym_wildcard] = STATE(6107),
    [sym__non_null_literal] = STATE(5403),
    [sym_boolean_literal] = STATE(5637),
    [sym_interpolated_string_expression] = STATE(5403),
    [sym_string] = STATE(5637),
    [sym_unit] = STATE(5403),
    [sym_return_expression] = STATE(11364),
    [sym_throw_expression] = STATE(11364),
    [sym_while_expression] = STATE(11364),
    [sym_do_while_expression] = STATE(11364),
    [sym_for_expression] = STATE(11364),
    [sym_comment] = STATE(1344),
    [sym_block_comment] = STATE(1344),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(2288),
    [anon_sym_while] = ACTIONS(1750),
    [anon_sym_for] = ACTIONS(1752),
    [anon_sym_try] = ACTIONS(1754),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1756),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1162),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1758),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1760),
    [anon_sym_throw] = ACTIONS(1762),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2282),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [1345] = {
    [sym_inline_modifier] = STATE(2130),
    [sym__indentable_expression] = STATE(13344),
    [sym_block] = STATE(9120),
    [sym_indented_block] = STATE(13388),
    [sym_indented_cases] = STATE(13388),
    [sym_expression] = STATE(13211),
    [sym__simple_expression] = STATE(6353),
    [sym_lambda_expression] = STATE(13422),
    [sym_if_expression] = STATE(13422),
    [sym_match_expression] = STATE(13422),
    [sym_try_expression] = STATE(13422),
    [sym_bindings] = STATE(15752),
    [sym_case_block] = STATE(9120),
    [sym_assignment_expression] = STATE(13422),
    [sym_generic_function] = STATE(9120),
    [sym_call_expression] = STATE(9120),
    [sym_field_expression] = STATE(9120),
    [sym_instance_expression] = STATE(9120),
    [sym_ascription_expression] = STATE(13422),
    [sym_infix_expression] = STATE(9820),
    [sym_postfix_expression] = STATE(13148),
    [sym__postfix_expression_choice] = STATE(15936),
    [sym_macro_body] = STATE(13422),
    [sym_prefix_expression] = STATE(9828),
    [sym_tuple_expression] = STATE(9120),
    [sym_parenthesized_expression] = STATE(9120),
    [sym_splice_expression] = STATE(9120),
    [sym_quote_expression] = STATE(9120),
    [sym_identifier] = STATE(5669),
    [sym__soft_identifier] = STATE(6470),
    [sym_wildcard] = STATE(8444),
    [sym__non_null_literal] = STATE(9120),
    [sym_boolean_literal] = STATE(8928),
    [sym_interpolated_string_expression] = STATE(9120),
    [sym_string] = STATE(8928),
    [sym_unit] = STATE(9120),
    [sym_return_expression] = STATE(13422),
    [sym_throw_expression] = STATE(13422),
    [sym_while_expression] = STATE(13422),
    [sym_do_while_expression] = STATE(13422),
    [sym_for_expression] = STATE(13422),
    [sym_comment] = STATE(1345),
    [sym_block_comment] = STATE(1345),
    [sym__alpha_identifier] = ACTIONS(1582),
    [anon_sym_LBRACE] = ACTIONS(1586),
    [anon_sym__] = ACTIONS(1588),
    [anon_sym_PLUS] = ACTIONS(1590),
    [anon_sym_DASH] = ACTIONS(1590),
    [anon_sym_end] = ACTIONS(1592),
    [anon_sym_if] = ACTIONS(1864),
    [anon_sym_while] = ACTIONS(1866),
    [anon_sym_for] = ACTIONS(1868),
    [anon_sym_try] = ACTIONS(1870),
    [anon_sym_new] = ACTIONS(1594),
    [anon_sym_opaque] = ACTIONS(1592),
    [anon_sym_implicit] = ACTIONS(1872),
    [anon_sym_inline] = ACTIONS(1596),
    [anon_sym_infix] = ACTIONS(1592),
    [anon_sym_open] = ACTIONS(1592),
    [anon_sym_transparent] = ACTIONS(1592),
    [anon_sym_LPAREN] = ACTIONS(1598),
    [anon_sym_macro] = ACTIONS(1874),
    [anon_sym_BANG] = ACTIONS(1590),
    [anon_sym_TILDE] = ACTIONS(1590),
    [anon_sym_DOLLAR] = ACTIONS(1600),
    [anon_sym_SQUOTE] = ACTIONS(1602),
    [sym__backquoted_id] = ACTIONS(1604),
    [sym_operator_identifier] = ACTIONS(1876),
    [sym_integer_literal] = ACTIONS(1608),
    [sym_floating_point_literal] = ACTIONS(1610),
    [anon_sym_true] = ACTIONS(1612),
    [anon_sym_false] = ACTIONS(1612),
    [sym_character_literal] = ACTIONS(1610),
    [sym_null_literal] = ACTIONS(1614),
    [anon_sym_return] = ACTIONS(1878),
    [anon_sym_throw] = ACTIONS(1880),
    [anon_sym_do] = ACTIONS(1882),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3282),
    [sym__simple_multiline_string] = ACTIONS(1616),
    [sym__simple_string] = ACTIONS(1616),
  },
  [1346] = {
    [sym_inline_modifier] = STATE(2148),
    [sym__indentable_expression] = STATE(13463),
    [sym_block] = STATE(9088),
    [sym_indented_block] = STATE(13438),
    [sym_indented_cases] = STATE(13438),
    [sym_expression] = STATE(12942),
    [sym__simple_expression] = STATE(8626),
    [sym_lambda_expression] = STATE(13338),
    [sym_if_expression] = STATE(13338),
    [sym_match_expression] = STATE(13338),
    [sym_try_expression] = STATE(13338),
    [sym_bindings] = STATE(15683),
    [sym_case_block] = STATE(9088),
    [sym_assignment_expression] = STATE(13338),
    [sym_generic_function] = STATE(9088),
    [sym_call_expression] = STATE(9088),
    [sym_field_expression] = STATE(9088),
    [sym_instance_expression] = STATE(9088),
    [sym_ascription_expression] = STATE(13338),
    [sym_infix_expression] = STATE(9773),
    [sym_postfix_expression] = STATE(13117),
    [sym__postfix_expression_choice] = STATE(15912),
    [sym_macro_body] = STATE(13338),
    [sym_prefix_expression] = STATE(10372),
    [sym_tuple_expression] = STATE(9088),
    [sym_parenthesized_expression] = STATE(9088),
    [sym_splice_expression] = STATE(9088),
    [sym_quote_expression] = STATE(9088),
    [sym_identifier] = STATE(7467),
    [sym__soft_identifier] = STATE(6581),
    [sym_wildcard] = STATE(9755),
    [sym__non_null_literal] = STATE(9088),
    [sym_boolean_literal] = STATE(8905),
    [sym_interpolated_string_expression] = STATE(9088),
    [sym_string] = STATE(8905),
    [sym_unit] = STATE(9088),
    [sym_return_expression] = STATE(13338),
    [sym_throw_expression] = STATE(13338),
    [sym_while_expression] = STATE(13338),
    [sym_do_while_expression] = STATE(13338),
    [sym_for_expression] = STATE(13338),
    [sym_comment] = STATE(1346),
    [sym_block_comment] = STATE(1346),
    [sym__alpha_identifier] = ACTIONS(1938),
    [anon_sym_LBRACE] = ACTIONS(1942),
    [anon_sym__] = ACTIONS(1944),
    [anon_sym_PLUS] = ACTIONS(1946),
    [anon_sym_DASH] = ACTIONS(1946),
    [anon_sym_end] = ACTIONS(1948),
    [anon_sym_if] = ACTIONS(2450),
    [anon_sym_while] = ACTIONS(2452),
    [anon_sym_for] = ACTIONS(2454),
    [anon_sym_try] = ACTIONS(2456),
    [anon_sym_new] = ACTIONS(1950),
    [anon_sym_opaque] = ACTIONS(1948),
    [anon_sym_implicit] = ACTIONS(2458),
    [anon_sym_inline] = ACTIONS(1952),
    [anon_sym_infix] = ACTIONS(1948),
    [anon_sym_open] = ACTIONS(1948),
    [anon_sym_transparent] = ACTIONS(1948),
    [anon_sym_LPAREN] = ACTIONS(1954),
    [anon_sym_macro] = ACTIONS(2270),
    [anon_sym_BANG] = ACTIONS(1946),
    [anon_sym_TILDE] = ACTIONS(1946),
    [anon_sym_DOLLAR] = ACTIONS(1956),
    [anon_sym_SQUOTE] = ACTIONS(1958),
    [sym__backquoted_id] = ACTIONS(1960),
    [sym_operator_identifier] = ACTIONS(2460),
    [sym_integer_literal] = ACTIONS(1964),
    [sym_floating_point_literal] = ACTIONS(1966),
    [anon_sym_true] = ACTIONS(1968),
    [anon_sym_false] = ACTIONS(1968),
    [sym_character_literal] = ACTIONS(1966),
    [sym_null_literal] = ACTIONS(1970),
    [anon_sym_return] = ACTIONS(2462),
    [anon_sym_throw] = ACTIONS(2464),
    [anon_sym_do] = ACTIONS(2278),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2346),
    [sym__simple_multiline_string] = ACTIONS(1972),
    [sym__simple_string] = ACTIONS(1972),
  },
  [1347] = {
    [sym_inline_modifier] = STATE(2055),
    [sym__indentable_expression] = STATE(13184),
    [sym_block] = STATE(8218),
    [sym_indented_block] = STATE(13075),
    [sym_indented_cases] = STATE(13075),
    [sym_expression] = STATE(12682),
    [sym__simple_expression] = STATE(6561),
    [sym_lambda_expression] = STATE(13097),
    [sym_if_expression] = STATE(13097),
    [sym_match_expression] = STATE(13097),
    [sym_try_expression] = STATE(13097),
    [sym_bindings] = STATE(15541),
    [sym_case_block] = STATE(8218),
    [sym_assignment_expression] = STATE(13097),
    [sym_generic_function] = STATE(8218),
    [sym_call_expression] = STATE(8218),
    [sym_field_expression] = STATE(8218),
    [sym_instance_expression] = STATE(8218),
    [sym_ascription_expression] = STATE(13097),
    [sym_infix_expression] = STATE(9424),
    [sym_postfix_expression] = STATE(12765),
    [sym__postfix_expression_choice] = STATE(16117),
    [sym_macro_body] = STATE(13097),
    [sym_prefix_expression] = STATE(9863),
    [sym_tuple_expression] = STATE(8218),
    [sym_parenthesized_expression] = STATE(8218),
    [sym_splice_expression] = STATE(8218),
    [sym_quote_expression] = STATE(8218),
    [sym_identifier] = STATE(5613),
    [sym__soft_identifier] = STATE(5752),
    [sym_wildcard] = STATE(8448),
    [sym__non_null_literal] = STATE(8218),
    [sym_boolean_literal] = STATE(8413),
    [sym_interpolated_string_expression] = STATE(8218),
    [sym_string] = STATE(8413),
    [sym_unit] = STATE(8218),
    [sym_return_expression] = STATE(13097),
    [sym_throw_expression] = STATE(13097),
    [sym_while_expression] = STATE(13097),
    [sym_do_while_expression] = STATE(13097),
    [sym_for_expression] = STATE(13097),
    [sym_comment] = STATE(1347),
    [sym_block_comment] = STATE(1347),
    [sym__alpha_identifier] = ACTIONS(1494),
    [anon_sym_LBRACE] = ACTIONS(1498),
    [anon_sym__] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1502),
    [anon_sym_end] = ACTIONS(1504),
    [anon_sym_if] = ACTIONS(2044),
    [anon_sym_while] = ACTIONS(2046),
    [anon_sym_for] = ACTIONS(2048),
    [anon_sym_try] = ACTIONS(2050),
    [anon_sym_new] = ACTIONS(1506),
    [anon_sym_opaque] = ACTIONS(1504),
    [anon_sym_implicit] = ACTIONS(2052),
    [anon_sym_inline] = ACTIONS(1508),
    [anon_sym_infix] = ACTIONS(1504),
    [anon_sym_open] = ACTIONS(1504),
    [anon_sym_transparent] = ACTIONS(1504),
    [anon_sym_LPAREN] = ACTIONS(1510),
    [anon_sym_macro] = ACTIONS(2054),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_TILDE] = ACTIONS(1502),
    [anon_sym_DOLLAR] = ACTIONS(1512),
    [anon_sym_SQUOTE] = ACTIONS(1514),
    [sym__backquoted_id] = ACTIONS(1516),
    [sym_operator_identifier] = ACTIONS(2056),
    [sym_integer_literal] = ACTIONS(1520),
    [sym_floating_point_literal] = ACTIONS(1522),
    [anon_sym_true] = ACTIONS(1524),
    [anon_sym_false] = ACTIONS(1524),
    [sym_character_literal] = ACTIONS(1522),
    [sym_null_literal] = ACTIONS(1526),
    [anon_sym_return] = ACTIONS(2058),
    [anon_sym_throw] = ACTIONS(2060),
    [anon_sym_do] = ACTIONS(2062),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3316),
    [sym__simple_multiline_string] = ACTIONS(1528),
    [sym__simple_string] = ACTIONS(1528),
  },
  [1348] = {
    [sym_inline_modifier] = STATE(2050),
    [sym__indentable_expression] = STATE(13204),
    [sym_block] = STATE(8375),
    [sym_indented_block] = STATE(13183),
    [sym_indented_cases] = STATE(13183),
    [sym_expression] = STATE(12800),
    [sym__simple_expression] = STATE(6499),
    [sym_lambda_expression] = STATE(13185),
    [sym_if_expression] = STATE(13185),
    [sym_match_expression] = STATE(13185),
    [sym_try_expression] = STATE(13185),
    [sym_bindings] = STATE(15649),
    [sym_case_block] = STATE(8375),
    [sym_assignment_expression] = STATE(13185),
    [sym_generic_function] = STATE(8375),
    [sym_call_expression] = STATE(8375),
    [sym_field_expression] = STATE(8375),
    [sym_instance_expression] = STATE(8375),
    [sym_ascription_expression] = STATE(13185),
    [sym_infix_expression] = STATE(9364),
    [sym_postfix_expression] = STATE(12809),
    [sym__postfix_expression_choice] = STATE(16440),
    [sym_macro_body] = STATE(13185),
    [sym_prefix_expression] = STATE(9765),
    [sym_tuple_expression] = STATE(8375),
    [sym_parenthesized_expression] = STATE(8375),
    [sym_splice_expression] = STATE(8375),
    [sym_quote_expression] = STATE(8375),
    [sym_identifier] = STATE(5812),
    [sym__soft_identifier] = STATE(5430),
    [sym_wildcard] = STATE(8380),
    [sym__non_null_literal] = STATE(8375),
    [sym_boolean_literal] = STATE(8117),
    [sym_interpolated_string_expression] = STATE(8375),
    [sym_string] = STATE(8117),
    [sym_unit] = STATE(8375),
    [sym_return_expression] = STATE(13185),
    [sym_throw_expression] = STATE(13185),
    [sym_while_expression] = STATE(13185),
    [sym_do_while_expression] = STATE(13185),
    [sym_for_expression] = STATE(13185),
    [sym_comment] = STATE(1348),
    [sym_block_comment] = STATE(1348),
    [sym__alpha_identifier] = ACTIONS(1618),
    [anon_sym_LBRACE] = ACTIONS(1622),
    [anon_sym__] = ACTIONS(1624),
    [anon_sym_PLUS] = ACTIONS(1626),
    [anon_sym_DASH] = ACTIONS(1626),
    [anon_sym_end] = ACTIONS(1628),
    [anon_sym_if] = ACTIONS(2064),
    [anon_sym_while] = ACTIONS(2066),
    [anon_sym_for] = ACTIONS(2068),
    [anon_sym_try] = ACTIONS(2070),
    [anon_sym_new] = ACTIONS(1630),
    [anon_sym_opaque] = ACTIONS(1628),
    [anon_sym_implicit] = ACTIONS(2072),
    [anon_sym_inline] = ACTIONS(1632),
    [anon_sym_infix] = ACTIONS(1628),
    [anon_sym_open] = ACTIONS(1628),
    [anon_sym_transparent] = ACTIONS(1628),
    [anon_sym_LPAREN] = ACTIONS(1634),
    [anon_sym_macro] = ACTIONS(2074),
    [anon_sym_BANG] = ACTIONS(1626),
    [anon_sym_TILDE] = ACTIONS(1626),
    [anon_sym_DOLLAR] = ACTIONS(1636),
    [anon_sym_SQUOTE] = ACTIONS(1638),
    [sym__backquoted_id] = ACTIONS(1640),
    [sym_operator_identifier] = ACTIONS(2076),
    [sym_integer_literal] = ACTIONS(1644),
    [sym_floating_point_literal] = ACTIONS(1646),
    [anon_sym_true] = ACTIONS(1648),
    [anon_sym_false] = ACTIONS(1648),
    [sym_character_literal] = ACTIONS(1646),
    [sym_null_literal] = ACTIONS(1650),
    [anon_sym_return] = ACTIONS(2078),
    [anon_sym_throw] = ACTIONS(2080),
    [anon_sym_do] = ACTIONS(2082),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1652),
    [sym__simple_string] = ACTIONS(1652),
  },
  [1349] = {
    [sym_inline_modifier] = STATE(2125),
    [sym__indentable_expression] = STATE(12481),
    [sym_block] = STATE(6738),
    [sym_indented_block] = STATE(12372),
    [sym_indented_cases] = STATE(12372),
    [sym_expression] = STATE(12028),
    [sym__simple_expression] = STATE(5176),
    [sym_lambda_expression] = STATE(12430),
    [sym_if_expression] = STATE(12430),
    [sym_match_expression] = STATE(12430),
    [sym_try_expression] = STATE(12430),
    [sym_bindings] = STATE(15677),
    [sym_case_block] = STATE(6738),
    [sym_assignment_expression] = STATE(12430),
    [sym_generic_function] = STATE(6738),
    [sym_call_expression] = STATE(6738),
    [sym_field_expression] = STATE(6738),
    [sym_instance_expression] = STATE(6738),
    [sym_ascription_expression] = STATE(12430),
    [sym_infix_expression] = STATE(8389),
    [sym_postfix_expression] = STATE(11930),
    [sym__postfix_expression_choice] = STATE(15885),
    [sym_macro_body] = STATE(12430),
    [sym_prefix_expression] = STATE(9115),
    [sym_tuple_expression] = STATE(6738),
    [sym_parenthesized_expression] = STATE(6738),
    [sym_splice_expression] = STATE(6738),
    [sym_quote_expression] = STATE(6738),
    [sym_identifier] = STATE(4951),
    [sym__soft_identifier] = STATE(4943),
    [sym_wildcard] = STATE(7114),
    [sym__non_null_literal] = STATE(6738),
    [sym_boolean_literal] = STATE(7301),
    [sym_interpolated_string_expression] = STATE(6738),
    [sym_string] = STATE(7301),
    [sym_unit] = STATE(6738),
    [sym_return_expression] = STATE(12430),
    [sym_throw_expression] = STATE(12430),
    [sym_while_expression] = STATE(12430),
    [sym_do_while_expression] = STATE(12430),
    [sym_for_expression] = STATE(12430),
    [sym_comment] = STATE(1349),
    [sym_block_comment] = STATE(1349),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(1350),
    [anon_sym_while] = ACTIONS(1352),
    [anon_sym_for] = ACTIONS(1354),
    [anon_sym_try] = ACTIONS(1356),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(1358),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1360),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(1362),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(1364),
    [anon_sym_throw] = ACTIONS(1366),
    [anon_sym_do] = ACTIONS(1368),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2202),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [1350] = {
    [sym_inline_modifier] = STATE(2055),
    [sym__indentable_expression] = STATE(13174),
    [sym_block] = STATE(8218),
    [sym_indented_block] = STATE(13075),
    [sym_indented_cases] = STATE(13075),
    [sym_expression] = STATE(12682),
    [sym__simple_expression] = STATE(6561),
    [sym_lambda_expression] = STATE(13097),
    [sym_if_expression] = STATE(13097),
    [sym_match_expression] = STATE(13097),
    [sym_try_expression] = STATE(13097),
    [sym_bindings] = STATE(15541),
    [sym_case_block] = STATE(8218),
    [sym_assignment_expression] = STATE(13097),
    [sym_generic_function] = STATE(8218),
    [sym_call_expression] = STATE(8218),
    [sym_field_expression] = STATE(8218),
    [sym_instance_expression] = STATE(8218),
    [sym_ascription_expression] = STATE(13097),
    [sym_infix_expression] = STATE(9424),
    [sym_postfix_expression] = STATE(12765),
    [sym__postfix_expression_choice] = STATE(16117),
    [sym_macro_body] = STATE(13097),
    [sym_prefix_expression] = STATE(9863),
    [sym_tuple_expression] = STATE(8218),
    [sym_parenthesized_expression] = STATE(8218),
    [sym_splice_expression] = STATE(8218),
    [sym_quote_expression] = STATE(8218),
    [sym_identifier] = STATE(5613),
    [sym__soft_identifier] = STATE(5752),
    [sym_wildcard] = STATE(8448),
    [sym__non_null_literal] = STATE(8218),
    [sym_boolean_literal] = STATE(8413),
    [sym_interpolated_string_expression] = STATE(8218),
    [sym_string] = STATE(8413),
    [sym_unit] = STATE(8218),
    [sym_return_expression] = STATE(13097),
    [sym_throw_expression] = STATE(13097),
    [sym_while_expression] = STATE(13097),
    [sym_do_while_expression] = STATE(13097),
    [sym_for_expression] = STATE(13097),
    [sym_comment] = STATE(1350),
    [sym_block_comment] = STATE(1350),
    [sym__alpha_identifier] = ACTIONS(1494),
    [anon_sym_LBRACE] = ACTIONS(1498),
    [anon_sym__] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1502),
    [anon_sym_end] = ACTIONS(1504),
    [anon_sym_if] = ACTIONS(2044),
    [anon_sym_while] = ACTIONS(2046),
    [anon_sym_for] = ACTIONS(2048),
    [anon_sym_try] = ACTIONS(2050),
    [anon_sym_new] = ACTIONS(1506),
    [anon_sym_opaque] = ACTIONS(1504),
    [anon_sym_implicit] = ACTIONS(2052),
    [anon_sym_inline] = ACTIONS(1508),
    [anon_sym_infix] = ACTIONS(1504),
    [anon_sym_open] = ACTIONS(1504),
    [anon_sym_transparent] = ACTIONS(1504),
    [anon_sym_LPAREN] = ACTIONS(1510),
    [anon_sym_macro] = ACTIONS(2054),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_TILDE] = ACTIONS(1502),
    [anon_sym_DOLLAR] = ACTIONS(1512),
    [anon_sym_SQUOTE] = ACTIONS(1514),
    [sym__backquoted_id] = ACTIONS(1516),
    [sym_operator_identifier] = ACTIONS(2056),
    [sym_integer_literal] = ACTIONS(1520),
    [sym_floating_point_literal] = ACTIONS(1522),
    [anon_sym_true] = ACTIONS(1524),
    [anon_sym_false] = ACTIONS(1524),
    [sym_character_literal] = ACTIONS(1522),
    [sym_null_literal] = ACTIONS(1526),
    [anon_sym_return] = ACTIONS(2058),
    [anon_sym_throw] = ACTIONS(2060),
    [anon_sym_do] = ACTIONS(2062),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3316),
    [sym__simple_multiline_string] = ACTIONS(1528),
    [sym__simple_string] = ACTIONS(1528),
  },
  [1351] = {
    [sym_inline_modifier] = STATE(2154),
    [sym__indentable_expression] = STATE(13712),
    [sym_block] = STATE(8070),
    [sym_indented_block] = STATE(12700),
    [sym_indented_cases] = STATE(12700),
    [sym_expression] = STATE(12581),
    [sym__simple_expression] = STATE(7235),
    [sym_lambda_expression] = STATE(12742),
    [sym_if_expression] = STATE(12742),
    [sym_match_expression] = STATE(12742),
    [sym_try_expression] = STATE(12742),
    [sym_bindings] = STATE(15546),
    [sym_case_block] = STATE(8070),
    [sym_assignment_expression] = STATE(12742),
    [sym_generic_function] = STATE(8070),
    [sym_call_expression] = STATE(8070),
    [sym_field_expression] = STATE(8070),
    [sym_instance_expression] = STATE(8070),
    [sym_ascription_expression] = STATE(12742),
    [sym_infix_expression] = STATE(8913),
    [sym_postfix_expression] = STATE(12343),
    [sym__postfix_expression_choice] = STATE(16230),
    [sym_macro_body] = STATE(12742),
    [sym_prefix_expression] = STATE(9970),
    [sym_tuple_expression] = STATE(8070),
    [sym_parenthesized_expression] = STATE(8070),
    [sym_splice_expression] = STATE(8070),
    [sym_quote_expression] = STATE(8070),
    [sym_identifier] = STATE(6168),
    [sym__soft_identifier] = STATE(5234),
    [sym_wildcard] = STATE(8792),
    [sym__non_null_literal] = STATE(8070),
    [sym_boolean_literal] = STATE(8055),
    [sym_interpolated_string_expression] = STATE(8070),
    [sym_string] = STATE(8055),
    [sym_unit] = STATE(8070),
    [sym_return_expression] = STATE(12742),
    [sym_throw_expression] = STATE(12742),
    [sym_while_expression] = STATE(12742),
    [sym_do_while_expression] = STATE(12742),
    [sym_for_expression] = STATE(12742),
    [sym_comment] = STATE(1351),
    [sym_block_comment] = STATE(1351),
    [sym__alpha_identifier] = ACTIONS(1314),
    [anon_sym_LBRACE] = ACTIONS(1318),
    [anon_sym__] = ACTIONS(1320),
    [anon_sym_PLUS] = ACTIONS(1322),
    [anon_sym_DASH] = ACTIONS(1322),
    [anon_sym_end] = ACTIONS(1324),
    [anon_sym_if] = ACTIONS(2142),
    [anon_sym_while] = ACTIONS(2144),
    [anon_sym_for] = ACTIONS(2146),
    [anon_sym_try] = ACTIONS(2148),
    [anon_sym_new] = ACTIONS(1326),
    [anon_sym_opaque] = ACTIONS(1324),
    [anon_sym_implicit] = ACTIONS(2150),
    [anon_sym_inline] = ACTIONS(1328),
    [anon_sym_infix] = ACTIONS(1324),
    [anon_sym_open] = ACTIONS(1324),
    [anon_sym_transparent] = ACTIONS(1324),
    [anon_sym_LPAREN] = ACTIONS(1330),
    [anon_sym_macro] = ACTIONS(1740),
    [anon_sym_BANG] = ACTIONS(1322),
    [anon_sym_TILDE] = ACTIONS(1322),
    [anon_sym_DOLLAR] = ACTIONS(1332),
    [anon_sym_SQUOTE] = ACTIONS(1334),
    [sym__backquoted_id] = ACTIONS(1336),
    [sym_operator_identifier] = ACTIONS(2152),
    [sym_integer_literal] = ACTIONS(1340),
    [sym_floating_point_literal] = ACTIONS(1342),
    [anon_sym_true] = ACTIONS(1344),
    [anon_sym_false] = ACTIONS(1344),
    [sym_character_literal] = ACTIONS(1342),
    [sym_null_literal] = ACTIONS(1346),
    [anon_sym_return] = ACTIONS(2154),
    [anon_sym_throw] = ACTIONS(2156),
    [anon_sym_do] = ACTIONS(1748),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2158),
    [sym__simple_multiline_string] = ACTIONS(1348),
    [sym__simple_string] = ACTIONS(1348),
  },
  [1352] = {
    [sym_inline_modifier] = STATE(2055),
    [sym__indentable_expression] = STATE(13164),
    [sym_block] = STATE(8218),
    [sym_indented_block] = STATE(13075),
    [sym_indented_cases] = STATE(13075),
    [sym_expression] = STATE(12682),
    [sym__simple_expression] = STATE(6561),
    [sym_lambda_expression] = STATE(13097),
    [sym_if_expression] = STATE(13097),
    [sym_match_expression] = STATE(13097),
    [sym_try_expression] = STATE(13097),
    [sym_bindings] = STATE(15541),
    [sym_case_block] = STATE(8218),
    [sym_assignment_expression] = STATE(13097),
    [sym_generic_function] = STATE(8218),
    [sym_call_expression] = STATE(8218),
    [sym_field_expression] = STATE(8218),
    [sym_instance_expression] = STATE(8218),
    [sym_ascription_expression] = STATE(13097),
    [sym_infix_expression] = STATE(9424),
    [sym_postfix_expression] = STATE(12765),
    [sym__postfix_expression_choice] = STATE(16117),
    [sym_macro_body] = STATE(13097),
    [sym_prefix_expression] = STATE(9863),
    [sym_tuple_expression] = STATE(8218),
    [sym_parenthesized_expression] = STATE(8218),
    [sym_splice_expression] = STATE(8218),
    [sym_quote_expression] = STATE(8218),
    [sym_identifier] = STATE(5613),
    [sym__soft_identifier] = STATE(5752),
    [sym_wildcard] = STATE(8448),
    [sym__non_null_literal] = STATE(8218),
    [sym_boolean_literal] = STATE(8413),
    [sym_interpolated_string_expression] = STATE(8218),
    [sym_string] = STATE(8413),
    [sym_unit] = STATE(8218),
    [sym_return_expression] = STATE(13097),
    [sym_throw_expression] = STATE(13097),
    [sym_while_expression] = STATE(13097),
    [sym_do_while_expression] = STATE(13097),
    [sym_for_expression] = STATE(13097),
    [sym_comment] = STATE(1352),
    [sym_block_comment] = STATE(1352),
    [sym__alpha_identifier] = ACTIONS(1494),
    [anon_sym_LBRACE] = ACTIONS(1498),
    [anon_sym__] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1502),
    [anon_sym_end] = ACTIONS(1504),
    [anon_sym_if] = ACTIONS(2044),
    [anon_sym_while] = ACTIONS(2046),
    [anon_sym_for] = ACTIONS(2048),
    [anon_sym_try] = ACTIONS(2050),
    [anon_sym_new] = ACTIONS(1506),
    [anon_sym_opaque] = ACTIONS(1504),
    [anon_sym_implicit] = ACTIONS(2052),
    [anon_sym_inline] = ACTIONS(1508),
    [anon_sym_infix] = ACTIONS(1504),
    [anon_sym_open] = ACTIONS(1504),
    [anon_sym_transparent] = ACTIONS(1504),
    [anon_sym_LPAREN] = ACTIONS(1510),
    [anon_sym_macro] = ACTIONS(2054),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_TILDE] = ACTIONS(1502),
    [anon_sym_DOLLAR] = ACTIONS(1512),
    [anon_sym_SQUOTE] = ACTIONS(1514),
    [sym__backquoted_id] = ACTIONS(1516),
    [sym_operator_identifier] = ACTIONS(2056),
    [sym_integer_literal] = ACTIONS(1520),
    [sym_floating_point_literal] = ACTIONS(1522),
    [anon_sym_true] = ACTIONS(1524),
    [anon_sym_false] = ACTIONS(1524),
    [sym_character_literal] = ACTIONS(1522),
    [sym_null_literal] = ACTIONS(1526),
    [anon_sym_return] = ACTIONS(2058),
    [anon_sym_throw] = ACTIONS(2060),
    [anon_sym_do] = ACTIONS(2062),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3316),
    [sym__simple_multiline_string] = ACTIONS(1528),
    [sym__simple_string] = ACTIONS(1528),
  },
  [1353] = {
    [sym_inline_modifier] = STATE(2074),
    [sym__indentable_expression] = STATE(12958),
    [sym_block] = STATE(9523),
    [sym_indented_block] = STATE(11535),
    [sym_indented_cases] = STATE(11535),
    [sym_expression] = STATE(13312),
    [sym__simple_expression] = STATE(6085),
    [sym_lambda_expression] = STATE(11549),
    [sym_if_expression] = STATE(11549),
    [sym_match_expression] = STATE(11549),
    [sym_try_expression] = STATE(11549),
    [sym_bindings] = STATE(15713),
    [sym_case_block] = STATE(9523),
    [sym_assignment_expression] = STATE(11549),
    [sym_generic_function] = STATE(9523),
    [sym_call_expression] = STATE(9523),
    [sym_field_expression] = STATE(9523),
    [sym_instance_expression] = STATE(9523),
    [sym_ascription_expression] = STATE(11549),
    [sym_infix_expression] = STATE(10056),
    [sym_postfix_expression] = STATE(11204),
    [sym__postfix_expression_choice] = STATE(16623),
    [sym_macro_body] = STATE(11549),
    [sym_prefix_expression] = STATE(9754),
    [sym_tuple_expression] = STATE(9523),
    [sym_parenthesized_expression] = STATE(9523),
    [sym_splice_expression] = STATE(9523),
    [sym_quote_expression] = STATE(9523),
    [sym_identifier] = STATE(5442),
    [sym__soft_identifier] = STATE(4485),
    [sym_wildcard] = STATE(8639),
    [sym__non_null_literal] = STATE(9523),
    [sym_boolean_literal] = STATE(5592),
    [sym_interpolated_string_expression] = STATE(9523),
    [sym_string] = STATE(5592),
    [sym_unit] = STATE(9523),
    [sym_return_expression] = STATE(11549),
    [sym_throw_expression] = STATE(11549),
    [sym_while_expression] = STATE(11549),
    [sym_do_while_expression] = STATE(11549),
    [sym_for_expression] = STATE(11549),
    [sym_comment] = STATE(1353),
    [sym_block_comment] = STATE(1353),
    [sym__alpha_identifier] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(1392),
    [anon_sym__] = ACTIONS(1394),
    [anon_sym_PLUS] = ACTIONS(1396),
    [anon_sym_DASH] = ACTIONS(1396),
    [anon_sym_end] = ACTIONS(1398),
    [anon_sym_if] = ACTIONS(1820),
    [anon_sym_while] = ACTIONS(1822),
    [anon_sym_for] = ACTIONS(1824),
    [anon_sym_try] = ACTIONS(1826),
    [anon_sym_new] = ACTIONS(1400),
    [anon_sym_opaque] = ACTIONS(1398),
    [anon_sym_implicit] = ACTIONS(1828),
    [anon_sym_inline] = ACTIONS(1402),
    [anon_sym_infix] = ACTIONS(1398),
    [anon_sym_open] = ACTIONS(1398),
    [anon_sym_transparent] = ACTIONS(1398),
    [anon_sym_LPAREN] = ACTIONS(1404),
    [anon_sym_macro] = ACTIONS(1830),
    [anon_sym_BANG] = ACTIONS(1396),
    [anon_sym_TILDE] = ACTIONS(1396),
    [anon_sym_DOLLAR] = ACTIONS(1406),
    [anon_sym_SQUOTE] = ACTIONS(1408),
    [sym__backquoted_id] = ACTIONS(1410),
    [sym_operator_identifier] = ACTIONS(1832),
    [sym_integer_literal] = ACTIONS(1414),
    [sym_floating_point_literal] = ACTIONS(1416),
    [anon_sym_true] = ACTIONS(1418),
    [anon_sym_false] = ACTIONS(1418),
    [sym_character_literal] = ACTIONS(1416),
    [sym_null_literal] = ACTIONS(1420),
    [anon_sym_return] = ACTIONS(1834),
    [anon_sym_throw] = ACTIONS(1836),
    [anon_sym_do] = ACTIONS(1386),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2258),
    [sym__simple_multiline_string] = ACTIONS(1422),
    [sym__simple_string] = ACTIONS(1422),
  },
  [1354] = {
    [sym_inline_modifier] = STATE(2055),
    [sym__indentable_expression] = STATE(13161),
    [sym_block] = STATE(8218),
    [sym_indented_block] = STATE(13075),
    [sym_indented_cases] = STATE(13075),
    [sym_expression] = STATE(12682),
    [sym__simple_expression] = STATE(6561),
    [sym_lambda_expression] = STATE(13097),
    [sym_if_expression] = STATE(13097),
    [sym_match_expression] = STATE(13097),
    [sym_try_expression] = STATE(13097),
    [sym_bindings] = STATE(15541),
    [sym_case_block] = STATE(8218),
    [sym_assignment_expression] = STATE(13097),
    [sym_generic_function] = STATE(8218),
    [sym_call_expression] = STATE(8218),
    [sym_field_expression] = STATE(8218),
    [sym_instance_expression] = STATE(8218),
    [sym_ascription_expression] = STATE(13097),
    [sym_infix_expression] = STATE(9424),
    [sym_postfix_expression] = STATE(12765),
    [sym__postfix_expression_choice] = STATE(16117),
    [sym_macro_body] = STATE(13097),
    [sym_prefix_expression] = STATE(9863),
    [sym_tuple_expression] = STATE(8218),
    [sym_parenthesized_expression] = STATE(8218),
    [sym_splice_expression] = STATE(8218),
    [sym_quote_expression] = STATE(8218),
    [sym_identifier] = STATE(5613),
    [sym__soft_identifier] = STATE(5752),
    [sym_wildcard] = STATE(8448),
    [sym__non_null_literal] = STATE(8218),
    [sym_boolean_literal] = STATE(8413),
    [sym_interpolated_string_expression] = STATE(8218),
    [sym_string] = STATE(8413),
    [sym_unit] = STATE(8218),
    [sym_return_expression] = STATE(13097),
    [sym_throw_expression] = STATE(13097),
    [sym_while_expression] = STATE(13097),
    [sym_do_while_expression] = STATE(13097),
    [sym_for_expression] = STATE(13097),
    [sym_comment] = STATE(1354),
    [sym_block_comment] = STATE(1354),
    [sym__alpha_identifier] = ACTIONS(1494),
    [anon_sym_LBRACE] = ACTIONS(1498),
    [anon_sym__] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1502),
    [anon_sym_end] = ACTIONS(1504),
    [anon_sym_if] = ACTIONS(2044),
    [anon_sym_while] = ACTIONS(2046),
    [anon_sym_for] = ACTIONS(2048),
    [anon_sym_try] = ACTIONS(2050),
    [anon_sym_new] = ACTIONS(1506),
    [anon_sym_opaque] = ACTIONS(1504),
    [anon_sym_implicit] = ACTIONS(2052),
    [anon_sym_inline] = ACTIONS(1508),
    [anon_sym_infix] = ACTIONS(1504),
    [anon_sym_open] = ACTIONS(1504),
    [anon_sym_transparent] = ACTIONS(1504),
    [anon_sym_LPAREN] = ACTIONS(1510),
    [anon_sym_macro] = ACTIONS(2054),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_TILDE] = ACTIONS(1502),
    [anon_sym_DOLLAR] = ACTIONS(1512),
    [anon_sym_SQUOTE] = ACTIONS(1514),
    [sym__backquoted_id] = ACTIONS(1516),
    [sym_operator_identifier] = ACTIONS(2056),
    [sym_integer_literal] = ACTIONS(1520),
    [sym_floating_point_literal] = ACTIONS(1522),
    [anon_sym_true] = ACTIONS(1524),
    [anon_sym_false] = ACTIONS(1524),
    [sym_character_literal] = ACTIONS(1522),
    [sym_null_literal] = ACTIONS(1526),
    [anon_sym_return] = ACTIONS(2058),
    [anon_sym_throw] = ACTIONS(2060),
    [anon_sym_do] = ACTIONS(2062),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3316),
    [sym__simple_multiline_string] = ACTIONS(1528),
    [sym__simple_string] = ACTIONS(1528),
  },
  [1355] = {
    [sym_inline_modifier] = STATE(2183),
    [sym__indentable_expression] = STATE(13458),
    [sym_block] = STATE(9088),
    [sym_indented_block] = STATE(13438),
    [sym_indented_cases] = STATE(13438),
    [sym_expression] = STATE(12942),
    [sym__simple_expression] = STATE(8555),
    [sym_lambda_expression] = STATE(13338),
    [sym_if_expression] = STATE(13338),
    [sym_match_expression] = STATE(13338),
    [sym_try_expression] = STATE(13338),
    [sym_bindings] = STATE(15553),
    [sym_case_block] = STATE(9088),
    [sym_assignment_expression] = STATE(13338),
    [sym_generic_function] = STATE(9088),
    [sym_call_expression] = STATE(9088),
    [sym_field_expression] = STATE(9088),
    [sym_instance_expression] = STATE(9088),
    [sym_ascription_expression] = STATE(13338),
    [sym_infix_expression] = STATE(9773),
    [sym_postfix_expression] = STATE(13117),
    [sym__postfix_expression_choice] = STATE(15912),
    [sym_macro_body] = STATE(13338),
    [sym_prefix_expression] = STATE(10565),
    [sym_tuple_expression] = STATE(9088),
    [sym_parenthesized_expression] = STATE(9088),
    [sym_splice_expression] = STATE(9088),
    [sym_quote_expression] = STATE(9088),
    [sym_identifier] = STATE(7556),
    [sym__soft_identifier] = STATE(6581),
    [sym_wildcard] = STATE(9665),
    [sym__non_null_literal] = STATE(9088),
    [sym_boolean_literal] = STATE(8905),
    [sym_interpolated_string_expression] = STATE(9088),
    [sym_string] = STATE(8905),
    [sym_unit] = STATE(9088),
    [sym_return_expression] = STATE(13338),
    [sym_throw_expression] = STATE(13338),
    [sym_while_expression] = STATE(13338),
    [sym_do_while_expression] = STATE(13338),
    [sym_for_expression] = STATE(13338),
    [sym_comment] = STATE(1355),
    [sym_block_comment] = STATE(1355),
    [sym__alpha_identifier] = ACTIONS(1938),
    [anon_sym_LBRACE] = ACTIONS(1942),
    [anon_sym__] = ACTIONS(1944),
    [anon_sym_PLUS] = ACTIONS(1946),
    [anon_sym_DASH] = ACTIONS(1946),
    [anon_sym_end] = ACTIONS(1948),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2332),
    [anon_sym_for] = ACTIONS(2334),
    [anon_sym_try] = ACTIONS(2336),
    [anon_sym_new] = ACTIONS(1950),
    [anon_sym_opaque] = ACTIONS(1948),
    [anon_sym_implicit] = ACTIONS(2338),
    [anon_sym_inline] = ACTIONS(1952),
    [anon_sym_infix] = ACTIONS(1948),
    [anon_sym_open] = ACTIONS(1948),
    [anon_sym_transparent] = ACTIONS(1948),
    [anon_sym_LPAREN] = ACTIONS(1954),
    [anon_sym_macro] = ACTIONS(2270),
    [anon_sym_BANG] = ACTIONS(1946),
    [anon_sym_TILDE] = ACTIONS(1946),
    [anon_sym_DOLLAR] = ACTIONS(1956),
    [anon_sym_SQUOTE] = ACTIONS(1958),
    [sym__backquoted_id] = ACTIONS(1960),
    [sym_operator_identifier] = ACTIONS(2340),
    [sym_integer_literal] = ACTIONS(1964),
    [sym_floating_point_literal] = ACTIONS(1966),
    [anon_sym_true] = ACTIONS(1968),
    [anon_sym_false] = ACTIONS(1968),
    [sym_character_literal] = ACTIONS(1966),
    [sym_null_literal] = ACTIONS(1970),
    [anon_sym_return] = ACTIONS(2342),
    [anon_sym_throw] = ACTIONS(2344),
    [anon_sym_do] = ACTIONS(2278),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2346),
    [sym__simple_multiline_string] = ACTIONS(1972),
    [sym__simple_string] = ACTIONS(1972),
  },
  [1356] = {
    [sym_inline_modifier] = STATE(2148),
    [sym__indentable_expression] = STATE(13462),
    [sym_block] = STATE(9088),
    [sym_indented_block] = STATE(13438),
    [sym_indented_cases] = STATE(13438),
    [sym_expression] = STATE(12942),
    [sym__simple_expression] = STATE(8626),
    [sym_lambda_expression] = STATE(13338),
    [sym_if_expression] = STATE(13338),
    [sym_match_expression] = STATE(13338),
    [sym_try_expression] = STATE(13338),
    [sym_bindings] = STATE(15683),
    [sym_case_block] = STATE(9088),
    [sym_assignment_expression] = STATE(13338),
    [sym_generic_function] = STATE(9088),
    [sym_call_expression] = STATE(9088),
    [sym_field_expression] = STATE(9088),
    [sym_instance_expression] = STATE(9088),
    [sym_ascription_expression] = STATE(13338),
    [sym_infix_expression] = STATE(9773),
    [sym_postfix_expression] = STATE(13117),
    [sym__postfix_expression_choice] = STATE(15912),
    [sym_macro_body] = STATE(13338),
    [sym_prefix_expression] = STATE(10372),
    [sym_tuple_expression] = STATE(9088),
    [sym_parenthesized_expression] = STATE(9088),
    [sym_splice_expression] = STATE(9088),
    [sym_quote_expression] = STATE(9088),
    [sym_identifier] = STATE(7467),
    [sym__soft_identifier] = STATE(6581),
    [sym_wildcard] = STATE(9755),
    [sym__non_null_literal] = STATE(9088),
    [sym_boolean_literal] = STATE(8905),
    [sym_interpolated_string_expression] = STATE(9088),
    [sym_string] = STATE(8905),
    [sym_unit] = STATE(9088),
    [sym_return_expression] = STATE(13338),
    [sym_throw_expression] = STATE(13338),
    [sym_while_expression] = STATE(13338),
    [sym_do_while_expression] = STATE(13338),
    [sym_for_expression] = STATE(13338),
    [sym_comment] = STATE(1356),
    [sym_block_comment] = STATE(1356),
    [sym__alpha_identifier] = ACTIONS(1938),
    [anon_sym_LBRACE] = ACTIONS(1942),
    [anon_sym__] = ACTIONS(1944),
    [anon_sym_PLUS] = ACTIONS(1946),
    [anon_sym_DASH] = ACTIONS(1946),
    [anon_sym_end] = ACTIONS(1948),
    [anon_sym_if] = ACTIONS(2450),
    [anon_sym_while] = ACTIONS(2452),
    [anon_sym_for] = ACTIONS(2454),
    [anon_sym_try] = ACTIONS(2456),
    [anon_sym_new] = ACTIONS(1950),
    [anon_sym_opaque] = ACTIONS(1948),
    [anon_sym_implicit] = ACTIONS(2458),
    [anon_sym_inline] = ACTIONS(1952),
    [anon_sym_infix] = ACTIONS(1948),
    [anon_sym_open] = ACTIONS(1948),
    [anon_sym_transparent] = ACTIONS(1948),
    [anon_sym_LPAREN] = ACTIONS(1954),
    [anon_sym_macro] = ACTIONS(2270),
    [anon_sym_BANG] = ACTIONS(1946),
    [anon_sym_TILDE] = ACTIONS(1946),
    [anon_sym_DOLLAR] = ACTIONS(1956),
    [anon_sym_SQUOTE] = ACTIONS(1958),
    [sym__backquoted_id] = ACTIONS(1960),
    [sym_operator_identifier] = ACTIONS(2460),
    [sym_integer_literal] = ACTIONS(1964),
    [sym_floating_point_literal] = ACTIONS(1966),
    [anon_sym_true] = ACTIONS(1968),
    [anon_sym_false] = ACTIONS(1968),
    [sym_character_literal] = ACTIONS(1966),
    [sym_null_literal] = ACTIONS(1970),
    [anon_sym_return] = ACTIONS(2462),
    [anon_sym_throw] = ACTIONS(2464),
    [anon_sym_do] = ACTIONS(2278),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2346),
    [sym__simple_multiline_string] = ACTIONS(1972),
    [sym__simple_string] = ACTIONS(1972),
  },
  [1357] = {
    [sym_inline_modifier] = STATE(2055),
    [sym__indentable_expression] = STATE(13128),
    [sym_block] = STATE(8218),
    [sym_indented_block] = STATE(13075),
    [sym_indented_cases] = STATE(13075),
    [sym_expression] = STATE(12682),
    [sym__simple_expression] = STATE(6561),
    [sym_lambda_expression] = STATE(13097),
    [sym_if_expression] = STATE(13097),
    [sym_match_expression] = STATE(13097),
    [sym_try_expression] = STATE(13097),
    [sym_bindings] = STATE(15541),
    [sym_case_block] = STATE(8218),
    [sym_assignment_expression] = STATE(13097),
    [sym_generic_function] = STATE(8218),
    [sym_call_expression] = STATE(8218),
    [sym_field_expression] = STATE(8218),
    [sym_instance_expression] = STATE(8218),
    [sym_ascription_expression] = STATE(13097),
    [sym_infix_expression] = STATE(9424),
    [sym_postfix_expression] = STATE(12765),
    [sym__postfix_expression_choice] = STATE(16117),
    [sym_macro_body] = STATE(13097),
    [sym_prefix_expression] = STATE(9863),
    [sym_tuple_expression] = STATE(8218),
    [sym_parenthesized_expression] = STATE(8218),
    [sym_splice_expression] = STATE(8218),
    [sym_quote_expression] = STATE(8218),
    [sym_identifier] = STATE(5613),
    [sym__soft_identifier] = STATE(5752),
    [sym_wildcard] = STATE(8448),
    [sym__non_null_literal] = STATE(8218),
    [sym_boolean_literal] = STATE(8413),
    [sym_interpolated_string_expression] = STATE(8218),
    [sym_string] = STATE(8413),
    [sym_unit] = STATE(8218),
    [sym_return_expression] = STATE(13097),
    [sym_throw_expression] = STATE(13097),
    [sym_while_expression] = STATE(13097),
    [sym_do_while_expression] = STATE(13097),
    [sym_for_expression] = STATE(13097),
    [sym_comment] = STATE(1357),
    [sym_block_comment] = STATE(1357),
    [sym__alpha_identifier] = ACTIONS(1494),
    [anon_sym_LBRACE] = ACTIONS(1498),
    [anon_sym__] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1502),
    [anon_sym_end] = ACTIONS(1504),
    [anon_sym_if] = ACTIONS(2044),
    [anon_sym_while] = ACTIONS(2046),
    [anon_sym_for] = ACTIONS(2048),
    [anon_sym_try] = ACTIONS(2050),
    [anon_sym_new] = ACTIONS(1506),
    [anon_sym_opaque] = ACTIONS(1504),
    [anon_sym_implicit] = ACTIONS(2052),
    [anon_sym_inline] = ACTIONS(1508),
    [anon_sym_infix] = ACTIONS(1504),
    [anon_sym_open] = ACTIONS(1504),
    [anon_sym_transparent] = ACTIONS(1504),
    [anon_sym_LPAREN] = ACTIONS(1510),
    [anon_sym_macro] = ACTIONS(2054),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_TILDE] = ACTIONS(1502),
    [anon_sym_DOLLAR] = ACTIONS(1512),
    [anon_sym_SQUOTE] = ACTIONS(1514),
    [sym__backquoted_id] = ACTIONS(1516),
    [sym_operator_identifier] = ACTIONS(2056),
    [sym_integer_literal] = ACTIONS(1520),
    [sym_floating_point_literal] = ACTIONS(1522),
    [anon_sym_true] = ACTIONS(1524),
    [anon_sym_false] = ACTIONS(1524),
    [sym_character_literal] = ACTIONS(1522),
    [sym_null_literal] = ACTIONS(1526),
    [anon_sym_return] = ACTIONS(2058),
    [anon_sym_throw] = ACTIONS(2060),
    [anon_sym_do] = ACTIONS(2062),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3316),
    [sym__simple_multiline_string] = ACTIONS(1528),
    [sym__simple_string] = ACTIONS(1528),
  },
  [1358] = {
    [sym_inline_modifier] = STATE(2055),
    [sym__indentable_expression] = STATE(13036),
    [sym_block] = STATE(8218),
    [sym_indented_block] = STATE(13075),
    [sym_indented_cases] = STATE(13075),
    [sym_expression] = STATE(12682),
    [sym__simple_expression] = STATE(6561),
    [sym_lambda_expression] = STATE(13097),
    [sym_if_expression] = STATE(13097),
    [sym_match_expression] = STATE(13097),
    [sym_try_expression] = STATE(13097),
    [sym_bindings] = STATE(15541),
    [sym_case_block] = STATE(8218),
    [sym_assignment_expression] = STATE(13097),
    [sym_generic_function] = STATE(8218),
    [sym_call_expression] = STATE(8218),
    [sym_field_expression] = STATE(8218),
    [sym_instance_expression] = STATE(8218),
    [sym_ascription_expression] = STATE(13097),
    [sym_infix_expression] = STATE(9424),
    [sym_postfix_expression] = STATE(12765),
    [sym__postfix_expression_choice] = STATE(16117),
    [sym_macro_body] = STATE(13097),
    [sym_prefix_expression] = STATE(9863),
    [sym_tuple_expression] = STATE(8218),
    [sym_parenthesized_expression] = STATE(8218),
    [sym_splice_expression] = STATE(8218),
    [sym_quote_expression] = STATE(8218),
    [sym_identifier] = STATE(5613),
    [sym__soft_identifier] = STATE(5752),
    [sym_wildcard] = STATE(8448),
    [sym__non_null_literal] = STATE(8218),
    [sym_boolean_literal] = STATE(8413),
    [sym_interpolated_string_expression] = STATE(8218),
    [sym_string] = STATE(8413),
    [sym_unit] = STATE(8218),
    [sym_return_expression] = STATE(13097),
    [sym_throw_expression] = STATE(13097),
    [sym_while_expression] = STATE(13097),
    [sym_do_while_expression] = STATE(13097),
    [sym_for_expression] = STATE(13097),
    [sym_comment] = STATE(1358),
    [sym_block_comment] = STATE(1358),
    [sym__alpha_identifier] = ACTIONS(1494),
    [anon_sym_LBRACE] = ACTIONS(1498),
    [anon_sym__] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1502),
    [anon_sym_end] = ACTIONS(1504),
    [anon_sym_if] = ACTIONS(2044),
    [anon_sym_while] = ACTIONS(2046),
    [anon_sym_for] = ACTIONS(2048),
    [anon_sym_try] = ACTIONS(2050),
    [anon_sym_new] = ACTIONS(1506),
    [anon_sym_opaque] = ACTIONS(1504),
    [anon_sym_implicit] = ACTIONS(2052),
    [anon_sym_inline] = ACTIONS(1508),
    [anon_sym_infix] = ACTIONS(1504),
    [anon_sym_open] = ACTIONS(1504),
    [anon_sym_transparent] = ACTIONS(1504),
    [anon_sym_LPAREN] = ACTIONS(1510),
    [anon_sym_macro] = ACTIONS(2054),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_TILDE] = ACTIONS(1502),
    [anon_sym_DOLLAR] = ACTIONS(1512),
    [anon_sym_SQUOTE] = ACTIONS(1514),
    [sym__backquoted_id] = ACTIONS(1516),
    [sym_operator_identifier] = ACTIONS(2056),
    [sym_integer_literal] = ACTIONS(1520),
    [sym_floating_point_literal] = ACTIONS(1522),
    [anon_sym_true] = ACTIONS(1524),
    [anon_sym_false] = ACTIONS(1524),
    [sym_character_literal] = ACTIONS(1522),
    [sym_null_literal] = ACTIONS(1526),
    [anon_sym_return] = ACTIONS(2058),
    [anon_sym_throw] = ACTIONS(2060),
    [anon_sym_do] = ACTIONS(2062),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3316),
    [sym__simple_multiline_string] = ACTIONS(1528),
    [sym__simple_string] = ACTIONS(1528),
  },
  [1359] = {
    [sym_inline_modifier] = STATE(2076),
    [sym__indentable_expression] = STATE(14276),
    [sym_block] = STATE(9327),
    [sym_indented_block] = STATE(13548),
    [sym_indented_cases] = STATE(13548),
    [sym_expression] = STATE(13406),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(1359),
    [sym_block_comment] = STATE(1359),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(3109),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [1360] = {
    [sym_inline_modifier] = STATE(2055),
    [sym__indentable_expression] = STATE(13028),
    [sym_block] = STATE(8218),
    [sym_indented_block] = STATE(13075),
    [sym_indented_cases] = STATE(13075),
    [sym_expression] = STATE(12682),
    [sym__simple_expression] = STATE(6561),
    [sym_lambda_expression] = STATE(13097),
    [sym_if_expression] = STATE(13097),
    [sym_match_expression] = STATE(13097),
    [sym_try_expression] = STATE(13097),
    [sym_bindings] = STATE(15541),
    [sym_case_block] = STATE(8218),
    [sym_assignment_expression] = STATE(13097),
    [sym_generic_function] = STATE(8218),
    [sym_call_expression] = STATE(8218),
    [sym_field_expression] = STATE(8218),
    [sym_instance_expression] = STATE(8218),
    [sym_ascription_expression] = STATE(13097),
    [sym_infix_expression] = STATE(9424),
    [sym_postfix_expression] = STATE(12765),
    [sym__postfix_expression_choice] = STATE(16117),
    [sym_macro_body] = STATE(13097),
    [sym_prefix_expression] = STATE(9863),
    [sym_tuple_expression] = STATE(8218),
    [sym_parenthesized_expression] = STATE(8218),
    [sym_splice_expression] = STATE(8218),
    [sym_quote_expression] = STATE(8218),
    [sym_identifier] = STATE(5613),
    [sym__soft_identifier] = STATE(5752),
    [sym_wildcard] = STATE(8448),
    [sym__non_null_literal] = STATE(8218),
    [sym_boolean_literal] = STATE(8413),
    [sym_interpolated_string_expression] = STATE(8218),
    [sym_string] = STATE(8413),
    [sym_unit] = STATE(8218),
    [sym_return_expression] = STATE(13097),
    [sym_throw_expression] = STATE(13097),
    [sym_while_expression] = STATE(13097),
    [sym_do_while_expression] = STATE(13097),
    [sym_for_expression] = STATE(13097),
    [sym_comment] = STATE(1360),
    [sym_block_comment] = STATE(1360),
    [sym__alpha_identifier] = ACTIONS(1494),
    [anon_sym_LBRACE] = ACTIONS(1498),
    [anon_sym__] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1502),
    [anon_sym_end] = ACTIONS(1504),
    [anon_sym_if] = ACTIONS(2044),
    [anon_sym_while] = ACTIONS(2046),
    [anon_sym_for] = ACTIONS(2048),
    [anon_sym_try] = ACTIONS(2050),
    [anon_sym_new] = ACTIONS(1506),
    [anon_sym_opaque] = ACTIONS(1504),
    [anon_sym_implicit] = ACTIONS(2052),
    [anon_sym_inline] = ACTIONS(1508),
    [anon_sym_infix] = ACTIONS(1504),
    [anon_sym_open] = ACTIONS(1504),
    [anon_sym_transparent] = ACTIONS(1504),
    [anon_sym_LPAREN] = ACTIONS(1510),
    [anon_sym_macro] = ACTIONS(2054),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_TILDE] = ACTIONS(1502),
    [anon_sym_DOLLAR] = ACTIONS(1512),
    [anon_sym_SQUOTE] = ACTIONS(1514),
    [sym__backquoted_id] = ACTIONS(1516),
    [sym_operator_identifier] = ACTIONS(2056),
    [sym_integer_literal] = ACTIONS(1520),
    [sym_floating_point_literal] = ACTIONS(1522),
    [anon_sym_true] = ACTIONS(1524),
    [anon_sym_false] = ACTIONS(1524),
    [sym_character_literal] = ACTIONS(1522),
    [sym_null_literal] = ACTIONS(1526),
    [anon_sym_return] = ACTIONS(2058),
    [anon_sym_throw] = ACTIONS(2060),
    [anon_sym_do] = ACTIONS(2062),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3316),
    [sym__simple_multiline_string] = ACTIONS(1528),
    [sym__simple_string] = ACTIONS(1528),
  },
  [1361] = {
    [sym_inline_modifier] = STATE(2234),
    [sym__indentable_expression] = STATE(13001),
    [sym_block] = STATE(7443),
    [sym_indented_block] = STATE(12679),
    [sym_indented_cases] = STATE(12679),
    [sym_expression] = STATE(12305),
    [sym__simple_expression] = STATE(5279),
    [sym_lambda_expression] = STATE(12692),
    [sym_if_expression] = STATE(12692),
    [sym_match_expression] = STATE(12692),
    [sym_try_expression] = STATE(12692),
    [sym_bindings] = STATE(15619),
    [sym_case_block] = STATE(7443),
    [sym_assignment_expression] = STATE(12692),
    [sym_generic_function] = STATE(7443),
    [sym_call_expression] = STATE(7443),
    [sym_field_expression] = STATE(7443),
    [sym_instance_expression] = STATE(7443),
    [sym_ascription_expression] = STATE(12692),
    [sym_infix_expression] = STATE(8993),
    [sym_postfix_expression] = STATE(12386),
    [sym__postfix_expression_choice] = STATE(16150),
    [sym_macro_body] = STATE(12692),
    [sym_prefix_expression] = STATE(8795),
    [sym_tuple_expression] = STATE(7443),
    [sym_parenthesized_expression] = STATE(7443),
    [sym_splice_expression] = STATE(7443),
    [sym_quote_expression] = STATE(7443),
    [sym_identifier] = STATE(4734),
    [sym__soft_identifier] = STATE(5213),
    [sym_wildcard] = STATE(7227),
    [sym__non_null_literal] = STATE(7443),
    [sym_boolean_literal] = STATE(7707),
    [sym_interpolated_string_expression] = STATE(7443),
    [sym_string] = STATE(7707),
    [sym_unit] = STATE(7443),
    [sym_return_expression] = STATE(12692),
    [sym_throw_expression] = STATE(12692),
    [sym_while_expression] = STATE(12692),
    [sym_do_while_expression] = STATE(12692),
    [sym_for_expression] = STATE(12692),
    [sym_comment] = STATE(1361),
    [sym_block_comment] = STATE(1361),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(2292),
    [anon_sym_while] = ACTIONS(1480),
    [anon_sym_for] = ACTIONS(1482),
    [anon_sym_try] = ACTIONS(1484),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(1486),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1196),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(1488),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(1490),
    [anon_sym_throw] = ACTIONS(1492),
    [anon_sym_do] = ACTIONS(1204),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2294),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [1362] = {
    [sym_inline_modifier] = STATE(2183),
    [sym__indentable_expression] = STATE(13460),
    [sym_block] = STATE(9088),
    [sym_indented_block] = STATE(13438),
    [sym_indented_cases] = STATE(13438),
    [sym_expression] = STATE(12942),
    [sym__simple_expression] = STATE(8555),
    [sym_lambda_expression] = STATE(13338),
    [sym_if_expression] = STATE(13338),
    [sym_match_expression] = STATE(13338),
    [sym_try_expression] = STATE(13338),
    [sym_bindings] = STATE(15553),
    [sym_case_block] = STATE(9088),
    [sym_assignment_expression] = STATE(13338),
    [sym_generic_function] = STATE(9088),
    [sym_call_expression] = STATE(9088),
    [sym_field_expression] = STATE(9088),
    [sym_instance_expression] = STATE(9088),
    [sym_ascription_expression] = STATE(13338),
    [sym_infix_expression] = STATE(9773),
    [sym_postfix_expression] = STATE(13117),
    [sym__postfix_expression_choice] = STATE(15912),
    [sym_macro_body] = STATE(13338),
    [sym_prefix_expression] = STATE(10565),
    [sym_tuple_expression] = STATE(9088),
    [sym_parenthesized_expression] = STATE(9088),
    [sym_splice_expression] = STATE(9088),
    [sym_quote_expression] = STATE(9088),
    [sym_identifier] = STATE(7556),
    [sym__soft_identifier] = STATE(6581),
    [sym_wildcard] = STATE(9665),
    [sym__non_null_literal] = STATE(9088),
    [sym_boolean_literal] = STATE(8905),
    [sym_interpolated_string_expression] = STATE(9088),
    [sym_string] = STATE(8905),
    [sym_unit] = STATE(9088),
    [sym_return_expression] = STATE(13338),
    [sym_throw_expression] = STATE(13338),
    [sym_while_expression] = STATE(13338),
    [sym_do_while_expression] = STATE(13338),
    [sym_for_expression] = STATE(13338),
    [sym_comment] = STATE(1362),
    [sym_block_comment] = STATE(1362),
    [sym__alpha_identifier] = ACTIONS(1938),
    [anon_sym_LBRACE] = ACTIONS(1942),
    [anon_sym__] = ACTIONS(1944),
    [anon_sym_PLUS] = ACTIONS(1946),
    [anon_sym_DASH] = ACTIONS(1946),
    [anon_sym_end] = ACTIONS(1948),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2332),
    [anon_sym_for] = ACTIONS(2334),
    [anon_sym_try] = ACTIONS(2336),
    [anon_sym_new] = ACTIONS(1950),
    [anon_sym_opaque] = ACTIONS(1948),
    [anon_sym_implicit] = ACTIONS(2338),
    [anon_sym_inline] = ACTIONS(1952),
    [anon_sym_infix] = ACTIONS(1948),
    [anon_sym_open] = ACTIONS(1948),
    [anon_sym_transparent] = ACTIONS(1948),
    [anon_sym_LPAREN] = ACTIONS(1954),
    [anon_sym_macro] = ACTIONS(2270),
    [anon_sym_BANG] = ACTIONS(1946),
    [anon_sym_TILDE] = ACTIONS(1946),
    [anon_sym_DOLLAR] = ACTIONS(1956),
    [anon_sym_SQUOTE] = ACTIONS(1958),
    [sym__backquoted_id] = ACTIONS(1960),
    [sym_operator_identifier] = ACTIONS(2340),
    [sym_integer_literal] = ACTIONS(1964),
    [sym_floating_point_literal] = ACTIONS(1966),
    [anon_sym_true] = ACTIONS(1968),
    [anon_sym_false] = ACTIONS(1968),
    [sym_character_literal] = ACTIONS(1966),
    [sym_null_literal] = ACTIONS(1970),
    [anon_sym_return] = ACTIONS(2342),
    [anon_sym_throw] = ACTIONS(2344),
    [anon_sym_do] = ACTIONS(2278),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2346),
    [sym__simple_multiline_string] = ACTIONS(1972),
    [sym__simple_string] = ACTIONS(1972),
  },
  [1363] = {
    [sym_inline_modifier] = STATE(2055),
    [sym__indentable_expression] = STATE(13026),
    [sym_block] = STATE(8218),
    [sym_indented_block] = STATE(13075),
    [sym_indented_cases] = STATE(13075),
    [sym_expression] = STATE(12682),
    [sym__simple_expression] = STATE(6561),
    [sym_lambda_expression] = STATE(13097),
    [sym_if_expression] = STATE(13097),
    [sym_match_expression] = STATE(13097),
    [sym_try_expression] = STATE(13097),
    [sym_bindings] = STATE(15541),
    [sym_case_block] = STATE(8218),
    [sym_assignment_expression] = STATE(13097),
    [sym_generic_function] = STATE(8218),
    [sym_call_expression] = STATE(8218),
    [sym_field_expression] = STATE(8218),
    [sym_instance_expression] = STATE(8218),
    [sym_ascription_expression] = STATE(13097),
    [sym_infix_expression] = STATE(9424),
    [sym_postfix_expression] = STATE(12765),
    [sym__postfix_expression_choice] = STATE(16117),
    [sym_macro_body] = STATE(13097),
    [sym_prefix_expression] = STATE(9863),
    [sym_tuple_expression] = STATE(8218),
    [sym_parenthesized_expression] = STATE(8218),
    [sym_splice_expression] = STATE(8218),
    [sym_quote_expression] = STATE(8218),
    [sym_identifier] = STATE(5613),
    [sym__soft_identifier] = STATE(5752),
    [sym_wildcard] = STATE(8448),
    [sym__non_null_literal] = STATE(8218),
    [sym_boolean_literal] = STATE(8413),
    [sym_interpolated_string_expression] = STATE(8218),
    [sym_string] = STATE(8413),
    [sym_unit] = STATE(8218),
    [sym_return_expression] = STATE(13097),
    [sym_throw_expression] = STATE(13097),
    [sym_while_expression] = STATE(13097),
    [sym_do_while_expression] = STATE(13097),
    [sym_for_expression] = STATE(13097),
    [sym_comment] = STATE(1363),
    [sym_block_comment] = STATE(1363),
    [sym__alpha_identifier] = ACTIONS(1494),
    [anon_sym_LBRACE] = ACTIONS(1498),
    [anon_sym__] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1502),
    [anon_sym_end] = ACTIONS(1504),
    [anon_sym_if] = ACTIONS(2044),
    [anon_sym_while] = ACTIONS(2046),
    [anon_sym_for] = ACTIONS(2048),
    [anon_sym_try] = ACTIONS(2050),
    [anon_sym_new] = ACTIONS(1506),
    [anon_sym_opaque] = ACTIONS(1504),
    [anon_sym_implicit] = ACTIONS(2052),
    [anon_sym_inline] = ACTIONS(1508),
    [anon_sym_infix] = ACTIONS(1504),
    [anon_sym_open] = ACTIONS(1504),
    [anon_sym_transparent] = ACTIONS(1504),
    [anon_sym_LPAREN] = ACTIONS(1510),
    [anon_sym_macro] = ACTIONS(2054),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_TILDE] = ACTIONS(1502),
    [anon_sym_DOLLAR] = ACTIONS(1512),
    [anon_sym_SQUOTE] = ACTIONS(1514),
    [sym__backquoted_id] = ACTIONS(1516),
    [sym_operator_identifier] = ACTIONS(2056),
    [sym_integer_literal] = ACTIONS(1520),
    [sym_floating_point_literal] = ACTIONS(1522),
    [anon_sym_true] = ACTIONS(1524),
    [anon_sym_false] = ACTIONS(1524),
    [sym_character_literal] = ACTIONS(1522),
    [sym_null_literal] = ACTIONS(1526),
    [anon_sym_return] = ACTIONS(2058),
    [anon_sym_throw] = ACTIONS(2060),
    [anon_sym_do] = ACTIONS(2062),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3316),
    [sym__simple_multiline_string] = ACTIONS(1528),
    [sym__simple_string] = ACTIONS(1528),
  },
  [1364] = {
    [sym_inline_modifier] = STATE(2067),
    [sym__indentable_expression] = STATE(12619),
    [sym_block] = STATE(10133),
    [sym_indented_block] = STATE(12292),
    [sym_indented_cases] = STATE(12292),
    [sym_expression] = STATE(13765),
    [sym__simple_expression] = STATE(7525),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15728),
    [sym_case_block] = STATE(10133),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(10133),
    [sym_call_expression] = STATE(10133),
    [sym_field_expression] = STATE(10133),
    [sym_instance_expression] = STATE(10133),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(10489),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(17114),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10321),
    [sym_tuple_expression] = STATE(10133),
    [sym_parenthesized_expression] = STATE(10133),
    [sym_splice_expression] = STATE(10133),
    [sym_quote_expression] = STATE(10133),
    [sym_identifier] = STATE(7070),
    [sym__soft_identifier] = STATE(4482),
    [sym_wildcard] = STATE(9321),
    [sym__non_null_literal] = STATE(10133),
    [sym_boolean_literal] = STATE(7065),
    [sym_interpolated_string_expression] = STATE(10133),
    [sym_string] = STATE(7065),
    [sym_unit] = STATE(10133),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(1364),
    [sym_block_comment] = STATE(1364),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_end] = ACTIONS(2374),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_opaque] = ACTIONS(2374),
    [anon_sym_implicit] = ACTIONS(3002),
    [anon_sym_inline] = ACTIONS(67),
    [anon_sym_infix] = ACTIONS(2374),
    [anon_sym_open] = ACTIONS(2374),
    [anon_sym_transparent] = ACTIONS(2374),
    [anon_sym_LPAREN] = ACTIONS(75),
    [anon_sym_macro] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(83),
    [sym_operator_identifier] = ACTIONS(85),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(95),
    [anon_sym_throw] = ACTIONS(97),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [1365] = {
    [sym_inline_modifier] = STATE(2055),
    [sym__indentable_expression] = STATE(13022),
    [sym_block] = STATE(8218),
    [sym_indented_block] = STATE(13075),
    [sym_indented_cases] = STATE(13075),
    [sym_expression] = STATE(12682),
    [sym__simple_expression] = STATE(6561),
    [sym_lambda_expression] = STATE(13097),
    [sym_if_expression] = STATE(13097),
    [sym_match_expression] = STATE(13097),
    [sym_try_expression] = STATE(13097),
    [sym_bindings] = STATE(15541),
    [sym_case_block] = STATE(8218),
    [sym_assignment_expression] = STATE(13097),
    [sym_generic_function] = STATE(8218),
    [sym_call_expression] = STATE(8218),
    [sym_field_expression] = STATE(8218),
    [sym_instance_expression] = STATE(8218),
    [sym_ascription_expression] = STATE(13097),
    [sym_infix_expression] = STATE(9424),
    [sym_postfix_expression] = STATE(12765),
    [sym__postfix_expression_choice] = STATE(16117),
    [sym_macro_body] = STATE(13097),
    [sym_prefix_expression] = STATE(9863),
    [sym_tuple_expression] = STATE(8218),
    [sym_parenthesized_expression] = STATE(8218),
    [sym_splice_expression] = STATE(8218),
    [sym_quote_expression] = STATE(8218),
    [sym_identifier] = STATE(5613),
    [sym__soft_identifier] = STATE(5752),
    [sym_wildcard] = STATE(8448),
    [sym__non_null_literal] = STATE(8218),
    [sym_boolean_literal] = STATE(8413),
    [sym_interpolated_string_expression] = STATE(8218),
    [sym_string] = STATE(8413),
    [sym_unit] = STATE(8218),
    [sym_return_expression] = STATE(13097),
    [sym_throw_expression] = STATE(13097),
    [sym_while_expression] = STATE(13097),
    [sym_do_while_expression] = STATE(13097),
    [sym_for_expression] = STATE(13097),
    [sym_comment] = STATE(1365),
    [sym_block_comment] = STATE(1365),
    [sym__alpha_identifier] = ACTIONS(1494),
    [anon_sym_LBRACE] = ACTIONS(1498),
    [anon_sym__] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1502),
    [anon_sym_end] = ACTIONS(1504),
    [anon_sym_if] = ACTIONS(2044),
    [anon_sym_while] = ACTIONS(2046),
    [anon_sym_for] = ACTIONS(2048),
    [anon_sym_try] = ACTIONS(2050),
    [anon_sym_new] = ACTIONS(1506),
    [anon_sym_opaque] = ACTIONS(1504),
    [anon_sym_implicit] = ACTIONS(2052),
    [anon_sym_inline] = ACTIONS(1508),
    [anon_sym_infix] = ACTIONS(1504),
    [anon_sym_open] = ACTIONS(1504),
    [anon_sym_transparent] = ACTIONS(1504),
    [anon_sym_LPAREN] = ACTIONS(1510),
    [anon_sym_macro] = ACTIONS(2054),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_TILDE] = ACTIONS(1502),
    [anon_sym_DOLLAR] = ACTIONS(1512),
    [anon_sym_SQUOTE] = ACTIONS(1514),
    [sym__backquoted_id] = ACTIONS(1516),
    [sym_operator_identifier] = ACTIONS(2056),
    [sym_integer_literal] = ACTIONS(1520),
    [sym_floating_point_literal] = ACTIONS(1522),
    [anon_sym_true] = ACTIONS(1524),
    [anon_sym_false] = ACTIONS(1524),
    [sym_character_literal] = ACTIONS(1522),
    [sym_null_literal] = ACTIONS(1526),
    [anon_sym_return] = ACTIONS(2058),
    [anon_sym_throw] = ACTIONS(2060),
    [anon_sym_do] = ACTIONS(2062),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3316),
    [sym__simple_multiline_string] = ACTIONS(1528),
    [sym__simple_string] = ACTIONS(1528),
  },
  [1366] = {
    [sym_inline_modifier] = STATE(2055),
    [sym__indentable_expression] = STATE(13500),
    [sym_block] = STATE(8218),
    [sym_indented_block] = STATE(13075),
    [sym_indented_cases] = STATE(13075),
    [sym_expression] = STATE(12682),
    [sym__simple_expression] = STATE(6561),
    [sym_lambda_expression] = STATE(13097),
    [sym_if_expression] = STATE(13097),
    [sym_match_expression] = STATE(13097),
    [sym_try_expression] = STATE(13097),
    [sym_bindings] = STATE(15541),
    [sym_case_block] = STATE(8218),
    [sym_assignment_expression] = STATE(13097),
    [sym_generic_function] = STATE(8218),
    [sym_call_expression] = STATE(8218),
    [sym_field_expression] = STATE(8218),
    [sym_instance_expression] = STATE(8218),
    [sym_ascription_expression] = STATE(13097),
    [sym_infix_expression] = STATE(9424),
    [sym_postfix_expression] = STATE(12765),
    [sym__postfix_expression_choice] = STATE(16117),
    [sym_macro_body] = STATE(13097),
    [sym_prefix_expression] = STATE(9863),
    [sym_tuple_expression] = STATE(8218),
    [sym_parenthesized_expression] = STATE(8218),
    [sym_splice_expression] = STATE(8218),
    [sym_quote_expression] = STATE(8218),
    [sym_identifier] = STATE(5613),
    [sym__soft_identifier] = STATE(5752),
    [sym_wildcard] = STATE(8448),
    [sym__non_null_literal] = STATE(8218),
    [sym_boolean_literal] = STATE(8413),
    [sym_interpolated_string_expression] = STATE(8218),
    [sym_string] = STATE(8413),
    [sym_unit] = STATE(8218),
    [sym_return_expression] = STATE(13097),
    [sym_throw_expression] = STATE(13097),
    [sym_while_expression] = STATE(13097),
    [sym_do_while_expression] = STATE(13097),
    [sym_for_expression] = STATE(13097),
    [sym_comment] = STATE(1366),
    [sym_block_comment] = STATE(1366),
    [sym__alpha_identifier] = ACTIONS(1494),
    [anon_sym_LBRACE] = ACTIONS(1498),
    [anon_sym__] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1502),
    [anon_sym_end] = ACTIONS(1504),
    [anon_sym_if] = ACTIONS(2044),
    [anon_sym_while] = ACTIONS(2046),
    [anon_sym_for] = ACTIONS(2048),
    [anon_sym_try] = ACTIONS(2050),
    [anon_sym_new] = ACTIONS(1506),
    [anon_sym_opaque] = ACTIONS(1504),
    [anon_sym_implicit] = ACTIONS(2052),
    [anon_sym_inline] = ACTIONS(1508),
    [anon_sym_infix] = ACTIONS(1504),
    [anon_sym_open] = ACTIONS(1504),
    [anon_sym_transparent] = ACTIONS(1504),
    [anon_sym_LPAREN] = ACTIONS(1510),
    [anon_sym_macro] = ACTIONS(2054),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_TILDE] = ACTIONS(1502),
    [anon_sym_DOLLAR] = ACTIONS(1512),
    [anon_sym_SQUOTE] = ACTIONS(1514),
    [sym__backquoted_id] = ACTIONS(1516),
    [sym_operator_identifier] = ACTIONS(2056),
    [sym_integer_literal] = ACTIONS(1520),
    [sym_floating_point_literal] = ACTIONS(1522),
    [anon_sym_true] = ACTIONS(1524),
    [anon_sym_false] = ACTIONS(1524),
    [sym_character_literal] = ACTIONS(1522),
    [sym_null_literal] = ACTIONS(1526),
    [anon_sym_return] = ACTIONS(2058),
    [anon_sym_throw] = ACTIONS(2060),
    [anon_sym_do] = ACTIONS(2062),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3316),
    [sym__simple_multiline_string] = ACTIONS(1528),
    [sym__simple_string] = ACTIONS(1528),
  },
  [1367] = {
    [sym_inline_modifier] = STATE(2183),
    [sym__indentable_expression] = STATE(13462),
    [sym_block] = STATE(9088),
    [sym_indented_block] = STATE(13438),
    [sym_indented_cases] = STATE(13438),
    [sym_expression] = STATE(12942),
    [sym__simple_expression] = STATE(8555),
    [sym_lambda_expression] = STATE(13338),
    [sym_if_expression] = STATE(13338),
    [sym_match_expression] = STATE(13338),
    [sym_try_expression] = STATE(13338),
    [sym_bindings] = STATE(15553),
    [sym_case_block] = STATE(9088),
    [sym_assignment_expression] = STATE(13338),
    [sym_generic_function] = STATE(9088),
    [sym_call_expression] = STATE(9088),
    [sym_field_expression] = STATE(9088),
    [sym_instance_expression] = STATE(9088),
    [sym_ascription_expression] = STATE(13338),
    [sym_infix_expression] = STATE(9773),
    [sym_postfix_expression] = STATE(13117),
    [sym__postfix_expression_choice] = STATE(15912),
    [sym_macro_body] = STATE(13338),
    [sym_prefix_expression] = STATE(10565),
    [sym_tuple_expression] = STATE(9088),
    [sym_parenthesized_expression] = STATE(9088),
    [sym_splice_expression] = STATE(9088),
    [sym_quote_expression] = STATE(9088),
    [sym_identifier] = STATE(7556),
    [sym__soft_identifier] = STATE(6581),
    [sym_wildcard] = STATE(9665),
    [sym__non_null_literal] = STATE(9088),
    [sym_boolean_literal] = STATE(8905),
    [sym_interpolated_string_expression] = STATE(9088),
    [sym_string] = STATE(8905),
    [sym_unit] = STATE(9088),
    [sym_return_expression] = STATE(13338),
    [sym_throw_expression] = STATE(13338),
    [sym_while_expression] = STATE(13338),
    [sym_do_while_expression] = STATE(13338),
    [sym_for_expression] = STATE(13338),
    [sym_comment] = STATE(1367),
    [sym_block_comment] = STATE(1367),
    [sym__alpha_identifier] = ACTIONS(1938),
    [anon_sym_LBRACE] = ACTIONS(1942),
    [anon_sym__] = ACTIONS(1944),
    [anon_sym_PLUS] = ACTIONS(1946),
    [anon_sym_DASH] = ACTIONS(1946),
    [anon_sym_end] = ACTIONS(1948),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2332),
    [anon_sym_for] = ACTIONS(2334),
    [anon_sym_try] = ACTIONS(2336),
    [anon_sym_new] = ACTIONS(1950),
    [anon_sym_opaque] = ACTIONS(1948),
    [anon_sym_implicit] = ACTIONS(2338),
    [anon_sym_inline] = ACTIONS(1952),
    [anon_sym_infix] = ACTIONS(1948),
    [anon_sym_open] = ACTIONS(1948),
    [anon_sym_transparent] = ACTIONS(1948),
    [anon_sym_LPAREN] = ACTIONS(1954),
    [anon_sym_macro] = ACTIONS(2270),
    [anon_sym_BANG] = ACTIONS(1946),
    [anon_sym_TILDE] = ACTIONS(1946),
    [anon_sym_DOLLAR] = ACTIONS(1956),
    [anon_sym_SQUOTE] = ACTIONS(1958),
    [sym__backquoted_id] = ACTIONS(1960),
    [sym_operator_identifier] = ACTIONS(2340),
    [sym_integer_literal] = ACTIONS(1964),
    [sym_floating_point_literal] = ACTIONS(1966),
    [anon_sym_true] = ACTIONS(1968),
    [anon_sym_false] = ACTIONS(1968),
    [sym_character_literal] = ACTIONS(1966),
    [sym_null_literal] = ACTIONS(1970),
    [anon_sym_return] = ACTIONS(2342),
    [anon_sym_throw] = ACTIONS(2344),
    [anon_sym_do] = ACTIONS(2278),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2346),
    [sym__simple_multiline_string] = ACTIONS(1972),
    [sym__simple_string] = ACTIONS(1972),
  },
  [1368] = {
    [sym_inline_modifier] = STATE(2183),
    [sym__indentable_expression] = STATE(13463),
    [sym_block] = STATE(9088),
    [sym_indented_block] = STATE(13438),
    [sym_indented_cases] = STATE(13438),
    [sym_expression] = STATE(12942),
    [sym__simple_expression] = STATE(8555),
    [sym_lambda_expression] = STATE(13338),
    [sym_if_expression] = STATE(13338),
    [sym_match_expression] = STATE(13338),
    [sym_try_expression] = STATE(13338),
    [sym_bindings] = STATE(15553),
    [sym_case_block] = STATE(9088),
    [sym_assignment_expression] = STATE(13338),
    [sym_generic_function] = STATE(9088),
    [sym_call_expression] = STATE(9088),
    [sym_field_expression] = STATE(9088),
    [sym_instance_expression] = STATE(9088),
    [sym_ascription_expression] = STATE(13338),
    [sym_infix_expression] = STATE(9773),
    [sym_postfix_expression] = STATE(13117),
    [sym__postfix_expression_choice] = STATE(15912),
    [sym_macro_body] = STATE(13338),
    [sym_prefix_expression] = STATE(10565),
    [sym_tuple_expression] = STATE(9088),
    [sym_parenthesized_expression] = STATE(9088),
    [sym_splice_expression] = STATE(9088),
    [sym_quote_expression] = STATE(9088),
    [sym_identifier] = STATE(7556),
    [sym__soft_identifier] = STATE(6581),
    [sym_wildcard] = STATE(9665),
    [sym__non_null_literal] = STATE(9088),
    [sym_boolean_literal] = STATE(8905),
    [sym_interpolated_string_expression] = STATE(9088),
    [sym_string] = STATE(8905),
    [sym_unit] = STATE(9088),
    [sym_return_expression] = STATE(13338),
    [sym_throw_expression] = STATE(13338),
    [sym_while_expression] = STATE(13338),
    [sym_do_while_expression] = STATE(13338),
    [sym_for_expression] = STATE(13338),
    [sym_comment] = STATE(1368),
    [sym_block_comment] = STATE(1368),
    [sym__alpha_identifier] = ACTIONS(1938),
    [anon_sym_LBRACE] = ACTIONS(1942),
    [anon_sym__] = ACTIONS(1944),
    [anon_sym_PLUS] = ACTIONS(1946),
    [anon_sym_DASH] = ACTIONS(1946),
    [anon_sym_end] = ACTIONS(1948),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2332),
    [anon_sym_for] = ACTIONS(2334),
    [anon_sym_try] = ACTIONS(2336),
    [anon_sym_new] = ACTIONS(1950),
    [anon_sym_opaque] = ACTIONS(1948),
    [anon_sym_implicit] = ACTIONS(2338),
    [anon_sym_inline] = ACTIONS(1952),
    [anon_sym_infix] = ACTIONS(1948),
    [anon_sym_open] = ACTIONS(1948),
    [anon_sym_transparent] = ACTIONS(1948),
    [anon_sym_LPAREN] = ACTIONS(1954),
    [anon_sym_macro] = ACTIONS(2270),
    [anon_sym_BANG] = ACTIONS(1946),
    [anon_sym_TILDE] = ACTIONS(1946),
    [anon_sym_DOLLAR] = ACTIONS(1956),
    [anon_sym_SQUOTE] = ACTIONS(1958),
    [sym__backquoted_id] = ACTIONS(1960),
    [sym_operator_identifier] = ACTIONS(2340),
    [sym_integer_literal] = ACTIONS(1964),
    [sym_floating_point_literal] = ACTIONS(1966),
    [anon_sym_true] = ACTIONS(1968),
    [anon_sym_false] = ACTIONS(1968),
    [sym_character_literal] = ACTIONS(1966),
    [sym_null_literal] = ACTIONS(1970),
    [anon_sym_return] = ACTIONS(2342),
    [anon_sym_throw] = ACTIONS(2344),
    [anon_sym_do] = ACTIONS(2278),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2346),
    [sym__simple_multiline_string] = ACTIONS(1972),
    [sym__simple_string] = ACTIONS(1972),
  },
  [1369] = {
    [sym_inline_modifier] = STATE(2223),
    [sym__indentable_expression] = STATE(13066),
    [sym_block] = STATE(8375),
    [sym_indented_block] = STATE(13183),
    [sym_indented_cases] = STATE(13183),
    [sym_expression] = STATE(12800),
    [sym__simple_expression] = STATE(7442),
    [sym_lambda_expression] = STATE(13185),
    [sym_if_expression] = STATE(13185),
    [sym_match_expression] = STATE(13185),
    [sym_try_expression] = STATE(13185),
    [sym_bindings] = STATE(15586),
    [sym_case_block] = STATE(8375),
    [sym_assignment_expression] = STATE(13185),
    [sym_generic_function] = STATE(8375),
    [sym_call_expression] = STATE(8375),
    [sym_field_expression] = STATE(8375),
    [sym_instance_expression] = STATE(8375),
    [sym_ascription_expression] = STATE(13185),
    [sym_infix_expression] = STATE(9364),
    [sym_postfix_expression] = STATE(12809),
    [sym__postfix_expression_choice] = STATE(16440),
    [sym_macro_body] = STATE(13185),
    [sym_prefix_expression] = STATE(10191),
    [sym_tuple_expression] = STATE(8375),
    [sym_parenthesized_expression] = STATE(8375),
    [sym_splice_expression] = STATE(8375),
    [sym_quote_expression] = STATE(8375),
    [sym_identifier] = STATE(7290),
    [sym__soft_identifier] = STATE(5430),
    [sym_wildcard] = STATE(9387),
    [sym__non_null_literal] = STATE(8375),
    [sym_boolean_literal] = STATE(8117),
    [sym_interpolated_string_expression] = STATE(8375),
    [sym_string] = STATE(8117),
    [sym_unit] = STATE(8375),
    [sym_return_expression] = STATE(13185),
    [sym_throw_expression] = STATE(13185),
    [sym_while_expression] = STATE(13185),
    [sym_do_while_expression] = STATE(13185),
    [sym_for_expression] = STATE(13185),
    [sym_comment] = STATE(1369),
    [sym_block_comment] = STATE(1369),
    [sym__alpha_identifier] = ACTIONS(1618),
    [anon_sym_LBRACE] = ACTIONS(1622),
    [anon_sym__] = ACTIONS(1624),
    [anon_sym_PLUS] = ACTIONS(1626),
    [anon_sym_DASH] = ACTIONS(1626),
    [anon_sym_end] = ACTIONS(1628),
    [anon_sym_if] = ACTIONS(2122),
    [anon_sym_while] = ACTIONS(2124),
    [anon_sym_for] = ACTIONS(2126),
    [anon_sym_try] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(1630),
    [anon_sym_opaque] = ACTIONS(1628),
    [anon_sym_implicit] = ACTIONS(2130),
    [anon_sym_inline] = ACTIONS(1632),
    [anon_sym_infix] = ACTIONS(1628),
    [anon_sym_open] = ACTIONS(1628),
    [anon_sym_transparent] = ACTIONS(1628),
    [anon_sym_LPAREN] = ACTIONS(1634),
    [anon_sym_macro] = ACTIONS(2074),
    [anon_sym_BANG] = ACTIONS(1626),
    [anon_sym_TILDE] = ACTIONS(1626),
    [anon_sym_DOLLAR] = ACTIONS(1636),
    [anon_sym_SQUOTE] = ACTIONS(1638),
    [sym__backquoted_id] = ACTIONS(1640),
    [sym_operator_identifier] = ACTIONS(2132),
    [sym_integer_literal] = ACTIONS(1644),
    [sym_floating_point_literal] = ACTIONS(1646),
    [anon_sym_true] = ACTIONS(1648),
    [anon_sym_false] = ACTIONS(1648),
    [sym_character_literal] = ACTIONS(1646),
    [sym_null_literal] = ACTIONS(1650),
    [anon_sym_return] = ACTIONS(2134),
    [anon_sym_throw] = ACTIONS(2136),
    [anon_sym_do] = ACTIONS(2082),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1652),
    [sym__simple_string] = ACTIONS(1652),
  },
  [1370] = {
    [sym_inline_modifier] = STATE(2212),
    [sym__indentable_expression] = STATE(13491),
    [sym_block] = STATE(9539),
    [sym_indented_block] = STATE(11390),
    [sym_indented_cases] = STATE(11390),
    [sym_expression] = STATE(13433),
    [sym__simple_expression] = STATE(6249),
    [sym_lambda_expression] = STATE(11374),
    [sym_if_expression] = STATE(11374),
    [sym_match_expression] = STATE(11374),
    [sym_try_expression] = STATE(11374),
    [sym_bindings] = STATE(15480),
    [sym_case_block] = STATE(9539),
    [sym_assignment_expression] = STATE(11374),
    [sym_generic_function] = STATE(9539),
    [sym_call_expression] = STATE(9539),
    [sym_field_expression] = STATE(9539),
    [sym_instance_expression] = STATE(9539),
    [sym_ascription_expression] = STATE(11374),
    [sym_infix_expression] = STATE(10179),
    [sym_postfix_expression] = STATE(11215),
    [sym__postfix_expression_choice] = STATE(16190),
    [sym_macro_body] = STATE(11374),
    [sym_prefix_expression] = STATE(9816),
    [sym_tuple_expression] = STATE(9539),
    [sym_parenthesized_expression] = STATE(9539),
    [sym_splice_expression] = STATE(9539),
    [sym_quote_expression] = STATE(9539),
    [sym_identifier] = STATE(5934),
    [sym__soft_identifier] = STATE(4462),
    [sym_wildcard] = STATE(8175),
    [sym__non_null_literal] = STATE(9539),
    [sym_boolean_literal] = STATE(5971),
    [sym_interpolated_string_expression] = STATE(9539),
    [sym_string] = STATE(5971),
    [sym_unit] = STATE(9539),
    [sym_return_expression] = STATE(11374),
    [sym_throw_expression] = STATE(11374),
    [sym_while_expression] = STATE(11374),
    [sym_do_while_expression] = STATE(11374),
    [sym_for_expression] = STATE(11374),
    [sym_comment] = STATE(1370),
    [sym_block_comment] = STATE(1370),
    [sym__alpha_identifier] = ACTIONS(1444),
    [anon_sym_LBRACE] = ACTIONS(1448),
    [anon_sym__] = ACTIONS(1450),
    [anon_sym_PLUS] = ACTIONS(1452),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_end] = ACTIONS(1454),
    [anon_sym_if] = ACTIONS(1802),
    [anon_sym_while] = ACTIONS(1804),
    [anon_sym_for] = ACTIONS(1806),
    [anon_sym_try] = ACTIONS(1808),
    [anon_sym_new] = ACTIONS(1456),
    [anon_sym_opaque] = ACTIONS(1454),
    [anon_sym_implicit] = ACTIONS(1810),
    [anon_sym_inline] = ACTIONS(1458),
    [anon_sym_infix] = ACTIONS(1454),
    [anon_sym_open] = ACTIONS(1454),
    [anon_sym_transparent] = ACTIONS(1454),
    [anon_sym_LPAREN] = ACTIONS(1460),
    [anon_sym_macro] = ACTIONS(1812),
    [anon_sym_BANG] = ACTIONS(1452),
    [anon_sym_TILDE] = ACTIONS(1452),
    [anon_sym_DOLLAR] = ACTIONS(1462),
    [anon_sym_SQUOTE] = ACTIONS(1464),
    [sym__backquoted_id] = ACTIONS(1466),
    [sym_operator_identifier] = ACTIONS(1814),
    [sym_integer_literal] = ACTIONS(1470),
    [sym_floating_point_literal] = ACTIONS(1472),
    [anon_sym_true] = ACTIONS(1474),
    [anon_sym_false] = ACTIONS(1474),
    [sym_character_literal] = ACTIONS(1472),
    [sym_null_literal] = ACTIONS(1476),
    [anon_sym_return] = ACTIONS(1816),
    [anon_sym_throw] = ACTIONS(1818),
    [anon_sym_do] = ACTIONS(1548),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2240),
    [sym__simple_multiline_string] = ACTIONS(1478),
    [sym__simple_string] = ACTIONS(1478),
  },
  [1371] = {
    [sym_inline_modifier] = STATE(2084),
    [sym__indentable_expression] = STATE(17477),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(8831),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15722),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10635),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(702),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(8641),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(10149),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1371),
    [sym_block_comment] = STATE(1371),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2740),
    [anon_sym_while] = ACTIONS(2742),
    [anon_sym_for] = ACTIONS(2744),
    [anon_sym_try] = ACTIONS(2746),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2748),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3310),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3312),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2762),
    [anon_sym_throw] = ACTIONS(2764),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1372] = {
    [sym_inline_modifier] = STATE(2054),
    [sym__indentable_expression] = STATE(13960),
    [sym_block] = STATE(8041),
    [sym_indented_block] = STATE(12292),
    [sym_indented_cases] = STATE(12292),
    [sym_expression] = STATE(12256),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(7036),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(1372),
    [sym_block_comment] = STATE(1372),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2807),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1373] = {
    [sym_inline_modifier] = STATE(2148),
    [sym__indentable_expression] = STATE(13460),
    [sym_block] = STATE(9088),
    [sym_indented_block] = STATE(13438),
    [sym_indented_cases] = STATE(13438),
    [sym_expression] = STATE(12942),
    [sym__simple_expression] = STATE(8626),
    [sym_lambda_expression] = STATE(13338),
    [sym_if_expression] = STATE(13338),
    [sym_match_expression] = STATE(13338),
    [sym_try_expression] = STATE(13338),
    [sym_bindings] = STATE(15683),
    [sym_case_block] = STATE(9088),
    [sym_assignment_expression] = STATE(13338),
    [sym_generic_function] = STATE(9088),
    [sym_call_expression] = STATE(9088),
    [sym_field_expression] = STATE(9088),
    [sym_instance_expression] = STATE(9088),
    [sym_ascription_expression] = STATE(13338),
    [sym_infix_expression] = STATE(9773),
    [sym_postfix_expression] = STATE(13117),
    [sym__postfix_expression_choice] = STATE(15912),
    [sym_macro_body] = STATE(13338),
    [sym_prefix_expression] = STATE(10372),
    [sym_tuple_expression] = STATE(9088),
    [sym_parenthesized_expression] = STATE(9088),
    [sym_splice_expression] = STATE(9088),
    [sym_quote_expression] = STATE(9088),
    [sym_identifier] = STATE(7467),
    [sym__soft_identifier] = STATE(6581),
    [sym_wildcard] = STATE(9755),
    [sym__non_null_literal] = STATE(9088),
    [sym_boolean_literal] = STATE(8905),
    [sym_interpolated_string_expression] = STATE(9088),
    [sym_string] = STATE(8905),
    [sym_unit] = STATE(9088),
    [sym_return_expression] = STATE(13338),
    [sym_throw_expression] = STATE(13338),
    [sym_while_expression] = STATE(13338),
    [sym_do_while_expression] = STATE(13338),
    [sym_for_expression] = STATE(13338),
    [sym_comment] = STATE(1373),
    [sym_block_comment] = STATE(1373),
    [sym__alpha_identifier] = ACTIONS(1938),
    [anon_sym_LBRACE] = ACTIONS(1942),
    [anon_sym__] = ACTIONS(1944),
    [anon_sym_PLUS] = ACTIONS(1946),
    [anon_sym_DASH] = ACTIONS(1946),
    [anon_sym_end] = ACTIONS(1948),
    [anon_sym_if] = ACTIONS(2450),
    [anon_sym_while] = ACTIONS(2452),
    [anon_sym_for] = ACTIONS(2454),
    [anon_sym_try] = ACTIONS(2456),
    [anon_sym_new] = ACTIONS(1950),
    [anon_sym_opaque] = ACTIONS(1948),
    [anon_sym_implicit] = ACTIONS(2458),
    [anon_sym_inline] = ACTIONS(1952),
    [anon_sym_infix] = ACTIONS(1948),
    [anon_sym_open] = ACTIONS(1948),
    [anon_sym_transparent] = ACTIONS(1948),
    [anon_sym_LPAREN] = ACTIONS(1954),
    [anon_sym_macro] = ACTIONS(2270),
    [anon_sym_BANG] = ACTIONS(1946),
    [anon_sym_TILDE] = ACTIONS(1946),
    [anon_sym_DOLLAR] = ACTIONS(1956),
    [anon_sym_SQUOTE] = ACTIONS(1958),
    [sym__backquoted_id] = ACTIONS(1960),
    [sym_operator_identifier] = ACTIONS(2460),
    [sym_integer_literal] = ACTIONS(1964),
    [sym_floating_point_literal] = ACTIONS(1966),
    [anon_sym_true] = ACTIONS(1968),
    [anon_sym_false] = ACTIONS(1968),
    [sym_character_literal] = ACTIONS(1966),
    [sym_null_literal] = ACTIONS(1970),
    [anon_sym_return] = ACTIONS(2462),
    [anon_sym_throw] = ACTIONS(2464),
    [anon_sym_do] = ACTIONS(2278),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2346),
    [sym__simple_multiline_string] = ACTIONS(1972),
    [sym__simple_string] = ACTIONS(1972),
  },
  [1374] = {
    [sym_inline_modifier] = STATE(2060),
    [sym__indentable_expression] = STATE(13127),
    [sym_block] = STATE(6450),
    [sym_indented_block] = STATE(11535),
    [sym_indented_cases] = STATE(11535),
    [sym_expression] = STATE(11606),
    [sym__simple_expression] = STATE(5608),
    [sym_lambda_expression] = STATE(11549),
    [sym_if_expression] = STATE(11549),
    [sym_match_expression] = STATE(11549),
    [sym_try_expression] = STATE(11549),
    [sym_bindings] = STATE(15697),
    [sym_case_block] = STATE(6450),
    [sym_assignment_expression] = STATE(11549),
    [sym_generic_function] = STATE(6450),
    [sym_call_expression] = STATE(6450),
    [sym_field_expression] = STATE(6450),
    [sym_instance_expression] = STATE(6450),
    [sym_ascription_expression] = STATE(11549),
    [sym_infix_expression] = STATE(7641),
    [sym_postfix_expression] = STATE(11204),
    [sym__postfix_expression_choice] = STATE(16480),
    [sym_macro_body] = STATE(11549),
    [sym_prefix_expression] = STATE(9536),
    [sym_tuple_expression] = STATE(6450),
    [sym_parenthesized_expression] = STATE(6450),
    [sym_splice_expression] = STATE(6450),
    [sym_quote_expression] = STATE(6450),
    [sym_identifier] = STATE(5347),
    [sym__soft_identifier] = STATE(4507),
    [sym_wildcard] = STATE(7620),
    [sym__non_null_literal] = STATE(6450),
    [sym_boolean_literal] = STATE(6156),
    [sym_interpolated_string_expression] = STATE(6450),
    [sym_string] = STATE(6156),
    [sym_unit] = STATE(6450),
    [sym_return_expression] = STATE(11549),
    [sym_throw_expression] = STATE(11549),
    [sym_while_expression] = STATE(11549),
    [sym_do_while_expression] = STATE(11549),
    [sym_for_expression] = STATE(11549),
    [sym_comment] = STATE(1374),
    [sym_block_comment] = STATE(1374),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(1428),
    [anon_sym_while] = ACTIONS(1430),
    [anon_sym_for] = ACTIONS(1432),
    [anon_sym_try] = ACTIONS(1434),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1436),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1378),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1438),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1440),
    [anon_sym_throw] = ACTIONS(1442),
    [anon_sym_do] = ACTIONS(1386),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2258),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [1375] = {
    [sym_inline_modifier] = STATE(2223),
    [sym__indentable_expression] = STATE(13071),
    [sym_block] = STATE(8375),
    [sym_indented_block] = STATE(13183),
    [sym_indented_cases] = STATE(13183),
    [sym_expression] = STATE(12800),
    [sym__simple_expression] = STATE(7442),
    [sym_lambda_expression] = STATE(13185),
    [sym_if_expression] = STATE(13185),
    [sym_match_expression] = STATE(13185),
    [sym_try_expression] = STATE(13185),
    [sym_bindings] = STATE(15586),
    [sym_case_block] = STATE(8375),
    [sym_assignment_expression] = STATE(13185),
    [sym_generic_function] = STATE(8375),
    [sym_call_expression] = STATE(8375),
    [sym_field_expression] = STATE(8375),
    [sym_instance_expression] = STATE(8375),
    [sym_ascription_expression] = STATE(13185),
    [sym_infix_expression] = STATE(9364),
    [sym_postfix_expression] = STATE(12809),
    [sym__postfix_expression_choice] = STATE(16440),
    [sym_macro_body] = STATE(13185),
    [sym_prefix_expression] = STATE(10191),
    [sym_tuple_expression] = STATE(8375),
    [sym_parenthesized_expression] = STATE(8375),
    [sym_splice_expression] = STATE(8375),
    [sym_quote_expression] = STATE(8375),
    [sym_identifier] = STATE(7290),
    [sym__soft_identifier] = STATE(5430),
    [sym_wildcard] = STATE(9387),
    [sym__non_null_literal] = STATE(8375),
    [sym_boolean_literal] = STATE(8117),
    [sym_interpolated_string_expression] = STATE(8375),
    [sym_string] = STATE(8117),
    [sym_unit] = STATE(8375),
    [sym_return_expression] = STATE(13185),
    [sym_throw_expression] = STATE(13185),
    [sym_while_expression] = STATE(13185),
    [sym_do_while_expression] = STATE(13185),
    [sym_for_expression] = STATE(13185),
    [sym_comment] = STATE(1375),
    [sym_block_comment] = STATE(1375),
    [sym__alpha_identifier] = ACTIONS(1618),
    [anon_sym_LBRACE] = ACTIONS(1622),
    [anon_sym__] = ACTIONS(1624),
    [anon_sym_PLUS] = ACTIONS(1626),
    [anon_sym_DASH] = ACTIONS(1626),
    [anon_sym_end] = ACTIONS(1628),
    [anon_sym_if] = ACTIONS(2122),
    [anon_sym_while] = ACTIONS(2124),
    [anon_sym_for] = ACTIONS(2126),
    [anon_sym_try] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(1630),
    [anon_sym_opaque] = ACTIONS(1628),
    [anon_sym_implicit] = ACTIONS(2130),
    [anon_sym_inline] = ACTIONS(1632),
    [anon_sym_infix] = ACTIONS(1628),
    [anon_sym_open] = ACTIONS(1628),
    [anon_sym_transparent] = ACTIONS(1628),
    [anon_sym_LPAREN] = ACTIONS(1634),
    [anon_sym_macro] = ACTIONS(2074),
    [anon_sym_BANG] = ACTIONS(1626),
    [anon_sym_TILDE] = ACTIONS(1626),
    [anon_sym_DOLLAR] = ACTIONS(1636),
    [anon_sym_SQUOTE] = ACTIONS(1638),
    [sym__backquoted_id] = ACTIONS(1640),
    [sym_operator_identifier] = ACTIONS(2132),
    [sym_integer_literal] = ACTIONS(1644),
    [sym_floating_point_literal] = ACTIONS(1646),
    [anon_sym_true] = ACTIONS(1648),
    [anon_sym_false] = ACTIONS(1648),
    [sym_character_literal] = ACTIONS(1646),
    [sym_null_literal] = ACTIONS(1650),
    [anon_sym_return] = ACTIONS(2134),
    [anon_sym_throw] = ACTIONS(2136),
    [anon_sym_do] = ACTIONS(2082),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1652),
    [sym__simple_string] = ACTIONS(1652),
  },
  [1376] = {
    [sym_inline_modifier] = STATE(2055),
    [sym__indentable_expression] = STATE(12959),
    [sym_block] = STATE(8218),
    [sym_indented_block] = STATE(13075),
    [sym_indented_cases] = STATE(13075),
    [sym_expression] = STATE(12682),
    [sym__simple_expression] = STATE(6561),
    [sym_lambda_expression] = STATE(13097),
    [sym_if_expression] = STATE(13097),
    [sym_match_expression] = STATE(13097),
    [sym_try_expression] = STATE(13097),
    [sym_bindings] = STATE(15541),
    [sym_case_block] = STATE(8218),
    [sym_assignment_expression] = STATE(13097),
    [sym_generic_function] = STATE(8218),
    [sym_call_expression] = STATE(8218),
    [sym_field_expression] = STATE(8218),
    [sym_instance_expression] = STATE(8218),
    [sym_ascription_expression] = STATE(13097),
    [sym_infix_expression] = STATE(9424),
    [sym_postfix_expression] = STATE(12765),
    [sym__postfix_expression_choice] = STATE(16117),
    [sym_macro_body] = STATE(13097),
    [sym_prefix_expression] = STATE(9863),
    [sym_tuple_expression] = STATE(8218),
    [sym_parenthesized_expression] = STATE(8218),
    [sym_splice_expression] = STATE(8218),
    [sym_quote_expression] = STATE(8218),
    [sym_identifier] = STATE(5613),
    [sym__soft_identifier] = STATE(5752),
    [sym_wildcard] = STATE(8448),
    [sym__non_null_literal] = STATE(8218),
    [sym_boolean_literal] = STATE(8413),
    [sym_interpolated_string_expression] = STATE(8218),
    [sym_string] = STATE(8413),
    [sym_unit] = STATE(8218),
    [sym_return_expression] = STATE(13097),
    [sym_throw_expression] = STATE(13097),
    [sym_while_expression] = STATE(13097),
    [sym_do_while_expression] = STATE(13097),
    [sym_for_expression] = STATE(13097),
    [sym_comment] = STATE(1376),
    [sym_block_comment] = STATE(1376),
    [sym__alpha_identifier] = ACTIONS(1494),
    [anon_sym_LBRACE] = ACTIONS(1498),
    [anon_sym__] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1502),
    [anon_sym_end] = ACTIONS(1504),
    [anon_sym_if] = ACTIONS(2044),
    [anon_sym_while] = ACTIONS(2046),
    [anon_sym_for] = ACTIONS(2048),
    [anon_sym_try] = ACTIONS(2050),
    [anon_sym_new] = ACTIONS(1506),
    [anon_sym_opaque] = ACTIONS(1504),
    [anon_sym_implicit] = ACTIONS(2052),
    [anon_sym_inline] = ACTIONS(1508),
    [anon_sym_infix] = ACTIONS(1504),
    [anon_sym_open] = ACTIONS(1504),
    [anon_sym_transparent] = ACTIONS(1504),
    [anon_sym_LPAREN] = ACTIONS(1510),
    [anon_sym_macro] = ACTIONS(2054),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_TILDE] = ACTIONS(1502),
    [anon_sym_DOLLAR] = ACTIONS(1512),
    [anon_sym_SQUOTE] = ACTIONS(1514),
    [sym__backquoted_id] = ACTIONS(1516),
    [sym_operator_identifier] = ACTIONS(2056),
    [sym_integer_literal] = ACTIONS(1520),
    [sym_floating_point_literal] = ACTIONS(1522),
    [anon_sym_true] = ACTIONS(1524),
    [anon_sym_false] = ACTIONS(1524),
    [sym_character_literal] = ACTIONS(1522),
    [sym_null_literal] = ACTIONS(1526),
    [anon_sym_return] = ACTIONS(2058),
    [anon_sym_throw] = ACTIONS(2060),
    [anon_sym_do] = ACTIONS(2062),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3316),
    [sym__simple_multiline_string] = ACTIONS(1528),
    [sym__simple_string] = ACTIONS(1528),
  },
  [1377] = {
    [sym_inline_modifier] = STATE(2183),
    [sym__indentable_expression] = STATE(13402),
    [sym_block] = STATE(9088),
    [sym_indented_block] = STATE(13438),
    [sym_indented_cases] = STATE(13438),
    [sym_expression] = STATE(12942),
    [sym__simple_expression] = STATE(8555),
    [sym_lambda_expression] = STATE(13338),
    [sym_if_expression] = STATE(13338),
    [sym_match_expression] = STATE(13338),
    [sym_try_expression] = STATE(13338),
    [sym_bindings] = STATE(15553),
    [sym_case_block] = STATE(9088),
    [sym_assignment_expression] = STATE(13338),
    [sym_generic_function] = STATE(9088),
    [sym_call_expression] = STATE(9088),
    [sym_field_expression] = STATE(9088),
    [sym_instance_expression] = STATE(9088),
    [sym_ascription_expression] = STATE(13338),
    [sym_infix_expression] = STATE(9773),
    [sym_postfix_expression] = STATE(13117),
    [sym__postfix_expression_choice] = STATE(15912),
    [sym_macro_body] = STATE(13338),
    [sym_prefix_expression] = STATE(10565),
    [sym_tuple_expression] = STATE(9088),
    [sym_parenthesized_expression] = STATE(9088),
    [sym_splice_expression] = STATE(9088),
    [sym_quote_expression] = STATE(9088),
    [sym_identifier] = STATE(7556),
    [sym__soft_identifier] = STATE(6581),
    [sym_wildcard] = STATE(9665),
    [sym__non_null_literal] = STATE(9088),
    [sym_boolean_literal] = STATE(8905),
    [sym_interpolated_string_expression] = STATE(9088),
    [sym_string] = STATE(8905),
    [sym_unit] = STATE(9088),
    [sym_return_expression] = STATE(13338),
    [sym_throw_expression] = STATE(13338),
    [sym_while_expression] = STATE(13338),
    [sym_do_while_expression] = STATE(13338),
    [sym_for_expression] = STATE(13338),
    [sym_comment] = STATE(1377),
    [sym_block_comment] = STATE(1377),
    [sym__alpha_identifier] = ACTIONS(1938),
    [anon_sym_LBRACE] = ACTIONS(1942),
    [anon_sym__] = ACTIONS(1944),
    [anon_sym_PLUS] = ACTIONS(1946),
    [anon_sym_DASH] = ACTIONS(1946),
    [anon_sym_end] = ACTIONS(1948),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2332),
    [anon_sym_for] = ACTIONS(2334),
    [anon_sym_try] = ACTIONS(2336),
    [anon_sym_new] = ACTIONS(1950),
    [anon_sym_opaque] = ACTIONS(1948),
    [anon_sym_implicit] = ACTIONS(2338),
    [anon_sym_inline] = ACTIONS(1952),
    [anon_sym_infix] = ACTIONS(1948),
    [anon_sym_open] = ACTIONS(1948),
    [anon_sym_transparent] = ACTIONS(1948),
    [anon_sym_LPAREN] = ACTIONS(1954),
    [anon_sym_macro] = ACTIONS(2270),
    [anon_sym_BANG] = ACTIONS(1946),
    [anon_sym_TILDE] = ACTIONS(1946),
    [anon_sym_DOLLAR] = ACTIONS(1956),
    [anon_sym_SQUOTE] = ACTIONS(1958),
    [sym__backquoted_id] = ACTIONS(1960),
    [sym_operator_identifier] = ACTIONS(2340),
    [sym_integer_literal] = ACTIONS(1964),
    [sym_floating_point_literal] = ACTIONS(1966),
    [anon_sym_true] = ACTIONS(1968),
    [anon_sym_false] = ACTIONS(1968),
    [sym_character_literal] = ACTIONS(1966),
    [sym_null_literal] = ACTIONS(1970),
    [anon_sym_return] = ACTIONS(2342),
    [anon_sym_throw] = ACTIONS(2344),
    [anon_sym_do] = ACTIONS(2278),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2346),
    [sym__simple_multiline_string] = ACTIONS(1972),
    [sym__simple_string] = ACTIONS(1972),
  },
  [1378] = {
    [sym_inline_modifier] = STATE(2223),
    [sym__indentable_expression] = STATE(13080),
    [sym_block] = STATE(8375),
    [sym_indented_block] = STATE(13183),
    [sym_indented_cases] = STATE(13183),
    [sym_expression] = STATE(12800),
    [sym__simple_expression] = STATE(7442),
    [sym_lambda_expression] = STATE(13185),
    [sym_if_expression] = STATE(13185),
    [sym_match_expression] = STATE(13185),
    [sym_try_expression] = STATE(13185),
    [sym_bindings] = STATE(15586),
    [sym_case_block] = STATE(8375),
    [sym_assignment_expression] = STATE(13185),
    [sym_generic_function] = STATE(8375),
    [sym_call_expression] = STATE(8375),
    [sym_field_expression] = STATE(8375),
    [sym_instance_expression] = STATE(8375),
    [sym_ascription_expression] = STATE(13185),
    [sym_infix_expression] = STATE(9364),
    [sym_postfix_expression] = STATE(12809),
    [sym__postfix_expression_choice] = STATE(16440),
    [sym_macro_body] = STATE(13185),
    [sym_prefix_expression] = STATE(10191),
    [sym_tuple_expression] = STATE(8375),
    [sym_parenthesized_expression] = STATE(8375),
    [sym_splice_expression] = STATE(8375),
    [sym_quote_expression] = STATE(8375),
    [sym_identifier] = STATE(7290),
    [sym__soft_identifier] = STATE(5430),
    [sym_wildcard] = STATE(9387),
    [sym__non_null_literal] = STATE(8375),
    [sym_boolean_literal] = STATE(8117),
    [sym_interpolated_string_expression] = STATE(8375),
    [sym_string] = STATE(8117),
    [sym_unit] = STATE(8375),
    [sym_return_expression] = STATE(13185),
    [sym_throw_expression] = STATE(13185),
    [sym_while_expression] = STATE(13185),
    [sym_do_while_expression] = STATE(13185),
    [sym_for_expression] = STATE(13185),
    [sym_comment] = STATE(1378),
    [sym_block_comment] = STATE(1378),
    [sym__alpha_identifier] = ACTIONS(1618),
    [anon_sym_LBRACE] = ACTIONS(1622),
    [anon_sym__] = ACTIONS(1624),
    [anon_sym_PLUS] = ACTIONS(1626),
    [anon_sym_DASH] = ACTIONS(1626),
    [anon_sym_end] = ACTIONS(1628),
    [anon_sym_if] = ACTIONS(2122),
    [anon_sym_while] = ACTIONS(2124),
    [anon_sym_for] = ACTIONS(2126),
    [anon_sym_try] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(1630),
    [anon_sym_opaque] = ACTIONS(1628),
    [anon_sym_implicit] = ACTIONS(2130),
    [anon_sym_inline] = ACTIONS(1632),
    [anon_sym_infix] = ACTIONS(1628),
    [anon_sym_open] = ACTIONS(1628),
    [anon_sym_transparent] = ACTIONS(1628),
    [anon_sym_LPAREN] = ACTIONS(1634),
    [anon_sym_macro] = ACTIONS(2074),
    [anon_sym_BANG] = ACTIONS(1626),
    [anon_sym_TILDE] = ACTIONS(1626),
    [anon_sym_DOLLAR] = ACTIONS(1636),
    [anon_sym_SQUOTE] = ACTIONS(1638),
    [sym__backquoted_id] = ACTIONS(1640),
    [sym_operator_identifier] = ACTIONS(2132),
    [sym_integer_literal] = ACTIONS(1644),
    [sym_floating_point_literal] = ACTIONS(1646),
    [anon_sym_true] = ACTIONS(1648),
    [anon_sym_false] = ACTIONS(1648),
    [sym_character_literal] = ACTIONS(1646),
    [sym_null_literal] = ACTIONS(1650),
    [anon_sym_return] = ACTIONS(2134),
    [anon_sym_throw] = ACTIONS(2136),
    [anon_sym_do] = ACTIONS(2082),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1652),
    [sym__simple_string] = ACTIONS(1652),
  },
  [1379] = {
    [sym_inline_modifier] = STATE(2183),
    [sym__indentable_expression] = STATE(13328),
    [sym_block] = STATE(9088),
    [sym_indented_block] = STATE(13438),
    [sym_indented_cases] = STATE(13438),
    [sym_expression] = STATE(12942),
    [sym__simple_expression] = STATE(8555),
    [sym_lambda_expression] = STATE(13338),
    [sym_if_expression] = STATE(13338),
    [sym_match_expression] = STATE(13338),
    [sym_try_expression] = STATE(13338),
    [sym_bindings] = STATE(15553),
    [sym_case_block] = STATE(9088),
    [sym_assignment_expression] = STATE(13338),
    [sym_generic_function] = STATE(9088),
    [sym_call_expression] = STATE(9088),
    [sym_field_expression] = STATE(9088),
    [sym_instance_expression] = STATE(9088),
    [sym_ascription_expression] = STATE(13338),
    [sym_infix_expression] = STATE(9773),
    [sym_postfix_expression] = STATE(13117),
    [sym__postfix_expression_choice] = STATE(15912),
    [sym_macro_body] = STATE(13338),
    [sym_prefix_expression] = STATE(10565),
    [sym_tuple_expression] = STATE(9088),
    [sym_parenthesized_expression] = STATE(9088),
    [sym_splice_expression] = STATE(9088),
    [sym_quote_expression] = STATE(9088),
    [sym_identifier] = STATE(7556),
    [sym__soft_identifier] = STATE(6581),
    [sym_wildcard] = STATE(9665),
    [sym__non_null_literal] = STATE(9088),
    [sym_boolean_literal] = STATE(8905),
    [sym_interpolated_string_expression] = STATE(9088),
    [sym_string] = STATE(8905),
    [sym_unit] = STATE(9088),
    [sym_return_expression] = STATE(13338),
    [sym_throw_expression] = STATE(13338),
    [sym_while_expression] = STATE(13338),
    [sym_do_while_expression] = STATE(13338),
    [sym_for_expression] = STATE(13338),
    [sym_comment] = STATE(1379),
    [sym_block_comment] = STATE(1379),
    [sym__alpha_identifier] = ACTIONS(1938),
    [anon_sym_LBRACE] = ACTIONS(1942),
    [anon_sym__] = ACTIONS(1944),
    [anon_sym_PLUS] = ACTIONS(1946),
    [anon_sym_DASH] = ACTIONS(1946),
    [anon_sym_end] = ACTIONS(1948),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2332),
    [anon_sym_for] = ACTIONS(2334),
    [anon_sym_try] = ACTIONS(2336),
    [anon_sym_new] = ACTIONS(1950),
    [anon_sym_opaque] = ACTIONS(1948),
    [anon_sym_implicit] = ACTIONS(2338),
    [anon_sym_inline] = ACTIONS(1952),
    [anon_sym_infix] = ACTIONS(1948),
    [anon_sym_open] = ACTIONS(1948),
    [anon_sym_transparent] = ACTIONS(1948),
    [anon_sym_LPAREN] = ACTIONS(1954),
    [anon_sym_macro] = ACTIONS(2270),
    [anon_sym_BANG] = ACTIONS(1946),
    [anon_sym_TILDE] = ACTIONS(1946),
    [anon_sym_DOLLAR] = ACTIONS(1956),
    [anon_sym_SQUOTE] = ACTIONS(1958),
    [sym__backquoted_id] = ACTIONS(1960),
    [sym_operator_identifier] = ACTIONS(2340),
    [sym_integer_literal] = ACTIONS(1964),
    [sym_floating_point_literal] = ACTIONS(1966),
    [anon_sym_true] = ACTIONS(1968),
    [anon_sym_false] = ACTIONS(1968),
    [sym_character_literal] = ACTIONS(1966),
    [sym_null_literal] = ACTIONS(1970),
    [anon_sym_return] = ACTIONS(2342),
    [anon_sym_throw] = ACTIONS(2344),
    [anon_sym_do] = ACTIONS(2278),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2346),
    [sym__simple_multiline_string] = ACTIONS(1972),
    [sym__simple_string] = ACTIONS(1972),
  },
  [1380] = {
    [sym_inline_modifier] = STATE(2047),
    [sym__indentable_expression] = STATE(13683),
    [sym_block] = STATE(6954),
    [sym_indented_block] = STATE(11923),
    [sym_indented_cases] = STATE(11923),
    [sym_expression] = STATE(12206),
    [sym__simple_expression] = STATE(6567),
    [sym_lambda_expression] = STATE(12144),
    [sym_if_expression] = STATE(12144),
    [sym_match_expression] = STATE(12144),
    [sym_try_expression] = STATE(12144),
    [sym_bindings] = STATE(15566),
    [sym_case_block] = STATE(6954),
    [sym_assignment_expression] = STATE(12144),
    [sym_generic_function] = STATE(6954),
    [sym_call_expression] = STATE(6954),
    [sym_field_expression] = STATE(6954),
    [sym_instance_expression] = STATE(6954),
    [sym_ascription_expression] = STATE(12144),
    [sym_infix_expression] = STATE(8226),
    [sym_postfix_expression] = STATE(11499),
    [sym__postfix_expression_choice] = STATE(16229),
    [sym_macro_body] = STATE(12144),
    [sym_prefix_expression] = STATE(9870),
    [sym_tuple_expression] = STATE(6954),
    [sym_parenthesized_expression] = STATE(6954),
    [sym_splice_expression] = STATE(6954),
    [sym_quote_expression] = STATE(6954),
    [sym_identifier] = STATE(5779),
    [sym__soft_identifier] = STATE(4827),
    [sym_wildcard] = STATE(8216),
    [sym__non_null_literal] = STATE(6954),
    [sym_boolean_literal] = STATE(6997),
    [sym_interpolated_string_expression] = STATE(6954),
    [sym_string] = STATE(6997),
    [sym_unit] = STATE(6954),
    [sym_return_expression] = STATE(12144),
    [sym_throw_expression] = STATE(12144),
    [sym_while_expression] = STATE(12144),
    [sym_do_while_expression] = STATE(12144),
    [sym_for_expression] = STATE(12144),
    [sym_comment] = STATE(1380),
    [sym_block_comment] = STATE(1380),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(1884),
    [anon_sym_while] = ACTIONS(1886),
    [anon_sym_for] = ACTIONS(1888),
    [anon_sym_try] = ACTIONS(1890),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(1892),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1894),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(1896),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(1898),
    [anon_sym_throw] = ACTIONS(1900),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3280),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [1381] = {
    [sym_inline_modifier] = STATE(2183),
    [sym__indentable_expression] = STATE(13313),
    [sym_block] = STATE(9088),
    [sym_indented_block] = STATE(13438),
    [sym_indented_cases] = STATE(13438),
    [sym_expression] = STATE(12942),
    [sym__simple_expression] = STATE(8555),
    [sym_lambda_expression] = STATE(13338),
    [sym_if_expression] = STATE(13338),
    [sym_match_expression] = STATE(13338),
    [sym_try_expression] = STATE(13338),
    [sym_bindings] = STATE(15553),
    [sym_case_block] = STATE(9088),
    [sym_assignment_expression] = STATE(13338),
    [sym_generic_function] = STATE(9088),
    [sym_call_expression] = STATE(9088),
    [sym_field_expression] = STATE(9088),
    [sym_instance_expression] = STATE(9088),
    [sym_ascription_expression] = STATE(13338),
    [sym_infix_expression] = STATE(9773),
    [sym_postfix_expression] = STATE(13117),
    [sym__postfix_expression_choice] = STATE(15912),
    [sym_macro_body] = STATE(13338),
    [sym_prefix_expression] = STATE(10565),
    [sym_tuple_expression] = STATE(9088),
    [sym_parenthesized_expression] = STATE(9088),
    [sym_splice_expression] = STATE(9088),
    [sym_quote_expression] = STATE(9088),
    [sym_identifier] = STATE(7556),
    [sym__soft_identifier] = STATE(6581),
    [sym_wildcard] = STATE(9665),
    [sym__non_null_literal] = STATE(9088),
    [sym_boolean_literal] = STATE(8905),
    [sym_interpolated_string_expression] = STATE(9088),
    [sym_string] = STATE(8905),
    [sym_unit] = STATE(9088),
    [sym_return_expression] = STATE(13338),
    [sym_throw_expression] = STATE(13338),
    [sym_while_expression] = STATE(13338),
    [sym_do_while_expression] = STATE(13338),
    [sym_for_expression] = STATE(13338),
    [sym_comment] = STATE(1381),
    [sym_block_comment] = STATE(1381),
    [sym__alpha_identifier] = ACTIONS(1938),
    [anon_sym_LBRACE] = ACTIONS(1942),
    [anon_sym__] = ACTIONS(1944),
    [anon_sym_PLUS] = ACTIONS(1946),
    [anon_sym_DASH] = ACTIONS(1946),
    [anon_sym_end] = ACTIONS(1948),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2332),
    [anon_sym_for] = ACTIONS(2334),
    [anon_sym_try] = ACTIONS(2336),
    [anon_sym_new] = ACTIONS(1950),
    [anon_sym_opaque] = ACTIONS(1948),
    [anon_sym_implicit] = ACTIONS(2338),
    [anon_sym_inline] = ACTIONS(1952),
    [anon_sym_infix] = ACTIONS(1948),
    [anon_sym_open] = ACTIONS(1948),
    [anon_sym_transparent] = ACTIONS(1948),
    [anon_sym_LPAREN] = ACTIONS(1954),
    [anon_sym_macro] = ACTIONS(2270),
    [anon_sym_BANG] = ACTIONS(1946),
    [anon_sym_TILDE] = ACTIONS(1946),
    [anon_sym_DOLLAR] = ACTIONS(1956),
    [anon_sym_SQUOTE] = ACTIONS(1958),
    [sym__backquoted_id] = ACTIONS(1960),
    [sym_operator_identifier] = ACTIONS(2340),
    [sym_integer_literal] = ACTIONS(1964),
    [sym_floating_point_literal] = ACTIONS(1966),
    [anon_sym_true] = ACTIONS(1968),
    [anon_sym_false] = ACTIONS(1968),
    [sym_character_literal] = ACTIONS(1966),
    [sym_null_literal] = ACTIONS(1970),
    [anon_sym_return] = ACTIONS(2342),
    [anon_sym_throw] = ACTIONS(2344),
    [anon_sym_do] = ACTIONS(2278),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2346),
    [sym__simple_multiline_string] = ACTIONS(1972),
    [sym__simple_string] = ACTIONS(1972),
  },
  [1382] = {
    [sym_inline_modifier] = STATE(2183),
    [sym__indentable_expression] = STATE(13310),
    [sym_block] = STATE(9088),
    [sym_indented_block] = STATE(13438),
    [sym_indented_cases] = STATE(13438),
    [sym_expression] = STATE(12942),
    [sym__simple_expression] = STATE(8555),
    [sym_lambda_expression] = STATE(13338),
    [sym_if_expression] = STATE(13338),
    [sym_match_expression] = STATE(13338),
    [sym_try_expression] = STATE(13338),
    [sym_bindings] = STATE(15553),
    [sym_case_block] = STATE(9088),
    [sym_assignment_expression] = STATE(13338),
    [sym_generic_function] = STATE(9088),
    [sym_call_expression] = STATE(9088),
    [sym_field_expression] = STATE(9088),
    [sym_instance_expression] = STATE(9088),
    [sym_ascription_expression] = STATE(13338),
    [sym_infix_expression] = STATE(9773),
    [sym_postfix_expression] = STATE(13117),
    [sym__postfix_expression_choice] = STATE(15912),
    [sym_macro_body] = STATE(13338),
    [sym_prefix_expression] = STATE(10565),
    [sym_tuple_expression] = STATE(9088),
    [sym_parenthesized_expression] = STATE(9088),
    [sym_splice_expression] = STATE(9088),
    [sym_quote_expression] = STATE(9088),
    [sym_identifier] = STATE(7556),
    [sym__soft_identifier] = STATE(6581),
    [sym_wildcard] = STATE(9665),
    [sym__non_null_literal] = STATE(9088),
    [sym_boolean_literal] = STATE(8905),
    [sym_interpolated_string_expression] = STATE(9088),
    [sym_string] = STATE(8905),
    [sym_unit] = STATE(9088),
    [sym_return_expression] = STATE(13338),
    [sym_throw_expression] = STATE(13338),
    [sym_while_expression] = STATE(13338),
    [sym_do_while_expression] = STATE(13338),
    [sym_for_expression] = STATE(13338),
    [sym_comment] = STATE(1382),
    [sym_block_comment] = STATE(1382),
    [sym__alpha_identifier] = ACTIONS(1938),
    [anon_sym_LBRACE] = ACTIONS(1942),
    [anon_sym__] = ACTIONS(1944),
    [anon_sym_PLUS] = ACTIONS(1946),
    [anon_sym_DASH] = ACTIONS(1946),
    [anon_sym_end] = ACTIONS(1948),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2332),
    [anon_sym_for] = ACTIONS(2334),
    [anon_sym_try] = ACTIONS(2336),
    [anon_sym_new] = ACTIONS(1950),
    [anon_sym_opaque] = ACTIONS(1948),
    [anon_sym_implicit] = ACTIONS(2338),
    [anon_sym_inline] = ACTIONS(1952),
    [anon_sym_infix] = ACTIONS(1948),
    [anon_sym_open] = ACTIONS(1948),
    [anon_sym_transparent] = ACTIONS(1948),
    [anon_sym_LPAREN] = ACTIONS(1954),
    [anon_sym_macro] = ACTIONS(2270),
    [anon_sym_BANG] = ACTIONS(1946),
    [anon_sym_TILDE] = ACTIONS(1946),
    [anon_sym_DOLLAR] = ACTIONS(1956),
    [anon_sym_SQUOTE] = ACTIONS(1958),
    [sym__backquoted_id] = ACTIONS(1960),
    [sym_operator_identifier] = ACTIONS(2340),
    [sym_integer_literal] = ACTIONS(1964),
    [sym_floating_point_literal] = ACTIONS(1966),
    [anon_sym_true] = ACTIONS(1968),
    [anon_sym_false] = ACTIONS(1968),
    [sym_character_literal] = ACTIONS(1966),
    [sym_null_literal] = ACTIONS(1970),
    [anon_sym_return] = ACTIONS(2342),
    [anon_sym_throw] = ACTIONS(2344),
    [anon_sym_do] = ACTIONS(2278),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2346),
    [sym__simple_multiline_string] = ACTIONS(1972),
    [sym__simple_string] = ACTIONS(1972),
  },
  [1383] = {
    [sym_inline_modifier] = STATE(2055),
    [sym__indentable_expression] = STATE(13530),
    [sym_block] = STATE(8218),
    [sym_indented_block] = STATE(13075),
    [sym_indented_cases] = STATE(13075),
    [sym_expression] = STATE(12682),
    [sym__simple_expression] = STATE(6561),
    [sym_lambda_expression] = STATE(13097),
    [sym_if_expression] = STATE(13097),
    [sym_match_expression] = STATE(13097),
    [sym_try_expression] = STATE(13097),
    [sym_bindings] = STATE(15541),
    [sym_case_block] = STATE(8218),
    [sym_assignment_expression] = STATE(13097),
    [sym_generic_function] = STATE(8218),
    [sym_call_expression] = STATE(8218),
    [sym_field_expression] = STATE(8218),
    [sym_instance_expression] = STATE(8218),
    [sym_ascription_expression] = STATE(13097),
    [sym_infix_expression] = STATE(9424),
    [sym_postfix_expression] = STATE(12765),
    [sym__postfix_expression_choice] = STATE(16117),
    [sym_macro_body] = STATE(13097),
    [sym_prefix_expression] = STATE(9863),
    [sym_tuple_expression] = STATE(8218),
    [sym_parenthesized_expression] = STATE(8218),
    [sym_splice_expression] = STATE(8218),
    [sym_quote_expression] = STATE(8218),
    [sym_identifier] = STATE(5613),
    [sym__soft_identifier] = STATE(5752),
    [sym_wildcard] = STATE(8448),
    [sym__non_null_literal] = STATE(8218),
    [sym_boolean_literal] = STATE(8413),
    [sym_interpolated_string_expression] = STATE(8218),
    [sym_string] = STATE(8413),
    [sym_unit] = STATE(8218),
    [sym_return_expression] = STATE(13097),
    [sym_throw_expression] = STATE(13097),
    [sym_while_expression] = STATE(13097),
    [sym_do_while_expression] = STATE(13097),
    [sym_for_expression] = STATE(13097),
    [sym_comment] = STATE(1383),
    [sym_block_comment] = STATE(1383),
    [sym__alpha_identifier] = ACTIONS(1494),
    [anon_sym_LBRACE] = ACTIONS(1498),
    [anon_sym__] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1502),
    [anon_sym_end] = ACTIONS(1504),
    [anon_sym_if] = ACTIONS(2044),
    [anon_sym_while] = ACTIONS(2046),
    [anon_sym_for] = ACTIONS(2048),
    [anon_sym_try] = ACTIONS(2050),
    [anon_sym_new] = ACTIONS(1506),
    [anon_sym_opaque] = ACTIONS(1504),
    [anon_sym_implicit] = ACTIONS(2052),
    [anon_sym_inline] = ACTIONS(1508),
    [anon_sym_infix] = ACTIONS(1504),
    [anon_sym_open] = ACTIONS(1504),
    [anon_sym_transparent] = ACTIONS(1504),
    [anon_sym_LPAREN] = ACTIONS(1510),
    [anon_sym_macro] = ACTIONS(2054),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_TILDE] = ACTIONS(1502),
    [anon_sym_DOLLAR] = ACTIONS(1512),
    [anon_sym_SQUOTE] = ACTIONS(1514),
    [sym__backquoted_id] = ACTIONS(1516),
    [sym_operator_identifier] = ACTIONS(2056),
    [sym_integer_literal] = ACTIONS(1520),
    [sym_floating_point_literal] = ACTIONS(1522),
    [anon_sym_true] = ACTIONS(1524),
    [anon_sym_false] = ACTIONS(1524),
    [sym_character_literal] = ACTIONS(1522),
    [sym_null_literal] = ACTIONS(1526),
    [anon_sym_return] = ACTIONS(2058),
    [anon_sym_throw] = ACTIONS(2060),
    [anon_sym_do] = ACTIONS(2062),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3316),
    [sym__simple_multiline_string] = ACTIONS(1528),
    [sym__simple_string] = ACTIONS(1528),
  },
  [1384] = {
    [sym_inline_modifier] = STATE(2054),
    [sym__indentable_expression] = STATE(12355),
    [sym_block] = STATE(8041),
    [sym_indented_block] = STATE(12292),
    [sym_indented_cases] = STATE(12292),
    [sym_expression] = STATE(12256),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(7036),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(1384),
    [sym_block_comment] = STATE(1384),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2807),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1385] = {
    [sym_inline_modifier] = STATE(2234),
    [sym__indentable_expression] = STATE(13009),
    [sym_block] = STATE(7443),
    [sym_indented_block] = STATE(12679),
    [sym_indented_cases] = STATE(12679),
    [sym_expression] = STATE(12305),
    [sym__simple_expression] = STATE(5279),
    [sym_lambda_expression] = STATE(12692),
    [sym_if_expression] = STATE(12692),
    [sym_match_expression] = STATE(12692),
    [sym_try_expression] = STATE(12692),
    [sym_bindings] = STATE(15619),
    [sym_case_block] = STATE(7443),
    [sym_assignment_expression] = STATE(12692),
    [sym_generic_function] = STATE(7443),
    [sym_call_expression] = STATE(7443),
    [sym_field_expression] = STATE(7443),
    [sym_instance_expression] = STATE(7443),
    [sym_ascription_expression] = STATE(12692),
    [sym_infix_expression] = STATE(8993),
    [sym_postfix_expression] = STATE(12386),
    [sym__postfix_expression_choice] = STATE(16150),
    [sym_macro_body] = STATE(12692),
    [sym_prefix_expression] = STATE(8795),
    [sym_tuple_expression] = STATE(7443),
    [sym_parenthesized_expression] = STATE(7443),
    [sym_splice_expression] = STATE(7443),
    [sym_quote_expression] = STATE(7443),
    [sym_identifier] = STATE(4734),
    [sym__soft_identifier] = STATE(5213),
    [sym_wildcard] = STATE(7227),
    [sym__non_null_literal] = STATE(7443),
    [sym_boolean_literal] = STATE(7707),
    [sym_interpolated_string_expression] = STATE(7443),
    [sym_string] = STATE(7707),
    [sym_unit] = STATE(7443),
    [sym_return_expression] = STATE(12692),
    [sym_throw_expression] = STATE(12692),
    [sym_while_expression] = STATE(12692),
    [sym_do_while_expression] = STATE(12692),
    [sym_for_expression] = STATE(12692),
    [sym_comment] = STATE(1385),
    [sym_block_comment] = STATE(1385),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(2292),
    [anon_sym_while] = ACTIONS(1480),
    [anon_sym_for] = ACTIONS(1482),
    [anon_sym_try] = ACTIONS(1484),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(1486),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1196),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(1488),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(1490),
    [anon_sym_throw] = ACTIONS(1492),
    [anon_sym_do] = ACTIONS(1204),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2294),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [1386] = {
    [sym_inline_modifier] = STATE(2148),
    [sym__indentable_expression] = STATE(13458),
    [sym_block] = STATE(9088),
    [sym_indented_block] = STATE(13438),
    [sym_indented_cases] = STATE(13438),
    [sym_expression] = STATE(12942),
    [sym__simple_expression] = STATE(8626),
    [sym_lambda_expression] = STATE(13338),
    [sym_if_expression] = STATE(13338),
    [sym_match_expression] = STATE(13338),
    [sym_try_expression] = STATE(13338),
    [sym_bindings] = STATE(15683),
    [sym_case_block] = STATE(9088),
    [sym_assignment_expression] = STATE(13338),
    [sym_generic_function] = STATE(9088),
    [sym_call_expression] = STATE(9088),
    [sym_field_expression] = STATE(9088),
    [sym_instance_expression] = STATE(9088),
    [sym_ascription_expression] = STATE(13338),
    [sym_infix_expression] = STATE(9773),
    [sym_postfix_expression] = STATE(13117),
    [sym__postfix_expression_choice] = STATE(15912),
    [sym_macro_body] = STATE(13338),
    [sym_prefix_expression] = STATE(10372),
    [sym_tuple_expression] = STATE(9088),
    [sym_parenthesized_expression] = STATE(9088),
    [sym_splice_expression] = STATE(9088),
    [sym_quote_expression] = STATE(9088),
    [sym_identifier] = STATE(7467),
    [sym__soft_identifier] = STATE(6581),
    [sym_wildcard] = STATE(9755),
    [sym__non_null_literal] = STATE(9088),
    [sym_boolean_literal] = STATE(8905),
    [sym_interpolated_string_expression] = STATE(9088),
    [sym_string] = STATE(8905),
    [sym_unit] = STATE(9088),
    [sym_return_expression] = STATE(13338),
    [sym_throw_expression] = STATE(13338),
    [sym_while_expression] = STATE(13338),
    [sym_do_while_expression] = STATE(13338),
    [sym_for_expression] = STATE(13338),
    [sym_comment] = STATE(1386),
    [sym_block_comment] = STATE(1386),
    [sym__alpha_identifier] = ACTIONS(1938),
    [anon_sym_LBRACE] = ACTIONS(1942),
    [anon_sym__] = ACTIONS(1944),
    [anon_sym_PLUS] = ACTIONS(1946),
    [anon_sym_DASH] = ACTIONS(1946),
    [anon_sym_end] = ACTIONS(1948),
    [anon_sym_if] = ACTIONS(2450),
    [anon_sym_while] = ACTIONS(2452),
    [anon_sym_for] = ACTIONS(2454),
    [anon_sym_try] = ACTIONS(2456),
    [anon_sym_new] = ACTIONS(1950),
    [anon_sym_opaque] = ACTIONS(1948),
    [anon_sym_implicit] = ACTIONS(2458),
    [anon_sym_inline] = ACTIONS(1952),
    [anon_sym_infix] = ACTIONS(1948),
    [anon_sym_open] = ACTIONS(1948),
    [anon_sym_transparent] = ACTIONS(1948),
    [anon_sym_LPAREN] = ACTIONS(1954),
    [anon_sym_macro] = ACTIONS(2270),
    [anon_sym_BANG] = ACTIONS(1946),
    [anon_sym_TILDE] = ACTIONS(1946),
    [anon_sym_DOLLAR] = ACTIONS(1956),
    [anon_sym_SQUOTE] = ACTIONS(1958),
    [sym__backquoted_id] = ACTIONS(1960),
    [sym_operator_identifier] = ACTIONS(2460),
    [sym_integer_literal] = ACTIONS(1964),
    [sym_floating_point_literal] = ACTIONS(1966),
    [anon_sym_true] = ACTIONS(1968),
    [anon_sym_false] = ACTIONS(1968),
    [sym_character_literal] = ACTIONS(1966),
    [sym_null_literal] = ACTIONS(1970),
    [anon_sym_return] = ACTIONS(2462),
    [anon_sym_throw] = ACTIONS(2464),
    [anon_sym_do] = ACTIONS(2278),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2346),
    [sym__simple_multiline_string] = ACTIONS(1972),
    [sym__simple_string] = ACTIONS(1972),
  },
  [1387] = {
    [sym_inline_modifier] = STATE(2067),
    [sym__indentable_expression] = STATE(12525),
    [sym_block] = STATE(10133),
    [sym_indented_block] = STATE(12292),
    [sym_indented_cases] = STATE(12292),
    [sym_expression] = STATE(13765),
    [sym__simple_expression] = STATE(7525),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15728),
    [sym_case_block] = STATE(10133),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(10133),
    [sym_call_expression] = STATE(10133),
    [sym_field_expression] = STATE(10133),
    [sym_instance_expression] = STATE(10133),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(10489),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(17114),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10321),
    [sym_tuple_expression] = STATE(10133),
    [sym_parenthesized_expression] = STATE(10133),
    [sym_splice_expression] = STATE(10133),
    [sym_quote_expression] = STATE(10133),
    [sym_identifier] = STATE(7070),
    [sym__soft_identifier] = STATE(4482),
    [sym_wildcard] = STATE(9321),
    [sym__non_null_literal] = STATE(10133),
    [sym_boolean_literal] = STATE(7065),
    [sym_interpolated_string_expression] = STATE(10133),
    [sym_string] = STATE(7065),
    [sym_unit] = STATE(10133),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(1387),
    [sym_block_comment] = STATE(1387),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_end] = ACTIONS(2374),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_opaque] = ACTIONS(2374),
    [anon_sym_implicit] = ACTIONS(3002),
    [anon_sym_inline] = ACTIONS(67),
    [anon_sym_infix] = ACTIONS(2374),
    [anon_sym_open] = ACTIONS(2374),
    [anon_sym_transparent] = ACTIONS(2374),
    [anon_sym_LPAREN] = ACTIONS(75),
    [anon_sym_macro] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(83),
    [sym_operator_identifier] = ACTIONS(85),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(95),
    [anon_sym_throw] = ACTIONS(97),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [1388] = {
    [sym_inline_modifier] = STATE(2223),
    [sym__indentable_expression] = STATE(13082),
    [sym_block] = STATE(8375),
    [sym_indented_block] = STATE(13183),
    [sym_indented_cases] = STATE(13183),
    [sym_expression] = STATE(12800),
    [sym__simple_expression] = STATE(7442),
    [sym_lambda_expression] = STATE(13185),
    [sym_if_expression] = STATE(13185),
    [sym_match_expression] = STATE(13185),
    [sym_try_expression] = STATE(13185),
    [sym_bindings] = STATE(15586),
    [sym_case_block] = STATE(8375),
    [sym_assignment_expression] = STATE(13185),
    [sym_generic_function] = STATE(8375),
    [sym_call_expression] = STATE(8375),
    [sym_field_expression] = STATE(8375),
    [sym_instance_expression] = STATE(8375),
    [sym_ascription_expression] = STATE(13185),
    [sym_infix_expression] = STATE(9364),
    [sym_postfix_expression] = STATE(12809),
    [sym__postfix_expression_choice] = STATE(16440),
    [sym_macro_body] = STATE(13185),
    [sym_prefix_expression] = STATE(10191),
    [sym_tuple_expression] = STATE(8375),
    [sym_parenthesized_expression] = STATE(8375),
    [sym_splice_expression] = STATE(8375),
    [sym_quote_expression] = STATE(8375),
    [sym_identifier] = STATE(7290),
    [sym__soft_identifier] = STATE(5430),
    [sym_wildcard] = STATE(9387),
    [sym__non_null_literal] = STATE(8375),
    [sym_boolean_literal] = STATE(8117),
    [sym_interpolated_string_expression] = STATE(8375),
    [sym_string] = STATE(8117),
    [sym_unit] = STATE(8375),
    [sym_return_expression] = STATE(13185),
    [sym_throw_expression] = STATE(13185),
    [sym_while_expression] = STATE(13185),
    [sym_do_while_expression] = STATE(13185),
    [sym_for_expression] = STATE(13185),
    [sym_comment] = STATE(1388),
    [sym_block_comment] = STATE(1388),
    [sym__alpha_identifier] = ACTIONS(1618),
    [anon_sym_LBRACE] = ACTIONS(1622),
    [anon_sym__] = ACTIONS(1624),
    [anon_sym_PLUS] = ACTIONS(1626),
    [anon_sym_DASH] = ACTIONS(1626),
    [anon_sym_end] = ACTIONS(1628),
    [anon_sym_if] = ACTIONS(2122),
    [anon_sym_while] = ACTIONS(2124),
    [anon_sym_for] = ACTIONS(2126),
    [anon_sym_try] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(1630),
    [anon_sym_opaque] = ACTIONS(1628),
    [anon_sym_implicit] = ACTIONS(2130),
    [anon_sym_inline] = ACTIONS(1632),
    [anon_sym_infix] = ACTIONS(1628),
    [anon_sym_open] = ACTIONS(1628),
    [anon_sym_transparent] = ACTIONS(1628),
    [anon_sym_LPAREN] = ACTIONS(1634),
    [anon_sym_macro] = ACTIONS(2074),
    [anon_sym_BANG] = ACTIONS(1626),
    [anon_sym_TILDE] = ACTIONS(1626),
    [anon_sym_DOLLAR] = ACTIONS(1636),
    [anon_sym_SQUOTE] = ACTIONS(1638),
    [sym__backquoted_id] = ACTIONS(1640),
    [sym_operator_identifier] = ACTIONS(2132),
    [sym_integer_literal] = ACTIONS(1644),
    [sym_floating_point_literal] = ACTIONS(1646),
    [anon_sym_true] = ACTIONS(1648),
    [anon_sym_false] = ACTIONS(1648),
    [sym_character_literal] = ACTIONS(1646),
    [sym_null_literal] = ACTIONS(1650),
    [anon_sym_return] = ACTIONS(2134),
    [anon_sym_throw] = ACTIONS(2136),
    [anon_sym_do] = ACTIONS(2082),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1652),
    [sym__simple_string] = ACTIONS(1652),
  },
  [1389] = {
    [sym_inline_modifier] = STATE(2086),
    [sym__indentable_expression] = STATE(12745),
    [sym_block] = STATE(9116),
    [sym_indented_block] = STATE(11085),
    [sym_indented_cases] = STATE(11085),
    [sym_expression] = STATE(13151),
    [sym__simple_expression] = STATE(5562),
    [sym_lambda_expression] = STATE(11364),
    [sym_if_expression] = STATE(11364),
    [sym_match_expression] = STATE(11364),
    [sym_try_expression] = STATE(11364),
    [sym_bindings] = STATE(15512),
    [sym_case_block] = STATE(9116),
    [sym_assignment_expression] = STATE(11364),
    [sym_generic_function] = STATE(9116),
    [sym_call_expression] = STATE(9116),
    [sym_field_expression] = STATE(9116),
    [sym_instance_expression] = STATE(9116),
    [sym_ascription_expression] = STATE(11364),
    [sym_infix_expression] = STATE(9793),
    [sym_postfix_expression] = STATE(10789),
    [sym__postfix_expression_choice] = STATE(15871),
    [sym_macro_body] = STATE(11364),
    [sym_prefix_expression] = STATE(9370),
    [sym_tuple_expression] = STATE(9116),
    [sym_parenthesized_expression] = STATE(9116),
    [sym_splice_expression] = STATE(9116),
    [sym_quote_expression] = STATE(9116),
    [sym_identifier] = STATE(5047),
    [sym__soft_identifier] = STATE(4332),
    [sym_wildcard] = STATE(7660),
    [sym__non_null_literal] = STATE(9116),
    [sym_boolean_literal] = STATE(5055),
    [sym_interpolated_string_expression] = STATE(9116),
    [sym_string] = STATE(5055),
    [sym_unit] = STATE(9116),
    [sym_return_expression] = STATE(11364),
    [sym_throw_expression] = STATE(11364),
    [sym_while_expression] = STATE(11364),
    [sym_do_while_expression] = STATE(11364),
    [sym_for_expression] = STATE(11364),
    [sym_comment] = STATE(1389),
    [sym_block_comment] = STATE(1389),
    [sym__alpha_identifier] = ACTIONS(1206),
    [anon_sym_LBRACE] = ACTIONS(1210),
    [anon_sym__] = ACTIONS(1212),
    [anon_sym_PLUS] = ACTIONS(1214),
    [anon_sym_DASH] = ACTIONS(1214),
    [anon_sym_end] = ACTIONS(1216),
    [anon_sym_if] = ACTIONS(1550),
    [anon_sym_while] = ACTIONS(1552),
    [anon_sym_for] = ACTIONS(1554),
    [anon_sym_try] = ACTIONS(1556),
    [anon_sym_new] = ACTIONS(1218),
    [anon_sym_opaque] = ACTIONS(1216),
    [anon_sym_implicit] = ACTIONS(1558),
    [anon_sym_inline] = ACTIONS(1220),
    [anon_sym_infix] = ACTIONS(1216),
    [anon_sym_open] = ACTIONS(1216),
    [anon_sym_transparent] = ACTIONS(1216),
    [anon_sym_LPAREN] = ACTIONS(1222),
    [anon_sym_macro] = ACTIONS(1560),
    [anon_sym_BANG] = ACTIONS(1214),
    [anon_sym_TILDE] = ACTIONS(1214),
    [anon_sym_DOLLAR] = ACTIONS(1224),
    [anon_sym_SQUOTE] = ACTIONS(1226),
    [sym__backquoted_id] = ACTIONS(1228),
    [sym_operator_identifier] = ACTIONS(1562),
    [sym_integer_literal] = ACTIONS(1232),
    [sym_floating_point_literal] = ACTIONS(1234),
    [anon_sym_true] = ACTIONS(1236),
    [anon_sym_false] = ACTIONS(1236),
    [sym_character_literal] = ACTIONS(1234),
    [sym_null_literal] = ACTIONS(1238),
    [anon_sym_return] = ACTIONS(1564),
    [anon_sym_throw] = ACTIONS(1566),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2282),
    [sym__simple_multiline_string] = ACTIONS(1240),
    [sym__simple_string] = ACTIONS(1240),
  },
  [1390] = {
    [sym_inline_modifier] = STATE(2130),
    [sym__indentable_expression] = STATE(13285),
    [sym_block] = STATE(9120),
    [sym_indented_block] = STATE(13388),
    [sym_indented_cases] = STATE(13388),
    [sym_expression] = STATE(13211),
    [sym__simple_expression] = STATE(6353),
    [sym_lambda_expression] = STATE(13422),
    [sym_if_expression] = STATE(13422),
    [sym_match_expression] = STATE(13422),
    [sym_try_expression] = STATE(13422),
    [sym_bindings] = STATE(15752),
    [sym_case_block] = STATE(9120),
    [sym_assignment_expression] = STATE(13422),
    [sym_generic_function] = STATE(9120),
    [sym_call_expression] = STATE(9120),
    [sym_field_expression] = STATE(9120),
    [sym_instance_expression] = STATE(9120),
    [sym_ascription_expression] = STATE(13422),
    [sym_infix_expression] = STATE(9820),
    [sym_postfix_expression] = STATE(13148),
    [sym__postfix_expression_choice] = STATE(15936),
    [sym_macro_body] = STATE(13422),
    [sym_prefix_expression] = STATE(9828),
    [sym_tuple_expression] = STATE(9120),
    [sym_parenthesized_expression] = STATE(9120),
    [sym_splice_expression] = STATE(9120),
    [sym_quote_expression] = STATE(9120),
    [sym_identifier] = STATE(5669),
    [sym__soft_identifier] = STATE(6470),
    [sym_wildcard] = STATE(8444),
    [sym__non_null_literal] = STATE(9120),
    [sym_boolean_literal] = STATE(8928),
    [sym_interpolated_string_expression] = STATE(9120),
    [sym_string] = STATE(8928),
    [sym_unit] = STATE(9120),
    [sym_return_expression] = STATE(13422),
    [sym_throw_expression] = STATE(13422),
    [sym_while_expression] = STATE(13422),
    [sym_do_while_expression] = STATE(13422),
    [sym_for_expression] = STATE(13422),
    [sym_comment] = STATE(1390),
    [sym_block_comment] = STATE(1390),
    [sym__alpha_identifier] = ACTIONS(1582),
    [anon_sym_LBRACE] = ACTIONS(1586),
    [anon_sym__] = ACTIONS(1588),
    [anon_sym_PLUS] = ACTIONS(1590),
    [anon_sym_DASH] = ACTIONS(1590),
    [anon_sym_end] = ACTIONS(1592),
    [anon_sym_if] = ACTIONS(1864),
    [anon_sym_while] = ACTIONS(1866),
    [anon_sym_for] = ACTIONS(1868),
    [anon_sym_try] = ACTIONS(1870),
    [anon_sym_new] = ACTIONS(1594),
    [anon_sym_opaque] = ACTIONS(1592),
    [anon_sym_implicit] = ACTIONS(1872),
    [anon_sym_inline] = ACTIONS(1596),
    [anon_sym_infix] = ACTIONS(1592),
    [anon_sym_open] = ACTIONS(1592),
    [anon_sym_transparent] = ACTIONS(1592),
    [anon_sym_LPAREN] = ACTIONS(1598),
    [anon_sym_macro] = ACTIONS(1874),
    [anon_sym_BANG] = ACTIONS(1590),
    [anon_sym_TILDE] = ACTIONS(1590),
    [anon_sym_DOLLAR] = ACTIONS(1600),
    [anon_sym_SQUOTE] = ACTIONS(1602),
    [sym__backquoted_id] = ACTIONS(1604),
    [sym_operator_identifier] = ACTIONS(1876),
    [sym_integer_literal] = ACTIONS(1608),
    [sym_floating_point_literal] = ACTIONS(1610),
    [anon_sym_true] = ACTIONS(1612),
    [anon_sym_false] = ACTIONS(1612),
    [sym_character_literal] = ACTIONS(1610),
    [sym_null_literal] = ACTIONS(1614),
    [anon_sym_return] = ACTIONS(1878),
    [anon_sym_throw] = ACTIONS(1880),
    [anon_sym_do] = ACTIONS(1882),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3282),
    [sym__simple_multiline_string] = ACTIONS(1616),
    [sym__simple_string] = ACTIONS(1616),
  },
  [1391] = {
    [sym_inline_modifier] = STATE(2084),
    [sym__indentable_expression] = STATE(16517),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(8831),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15722),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10635),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(791),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(8641),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(10149),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1391),
    [sym_block_comment] = STATE(1391),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2740),
    [anon_sym_while] = ACTIONS(2742),
    [anon_sym_for] = ACTIONS(2744),
    [anon_sym_try] = ACTIONS(2746),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2748),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3310),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3312),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2762),
    [anon_sym_throw] = ACTIONS(2764),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1392] = {
    [sym_inline_modifier] = STATE(2154),
    [sym__indentable_expression] = STATE(13717),
    [sym_block] = STATE(8070),
    [sym_indented_block] = STATE(12700),
    [sym_indented_cases] = STATE(12700),
    [sym_expression] = STATE(12581),
    [sym__simple_expression] = STATE(7235),
    [sym_lambda_expression] = STATE(12742),
    [sym_if_expression] = STATE(12742),
    [sym_match_expression] = STATE(12742),
    [sym_try_expression] = STATE(12742),
    [sym_bindings] = STATE(15546),
    [sym_case_block] = STATE(8070),
    [sym_assignment_expression] = STATE(12742),
    [sym_generic_function] = STATE(8070),
    [sym_call_expression] = STATE(8070),
    [sym_field_expression] = STATE(8070),
    [sym_instance_expression] = STATE(8070),
    [sym_ascription_expression] = STATE(12742),
    [sym_infix_expression] = STATE(8913),
    [sym_postfix_expression] = STATE(12343),
    [sym__postfix_expression_choice] = STATE(16230),
    [sym_macro_body] = STATE(12742),
    [sym_prefix_expression] = STATE(9970),
    [sym_tuple_expression] = STATE(8070),
    [sym_parenthesized_expression] = STATE(8070),
    [sym_splice_expression] = STATE(8070),
    [sym_quote_expression] = STATE(8070),
    [sym_identifier] = STATE(6168),
    [sym__soft_identifier] = STATE(5234),
    [sym_wildcard] = STATE(8792),
    [sym__non_null_literal] = STATE(8070),
    [sym_boolean_literal] = STATE(8055),
    [sym_interpolated_string_expression] = STATE(8070),
    [sym_string] = STATE(8055),
    [sym_unit] = STATE(8070),
    [sym_return_expression] = STATE(12742),
    [sym_throw_expression] = STATE(12742),
    [sym_while_expression] = STATE(12742),
    [sym_do_while_expression] = STATE(12742),
    [sym_for_expression] = STATE(12742),
    [sym_comment] = STATE(1392),
    [sym_block_comment] = STATE(1392),
    [sym__alpha_identifier] = ACTIONS(1314),
    [anon_sym_LBRACE] = ACTIONS(1318),
    [anon_sym__] = ACTIONS(1320),
    [anon_sym_PLUS] = ACTIONS(1322),
    [anon_sym_DASH] = ACTIONS(1322),
    [anon_sym_end] = ACTIONS(1324),
    [anon_sym_if] = ACTIONS(2142),
    [anon_sym_while] = ACTIONS(2144),
    [anon_sym_for] = ACTIONS(2146),
    [anon_sym_try] = ACTIONS(2148),
    [anon_sym_new] = ACTIONS(1326),
    [anon_sym_opaque] = ACTIONS(1324),
    [anon_sym_implicit] = ACTIONS(2150),
    [anon_sym_inline] = ACTIONS(1328),
    [anon_sym_infix] = ACTIONS(1324),
    [anon_sym_open] = ACTIONS(1324),
    [anon_sym_transparent] = ACTIONS(1324),
    [anon_sym_LPAREN] = ACTIONS(1330),
    [anon_sym_macro] = ACTIONS(1740),
    [anon_sym_BANG] = ACTIONS(1322),
    [anon_sym_TILDE] = ACTIONS(1322),
    [anon_sym_DOLLAR] = ACTIONS(1332),
    [anon_sym_SQUOTE] = ACTIONS(1334),
    [sym__backquoted_id] = ACTIONS(1336),
    [sym_operator_identifier] = ACTIONS(2152),
    [sym_integer_literal] = ACTIONS(1340),
    [sym_floating_point_literal] = ACTIONS(1342),
    [anon_sym_true] = ACTIONS(1344),
    [anon_sym_false] = ACTIONS(1344),
    [sym_character_literal] = ACTIONS(1342),
    [sym_null_literal] = ACTIONS(1346),
    [anon_sym_return] = ACTIONS(2154),
    [anon_sym_throw] = ACTIONS(2156),
    [anon_sym_do] = ACTIONS(1748),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2158),
    [sym__simple_multiline_string] = ACTIONS(1348),
    [sym__simple_string] = ACTIONS(1348),
  },
  [1393] = {
    [sym_inline_modifier] = STATE(2183),
    [sym__indentable_expression] = STATE(13431),
    [sym_block] = STATE(9088),
    [sym_indented_block] = STATE(13438),
    [sym_indented_cases] = STATE(13438),
    [sym_expression] = STATE(12942),
    [sym__simple_expression] = STATE(8555),
    [sym_lambda_expression] = STATE(13338),
    [sym_if_expression] = STATE(13338),
    [sym_match_expression] = STATE(13338),
    [sym_try_expression] = STATE(13338),
    [sym_bindings] = STATE(15553),
    [sym_case_block] = STATE(9088),
    [sym_assignment_expression] = STATE(13338),
    [sym_generic_function] = STATE(9088),
    [sym_call_expression] = STATE(9088),
    [sym_field_expression] = STATE(9088),
    [sym_instance_expression] = STATE(9088),
    [sym_ascription_expression] = STATE(13338),
    [sym_infix_expression] = STATE(9773),
    [sym_postfix_expression] = STATE(13117),
    [sym__postfix_expression_choice] = STATE(15912),
    [sym_macro_body] = STATE(13338),
    [sym_prefix_expression] = STATE(10565),
    [sym_tuple_expression] = STATE(9088),
    [sym_parenthesized_expression] = STATE(9088),
    [sym_splice_expression] = STATE(9088),
    [sym_quote_expression] = STATE(9088),
    [sym_identifier] = STATE(7556),
    [sym__soft_identifier] = STATE(6581),
    [sym_wildcard] = STATE(9665),
    [sym__non_null_literal] = STATE(9088),
    [sym_boolean_literal] = STATE(8905),
    [sym_interpolated_string_expression] = STATE(9088),
    [sym_string] = STATE(8905),
    [sym_unit] = STATE(9088),
    [sym_return_expression] = STATE(13338),
    [sym_throw_expression] = STATE(13338),
    [sym_while_expression] = STATE(13338),
    [sym_do_while_expression] = STATE(13338),
    [sym_for_expression] = STATE(13338),
    [sym_comment] = STATE(1393),
    [sym_block_comment] = STATE(1393),
    [sym__alpha_identifier] = ACTIONS(1938),
    [anon_sym_LBRACE] = ACTIONS(1942),
    [anon_sym__] = ACTIONS(1944),
    [anon_sym_PLUS] = ACTIONS(1946),
    [anon_sym_DASH] = ACTIONS(1946),
    [anon_sym_end] = ACTIONS(1948),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2332),
    [anon_sym_for] = ACTIONS(2334),
    [anon_sym_try] = ACTIONS(2336),
    [anon_sym_new] = ACTIONS(1950),
    [anon_sym_opaque] = ACTIONS(1948),
    [anon_sym_implicit] = ACTIONS(2338),
    [anon_sym_inline] = ACTIONS(1952),
    [anon_sym_infix] = ACTIONS(1948),
    [anon_sym_open] = ACTIONS(1948),
    [anon_sym_transparent] = ACTIONS(1948),
    [anon_sym_LPAREN] = ACTIONS(1954),
    [anon_sym_macro] = ACTIONS(2270),
    [anon_sym_BANG] = ACTIONS(1946),
    [anon_sym_TILDE] = ACTIONS(1946),
    [anon_sym_DOLLAR] = ACTIONS(1956),
    [anon_sym_SQUOTE] = ACTIONS(1958),
    [sym__backquoted_id] = ACTIONS(1960),
    [sym_operator_identifier] = ACTIONS(2340),
    [sym_integer_literal] = ACTIONS(1964),
    [sym_floating_point_literal] = ACTIONS(1966),
    [anon_sym_true] = ACTIONS(1968),
    [anon_sym_false] = ACTIONS(1968),
    [sym_character_literal] = ACTIONS(1966),
    [sym_null_literal] = ACTIONS(1970),
    [anon_sym_return] = ACTIONS(2342),
    [anon_sym_throw] = ACTIONS(2344),
    [anon_sym_do] = ACTIONS(2278),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2346),
    [sym__simple_multiline_string] = ACTIONS(1972),
    [sym__simple_string] = ACTIONS(1972),
  },
  [1394] = {
    [sym_inline_modifier] = STATE(2084),
    [sym__indentable_expression] = STATE(15914),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(8831),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15722),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10635),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(648),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(8641),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(10149),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1394),
    [sym_block_comment] = STATE(1394),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2740),
    [anon_sym_while] = ACTIONS(2742),
    [anon_sym_for] = ACTIONS(2744),
    [anon_sym_try] = ACTIONS(2746),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2748),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3310),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3312),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2762),
    [anon_sym_throw] = ACTIONS(2764),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1395] = {
    [sym_inline_modifier] = STATE(2159),
    [sym__indentable_expression] = STATE(11585),
    [sym_block] = STATE(6450),
    [sym_indented_block] = STATE(11535),
    [sym_indented_cases] = STATE(11535),
    [sym_expression] = STATE(11606),
    [sym__simple_expression] = STATE(5274),
    [sym_lambda_expression] = STATE(11549),
    [sym_if_expression] = STATE(11549),
    [sym_match_expression] = STATE(11549),
    [sym_try_expression] = STATE(11549),
    [sym_bindings] = STATE(15607),
    [sym_case_block] = STATE(6450),
    [sym_assignment_expression] = STATE(11549),
    [sym_generic_function] = STATE(6450),
    [sym_call_expression] = STATE(6450),
    [sym_field_expression] = STATE(6450),
    [sym_instance_expression] = STATE(6450),
    [sym_ascription_expression] = STATE(11549),
    [sym_infix_expression] = STATE(7641),
    [sym_postfix_expression] = STATE(11204),
    [sym__postfix_expression_choice] = STATE(16480),
    [sym_macro_body] = STATE(11549),
    [sym_prefix_expression] = STATE(8822),
    [sym_tuple_expression] = STATE(6450),
    [sym_parenthesized_expression] = STATE(6450),
    [sym_splice_expression] = STATE(6450),
    [sym_quote_expression] = STATE(6450),
    [sym_identifier] = STATE(4738),
    [sym__soft_identifier] = STATE(4507),
    [sym_wildcard] = STATE(7298),
    [sym__non_null_literal] = STATE(6450),
    [sym_boolean_literal] = STATE(6156),
    [sym_interpolated_string_expression] = STATE(6450),
    [sym_string] = STATE(6156),
    [sym_unit] = STATE(6450),
    [sym_return_expression] = STATE(11549),
    [sym_throw_expression] = STATE(11549),
    [sym_while_expression] = STATE(11549),
    [sym_do_while_expression] = STATE(11549),
    [sym_for_expression] = STATE(11549),
    [sym_comment] = STATE(1395),
    [sym_block_comment] = STATE(1395),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(2472),
    [anon_sym_while] = ACTIONS(1974),
    [anon_sym_for] = ACTIONS(1976),
    [anon_sym_try] = ACTIONS(1978),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1980),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1378),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1982),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1984),
    [anon_sym_throw] = ACTIONS(1986),
    [anon_sym_do] = ACTIONS(1386),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2258),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [1396] = {
    [sym_inline_modifier] = STATE(2189),
    [sym__indentable_expression] = STATE(13583),
    [sym_block] = STATE(9327),
    [sym_indented_block] = STATE(13548),
    [sym_indented_cases] = STATE(13548),
    [sym_expression] = STATE(13406),
    [sym__simple_expression] = STATE(7289),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15762),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10205),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10142),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6081),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(8816),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(1396),
    [sym_block_comment] = STATE(1396),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(569),
    [anon_sym_DASH] = ACTIONS(569),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(571),
    [anon_sym_while] = ACTIONS(573),
    [anon_sym_for] = ACTIONS(575),
    [anon_sym_try] = ACTIONS(577),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(2248),
    [anon_sym_inline] = ACTIONS(1860),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(569),
    [anon_sym_TILDE] = ACTIONS(569),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(587),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(589),
    [anon_sym_throw] = ACTIONS(591),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [1397] = {
    [sym_inline_modifier] = STATE(2212),
    [sym__indentable_expression] = STATE(13512),
    [sym_block] = STATE(9539),
    [sym_indented_block] = STATE(11390),
    [sym_indented_cases] = STATE(11390),
    [sym_expression] = STATE(13433),
    [sym__simple_expression] = STATE(6249),
    [sym_lambda_expression] = STATE(11374),
    [sym_if_expression] = STATE(11374),
    [sym_match_expression] = STATE(11374),
    [sym_try_expression] = STATE(11374),
    [sym_bindings] = STATE(15480),
    [sym_case_block] = STATE(9539),
    [sym_assignment_expression] = STATE(11374),
    [sym_generic_function] = STATE(9539),
    [sym_call_expression] = STATE(9539),
    [sym_field_expression] = STATE(9539),
    [sym_instance_expression] = STATE(9539),
    [sym_ascription_expression] = STATE(11374),
    [sym_infix_expression] = STATE(10179),
    [sym_postfix_expression] = STATE(11215),
    [sym__postfix_expression_choice] = STATE(16190),
    [sym_macro_body] = STATE(11374),
    [sym_prefix_expression] = STATE(9816),
    [sym_tuple_expression] = STATE(9539),
    [sym_parenthesized_expression] = STATE(9539),
    [sym_splice_expression] = STATE(9539),
    [sym_quote_expression] = STATE(9539),
    [sym_identifier] = STATE(5934),
    [sym__soft_identifier] = STATE(4462),
    [sym_wildcard] = STATE(8175),
    [sym__non_null_literal] = STATE(9539),
    [sym_boolean_literal] = STATE(5971),
    [sym_interpolated_string_expression] = STATE(9539),
    [sym_string] = STATE(5971),
    [sym_unit] = STATE(9539),
    [sym_return_expression] = STATE(11374),
    [sym_throw_expression] = STATE(11374),
    [sym_while_expression] = STATE(11374),
    [sym_do_while_expression] = STATE(11374),
    [sym_for_expression] = STATE(11374),
    [sym_comment] = STATE(1397),
    [sym_block_comment] = STATE(1397),
    [sym__alpha_identifier] = ACTIONS(1444),
    [anon_sym_LBRACE] = ACTIONS(1448),
    [anon_sym__] = ACTIONS(1450),
    [anon_sym_PLUS] = ACTIONS(1452),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_end] = ACTIONS(1454),
    [anon_sym_if] = ACTIONS(1802),
    [anon_sym_while] = ACTIONS(1804),
    [anon_sym_for] = ACTIONS(1806),
    [anon_sym_try] = ACTIONS(1808),
    [anon_sym_new] = ACTIONS(1456),
    [anon_sym_opaque] = ACTIONS(1454),
    [anon_sym_implicit] = ACTIONS(1810),
    [anon_sym_inline] = ACTIONS(1458),
    [anon_sym_infix] = ACTIONS(1454),
    [anon_sym_open] = ACTIONS(1454),
    [anon_sym_transparent] = ACTIONS(1454),
    [anon_sym_LPAREN] = ACTIONS(1460),
    [anon_sym_macro] = ACTIONS(1812),
    [anon_sym_BANG] = ACTIONS(1452),
    [anon_sym_TILDE] = ACTIONS(1452),
    [anon_sym_DOLLAR] = ACTIONS(1462),
    [anon_sym_SQUOTE] = ACTIONS(1464),
    [sym__backquoted_id] = ACTIONS(1466),
    [sym_operator_identifier] = ACTIONS(1814),
    [sym_integer_literal] = ACTIONS(1470),
    [sym_floating_point_literal] = ACTIONS(1472),
    [anon_sym_true] = ACTIONS(1474),
    [anon_sym_false] = ACTIONS(1474),
    [sym_character_literal] = ACTIONS(1472),
    [sym_null_literal] = ACTIONS(1476),
    [anon_sym_return] = ACTIONS(1816),
    [anon_sym_throw] = ACTIONS(1818),
    [anon_sym_do] = ACTIONS(1548),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2240),
    [sym__simple_multiline_string] = ACTIONS(1478),
    [sym__simple_string] = ACTIONS(1478),
  },
  [1398] = {
    [sym_inline_modifier] = STATE(2130),
    [sym__indentable_expression] = STATE(13288),
    [sym_block] = STATE(9120),
    [sym_indented_block] = STATE(13388),
    [sym_indented_cases] = STATE(13388),
    [sym_expression] = STATE(13211),
    [sym__simple_expression] = STATE(6353),
    [sym_lambda_expression] = STATE(13422),
    [sym_if_expression] = STATE(13422),
    [sym_match_expression] = STATE(13422),
    [sym_try_expression] = STATE(13422),
    [sym_bindings] = STATE(15752),
    [sym_case_block] = STATE(9120),
    [sym_assignment_expression] = STATE(13422),
    [sym_generic_function] = STATE(9120),
    [sym_call_expression] = STATE(9120),
    [sym_field_expression] = STATE(9120),
    [sym_instance_expression] = STATE(9120),
    [sym_ascription_expression] = STATE(13422),
    [sym_infix_expression] = STATE(9820),
    [sym_postfix_expression] = STATE(13148),
    [sym__postfix_expression_choice] = STATE(15936),
    [sym_macro_body] = STATE(13422),
    [sym_prefix_expression] = STATE(9828),
    [sym_tuple_expression] = STATE(9120),
    [sym_parenthesized_expression] = STATE(9120),
    [sym_splice_expression] = STATE(9120),
    [sym_quote_expression] = STATE(9120),
    [sym_identifier] = STATE(5669),
    [sym__soft_identifier] = STATE(6470),
    [sym_wildcard] = STATE(8444),
    [sym__non_null_literal] = STATE(9120),
    [sym_boolean_literal] = STATE(8928),
    [sym_interpolated_string_expression] = STATE(9120),
    [sym_string] = STATE(8928),
    [sym_unit] = STATE(9120),
    [sym_return_expression] = STATE(13422),
    [sym_throw_expression] = STATE(13422),
    [sym_while_expression] = STATE(13422),
    [sym_do_while_expression] = STATE(13422),
    [sym_for_expression] = STATE(13422),
    [sym_comment] = STATE(1398),
    [sym_block_comment] = STATE(1398),
    [sym__alpha_identifier] = ACTIONS(1582),
    [anon_sym_LBRACE] = ACTIONS(1586),
    [anon_sym__] = ACTIONS(1588),
    [anon_sym_PLUS] = ACTIONS(1590),
    [anon_sym_DASH] = ACTIONS(1590),
    [anon_sym_end] = ACTIONS(1592),
    [anon_sym_if] = ACTIONS(1864),
    [anon_sym_while] = ACTIONS(1866),
    [anon_sym_for] = ACTIONS(1868),
    [anon_sym_try] = ACTIONS(1870),
    [anon_sym_new] = ACTIONS(1594),
    [anon_sym_opaque] = ACTIONS(1592),
    [anon_sym_implicit] = ACTIONS(1872),
    [anon_sym_inline] = ACTIONS(1596),
    [anon_sym_infix] = ACTIONS(1592),
    [anon_sym_open] = ACTIONS(1592),
    [anon_sym_transparent] = ACTIONS(1592),
    [anon_sym_LPAREN] = ACTIONS(1598),
    [anon_sym_macro] = ACTIONS(1874),
    [anon_sym_BANG] = ACTIONS(1590),
    [anon_sym_TILDE] = ACTIONS(1590),
    [anon_sym_DOLLAR] = ACTIONS(1600),
    [anon_sym_SQUOTE] = ACTIONS(1602),
    [sym__backquoted_id] = ACTIONS(1604),
    [sym_operator_identifier] = ACTIONS(1876),
    [sym_integer_literal] = ACTIONS(1608),
    [sym_floating_point_literal] = ACTIONS(1610),
    [anon_sym_true] = ACTIONS(1612),
    [anon_sym_false] = ACTIONS(1612),
    [sym_character_literal] = ACTIONS(1610),
    [sym_null_literal] = ACTIONS(1614),
    [anon_sym_return] = ACTIONS(1878),
    [anon_sym_throw] = ACTIONS(1880),
    [anon_sym_do] = ACTIONS(1882),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3282),
    [sym__simple_multiline_string] = ACTIONS(1616),
    [sym__simple_string] = ACTIONS(1616),
  },
  [1399] = {
    [sym_inline_modifier] = STATE(2118),
    [sym__indentable_expression] = STATE(12546),
    [sym_block] = STATE(5403),
    [sym_indented_block] = STATE(11085),
    [sym_indented_cases] = STATE(11085),
    [sym_expression] = STATE(11355),
    [sym__simple_expression] = STATE(5051),
    [sym_lambda_expression] = STATE(11364),
    [sym_if_expression] = STATE(11364),
    [sym_match_expression] = STATE(11364),
    [sym_try_expression] = STATE(11364),
    [sym_bindings] = STATE(15597),
    [sym_case_block] = STATE(5403),
    [sym_assignment_expression] = STATE(11364),
    [sym_generic_function] = STATE(5403),
    [sym_call_expression] = STATE(5403),
    [sym_field_expression] = STATE(5403),
    [sym_instance_expression] = STATE(5403),
    [sym_ascription_expression] = STATE(11364),
    [sym_infix_expression] = STATE(6806),
    [sym_postfix_expression] = STATE(10789),
    [sym__postfix_expression_choice] = STATE(15797),
    [sym_macro_body] = STATE(11364),
    [sym_prefix_expression] = STATE(8869),
    [sym_tuple_expression] = STATE(5403),
    [sym_parenthesized_expression] = STATE(5403),
    [sym_splice_expression] = STATE(5403),
    [sym_quote_expression] = STATE(5403),
    [sym_identifier] = STATE(4686),
    [sym__soft_identifier] = STATE(4455),
    [sym_wildcard] = STATE(7015),
    [sym__non_null_literal] = STATE(5403),
    [sym_boolean_literal] = STATE(5637),
    [sym_interpolated_string_expression] = STATE(5403),
    [sym_string] = STATE(5637),
    [sym_unit] = STATE(5403),
    [sym_return_expression] = STATE(11364),
    [sym_throw_expression] = STATE(11364),
    [sym_while_expression] = STATE(11364),
    [sym_do_while_expression] = STATE(11364),
    [sym_for_expression] = STATE(11364),
    [sym_comment] = STATE(1399),
    [sym_block_comment] = STATE(1399),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(1152),
    [anon_sym_while] = ACTIONS(1154),
    [anon_sym_for] = ACTIONS(1156),
    [anon_sym_try] = ACTIONS(1158),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1160),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1162),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1164),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1166),
    [anon_sym_throw] = ACTIONS(1168),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2282),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [1400] = {
    [sym_inline_modifier] = STATE(2067),
    [sym__indentable_expression] = STATE(12508),
    [sym_block] = STATE(10133),
    [sym_indented_block] = STATE(12292),
    [sym_indented_cases] = STATE(12292),
    [sym_expression] = STATE(13765),
    [sym__simple_expression] = STATE(7525),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15728),
    [sym_case_block] = STATE(10133),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(10133),
    [sym_call_expression] = STATE(10133),
    [sym_field_expression] = STATE(10133),
    [sym_instance_expression] = STATE(10133),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(10489),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(17114),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10321),
    [sym_tuple_expression] = STATE(10133),
    [sym_parenthesized_expression] = STATE(10133),
    [sym_splice_expression] = STATE(10133),
    [sym_quote_expression] = STATE(10133),
    [sym_identifier] = STATE(7070),
    [sym__soft_identifier] = STATE(4482),
    [sym_wildcard] = STATE(9321),
    [sym__non_null_literal] = STATE(10133),
    [sym_boolean_literal] = STATE(7065),
    [sym_interpolated_string_expression] = STATE(10133),
    [sym_string] = STATE(7065),
    [sym_unit] = STATE(10133),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(1400),
    [sym_block_comment] = STATE(1400),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_end] = ACTIONS(2374),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_opaque] = ACTIONS(2374),
    [anon_sym_implicit] = ACTIONS(3002),
    [anon_sym_inline] = ACTIONS(67),
    [anon_sym_infix] = ACTIONS(2374),
    [anon_sym_open] = ACTIONS(2374),
    [anon_sym_transparent] = ACTIONS(2374),
    [anon_sym_LPAREN] = ACTIONS(75),
    [anon_sym_macro] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(83),
    [sym_operator_identifier] = ACTIONS(85),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(95),
    [anon_sym_throw] = ACTIONS(97),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [1401] = {
    [sym_inline_modifier] = STATE(2040),
    [sym__indentable_expression] = STATE(13468),
    [sym_block] = STATE(8375),
    [sym_indented_block] = STATE(13183),
    [sym_indented_cases] = STATE(13183),
    [sym_expression] = STATE(12800),
    [sym__simple_expression] = STATE(7538),
    [sym_lambda_expression] = STATE(13185),
    [sym_if_expression] = STATE(13185),
    [sym_match_expression] = STATE(13185),
    [sym_try_expression] = STATE(13185),
    [sym_bindings] = STATE(15594),
    [sym_case_block] = STATE(8375),
    [sym_assignment_expression] = STATE(13185),
    [sym_generic_function] = STATE(8375),
    [sym_call_expression] = STATE(8375),
    [sym_field_expression] = STATE(8375),
    [sym_instance_expression] = STATE(8375),
    [sym_ascription_expression] = STATE(13185),
    [sym_infix_expression] = STATE(9364),
    [sym_postfix_expression] = STATE(12809),
    [sym__postfix_expression_choice] = STATE(16440),
    [sym_macro_body] = STATE(13185),
    [sym_prefix_expression] = STATE(10274),
    [sym_tuple_expression] = STATE(8375),
    [sym_parenthesized_expression] = STATE(8375),
    [sym_splice_expression] = STATE(8375),
    [sym_quote_expression] = STATE(8375),
    [sym_identifier] = STATE(7110),
    [sym__soft_identifier] = STATE(5430),
    [sym_wildcard] = STATE(9287),
    [sym__non_null_literal] = STATE(8375),
    [sym_boolean_literal] = STATE(8117),
    [sym_interpolated_string_expression] = STATE(8375),
    [sym_string] = STATE(8117),
    [sym_unit] = STATE(8375),
    [sym_return_expression] = STATE(13185),
    [sym_throw_expression] = STATE(13185),
    [sym_while_expression] = STATE(13185),
    [sym_do_while_expression] = STATE(13185),
    [sym_for_expression] = STATE(13185),
    [sym_comment] = STATE(1401),
    [sym_block_comment] = STATE(1401),
    [sym__alpha_identifier] = ACTIONS(1618),
    [anon_sym_LBRACE] = ACTIONS(1622),
    [anon_sym__] = ACTIONS(1624),
    [anon_sym_PLUS] = ACTIONS(1626),
    [anon_sym_DASH] = ACTIONS(1626),
    [anon_sym_end] = ACTIONS(1628),
    [anon_sym_if] = ACTIONS(2414),
    [anon_sym_while] = ACTIONS(2416),
    [anon_sym_for] = ACTIONS(2418),
    [anon_sym_try] = ACTIONS(2420),
    [anon_sym_new] = ACTIONS(1630),
    [anon_sym_opaque] = ACTIONS(1628),
    [anon_sym_implicit] = ACTIONS(2422),
    [anon_sym_inline] = ACTIONS(1632),
    [anon_sym_infix] = ACTIONS(1628),
    [anon_sym_open] = ACTIONS(1628),
    [anon_sym_transparent] = ACTIONS(1628),
    [anon_sym_LPAREN] = ACTIONS(1634),
    [anon_sym_macro] = ACTIONS(2074),
    [anon_sym_BANG] = ACTIONS(1626),
    [anon_sym_TILDE] = ACTIONS(1626),
    [anon_sym_DOLLAR] = ACTIONS(1636),
    [anon_sym_SQUOTE] = ACTIONS(1638),
    [sym__backquoted_id] = ACTIONS(1640),
    [sym_operator_identifier] = ACTIONS(2424),
    [sym_integer_literal] = ACTIONS(1644),
    [sym_floating_point_literal] = ACTIONS(1646),
    [anon_sym_true] = ACTIONS(1648),
    [anon_sym_false] = ACTIONS(1648),
    [sym_character_literal] = ACTIONS(1646),
    [sym_null_literal] = ACTIONS(1650),
    [anon_sym_return] = ACTIONS(2426),
    [anon_sym_throw] = ACTIONS(2428),
    [anon_sym_do] = ACTIONS(2082),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1652),
    [sym__simple_string] = ACTIONS(1652),
  },
  [1402] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(13431),
    [sym_block] = STATE(9088),
    [sym_indented_block] = STATE(13438),
    [sym_indented_cases] = STATE(13438),
    [sym_expression] = STATE(12942),
    [sym__simple_expression] = STATE(7286),
    [sym_lambda_expression] = STATE(13338),
    [sym_if_expression] = STATE(13338),
    [sym_match_expression] = STATE(13338),
    [sym_try_expression] = STATE(13338),
    [sym_bindings] = STATE(15723),
    [sym_case_block] = STATE(9088),
    [sym_assignment_expression] = STATE(13338),
    [sym_generic_function] = STATE(9088),
    [sym_call_expression] = STATE(9088),
    [sym_field_expression] = STATE(9088),
    [sym_instance_expression] = STATE(9088),
    [sym_ascription_expression] = STATE(13338),
    [sym_infix_expression] = STATE(9773),
    [sym_postfix_expression] = STATE(13117),
    [sym__postfix_expression_choice] = STATE(15912),
    [sym_macro_body] = STATE(13338),
    [sym_prefix_expression] = STATE(10020),
    [sym_tuple_expression] = STATE(9088),
    [sym_parenthesized_expression] = STATE(9088),
    [sym_splice_expression] = STATE(9088),
    [sym_quote_expression] = STATE(9088),
    [sym_identifier] = STATE(6105),
    [sym__soft_identifier] = STATE(6581),
    [sym_wildcard] = STATE(8709),
    [sym__non_null_literal] = STATE(9088),
    [sym_boolean_literal] = STATE(8905),
    [sym_interpolated_string_expression] = STATE(9088),
    [sym_string] = STATE(8905),
    [sym_unit] = STATE(9088),
    [sym_return_expression] = STATE(13338),
    [sym_throw_expression] = STATE(13338),
    [sym_while_expression] = STATE(13338),
    [sym_do_while_expression] = STATE(13338),
    [sym_for_expression] = STATE(13338),
    [sym_comment] = STATE(1402),
    [sym_block_comment] = STATE(1402),
    [sym__alpha_identifier] = ACTIONS(1938),
    [anon_sym_LBRACE] = ACTIONS(1942),
    [anon_sym__] = ACTIONS(1944),
    [anon_sym_PLUS] = ACTIONS(1946),
    [anon_sym_DASH] = ACTIONS(1946),
    [anon_sym_end] = ACTIONS(1948),
    [anon_sym_if] = ACTIONS(2260),
    [anon_sym_while] = ACTIONS(2262),
    [anon_sym_for] = ACTIONS(2264),
    [anon_sym_try] = ACTIONS(2266),
    [anon_sym_new] = ACTIONS(1950),
    [anon_sym_opaque] = ACTIONS(1948),
    [anon_sym_implicit] = ACTIONS(2268),
    [anon_sym_inline] = ACTIONS(1952),
    [anon_sym_infix] = ACTIONS(1948),
    [anon_sym_open] = ACTIONS(1948),
    [anon_sym_transparent] = ACTIONS(1948),
    [anon_sym_LPAREN] = ACTIONS(1954),
    [anon_sym_macro] = ACTIONS(2270),
    [anon_sym_BANG] = ACTIONS(1946),
    [anon_sym_TILDE] = ACTIONS(1946),
    [anon_sym_DOLLAR] = ACTIONS(1956),
    [anon_sym_SQUOTE] = ACTIONS(1958),
    [sym__backquoted_id] = ACTIONS(1960),
    [sym_operator_identifier] = ACTIONS(2272),
    [sym_integer_literal] = ACTIONS(1964),
    [sym_floating_point_literal] = ACTIONS(1966),
    [anon_sym_true] = ACTIONS(1968),
    [anon_sym_false] = ACTIONS(1968),
    [sym_character_literal] = ACTIONS(1966),
    [sym_null_literal] = ACTIONS(1970),
    [anon_sym_return] = ACTIONS(2274),
    [anon_sym_throw] = ACTIONS(2276),
    [anon_sym_do] = ACTIONS(2278),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2346),
    [sym__simple_multiline_string] = ACTIONS(1972),
    [sym__simple_string] = ACTIONS(1972),
  },
  [1403] = {
    [sym_inline_modifier] = STATE(2084),
    [sym__indentable_expression] = STATE(16199),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(8831),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15722),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10635),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(746),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(8641),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(10149),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1403),
    [sym_block_comment] = STATE(1403),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2740),
    [anon_sym_while] = ACTIONS(2742),
    [anon_sym_for] = ACTIONS(2744),
    [anon_sym_try] = ACTIONS(2746),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2748),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3310),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3312),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2762),
    [anon_sym_throw] = ACTIONS(2764),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1404] = {
    [sym_inline_modifier] = STATE(2047),
    [sym__indentable_expression] = STATE(13643),
    [sym_block] = STATE(6954),
    [sym_indented_block] = STATE(11923),
    [sym_indented_cases] = STATE(11923),
    [sym_expression] = STATE(12206),
    [sym__simple_expression] = STATE(6567),
    [sym_lambda_expression] = STATE(12144),
    [sym_if_expression] = STATE(12144),
    [sym_match_expression] = STATE(12144),
    [sym_try_expression] = STATE(12144),
    [sym_bindings] = STATE(15566),
    [sym_case_block] = STATE(6954),
    [sym_assignment_expression] = STATE(12144),
    [sym_generic_function] = STATE(6954),
    [sym_call_expression] = STATE(6954),
    [sym_field_expression] = STATE(6954),
    [sym_instance_expression] = STATE(6954),
    [sym_ascription_expression] = STATE(12144),
    [sym_infix_expression] = STATE(8226),
    [sym_postfix_expression] = STATE(11499),
    [sym__postfix_expression_choice] = STATE(16229),
    [sym_macro_body] = STATE(12144),
    [sym_prefix_expression] = STATE(9870),
    [sym_tuple_expression] = STATE(6954),
    [sym_parenthesized_expression] = STATE(6954),
    [sym_splice_expression] = STATE(6954),
    [sym_quote_expression] = STATE(6954),
    [sym_identifier] = STATE(5779),
    [sym__soft_identifier] = STATE(4827),
    [sym_wildcard] = STATE(8216),
    [sym__non_null_literal] = STATE(6954),
    [sym_boolean_literal] = STATE(6997),
    [sym_interpolated_string_expression] = STATE(6954),
    [sym_string] = STATE(6997),
    [sym_unit] = STATE(6954),
    [sym_return_expression] = STATE(12144),
    [sym_throw_expression] = STATE(12144),
    [sym_while_expression] = STATE(12144),
    [sym_do_while_expression] = STATE(12144),
    [sym_for_expression] = STATE(12144),
    [sym_comment] = STATE(1404),
    [sym_block_comment] = STATE(1404),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(1884),
    [anon_sym_while] = ACTIONS(1886),
    [anon_sym_for] = ACTIONS(1888),
    [anon_sym_try] = ACTIONS(1890),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(1892),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1894),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(1896),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(1898),
    [anon_sym_throw] = ACTIONS(1900),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3280),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [1405] = {
    [sym_inline_modifier] = STATE(2252),
    [sym__indentable_expression] = STATE(13318),
    [sym_block] = STATE(8262),
    [sym_indented_block] = STATE(13058),
    [sym_indented_cases] = STATE(13058),
    [sym_expression] = STATE(12868),
    [sym__simple_expression] = STATE(5471),
    [sym_lambda_expression] = STATE(13098),
    [sym_if_expression] = STATE(13098),
    [sym_match_expression] = STATE(13098),
    [sym_try_expression] = STATE(13098),
    [sym_bindings] = STATE(15615),
    [sym_case_block] = STATE(8262),
    [sym_assignment_expression] = STATE(13098),
    [sym_generic_function] = STATE(8262),
    [sym_call_expression] = STATE(8262),
    [sym_field_expression] = STATE(8262),
    [sym_instance_expression] = STATE(8262),
    [sym_ascription_expression] = STATE(13098),
    [sym_infix_expression] = STATE(9485),
    [sym_postfix_expression] = STATE(12647),
    [sym__postfix_expression_choice] = STATE(16347),
    [sym_macro_body] = STATE(13098),
    [sym_prefix_expression] = STATE(9525),
    [sym_tuple_expression] = STATE(8262),
    [sym_parenthesized_expression] = STATE(8262),
    [sym_splice_expression] = STATE(8262),
    [sym_quote_expression] = STATE(8262),
    [sym_identifier] = STATE(5180),
    [sym__soft_identifier] = STATE(5419),
    [sym_wildcard] = STATE(7820),
    [sym__non_null_literal] = STATE(8262),
    [sym_boolean_literal] = STATE(8242),
    [sym_interpolated_string_expression] = STATE(8262),
    [sym_string] = STATE(8242),
    [sym_unit] = STATE(8262),
    [sym_return_expression] = STATE(13098),
    [sym_throw_expression] = STATE(13098),
    [sym_while_expression] = STATE(13098),
    [sym_do_while_expression] = STATE(13098),
    [sym_for_expression] = STATE(13098),
    [sym_comment] = STATE(1405),
    [sym_block_comment] = STATE(1405),
    [sym__alpha_identifier] = ACTIONS(1278),
    [anon_sym_LBRACE] = ACTIONS(1282),
    [anon_sym__] = ACTIONS(1284),
    [anon_sym_PLUS] = ACTIONS(1286),
    [anon_sym_DASH] = ACTIONS(1286),
    [anon_sym_end] = ACTIONS(1288),
    [anon_sym_if] = ACTIONS(1710),
    [anon_sym_while] = ACTIONS(1712),
    [anon_sym_for] = ACTIONS(1714),
    [anon_sym_try] = ACTIONS(1716),
    [anon_sym_new] = ACTIONS(1290),
    [anon_sym_opaque] = ACTIONS(1288),
    [anon_sym_implicit] = ACTIONS(1718),
    [anon_sym_inline] = ACTIONS(1292),
    [anon_sym_infix] = ACTIONS(1288),
    [anon_sym_open] = ACTIONS(1288),
    [anon_sym_transparent] = ACTIONS(1288),
    [anon_sym_LPAREN] = ACTIONS(1294),
    [anon_sym_macro] = ACTIONS(1720),
    [anon_sym_BANG] = ACTIONS(1286),
    [anon_sym_TILDE] = ACTIONS(1286),
    [anon_sym_DOLLAR] = ACTIONS(1296),
    [anon_sym_SQUOTE] = ACTIONS(1298),
    [sym__backquoted_id] = ACTIONS(1300),
    [sym_operator_identifier] = ACTIONS(1722),
    [sym_integer_literal] = ACTIONS(1304),
    [sym_floating_point_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1308),
    [anon_sym_false] = ACTIONS(1308),
    [sym_character_literal] = ACTIONS(1306),
    [sym_null_literal] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(1724),
    [anon_sym_throw] = ACTIONS(1726),
    [anon_sym_do] = ACTIONS(1728),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2198),
    [sym__simple_multiline_string] = ACTIONS(1312),
    [sym__simple_string] = ACTIONS(1312),
  },
  [1406] = {
    [sym_inline_modifier] = STATE(2047),
    [sym__indentable_expression] = STATE(11973),
    [sym_block] = STATE(6954),
    [sym_indented_block] = STATE(11923),
    [sym_indented_cases] = STATE(11923),
    [sym_expression] = STATE(12206),
    [sym__simple_expression] = STATE(6567),
    [sym_lambda_expression] = STATE(12144),
    [sym_if_expression] = STATE(12144),
    [sym_match_expression] = STATE(12144),
    [sym_try_expression] = STATE(12144),
    [sym_bindings] = STATE(15566),
    [sym_case_block] = STATE(6954),
    [sym_assignment_expression] = STATE(12144),
    [sym_generic_function] = STATE(6954),
    [sym_call_expression] = STATE(6954),
    [sym_field_expression] = STATE(6954),
    [sym_instance_expression] = STATE(6954),
    [sym_ascription_expression] = STATE(12144),
    [sym_infix_expression] = STATE(8226),
    [sym_postfix_expression] = STATE(11499),
    [sym__postfix_expression_choice] = STATE(16229),
    [sym_macro_body] = STATE(12144),
    [sym_prefix_expression] = STATE(9870),
    [sym_tuple_expression] = STATE(6954),
    [sym_parenthesized_expression] = STATE(6954),
    [sym_splice_expression] = STATE(6954),
    [sym_quote_expression] = STATE(6954),
    [sym_identifier] = STATE(5779),
    [sym__soft_identifier] = STATE(4827),
    [sym_wildcard] = STATE(8216),
    [sym__non_null_literal] = STATE(6954),
    [sym_boolean_literal] = STATE(6997),
    [sym_interpolated_string_expression] = STATE(6954),
    [sym_string] = STATE(6997),
    [sym_unit] = STATE(6954),
    [sym_return_expression] = STATE(12144),
    [sym_throw_expression] = STATE(12144),
    [sym_while_expression] = STATE(12144),
    [sym_do_while_expression] = STATE(12144),
    [sym_for_expression] = STATE(12144),
    [sym_comment] = STATE(1406),
    [sym_block_comment] = STATE(1406),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(1884),
    [anon_sym_while] = ACTIONS(1886),
    [anon_sym_for] = ACTIONS(1888),
    [anon_sym_try] = ACTIONS(1890),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(1892),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1894),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(1896),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(1898),
    [anon_sym_throw] = ACTIONS(1900),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3280),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [1407] = {
    [sym_inline_modifier] = STATE(2284),
    [sym__indentable_expression] = STATE(13606),
    [sym_block] = STATE(9120),
    [sym_indented_block] = STATE(13388),
    [sym_indented_cases] = STATE(13388),
    [sym_expression] = STATE(13211),
    [sym__simple_expression] = STATE(6111),
    [sym_lambda_expression] = STATE(13422),
    [sym_if_expression] = STATE(13422),
    [sym_match_expression] = STATE(13422),
    [sym_try_expression] = STATE(13422),
    [sym_bindings] = STATE(15588),
    [sym_case_block] = STATE(9120),
    [sym_assignment_expression] = STATE(13422),
    [sym_generic_function] = STATE(9120),
    [sym_call_expression] = STATE(9120),
    [sym_field_expression] = STATE(9120),
    [sym_instance_expression] = STATE(9120),
    [sym_ascription_expression] = STATE(13422),
    [sym_infix_expression] = STATE(9820),
    [sym_postfix_expression] = STATE(13148),
    [sym__postfix_expression_choice] = STATE(15936),
    [sym_macro_body] = STATE(13422),
    [sym_prefix_expression] = STATE(9760),
    [sym_tuple_expression] = STATE(9120),
    [sym_parenthesized_expression] = STATE(9120),
    [sym_splice_expression] = STATE(9120),
    [sym_quote_expression] = STATE(9120),
    [sym_identifier] = STATE(5467),
    [sym__soft_identifier] = STATE(6470),
    [sym_wildcard] = STATE(8607),
    [sym__non_null_literal] = STATE(9120),
    [sym_boolean_literal] = STATE(8928),
    [sym_interpolated_string_expression] = STATE(9120),
    [sym_string] = STATE(8928),
    [sym_unit] = STATE(9120),
    [sym_return_expression] = STATE(13422),
    [sym_throw_expression] = STATE(13422),
    [sym_while_expression] = STATE(13422),
    [sym_do_while_expression] = STATE(13422),
    [sym_for_expression] = STATE(13422),
    [sym_comment] = STATE(1407),
    [sym_block_comment] = STATE(1407),
    [sym__alpha_identifier] = ACTIONS(1582),
    [anon_sym_LBRACE] = ACTIONS(1586),
    [anon_sym__] = ACTIONS(1588),
    [anon_sym_PLUS] = ACTIONS(1590),
    [anon_sym_DASH] = ACTIONS(1590),
    [anon_sym_end] = ACTIONS(1592),
    [anon_sym_if] = ACTIONS(3218),
    [anon_sym_while] = ACTIONS(2380),
    [anon_sym_for] = ACTIONS(2382),
    [anon_sym_try] = ACTIONS(2384),
    [anon_sym_new] = ACTIONS(1594),
    [anon_sym_opaque] = ACTIONS(1592),
    [anon_sym_implicit] = ACTIONS(2386),
    [anon_sym_inline] = ACTIONS(1596),
    [anon_sym_infix] = ACTIONS(1592),
    [anon_sym_open] = ACTIONS(1592),
    [anon_sym_transparent] = ACTIONS(1592),
    [anon_sym_LPAREN] = ACTIONS(1598),
    [anon_sym_macro] = ACTIONS(1874),
    [anon_sym_BANG] = ACTIONS(1590),
    [anon_sym_TILDE] = ACTIONS(1590),
    [anon_sym_DOLLAR] = ACTIONS(1600),
    [anon_sym_SQUOTE] = ACTIONS(1602),
    [sym__backquoted_id] = ACTIONS(1604),
    [sym_operator_identifier] = ACTIONS(2388),
    [sym_integer_literal] = ACTIONS(1608),
    [sym_floating_point_literal] = ACTIONS(1610),
    [anon_sym_true] = ACTIONS(1612),
    [anon_sym_false] = ACTIONS(1612),
    [sym_character_literal] = ACTIONS(1610),
    [sym_null_literal] = ACTIONS(1614),
    [anon_sym_return] = ACTIONS(2390),
    [anon_sym_throw] = ACTIONS(2392),
    [anon_sym_do] = ACTIONS(1882),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3282),
    [sym__simple_multiline_string] = ACTIONS(1616),
    [sym__simple_string] = ACTIONS(1616),
  },
  [1408] = {
    [sym_inline_modifier] = STATE(2084),
    [sym__indentable_expression] = STATE(16763),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(8831),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15722),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10635),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(665),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(8641),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(10149),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1408),
    [sym_block_comment] = STATE(1408),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2740),
    [anon_sym_while] = ACTIONS(2742),
    [anon_sym_for] = ACTIONS(2744),
    [anon_sym_try] = ACTIONS(2746),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2748),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3310),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3312),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2762),
    [anon_sym_throw] = ACTIONS(2764),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1409] = {
    [sym_inline_modifier] = STATE(2047),
    [sym__indentable_expression] = STATE(13470),
    [sym_block] = STATE(6954),
    [sym_indented_block] = STATE(11923),
    [sym_indented_cases] = STATE(11923),
    [sym_expression] = STATE(12206),
    [sym__simple_expression] = STATE(6567),
    [sym_lambda_expression] = STATE(12144),
    [sym_if_expression] = STATE(12144),
    [sym_match_expression] = STATE(12144),
    [sym_try_expression] = STATE(12144),
    [sym_bindings] = STATE(15566),
    [sym_case_block] = STATE(6954),
    [sym_assignment_expression] = STATE(12144),
    [sym_generic_function] = STATE(6954),
    [sym_call_expression] = STATE(6954),
    [sym_field_expression] = STATE(6954),
    [sym_instance_expression] = STATE(6954),
    [sym_ascription_expression] = STATE(12144),
    [sym_infix_expression] = STATE(8226),
    [sym_postfix_expression] = STATE(11499),
    [sym__postfix_expression_choice] = STATE(16229),
    [sym_macro_body] = STATE(12144),
    [sym_prefix_expression] = STATE(9870),
    [sym_tuple_expression] = STATE(6954),
    [sym_parenthesized_expression] = STATE(6954),
    [sym_splice_expression] = STATE(6954),
    [sym_quote_expression] = STATE(6954),
    [sym_identifier] = STATE(5779),
    [sym__soft_identifier] = STATE(4827),
    [sym_wildcard] = STATE(8216),
    [sym__non_null_literal] = STATE(6954),
    [sym_boolean_literal] = STATE(6997),
    [sym_interpolated_string_expression] = STATE(6954),
    [sym_string] = STATE(6997),
    [sym_unit] = STATE(6954),
    [sym_return_expression] = STATE(12144),
    [sym_throw_expression] = STATE(12144),
    [sym_while_expression] = STATE(12144),
    [sym_do_while_expression] = STATE(12144),
    [sym_for_expression] = STATE(12144),
    [sym_comment] = STATE(1409),
    [sym_block_comment] = STATE(1409),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(1884),
    [anon_sym_while] = ACTIONS(1886),
    [anon_sym_for] = ACTIONS(1888),
    [anon_sym_try] = ACTIONS(1890),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(1892),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1894),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(1896),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(1898),
    [anon_sym_throw] = ACTIONS(1900),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3280),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [1410] = {
    [sym_inline_modifier] = STATE(2189),
    [sym__indentable_expression] = STATE(13600),
    [sym_block] = STATE(9327),
    [sym_indented_block] = STATE(13548),
    [sym_indented_cases] = STATE(13548),
    [sym_expression] = STATE(13406),
    [sym__simple_expression] = STATE(7289),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15762),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10205),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10142),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6081),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(8816),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(1410),
    [sym_block_comment] = STATE(1410),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(569),
    [anon_sym_DASH] = ACTIONS(569),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(571),
    [anon_sym_while] = ACTIONS(573),
    [anon_sym_for] = ACTIONS(575),
    [anon_sym_try] = ACTIONS(577),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(2248),
    [anon_sym_inline] = ACTIONS(1860),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(569),
    [anon_sym_TILDE] = ACTIONS(569),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(587),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(589),
    [anon_sym_throw] = ACTIONS(591),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [1411] = {
    [sym_inline_modifier] = STATE(2179),
    [sym__indentable_expression] = STATE(12481),
    [sym_block] = STATE(6738),
    [sym_indented_block] = STATE(12372),
    [sym_indented_cases] = STATE(12372),
    [sym_expression] = STATE(12028),
    [sym__simple_expression] = STATE(6283),
    [sym_lambda_expression] = STATE(12430),
    [sym_if_expression] = STATE(12430),
    [sym_match_expression] = STATE(12430),
    [sym_try_expression] = STATE(12430),
    [sym_bindings] = STATE(15581),
    [sym_case_block] = STATE(6738),
    [sym_assignment_expression] = STATE(12430),
    [sym_generic_function] = STATE(6738),
    [sym_call_expression] = STATE(6738),
    [sym_field_expression] = STATE(6738),
    [sym_instance_expression] = STATE(6738),
    [sym_ascription_expression] = STATE(12430),
    [sym_infix_expression] = STATE(8389),
    [sym_postfix_expression] = STATE(11930),
    [sym__postfix_expression_choice] = STATE(15885),
    [sym_macro_body] = STATE(12430),
    [sym_prefix_expression] = STATE(9616),
    [sym_tuple_expression] = STATE(6738),
    [sym_parenthesized_expression] = STATE(6738),
    [sym_splice_expression] = STATE(6738),
    [sym_quote_expression] = STATE(6738),
    [sym_identifier] = STATE(5530),
    [sym__soft_identifier] = STATE(4943),
    [sym_wildcard] = STATE(8554),
    [sym__non_null_literal] = STATE(6738),
    [sym_boolean_literal] = STATE(7301),
    [sym_interpolated_string_expression] = STATE(6738),
    [sym_string] = STATE(7301),
    [sym_unit] = STATE(6738),
    [sym_return_expression] = STATE(12430),
    [sym_throw_expression] = STATE(12430),
    [sym_while_expression] = STATE(12430),
    [sym_do_while_expression] = STATE(12430),
    [sym_for_expression] = STATE(12430),
    [sym_comment] = STATE(1411),
    [sym_block_comment] = STATE(1411),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(2356),
    [anon_sym_while] = ACTIONS(2358),
    [anon_sym_for] = ACTIONS(2360),
    [anon_sym_try] = ACTIONS(2362),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1360),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(2366),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(2368),
    [anon_sym_throw] = ACTIONS(2370),
    [anon_sym_do] = ACTIONS(1368),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2202),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [1412] = {
    [sym_inline_modifier] = STATE(2234),
    [sym__indentable_expression] = STATE(12511),
    [sym_block] = STATE(7443),
    [sym_indented_block] = STATE(12679),
    [sym_indented_cases] = STATE(12679),
    [sym_expression] = STATE(12305),
    [sym__simple_expression] = STATE(5279),
    [sym_lambda_expression] = STATE(12692),
    [sym_if_expression] = STATE(12692),
    [sym_match_expression] = STATE(12692),
    [sym_try_expression] = STATE(12692),
    [sym_bindings] = STATE(15619),
    [sym_case_block] = STATE(7443),
    [sym_assignment_expression] = STATE(12692),
    [sym_generic_function] = STATE(7443),
    [sym_call_expression] = STATE(7443),
    [sym_field_expression] = STATE(7443),
    [sym_instance_expression] = STATE(7443),
    [sym_ascription_expression] = STATE(12692),
    [sym_infix_expression] = STATE(8993),
    [sym_postfix_expression] = STATE(12386),
    [sym__postfix_expression_choice] = STATE(16150),
    [sym_macro_body] = STATE(12692),
    [sym_prefix_expression] = STATE(8795),
    [sym_tuple_expression] = STATE(7443),
    [sym_parenthesized_expression] = STATE(7443),
    [sym_splice_expression] = STATE(7443),
    [sym_quote_expression] = STATE(7443),
    [sym_identifier] = STATE(4734),
    [sym__soft_identifier] = STATE(5213),
    [sym_wildcard] = STATE(7227),
    [sym__non_null_literal] = STATE(7443),
    [sym_boolean_literal] = STATE(7707),
    [sym_interpolated_string_expression] = STATE(7443),
    [sym_string] = STATE(7707),
    [sym_unit] = STATE(7443),
    [sym_return_expression] = STATE(12692),
    [sym_throw_expression] = STATE(12692),
    [sym_while_expression] = STATE(12692),
    [sym_do_while_expression] = STATE(12692),
    [sym_for_expression] = STATE(12692),
    [sym_comment] = STATE(1412),
    [sym_block_comment] = STATE(1412),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(2292),
    [anon_sym_while] = ACTIONS(1480),
    [anon_sym_for] = ACTIONS(1482),
    [anon_sym_try] = ACTIONS(1484),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(1486),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1196),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(1488),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(1490),
    [anon_sym_throw] = ACTIONS(1492),
    [anon_sym_do] = ACTIONS(1204),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2294),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [1413] = {
    [sym_inline_modifier] = STATE(2179),
    [sym__indentable_expression] = STATE(12478),
    [sym_block] = STATE(6738),
    [sym_indented_block] = STATE(12372),
    [sym_indented_cases] = STATE(12372),
    [sym_expression] = STATE(12028),
    [sym__simple_expression] = STATE(6283),
    [sym_lambda_expression] = STATE(12430),
    [sym_if_expression] = STATE(12430),
    [sym_match_expression] = STATE(12430),
    [sym_try_expression] = STATE(12430),
    [sym_bindings] = STATE(15581),
    [sym_case_block] = STATE(6738),
    [sym_assignment_expression] = STATE(12430),
    [sym_generic_function] = STATE(6738),
    [sym_call_expression] = STATE(6738),
    [sym_field_expression] = STATE(6738),
    [sym_instance_expression] = STATE(6738),
    [sym_ascription_expression] = STATE(12430),
    [sym_infix_expression] = STATE(8389),
    [sym_postfix_expression] = STATE(11930),
    [sym__postfix_expression_choice] = STATE(15885),
    [sym_macro_body] = STATE(12430),
    [sym_prefix_expression] = STATE(9616),
    [sym_tuple_expression] = STATE(6738),
    [sym_parenthesized_expression] = STATE(6738),
    [sym_splice_expression] = STATE(6738),
    [sym_quote_expression] = STATE(6738),
    [sym_identifier] = STATE(5530),
    [sym__soft_identifier] = STATE(4943),
    [sym_wildcard] = STATE(8554),
    [sym__non_null_literal] = STATE(6738),
    [sym_boolean_literal] = STATE(7301),
    [sym_interpolated_string_expression] = STATE(6738),
    [sym_string] = STATE(7301),
    [sym_unit] = STATE(6738),
    [sym_return_expression] = STATE(12430),
    [sym_throw_expression] = STATE(12430),
    [sym_while_expression] = STATE(12430),
    [sym_do_while_expression] = STATE(12430),
    [sym_for_expression] = STATE(12430),
    [sym_comment] = STATE(1413),
    [sym_block_comment] = STATE(1413),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(2356),
    [anon_sym_while] = ACTIONS(2358),
    [anon_sym_for] = ACTIONS(2360),
    [anon_sym_try] = ACTIONS(2362),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1360),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(2366),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(2368),
    [anon_sym_throw] = ACTIONS(2370),
    [anon_sym_do] = ACTIONS(1368),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2202),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [1414] = {
    [sym_inline_modifier] = STATE(2047),
    [sym__indentable_expression] = STATE(11982),
    [sym_block] = STATE(6954),
    [sym_indented_block] = STATE(11923),
    [sym_indented_cases] = STATE(11923),
    [sym_expression] = STATE(12206),
    [sym__simple_expression] = STATE(6567),
    [sym_lambda_expression] = STATE(12144),
    [sym_if_expression] = STATE(12144),
    [sym_match_expression] = STATE(12144),
    [sym_try_expression] = STATE(12144),
    [sym_bindings] = STATE(15566),
    [sym_case_block] = STATE(6954),
    [sym_assignment_expression] = STATE(12144),
    [sym_generic_function] = STATE(6954),
    [sym_call_expression] = STATE(6954),
    [sym_field_expression] = STATE(6954),
    [sym_instance_expression] = STATE(6954),
    [sym_ascription_expression] = STATE(12144),
    [sym_infix_expression] = STATE(8226),
    [sym_postfix_expression] = STATE(11499),
    [sym__postfix_expression_choice] = STATE(16229),
    [sym_macro_body] = STATE(12144),
    [sym_prefix_expression] = STATE(9870),
    [sym_tuple_expression] = STATE(6954),
    [sym_parenthesized_expression] = STATE(6954),
    [sym_splice_expression] = STATE(6954),
    [sym_quote_expression] = STATE(6954),
    [sym_identifier] = STATE(5779),
    [sym__soft_identifier] = STATE(4827),
    [sym_wildcard] = STATE(8216),
    [sym__non_null_literal] = STATE(6954),
    [sym_boolean_literal] = STATE(6997),
    [sym_interpolated_string_expression] = STATE(6954),
    [sym_string] = STATE(6997),
    [sym_unit] = STATE(6954),
    [sym_return_expression] = STATE(12144),
    [sym_throw_expression] = STATE(12144),
    [sym_while_expression] = STATE(12144),
    [sym_do_while_expression] = STATE(12144),
    [sym_for_expression] = STATE(12144),
    [sym_comment] = STATE(1414),
    [sym_block_comment] = STATE(1414),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(1884),
    [anon_sym_while] = ACTIONS(1886),
    [anon_sym_for] = ACTIONS(1888),
    [anon_sym_try] = ACTIONS(1890),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(1892),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1894),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(1896),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(1898),
    [anon_sym_throw] = ACTIONS(1900),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3280),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [1415] = {
    [sym_inline_modifier] = STATE(2179),
    [sym__indentable_expression] = STATE(12475),
    [sym_block] = STATE(6738),
    [sym_indented_block] = STATE(12372),
    [sym_indented_cases] = STATE(12372),
    [sym_expression] = STATE(12028),
    [sym__simple_expression] = STATE(6283),
    [sym_lambda_expression] = STATE(12430),
    [sym_if_expression] = STATE(12430),
    [sym_match_expression] = STATE(12430),
    [sym_try_expression] = STATE(12430),
    [sym_bindings] = STATE(15581),
    [sym_case_block] = STATE(6738),
    [sym_assignment_expression] = STATE(12430),
    [sym_generic_function] = STATE(6738),
    [sym_call_expression] = STATE(6738),
    [sym_field_expression] = STATE(6738),
    [sym_instance_expression] = STATE(6738),
    [sym_ascription_expression] = STATE(12430),
    [sym_infix_expression] = STATE(8389),
    [sym_postfix_expression] = STATE(11930),
    [sym__postfix_expression_choice] = STATE(15885),
    [sym_macro_body] = STATE(12430),
    [sym_prefix_expression] = STATE(9616),
    [sym_tuple_expression] = STATE(6738),
    [sym_parenthesized_expression] = STATE(6738),
    [sym_splice_expression] = STATE(6738),
    [sym_quote_expression] = STATE(6738),
    [sym_identifier] = STATE(5530),
    [sym__soft_identifier] = STATE(4943),
    [sym_wildcard] = STATE(8554),
    [sym__non_null_literal] = STATE(6738),
    [sym_boolean_literal] = STATE(7301),
    [sym_interpolated_string_expression] = STATE(6738),
    [sym_string] = STATE(7301),
    [sym_unit] = STATE(6738),
    [sym_return_expression] = STATE(12430),
    [sym_throw_expression] = STATE(12430),
    [sym_while_expression] = STATE(12430),
    [sym_do_while_expression] = STATE(12430),
    [sym_for_expression] = STATE(12430),
    [sym_comment] = STATE(1415),
    [sym_block_comment] = STATE(1415),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(2356),
    [anon_sym_while] = ACTIONS(2358),
    [anon_sym_for] = ACTIONS(2360),
    [anon_sym_try] = ACTIONS(2362),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1360),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(2366),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(2368),
    [anon_sym_throw] = ACTIONS(2370),
    [anon_sym_do] = ACTIONS(1368),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2202),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [1416] = {
    [sym_inline_modifier] = STATE(2047),
    [sym__indentable_expression] = STATE(11987),
    [sym_block] = STATE(6954),
    [sym_indented_block] = STATE(11923),
    [sym_indented_cases] = STATE(11923),
    [sym_expression] = STATE(12206),
    [sym__simple_expression] = STATE(6567),
    [sym_lambda_expression] = STATE(12144),
    [sym_if_expression] = STATE(12144),
    [sym_match_expression] = STATE(12144),
    [sym_try_expression] = STATE(12144),
    [sym_bindings] = STATE(15566),
    [sym_case_block] = STATE(6954),
    [sym_assignment_expression] = STATE(12144),
    [sym_generic_function] = STATE(6954),
    [sym_call_expression] = STATE(6954),
    [sym_field_expression] = STATE(6954),
    [sym_instance_expression] = STATE(6954),
    [sym_ascription_expression] = STATE(12144),
    [sym_infix_expression] = STATE(8226),
    [sym_postfix_expression] = STATE(11499),
    [sym__postfix_expression_choice] = STATE(16229),
    [sym_macro_body] = STATE(12144),
    [sym_prefix_expression] = STATE(9870),
    [sym_tuple_expression] = STATE(6954),
    [sym_parenthesized_expression] = STATE(6954),
    [sym_splice_expression] = STATE(6954),
    [sym_quote_expression] = STATE(6954),
    [sym_identifier] = STATE(5779),
    [sym__soft_identifier] = STATE(4827),
    [sym_wildcard] = STATE(8216),
    [sym__non_null_literal] = STATE(6954),
    [sym_boolean_literal] = STATE(6997),
    [sym_interpolated_string_expression] = STATE(6954),
    [sym_string] = STATE(6997),
    [sym_unit] = STATE(6954),
    [sym_return_expression] = STATE(12144),
    [sym_throw_expression] = STATE(12144),
    [sym_while_expression] = STATE(12144),
    [sym_do_while_expression] = STATE(12144),
    [sym_for_expression] = STATE(12144),
    [sym_comment] = STATE(1416),
    [sym_block_comment] = STATE(1416),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(1884),
    [anon_sym_while] = ACTIONS(1886),
    [anon_sym_for] = ACTIONS(1888),
    [anon_sym_try] = ACTIONS(1890),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(1892),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1894),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(1896),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(1898),
    [anon_sym_throw] = ACTIONS(1900),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3280),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [1417] = {
    [sym_inline_modifier] = STATE(2047),
    [sym__indentable_expression] = STATE(11988),
    [sym_block] = STATE(6954),
    [sym_indented_block] = STATE(11923),
    [sym_indented_cases] = STATE(11923),
    [sym_expression] = STATE(12206),
    [sym__simple_expression] = STATE(6567),
    [sym_lambda_expression] = STATE(12144),
    [sym_if_expression] = STATE(12144),
    [sym_match_expression] = STATE(12144),
    [sym_try_expression] = STATE(12144),
    [sym_bindings] = STATE(15566),
    [sym_case_block] = STATE(6954),
    [sym_assignment_expression] = STATE(12144),
    [sym_generic_function] = STATE(6954),
    [sym_call_expression] = STATE(6954),
    [sym_field_expression] = STATE(6954),
    [sym_instance_expression] = STATE(6954),
    [sym_ascription_expression] = STATE(12144),
    [sym_infix_expression] = STATE(8226),
    [sym_postfix_expression] = STATE(11499),
    [sym__postfix_expression_choice] = STATE(16229),
    [sym_macro_body] = STATE(12144),
    [sym_prefix_expression] = STATE(9870),
    [sym_tuple_expression] = STATE(6954),
    [sym_parenthesized_expression] = STATE(6954),
    [sym_splice_expression] = STATE(6954),
    [sym_quote_expression] = STATE(6954),
    [sym_identifier] = STATE(5779),
    [sym__soft_identifier] = STATE(4827),
    [sym_wildcard] = STATE(8216),
    [sym__non_null_literal] = STATE(6954),
    [sym_boolean_literal] = STATE(6997),
    [sym_interpolated_string_expression] = STATE(6954),
    [sym_string] = STATE(6997),
    [sym_unit] = STATE(6954),
    [sym_return_expression] = STATE(12144),
    [sym_throw_expression] = STATE(12144),
    [sym_while_expression] = STATE(12144),
    [sym_do_while_expression] = STATE(12144),
    [sym_for_expression] = STATE(12144),
    [sym_comment] = STATE(1417),
    [sym_block_comment] = STATE(1417),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(1884),
    [anon_sym_while] = ACTIONS(1886),
    [anon_sym_for] = ACTIONS(1888),
    [anon_sym_try] = ACTIONS(1890),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(1892),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1894),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(1896),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(1898),
    [anon_sym_throw] = ACTIONS(1900),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3280),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [1418] = {
    [sym_inline_modifier] = STATE(2074),
    [sym__indentable_expression] = STATE(11483),
    [sym_block] = STATE(9523),
    [sym_indented_block] = STATE(11535),
    [sym_indented_cases] = STATE(11535),
    [sym_expression] = STATE(13312),
    [sym__simple_expression] = STATE(6085),
    [sym_lambda_expression] = STATE(11549),
    [sym_if_expression] = STATE(11549),
    [sym_match_expression] = STATE(11549),
    [sym_try_expression] = STATE(11549),
    [sym_bindings] = STATE(15713),
    [sym_case_block] = STATE(9523),
    [sym_assignment_expression] = STATE(11549),
    [sym_generic_function] = STATE(9523),
    [sym_call_expression] = STATE(9523),
    [sym_field_expression] = STATE(9523),
    [sym_instance_expression] = STATE(9523),
    [sym_ascription_expression] = STATE(11549),
    [sym_infix_expression] = STATE(10056),
    [sym_postfix_expression] = STATE(11204),
    [sym__postfix_expression_choice] = STATE(16623),
    [sym_macro_body] = STATE(11549),
    [sym_prefix_expression] = STATE(9754),
    [sym_tuple_expression] = STATE(9523),
    [sym_parenthesized_expression] = STATE(9523),
    [sym_splice_expression] = STATE(9523),
    [sym_quote_expression] = STATE(9523),
    [sym_identifier] = STATE(5442),
    [sym__soft_identifier] = STATE(4485),
    [sym_wildcard] = STATE(8639),
    [sym__non_null_literal] = STATE(9523),
    [sym_boolean_literal] = STATE(5592),
    [sym_interpolated_string_expression] = STATE(9523),
    [sym_string] = STATE(5592),
    [sym_unit] = STATE(9523),
    [sym_return_expression] = STATE(11549),
    [sym_throw_expression] = STATE(11549),
    [sym_while_expression] = STATE(11549),
    [sym_do_while_expression] = STATE(11549),
    [sym_for_expression] = STATE(11549),
    [sym_comment] = STATE(1418),
    [sym_block_comment] = STATE(1418),
    [sym__alpha_identifier] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(1392),
    [anon_sym__] = ACTIONS(1394),
    [anon_sym_PLUS] = ACTIONS(1396),
    [anon_sym_DASH] = ACTIONS(1396),
    [anon_sym_end] = ACTIONS(1398),
    [anon_sym_if] = ACTIONS(1820),
    [anon_sym_while] = ACTIONS(1822),
    [anon_sym_for] = ACTIONS(1824),
    [anon_sym_try] = ACTIONS(1826),
    [anon_sym_new] = ACTIONS(1400),
    [anon_sym_opaque] = ACTIONS(1398),
    [anon_sym_implicit] = ACTIONS(1828),
    [anon_sym_inline] = ACTIONS(1402),
    [anon_sym_infix] = ACTIONS(1398),
    [anon_sym_open] = ACTIONS(1398),
    [anon_sym_transparent] = ACTIONS(1398),
    [anon_sym_LPAREN] = ACTIONS(1404),
    [anon_sym_macro] = ACTIONS(1830),
    [anon_sym_BANG] = ACTIONS(1396),
    [anon_sym_TILDE] = ACTIONS(1396),
    [anon_sym_DOLLAR] = ACTIONS(1406),
    [anon_sym_SQUOTE] = ACTIONS(1408),
    [sym__backquoted_id] = ACTIONS(1410),
    [sym_operator_identifier] = ACTIONS(1832),
    [sym_integer_literal] = ACTIONS(1414),
    [sym_floating_point_literal] = ACTIONS(1416),
    [anon_sym_true] = ACTIONS(1418),
    [anon_sym_false] = ACTIONS(1418),
    [sym_character_literal] = ACTIONS(1416),
    [sym_null_literal] = ACTIONS(1420),
    [anon_sym_return] = ACTIONS(1834),
    [anon_sym_throw] = ACTIONS(1836),
    [anon_sym_do] = ACTIONS(1386),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2258),
    [sym__simple_multiline_string] = ACTIONS(1422),
    [sym__simple_string] = ACTIONS(1422),
  },
  [1419] = {
    [sym_inline_modifier] = STATE(2179),
    [sym__indentable_expression] = STATE(12474),
    [sym_block] = STATE(6738),
    [sym_indented_block] = STATE(12372),
    [sym_indented_cases] = STATE(12372),
    [sym_expression] = STATE(12028),
    [sym__simple_expression] = STATE(6283),
    [sym_lambda_expression] = STATE(12430),
    [sym_if_expression] = STATE(12430),
    [sym_match_expression] = STATE(12430),
    [sym_try_expression] = STATE(12430),
    [sym_bindings] = STATE(15581),
    [sym_case_block] = STATE(6738),
    [sym_assignment_expression] = STATE(12430),
    [sym_generic_function] = STATE(6738),
    [sym_call_expression] = STATE(6738),
    [sym_field_expression] = STATE(6738),
    [sym_instance_expression] = STATE(6738),
    [sym_ascription_expression] = STATE(12430),
    [sym_infix_expression] = STATE(8389),
    [sym_postfix_expression] = STATE(11930),
    [sym__postfix_expression_choice] = STATE(15885),
    [sym_macro_body] = STATE(12430),
    [sym_prefix_expression] = STATE(9616),
    [sym_tuple_expression] = STATE(6738),
    [sym_parenthesized_expression] = STATE(6738),
    [sym_splice_expression] = STATE(6738),
    [sym_quote_expression] = STATE(6738),
    [sym_identifier] = STATE(5530),
    [sym__soft_identifier] = STATE(4943),
    [sym_wildcard] = STATE(8554),
    [sym__non_null_literal] = STATE(6738),
    [sym_boolean_literal] = STATE(7301),
    [sym_interpolated_string_expression] = STATE(6738),
    [sym_string] = STATE(7301),
    [sym_unit] = STATE(6738),
    [sym_return_expression] = STATE(12430),
    [sym_throw_expression] = STATE(12430),
    [sym_while_expression] = STATE(12430),
    [sym_do_while_expression] = STATE(12430),
    [sym_for_expression] = STATE(12430),
    [sym_comment] = STATE(1419),
    [sym_block_comment] = STATE(1419),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(2356),
    [anon_sym_while] = ACTIONS(2358),
    [anon_sym_for] = ACTIONS(2360),
    [anon_sym_try] = ACTIONS(2362),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1360),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(2366),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(2368),
    [anon_sym_throw] = ACTIONS(2370),
    [anon_sym_do] = ACTIONS(1368),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2202),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [1420] = {
    [sym_inline_modifier] = STATE(2076),
    [sym__indentable_expression] = STATE(13486),
    [sym_block] = STATE(9327),
    [sym_indented_block] = STATE(13548),
    [sym_indented_cases] = STATE(13548),
    [sym_expression] = STATE(13406),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(1420),
    [sym_block_comment] = STATE(1420),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(3109),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [1421] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(13526),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1421),
    [sym_block_comment] = STATE(1421),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1422] = {
    [sym_inline_modifier] = STATE(2047),
    [sym__indentable_expression] = STATE(13487),
    [sym_block] = STATE(6954),
    [sym_indented_block] = STATE(11923),
    [sym_indented_cases] = STATE(11923),
    [sym_expression] = STATE(12206),
    [sym__simple_expression] = STATE(6567),
    [sym_lambda_expression] = STATE(12144),
    [sym_if_expression] = STATE(12144),
    [sym_match_expression] = STATE(12144),
    [sym_try_expression] = STATE(12144),
    [sym_bindings] = STATE(15566),
    [sym_case_block] = STATE(6954),
    [sym_assignment_expression] = STATE(12144),
    [sym_generic_function] = STATE(6954),
    [sym_call_expression] = STATE(6954),
    [sym_field_expression] = STATE(6954),
    [sym_instance_expression] = STATE(6954),
    [sym_ascription_expression] = STATE(12144),
    [sym_infix_expression] = STATE(8226),
    [sym_postfix_expression] = STATE(11499),
    [sym__postfix_expression_choice] = STATE(16229),
    [sym_macro_body] = STATE(12144),
    [sym_prefix_expression] = STATE(9870),
    [sym_tuple_expression] = STATE(6954),
    [sym_parenthesized_expression] = STATE(6954),
    [sym_splice_expression] = STATE(6954),
    [sym_quote_expression] = STATE(6954),
    [sym_identifier] = STATE(5779),
    [sym__soft_identifier] = STATE(4827),
    [sym_wildcard] = STATE(8216),
    [sym__non_null_literal] = STATE(6954),
    [sym_boolean_literal] = STATE(6997),
    [sym_interpolated_string_expression] = STATE(6954),
    [sym_string] = STATE(6997),
    [sym_unit] = STATE(6954),
    [sym_return_expression] = STATE(12144),
    [sym_throw_expression] = STATE(12144),
    [sym_while_expression] = STATE(12144),
    [sym_do_while_expression] = STATE(12144),
    [sym_for_expression] = STATE(12144),
    [sym_comment] = STATE(1422),
    [sym_block_comment] = STATE(1422),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(1884),
    [anon_sym_while] = ACTIONS(1886),
    [anon_sym_for] = ACTIONS(1888),
    [anon_sym_try] = ACTIONS(1890),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(1892),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1894),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(1896),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(1898),
    [anon_sym_throw] = ACTIONS(1900),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3280),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [1423] = {
    [sym_inline_modifier] = STATE(2223),
    [sym__indentable_expression] = STATE(13177),
    [sym_block] = STATE(8375),
    [sym_indented_block] = STATE(13183),
    [sym_indented_cases] = STATE(13183),
    [sym_expression] = STATE(12800),
    [sym__simple_expression] = STATE(7442),
    [sym_lambda_expression] = STATE(13185),
    [sym_if_expression] = STATE(13185),
    [sym_match_expression] = STATE(13185),
    [sym_try_expression] = STATE(13185),
    [sym_bindings] = STATE(15586),
    [sym_case_block] = STATE(8375),
    [sym_assignment_expression] = STATE(13185),
    [sym_generic_function] = STATE(8375),
    [sym_call_expression] = STATE(8375),
    [sym_field_expression] = STATE(8375),
    [sym_instance_expression] = STATE(8375),
    [sym_ascription_expression] = STATE(13185),
    [sym_infix_expression] = STATE(9364),
    [sym_postfix_expression] = STATE(12809),
    [sym__postfix_expression_choice] = STATE(16440),
    [sym_macro_body] = STATE(13185),
    [sym_prefix_expression] = STATE(10191),
    [sym_tuple_expression] = STATE(8375),
    [sym_parenthesized_expression] = STATE(8375),
    [sym_splice_expression] = STATE(8375),
    [sym_quote_expression] = STATE(8375),
    [sym_identifier] = STATE(7290),
    [sym__soft_identifier] = STATE(5430),
    [sym_wildcard] = STATE(9387),
    [sym__non_null_literal] = STATE(8375),
    [sym_boolean_literal] = STATE(8117),
    [sym_interpolated_string_expression] = STATE(8375),
    [sym_string] = STATE(8117),
    [sym_unit] = STATE(8375),
    [sym_return_expression] = STATE(13185),
    [sym_throw_expression] = STATE(13185),
    [sym_while_expression] = STATE(13185),
    [sym_do_while_expression] = STATE(13185),
    [sym_for_expression] = STATE(13185),
    [sym_comment] = STATE(1423),
    [sym_block_comment] = STATE(1423),
    [sym__alpha_identifier] = ACTIONS(1618),
    [anon_sym_LBRACE] = ACTIONS(1622),
    [anon_sym__] = ACTIONS(1624),
    [anon_sym_PLUS] = ACTIONS(1626),
    [anon_sym_DASH] = ACTIONS(1626),
    [anon_sym_end] = ACTIONS(1628),
    [anon_sym_if] = ACTIONS(2122),
    [anon_sym_while] = ACTIONS(2124),
    [anon_sym_for] = ACTIONS(2126),
    [anon_sym_try] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(1630),
    [anon_sym_opaque] = ACTIONS(1628),
    [anon_sym_implicit] = ACTIONS(2130),
    [anon_sym_inline] = ACTIONS(1632),
    [anon_sym_infix] = ACTIONS(1628),
    [anon_sym_open] = ACTIONS(1628),
    [anon_sym_transparent] = ACTIONS(1628),
    [anon_sym_LPAREN] = ACTIONS(1634),
    [anon_sym_macro] = ACTIONS(2074),
    [anon_sym_BANG] = ACTIONS(1626),
    [anon_sym_TILDE] = ACTIONS(1626),
    [anon_sym_DOLLAR] = ACTIONS(1636),
    [anon_sym_SQUOTE] = ACTIONS(1638),
    [sym__backquoted_id] = ACTIONS(1640),
    [sym_operator_identifier] = ACTIONS(2132),
    [sym_integer_literal] = ACTIONS(1644),
    [sym_floating_point_literal] = ACTIONS(1646),
    [anon_sym_true] = ACTIONS(1648),
    [anon_sym_false] = ACTIONS(1648),
    [sym_character_literal] = ACTIONS(1646),
    [sym_null_literal] = ACTIONS(1650),
    [anon_sym_return] = ACTIONS(2134),
    [anon_sym_throw] = ACTIONS(2136),
    [anon_sym_do] = ACTIONS(2082),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1652),
    [sym__simple_string] = ACTIONS(1652),
  },
  [1424] = {
    [sym_inline_modifier] = STATE(2047),
    [sym__indentable_expression] = STATE(12011),
    [sym_block] = STATE(6954),
    [sym_indented_block] = STATE(11923),
    [sym_indented_cases] = STATE(11923),
    [sym_expression] = STATE(12206),
    [sym__simple_expression] = STATE(6567),
    [sym_lambda_expression] = STATE(12144),
    [sym_if_expression] = STATE(12144),
    [sym_match_expression] = STATE(12144),
    [sym_try_expression] = STATE(12144),
    [sym_bindings] = STATE(15566),
    [sym_case_block] = STATE(6954),
    [sym_assignment_expression] = STATE(12144),
    [sym_generic_function] = STATE(6954),
    [sym_call_expression] = STATE(6954),
    [sym_field_expression] = STATE(6954),
    [sym_instance_expression] = STATE(6954),
    [sym_ascription_expression] = STATE(12144),
    [sym_infix_expression] = STATE(8226),
    [sym_postfix_expression] = STATE(11499),
    [sym__postfix_expression_choice] = STATE(16229),
    [sym_macro_body] = STATE(12144),
    [sym_prefix_expression] = STATE(9870),
    [sym_tuple_expression] = STATE(6954),
    [sym_parenthesized_expression] = STATE(6954),
    [sym_splice_expression] = STATE(6954),
    [sym_quote_expression] = STATE(6954),
    [sym_identifier] = STATE(5779),
    [sym__soft_identifier] = STATE(4827),
    [sym_wildcard] = STATE(8216),
    [sym__non_null_literal] = STATE(6954),
    [sym_boolean_literal] = STATE(6997),
    [sym_interpolated_string_expression] = STATE(6954),
    [sym_string] = STATE(6997),
    [sym_unit] = STATE(6954),
    [sym_return_expression] = STATE(12144),
    [sym_throw_expression] = STATE(12144),
    [sym_while_expression] = STATE(12144),
    [sym_do_while_expression] = STATE(12144),
    [sym_for_expression] = STATE(12144),
    [sym_comment] = STATE(1424),
    [sym_block_comment] = STATE(1424),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(1884),
    [anon_sym_while] = ACTIONS(1886),
    [anon_sym_for] = ACTIONS(1888),
    [anon_sym_try] = ACTIONS(1890),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(1892),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1894),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(1896),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(1898),
    [anon_sym_throw] = ACTIONS(1900),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3280),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [1425] = {
    [sym_inline_modifier] = STATE(2148),
    [sym__indentable_expression] = STATE(13431),
    [sym_block] = STATE(9088),
    [sym_indented_block] = STATE(13438),
    [sym_indented_cases] = STATE(13438),
    [sym_expression] = STATE(12942),
    [sym__simple_expression] = STATE(8626),
    [sym_lambda_expression] = STATE(13338),
    [sym_if_expression] = STATE(13338),
    [sym_match_expression] = STATE(13338),
    [sym_try_expression] = STATE(13338),
    [sym_bindings] = STATE(15683),
    [sym_case_block] = STATE(9088),
    [sym_assignment_expression] = STATE(13338),
    [sym_generic_function] = STATE(9088),
    [sym_call_expression] = STATE(9088),
    [sym_field_expression] = STATE(9088),
    [sym_instance_expression] = STATE(9088),
    [sym_ascription_expression] = STATE(13338),
    [sym_infix_expression] = STATE(9773),
    [sym_postfix_expression] = STATE(13117),
    [sym__postfix_expression_choice] = STATE(15912),
    [sym_macro_body] = STATE(13338),
    [sym_prefix_expression] = STATE(10372),
    [sym_tuple_expression] = STATE(9088),
    [sym_parenthesized_expression] = STATE(9088),
    [sym_splice_expression] = STATE(9088),
    [sym_quote_expression] = STATE(9088),
    [sym_identifier] = STATE(7467),
    [sym__soft_identifier] = STATE(6581),
    [sym_wildcard] = STATE(9755),
    [sym__non_null_literal] = STATE(9088),
    [sym_boolean_literal] = STATE(8905),
    [sym_interpolated_string_expression] = STATE(9088),
    [sym_string] = STATE(8905),
    [sym_unit] = STATE(9088),
    [sym_return_expression] = STATE(13338),
    [sym_throw_expression] = STATE(13338),
    [sym_while_expression] = STATE(13338),
    [sym_do_while_expression] = STATE(13338),
    [sym_for_expression] = STATE(13338),
    [sym_comment] = STATE(1425),
    [sym_block_comment] = STATE(1425),
    [sym__alpha_identifier] = ACTIONS(1938),
    [anon_sym_LBRACE] = ACTIONS(1942),
    [anon_sym__] = ACTIONS(1944),
    [anon_sym_PLUS] = ACTIONS(1946),
    [anon_sym_DASH] = ACTIONS(1946),
    [anon_sym_end] = ACTIONS(1948),
    [anon_sym_if] = ACTIONS(2450),
    [anon_sym_while] = ACTIONS(2452),
    [anon_sym_for] = ACTIONS(2454),
    [anon_sym_try] = ACTIONS(2456),
    [anon_sym_new] = ACTIONS(1950),
    [anon_sym_opaque] = ACTIONS(1948),
    [anon_sym_implicit] = ACTIONS(2458),
    [anon_sym_inline] = ACTIONS(1952),
    [anon_sym_infix] = ACTIONS(1948),
    [anon_sym_open] = ACTIONS(1948),
    [anon_sym_transparent] = ACTIONS(1948),
    [anon_sym_LPAREN] = ACTIONS(1954),
    [anon_sym_macro] = ACTIONS(2270),
    [anon_sym_BANG] = ACTIONS(1946),
    [anon_sym_TILDE] = ACTIONS(1946),
    [anon_sym_DOLLAR] = ACTIONS(1956),
    [anon_sym_SQUOTE] = ACTIONS(1958),
    [sym__backquoted_id] = ACTIONS(1960),
    [sym_operator_identifier] = ACTIONS(2460),
    [sym_integer_literal] = ACTIONS(1964),
    [sym_floating_point_literal] = ACTIONS(1966),
    [anon_sym_true] = ACTIONS(1968),
    [anon_sym_false] = ACTIONS(1968),
    [sym_character_literal] = ACTIONS(1966),
    [sym_null_literal] = ACTIONS(1970),
    [anon_sym_return] = ACTIONS(2462),
    [anon_sym_throw] = ACTIONS(2464),
    [anon_sym_do] = ACTIONS(2278),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2346),
    [sym__simple_multiline_string] = ACTIONS(1972),
    [sym__simple_string] = ACTIONS(1972),
  },
  [1426] = {
    [sym_inline_modifier] = STATE(2076),
    [sym__indentable_expression] = STATE(14074),
    [sym_block] = STATE(9327),
    [sym_indented_block] = STATE(13548),
    [sym_indented_cases] = STATE(13548),
    [sym_expression] = STATE(13406),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(1426),
    [sym_block_comment] = STATE(1426),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(3109),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [1427] = {
    [sym_inline_modifier] = STATE(2179),
    [sym__indentable_expression] = STATE(12464),
    [sym_block] = STATE(6738),
    [sym_indented_block] = STATE(12372),
    [sym_indented_cases] = STATE(12372),
    [sym_expression] = STATE(12028),
    [sym__simple_expression] = STATE(6283),
    [sym_lambda_expression] = STATE(12430),
    [sym_if_expression] = STATE(12430),
    [sym_match_expression] = STATE(12430),
    [sym_try_expression] = STATE(12430),
    [sym_bindings] = STATE(15581),
    [sym_case_block] = STATE(6738),
    [sym_assignment_expression] = STATE(12430),
    [sym_generic_function] = STATE(6738),
    [sym_call_expression] = STATE(6738),
    [sym_field_expression] = STATE(6738),
    [sym_instance_expression] = STATE(6738),
    [sym_ascription_expression] = STATE(12430),
    [sym_infix_expression] = STATE(8389),
    [sym_postfix_expression] = STATE(11930),
    [sym__postfix_expression_choice] = STATE(15885),
    [sym_macro_body] = STATE(12430),
    [sym_prefix_expression] = STATE(9616),
    [sym_tuple_expression] = STATE(6738),
    [sym_parenthesized_expression] = STATE(6738),
    [sym_splice_expression] = STATE(6738),
    [sym_quote_expression] = STATE(6738),
    [sym_identifier] = STATE(5530),
    [sym__soft_identifier] = STATE(4943),
    [sym_wildcard] = STATE(8554),
    [sym__non_null_literal] = STATE(6738),
    [sym_boolean_literal] = STATE(7301),
    [sym_interpolated_string_expression] = STATE(6738),
    [sym_string] = STATE(7301),
    [sym_unit] = STATE(6738),
    [sym_return_expression] = STATE(12430),
    [sym_throw_expression] = STATE(12430),
    [sym_while_expression] = STATE(12430),
    [sym_do_while_expression] = STATE(12430),
    [sym_for_expression] = STATE(12430),
    [sym_comment] = STATE(1427),
    [sym_block_comment] = STATE(1427),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(2356),
    [anon_sym_while] = ACTIONS(2358),
    [anon_sym_for] = ACTIONS(2360),
    [anon_sym_try] = ACTIONS(2362),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1360),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(2366),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(2368),
    [anon_sym_throw] = ACTIONS(2370),
    [anon_sym_do] = ACTIONS(1368),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2202),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [1428] = {
    [sym_inline_modifier] = STATE(2189),
    [sym__indentable_expression] = STATE(14119),
    [sym_block] = STATE(9327),
    [sym_indented_block] = STATE(13548),
    [sym_indented_cases] = STATE(13548),
    [sym_expression] = STATE(13406),
    [sym__simple_expression] = STATE(7289),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15762),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10205),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10142),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6081),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(8816),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(1428),
    [sym_block_comment] = STATE(1428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(569),
    [anon_sym_DASH] = ACTIONS(569),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(571),
    [anon_sym_while] = ACTIONS(573),
    [anon_sym_for] = ACTIONS(575),
    [anon_sym_try] = ACTIONS(577),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(2248),
    [anon_sym_inline] = ACTIONS(1860),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(569),
    [anon_sym_TILDE] = ACTIONS(569),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(587),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(589),
    [anon_sym_throw] = ACTIONS(591),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [1429] = {
    [sym_inline_modifier] = STATE(2189),
    [sym__indentable_expression] = STATE(14188),
    [sym_block] = STATE(9327),
    [sym_indented_block] = STATE(13548),
    [sym_indented_cases] = STATE(13548),
    [sym_expression] = STATE(13406),
    [sym__simple_expression] = STATE(7289),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15762),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10205),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10142),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6081),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(8816),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(1429),
    [sym_block_comment] = STATE(1429),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(569),
    [anon_sym_DASH] = ACTIONS(569),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(571),
    [anon_sym_while] = ACTIONS(573),
    [anon_sym_for] = ACTIONS(575),
    [anon_sym_try] = ACTIONS(577),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(2248),
    [anon_sym_inline] = ACTIONS(1860),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(569),
    [anon_sym_TILDE] = ACTIONS(569),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(587),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(589),
    [anon_sym_throw] = ACTIONS(591),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [1430] = {
    [sym_inline_modifier] = STATE(2189),
    [sym__indentable_expression] = STATE(14343),
    [sym_block] = STATE(9327),
    [sym_indented_block] = STATE(13548),
    [sym_indented_cases] = STATE(13548),
    [sym_expression] = STATE(13406),
    [sym__simple_expression] = STATE(7289),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15762),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10205),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10142),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6081),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(8816),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(1430),
    [sym_block_comment] = STATE(1430),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(569),
    [anon_sym_DASH] = ACTIONS(569),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(571),
    [anon_sym_while] = ACTIONS(573),
    [anon_sym_for] = ACTIONS(575),
    [anon_sym_try] = ACTIONS(577),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(2248),
    [anon_sym_inline] = ACTIONS(1860),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(569),
    [anon_sym_TILDE] = ACTIONS(569),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(587),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(589),
    [anon_sym_throw] = ACTIONS(591),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [1431] = {
    [sym_inline_modifier] = STATE(2179),
    [sym__indentable_expression] = STATE(12365),
    [sym_block] = STATE(6738),
    [sym_indented_block] = STATE(12372),
    [sym_indented_cases] = STATE(12372),
    [sym_expression] = STATE(12028),
    [sym__simple_expression] = STATE(6283),
    [sym_lambda_expression] = STATE(12430),
    [sym_if_expression] = STATE(12430),
    [sym_match_expression] = STATE(12430),
    [sym_try_expression] = STATE(12430),
    [sym_bindings] = STATE(15581),
    [sym_case_block] = STATE(6738),
    [sym_assignment_expression] = STATE(12430),
    [sym_generic_function] = STATE(6738),
    [sym_call_expression] = STATE(6738),
    [sym_field_expression] = STATE(6738),
    [sym_instance_expression] = STATE(6738),
    [sym_ascription_expression] = STATE(12430),
    [sym_infix_expression] = STATE(8389),
    [sym_postfix_expression] = STATE(11930),
    [sym__postfix_expression_choice] = STATE(15885),
    [sym_macro_body] = STATE(12430),
    [sym_prefix_expression] = STATE(9616),
    [sym_tuple_expression] = STATE(6738),
    [sym_parenthesized_expression] = STATE(6738),
    [sym_splice_expression] = STATE(6738),
    [sym_quote_expression] = STATE(6738),
    [sym_identifier] = STATE(5530),
    [sym__soft_identifier] = STATE(4943),
    [sym_wildcard] = STATE(8554),
    [sym__non_null_literal] = STATE(6738),
    [sym_boolean_literal] = STATE(7301),
    [sym_interpolated_string_expression] = STATE(6738),
    [sym_string] = STATE(7301),
    [sym_unit] = STATE(6738),
    [sym_return_expression] = STATE(12430),
    [sym_throw_expression] = STATE(12430),
    [sym_while_expression] = STATE(12430),
    [sym_do_while_expression] = STATE(12430),
    [sym_for_expression] = STATE(12430),
    [sym_comment] = STATE(1431),
    [sym_block_comment] = STATE(1431),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(2356),
    [anon_sym_while] = ACTIONS(2358),
    [anon_sym_for] = ACTIONS(2360),
    [anon_sym_try] = ACTIONS(2362),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1360),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(2366),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(2368),
    [anon_sym_throw] = ACTIONS(2370),
    [anon_sym_do] = ACTIONS(1368),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2202),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [1432] = {
    [sym_inline_modifier] = STATE(2189),
    [sym__indentable_expression] = STATE(14348),
    [sym_block] = STATE(9327),
    [sym_indented_block] = STATE(13548),
    [sym_indented_cases] = STATE(13548),
    [sym_expression] = STATE(13406),
    [sym__simple_expression] = STATE(7289),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15762),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10205),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10142),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6081),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(8816),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(1432),
    [sym_block_comment] = STATE(1432),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(569),
    [anon_sym_DASH] = ACTIONS(569),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(571),
    [anon_sym_while] = ACTIONS(573),
    [anon_sym_for] = ACTIONS(575),
    [anon_sym_try] = ACTIONS(577),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(2248),
    [anon_sym_inline] = ACTIONS(1860),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(569),
    [anon_sym_TILDE] = ACTIONS(569),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(587),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(589),
    [anon_sym_throw] = ACTIONS(591),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [1433] = {
    [sym_inline_modifier] = STATE(2070),
    [sym__indentable_expression] = STATE(12652),
    [sym_block] = STATE(8360),
    [sym_indented_block] = STATE(13059),
    [sym_indented_cases] = STATE(13059),
    [sym_expression] = STATE(12867),
    [sym__simple_expression] = STATE(5615),
    [sym_lambda_expression] = STATE(13229),
    [sym_if_expression] = STATE(13229),
    [sym_match_expression] = STATE(13229),
    [sym_try_expression] = STATE(13229),
    [sym_bindings] = STATE(15528),
    [sym_case_block] = STATE(8360),
    [sym_assignment_expression] = STATE(13229),
    [sym_generic_function] = STATE(8360),
    [sym_call_expression] = STATE(8360),
    [sym_field_expression] = STATE(8360),
    [sym_instance_expression] = STATE(8360),
    [sym_ascription_expression] = STATE(13229),
    [sym_infix_expression] = STATE(9581),
    [sym_postfix_expression] = STATE(12866),
    [sym__postfix_expression_choice] = STATE(15971),
    [sym_macro_body] = STATE(13229),
    [sym_prefix_expression] = STATE(9582),
    [sym_tuple_expression] = STATE(8360),
    [sym_parenthesized_expression] = STATE(8360),
    [sym_splice_expression] = STATE(8360),
    [sym_quote_expression] = STATE(8360),
    [sym_identifier] = STATE(5263),
    [sym__soft_identifier] = STATE(5563),
    [sym_wildcard] = STATE(7408),
    [sym__non_null_literal] = STATE(8360),
    [sym_boolean_literal] = STATE(8269),
    [sym_interpolated_string_expression] = STATE(8360),
    [sym_string] = STATE(8269),
    [sym_unit] = STATE(8360),
    [sym_return_expression] = STATE(13229),
    [sym_throw_expression] = STATE(13229),
    [sym_while_expression] = STATE(13229),
    [sym_do_while_expression] = STATE(13229),
    [sym_for_expression] = STATE(13229),
    [sym_comment] = STATE(1433),
    [sym_block_comment] = STATE(1433),
    [sym__alpha_identifier] = ACTIONS(1242),
    [anon_sym_LBRACE] = ACTIONS(1246),
    [anon_sym__] = ACTIONS(1248),
    [anon_sym_PLUS] = ACTIONS(1250),
    [anon_sym_DASH] = ACTIONS(1250),
    [anon_sym_end] = ACTIONS(1252),
    [anon_sym_if] = ACTIONS(1654),
    [anon_sym_while] = ACTIONS(1656),
    [anon_sym_for] = ACTIONS(1658),
    [anon_sym_try] = ACTIONS(1660),
    [anon_sym_new] = ACTIONS(1254),
    [anon_sym_opaque] = ACTIONS(1252),
    [anon_sym_implicit] = ACTIONS(1662),
    [anon_sym_inline] = ACTIONS(1256),
    [anon_sym_infix] = ACTIONS(1252),
    [anon_sym_open] = ACTIONS(1252),
    [anon_sym_transparent] = ACTIONS(1252),
    [anon_sym_LPAREN] = ACTIONS(1258),
    [anon_sym_macro] = ACTIONS(1664),
    [anon_sym_BANG] = ACTIONS(1250),
    [anon_sym_TILDE] = ACTIONS(1250),
    [anon_sym_DOLLAR] = ACTIONS(1260),
    [anon_sym_SQUOTE] = ACTIONS(1262),
    [sym__backquoted_id] = ACTIONS(1264),
    [sym_operator_identifier] = ACTIONS(1666),
    [sym_integer_literal] = ACTIONS(1268),
    [sym_floating_point_literal] = ACTIONS(1270),
    [anon_sym_true] = ACTIONS(1272),
    [anon_sym_false] = ACTIONS(1272),
    [sym_character_literal] = ACTIONS(1270),
    [sym_null_literal] = ACTIONS(1274),
    [anon_sym_return] = ACTIONS(1668),
    [anon_sym_throw] = ACTIONS(1670),
    [anon_sym_do] = ACTIONS(1672),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2212),
    [sym__simple_multiline_string] = ACTIONS(1276),
    [sym__simple_string] = ACTIONS(1276),
  },
  [1434] = {
    [sym_inline_modifier] = STATE(2047),
    [sym__indentable_expression] = STATE(12053),
    [sym_block] = STATE(6954),
    [sym_indented_block] = STATE(11923),
    [sym_indented_cases] = STATE(11923),
    [sym_expression] = STATE(12206),
    [sym__simple_expression] = STATE(6567),
    [sym_lambda_expression] = STATE(12144),
    [sym_if_expression] = STATE(12144),
    [sym_match_expression] = STATE(12144),
    [sym_try_expression] = STATE(12144),
    [sym_bindings] = STATE(15566),
    [sym_case_block] = STATE(6954),
    [sym_assignment_expression] = STATE(12144),
    [sym_generic_function] = STATE(6954),
    [sym_call_expression] = STATE(6954),
    [sym_field_expression] = STATE(6954),
    [sym_instance_expression] = STATE(6954),
    [sym_ascription_expression] = STATE(12144),
    [sym_infix_expression] = STATE(8226),
    [sym_postfix_expression] = STATE(11499),
    [sym__postfix_expression_choice] = STATE(16229),
    [sym_macro_body] = STATE(12144),
    [sym_prefix_expression] = STATE(9870),
    [sym_tuple_expression] = STATE(6954),
    [sym_parenthesized_expression] = STATE(6954),
    [sym_splice_expression] = STATE(6954),
    [sym_quote_expression] = STATE(6954),
    [sym_identifier] = STATE(5779),
    [sym__soft_identifier] = STATE(4827),
    [sym_wildcard] = STATE(8216),
    [sym__non_null_literal] = STATE(6954),
    [sym_boolean_literal] = STATE(6997),
    [sym_interpolated_string_expression] = STATE(6954),
    [sym_string] = STATE(6997),
    [sym_unit] = STATE(6954),
    [sym_return_expression] = STATE(12144),
    [sym_throw_expression] = STATE(12144),
    [sym_while_expression] = STATE(12144),
    [sym_do_while_expression] = STATE(12144),
    [sym_for_expression] = STATE(12144),
    [sym_comment] = STATE(1434),
    [sym_block_comment] = STATE(1434),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(1884),
    [anon_sym_while] = ACTIONS(1886),
    [anon_sym_for] = ACTIONS(1888),
    [anon_sym_try] = ACTIONS(1890),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(1892),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1894),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(1896),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(1898),
    [anon_sym_throw] = ACTIONS(1900),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3280),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [1435] = {
    [sym_inline_modifier] = STATE(2189),
    [sym__indentable_expression] = STATE(14074),
    [sym_block] = STATE(9327),
    [sym_indented_block] = STATE(13548),
    [sym_indented_cases] = STATE(13548),
    [sym_expression] = STATE(13406),
    [sym__simple_expression] = STATE(7289),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15762),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10205),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10142),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6081),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(8816),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(1435),
    [sym_block_comment] = STATE(1435),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(569),
    [anon_sym_DASH] = ACTIONS(569),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(571),
    [anon_sym_while] = ACTIONS(573),
    [anon_sym_for] = ACTIONS(575),
    [anon_sym_try] = ACTIONS(577),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(2248),
    [anon_sym_inline] = ACTIONS(1860),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(569),
    [anon_sym_TILDE] = ACTIONS(569),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(587),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(589),
    [anon_sym_throw] = ACTIONS(591),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [1436] = {
    [sym_inline_modifier] = STATE(2189),
    [sym__indentable_expression] = STATE(14276),
    [sym_block] = STATE(9327),
    [sym_indented_block] = STATE(13548),
    [sym_indented_cases] = STATE(13548),
    [sym_expression] = STATE(13406),
    [sym__simple_expression] = STATE(7289),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15762),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10205),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10142),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6081),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(8816),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(1436),
    [sym_block_comment] = STATE(1436),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(569),
    [anon_sym_DASH] = ACTIONS(569),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(571),
    [anon_sym_while] = ACTIONS(573),
    [anon_sym_for] = ACTIONS(575),
    [anon_sym_try] = ACTIONS(577),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(2248),
    [anon_sym_inline] = ACTIONS(1860),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(569),
    [anon_sym_TILDE] = ACTIONS(569),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(587),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(589),
    [anon_sym_throw] = ACTIONS(591),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [1437] = {
    [sym_inline_modifier] = STATE(2179),
    [sym__indentable_expression] = STATE(12363),
    [sym_block] = STATE(6738),
    [sym_indented_block] = STATE(12372),
    [sym_indented_cases] = STATE(12372),
    [sym_expression] = STATE(12028),
    [sym__simple_expression] = STATE(6283),
    [sym_lambda_expression] = STATE(12430),
    [sym_if_expression] = STATE(12430),
    [sym_match_expression] = STATE(12430),
    [sym_try_expression] = STATE(12430),
    [sym_bindings] = STATE(15581),
    [sym_case_block] = STATE(6738),
    [sym_assignment_expression] = STATE(12430),
    [sym_generic_function] = STATE(6738),
    [sym_call_expression] = STATE(6738),
    [sym_field_expression] = STATE(6738),
    [sym_instance_expression] = STATE(6738),
    [sym_ascription_expression] = STATE(12430),
    [sym_infix_expression] = STATE(8389),
    [sym_postfix_expression] = STATE(11930),
    [sym__postfix_expression_choice] = STATE(15885),
    [sym_macro_body] = STATE(12430),
    [sym_prefix_expression] = STATE(9616),
    [sym_tuple_expression] = STATE(6738),
    [sym_parenthesized_expression] = STATE(6738),
    [sym_splice_expression] = STATE(6738),
    [sym_quote_expression] = STATE(6738),
    [sym_identifier] = STATE(5530),
    [sym__soft_identifier] = STATE(4943),
    [sym_wildcard] = STATE(8554),
    [sym__non_null_literal] = STATE(6738),
    [sym_boolean_literal] = STATE(7301),
    [sym_interpolated_string_expression] = STATE(6738),
    [sym_string] = STATE(7301),
    [sym_unit] = STATE(6738),
    [sym_return_expression] = STATE(12430),
    [sym_throw_expression] = STATE(12430),
    [sym_while_expression] = STATE(12430),
    [sym_do_while_expression] = STATE(12430),
    [sym_for_expression] = STATE(12430),
    [sym_comment] = STATE(1437),
    [sym_block_comment] = STATE(1437),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(2356),
    [anon_sym_while] = ACTIONS(2358),
    [anon_sym_for] = ACTIONS(2360),
    [anon_sym_try] = ACTIONS(2362),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1360),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(2366),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(2368),
    [anon_sym_throw] = ACTIONS(2370),
    [anon_sym_do] = ACTIONS(1368),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2202),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [1438] = {
    [sym_inline_modifier] = STATE(2189),
    [sym__indentable_expression] = STATE(14152),
    [sym_block] = STATE(9327),
    [sym_indented_block] = STATE(13548),
    [sym_indented_cases] = STATE(13548),
    [sym_expression] = STATE(13406),
    [sym__simple_expression] = STATE(7289),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15762),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10205),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10142),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6081),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(8816),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(1438),
    [sym_block_comment] = STATE(1438),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(569),
    [anon_sym_DASH] = ACTIONS(569),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(571),
    [anon_sym_while] = ACTIONS(573),
    [anon_sym_for] = ACTIONS(575),
    [anon_sym_try] = ACTIONS(577),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(2248),
    [anon_sym_inline] = ACTIONS(1860),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(569),
    [anon_sym_TILDE] = ACTIONS(569),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(587),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(589),
    [anon_sym_throw] = ACTIONS(591),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [1439] = {
    [sym_inline_modifier] = STATE(2189),
    [sym__indentable_expression] = STATE(14144),
    [sym_block] = STATE(9327),
    [sym_indented_block] = STATE(13548),
    [sym_indented_cases] = STATE(13548),
    [sym_expression] = STATE(13406),
    [sym__simple_expression] = STATE(7289),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15762),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10205),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10142),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6081),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(8816),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(1439),
    [sym_block_comment] = STATE(1439),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(569),
    [anon_sym_DASH] = ACTIONS(569),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(571),
    [anon_sym_while] = ACTIONS(573),
    [anon_sym_for] = ACTIONS(575),
    [anon_sym_try] = ACTIONS(577),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(2248),
    [anon_sym_inline] = ACTIONS(1860),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(569),
    [anon_sym_TILDE] = ACTIONS(569),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(587),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(589),
    [anon_sym_throw] = ACTIONS(591),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [1440] = {
    [sym_inline_modifier] = STATE(2189),
    [sym__indentable_expression] = STATE(14133),
    [sym_block] = STATE(9327),
    [sym_indented_block] = STATE(13548),
    [sym_indented_cases] = STATE(13548),
    [sym_expression] = STATE(13406),
    [sym__simple_expression] = STATE(7289),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15762),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10205),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10142),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6081),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(8816),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(1440),
    [sym_block_comment] = STATE(1440),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(569),
    [anon_sym_DASH] = ACTIONS(569),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(571),
    [anon_sym_while] = ACTIONS(573),
    [anon_sym_for] = ACTIONS(575),
    [anon_sym_try] = ACTIONS(577),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(2248),
    [anon_sym_inline] = ACTIONS(1860),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(569),
    [anon_sym_TILDE] = ACTIONS(569),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(587),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(589),
    [anon_sym_throw] = ACTIONS(591),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [1441] = {
    [sym_inline_modifier] = STATE(2047),
    [sym__indentable_expression] = STATE(12062),
    [sym_block] = STATE(6954),
    [sym_indented_block] = STATE(11923),
    [sym_indented_cases] = STATE(11923),
    [sym_expression] = STATE(12206),
    [sym__simple_expression] = STATE(6567),
    [sym_lambda_expression] = STATE(12144),
    [sym_if_expression] = STATE(12144),
    [sym_match_expression] = STATE(12144),
    [sym_try_expression] = STATE(12144),
    [sym_bindings] = STATE(15566),
    [sym_case_block] = STATE(6954),
    [sym_assignment_expression] = STATE(12144),
    [sym_generic_function] = STATE(6954),
    [sym_call_expression] = STATE(6954),
    [sym_field_expression] = STATE(6954),
    [sym_instance_expression] = STATE(6954),
    [sym_ascription_expression] = STATE(12144),
    [sym_infix_expression] = STATE(8226),
    [sym_postfix_expression] = STATE(11499),
    [sym__postfix_expression_choice] = STATE(16229),
    [sym_macro_body] = STATE(12144),
    [sym_prefix_expression] = STATE(9870),
    [sym_tuple_expression] = STATE(6954),
    [sym_parenthesized_expression] = STATE(6954),
    [sym_splice_expression] = STATE(6954),
    [sym_quote_expression] = STATE(6954),
    [sym_identifier] = STATE(5779),
    [sym__soft_identifier] = STATE(4827),
    [sym_wildcard] = STATE(8216),
    [sym__non_null_literal] = STATE(6954),
    [sym_boolean_literal] = STATE(6997),
    [sym_interpolated_string_expression] = STATE(6954),
    [sym_string] = STATE(6997),
    [sym_unit] = STATE(6954),
    [sym_return_expression] = STATE(12144),
    [sym_throw_expression] = STATE(12144),
    [sym_while_expression] = STATE(12144),
    [sym_do_while_expression] = STATE(12144),
    [sym_for_expression] = STATE(12144),
    [sym_comment] = STATE(1441),
    [sym_block_comment] = STATE(1441),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(1884),
    [anon_sym_while] = ACTIONS(1886),
    [anon_sym_for] = ACTIONS(1888),
    [anon_sym_try] = ACTIONS(1890),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(1892),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1894),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(1896),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(1898),
    [anon_sym_throw] = ACTIONS(1900),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3280),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [1442] = {
    [sym_inline_modifier] = STATE(2179),
    [sym__indentable_expression] = STATE(12333),
    [sym_block] = STATE(6738),
    [sym_indented_block] = STATE(12372),
    [sym_indented_cases] = STATE(12372),
    [sym_expression] = STATE(12028),
    [sym__simple_expression] = STATE(6283),
    [sym_lambda_expression] = STATE(12430),
    [sym_if_expression] = STATE(12430),
    [sym_match_expression] = STATE(12430),
    [sym_try_expression] = STATE(12430),
    [sym_bindings] = STATE(15581),
    [sym_case_block] = STATE(6738),
    [sym_assignment_expression] = STATE(12430),
    [sym_generic_function] = STATE(6738),
    [sym_call_expression] = STATE(6738),
    [sym_field_expression] = STATE(6738),
    [sym_instance_expression] = STATE(6738),
    [sym_ascription_expression] = STATE(12430),
    [sym_infix_expression] = STATE(8389),
    [sym_postfix_expression] = STATE(11930),
    [sym__postfix_expression_choice] = STATE(15885),
    [sym_macro_body] = STATE(12430),
    [sym_prefix_expression] = STATE(9616),
    [sym_tuple_expression] = STATE(6738),
    [sym_parenthesized_expression] = STATE(6738),
    [sym_splice_expression] = STATE(6738),
    [sym_quote_expression] = STATE(6738),
    [sym_identifier] = STATE(5530),
    [sym__soft_identifier] = STATE(4943),
    [sym_wildcard] = STATE(8554),
    [sym__non_null_literal] = STATE(6738),
    [sym_boolean_literal] = STATE(7301),
    [sym_interpolated_string_expression] = STATE(6738),
    [sym_string] = STATE(7301),
    [sym_unit] = STATE(6738),
    [sym_return_expression] = STATE(12430),
    [sym_throw_expression] = STATE(12430),
    [sym_while_expression] = STATE(12430),
    [sym_do_while_expression] = STATE(12430),
    [sym_for_expression] = STATE(12430),
    [sym_comment] = STATE(1442),
    [sym_block_comment] = STATE(1442),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(2356),
    [anon_sym_while] = ACTIONS(2358),
    [anon_sym_for] = ACTIONS(2360),
    [anon_sym_try] = ACTIONS(2362),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1360),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(2366),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(2368),
    [anon_sym_throw] = ACTIONS(2370),
    [anon_sym_do] = ACTIONS(1368),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2202),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [1443] = {
    [sym_inline_modifier] = STATE(2047),
    [sym__indentable_expression] = STATE(12066),
    [sym_block] = STATE(6954),
    [sym_indented_block] = STATE(11923),
    [sym_indented_cases] = STATE(11923),
    [sym_expression] = STATE(12206),
    [sym__simple_expression] = STATE(6567),
    [sym_lambda_expression] = STATE(12144),
    [sym_if_expression] = STATE(12144),
    [sym_match_expression] = STATE(12144),
    [sym_try_expression] = STATE(12144),
    [sym_bindings] = STATE(15566),
    [sym_case_block] = STATE(6954),
    [sym_assignment_expression] = STATE(12144),
    [sym_generic_function] = STATE(6954),
    [sym_call_expression] = STATE(6954),
    [sym_field_expression] = STATE(6954),
    [sym_instance_expression] = STATE(6954),
    [sym_ascription_expression] = STATE(12144),
    [sym_infix_expression] = STATE(8226),
    [sym_postfix_expression] = STATE(11499),
    [sym__postfix_expression_choice] = STATE(16229),
    [sym_macro_body] = STATE(12144),
    [sym_prefix_expression] = STATE(9870),
    [sym_tuple_expression] = STATE(6954),
    [sym_parenthesized_expression] = STATE(6954),
    [sym_splice_expression] = STATE(6954),
    [sym_quote_expression] = STATE(6954),
    [sym_identifier] = STATE(5779),
    [sym__soft_identifier] = STATE(4827),
    [sym_wildcard] = STATE(8216),
    [sym__non_null_literal] = STATE(6954),
    [sym_boolean_literal] = STATE(6997),
    [sym_interpolated_string_expression] = STATE(6954),
    [sym_string] = STATE(6997),
    [sym_unit] = STATE(6954),
    [sym_return_expression] = STATE(12144),
    [sym_throw_expression] = STATE(12144),
    [sym_while_expression] = STATE(12144),
    [sym_do_while_expression] = STATE(12144),
    [sym_for_expression] = STATE(12144),
    [sym_comment] = STATE(1443),
    [sym_block_comment] = STATE(1443),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(1884),
    [anon_sym_while] = ACTIONS(1886),
    [anon_sym_for] = ACTIONS(1888),
    [anon_sym_try] = ACTIONS(1890),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(1892),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1894),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(1896),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(1898),
    [anon_sym_throw] = ACTIONS(1900),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3280),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [1444] = {
    [sym_inline_modifier] = STATE(2189),
    [sym__indentable_expression] = STATE(14108),
    [sym_block] = STATE(9327),
    [sym_indented_block] = STATE(13548),
    [sym_indented_cases] = STATE(13548),
    [sym_expression] = STATE(13406),
    [sym__simple_expression] = STATE(7289),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15762),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10205),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10142),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6081),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(8816),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(1444),
    [sym_block_comment] = STATE(1444),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(569),
    [anon_sym_DASH] = ACTIONS(569),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(571),
    [anon_sym_while] = ACTIONS(573),
    [anon_sym_for] = ACTIONS(575),
    [anon_sym_try] = ACTIONS(577),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(2248),
    [anon_sym_inline] = ACTIONS(1860),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(569),
    [anon_sym_TILDE] = ACTIONS(569),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(587),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(589),
    [anon_sym_throw] = ACTIONS(591),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [1445] = {
    [sym_inline_modifier] = STATE(2047),
    [sym__indentable_expression] = STATE(12070),
    [sym_block] = STATE(6954),
    [sym_indented_block] = STATE(11923),
    [sym_indented_cases] = STATE(11923),
    [sym_expression] = STATE(12206),
    [sym__simple_expression] = STATE(6567),
    [sym_lambda_expression] = STATE(12144),
    [sym_if_expression] = STATE(12144),
    [sym_match_expression] = STATE(12144),
    [sym_try_expression] = STATE(12144),
    [sym_bindings] = STATE(15566),
    [sym_case_block] = STATE(6954),
    [sym_assignment_expression] = STATE(12144),
    [sym_generic_function] = STATE(6954),
    [sym_call_expression] = STATE(6954),
    [sym_field_expression] = STATE(6954),
    [sym_instance_expression] = STATE(6954),
    [sym_ascription_expression] = STATE(12144),
    [sym_infix_expression] = STATE(8226),
    [sym_postfix_expression] = STATE(11499),
    [sym__postfix_expression_choice] = STATE(16229),
    [sym_macro_body] = STATE(12144),
    [sym_prefix_expression] = STATE(9870),
    [sym_tuple_expression] = STATE(6954),
    [sym_parenthesized_expression] = STATE(6954),
    [sym_splice_expression] = STATE(6954),
    [sym_quote_expression] = STATE(6954),
    [sym_identifier] = STATE(5779),
    [sym__soft_identifier] = STATE(4827),
    [sym_wildcard] = STATE(8216),
    [sym__non_null_literal] = STATE(6954),
    [sym_boolean_literal] = STATE(6997),
    [sym_interpolated_string_expression] = STATE(6954),
    [sym_string] = STATE(6997),
    [sym_unit] = STATE(6954),
    [sym_return_expression] = STATE(12144),
    [sym_throw_expression] = STATE(12144),
    [sym_while_expression] = STATE(12144),
    [sym_do_while_expression] = STATE(12144),
    [sym_for_expression] = STATE(12144),
    [sym_comment] = STATE(1445),
    [sym_block_comment] = STATE(1445),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(1884),
    [anon_sym_while] = ACTIONS(1886),
    [anon_sym_for] = ACTIONS(1888),
    [anon_sym_try] = ACTIONS(1890),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(1892),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1894),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(1896),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(1898),
    [anon_sym_throw] = ACTIONS(1900),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3280),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [1446] = {
    [sym_inline_modifier] = STATE(2054),
    [sym__indentable_expression] = STATE(13804),
    [sym_block] = STATE(8041),
    [sym_indented_block] = STATE(12292),
    [sym_indented_cases] = STATE(12292),
    [sym_expression] = STATE(12256),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(7036),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(1446),
    [sym_block_comment] = STATE(1446),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2807),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1447] = {
    [sym_inline_modifier] = STATE(2067),
    [sym__indentable_expression] = STATE(12405),
    [sym_block] = STATE(10133),
    [sym_indented_block] = STATE(12292),
    [sym_indented_cases] = STATE(12292),
    [sym_expression] = STATE(13765),
    [sym__simple_expression] = STATE(7525),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15728),
    [sym_case_block] = STATE(10133),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(10133),
    [sym_call_expression] = STATE(10133),
    [sym_field_expression] = STATE(10133),
    [sym_instance_expression] = STATE(10133),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(10489),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(17114),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10321),
    [sym_tuple_expression] = STATE(10133),
    [sym_parenthesized_expression] = STATE(10133),
    [sym_splice_expression] = STATE(10133),
    [sym_quote_expression] = STATE(10133),
    [sym_identifier] = STATE(7070),
    [sym__soft_identifier] = STATE(4482),
    [sym_wildcard] = STATE(9321),
    [sym__non_null_literal] = STATE(10133),
    [sym_boolean_literal] = STATE(7065),
    [sym_interpolated_string_expression] = STATE(10133),
    [sym_string] = STATE(7065),
    [sym_unit] = STATE(10133),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(1447),
    [sym_block_comment] = STATE(1447),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_end] = ACTIONS(2374),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_opaque] = ACTIONS(2374),
    [anon_sym_implicit] = ACTIONS(3002),
    [anon_sym_inline] = ACTIONS(67),
    [anon_sym_infix] = ACTIONS(2374),
    [anon_sym_open] = ACTIONS(2374),
    [anon_sym_transparent] = ACTIONS(2374),
    [anon_sym_LPAREN] = ACTIONS(75),
    [anon_sym_macro] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(83),
    [sym_operator_identifier] = ACTIONS(85),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(95),
    [anon_sym_throw] = ACTIONS(97),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [1448] = {
    [sym_inline_modifier] = STATE(2189),
    [sym__indentable_expression] = STATE(14232),
    [sym_block] = STATE(9327),
    [sym_indented_block] = STATE(13548),
    [sym_indented_cases] = STATE(13548),
    [sym_expression] = STATE(13406),
    [sym__simple_expression] = STATE(7289),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15762),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10205),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10142),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6081),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(8816),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(1448),
    [sym_block_comment] = STATE(1448),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(569),
    [anon_sym_DASH] = ACTIONS(569),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(571),
    [anon_sym_while] = ACTIONS(573),
    [anon_sym_for] = ACTIONS(575),
    [anon_sym_try] = ACTIONS(577),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(2248),
    [anon_sym_inline] = ACTIONS(1860),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(569),
    [anon_sym_TILDE] = ACTIONS(569),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(587),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(589),
    [anon_sym_throw] = ACTIONS(591),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [1449] = {
    [sym_inline_modifier] = STATE(2084),
    [sym__indentable_expression] = STATE(16580),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(8831),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15722),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10635),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(802),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(8641),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(10149),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1449),
    [sym_block_comment] = STATE(1449),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2740),
    [anon_sym_while] = ACTIONS(2742),
    [anon_sym_for] = ACTIONS(2744),
    [anon_sym_try] = ACTIONS(2746),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2748),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3310),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3312),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2762),
    [anon_sym_throw] = ACTIONS(2764),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1450] = {
    [sym_inline_modifier] = STATE(2049),
    [sym__indentable_expression] = STATE(13426),
    [sym_block] = STATE(8262),
    [sym_indented_block] = STATE(13058),
    [sym_indented_cases] = STATE(13058),
    [sym_expression] = STATE(12868),
    [sym__simple_expression] = STATE(5468),
    [sym_lambda_expression] = STATE(13098),
    [sym_if_expression] = STATE(13098),
    [sym_match_expression] = STATE(13098),
    [sym_try_expression] = STATE(13098),
    [sym_bindings] = STATE(15673),
    [sym_case_block] = STATE(8262),
    [sym_assignment_expression] = STATE(13098),
    [sym_generic_function] = STATE(8262),
    [sym_call_expression] = STATE(8262),
    [sym_field_expression] = STATE(8262),
    [sym_instance_expression] = STATE(8262),
    [sym_ascription_expression] = STATE(13098),
    [sym_infix_expression] = STATE(9485),
    [sym_postfix_expression] = STATE(12647),
    [sym__postfix_expression_choice] = STATE(16347),
    [sym_macro_body] = STATE(13098),
    [sym_prefix_expression] = STATE(9354),
    [sym_tuple_expression] = STATE(8262),
    [sym_parenthesized_expression] = STATE(8262),
    [sym_splice_expression] = STATE(8262),
    [sym_quote_expression] = STATE(8262),
    [sym_identifier] = STATE(5288),
    [sym__soft_identifier] = STATE(5419),
    [sym_wildcard] = STATE(7475),
    [sym__non_null_literal] = STATE(8262),
    [sym_boolean_literal] = STATE(8242),
    [sym_interpolated_string_expression] = STATE(8262),
    [sym_string] = STATE(8242),
    [sym_unit] = STATE(8262),
    [sym_return_expression] = STATE(13098),
    [sym_throw_expression] = STATE(13098),
    [sym_while_expression] = STATE(13098),
    [sym_do_while_expression] = STATE(13098),
    [sym_for_expression] = STATE(13098),
    [sym_comment] = STATE(1450),
    [sym_block_comment] = STATE(1450),
    [sym__alpha_identifier] = ACTIONS(1278),
    [anon_sym_LBRACE] = ACTIONS(1282),
    [anon_sym__] = ACTIONS(1284),
    [anon_sym_PLUS] = ACTIONS(1286),
    [anon_sym_DASH] = ACTIONS(1286),
    [anon_sym_end] = ACTIONS(1288),
    [anon_sym_if] = ACTIONS(2196),
    [anon_sym_while] = ACTIONS(2016),
    [anon_sym_for] = ACTIONS(2018),
    [anon_sym_try] = ACTIONS(2020),
    [anon_sym_new] = ACTIONS(1290),
    [anon_sym_opaque] = ACTIONS(1288),
    [anon_sym_implicit] = ACTIONS(2022),
    [anon_sym_inline] = ACTIONS(1292),
    [anon_sym_infix] = ACTIONS(1288),
    [anon_sym_open] = ACTIONS(1288),
    [anon_sym_transparent] = ACTIONS(1288),
    [anon_sym_LPAREN] = ACTIONS(1294),
    [anon_sym_macro] = ACTIONS(1720),
    [anon_sym_BANG] = ACTIONS(1286),
    [anon_sym_TILDE] = ACTIONS(1286),
    [anon_sym_DOLLAR] = ACTIONS(1296),
    [anon_sym_SQUOTE] = ACTIONS(1298),
    [sym__backquoted_id] = ACTIONS(1300),
    [sym_operator_identifier] = ACTIONS(2024),
    [sym_integer_literal] = ACTIONS(1304),
    [sym_floating_point_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1308),
    [anon_sym_false] = ACTIONS(1308),
    [sym_character_literal] = ACTIONS(1306),
    [sym_null_literal] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(2026),
    [anon_sym_throw] = ACTIONS(2028),
    [anon_sym_do] = ACTIONS(1728),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2198),
    [sym__simple_multiline_string] = ACTIONS(1312),
    [sym__simple_string] = ACTIONS(1312),
  },
  [1451] = {
    [sym_inline_modifier] = STATE(2189),
    [sym__indentable_expression] = STATE(13610),
    [sym_block] = STATE(9327),
    [sym_indented_block] = STATE(13548),
    [sym_indented_cases] = STATE(13548),
    [sym_expression] = STATE(13406),
    [sym__simple_expression] = STATE(7289),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15762),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10205),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10142),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6081),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(8816),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(1451),
    [sym_block_comment] = STATE(1451),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(569),
    [anon_sym_DASH] = ACTIONS(569),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(571),
    [anon_sym_while] = ACTIONS(573),
    [anon_sym_for] = ACTIONS(575),
    [anon_sym_try] = ACTIONS(577),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(2248),
    [anon_sym_inline] = ACTIONS(1860),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(569),
    [anon_sym_TILDE] = ACTIONS(569),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(587),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(589),
    [anon_sym_throw] = ACTIONS(591),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [1452] = {
    [sym_inline_modifier] = STATE(2074),
    [sym__indentable_expression] = STATE(11566),
    [sym_block] = STATE(9523),
    [sym_indented_block] = STATE(11535),
    [sym_indented_cases] = STATE(11535),
    [sym_expression] = STATE(13312),
    [sym__simple_expression] = STATE(6085),
    [sym_lambda_expression] = STATE(11549),
    [sym_if_expression] = STATE(11549),
    [sym_match_expression] = STATE(11549),
    [sym_try_expression] = STATE(11549),
    [sym_bindings] = STATE(15713),
    [sym_case_block] = STATE(9523),
    [sym_assignment_expression] = STATE(11549),
    [sym_generic_function] = STATE(9523),
    [sym_call_expression] = STATE(9523),
    [sym_field_expression] = STATE(9523),
    [sym_instance_expression] = STATE(9523),
    [sym_ascription_expression] = STATE(11549),
    [sym_infix_expression] = STATE(10056),
    [sym_postfix_expression] = STATE(11204),
    [sym__postfix_expression_choice] = STATE(16623),
    [sym_macro_body] = STATE(11549),
    [sym_prefix_expression] = STATE(9754),
    [sym_tuple_expression] = STATE(9523),
    [sym_parenthesized_expression] = STATE(9523),
    [sym_splice_expression] = STATE(9523),
    [sym_quote_expression] = STATE(9523),
    [sym_identifier] = STATE(5442),
    [sym__soft_identifier] = STATE(4485),
    [sym_wildcard] = STATE(8639),
    [sym__non_null_literal] = STATE(9523),
    [sym_boolean_literal] = STATE(5592),
    [sym_interpolated_string_expression] = STATE(9523),
    [sym_string] = STATE(5592),
    [sym_unit] = STATE(9523),
    [sym_return_expression] = STATE(11549),
    [sym_throw_expression] = STATE(11549),
    [sym_while_expression] = STATE(11549),
    [sym_do_while_expression] = STATE(11549),
    [sym_for_expression] = STATE(11549),
    [sym_comment] = STATE(1452),
    [sym_block_comment] = STATE(1452),
    [sym__alpha_identifier] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(1392),
    [anon_sym__] = ACTIONS(1394),
    [anon_sym_PLUS] = ACTIONS(1396),
    [anon_sym_DASH] = ACTIONS(1396),
    [anon_sym_end] = ACTIONS(1398),
    [anon_sym_if] = ACTIONS(1820),
    [anon_sym_while] = ACTIONS(1822),
    [anon_sym_for] = ACTIONS(1824),
    [anon_sym_try] = ACTIONS(1826),
    [anon_sym_new] = ACTIONS(1400),
    [anon_sym_opaque] = ACTIONS(1398),
    [anon_sym_implicit] = ACTIONS(1828),
    [anon_sym_inline] = ACTIONS(1402),
    [anon_sym_infix] = ACTIONS(1398),
    [anon_sym_open] = ACTIONS(1398),
    [anon_sym_transparent] = ACTIONS(1398),
    [anon_sym_LPAREN] = ACTIONS(1404),
    [anon_sym_macro] = ACTIONS(1830),
    [anon_sym_BANG] = ACTIONS(1396),
    [anon_sym_TILDE] = ACTIONS(1396),
    [anon_sym_DOLLAR] = ACTIONS(1406),
    [anon_sym_SQUOTE] = ACTIONS(1408),
    [sym__backquoted_id] = ACTIONS(1410),
    [sym_operator_identifier] = ACTIONS(1832),
    [sym_integer_literal] = ACTIONS(1414),
    [sym_floating_point_literal] = ACTIONS(1416),
    [anon_sym_true] = ACTIONS(1418),
    [anon_sym_false] = ACTIONS(1418),
    [sym_character_literal] = ACTIONS(1416),
    [sym_null_literal] = ACTIONS(1420),
    [anon_sym_return] = ACTIONS(1834),
    [anon_sym_throw] = ACTIONS(1836),
    [anon_sym_do] = ACTIONS(1386),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2258),
    [sym__simple_multiline_string] = ACTIONS(1422),
    [sym__simple_string] = ACTIONS(1422),
  },
  [1453] = {
    [sym_inline_modifier] = STATE(2060),
    [sym__indentable_expression] = STATE(12776),
    [sym_block] = STATE(6450),
    [sym_indented_block] = STATE(11535),
    [sym_indented_cases] = STATE(11535),
    [sym_expression] = STATE(11606),
    [sym__simple_expression] = STATE(5608),
    [sym_lambda_expression] = STATE(11549),
    [sym_if_expression] = STATE(11549),
    [sym_match_expression] = STATE(11549),
    [sym_try_expression] = STATE(11549),
    [sym_bindings] = STATE(15697),
    [sym_case_block] = STATE(6450),
    [sym_assignment_expression] = STATE(11549),
    [sym_generic_function] = STATE(6450),
    [sym_call_expression] = STATE(6450),
    [sym_field_expression] = STATE(6450),
    [sym_instance_expression] = STATE(6450),
    [sym_ascription_expression] = STATE(11549),
    [sym_infix_expression] = STATE(7641),
    [sym_postfix_expression] = STATE(11204),
    [sym__postfix_expression_choice] = STATE(16480),
    [sym_macro_body] = STATE(11549),
    [sym_prefix_expression] = STATE(9536),
    [sym_tuple_expression] = STATE(6450),
    [sym_parenthesized_expression] = STATE(6450),
    [sym_splice_expression] = STATE(6450),
    [sym_quote_expression] = STATE(6450),
    [sym_identifier] = STATE(5347),
    [sym__soft_identifier] = STATE(4507),
    [sym_wildcard] = STATE(7620),
    [sym__non_null_literal] = STATE(6450),
    [sym_boolean_literal] = STATE(6156),
    [sym_interpolated_string_expression] = STATE(6450),
    [sym_string] = STATE(6156),
    [sym_unit] = STATE(6450),
    [sym_return_expression] = STATE(11549),
    [sym_throw_expression] = STATE(11549),
    [sym_while_expression] = STATE(11549),
    [sym_do_while_expression] = STATE(11549),
    [sym_for_expression] = STATE(11549),
    [sym_comment] = STATE(1453),
    [sym_block_comment] = STATE(1453),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(1428),
    [anon_sym_while] = ACTIONS(1430),
    [anon_sym_for] = ACTIONS(1432),
    [anon_sym_try] = ACTIONS(1434),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1436),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1378),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1438),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1440),
    [anon_sym_throw] = ACTIONS(1442),
    [anon_sym_do] = ACTIONS(1386),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2258),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [1454] = {
    [sym_inline_modifier] = STATE(2074),
    [sym__indentable_expression] = STATE(11572),
    [sym_block] = STATE(9523),
    [sym_indented_block] = STATE(11535),
    [sym_indented_cases] = STATE(11535),
    [sym_expression] = STATE(13312),
    [sym__simple_expression] = STATE(6085),
    [sym_lambda_expression] = STATE(11549),
    [sym_if_expression] = STATE(11549),
    [sym_match_expression] = STATE(11549),
    [sym_try_expression] = STATE(11549),
    [sym_bindings] = STATE(15713),
    [sym_case_block] = STATE(9523),
    [sym_assignment_expression] = STATE(11549),
    [sym_generic_function] = STATE(9523),
    [sym_call_expression] = STATE(9523),
    [sym_field_expression] = STATE(9523),
    [sym_instance_expression] = STATE(9523),
    [sym_ascription_expression] = STATE(11549),
    [sym_infix_expression] = STATE(10056),
    [sym_postfix_expression] = STATE(11204),
    [sym__postfix_expression_choice] = STATE(16623),
    [sym_macro_body] = STATE(11549),
    [sym_prefix_expression] = STATE(9754),
    [sym_tuple_expression] = STATE(9523),
    [sym_parenthesized_expression] = STATE(9523),
    [sym_splice_expression] = STATE(9523),
    [sym_quote_expression] = STATE(9523),
    [sym_identifier] = STATE(5442),
    [sym__soft_identifier] = STATE(4485),
    [sym_wildcard] = STATE(8639),
    [sym__non_null_literal] = STATE(9523),
    [sym_boolean_literal] = STATE(5592),
    [sym_interpolated_string_expression] = STATE(9523),
    [sym_string] = STATE(5592),
    [sym_unit] = STATE(9523),
    [sym_return_expression] = STATE(11549),
    [sym_throw_expression] = STATE(11549),
    [sym_while_expression] = STATE(11549),
    [sym_do_while_expression] = STATE(11549),
    [sym_for_expression] = STATE(11549),
    [sym_comment] = STATE(1454),
    [sym_block_comment] = STATE(1454),
    [sym__alpha_identifier] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(1392),
    [anon_sym__] = ACTIONS(1394),
    [anon_sym_PLUS] = ACTIONS(1396),
    [anon_sym_DASH] = ACTIONS(1396),
    [anon_sym_end] = ACTIONS(1398),
    [anon_sym_if] = ACTIONS(1820),
    [anon_sym_while] = ACTIONS(1822),
    [anon_sym_for] = ACTIONS(1824),
    [anon_sym_try] = ACTIONS(1826),
    [anon_sym_new] = ACTIONS(1400),
    [anon_sym_opaque] = ACTIONS(1398),
    [anon_sym_implicit] = ACTIONS(1828),
    [anon_sym_inline] = ACTIONS(1402),
    [anon_sym_infix] = ACTIONS(1398),
    [anon_sym_open] = ACTIONS(1398),
    [anon_sym_transparent] = ACTIONS(1398),
    [anon_sym_LPAREN] = ACTIONS(1404),
    [anon_sym_macro] = ACTIONS(1830),
    [anon_sym_BANG] = ACTIONS(1396),
    [anon_sym_TILDE] = ACTIONS(1396),
    [anon_sym_DOLLAR] = ACTIONS(1406),
    [anon_sym_SQUOTE] = ACTIONS(1408),
    [sym__backquoted_id] = ACTIONS(1410),
    [sym_operator_identifier] = ACTIONS(1832),
    [sym_integer_literal] = ACTIONS(1414),
    [sym_floating_point_literal] = ACTIONS(1416),
    [anon_sym_true] = ACTIONS(1418),
    [anon_sym_false] = ACTIONS(1418),
    [sym_character_literal] = ACTIONS(1416),
    [sym_null_literal] = ACTIONS(1420),
    [anon_sym_return] = ACTIONS(1834),
    [anon_sym_throw] = ACTIONS(1836),
    [anon_sym_do] = ACTIONS(1386),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2258),
    [sym__simple_multiline_string] = ACTIONS(1422),
    [sym__simple_string] = ACTIONS(1422),
  },
  [1455] = {
    [sym_inline_modifier] = STATE(2179),
    [sym__indentable_expression] = STATE(12328),
    [sym_block] = STATE(6738),
    [sym_indented_block] = STATE(12372),
    [sym_indented_cases] = STATE(12372),
    [sym_expression] = STATE(12028),
    [sym__simple_expression] = STATE(6283),
    [sym_lambda_expression] = STATE(12430),
    [sym_if_expression] = STATE(12430),
    [sym_match_expression] = STATE(12430),
    [sym_try_expression] = STATE(12430),
    [sym_bindings] = STATE(15581),
    [sym_case_block] = STATE(6738),
    [sym_assignment_expression] = STATE(12430),
    [sym_generic_function] = STATE(6738),
    [sym_call_expression] = STATE(6738),
    [sym_field_expression] = STATE(6738),
    [sym_instance_expression] = STATE(6738),
    [sym_ascription_expression] = STATE(12430),
    [sym_infix_expression] = STATE(8389),
    [sym_postfix_expression] = STATE(11930),
    [sym__postfix_expression_choice] = STATE(15885),
    [sym_macro_body] = STATE(12430),
    [sym_prefix_expression] = STATE(9616),
    [sym_tuple_expression] = STATE(6738),
    [sym_parenthesized_expression] = STATE(6738),
    [sym_splice_expression] = STATE(6738),
    [sym_quote_expression] = STATE(6738),
    [sym_identifier] = STATE(5530),
    [sym__soft_identifier] = STATE(4943),
    [sym_wildcard] = STATE(8554),
    [sym__non_null_literal] = STATE(6738),
    [sym_boolean_literal] = STATE(7301),
    [sym_interpolated_string_expression] = STATE(6738),
    [sym_string] = STATE(7301),
    [sym_unit] = STATE(6738),
    [sym_return_expression] = STATE(12430),
    [sym_throw_expression] = STATE(12430),
    [sym_while_expression] = STATE(12430),
    [sym_do_while_expression] = STATE(12430),
    [sym_for_expression] = STATE(12430),
    [sym_comment] = STATE(1455),
    [sym_block_comment] = STATE(1455),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(2356),
    [anon_sym_while] = ACTIONS(2358),
    [anon_sym_for] = ACTIONS(2360),
    [anon_sym_try] = ACTIONS(2362),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1360),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(2366),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(2368),
    [anon_sym_throw] = ACTIONS(2370),
    [anon_sym_do] = ACTIONS(1368),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2202),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [1456] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(13306),
    [sym_block] = STATE(9088),
    [sym_indented_block] = STATE(13438),
    [sym_indented_cases] = STATE(13438),
    [sym_expression] = STATE(12942),
    [sym__simple_expression] = STATE(7286),
    [sym_lambda_expression] = STATE(13338),
    [sym_if_expression] = STATE(13338),
    [sym_match_expression] = STATE(13338),
    [sym_try_expression] = STATE(13338),
    [sym_bindings] = STATE(15723),
    [sym_case_block] = STATE(9088),
    [sym_assignment_expression] = STATE(13338),
    [sym_generic_function] = STATE(9088),
    [sym_call_expression] = STATE(9088),
    [sym_field_expression] = STATE(9088),
    [sym_instance_expression] = STATE(9088),
    [sym_ascription_expression] = STATE(13338),
    [sym_infix_expression] = STATE(9773),
    [sym_postfix_expression] = STATE(13117),
    [sym__postfix_expression_choice] = STATE(15912),
    [sym_macro_body] = STATE(13338),
    [sym_prefix_expression] = STATE(10020),
    [sym_tuple_expression] = STATE(9088),
    [sym_parenthesized_expression] = STATE(9088),
    [sym_splice_expression] = STATE(9088),
    [sym_quote_expression] = STATE(9088),
    [sym_identifier] = STATE(6105),
    [sym__soft_identifier] = STATE(6581),
    [sym_wildcard] = STATE(8709),
    [sym__non_null_literal] = STATE(9088),
    [sym_boolean_literal] = STATE(8905),
    [sym_interpolated_string_expression] = STATE(9088),
    [sym_string] = STATE(8905),
    [sym_unit] = STATE(9088),
    [sym_return_expression] = STATE(13338),
    [sym_throw_expression] = STATE(13338),
    [sym_while_expression] = STATE(13338),
    [sym_do_while_expression] = STATE(13338),
    [sym_for_expression] = STATE(13338),
    [sym_comment] = STATE(1456),
    [sym_block_comment] = STATE(1456),
    [sym__alpha_identifier] = ACTIONS(1938),
    [anon_sym_LBRACE] = ACTIONS(1942),
    [anon_sym__] = ACTIONS(1944),
    [anon_sym_PLUS] = ACTIONS(1946),
    [anon_sym_DASH] = ACTIONS(1946),
    [anon_sym_end] = ACTIONS(1948),
    [anon_sym_if] = ACTIONS(2260),
    [anon_sym_while] = ACTIONS(2262),
    [anon_sym_for] = ACTIONS(2264),
    [anon_sym_try] = ACTIONS(2266),
    [anon_sym_new] = ACTIONS(1950),
    [anon_sym_opaque] = ACTIONS(1948),
    [anon_sym_implicit] = ACTIONS(2268),
    [anon_sym_inline] = ACTIONS(1952),
    [anon_sym_infix] = ACTIONS(1948),
    [anon_sym_open] = ACTIONS(1948),
    [anon_sym_transparent] = ACTIONS(1948),
    [anon_sym_LPAREN] = ACTIONS(1954),
    [anon_sym_macro] = ACTIONS(2270),
    [anon_sym_BANG] = ACTIONS(1946),
    [anon_sym_TILDE] = ACTIONS(1946),
    [anon_sym_DOLLAR] = ACTIONS(1956),
    [anon_sym_SQUOTE] = ACTIONS(1958),
    [sym__backquoted_id] = ACTIONS(1960),
    [sym_operator_identifier] = ACTIONS(2272),
    [sym_integer_literal] = ACTIONS(1964),
    [sym_floating_point_literal] = ACTIONS(1966),
    [anon_sym_true] = ACTIONS(1968),
    [anon_sym_false] = ACTIONS(1968),
    [sym_character_literal] = ACTIONS(1966),
    [sym_null_literal] = ACTIONS(1970),
    [anon_sym_return] = ACTIONS(2274),
    [anon_sym_throw] = ACTIONS(2276),
    [anon_sym_do] = ACTIONS(2278),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2346),
    [sym__simple_multiline_string] = ACTIONS(1972),
    [sym__simple_string] = ACTIONS(1972),
  },
  [1457] = {
    [sym_inline_modifier] = STATE(2149),
    [sym__indentable_expression] = STATE(13623),
    [sym_block] = STATE(9327),
    [sym_indented_block] = STATE(13548),
    [sym_indented_cases] = STATE(13548),
    [sym_expression] = STATE(13406),
    [sym__simple_expression] = STATE(7109),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15656),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10005),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6267),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(8706),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(1457),
    [sym_block_comment] = STATE(1457),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(2928),
    [anon_sym_while] = ACTIONS(2793),
    [anon_sym_for] = ACTIONS(2795),
    [anon_sym_try] = ACTIONS(2797),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(2799),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(2801),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(2803),
    [anon_sym_throw] = ACTIONS(2805),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [1458] = {
    [sym_inline_modifier] = STATE(2047),
    [sym__indentable_expression] = STATE(12084),
    [sym_block] = STATE(6954),
    [sym_indented_block] = STATE(11923),
    [sym_indented_cases] = STATE(11923),
    [sym_expression] = STATE(12206),
    [sym__simple_expression] = STATE(6567),
    [sym_lambda_expression] = STATE(12144),
    [sym_if_expression] = STATE(12144),
    [sym_match_expression] = STATE(12144),
    [sym_try_expression] = STATE(12144),
    [sym_bindings] = STATE(15566),
    [sym_case_block] = STATE(6954),
    [sym_assignment_expression] = STATE(12144),
    [sym_generic_function] = STATE(6954),
    [sym_call_expression] = STATE(6954),
    [sym_field_expression] = STATE(6954),
    [sym_instance_expression] = STATE(6954),
    [sym_ascription_expression] = STATE(12144),
    [sym_infix_expression] = STATE(8226),
    [sym_postfix_expression] = STATE(11499),
    [sym__postfix_expression_choice] = STATE(16229),
    [sym_macro_body] = STATE(12144),
    [sym_prefix_expression] = STATE(9870),
    [sym_tuple_expression] = STATE(6954),
    [sym_parenthesized_expression] = STATE(6954),
    [sym_splice_expression] = STATE(6954),
    [sym_quote_expression] = STATE(6954),
    [sym_identifier] = STATE(5779),
    [sym__soft_identifier] = STATE(4827),
    [sym_wildcard] = STATE(8216),
    [sym__non_null_literal] = STATE(6954),
    [sym_boolean_literal] = STATE(6997),
    [sym_interpolated_string_expression] = STATE(6954),
    [sym_string] = STATE(6997),
    [sym_unit] = STATE(6954),
    [sym_return_expression] = STATE(12144),
    [sym_throw_expression] = STATE(12144),
    [sym_while_expression] = STATE(12144),
    [sym_do_while_expression] = STATE(12144),
    [sym_for_expression] = STATE(12144),
    [sym_comment] = STATE(1458),
    [sym_block_comment] = STATE(1458),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(1884),
    [anon_sym_while] = ACTIONS(1886),
    [anon_sym_for] = ACTIONS(1888),
    [anon_sym_try] = ACTIONS(1890),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(1892),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1894),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(1896),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(1898),
    [anon_sym_throw] = ACTIONS(1900),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3280),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [1459] = {
    [sym_inline_modifier] = STATE(2084),
    [sym__indentable_expression] = STATE(17251),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(8831),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15722),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10635),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(748),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(8641),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(10149),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1459),
    [sym_block_comment] = STATE(1459),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2740),
    [anon_sym_while] = ACTIONS(2742),
    [anon_sym_for] = ACTIONS(2744),
    [anon_sym_try] = ACTIONS(2746),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2748),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3310),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3312),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2762),
    [anon_sym_throw] = ACTIONS(2764),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1460] = {
    [sym_inline_modifier] = STATE(2050),
    [sym__indentable_expression] = STATE(13040),
    [sym_block] = STATE(8375),
    [sym_indented_block] = STATE(13183),
    [sym_indented_cases] = STATE(13183),
    [sym_expression] = STATE(12800),
    [sym__simple_expression] = STATE(6499),
    [sym_lambda_expression] = STATE(13185),
    [sym_if_expression] = STATE(13185),
    [sym_match_expression] = STATE(13185),
    [sym_try_expression] = STATE(13185),
    [sym_bindings] = STATE(15649),
    [sym_case_block] = STATE(8375),
    [sym_assignment_expression] = STATE(13185),
    [sym_generic_function] = STATE(8375),
    [sym_call_expression] = STATE(8375),
    [sym_field_expression] = STATE(8375),
    [sym_instance_expression] = STATE(8375),
    [sym_ascription_expression] = STATE(13185),
    [sym_infix_expression] = STATE(9364),
    [sym_postfix_expression] = STATE(12809),
    [sym__postfix_expression_choice] = STATE(16440),
    [sym_macro_body] = STATE(13185),
    [sym_prefix_expression] = STATE(9765),
    [sym_tuple_expression] = STATE(8375),
    [sym_parenthesized_expression] = STATE(8375),
    [sym_splice_expression] = STATE(8375),
    [sym_quote_expression] = STATE(8375),
    [sym_identifier] = STATE(5812),
    [sym__soft_identifier] = STATE(5430),
    [sym_wildcard] = STATE(8380),
    [sym__non_null_literal] = STATE(8375),
    [sym_boolean_literal] = STATE(8117),
    [sym_interpolated_string_expression] = STATE(8375),
    [sym_string] = STATE(8117),
    [sym_unit] = STATE(8375),
    [sym_return_expression] = STATE(13185),
    [sym_throw_expression] = STATE(13185),
    [sym_while_expression] = STATE(13185),
    [sym_do_while_expression] = STATE(13185),
    [sym_for_expression] = STATE(13185),
    [sym_comment] = STATE(1460),
    [sym_block_comment] = STATE(1460),
    [sym__alpha_identifier] = ACTIONS(1618),
    [anon_sym_LBRACE] = ACTIONS(1622),
    [anon_sym__] = ACTIONS(1624),
    [anon_sym_PLUS] = ACTIONS(1626),
    [anon_sym_DASH] = ACTIONS(1626),
    [anon_sym_end] = ACTIONS(1628),
    [anon_sym_if] = ACTIONS(2064),
    [anon_sym_while] = ACTIONS(2066),
    [anon_sym_for] = ACTIONS(2068),
    [anon_sym_try] = ACTIONS(2070),
    [anon_sym_new] = ACTIONS(1630),
    [anon_sym_opaque] = ACTIONS(1628),
    [anon_sym_implicit] = ACTIONS(2072),
    [anon_sym_inline] = ACTIONS(1632),
    [anon_sym_infix] = ACTIONS(1628),
    [anon_sym_open] = ACTIONS(1628),
    [anon_sym_transparent] = ACTIONS(1628),
    [anon_sym_LPAREN] = ACTIONS(1634),
    [anon_sym_macro] = ACTIONS(2074),
    [anon_sym_BANG] = ACTIONS(1626),
    [anon_sym_TILDE] = ACTIONS(1626),
    [anon_sym_DOLLAR] = ACTIONS(1636),
    [anon_sym_SQUOTE] = ACTIONS(1638),
    [sym__backquoted_id] = ACTIONS(1640),
    [sym_operator_identifier] = ACTIONS(2076),
    [sym_integer_literal] = ACTIONS(1644),
    [sym_floating_point_literal] = ACTIONS(1646),
    [anon_sym_true] = ACTIONS(1648),
    [anon_sym_false] = ACTIONS(1648),
    [sym_character_literal] = ACTIONS(1646),
    [sym_null_literal] = ACTIONS(1650),
    [anon_sym_return] = ACTIONS(2078),
    [anon_sym_throw] = ACTIONS(2080),
    [anon_sym_do] = ACTIONS(2082),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1652),
    [sym__simple_string] = ACTIONS(1652),
  },
  [1461] = {
    [sym_inline_modifier] = STATE(2284),
    [sym__indentable_expression] = STATE(13604),
    [sym_block] = STATE(9120),
    [sym_indented_block] = STATE(13388),
    [sym_indented_cases] = STATE(13388),
    [sym_expression] = STATE(13211),
    [sym__simple_expression] = STATE(6111),
    [sym_lambda_expression] = STATE(13422),
    [sym_if_expression] = STATE(13422),
    [sym_match_expression] = STATE(13422),
    [sym_try_expression] = STATE(13422),
    [sym_bindings] = STATE(15588),
    [sym_case_block] = STATE(9120),
    [sym_assignment_expression] = STATE(13422),
    [sym_generic_function] = STATE(9120),
    [sym_call_expression] = STATE(9120),
    [sym_field_expression] = STATE(9120),
    [sym_instance_expression] = STATE(9120),
    [sym_ascription_expression] = STATE(13422),
    [sym_infix_expression] = STATE(9820),
    [sym_postfix_expression] = STATE(13148),
    [sym__postfix_expression_choice] = STATE(15936),
    [sym_macro_body] = STATE(13422),
    [sym_prefix_expression] = STATE(9760),
    [sym_tuple_expression] = STATE(9120),
    [sym_parenthesized_expression] = STATE(9120),
    [sym_splice_expression] = STATE(9120),
    [sym_quote_expression] = STATE(9120),
    [sym_identifier] = STATE(5467),
    [sym__soft_identifier] = STATE(6470),
    [sym_wildcard] = STATE(8607),
    [sym__non_null_literal] = STATE(9120),
    [sym_boolean_literal] = STATE(8928),
    [sym_interpolated_string_expression] = STATE(9120),
    [sym_string] = STATE(8928),
    [sym_unit] = STATE(9120),
    [sym_return_expression] = STATE(13422),
    [sym_throw_expression] = STATE(13422),
    [sym_while_expression] = STATE(13422),
    [sym_do_while_expression] = STATE(13422),
    [sym_for_expression] = STATE(13422),
    [sym_comment] = STATE(1461),
    [sym_block_comment] = STATE(1461),
    [sym__alpha_identifier] = ACTIONS(1582),
    [anon_sym_LBRACE] = ACTIONS(1586),
    [anon_sym__] = ACTIONS(1588),
    [anon_sym_PLUS] = ACTIONS(1590),
    [anon_sym_DASH] = ACTIONS(1590),
    [anon_sym_end] = ACTIONS(1592),
    [anon_sym_if] = ACTIONS(3218),
    [anon_sym_while] = ACTIONS(2380),
    [anon_sym_for] = ACTIONS(2382),
    [anon_sym_try] = ACTIONS(2384),
    [anon_sym_new] = ACTIONS(1594),
    [anon_sym_opaque] = ACTIONS(1592),
    [anon_sym_implicit] = ACTIONS(2386),
    [anon_sym_inline] = ACTIONS(1596),
    [anon_sym_infix] = ACTIONS(1592),
    [anon_sym_open] = ACTIONS(1592),
    [anon_sym_transparent] = ACTIONS(1592),
    [anon_sym_LPAREN] = ACTIONS(1598),
    [anon_sym_macro] = ACTIONS(1874),
    [anon_sym_BANG] = ACTIONS(1590),
    [anon_sym_TILDE] = ACTIONS(1590),
    [anon_sym_DOLLAR] = ACTIONS(1600),
    [anon_sym_SQUOTE] = ACTIONS(1602),
    [sym__backquoted_id] = ACTIONS(1604),
    [sym_operator_identifier] = ACTIONS(2388),
    [sym_integer_literal] = ACTIONS(1608),
    [sym_floating_point_literal] = ACTIONS(1610),
    [anon_sym_true] = ACTIONS(1612),
    [anon_sym_false] = ACTIONS(1612),
    [sym_character_literal] = ACTIONS(1610),
    [sym_null_literal] = ACTIONS(1614),
    [anon_sym_return] = ACTIONS(2390),
    [anon_sym_throw] = ACTIONS(2392),
    [anon_sym_do] = ACTIONS(1882),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3282),
    [sym__simple_multiline_string] = ACTIONS(1616),
    [sym__simple_string] = ACTIONS(1616),
  },
  [1462] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(13310),
    [sym_block] = STATE(9088),
    [sym_indented_block] = STATE(13438),
    [sym_indented_cases] = STATE(13438),
    [sym_expression] = STATE(12942),
    [sym__simple_expression] = STATE(7286),
    [sym_lambda_expression] = STATE(13338),
    [sym_if_expression] = STATE(13338),
    [sym_match_expression] = STATE(13338),
    [sym_try_expression] = STATE(13338),
    [sym_bindings] = STATE(15723),
    [sym_case_block] = STATE(9088),
    [sym_assignment_expression] = STATE(13338),
    [sym_generic_function] = STATE(9088),
    [sym_call_expression] = STATE(9088),
    [sym_field_expression] = STATE(9088),
    [sym_instance_expression] = STATE(9088),
    [sym_ascription_expression] = STATE(13338),
    [sym_infix_expression] = STATE(9773),
    [sym_postfix_expression] = STATE(13117),
    [sym__postfix_expression_choice] = STATE(15912),
    [sym_macro_body] = STATE(13338),
    [sym_prefix_expression] = STATE(10020),
    [sym_tuple_expression] = STATE(9088),
    [sym_parenthesized_expression] = STATE(9088),
    [sym_splice_expression] = STATE(9088),
    [sym_quote_expression] = STATE(9088),
    [sym_identifier] = STATE(6105),
    [sym__soft_identifier] = STATE(6581),
    [sym_wildcard] = STATE(8709),
    [sym__non_null_literal] = STATE(9088),
    [sym_boolean_literal] = STATE(8905),
    [sym_interpolated_string_expression] = STATE(9088),
    [sym_string] = STATE(8905),
    [sym_unit] = STATE(9088),
    [sym_return_expression] = STATE(13338),
    [sym_throw_expression] = STATE(13338),
    [sym_while_expression] = STATE(13338),
    [sym_do_while_expression] = STATE(13338),
    [sym_for_expression] = STATE(13338),
    [sym_comment] = STATE(1462),
    [sym_block_comment] = STATE(1462),
    [sym__alpha_identifier] = ACTIONS(1938),
    [anon_sym_LBRACE] = ACTIONS(1942),
    [anon_sym__] = ACTIONS(1944),
    [anon_sym_PLUS] = ACTIONS(1946),
    [anon_sym_DASH] = ACTIONS(1946),
    [anon_sym_end] = ACTIONS(1948),
    [anon_sym_if] = ACTIONS(2260),
    [anon_sym_while] = ACTIONS(2262),
    [anon_sym_for] = ACTIONS(2264),
    [anon_sym_try] = ACTIONS(2266),
    [anon_sym_new] = ACTIONS(1950),
    [anon_sym_opaque] = ACTIONS(1948),
    [anon_sym_implicit] = ACTIONS(2268),
    [anon_sym_inline] = ACTIONS(1952),
    [anon_sym_infix] = ACTIONS(1948),
    [anon_sym_open] = ACTIONS(1948),
    [anon_sym_transparent] = ACTIONS(1948),
    [anon_sym_LPAREN] = ACTIONS(1954),
    [anon_sym_macro] = ACTIONS(2270),
    [anon_sym_BANG] = ACTIONS(1946),
    [anon_sym_TILDE] = ACTIONS(1946),
    [anon_sym_DOLLAR] = ACTIONS(1956),
    [anon_sym_SQUOTE] = ACTIONS(1958),
    [sym__backquoted_id] = ACTIONS(1960),
    [sym_operator_identifier] = ACTIONS(2272),
    [sym_integer_literal] = ACTIONS(1964),
    [sym_floating_point_literal] = ACTIONS(1966),
    [anon_sym_true] = ACTIONS(1968),
    [anon_sym_false] = ACTIONS(1968),
    [sym_character_literal] = ACTIONS(1966),
    [sym_null_literal] = ACTIONS(1970),
    [anon_sym_return] = ACTIONS(2274),
    [anon_sym_throw] = ACTIONS(2276),
    [anon_sym_do] = ACTIONS(2278),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2346),
    [sym__simple_multiline_string] = ACTIONS(1972),
    [sym__simple_string] = ACTIONS(1972),
  },
  [1463] = {
    [sym_inline_modifier] = STATE(2179),
    [sym__indentable_expression] = STATE(13611),
    [sym_block] = STATE(6738),
    [sym_indented_block] = STATE(12372),
    [sym_indented_cases] = STATE(12372),
    [sym_expression] = STATE(12028),
    [sym__simple_expression] = STATE(6283),
    [sym_lambda_expression] = STATE(12430),
    [sym_if_expression] = STATE(12430),
    [sym_match_expression] = STATE(12430),
    [sym_try_expression] = STATE(12430),
    [sym_bindings] = STATE(15581),
    [sym_case_block] = STATE(6738),
    [sym_assignment_expression] = STATE(12430),
    [sym_generic_function] = STATE(6738),
    [sym_call_expression] = STATE(6738),
    [sym_field_expression] = STATE(6738),
    [sym_instance_expression] = STATE(6738),
    [sym_ascription_expression] = STATE(12430),
    [sym_infix_expression] = STATE(8389),
    [sym_postfix_expression] = STATE(11930),
    [sym__postfix_expression_choice] = STATE(15885),
    [sym_macro_body] = STATE(12430),
    [sym_prefix_expression] = STATE(9616),
    [sym_tuple_expression] = STATE(6738),
    [sym_parenthesized_expression] = STATE(6738),
    [sym_splice_expression] = STATE(6738),
    [sym_quote_expression] = STATE(6738),
    [sym_identifier] = STATE(5530),
    [sym__soft_identifier] = STATE(4943),
    [sym_wildcard] = STATE(8554),
    [sym__non_null_literal] = STATE(6738),
    [sym_boolean_literal] = STATE(7301),
    [sym_interpolated_string_expression] = STATE(6738),
    [sym_string] = STATE(7301),
    [sym_unit] = STATE(6738),
    [sym_return_expression] = STATE(12430),
    [sym_throw_expression] = STATE(12430),
    [sym_while_expression] = STATE(12430),
    [sym_do_while_expression] = STATE(12430),
    [sym_for_expression] = STATE(12430),
    [sym_comment] = STATE(1463),
    [sym_block_comment] = STATE(1463),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(2356),
    [anon_sym_while] = ACTIONS(2358),
    [anon_sym_for] = ACTIONS(2360),
    [anon_sym_try] = ACTIONS(2362),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1360),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(2366),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(2368),
    [anon_sym_throw] = ACTIONS(2370),
    [anon_sym_do] = ACTIONS(1368),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2202),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [1464] = {
    [sym_inline_modifier] = STATE(2055),
    [sym__indentable_expression] = STATE(13492),
    [sym_block] = STATE(8218),
    [sym_indented_block] = STATE(13075),
    [sym_indented_cases] = STATE(13075),
    [sym_expression] = STATE(12682),
    [sym__simple_expression] = STATE(6561),
    [sym_lambda_expression] = STATE(13097),
    [sym_if_expression] = STATE(13097),
    [sym_match_expression] = STATE(13097),
    [sym_try_expression] = STATE(13097),
    [sym_bindings] = STATE(15541),
    [sym_case_block] = STATE(8218),
    [sym_assignment_expression] = STATE(13097),
    [sym_generic_function] = STATE(8218),
    [sym_call_expression] = STATE(8218),
    [sym_field_expression] = STATE(8218),
    [sym_instance_expression] = STATE(8218),
    [sym_ascription_expression] = STATE(13097),
    [sym_infix_expression] = STATE(9424),
    [sym_postfix_expression] = STATE(12765),
    [sym__postfix_expression_choice] = STATE(16117),
    [sym_macro_body] = STATE(13097),
    [sym_prefix_expression] = STATE(9863),
    [sym_tuple_expression] = STATE(8218),
    [sym_parenthesized_expression] = STATE(8218),
    [sym_splice_expression] = STATE(8218),
    [sym_quote_expression] = STATE(8218),
    [sym_identifier] = STATE(5613),
    [sym__soft_identifier] = STATE(5752),
    [sym_wildcard] = STATE(8448),
    [sym__non_null_literal] = STATE(8218),
    [sym_boolean_literal] = STATE(8413),
    [sym_interpolated_string_expression] = STATE(8218),
    [sym_string] = STATE(8413),
    [sym_unit] = STATE(8218),
    [sym_return_expression] = STATE(13097),
    [sym_throw_expression] = STATE(13097),
    [sym_while_expression] = STATE(13097),
    [sym_do_while_expression] = STATE(13097),
    [sym_for_expression] = STATE(13097),
    [sym_comment] = STATE(1464),
    [sym_block_comment] = STATE(1464),
    [sym__alpha_identifier] = ACTIONS(1494),
    [anon_sym_LBRACE] = ACTIONS(1498),
    [anon_sym__] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1502),
    [anon_sym_end] = ACTIONS(1504),
    [anon_sym_if] = ACTIONS(2044),
    [anon_sym_while] = ACTIONS(2046),
    [anon_sym_for] = ACTIONS(2048),
    [anon_sym_try] = ACTIONS(2050),
    [anon_sym_new] = ACTIONS(1506),
    [anon_sym_opaque] = ACTIONS(1504),
    [anon_sym_implicit] = ACTIONS(2052),
    [anon_sym_inline] = ACTIONS(1508),
    [anon_sym_infix] = ACTIONS(1504),
    [anon_sym_open] = ACTIONS(1504),
    [anon_sym_transparent] = ACTIONS(1504),
    [anon_sym_LPAREN] = ACTIONS(1510),
    [anon_sym_macro] = ACTIONS(2054),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_TILDE] = ACTIONS(1502),
    [anon_sym_DOLLAR] = ACTIONS(1512),
    [anon_sym_SQUOTE] = ACTIONS(1514),
    [sym__backquoted_id] = ACTIONS(1516),
    [sym_operator_identifier] = ACTIONS(2056),
    [sym_integer_literal] = ACTIONS(1520),
    [sym_floating_point_literal] = ACTIONS(1522),
    [anon_sym_true] = ACTIONS(1524),
    [anon_sym_false] = ACTIONS(1524),
    [sym_character_literal] = ACTIONS(1522),
    [sym_null_literal] = ACTIONS(1526),
    [anon_sym_return] = ACTIONS(2058),
    [anon_sym_throw] = ACTIONS(2060),
    [anon_sym_do] = ACTIONS(2062),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3316),
    [sym__simple_multiline_string] = ACTIONS(1528),
    [sym__simple_string] = ACTIONS(1528),
  },
  [1465] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(13313),
    [sym_block] = STATE(9088),
    [sym_indented_block] = STATE(13438),
    [sym_indented_cases] = STATE(13438),
    [sym_expression] = STATE(12942),
    [sym__simple_expression] = STATE(7286),
    [sym_lambda_expression] = STATE(13338),
    [sym_if_expression] = STATE(13338),
    [sym_match_expression] = STATE(13338),
    [sym_try_expression] = STATE(13338),
    [sym_bindings] = STATE(15723),
    [sym_case_block] = STATE(9088),
    [sym_assignment_expression] = STATE(13338),
    [sym_generic_function] = STATE(9088),
    [sym_call_expression] = STATE(9088),
    [sym_field_expression] = STATE(9088),
    [sym_instance_expression] = STATE(9088),
    [sym_ascription_expression] = STATE(13338),
    [sym_infix_expression] = STATE(9773),
    [sym_postfix_expression] = STATE(13117),
    [sym__postfix_expression_choice] = STATE(15912),
    [sym_macro_body] = STATE(13338),
    [sym_prefix_expression] = STATE(10020),
    [sym_tuple_expression] = STATE(9088),
    [sym_parenthesized_expression] = STATE(9088),
    [sym_splice_expression] = STATE(9088),
    [sym_quote_expression] = STATE(9088),
    [sym_identifier] = STATE(6105),
    [sym__soft_identifier] = STATE(6581),
    [sym_wildcard] = STATE(8709),
    [sym__non_null_literal] = STATE(9088),
    [sym_boolean_literal] = STATE(8905),
    [sym_interpolated_string_expression] = STATE(9088),
    [sym_string] = STATE(8905),
    [sym_unit] = STATE(9088),
    [sym_return_expression] = STATE(13338),
    [sym_throw_expression] = STATE(13338),
    [sym_while_expression] = STATE(13338),
    [sym_do_while_expression] = STATE(13338),
    [sym_for_expression] = STATE(13338),
    [sym_comment] = STATE(1465),
    [sym_block_comment] = STATE(1465),
    [sym__alpha_identifier] = ACTIONS(1938),
    [anon_sym_LBRACE] = ACTIONS(1942),
    [anon_sym__] = ACTIONS(1944),
    [anon_sym_PLUS] = ACTIONS(1946),
    [anon_sym_DASH] = ACTIONS(1946),
    [anon_sym_end] = ACTIONS(1948),
    [anon_sym_if] = ACTIONS(2260),
    [anon_sym_while] = ACTIONS(2262),
    [anon_sym_for] = ACTIONS(2264),
    [anon_sym_try] = ACTIONS(2266),
    [anon_sym_new] = ACTIONS(1950),
    [anon_sym_opaque] = ACTIONS(1948),
    [anon_sym_implicit] = ACTIONS(2268),
    [anon_sym_inline] = ACTIONS(1952),
    [anon_sym_infix] = ACTIONS(1948),
    [anon_sym_open] = ACTIONS(1948),
    [anon_sym_transparent] = ACTIONS(1948),
    [anon_sym_LPAREN] = ACTIONS(1954),
    [anon_sym_macro] = ACTIONS(2270),
    [anon_sym_BANG] = ACTIONS(1946),
    [anon_sym_TILDE] = ACTIONS(1946),
    [anon_sym_DOLLAR] = ACTIONS(1956),
    [anon_sym_SQUOTE] = ACTIONS(1958),
    [sym__backquoted_id] = ACTIONS(1960),
    [sym_operator_identifier] = ACTIONS(2272),
    [sym_integer_literal] = ACTIONS(1964),
    [sym_floating_point_literal] = ACTIONS(1966),
    [anon_sym_true] = ACTIONS(1968),
    [anon_sym_false] = ACTIONS(1968),
    [sym_character_literal] = ACTIONS(1966),
    [sym_null_literal] = ACTIONS(1970),
    [anon_sym_return] = ACTIONS(2274),
    [anon_sym_throw] = ACTIONS(2276),
    [anon_sym_do] = ACTIONS(2278),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2346),
    [sym__simple_multiline_string] = ACTIONS(1972),
    [sym__simple_string] = ACTIONS(1972),
  },
  [1466] = {
    [sym_inline_modifier] = STATE(2060),
    [sym__indentable_expression] = STATE(11698),
    [sym_block] = STATE(6450),
    [sym_indented_block] = STATE(11535),
    [sym_indented_cases] = STATE(11535),
    [sym_expression] = STATE(11606),
    [sym__simple_expression] = STATE(5608),
    [sym_lambda_expression] = STATE(11549),
    [sym_if_expression] = STATE(11549),
    [sym_match_expression] = STATE(11549),
    [sym_try_expression] = STATE(11549),
    [sym_bindings] = STATE(15697),
    [sym_case_block] = STATE(6450),
    [sym_assignment_expression] = STATE(11549),
    [sym_generic_function] = STATE(6450),
    [sym_call_expression] = STATE(6450),
    [sym_field_expression] = STATE(6450),
    [sym_instance_expression] = STATE(6450),
    [sym_ascription_expression] = STATE(11549),
    [sym_infix_expression] = STATE(7641),
    [sym_postfix_expression] = STATE(11204),
    [sym__postfix_expression_choice] = STATE(16480),
    [sym_macro_body] = STATE(11549),
    [sym_prefix_expression] = STATE(9536),
    [sym_tuple_expression] = STATE(6450),
    [sym_parenthesized_expression] = STATE(6450),
    [sym_splice_expression] = STATE(6450),
    [sym_quote_expression] = STATE(6450),
    [sym_identifier] = STATE(5347),
    [sym__soft_identifier] = STATE(4507),
    [sym_wildcard] = STATE(7620),
    [sym__non_null_literal] = STATE(6450),
    [sym_boolean_literal] = STATE(6156),
    [sym_interpolated_string_expression] = STATE(6450),
    [sym_string] = STATE(6156),
    [sym_unit] = STATE(6450),
    [sym_return_expression] = STATE(11549),
    [sym_throw_expression] = STATE(11549),
    [sym_while_expression] = STATE(11549),
    [sym_do_while_expression] = STATE(11549),
    [sym_for_expression] = STATE(11549),
    [sym_comment] = STATE(1466),
    [sym_block_comment] = STATE(1466),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(1428),
    [anon_sym_while] = ACTIONS(1430),
    [anon_sym_for] = ACTIONS(1432),
    [anon_sym_try] = ACTIONS(1434),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1436),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1378),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1438),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1440),
    [anon_sym_throw] = ACTIONS(1442),
    [anon_sym_do] = ACTIONS(1386),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2258),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [1467] = {
    [sym_inline_modifier] = STATE(2149),
    [sym__indentable_expression] = STATE(13610),
    [sym_block] = STATE(9327),
    [sym_indented_block] = STATE(13548),
    [sym_indented_cases] = STATE(13548),
    [sym_expression] = STATE(13406),
    [sym__simple_expression] = STATE(7109),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15656),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10005),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6267),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(8706),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(1467),
    [sym_block_comment] = STATE(1467),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(2928),
    [anon_sym_while] = ACTIONS(2793),
    [anon_sym_for] = ACTIONS(2795),
    [anon_sym_try] = ACTIONS(2797),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(2799),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(2801),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(2803),
    [anon_sym_throw] = ACTIONS(2805),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [1468] = {
    [sym_inline_modifier] = STATE(2149),
    [sym__indentable_expression] = STATE(13609),
    [sym_block] = STATE(9327),
    [sym_indented_block] = STATE(13548),
    [sym_indented_cases] = STATE(13548),
    [sym_expression] = STATE(13406),
    [sym__simple_expression] = STATE(7109),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15656),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10005),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6267),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(8706),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(1468),
    [sym_block_comment] = STATE(1468),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(2928),
    [anon_sym_while] = ACTIONS(2793),
    [anon_sym_for] = ACTIONS(2795),
    [anon_sym_try] = ACTIONS(2797),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(2799),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(2801),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(2803),
    [anon_sym_throw] = ACTIONS(2805),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [1469] = {
    [sym_inline_modifier] = STATE(2252),
    [sym__indentable_expression] = STATE(13399),
    [sym_block] = STATE(8262),
    [sym_indented_block] = STATE(13058),
    [sym_indented_cases] = STATE(13058),
    [sym_expression] = STATE(12868),
    [sym__simple_expression] = STATE(5471),
    [sym_lambda_expression] = STATE(13098),
    [sym_if_expression] = STATE(13098),
    [sym_match_expression] = STATE(13098),
    [sym_try_expression] = STATE(13098),
    [sym_bindings] = STATE(15615),
    [sym_case_block] = STATE(8262),
    [sym_assignment_expression] = STATE(13098),
    [sym_generic_function] = STATE(8262),
    [sym_call_expression] = STATE(8262),
    [sym_field_expression] = STATE(8262),
    [sym_instance_expression] = STATE(8262),
    [sym_ascription_expression] = STATE(13098),
    [sym_infix_expression] = STATE(9485),
    [sym_postfix_expression] = STATE(12647),
    [sym__postfix_expression_choice] = STATE(16347),
    [sym_macro_body] = STATE(13098),
    [sym_prefix_expression] = STATE(9525),
    [sym_tuple_expression] = STATE(8262),
    [sym_parenthesized_expression] = STATE(8262),
    [sym_splice_expression] = STATE(8262),
    [sym_quote_expression] = STATE(8262),
    [sym_identifier] = STATE(5180),
    [sym__soft_identifier] = STATE(5419),
    [sym_wildcard] = STATE(7820),
    [sym__non_null_literal] = STATE(8262),
    [sym_boolean_literal] = STATE(8242),
    [sym_interpolated_string_expression] = STATE(8262),
    [sym_string] = STATE(8242),
    [sym_unit] = STATE(8262),
    [sym_return_expression] = STATE(13098),
    [sym_throw_expression] = STATE(13098),
    [sym_while_expression] = STATE(13098),
    [sym_do_while_expression] = STATE(13098),
    [sym_for_expression] = STATE(13098),
    [sym_comment] = STATE(1469),
    [sym_block_comment] = STATE(1469),
    [sym__alpha_identifier] = ACTIONS(1278),
    [anon_sym_LBRACE] = ACTIONS(1282),
    [anon_sym__] = ACTIONS(1284),
    [anon_sym_PLUS] = ACTIONS(1286),
    [anon_sym_DASH] = ACTIONS(1286),
    [anon_sym_end] = ACTIONS(1288),
    [anon_sym_if] = ACTIONS(1710),
    [anon_sym_while] = ACTIONS(1712),
    [anon_sym_for] = ACTIONS(1714),
    [anon_sym_try] = ACTIONS(1716),
    [anon_sym_new] = ACTIONS(1290),
    [anon_sym_opaque] = ACTIONS(1288),
    [anon_sym_implicit] = ACTIONS(1718),
    [anon_sym_inline] = ACTIONS(1292),
    [anon_sym_infix] = ACTIONS(1288),
    [anon_sym_open] = ACTIONS(1288),
    [anon_sym_transparent] = ACTIONS(1288),
    [anon_sym_LPAREN] = ACTIONS(1294),
    [anon_sym_macro] = ACTIONS(1720),
    [anon_sym_BANG] = ACTIONS(1286),
    [anon_sym_TILDE] = ACTIONS(1286),
    [anon_sym_DOLLAR] = ACTIONS(1296),
    [anon_sym_SQUOTE] = ACTIONS(1298),
    [sym__backquoted_id] = ACTIONS(1300),
    [sym_operator_identifier] = ACTIONS(1722),
    [sym_integer_literal] = ACTIONS(1304),
    [sym_floating_point_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1308),
    [anon_sym_false] = ACTIONS(1308),
    [sym_character_literal] = ACTIONS(1306),
    [sym_null_literal] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(1724),
    [anon_sym_throw] = ACTIONS(1726),
    [anon_sym_do] = ACTIONS(1728),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2198),
    [sym__simple_multiline_string] = ACTIONS(1312),
    [sym__simple_string] = ACTIONS(1312),
  },
  [1470] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(13328),
    [sym_block] = STATE(9088),
    [sym_indented_block] = STATE(13438),
    [sym_indented_cases] = STATE(13438),
    [sym_expression] = STATE(12942),
    [sym__simple_expression] = STATE(7286),
    [sym_lambda_expression] = STATE(13338),
    [sym_if_expression] = STATE(13338),
    [sym_match_expression] = STATE(13338),
    [sym_try_expression] = STATE(13338),
    [sym_bindings] = STATE(15723),
    [sym_case_block] = STATE(9088),
    [sym_assignment_expression] = STATE(13338),
    [sym_generic_function] = STATE(9088),
    [sym_call_expression] = STATE(9088),
    [sym_field_expression] = STATE(9088),
    [sym_instance_expression] = STATE(9088),
    [sym_ascription_expression] = STATE(13338),
    [sym_infix_expression] = STATE(9773),
    [sym_postfix_expression] = STATE(13117),
    [sym__postfix_expression_choice] = STATE(15912),
    [sym_macro_body] = STATE(13338),
    [sym_prefix_expression] = STATE(10020),
    [sym_tuple_expression] = STATE(9088),
    [sym_parenthesized_expression] = STATE(9088),
    [sym_splice_expression] = STATE(9088),
    [sym_quote_expression] = STATE(9088),
    [sym_identifier] = STATE(6105),
    [sym__soft_identifier] = STATE(6581),
    [sym_wildcard] = STATE(8709),
    [sym__non_null_literal] = STATE(9088),
    [sym_boolean_literal] = STATE(8905),
    [sym_interpolated_string_expression] = STATE(9088),
    [sym_string] = STATE(8905),
    [sym_unit] = STATE(9088),
    [sym_return_expression] = STATE(13338),
    [sym_throw_expression] = STATE(13338),
    [sym_while_expression] = STATE(13338),
    [sym_do_while_expression] = STATE(13338),
    [sym_for_expression] = STATE(13338),
    [sym_comment] = STATE(1470),
    [sym_block_comment] = STATE(1470),
    [sym__alpha_identifier] = ACTIONS(1938),
    [anon_sym_LBRACE] = ACTIONS(1942),
    [anon_sym__] = ACTIONS(1944),
    [anon_sym_PLUS] = ACTIONS(1946),
    [anon_sym_DASH] = ACTIONS(1946),
    [anon_sym_end] = ACTIONS(1948),
    [anon_sym_if] = ACTIONS(2260),
    [anon_sym_while] = ACTIONS(2262),
    [anon_sym_for] = ACTIONS(2264),
    [anon_sym_try] = ACTIONS(2266),
    [anon_sym_new] = ACTIONS(1950),
    [anon_sym_opaque] = ACTIONS(1948),
    [anon_sym_implicit] = ACTIONS(2268),
    [anon_sym_inline] = ACTIONS(1952),
    [anon_sym_infix] = ACTIONS(1948),
    [anon_sym_open] = ACTIONS(1948),
    [anon_sym_transparent] = ACTIONS(1948),
    [anon_sym_LPAREN] = ACTIONS(1954),
    [anon_sym_macro] = ACTIONS(2270),
    [anon_sym_BANG] = ACTIONS(1946),
    [anon_sym_TILDE] = ACTIONS(1946),
    [anon_sym_DOLLAR] = ACTIONS(1956),
    [anon_sym_SQUOTE] = ACTIONS(1958),
    [sym__backquoted_id] = ACTIONS(1960),
    [sym_operator_identifier] = ACTIONS(2272),
    [sym_integer_literal] = ACTIONS(1964),
    [sym_floating_point_literal] = ACTIONS(1966),
    [anon_sym_true] = ACTIONS(1968),
    [anon_sym_false] = ACTIONS(1968),
    [sym_character_literal] = ACTIONS(1966),
    [sym_null_literal] = ACTIONS(1970),
    [anon_sym_return] = ACTIONS(2274),
    [anon_sym_throw] = ACTIONS(2276),
    [anon_sym_do] = ACTIONS(2278),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2346),
    [sym__simple_multiline_string] = ACTIONS(1972),
    [sym__simple_string] = ACTIONS(1972),
  },
  [1471] = {
    [sym_inline_modifier] = STATE(2050),
    [sym__indentable_expression] = STATE(13177),
    [sym_block] = STATE(8375),
    [sym_indented_block] = STATE(13183),
    [sym_indented_cases] = STATE(13183),
    [sym_expression] = STATE(12800),
    [sym__simple_expression] = STATE(6499),
    [sym_lambda_expression] = STATE(13185),
    [sym_if_expression] = STATE(13185),
    [sym_match_expression] = STATE(13185),
    [sym_try_expression] = STATE(13185),
    [sym_bindings] = STATE(15649),
    [sym_case_block] = STATE(8375),
    [sym_assignment_expression] = STATE(13185),
    [sym_generic_function] = STATE(8375),
    [sym_call_expression] = STATE(8375),
    [sym_field_expression] = STATE(8375),
    [sym_instance_expression] = STATE(8375),
    [sym_ascription_expression] = STATE(13185),
    [sym_infix_expression] = STATE(9364),
    [sym_postfix_expression] = STATE(12809),
    [sym__postfix_expression_choice] = STATE(16440),
    [sym_macro_body] = STATE(13185),
    [sym_prefix_expression] = STATE(9765),
    [sym_tuple_expression] = STATE(8375),
    [sym_parenthesized_expression] = STATE(8375),
    [sym_splice_expression] = STATE(8375),
    [sym_quote_expression] = STATE(8375),
    [sym_identifier] = STATE(5812),
    [sym__soft_identifier] = STATE(5430),
    [sym_wildcard] = STATE(8380),
    [sym__non_null_literal] = STATE(8375),
    [sym_boolean_literal] = STATE(8117),
    [sym_interpolated_string_expression] = STATE(8375),
    [sym_string] = STATE(8117),
    [sym_unit] = STATE(8375),
    [sym_return_expression] = STATE(13185),
    [sym_throw_expression] = STATE(13185),
    [sym_while_expression] = STATE(13185),
    [sym_do_while_expression] = STATE(13185),
    [sym_for_expression] = STATE(13185),
    [sym_comment] = STATE(1471),
    [sym_block_comment] = STATE(1471),
    [sym__alpha_identifier] = ACTIONS(1618),
    [anon_sym_LBRACE] = ACTIONS(1622),
    [anon_sym__] = ACTIONS(1624),
    [anon_sym_PLUS] = ACTIONS(1626),
    [anon_sym_DASH] = ACTIONS(1626),
    [anon_sym_end] = ACTIONS(1628),
    [anon_sym_if] = ACTIONS(2064),
    [anon_sym_while] = ACTIONS(2066),
    [anon_sym_for] = ACTIONS(2068),
    [anon_sym_try] = ACTIONS(2070),
    [anon_sym_new] = ACTIONS(1630),
    [anon_sym_opaque] = ACTIONS(1628),
    [anon_sym_implicit] = ACTIONS(2072),
    [anon_sym_inline] = ACTIONS(1632),
    [anon_sym_infix] = ACTIONS(1628),
    [anon_sym_open] = ACTIONS(1628),
    [anon_sym_transparent] = ACTIONS(1628),
    [anon_sym_LPAREN] = ACTIONS(1634),
    [anon_sym_macro] = ACTIONS(2074),
    [anon_sym_BANG] = ACTIONS(1626),
    [anon_sym_TILDE] = ACTIONS(1626),
    [anon_sym_DOLLAR] = ACTIONS(1636),
    [anon_sym_SQUOTE] = ACTIONS(1638),
    [sym__backquoted_id] = ACTIONS(1640),
    [sym_operator_identifier] = ACTIONS(2076),
    [sym_integer_literal] = ACTIONS(1644),
    [sym_floating_point_literal] = ACTIONS(1646),
    [anon_sym_true] = ACTIONS(1648),
    [anon_sym_false] = ACTIONS(1648),
    [sym_character_literal] = ACTIONS(1646),
    [sym_null_literal] = ACTIONS(1650),
    [anon_sym_return] = ACTIONS(2078),
    [anon_sym_throw] = ACTIONS(2080),
    [anon_sym_do] = ACTIONS(2082),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1652),
    [sym__simple_string] = ACTIONS(1652),
  },
  [1472] = {
    [sym_inline_modifier] = STATE(2060),
    [sym__indentable_expression] = STATE(11697),
    [sym_block] = STATE(6450),
    [sym_indented_block] = STATE(11535),
    [sym_indented_cases] = STATE(11535),
    [sym_expression] = STATE(11606),
    [sym__simple_expression] = STATE(5608),
    [sym_lambda_expression] = STATE(11549),
    [sym_if_expression] = STATE(11549),
    [sym_match_expression] = STATE(11549),
    [sym_try_expression] = STATE(11549),
    [sym_bindings] = STATE(15697),
    [sym_case_block] = STATE(6450),
    [sym_assignment_expression] = STATE(11549),
    [sym_generic_function] = STATE(6450),
    [sym_call_expression] = STATE(6450),
    [sym_field_expression] = STATE(6450),
    [sym_instance_expression] = STATE(6450),
    [sym_ascription_expression] = STATE(11549),
    [sym_infix_expression] = STATE(7641),
    [sym_postfix_expression] = STATE(11204),
    [sym__postfix_expression_choice] = STATE(16480),
    [sym_macro_body] = STATE(11549),
    [sym_prefix_expression] = STATE(9536),
    [sym_tuple_expression] = STATE(6450),
    [sym_parenthesized_expression] = STATE(6450),
    [sym_splice_expression] = STATE(6450),
    [sym_quote_expression] = STATE(6450),
    [sym_identifier] = STATE(5347),
    [sym__soft_identifier] = STATE(4507),
    [sym_wildcard] = STATE(7620),
    [sym__non_null_literal] = STATE(6450),
    [sym_boolean_literal] = STATE(6156),
    [sym_interpolated_string_expression] = STATE(6450),
    [sym_string] = STATE(6156),
    [sym_unit] = STATE(6450),
    [sym_return_expression] = STATE(11549),
    [sym_throw_expression] = STATE(11549),
    [sym_while_expression] = STATE(11549),
    [sym_do_while_expression] = STATE(11549),
    [sym_for_expression] = STATE(11549),
    [sym_comment] = STATE(1472),
    [sym_block_comment] = STATE(1472),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(1428),
    [anon_sym_while] = ACTIONS(1430),
    [anon_sym_for] = ACTIONS(1432),
    [anon_sym_try] = ACTIONS(1434),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1436),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1378),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1438),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1440),
    [anon_sym_throw] = ACTIONS(1442),
    [anon_sym_do] = ACTIONS(1386),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2258),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [1473] = {
    [sym_inline_modifier] = STATE(2179),
    [sym__indentable_expression] = STATE(13612),
    [sym_block] = STATE(6738),
    [sym_indented_block] = STATE(12372),
    [sym_indented_cases] = STATE(12372),
    [sym_expression] = STATE(12028),
    [sym__simple_expression] = STATE(6283),
    [sym_lambda_expression] = STATE(12430),
    [sym_if_expression] = STATE(12430),
    [sym_match_expression] = STATE(12430),
    [sym_try_expression] = STATE(12430),
    [sym_bindings] = STATE(15581),
    [sym_case_block] = STATE(6738),
    [sym_assignment_expression] = STATE(12430),
    [sym_generic_function] = STATE(6738),
    [sym_call_expression] = STATE(6738),
    [sym_field_expression] = STATE(6738),
    [sym_instance_expression] = STATE(6738),
    [sym_ascription_expression] = STATE(12430),
    [sym_infix_expression] = STATE(8389),
    [sym_postfix_expression] = STATE(11930),
    [sym__postfix_expression_choice] = STATE(15885),
    [sym_macro_body] = STATE(12430),
    [sym_prefix_expression] = STATE(9616),
    [sym_tuple_expression] = STATE(6738),
    [sym_parenthesized_expression] = STATE(6738),
    [sym_splice_expression] = STATE(6738),
    [sym_quote_expression] = STATE(6738),
    [sym_identifier] = STATE(5530),
    [sym__soft_identifier] = STATE(4943),
    [sym_wildcard] = STATE(8554),
    [sym__non_null_literal] = STATE(6738),
    [sym_boolean_literal] = STATE(7301),
    [sym_interpolated_string_expression] = STATE(6738),
    [sym_string] = STATE(7301),
    [sym_unit] = STATE(6738),
    [sym_return_expression] = STATE(12430),
    [sym_throw_expression] = STATE(12430),
    [sym_while_expression] = STATE(12430),
    [sym_do_while_expression] = STATE(12430),
    [sym_for_expression] = STATE(12430),
    [sym_comment] = STATE(1473),
    [sym_block_comment] = STATE(1473),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(2356),
    [anon_sym_while] = ACTIONS(2358),
    [anon_sym_for] = ACTIONS(2360),
    [anon_sym_try] = ACTIONS(2362),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1360),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(2366),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(2368),
    [anon_sym_throw] = ACTIONS(2370),
    [anon_sym_do] = ACTIONS(1368),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2202),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [1474] = {
    [sym_inline_modifier] = STATE(2067),
    [sym__indentable_expression] = STATE(14006),
    [sym_block] = STATE(10133),
    [sym_indented_block] = STATE(12292),
    [sym_indented_cases] = STATE(12292),
    [sym_expression] = STATE(13765),
    [sym__simple_expression] = STATE(7525),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15728),
    [sym_case_block] = STATE(10133),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(10133),
    [sym_call_expression] = STATE(10133),
    [sym_field_expression] = STATE(10133),
    [sym_instance_expression] = STATE(10133),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(10489),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(17114),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10321),
    [sym_tuple_expression] = STATE(10133),
    [sym_parenthesized_expression] = STATE(10133),
    [sym_splice_expression] = STATE(10133),
    [sym_quote_expression] = STATE(10133),
    [sym_identifier] = STATE(7070),
    [sym__soft_identifier] = STATE(4482),
    [sym_wildcard] = STATE(9321),
    [sym__non_null_literal] = STATE(10133),
    [sym_boolean_literal] = STATE(7065),
    [sym_interpolated_string_expression] = STATE(10133),
    [sym_string] = STATE(7065),
    [sym_unit] = STATE(10133),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(1474),
    [sym_block_comment] = STATE(1474),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_end] = ACTIONS(2374),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_opaque] = ACTIONS(2374),
    [anon_sym_implicit] = ACTIONS(3002),
    [anon_sym_inline] = ACTIONS(67),
    [anon_sym_infix] = ACTIONS(2374),
    [anon_sym_open] = ACTIONS(2374),
    [anon_sym_transparent] = ACTIONS(2374),
    [anon_sym_LPAREN] = ACTIONS(75),
    [anon_sym_macro] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(83),
    [sym_operator_identifier] = ACTIONS(85),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(95),
    [anon_sym_throw] = ACTIONS(97),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [1475] = {
    [sym_inline_modifier] = STATE(2335),
    [sym__indentable_expression] = STATE(11879),
    [sym_block] = STATE(5403),
    [sym_indented_block] = STATE(11085),
    [sym_indented_cases] = STATE(11085),
    [sym_expression] = STATE(11355),
    [sym__simple_expression] = STATE(4736),
    [sym_lambda_expression] = STATE(11364),
    [sym_if_expression] = STATE(11364),
    [sym_match_expression] = STATE(11364),
    [sym_try_expression] = STATE(11364),
    [sym_bindings] = STATE(15583),
    [sym_case_block] = STATE(5403),
    [sym_assignment_expression] = STATE(11364),
    [sym_generic_function] = STATE(5403),
    [sym_call_expression] = STATE(5403),
    [sym_field_expression] = STATE(5403),
    [sym_instance_expression] = STATE(5403),
    [sym_ascription_expression] = STATE(11364),
    [sym_infix_expression] = STATE(6806),
    [sym_postfix_expression] = STATE(10789),
    [sym__postfix_expression_choice] = STATE(15797),
    [sym_macro_body] = STATE(11364),
    [sym_prefix_expression] = STATE(8627),
    [sym_tuple_expression] = STATE(5403),
    [sym_parenthesized_expression] = STATE(5403),
    [sym_splice_expression] = STATE(5403),
    [sym_quote_expression] = STATE(5403),
    [sym_identifier] = STATE(4558),
    [sym__soft_identifier] = STATE(4455),
    [sym_wildcard] = STATE(6107),
    [sym__non_null_literal] = STATE(5403),
    [sym_boolean_literal] = STATE(5637),
    [sym_interpolated_string_expression] = STATE(5403),
    [sym_string] = STATE(5637),
    [sym_unit] = STATE(5403),
    [sym_return_expression] = STATE(11364),
    [sym_throw_expression] = STATE(11364),
    [sym_while_expression] = STATE(11364),
    [sym_do_while_expression] = STATE(11364),
    [sym_for_expression] = STATE(11364),
    [sym_comment] = STATE(1475),
    [sym_block_comment] = STATE(1475),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(2288),
    [anon_sym_while] = ACTIONS(1750),
    [anon_sym_for] = ACTIONS(1752),
    [anon_sym_try] = ACTIONS(1754),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1756),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1162),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1758),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1760),
    [anon_sym_throw] = ACTIONS(1762),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2282),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [1476] = {
    [sym_inline_modifier] = STATE(2179),
    [sym__indentable_expression] = STATE(12266),
    [sym_block] = STATE(6738),
    [sym_indented_block] = STATE(12372),
    [sym_indented_cases] = STATE(12372),
    [sym_expression] = STATE(12028),
    [sym__simple_expression] = STATE(6283),
    [sym_lambda_expression] = STATE(12430),
    [sym_if_expression] = STATE(12430),
    [sym_match_expression] = STATE(12430),
    [sym_try_expression] = STATE(12430),
    [sym_bindings] = STATE(15581),
    [sym_case_block] = STATE(6738),
    [sym_assignment_expression] = STATE(12430),
    [sym_generic_function] = STATE(6738),
    [sym_call_expression] = STATE(6738),
    [sym_field_expression] = STATE(6738),
    [sym_instance_expression] = STATE(6738),
    [sym_ascription_expression] = STATE(12430),
    [sym_infix_expression] = STATE(8389),
    [sym_postfix_expression] = STATE(11930),
    [sym__postfix_expression_choice] = STATE(15885),
    [sym_macro_body] = STATE(12430),
    [sym_prefix_expression] = STATE(9616),
    [sym_tuple_expression] = STATE(6738),
    [sym_parenthesized_expression] = STATE(6738),
    [sym_splice_expression] = STATE(6738),
    [sym_quote_expression] = STATE(6738),
    [sym_identifier] = STATE(5530),
    [sym__soft_identifier] = STATE(4943),
    [sym_wildcard] = STATE(8554),
    [sym__non_null_literal] = STATE(6738),
    [sym_boolean_literal] = STATE(7301),
    [sym_interpolated_string_expression] = STATE(6738),
    [sym_string] = STATE(7301),
    [sym_unit] = STATE(6738),
    [sym_return_expression] = STATE(12430),
    [sym_throw_expression] = STATE(12430),
    [sym_while_expression] = STATE(12430),
    [sym_do_while_expression] = STATE(12430),
    [sym_for_expression] = STATE(12430),
    [sym_comment] = STATE(1476),
    [sym_block_comment] = STATE(1476),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(2356),
    [anon_sym_while] = ACTIONS(2358),
    [anon_sym_for] = ACTIONS(2360),
    [anon_sym_try] = ACTIONS(2362),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1360),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(2366),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(2368),
    [anon_sym_throw] = ACTIONS(2370),
    [anon_sym_do] = ACTIONS(1368),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2202),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [1477] = {
    [sym_inline_modifier] = STATE(2060),
    [sym__indentable_expression] = STATE(11671),
    [sym_block] = STATE(6450),
    [sym_indented_block] = STATE(11535),
    [sym_indented_cases] = STATE(11535),
    [sym_expression] = STATE(11606),
    [sym__simple_expression] = STATE(5608),
    [sym_lambda_expression] = STATE(11549),
    [sym_if_expression] = STATE(11549),
    [sym_match_expression] = STATE(11549),
    [sym_try_expression] = STATE(11549),
    [sym_bindings] = STATE(15697),
    [sym_case_block] = STATE(6450),
    [sym_assignment_expression] = STATE(11549),
    [sym_generic_function] = STATE(6450),
    [sym_call_expression] = STATE(6450),
    [sym_field_expression] = STATE(6450),
    [sym_instance_expression] = STATE(6450),
    [sym_ascription_expression] = STATE(11549),
    [sym_infix_expression] = STATE(7641),
    [sym_postfix_expression] = STATE(11204),
    [sym__postfix_expression_choice] = STATE(16480),
    [sym_macro_body] = STATE(11549),
    [sym_prefix_expression] = STATE(9536),
    [sym_tuple_expression] = STATE(6450),
    [sym_parenthesized_expression] = STATE(6450),
    [sym_splice_expression] = STATE(6450),
    [sym_quote_expression] = STATE(6450),
    [sym_identifier] = STATE(5347),
    [sym__soft_identifier] = STATE(4507),
    [sym_wildcard] = STATE(7620),
    [sym__non_null_literal] = STATE(6450),
    [sym_boolean_literal] = STATE(6156),
    [sym_interpolated_string_expression] = STATE(6450),
    [sym_string] = STATE(6156),
    [sym_unit] = STATE(6450),
    [sym_return_expression] = STATE(11549),
    [sym_throw_expression] = STATE(11549),
    [sym_while_expression] = STATE(11549),
    [sym_do_while_expression] = STATE(11549),
    [sym_for_expression] = STATE(11549),
    [sym_comment] = STATE(1477),
    [sym_block_comment] = STATE(1477),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(1428),
    [anon_sym_while] = ACTIONS(1430),
    [anon_sym_for] = ACTIONS(1432),
    [anon_sym_try] = ACTIONS(1434),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1436),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1378),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1438),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1440),
    [anon_sym_throw] = ACTIONS(1442),
    [anon_sym_do] = ACTIONS(1386),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2258),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [1478] = {
    [sym_inline_modifier] = STATE(2067),
    [sym__indentable_expression] = STATE(12506),
    [sym_block] = STATE(10133),
    [sym_indented_block] = STATE(12292),
    [sym_indented_cases] = STATE(12292),
    [sym_expression] = STATE(13765),
    [sym__simple_expression] = STATE(7525),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15728),
    [sym_case_block] = STATE(10133),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(10133),
    [sym_call_expression] = STATE(10133),
    [sym_field_expression] = STATE(10133),
    [sym_instance_expression] = STATE(10133),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(10489),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(17114),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10321),
    [sym_tuple_expression] = STATE(10133),
    [sym_parenthesized_expression] = STATE(10133),
    [sym_splice_expression] = STATE(10133),
    [sym_quote_expression] = STATE(10133),
    [sym_identifier] = STATE(7070),
    [sym__soft_identifier] = STATE(4482),
    [sym_wildcard] = STATE(9321),
    [sym__non_null_literal] = STATE(10133),
    [sym_boolean_literal] = STATE(7065),
    [sym_interpolated_string_expression] = STATE(10133),
    [sym_string] = STATE(7065),
    [sym_unit] = STATE(10133),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(1478),
    [sym_block_comment] = STATE(1478),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_end] = ACTIONS(2374),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_opaque] = ACTIONS(2374),
    [anon_sym_implicit] = ACTIONS(3002),
    [anon_sym_inline] = ACTIONS(67),
    [anon_sym_infix] = ACTIONS(2374),
    [anon_sym_open] = ACTIONS(2374),
    [anon_sym_transparent] = ACTIONS(2374),
    [anon_sym_LPAREN] = ACTIONS(75),
    [anon_sym_macro] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(83),
    [sym_operator_identifier] = ACTIONS(85),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(95),
    [anon_sym_throw] = ACTIONS(97),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [1479] = {
    [sym_inline_modifier] = STATE(2084),
    [sym__indentable_expression] = STATE(16148),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(8831),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15722),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10635),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(764),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(8641),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(10149),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1479),
    [sym_block_comment] = STATE(1479),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2740),
    [anon_sym_while] = ACTIONS(2742),
    [anon_sym_for] = ACTIONS(2744),
    [anon_sym_try] = ACTIONS(2746),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2748),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3310),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3312),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2762),
    [anon_sym_throw] = ACTIONS(2764),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1480] = {
    [sym_inline_modifier] = STATE(2223),
    [sym__indentable_expression] = STATE(13204),
    [sym_block] = STATE(8375),
    [sym_indented_block] = STATE(13183),
    [sym_indented_cases] = STATE(13183),
    [sym_expression] = STATE(12800),
    [sym__simple_expression] = STATE(7442),
    [sym_lambda_expression] = STATE(13185),
    [sym_if_expression] = STATE(13185),
    [sym_match_expression] = STATE(13185),
    [sym_try_expression] = STATE(13185),
    [sym_bindings] = STATE(15586),
    [sym_case_block] = STATE(8375),
    [sym_assignment_expression] = STATE(13185),
    [sym_generic_function] = STATE(8375),
    [sym_call_expression] = STATE(8375),
    [sym_field_expression] = STATE(8375),
    [sym_instance_expression] = STATE(8375),
    [sym_ascription_expression] = STATE(13185),
    [sym_infix_expression] = STATE(9364),
    [sym_postfix_expression] = STATE(12809),
    [sym__postfix_expression_choice] = STATE(16440),
    [sym_macro_body] = STATE(13185),
    [sym_prefix_expression] = STATE(10191),
    [sym_tuple_expression] = STATE(8375),
    [sym_parenthesized_expression] = STATE(8375),
    [sym_splice_expression] = STATE(8375),
    [sym_quote_expression] = STATE(8375),
    [sym_identifier] = STATE(7290),
    [sym__soft_identifier] = STATE(5430),
    [sym_wildcard] = STATE(9387),
    [sym__non_null_literal] = STATE(8375),
    [sym_boolean_literal] = STATE(8117),
    [sym_interpolated_string_expression] = STATE(8375),
    [sym_string] = STATE(8117),
    [sym_unit] = STATE(8375),
    [sym_return_expression] = STATE(13185),
    [sym_throw_expression] = STATE(13185),
    [sym_while_expression] = STATE(13185),
    [sym_do_while_expression] = STATE(13185),
    [sym_for_expression] = STATE(13185),
    [sym_comment] = STATE(1480),
    [sym_block_comment] = STATE(1480),
    [sym__alpha_identifier] = ACTIONS(1618),
    [anon_sym_LBRACE] = ACTIONS(1622),
    [anon_sym__] = ACTIONS(1624),
    [anon_sym_PLUS] = ACTIONS(1626),
    [anon_sym_DASH] = ACTIONS(1626),
    [anon_sym_end] = ACTIONS(1628),
    [anon_sym_if] = ACTIONS(2122),
    [anon_sym_while] = ACTIONS(2124),
    [anon_sym_for] = ACTIONS(2126),
    [anon_sym_try] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(1630),
    [anon_sym_opaque] = ACTIONS(1628),
    [anon_sym_implicit] = ACTIONS(2130),
    [anon_sym_inline] = ACTIONS(1632),
    [anon_sym_infix] = ACTIONS(1628),
    [anon_sym_open] = ACTIONS(1628),
    [anon_sym_transparent] = ACTIONS(1628),
    [anon_sym_LPAREN] = ACTIONS(1634),
    [anon_sym_macro] = ACTIONS(2074),
    [anon_sym_BANG] = ACTIONS(1626),
    [anon_sym_TILDE] = ACTIONS(1626),
    [anon_sym_DOLLAR] = ACTIONS(1636),
    [anon_sym_SQUOTE] = ACTIONS(1638),
    [sym__backquoted_id] = ACTIONS(1640),
    [sym_operator_identifier] = ACTIONS(2132),
    [sym_integer_literal] = ACTIONS(1644),
    [sym_floating_point_literal] = ACTIONS(1646),
    [anon_sym_true] = ACTIONS(1648),
    [anon_sym_false] = ACTIONS(1648),
    [sym_character_literal] = ACTIONS(1646),
    [sym_null_literal] = ACTIONS(1650),
    [anon_sym_return] = ACTIONS(2134),
    [anon_sym_throw] = ACTIONS(2136),
    [anon_sym_do] = ACTIONS(2082),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1652),
    [sym__simple_string] = ACTIONS(1652),
  },
  [1481] = {
    [sym_inline_modifier] = STATE(2060),
    [sym__indentable_expression] = STATE(12847),
    [sym_block] = STATE(6450),
    [sym_indented_block] = STATE(11535),
    [sym_indented_cases] = STATE(11535),
    [sym_expression] = STATE(11606),
    [sym__simple_expression] = STATE(5608),
    [sym_lambda_expression] = STATE(11549),
    [sym_if_expression] = STATE(11549),
    [sym_match_expression] = STATE(11549),
    [sym_try_expression] = STATE(11549),
    [sym_bindings] = STATE(15697),
    [sym_case_block] = STATE(6450),
    [sym_assignment_expression] = STATE(11549),
    [sym_generic_function] = STATE(6450),
    [sym_call_expression] = STATE(6450),
    [sym_field_expression] = STATE(6450),
    [sym_instance_expression] = STATE(6450),
    [sym_ascription_expression] = STATE(11549),
    [sym_infix_expression] = STATE(7641),
    [sym_postfix_expression] = STATE(11204),
    [sym__postfix_expression_choice] = STATE(16480),
    [sym_macro_body] = STATE(11549),
    [sym_prefix_expression] = STATE(9536),
    [sym_tuple_expression] = STATE(6450),
    [sym_parenthesized_expression] = STATE(6450),
    [sym_splice_expression] = STATE(6450),
    [sym_quote_expression] = STATE(6450),
    [sym_identifier] = STATE(5347),
    [sym__soft_identifier] = STATE(4507),
    [sym_wildcard] = STATE(7620),
    [sym__non_null_literal] = STATE(6450),
    [sym_boolean_literal] = STATE(6156),
    [sym_interpolated_string_expression] = STATE(6450),
    [sym_string] = STATE(6156),
    [sym_unit] = STATE(6450),
    [sym_return_expression] = STATE(11549),
    [sym_throw_expression] = STATE(11549),
    [sym_while_expression] = STATE(11549),
    [sym_do_while_expression] = STATE(11549),
    [sym_for_expression] = STATE(11549),
    [sym_comment] = STATE(1481),
    [sym_block_comment] = STATE(1481),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(1428),
    [anon_sym_while] = ACTIONS(1430),
    [anon_sym_for] = ACTIONS(1432),
    [anon_sym_try] = ACTIONS(1434),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1436),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1378),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1438),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1440),
    [anon_sym_throw] = ACTIONS(1442),
    [anon_sym_do] = ACTIONS(1386),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2258),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [1482] = {
    [sym_inline_modifier] = STATE(2055),
    [sym__indentable_expression] = STATE(13596),
    [sym_block] = STATE(8218),
    [sym_indented_block] = STATE(13075),
    [sym_indented_cases] = STATE(13075),
    [sym_expression] = STATE(12682),
    [sym__simple_expression] = STATE(6561),
    [sym_lambda_expression] = STATE(13097),
    [sym_if_expression] = STATE(13097),
    [sym_match_expression] = STATE(13097),
    [sym_try_expression] = STATE(13097),
    [sym_bindings] = STATE(15541),
    [sym_case_block] = STATE(8218),
    [sym_assignment_expression] = STATE(13097),
    [sym_generic_function] = STATE(8218),
    [sym_call_expression] = STATE(8218),
    [sym_field_expression] = STATE(8218),
    [sym_instance_expression] = STATE(8218),
    [sym_ascription_expression] = STATE(13097),
    [sym_infix_expression] = STATE(9424),
    [sym_postfix_expression] = STATE(12765),
    [sym__postfix_expression_choice] = STATE(16117),
    [sym_macro_body] = STATE(13097),
    [sym_prefix_expression] = STATE(9863),
    [sym_tuple_expression] = STATE(8218),
    [sym_parenthesized_expression] = STATE(8218),
    [sym_splice_expression] = STATE(8218),
    [sym_quote_expression] = STATE(8218),
    [sym_identifier] = STATE(5613),
    [sym__soft_identifier] = STATE(5752),
    [sym_wildcard] = STATE(8448),
    [sym__non_null_literal] = STATE(8218),
    [sym_boolean_literal] = STATE(8413),
    [sym_interpolated_string_expression] = STATE(8218),
    [sym_string] = STATE(8413),
    [sym_unit] = STATE(8218),
    [sym_return_expression] = STATE(13097),
    [sym_throw_expression] = STATE(13097),
    [sym_while_expression] = STATE(13097),
    [sym_do_while_expression] = STATE(13097),
    [sym_for_expression] = STATE(13097),
    [sym_comment] = STATE(1482),
    [sym_block_comment] = STATE(1482),
    [sym__alpha_identifier] = ACTIONS(1494),
    [anon_sym_LBRACE] = ACTIONS(1498),
    [anon_sym__] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1502),
    [anon_sym_end] = ACTIONS(1504),
    [anon_sym_if] = ACTIONS(2044),
    [anon_sym_while] = ACTIONS(2046),
    [anon_sym_for] = ACTIONS(2048),
    [anon_sym_try] = ACTIONS(2050),
    [anon_sym_new] = ACTIONS(1506),
    [anon_sym_opaque] = ACTIONS(1504),
    [anon_sym_implicit] = ACTIONS(2052),
    [anon_sym_inline] = ACTIONS(1508),
    [anon_sym_infix] = ACTIONS(1504),
    [anon_sym_open] = ACTIONS(1504),
    [anon_sym_transparent] = ACTIONS(1504),
    [anon_sym_LPAREN] = ACTIONS(1510),
    [anon_sym_macro] = ACTIONS(2054),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_TILDE] = ACTIONS(1502),
    [anon_sym_DOLLAR] = ACTIONS(1512),
    [anon_sym_SQUOTE] = ACTIONS(1514),
    [sym__backquoted_id] = ACTIONS(1516),
    [sym_operator_identifier] = ACTIONS(2056),
    [sym_integer_literal] = ACTIONS(1520),
    [sym_floating_point_literal] = ACTIONS(1522),
    [anon_sym_true] = ACTIONS(1524),
    [anon_sym_false] = ACTIONS(1524),
    [sym_character_literal] = ACTIONS(1522),
    [sym_null_literal] = ACTIONS(1526),
    [anon_sym_return] = ACTIONS(2058),
    [anon_sym_throw] = ACTIONS(2060),
    [anon_sym_do] = ACTIONS(2062),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3316),
    [sym__simple_multiline_string] = ACTIONS(1528),
    [sym__simple_string] = ACTIONS(1528),
  },
  [1483] = {
    [sym_inline_modifier] = STATE(2084),
    [sym__indentable_expression] = STATE(16786),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(8831),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15722),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10635),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(642),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(8641),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(10149),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1483),
    [sym_block_comment] = STATE(1483),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2740),
    [anon_sym_while] = ACTIONS(2742),
    [anon_sym_for] = ACTIONS(2744),
    [anon_sym_try] = ACTIONS(2746),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2748),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3310),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3312),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2762),
    [anon_sym_throw] = ACTIONS(2764),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1484] = {
    [sym_inline_modifier] = STATE(2223),
    [sym__indentable_expression] = STATE(13206),
    [sym_block] = STATE(8375),
    [sym_indented_block] = STATE(13183),
    [sym_indented_cases] = STATE(13183),
    [sym_expression] = STATE(12800),
    [sym__simple_expression] = STATE(7442),
    [sym_lambda_expression] = STATE(13185),
    [sym_if_expression] = STATE(13185),
    [sym_match_expression] = STATE(13185),
    [sym_try_expression] = STATE(13185),
    [sym_bindings] = STATE(15586),
    [sym_case_block] = STATE(8375),
    [sym_assignment_expression] = STATE(13185),
    [sym_generic_function] = STATE(8375),
    [sym_call_expression] = STATE(8375),
    [sym_field_expression] = STATE(8375),
    [sym_instance_expression] = STATE(8375),
    [sym_ascription_expression] = STATE(13185),
    [sym_infix_expression] = STATE(9364),
    [sym_postfix_expression] = STATE(12809),
    [sym__postfix_expression_choice] = STATE(16440),
    [sym_macro_body] = STATE(13185),
    [sym_prefix_expression] = STATE(10191),
    [sym_tuple_expression] = STATE(8375),
    [sym_parenthesized_expression] = STATE(8375),
    [sym_splice_expression] = STATE(8375),
    [sym_quote_expression] = STATE(8375),
    [sym_identifier] = STATE(7290),
    [sym__soft_identifier] = STATE(5430),
    [sym_wildcard] = STATE(9387),
    [sym__non_null_literal] = STATE(8375),
    [sym_boolean_literal] = STATE(8117),
    [sym_interpolated_string_expression] = STATE(8375),
    [sym_string] = STATE(8117),
    [sym_unit] = STATE(8375),
    [sym_return_expression] = STATE(13185),
    [sym_throw_expression] = STATE(13185),
    [sym_while_expression] = STATE(13185),
    [sym_do_while_expression] = STATE(13185),
    [sym_for_expression] = STATE(13185),
    [sym_comment] = STATE(1484),
    [sym_block_comment] = STATE(1484),
    [sym__alpha_identifier] = ACTIONS(1618),
    [anon_sym_LBRACE] = ACTIONS(1622),
    [anon_sym__] = ACTIONS(1624),
    [anon_sym_PLUS] = ACTIONS(1626),
    [anon_sym_DASH] = ACTIONS(1626),
    [anon_sym_end] = ACTIONS(1628),
    [anon_sym_if] = ACTIONS(2122),
    [anon_sym_while] = ACTIONS(2124),
    [anon_sym_for] = ACTIONS(2126),
    [anon_sym_try] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(1630),
    [anon_sym_opaque] = ACTIONS(1628),
    [anon_sym_implicit] = ACTIONS(2130),
    [anon_sym_inline] = ACTIONS(1632),
    [anon_sym_infix] = ACTIONS(1628),
    [anon_sym_open] = ACTIONS(1628),
    [anon_sym_transparent] = ACTIONS(1628),
    [anon_sym_LPAREN] = ACTIONS(1634),
    [anon_sym_macro] = ACTIONS(2074),
    [anon_sym_BANG] = ACTIONS(1626),
    [anon_sym_TILDE] = ACTIONS(1626),
    [anon_sym_DOLLAR] = ACTIONS(1636),
    [anon_sym_SQUOTE] = ACTIONS(1638),
    [sym__backquoted_id] = ACTIONS(1640),
    [sym_operator_identifier] = ACTIONS(2132),
    [sym_integer_literal] = ACTIONS(1644),
    [sym_floating_point_literal] = ACTIONS(1646),
    [anon_sym_true] = ACTIONS(1648),
    [anon_sym_false] = ACTIONS(1648),
    [sym_character_literal] = ACTIONS(1646),
    [sym_null_literal] = ACTIONS(1650),
    [anon_sym_return] = ACTIONS(2134),
    [anon_sym_throw] = ACTIONS(2136),
    [anon_sym_do] = ACTIONS(2082),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1652),
    [sym__simple_string] = ACTIONS(1652),
  },
  [1485] = {
    [sym_inline_modifier] = STATE(2181),
    [sym__indentable_expression] = STATE(12052),
    [sym_block] = STATE(5403),
    [sym_indented_block] = STATE(11085),
    [sym_indented_cases] = STATE(11085),
    [sym_expression] = STATE(11355),
    [sym__simple_expression] = STATE(4722),
    [sym_lambda_expression] = STATE(11364),
    [sym_if_expression] = STATE(11364),
    [sym_match_expression] = STATE(11364),
    [sym_try_expression] = STATE(11364),
    [sym_bindings] = STATE(15648),
    [sym_case_block] = STATE(5403),
    [sym_assignment_expression] = STATE(11364),
    [sym_generic_function] = STATE(5403),
    [sym_call_expression] = STATE(5403),
    [sym_field_expression] = STATE(5403),
    [sym_instance_expression] = STATE(5403),
    [sym_ascription_expression] = STATE(11364),
    [sym_infix_expression] = STATE(6806),
    [sym_postfix_expression] = STATE(10789),
    [sym__postfix_expression_choice] = STATE(15797),
    [sym_macro_body] = STATE(11364),
    [sym_prefix_expression] = STATE(8559),
    [sym_tuple_expression] = STATE(5403),
    [sym_parenthesized_expression] = STATE(5403),
    [sym_splice_expression] = STATE(5403),
    [sym_quote_expression] = STATE(5403),
    [sym_identifier] = STATE(4646),
    [sym__soft_identifier] = STATE(4455),
    [sym_wildcard] = STATE(6287),
    [sym__non_null_literal] = STATE(5403),
    [sym_boolean_literal] = STATE(5637),
    [sym_interpolated_string_expression] = STATE(5403),
    [sym_string] = STATE(5637),
    [sym_unit] = STATE(5403),
    [sym_return_expression] = STATE(11364),
    [sym_throw_expression] = STATE(11364),
    [sym_while_expression] = STATE(11364),
    [sym_do_while_expression] = STATE(11364),
    [sym_for_expression] = STATE(11364),
    [sym_comment] = STATE(1485),
    [sym_block_comment] = STATE(1485),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(2352),
    [anon_sym_while] = ACTIONS(1172),
    [anon_sym_for] = ACTIONS(1174),
    [anon_sym_try] = ACTIONS(1176),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1178),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1162),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1180),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1182),
    [anon_sym_throw] = ACTIONS(1184),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2282),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [1486] = {
    [sym_inline_modifier] = STATE(2159),
    [sym__indentable_expression] = STATE(11661),
    [sym_block] = STATE(6450),
    [sym_indented_block] = STATE(11535),
    [sym_indented_cases] = STATE(11535),
    [sym_expression] = STATE(11606),
    [sym__simple_expression] = STATE(5274),
    [sym_lambda_expression] = STATE(11549),
    [sym_if_expression] = STATE(11549),
    [sym_match_expression] = STATE(11549),
    [sym_try_expression] = STATE(11549),
    [sym_bindings] = STATE(15607),
    [sym_case_block] = STATE(6450),
    [sym_assignment_expression] = STATE(11549),
    [sym_generic_function] = STATE(6450),
    [sym_call_expression] = STATE(6450),
    [sym_field_expression] = STATE(6450),
    [sym_instance_expression] = STATE(6450),
    [sym_ascription_expression] = STATE(11549),
    [sym_infix_expression] = STATE(7641),
    [sym_postfix_expression] = STATE(11204),
    [sym__postfix_expression_choice] = STATE(16480),
    [sym_macro_body] = STATE(11549),
    [sym_prefix_expression] = STATE(8822),
    [sym_tuple_expression] = STATE(6450),
    [sym_parenthesized_expression] = STATE(6450),
    [sym_splice_expression] = STATE(6450),
    [sym_quote_expression] = STATE(6450),
    [sym_identifier] = STATE(4738),
    [sym__soft_identifier] = STATE(4507),
    [sym_wildcard] = STATE(7298),
    [sym__non_null_literal] = STATE(6450),
    [sym_boolean_literal] = STATE(6156),
    [sym_interpolated_string_expression] = STATE(6450),
    [sym_string] = STATE(6156),
    [sym_unit] = STATE(6450),
    [sym_return_expression] = STATE(11549),
    [sym_throw_expression] = STATE(11549),
    [sym_while_expression] = STATE(11549),
    [sym_do_while_expression] = STATE(11549),
    [sym_for_expression] = STATE(11549),
    [sym_comment] = STATE(1486),
    [sym_block_comment] = STATE(1486),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(2472),
    [anon_sym_while] = ACTIONS(1974),
    [anon_sym_for] = ACTIONS(1976),
    [anon_sym_try] = ACTIONS(1978),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1980),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1378),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1982),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1984),
    [anon_sym_throw] = ACTIONS(1986),
    [anon_sym_do] = ACTIONS(1386),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2258),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [1487] = {
    [sym_inline_modifier] = STATE(2125),
    [sym__indentable_expression] = STATE(12290),
    [sym_block] = STATE(6738),
    [sym_indented_block] = STATE(12372),
    [sym_indented_cases] = STATE(12372),
    [sym_expression] = STATE(12028),
    [sym__simple_expression] = STATE(5176),
    [sym_lambda_expression] = STATE(12430),
    [sym_if_expression] = STATE(12430),
    [sym_match_expression] = STATE(12430),
    [sym_try_expression] = STATE(12430),
    [sym_bindings] = STATE(15677),
    [sym_case_block] = STATE(6738),
    [sym_assignment_expression] = STATE(12430),
    [sym_generic_function] = STATE(6738),
    [sym_call_expression] = STATE(6738),
    [sym_field_expression] = STATE(6738),
    [sym_instance_expression] = STATE(6738),
    [sym_ascription_expression] = STATE(12430),
    [sym_infix_expression] = STATE(8389),
    [sym_postfix_expression] = STATE(11930),
    [sym__postfix_expression_choice] = STATE(15885),
    [sym_macro_body] = STATE(12430),
    [sym_prefix_expression] = STATE(9115),
    [sym_tuple_expression] = STATE(6738),
    [sym_parenthesized_expression] = STATE(6738),
    [sym_splice_expression] = STATE(6738),
    [sym_quote_expression] = STATE(6738),
    [sym_identifier] = STATE(4951),
    [sym__soft_identifier] = STATE(4943),
    [sym_wildcard] = STATE(7114),
    [sym__non_null_literal] = STATE(6738),
    [sym_boolean_literal] = STATE(7301),
    [sym_interpolated_string_expression] = STATE(6738),
    [sym_string] = STATE(7301),
    [sym_unit] = STATE(6738),
    [sym_return_expression] = STATE(12430),
    [sym_throw_expression] = STATE(12430),
    [sym_while_expression] = STATE(12430),
    [sym_do_while_expression] = STATE(12430),
    [sym_for_expression] = STATE(12430),
    [sym_comment] = STATE(1487),
    [sym_block_comment] = STATE(1487),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(1350),
    [anon_sym_while] = ACTIONS(1352),
    [anon_sym_for] = ACTIONS(1354),
    [anon_sym_try] = ACTIONS(1356),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(1358),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1360),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(1362),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(1364),
    [anon_sym_throw] = ACTIONS(1366),
    [anon_sym_do] = ACTIONS(1368),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2202),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [1488] = {
    [sym_inline_modifier] = STATE(2181),
    [sym__indentable_expression] = STATE(12833),
    [sym_block] = STATE(5403),
    [sym_indented_block] = STATE(11085),
    [sym_indented_cases] = STATE(11085),
    [sym_expression] = STATE(11355),
    [sym__simple_expression] = STATE(4722),
    [sym_lambda_expression] = STATE(11364),
    [sym_if_expression] = STATE(11364),
    [sym_match_expression] = STATE(11364),
    [sym_try_expression] = STATE(11364),
    [sym_bindings] = STATE(15648),
    [sym_case_block] = STATE(5403),
    [sym_assignment_expression] = STATE(11364),
    [sym_generic_function] = STATE(5403),
    [sym_call_expression] = STATE(5403),
    [sym_field_expression] = STATE(5403),
    [sym_instance_expression] = STATE(5403),
    [sym_ascription_expression] = STATE(11364),
    [sym_infix_expression] = STATE(6806),
    [sym_postfix_expression] = STATE(10789),
    [sym__postfix_expression_choice] = STATE(15797),
    [sym_macro_body] = STATE(11364),
    [sym_prefix_expression] = STATE(8559),
    [sym_tuple_expression] = STATE(5403),
    [sym_parenthesized_expression] = STATE(5403),
    [sym_splice_expression] = STATE(5403),
    [sym_quote_expression] = STATE(5403),
    [sym_identifier] = STATE(4646),
    [sym__soft_identifier] = STATE(4455),
    [sym_wildcard] = STATE(6287),
    [sym__non_null_literal] = STATE(5403),
    [sym_boolean_literal] = STATE(5637),
    [sym_interpolated_string_expression] = STATE(5403),
    [sym_string] = STATE(5637),
    [sym_unit] = STATE(5403),
    [sym_return_expression] = STATE(11364),
    [sym_throw_expression] = STATE(11364),
    [sym_while_expression] = STATE(11364),
    [sym_do_while_expression] = STATE(11364),
    [sym_for_expression] = STATE(11364),
    [sym_comment] = STATE(1488),
    [sym_block_comment] = STATE(1488),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(2352),
    [anon_sym_while] = ACTIONS(1172),
    [anon_sym_for] = ACTIONS(1174),
    [anon_sym_try] = ACTIONS(1176),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1178),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1162),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1180),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1182),
    [anon_sym_throw] = ACTIONS(1184),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2282),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [1489] = {
    [sym_inline_modifier] = STATE(2074),
    [sym__indentable_expression] = STATE(11661),
    [sym_block] = STATE(9523),
    [sym_indented_block] = STATE(11535),
    [sym_indented_cases] = STATE(11535),
    [sym_expression] = STATE(13312),
    [sym__simple_expression] = STATE(6085),
    [sym_lambda_expression] = STATE(11549),
    [sym_if_expression] = STATE(11549),
    [sym_match_expression] = STATE(11549),
    [sym_try_expression] = STATE(11549),
    [sym_bindings] = STATE(15713),
    [sym_case_block] = STATE(9523),
    [sym_assignment_expression] = STATE(11549),
    [sym_generic_function] = STATE(9523),
    [sym_call_expression] = STATE(9523),
    [sym_field_expression] = STATE(9523),
    [sym_instance_expression] = STATE(9523),
    [sym_ascription_expression] = STATE(11549),
    [sym_infix_expression] = STATE(10056),
    [sym_postfix_expression] = STATE(11204),
    [sym__postfix_expression_choice] = STATE(16623),
    [sym_macro_body] = STATE(11549),
    [sym_prefix_expression] = STATE(9754),
    [sym_tuple_expression] = STATE(9523),
    [sym_parenthesized_expression] = STATE(9523),
    [sym_splice_expression] = STATE(9523),
    [sym_quote_expression] = STATE(9523),
    [sym_identifier] = STATE(5442),
    [sym__soft_identifier] = STATE(4485),
    [sym_wildcard] = STATE(8639),
    [sym__non_null_literal] = STATE(9523),
    [sym_boolean_literal] = STATE(5592),
    [sym_interpolated_string_expression] = STATE(9523),
    [sym_string] = STATE(5592),
    [sym_unit] = STATE(9523),
    [sym_return_expression] = STATE(11549),
    [sym_throw_expression] = STATE(11549),
    [sym_while_expression] = STATE(11549),
    [sym_do_while_expression] = STATE(11549),
    [sym_for_expression] = STATE(11549),
    [sym_comment] = STATE(1489),
    [sym_block_comment] = STATE(1489),
    [sym__alpha_identifier] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(1392),
    [anon_sym__] = ACTIONS(1394),
    [anon_sym_PLUS] = ACTIONS(1396),
    [anon_sym_DASH] = ACTIONS(1396),
    [anon_sym_end] = ACTIONS(1398),
    [anon_sym_if] = ACTIONS(1820),
    [anon_sym_while] = ACTIONS(1822),
    [anon_sym_for] = ACTIONS(1824),
    [anon_sym_try] = ACTIONS(1826),
    [anon_sym_new] = ACTIONS(1400),
    [anon_sym_opaque] = ACTIONS(1398),
    [anon_sym_implicit] = ACTIONS(1828),
    [anon_sym_inline] = ACTIONS(1402),
    [anon_sym_infix] = ACTIONS(1398),
    [anon_sym_open] = ACTIONS(1398),
    [anon_sym_transparent] = ACTIONS(1398),
    [anon_sym_LPAREN] = ACTIONS(1404),
    [anon_sym_macro] = ACTIONS(1830),
    [anon_sym_BANG] = ACTIONS(1396),
    [anon_sym_TILDE] = ACTIONS(1396),
    [anon_sym_DOLLAR] = ACTIONS(1406),
    [anon_sym_SQUOTE] = ACTIONS(1408),
    [sym__backquoted_id] = ACTIONS(1410),
    [sym_operator_identifier] = ACTIONS(1832),
    [sym_integer_literal] = ACTIONS(1414),
    [sym_floating_point_literal] = ACTIONS(1416),
    [anon_sym_true] = ACTIONS(1418),
    [anon_sym_false] = ACTIONS(1418),
    [sym_character_literal] = ACTIONS(1416),
    [sym_null_literal] = ACTIONS(1420),
    [anon_sym_return] = ACTIONS(1834),
    [anon_sym_throw] = ACTIONS(1836),
    [anon_sym_do] = ACTIONS(1386),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2258),
    [sym__simple_multiline_string] = ACTIONS(1422),
    [sym__simple_string] = ACTIONS(1422),
  },
  [1490] = {
    [sym_inline_modifier] = STATE(2149),
    [sym__indentable_expression] = STATE(13600),
    [sym_block] = STATE(9327),
    [sym_indented_block] = STATE(13548),
    [sym_indented_cases] = STATE(13548),
    [sym_expression] = STATE(13406),
    [sym__simple_expression] = STATE(7109),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15656),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10005),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6267),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(8706),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(1490),
    [sym_block_comment] = STATE(1490),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(2928),
    [anon_sym_while] = ACTIONS(2793),
    [anon_sym_for] = ACTIONS(2795),
    [anon_sym_try] = ACTIONS(2797),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(2799),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(2801),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(2803),
    [anon_sym_throw] = ACTIONS(2805),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [1491] = {
    [sym_inline_modifier] = STATE(2115),
    [sym__indentable_expression] = STATE(12408),
    [sym_block] = STATE(8041),
    [sym_indented_block] = STATE(12292),
    [sym_indented_cases] = STATE(12292),
    [sym_expression] = STATE(12256),
    [sym__simple_expression] = STATE(7311),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15577),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(10220),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10124),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6254),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(8727),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(1491),
    [sym_block_comment] = STATE(1491),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(603),
    [anon_sym_DASH] = ACTIONS(603),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(605),
    [anon_sym_while] = ACTIONS(607),
    [anon_sym_for] = ACTIONS(609),
    [anon_sym_try] = ACTIONS(611),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2192),
    [anon_sym_inline] = ACTIONS(1764),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(603),
    [anon_sym_TILDE] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(621),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(623),
    [anon_sym_throw] = ACTIONS(625),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1492] = {
    [sym_inline_modifier] = STATE(2084),
    [sym__indentable_expression] = STATE(16663),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(8831),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15722),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10635),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(725),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(8641),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(10149),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1492),
    [sym_block_comment] = STATE(1492),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2740),
    [anon_sym_while] = ACTIONS(2742),
    [anon_sym_for] = ACTIONS(2744),
    [anon_sym_try] = ACTIONS(2746),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2748),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3310),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3312),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2762),
    [anon_sym_throw] = ACTIONS(2764),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1493] = {
    [sym_inline_modifier] = STATE(2115),
    [sym__indentable_expression] = STATE(12304),
    [sym_block] = STATE(8041),
    [sym_indented_block] = STATE(12292),
    [sym_indented_cases] = STATE(12292),
    [sym_expression] = STATE(12256),
    [sym__simple_expression] = STATE(7311),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15577),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(10220),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10124),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6254),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(8727),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(1493),
    [sym_block_comment] = STATE(1493),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(603),
    [anon_sym_DASH] = ACTIONS(603),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(605),
    [anon_sym_while] = ACTIONS(607),
    [anon_sym_for] = ACTIONS(609),
    [anon_sym_try] = ACTIONS(611),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2192),
    [anon_sym_inline] = ACTIONS(1764),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(603),
    [anon_sym_TILDE] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(621),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(623),
    [anon_sym_throw] = ACTIONS(625),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1494] = {
    [sym_inline_modifier] = STATE(2115),
    [sym__indentable_expression] = STATE(12291),
    [sym_block] = STATE(8041),
    [sym_indented_block] = STATE(12292),
    [sym_indented_cases] = STATE(12292),
    [sym_expression] = STATE(12256),
    [sym__simple_expression] = STATE(7311),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15577),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(10220),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10124),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6254),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(8727),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(1494),
    [sym_block_comment] = STATE(1494),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(603),
    [anon_sym_DASH] = ACTIONS(603),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(605),
    [anon_sym_while] = ACTIONS(607),
    [anon_sym_for] = ACTIONS(609),
    [anon_sym_try] = ACTIONS(611),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2192),
    [anon_sym_inline] = ACTIONS(1764),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(603),
    [anon_sym_TILDE] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(621),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(623),
    [anon_sym_throw] = ACTIONS(625),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1495] = {
    [sym_inline_modifier] = STATE(2115),
    [sym__indentable_expression] = STATE(12289),
    [sym_block] = STATE(8041),
    [sym_indented_block] = STATE(12292),
    [sym_indented_cases] = STATE(12292),
    [sym_expression] = STATE(12256),
    [sym__simple_expression] = STATE(7311),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15577),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(10220),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10124),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6254),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(8727),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(1495),
    [sym_block_comment] = STATE(1495),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(603),
    [anon_sym_DASH] = ACTIONS(603),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(605),
    [anon_sym_while] = ACTIONS(607),
    [anon_sym_for] = ACTIONS(609),
    [anon_sym_try] = ACTIONS(611),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2192),
    [anon_sym_inline] = ACTIONS(1764),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(603),
    [anon_sym_TILDE] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(621),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(623),
    [anon_sym_throw] = ACTIONS(625),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1496] = {
    [sym_inline_modifier] = STATE(2181),
    [sym__indentable_expression] = STATE(12834),
    [sym_block] = STATE(5403),
    [sym_indented_block] = STATE(11085),
    [sym_indented_cases] = STATE(11085),
    [sym_expression] = STATE(11355),
    [sym__simple_expression] = STATE(4722),
    [sym_lambda_expression] = STATE(11364),
    [sym_if_expression] = STATE(11364),
    [sym_match_expression] = STATE(11364),
    [sym_try_expression] = STATE(11364),
    [sym_bindings] = STATE(15648),
    [sym_case_block] = STATE(5403),
    [sym_assignment_expression] = STATE(11364),
    [sym_generic_function] = STATE(5403),
    [sym_call_expression] = STATE(5403),
    [sym_field_expression] = STATE(5403),
    [sym_instance_expression] = STATE(5403),
    [sym_ascription_expression] = STATE(11364),
    [sym_infix_expression] = STATE(6806),
    [sym_postfix_expression] = STATE(10789),
    [sym__postfix_expression_choice] = STATE(15797),
    [sym_macro_body] = STATE(11364),
    [sym_prefix_expression] = STATE(8559),
    [sym_tuple_expression] = STATE(5403),
    [sym_parenthesized_expression] = STATE(5403),
    [sym_splice_expression] = STATE(5403),
    [sym_quote_expression] = STATE(5403),
    [sym_identifier] = STATE(4646),
    [sym__soft_identifier] = STATE(4455),
    [sym_wildcard] = STATE(6287),
    [sym__non_null_literal] = STATE(5403),
    [sym_boolean_literal] = STATE(5637),
    [sym_interpolated_string_expression] = STATE(5403),
    [sym_string] = STATE(5637),
    [sym_unit] = STATE(5403),
    [sym_return_expression] = STATE(11364),
    [sym_throw_expression] = STATE(11364),
    [sym_while_expression] = STATE(11364),
    [sym_do_while_expression] = STATE(11364),
    [sym_for_expression] = STATE(11364),
    [sym_comment] = STATE(1496),
    [sym_block_comment] = STATE(1496),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(2352),
    [anon_sym_while] = ACTIONS(1172),
    [anon_sym_for] = ACTIONS(1174),
    [anon_sym_try] = ACTIONS(1176),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1178),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1162),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1180),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1182),
    [anon_sym_throw] = ACTIONS(1184),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2282),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [1497] = {
    [sym_inline_modifier] = STATE(2060),
    [sym__indentable_expression] = STATE(11661),
    [sym_block] = STATE(6450),
    [sym_indented_block] = STATE(11535),
    [sym_indented_cases] = STATE(11535),
    [sym_expression] = STATE(11606),
    [sym__simple_expression] = STATE(5608),
    [sym_lambda_expression] = STATE(11549),
    [sym_if_expression] = STATE(11549),
    [sym_match_expression] = STATE(11549),
    [sym_try_expression] = STATE(11549),
    [sym_bindings] = STATE(15697),
    [sym_case_block] = STATE(6450),
    [sym_assignment_expression] = STATE(11549),
    [sym_generic_function] = STATE(6450),
    [sym_call_expression] = STATE(6450),
    [sym_field_expression] = STATE(6450),
    [sym_instance_expression] = STATE(6450),
    [sym_ascription_expression] = STATE(11549),
    [sym_infix_expression] = STATE(7641),
    [sym_postfix_expression] = STATE(11204),
    [sym__postfix_expression_choice] = STATE(16480),
    [sym_macro_body] = STATE(11549),
    [sym_prefix_expression] = STATE(9536),
    [sym_tuple_expression] = STATE(6450),
    [sym_parenthesized_expression] = STATE(6450),
    [sym_splice_expression] = STATE(6450),
    [sym_quote_expression] = STATE(6450),
    [sym_identifier] = STATE(5347),
    [sym__soft_identifier] = STATE(4507),
    [sym_wildcard] = STATE(7620),
    [sym__non_null_literal] = STATE(6450),
    [sym_boolean_literal] = STATE(6156),
    [sym_interpolated_string_expression] = STATE(6450),
    [sym_string] = STATE(6156),
    [sym_unit] = STATE(6450),
    [sym_return_expression] = STATE(11549),
    [sym_throw_expression] = STATE(11549),
    [sym_while_expression] = STATE(11549),
    [sym_do_while_expression] = STATE(11549),
    [sym_for_expression] = STATE(11549),
    [sym_comment] = STATE(1497),
    [sym_block_comment] = STATE(1497),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(1428),
    [anon_sym_while] = ACTIONS(1430),
    [anon_sym_for] = ACTIONS(1432),
    [anon_sym_try] = ACTIONS(1434),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1436),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1378),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1438),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1440),
    [anon_sym_throw] = ACTIONS(1442),
    [anon_sym_do] = ACTIONS(1386),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2258),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [1498] = {
    [sym_inline_modifier] = STATE(2159),
    [sym__indentable_expression] = STATE(11671),
    [sym_block] = STATE(6450),
    [sym_indented_block] = STATE(11535),
    [sym_indented_cases] = STATE(11535),
    [sym_expression] = STATE(11606),
    [sym__simple_expression] = STATE(5274),
    [sym_lambda_expression] = STATE(11549),
    [sym_if_expression] = STATE(11549),
    [sym_match_expression] = STATE(11549),
    [sym_try_expression] = STATE(11549),
    [sym_bindings] = STATE(15607),
    [sym_case_block] = STATE(6450),
    [sym_assignment_expression] = STATE(11549),
    [sym_generic_function] = STATE(6450),
    [sym_call_expression] = STATE(6450),
    [sym_field_expression] = STATE(6450),
    [sym_instance_expression] = STATE(6450),
    [sym_ascription_expression] = STATE(11549),
    [sym_infix_expression] = STATE(7641),
    [sym_postfix_expression] = STATE(11204),
    [sym__postfix_expression_choice] = STATE(16480),
    [sym_macro_body] = STATE(11549),
    [sym_prefix_expression] = STATE(8822),
    [sym_tuple_expression] = STATE(6450),
    [sym_parenthesized_expression] = STATE(6450),
    [sym_splice_expression] = STATE(6450),
    [sym_quote_expression] = STATE(6450),
    [sym_identifier] = STATE(4738),
    [sym__soft_identifier] = STATE(4507),
    [sym_wildcard] = STATE(7298),
    [sym__non_null_literal] = STATE(6450),
    [sym_boolean_literal] = STATE(6156),
    [sym_interpolated_string_expression] = STATE(6450),
    [sym_string] = STATE(6156),
    [sym_unit] = STATE(6450),
    [sym_return_expression] = STATE(11549),
    [sym_throw_expression] = STATE(11549),
    [sym_while_expression] = STATE(11549),
    [sym_do_while_expression] = STATE(11549),
    [sym_for_expression] = STATE(11549),
    [sym_comment] = STATE(1498),
    [sym_block_comment] = STATE(1498),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(2472),
    [anon_sym_while] = ACTIONS(1974),
    [anon_sym_for] = ACTIONS(1976),
    [anon_sym_try] = ACTIONS(1978),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1980),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1378),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1982),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1984),
    [anon_sym_throw] = ACTIONS(1986),
    [anon_sym_do] = ACTIONS(1386),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2258),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [1499] = {
    [sym_inline_modifier] = STATE(2195),
    [sym__indentable_expression] = STATE(13064),
    [sym_block] = STATE(7443),
    [sym_indented_block] = STATE(12679),
    [sym_indented_cases] = STATE(12679),
    [sym_expression] = STATE(12305),
    [sym__simple_expression] = STATE(5261),
    [sym_lambda_expression] = STATE(12692),
    [sym_if_expression] = STATE(12692),
    [sym_match_expression] = STATE(12692),
    [sym_try_expression] = STATE(12692),
    [sym_bindings] = STATE(15526),
    [sym_case_block] = STATE(7443),
    [sym_assignment_expression] = STATE(12692),
    [sym_generic_function] = STATE(7443),
    [sym_call_expression] = STATE(7443),
    [sym_field_expression] = STATE(7443),
    [sym_instance_expression] = STATE(7443),
    [sym_ascription_expression] = STATE(12692),
    [sym_infix_expression] = STATE(8993),
    [sym_postfix_expression] = STATE(12386),
    [sym__postfix_expression_choice] = STATE(16150),
    [sym_macro_body] = STATE(12692),
    [sym_prefix_expression] = STATE(8984),
    [sym_tuple_expression] = STATE(7443),
    [sym_parenthesized_expression] = STATE(7443),
    [sym_splice_expression] = STATE(7443),
    [sym_quote_expression] = STATE(7443),
    [sym_identifier] = STATE(4861),
    [sym__soft_identifier] = STATE(5213),
    [sym_wildcard] = STATE(7324),
    [sym__non_null_literal] = STATE(7443),
    [sym_boolean_literal] = STATE(7707),
    [sym_interpolated_string_expression] = STATE(7443),
    [sym_string] = STATE(7707),
    [sym_unit] = STATE(7443),
    [sym_return_expression] = STATE(12692),
    [sym_throw_expression] = STATE(12692),
    [sym_while_expression] = STATE(12692),
    [sym_do_while_expression] = STATE(12692),
    [sym_for_expression] = STATE(12692),
    [sym_comment] = STATE(1499),
    [sym_block_comment] = STATE(1499),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(1186),
    [anon_sym_while] = ACTIONS(1188),
    [anon_sym_for] = ACTIONS(1190),
    [anon_sym_try] = ACTIONS(1192),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(1194),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1196),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(1198),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(1200),
    [anon_sym_throw] = ACTIONS(1202),
    [anon_sym_do] = ACTIONS(1204),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2294),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [1500] = {
    [sym_inline_modifier] = STATE(2223),
    [sym__indentable_expression] = STATE(13208),
    [sym_block] = STATE(8375),
    [sym_indented_block] = STATE(13183),
    [sym_indented_cases] = STATE(13183),
    [sym_expression] = STATE(12800),
    [sym__simple_expression] = STATE(7442),
    [sym_lambda_expression] = STATE(13185),
    [sym_if_expression] = STATE(13185),
    [sym_match_expression] = STATE(13185),
    [sym_try_expression] = STATE(13185),
    [sym_bindings] = STATE(15586),
    [sym_case_block] = STATE(8375),
    [sym_assignment_expression] = STATE(13185),
    [sym_generic_function] = STATE(8375),
    [sym_call_expression] = STATE(8375),
    [sym_field_expression] = STATE(8375),
    [sym_instance_expression] = STATE(8375),
    [sym_ascription_expression] = STATE(13185),
    [sym_infix_expression] = STATE(9364),
    [sym_postfix_expression] = STATE(12809),
    [sym__postfix_expression_choice] = STATE(16440),
    [sym_macro_body] = STATE(13185),
    [sym_prefix_expression] = STATE(10191),
    [sym_tuple_expression] = STATE(8375),
    [sym_parenthesized_expression] = STATE(8375),
    [sym_splice_expression] = STATE(8375),
    [sym_quote_expression] = STATE(8375),
    [sym_identifier] = STATE(7290),
    [sym__soft_identifier] = STATE(5430),
    [sym_wildcard] = STATE(9387),
    [sym__non_null_literal] = STATE(8375),
    [sym_boolean_literal] = STATE(8117),
    [sym_interpolated_string_expression] = STATE(8375),
    [sym_string] = STATE(8117),
    [sym_unit] = STATE(8375),
    [sym_return_expression] = STATE(13185),
    [sym_throw_expression] = STATE(13185),
    [sym_while_expression] = STATE(13185),
    [sym_do_while_expression] = STATE(13185),
    [sym_for_expression] = STATE(13185),
    [sym_comment] = STATE(1500),
    [sym_block_comment] = STATE(1500),
    [sym__alpha_identifier] = ACTIONS(1618),
    [anon_sym_LBRACE] = ACTIONS(1622),
    [anon_sym__] = ACTIONS(1624),
    [anon_sym_PLUS] = ACTIONS(1626),
    [anon_sym_DASH] = ACTIONS(1626),
    [anon_sym_end] = ACTIONS(1628),
    [anon_sym_if] = ACTIONS(2122),
    [anon_sym_while] = ACTIONS(2124),
    [anon_sym_for] = ACTIONS(2126),
    [anon_sym_try] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(1630),
    [anon_sym_opaque] = ACTIONS(1628),
    [anon_sym_implicit] = ACTIONS(2130),
    [anon_sym_inline] = ACTIONS(1632),
    [anon_sym_infix] = ACTIONS(1628),
    [anon_sym_open] = ACTIONS(1628),
    [anon_sym_transparent] = ACTIONS(1628),
    [anon_sym_LPAREN] = ACTIONS(1634),
    [anon_sym_macro] = ACTIONS(2074),
    [anon_sym_BANG] = ACTIONS(1626),
    [anon_sym_TILDE] = ACTIONS(1626),
    [anon_sym_DOLLAR] = ACTIONS(1636),
    [anon_sym_SQUOTE] = ACTIONS(1638),
    [sym__backquoted_id] = ACTIONS(1640),
    [sym_operator_identifier] = ACTIONS(2132),
    [sym_integer_literal] = ACTIONS(1644),
    [sym_floating_point_literal] = ACTIONS(1646),
    [anon_sym_true] = ACTIONS(1648),
    [anon_sym_false] = ACTIONS(1648),
    [sym_character_literal] = ACTIONS(1646),
    [sym_null_literal] = ACTIONS(1650),
    [anon_sym_return] = ACTIONS(2134),
    [anon_sym_throw] = ACTIONS(2136),
    [anon_sym_do] = ACTIONS(2082),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1652),
    [sym__simple_string] = ACTIONS(1652),
  },
  [1501] = {
    [sym_inline_modifier] = STATE(2159),
    [sym__indentable_expression] = STATE(11697),
    [sym_block] = STATE(6450),
    [sym_indented_block] = STATE(11535),
    [sym_indented_cases] = STATE(11535),
    [sym_expression] = STATE(11606),
    [sym__simple_expression] = STATE(5274),
    [sym_lambda_expression] = STATE(11549),
    [sym_if_expression] = STATE(11549),
    [sym_match_expression] = STATE(11549),
    [sym_try_expression] = STATE(11549),
    [sym_bindings] = STATE(15607),
    [sym_case_block] = STATE(6450),
    [sym_assignment_expression] = STATE(11549),
    [sym_generic_function] = STATE(6450),
    [sym_call_expression] = STATE(6450),
    [sym_field_expression] = STATE(6450),
    [sym_instance_expression] = STATE(6450),
    [sym_ascription_expression] = STATE(11549),
    [sym_infix_expression] = STATE(7641),
    [sym_postfix_expression] = STATE(11204),
    [sym__postfix_expression_choice] = STATE(16480),
    [sym_macro_body] = STATE(11549),
    [sym_prefix_expression] = STATE(8822),
    [sym_tuple_expression] = STATE(6450),
    [sym_parenthesized_expression] = STATE(6450),
    [sym_splice_expression] = STATE(6450),
    [sym_quote_expression] = STATE(6450),
    [sym_identifier] = STATE(4738),
    [sym__soft_identifier] = STATE(4507),
    [sym_wildcard] = STATE(7298),
    [sym__non_null_literal] = STATE(6450),
    [sym_boolean_literal] = STATE(6156),
    [sym_interpolated_string_expression] = STATE(6450),
    [sym_string] = STATE(6156),
    [sym_unit] = STATE(6450),
    [sym_return_expression] = STATE(11549),
    [sym_throw_expression] = STATE(11549),
    [sym_while_expression] = STATE(11549),
    [sym_do_while_expression] = STATE(11549),
    [sym_for_expression] = STATE(11549),
    [sym_comment] = STATE(1501),
    [sym_block_comment] = STATE(1501),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(2472),
    [anon_sym_while] = ACTIONS(1974),
    [anon_sym_for] = ACTIONS(1976),
    [anon_sym_try] = ACTIONS(1978),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1980),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1378),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1982),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1984),
    [anon_sym_throw] = ACTIONS(1986),
    [anon_sym_do] = ACTIONS(1386),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2258),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [1502] = {
    [sym_inline_modifier] = STATE(2084),
    [sym__indentable_expression] = STATE(17119),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(8831),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15722),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10635),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(664),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(8641),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(10149),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1502),
    [sym_block_comment] = STATE(1502),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2740),
    [anon_sym_while] = ACTIONS(2742),
    [anon_sym_for] = ACTIONS(2744),
    [anon_sym_try] = ACTIONS(2746),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2748),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3310),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3312),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2762),
    [anon_sym_throw] = ACTIONS(2764),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1503] = {
    [sym_inline_modifier] = STATE(2223),
    [sym__indentable_expression] = STATE(13542),
    [sym_block] = STATE(8375),
    [sym_indented_block] = STATE(13183),
    [sym_indented_cases] = STATE(13183),
    [sym_expression] = STATE(12800),
    [sym__simple_expression] = STATE(7442),
    [sym_lambda_expression] = STATE(13185),
    [sym_if_expression] = STATE(13185),
    [sym_match_expression] = STATE(13185),
    [sym_try_expression] = STATE(13185),
    [sym_bindings] = STATE(15586),
    [sym_case_block] = STATE(8375),
    [sym_assignment_expression] = STATE(13185),
    [sym_generic_function] = STATE(8375),
    [sym_call_expression] = STATE(8375),
    [sym_field_expression] = STATE(8375),
    [sym_instance_expression] = STATE(8375),
    [sym_ascription_expression] = STATE(13185),
    [sym_infix_expression] = STATE(9364),
    [sym_postfix_expression] = STATE(12809),
    [sym__postfix_expression_choice] = STATE(16440),
    [sym_macro_body] = STATE(13185),
    [sym_prefix_expression] = STATE(10191),
    [sym_tuple_expression] = STATE(8375),
    [sym_parenthesized_expression] = STATE(8375),
    [sym_splice_expression] = STATE(8375),
    [sym_quote_expression] = STATE(8375),
    [sym_identifier] = STATE(7290),
    [sym__soft_identifier] = STATE(5430),
    [sym_wildcard] = STATE(9387),
    [sym__non_null_literal] = STATE(8375),
    [sym_boolean_literal] = STATE(8117),
    [sym_interpolated_string_expression] = STATE(8375),
    [sym_string] = STATE(8117),
    [sym_unit] = STATE(8375),
    [sym_return_expression] = STATE(13185),
    [sym_throw_expression] = STATE(13185),
    [sym_while_expression] = STATE(13185),
    [sym_do_while_expression] = STATE(13185),
    [sym_for_expression] = STATE(13185),
    [sym_comment] = STATE(1503),
    [sym_block_comment] = STATE(1503),
    [sym__alpha_identifier] = ACTIONS(1618),
    [anon_sym_LBRACE] = ACTIONS(1622),
    [anon_sym__] = ACTIONS(1624),
    [anon_sym_PLUS] = ACTIONS(1626),
    [anon_sym_DASH] = ACTIONS(1626),
    [anon_sym_end] = ACTIONS(1628),
    [anon_sym_if] = ACTIONS(2122),
    [anon_sym_while] = ACTIONS(2124),
    [anon_sym_for] = ACTIONS(2126),
    [anon_sym_try] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(1630),
    [anon_sym_opaque] = ACTIONS(1628),
    [anon_sym_implicit] = ACTIONS(2130),
    [anon_sym_inline] = ACTIONS(1632),
    [anon_sym_infix] = ACTIONS(1628),
    [anon_sym_open] = ACTIONS(1628),
    [anon_sym_transparent] = ACTIONS(1628),
    [anon_sym_LPAREN] = ACTIONS(1634),
    [anon_sym_macro] = ACTIONS(2074),
    [anon_sym_BANG] = ACTIONS(1626),
    [anon_sym_TILDE] = ACTIONS(1626),
    [anon_sym_DOLLAR] = ACTIONS(1636),
    [anon_sym_SQUOTE] = ACTIONS(1638),
    [sym__backquoted_id] = ACTIONS(1640),
    [sym_operator_identifier] = ACTIONS(2132),
    [sym_integer_literal] = ACTIONS(1644),
    [sym_floating_point_literal] = ACTIONS(1646),
    [anon_sym_true] = ACTIONS(1648),
    [anon_sym_false] = ACTIONS(1648),
    [sym_character_literal] = ACTIONS(1646),
    [sym_null_literal] = ACTIONS(1650),
    [anon_sym_return] = ACTIONS(2134),
    [anon_sym_throw] = ACTIONS(2136),
    [anon_sym_do] = ACTIONS(2082),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1652),
    [sym__simple_string] = ACTIONS(1652),
  },
  [1504] = {
    [sym_inline_modifier] = STATE(2159),
    [sym__indentable_expression] = STATE(11698),
    [sym_block] = STATE(6450),
    [sym_indented_block] = STATE(11535),
    [sym_indented_cases] = STATE(11535),
    [sym_expression] = STATE(11606),
    [sym__simple_expression] = STATE(5274),
    [sym_lambda_expression] = STATE(11549),
    [sym_if_expression] = STATE(11549),
    [sym_match_expression] = STATE(11549),
    [sym_try_expression] = STATE(11549),
    [sym_bindings] = STATE(15607),
    [sym_case_block] = STATE(6450),
    [sym_assignment_expression] = STATE(11549),
    [sym_generic_function] = STATE(6450),
    [sym_call_expression] = STATE(6450),
    [sym_field_expression] = STATE(6450),
    [sym_instance_expression] = STATE(6450),
    [sym_ascription_expression] = STATE(11549),
    [sym_infix_expression] = STATE(7641),
    [sym_postfix_expression] = STATE(11204),
    [sym__postfix_expression_choice] = STATE(16480),
    [sym_macro_body] = STATE(11549),
    [sym_prefix_expression] = STATE(8822),
    [sym_tuple_expression] = STATE(6450),
    [sym_parenthesized_expression] = STATE(6450),
    [sym_splice_expression] = STATE(6450),
    [sym_quote_expression] = STATE(6450),
    [sym_identifier] = STATE(4738),
    [sym__soft_identifier] = STATE(4507),
    [sym_wildcard] = STATE(7298),
    [sym__non_null_literal] = STATE(6450),
    [sym_boolean_literal] = STATE(6156),
    [sym_interpolated_string_expression] = STATE(6450),
    [sym_string] = STATE(6156),
    [sym_unit] = STATE(6450),
    [sym_return_expression] = STATE(11549),
    [sym_throw_expression] = STATE(11549),
    [sym_while_expression] = STATE(11549),
    [sym_do_while_expression] = STATE(11549),
    [sym_for_expression] = STATE(11549),
    [sym_comment] = STATE(1504),
    [sym_block_comment] = STATE(1504),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(2472),
    [anon_sym_while] = ACTIONS(1974),
    [anon_sym_for] = ACTIONS(1976),
    [anon_sym_try] = ACTIONS(1978),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1980),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1378),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1982),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1984),
    [anon_sym_throw] = ACTIONS(1986),
    [anon_sym_do] = ACTIONS(1386),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2258),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [1505] = {
    [sym_inline_modifier] = STATE(2054),
    [sym__indentable_expression] = STATE(12289),
    [sym_block] = STATE(8041),
    [sym_indented_block] = STATE(12292),
    [sym_indented_cases] = STATE(12292),
    [sym_expression] = STATE(12256),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(7036),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(1505),
    [sym_block_comment] = STATE(1505),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2807),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1506] = {
    [sym_inline_modifier] = STATE(2149),
    [sym__indentable_expression] = STATE(13583),
    [sym_block] = STATE(9327),
    [sym_indented_block] = STATE(13548),
    [sym_indented_cases] = STATE(13548),
    [sym_expression] = STATE(13406),
    [sym__simple_expression] = STATE(7109),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15656),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10005),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6267),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(8706),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(1506),
    [sym_block_comment] = STATE(1506),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(2928),
    [anon_sym_while] = ACTIONS(2793),
    [anon_sym_for] = ACTIONS(2795),
    [anon_sym_try] = ACTIONS(2797),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(2799),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(2801),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(2803),
    [anon_sym_throw] = ACTIONS(2805),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [1507] = {
    [sym_inline_modifier] = STATE(2054),
    [sym__indentable_expression] = STATE(12291),
    [sym_block] = STATE(8041),
    [sym_indented_block] = STATE(12292),
    [sym_indented_cases] = STATE(12292),
    [sym_expression] = STATE(12256),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(7036),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(1507),
    [sym_block_comment] = STATE(1507),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2807),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1508] = {
    [sym_inline_modifier] = STATE(2074),
    [sym__indentable_expression] = STATE(11585),
    [sym_block] = STATE(9523),
    [sym_indented_block] = STATE(11535),
    [sym_indented_cases] = STATE(11535),
    [sym_expression] = STATE(13312),
    [sym__simple_expression] = STATE(6085),
    [sym_lambda_expression] = STATE(11549),
    [sym_if_expression] = STATE(11549),
    [sym_match_expression] = STATE(11549),
    [sym_try_expression] = STATE(11549),
    [sym_bindings] = STATE(15713),
    [sym_case_block] = STATE(9523),
    [sym_assignment_expression] = STATE(11549),
    [sym_generic_function] = STATE(9523),
    [sym_call_expression] = STATE(9523),
    [sym_field_expression] = STATE(9523),
    [sym_instance_expression] = STATE(9523),
    [sym_ascription_expression] = STATE(11549),
    [sym_infix_expression] = STATE(10056),
    [sym_postfix_expression] = STATE(11204),
    [sym__postfix_expression_choice] = STATE(16623),
    [sym_macro_body] = STATE(11549),
    [sym_prefix_expression] = STATE(9754),
    [sym_tuple_expression] = STATE(9523),
    [sym_parenthesized_expression] = STATE(9523),
    [sym_splice_expression] = STATE(9523),
    [sym_quote_expression] = STATE(9523),
    [sym_identifier] = STATE(5442),
    [sym__soft_identifier] = STATE(4485),
    [sym_wildcard] = STATE(8639),
    [sym__non_null_literal] = STATE(9523),
    [sym_boolean_literal] = STATE(5592),
    [sym_interpolated_string_expression] = STATE(9523),
    [sym_string] = STATE(5592),
    [sym_unit] = STATE(9523),
    [sym_return_expression] = STATE(11549),
    [sym_throw_expression] = STATE(11549),
    [sym_while_expression] = STATE(11549),
    [sym_do_while_expression] = STATE(11549),
    [sym_for_expression] = STATE(11549),
    [sym_comment] = STATE(1508),
    [sym_block_comment] = STATE(1508),
    [sym__alpha_identifier] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(1392),
    [anon_sym__] = ACTIONS(1394),
    [anon_sym_PLUS] = ACTIONS(1396),
    [anon_sym_DASH] = ACTIONS(1396),
    [anon_sym_end] = ACTIONS(1398),
    [anon_sym_if] = ACTIONS(1820),
    [anon_sym_while] = ACTIONS(1822),
    [anon_sym_for] = ACTIONS(1824),
    [anon_sym_try] = ACTIONS(1826),
    [anon_sym_new] = ACTIONS(1400),
    [anon_sym_opaque] = ACTIONS(1398),
    [anon_sym_implicit] = ACTIONS(1828),
    [anon_sym_inline] = ACTIONS(1402),
    [anon_sym_infix] = ACTIONS(1398),
    [anon_sym_open] = ACTIONS(1398),
    [anon_sym_transparent] = ACTIONS(1398),
    [anon_sym_LPAREN] = ACTIONS(1404),
    [anon_sym_macro] = ACTIONS(1830),
    [anon_sym_BANG] = ACTIONS(1396),
    [anon_sym_TILDE] = ACTIONS(1396),
    [anon_sym_DOLLAR] = ACTIONS(1406),
    [anon_sym_SQUOTE] = ACTIONS(1408),
    [sym__backquoted_id] = ACTIONS(1410),
    [sym_operator_identifier] = ACTIONS(1832),
    [sym_integer_literal] = ACTIONS(1414),
    [sym_floating_point_literal] = ACTIONS(1416),
    [anon_sym_true] = ACTIONS(1418),
    [anon_sym_false] = ACTIONS(1418),
    [sym_character_literal] = ACTIONS(1416),
    [sym_null_literal] = ACTIONS(1420),
    [anon_sym_return] = ACTIONS(1834),
    [anon_sym_throw] = ACTIONS(1836),
    [anon_sym_do] = ACTIONS(1386),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2258),
    [sym__simple_multiline_string] = ACTIONS(1422),
    [sym__simple_string] = ACTIONS(1422),
  },
  [1509] = {
    [sym_inline_modifier] = STATE(2084),
    [sym__indentable_expression] = STATE(15958),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(8831),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15722),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10635),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(690),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(8641),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(10149),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1509),
    [sym_block_comment] = STATE(1509),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2740),
    [anon_sym_while] = ACTIONS(2742),
    [anon_sym_for] = ACTIONS(2744),
    [anon_sym_try] = ACTIONS(2746),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2748),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3310),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3312),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2762),
    [anon_sym_throw] = ACTIONS(2764),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1510] = {
    [sym_inline_modifier] = STATE(2159),
    [sym__indentable_expression] = STATE(11766),
    [sym_block] = STATE(6450),
    [sym_indented_block] = STATE(11535),
    [sym_indented_cases] = STATE(11535),
    [sym_expression] = STATE(11606),
    [sym__simple_expression] = STATE(5274),
    [sym_lambda_expression] = STATE(11549),
    [sym_if_expression] = STATE(11549),
    [sym_match_expression] = STATE(11549),
    [sym_try_expression] = STATE(11549),
    [sym_bindings] = STATE(15607),
    [sym_case_block] = STATE(6450),
    [sym_assignment_expression] = STATE(11549),
    [sym_generic_function] = STATE(6450),
    [sym_call_expression] = STATE(6450),
    [sym_field_expression] = STATE(6450),
    [sym_instance_expression] = STATE(6450),
    [sym_ascription_expression] = STATE(11549),
    [sym_infix_expression] = STATE(7641),
    [sym_postfix_expression] = STATE(11204),
    [sym__postfix_expression_choice] = STATE(16480),
    [sym_macro_body] = STATE(11549),
    [sym_prefix_expression] = STATE(8822),
    [sym_tuple_expression] = STATE(6450),
    [sym_parenthesized_expression] = STATE(6450),
    [sym_splice_expression] = STATE(6450),
    [sym_quote_expression] = STATE(6450),
    [sym_identifier] = STATE(4738),
    [sym__soft_identifier] = STATE(4507),
    [sym_wildcard] = STATE(7298),
    [sym__non_null_literal] = STATE(6450),
    [sym_boolean_literal] = STATE(6156),
    [sym_interpolated_string_expression] = STATE(6450),
    [sym_string] = STATE(6156),
    [sym_unit] = STATE(6450),
    [sym_return_expression] = STATE(11549),
    [sym_throw_expression] = STATE(11549),
    [sym_while_expression] = STATE(11549),
    [sym_do_while_expression] = STATE(11549),
    [sym_for_expression] = STATE(11549),
    [sym_comment] = STATE(1510),
    [sym_block_comment] = STATE(1510),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(2472),
    [anon_sym_while] = ACTIONS(1974),
    [anon_sym_for] = ACTIONS(1976),
    [anon_sym_try] = ACTIONS(1978),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1980),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1378),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1982),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1984),
    [anon_sym_throw] = ACTIONS(1986),
    [anon_sym_do] = ACTIONS(1386),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2258),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [1511] = {
    [sym_inline_modifier] = STATE(2115),
    [sym__indentable_expression] = STATE(12355),
    [sym_block] = STATE(8041),
    [sym_indented_block] = STATE(12292),
    [sym_indented_cases] = STATE(12292),
    [sym_expression] = STATE(12256),
    [sym__simple_expression] = STATE(7311),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15577),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(10220),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10124),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6254),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(8727),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(1511),
    [sym_block_comment] = STATE(1511),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(603),
    [anon_sym_DASH] = ACTIONS(603),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(605),
    [anon_sym_while] = ACTIONS(607),
    [anon_sym_for] = ACTIONS(609),
    [anon_sym_try] = ACTIONS(611),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2192),
    [anon_sym_inline] = ACTIONS(1764),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(603),
    [anon_sym_TILDE] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(621),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(623),
    [anon_sym_throw] = ACTIONS(625),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1512] = {
    [sym_inline_modifier] = STATE(2076),
    [sym__indentable_expression] = STATE(14348),
    [sym_block] = STATE(9327),
    [sym_indented_block] = STATE(13548),
    [sym_indented_cases] = STATE(13548),
    [sym_expression] = STATE(13406),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(1512),
    [sym_block_comment] = STATE(1512),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(3109),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [1513] = {
    [sym_inline_modifier] = STATE(2100),
    [sym__indentable_expression] = STATE(14035),
    [sym_block] = STATE(8218),
    [sym_indented_block] = STATE(13075),
    [sym_indented_cases] = STATE(13075),
    [sym_expression] = STATE(12682),
    [sym__simple_expression] = STATE(7445),
    [sym_lambda_expression] = STATE(13097),
    [sym_if_expression] = STATE(13097),
    [sym_match_expression] = STATE(13097),
    [sym_try_expression] = STATE(13097),
    [sym_bindings] = STATE(15495),
    [sym_case_block] = STATE(8218),
    [sym_assignment_expression] = STATE(13097),
    [sym_generic_function] = STATE(8218),
    [sym_call_expression] = STATE(8218),
    [sym_field_expression] = STATE(8218),
    [sym_instance_expression] = STATE(8218),
    [sym_ascription_expression] = STATE(13097),
    [sym_infix_expression] = STATE(9424),
    [sym_postfix_expression] = STATE(12765),
    [sym__postfix_expression_choice] = STATE(16117),
    [sym_macro_body] = STATE(13097),
    [sym_prefix_expression] = STATE(10239),
    [sym_tuple_expression] = STATE(8218),
    [sym_parenthesized_expression] = STATE(8218),
    [sym_splice_expression] = STATE(8218),
    [sym_quote_expression] = STATE(8218),
    [sym_identifier] = STATE(7278),
    [sym__soft_identifier] = STATE(5752),
    [sym_wildcard] = STATE(9367),
    [sym__non_null_literal] = STATE(8218),
    [sym_boolean_literal] = STATE(8413),
    [sym_interpolated_string_expression] = STATE(8218),
    [sym_string] = STATE(8413),
    [sym_unit] = STATE(8218),
    [sym_return_expression] = STATE(13097),
    [sym_throw_expression] = STATE(13097),
    [sym_while_expression] = STATE(13097),
    [sym_do_while_expression] = STATE(13097),
    [sym_for_expression] = STATE(13097),
    [sym_comment] = STATE(1513),
    [sym_block_comment] = STATE(1513),
    [sym__alpha_identifier] = ACTIONS(1494),
    [anon_sym_LBRACE] = ACTIONS(1498),
    [anon_sym__] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1502),
    [anon_sym_end] = ACTIONS(1504),
    [anon_sym_if] = ACTIONS(3162),
    [anon_sym_while] = ACTIONS(3164),
    [anon_sym_for] = ACTIONS(3166),
    [anon_sym_try] = ACTIONS(3168),
    [anon_sym_new] = ACTIONS(1506),
    [anon_sym_opaque] = ACTIONS(1504),
    [anon_sym_implicit] = ACTIONS(3170),
    [anon_sym_inline] = ACTIONS(1508),
    [anon_sym_infix] = ACTIONS(1504),
    [anon_sym_open] = ACTIONS(1504),
    [anon_sym_transparent] = ACTIONS(1504),
    [anon_sym_LPAREN] = ACTIONS(1510),
    [anon_sym_macro] = ACTIONS(2054),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_TILDE] = ACTIONS(1502),
    [anon_sym_DOLLAR] = ACTIONS(1512),
    [anon_sym_SQUOTE] = ACTIONS(1514),
    [sym__backquoted_id] = ACTIONS(1516),
    [sym_operator_identifier] = ACTIONS(3320),
    [sym_integer_literal] = ACTIONS(1520),
    [sym_floating_point_literal] = ACTIONS(1522),
    [anon_sym_true] = ACTIONS(1524),
    [anon_sym_false] = ACTIONS(1524),
    [sym_character_literal] = ACTIONS(1522),
    [sym_null_literal] = ACTIONS(1526),
    [anon_sym_return] = ACTIONS(3175),
    [anon_sym_throw] = ACTIONS(3177),
    [anon_sym_do] = ACTIONS(2062),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3316),
    [sym__simple_multiline_string] = ACTIONS(1528),
    [sym__simple_string] = ACTIONS(1528),
  },
  [1514] = {
    [sym_inline_modifier] = STATE(2038),
    [sym__indentable_expression] = STATE(12619),
    [sym_block] = STATE(8041),
    [sym_indented_block] = STATE(12292),
    [sym_indented_cases] = STATE(12292),
    [sym_expression] = STATE(12256),
    [sym__simple_expression] = STATE(6323),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15629),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(9695),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(5557),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(8528),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(1514),
    [sym_block_comment] = STATE(1514),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(3157),
    [anon_sym_while] = ACTIONS(2394),
    [anon_sym_for] = ACTIONS(2396),
    [anon_sym_try] = ACTIONS(2398),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2400),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(2402),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(2404),
    [anon_sym_throw] = ACTIONS(2406),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1515] = {
    [sym_inline_modifier] = STATE(2076),
    [sym__indentable_expression] = STATE(14343),
    [sym_block] = STATE(9327),
    [sym_indented_block] = STATE(13548),
    [sym_indented_cases] = STATE(13548),
    [sym_expression] = STATE(13406),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(1515),
    [sym_block_comment] = STATE(1515),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(3109),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [1516] = {
    [sym_inline_modifier] = STATE(2223),
    [sym__indentable_expression] = STATE(13236),
    [sym_block] = STATE(8375),
    [sym_indented_block] = STATE(13183),
    [sym_indented_cases] = STATE(13183),
    [sym_expression] = STATE(12800),
    [sym__simple_expression] = STATE(7442),
    [sym_lambda_expression] = STATE(13185),
    [sym_if_expression] = STATE(13185),
    [sym_match_expression] = STATE(13185),
    [sym_try_expression] = STATE(13185),
    [sym_bindings] = STATE(15586),
    [sym_case_block] = STATE(8375),
    [sym_assignment_expression] = STATE(13185),
    [sym_generic_function] = STATE(8375),
    [sym_call_expression] = STATE(8375),
    [sym_field_expression] = STATE(8375),
    [sym_instance_expression] = STATE(8375),
    [sym_ascription_expression] = STATE(13185),
    [sym_infix_expression] = STATE(9364),
    [sym_postfix_expression] = STATE(12809),
    [sym__postfix_expression_choice] = STATE(16440),
    [sym_macro_body] = STATE(13185),
    [sym_prefix_expression] = STATE(10191),
    [sym_tuple_expression] = STATE(8375),
    [sym_parenthesized_expression] = STATE(8375),
    [sym_splice_expression] = STATE(8375),
    [sym_quote_expression] = STATE(8375),
    [sym_identifier] = STATE(7290),
    [sym__soft_identifier] = STATE(5430),
    [sym_wildcard] = STATE(9387),
    [sym__non_null_literal] = STATE(8375),
    [sym_boolean_literal] = STATE(8117),
    [sym_interpolated_string_expression] = STATE(8375),
    [sym_string] = STATE(8117),
    [sym_unit] = STATE(8375),
    [sym_return_expression] = STATE(13185),
    [sym_throw_expression] = STATE(13185),
    [sym_while_expression] = STATE(13185),
    [sym_do_while_expression] = STATE(13185),
    [sym_for_expression] = STATE(13185),
    [sym_comment] = STATE(1516),
    [sym_block_comment] = STATE(1516),
    [sym__alpha_identifier] = ACTIONS(1618),
    [anon_sym_LBRACE] = ACTIONS(1622),
    [anon_sym__] = ACTIONS(1624),
    [anon_sym_PLUS] = ACTIONS(1626),
    [anon_sym_DASH] = ACTIONS(1626),
    [anon_sym_end] = ACTIONS(1628),
    [anon_sym_if] = ACTIONS(2122),
    [anon_sym_while] = ACTIONS(2124),
    [anon_sym_for] = ACTIONS(2126),
    [anon_sym_try] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(1630),
    [anon_sym_opaque] = ACTIONS(1628),
    [anon_sym_implicit] = ACTIONS(2130),
    [anon_sym_inline] = ACTIONS(1632),
    [anon_sym_infix] = ACTIONS(1628),
    [anon_sym_open] = ACTIONS(1628),
    [anon_sym_transparent] = ACTIONS(1628),
    [anon_sym_LPAREN] = ACTIONS(1634),
    [anon_sym_macro] = ACTIONS(2074),
    [anon_sym_BANG] = ACTIONS(1626),
    [anon_sym_TILDE] = ACTIONS(1626),
    [anon_sym_DOLLAR] = ACTIONS(1636),
    [anon_sym_SQUOTE] = ACTIONS(1638),
    [sym__backquoted_id] = ACTIONS(1640),
    [sym_operator_identifier] = ACTIONS(2132),
    [sym_integer_literal] = ACTIONS(1644),
    [sym_floating_point_literal] = ACTIONS(1646),
    [anon_sym_true] = ACTIONS(1648),
    [anon_sym_false] = ACTIONS(1648),
    [sym_character_literal] = ACTIONS(1646),
    [sym_null_literal] = ACTIONS(1650),
    [anon_sym_return] = ACTIONS(2134),
    [anon_sym_throw] = ACTIONS(2136),
    [anon_sym_do] = ACTIONS(2082),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1652),
    [sym__simple_string] = ACTIONS(1652),
  },
  [1517] = {
    [sym_inline_modifier] = STATE(2054),
    [sym__indentable_expression] = STATE(13926),
    [sym_block] = STATE(8041),
    [sym_indented_block] = STATE(12292),
    [sym_indented_cases] = STATE(12292),
    [sym_expression] = STATE(12256),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(7036),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(1517),
    [sym_block_comment] = STATE(1517),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2807),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1518] = {
    [sym_inline_modifier] = STATE(2159),
    [sym__indentable_expression] = STATE(11572),
    [sym_block] = STATE(6450),
    [sym_indented_block] = STATE(11535),
    [sym_indented_cases] = STATE(11535),
    [sym_expression] = STATE(11606),
    [sym__simple_expression] = STATE(5274),
    [sym_lambda_expression] = STATE(11549),
    [sym_if_expression] = STATE(11549),
    [sym_match_expression] = STATE(11549),
    [sym_try_expression] = STATE(11549),
    [sym_bindings] = STATE(15607),
    [sym_case_block] = STATE(6450),
    [sym_assignment_expression] = STATE(11549),
    [sym_generic_function] = STATE(6450),
    [sym_call_expression] = STATE(6450),
    [sym_field_expression] = STATE(6450),
    [sym_instance_expression] = STATE(6450),
    [sym_ascription_expression] = STATE(11549),
    [sym_infix_expression] = STATE(7641),
    [sym_postfix_expression] = STATE(11204),
    [sym__postfix_expression_choice] = STATE(16480),
    [sym_macro_body] = STATE(11549),
    [sym_prefix_expression] = STATE(8822),
    [sym_tuple_expression] = STATE(6450),
    [sym_parenthesized_expression] = STATE(6450),
    [sym_splice_expression] = STATE(6450),
    [sym_quote_expression] = STATE(6450),
    [sym_identifier] = STATE(4738),
    [sym__soft_identifier] = STATE(4507),
    [sym_wildcard] = STATE(7298),
    [sym__non_null_literal] = STATE(6450),
    [sym_boolean_literal] = STATE(6156),
    [sym_interpolated_string_expression] = STATE(6450),
    [sym_string] = STATE(6156),
    [sym_unit] = STATE(6450),
    [sym_return_expression] = STATE(11549),
    [sym_throw_expression] = STATE(11549),
    [sym_while_expression] = STATE(11549),
    [sym_do_while_expression] = STATE(11549),
    [sym_for_expression] = STATE(11549),
    [sym_comment] = STATE(1518),
    [sym_block_comment] = STATE(1518),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(2472),
    [anon_sym_while] = ACTIONS(1974),
    [anon_sym_for] = ACTIONS(1976),
    [anon_sym_try] = ACTIONS(1978),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1980),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1378),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1982),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1984),
    [anon_sym_throw] = ACTIONS(1986),
    [anon_sym_do] = ACTIONS(1386),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2258),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [1519] = {
    [sym_inline_modifier] = STATE(2074),
    [sym__indentable_expression] = STATE(13019),
    [sym_block] = STATE(9523),
    [sym_indented_block] = STATE(11535),
    [sym_indented_cases] = STATE(11535),
    [sym_expression] = STATE(13312),
    [sym__simple_expression] = STATE(6085),
    [sym_lambda_expression] = STATE(11549),
    [sym_if_expression] = STATE(11549),
    [sym_match_expression] = STATE(11549),
    [sym_try_expression] = STATE(11549),
    [sym_bindings] = STATE(15713),
    [sym_case_block] = STATE(9523),
    [sym_assignment_expression] = STATE(11549),
    [sym_generic_function] = STATE(9523),
    [sym_call_expression] = STATE(9523),
    [sym_field_expression] = STATE(9523),
    [sym_instance_expression] = STATE(9523),
    [sym_ascription_expression] = STATE(11549),
    [sym_infix_expression] = STATE(10056),
    [sym_postfix_expression] = STATE(11204),
    [sym__postfix_expression_choice] = STATE(16623),
    [sym_macro_body] = STATE(11549),
    [sym_prefix_expression] = STATE(9754),
    [sym_tuple_expression] = STATE(9523),
    [sym_parenthesized_expression] = STATE(9523),
    [sym_splice_expression] = STATE(9523),
    [sym_quote_expression] = STATE(9523),
    [sym_identifier] = STATE(5442),
    [sym__soft_identifier] = STATE(4485),
    [sym_wildcard] = STATE(8639),
    [sym__non_null_literal] = STATE(9523),
    [sym_boolean_literal] = STATE(5592),
    [sym_interpolated_string_expression] = STATE(9523),
    [sym_string] = STATE(5592),
    [sym_unit] = STATE(9523),
    [sym_return_expression] = STATE(11549),
    [sym_throw_expression] = STATE(11549),
    [sym_while_expression] = STATE(11549),
    [sym_do_while_expression] = STATE(11549),
    [sym_for_expression] = STATE(11549),
    [sym_comment] = STATE(1519),
    [sym_block_comment] = STATE(1519),
    [sym__alpha_identifier] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(1392),
    [anon_sym__] = ACTIONS(1394),
    [anon_sym_PLUS] = ACTIONS(1396),
    [anon_sym_DASH] = ACTIONS(1396),
    [anon_sym_end] = ACTIONS(1398),
    [anon_sym_if] = ACTIONS(1820),
    [anon_sym_while] = ACTIONS(1822),
    [anon_sym_for] = ACTIONS(1824),
    [anon_sym_try] = ACTIONS(1826),
    [anon_sym_new] = ACTIONS(1400),
    [anon_sym_opaque] = ACTIONS(1398),
    [anon_sym_implicit] = ACTIONS(1828),
    [anon_sym_inline] = ACTIONS(1402),
    [anon_sym_infix] = ACTIONS(1398),
    [anon_sym_open] = ACTIONS(1398),
    [anon_sym_transparent] = ACTIONS(1398),
    [anon_sym_LPAREN] = ACTIONS(1404),
    [anon_sym_macro] = ACTIONS(1830),
    [anon_sym_BANG] = ACTIONS(1396),
    [anon_sym_TILDE] = ACTIONS(1396),
    [anon_sym_DOLLAR] = ACTIONS(1406),
    [anon_sym_SQUOTE] = ACTIONS(1408),
    [sym__backquoted_id] = ACTIONS(1410),
    [sym_operator_identifier] = ACTIONS(1832),
    [sym_integer_literal] = ACTIONS(1414),
    [sym_floating_point_literal] = ACTIONS(1416),
    [anon_sym_true] = ACTIONS(1418),
    [anon_sym_false] = ACTIONS(1418),
    [sym_character_literal] = ACTIONS(1416),
    [sym_null_literal] = ACTIONS(1420),
    [anon_sym_return] = ACTIONS(1834),
    [anon_sym_throw] = ACTIONS(1836),
    [anon_sym_do] = ACTIONS(1386),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2258),
    [sym__simple_multiline_string] = ACTIONS(1422),
    [sym__simple_string] = ACTIONS(1422),
  },
  [1520] = {
    [sym_inline_modifier] = STATE(2054),
    [sym__indentable_expression] = STATE(13893),
    [sym_block] = STATE(8041),
    [sym_indented_block] = STATE(12292),
    [sym_indented_cases] = STATE(12292),
    [sym_expression] = STATE(12256),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(7036),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(1520),
    [sym_block_comment] = STATE(1520),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2807),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1521] = {
    [sym_inline_modifier] = STATE(2100),
    [sym__indentable_expression] = STATE(14045),
    [sym_block] = STATE(8218),
    [sym_indented_block] = STATE(13075),
    [sym_indented_cases] = STATE(13075),
    [sym_expression] = STATE(12682),
    [sym__simple_expression] = STATE(7445),
    [sym_lambda_expression] = STATE(13097),
    [sym_if_expression] = STATE(13097),
    [sym_match_expression] = STATE(13097),
    [sym_try_expression] = STATE(13097),
    [sym_bindings] = STATE(15495),
    [sym_case_block] = STATE(8218),
    [sym_assignment_expression] = STATE(13097),
    [sym_generic_function] = STATE(8218),
    [sym_call_expression] = STATE(8218),
    [sym_field_expression] = STATE(8218),
    [sym_instance_expression] = STATE(8218),
    [sym_ascription_expression] = STATE(13097),
    [sym_infix_expression] = STATE(9424),
    [sym_postfix_expression] = STATE(12765),
    [sym__postfix_expression_choice] = STATE(16117),
    [sym_macro_body] = STATE(13097),
    [sym_prefix_expression] = STATE(10239),
    [sym_tuple_expression] = STATE(8218),
    [sym_parenthesized_expression] = STATE(8218),
    [sym_splice_expression] = STATE(8218),
    [sym_quote_expression] = STATE(8218),
    [sym_identifier] = STATE(7278),
    [sym__soft_identifier] = STATE(5752),
    [sym_wildcard] = STATE(9367),
    [sym__non_null_literal] = STATE(8218),
    [sym_boolean_literal] = STATE(8413),
    [sym_interpolated_string_expression] = STATE(8218),
    [sym_string] = STATE(8413),
    [sym_unit] = STATE(8218),
    [sym_return_expression] = STATE(13097),
    [sym_throw_expression] = STATE(13097),
    [sym_while_expression] = STATE(13097),
    [sym_do_while_expression] = STATE(13097),
    [sym_for_expression] = STATE(13097),
    [sym_comment] = STATE(1521),
    [sym_block_comment] = STATE(1521),
    [sym__alpha_identifier] = ACTIONS(1494),
    [anon_sym_LBRACE] = ACTIONS(1498),
    [anon_sym__] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1502),
    [anon_sym_end] = ACTIONS(1504),
    [anon_sym_if] = ACTIONS(3162),
    [anon_sym_while] = ACTIONS(3164),
    [anon_sym_for] = ACTIONS(3166),
    [anon_sym_try] = ACTIONS(3168),
    [anon_sym_new] = ACTIONS(1506),
    [anon_sym_opaque] = ACTIONS(1504),
    [anon_sym_implicit] = ACTIONS(3170),
    [anon_sym_inline] = ACTIONS(1508),
    [anon_sym_infix] = ACTIONS(1504),
    [anon_sym_open] = ACTIONS(1504),
    [anon_sym_transparent] = ACTIONS(1504),
    [anon_sym_LPAREN] = ACTIONS(1510),
    [anon_sym_macro] = ACTIONS(2054),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_TILDE] = ACTIONS(1502),
    [anon_sym_DOLLAR] = ACTIONS(1512),
    [anon_sym_SQUOTE] = ACTIONS(1514),
    [sym__backquoted_id] = ACTIONS(1516),
    [sym_operator_identifier] = ACTIONS(3320),
    [sym_integer_literal] = ACTIONS(1520),
    [sym_floating_point_literal] = ACTIONS(1522),
    [anon_sym_true] = ACTIONS(1524),
    [anon_sym_false] = ACTIONS(1524),
    [sym_character_literal] = ACTIONS(1522),
    [sym_null_literal] = ACTIONS(1526),
    [anon_sym_return] = ACTIONS(3175),
    [anon_sym_throw] = ACTIONS(3177),
    [anon_sym_do] = ACTIONS(2062),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3316),
    [sym__simple_multiline_string] = ACTIONS(1528),
    [sym__simple_string] = ACTIONS(1528),
  },
  [1522] = {
    [sym_inline_modifier] = STATE(2195),
    [sym__indentable_expression] = STATE(12983),
    [sym_block] = STATE(7443),
    [sym_indented_block] = STATE(12679),
    [sym_indented_cases] = STATE(12679),
    [sym_expression] = STATE(12305),
    [sym__simple_expression] = STATE(5261),
    [sym_lambda_expression] = STATE(12692),
    [sym_if_expression] = STATE(12692),
    [sym_match_expression] = STATE(12692),
    [sym_try_expression] = STATE(12692),
    [sym_bindings] = STATE(15526),
    [sym_case_block] = STATE(7443),
    [sym_assignment_expression] = STATE(12692),
    [sym_generic_function] = STATE(7443),
    [sym_call_expression] = STATE(7443),
    [sym_field_expression] = STATE(7443),
    [sym_instance_expression] = STATE(7443),
    [sym_ascription_expression] = STATE(12692),
    [sym_infix_expression] = STATE(8993),
    [sym_postfix_expression] = STATE(12386),
    [sym__postfix_expression_choice] = STATE(16150),
    [sym_macro_body] = STATE(12692),
    [sym_prefix_expression] = STATE(8984),
    [sym_tuple_expression] = STATE(7443),
    [sym_parenthesized_expression] = STATE(7443),
    [sym_splice_expression] = STATE(7443),
    [sym_quote_expression] = STATE(7443),
    [sym_identifier] = STATE(4861),
    [sym__soft_identifier] = STATE(5213),
    [sym_wildcard] = STATE(7324),
    [sym__non_null_literal] = STATE(7443),
    [sym_boolean_literal] = STATE(7707),
    [sym_interpolated_string_expression] = STATE(7443),
    [sym_string] = STATE(7707),
    [sym_unit] = STATE(7443),
    [sym_return_expression] = STATE(12692),
    [sym_throw_expression] = STATE(12692),
    [sym_while_expression] = STATE(12692),
    [sym_do_while_expression] = STATE(12692),
    [sym_for_expression] = STATE(12692),
    [sym_comment] = STATE(1522),
    [sym_block_comment] = STATE(1522),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(1186),
    [anon_sym_while] = ACTIONS(1188),
    [anon_sym_for] = ACTIONS(1190),
    [anon_sym_try] = ACTIONS(1192),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(1194),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1196),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(1198),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(1200),
    [anon_sym_throw] = ACTIONS(1202),
    [anon_sym_do] = ACTIONS(1204),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2294),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [1523] = {
    [sym_inline_modifier] = STATE(2195),
    [sym__indentable_expression] = STATE(12263),
    [sym_block] = STATE(7443),
    [sym_indented_block] = STATE(12679),
    [sym_indented_cases] = STATE(12679),
    [sym_expression] = STATE(12305),
    [sym__simple_expression] = STATE(5261),
    [sym_lambda_expression] = STATE(12692),
    [sym_if_expression] = STATE(12692),
    [sym_match_expression] = STATE(12692),
    [sym_try_expression] = STATE(12692),
    [sym_bindings] = STATE(15526),
    [sym_case_block] = STATE(7443),
    [sym_assignment_expression] = STATE(12692),
    [sym_generic_function] = STATE(7443),
    [sym_call_expression] = STATE(7443),
    [sym_field_expression] = STATE(7443),
    [sym_instance_expression] = STATE(7443),
    [sym_ascription_expression] = STATE(12692),
    [sym_infix_expression] = STATE(8993),
    [sym_postfix_expression] = STATE(12386),
    [sym__postfix_expression_choice] = STATE(16150),
    [sym_macro_body] = STATE(12692),
    [sym_prefix_expression] = STATE(8984),
    [sym_tuple_expression] = STATE(7443),
    [sym_parenthesized_expression] = STATE(7443),
    [sym_splice_expression] = STATE(7443),
    [sym_quote_expression] = STATE(7443),
    [sym_identifier] = STATE(4861),
    [sym__soft_identifier] = STATE(5213),
    [sym_wildcard] = STATE(7324),
    [sym__non_null_literal] = STATE(7443),
    [sym_boolean_literal] = STATE(7707),
    [sym_interpolated_string_expression] = STATE(7443),
    [sym_string] = STATE(7707),
    [sym_unit] = STATE(7443),
    [sym_return_expression] = STATE(12692),
    [sym_throw_expression] = STATE(12692),
    [sym_while_expression] = STATE(12692),
    [sym_do_while_expression] = STATE(12692),
    [sym_for_expression] = STATE(12692),
    [sym_comment] = STATE(1523),
    [sym_block_comment] = STATE(1523),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(1186),
    [anon_sym_while] = ACTIONS(1188),
    [anon_sym_for] = ACTIONS(1190),
    [anon_sym_try] = ACTIONS(1192),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(1194),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1196),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(1198),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(1200),
    [anon_sym_throw] = ACTIONS(1202),
    [anon_sym_do] = ACTIONS(1204),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2294),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [1524] = {
    [sym_inline_modifier] = STATE(2054),
    [sym__indentable_expression] = STATE(13861),
    [sym_block] = STATE(8041),
    [sym_indented_block] = STATE(12292),
    [sym_indented_cases] = STATE(12292),
    [sym_expression] = STATE(12256),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(7036),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(1524),
    [sym_block_comment] = STATE(1524),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2807),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1525] = {
    [sym_inline_modifier] = STATE(2250),
    [sym__indentable_expression] = STATE(12528),
    [sym_block] = STATE(6450),
    [sym_indented_block] = STATE(11535),
    [sym_indented_cases] = STATE(11535),
    [sym_expression] = STATE(11606),
    [sym__simple_expression] = STATE(5297),
    [sym_lambda_expression] = STATE(11549),
    [sym_if_expression] = STATE(11549),
    [sym_match_expression] = STATE(11549),
    [sym_try_expression] = STATE(11549),
    [sym_bindings] = STATE(15503),
    [sym_case_block] = STATE(6450),
    [sym_assignment_expression] = STATE(11549),
    [sym_generic_function] = STATE(6450),
    [sym_call_expression] = STATE(6450),
    [sym_field_expression] = STATE(6450),
    [sym_instance_expression] = STATE(6450),
    [sym_ascription_expression] = STATE(11549),
    [sym_infix_expression] = STATE(7641),
    [sym_postfix_expression] = STATE(11204),
    [sym__postfix_expression_choice] = STATE(16480),
    [sym_macro_body] = STATE(11549),
    [sym_prefix_expression] = STATE(8711),
    [sym_tuple_expression] = STATE(6450),
    [sym_parenthesized_expression] = STATE(6450),
    [sym_splice_expression] = STATE(6450),
    [sym_quote_expression] = STATE(6450),
    [sym_identifier] = STATE(4723),
    [sym__soft_identifier] = STATE(4507),
    [sym_wildcard] = STATE(7115),
    [sym__non_null_literal] = STATE(6450),
    [sym_boolean_literal] = STATE(6156),
    [sym_interpolated_string_expression] = STATE(6450),
    [sym_string] = STATE(6156),
    [sym_unit] = STATE(6450),
    [sym_return_expression] = STATE(11549),
    [sym_throw_expression] = STATE(11549),
    [sym_while_expression] = STATE(11549),
    [sym_do_while_expression] = STATE(11549),
    [sym_for_expression] = STATE(11549),
    [sym_comment] = STATE(1525),
    [sym_block_comment] = STATE(1525),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(2256),
    [anon_sym_while] = ACTIONS(1370),
    [anon_sym_for] = ACTIONS(1372),
    [anon_sym_try] = ACTIONS(1374),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1376),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1378),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1380),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1382),
    [anon_sym_throw] = ACTIONS(1384),
    [anon_sym_do] = ACTIONS(1386),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2258),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [1526] = {
    [sym_inline_modifier] = STATE(2115),
    [sym__indentable_expression] = STATE(12619),
    [sym_block] = STATE(8041),
    [sym_indented_block] = STATE(12292),
    [sym_indented_cases] = STATE(12292),
    [sym_expression] = STATE(12256),
    [sym__simple_expression] = STATE(7311),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15577),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(10220),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10124),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6254),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(8727),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(1526),
    [sym_block_comment] = STATE(1526),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(603),
    [anon_sym_DASH] = ACTIONS(603),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(605),
    [anon_sym_while] = ACTIONS(607),
    [anon_sym_for] = ACTIONS(609),
    [anon_sym_try] = ACTIONS(611),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2192),
    [anon_sym_inline] = ACTIONS(1764),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(603),
    [anon_sym_TILDE] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(621),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(623),
    [anon_sym_throw] = ACTIONS(625),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1527] = {
    [sym_inline_modifier] = STATE(2084),
    [sym__indentable_expression] = STATE(16110),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(8831),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15722),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10635),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(780),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(8641),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(10149),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1527),
    [sym_block_comment] = STATE(1527),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2740),
    [anon_sym_while] = ACTIONS(2742),
    [anon_sym_for] = ACTIONS(2744),
    [anon_sym_try] = ACTIONS(2746),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2748),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3310),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3312),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2762),
    [anon_sym_throw] = ACTIONS(2764),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1528] = {
    [sym_inline_modifier] = STATE(2054),
    [sym__indentable_expression] = STATE(12304),
    [sym_block] = STATE(8041),
    [sym_indented_block] = STATE(12292),
    [sym_indented_cases] = STATE(12292),
    [sym_expression] = STATE(12256),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(7036),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(1528),
    [sym_block_comment] = STATE(1528),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2807),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1529] = {
    [sym_inline_modifier] = STATE(2115),
    [sym__indentable_expression] = STATE(12525),
    [sym_block] = STATE(8041),
    [sym_indented_block] = STATE(12292),
    [sym_indented_cases] = STATE(12292),
    [sym_expression] = STATE(12256),
    [sym__simple_expression] = STATE(7311),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15577),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(10220),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10124),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6254),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(8727),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(1529),
    [sym_block_comment] = STATE(1529),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(603),
    [anon_sym_DASH] = ACTIONS(603),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(605),
    [anon_sym_while] = ACTIONS(607),
    [anon_sym_for] = ACTIONS(609),
    [anon_sym_try] = ACTIONS(611),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2192),
    [anon_sym_inline] = ACTIONS(1764),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(603),
    [anon_sym_TILDE] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(621),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(623),
    [anon_sym_throw] = ACTIONS(625),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1530] = {
    [sym_inline_modifier] = STATE(2115),
    [sym__indentable_expression] = STATE(12508),
    [sym_block] = STATE(8041),
    [sym_indented_block] = STATE(12292),
    [sym_indented_cases] = STATE(12292),
    [sym_expression] = STATE(12256),
    [sym__simple_expression] = STATE(7311),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15577),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(10220),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10124),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6254),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(8727),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(1530),
    [sym_block_comment] = STATE(1530),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(603),
    [anon_sym_DASH] = ACTIONS(603),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(605),
    [anon_sym_while] = ACTIONS(607),
    [anon_sym_for] = ACTIONS(609),
    [anon_sym_try] = ACTIONS(611),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2192),
    [anon_sym_inline] = ACTIONS(1764),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(603),
    [anon_sym_TILDE] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(621),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(623),
    [anon_sym_throw] = ACTIONS(625),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1531] = {
    [sym_inline_modifier] = STATE(2115),
    [sym__indentable_expression] = STATE(12405),
    [sym_block] = STATE(8041),
    [sym_indented_block] = STATE(12292),
    [sym_indented_cases] = STATE(12292),
    [sym_expression] = STATE(12256),
    [sym__simple_expression] = STATE(7311),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15577),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(10220),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10124),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6254),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(8727),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(1531),
    [sym_block_comment] = STATE(1531),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(603),
    [anon_sym_DASH] = ACTIONS(603),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(605),
    [anon_sym_while] = ACTIONS(607),
    [anon_sym_for] = ACTIONS(609),
    [anon_sym_try] = ACTIONS(611),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2192),
    [anon_sym_inline] = ACTIONS(1764),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(603),
    [anon_sym_TILDE] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(621),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(623),
    [anon_sym_throw] = ACTIONS(625),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1532] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(13581),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1532),
    [sym_block_comment] = STATE(1532),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1533] = {
    [sym_inline_modifier] = STATE(2084),
    [sym__indentable_expression] = STATE(16809),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(8831),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15722),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10635),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(653),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(8641),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(10149),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1533),
    [sym_block_comment] = STATE(1533),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2740),
    [anon_sym_while] = ACTIONS(2742),
    [anon_sym_for] = ACTIONS(2744),
    [anon_sym_try] = ACTIONS(2746),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2748),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3310),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3312),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2762),
    [anon_sym_throw] = ACTIONS(2764),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1534] = {
    [sym_inline_modifier] = STATE(2047),
    [sym__indentable_expression] = STATE(13637),
    [sym_block] = STATE(6954),
    [sym_indented_block] = STATE(11923),
    [sym_indented_cases] = STATE(11923),
    [sym_expression] = STATE(12206),
    [sym__simple_expression] = STATE(6567),
    [sym_lambda_expression] = STATE(12144),
    [sym_if_expression] = STATE(12144),
    [sym_match_expression] = STATE(12144),
    [sym_try_expression] = STATE(12144),
    [sym_bindings] = STATE(15566),
    [sym_case_block] = STATE(6954),
    [sym_assignment_expression] = STATE(12144),
    [sym_generic_function] = STATE(6954),
    [sym_call_expression] = STATE(6954),
    [sym_field_expression] = STATE(6954),
    [sym_instance_expression] = STATE(6954),
    [sym_ascription_expression] = STATE(12144),
    [sym_infix_expression] = STATE(8226),
    [sym_postfix_expression] = STATE(11499),
    [sym__postfix_expression_choice] = STATE(16229),
    [sym_macro_body] = STATE(12144),
    [sym_prefix_expression] = STATE(9870),
    [sym_tuple_expression] = STATE(6954),
    [sym_parenthesized_expression] = STATE(6954),
    [sym_splice_expression] = STATE(6954),
    [sym_quote_expression] = STATE(6954),
    [sym_identifier] = STATE(5779),
    [sym__soft_identifier] = STATE(4827),
    [sym_wildcard] = STATE(8216),
    [sym__non_null_literal] = STATE(6954),
    [sym_boolean_literal] = STATE(6997),
    [sym_interpolated_string_expression] = STATE(6954),
    [sym_string] = STATE(6997),
    [sym_unit] = STATE(6954),
    [sym_return_expression] = STATE(12144),
    [sym_throw_expression] = STATE(12144),
    [sym_while_expression] = STATE(12144),
    [sym_do_while_expression] = STATE(12144),
    [sym_for_expression] = STATE(12144),
    [sym_comment] = STATE(1534),
    [sym_block_comment] = STATE(1534),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(1884),
    [anon_sym_while] = ACTIONS(1886),
    [anon_sym_for] = ACTIONS(1888),
    [anon_sym_try] = ACTIONS(1890),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(1892),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1894),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(1896),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(1898),
    [anon_sym_throw] = ACTIONS(1900),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3280),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [1535] = {
    [sym_inline_modifier] = STATE(2074),
    [sym__indentable_expression] = STATE(11671),
    [sym_block] = STATE(9523),
    [sym_indented_block] = STATE(11535),
    [sym_indented_cases] = STATE(11535),
    [sym_expression] = STATE(13312),
    [sym__simple_expression] = STATE(6085),
    [sym_lambda_expression] = STATE(11549),
    [sym_if_expression] = STATE(11549),
    [sym_match_expression] = STATE(11549),
    [sym_try_expression] = STATE(11549),
    [sym_bindings] = STATE(15713),
    [sym_case_block] = STATE(9523),
    [sym_assignment_expression] = STATE(11549),
    [sym_generic_function] = STATE(9523),
    [sym_call_expression] = STATE(9523),
    [sym_field_expression] = STATE(9523),
    [sym_instance_expression] = STATE(9523),
    [sym_ascription_expression] = STATE(11549),
    [sym_infix_expression] = STATE(10056),
    [sym_postfix_expression] = STATE(11204),
    [sym__postfix_expression_choice] = STATE(16623),
    [sym_macro_body] = STATE(11549),
    [sym_prefix_expression] = STATE(9754),
    [sym_tuple_expression] = STATE(9523),
    [sym_parenthesized_expression] = STATE(9523),
    [sym_splice_expression] = STATE(9523),
    [sym_quote_expression] = STATE(9523),
    [sym_identifier] = STATE(5442),
    [sym__soft_identifier] = STATE(4485),
    [sym_wildcard] = STATE(8639),
    [sym__non_null_literal] = STATE(9523),
    [sym_boolean_literal] = STATE(5592),
    [sym_interpolated_string_expression] = STATE(9523),
    [sym_string] = STATE(5592),
    [sym_unit] = STATE(9523),
    [sym_return_expression] = STATE(11549),
    [sym_throw_expression] = STATE(11549),
    [sym_while_expression] = STATE(11549),
    [sym_do_while_expression] = STATE(11549),
    [sym_for_expression] = STATE(11549),
    [sym_comment] = STATE(1535),
    [sym_block_comment] = STATE(1535),
    [sym__alpha_identifier] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(1392),
    [anon_sym__] = ACTIONS(1394),
    [anon_sym_PLUS] = ACTIONS(1396),
    [anon_sym_DASH] = ACTIONS(1396),
    [anon_sym_end] = ACTIONS(1398),
    [anon_sym_if] = ACTIONS(1820),
    [anon_sym_while] = ACTIONS(1822),
    [anon_sym_for] = ACTIONS(1824),
    [anon_sym_try] = ACTIONS(1826),
    [anon_sym_new] = ACTIONS(1400),
    [anon_sym_opaque] = ACTIONS(1398),
    [anon_sym_implicit] = ACTIONS(1828),
    [anon_sym_inline] = ACTIONS(1402),
    [anon_sym_infix] = ACTIONS(1398),
    [anon_sym_open] = ACTIONS(1398),
    [anon_sym_transparent] = ACTIONS(1398),
    [anon_sym_LPAREN] = ACTIONS(1404),
    [anon_sym_macro] = ACTIONS(1830),
    [anon_sym_BANG] = ACTIONS(1396),
    [anon_sym_TILDE] = ACTIONS(1396),
    [anon_sym_DOLLAR] = ACTIONS(1406),
    [anon_sym_SQUOTE] = ACTIONS(1408),
    [sym__backquoted_id] = ACTIONS(1410),
    [sym_operator_identifier] = ACTIONS(1832),
    [sym_integer_literal] = ACTIONS(1414),
    [sym_floating_point_literal] = ACTIONS(1416),
    [anon_sym_true] = ACTIONS(1418),
    [anon_sym_false] = ACTIONS(1418),
    [sym_character_literal] = ACTIONS(1416),
    [sym_null_literal] = ACTIONS(1420),
    [anon_sym_return] = ACTIONS(1834),
    [anon_sym_throw] = ACTIONS(1836),
    [anon_sym_do] = ACTIONS(1386),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2258),
    [sym__simple_multiline_string] = ACTIONS(1422),
    [sym__simple_string] = ACTIONS(1422),
  },
  [1536] = {
    [sym_inline_modifier] = STATE(2047),
    [sym__indentable_expression] = STATE(13603),
    [sym_block] = STATE(6954),
    [sym_indented_block] = STATE(11923),
    [sym_indented_cases] = STATE(11923),
    [sym_expression] = STATE(12206),
    [sym__simple_expression] = STATE(6567),
    [sym_lambda_expression] = STATE(12144),
    [sym_if_expression] = STATE(12144),
    [sym_match_expression] = STATE(12144),
    [sym_try_expression] = STATE(12144),
    [sym_bindings] = STATE(15566),
    [sym_case_block] = STATE(6954),
    [sym_assignment_expression] = STATE(12144),
    [sym_generic_function] = STATE(6954),
    [sym_call_expression] = STATE(6954),
    [sym_field_expression] = STATE(6954),
    [sym_instance_expression] = STATE(6954),
    [sym_ascription_expression] = STATE(12144),
    [sym_infix_expression] = STATE(8226),
    [sym_postfix_expression] = STATE(11499),
    [sym__postfix_expression_choice] = STATE(16229),
    [sym_macro_body] = STATE(12144),
    [sym_prefix_expression] = STATE(9870),
    [sym_tuple_expression] = STATE(6954),
    [sym_parenthesized_expression] = STATE(6954),
    [sym_splice_expression] = STATE(6954),
    [sym_quote_expression] = STATE(6954),
    [sym_identifier] = STATE(5779),
    [sym__soft_identifier] = STATE(4827),
    [sym_wildcard] = STATE(8216),
    [sym__non_null_literal] = STATE(6954),
    [sym_boolean_literal] = STATE(6997),
    [sym_interpolated_string_expression] = STATE(6954),
    [sym_string] = STATE(6997),
    [sym_unit] = STATE(6954),
    [sym_return_expression] = STATE(12144),
    [sym_throw_expression] = STATE(12144),
    [sym_while_expression] = STATE(12144),
    [sym_do_while_expression] = STATE(12144),
    [sym_for_expression] = STATE(12144),
    [sym_comment] = STATE(1536),
    [sym_block_comment] = STATE(1536),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(1884),
    [anon_sym_while] = ACTIONS(1886),
    [anon_sym_for] = ACTIONS(1888),
    [anon_sym_try] = ACTIONS(1890),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(1892),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1894),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(1896),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(1898),
    [anon_sym_throw] = ACTIONS(1900),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3280),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [1537] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(13402),
    [sym_block] = STATE(9088),
    [sym_indented_block] = STATE(13438),
    [sym_indented_cases] = STATE(13438),
    [sym_expression] = STATE(12942),
    [sym__simple_expression] = STATE(7286),
    [sym_lambda_expression] = STATE(13338),
    [sym_if_expression] = STATE(13338),
    [sym_match_expression] = STATE(13338),
    [sym_try_expression] = STATE(13338),
    [sym_bindings] = STATE(15723),
    [sym_case_block] = STATE(9088),
    [sym_assignment_expression] = STATE(13338),
    [sym_generic_function] = STATE(9088),
    [sym_call_expression] = STATE(9088),
    [sym_field_expression] = STATE(9088),
    [sym_instance_expression] = STATE(9088),
    [sym_ascription_expression] = STATE(13338),
    [sym_infix_expression] = STATE(9773),
    [sym_postfix_expression] = STATE(13117),
    [sym__postfix_expression_choice] = STATE(15912),
    [sym_macro_body] = STATE(13338),
    [sym_prefix_expression] = STATE(10020),
    [sym_tuple_expression] = STATE(9088),
    [sym_parenthesized_expression] = STATE(9088),
    [sym_splice_expression] = STATE(9088),
    [sym_quote_expression] = STATE(9088),
    [sym_identifier] = STATE(6105),
    [sym__soft_identifier] = STATE(6581),
    [sym_wildcard] = STATE(8709),
    [sym__non_null_literal] = STATE(9088),
    [sym_boolean_literal] = STATE(8905),
    [sym_interpolated_string_expression] = STATE(9088),
    [sym_string] = STATE(8905),
    [sym_unit] = STATE(9088),
    [sym_return_expression] = STATE(13338),
    [sym_throw_expression] = STATE(13338),
    [sym_while_expression] = STATE(13338),
    [sym_do_while_expression] = STATE(13338),
    [sym_for_expression] = STATE(13338),
    [sym_comment] = STATE(1537),
    [sym_block_comment] = STATE(1537),
    [sym__alpha_identifier] = ACTIONS(1938),
    [anon_sym_LBRACE] = ACTIONS(1942),
    [anon_sym__] = ACTIONS(1944),
    [anon_sym_PLUS] = ACTIONS(1946),
    [anon_sym_DASH] = ACTIONS(1946),
    [anon_sym_end] = ACTIONS(1948),
    [anon_sym_if] = ACTIONS(2260),
    [anon_sym_while] = ACTIONS(2262),
    [anon_sym_for] = ACTIONS(2264),
    [anon_sym_try] = ACTIONS(2266),
    [anon_sym_new] = ACTIONS(1950),
    [anon_sym_opaque] = ACTIONS(1948),
    [anon_sym_implicit] = ACTIONS(2268),
    [anon_sym_inline] = ACTIONS(1952),
    [anon_sym_infix] = ACTIONS(1948),
    [anon_sym_open] = ACTIONS(1948),
    [anon_sym_transparent] = ACTIONS(1948),
    [anon_sym_LPAREN] = ACTIONS(1954),
    [anon_sym_macro] = ACTIONS(2270),
    [anon_sym_BANG] = ACTIONS(1946),
    [anon_sym_TILDE] = ACTIONS(1946),
    [anon_sym_DOLLAR] = ACTIONS(1956),
    [anon_sym_SQUOTE] = ACTIONS(1958),
    [sym__backquoted_id] = ACTIONS(1960),
    [sym_operator_identifier] = ACTIONS(2272),
    [sym_integer_literal] = ACTIONS(1964),
    [sym_floating_point_literal] = ACTIONS(1966),
    [anon_sym_true] = ACTIONS(1968),
    [anon_sym_false] = ACTIONS(1968),
    [sym_character_literal] = ACTIONS(1966),
    [sym_null_literal] = ACTIONS(1970),
    [anon_sym_return] = ACTIONS(2274),
    [anon_sym_throw] = ACTIONS(2276),
    [anon_sym_do] = ACTIONS(2278),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2346),
    [sym__simple_multiline_string] = ACTIONS(1972),
    [sym__simple_string] = ACTIONS(1972),
  },
  [1538] = {
    [sym_inline_modifier] = STATE(2084),
    [sym__indentable_expression] = STATE(17024),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(8831),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15722),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10635),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(736),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(8641),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(10149),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1538),
    [sym_block_comment] = STATE(1538),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2740),
    [anon_sym_while] = ACTIONS(2742),
    [anon_sym_for] = ACTIONS(2744),
    [anon_sym_try] = ACTIONS(2746),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2748),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3310),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3312),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2762),
    [anon_sym_throw] = ACTIONS(2764),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1539] = {
    [sym_inline_modifier] = STATE(2060),
    [sym__indentable_expression] = STATE(12780),
    [sym_block] = STATE(6450),
    [sym_indented_block] = STATE(11535),
    [sym_indented_cases] = STATE(11535),
    [sym_expression] = STATE(11606),
    [sym__simple_expression] = STATE(5608),
    [sym_lambda_expression] = STATE(11549),
    [sym_if_expression] = STATE(11549),
    [sym_match_expression] = STATE(11549),
    [sym_try_expression] = STATE(11549),
    [sym_bindings] = STATE(15697),
    [sym_case_block] = STATE(6450),
    [sym_assignment_expression] = STATE(11549),
    [sym_generic_function] = STATE(6450),
    [sym_call_expression] = STATE(6450),
    [sym_field_expression] = STATE(6450),
    [sym_instance_expression] = STATE(6450),
    [sym_ascription_expression] = STATE(11549),
    [sym_infix_expression] = STATE(7641),
    [sym_postfix_expression] = STATE(11204),
    [sym__postfix_expression_choice] = STATE(16480),
    [sym_macro_body] = STATE(11549),
    [sym_prefix_expression] = STATE(9536),
    [sym_tuple_expression] = STATE(6450),
    [sym_parenthesized_expression] = STATE(6450),
    [sym_splice_expression] = STATE(6450),
    [sym_quote_expression] = STATE(6450),
    [sym_identifier] = STATE(5347),
    [sym__soft_identifier] = STATE(4507),
    [sym_wildcard] = STATE(7620),
    [sym__non_null_literal] = STATE(6450),
    [sym_boolean_literal] = STATE(6156),
    [sym_interpolated_string_expression] = STATE(6450),
    [sym_string] = STATE(6156),
    [sym_unit] = STATE(6450),
    [sym_return_expression] = STATE(11549),
    [sym_throw_expression] = STATE(11549),
    [sym_while_expression] = STATE(11549),
    [sym_do_while_expression] = STATE(11549),
    [sym_for_expression] = STATE(11549),
    [sym_comment] = STATE(1539),
    [sym_block_comment] = STATE(1539),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(1428),
    [anon_sym_while] = ACTIONS(1430),
    [anon_sym_for] = ACTIONS(1432),
    [anon_sym_try] = ACTIONS(1434),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1436),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1378),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1438),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1440),
    [anon_sym_throw] = ACTIONS(1442),
    [anon_sym_do] = ACTIONS(1386),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2258),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [1540] = {
    [sym_inline_modifier] = STATE(2040),
    [sym__indentable_expression] = STATE(13628),
    [sym_block] = STATE(8375),
    [sym_indented_block] = STATE(13183),
    [sym_indented_cases] = STATE(13183),
    [sym_expression] = STATE(12800),
    [sym__simple_expression] = STATE(7538),
    [sym_lambda_expression] = STATE(13185),
    [sym_if_expression] = STATE(13185),
    [sym_match_expression] = STATE(13185),
    [sym_try_expression] = STATE(13185),
    [sym_bindings] = STATE(15594),
    [sym_case_block] = STATE(8375),
    [sym_assignment_expression] = STATE(13185),
    [sym_generic_function] = STATE(8375),
    [sym_call_expression] = STATE(8375),
    [sym_field_expression] = STATE(8375),
    [sym_instance_expression] = STATE(8375),
    [sym_ascription_expression] = STATE(13185),
    [sym_infix_expression] = STATE(9364),
    [sym_postfix_expression] = STATE(12809),
    [sym__postfix_expression_choice] = STATE(16440),
    [sym_macro_body] = STATE(13185),
    [sym_prefix_expression] = STATE(10274),
    [sym_tuple_expression] = STATE(8375),
    [sym_parenthesized_expression] = STATE(8375),
    [sym_splice_expression] = STATE(8375),
    [sym_quote_expression] = STATE(8375),
    [sym_identifier] = STATE(7110),
    [sym__soft_identifier] = STATE(5430),
    [sym_wildcard] = STATE(9287),
    [sym__non_null_literal] = STATE(8375),
    [sym_boolean_literal] = STATE(8117),
    [sym_interpolated_string_expression] = STATE(8375),
    [sym_string] = STATE(8117),
    [sym_unit] = STATE(8375),
    [sym_return_expression] = STATE(13185),
    [sym_throw_expression] = STATE(13185),
    [sym_while_expression] = STATE(13185),
    [sym_do_while_expression] = STATE(13185),
    [sym_for_expression] = STATE(13185),
    [sym_comment] = STATE(1540),
    [sym_block_comment] = STATE(1540),
    [sym__alpha_identifier] = ACTIONS(1618),
    [anon_sym_LBRACE] = ACTIONS(1622),
    [anon_sym__] = ACTIONS(1624),
    [anon_sym_PLUS] = ACTIONS(1626),
    [anon_sym_DASH] = ACTIONS(1626),
    [anon_sym_end] = ACTIONS(1628),
    [anon_sym_if] = ACTIONS(2414),
    [anon_sym_while] = ACTIONS(2416),
    [anon_sym_for] = ACTIONS(2418),
    [anon_sym_try] = ACTIONS(2420),
    [anon_sym_new] = ACTIONS(1630),
    [anon_sym_opaque] = ACTIONS(1628),
    [anon_sym_implicit] = ACTIONS(2422),
    [anon_sym_inline] = ACTIONS(1632),
    [anon_sym_infix] = ACTIONS(1628),
    [anon_sym_open] = ACTIONS(1628),
    [anon_sym_transparent] = ACTIONS(1628),
    [anon_sym_LPAREN] = ACTIONS(1634),
    [anon_sym_macro] = ACTIONS(2074),
    [anon_sym_BANG] = ACTIONS(1626),
    [anon_sym_TILDE] = ACTIONS(1626),
    [anon_sym_DOLLAR] = ACTIONS(1636),
    [anon_sym_SQUOTE] = ACTIONS(1638),
    [sym__backquoted_id] = ACTIONS(1640),
    [sym_operator_identifier] = ACTIONS(2424),
    [sym_integer_literal] = ACTIONS(1644),
    [sym_floating_point_literal] = ACTIONS(1646),
    [anon_sym_true] = ACTIONS(1648),
    [anon_sym_false] = ACTIONS(1648),
    [sym_character_literal] = ACTIONS(1646),
    [sym_null_literal] = ACTIONS(1650),
    [anon_sym_return] = ACTIONS(2426),
    [anon_sym_throw] = ACTIONS(2428),
    [anon_sym_do] = ACTIONS(2082),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1652),
    [sym__simple_string] = ACTIONS(1652),
  },
  [1541] = {
    [sym_inline_modifier] = STATE(2054),
    [sym__indentable_expression] = STATE(13803),
    [sym_block] = STATE(8041),
    [sym_indented_block] = STATE(12292),
    [sym_indented_cases] = STATE(12292),
    [sym_expression] = STATE(12256),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(7036),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(1541),
    [sym_block_comment] = STATE(1541),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2807),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1542] = {
    [sym_inline_modifier] = STATE(2084),
    [sym__indentable_expression] = STATE(16912),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(8831),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15722),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10635),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(709),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(8641),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(10149),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1542),
    [sym_block_comment] = STATE(1542),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2740),
    [anon_sym_while] = ACTIONS(2742),
    [anon_sym_for] = ACTIONS(2744),
    [anon_sym_try] = ACTIONS(2746),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2748),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3310),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3312),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2762),
    [anon_sym_throw] = ACTIONS(2764),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1543] = {
    [sym_inline_modifier] = STATE(2132),
    [sym__indentable_expression] = STATE(13507),
    [sym_block] = STATE(6738),
    [sym_indented_block] = STATE(12372),
    [sym_indented_cases] = STATE(12372),
    [sym_expression] = STATE(12028),
    [sym__simple_expression] = STATE(6097),
    [sym_lambda_expression] = STATE(12430),
    [sym_if_expression] = STATE(12430),
    [sym_match_expression] = STATE(12430),
    [sym_try_expression] = STATE(12430),
    [sym_bindings] = STATE(15718),
    [sym_case_block] = STATE(6738),
    [sym_assignment_expression] = STATE(12430),
    [sym_generic_function] = STATE(6738),
    [sym_call_expression] = STATE(6738),
    [sym_field_expression] = STATE(6738),
    [sym_instance_expression] = STATE(6738),
    [sym_ascription_expression] = STATE(12430),
    [sym_infix_expression] = STATE(8389),
    [sym_postfix_expression] = STATE(11930),
    [sym__postfix_expression_choice] = STATE(15885),
    [sym_macro_body] = STATE(12430),
    [sym_prefix_expression] = STATE(9761),
    [sym_tuple_expression] = STATE(6738),
    [sym_parenthesized_expression] = STATE(6738),
    [sym_splice_expression] = STATE(6738),
    [sym_quote_expression] = STATE(6738),
    [sym_identifier] = STATE(5458),
    [sym__soft_identifier] = STATE(4943),
    [sym_wildcard] = STATE(8612),
    [sym__non_null_literal] = STATE(6738),
    [sym_boolean_literal] = STATE(7301),
    [sym_interpolated_string_expression] = STATE(6738),
    [sym_string] = STATE(7301),
    [sym_unit] = STATE(6738),
    [sym_return_expression] = STATE(12430),
    [sym_throw_expression] = STATE(12430),
    [sym_while_expression] = STATE(12430),
    [sym_do_while_expression] = STATE(12430),
    [sym_for_expression] = STATE(12430),
    [sym_comment] = STATE(1543),
    [sym_block_comment] = STATE(1543),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(2430),
    [anon_sym_while] = ACTIONS(2432),
    [anon_sym_for] = ACTIONS(2434),
    [anon_sym_try] = ACTIONS(2436),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(2438),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1360),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(2440),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(2442),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(1368),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2202),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [1544] = {
    [sym_inline_modifier] = STATE(2281),
    [sym__indentable_expression] = STATE(13112),
    [sym_block] = STATE(6540),
    [sym_indented_block] = STATE(11390),
    [sym_indented_cases] = STATE(11390),
    [sym_expression] = STATE(11385),
    [sym__simple_expression] = STATE(5304),
    [sym_lambda_expression] = STATE(11374),
    [sym_if_expression] = STATE(11374),
    [sym_match_expression] = STATE(11374),
    [sym_try_expression] = STATE(11374),
    [sym_bindings] = STATE(15689),
    [sym_case_block] = STATE(6540),
    [sym_assignment_expression] = STATE(11374),
    [sym_generic_function] = STATE(6540),
    [sym_call_expression] = STATE(6540),
    [sym_field_expression] = STATE(6540),
    [sym_instance_expression] = STATE(6540),
    [sym_ascription_expression] = STATE(11374),
    [sym_infix_expression] = STATE(7834),
    [sym_postfix_expression] = STATE(11215),
    [sym__postfix_expression_choice] = STATE(16210),
    [sym_macro_body] = STATE(11374),
    [sym_prefix_expression] = STATE(8725),
    [sym_tuple_expression] = STATE(6540),
    [sym_parenthesized_expression] = STATE(6540),
    [sym_splice_expression] = STATE(6540),
    [sym_quote_expression] = STATE(6540),
    [sym_identifier] = STATE(4721),
    [sym__soft_identifier] = STATE(4667),
    [sym_wildcard] = STATE(7076),
    [sym__non_null_literal] = STATE(6540),
    [sym_boolean_literal] = STATE(6246),
    [sym_interpolated_string_expression] = STATE(6540),
    [sym_string] = STATE(6246),
    [sym_unit] = STATE(6540),
    [sym_return_expression] = STATE(11374),
    [sym_throw_expression] = STATE(11374),
    [sym_while_expression] = STATE(11374),
    [sym_do_while_expression] = STATE(11374),
    [sym_for_expression] = STATE(11374),
    [sym_comment] = STATE(1544),
    [sym_block_comment] = STATE(1544),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(2238),
    [anon_sym_while] = ACTIONS(1568),
    [anon_sym_for] = ACTIONS(1570),
    [anon_sym_try] = ACTIONS(1572),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1574),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1540),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1576),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1578),
    [anon_sym_throw] = ACTIONS(1580),
    [anon_sym_do] = ACTIONS(1548),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2240),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [1545] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(13635),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1545),
    [sym_block_comment] = STATE(1545),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1546] = {
    [sym_inline_modifier] = STATE(2159),
    [sym__indentable_expression] = STATE(11566),
    [sym_block] = STATE(6450),
    [sym_indented_block] = STATE(11535),
    [sym_indented_cases] = STATE(11535),
    [sym_expression] = STATE(11606),
    [sym__simple_expression] = STATE(5274),
    [sym_lambda_expression] = STATE(11549),
    [sym_if_expression] = STATE(11549),
    [sym_match_expression] = STATE(11549),
    [sym_try_expression] = STATE(11549),
    [sym_bindings] = STATE(15607),
    [sym_case_block] = STATE(6450),
    [sym_assignment_expression] = STATE(11549),
    [sym_generic_function] = STATE(6450),
    [sym_call_expression] = STATE(6450),
    [sym_field_expression] = STATE(6450),
    [sym_instance_expression] = STATE(6450),
    [sym_ascription_expression] = STATE(11549),
    [sym_infix_expression] = STATE(7641),
    [sym_postfix_expression] = STATE(11204),
    [sym__postfix_expression_choice] = STATE(16480),
    [sym_macro_body] = STATE(11549),
    [sym_prefix_expression] = STATE(8822),
    [sym_tuple_expression] = STATE(6450),
    [sym_parenthesized_expression] = STATE(6450),
    [sym_splice_expression] = STATE(6450),
    [sym_quote_expression] = STATE(6450),
    [sym_identifier] = STATE(4738),
    [sym__soft_identifier] = STATE(4507),
    [sym_wildcard] = STATE(7298),
    [sym__non_null_literal] = STATE(6450),
    [sym_boolean_literal] = STATE(6156),
    [sym_interpolated_string_expression] = STATE(6450),
    [sym_string] = STATE(6156),
    [sym_unit] = STATE(6450),
    [sym_return_expression] = STATE(11549),
    [sym_throw_expression] = STATE(11549),
    [sym_while_expression] = STATE(11549),
    [sym_do_while_expression] = STATE(11549),
    [sym_for_expression] = STATE(11549),
    [sym_comment] = STATE(1546),
    [sym_block_comment] = STATE(1546),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(2472),
    [anon_sym_while] = ACTIONS(1974),
    [anon_sym_for] = ACTIONS(1976),
    [anon_sym_try] = ACTIONS(1978),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1980),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1378),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1982),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1984),
    [anon_sym_throw] = ACTIONS(1986),
    [anon_sym_do] = ACTIONS(1386),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2258),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [1547] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(13566),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1547),
    [sym_block_comment] = STATE(1547),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1548] = {
    [sym_inline_modifier] = STATE(2159),
    [sym__indentable_expression] = STATE(11483),
    [sym_block] = STATE(6450),
    [sym_indented_block] = STATE(11535),
    [sym_indented_cases] = STATE(11535),
    [sym_expression] = STATE(11606),
    [sym__simple_expression] = STATE(5274),
    [sym_lambda_expression] = STATE(11549),
    [sym_if_expression] = STATE(11549),
    [sym_match_expression] = STATE(11549),
    [sym_try_expression] = STATE(11549),
    [sym_bindings] = STATE(15607),
    [sym_case_block] = STATE(6450),
    [sym_assignment_expression] = STATE(11549),
    [sym_generic_function] = STATE(6450),
    [sym_call_expression] = STATE(6450),
    [sym_field_expression] = STATE(6450),
    [sym_instance_expression] = STATE(6450),
    [sym_ascription_expression] = STATE(11549),
    [sym_infix_expression] = STATE(7641),
    [sym_postfix_expression] = STATE(11204),
    [sym__postfix_expression_choice] = STATE(16480),
    [sym_macro_body] = STATE(11549),
    [sym_prefix_expression] = STATE(8822),
    [sym_tuple_expression] = STATE(6450),
    [sym_parenthesized_expression] = STATE(6450),
    [sym_splice_expression] = STATE(6450),
    [sym_quote_expression] = STATE(6450),
    [sym_identifier] = STATE(4738),
    [sym__soft_identifier] = STATE(4507),
    [sym_wildcard] = STATE(7298),
    [sym__non_null_literal] = STATE(6450),
    [sym_boolean_literal] = STATE(6156),
    [sym_interpolated_string_expression] = STATE(6450),
    [sym_string] = STATE(6156),
    [sym_unit] = STATE(6450),
    [sym_return_expression] = STATE(11549),
    [sym_throw_expression] = STATE(11549),
    [sym_while_expression] = STATE(11549),
    [sym_do_while_expression] = STATE(11549),
    [sym_for_expression] = STATE(11549),
    [sym_comment] = STATE(1548),
    [sym_block_comment] = STATE(1548),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(2472),
    [anon_sym_while] = ACTIONS(1974),
    [anon_sym_for] = ACTIONS(1976),
    [anon_sym_try] = ACTIONS(1978),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1980),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1378),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1982),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1984),
    [anon_sym_throw] = ACTIONS(1986),
    [anon_sym_do] = ACTIONS(1386),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2258),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [1549] = {
    [sym_inline_modifier] = STATE(2189),
    [sym__indentable_expression] = STATE(13623),
    [sym_block] = STATE(9327),
    [sym_indented_block] = STATE(13548),
    [sym_indented_cases] = STATE(13548),
    [sym_expression] = STATE(13406),
    [sym__simple_expression] = STATE(7289),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15762),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10205),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10142),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6081),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(8816),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(1549),
    [sym_block_comment] = STATE(1549),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(569),
    [anon_sym_DASH] = ACTIONS(569),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(571),
    [anon_sym_while] = ACTIONS(573),
    [anon_sym_for] = ACTIONS(575),
    [anon_sym_try] = ACTIONS(577),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(2248),
    [anon_sym_inline] = ACTIONS(1860),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(569),
    [anon_sym_TILDE] = ACTIONS(569),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(587),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(589),
    [anon_sym_throw] = ACTIONS(591),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [1550] = {
    [sym_inline_modifier] = STATE(2115),
    [sym__indentable_expression] = STATE(12506),
    [sym_block] = STATE(8041),
    [sym_indented_block] = STATE(12292),
    [sym_indented_cases] = STATE(12292),
    [sym_expression] = STATE(12256),
    [sym__simple_expression] = STATE(7311),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15577),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(10220),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10124),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6254),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(8727),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(1550),
    [sym_block_comment] = STATE(1550),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(603),
    [anon_sym_DASH] = ACTIONS(603),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(605),
    [anon_sym_while] = ACTIONS(607),
    [anon_sym_for] = ACTIONS(609),
    [anon_sym_try] = ACTIONS(611),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2192),
    [anon_sym_inline] = ACTIONS(1764),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(603),
    [anon_sym_TILDE] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(621),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(623),
    [anon_sym_throw] = ACTIONS(625),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1551] = {
    [sym_inline_modifier] = STATE(2323),
    [sym__indentable_expression] = STATE(13389),
    [sym_block] = STATE(6954),
    [sym_indented_block] = STATE(11923),
    [sym_indented_cases] = STATE(11923),
    [sym_expression] = STATE(12206),
    [sym__simple_expression] = STATE(5520),
    [sym_lambda_expression] = STATE(12144),
    [sym_if_expression] = STATE(12144),
    [sym_match_expression] = STATE(12144),
    [sym_try_expression] = STATE(12144),
    [sym_bindings] = STATE(15572),
    [sym_case_block] = STATE(6954),
    [sym_assignment_expression] = STATE(12144),
    [sym_generic_function] = STATE(6954),
    [sym_call_expression] = STATE(6954),
    [sym_field_expression] = STATE(6954),
    [sym_instance_expression] = STATE(6954),
    [sym_ascription_expression] = STATE(12144),
    [sym_infix_expression] = STATE(8226),
    [sym_postfix_expression] = STATE(11499),
    [sym__postfix_expression_choice] = STATE(16229),
    [sym_macro_body] = STATE(12144),
    [sym_prefix_expression] = STATE(9280),
    [sym_tuple_expression] = STATE(6954),
    [sym_parenthesized_expression] = STATE(6954),
    [sym_splice_expression] = STATE(6954),
    [sym_quote_expression] = STATE(6954),
    [sym_identifier] = STATE(5300),
    [sym__soft_identifier] = STATE(4827),
    [sym_wildcard] = STATE(7542),
    [sym__non_null_literal] = STATE(6954),
    [sym_boolean_literal] = STATE(6997),
    [sym_interpolated_string_expression] = STATE(6954),
    [sym_string] = STATE(6997),
    [sym_unit] = STATE(6954),
    [sym_return_expression] = STATE(12144),
    [sym_throw_expression] = STATE(12144),
    [sym_while_expression] = STATE(12144),
    [sym_do_while_expression] = STATE(12144),
    [sym_for_expression] = STATE(12144),
    [sym_comment] = STATE(1551),
    [sym_block_comment] = STATE(1551),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(3235),
    [anon_sym_while] = ACTIONS(1924),
    [anon_sym_for] = ACTIONS(1926),
    [anon_sym_try] = ACTIONS(1928),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(1930),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1894),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(1932),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(1934),
    [anon_sym_throw] = ACTIONS(1936),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3280),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [1552] = {
    [sym_inline_modifier] = STATE(2086),
    [sym__indentable_expression] = STATE(13411),
    [sym_block] = STATE(9116),
    [sym_indented_block] = STATE(11085),
    [sym_indented_cases] = STATE(11085),
    [sym_expression] = STATE(13151),
    [sym__simple_expression] = STATE(5562),
    [sym_lambda_expression] = STATE(11364),
    [sym_if_expression] = STATE(11364),
    [sym_match_expression] = STATE(11364),
    [sym_try_expression] = STATE(11364),
    [sym_bindings] = STATE(15512),
    [sym_case_block] = STATE(9116),
    [sym_assignment_expression] = STATE(11364),
    [sym_generic_function] = STATE(9116),
    [sym_call_expression] = STATE(9116),
    [sym_field_expression] = STATE(9116),
    [sym_instance_expression] = STATE(9116),
    [sym_ascription_expression] = STATE(11364),
    [sym_infix_expression] = STATE(9793),
    [sym_postfix_expression] = STATE(10789),
    [sym__postfix_expression_choice] = STATE(15871),
    [sym_macro_body] = STATE(11364),
    [sym_prefix_expression] = STATE(9370),
    [sym_tuple_expression] = STATE(9116),
    [sym_parenthesized_expression] = STATE(9116),
    [sym_splice_expression] = STATE(9116),
    [sym_quote_expression] = STATE(9116),
    [sym_identifier] = STATE(5047),
    [sym__soft_identifier] = STATE(4332),
    [sym_wildcard] = STATE(7660),
    [sym__non_null_literal] = STATE(9116),
    [sym_boolean_literal] = STATE(5055),
    [sym_interpolated_string_expression] = STATE(9116),
    [sym_string] = STATE(5055),
    [sym_unit] = STATE(9116),
    [sym_return_expression] = STATE(11364),
    [sym_throw_expression] = STATE(11364),
    [sym_while_expression] = STATE(11364),
    [sym_do_while_expression] = STATE(11364),
    [sym_for_expression] = STATE(11364),
    [sym_comment] = STATE(1552),
    [sym_block_comment] = STATE(1552),
    [sym__alpha_identifier] = ACTIONS(1206),
    [anon_sym_LBRACE] = ACTIONS(1210),
    [anon_sym__] = ACTIONS(1212),
    [anon_sym_PLUS] = ACTIONS(1214),
    [anon_sym_DASH] = ACTIONS(1214),
    [anon_sym_end] = ACTIONS(1216),
    [anon_sym_if] = ACTIONS(1550),
    [anon_sym_while] = ACTIONS(1552),
    [anon_sym_for] = ACTIONS(1554),
    [anon_sym_try] = ACTIONS(1556),
    [anon_sym_new] = ACTIONS(1218),
    [anon_sym_opaque] = ACTIONS(1216),
    [anon_sym_implicit] = ACTIONS(1558),
    [anon_sym_inline] = ACTIONS(1220),
    [anon_sym_infix] = ACTIONS(1216),
    [anon_sym_open] = ACTIONS(1216),
    [anon_sym_transparent] = ACTIONS(1216),
    [anon_sym_LPAREN] = ACTIONS(1222),
    [anon_sym_macro] = ACTIONS(1560),
    [anon_sym_BANG] = ACTIONS(1214),
    [anon_sym_TILDE] = ACTIONS(1214),
    [anon_sym_DOLLAR] = ACTIONS(1224),
    [anon_sym_SQUOTE] = ACTIONS(1226),
    [sym__backquoted_id] = ACTIONS(1228),
    [sym_operator_identifier] = ACTIONS(1562),
    [sym_integer_literal] = ACTIONS(1232),
    [sym_floating_point_literal] = ACTIONS(1234),
    [anon_sym_true] = ACTIONS(1236),
    [anon_sym_false] = ACTIONS(1236),
    [sym_character_literal] = ACTIONS(1234),
    [sym_null_literal] = ACTIONS(1238),
    [anon_sym_return] = ACTIONS(1564),
    [anon_sym_throw] = ACTIONS(1566),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2282),
    [sym__simple_multiline_string] = ACTIONS(1240),
    [sym__simple_string] = ACTIONS(1240),
  },
  [1553] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(13554),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1553),
    [sym_block_comment] = STATE(1553),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1554] = {
    [sym_inline_modifier] = STATE(2132),
    [sym__indentable_expression] = STATE(13511),
    [sym_block] = STATE(6738),
    [sym_indented_block] = STATE(12372),
    [sym_indented_cases] = STATE(12372),
    [sym_expression] = STATE(12028),
    [sym__simple_expression] = STATE(6097),
    [sym_lambda_expression] = STATE(12430),
    [sym_if_expression] = STATE(12430),
    [sym_match_expression] = STATE(12430),
    [sym_try_expression] = STATE(12430),
    [sym_bindings] = STATE(15718),
    [sym_case_block] = STATE(6738),
    [sym_assignment_expression] = STATE(12430),
    [sym_generic_function] = STATE(6738),
    [sym_call_expression] = STATE(6738),
    [sym_field_expression] = STATE(6738),
    [sym_instance_expression] = STATE(6738),
    [sym_ascription_expression] = STATE(12430),
    [sym_infix_expression] = STATE(8389),
    [sym_postfix_expression] = STATE(11930),
    [sym__postfix_expression_choice] = STATE(15885),
    [sym_macro_body] = STATE(12430),
    [sym_prefix_expression] = STATE(9761),
    [sym_tuple_expression] = STATE(6738),
    [sym_parenthesized_expression] = STATE(6738),
    [sym_splice_expression] = STATE(6738),
    [sym_quote_expression] = STATE(6738),
    [sym_identifier] = STATE(5458),
    [sym__soft_identifier] = STATE(4943),
    [sym_wildcard] = STATE(8612),
    [sym__non_null_literal] = STATE(6738),
    [sym_boolean_literal] = STATE(7301),
    [sym_interpolated_string_expression] = STATE(6738),
    [sym_string] = STATE(7301),
    [sym_unit] = STATE(6738),
    [sym_return_expression] = STATE(12430),
    [sym_throw_expression] = STATE(12430),
    [sym_while_expression] = STATE(12430),
    [sym_do_while_expression] = STATE(12430),
    [sym_for_expression] = STATE(12430),
    [sym_comment] = STATE(1554),
    [sym_block_comment] = STATE(1554),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(2430),
    [anon_sym_while] = ACTIONS(2432),
    [anon_sym_for] = ACTIONS(2434),
    [anon_sym_try] = ACTIONS(2436),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(2438),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1360),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(2440),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(2442),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(1368),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2202),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [1555] = {
    [sym_inline_modifier] = STATE(2149),
    [sym__indentable_expression] = STATE(13524),
    [sym_block] = STATE(9327),
    [sym_indented_block] = STATE(13548),
    [sym_indented_cases] = STATE(13548),
    [sym_expression] = STATE(13406),
    [sym__simple_expression] = STATE(7109),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15656),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10005),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6267),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(8706),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(1555),
    [sym_block_comment] = STATE(1555),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(2928),
    [anon_sym_while] = ACTIONS(2793),
    [anon_sym_for] = ACTIONS(2795),
    [anon_sym_try] = ACTIONS(2797),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(2799),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(2801),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(2803),
    [anon_sym_throw] = ACTIONS(2805),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [1556] = {
    [sym_inline_modifier] = STATE(2074),
    [sym__indentable_expression] = STATE(11697),
    [sym_block] = STATE(9523),
    [sym_indented_block] = STATE(11535),
    [sym_indented_cases] = STATE(11535),
    [sym_expression] = STATE(13312),
    [sym__simple_expression] = STATE(6085),
    [sym_lambda_expression] = STATE(11549),
    [sym_if_expression] = STATE(11549),
    [sym_match_expression] = STATE(11549),
    [sym_try_expression] = STATE(11549),
    [sym_bindings] = STATE(15713),
    [sym_case_block] = STATE(9523),
    [sym_assignment_expression] = STATE(11549),
    [sym_generic_function] = STATE(9523),
    [sym_call_expression] = STATE(9523),
    [sym_field_expression] = STATE(9523),
    [sym_instance_expression] = STATE(9523),
    [sym_ascription_expression] = STATE(11549),
    [sym_infix_expression] = STATE(10056),
    [sym_postfix_expression] = STATE(11204),
    [sym__postfix_expression_choice] = STATE(16623),
    [sym_macro_body] = STATE(11549),
    [sym_prefix_expression] = STATE(9754),
    [sym_tuple_expression] = STATE(9523),
    [sym_parenthesized_expression] = STATE(9523),
    [sym_splice_expression] = STATE(9523),
    [sym_quote_expression] = STATE(9523),
    [sym_identifier] = STATE(5442),
    [sym__soft_identifier] = STATE(4485),
    [sym_wildcard] = STATE(8639),
    [sym__non_null_literal] = STATE(9523),
    [sym_boolean_literal] = STATE(5592),
    [sym_interpolated_string_expression] = STATE(9523),
    [sym_string] = STATE(5592),
    [sym_unit] = STATE(9523),
    [sym_return_expression] = STATE(11549),
    [sym_throw_expression] = STATE(11549),
    [sym_while_expression] = STATE(11549),
    [sym_do_while_expression] = STATE(11549),
    [sym_for_expression] = STATE(11549),
    [sym_comment] = STATE(1556),
    [sym_block_comment] = STATE(1556),
    [sym__alpha_identifier] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(1392),
    [anon_sym__] = ACTIONS(1394),
    [anon_sym_PLUS] = ACTIONS(1396),
    [anon_sym_DASH] = ACTIONS(1396),
    [anon_sym_end] = ACTIONS(1398),
    [anon_sym_if] = ACTIONS(1820),
    [anon_sym_while] = ACTIONS(1822),
    [anon_sym_for] = ACTIONS(1824),
    [anon_sym_try] = ACTIONS(1826),
    [anon_sym_new] = ACTIONS(1400),
    [anon_sym_opaque] = ACTIONS(1398),
    [anon_sym_implicit] = ACTIONS(1828),
    [anon_sym_inline] = ACTIONS(1402),
    [anon_sym_infix] = ACTIONS(1398),
    [anon_sym_open] = ACTIONS(1398),
    [anon_sym_transparent] = ACTIONS(1398),
    [anon_sym_LPAREN] = ACTIONS(1404),
    [anon_sym_macro] = ACTIONS(1830),
    [anon_sym_BANG] = ACTIONS(1396),
    [anon_sym_TILDE] = ACTIONS(1396),
    [anon_sym_DOLLAR] = ACTIONS(1406),
    [anon_sym_SQUOTE] = ACTIONS(1408),
    [sym__backquoted_id] = ACTIONS(1410),
    [sym_operator_identifier] = ACTIONS(1832),
    [sym_integer_literal] = ACTIONS(1414),
    [sym_floating_point_literal] = ACTIONS(1416),
    [anon_sym_true] = ACTIONS(1418),
    [anon_sym_false] = ACTIONS(1418),
    [sym_character_literal] = ACTIONS(1416),
    [sym_null_literal] = ACTIONS(1420),
    [anon_sym_return] = ACTIONS(1834),
    [anon_sym_throw] = ACTIONS(1836),
    [anon_sym_do] = ACTIONS(1386),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2258),
    [sym__simple_multiline_string] = ACTIONS(1422),
    [sym__simple_string] = ACTIONS(1422),
  },
  [1557] = {
    [sym_inline_modifier] = STATE(2086),
    [sym__indentable_expression] = STATE(13266),
    [sym_block] = STATE(9116),
    [sym_indented_block] = STATE(11085),
    [sym_indented_cases] = STATE(11085),
    [sym_expression] = STATE(13151),
    [sym__simple_expression] = STATE(5562),
    [sym_lambda_expression] = STATE(11364),
    [sym_if_expression] = STATE(11364),
    [sym_match_expression] = STATE(11364),
    [sym_try_expression] = STATE(11364),
    [sym_bindings] = STATE(15512),
    [sym_case_block] = STATE(9116),
    [sym_assignment_expression] = STATE(11364),
    [sym_generic_function] = STATE(9116),
    [sym_call_expression] = STATE(9116),
    [sym_field_expression] = STATE(9116),
    [sym_instance_expression] = STATE(9116),
    [sym_ascription_expression] = STATE(11364),
    [sym_infix_expression] = STATE(9793),
    [sym_postfix_expression] = STATE(10789),
    [sym__postfix_expression_choice] = STATE(15871),
    [sym_macro_body] = STATE(11364),
    [sym_prefix_expression] = STATE(9370),
    [sym_tuple_expression] = STATE(9116),
    [sym_parenthesized_expression] = STATE(9116),
    [sym_splice_expression] = STATE(9116),
    [sym_quote_expression] = STATE(9116),
    [sym_identifier] = STATE(5047),
    [sym__soft_identifier] = STATE(4332),
    [sym_wildcard] = STATE(7660),
    [sym__non_null_literal] = STATE(9116),
    [sym_boolean_literal] = STATE(5055),
    [sym_interpolated_string_expression] = STATE(9116),
    [sym_string] = STATE(5055),
    [sym_unit] = STATE(9116),
    [sym_return_expression] = STATE(11364),
    [sym_throw_expression] = STATE(11364),
    [sym_while_expression] = STATE(11364),
    [sym_do_while_expression] = STATE(11364),
    [sym_for_expression] = STATE(11364),
    [sym_comment] = STATE(1557),
    [sym_block_comment] = STATE(1557),
    [sym__alpha_identifier] = ACTIONS(1206),
    [anon_sym_LBRACE] = ACTIONS(1210),
    [anon_sym__] = ACTIONS(1212),
    [anon_sym_PLUS] = ACTIONS(1214),
    [anon_sym_DASH] = ACTIONS(1214),
    [anon_sym_end] = ACTIONS(1216),
    [anon_sym_if] = ACTIONS(1550),
    [anon_sym_while] = ACTIONS(1552),
    [anon_sym_for] = ACTIONS(1554),
    [anon_sym_try] = ACTIONS(1556),
    [anon_sym_new] = ACTIONS(1218),
    [anon_sym_opaque] = ACTIONS(1216),
    [anon_sym_implicit] = ACTIONS(1558),
    [anon_sym_inline] = ACTIONS(1220),
    [anon_sym_infix] = ACTIONS(1216),
    [anon_sym_open] = ACTIONS(1216),
    [anon_sym_transparent] = ACTIONS(1216),
    [anon_sym_LPAREN] = ACTIONS(1222),
    [anon_sym_macro] = ACTIONS(1560),
    [anon_sym_BANG] = ACTIONS(1214),
    [anon_sym_TILDE] = ACTIONS(1214),
    [anon_sym_DOLLAR] = ACTIONS(1224),
    [anon_sym_SQUOTE] = ACTIONS(1226),
    [sym__backquoted_id] = ACTIONS(1228),
    [sym_operator_identifier] = ACTIONS(1562),
    [sym_integer_literal] = ACTIONS(1232),
    [sym_floating_point_literal] = ACTIONS(1234),
    [anon_sym_true] = ACTIONS(1236),
    [anon_sym_false] = ACTIONS(1236),
    [sym_character_literal] = ACTIONS(1234),
    [sym_null_literal] = ACTIONS(1238),
    [anon_sym_return] = ACTIONS(1564),
    [anon_sym_throw] = ACTIONS(1566),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2282),
    [sym__simple_multiline_string] = ACTIONS(1240),
    [sym__simple_string] = ACTIONS(1240),
  },
  [1558] = {
    [sym_inline_modifier] = STATE(2040),
    [sym_block] = STATE(8375),
    [sym_expression] = STATE(12888),
    [sym__simple_expression] = STATE(7538),
    [sym_lambda_expression] = STATE(13185),
    [sym_if_expression] = STATE(13185),
    [sym_match_expression] = STATE(13185),
    [sym_try_expression] = STATE(13185),
    [sym_bindings] = STATE(15594),
    [sym_case_block] = STATE(8375),
    [sym_assignment_expression] = STATE(13185),
    [sym_generic_function] = STATE(8375),
    [sym_call_expression] = STATE(8375),
    [sym_field_expression] = STATE(8375),
    [sym_instance_expression] = STATE(8375),
    [sym_ascription_expression] = STATE(13185),
    [sym_infix_expression] = STATE(9364),
    [sym_postfix_expression] = STATE(12809),
    [sym__postfix_expression_choice] = STATE(16440),
    [sym_macro_body] = STATE(13185),
    [sym_prefix_expression] = STATE(10274),
    [sym_tuple_expression] = STATE(8375),
    [sym_parenthesized_expression] = STATE(8375),
    [sym_splice_expression] = STATE(8375),
    [sym_quote_expression] = STATE(8375),
    [sym_identifier] = STATE(7110),
    [sym__soft_identifier] = STATE(5430),
    [sym_wildcard] = STATE(9287),
    [sym__non_null_literal] = STATE(8375),
    [sym_boolean_literal] = STATE(8117),
    [sym_interpolated_string_expression] = STATE(8375),
    [sym_string] = STATE(8117),
    [sym_unit] = STATE(8375),
    [sym_return_expression] = STATE(13185),
    [sym_throw_expression] = STATE(13185),
    [sym_while_expression] = STATE(13185),
    [sym_do_while_expression] = STATE(13185),
    [sym_for_expression] = STATE(13185),
    [sym_comment] = STATE(1558),
    [sym_block_comment] = STATE(1558),
    [sym__alpha_identifier] = ACTIONS(1618),
    [anon_sym_LBRACE] = ACTIONS(1622),
    [anon_sym__] = ACTIONS(1624),
    [anon_sym_LBRACK] = ACTIONS(1148),
    [anon_sym_PLUS] = ACTIONS(1626),
    [anon_sym_DASH] = ACTIONS(1626),
    [anon_sym_end] = ACTIONS(1628),
    [anon_sym_if] = ACTIONS(2414),
    [anon_sym_while] = ACTIONS(1150),
    [anon_sym_for] = ACTIONS(2418),
    [anon_sym_match] = ACTIONS(1150),
    [anon_sym_try] = ACTIONS(2420),
    [anon_sym_new] = ACTIONS(1630),
    [anon_sym_opaque] = ACTIONS(1628),
    [anon_sym_implicit] = ACTIONS(2422),
    [anon_sym_inline] = ACTIONS(1632),
    [anon_sym_infix] = ACTIONS(1628),
    [anon_sym_open] = ACTIONS(1628),
    [anon_sym_transparent] = ACTIONS(1628),
    [anon_sym_LPAREN] = ACTIONS(1634),
    [anon_sym_catch] = ACTIONS(1150),
    [anon_sym_finally] = ACTIONS(1150),
    [anon_sym_macro] = ACTIONS(2074),
    [anon_sym_BANG] = ACTIONS(1626),
    [anon_sym_TILDE] = ACTIONS(1626),
    [anon_sym_DOLLAR] = ACTIONS(1636),
    [anon_sym_SQUOTE] = ACTIONS(1638),
    [sym__backquoted_id] = ACTIONS(1640),
    [sym_operator_identifier] = ACTIONS(2424),
    [sym_integer_literal] = ACTIONS(1644),
    [sym_floating_point_literal] = ACTIONS(1646),
    [anon_sym_true] = ACTIONS(1648),
    [anon_sym_false] = ACTIONS(1648),
    [sym_character_literal] = ACTIONS(1646),
    [sym_null_literal] = ACTIONS(1650),
    [anon_sym_return] = ACTIONS(2426),
    [anon_sym_throw] = ACTIONS(2428),
    [anon_sym_do] = ACTIONS(2082),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1652),
    [sym__simple_string] = ACTIONS(1652),
  },
  [1559] = {
    [sym_inline_modifier] = STATE(2281),
    [sym__indentable_expression] = STATE(13111),
    [sym_block] = STATE(6540),
    [sym_indented_block] = STATE(11390),
    [sym_indented_cases] = STATE(11390),
    [sym_expression] = STATE(11385),
    [sym__simple_expression] = STATE(5304),
    [sym_lambda_expression] = STATE(11374),
    [sym_if_expression] = STATE(11374),
    [sym_match_expression] = STATE(11374),
    [sym_try_expression] = STATE(11374),
    [sym_bindings] = STATE(15689),
    [sym_case_block] = STATE(6540),
    [sym_assignment_expression] = STATE(11374),
    [sym_generic_function] = STATE(6540),
    [sym_call_expression] = STATE(6540),
    [sym_field_expression] = STATE(6540),
    [sym_instance_expression] = STATE(6540),
    [sym_ascription_expression] = STATE(11374),
    [sym_infix_expression] = STATE(7834),
    [sym_postfix_expression] = STATE(11215),
    [sym__postfix_expression_choice] = STATE(16210),
    [sym_macro_body] = STATE(11374),
    [sym_prefix_expression] = STATE(8725),
    [sym_tuple_expression] = STATE(6540),
    [sym_parenthesized_expression] = STATE(6540),
    [sym_splice_expression] = STATE(6540),
    [sym_quote_expression] = STATE(6540),
    [sym_identifier] = STATE(4721),
    [sym__soft_identifier] = STATE(4667),
    [sym_wildcard] = STATE(7076),
    [sym__non_null_literal] = STATE(6540),
    [sym_boolean_literal] = STATE(6246),
    [sym_interpolated_string_expression] = STATE(6540),
    [sym_string] = STATE(6246),
    [sym_unit] = STATE(6540),
    [sym_return_expression] = STATE(11374),
    [sym_throw_expression] = STATE(11374),
    [sym_while_expression] = STATE(11374),
    [sym_do_while_expression] = STATE(11374),
    [sym_for_expression] = STATE(11374),
    [sym_comment] = STATE(1559),
    [sym_block_comment] = STATE(1559),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(2238),
    [anon_sym_while] = ACTIONS(1568),
    [anon_sym_for] = ACTIONS(1570),
    [anon_sym_try] = ACTIONS(1572),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1574),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1540),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1576),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1578),
    [anon_sym_throw] = ACTIONS(1580),
    [anon_sym_do] = ACTIONS(1548),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2240),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [1560] = {
    [sym_inline_modifier] = STATE(2074),
    [sym__indentable_expression] = STATE(11698),
    [sym_block] = STATE(9523),
    [sym_indented_block] = STATE(11535),
    [sym_indented_cases] = STATE(11535),
    [sym_expression] = STATE(13312),
    [sym__simple_expression] = STATE(6085),
    [sym_lambda_expression] = STATE(11549),
    [sym_if_expression] = STATE(11549),
    [sym_match_expression] = STATE(11549),
    [sym_try_expression] = STATE(11549),
    [sym_bindings] = STATE(15713),
    [sym_case_block] = STATE(9523),
    [sym_assignment_expression] = STATE(11549),
    [sym_generic_function] = STATE(9523),
    [sym_call_expression] = STATE(9523),
    [sym_field_expression] = STATE(9523),
    [sym_instance_expression] = STATE(9523),
    [sym_ascription_expression] = STATE(11549),
    [sym_infix_expression] = STATE(10056),
    [sym_postfix_expression] = STATE(11204),
    [sym__postfix_expression_choice] = STATE(16623),
    [sym_macro_body] = STATE(11549),
    [sym_prefix_expression] = STATE(9754),
    [sym_tuple_expression] = STATE(9523),
    [sym_parenthesized_expression] = STATE(9523),
    [sym_splice_expression] = STATE(9523),
    [sym_quote_expression] = STATE(9523),
    [sym_identifier] = STATE(5442),
    [sym__soft_identifier] = STATE(4485),
    [sym_wildcard] = STATE(8639),
    [sym__non_null_literal] = STATE(9523),
    [sym_boolean_literal] = STATE(5592),
    [sym_interpolated_string_expression] = STATE(9523),
    [sym_string] = STATE(5592),
    [sym_unit] = STATE(9523),
    [sym_return_expression] = STATE(11549),
    [sym_throw_expression] = STATE(11549),
    [sym_while_expression] = STATE(11549),
    [sym_do_while_expression] = STATE(11549),
    [sym_for_expression] = STATE(11549),
    [sym_comment] = STATE(1560),
    [sym_block_comment] = STATE(1560),
    [sym__alpha_identifier] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(1392),
    [anon_sym__] = ACTIONS(1394),
    [anon_sym_PLUS] = ACTIONS(1396),
    [anon_sym_DASH] = ACTIONS(1396),
    [anon_sym_end] = ACTIONS(1398),
    [anon_sym_if] = ACTIONS(1820),
    [anon_sym_while] = ACTIONS(1822),
    [anon_sym_for] = ACTIONS(1824),
    [anon_sym_try] = ACTIONS(1826),
    [anon_sym_new] = ACTIONS(1400),
    [anon_sym_opaque] = ACTIONS(1398),
    [anon_sym_implicit] = ACTIONS(1828),
    [anon_sym_inline] = ACTIONS(1402),
    [anon_sym_infix] = ACTIONS(1398),
    [anon_sym_open] = ACTIONS(1398),
    [anon_sym_transparent] = ACTIONS(1398),
    [anon_sym_LPAREN] = ACTIONS(1404),
    [anon_sym_macro] = ACTIONS(1830),
    [anon_sym_BANG] = ACTIONS(1396),
    [anon_sym_TILDE] = ACTIONS(1396),
    [anon_sym_DOLLAR] = ACTIONS(1406),
    [anon_sym_SQUOTE] = ACTIONS(1408),
    [sym__backquoted_id] = ACTIONS(1410),
    [sym_operator_identifier] = ACTIONS(1832),
    [sym_integer_literal] = ACTIONS(1414),
    [sym_floating_point_literal] = ACTIONS(1416),
    [anon_sym_true] = ACTIONS(1418),
    [anon_sym_false] = ACTIONS(1418),
    [sym_character_literal] = ACTIONS(1416),
    [sym_null_literal] = ACTIONS(1420),
    [anon_sym_return] = ACTIONS(1834),
    [anon_sym_throw] = ACTIONS(1836),
    [anon_sym_do] = ACTIONS(1386),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2258),
    [sym__simple_multiline_string] = ACTIONS(1422),
    [sym__simple_string] = ACTIONS(1422),
  },
  [1561] = {
    [sym_inline_modifier] = STATE(2159),
    [sym__indentable_expression] = STATE(11384),
    [sym_block] = STATE(6450),
    [sym_indented_block] = STATE(11535),
    [sym_indented_cases] = STATE(11535),
    [sym_expression] = STATE(11606),
    [sym__simple_expression] = STATE(5274),
    [sym_lambda_expression] = STATE(11549),
    [sym_if_expression] = STATE(11549),
    [sym_match_expression] = STATE(11549),
    [sym_try_expression] = STATE(11549),
    [sym_bindings] = STATE(15607),
    [sym_case_block] = STATE(6450),
    [sym_assignment_expression] = STATE(11549),
    [sym_generic_function] = STATE(6450),
    [sym_call_expression] = STATE(6450),
    [sym_field_expression] = STATE(6450),
    [sym_instance_expression] = STATE(6450),
    [sym_ascription_expression] = STATE(11549),
    [sym_infix_expression] = STATE(7641),
    [sym_postfix_expression] = STATE(11204),
    [sym__postfix_expression_choice] = STATE(16480),
    [sym_macro_body] = STATE(11549),
    [sym_prefix_expression] = STATE(8822),
    [sym_tuple_expression] = STATE(6450),
    [sym_parenthesized_expression] = STATE(6450),
    [sym_splice_expression] = STATE(6450),
    [sym_quote_expression] = STATE(6450),
    [sym_identifier] = STATE(4738),
    [sym__soft_identifier] = STATE(4507),
    [sym_wildcard] = STATE(7298),
    [sym__non_null_literal] = STATE(6450),
    [sym_boolean_literal] = STATE(6156),
    [sym_interpolated_string_expression] = STATE(6450),
    [sym_string] = STATE(6156),
    [sym_unit] = STATE(6450),
    [sym_return_expression] = STATE(11549),
    [sym_throw_expression] = STATE(11549),
    [sym_while_expression] = STATE(11549),
    [sym_do_while_expression] = STATE(11549),
    [sym_for_expression] = STATE(11549),
    [sym_comment] = STATE(1561),
    [sym_block_comment] = STATE(1561),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(2472),
    [anon_sym_while] = ACTIONS(1974),
    [anon_sym_for] = ACTIONS(1976),
    [anon_sym_try] = ACTIONS(1978),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1980),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1378),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1982),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1984),
    [anon_sym_throw] = ACTIONS(1986),
    [anon_sym_do] = ACTIONS(1386),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2258),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [1562] = {
    [sym_inline_modifier] = STATE(2118),
    [sym__indentable_expression] = STATE(12253),
    [sym_block] = STATE(5403),
    [sym_indented_block] = STATE(11085),
    [sym_indented_cases] = STATE(11085),
    [sym_expression] = STATE(11355),
    [sym__simple_expression] = STATE(5051),
    [sym_lambda_expression] = STATE(11364),
    [sym_if_expression] = STATE(11364),
    [sym_match_expression] = STATE(11364),
    [sym_try_expression] = STATE(11364),
    [sym_bindings] = STATE(15597),
    [sym_case_block] = STATE(5403),
    [sym_assignment_expression] = STATE(11364),
    [sym_generic_function] = STATE(5403),
    [sym_call_expression] = STATE(5403),
    [sym_field_expression] = STATE(5403),
    [sym_instance_expression] = STATE(5403),
    [sym_ascription_expression] = STATE(11364),
    [sym_infix_expression] = STATE(6806),
    [sym_postfix_expression] = STATE(10789),
    [sym__postfix_expression_choice] = STATE(15797),
    [sym_macro_body] = STATE(11364),
    [sym_prefix_expression] = STATE(8869),
    [sym_tuple_expression] = STATE(5403),
    [sym_parenthesized_expression] = STATE(5403),
    [sym_splice_expression] = STATE(5403),
    [sym_quote_expression] = STATE(5403),
    [sym_identifier] = STATE(4686),
    [sym__soft_identifier] = STATE(4455),
    [sym_wildcard] = STATE(7015),
    [sym__non_null_literal] = STATE(5403),
    [sym_boolean_literal] = STATE(5637),
    [sym_interpolated_string_expression] = STATE(5403),
    [sym_string] = STATE(5637),
    [sym_unit] = STATE(5403),
    [sym_return_expression] = STATE(11364),
    [sym_throw_expression] = STATE(11364),
    [sym_while_expression] = STATE(11364),
    [sym_do_while_expression] = STATE(11364),
    [sym_for_expression] = STATE(11364),
    [sym_comment] = STATE(1562),
    [sym_block_comment] = STATE(1562),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(1152),
    [anon_sym_while] = ACTIONS(1154),
    [anon_sym_for] = ACTIONS(1156),
    [anon_sym_try] = ACTIONS(1158),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1160),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1162),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1164),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1166),
    [anon_sym_throw] = ACTIONS(1168),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2282),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [1563] = {
    [sym_inline_modifier] = STATE(2130),
    [sym__indentable_expression] = STATE(13295),
    [sym_block] = STATE(9120),
    [sym_indented_block] = STATE(13388),
    [sym_indented_cases] = STATE(13388),
    [sym_expression] = STATE(13211),
    [sym__simple_expression] = STATE(6353),
    [sym_lambda_expression] = STATE(13422),
    [sym_if_expression] = STATE(13422),
    [sym_match_expression] = STATE(13422),
    [sym_try_expression] = STATE(13422),
    [sym_bindings] = STATE(15752),
    [sym_case_block] = STATE(9120),
    [sym_assignment_expression] = STATE(13422),
    [sym_generic_function] = STATE(9120),
    [sym_call_expression] = STATE(9120),
    [sym_field_expression] = STATE(9120),
    [sym_instance_expression] = STATE(9120),
    [sym_ascription_expression] = STATE(13422),
    [sym_infix_expression] = STATE(9820),
    [sym_postfix_expression] = STATE(13148),
    [sym__postfix_expression_choice] = STATE(15936),
    [sym_macro_body] = STATE(13422),
    [sym_prefix_expression] = STATE(9828),
    [sym_tuple_expression] = STATE(9120),
    [sym_parenthesized_expression] = STATE(9120),
    [sym_splice_expression] = STATE(9120),
    [sym_quote_expression] = STATE(9120),
    [sym_identifier] = STATE(5669),
    [sym__soft_identifier] = STATE(6470),
    [sym_wildcard] = STATE(8444),
    [sym__non_null_literal] = STATE(9120),
    [sym_boolean_literal] = STATE(8928),
    [sym_interpolated_string_expression] = STATE(9120),
    [sym_string] = STATE(8928),
    [sym_unit] = STATE(9120),
    [sym_return_expression] = STATE(13422),
    [sym_throw_expression] = STATE(13422),
    [sym_while_expression] = STATE(13422),
    [sym_do_while_expression] = STATE(13422),
    [sym_for_expression] = STATE(13422),
    [sym_comment] = STATE(1563),
    [sym_block_comment] = STATE(1563),
    [sym__alpha_identifier] = ACTIONS(1582),
    [anon_sym_LBRACE] = ACTIONS(1586),
    [anon_sym__] = ACTIONS(1588),
    [anon_sym_PLUS] = ACTIONS(1590),
    [anon_sym_DASH] = ACTIONS(1590),
    [anon_sym_end] = ACTIONS(1592),
    [anon_sym_if] = ACTIONS(1864),
    [anon_sym_while] = ACTIONS(1866),
    [anon_sym_for] = ACTIONS(1868),
    [anon_sym_try] = ACTIONS(1870),
    [anon_sym_new] = ACTIONS(1594),
    [anon_sym_opaque] = ACTIONS(1592),
    [anon_sym_implicit] = ACTIONS(1872),
    [anon_sym_inline] = ACTIONS(1596),
    [anon_sym_infix] = ACTIONS(1592),
    [anon_sym_open] = ACTIONS(1592),
    [anon_sym_transparent] = ACTIONS(1592),
    [anon_sym_LPAREN] = ACTIONS(1598),
    [anon_sym_macro] = ACTIONS(1874),
    [anon_sym_BANG] = ACTIONS(1590),
    [anon_sym_TILDE] = ACTIONS(1590),
    [anon_sym_DOLLAR] = ACTIONS(1600),
    [anon_sym_SQUOTE] = ACTIONS(1602),
    [sym__backquoted_id] = ACTIONS(1604),
    [sym_operator_identifier] = ACTIONS(1876),
    [sym_integer_literal] = ACTIONS(1608),
    [sym_floating_point_literal] = ACTIONS(1610),
    [anon_sym_true] = ACTIONS(1612),
    [anon_sym_false] = ACTIONS(1612),
    [sym_character_literal] = ACTIONS(1610),
    [sym_null_literal] = ACTIONS(1614),
    [anon_sym_return] = ACTIONS(1878),
    [anon_sym_throw] = ACTIONS(1880),
    [anon_sym_do] = ACTIONS(1882),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3282),
    [sym__simple_multiline_string] = ACTIONS(1616),
    [sym__simple_string] = ACTIONS(1616),
  },
  [1564] = {
    [sym_inline_modifier] = STATE(2259),
    [sym__indentable_expression] = STATE(13791),
    [sym_block] = STATE(8070),
    [sym_indented_block] = STATE(12700),
    [sym_indented_cases] = STATE(12700),
    [sym_expression] = STATE(12581),
    [sym__simple_expression] = STATE(7077),
    [sym_lambda_expression] = STATE(12742),
    [sym_if_expression] = STATE(12742),
    [sym_match_expression] = STATE(12742),
    [sym_try_expression] = STATE(12742),
    [sym_bindings] = STATE(15598),
    [sym_case_block] = STATE(8070),
    [sym_assignment_expression] = STATE(12742),
    [sym_generic_function] = STATE(8070),
    [sym_call_expression] = STATE(8070),
    [sym_field_expression] = STATE(8070),
    [sym_instance_expression] = STATE(8070),
    [sym_ascription_expression] = STATE(12742),
    [sym_infix_expression] = STATE(8913),
    [sym_postfix_expression] = STATE(12343),
    [sym__postfix_expression_choice] = STATE(16230),
    [sym_macro_body] = STATE(12742),
    [sym_prefix_expression] = STATE(10037),
    [sym_tuple_expression] = STATE(8070),
    [sym_parenthesized_expression] = STATE(8070),
    [sym_splice_expression] = STATE(8070),
    [sym_quote_expression] = STATE(8070),
    [sym_identifier] = STATE(6308),
    [sym__soft_identifier] = STATE(5234),
    [sym_wildcard] = STATE(8710),
    [sym__non_null_literal] = STATE(8070),
    [sym_boolean_literal] = STATE(8055),
    [sym_interpolated_string_expression] = STATE(8070),
    [sym_string] = STATE(8055),
    [sym_unit] = STATE(8070),
    [sym_return_expression] = STATE(12742),
    [sym_throw_expression] = STATE(12742),
    [sym_while_expression] = STATE(12742),
    [sym_do_while_expression] = STATE(12742),
    [sym_for_expression] = STATE(12742),
    [sym_comment] = STATE(1564),
    [sym_block_comment] = STATE(1564),
    [sym__alpha_identifier] = ACTIONS(1314),
    [anon_sym_LBRACE] = ACTIONS(1318),
    [anon_sym__] = ACTIONS(1320),
    [anon_sym_PLUS] = ACTIONS(1322),
    [anon_sym_DASH] = ACTIONS(1322),
    [anon_sym_end] = ACTIONS(1324),
    [anon_sym_if] = ACTIONS(2486),
    [anon_sym_while] = ACTIONS(2488),
    [anon_sym_for] = ACTIONS(2490),
    [anon_sym_try] = ACTIONS(2492),
    [anon_sym_new] = ACTIONS(1326),
    [anon_sym_opaque] = ACTIONS(1324),
    [anon_sym_implicit] = ACTIONS(2494),
    [anon_sym_inline] = ACTIONS(1328),
    [anon_sym_infix] = ACTIONS(1324),
    [anon_sym_open] = ACTIONS(1324),
    [anon_sym_transparent] = ACTIONS(1324),
    [anon_sym_LPAREN] = ACTIONS(1330),
    [anon_sym_macro] = ACTIONS(1740),
    [anon_sym_BANG] = ACTIONS(1322),
    [anon_sym_TILDE] = ACTIONS(1322),
    [anon_sym_DOLLAR] = ACTIONS(1332),
    [anon_sym_SQUOTE] = ACTIONS(1334),
    [sym__backquoted_id] = ACTIONS(1336),
    [sym_operator_identifier] = ACTIONS(2496),
    [sym_integer_literal] = ACTIONS(1340),
    [sym_floating_point_literal] = ACTIONS(1342),
    [anon_sym_true] = ACTIONS(1344),
    [anon_sym_false] = ACTIONS(1344),
    [sym_character_literal] = ACTIONS(1342),
    [sym_null_literal] = ACTIONS(1346),
    [anon_sym_return] = ACTIONS(2498),
    [anon_sym_throw] = ACTIONS(2500),
    [anon_sym_do] = ACTIONS(1748),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2158),
    [sym__simple_multiline_string] = ACTIONS(1348),
    [sym__simple_string] = ACTIONS(1348),
  },
  [1565] = {
    [sym_inline_modifier] = STATE(2130),
    [sym__indentable_expression] = STATE(13345),
    [sym_block] = STATE(9120),
    [sym_indented_block] = STATE(13388),
    [sym_indented_cases] = STATE(13388),
    [sym_expression] = STATE(13211),
    [sym__simple_expression] = STATE(6353),
    [sym_lambda_expression] = STATE(13422),
    [sym_if_expression] = STATE(13422),
    [sym_match_expression] = STATE(13422),
    [sym_try_expression] = STATE(13422),
    [sym_bindings] = STATE(15752),
    [sym_case_block] = STATE(9120),
    [sym_assignment_expression] = STATE(13422),
    [sym_generic_function] = STATE(9120),
    [sym_call_expression] = STATE(9120),
    [sym_field_expression] = STATE(9120),
    [sym_instance_expression] = STATE(9120),
    [sym_ascription_expression] = STATE(13422),
    [sym_infix_expression] = STATE(9820),
    [sym_postfix_expression] = STATE(13148),
    [sym__postfix_expression_choice] = STATE(15936),
    [sym_macro_body] = STATE(13422),
    [sym_prefix_expression] = STATE(9828),
    [sym_tuple_expression] = STATE(9120),
    [sym_parenthesized_expression] = STATE(9120),
    [sym_splice_expression] = STATE(9120),
    [sym_quote_expression] = STATE(9120),
    [sym_identifier] = STATE(5669),
    [sym__soft_identifier] = STATE(6470),
    [sym_wildcard] = STATE(8444),
    [sym__non_null_literal] = STATE(9120),
    [sym_boolean_literal] = STATE(8928),
    [sym_interpolated_string_expression] = STATE(9120),
    [sym_string] = STATE(8928),
    [sym_unit] = STATE(9120),
    [sym_return_expression] = STATE(13422),
    [sym_throw_expression] = STATE(13422),
    [sym_while_expression] = STATE(13422),
    [sym_do_while_expression] = STATE(13422),
    [sym_for_expression] = STATE(13422),
    [sym_comment] = STATE(1565),
    [sym_block_comment] = STATE(1565),
    [sym__alpha_identifier] = ACTIONS(1582),
    [anon_sym_LBRACE] = ACTIONS(1586),
    [anon_sym__] = ACTIONS(1588),
    [anon_sym_PLUS] = ACTIONS(1590),
    [anon_sym_DASH] = ACTIONS(1590),
    [anon_sym_end] = ACTIONS(1592),
    [anon_sym_if] = ACTIONS(1864),
    [anon_sym_while] = ACTIONS(1866),
    [anon_sym_for] = ACTIONS(1868),
    [anon_sym_try] = ACTIONS(1870),
    [anon_sym_new] = ACTIONS(1594),
    [anon_sym_opaque] = ACTIONS(1592),
    [anon_sym_implicit] = ACTIONS(1872),
    [anon_sym_inline] = ACTIONS(1596),
    [anon_sym_infix] = ACTIONS(1592),
    [anon_sym_open] = ACTIONS(1592),
    [anon_sym_transparent] = ACTIONS(1592),
    [anon_sym_LPAREN] = ACTIONS(1598),
    [anon_sym_macro] = ACTIONS(1874),
    [anon_sym_BANG] = ACTIONS(1590),
    [anon_sym_TILDE] = ACTIONS(1590),
    [anon_sym_DOLLAR] = ACTIONS(1600),
    [anon_sym_SQUOTE] = ACTIONS(1602),
    [sym__backquoted_id] = ACTIONS(1604),
    [sym_operator_identifier] = ACTIONS(1876),
    [sym_integer_literal] = ACTIONS(1608),
    [sym_floating_point_literal] = ACTIONS(1610),
    [anon_sym_true] = ACTIONS(1612),
    [anon_sym_false] = ACTIONS(1612),
    [sym_character_literal] = ACTIONS(1610),
    [sym_null_literal] = ACTIONS(1614),
    [anon_sym_return] = ACTIONS(1878),
    [anon_sym_throw] = ACTIONS(1880),
    [anon_sym_do] = ACTIONS(1882),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3282),
    [sym__simple_multiline_string] = ACTIONS(1616),
    [sym__simple_string] = ACTIONS(1616),
  },
  [1566] = {
    [sym_inline_modifier] = STATE(2084),
    [sym__indentable_expression] = STATE(16721),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(8831),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15722),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10635),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(662),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(8641),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(10149),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1566),
    [sym_block_comment] = STATE(1566),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2740),
    [anon_sym_while] = ACTIONS(2742),
    [anon_sym_for] = ACTIONS(2744),
    [anon_sym_try] = ACTIONS(2746),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2748),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3310),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3312),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2762),
    [anon_sym_throw] = ACTIONS(2764),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1567] = {
    [sym_inline_modifier] = STATE(2076),
    [sym__indentable_expression] = STATE(14188),
    [sym_block] = STATE(9327),
    [sym_indented_block] = STATE(13548),
    [sym_indented_cases] = STATE(13548),
    [sym_expression] = STATE(13406),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(1567),
    [sym_block_comment] = STATE(1567),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(3109),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [1568] = {
    [sym_inline_modifier] = STATE(2084),
    [sym__indentable_expression] = STATE(16963),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(8831),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15722),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10635),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(794),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(8641),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(10149),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1568),
    [sym_block_comment] = STATE(1568),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2740),
    [anon_sym_while] = ACTIONS(2742),
    [anon_sym_for] = ACTIONS(2744),
    [anon_sym_try] = ACTIONS(2746),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2748),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3310),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3312),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2762),
    [anon_sym_throw] = ACTIONS(2764),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1569] = {
    [sym_inline_modifier] = STATE(2038),
    [sym__indentable_expression] = STATE(12408),
    [sym_block] = STATE(8041),
    [sym_indented_block] = STATE(12292),
    [sym_indented_cases] = STATE(12292),
    [sym_expression] = STATE(12256),
    [sym__simple_expression] = STATE(6323),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15629),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(9695),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(5557),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(8528),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(1569),
    [sym_block_comment] = STATE(1569),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(3157),
    [anon_sym_while] = ACTIONS(2394),
    [anon_sym_for] = ACTIONS(2396),
    [anon_sym_try] = ACTIONS(2398),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2400),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(2402),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(2404),
    [anon_sym_throw] = ACTIONS(2406),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1570] = {
    [sym_inline_modifier] = STATE(2050),
    [sym__indentable_expression] = STATE(13134),
    [sym_block] = STATE(8375),
    [sym_indented_block] = STATE(13183),
    [sym_indented_cases] = STATE(13183),
    [sym_expression] = STATE(12800),
    [sym__simple_expression] = STATE(6499),
    [sym_lambda_expression] = STATE(13185),
    [sym_if_expression] = STATE(13185),
    [sym_match_expression] = STATE(13185),
    [sym_try_expression] = STATE(13185),
    [sym_bindings] = STATE(15649),
    [sym_case_block] = STATE(8375),
    [sym_assignment_expression] = STATE(13185),
    [sym_generic_function] = STATE(8375),
    [sym_call_expression] = STATE(8375),
    [sym_field_expression] = STATE(8375),
    [sym_instance_expression] = STATE(8375),
    [sym_ascription_expression] = STATE(13185),
    [sym_infix_expression] = STATE(9364),
    [sym_postfix_expression] = STATE(12809),
    [sym__postfix_expression_choice] = STATE(16440),
    [sym_macro_body] = STATE(13185),
    [sym_prefix_expression] = STATE(9765),
    [sym_tuple_expression] = STATE(8375),
    [sym_parenthesized_expression] = STATE(8375),
    [sym_splice_expression] = STATE(8375),
    [sym_quote_expression] = STATE(8375),
    [sym_identifier] = STATE(5812),
    [sym__soft_identifier] = STATE(5430),
    [sym_wildcard] = STATE(8380),
    [sym__non_null_literal] = STATE(8375),
    [sym_boolean_literal] = STATE(8117),
    [sym_interpolated_string_expression] = STATE(8375),
    [sym_string] = STATE(8117),
    [sym_unit] = STATE(8375),
    [sym_return_expression] = STATE(13185),
    [sym_throw_expression] = STATE(13185),
    [sym_while_expression] = STATE(13185),
    [sym_do_while_expression] = STATE(13185),
    [sym_for_expression] = STATE(13185),
    [sym_comment] = STATE(1570),
    [sym_block_comment] = STATE(1570),
    [sym__alpha_identifier] = ACTIONS(1618),
    [anon_sym_LBRACE] = ACTIONS(1622),
    [anon_sym__] = ACTIONS(1624),
    [anon_sym_PLUS] = ACTIONS(1626),
    [anon_sym_DASH] = ACTIONS(1626),
    [anon_sym_end] = ACTIONS(1628),
    [anon_sym_if] = ACTIONS(2064),
    [anon_sym_while] = ACTIONS(2066),
    [anon_sym_for] = ACTIONS(2068),
    [anon_sym_try] = ACTIONS(2070),
    [anon_sym_new] = ACTIONS(1630),
    [anon_sym_opaque] = ACTIONS(1628),
    [anon_sym_implicit] = ACTIONS(2072),
    [anon_sym_inline] = ACTIONS(1632),
    [anon_sym_infix] = ACTIONS(1628),
    [anon_sym_open] = ACTIONS(1628),
    [anon_sym_transparent] = ACTIONS(1628),
    [anon_sym_LPAREN] = ACTIONS(1634),
    [anon_sym_macro] = ACTIONS(2074),
    [anon_sym_BANG] = ACTIONS(1626),
    [anon_sym_TILDE] = ACTIONS(1626),
    [anon_sym_DOLLAR] = ACTIONS(1636),
    [anon_sym_SQUOTE] = ACTIONS(1638),
    [sym__backquoted_id] = ACTIONS(1640),
    [sym_operator_identifier] = ACTIONS(2076),
    [sym_integer_literal] = ACTIONS(1644),
    [sym_floating_point_literal] = ACTIONS(1646),
    [anon_sym_true] = ACTIONS(1648),
    [anon_sym_false] = ACTIONS(1648),
    [sym_character_literal] = ACTIONS(1646),
    [sym_null_literal] = ACTIONS(1650),
    [anon_sym_return] = ACTIONS(2078),
    [anon_sym_throw] = ACTIONS(2080),
    [anon_sym_do] = ACTIONS(2082),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1652),
    [sym__simple_string] = ACTIONS(1652),
  },
  [1571] = {
    [sym_inline_modifier] = STATE(2067),
    [sym__indentable_expression] = STATE(14031),
    [sym_block] = STATE(10133),
    [sym_indented_block] = STATE(12292),
    [sym_indented_cases] = STATE(12292),
    [sym_expression] = STATE(13765),
    [sym__simple_expression] = STATE(7525),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15728),
    [sym_case_block] = STATE(10133),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(10133),
    [sym_call_expression] = STATE(10133),
    [sym_field_expression] = STATE(10133),
    [sym_instance_expression] = STATE(10133),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(10489),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(17114),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10321),
    [sym_tuple_expression] = STATE(10133),
    [sym_parenthesized_expression] = STATE(10133),
    [sym_splice_expression] = STATE(10133),
    [sym_quote_expression] = STATE(10133),
    [sym_identifier] = STATE(7070),
    [sym__soft_identifier] = STATE(4482),
    [sym_wildcard] = STATE(9321),
    [sym__non_null_literal] = STATE(10133),
    [sym_boolean_literal] = STATE(7065),
    [sym_interpolated_string_expression] = STATE(10133),
    [sym_string] = STATE(7065),
    [sym_unit] = STATE(10133),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(1571),
    [sym_block_comment] = STATE(1571),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_end] = ACTIONS(2374),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_opaque] = ACTIONS(2374),
    [anon_sym_implicit] = ACTIONS(3002),
    [anon_sym_inline] = ACTIONS(67),
    [anon_sym_infix] = ACTIONS(2374),
    [anon_sym_open] = ACTIONS(2374),
    [anon_sym_transparent] = ACTIONS(2374),
    [anon_sym_LPAREN] = ACTIONS(75),
    [anon_sym_macro] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(83),
    [sym_operator_identifier] = ACTIONS(85),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(95),
    [anon_sym_throw] = ACTIONS(97),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [1572] = {
    [sym_inline_modifier] = STATE(2038),
    [sym__indentable_expression] = STATE(12304),
    [sym_block] = STATE(8041),
    [sym_indented_block] = STATE(12292),
    [sym_indented_cases] = STATE(12292),
    [sym_expression] = STATE(12256),
    [sym__simple_expression] = STATE(6323),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15629),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(9695),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(5557),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(8528),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(1572),
    [sym_block_comment] = STATE(1572),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(3157),
    [anon_sym_while] = ACTIONS(2394),
    [anon_sym_for] = ACTIONS(2396),
    [anon_sym_try] = ACTIONS(2398),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2400),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(2402),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(2404),
    [anon_sym_throw] = ACTIONS(2406),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1573] = {
    [sym_inline_modifier] = STATE(2323),
    [sym__indentable_expression] = STATE(13401),
    [sym_block] = STATE(6954),
    [sym_indented_block] = STATE(11923),
    [sym_indented_cases] = STATE(11923),
    [sym_expression] = STATE(12206),
    [sym__simple_expression] = STATE(5520),
    [sym_lambda_expression] = STATE(12144),
    [sym_if_expression] = STATE(12144),
    [sym_match_expression] = STATE(12144),
    [sym_try_expression] = STATE(12144),
    [sym_bindings] = STATE(15572),
    [sym_case_block] = STATE(6954),
    [sym_assignment_expression] = STATE(12144),
    [sym_generic_function] = STATE(6954),
    [sym_call_expression] = STATE(6954),
    [sym_field_expression] = STATE(6954),
    [sym_instance_expression] = STATE(6954),
    [sym_ascription_expression] = STATE(12144),
    [sym_infix_expression] = STATE(8226),
    [sym_postfix_expression] = STATE(11499),
    [sym__postfix_expression_choice] = STATE(16229),
    [sym_macro_body] = STATE(12144),
    [sym_prefix_expression] = STATE(9280),
    [sym_tuple_expression] = STATE(6954),
    [sym_parenthesized_expression] = STATE(6954),
    [sym_splice_expression] = STATE(6954),
    [sym_quote_expression] = STATE(6954),
    [sym_identifier] = STATE(5300),
    [sym__soft_identifier] = STATE(4827),
    [sym_wildcard] = STATE(7542),
    [sym__non_null_literal] = STATE(6954),
    [sym_boolean_literal] = STATE(6997),
    [sym_interpolated_string_expression] = STATE(6954),
    [sym_string] = STATE(6997),
    [sym_unit] = STATE(6954),
    [sym_return_expression] = STATE(12144),
    [sym_throw_expression] = STATE(12144),
    [sym_while_expression] = STATE(12144),
    [sym_do_while_expression] = STATE(12144),
    [sym_for_expression] = STATE(12144),
    [sym_comment] = STATE(1573),
    [sym_block_comment] = STATE(1573),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(3235),
    [anon_sym_while] = ACTIONS(1924),
    [anon_sym_for] = ACTIONS(1926),
    [anon_sym_try] = ACTIONS(1928),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(1930),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1894),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(1932),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(1934),
    [anon_sym_throw] = ACTIONS(1936),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3280),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [1574] = {
    [sym_inline_modifier] = STATE(2259),
    [sym__indentable_expression] = STATE(13788),
    [sym_block] = STATE(8070),
    [sym_indented_block] = STATE(12700),
    [sym_indented_cases] = STATE(12700),
    [sym_expression] = STATE(12581),
    [sym__simple_expression] = STATE(7077),
    [sym_lambda_expression] = STATE(12742),
    [sym_if_expression] = STATE(12742),
    [sym_match_expression] = STATE(12742),
    [sym_try_expression] = STATE(12742),
    [sym_bindings] = STATE(15598),
    [sym_case_block] = STATE(8070),
    [sym_assignment_expression] = STATE(12742),
    [sym_generic_function] = STATE(8070),
    [sym_call_expression] = STATE(8070),
    [sym_field_expression] = STATE(8070),
    [sym_instance_expression] = STATE(8070),
    [sym_ascription_expression] = STATE(12742),
    [sym_infix_expression] = STATE(8913),
    [sym_postfix_expression] = STATE(12343),
    [sym__postfix_expression_choice] = STATE(16230),
    [sym_macro_body] = STATE(12742),
    [sym_prefix_expression] = STATE(10037),
    [sym_tuple_expression] = STATE(8070),
    [sym_parenthesized_expression] = STATE(8070),
    [sym_splice_expression] = STATE(8070),
    [sym_quote_expression] = STATE(8070),
    [sym_identifier] = STATE(6308),
    [sym__soft_identifier] = STATE(5234),
    [sym_wildcard] = STATE(8710),
    [sym__non_null_literal] = STATE(8070),
    [sym_boolean_literal] = STATE(8055),
    [sym_interpolated_string_expression] = STATE(8070),
    [sym_string] = STATE(8055),
    [sym_unit] = STATE(8070),
    [sym_return_expression] = STATE(12742),
    [sym_throw_expression] = STATE(12742),
    [sym_while_expression] = STATE(12742),
    [sym_do_while_expression] = STATE(12742),
    [sym_for_expression] = STATE(12742),
    [sym_comment] = STATE(1574),
    [sym_block_comment] = STATE(1574),
    [sym__alpha_identifier] = ACTIONS(1314),
    [anon_sym_LBRACE] = ACTIONS(1318),
    [anon_sym__] = ACTIONS(1320),
    [anon_sym_PLUS] = ACTIONS(1322),
    [anon_sym_DASH] = ACTIONS(1322),
    [anon_sym_end] = ACTIONS(1324),
    [anon_sym_if] = ACTIONS(2486),
    [anon_sym_while] = ACTIONS(2488),
    [anon_sym_for] = ACTIONS(2490),
    [anon_sym_try] = ACTIONS(2492),
    [anon_sym_new] = ACTIONS(1326),
    [anon_sym_opaque] = ACTIONS(1324),
    [anon_sym_implicit] = ACTIONS(2494),
    [anon_sym_inline] = ACTIONS(1328),
    [anon_sym_infix] = ACTIONS(1324),
    [anon_sym_open] = ACTIONS(1324),
    [anon_sym_transparent] = ACTIONS(1324),
    [anon_sym_LPAREN] = ACTIONS(1330),
    [anon_sym_macro] = ACTIONS(1740),
    [anon_sym_BANG] = ACTIONS(1322),
    [anon_sym_TILDE] = ACTIONS(1322),
    [anon_sym_DOLLAR] = ACTIONS(1332),
    [anon_sym_SQUOTE] = ACTIONS(1334),
    [sym__backquoted_id] = ACTIONS(1336),
    [sym_operator_identifier] = ACTIONS(2496),
    [sym_integer_literal] = ACTIONS(1340),
    [sym_floating_point_literal] = ACTIONS(1342),
    [anon_sym_true] = ACTIONS(1344),
    [anon_sym_false] = ACTIONS(1344),
    [sym_character_literal] = ACTIONS(1342),
    [sym_null_literal] = ACTIONS(1346),
    [anon_sym_return] = ACTIONS(2498),
    [anon_sym_throw] = ACTIONS(2500),
    [anon_sym_do] = ACTIONS(1748),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2158),
    [sym__simple_multiline_string] = ACTIONS(1348),
    [sym__simple_string] = ACTIONS(1348),
  },
  [1575] = {
    [sym_inline_modifier] = STATE(2038),
    [sym__indentable_expression] = STATE(12291),
    [sym_block] = STATE(8041),
    [sym_indented_block] = STATE(12292),
    [sym_indented_cases] = STATE(12292),
    [sym_expression] = STATE(12256),
    [sym__simple_expression] = STATE(6323),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15629),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(9695),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(5557),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(8528),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(1575),
    [sym_block_comment] = STATE(1575),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(3157),
    [anon_sym_while] = ACTIONS(2394),
    [anon_sym_for] = ACTIONS(2396),
    [anon_sym_try] = ACTIONS(2398),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2400),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(2402),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(2404),
    [anon_sym_throw] = ACTIONS(2406),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1576] = {
    [sym_inline_modifier] = STATE(2084),
    [sym__indentable_expression] = STATE(15990),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(8831),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15722),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10635),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(742),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(8641),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(10149),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1576),
    [sym_block_comment] = STATE(1576),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2740),
    [anon_sym_while] = ACTIONS(2742),
    [anon_sym_for] = ACTIONS(2744),
    [anon_sym_try] = ACTIONS(2746),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2748),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3310),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3312),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2762),
    [anon_sym_throw] = ACTIONS(2764),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1577] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(13463),
    [sym_block] = STATE(9088),
    [sym_indented_block] = STATE(13438),
    [sym_indented_cases] = STATE(13438),
    [sym_expression] = STATE(12942),
    [sym__simple_expression] = STATE(7286),
    [sym_lambda_expression] = STATE(13338),
    [sym_if_expression] = STATE(13338),
    [sym_match_expression] = STATE(13338),
    [sym_try_expression] = STATE(13338),
    [sym_bindings] = STATE(15723),
    [sym_case_block] = STATE(9088),
    [sym_assignment_expression] = STATE(13338),
    [sym_generic_function] = STATE(9088),
    [sym_call_expression] = STATE(9088),
    [sym_field_expression] = STATE(9088),
    [sym_instance_expression] = STATE(9088),
    [sym_ascription_expression] = STATE(13338),
    [sym_infix_expression] = STATE(9773),
    [sym_postfix_expression] = STATE(13117),
    [sym__postfix_expression_choice] = STATE(15912),
    [sym_macro_body] = STATE(13338),
    [sym_prefix_expression] = STATE(10020),
    [sym_tuple_expression] = STATE(9088),
    [sym_parenthesized_expression] = STATE(9088),
    [sym_splice_expression] = STATE(9088),
    [sym_quote_expression] = STATE(9088),
    [sym_identifier] = STATE(6105),
    [sym__soft_identifier] = STATE(6581),
    [sym_wildcard] = STATE(8709),
    [sym__non_null_literal] = STATE(9088),
    [sym_boolean_literal] = STATE(8905),
    [sym_interpolated_string_expression] = STATE(9088),
    [sym_string] = STATE(8905),
    [sym_unit] = STATE(9088),
    [sym_return_expression] = STATE(13338),
    [sym_throw_expression] = STATE(13338),
    [sym_while_expression] = STATE(13338),
    [sym_do_while_expression] = STATE(13338),
    [sym_for_expression] = STATE(13338),
    [sym_comment] = STATE(1577),
    [sym_block_comment] = STATE(1577),
    [sym__alpha_identifier] = ACTIONS(1938),
    [anon_sym_LBRACE] = ACTIONS(1942),
    [anon_sym__] = ACTIONS(1944),
    [anon_sym_PLUS] = ACTIONS(1946),
    [anon_sym_DASH] = ACTIONS(1946),
    [anon_sym_end] = ACTIONS(1948),
    [anon_sym_if] = ACTIONS(2260),
    [anon_sym_while] = ACTIONS(2262),
    [anon_sym_for] = ACTIONS(2264),
    [anon_sym_try] = ACTIONS(2266),
    [anon_sym_new] = ACTIONS(1950),
    [anon_sym_opaque] = ACTIONS(1948),
    [anon_sym_implicit] = ACTIONS(2268),
    [anon_sym_inline] = ACTIONS(1952),
    [anon_sym_infix] = ACTIONS(1948),
    [anon_sym_open] = ACTIONS(1948),
    [anon_sym_transparent] = ACTIONS(1948),
    [anon_sym_LPAREN] = ACTIONS(1954),
    [anon_sym_macro] = ACTIONS(2270),
    [anon_sym_BANG] = ACTIONS(1946),
    [anon_sym_TILDE] = ACTIONS(1946),
    [anon_sym_DOLLAR] = ACTIONS(1956),
    [anon_sym_SQUOTE] = ACTIONS(1958),
    [sym__backquoted_id] = ACTIONS(1960),
    [sym_operator_identifier] = ACTIONS(2272),
    [sym_integer_literal] = ACTIONS(1964),
    [sym_floating_point_literal] = ACTIONS(1966),
    [anon_sym_true] = ACTIONS(1968),
    [anon_sym_false] = ACTIONS(1968),
    [sym_character_literal] = ACTIONS(1966),
    [sym_null_literal] = ACTIONS(1970),
    [anon_sym_return] = ACTIONS(2274),
    [anon_sym_throw] = ACTIONS(2276),
    [anon_sym_do] = ACTIONS(2278),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2346),
    [sym__simple_multiline_string] = ACTIONS(1972),
    [sym__simple_string] = ACTIONS(1972),
  },
  [1578] = {
    [sym_inline_modifier] = STATE(2246),
    [sym__indentable_expression] = STATE(12923),
    [sym_block] = STATE(8360),
    [sym_indented_block] = STATE(13059),
    [sym_indented_cases] = STATE(13059),
    [sym_expression] = STATE(12867),
    [sym__simple_expression] = STATE(5440),
    [sym_lambda_expression] = STATE(13229),
    [sym_if_expression] = STATE(13229),
    [sym_match_expression] = STATE(13229),
    [sym_try_expression] = STATE(13229),
    [sym_bindings] = STATE(15490),
    [sym_case_block] = STATE(8360),
    [sym_assignment_expression] = STATE(13229),
    [sym_generic_function] = STATE(8360),
    [sym_call_expression] = STATE(8360),
    [sym_field_expression] = STATE(8360),
    [sym_instance_expression] = STATE(8360),
    [sym_ascription_expression] = STATE(13229),
    [sym_infix_expression] = STATE(9581),
    [sym_postfix_expression] = STATE(12866),
    [sym__postfix_expression_choice] = STATE(15971),
    [sym_macro_body] = STATE(13229),
    [sym_prefix_expression] = STATE(9366),
    [sym_tuple_expression] = STATE(8360),
    [sym_parenthesized_expression] = STATE(8360),
    [sym_splice_expression] = STATE(8360),
    [sym_quote_expression] = STATE(8360),
    [sym_identifier] = STATE(5277),
    [sym__soft_identifier] = STATE(5563),
    [sym_wildcard] = STATE(7446),
    [sym__non_null_literal] = STATE(8360),
    [sym_boolean_literal] = STATE(8269),
    [sym_interpolated_string_expression] = STATE(8360),
    [sym_string] = STATE(8269),
    [sym_unit] = STATE(8360),
    [sym_return_expression] = STATE(13229),
    [sym_throw_expression] = STATE(13229),
    [sym_while_expression] = STATE(13229),
    [sym_do_while_expression] = STATE(13229),
    [sym_for_expression] = STATE(13229),
    [sym_comment] = STATE(1578),
    [sym_block_comment] = STATE(1578),
    [sym__alpha_identifier] = ACTIONS(1242),
    [anon_sym_LBRACE] = ACTIONS(1246),
    [anon_sym__] = ACTIONS(1248),
    [anon_sym_PLUS] = ACTIONS(1250),
    [anon_sym_DASH] = ACTIONS(1250),
    [anon_sym_end] = ACTIONS(1252),
    [anon_sym_if] = ACTIONS(2210),
    [anon_sym_while] = ACTIONS(2030),
    [anon_sym_for] = ACTIONS(2032),
    [anon_sym_try] = ACTIONS(2034),
    [anon_sym_new] = ACTIONS(1254),
    [anon_sym_opaque] = ACTIONS(1252),
    [anon_sym_implicit] = ACTIONS(2036),
    [anon_sym_inline] = ACTIONS(1256),
    [anon_sym_infix] = ACTIONS(1252),
    [anon_sym_open] = ACTIONS(1252),
    [anon_sym_transparent] = ACTIONS(1252),
    [anon_sym_LPAREN] = ACTIONS(1258),
    [anon_sym_macro] = ACTIONS(1664),
    [anon_sym_BANG] = ACTIONS(1250),
    [anon_sym_TILDE] = ACTIONS(1250),
    [anon_sym_DOLLAR] = ACTIONS(1260),
    [anon_sym_SQUOTE] = ACTIONS(1262),
    [sym__backquoted_id] = ACTIONS(1264),
    [sym_operator_identifier] = ACTIONS(2038),
    [sym_integer_literal] = ACTIONS(1268),
    [sym_floating_point_literal] = ACTIONS(1270),
    [anon_sym_true] = ACTIONS(1272),
    [anon_sym_false] = ACTIONS(1272),
    [sym_character_literal] = ACTIONS(1270),
    [sym_null_literal] = ACTIONS(1274),
    [anon_sym_return] = ACTIONS(2040),
    [anon_sym_throw] = ACTIONS(2042),
    [anon_sym_do] = ACTIONS(1672),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2212),
    [sym__simple_multiline_string] = ACTIONS(1276),
    [sym__simple_string] = ACTIONS(1276),
  },
  [1579] = {
    [sym_inline_modifier] = STATE(2114),
    [sym__indentable_expression] = STATE(13864),
    [sym_block] = STATE(8218),
    [sym_indented_block] = STATE(13075),
    [sym_indented_cases] = STATE(13075),
    [sym_expression] = STATE(12682),
    [sym__simple_expression] = STATE(7544),
    [sym_lambda_expression] = STATE(13097),
    [sym_if_expression] = STATE(13097),
    [sym_match_expression] = STATE(13097),
    [sym_try_expression] = STATE(13097),
    [sym_bindings] = STATE(15630),
    [sym_case_block] = STATE(8218),
    [sym_assignment_expression] = STATE(13097),
    [sym_generic_function] = STATE(8218),
    [sym_call_expression] = STATE(8218),
    [sym_field_expression] = STATE(8218),
    [sym_instance_expression] = STATE(8218),
    [sym_ascription_expression] = STATE(13097),
    [sym_infix_expression] = STATE(9424),
    [sym_postfix_expression] = STATE(12765),
    [sym__postfix_expression_choice] = STATE(16117),
    [sym_macro_body] = STATE(13097),
    [sym_prefix_expression] = STATE(10300),
    [sym_tuple_expression] = STATE(8218),
    [sym_parenthesized_expression] = STATE(8218),
    [sym_splice_expression] = STATE(8218),
    [sym_quote_expression] = STATE(8218),
    [sym_identifier] = STATE(7100),
    [sym__soft_identifier] = STATE(5752),
    [sym_wildcard] = STATE(9268),
    [sym__non_null_literal] = STATE(8218),
    [sym_boolean_literal] = STATE(8413),
    [sym_interpolated_string_expression] = STATE(8218),
    [sym_string] = STATE(8413),
    [sym_unit] = STATE(8218),
    [sym_return_expression] = STATE(13097),
    [sym_throw_expression] = STATE(13097),
    [sym_while_expression] = STATE(13097),
    [sym_do_while_expression] = STATE(13097),
    [sym_for_expression] = STATE(13097),
    [sym_comment] = STATE(1579),
    [sym_block_comment] = STATE(1579),
    [sym__alpha_identifier] = ACTIONS(1494),
    [anon_sym_LBRACE] = ACTIONS(1498),
    [anon_sym__] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1502),
    [anon_sym_end] = ACTIONS(1504),
    [anon_sym_if] = ACTIONS(2845),
    [anon_sym_while] = ACTIONS(2847),
    [anon_sym_for] = ACTIONS(2849),
    [anon_sym_try] = ACTIONS(2851),
    [anon_sym_new] = ACTIONS(1506),
    [anon_sym_opaque] = ACTIONS(1504),
    [anon_sym_implicit] = ACTIONS(2853),
    [anon_sym_inline] = ACTIONS(1508),
    [anon_sym_infix] = ACTIONS(1504),
    [anon_sym_open] = ACTIONS(1504),
    [anon_sym_transparent] = ACTIONS(1504),
    [anon_sym_LPAREN] = ACTIONS(1510),
    [anon_sym_macro] = ACTIONS(2054),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_TILDE] = ACTIONS(1502),
    [anon_sym_DOLLAR] = ACTIONS(1512),
    [anon_sym_SQUOTE] = ACTIONS(1514),
    [sym__backquoted_id] = ACTIONS(1516),
    [sym_operator_identifier] = ACTIONS(3314),
    [sym_integer_literal] = ACTIONS(1520),
    [sym_floating_point_literal] = ACTIONS(1522),
    [anon_sym_true] = ACTIONS(1524),
    [anon_sym_false] = ACTIONS(1524),
    [sym_character_literal] = ACTIONS(1522),
    [sym_null_literal] = ACTIONS(1526),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2062),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3316),
    [sym__simple_multiline_string] = ACTIONS(1528),
    [sym__simple_string] = ACTIONS(1528),
  },
  [1580] = {
    [sym_inline_modifier] = STATE(2050),
    [sym__indentable_expression] = STATE(13082),
    [sym_block] = STATE(8375),
    [sym_indented_block] = STATE(13183),
    [sym_indented_cases] = STATE(13183),
    [sym_expression] = STATE(12800),
    [sym__simple_expression] = STATE(6499),
    [sym_lambda_expression] = STATE(13185),
    [sym_if_expression] = STATE(13185),
    [sym_match_expression] = STATE(13185),
    [sym_try_expression] = STATE(13185),
    [sym_bindings] = STATE(15649),
    [sym_case_block] = STATE(8375),
    [sym_assignment_expression] = STATE(13185),
    [sym_generic_function] = STATE(8375),
    [sym_call_expression] = STATE(8375),
    [sym_field_expression] = STATE(8375),
    [sym_instance_expression] = STATE(8375),
    [sym_ascription_expression] = STATE(13185),
    [sym_infix_expression] = STATE(9364),
    [sym_postfix_expression] = STATE(12809),
    [sym__postfix_expression_choice] = STATE(16440),
    [sym_macro_body] = STATE(13185),
    [sym_prefix_expression] = STATE(9765),
    [sym_tuple_expression] = STATE(8375),
    [sym_parenthesized_expression] = STATE(8375),
    [sym_splice_expression] = STATE(8375),
    [sym_quote_expression] = STATE(8375),
    [sym_identifier] = STATE(5812),
    [sym__soft_identifier] = STATE(5430),
    [sym_wildcard] = STATE(8380),
    [sym__non_null_literal] = STATE(8375),
    [sym_boolean_literal] = STATE(8117),
    [sym_interpolated_string_expression] = STATE(8375),
    [sym_string] = STATE(8117),
    [sym_unit] = STATE(8375),
    [sym_return_expression] = STATE(13185),
    [sym_throw_expression] = STATE(13185),
    [sym_while_expression] = STATE(13185),
    [sym_do_while_expression] = STATE(13185),
    [sym_for_expression] = STATE(13185),
    [sym_comment] = STATE(1580),
    [sym_block_comment] = STATE(1580),
    [sym__alpha_identifier] = ACTIONS(1618),
    [anon_sym_LBRACE] = ACTIONS(1622),
    [anon_sym__] = ACTIONS(1624),
    [anon_sym_PLUS] = ACTIONS(1626),
    [anon_sym_DASH] = ACTIONS(1626),
    [anon_sym_end] = ACTIONS(1628),
    [anon_sym_if] = ACTIONS(2064),
    [anon_sym_while] = ACTIONS(2066),
    [anon_sym_for] = ACTIONS(2068),
    [anon_sym_try] = ACTIONS(2070),
    [anon_sym_new] = ACTIONS(1630),
    [anon_sym_opaque] = ACTIONS(1628),
    [anon_sym_implicit] = ACTIONS(2072),
    [anon_sym_inline] = ACTIONS(1632),
    [anon_sym_infix] = ACTIONS(1628),
    [anon_sym_open] = ACTIONS(1628),
    [anon_sym_transparent] = ACTIONS(1628),
    [anon_sym_LPAREN] = ACTIONS(1634),
    [anon_sym_macro] = ACTIONS(2074),
    [anon_sym_BANG] = ACTIONS(1626),
    [anon_sym_TILDE] = ACTIONS(1626),
    [anon_sym_DOLLAR] = ACTIONS(1636),
    [anon_sym_SQUOTE] = ACTIONS(1638),
    [sym__backquoted_id] = ACTIONS(1640),
    [sym_operator_identifier] = ACTIONS(2076),
    [sym_integer_literal] = ACTIONS(1644),
    [sym_floating_point_literal] = ACTIONS(1646),
    [anon_sym_true] = ACTIONS(1648),
    [anon_sym_false] = ACTIONS(1648),
    [sym_character_literal] = ACTIONS(1646),
    [sym_null_literal] = ACTIONS(1650),
    [anon_sym_return] = ACTIONS(2078),
    [anon_sym_throw] = ACTIONS(2080),
    [anon_sym_do] = ACTIONS(2082),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1652),
    [sym__simple_string] = ACTIONS(1652),
  },
  [1581] = {
    [sym_inline_modifier] = STATE(2084),
    [sym__indentable_expression] = STATE(16065),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(8831),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15722),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10635),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(793),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(8641),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(10149),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1581),
    [sym_block_comment] = STATE(1581),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2740),
    [anon_sym_while] = ACTIONS(2742),
    [anon_sym_for] = ACTIONS(2744),
    [anon_sym_try] = ACTIONS(2746),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2748),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3310),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3312),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2762),
    [anon_sym_throw] = ACTIONS(2764),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1582] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(13462),
    [sym_block] = STATE(9088),
    [sym_indented_block] = STATE(13438),
    [sym_indented_cases] = STATE(13438),
    [sym_expression] = STATE(12942),
    [sym__simple_expression] = STATE(7286),
    [sym_lambda_expression] = STATE(13338),
    [sym_if_expression] = STATE(13338),
    [sym_match_expression] = STATE(13338),
    [sym_try_expression] = STATE(13338),
    [sym_bindings] = STATE(15723),
    [sym_case_block] = STATE(9088),
    [sym_assignment_expression] = STATE(13338),
    [sym_generic_function] = STATE(9088),
    [sym_call_expression] = STATE(9088),
    [sym_field_expression] = STATE(9088),
    [sym_instance_expression] = STATE(9088),
    [sym_ascription_expression] = STATE(13338),
    [sym_infix_expression] = STATE(9773),
    [sym_postfix_expression] = STATE(13117),
    [sym__postfix_expression_choice] = STATE(15912),
    [sym_macro_body] = STATE(13338),
    [sym_prefix_expression] = STATE(10020),
    [sym_tuple_expression] = STATE(9088),
    [sym_parenthesized_expression] = STATE(9088),
    [sym_splice_expression] = STATE(9088),
    [sym_quote_expression] = STATE(9088),
    [sym_identifier] = STATE(6105),
    [sym__soft_identifier] = STATE(6581),
    [sym_wildcard] = STATE(8709),
    [sym__non_null_literal] = STATE(9088),
    [sym_boolean_literal] = STATE(8905),
    [sym_interpolated_string_expression] = STATE(9088),
    [sym_string] = STATE(8905),
    [sym_unit] = STATE(9088),
    [sym_return_expression] = STATE(13338),
    [sym_throw_expression] = STATE(13338),
    [sym_while_expression] = STATE(13338),
    [sym_do_while_expression] = STATE(13338),
    [sym_for_expression] = STATE(13338),
    [sym_comment] = STATE(1582),
    [sym_block_comment] = STATE(1582),
    [sym__alpha_identifier] = ACTIONS(1938),
    [anon_sym_LBRACE] = ACTIONS(1942),
    [anon_sym__] = ACTIONS(1944),
    [anon_sym_PLUS] = ACTIONS(1946),
    [anon_sym_DASH] = ACTIONS(1946),
    [anon_sym_end] = ACTIONS(1948),
    [anon_sym_if] = ACTIONS(2260),
    [anon_sym_while] = ACTIONS(2262),
    [anon_sym_for] = ACTIONS(2264),
    [anon_sym_try] = ACTIONS(2266),
    [anon_sym_new] = ACTIONS(1950),
    [anon_sym_opaque] = ACTIONS(1948),
    [anon_sym_implicit] = ACTIONS(2268),
    [anon_sym_inline] = ACTIONS(1952),
    [anon_sym_infix] = ACTIONS(1948),
    [anon_sym_open] = ACTIONS(1948),
    [anon_sym_transparent] = ACTIONS(1948),
    [anon_sym_LPAREN] = ACTIONS(1954),
    [anon_sym_macro] = ACTIONS(2270),
    [anon_sym_BANG] = ACTIONS(1946),
    [anon_sym_TILDE] = ACTIONS(1946),
    [anon_sym_DOLLAR] = ACTIONS(1956),
    [anon_sym_SQUOTE] = ACTIONS(1958),
    [sym__backquoted_id] = ACTIONS(1960),
    [sym_operator_identifier] = ACTIONS(2272),
    [sym_integer_literal] = ACTIONS(1964),
    [sym_floating_point_literal] = ACTIONS(1966),
    [anon_sym_true] = ACTIONS(1968),
    [anon_sym_false] = ACTIONS(1968),
    [sym_character_literal] = ACTIONS(1966),
    [sym_null_literal] = ACTIONS(1970),
    [anon_sym_return] = ACTIONS(2274),
    [anon_sym_throw] = ACTIONS(2276),
    [anon_sym_do] = ACTIONS(2278),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2346),
    [sym__simple_multiline_string] = ACTIONS(1972),
    [sym__simple_string] = ACTIONS(1972),
  },
  [1583] = {
    [sym_inline_modifier] = STATE(2054),
    [sym__indentable_expression] = STATE(12408),
    [sym_block] = STATE(8041),
    [sym_indented_block] = STATE(12292),
    [sym_indented_cases] = STATE(12292),
    [sym_expression] = STATE(12256),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(7036),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(1583),
    [sym_block_comment] = STATE(1583),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2807),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1584] = {
    [sym_inline_modifier] = STATE(2074),
    [sym__indentable_expression] = STATE(13063),
    [sym_block] = STATE(9523),
    [sym_indented_block] = STATE(11535),
    [sym_indented_cases] = STATE(11535),
    [sym_expression] = STATE(13312),
    [sym__simple_expression] = STATE(6085),
    [sym_lambda_expression] = STATE(11549),
    [sym_if_expression] = STATE(11549),
    [sym_match_expression] = STATE(11549),
    [sym_try_expression] = STATE(11549),
    [sym_bindings] = STATE(15713),
    [sym_case_block] = STATE(9523),
    [sym_assignment_expression] = STATE(11549),
    [sym_generic_function] = STATE(9523),
    [sym_call_expression] = STATE(9523),
    [sym_field_expression] = STATE(9523),
    [sym_instance_expression] = STATE(9523),
    [sym_ascription_expression] = STATE(11549),
    [sym_infix_expression] = STATE(10056),
    [sym_postfix_expression] = STATE(11204),
    [sym__postfix_expression_choice] = STATE(16623),
    [sym_macro_body] = STATE(11549),
    [sym_prefix_expression] = STATE(9754),
    [sym_tuple_expression] = STATE(9523),
    [sym_parenthesized_expression] = STATE(9523),
    [sym_splice_expression] = STATE(9523),
    [sym_quote_expression] = STATE(9523),
    [sym_identifier] = STATE(5442),
    [sym__soft_identifier] = STATE(4485),
    [sym_wildcard] = STATE(8639),
    [sym__non_null_literal] = STATE(9523),
    [sym_boolean_literal] = STATE(5592),
    [sym_interpolated_string_expression] = STATE(9523),
    [sym_string] = STATE(5592),
    [sym_unit] = STATE(9523),
    [sym_return_expression] = STATE(11549),
    [sym_throw_expression] = STATE(11549),
    [sym_while_expression] = STATE(11549),
    [sym_do_while_expression] = STATE(11549),
    [sym_for_expression] = STATE(11549),
    [sym_comment] = STATE(1584),
    [sym_block_comment] = STATE(1584),
    [sym__alpha_identifier] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(1392),
    [anon_sym__] = ACTIONS(1394),
    [anon_sym_PLUS] = ACTIONS(1396),
    [anon_sym_DASH] = ACTIONS(1396),
    [anon_sym_end] = ACTIONS(1398),
    [anon_sym_if] = ACTIONS(1820),
    [anon_sym_while] = ACTIONS(1822),
    [anon_sym_for] = ACTIONS(1824),
    [anon_sym_try] = ACTIONS(1826),
    [anon_sym_new] = ACTIONS(1400),
    [anon_sym_opaque] = ACTIONS(1398),
    [anon_sym_implicit] = ACTIONS(1828),
    [anon_sym_inline] = ACTIONS(1402),
    [anon_sym_infix] = ACTIONS(1398),
    [anon_sym_open] = ACTIONS(1398),
    [anon_sym_transparent] = ACTIONS(1398),
    [anon_sym_LPAREN] = ACTIONS(1404),
    [anon_sym_macro] = ACTIONS(1830),
    [anon_sym_BANG] = ACTIONS(1396),
    [anon_sym_TILDE] = ACTIONS(1396),
    [anon_sym_DOLLAR] = ACTIONS(1406),
    [anon_sym_SQUOTE] = ACTIONS(1408),
    [sym__backquoted_id] = ACTIONS(1410),
    [sym_operator_identifier] = ACTIONS(1832),
    [sym_integer_literal] = ACTIONS(1414),
    [sym_floating_point_literal] = ACTIONS(1416),
    [anon_sym_true] = ACTIONS(1418),
    [anon_sym_false] = ACTIONS(1418),
    [sym_character_literal] = ACTIONS(1416),
    [sym_null_literal] = ACTIONS(1420),
    [anon_sym_return] = ACTIONS(1834),
    [anon_sym_throw] = ACTIONS(1836),
    [anon_sym_do] = ACTIONS(1386),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2258),
    [sym__simple_multiline_string] = ACTIONS(1422),
    [sym__simple_string] = ACTIONS(1422),
  },
  [1585] = {
    [sym_inline_modifier] = STATE(2114),
    [sym__indentable_expression] = STATE(14010),
    [sym_block] = STATE(8218),
    [sym_indented_block] = STATE(13075),
    [sym_indented_cases] = STATE(13075),
    [sym_expression] = STATE(12682),
    [sym__simple_expression] = STATE(7544),
    [sym_lambda_expression] = STATE(13097),
    [sym_if_expression] = STATE(13097),
    [sym_match_expression] = STATE(13097),
    [sym_try_expression] = STATE(13097),
    [sym_bindings] = STATE(15630),
    [sym_case_block] = STATE(8218),
    [sym_assignment_expression] = STATE(13097),
    [sym_generic_function] = STATE(8218),
    [sym_call_expression] = STATE(8218),
    [sym_field_expression] = STATE(8218),
    [sym_instance_expression] = STATE(8218),
    [sym_ascription_expression] = STATE(13097),
    [sym_infix_expression] = STATE(9424),
    [sym_postfix_expression] = STATE(12765),
    [sym__postfix_expression_choice] = STATE(16117),
    [sym_macro_body] = STATE(13097),
    [sym_prefix_expression] = STATE(10300),
    [sym_tuple_expression] = STATE(8218),
    [sym_parenthesized_expression] = STATE(8218),
    [sym_splice_expression] = STATE(8218),
    [sym_quote_expression] = STATE(8218),
    [sym_identifier] = STATE(7100),
    [sym__soft_identifier] = STATE(5752),
    [sym_wildcard] = STATE(9268),
    [sym__non_null_literal] = STATE(8218),
    [sym_boolean_literal] = STATE(8413),
    [sym_interpolated_string_expression] = STATE(8218),
    [sym_string] = STATE(8413),
    [sym_unit] = STATE(8218),
    [sym_return_expression] = STATE(13097),
    [sym_throw_expression] = STATE(13097),
    [sym_while_expression] = STATE(13097),
    [sym_do_while_expression] = STATE(13097),
    [sym_for_expression] = STATE(13097),
    [sym_comment] = STATE(1585),
    [sym_block_comment] = STATE(1585),
    [sym__alpha_identifier] = ACTIONS(1494),
    [anon_sym_LBRACE] = ACTIONS(1498),
    [anon_sym__] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1502),
    [anon_sym_end] = ACTIONS(1504),
    [anon_sym_if] = ACTIONS(2845),
    [anon_sym_while] = ACTIONS(2847),
    [anon_sym_for] = ACTIONS(2849),
    [anon_sym_try] = ACTIONS(2851),
    [anon_sym_new] = ACTIONS(1506),
    [anon_sym_opaque] = ACTIONS(1504),
    [anon_sym_implicit] = ACTIONS(2853),
    [anon_sym_inline] = ACTIONS(1508),
    [anon_sym_infix] = ACTIONS(1504),
    [anon_sym_open] = ACTIONS(1504),
    [anon_sym_transparent] = ACTIONS(1504),
    [anon_sym_LPAREN] = ACTIONS(1510),
    [anon_sym_macro] = ACTIONS(2054),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_TILDE] = ACTIONS(1502),
    [anon_sym_DOLLAR] = ACTIONS(1512),
    [anon_sym_SQUOTE] = ACTIONS(1514),
    [sym__backquoted_id] = ACTIONS(1516),
    [sym_operator_identifier] = ACTIONS(3314),
    [sym_integer_literal] = ACTIONS(1520),
    [sym_floating_point_literal] = ACTIONS(1522),
    [anon_sym_true] = ACTIONS(1524),
    [anon_sym_false] = ACTIONS(1524),
    [sym_character_literal] = ACTIONS(1522),
    [sym_null_literal] = ACTIONS(1526),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2062),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3316),
    [sym__simple_multiline_string] = ACTIONS(1528),
    [sym__simple_string] = ACTIONS(1528),
  },
  [1586] = {
    [sym_inline_modifier] = STATE(2038),
    [sym__indentable_expression] = STATE(12289),
    [sym_block] = STATE(8041),
    [sym_indented_block] = STATE(12292),
    [sym_indented_cases] = STATE(12292),
    [sym_expression] = STATE(12256),
    [sym__simple_expression] = STATE(6323),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15629),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(9695),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(5557),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(8528),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(1586),
    [sym_block_comment] = STATE(1586),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(3157),
    [anon_sym_while] = ACTIONS(2394),
    [anon_sym_for] = ACTIONS(2396),
    [anon_sym_try] = ACTIONS(2398),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2400),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(2402),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(2404),
    [anon_sym_throw] = ACTIONS(2406),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1587] = {
    [sym_inline_modifier] = STATE(2054),
    [sym__indentable_expression] = STATE(13942),
    [sym_block] = STATE(8041),
    [sym_indented_block] = STATE(12292),
    [sym_indented_cases] = STATE(12292),
    [sym_expression] = STATE(12256),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(7036),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(1587),
    [sym_block_comment] = STATE(1587),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2807),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1588] = {
    [sym_inline_modifier] = STATE(2070),
    [sym__indentable_expression] = STATE(12882),
    [sym_block] = STATE(8360),
    [sym_indented_block] = STATE(13059),
    [sym_indented_cases] = STATE(13059),
    [sym_expression] = STATE(12867),
    [sym__simple_expression] = STATE(5615),
    [sym_lambda_expression] = STATE(13229),
    [sym_if_expression] = STATE(13229),
    [sym_match_expression] = STATE(13229),
    [sym_try_expression] = STATE(13229),
    [sym_bindings] = STATE(15528),
    [sym_case_block] = STATE(8360),
    [sym_assignment_expression] = STATE(13229),
    [sym_generic_function] = STATE(8360),
    [sym_call_expression] = STATE(8360),
    [sym_field_expression] = STATE(8360),
    [sym_instance_expression] = STATE(8360),
    [sym_ascription_expression] = STATE(13229),
    [sym_infix_expression] = STATE(9581),
    [sym_postfix_expression] = STATE(12866),
    [sym__postfix_expression_choice] = STATE(15971),
    [sym_macro_body] = STATE(13229),
    [sym_prefix_expression] = STATE(9582),
    [sym_tuple_expression] = STATE(8360),
    [sym_parenthesized_expression] = STATE(8360),
    [sym_splice_expression] = STATE(8360),
    [sym_quote_expression] = STATE(8360),
    [sym_identifier] = STATE(5263),
    [sym__soft_identifier] = STATE(5563),
    [sym_wildcard] = STATE(7408),
    [sym__non_null_literal] = STATE(8360),
    [sym_boolean_literal] = STATE(8269),
    [sym_interpolated_string_expression] = STATE(8360),
    [sym_string] = STATE(8269),
    [sym_unit] = STATE(8360),
    [sym_return_expression] = STATE(13229),
    [sym_throw_expression] = STATE(13229),
    [sym_while_expression] = STATE(13229),
    [sym_do_while_expression] = STATE(13229),
    [sym_for_expression] = STATE(13229),
    [sym_comment] = STATE(1588),
    [sym_block_comment] = STATE(1588),
    [sym__alpha_identifier] = ACTIONS(1242),
    [anon_sym_LBRACE] = ACTIONS(1246),
    [anon_sym__] = ACTIONS(1248),
    [anon_sym_PLUS] = ACTIONS(1250),
    [anon_sym_DASH] = ACTIONS(1250),
    [anon_sym_end] = ACTIONS(1252),
    [anon_sym_if] = ACTIONS(1654),
    [anon_sym_while] = ACTIONS(1656),
    [anon_sym_for] = ACTIONS(1658),
    [anon_sym_try] = ACTIONS(1660),
    [anon_sym_new] = ACTIONS(1254),
    [anon_sym_opaque] = ACTIONS(1252),
    [anon_sym_implicit] = ACTIONS(1662),
    [anon_sym_inline] = ACTIONS(1256),
    [anon_sym_infix] = ACTIONS(1252),
    [anon_sym_open] = ACTIONS(1252),
    [anon_sym_transparent] = ACTIONS(1252),
    [anon_sym_LPAREN] = ACTIONS(1258),
    [anon_sym_macro] = ACTIONS(1664),
    [anon_sym_BANG] = ACTIONS(1250),
    [anon_sym_TILDE] = ACTIONS(1250),
    [anon_sym_DOLLAR] = ACTIONS(1260),
    [anon_sym_SQUOTE] = ACTIONS(1262),
    [sym__backquoted_id] = ACTIONS(1264),
    [sym_operator_identifier] = ACTIONS(1666),
    [sym_integer_literal] = ACTIONS(1268),
    [sym_floating_point_literal] = ACTIONS(1270),
    [anon_sym_true] = ACTIONS(1272),
    [anon_sym_false] = ACTIONS(1272),
    [sym_character_literal] = ACTIONS(1270),
    [sym_null_literal] = ACTIONS(1274),
    [anon_sym_return] = ACTIONS(1668),
    [anon_sym_throw] = ACTIONS(1670),
    [anon_sym_do] = ACTIONS(1672),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2212),
    [sym__simple_multiline_string] = ACTIONS(1276),
    [sym__simple_string] = ACTIONS(1276),
  },
  [1589] = {
    [sym_inline_modifier] = STATE(2084),
    [sym__indentable_expression] = STATE(16829),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(8831),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15722),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10635),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(632),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(8641),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(10149),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1589),
    [sym_block_comment] = STATE(1589),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2740),
    [anon_sym_while] = ACTIONS(2742),
    [anon_sym_for] = ACTIONS(2744),
    [anon_sym_try] = ACTIONS(2746),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2748),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3310),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3312),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2762),
    [anon_sym_throw] = ACTIONS(2764),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1590] = {
    [sym_inline_modifier] = STATE(2040),
    [sym__indentable_expression] = STATE(13236),
    [sym_block] = STATE(8375),
    [sym_indented_block] = STATE(13183),
    [sym_indented_cases] = STATE(13183),
    [sym_expression] = STATE(12800),
    [sym__simple_expression] = STATE(7538),
    [sym_lambda_expression] = STATE(13185),
    [sym_if_expression] = STATE(13185),
    [sym_match_expression] = STATE(13185),
    [sym_try_expression] = STATE(13185),
    [sym_bindings] = STATE(15594),
    [sym_case_block] = STATE(8375),
    [sym_assignment_expression] = STATE(13185),
    [sym_generic_function] = STATE(8375),
    [sym_call_expression] = STATE(8375),
    [sym_field_expression] = STATE(8375),
    [sym_instance_expression] = STATE(8375),
    [sym_ascription_expression] = STATE(13185),
    [sym_infix_expression] = STATE(9364),
    [sym_postfix_expression] = STATE(12809),
    [sym__postfix_expression_choice] = STATE(16440),
    [sym_macro_body] = STATE(13185),
    [sym_prefix_expression] = STATE(10274),
    [sym_tuple_expression] = STATE(8375),
    [sym_parenthesized_expression] = STATE(8375),
    [sym_splice_expression] = STATE(8375),
    [sym_quote_expression] = STATE(8375),
    [sym_identifier] = STATE(7110),
    [sym__soft_identifier] = STATE(5430),
    [sym_wildcard] = STATE(9287),
    [sym__non_null_literal] = STATE(8375),
    [sym_boolean_literal] = STATE(8117),
    [sym_interpolated_string_expression] = STATE(8375),
    [sym_string] = STATE(8117),
    [sym_unit] = STATE(8375),
    [sym_return_expression] = STATE(13185),
    [sym_throw_expression] = STATE(13185),
    [sym_while_expression] = STATE(13185),
    [sym_do_while_expression] = STATE(13185),
    [sym_for_expression] = STATE(13185),
    [sym_comment] = STATE(1590),
    [sym_block_comment] = STATE(1590),
    [sym__alpha_identifier] = ACTIONS(1618),
    [anon_sym_LBRACE] = ACTIONS(1622),
    [anon_sym__] = ACTIONS(1624),
    [anon_sym_PLUS] = ACTIONS(1626),
    [anon_sym_DASH] = ACTIONS(1626),
    [anon_sym_end] = ACTIONS(1628),
    [anon_sym_if] = ACTIONS(2414),
    [anon_sym_while] = ACTIONS(2416),
    [anon_sym_for] = ACTIONS(2418),
    [anon_sym_try] = ACTIONS(2420),
    [anon_sym_new] = ACTIONS(1630),
    [anon_sym_opaque] = ACTIONS(1628),
    [anon_sym_implicit] = ACTIONS(2422),
    [anon_sym_inline] = ACTIONS(1632),
    [anon_sym_infix] = ACTIONS(1628),
    [anon_sym_open] = ACTIONS(1628),
    [anon_sym_transparent] = ACTIONS(1628),
    [anon_sym_LPAREN] = ACTIONS(1634),
    [anon_sym_macro] = ACTIONS(2074),
    [anon_sym_BANG] = ACTIONS(1626),
    [anon_sym_TILDE] = ACTIONS(1626),
    [anon_sym_DOLLAR] = ACTIONS(1636),
    [anon_sym_SQUOTE] = ACTIONS(1638),
    [sym__backquoted_id] = ACTIONS(1640),
    [sym_operator_identifier] = ACTIONS(2424),
    [sym_integer_literal] = ACTIONS(1644),
    [sym_floating_point_literal] = ACTIONS(1646),
    [anon_sym_true] = ACTIONS(1648),
    [anon_sym_false] = ACTIONS(1648),
    [sym_character_literal] = ACTIONS(1646),
    [sym_null_literal] = ACTIONS(1650),
    [anon_sym_return] = ACTIONS(2426),
    [anon_sym_throw] = ACTIONS(2428),
    [anon_sym_do] = ACTIONS(2082),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1652),
    [sym__simple_string] = ACTIONS(1652),
  },
  [1591] = {
    [sym_inline_modifier] = STATE(2130),
    [sym__indentable_expression] = STATE(13347),
    [sym_block] = STATE(9120),
    [sym_indented_block] = STATE(13388),
    [sym_indented_cases] = STATE(13388),
    [sym_expression] = STATE(13211),
    [sym__simple_expression] = STATE(6353),
    [sym_lambda_expression] = STATE(13422),
    [sym_if_expression] = STATE(13422),
    [sym_match_expression] = STATE(13422),
    [sym_try_expression] = STATE(13422),
    [sym_bindings] = STATE(15752),
    [sym_case_block] = STATE(9120),
    [sym_assignment_expression] = STATE(13422),
    [sym_generic_function] = STATE(9120),
    [sym_call_expression] = STATE(9120),
    [sym_field_expression] = STATE(9120),
    [sym_instance_expression] = STATE(9120),
    [sym_ascription_expression] = STATE(13422),
    [sym_infix_expression] = STATE(9820),
    [sym_postfix_expression] = STATE(13148),
    [sym__postfix_expression_choice] = STATE(15936),
    [sym_macro_body] = STATE(13422),
    [sym_prefix_expression] = STATE(9828),
    [sym_tuple_expression] = STATE(9120),
    [sym_parenthesized_expression] = STATE(9120),
    [sym_splice_expression] = STATE(9120),
    [sym_quote_expression] = STATE(9120),
    [sym_identifier] = STATE(5669),
    [sym__soft_identifier] = STATE(6470),
    [sym_wildcard] = STATE(8444),
    [sym__non_null_literal] = STATE(9120),
    [sym_boolean_literal] = STATE(8928),
    [sym_interpolated_string_expression] = STATE(9120),
    [sym_string] = STATE(8928),
    [sym_unit] = STATE(9120),
    [sym_return_expression] = STATE(13422),
    [sym_throw_expression] = STATE(13422),
    [sym_while_expression] = STATE(13422),
    [sym_do_while_expression] = STATE(13422),
    [sym_for_expression] = STATE(13422),
    [sym_comment] = STATE(1591),
    [sym_block_comment] = STATE(1591),
    [sym__alpha_identifier] = ACTIONS(1582),
    [anon_sym_LBRACE] = ACTIONS(1586),
    [anon_sym__] = ACTIONS(1588),
    [anon_sym_PLUS] = ACTIONS(1590),
    [anon_sym_DASH] = ACTIONS(1590),
    [anon_sym_end] = ACTIONS(1592),
    [anon_sym_if] = ACTIONS(1864),
    [anon_sym_while] = ACTIONS(1866),
    [anon_sym_for] = ACTIONS(1868),
    [anon_sym_try] = ACTIONS(1870),
    [anon_sym_new] = ACTIONS(1594),
    [anon_sym_opaque] = ACTIONS(1592),
    [anon_sym_implicit] = ACTIONS(1872),
    [anon_sym_inline] = ACTIONS(1596),
    [anon_sym_infix] = ACTIONS(1592),
    [anon_sym_open] = ACTIONS(1592),
    [anon_sym_transparent] = ACTIONS(1592),
    [anon_sym_LPAREN] = ACTIONS(1598),
    [anon_sym_macro] = ACTIONS(1874),
    [anon_sym_BANG] = ACTIONS(1590),
    [anon_sym_TILDE] = ACTIONS(1590),
    [anon_sym_DOLLAR] = ACTIONS(1600),
    [anon_sym_SQUOTE] = ACTIONS(1602),
    [sym__backquoted_id] = ACTIONS(1604),
    [sym_operator_identifier] = ACTIONS(1876),
    [sym_integer_literal] = ACTIONS(1608),
    [sym_floating_point_literal] = ACTIONS(1610),
    [anon_sym_true] = ACTIONS(1612),
    [anon_sym_false] = ACTIONS(1612),
    [sym_character_literal] = ACTIONS(1610),
    [sym_null_literal] = ACTIONS(1614),
    [anon_sym_return] = ACTIONS(1878),
    [anon_sym_throw] = ACTIONS(1880),
    [anon_sym_do] = ACTIONS(1882),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3282),
    [sym__simple_multiline_string] = ACTIONS(1616),
    [sym__simple_string] = ACTIONS(1616),
  },
  [1592] = {
    [sym_inline_modifier] = STATE(2081),
    [sym__indentable_expression] = STATE(13254),
    [sym_block] = STATE(6540),
    [sym_indented_block] = STATE(11390),
    [sym_indented_cases] = STATE(11390),
    [sym_expression] = STATE(11385),
    [sym__simple_expression] = STATE(5282),
    [sym_lambda_expression] = STATE(11374),
    [sym_if_expression] = STATE(11374),
    [sym_match_expression] = STATE(11374),
    [sym_try_expression] = STATE(11374),
    [sym_bindings] = STATE(15666),
    [sym_case_block] = STATE(6540),
    [sym_assignment_expression] = STATE(11374),
    [sym_generic_function] = STATE(6540),
    [sym_call_expression] = STATE(6540),
    [sym_field_expression] = STATE(6540),
    [sym_instance_expression] = STATE(6540),
    [sym_ascription_expression] = STATE(11374),
    [sym_infix_expression] = STATE(7834),
    [sym_postfix_expression] = STATE(11215),
    [sym__postfix_expression_choice] = STATE(16210),
    [sym_macro_body] = STATE(11374),
    [sym_prefix_expression] = STATE(8793),
    [sym_tuple_expression] = STATE(6540),
    [sym_parenthesized_expression] = STATE(6540),
    [sym_splice_expression] = STATE(6540),
    [sym_quote_expression] = STATE(6540),
    [sym_identifier] = STATE(4731),
    [sym__soft_identifier] = STATE(4667),
    [sym_wildcard] = STATE(7219),
    [sym__non_null_literal] = STATE(6540),
    [sym_boolean_literal] = STATE(6246),
    [sym_interpolated_string_expression] = STATE(6540),
    [sym_string] = STATE(6246),
    [sym_unit] = STATE(6540),
    [sym_return_expression] = STATE(11374),
    [sym_throw_expression] = STATE(11374),
    [sym_while_expression] = STATE(11374),
    [sym_do_while_expression] = STATE(11374),
    [sym_for_expression] = STATE(11374),
    [sym_comment] = STATE(1592),
    [sym_block_comment] = STATE(1592),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(2506),
    [anon_sym_while] = ACTIONS(1988),
    [anon_sym_for] = ACTIONS(1990),
    [anon_sym_try] = ACTIONS(1992),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1994),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1540),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1996),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1998),
    [anon_sym_throw] = ACTIONS(2000),
    [anon_sym_do] = ACTIONS(1548),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2240),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [1593] = {
    [sym_inline_modifier] = STATE(2149),
    [sym__indentable_expression] = STATE(13489),
    [sym_block] = STATE(9327),
    [sym_indented_block] = STATE(13548),
    [sym_indented_cases] = STATE(13548),
    [sym_expression] = STATE(13406),
    [sym__simple_expression] = STATE(7109),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15656),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10005),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6267),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(8706),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(1593),
    [sym_block_comment] = STATE(1593),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(2928),
    [anon_sym_while] = ACTIONS(2793),
    [anon_sym_for] = ACTIONS(2795),
    [anon_sym_try] = ACTIONS(2797),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(2799),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(2801),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(2803),
    [anon_sym_throw] = ACTIONS(2805),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [1594] = {
    [sym_inline_modifier] = STATE(2040),
    [sym__indentable_expression] = STATE(13208),
    [sym_block] = STATE(8375),
    [sym_indented_block] = STATE(13183),
    [sym_indented_cases] = STATE(13183),
    [sym_expression] = STATE(12800),
    [sym__simple_expression] = STATE(7538),
    [sym_lambda_expression] = STATE(13185),
    [sym_if_expression] = STATE(13185),
    [sym_match_expression] = STATE(13185),
    [sym_try_expression] = STATE(13185),
    [sym_bindings] = STATE(15594),
    [sym_case_block] = STATE(8375),
    [sym_assignment_expression] = STATE(13185),
    [sym_generic_function] = STATE(8375),
    [sym_call_expression] = STATE(8375),
    [sym_field_expression] = STATE(8375),
    [sym_instance_expression] = STATE(8375),
    [sym_ascription_expression] = STATE(13185),
    [sym_infix_expression] = STATE(9364),
    [sym_postfix_expression] = STATE(12809),
    [sym__postfix_expression_choice] = STATE(16440),
    [sym_macro_body] = STATE(13185),
    [sym_prefix_expression] = STATE(10274),
    [sym_tuple_expression] = STATE(8375),
    [sym_parenthesized_expression] = STATE(8375),
    [sym_splice_expression] = STATE(8375),
    [sym_quote_expression] = STATE(8375),
    [sym_identifier] = STATE(7110),
    [sym__soft_identifier] = STATE(5430),
    [sym_wildcard] = STATE(9287),
    [sym__non_null_literal] = STATE(8375),
    [sym_boolean_literal] = STATE(8117),
    [sym_interpolated_string_expression] = STATE(8375),
    [sym_string] = STATE(8117),
    [sym_unit] = STATE(8375),
    [sym_return_expression] = STATE(13185),
    [sym_throw_expression] = STATE(13185),
    [sym_while_expression] = STATE(13185),
    [sym_do_while_expression] = STATE(13185),
    [sym_for_expression] = STATE(13185),
    [sym_comment] = STATE(1594),
    [sym_block_comment] = STATE(1594),
    [sym__alpha_identifier] = ACTIONS(1618),
    [anon_sym_LBRACE] = ACTIONS(1622),
    [anon_sym__] = ACTIONS(1624),
    [anon_sym_PLUS] = ACTIONS(1626),
    [anon_sym_DASH] = ACTIONS(1626),
    [anon_sym_end] = ACTIONS(1628),
    [anon_sym_if] = ACTIONS(2414),
    [anon_sym_while] = ACTIONS(2416),
    [anon_sym_for] = ACTIONS(2418),
    [anon_sym_try] = ACTIONS(2420),
    [anon_sym_new] = ACTIONS(1630),
    [anon_sym_opaque] = ACTIONS(1628),
    [anon_sym_implicit] = ACTIONS(2422),
    [anon_sym_inline] = ACTIONS(1632),
    [anon_sym_infix] = ACTIONS(1628),
    [anon_sym_open] = ACTIONS(1628),
    [anon_sym_transparent] = ACTIONS(1628),
    [anon_sym_LPAREN] = ACTIONS(1634),
    [anon_sym_macro] = ACTIONS(2074),
    [anon_sym_BANG] = ACTIONS(1626),
    [anon_sym_TILDE] = ACTIONS(1626),
    [anon_sym_DOLLAR] = ACTIONS(1636),
    [anon_sym_SQUOTE] = ACTIONS(1638),
    [sym__backquoted_id] = ACTIONS(1640),
    [sym_operator_identifier] = ACTIONS(2424),
    [sym_integer_literal] = ACTIONS(1644),
    [sym_floating_point_literal] = ACTIONS(1646),
    [anon_sym_true] = ACTIONS(1648),
    [anon_sym_false] = ACTIONS(1648),
    [sym_character_literal] = ACTIONS(1646),
    [sym_null_literal] = ACTIONS(1650),
    [anon_sym_return] = ACTIONS(2426),
    [anon_sym_throw] = ACTIONS(2428),
    [anon_sym_do] = ACTIONS(2082),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1652),
    [sym__simple_string] = ACTIONS(1652),
  },
  [1595] = {
    [sym_inline_modifier] = STATE(2149),
    [sym__indentable_expression] = STATE(13486),
    [sym_block] = STATE(9327),
    [sym_indented_block] = STATE(13548),
    [sym_indented_cases] = STATE(13548),
    [sym_expression] = STATE(13406),
    [sym__simple_expression] = STATE(7109),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15656),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10005),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6267),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(8706),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(1595),
    [sym_block_comment] = STATE(1595),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(2928),
    [anon_sym_while] = ACTIONS(2793),
    [anon_sym_for] = ACTIONS(2795),
    [anon_sym_try] = ACTIONS(2797),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(2799),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(2801),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(2803),
    [anon_sym_throw] = ACTIONS(2805),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [1596] = {
    [sym_inline_modifier] = STATE(2084),
    [sym__indentable_expression] = STATE(16920),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(8831),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15722),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10635),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(804),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(8641),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(10149),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1596),
    [sym_block_comment] = STATE(1596),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2740),
    [anon_sym_while] = ACTIONS(2742),
    [anon_sym_for] = ACTIONS(2744),
    [anon_sym_try] = ACTIONS(2746),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2748),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3310),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3312),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2762),
    [anon_sym_throw] = ACTIONS(2764),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1597] = {
    [sym_inline_modifier] = STATE(2040),
    [sym__indentable_expression] = STATE(13206),
    [sym_block] = STATE(8375),
    [sym_indented_block] = STATE(13183),
    [sym_indented_cases] = STATE(13183),
    [sym_expression] = STATE(12800),
    [sym__simple_expression] = STATE(7538),
    [sym_lambda_expression] = STATE(13185),
    [sym_if_expression] = STATE(13185),
    [sym_match_expression] = STATE(13185),
    [sym_try_expression] = STATE(13185),
    [sym_bindings] = STATE(15594),
    [sym_case_block] = STATE(8375),
    [sym_assignment_expression] = STATE(13185),
    [sym_generic_function] = STATE(8375),
    [sym_call_expression] = STATE(8375),
    [sym_field_expression] = STATE(8375),
    [sym_instance_expression] = STATE(8375),
    [sym_ascription_expression] = STATE(13185),
    [sym_infix_expression] = STATE(9364),
    [sym_postfix_expression] = STATE(12809),
    [sym__postfix_expression_choice] = STATE(16440),
    [sym_macro_body] = STATE(13185),
    [sym_prefix_expression] = STATE(10274),
    [sym_tuple_expression] = STATE(8375),
    [sym_parenthesized_expression] = STATE(8375),
    [sym_splice_expression] = STATE(8375),
    [sym_quote_expression] = STATE(8375),
    [sym_identifier] = STATE(7110),
    [sym__soft_identifier] = STATE(5430),
    [sym_wildcard] = STATE(9287),
    [sym__non_null_literal] = STATE(8375),
    [sym_boolean_literal] = STATE(8117),
    [sym_interpolated_string_expression] = STATE(8375),
    [sym_string] = STATE(8117),
    [sym_unit] = STATE(8375),
    [sym_return_expression] = STATE(13185),
    [sym_throw_expression] = STATE(13185),
    [sym_while_expression] = STATE(13185),
    [sym_do_while_expression] = STATE(13185),
    [sym_for_expression] = STATE(13185),
    [sym_comment] = STATE(1597),
    [sym_block_comment] = STATE(1597),
    [sym__alpha_identifier] = ACTIONS(1618),
    [anon_sym_LBRACE] = ACTIONS(1622),
    [anon_sym__] = ACTIONS(1624),
    [anon_sym_PLUS] = ACTIONS(1626),
    [anon_sym_DASH] = ACTIONS(1626),
    [anon_sym_end] = ACTIONS(1628),
    [anon_sym_if] = ACTIONS(2414),
    [anon_sym_while] = ACTIONS(2416),
    [anon_sym_for] = ACTIONS(2418),
    [anon_sym_try] = ACTIONS(2420),
    [anon_sym_new] = ACTIONS(1630),
    [anon_sym_opaque] = ACTIONS(1628),
    [anon_sym_implicit] = ACTIONS(2422),
    [anon_sym_inline] = ACTIONS(1632),
    [anon_sym_infix] = ACTIONS(1628),
    [anon_sym_open] = ACTIONS(1628),
    [anon_sym_transparent] = ACTIONS(1628),
    [anon_sym_LPAREN] = ACTIONS(1634),
    [anon_sym_macro] = ACTIONS(2074),
    [anon_sym_BANG] = ACTIONS(1626),
    [anon_sym_TILDE] = ACTIONS(1626),
    [anon_sym_DOLLAR] = ACTIONS(1636),
    [anon_sym_SQUOTE] = ACTIONS(1638),
    [sym__backquoted_id] = ACTIONS(1640),
    [sym_operator_identifier] = ACTIONS(2424),
    [sym_integer_literal] = ACTIONS(1644),
    [sym_floating_point_literal] = ACTIONS(1646),
    [anon_sym_true] = ACTIONS(1648),
    [anon_sym_false] = ACTIONS(1648),
    [sym_character_literal] = ACTIONS(1646),
    [sym_null_literal] = ACTIONS(1650),
    [anon_sym_return] = ACTIONS(2426),
    [anon_sym_throw] = ACTIONS(2428),
    [anon_sym_do] = ACTIONS(2082),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1652),
    [sym__simple_string] = ACTIONS(1652),
  },
  [1598] = {
    [sym_inline_modifier] = STATE(2070),
    [sym__indentable_expression] = STATE(13171),
    [sym_block] = STATE(8360),
    [sym_indented_block] = STATE(13059),
    [sym_indented_cases] = STATE(13059),
    [sym_expression] = STATE(12867),
    [sym__simple_expression] = STATE(5615),
    [sym_lambda_expression] = STATE(13229),
    [sym_if_expression] = STATE(13229),
    [sym_match_expression] = STATE(13229),
    [sym_try_expression] = STATE(13229),
    [sym_bindings] = STATE(15528),
    [sym_case_block] = STATE(8360),
    [sym_assignment_expression] = STATE(13229),
    [sym_generic_function] = STATE(8360),
    [sym_call_expression] = STATE(8360),
    [sym_field_expression] = STATE(8360),
    [sym_instance_expression] = STATE(8360),
    [sym_ascription_expression] = STATE(13229),
    [sym_infix_expression] = STATE(9581),
    [sym_postfix_expression] = STATE(12866),
    [sym__postfix_expression_choice] = STATE(15971),
    [sym_macro_body] = STATE(13229),
    [sym_prefix_expression] = STATE(9582),
    [sym_tuple_expression] = STATE(8360),
    [sym_parenthesized_expression] = STATE(8360),
    [sym_splice_expression] = STATE(8360),
    [sym_quote_expression] = STATE(8360),
    [sym_identifier] = STATE(5263),
    [sym__soft_identifier] = STATE(5563),
    [sym_wildcard] = STATE(7408),
    [sym__non_null_literal] = STATE(8360),
    [sym_boolean_literal] = STATE(8269),
    [sym_interpolated_string_expression] = STATE(8360),
    [sym_string] = STATE(8269),
    [sym_unit] = STATE(8360),
    [sym_return_expression] = STATE(13229),
    [sym_throw_expression] = STATE(13229),
    [sym_while_expression] = STATE(13229),
    [sym_do_while_expression] = STATE(13229),
    [sym_for_expression] = STATE(13229),
    [sym_comment] = STATE(1598),
    [sym_block_comment] = STATE(1598),
    [sym__alpha_identifier] = ACTIONS(1242),
    [anon_sym_LBRACE] = ACTIONS(1246),
    [anon_sym__] = ACTIONS(1248),
    [anon_sym_PLUS] = ACTIONS(1250),
    [anon_sym_DASH] = ACTIONS(1250),
    [anon_sym_end] = ACTIONS(1252),
    [anon_sym_if] = ACTIONS(1654),
    [anon_sym_while] = ACTIONS(1656),
    [anon_sym_for] = ACTIONS(1658),
    [anon_sym_try] = ACTIONS(1660),
    [anon_sym_new] = ACTIONS(1254),
    [anon_sym_opaque] = ACTIONS(1252),
    [anon_sym_implicit] = ACTIONS(1662),
    [anon_sym_inline] = ACTIONS(1256),
    [anon_sym_infix] = ACTIONS(1252),
    [anon_sym_open] = ACTIONS(1252),
    [anon_sym_transparent] = ACTIONS(1252),
    [anon_sym_LPAREN] = ACTIONS(1258),
    [anon_sym_macro] = ACTIONS(1664),
    [anon_sym_BANG] = ACTIONS(1250),
    [anon_sym_TILDE] = ACTIONS(1250),
    [anon_sym_DOLLAR] = ACTIONS(1260),
    [anon_sym_SQUOTE] = ACTIONS(1262),
    [sym__backquoted_id] = ACTIONS(1264),
    [sym_operator_identifier] = ACTIONS(1666),
    [sym_integer_literal] = ACTIONS(1268),
    [sym_floating_point_literal] = ACTIONS(1270),
    [anon_sym_true] = ACTIONS(1272),
    [anon_sym_false] = ACTIONS(1272),
    [sym_character_literal] = ACTIONS(1270),
    [sym_null_literal] = ACTIONS(1274),
    [anon_sym_return] = ACTIONS(1668),
    [anon_sym_throw] = ACTIONS(1670),
    [anon_sym_do] = ACTIONS(1672),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2212),
    [sym__simple_multiline_string] = ACTIONS(1276),
    [sym__simple_string] = ACTIONS(1276),
  },
  [1599] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(13460),
    [sym_block] = STATE(9088),
    [sym_indented_block] = STATE(13438),
    [sym_indented_cases] = STATE(13438),
    [sym_expression] = STATE(12942),
    [sym__simple_expression] = STATE(7286),
    [sym_lambda_expression] = STATE(13338),
    [sym_if_expression] = STATE(13338),
    [sym_match_expression] = STATE(13338),
    [sym_try_expression] = STATE(13338),
    [sym_bindings] = STATE(15723),
    [sym_case_block] = STATE(9088),
    [sym_assignment_expression] = STATE(13338),
    [sym_generic_function] = STATE(9088),
    [sym_call_expression] = STATE(9088),
    [sym_field_expression] = STATE(9088),
    [sym_instance_expression] = STATE(9088),
    [sym_ascription_expression] = STATE(13338),
    [sym_infix_expression] = STATE(9773),
    [sym_postfix_expression] = STATE(13117),
    [sym__postfix_expression_choice] = STATE(15912),
    [sym_macro_body] = STATE(13338),
    [sym_prefix_expression] = STATE(10020),
    [sym_tuple_expression] = STATE(9088),
    [sym_parenthesized_expression] = STATE(9088),
    [sym_splice_expression] = STATE(9088),
    [sym_quote_expression] = STATE(9088),
    [sym_identifier] = STATE(6105),
    [sym__soft_identifier] = STATE(6581),
    [sym_wildcard] = STATE(8709),
    [sym__non_null_literal] = STATE(9088),
    [sym_boolean_literal] = STATE(8905),
    [sym_interpolated_string_expression] = STATE(9088),
    [sym_string] = STATE(8905),
    [sym_unit] = STATE(9088),
    [sym_return_expression] = STATE(13338),
    [sym_throw_expression] = STATE(13338),
    [sym_while_expression] = STATE(13338),
    [sym_do_while_expression] = STATE(13338),
    [sym_for_expression] = STATE(13338),
    [sym_comment] = STATE(1599),
    [sym_block_comment] = STATE(1599),
    [sym__alpha_identifier] = ACTIONS(1938),
    [anon_sym_LBRACE] = ACTIONS(1942),
    [anon_sym__] = ACTIONS(1944),
    [anon_sym_PLUS] = ACTIONS(1946),
    [anon_sym_DASH] = ACTIONS(1946),
    [anon_sym_end] = ACTIONS(1948),
    [anon_sym_if] = ACTIONS(2260),
    [anon_sym_while] = ACTIONS(2262),
    [anon_sym_for] = ACTIONS(2264),
    [anon_sym_try] = ACTIONS(2266),
    [anon_sym_new] = ACTIONS(1950),
    [anon_sym_opaque] = ACTIONS(1948),
    [anon_sym_implicit] = ACTIONS(2268),
    [anon_sym_inline] = ACTIONS(1952),
    [anon_sym_infix] = ACTIONS(1948),
    [anon_sym_open] = ACTIONS(1948),
    [anon_sym_transparent] = ACTIONS(1948),
    [anon_sym_LPAREN] = ACTIONS(1954),
    [anon_sym_macro] = ACTIONS(2270),
    [anon_sym_BANG] = ACTIONS(1946),
    [anon_sym_TILDE] = ACTIONS(1946),
    [anon_sym_DOLLAR] = ACTIONS(1956),
    [anon_sym_SQUOTE] = ACTIONS(1958),
    [sym__backquoted_id] = ACTIONS(1960),
    [sym_operator_identifier] = ACTIONS(2272),
    [sym_integer_literal] = ACTIONS(1964),
    [sym_floating_point_literal] = ACTIONS(1966),
    [anon_sym_true] = ACTIONS(1968),
    [anon_sym_false] = ACTIONS(1968),
    [sym_character_literal] = ACTIONS(1966),
    [sym_null_literal] = ACTIONS(1970),
    [anon_sym_return] = ACTIONS(2274),
    [anon_sym_throw] = ACTIONS(2276),
    [anon_sym_do] = ACTIONS(2278),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2346),
    [sym__simple_multiline_string] = ACTIONS(1972),
    [sym__simple_string] = ACTIONS(1972),
  },
  [1600] = {
    [sym_inline_modifier] = STATE(2040),
    [sym__indentable_expression] = STATE(13204),
    [sym_block] = STATE(8375),
    [sym_indented_block] = STATE(13183),
    [sym_indented_cases] = STATE(13183),
    [sym_expression] = STATE(12800),
    [sym__simple_expression] = STATE(7538),
    [sym_lambda_expression] = STATE(13185),
    [sym_if_expression] = STATE(13185),
    [sym_match_expression] = STATE(13185),
    [sym_try_expression] = STATE(13185),
    [sym_bindings] = STATE(15594),
    [sym_case_block] = STATE(8375),
    [sym_assignment_expression] = STATE(13185),
    [sym_generic_function] = STATE(8375),
    [sym_call_expression] = STATE(8375),
    [sym_field_expression] = STATE(8375),
    [sym_instance_expression] = STATE(8375),
    [sym_ascription_expression] = STATE(13185),
    [sym_infix_expression] = STATE(9364),
    [sym_postfix_expression] = STATE(12809),
    [sym__postfix_expression_choice] = STATE(16440),
    [sym_macro_body] = STATE(13185),
    [sym_prefix_expression] = STATE(10274),
    [sym_tuple_expression] = STATE(8375),
    [sym_parenthesized_expression] = STATE(8375),
    [sym_splice_expression] = STATE(8375),
    [sym_quote_expression] = STATE(8375),
    [sym_identifier] = STATE(7110),
    [sym__soft_identifier] = STATE(5430),
    [sym_wildcard] = STATE(9287),
    [sym__non_null_literal] = STATE(8375),
    [sym_boolean_literal] = STATE(8117),
    [sym_interpolated_string_expression] = STATE(8375),
    [sym_string] = STATE(8117),
    [sym_unit] = STATE(8375),
    [sym_return_expression] = STATE(13185),
    [sym_throw_expression] = STATE(13185),
    [sym_while_expression] = STATE(13185),
    [sym_do_while_expression] = STATE(13185),
    [sym_for_expression] = STATE(13185),
    [sym_comment] = STATE(1600),
    [sym_block_comment] = STATE(1600),
    [sym__alpha_identifier] = ACTIONS(1618),
    [anon_sym_LBRACE] = ACTIONS(1622),
    [anon_sym__] = ACTIONS(1624),
    [anon_sym_PLUS] = ACTIONS(1626),
    [anon_sym_DASH] = ACTIONS(1626),
    [anon_sym_end] = ACTIONS(1628),
    [anon_sym_if] = ACTIONS(2414),
    [anon_sym_while] = ACTIONS(2416),
    [anon_sym_for] = ACTIONS(2418),
    [anon_sym_try] = ACTIONS(2420),
    [anon_sym_new] = ACTIONS(1630),
    [anon_sym_opaque] = ACTIONS(1628),
    [anon_sym_implicit] = ACTIONS(2422),
    [anon_sym_inline] = ACTIONS(1632),
    [anon_sym_infix] = ACTIONS(1628),
    [anon_sym_open] = ACTIONS(1628),
    [anon_sym_transparent] = ACTIONS(1628),
    [anon_sym_LPAREN] = ACTIONS(1634),
    [anon_sym_macro] = ACTIONS(2074),
    [anon_sym_BANG] = ACTIONS(1626),
    [anon_sym_TILDE] = ACTIONS(1626),
    [anon_sym_DOLLAR] = ACTIONS(1636),
    [anon_sym_SQUOTE] = ACTIONS(1638),
    [sym__backquoted_id] = ACTIONS(1640),
    [sym_operator_identifier] = ACTIONS(2424),
    [sym_integer_literal] = ACTIONS(1644),
    [sym_floating_point_literal] = ACTIONS(1646),
    [anon_sym_true] = ACTIONS(1648),
    [anon_sym_false] = ACTIONS(1648),
    [sym_character_literal] = ACTIONS(1646),
    [sym_null_literal] = ACTIONS(1650),
    [anon_sym_return] = ACTIONS(2426),
    [anon_sym_throw] = ACTIONS(2428),
    [anon_sym_do] = ACTIONS(2082),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1652),
    [sym__simple_string] = ACTIONS(1652),
  },
  [1601] = {
    [sym_inline_modifier] = STATE(2044),
    [sym__indentable_expression] = STATE(13780),
    [sym_block] = STATE(9913),
    [sym_indented_block] = STATE(11923),
    [sym_indented_cases] = STATE(11923),
    [sym_expression] = STATE(13501),
    [sym__simple_expression] = STATE(7224),
    [sym_lambda_expression] = STATE(12144),
    [sym_if_expression] = STATE(12144),
    [sym_match_expression] = STATE(12144),
    [sym_try_expression] = STATE(12144),
    [sym_bindings] = STATE(15632),
    [sym_case_block] = STATE(9913),
    [sym_assignment_expression] = STATE(12144),
    [sym_generic_function] = STATE(9913),
    [sym_call_expression] = STATE(9913),
    [sym_field_expression] = STATE(9913),
    [sym_instance_expression] = STATE(9913),
    [sym_ascription_expression] = STATE(12144),
    [sym_infix_expression] = STATE(10304),
    [sym_postfix_expression] = STATE(11499),
    [sym__postfix_expression_choice] = STATE(16334),
    [sym_macro_body] = STATE(12144),
    [sym_prefix_expression] = STATE(9963),
    [sym_tuple_expression] = STATE(9913),
    [sym_parenthesized_expression] = STATE(9913),
    [sym_splice_expression] = STATE(9913),
    [sym_quote_expression] = STATE(9913),
    [sym_identifier] = STATE(6170),
    [sym__soft_identifier] = STATE(4555),
    [sym_wildcard] = STATE(8897),
    [sym__non_null_literal] = STATE(9913),
    [sym_boolean_literal] = STATE(6572),
    [sym_interpolated_string_expression] = STATE(9913),
    [sym_string] = STATE(6572),
    [sym_unit] = STATE(9913),
    [sym_return_expression] = STATE(12144),
    [sym_throw_expression] = STATE(12144),
    [sym_while_expression] = STATE(12144),
    [sym_do_while_expression] = STATE(12144),
    [sym_for_expression] = STATE(12144),
    [sym_comment] = STATE(1601),
    [sym_block_comment] = STATE(1601),
    [sym__alpha_identifier] = ACTIONS(1766),
    [anon_sym_LBRACE] = ACTIONS(1770),
    [anon_sym__] = ACTIONS(1772),
    [anon_sym_PLUS] = ACTIONS(1774),
    [anon_sym_DASH] = ACTIONS(1774),
    [anon_sym_end] = ACTIONS(1776),
    [anon_sym_if] = ACTIONS(2160),
    [anon_sym_while] = ACTIONS(2162),
    [anon_sym_for] = ACTIONS(2164),
    [anon_sym_try] = ACTIONS(2166),
    [anon_sym_new] = ACTIONS(1778),
    [anon_sym_opaque] = ACTIONS(1776),
    [anon_sym_implicit] = ACTIONS(2168),
    [anon_sym_inline] = ACTIONS(1780),
    [anon_sym_infix] = ACTIONS(1776),
    [anon_sym_open] = ACTIONS(1776),
    [anon_sym_transparent] = ACTIONS(1776),
    [anon_sym_LPAREN] = ACTIONS(1782),
    [anon_sym_macro] = ACTIONS(2170),
    [anon_sym_BANG] = ACTIONS(1774),
    [anon_sym_TILDE] = ACTIONS(1774),
    [anon_sym_DOLLAR] = ACTIONS(1784),
    [anon_sym_SQUOTE] = ACTIONS(1786),
    [sym__backquoted_id] = ACTIONS(1788),
    [sym_operator_identifier] = ACTIONS(2172),
    [sym_integer_literal] = ACTIONS(1792),
    [sym_floating_point_literal] = ACTIONS(1794),
    [anon_sym_true] = ACTIONS(1796),
    [anon_sym_false] = ACTIONS(1796),
    [sym_character_literal] = ACTIONS(1794),
    [sym_null_literal] = ACTIONS(1798),
    [anon_sym_return] = ACTIONS(2174),
    [anon_sym_throw] = ACTIONS(2176),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3280),
    [sym__simple_multiline_string] = ACTIONS(1800),
    [sym__simple_string] = ACTIONS(1800),
  },
  [1602] = {
    [sym_inline_modifier] = STATE(2149),
    [sym__indentable_expression] = STATE(13473),
    [sym_block] = STATE(9327),
    [sym_indented_block] = STATE(13548),
    [sym_indented_cases] = STATE(13548),
    [sym_expression] = STATE(13406),
    [sym__simple_expression] = STATE(7109),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15656),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10005),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6267),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(8706),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(1602),
    [sym_block_comment] = STATE(1602),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(2928),
    [anon_sym_while] = ACTIONS(2793),
    [anon_sym_for] = ACTIONS(2795),
    [anon_sym_try] = ACTIONS(2797),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(2799),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(2801),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(2803),
    [anon_sym_throw] = ACTIONS(2805),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [1603] = {
    [sym_inline_modifier] = STATE(2118),
    [sym__indentable_expression] = STATE(13020),
    [sym_block] = STATE(5403),
    [sym_indented_block] = STATE(11085),
    [sym_indented_cases] = STATE(11085),
    [sym_expression] = STATE(11355),
    [sym__simple_expression] = STATE(5051),
    [sym_lambda_expression] = STATE(11364),
    [sym_if_expression] = STATE(11364),
    [sym_match_expression] = STATE(11364),
    [sym_try_expression] = STATE(11364),
    [sym_bindings] = STATE(15597),
    [sym_case_block] = STATE(5403),
    [sym_assignment_expression] = STATE(11364),
    [sym_generic_function] = STATE(5403),
    [sym_call_expression] = STATE(5403),
    [sym_field_expression] = STATE(5403),
    [sym_instance_expression] = STATE(5403),
    [sym_ascription_expression] = STATE(11364),
    [sym_infix_expression] = STATE(6806),
    [sym_postfix_expression] = STATE(10789),
    [sym__postfix_expression_choice] = STATE(15797),
    [sym_macro_body] = STATE(11364),
    [sym_prefix_expression] = STATE(8869),
    [sym_tuple_expression] = STATE(5403),
    [sym_parenthesized_expression] = STATE(5403),
    [sym_splice_expression] = STATE(5403),
    [sym_quote_expression] = STATE(5403),
    [sym_identifier] = STATE(4686),
    [sym__soft_identifier] = STATE(4455),
    [sym_wildcard] = STATE(7015),
    [sym__non_null_literal] = STATE(5403),
    [sym_boolean_literal] = STATE(5637),
    [sym_interpolated_string_expression] = STATE(5403),
    [sym_string] = STATE(5637),
    [sym_unit] = STATE(5403),
    [sym_return_expression] = STATE(11364),
    [sym_throw_expression] = STATE(11364),
    [sym_while_expression] = STATE(11364),
    [sym_do_while_expression] = STATE(11364),
    [sym_for_expression] = STATE(11364),
    [sym_comment] = STATE(1603),
    [sym_block_comment] = STATE(1603),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(1152),
    [anon_sym_while] = ACTIONS(1154),
    [anon_sym_for] = ACTIONS(1156),
    [anon_sym_try] = ACTIONS(1158),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1160),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1162),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1164),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1166),
    [anon_sym_throw] = ACTIONS(1168),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2282),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [1604] = {
    [sym_inline_modifier] = STATE(2335),
    [sym__indentable_expression] = STATE(12741),
    [sym_block] = STATE(5403),
    [sym_indented_block] = STATE(11085),
    [sym_indented_cases] = STATE(11085),
    [sym_expression] = STATE(11355),
    [sym__simple_expression] = STATE(4736),
    [sym_lambda_expression] = STATE(11364),
    [sym_if_expression] = STATE(11364),
    [sym_match_expression] = STATE(11364),
    [sym_try_expression] = STATE(11364),
    [sym_bindings] = STATE(15583),
    [sym_case_block] = STATE(5403),
    [sym_assignment_expression] = STATE(11364),
    [sym_generic_function] = STATE(5403),
    [sym_call_expression] = STATE(5403),
    [sym_field_expression] = STATE(5403),
    [sym_instance_expression] = STATE(5403),
    [sym_ascription_expression] = STATE(11364),
    [sym_infix_expression] = STATE(6806),
    [sym_postfix_expression] = STATE(10789),
    [sym__postfix_expression_choice] = STATE(15797),
    [sym_macro_body] = STATE(11364),
    [sym_prefix_expression] = STATE(8627),
    [sym_tuple_expression] = STATE(5403),
    [sym_parenthesized_expression] = STATE(5403),
    [sym_splice_expression] = STATE(5403),
    [sym_quote_expression] = STATE(5403),
    [sym_identifier] = STATE(4558),
    [sym__soft_identifier] = STATE(4455),
    [sym_wildcard] = STATE(6107),
    [sym__non_null_literal] = STATE(5403),
    [sym_boolean_literal] = STATE(5637),
    [sym_interpolated_string_expression] = STATE(5403),
    [sym_string] = STATE(5637),
    [sym_unit] = STATE(5403),
    [sym_return_expression] = STATE(11364),
    [sym_throw_expression] = STATE(11364),
    [sym_while_expression] = STATE(11364),
    [sym_do_while_expression] = STATE(11364),
    [sym_for_expression] = STATE(11364),
    [sym_comment] = STATE(1604),
    [sym_block_comment] = STATE(1604),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(2288),
    [anon_sym_while] = ACTIONS(1750),
    [anon_sym_for] = ACTIONS(1752),
    [anon_sym_try] = ACTIONS(1754),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1756),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1162),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1758),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1760),
    [anon_sym_throw] = ACTIONS(1762),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2282),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [1605] = {
    [sym_inline_modifier] = STATE(2081),
    [sym__indentable_expression] = STATE(13252),
    [sym_block] = STATE(6540),
    [sym_indented_block] = STATE(11390),
    [sym_indented_cases] = STATE(11390),
    [sym_expression] = STATE(11385),
    [sym__simple_expression] = STATE(5282),
    [sym_lambda_expression] = STATE(11374),
    [sym_if_expression] = STATE(11374),
    [sym_match_expression] = STATE(11374),
    [sym_try_expression] = STATE(11374),
    [sym_bindings] = STATE(15666),
    [sym_case_block] = STATE(6540),
    [sym_assignment_expression] = STATE(11374),
    [sym_generic_function] = STATE(6540),
    [sym_call_expression] = STATE(6540),
    [sym_field_expression] = STATE(6540),
    [sym_instance_expression] = STATE(6540),
    [sym_ascription_expression] = STATE(11374),
    [sym_infix_expression] = STATE(7834),
    [sym_postfix_expression] = STATE(11215),
    [sym__postfix_expression_choice] = STATE(16210),
    [sym_macro_body] = STATE(11374),
    [sym_prefix_expression] = STATE(8793),
    [sym_tuple_expression] = STATE(6540),
    [sym_parenthesized_expression] = STATE(6540),
    [sym_splice_expression] = STATE(6540),
    [sym_quote_expression] = STATE(6540),
    [sym_identifier] = STATE(4731),
    [sym__soft_identifier] = STATE(4667),
    [sym_wildcard] = STATE(7219),
    [sym__non_null_literal] = STATE(6540),
    [sym_boolean_literal] = STATE(6246),
    [sym_interpolated_string_expression] = STATE(6540),
    [sym_string] = STATE(6246),
    [sym_unit] = STATE(6540),
    [sym_return_expression] = STATE(11374),
    [sym_throw_expression] = STATE(11374),
    [sym_while_expression] = STATE(11374),
    [sym_do_while_expression] = STATE(11374),
    [sym_for_expression] = STATE(11374),
    [sym_comment] = STATE(1605),
    [sym_block_comment] = STATE(1605),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(2506),
    [anon_sym_while] = ACTIONS(1988),
    [anon_sym_for] = ACTIONS(1990),
    [anon_sym_try] = ACTIONS(1992),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1994),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1540),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1996),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1998),
    [anon_sym_throw] = ACTIONS(2000),
    [anon_sym_do] = ACTIONS(1548),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2240),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [1606] = {
    [sym_inline_modifier] = STATE(2149),
    [sym__indentable_expression] = STATE(13467),
    [sym_block] = STATE(9327),
    [sym_indented_block] = STATE(13548),
    [sym_indented_cases] = STATE(13548),
    [sym_expression] = STATE(13406),
    [sym__simple_expression] = STATE(7109),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15656),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10005),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6267),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(8706),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(1606),
    [sym_block_comment] = STATE(1606),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(2928),
    [anon_sym_while] = ACTIONS(2793),
    [anon_sym_for] = ACTIONS(2795),
    [anon_sym_try] = ACTIONS(2797),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(2799),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(2801),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(2803),
    [anon_sym_throw] = ACTIONS(2805),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [1607] = {
    [sym_inline_modifier] = STATE(2118),
    [sym__indentable_expression] = STATE(12994),
    [sym_block] = STATE(5403),
    [sym_indented_block] = STATE(11085),
    [sym_indented_cases] = STATE(11085),
    [sym_expression] = STATE(11355),
    [sym__simple_expression] = STATE(5051),
    [sym_lambda_expression] = STATE(11364),
    [sym_if_expression] = STATE(11364),
    [sym_match_expression] = STATE(11364),
    [sym_try_expression] = STATE(11364),
    [sym_bindings] = STATE(15597),
    [sym_case_block] = STATE(5403),
    [sym_assignment_expression] = STATE(11364),
    [sym_generic_function] = STATE(5403),
    [sym_call_expression] = STATE(5403),
    [sym_field_expression] = STATE(5403),
    [sym_instance_expression] = STATE(5403),
    [sym_ascription_expression] = STATE(11364),
    [sym_infix_expression] = STATE(6806),
    [sym_postfix_expression] = STATE(10789),
    [sym__postfix_expression_choice] = STATE(15797),
    [sym_macro_body] = STATE(11364),
    [sym_prefix_expression] = STATE(8869),
    [sym_tuple_expression] = STATE(5403),
    [sym_parenthesized_expression] = STATE(5403),
    [sym_splice_expression] = STATE(5403),
    [sym_quote_expression] = STATE(5403),
    [sym_identifier] = STATE(4686),
    [sym__soft_identifier] = STATE(4455),
    [sym_wildcard] = STATE(7015),
    [sym__non_null_literal] = STATE(5403),
    [sym_boolean_literal] = STATE(5637),
    [sym_interpolated_string_expression] = STATE(5403),
    [sym_string] = STATE(5637),
    [sym_unit] = STATE(5403),
    [sym_return_expression] = STATE(11364),
    [sym_throw_expression] = STATE(11364),
    [sym_while_expression] = STATE(11364),
    [sym_do_while_expression] = STATE(11364),
    [sym_for_expression] = STATE(11364),
    [sym_comment] = STATE(1607),
    [sym_block_comment] = STATE(1607),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(1152),
    [anon_sym_while] = ACTIONS(1154),
    [anon_sym_for] = ACTIONS(1156),
    [anon_sym_try] = ACTIONS(1158),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1160),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1162),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1164),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1166),
    [anon_sym_throw] = ACTIONS(1168),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2282),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [1608] = {
    [sym_inline_modifier] = STATE(2076),
    [sym__indentable_expression] = STATE(14119),
    [sym_block] = STATE(9327),
    [sym_indented_block] = STATE(13548),
    [sym_indented_cases] = STATE(13548),
    [sym_expression] = STATE(13406),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(1608),
    [sym_block_comment] = STATE(1608),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(3109),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [1609] = {
    [sym_inline_modifier] = STATE(2130),
    [sym__indentable_expression] = STATE(13349),
    [sym_block] = STATE(9120),
    [sym_indented_block] = STATE(13388),
    [sym_indented_cases] = STATE(13388),
    [sym_expression] = STATE(13211),
    [sym__simple_expression] = STATE(6353),
    [sym_lambda_expression] = STATE(13422),
    [sym_if_expression] = STATE(13422),
    [sym_match_expression] = STATE(13422),
    [sym_try_expression] = STATE(13422),
    [sym_bindings] = STATE(15752),
    [sym_case_block] = STATE(9120),
    [sym_assignment_expression] = STATE(13422),
    [sym_generic_function] = STATE(9120),
    [sym_call_expression] = STATE(9120),
    [sym_field_expression] = STATE(9120),
    [sym_instance_expression] = STATE(9120),
    [sym_ascription_expression] = STATE(13422),
    [sym_infix_expression] = STATE(9820),
    [sym_postfix_expression] = STATE(13148),
    [sym__postfix_expression_choice] = STATE(15936),
    [sym_macro_body] = STATE(13422),
    [sym_prefix_expression] = STATE(9828),
    [sym_tuple_expression] = STATE(9120),
    [sym_parenthesized_expression] = STATE(9120),
    [sym_splice_expression] = STATE(9120),
    [sym_quote_expression] = STATE(9120),
    [sym_identifier] = STATE(5669),
    [sym__soft_identifier] = STATE(6470),
    [sym_wildcard] = STATE(8444),
    [sym__non_null_literal] = STATE(9120),
    [sym_boolean_literal] = STATE(8928),
    [sym_interpolated_string_expression] = STATE(9120),
    [sym_string] = STATE(8928),
    [sym_unit] = STATE(9120),
    [sym_return_expression] = STATE(13422),
    [sym_throw_expression] = STATE(13422),
    [sym_while_expression] = STATE(13422),
    [sym_do_while_expression] = STATE(13422),
    [sym_for_expression] = STATE(13422),
    [sym_comment] = STATE(1609),
    [sym_block_comment] = STATE(1609),
    [sym__alpha_identifier] = ACTIONS(1582),
    [anon_sym_LBRACE] = ACTIONS(1586),
    [anon_sym__] = ACTIONS(1588),
    [anon_sym_PLUS] = ACTIONS(1590),
    [anon_sym_DASH] = ACTIONS(1590),
    [anon_sym_end] = ACTIONS(1592),
    [anon_sym_if] = ACTIONS(1864),
    [anon_sym_while] = ACTIONS(1866),
    [anon_sym_for] = ACTIONS(1868),
    [anon_sym_try] = ACTIONS(1870),
    [anon_sym_new] = ACTIONS(1594),
    [anon_sym_opaque] = ACTIONS(1592),
    [anon_sym_implicit] = ACTIONS(1872),
    [anon_sym_inline] = ACTIONS(1596),
    [anon_sym_infix] = ACTIONS(1592),
    [anon_sym_open] = ACTIONS(1592),
    [anon_sym_transparent] = ACTIONS(1592),
    [anon_sym_LPAREN] = ACTIONS(1598),
    [anon_sym_macro] = ACTIONS(1874),
    [anon_sym_BANG] = ACTIONS(1590),
    [anon_sym_TILDE] = ACTIONS(1590),
    [anon_sym_DOLLAR] = ACTIONS(1600),
    [anon_sym_SQUOTE] = ACTIONS(1602),
    [sym__backquoted_id] = ACTIONS(1604),
    [sym_operator_identifier] = ACTIONS(1876),
    [sym_integer_literal] = ACTIONS(1608),
    [sym_floating_point_literal] = ACTIONS(1610),
    [anon_sym_true] = ACTIONS(1612),
    [anon_sym_false] = ACTIONS(1612),
    [sym_character_literal] = ACTIONS(1610),
    [sym_null_literal] = ACTIONS(1614),
    [anon_sym_return] = ACTIONS(1878),
    [anon_sym_throw] = ACTIONS(1880),
    [anon_sym_do] = ACTIONS(1882),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3282),
    [sym__simple_multiline_string] = ACTIONS(1616),
    [sym__simple_string] = ACTIONS(1616),
  },
  [1610] = {
    [sym_inline_modifier] = STATE(2044),
    [sym__indentable_expression] = STATE(13698),
    [sym_block] = STATE(9913),
    [sym_indented_block] = STATE(11923),
    [sym_indented_cases] = STATE(11923),
    [sym_expression] = STATE(13501),
    [sym__simple_expression] = STATE(7224),
    [sym_lambda_expression] = STATE(12144),
    [sym_if_expression] = STATE(12144),
    [sym_match_expression] = STATE(12144),
    [sym_try_expression] = STATE(12144),
    [sym_bindings] = STATE(15632),
    [sym_case_block] = STATE(9913),
    [sym_assignment_expression] = STATE(12144),
    [sym_generic_function] = STATE(9913),
    [sym_call_expression] = STATE(9913),
    [sym_field_expression] = STATE(9913),
    [sym_instance_expression] = STATE(9913),
    [sym_ascription_expression] = STATE(12144),
    [sym_infix_expression] = STATE(10304),
    [sym_postfix_expression] = STATE(11499),
    [sym__postfix_expression_choice] = STATE(16334),
    [sym_macro_body] = STATE(12144),
    [sym_prefix_expression] = STATE(9963),
    [sym_tuple_expression] = STATE(9913),
    [sym_parenthesized_expression] = STATE(9913),
    [sym_splice_expression] = STATE(9913),
    [sym_quote_expression] = STATE(9913),
    [sym_identifier] = STATE(6170),
    [sym__soft_identifier] = STATE(4555),
    [sym_wildcard] = STATE(8897),
    [sym__non_null_literal] = STATE(9913),
    [sym_boolean_literal] = STATE(6572),
    [sym_interpolated_string_expression] = STATE(9913),
    [sym_string] = STATE(6572),
    [sym_unit] = STATE(9913),
    [sym_return_expression] = STATE(12144),
    [sym_throw_expression] = STATE(12144),
    [sym_while_expression] = STATE(12144),
    [sym_do_while_expression] = STATE(12144),
    [sym_for_expression] = STATE(12144),
    [sym_comment] = STATE(1610),
    [sym_block_comment] = STATE(1610),
    [sym__alpha_identifier] = ACTIONS(1766),
    [anon_sym_LBRACE] = ACTIONS(1770),
    [anon_sym__] = ACTIONS(1772),
    [anon_sym_PLUS] = ACTIONS(1774),
    [anon_sym_DASH] = ACTIONS(1774),
    [anon_sym_end] = ACTIONS(1776),
    [anon_sym_if] = ACTIONS(2160),
    [anon_sym_while] = ACTIONS(2162),
    [anon_sym_for] = ACTIONS(2164),
    [anon_sym_try] = ACTIONS(2166),
    [anon_sym_new] = ACTIONS(1778),
    [anon_sym_opaque] = ACTIONS(1776),
    [anon_sym_implicit] = ACTIONS(2168),
    [anon_sym_inline] = ACTIONS(1780),
    [anon_sym_infix] = ACTIONS(1776),
    [anon_sym_open] = ACTIONS(1776),
    [anon_sym_transparent] = ACTIONS(1776),
    [anon_sym_LPAREN] = ACTIONS(1782),
    [anon_sym_macro] = ACTIONS(2170),
    [anon_sym_BANG] = ACTIONS(1774),
    [anon_sym_TILDE] = ACTIONS(1774),
    [anon_sym_DOLLAR] = ACTIONS(1784),
    [anon_sym_SQUOTE] = ACTIONS(1786),
    [sym__backquoted_id] = ACTIONS(1788),
    [sym_operator_identifier] = ACTIONS(2172),
    [sym_integer_literal] = ACTIONS(1792),
    [sym_floating_point_literal] = ACTIONS(1794),
    [anon_sym_true] = ACTIONS(1796),
    [anon_sym_false] = ACTIONS(1796),
    [sym_character_literal] = ACTIONS(1794),
    [sym_null_literal] = ACTIONS(1798),
    [anon_sym_return] = ACTIONS(2174),
    [anon_sym_throw] = ACTIONS(2176),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3280),
    [sym__simple_multiline_string] = ACTIONS(1800),
    [sym__simple_string] = ACTIONS(1800),
  },
  [1611] = {
    [sym_inline_modifier] = STATE(2050),
    [sym__indentable_expression] = STATE(12995),
    [sym_block] = STATE(8375),
    [sym_indented_block] = STATE(13183),
    [sym_indented_cases] = STATE(13183),
    [sym_expression] = STATE(12800),
    [sym__simple_expression] = STATE(6499),
    [sym_lambda_expression] = STATE(13185),
    [sym_if_expression] = STATE(13185),
    [sym_match_expression] = STATE(13185),
    [sym_try_expression] = STATE(13185),
    [sym_bindings] = STATE(15649),
    [sym_case_block] = STATE(8375),
    [sym_assignment_expression] = STATE(13185),
    [sym_generic_function] = STATE(8375),
    [sym_call_expression] = STATE(8375),
    [sym_field_expression] = STATE(8375),
    [sym_instance_expression] = STATE(8375),
    [sym_ascription_expression] = STATE(13185),
    [sym_infix_expression] = STATE(9364),
    [sym_postfix_expression] = STATE(12809),
    [sym__postfix_expression_choice] = STATE(16440),
    [sym_macro_body] = STATE(13185),
    [sym_prefix_expression] = STATE(9765),
    [sym_tuple_expression] = STATE(8375),
    [sym_parenthesized_expression] = STATE(8375),
    [sym_splice_expression] = STATE(8375),
    [sym_quote_expression] = STATE(8375),
    [sym_identifier] = STATE(5812),
    [sym__soft_identifier] = STATE(5430),
    [sym_wildcard] = STATE(8380),
    [sym__non_null_literal] = STATE(8375),
    [sym_boolean_literal] = STATE(8117),
    [sym_interpolated_string_expression] = STATE(8375),
    [sym_string] = STATE(8117),
    [sym_unit] = STATE(8375),
    [sym_return_expression] = STATE(13185),
    [sym_throw_expression] = STATE(13185),
    [sym_while_expression] = STATE(13185),
    [sym_do_while_expression] = STATE(13185),
    [sym_for_expression] = STATE(13185),
    [sym_comment] = STATE(1611),
    [sym_block_comment] = STATE(1611),
    [sym__alpha_identifier] = ACTIONS(1618),
    [anon_sym_LBRACE] = ACTIONS(1622),
    [anon_sym__] = ACTIONS(1624),
    [anon_sym_PLUS] = ACTIONS(1626),
    [anon_sym_DASH] = ACTIONS(1626),
    [anon_sym_end] = ACTIONS(1628),
    [anon_sym_if] = ACTIONS(2064),
    [anon_sym_while] = ACTIONS(2066),
    [anon_sym_for] = ACTIONS(2068),
    [anon_sym_try] = ACTIONS(2070),
    [anon_sym_new] = ACTIONS(1630),
    [anon_sym_opaque] = ACTIONS(1628),
    [anon_sym_implicit] = ACTIONS(2072),
    [anon_sym_inline] = ACTIONS(1632),
    [anon_sym_infix] = ACTIONS(1628),
    [anon_sym_open] = ACTIONS(1628),
    [anon_sym_transparent] = ACTIONS(1628),
    [anon_sym_LPAREN] = ACTIONS(1634),
    [anon_sym_macro] = ACTIONS(2074),
    [anon_sym_BANG] = ACTIONS(1626),
    [anon_sym_TILDE] = ACTIONS(1626),
    [anon_sym_DOLLAR] = ACTIONS(1636),
    [anon_sym_SQUOTE] = ACTIONS(1638),
    [sym__backquoted_id] = ACTIONS(1640),
    [sym_operator_identifier] = ACTIONS(2076),
    [sym_integer_literal] = ACTIONS(1644),
    [sym_floating_point_literal] = ACTIONS(1646),
    [anon_sym_true] = ACTIONS(1648),
    [anon_sym_false] = ACTIONS(1648),
    [sym_character_literal] = ACTIONS(1646),
    [sym_null_literal] = ACTIONS(1650),
    [anon_sym_return] = ACTIONS(2078),
    [anon_sym_throw] = ACTIONS(2080),
    [anon_sym_do] = ACTIONS(2082),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1652),
    [sym__simple_string] = ACTIONS(1652),
  },
  [1612] = {
    [sym_inline_modifier] = STATE(2179),
    [sym__indentable_expression] = STATE(13591),
    [sym_block] = STATE(6738),
    [sym_indented_block] = STATE(12372),
    [sym_indented_cases] = STATE(12372),
    [sym_expression] = STATE(12028),
    [sym__simple_expression] = STATE(6283),
    [sym_lambda_expression] = STATE(12430),
    [sym_if_expression] = STATE(12430),
    [sym_match_expression] = STATE(12430),
    [sym_try_expression] = STATE(12430),
    [sym_bindings] = STATE(15581),
    [sym_case_block] = STATE(6738),
    [sym_assignment_expression] = STATE(12430),
    [sym_generic_function] = STATE(6738),
    [sym_call_expression] = STATE(6738),
    [sym_field_expression] = STATE(6738),
    [sym_instance_expression] = STATE(6738),
    [sym_ascription_expression] = STATE(12430),
    [sym_infix_expression] = STATE(8389),
    [sym_postfix_expression] = STATE(11930),
    [sym__postfix_expression_choice] = STATE(15885),
    [sym_macro_body] = STATE(12430),
    [sym_prefix_expression] = STATE(9616),
    [sym_tuple_expression] = STATE(6738),
    [sym_parenthesized_expression] = STATE(6738),
    [sym_splice_expression] = STATE(6738),
    [sym_quote_expression] = STATE(6738),
    [sym_identifier] = STATE(5530),
    [sym__soft_identifier] = STATE(4943),
    [sym_wildcard] = STATE(8554),
    [sym__non_null_literal] = STATE(6738),
    [sym_boolean_literal] = STATE(7301),
    [sym_interpolated_string_expression] = STATE(6738),
    [sym_string] = STATE(7301),
    [sym_unit] = STATE(6738),
    [sym_return_expression] = STATE(12430),
    [sym_throw_expression] = STATE(12430),
    [sym_while_expression] = STATE(12430),
    [sym_do_while_expression] = STATE(12430),
    [sym_for_expression] = STATE(12430),
    [sym_comment] = STATE(1612),
    [sym_block_comment] = STATE(1612),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(2356),
    [anon_sym_while] = ACTIONS(2358),
    [anon_sym_for] = ACTIONS(2360),
    [anon_sym_try] = ACTIONS(2362),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1360),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(2366),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(2368),
    [anon_sym_throw] = ACTIONS(2370),
    [anon_sym_do] = ACTIONS(1368),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2202),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [1613] = {
    [sym_inline_modifier] = STATE(2038),
    [sym__indentable_expression] = STATE(12355),
    [sym_block] = STATE(8041),
    [sym_indented_block] = STATE(12292),
    [sym_indented_cases] = STATE(12292),
    [sym_expression] = STATE(12256),
    [sym__simple_expression] = STATE(6323),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15629),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(9695),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(5557),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(8528),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(1613),
    [sym_block_comment] = STATE(1613),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(3157),
    [anon_sym_while] = ACTIONS(2394),
    [anon_sym_for] = ACTIONS(2396),
    [anon_sym_try] = ACTIONS(2398),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2400),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(2402),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(2404),
    [anon_sym_throw] = ACTIONS(2406),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1614] = {
    [sym_inline_modifier] = STATE(2084),
    [sym__indentable_expression] = STATE(16874),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(8831),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15722),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10635),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(774),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(8641),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(10149),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1614),
    [sym_block_comment] = STATE(1614),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2740),
    [anon_sym_while] = ACTIONS(2742),
    [anon_sym_for] = ACTIONS(2744),
    [anon_sym_try] = ACTIONS(2746),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2748),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3310),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3312),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2762),
    [anon_sym_throw] = ACTIONS(2764),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1615] = {
    [sym_inline_modifier] = STATE(2086),
    [sym__indentable_expression] = STATE(12864),
    [sym_block] = STATE(9116),
    [sym_indented_block] = STATE(11085),
    [sym_indented_cases] = STATE(11085),
    [sym_expression] = STATE(13151),
    [sym__simple_expression] = STATE(5562),
    [sym_lambda_expression] = STATE(11364),
    [sym_if_expression] = STATE(11364),
    [sym_match_expression] = STATE(11364),
    [sym_try_expression] = STATE(11364),
    [sym_bindings] = STATE(15512),
    [sym_case_block] = STATE(9116),
    [sym_assignment_expression] = STATE(11364),
    [sym_generic_function] = STATE(9116),
    [sym_call_expression] = STATE(9116),
    [sym_field_expression] = STATE(9116),
    [sym_instance_expression] = STATE(9116),
    [sym_ascription_expression] = STATE(11364),
    [sym_infix_expression] = STATE(9793),
    [sym_postfix_expression] = STATE(10789),
    [sym__postfix_expression_choice] = STATE(15871),
    [sym_macro_body] = STATE(11364),
    [sym_prefix_expression] = STATE(9370),
    [sym_tuple_expression] = STATE(9116),
    [sym_parenthesized_expression] = STATE(9116),
    [sym_splice_expression] = STATE(9116),
    [sym_quote_expression] = STATE(9116),
    [sym_identifier] = STATE(5047),
    [sym__soft_identifier] = STATE(4332),
    [sym_wildcard] = STATE(7660),
    [sym__non_null_literal] = STATE(9116),
    [sym_boolean_literal] = STATE(5055),
    [sym_interpolated_string_expression] = STATE(9116),
    [sym_string] = STATE(5055),
    [sym_unit] = STATE(9116),
    [sym_return_expression] = STATE(11364),
    [sym_throw_expression] = STATE(11364),
    [sym_while_expression] = STATE(11364),
    [sym_do_while_expression] = STATE(11364),
    [sym_for_expression] = STATE(11364),
    [sym_comment] = STATE(1615),
    [sym_block_comment] = STATE(1615),
    [sym__alpha_identifier] = ACTIONS(1206),
    [anon_sym_LBRACE] = ACTIONS(1210),
    [anon_sym__] = ACTIONS(1212),
    [anon_sym_PLUS] = ACTIONS(1214),
    [anon_sym_DASH] = ACTIONS(1214),
    [anon_sym_end] = ACTIONS(1216),
    [anon_sym_if] = ACTIONS(1550),
    [anon_sym_while] = ACTIONS(1552),
    [anon_sym_for] = ACTIONS(1554),
    [anon_sym_try] = ACTIONS(1556),
    [anon_sym_new] = ACTIONS(1218),
    [anon_sym_opaque] = ACTIONS(1216),
    [anon_sym_implicit] = ACTIONS(1558),
    [anon_sym_inline] = ACTIONS(1220),
    [anon_sym_infix] = ACTIONS(1216),
    [anon_sym_open] = ACTIONS(1216),
    [anon_sym_transparent] = ACTIONS(1216),
    [anon_sym_LPAREN] = ACTIONS(1222),
    [anon_sym_macro] = ACTIONS(1560),
    [anon_sym_BANG] = ACTIONS(1214),
    [anon_sym_TILDE] = ACTIONS(1214),
    [anon_sym_DOLLAR] = ACTIONS(1224),
    [anon_sym_SQUOTE] = ACTIONS(1226),
    [sym__backquoted_id] = ACTIONS(1228),
    [sym_operator_identifier] = ACTIONS(1562),
    [sym_integer_literal] = ACTIONS(1232),
    [sym_floating_point_literal] = ACTIONS(1234),
    [anon_sym_true] = ACTIONS(1236),
    [anon_sym_false] = ACTIONS(1236),
    [sym_character_literal] = ACTIONS(1234),
    [sym_null_literal] = ACTIONS(1238),
    [anon_sym_return] = ACTIONS(1564),
    [anon_sym_throw] = ACTIONS(1566),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2282),
    [sym__simple_multiline_string] = ACTIONS(1240),
    [sym__simple_string] = ACTIONS(1240),
  },
  [1616] = {
    [sym_inline_modifier] = STATE(2098),
    [sym__indentable_expression] = STATE(13508),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1616),
    [sym_block_comment] = STATE(1616),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1617] = {
    [sym_inline_modifier] = STATE(2040),
    [sym__indentable_expression] = STATE(13177),
    [sym_block] = STATE(8375),
    [sym_indented_block] = STATE(13183),
    [sym_indented_cases] = STATE(13183),
    [sym_expression] = STATE(12800),
    [sym__simple_expression] = STATE(7538),
    [sym_lambda_expression] = STATE(13185),
    [sym_if_expression] = STATE(13185),
    [sym_match_expression] = STATE(13185),
    [sym_try_expression] = STATE(13185),
    [sym_bindings] = STATE(15594),
    [sym_case_block] = STATE(8375),
    [sym_assignment_expression] = STATE(13185),
    [sym_generic_function] = STATE(8375),
    [sym_call_expression] = STATE(8375),
    [sym_field_expression] = STATE(8375),
    [sym_instance_expression] = STATE(8375),
    [sym_ascription_expression] = STATE(13185),
    [sym_infix_expression] = STATE(9364),
    [sym_postfix_expression] = STATE(12809),
    [sym__postfix_expression_choice] = STATE(16440),
    [sym_macro_body] = STATE(13185),
    [sym_prefix_expression] = STATE(10274),
    [sym_tuple_expression] = STATE(8375),
    [sym_parenthesized_expression] = STATE(8375),
    [sym_splice_expression] = STATE(8375),
    [sym_quote_expression] = STATE(8375),
    [sym_identifier] = STATE(7110),
    [sym__soft_identifier] = STATE(5430),
    [sym_wildcard] = STATE(9287),
    [sym__non_null_literal] = STATE(8375),
    [sym_boolean_literal] = STATE(8117),
    [sym_interpolated_string_expression] = STATE(8375),
    [sym_string] = STATE(8117),
    [sym_unit] = STATE(8375),
    [sym_return_expression] = STATE(13185),
    [sym_throw_expression] = STATE(13185),
    [sym_while_expression] = STATE(13185),
    [sym_do_while_expression] = STATE(13185),
    [sym_for_expression] = STATE(13185),
    [sym_comment] = STATE(1617),
    [sym_block_comment] = STATE(1617),
    [sym__alpha_identifier] = ACTIONS(1618),
    [anon_sym_LBRACE] = ACTIONS(1622),
    [anon_sym__] = ACTIONS(1624),
    [anon_sym_PLUS] = ACTIONS(1626),
    [anon_sym_DASH] = ACTIONS(1626),
    [anon_sym_end] = ACTIONS(1628),
    [anon_sym_if] = ACTIONS(2414),
    [anon_sym_while] = ACTIONS(2416),
    [anon_sym_for] = ACTIONS(2418),
    [anon_sym_try] = ACTIONS(2420),
    [anon_sym_new] = ACTIONS(1630),
    [anon_sym_opaque] = ACTIONS(1628),
    [anon_sym_implicit] = ACTIONS(2422),
    [anon_sym_inline] = ACTIONS(1632),
    [anon_sym_infix] = ACTIONS(1628),
    [anon_sym_open] = ACTIONS(1628),
    [anon_sym_transparent] = ACTIONS(1628),
    [anon_sym_LPAREN] = ACTIONS(1634),
    [anon_sym_macro] = ACTIONS(2074),
    [anon_sym_BANG] = ACTIONS(1626),
    [anon_sym_TILDE] = ACTIONS(1626),
    [anon_sym_DOLLAR] = ACTIONS(1636),
    [anon_sym_SQUOTE] = ACTIONS(1638),
    [sym__backquoted_id] = ACTIONS(1640),
    [sym_operator_identifier] = ACTIONS(2424),
    [sym_integer_literal] = ACTIONS(1644),
    [sym_floating_point_literal] = ACTIONS(1646),
    [anon_sym_true] = ACTIONS(1648),
    [anon_sym_false] = ACTIONS(1648),
    [sym_character_literal] = ACTIONS(1646),
    [sym_null_literal] = ACTIONS(1650),
    [anon_sym_return] = ACTIONS(2426),
    [anon_sym_throw] = ACTIONS(2428),
    [anon_sym_do] = ACTIONS(2082),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1652),
    [sym__simple_string] = ACTIONS(1652),
  },
  [1618] = {
    [sym_inline_modifier] = STATE(2281),
    [sym__indentable_expression] = STATE(13108),
    [sym_block] = STATE(6540),
    [sym_indented_block] = STATE(11390),
    [sym_indented_cases] = STATE(11390),
    [sym_expression] = STATE(11385),
    [sym__simple_expression] = STATE(5304),
    [sym_lambda_expression] = STATE(11374),
    [sym_if_expression] = STATE(11374),
    [sym_match_expression] = STATE(11374),
    [sym_try_expression] = STATE(11374),
    [sym_bindings] = STATE(15689),
    [sym_case_block] = STATE(6540),
    [sym_assignment_expression] = STATE(11374),
    [sym_generic_function] = STATE(6540),
    [sym_call_expression] = STATE(6540),
    [sym_field_expression] = STATE(6540),
    [sym_instance_expression] = STATE(6540),
    [sym_ascription_expression] = STATE(11374),
    [sym_infix_expression] = STATE(7834),
    [sym_postfix_expression] = STATE(11215),
    [sym__postfix_expression_choice] = STATE(16210),
    [sym_macro_body] = STATE(11374),
    [sym_prefix_expression] = STATE(8725),
    [sym_tuple_expression] = STATE(6540),
    [sym_parenthesized_expression] = STATE(6540),
    [sym_splice_expression] = STATE(6540),
    [sym_quote_expression] = STATE(6540),
    [sym_identifier] = STATE(4721),
    [sym__soft_identifier] = STATE(4667),
    [sym_wildcard] = STATE(7076),
    [sym__non_null_literal] = STATE(6540),
    [sym_boolean_literal] = STATE(6246),
    [sym_interpolated_string_expression] = STATE(6540),
    [sym_string] = STATE(6246),
    [sym_unit] = STATE(6540),
    [sym_return_expression] = STATE(11374),
    [sym_throw_expression] = STATE(11374),
    [sym_while_expression] = STATE(11374),
    [sym_do_while_expression] = STATE(11374),
    [sym_for_expression] = STATE(11374),
    [sym_comment] = STATE(1618),
    [sym_block_comment] = STATE(1618),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(2238),
    [anon_sym_while] = ACTIONS(1568),
    [anon_sym_for] = ACTIONS(1570),
    [anon_sym_try] = ACTIONS(1572),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1574),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1540),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1576),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1578),
    [anon_sym_throw] = ACTIONS(1580),
    [anon_sym_do] = ACTIONS(1548),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2240),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [1619] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(13458),
    [sym_block] = STATE(9088),
    [sym_indented_block] = STATE(13438),
    [sym_indented_cases] = STATE(13438),
    [sym_expression] = STATE(12942),
    [sym__simple_expression] = STATE(7286),
    [sym_lambda_expression] = STATE(13338),
    [sym_if_expression] = STATE(13338),
    [sym_match_expression] = STATE(13338),
    [sym_try_expression] = STATE(13338),
    [sym_bindings] = STATE(15723),
    [sym_case_block] = STATE(9088),
    [sym_assignment_expression] = STATE(13338),
    [sym_generic_function] = STATE(9088),
    [sym_call_expression] = STATE(9088),
    [sym_field_expression] = STATE(9088),
    [sym_instance_expression] = STATE(9088),
    [sym_ascription_expression] = STATE(13338),
    [sym_infix_expression] = STATE(9773),
    [sym_postfix_expression] = STATE(13117),
    [sym__postfix_expression_choice] = STATE(15912),
    [sym_macro_body] = STATE(13338),
    [sym_prefix_expression] = STATE(10020),
    [sym_tuple_expression] = STATE(9088),
    [sym_parenthesized_expression] = STATE(9088),
    [sym_splice_expression] = STATE(9088),
    [sym_quote_expression] = STATE(9088),
    [sym_identifier] = STATE(6105),
    [sym__soft_identifier] = STATE(6581),
    [sym_wildcard] = STATE(8709),
    [sym__non_null_literal] = STATE(9088),
    [sym_boolean_literal] = STATE(8905),
    [sym_interpolated_string_expression] = STATE(9088),
    [sym_string] = STATE(8905),
    [sym_unit] = STATE(9088),
    [sym_return_expression] = STATE(13338),
    [sym_throw_expression] = STATE(13338),
    [sym_while_expression] = STATE(13338),
    [sym_do_while_expression] = STATE(13338),
    [sym_for_expression] = STATE(13338),
    [sym_comment] = STATE(1619),
    [sym_block_comment] = STATE(1619),
    [sym__alpha_identifier] = ACTIONS(1938),
    [anon_sym_LBRACE] = ACTIONS(1942),
    [anon_sym__] = ACTIONS(1944),
    [anon_sym_PLUS] = ACTIONS(1946),
    [anon_sym_DASH] = ACTIONS(1946),
    [anon_sym_end] = ACTIONS(1948),
    [anon_sym_if] = ACTIONS(2260),
    [anon_sym_while] = ACTIONS(2262),
    [anon_sym_for] = ACTIONS(2264),
    [anon_sym_try] = ACTIONS(2266),
    [anon_sym_new] = ACTIONS(1950),
    [anon_sym_opaque] = ACTIONS(1948),
    [anon_sym_implicit] = ACTIONS(2268),
    [anon_sym_inline] = ACTIONS(1952),
    [anon_sym_infix] = ACTIONS(1948),
    [anon_sym_open] = ACTIONS(1948),
    [anon_sym_transparent] = ACTIONS(1948),
    [anon_sym_LPAREN] = ACTIONS(1954),
    [anon_sym_macro] = ACTIONS(2270),
    [anon_sym_BANG] = ACTIONS(1946),
    [anon_sym_TILDE] = ACTIONS(1946),
    [anon_sym_DOLLAR] = ACTIONS(1956),
    [anon_sym_SQUOTE] = ACTIONS(1958),
    [sym__backquoted_id] = ACTIONS(1960),
    [sym_operator_identifier] = ACTIONS(2272),
    [sym_integer_literal] = ACTIONS(1964),
    [sym_floating_point_literal] = ACTIONS(1966),
    [anon_sym_true] = ACTIONS(1968),
    [anon_sym_false] = ACTIONS(1968),
    [sym_character_literal] = ACTIONS(1966),
    [sym_null_literal] = ACTIONS(1970),
    [anon_sym_return] = ACTIONS(2274),
    [anon_sym_throw] = ACTIONS(2276),
    [anon_sym_do] = ACTIONS(2278),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2346),
    [sym__simple_multiline_string] = ACTIONS(1972),
    [sym__simple_string] = ACTIONS(1972),
  },
  [1620] = {
    [sym_inline_modifier] = STATE(2125),
    [sym__indentable_expression] = STATE(12971),
    [sym_block] = STATE(6738),
    [sym_indented_block] = STATE(12372),
    [sym_indented_cases] = STATE(12372),
    [sym_expression] = STATE(12028),
    [sym__simple_expression] = STATE(5176),
    [sym_lambda_expression] = STATE(12430),
    [sym_if_expression] = STATE(12430),
    [sym_match_expression] = STATE(12430),
    [sym_try_expression] = STATE(12430),
    [sym_bindings] = STATE(15677),
    [sym_case_block] = STATE(6738),
    [sym_assignment_expression] = STATE(12430),
    [sym_generic_function] = STATE(6738),
    [sym_call_expression] = STATE(6738),
    [sym_field_expression] = STATE(6738),
    [sym_instance_expression] = STATE(6738),
    [sym_ascription_expression] = STATE(12430),
    [sym_infix_expression] = STATE(8389),
    [sym_postfix_expression] = STATE(11930),
    [sym__postfix_expression_choice] = STATE(15885),
    [sym_macro_body] = STATE(12430),
    [sym_prefix_expression] = STATE(9115),
    [sym_tuple_expression] = STATE(6738),
    [sym_parenthesized_expression] = STATE(6738),
    [sym_splice_expression] = STATE(6738),
    [sym_quote_expression] = STATE(6738),
    [sym_identifier] = STATE(4951),
    [sym__soft_identifier] = STATE(4943),
    [sym_wildcard] = STATE(7114),
    [sym__non_null_literal] = STATE(6738),
    [sym_boolean_literal] = STATE(7301),
    [sym_interpolated_string_expression] = STATE(6738),
    [sym_string] = STATE(7301),
    [sym_unit] = STATE(6738),
    [sym_return_expression] = STATE(12430),
    [sym_throw_expression] = STATE(12430),
    [sym_while_expression] = STATE(12430),
    [sym_do_while_expression] = STATE(12430),
    [sym_for_expression] = STATE(12430),
    [sym_comment] = STATE(1620),
    [sym_block_comment] = STATE(1620),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(1350),
    [anon_sym_while] = ACTIONS(1352),
    [anon_sym_for] = ACTIONS(1354),
    [anon_sym_try] = ACTIONS(1356),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(1358),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1360),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(1362),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(1364),
    [anon_sym_throw] = ACTIONS(1366),
    [anon_sym_do] = ACTIONS(1368),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2202),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [1621] = {
    [sym_inline_modifier] = STATE(2040),
    [sym__indentable_expression] = STATE(13525),
    [sym_block] = STATE(8375),
    [sym_indented_block] = STATE(13183),
    [sym_indented_cases] = STATE(13183),
    [sym_expression] = STATE(12800),
    [sym__simple_expression] = STATE(7538),
    [sym_lambda_expression] = STATE(13185),
    [sym_if_expression] = STATE(13185),
    [sym_match_expression] = STATE(13185),
    [sym_try_expression] = STATE(13185),
    [sym_bindings] = STATE(15594),
    [sym_case_block] = STATE(8375),
    [sym_assignment_expression] = STATE(13185),
    [sym_generic_function] = STATE(8375),
    [sym_call_expression] = STATE(8375),
    [sym_field_expression] = STATE(8375),
    [sym_instance_expression] = STATE(8375),
    [sym_ascription_expression] = STATE(13185),
    [sym_infix_expression] = STATE(9364),
    [sym_postfix_expression] = STATE(12809),
    [sym__postfix_expression_choice] = STATE(16440),
    [sym_macro_body] = STATE(13185),
    [sym_prefix_expression] = STATE(10274),
    [sym_tuple_expression] = STATE(8375),
    [sym_parenthesized_expression] = STATE(8375),
    [sym_splice_expression] = STATE(8375),
    [sym_quote_expression] = STATE(8375),
    [sym_identifier] = STATE(7110),
    [sym__soft_identifier] = STATE(5430),
    [sym_wildcard] = STATE(9287),
    [sym__non_null_literal] = STATE(8375),
    [sym_boolean_literal] = STATE(8117),
    [sym_interpolated_string_expression] = STATE(8375),
    [sym_string] = STATE(8117),
    [sym_unit] = STATE(8375),
    [sym_return_expression] = STATE(13185),
    [sym_throw_expression] = STATE(13185),
    [sym_while_expression] = STATE(13185),
    [sym_do_while_expression] = STATE(13185),
    [sym_for_expression] = STATE(13185),
    [sym_comment] = STATE(1621),
    [sym_block_comment] = STATE(1621),
    [sym__alpha_identifier] = ACTIONS(1618),
    [anon_sym_LBRACE] = ACTIONS(1622),
    [anon_sym__] = ACTIONS(1624),
    [anon_sym_PLUS] = ACTIONS(1626),
    [anon_sym_DASH] = ACTIONS(1626),
    [anon_sym_end] = ACTIONS(1628),
    [anon_sym_if] = ACTIONS(2414),
    [anon_sym_while] = ACTIONS(2416),
    [anon_sym_for] = ACTIONS(2418),
    [anon_sym_try] = ACTIONS(2420),
    [anon_sym_new] = ACTIONS(1630),
    [anon_sym_opaque] = ACTIONS(1628),
    [anon_sym_implicit] = ACTIONS(2422),
    [anon_sym_inline] = ACTIONS(1632),
    [anon_sym_infix] = ACTIONS(1628),
    [anon_sym_open] = ACTIONS(1628),
    [anon_sym_transparent] = ACTIONS(1628),
    [anon_sym_LPAREN] = ACTIONS(1634),
    [anon_sym_macro] = ACTIONS(2074),
    [anon_sym_BANG] = ACTIONS(1626),
    [anon_sym_TILDE] = ACTIONS(1626),
    [anon_sym_DOLLAR] = ACTIONS(1636),
    [anon_sym_SQUOTE] = ACTIONS(1638),
    [sym__backquoted_id] = ACTIONS(1640),
    [sym_operator_identifier] = ACTIONS(2424),
    [sym_integer_literal] = ACTIONS(1644),
    [sym_floating_point_literal] = ACTIONS(1646),
    [anon_sym_true] = ACTIONS(1648),
    [anon_sym_false] = ACTIONS(1648),
    [sym_character_literal] = ACTIONS(1646),
    [sym_null_literal] = ACTIONS(1650),
    [anon_sym_return] = ACTIONS(2426),
    [anon_sym_throw] = ACTIONS(2428),
    [anon_sym_do] = ACTIONS(2082),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1652),
    [sym__simple_string] = ACTIONS(1652),
  },
  [1622] = {
    [sym_inline_modifier] = STATE(2084),
    [sym__indentable_expression] = STATE(16766),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(8831),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15722),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10635),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(684),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(8641),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(10149),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1622),
    [sym_block_comment] = STATE(1622),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2740),
    [anon_sym_while] = ACTIONS(2742),
    [anon_sym_for] = ACTIONS(2744),
    [anon_sym_try] = ACTIONS(2746),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2748),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3310),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3312),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2762),
    [anon_sym_throw] = ACTIONS(2764),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1623] = {
    [sym_inline_modifier] = STATE(2038),
    [sym__indentable_expression] = STATE(12508),
    [sym_block] = STATE(8041),
    [sym_indented_block] = STATE(12292),
    [sym_indented_cases] = STATE(12292),
    [sym_expression] = STATE(12256),
    [sym__simple_expression] = STATE(6323),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15629),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(9695),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(5557),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(8528),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(1623),
    [sym_block_comment] = STATE(1623),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(3157),
    [anon_sym_while] = ACTIONS(2394),
    [anon_sym_for] = ACTIONS(2396),
    [anon_sym_try] = ACTIONS(2398),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2400),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(2402),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(2404),
    [anon_sym_throw] = ACTIONS(2406),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1624] = {
    [sym_inline_modifier] = STATE(2125),
    [sym__indentable_expression] = STATE(13091),
    [sym_block] = STATE(6738),
    [sym_indented_block] = STATE(12372),
    [sym_indented_cases] = STATE(12372),
    [sym_expression] = STATE(12028),
    [sym__simple_expression] = STATE(5176),
    [sym_lambda_expression] = STATE(12430),
    [sym_if_expression] = STATE(12430),
    [sym_match_expression] = STATE(12430),
    [sym_try_expression] = STATE(12430),
    [sym_bindings] = STATE(15677),
    [sym_case_block] = STATE(6738),
    [sym_assignment_expression] = STATE(12430),
    [sym_generic_function] = STATE(6738),
    [sym_call_expression] = STATE(6738),
    [sym_field_expression] = STATE(6738),
    [sym_instance_expression] = STATE(6738),
    [sym_ascription_expression] = STATE(12430),
    [sym_infix_expression] = STATE(8389),
    [sym_postfix_expression] = STATE(11930),
    [sym__postfix_expression_choice] = STATE(15885),
    [sym_macro_body] = STATE(12430),
    [sym_prefix_expression] = STATE(9115),
    [sym_tuple_expression] = STATE(6738),
    [sym_parenthesized_expression] = STATE(6738),
    [sym_splice_expression] = STATE(6738),
    [sym_quote_expression] = STATE(6738),
    [sym_identifier] = STATE(4951),
    [sym__soft_identifier] = STATE(4943),
    [sym_wildcard] = STATE(7114),
    [sym__non_null_literal] = STATE(6738),
    [sym_boolean_literal] = STATE(7301),
    [sym_interpolated_string_expression] = STATE(6738),
    [sym_string] = STATE(7301),
    [sym_unit] = STATE(6738),
    [sym_return_expression] = STATE(12430),
    [sym_throw_expression] = STATE(12430),
    [sym_while_expression] = STATE(12430),
    [sym_do_while_expression] = STATE(12430),
    [sym_for_expression] = STATE(12430),
    [sym_comment] = STATE(1624),
    [sym_block_comment] = STATE(1624),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(1350),
    [anon_sym_while] = ACTIONS(1352),
    [anon_sym_for] = ACTIONS(1354),
    [anon_sym_try] = ACTIONS(1356),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(1358),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1360),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(1362),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(1364),
    [anon_sym_throw] = ACTIONS(1366),
    [anon_sym_do] = ACTIONS(1368),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2202),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [1625] = {
    [sym_inline_modifier] = STATE(2040),
    [sym__indentable_expression] = STATE(12995),
    [sym_block] = STATE(8375),
    [sym_indented_block] = STATE(13183),
    [sym_indented_cases] = STATE(13183),
    [sym_expression] = STATE(12800),
    [sym__simple_expression] = STATE(7538),
    [sym_lambda_expression] = STATE(13185),
    [sym_if_expression] = STATE(13185),
    [sym_match_expression] = STATE(13185),
    [sym_try_expression] = STATE(13185),
    [sym_bindings] = STATE(15594),
    [sym_case_block] = STATE(8375),
    [sym_assignment_expression] = STATE(13185),
    [sym_generic_function] = STATE(8375),
    [sym_call_expression] = STATE(8375),
    [sym_field_expression] = STATE(8375),
    [sym_instance_expression] = STATE(8375),
    [sym_ascription_expression] = STATE(13185),
    [sym_infix_expression] = STATE(9364),
    [sym_postfix_expression] = STATE(12809),
    [sym__postfix_expression_choice] = STATE(16440),
    [sym_macro_body] = STATE(13185),
    [sym_prefix_expression] = STATE(10274),
    [sym_tuple_expression] = STATE(8375),
    [sym_parenthesized_expression] = STATE(8375),
    [sym_splice_expression] = STATE(8375),
    [sym_quote_expression] = STATE(8375),
    [sym_identifier] = STATE(7110),
    [sym__soft_identifier] = STATE(5430),
    [sym_wildcard] = STATE(9287),
    [sym__non_null_literal] = STATE(8375),
    [sym_boolean_literal] = STATE(8117),
    [sym_interpolated_string_expression] = STATE(8375),
    [sym_string] = STATE(8117),
    [sym_unit] = STATE(8375),
    [sym_return_expression] = STATE(13185),
    [sym_throw_expression] = STATE(13185),
    [sym_while_expression] = STATE(13185),
    [sym_do_while_expression] = STATE(13185),
    [sym_for_expression] = STATE(13185),
    [sym_comment] = STATE(1625),
    [sym_block_comment] = STATE(1625),
    [sym__alpha_identifier] = ACTIONS(1618),
    [anon_sym_LBRACE] = ACTIONS(1622),
    [anon_sym__] = ACTIONS(1624),
    [anon_sym_PLUS] = ACTIONS(1626),
    [anon_sym_DASH] = ACTIONS(1626),
    [anon_sym_end] = ACTIONS(1628),
    [anon_sym_if] = ACTIONS(2414),
    [anon_sym_while] = ACTIONS(2416),
    [anon_sym_for] = ACTIONS(2418),
    [anon_sym_try] = ACTIONS(2420),
    [anon_sym_new] = ACTIONS(1630),
    [anon_sym_opaque] = ACTIONS(1628),
    [anon_sym_implicit] = ACTIONS(2422),
    [anon_sym_inline] = ACTIONS(1632),
    [anon_sym_infix] = ACTIONS(1628),
    [anon_sym_open] = ACTIONS(1628),
    [anon_sym_transparent] = ACTIONS(1628),
    [anon_sym_LPAREN] = ACTIONS(1634),
    [anon_sym_macro] = ACTIONS(2074),
    [anon_sym_BANG] = ACTIONS(1626),
    [anon_sym_TILDE] = ACTIONS(1626),
    [anon_sym_DOLLAR] = ACTIONS(1636),
    [anon_sym_SQUOTE] = ACTIONS(1638),
    [sym__backquoted_id] = ACTIONS(1640),
    [sym_operator_identifier] = ACTIONS(2424),
    [sym_integer_literal] = ACTIONS(1644),
    [sym_floating_point_literal] = ACTIONS(1646),
    [anon_sym_true] = ACTIONS(1648),
    [anon_sym_false] = ACTIONS(1648),
    [sym_character_literal] = ACTIONS(1646),
    [sym_null_literal] = ACTIONS(1650),
    [anon_sym_return] = ACTIONS(2426),
    [anon_sym_throw] = ACTIONS(2428),
    [anon_sym_do] = ACTIONS(2082),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1652),
    [sym__simple_string] = ACTIONS(1652),
  },
  [1626] = {
    [sym_inline_modifier] = STATE(2281),
    [sym__indentable_expression] = STATE(13109),
    [sym_block] = STATE(6540),
    [sym_indented_block] = STATE(11390),
    [sym_indented_cases] = STATE(11390),
    [sym_expression] = STATE(11385),
    [sym__simple_expression] = STATE(5304),
    [sym_lambda_expression] = STATE(11374),
    [sym_if_expression] = STATE(11374),
    [sym_match_expression] = STATE(11374),
    [sym_try_expression] = STATE(11374),
    [sym_bindings] = STATE(15689),
    [sym_case_block] = STATE(6540),
    [sym_assignment_expression] = STATE(11374),
    [sym_generic_function] = STATE(6540),
    [sym_call_expression] = STATE(6540),
    [sym_field_expression] = STATE(6540),
    [sym_instance_expression] = STATE(6540),
    [sym_ascription_expression] = STATE(11374),
    [sym_infix_expression] = STATE(7834),
    [sym_postfix_expression] = STATE(11215),
    [sym__postfix_expression_choice] = STATE(16210),
    [sym_macro_body] = STATE(11374),
    [sym_prefix_expression] = STATE(8725),
    [sym_tuple_expression] = STATE(6540),
    [sym_parenthesized_expression] = STATE(6540),
    [sym_splice_expression] = STATE(6540),
    [sym_quote_expression] = STATE(6540),
    [sym_identifier] = STATE(4721),
    [sym__soft_identifier] = STATE(4667),
    [sym_wildcard] = STATE(7076),
    [sym__non_null_literal] = STATE(6540),
    [sym_boolean_literal] = STATE(6246),
    [sym_interpolated_string_expression] = STATE(6540),
    [sym_string] = STATE(6246),
    [sym_unit] = STATE(6540),
    [sym_return_expression] = STATE(11374),
    [sym_throw_expression] = STATE(11374),
    [sym_while_expression] = STATE(11374),
    [sym_do_while_expression] = STATE(11374),
    [sym_for_expression] = STATE(11374),
    [sym_comment] = STATE(1626),
    [sym_block_comment] = STATE(1626),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(2238),
    [anon_sym_while] = ACTIONS(1568),
    [anon_sym_for] = ACTIONS(1570),
    [anon_sym_try] = ACTIONS(1572),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1574),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1540),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1576),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1578),
    [anon_sym_throw] = ACTIONS(1580),
    [anon_sym_do] = ACTIONS(1548),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2240),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [1627] = {
    [sym_inline_modifier] = STATE(2179),
    [sym__indentable_expression] = STATE(13592),
    [sym_block] = STATE(6738),
    [sym_indented_block] = STATE(12372),
    [sym_indented_cases] = STATE(12372),
    [sym_expression] = STATE(12028),
    [sym__simple_expression] = STATE(6283),
    [sym_lambda_expression] = STATE(12430),
    [sym_if_expression] = STATE(12430),
    [sym_match_expression] = STATE(12430),
    [sym_try_expression] = STATE(12430),
    [sym_bindings] = STATE(15581),
    [sym_case_block] = STATE(6738),
    [sym_assignment_expression] = STATE(12430),
    [sym_generic_function] = STATE(6738),
    [sym_call_expression] = STATE(6738),
    [sym_field_expression] = STATE(6738),
    [sym_instance_expression] = STATE(6738),
    [sym_ascription_expression] = STATE(12430),
    [sym_infix_expression] = STATE(8389),
    [sym_postfix_expression] = STATE(11930),
    [sym__postfix_expression_choice] = STATE(15885),
    [sym_macro_body] = STATE(12430),
    [sym_prefix_expression] = STATE(9616),
    [sym_tuple_expression] = STATE(6738),
    [sym_parenthesized_expression] = STATE(6738),
    [sym_splice_expression] = STATE(6738),
    [sym_quote_expression] = STATE(6738),
    [sym_identifier] = STATE(5530),
    [sym__soft_identifier] = STATE(4943),
    [sym_wildcard] = STATE(8554),
    [sym__non_null_literal] = STATE(6738),
    [sym_boolean_literal] = STATE(7301),
    [sym_interpolated_string_expression] = STATE(6738),
    [sym_string] = STATE(7301),
    [sym_unit] = STATE(6738),
    [sym_return_expression] = STATE(12430),
    [sym_throw_expression] = STATE(12430),
    [sym_while_expression] = STATE(12430),
    [sym_do_while_expression] = STATE(12430),
    [sym_for_expression] = STATE(12430),
    [sym_comment] = STATE(1627),
    [sym_block_comment] = STATE(1627),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(2356),
    [anon_sym_while] = ACTIONS(2358),
    [anon_sym_for] = ACTIONS(2360),
    [anon_sym_try] = ACTIONS(2362),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1360),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(2366),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(2368),
    [anon_sym_throw] = ACTIONS(2370),
    [anon_sym_do] = ACTIONS(1368),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2202),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [1628] = {
    [sym_inline_modifier] = STATE(2084),
    [sym__indentable_expression] = STATE(16888),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(8831),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15722),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10635),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(701),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(8641),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(10149),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1628),
    [sym_block_comment] = STATE(1628),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2740),
    [anon_sym_while] = ACTIONS(2742),
    [anon_sym_for] = ACTIONS(2744),
    [anon_sym_try] = ACTIONS(2746),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2748),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3310),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3312),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2762),
    [anon_sym_throw] = ACTIONS(2764),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1629] = {
    [sym_inline_modifier] = STATE(2084),
    [sym__indentable_expression] = STATE(16861),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(8831),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15722),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10635),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(673),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(8641),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(10149),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1629),
    [sym_block_comment] = STATE(1629),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2740),
    [anon_sym_while] = ACTIONS(2742),
    [anon_sym_for] = ACTIONS(2744),
    [anon_sym_try] = ACTIONS(2746),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2748),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3310),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3312),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2762),
    [anon_sym_throw] = ACTIONS(2764),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1630] = {
    [sym_inline_modifier] = STATE(2049),
    [sym__indentable_expression] = STATE(13420),
    [sym_block] = STATE(8262),
    [sym_indented_block] = STATE(13058),
    [sym_indented_cases] = STATE(13058),
    [sym_expression] = STATE(12868),
    [sym__simple_expression] = STATE(5468),
    [sym_lambda_expression] = STATE(13098),
    [sym_if_expression] = STATE(13098),
    [sym_match_expression] = STATE(13098),
    [sym_try_expression] = STATE(13098),
    [sym_bindings] = STATE(15673),
    [sym_case_block] = STATE(8262),
    [sym_assignment_expression] = STATE(13098),
    [sym_generic_function] = STATE(8262),
    [sym_call_expression] = STATE(8262),
    [sym_field_expression] = STATE(8262),
    [sym_instance_expression] = STATE(8262),
    [sym_ascription_expression] = STATE(13098),
    [sym_infix_expression] = STATE(9485),
    [sym_postfix_expression] = STATE(12647),
    [sym__postfix_expression_choice] = STATE(16347),
    [sym_macro_body] = STATE(13098),
    [sym_prefix_expression] = STATE(9354),
    [sym_tuple_expression] = STATE(8262),
    [sym_parenthesized_expression] = STATE(8262),
    [sym_splice_expression] = STATE(8262),
    [sym_quote_expression] = STATE(8262),
    [sym_identifier] = STATE(5288),
    [sym__soft_identifier] = STATE(5419),
    [sym_wildcard] = STATE(7475),
    [sym__non_null_literal] = STATE(8262),
    [sym_boolean_literal] = STATE(8242),
    [sym_interpolated_string_expression] = STATE(8262),
    [sym_string] = STATE(8242),
    [sym_unit] = STATE(8262),
    [sym_return_expression] = STATE(13098),
    [sym_throw_expression] = STATE(13098),
    [sym_while_expression] = STATE(13098),
    [sym_do_while_expression] = STATE(13098),
    [sym_for_expression] = STATE(13098),
    [sym_comment] = STATE(1630),
    [sym_block_comment] = STATE(1630),
    [sym__alpha_identifier] = ACTIONS(1278),
    [anon_sym_LBRACE] = ACTIONS(1282),
    [anon_sym__] = ACTIONS(1284),
    [anon_sym_PLUS] = ACTIONS(1286),
    [anon_sym_DASH] = ACTIONS(1286),
    [anon_sym_end] = ACTIONS(1288),
    [anon_sym_if] = ACTIONS(2196),
    [anon_sym_while] = ACTIONS(2016),
    [anon_sym_for] = ACTIONS(2018),
    [anon_sym_try] = ACTIONS(2020),
    [anon_sym_new] = ACTIONS(1290),
    [anon_sym_opaque] = ACTIONS(1288),
    [anon_sym_implicit] = ACTIONS(2022),
    [anon_sym_inline] = ACTIONS(1292),
    [anon_sym_infix] = ACTIONS(1288),
    [anon_sym_open] = ACTIONS(1288),
    [anon_sym_transparent] = ACTIONS(1288),
    [anon_sym_LPAREN] = ACTIONS(1294),
    [anon_sym_macro] = ACTIONS(1720),
    [anon_sym_BANG] = ACTIONS(1286),
    [anon_sym_TILDE] = ACTIONS(1286),
    [anon_sym_DOLLAR] = ACTIONS(1296),
    [anon_sym_SQUOTE] = ACTIONS(1298),
    [sym__backquoted_id] = ACTIONS(1300),
    [sym_operator_identifier] = ACTIONS(2024),
    [sym_integer_literal] = ACTIONS(1304),
    [sym_floating_point_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1308),
    [anon_sym_false] = ACTIONS(1308),
    [sym_character_literal] = ACTIONS(1306),
    [sym_null_literal] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(2026),
    [anon_sym_throw] = ACTIONS(2028),
    [anon_sym_do] = ACTIONS(1728),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2198),
    [sym__simple_multiline_string] = ACTIONS(1312),
    [sym__simple_string] = ACTIONS(1312),
  },
  [1631] = {
    [sym_inline_modifier] = STATE(2050),
    [sym__indentable_expression] = STATE(13080),
    [sym_block] = STATE(8375),
    [sym_indented_block] = STATE(13183),
    [sym_indented_cases] = STATE(13183),
    [sym_expression] = STATE(12800),
    [sym__simple_expression] = STATE(6499),
    [sym_lambda_expression] = STATE(13185),
    [sym_if_expression] = STATE(13185),
    [sym_match_expression] = STATE(13185),
    [sym_try_expression] = STATE(13185),
    [sym_bindings] = STATE(15649),
    [sym_case_block] = STATE(8375),
    [sym_assignment_expression] = STATE(13185),
    [sym_generic_function] = STATE(8375),
    [sym_call_expression] = STATE(8375),
    [sym_field_expression] = STATE(8375),
    [sym_instance_expression] = STATE(8375),
    [sym_ascription_expression] = STATE(13185),
    [sym_infix_expression] = STATE(9364),
    [sym_postfix_expression] = STATE(12809),
    [sym__postfix_expression_choice] = STATE(16440),
    [sym_macro_body] = STATE(13185),
    [sym_prefix_expression] = STATE(9765),
    [sym_tuple_expression] = STATE(8375),
    [sym_parenthesized_expression] = STATE(8375),
    [sym_splice_expression] = STATE(8375),
    [sym_quote_expression] = STATE(8375),
    [sym_identifier] = STATE(5812),
    [sym__soft_identifier] = STATE(5430),
    [sym_wildcard] = STATE(8380),
    [sym__non_null_literal] = STATE(8375),
    [sym_boolean_literal] = STATE(8117),
    [sym_interpolated_string_expression] = STATE(8375),
    [sym_string] = STATE(8117),
    [sym_unit] = STATE(8375),
    [sym_return_expression] = STATE(13185),
    [sym_throw_expression] = STATE(13185),
    [sym_while_expression] = STATE(13185),
    [sym_do_while_expression] = STATE(13185),
    [sym_for_expression] = STATE(13185),
    [sym_comment] = STATE(1631),
    [sym_block_comment] = STATE(1631),
    [sym__alpha_identifier] = ACTIONS(1618),
    [anon_sym_LBRACE] = ACTIONS(1622),
    [anon_sym__] = ACTIONS(1624),
    [anon_sym_PLUS] = ACTIONS(1626),
    [anon_sym_DASH] = ACTIONS(1626),
    [anon_sym_end] = ACTIONS(1628),
    [anon_sym_if] = ACTIONS(2064),
    [anon_sym_while] = ACTIONS(2066),
    [anon_sym_for] = ACTIONS(2068),
    [anon_sym_try] = ACTIONS(2070),
    [anon_sym_new] = ACTIONS(1630),
    [anon_sym_opaque] = ACTIONS(1628),
    [anon_sym_implicit] = ACTIONS(2072),
    [anon_sym_inline] = ACTIONS(1632),
    [anon_sym_infix] = ACTIONS(1628),
    [anon_sym_open] = ACTIONS(1628),
    [anon_sym_transparent] = ACTIONS(1628),
    [anon_sym_LPAREN] = ACTIONS(1634),
    [anon_sym_macro] = ACTIONS(2074),
    [anon_sym_BANG] = ACTIONS(1626),
    [anon_sym_TILDE] = ACTIONS(1626),
    [anon_sym_DOLLAR] = ACTIONS(1636),
    [anon_sym_SQUOTE] = ACTIONS(1638),
    [sym__backquoted_id] = ACTIONS(1640),
    [sym_operator_identifier] = ACTIONS(2076),
    [sym_integer_literal] = ACTIONS(1644),
    [sym_floating_point_literal] = ACTIONS(1646),
    [anon_sym_true] = ACTIONS(1648),
    [anon_sym_false] = ACTIONS(1648),
    [sym_character_literal] = ACTIONS(1646),
    [sym_null_literal] = ACTIONS(1650),
    [anon_sym_return] = ACTIONS(2078),
    [anon_sym_throw] = ACTIONS(2080),
    [anon_sym_do] = ACTIONS(2082),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1652),
    [sym__simple_string] = ACTIONS(1652),
  },
  [1632] = {
    [sym_inline_modifier] = STATE(2050),
    [sym__indentable_expression] = STATE(13071),
    [sym_block] = STATE(8375),
    [sym_indented_block] = STATE(13183),
    [sym_indented_cases] = STATE(13183),
    [sym_expression] = STATE(12800),
    [sym__simple_expression] = STATE(6499),
    [sym_lambda_expression] = STATE(13185),
    [sym_if_expression] = STATE(13185),
    [sym_match_expression] = STATE(13185),
    [sym_try_expression] = STATE(13185),
    [sym_bindings] = STATE(15649),
    [sym_case_block] = STATE(8375),
    [sym_assignment_expression] = STATE(13185),
    [sym_generic_function] = STATE(8375),
    [sym_call_expression] = STATE(8375),
    [sym_field_expression] = STATE(8375),
    [sym_instance_expression] = STATE(8375),
    [sym_ascription_expression] = STATE(13185),
    [sym_infix_expression] = STATE(9364),
    [sym_postfix_expression] = STATE(12809),
    [sym__postfix_expression_choice] = STATE(16440),
    [sym_macro_body] = STATE(13185),
    [sym_prefix_expression] = STATE(9765),
    [sym_tuple_expression] = STATE(8375),
    [sym_parenthesized_expression] = STATE(8375),
    [sym_splice_expression] = STATE(8375),
    [sym_quote_expression] = STATE(8375),
    [sym_identifier] = STATE(5812),
    [sym__soft_identifier] = STATE(5430),
    [sym_wildcard] = STATE(8380),
    [sym__non_null_literal] = STATE(8375),
    [sym_boolean_literal] = STATE(8117),
    [sym_interpolated_string_expression] = STATE(8375),
    [sym_string] = STATE(8117),
    [sym_unit] = STATE(8375),
    [sym_return_expression] = STATE(13185),
    [sym_throw_expression] = STATE(13185),
    [sym_while_expression] = STATE(13185),
    [sym_do_while_expression] = STATE(13185),
    [sym_for_expression] = STATE(13185),
    [sym_comment] = STATE(1632),
    [sym_block_comment] = STATE(1632),
    [sym__alpha_identifier] = ACTIONS(1618),
    [anon_sym_LBRACE] = ACTIONS(1622),
    [anon_sym__] = ACTIONS(1624),
    [anon_sym_PLUS] = ACTIONS(1626),
    [anon_sym_DASH] = ACTIONS(1626),
    [anon_sym_end] = ACTIONS(1628),
    [anon_sym_if] = ACTIONS(2064),
    [anon_sym_while] = ACTIONS(2066),
    [anon_sym_for] = ACTIONS(2068),
    [anon_sym_try] = ACTIONS(2070),
    [anon_sym_new] = ACTIONS(1630),
    [anon_sym_opaque] = ACTIONS(1628),
    [anon_sym_implicit] = ACTIONS(2072),
    [anon_sym_inline] = ACTIONS(1632),
    [anon_sym_infix] = ACTIONS(1628),
    [anon_sym_open] = ACTIONS(1628),
    [anon_sym_transparent] = ACTIONS(1628),
    [anon_sym_LPAREN] = ACTIONS(1634),
    [anon_sym_macro] = ACTIONS(2074),
    [anon_sym_BANG] = ACTIONS(1626),
    [anon_sym_TILDE] = ACTIONS(1626),
    [anon_sym_DOLLAR] = ACTIONS(1636),
    [anon_sym_SQUOTE] = ACTIONS(1638),
    [sym__backquoted_id] = ACTIONS(1640),
    [sym_operator_identifier] = ACTIONS(2076),
    [sym_integer_literal] = ACTIONS(1644),
    [sym_floating_point_literal] = ACTIONS(1646),
    [anon_sym_true] = ACTIONS(1648),
    [anon_sym_false] = ACTIONS(1648),
    [sym_character_literal] = ACTIONS(1646),
    [sym_null_literal] = ACTIONS(1650),
    [anon_sym_return] = ACTIONS(2078),
    [anon_sym_throw] = ACTIONS(2080),
    [anon_sym_do] = ACTIONS(2082),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1652),
    [sym__simple_string] = ACTIONS(1652),
  },
  [1633] = {
    [sym_inline_modifier] = STATE(2049),
    [sym__indentable_expression] = STATE(13418),
    [sym_block] = STATE(8262),
    [sym_indented_block] = STATE(13058),
    [sym_indented_cases] = STATE(13058),
    [sym_expression] = STATE(12868),
    [sym__simple_expression] = STATE(5468),
    [sym_lambda_expression] = STATE(13098),
    [sym_if_expression] = STATE(13098),
    [sym_match_expression] = STATE(13098),
    [sym_try_expression] = STATE(13098),
    [sym_bindings] = STATE(15673),
    [sym_case_block] = STATE(8262),
    [sym_assignment_expression] = STATE(13098),
    [sym_generic_function] = STATE(8262),
    [sym_call_expression] = STATE(8262),
    [sym_field_expression] = STATE(8262),
    [sym_instance_expression] = STATE(8262),
    [sym_ascription_expression] = STATE(13098),
    [sym_infix_expression] = STATE(9485),
    [sym_postfix_expression] = STATE(12647),
    [sym__postfix_expression_choice] = STATE(16347),
    [sym_macro_body] = STATE(13098),
    [sym_prefix_expression] = STATE(9354),
    [sym_tuple_expression] = STATE(8262),
    [sym_parenthesized_expression] = STATE(8262),
    [sym_splice_expression] = STATE(8262),
    [sym_quote_expression] = STATE(8262),
    [sym_identifier] = STATE(5288),
    [sym__soft_identifier] = STATE(5419),
    [sym_wildcard] = STATE(7475),
    [sym__non_null_literal] = STATE(8262),
    [sym_boolean_literal] = STATE(8242),
    [sym_interpolated_string_expression] = STATE(8262),
    [sym_string] = STATE(8242),
    [sym_unit] = STATE(8262),
    [sym_return_expression] = STATE(13098),
    [sym_throw_expression] = STATE(13098),
    [sym_while_expression] = STATE(13098),
    [sym_do_while_expression] = STATE(13098),
    [sym_for_expression] = STATE(13098),
    [sym_comment] = STATE(1633),
    [sym_block_comment] = STATE(1633),
    [sym__alpha_identifier] = ACTIONS(1278),
    [anon_sym_LBRACE] = ACTIONS(1282),
    [anon_sym__] = ACTIONS(1284),
    [anon_sym_PLUS] = ACTIONS(1286),
    [anon_sym_DASH] = ACTIONS(1286),
    [anon_sym_end] = ACTIONS(1288),
    [anon_sym_if] = ACTIONS(2196),
    [anon_sym_while] = ACTIONS(2016),
    [anon_sym_for] = ACTIONS(2018),
    [anon_sym_try] = ACTIONS(2020),
    [anon_sym_new] = ACTIONS(1290),
    [anon_sym_opaque] = ACTIONS(1288),
    [anon_sym_implicit] = ACTIONS(2022),
    [anon_sym_inline] = ACTIONS(1292),
    [anon_sym_infix] = ACTIONS(1288),
    [anon_sym_open] = ACTIONS(1288),
    [anon_sym_transparent] = ACTIONS(1288),
    [anon_sym_LPAREN] = ACTIONS(1294),
    [anon_sym_macro] = ACTIONS(1720),
    [anon_sym_BANG] = ACTIONS(1286),
    [anon_sym_TILDE] = ACTIONS(1286),
    [anon_sym_DOLLAR] = ACTIONS(1296),
    [anon_sym_SQUOTE] = ACTIONS(1298),
    [sym__backquoted_id] = ACTIONS(1300),
    [sym_operator_identifier] = ACTIONS(2024),
    [sym_integer_literal] = ACTIONS(1304),
    [sym_floating_point_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1308),
    [anon_sym_false] = ACTIONS(1308),
    [sym_character_literal] = ACTIONS(1306),
    [sym_null_literal] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(2026),
    [anon_sym_throw] = ACTIONS(2028),
    [anon_sym_do] = ACTIONS(1728),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2198),
    [sym__simple_multiline_string] = ACTIONS(1312),
    [sym__simple_string] = ACTIONS(1312),
  },
  [1634] = {
    [sym_inline_modifier] = STATE(2084),
    [sym__indentable_expression] = STATE(16821),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(8831),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15722),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10635),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(728),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(8641),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(10149),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1634),
    [sym_block_comment] = STATE(1634),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2740),
    [anon_sym_while] = ACTIONS(2742),
    [anon_sym_for] = ACTIONS(2744),
    [anon_sym_try] = ACTIONS(2746),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2748),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3310),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3312),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2762),
    [anon_sym_throw] = ACTIONS(2764),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1635] = {
    [sym_inline_modifier] = STATE(2223),
    [sym__indentable_expression] = STATE(13544),
    [sym_block] = STATE(8375),
    [sym_indented_block] = STATE(13183),
    [sym_indented_cases] = STATE(13183),
    [sym_expression] = STATE(12800),
    [sym__simple_expression] = STATE(7442),
    [sym_lambda_expression] = STATE(13185),
    [sym_if_expression] = STATE(13185),
    [sym_match_expression] = STATE(13185),
    [sym_try_expression] = STATE(13185),
    [sym_bindings] = STATE(15586),
    [sym_case_block] = STATE(8375),
    [sym_assignment_expression] = STATE(13185),
    [sym_generic_function] = STATE(8375),
    [sym_call_expression] = STATE(8375),
    [sym_field_expression] = STATE(8375),
    [sym_instance_expression] = STATE(8375),
    [sym_ascription_expression] = STATE(13185),
    [sym_infix_expression] = STATE(9364),
    [sym_postfix_expression] = STATE(12809),
    [sym__postfix_expression_choice] = STATE(16440),
    [sym_macro_body] = STATE(13185),
    [sym_prefix_expression] = STATE(10191),
    [sym_tuple_expression] = STATE(8375),
    [sym_parenthesized_expression] = STATE(8375),
    [sym_splice_expression] = STATE(8375),
    [sym_quote_expression] = STATE(8375),
    [sym_identifier] = STATE(7290),
    [sym__soft_identifier] = STATE(5430),
    [sym_wildcard] = STATE(9387),
    [sym__non_null_literal] = STATE(8375),
    [sym_boolean_literal] = STATE(8117),
    [sym_interpolated_string_expression] = STATE(8375),
    [sym_string] = STATE(8117),
    [sym_unit] = STATE(8375),
    [sym_return_expression] = STATE(13185),
    [sym_throw_expression] = STATE(13185),
    [sym_while_expression] = STATE(13185),
    [sym_do_while_expression] = STATE(13185),
    [sym_for_expression] = STATE(13185),
    [sym_comment] = STATE(1635),
    [sym_block_comment] = STATE(1635),
    [sym__alpha_identifier] = ACTIONS(1618),
    [anon_sym_LBRACE] = ACTIONS(1622),
    [anon_sym__] = ACTIONS(1624),
    [anon_sym_PLUS] = ACTIONS(1626),
    [anon_sym_DASH] = ACTIONS(1626),
    [anon_sym_end] = ACTIONS(1628),
    [anon_sym_if] = ACTIONS(2122),
    [anon_sym_while] = ACTIONS(2124),
    [anon_sym_for] = ACTIONS(2126),
    [anon_sym_try] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(1630),
    [anon_sym_opaque] = ACTIONS(1628),
    [anon_sym_implicit] = ACTIONS(2130),
    [anon_sym_inline] = ACTIONS(1632),
    [anon_sym_infix] = ACTIONS(1628),
    [anon_sym_open] = ACTIONS(1628),
    [anon_sym_transparent] = ACTIONS(1628),
    [anon_sym_LPAREN] = ACTIONS(1634),
    [anon_sym_macro] = ACTIONS(2074),
    [anon_sym_BANG] = ACTIONS(1626),
    [anon_sym_TILDE] = ACTIONS(1626),
    [anon_sym_DOLLAR] = ACTIONS(1636),
    [anon_sym_SQUOTE] = ACTIONS(1638),
    [sym__backquoted_id] = ACTIONS(1640),
    [sym_operator_identifier] = ACTIONS(2132),
    [sym_integer_literal] = ACTIONS(1644),
    [sym_floating_point_literal] = ACTIONS(1646),
    [anon_sym_true] = ACTIONS(1648),
    [anon_sym_false] = ACTIONS(1648),
    [sym_character_literal] = ACTIONS(1646),
    [sym_null_literal] = ACTIONS(1650),
    [anon_sym_return] = ACTIONS(2134),
    [anon_sym_throw] = ACTIONS(2136),
    [anon_sym_do] = ACTIONS(2082),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1652),
    [sym__simple_string] = ACTIONS(1652),
  },
  [1636] = {
    [sym_inline_modifier] = STATE(2040),
    [sym__indentable_expression] = STATE(13082),
    [sym_block] = STATE(8375),
    [sym_indented_block] = STATE(13183),
    [sym_indented_cases] = STATE(13183),
    [sym_expression] = STATE(12800),
    [sym__simple_expression] = STATE(7538),
    [sym_lambda_expression] = STATE(13185),
    [sym_if_expression] = STATE(13185),
    [sym_match_expression] = STATE(13185),
    [sym_try_expression] = STATE(13185),
    [sym_bindings] = STATE(15594),
    [sym_case_block] = STATE(8375),
    [sym_assignment_expression] = STATE(13185),
    [sym_generic_function] = STATE(8375),
    [sym_call_expression] = STATE(8375),
    [sym_field_expression] = STATE(8375),
    [sym_instance_expression] = STATE(8375),
    [sym_ascription_expression] = STATE(13185),
    [sym_infix_expression] = STATE(9364),
    [sym_postfix_expression] = STATE(12809),
    [sym__postfix_expression_choice] = STATE(16440),
    [sym_macro_body] = STATE(13185),
    [sym_prefix_expression] = STATE(10274),
    [sym_tuple_expression] = STATE(8375),
    [sym_parenthesized_expression] = STATE(8375),
    [sym_splice_expression] = STATE(8375),
    [sym_quote_expression] = STATE(8375),
    [sym_identifier] = STATE(7110),
    [sym__soft_identifier] = STATE(5430),
    [sym_wildcard] = STATE(9287),
    [sym__non_null_literal] = STATE(8375),
    [sym_boolean_literal] = STATE(8117),
    [sym_interpolated_string_expression] = STATE(8375),
    [sym_string] = STATE(8117),
    [sym_unit] = STATE(8375),
    [sym_return_expression] = STATE(13185),
    [sym_throw_expression] = STATE(13185),
    [sym_while_expression] = STATE(13185),
    [sym_do_while_expression] = STATE(13185),
    [sym_for_expression] = STATE(13185),
    [sym_comment] = STATE(1636),
    [sym_block_comment] = STATE(1636),
    [sym__alpha_identifier] = ACTIONS(1618),
    [anon_sym_LBRACE] = ACTIONS(1622),
    [anon_sym__] = ACTIONS(1624),
    [anon_sym_PLUS] = ACTIONS(1626),
    [anon_sym_DASH] = ACTIONS(1626),
    [anon_sym_end] = ACTIONS(1628),
    [anon_sym_if] = ACTIONS(2414),
    [anon_sym_while] = ACTIONS(2416),
    [anon_sym_for] = ACTIONS(2418),
    [anon_sym_try] = ACTIONS(2420),
    [anon_sym_new] = ACTIONS(1630),
    [anon_sym_opaque] = ACTIONS(1628),
    [anon_sym_implicit] = ACTIONS(2422),
    [anon_sym_inline] = ACTIONS(1632),
    [anon_sym_infix] = ACTIONS(1628),
    [anon_sym_open] = ACTIONS(1628),
    [anon_sym_transparent] = ACTIONS(1628),
    [anon_sym_LPAREN] = ACTIONS(1634),
    [anon_sym_macro] = ACTIONS(2074),
    [anon_sym_BANG] = ACTIONS(1626),
    [anon_sym_TILDE] = ACTIONS(1626),
    [anon_sym_DOLLAR] = ACTIONS(1636),
    [anon_sym_SQUOTE] = ACTIONS(1638),
    [sym__backquoted_id] = ACTIONS(1640),
    [sym_operator_identifier] = ACTIONS(2424),
    [sym_integer_literal] = ACTIONS(1644),
    [sym_floating_point_literal] = ACTIONS(1646),
    [anon_sym_true] = ACTIONS(1648),
    [anon_sym_false] = ACTIONS(1648),
    [sym_character_literal] = ACTIONS(1646),
    [sym_null_literal] = ACTIONS(1650),
    [anon_sym_return] = ACTIONS(2426),
    [anon_sym_throw] = ACTIONS(2428),
    [anon_sym_do] = ACTIONS(2082),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1652),
    [sym__simple_string] = ACTIONS(1652),
  },
  [1637] = {
    [sym_inline_modifier] = STATE(2050),
    [sym__indentable_expression] = STATE(13066),
    [sym_block] = STATE(8375),
    [sym_indented_block] = STATE(13183),
    [sym_indented_cases] = STATE(13183),
    [sym_expression] = STATE(12800),
    [sym__simple_expression] = STATE(6499),
    [sym_lambda_expression] = STATE(13185),
    [sym_if_expression] = STATE(13185),
    [sym_match_expression] = STATE(13185),
    [sym_try_expression] = STATE(13185),
    [sym_bindings] = STATE(15649),
    [sym_case_block] = STATE(8375),
    [sym_assignment_expression] = STATE(13185),
    [sym_generic_function] = STATE(8375),
    [sym_call_expression] = STATE(8375),
    [sym_field_expression] = STATE(8375),
    [sym_instance_expression] = STATE(8375),
    [sym_ascription_expression] = STATE(13185),
    [sym_infix_expression] = STATE(9364),
    [sym_postfix_expression] = STATE(12809),
    [sym__postfix_expression_choice] = STATE(16440),
    [sym_macro_body] = STATE(13185),
    [sym_prefix_expression] = STATE(9765),
    [sym_tuple_expression] = STATE(8375),
    [sym_parenthesized_expression] = STATE(8375),
    [sym_splice_expression] = STATE(8375),
    [sym_quote_expression] = STATE(8375),
    [sym_identifier] = STATE(5812),
    [sym__soft_identifier] = STATE(5430),
    [sym_wildcard] = STATE(8380),
    [sym__non_null_literal] = STATE(8375),
    [sym_boolean_literal] = STATE(8117),
    [sym_interpolated_string_expression] = STATE(8375),
    [sym_string] = STATE(8117),
    [sym_unit] = STATE(8375),
    [sym_return_expression] = STATE(13185),
    [sym_throw_expression] = STATE(13185),
    [sym_while_expression] = STATE(13185),
    [sym_do_while_expression] = STATE(13185),
    [sym_for_expression] = STATE(13185),
    [sym_comment] = STATE(1637),
    [sym_block_comment] = STATE(1637),
    [sym__alpha_identifier] = ACTIONS(1618),
    [anon_sym_LBRACE] = ACTIONS(1622),
    [anon_sym__] = ACTIONS(1624),
    [anon_sym_PLUS] = ACTIONS(1626),
    [anon_sym_DASH] = ACTIONS(1626),
    [anon_sym_end] = ACTIONS(1628),
    [anon_sym_if] = ACTIONS(2064),
    [anon_sym_while] = ACTIONS(2066),
    [anon_sym_for] = ACTIONS(2068),
    [anon_sym_try] = ACTIONS(2070),
    [anon_sym_new] = ACTIONS(1630),
    [anon_sym_opaque] = ACTIONS(1628),
    [anon_sym_implicit] = ACTIONS(2072),
    [anon_sym_inline] = ACTIONS(1632),
    [anon_sym_infix] = ACTIONS(1628),
    [anon_sym_open] = ACTIONS(1628),
    [anon_sym_transparent] = ACTIONS(1628),
    [anon_sym_LPAREN] = ACTIONS(1634),
    [anon_sym_macro] = ACTIONS(2074),
    [anon_sym_BANG] = ACTIONS(1626),
    [anon_sym_TILDE] = ACTIONS(1626),
    [anon_sym_DOLLAR] = ACTIONS(1636),
    [anon_sym_SQUOTE] = ACTIONS(1638),
    [sym__backquoted_id] = ACTIONS(1640),
    [sym_operator_identifier] = ACTIONS(2076),
    [sym_integer_literal] = ACTIONS(1644),
    [sym_floating_point_literal] = ACTIONS(1646),
    [anon_sym_true] = ACTIONS(1648),
    [anon_sym_false] = ACTIONS(1648),
    [sym_character_literal] = ACTIONS(1646),
    [sym_null_literal] = ACTIONS(1650),
    [anon_sym_return] = ACTIONS(2078),
    [anon_sym_throw] = ACTIONS(2080),
    [anon_sym_do] = ACTIONS(2082),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1652),
    [sym__simple_string] = ACTIONS(1652),
  },
  [1638] = {
    [sym_inline_modifier] = STATE(2335),
    [sym__indentable_expression] = STATE(12744),
    [sym_block] = STATE(5403),
    [sym_indented_block] = STATE(11085),
    [sym_indented_cases] = STATE(11085),
    [sym_expression] = STATE(11355),
    [sym__simple_expression] = STATE(4736),
    [sym_lambda_expression] = STATE(11364),
    [sym_if_expression] = STATE(11364),
    [sym_match_expression] = STATE(11364),
    [sym_try_expression] = STATE(11364),
    [sym_bindings] = STATE(15583),
    [sym_case_block] = STATE(5403),
    [sym_assignment_expression] = STATE(11364),
    [sym_generic_function] = STATE(5403),
    [sym_call_expression] = STATE(5403),
    [sym_field_expression] = STATE(5403),
    [sym_instance_expression] = STATE(5403),
    [sym_ascription_expression] = STATE(11364),
    [sym_infix_expression] = STATE(6806),
    [sym_postfix_expression] = STATE(10789),
    [sym__postfix_expression_choice] = STATE(15797),
    [sym_macro_body] = STATE(11364),
    [sym_prefix_expression] = STATE(8627),
    [sym_tuple_expression] = STATE(5403),
    [sym_parenthesized_expression] = STATE(5403),
    [sym_splice_expression] = STATE(5403),
    [sym_quote_expression] = STATE(5403),
    [sym_identifier] = STATE(4558),
    [sym__soft_identifier] = STATE(4455),
    [sym_wildcard] = STATE(6107),
    [sym__non_null_literal] = STATE(5403),
    [sym_boolean_literal] = STATE(5637),
    [sym_interpolated_string_expression] = STATE(5403),
    [sym_string] = STATE(5637),
    [sym_unit] = STATE(5403),
    [sym_return_expression] = STATE(11364),
    [sym_throw_expression] = STATE(11364),
    [sym_while_expression] = STATE(11364),
    [sym_do_while_expression] = STATE(11364),
    [sym_for_expression] = STATE(11364),
    [sym_comment] = STATE(1638),
    [sym_block_comment] = STATE(1638),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(2288),
    [anon_sym_while] = ACTIONS(1750),
    [anon_sym_for] = ACTIONS(1752),
    [anon_sym_try] = ACTIONS(1754),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1756),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1162),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1758),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1760),
    [anon_sym_throw] = ACTIONS(1762),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2282),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [1639] = {
    [sym_inline_modifier] = STATE(2038),
    [sym__indentable_expression] = STATE(12525),
    [sym_block] = STATE(8041),
    [sym_indented_block] = STATE(12292),
    [sym_indented_cases] = STATE(12292),
    [sym_expression] = STATE(12256),
    [sym__simple_expression] = STATE(6323),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15629),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(9695),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(5557),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(8528),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(1639),
    [sym_block_comment] = STATE(1639),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(3157),
    [anon_sym_while] = ACTIONS(2394),
    [anon_sym_for] = ACTIONS(2396),
    [anon_sym_try] = ACTIONS(2398),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2400),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(2402),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(2404),
    [anon_sym_throw] = ACTIONS(2406),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1640] = {
    [sym_inline_modifier] = STATE(2086),
    [sym__indentable_expression] = STATE(12883),
    [sym_block] = STATE(9116),
    [sym_indented_block] = STATE(11085),
    [sym_indented_cases] = STATE(11085),
    [sym_expression] = STATE(13151),
    [sym__simple_expression] = STATE(5562),
    [sym_lambda_expression] = STATE(11364),
    [sym_if_expression] = STATE(11364),
    [sym_match_expression] = STATE(11364),
    [sym_try_expression] = STATE(11364),
    [sym_bindings] = STATE(15512),
    [sym_case_block] = STATE(9116),
    [sym_assignment_expression] = STATE(11364),
    [sym_generic_function] = STATE(9116),
    [sym_call_expression] = STATE(9116),
    [sym_field_expression] = STATE(9116),
    [sym_instance_expression] = STATE(9116),
    [sym_ascription_expression] = STATE(11364),
    [sym_infix_expression] = STATE(9793),
    [sym_postfix_expression] = STATE(10789),
    [sym__postfix_expression_choice] = STATE(15871),
    [sym_macro_body] = STATE(11364),
    [sym_prefix_expression] = STATE(9370),
    [sym_tuple_expression] = STATE(9116),
    [sym_parenthesized_expression] = STATE(9116),
    [sym_splice_expression] = STATE(9116),
    [sym_quote_expression] = STATE(9116),
    [sym_identifier] = STATE(5047),
    [sym__soft_identifier] = STATE(4332),
    [sym_wildcard] = STATE(7660),
    [sym__non_null_literal] = STATE(9116),
    [sym_boolean_literal] = STATE(5055),
    [sym_interpolated_string_expression] = STATE(9116),
    [sym_string] = STATE(5055),
    [sym_unit] = STATE(9116),
    [sym_return_expression] = STATE(11364),
    [sym_throw_expression] = STATE(11364),
    [sym_while_expression] = STATE(11364),
    [sym_do_while_expression] = STATE(11364),
    [sym_for_expression] = STATE(11364),
    [sym_comment] = STATE(1640),
    [sym_block_comment] = STATE(1640),
    [sym__alpha_identifier] = ACTIONS(1206),
    [anon_sym_LBRACE] = ACTIONS(1210),
    [anon_sym__] = ACTIONS(1212),
    [anon_sym_PLUS] = ACTIONS(1214),
    [anon_sym_DASH] = ACTIONS(1214),
    [anon_sym_end] = ACTIONS(1216),
    [anon_sym_if] = ACTIONS(1550),
    [anon_sym_while] = ACTIONS(1552),
    [anon_sym_for] = ACTIONS(1554),
    [anon_sym_try] = ACTIONS(1556),
    [anon_sym_new] = ACTIONS(1218),
    [anon_sym_opaque] = ACTIONS(1216),
    [anon_sym_implicit] = ACTIONS(1558),
    [anon_sym_inline] = ACTIONS(1220),
    [anon_sym_infix] = ACTIONS(1216),
    [anon_sym_open] = ACTIONS(1216),
    [anon_sym_transparent] = ACTIONS(1216),
    [anon_sym_LPAREN] = ACTIONS(1222),
    [anon_sym_macro] = ACTIONS(1560),
    [anon_sym_BANG] = ACTIONS(1214),
    [anon_sym_TILDE] = ACTIONS(1214),
    [anon_sym_DOLLAR] = ACTIONS(1224),
    [anon_sym_SQUOTE] = ACTIONS(1226),
    [sym__backquoted_id] = ACTIONS(1228),
    [sym_operator_identifier] = ACTIONS(1562),
    [sym_integer_literal] = ACTIONS(1232),
    [sym_floating_point_literal] = ACTIONS(1234),
    [anon_sym_true] = ACTIONS(1236),
    [anon_sym_false] = ACTIONS(1236),
    [sym_character_literal] = ACTIONS(1234),
    [sym_null_literal] = ACTIONS(1238),
    [anon_sym_return] = ACTIONS(1564),
    [anon_sym_throw] = ACTIONS(1566),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2282),
    [sym__simple_multiline_string] = ACTIONS(1240),
    [sym__simple_string] = ACTIONS(1240),
  },
  [1641] = {
    [sym_inline_modifier] = STATE(2189),
    [sym__indentable_expression] = STATE(13609),
    [sym_block] = STATE(9327),
    [sym_indented_block] = STATE(13548),
    [sym_indented_cases] = STATE(13548),
    [sym_expression] = STATE(13406),
    [sym__simple_expression] = STATE(7289),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15762),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10205),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10142),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6081),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(8816),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(1641),
    [sym_block_comment] = STATE(1641),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(569),
    [anon_sym_DASH] = ACTIONS(569),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(571),
    [anon_sym_while] = ACTIONS(573),
    [anon_sym_for] = ACTIONS(575),
    [anon_sym_try] = ACTIONS(577),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(2248),
    [anon_sym_inline] = ACTIONS(1860),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(569),
    [anon_sym_TILDE] = ACTIONS(569),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(587),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(589),
    [anon_sym_throw] = ACTIONS(591),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [1642] = {
    [sym_inline_modifier] = STATE(2038),
    [sym__indentable_expression] = STATE(12506),
    [sym_block] = STATE(8041),
    [sym_indented_block] = STATE(12292),
    [sym_indented_cases] = STATE(12292),
    [sym_expression] = STATE(12256),
    [sym__simple_expression] = STATE(6323),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15629),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(9695),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(5557),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(8528),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(1642),
    [sym_block_comment] = STATE(1642),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(3157),
    [anon_sym_while] = ACTIONS(2394),
    [anon_sym_for] = ACTIONS(2396),
    [anon_sym_try] = ACTIONS(2398),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2400),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(2402),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(2404),
    [anon_sym_throw] = ACTIONS(2406),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1643] = {
    [sym_inline_modifier] = STATE(2130),
    [sym__indentable_expression] = STATE(13700),
    [sym_block] = STATE(9120),
    [sym_indented_block] = STATE(13388),
    [sym_indented_cases] = STATE(13388),
    [sym_expression] = STATE(13211),
    [sym__simple_expression] = STATE(6353),
    [sym_lambda_expression] = STATE(13422),
    [sym_if_expression] = STATE(13422),
    [sym_match_expression] = STATE(13422),
    [sym_try_expression] = STATE(13422),
    [sym_bindings] = STATE(15752),
    [sym_case_block] = STATE(9120),
    [sym_assignment_expression] = STATE(13422),
    [sym_generic_function] = STATE(9120),
    [sym_call_expression] = STATE(9120),
    [sym_field_expression] = STATE(9120),
    [sym_instance_expression] = STATE(9120),
    [sym_ascription_expression] = STATE(13422),
    [sym_infix_expression] = STATE(9820),
    [sym_postfix_expression] = STATE(13148),
    [sym__postfix_expression_choice] = STATE(15936),
    [sym_macro_body] = STATE(13422),
    [sym_prefix_expression] = STATE(9828),
    [sym_tuple_expression] = STATE(9120),
    [sym_parenthesized_expression] = STATE(9120),
    [sym_splice_expression] = STATE(9120),
    [sym_quote_expression] = STATE(9120),
    [sym_identifier] = STATE(5669),
    [sym__soft_identifier] = STATE(6470),
    [sym_wildcard] = STATE(8444),
    [sym__non_null_literal] = STATE(9120),
    [sym_boolean_literal] = STATE(8928),
    [sym_interpolated_string_expression] = STATE(9120),
    [sym_string] = STATE(8928),
    [sym_unit] = STATE(9120),
    [sym_return_expression] = STATE(13422),
    [sym_throw_expression] = STATE(13422),
    [sym_while_expression] = STATE(13422),
    [sym_do_while_expression] = STATE(13422),
    [sym_for_expression] = STATE(13422),
    [sym_comment] = STATE(1643),
    [sym_block_comment] = STATE(1643),
    [sym__alpha_identifier] = ACTIONS(1582),
    [anon_sym_LBRACE] = ACTIONS(1586),
    [anon_sym__] = ACTIONS(1588),
    [anon_sym_PLUS] = ACTIONS(1590),
    [anon_sym_DASH] = ACTIONS(1590),
    [anon_sym_end] = ACTIONS(1592),
    [anon_sym_if] = ACTIONS(1864),
    [anon_sym_while] = ACTIONS(1866),
    [anon_sym_for] = ACTIONS(1868),
    [anon_sym_try] = ACTIONS(1870),
    [anon_sym_new] = ACTIONS(1594),
    [anon_sym_opaque] = ACTIONS(1592),
    [anon_sym_implicit] = ACTIONS(1872),
    [anon_sym_inline] = ACTIONS(1596),
    [anon_sym_infix] = ACTIONS(1592),
    [anon_sym_open] = ACTIONS(1592),
    [anon_sym_transparent] = ACTIONS(1592),
    [anon_sym_LPAREN] = ACTIONS(1598),
    [anon_sym_macro] = ACTIONS(1874),
    [anon_sym_BANG] = ACTIONS(1590),
    [anon_sym_TILDE] = ACTIONS(1590),
    [anon_sym_DOLLAR] = ACTIONS(1600),
    [anon_sym_SQUOTE] = ACTIONS(1602),
    [sym__backquoted_id] = ACTIONS(1604),
    [sym_operator_identifier] = ACTIONS(1876),
    [sym_integer_literal] = ACTIONS(1608),
    [sym_floating_point_literal] = ACTIONS(1610),
    [anon_sym_true] = ACTIONS(1612),
    [anon_sym_false] = ACTIONS(1612),
    [sym_character_literal] = ACTIONS(1610),
    [sym_null_literal] = ACTIONS(1614),
    [anon_sym_return] = ACTIONS(1878),
    [anon_sym_throw] = ACTIONS(1880),
    [anon_sym_do] = ACTIONS(1882),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3282),
    [sym__simple_multiline_string] = ACTIONS(1616),
    [sym__simple_string] = ACTIONS(1616),
  },
  [1644] = {
    [sym_inline_modifier] = STATE(2074),
    [sym__indentable_expression] = STATE(11766),
    [sym_block] = STATE(9523),
    [sym_indented_block] = STATE(11535),
    [sym_indented_cases] = STATE(11535),
    [sym_expression] = STATE(13312),
    [sym__simple_expression] = STATE(6085),
    [sym_lambda_expression] = STATE(11549),
    [sym_if_expression] = STATE(11549),
    [sym_match_expression] = STATE(11549),
    [sym_try_expression] = STATE(11549),
    [sym_bindings] = STATE(15713),
    [sym_case_block] = STATE(9523),
    [sym_assignment_expression] = STATE(11549),
    [sym_generic_function] = STATE(9523),
    [sym_call_expression] = STATE(9523),
    [sym_field_expression] = STATE(9523),
    [sym_instance_expression] = STATE(9523),
    [sym_ascription_expression] = STATE(11549),
    [sym_infix_expression] = STATE(10056),
    [sym_postfix_expression] = STATE(11204),
    [sym__postfix_expression_choice] = STATE(16623),
    [sym_macro_body] = STATE(11549),
    [sym_prefix_expression] = STATE(9754),
    [sym_tuple_expression] = STATE(9523),
    [sym_parenthesized_expression] = STATE(9523),
    [sym_splice_expression] = STATE(9523),
    [sym_quote_expression] = STATE(9523),
    [sym_identifier] = STATE(5442),
    [sym__soft_identifier] = STATE(4485),
    [sym_wildcard] = STATE(8639),
    [sym__non_null_literal] = STATE(9523),
    [sym_boolean_literal] = STATE(5592),
    [sym_interpolated_string_expression] = STATE(9523),
    [sym_string] = STATE(5592),
    [sym_unit] = STATE(9523),
    [sym_return_expression] = STATE(11549),
    [sym_throw_expression] = STATE(11549),
    [sym_while_expression] = STATE(11549),
    [sym_do_while_expression] = STATE(11549),
    [sym_for_expression] = STATE(11549),
    [sym_comment] = STATE(1644),
    [sym_block_comment] = STATE(1644),
    [sym__alpha_identifier] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(1392),
    [anon_sym__] = ACTIONS(1394),
    [anon_sym_PLUS] = ACTIONS(1396),
    [anon_sym_DASH] = ACTIONS(1396),
    [anon_sym_end] = ACTIONS(1398),
    [anon_sym_if] = ACTIONS(1820),
    [anon_sym_while] = ACTIONS(1822),
    [anon_sym_for] = ACTIONS(1824),
    [anon_sym_try] = ACTIONS(1826),
    [anon_sym_new] = ACTIONS(1400),
    [anon_sym_opaque] = ACTIONS(1398),
    [anon_sym_implicit] = ACTIONS(1828),
    [anon_sym_inline] = ACTIONS(1402),
    [anon_sym_infix] = ACTIONS(1398),
    [anon_sym_open] = ACTIONS(1398),
    [anon_sym_transparent] = ACTIONS(1398),
    [anon_sym_LPAREN] = ACTIONS(1404),
    [anon_sym_macro] = ACTIONS(1830),
    [anon_sym_BANG] = ACTIONS(1396),
    [anon_sym_TILDE] = ACTIONS(1396),
    [anon_sym_DOLLAR] = ACTIONS(1406),
    [anon_sym_SQUOTE] = ACTIONS(1408),
    [sym__backquoted_id] = ACTIONS(1410),
    [sym_operator_identifier] = ACTIONS(1832),
    [sym_integer_literal] = ACTIONS(1414),
    [sym_floating_point_literal] = ACTIONS(1416),
    [anon_sym_true] = ACTIONS(1418),
    [anon_sym_false] = ACTIONS(1418),
    [sym_character_literal] = ACTIONS(1416),
    [sym_null_literal] = ACTIONS(1420),
    [anon_sym_return] = ACTIONS(1834),
    [anon_sym_throw] = ACTIONS(1836),
    [anon_sym_do] = ACTIONS(1386),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2258),
    [sym__simple_multiline_string] = ACTIONS(1422),
    [sym__simple_string] = ACTIONS(1422),
  },
  [1645] = {
    [sym_inline_modifier] = STATE(2130),
    [sym__indentable_expression] = STATE(13770),
    [sym_block] = STATE(9120),
    [sym_indented_block] = STATE(13388),
    [sym_indented_cases] = STATE(13388),
    [sym_expression] = STATE(13211),
    [sym__simple_expression] = STATE(6353),
    [sym_lambda_expression] = STATE(13422),
    [sym_if_expression] = STATE(13422),
    [sym_match_expression] = STATE(13422),
    [sym_try_expression] = STATE(13422),
    [sym_bindings] = STATE(15752),
    [sym_case_block] = STATE(9120),
    [sym_assignment_expression] = STATE(13422),
    [sym_generic_function] = STATE(9120),
    [sym_call_expression] = STATE(9120),
    [sym_field_expression] = STATE(9120),
    [sym_instance_expression] = STATE(9120),
    [sym_ascription_expression] = STATE(13422),
    [sym_infix_expression] = STATE(9820),
    [sym_postfix_expression] = STATE(13148),
    [sym__postfix_expression_choice] = STATE(15936),
    [sym_macro_body] = STATE(13422),
    [sym_prefix_expression] = STATE(9828),
    [sym_tuple_expression] = STATE(9120),
    [sym_parenthesized_expression] = STATE(9120),
    [sym_splice_expression] = STATE(9120),
    [sym_quote_expression] = STATE(9120),
    [sym_identifier] = STATE(5669),
    [sym__soft_identifier] = STATE(6470),
    [sym_wildcard] = STATE(8444),
    [sym__non_null_literal] = STATE(9120),
    [sym_boolean_literal] = STATE(8928),
    [sym_interpolated_string_expression] = STATE(9120),
    [sym_string] = STATE(8928),
    [sym_unit] = STATE(9120),
    [sym_return_expression] = STATE(13422),
    [sym_throw_expression] = STATE(13422),
    [sym_while_expression] = STATE(13422),
    [sym_do_while_expression] = STATE(13422),
    [sym_for_expression] = STATE(13422),
    [sym_comment] = STATE(1645),
    [sym_block_comment] = STATE(1645),
    [sym__alpha_identifier] = ACTIONS(1582),
    [anon_sym_LBRACE] = ACTIONS(1586),
    [anon_sym__] = ACTIONS(1588),
    [anon_sym_PLUS] = ACTIONS(1590),
    [anon_sym_DASH] = ACTIONS(1590),
    [anon_sym_end] = ACTIONS(1592),
    [anon_sym_if] = ACTIONS(1864),
    [anon_sym_while] = ACTIONS(1866),
    [anon_sym_for] = ACTIONS(1868),
    [anon_sym_try] = ACTIONS(1870),
    [anon_sym_new] = ACTIONS(1594),
    [anon_sym_opaque] = ACTIONS(1592),
    [anon_sym_implicit] = ACTIONS(1872),
    [anon_sym_inline] = ACTIONS(1596),
    [anon_sym_infix] = ACTIONS(1592),
    [anon_sym_open] = ACTIONS(1592),
    [anon_sym_transparent] = ACTIONS(1592),
    [anon_sym_LPAREN] = ACTIONS(1598),
    [anon_sym_macro] = ACTIONS(1874),
    [anon_sym_BANG] = ACTIONS(1590),
    [anon_sym_TILDE] = ACTIONS(1590),
    [anon_sym_DOLLAR] = ACTIONS(1600),
    [anon_sym_SQUOTE] = ACTIONS(1602),
    [sym__backquoted_id] = ACTIONS(1604),
    [sym_operator_identifier] = ACTIONS(1876),
    [sym_integer_literal] = ACTIONS(1608),
    [sym_floating_point_literal] = ACTIONS(1610),
    [anon_sym_true] = ACTIONS(1612),
    [anon_sym_false] = ACTIONS(1612),
    [sym_character_literal] = ACTIONS(1610),
    [sym_null_literal] = ACTIONS(1614),
    [anon_sym_return] = ACTIONS(1878),
    [anon_sym_throw] = ACTIONS(1880),
    [anon_sym_do] = ACTIONS(1882),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3282),
    [sym__simple_multiline_string] = ACTIONS(1616),
    [sym__simple_string] = ACTIONS(1616),
  },
  [1646] = {
    [sym_inline_modifier] = STATE(2084),
    [sym__indentable_expression] = STATE(16027),
    [sym_block] = STATE(9545),
    [sym_indented_block] = STATE(13532),
    [sym_indented_cases] = STATE(13532),
    [sym_expression] = STATE(13442),
    [sym__simple_expression] = STATE(8831),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15722),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10635),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(752),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(8641),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(10149),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1646),
    [sym_block_comment] = STATE(1646),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2740),
    [anon_sym_while] = ACTIONS(2742),
    [anon_sym_for] = ACTIONS(2744),
    [anon_sym_try] = ACTIONS(2746),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2748),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3310),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3312),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2762),
    [anon_sym_throw] = ACTIONS(2764),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2510),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1647] = {
    [sym_inline_modifier] = STATE(2040),
    [sym__indentable_expression] = STATE(13080),
    [sym_block] = STATE(8375),
    [sym_indented_block] = STATE(13183),
    [sym_indented_cases] = STATE(13183),
    [sym_expression] = STATE(12800),
    [sym__simple_expression] = STATE(7538),
    [sym_lambda_expression] = STATE(13185),
    [sym_if_expression] = STATE(13185),
    [sym_match_expression] = STATE(13185),
    [sym_try_expression] = STATE(13185),
    [sym_bindings] = STATE(15594),
    [sym_case_block] = STATE(8375),
    [sym_assignment_expression] = STATE(13185),
    [sym_generic_function] = STATE(8375),
    [sym_call_expression] = STATE(8375),
    [sym_field_expression] = STATE(8375),
    [sym_instance_expression] = STATE(8375),
    [sym_ascription_expression] = STATE(13185),
    [sym_infix_expression] = STATE(9364),
    [sym_postfix_expression] = STATE(12809),
    [sym__postfix_expression_choice] = STATE(16440),
    [sym_macro_body] = STATE(13185),
    [sym_prefix_expression] = STATE(10274),
    [sym_tuple_expression] = STATE(8375),
    [sym_parenthesized_expression] = STATE(8375),
    [sym_splice_expression] = STATE(8375),
    [sym_quote_expression] = STATE(8375),
    [sym_identifier] = STATE(7110),
    [sym__soft_identifier] = STATE(5430),
    [sym_wildcard] = STATE(9287),
    [sym__non_null_literal] = STATE(8375),
    [sym_boolean_literal] = STATE(8117),
    [sym_interpolated_string_expression] = STATE(8375),
    [sym_string] = STATE(8117),
    [sym_unit] = STATE(8375),
    [sym_return_expression] = STATE(13185),
    [sym_throw_expression] = STATE(13185),
    [sym_while_expression] = STATE(13185),
    [sym_do_while_expression] = STATE(13185),
    [sym_for_expression] = STATE(13185),
    [sym_comment] = STATE(1647),
    [sym_block_comment] = STATE(1647),
    [sym__alpha_identifier] = ACTIONS(1618),
    [anon_sym_LBRACE] = ACTIONS(1622),
    [anon_sym__] = ACTIONS(1624),
    [anon_sym_PLUS] = ACTIONS(1626),
    [anon_sym_DASH] = ACTIONS(1626),
    [anon_sym_end] = ACTIONS(1628),
    [anon_sym_if] = ACTIONS(2414),
    [anon_sym_while] = ACTIONS(2416),
    [anon_sym_for] = ACTIONS(2418),
    [anon_sym_try] = ACTIONS(2420),
    [anon_sym_new] = ACTIONS(1630),
    [anon_sym_opaque] = ACTIONS(1628),
    [anon_sym_implicit] = ACTIONS(2422),
    [anon_sym_inline] = ACTIONS(1632),
    [anon_sym_infix] = ACTIONS(1628),
    [anon_sym_open] = ACTIONS(1628),
    [anon_sym_transparent] = ACTIONS(1628),
    [anon_sym_LPAREN] = ACTIONS(1634),
    [anon_sym_macro] = ACTIONS(2074),
    [anon_sym_BANG] = ACTIONS(1626),
    [anon_sym_TILDE] = ACTIONS(1626),
    [anon_sym_DOLLAR] = ACTIONS(1636),
    [anon_sym_SQUOTE] = ACTIONS(1638),
    [sym__backquoted_id] = ACTIONS(1640),
    [sym_operator_identifier] = ACTIONS(2424),
    [sym_integer_literal] = ACTIONS(1644),
    [sym_floating_point_literal] = ACTIONS(1646),
    [anon_sym_true] = ACTIONS(1648),
    [anon_sym_false] = ACTIONS(1648),
    [sym_character_literal] = ACTIONS(1646),
    [sym_null_literal] = ACTIONS(1650),
    [anon_sym_return] = ACTIONS(2426),
    [anon_sym_throw] = ACTIONS(2428),
    [anon_sym_do] = ACTIONS(2082),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1652),
    [sym__simple_string] = ACTIONS(1652),
  },
  [1648] = {
    [sym_inline_modifier] = STATE(2040),
    [sym__indentable_expression] = STATE(13066),
    [sym_block] = STATE(8375),
    [sym_indented_block] = STATE(13183),
    [sym_indented_cases] = STATE(13183),
    [sym_expression] = STATE(12800),
    [sym__simple_expression] = STATE(7538),
    [sym_lambda_expression] = STATE(13185),
    [sym_if_expression] = STATE(13185),
    [sym_match_expression] = STATE(13185),
    [sym_try_expression] = STATE(13185),
    [sym_bindings] = STATE(15594),
    [sym_case_block] = STATE(8375),
    [sym_assignment_expression] = STATE(13185),
    [sym_generic_function] = STATE(8375),
    [sym_call_expression] = STATE(8375),
    [sym_field_expression] = STATE(8375),
    [sym_instance_expression] = STATE(8375),
    [sym_ascription_expression] = STATE(13185),
    [sym_infix_expression] = STATE(9364),
    [sym_postfix_expression] = STATE(12809),
    [sym__postfix_expression_choice] = STATE(16440),
    [sym_macro_body] = STATE(13185),
    [sym_prefix_expression] = STATE(10274),
    [sym_tuple_expression] = STATE(8375),
    [sym_parenthesized_expression] = STATE(8375),
    [sym_splice_expression] = STATE(8375),
    [sym_quote_expression] = STATE(8375),
    [sym_identifier] = STATE(7110),
    [sym__soft_identifier] = STATE(5430),
    [sym_wildcard] = STATE(9287),
    [sym__non_null_literal] = STATE(8375),
    [sym_boolean_literal] = STATE(8117),
    [sym_interpolated_string_expression] = STATE(8375),
    [sym_string] = STATE(8117),
    [sym_unit] = STATE(8375),
    [sym_return_expression] = STATE(13185),
    [sym_throw_expression] = STATE(13185),
    [sym_while_expression] = STATE(13185),
    [sym_do_while_expression] = STATE(13185),
    [sym_for_expression] = STATE(13185),
    [sym_comment] = STATE(1648),
    [sym_block_comment] = STATE(1648),
    [sym__alpha_identifier] = ACTIONS(1618),
    [anon_sym_LBRACE] = ACTIONS(1622),
    [anon_sym__] = ACTIONS(1624),
    [anon_sym_PLUS] = ACTIONS(1626),
    [anon_sym_DASH] = ACTIONS(1626),
    [anon_sym_end] = ACTIONS(1628),
    [anon_sym_if] = ACTIONS(2414),
    [anon_sym_while] = ACTIONS(2416),
    [anon_sym_for] = ACTIONS(2418),
    [anon_sym_try] = ACTIONS(2420),
    [anon_sym_new] = ACTIONS(1630),
    [anon_sym_opaque] = ACTIONS(1628),
    [anon_sym_implicit] = ACTIONS(2422),
    [anon_sym_inline] = ACTIONS(1632),
    [anon_sym_infix] = ACTIONS(1628),
    [anon_sym_open] = ACTIONS(1628),
    [anon_sym_transparent] = ACTIONS(1628),
    [anon_sym_LPAREN] = ACTIONS(1634),
    [anon_sym_macro] = ACTIONS(2074),
    [anon_sym_BANG] = ACTIONS(1626),
    [anon_sym_TILDE] = ACTIONS(1626),
    [anon_sym_DOLLAR] = ACTIONS(1636),
    [anon_sym_SQUOTE] = ACTIONS(1638),
    [sym__backquoted_id] = ACTIONS(1640),
    [sym_operator_identifier] = ACTIONS(2424),
    [sym_integer_literal] = ACTIONS(1644),
    [sym_floating_point_literal] = ACTIONS(1646),
    [anon_sym_true] = ACTIONS(1648),
    [anon_sym_false] = ACTIONS(1648),
    [sym_character_literal] = ACTIONS(1646),
    [sym_null_literal] = ACTIONS(1650),
    [anon_sym_return] = ACTIONS(2426),
    [anon_sym_throw] = ACTIONS(2428),
    [anon_sym_do] = ACTIONS(2082),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1652),
    [sym__simple_string] = ACTIONS(1652),
  },
  [1649] = {
    [sym_inline_modifier] = STATE(2038),
    [sym__indentable_expression] = STATE(12405),
    [sym_block] = STATE(8041),
    [sym_indented_block] = STATE(12292),
    [sym_indented_cases] = STATE(12292),
    [sym_expression] = STATE(12256),
    [sym__simple_expression] = STATE(6323),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15629),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(9695),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(5557),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(8528),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(1649),
    [sym_block_comment] = STATE(1649),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(3157),
    [anon_sym_while] = ACTIONS(2394),
    [anon_sym_for] = ACTIONS(2396),
    [anon_sym_try] = ACTIONS(2398),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2400),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(2402),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(2404),
    [anon_sym_throw] = ACTIONS(2406),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1650] = {
    [sym_inline_modifier] = STATE(2040),
    [sym__indentable_expression] = STATE(13071),
    [sym_block] = STATE(8375),
    [sym_indented_block] = STATE(13183),
    [sym_indented_cases] = STATE(13183),
    [sym_expression] = STATE(12800),
    [sym__simple_expression] = STATE(7538),
    [sym_lambda_expression] = STATE(13185),
    [sym_if_expression] = STATE(13185),
    [sym_match_expression] = STATE(13185),
    [sym_try_expression] = STATE(13185),
    [sym_bindings] = STATE(15594),
    [sym_case_block] = STATE(8375),
    [sym_assignment_expression] = STATE(13185),
    [sym_generic_function] = STATE(8375),
    [sym_call_expression] = STATE(8375),
    [sym_field_expression] = STATE(8375),
    [sym_instance_expression] = STATE(8375),
    [sym_ascription_expression] = STATE(13185),
    [sym_infix_expression] = STATE(9364),
    [sym_postfix_expression] = STATE(12809),
    [sym__postfix_expression_choice] = STATE(16440),
    [sym_macro_body] = STATE(13185),
    [sym_prefix_expression] = STATE(10274),
    [sym_tuple_expression] = STATE(8375),
    [sym_parenthesized_expression] = STATE(8375),
    [sym_splice_expression] = STATE(8375),
    [sym_quote_expression] = STATE(8375),
    [sym_identifier] = STATE(7110),
    [sym__soft_identifier] = STATE(5430),
    [sym_wildcard] = STATE(9287),
    [sym__non_null_literal] = STATE(8375),
    [sym_boolean_literal] = STATE(8117),
    [sym_interpolated_string_expression] = STATE(8375),
    [sym_string] = STATE(8117),
    [sym_unit] = STATE(8375),
    [sym_return_expression] = STATE(13185),
    [sym_throw_expression] = STATE(13185),
    [sym_while_expression] = STATE(13185),
    [sym_do_while_expression] = STATE(13185),
    [sym_for_expression] = STATE(13185),
    [sym_comment] = STATE(1650),
    [sym_block_comment] = STATE(1650),
    [sym__alpha_identifier] = ACTIONS(1618),
    [anon_sym_LBRACE] = ACTIONS(1622),
    [anon_sym__] = ACTIONS(1624),
    [anon_sym_PLUS] = ACTIONS(1626),
    [anon_sym_DASH] = ACTIONS(1626),
    [anon_sym_end] = ACTIONS(1628),
    [anon_sym_if] = ACTIONS(2414),
    [anon_sym_while] = ACTIONS(2416),
    [anon_sym_for] = ACTIONS(2418),
    [anon_sym_try] = ACTIONS(2420),
    [anon_sym_new] = ACTIONS(1630),
    [anon_sym_opaque] = ACTIONS(1628),
    [anon_sym_implicit] = ACTIONS(2422),
    [anon_sym_inline] = ACTIONS(1632),
    [anon_sym_infix] = ACTIONS(1628),
    [anon_sym_open] = ACTIONS(1628),
    [anon_sym_transparent] = ACTIONS(1628),
    [anon_sym_LPAREN] = ACTIONS(1634),
    [anon_sym_macro] = ACTIONS(2074),
    [anon_sym_BANG] = ACTIONS(1626),
    [anon_sym_TILDE] = ACTIONS(1626),
    [anon_sym_DOLLAR] = ACTIONS(1636),
    [anon_sym_SQUOTE] = ACTIONS(1638),
    [sym__backquoted_id] = ACTIONS(1640),
    [sym_operator_identifier] = ACTIONS(2424),
    [sym_integer_literal] = ACTIONS(1644),
    [sym_floating_point_literal] = ACTIONS(1646),
    [anon_sym_true] = ACTIONS(1648),
    [anon_sym_false] = ACTIONS(1648),
    [sym_character_literal] = ACTIONS(1646),
    [sym_null_literal] = ACTIONS(1650),
    [anon_sym_return] = ACTIONS(2426),
    [anon_sym_throw] = ACTIONS(2428),
    [anon_sym_do] = ACTIONS(2082),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1652),
    [sym__simple_string] = ACTIONS(1652),
  },
  [1651] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(16314),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1651),
    [sym_block_comment] = STATE(1651),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3322),
    [anon_sym_RPAREN] = ACTIONS(3324),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1652] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(16987),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1652),
    [sym_block_comment] = STATE(1652),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3326),
    [anon_sym_RPAREN] = ACTIONS(3328),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1653] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(17488),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1653),
    [sym_block_comment] = STATE(1653),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3330),
    [anon_sym_RPAREN] = ACTIONS(3332),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1654] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(17016),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1654),
    [sym_block_comment] = STATE(1654),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3334),
    [anon_sym_RPAREN] = ACTIONS(3336),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1655] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(17009),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1655),
    [sym_block_comment] = STATE(1655),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3338),
    [anon_sym_RPAREN] = ACTIONS(3340),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1656] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(17099),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1656),
    [sym_block_comment] = STATE(1656),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3342),
    [anon_sym_RPAREN] = ACTIONS(3344),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1657] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(17036),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1657),
    [sym_block_comment] = STATE(1657),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3346),
    [anon_sym_RPAREN] = ACTIONS(3348),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1658] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(16790),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1658),
    [sym_block_comment] = STATE(1658),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3350),
    [anon_sym_RPAREN] = ACTIONS(3352),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1659] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(17005),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1659),
    [sym_block_comment] = STATE(1659),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3354),
    [anon_sym_RPAREN] = ACTIONS(3356),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1660] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(16412),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1660),
    [sym_block_comment] = STATE(1660),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3358),
    [anon_sym_RPAREN] = ACTIONS(3360),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1661] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(16465),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1661),
    [sym_block_comment] = STATE(1661),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3362),
    [anon_sym_RPAREN] = ACTIONS(3364),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1662] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(17049),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1662),
    [sym_block_comment] = STATE(1662),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3366),
    [anon_sym_RPAREN] = ACTIONS(3368),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1663] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(16992),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1663),
    [sym_block_comment] = STATE(1663),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3370),
    [anon_sym_RPAREN] = ACTIONS(3372),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1664] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(15996),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1664),
    [sym_block_comment] = STATE(1664),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3374),
    [anon_sym_RPAREN] = ACTIONS(3376),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1665] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(7443),
    [sym_expression] = STATE(15374),
    [sym__simple_expression] = STATE(4741),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(7443),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(7443),
    [sym_call_expression] = STATE(7443),
    [sym_field_expression] = STATE(7443),
    [sym_instance_expression] = STATE(7443),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16250),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(8571),
    [sym_tuple_expression] = STATE(7443),
    [sym_parenthesized_expression] = STATE(7443),
    [sym_splice_expression] = STATE(7443),
    [sym_quote_expression] = STATE(7443),
    [sym_identifier] = STATE(4627),
    [sym__soft_identifier] = STATE(5213),
    [sym_wildcard] = STATE(6315),
    [sym__non_null_literal] = STATE(7443),
    [sym_boolean_literal] = STATE(7707),
    [sym_interpolated_string_expression] = STATE(7443),
    [sym_string] = STATE(7707),
    [sym_unit] = STATE(7443),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1665),
    [sym_block_comment] = STATE(1665),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_COLON] = ACTIONS(1114),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(1136),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [1666] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(16762),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1666),
    [sym_block_comment] = STATE(1666),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3378),
    [anon_sym_RPAREN] = ACTIONS(3380),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1667] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(17061),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1667),
    [sym_block_comment] = STATE(1667),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3382),
    [anon_sym_RPAREN] = ACTIONS(3384),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1668] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(8375),
    [sym_expression] = STATE(14916),
    [sym__simple_expression] = STATE(5383),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(8375),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(8375),
    [sym_call_expression] = STATE(8375),
    [sym_field_expression] = STATE(8375),
    [sym_instance_expression] = STATE(8375),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16072),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(8716),
    [sym_tuple_expression] = STATE(8375),
    [sym_parenthesized_expression] = STATE(8375),
    [sym_splice_expression] = STATE(8375),
    [sym_quote_expression] = STATE(8375),
    [sym_identifier] = STATE(4711),
    [sym__soft_identifier] = STATE(5430),
    [sym_wildcard] = STATE(6992),
    [sym__non_null_literal] = STATE(8375),
    [sym_boolean_literal] = STATE(8117),
    [sym_interpolated_string_expression] = STATE(8375),
    [sym_string] = STATE(8117),
    [sym_unit] = STATE(8375),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1668),
    [sym_block_comment] = STATE(1668),
    [sym__alpha_identifier] = ACTIONS(1618),
    [anon_sym_COLON] = ACTIONS(1620),
    [anon_sym_LBRACE] = ACTIONS(1622),
    [anon_sym__] = ACTIONS(1624),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(1626),
    [anon_sym_DASH] = ACTIONS(1626),
    [anon_sym_end] = ACTIONS(1628),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1630),
    [anon_sym_opaque] = ACTIONS(1628),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1632),
    [anon_sym_infix] = ACTIONS(1628),
    [anon_sym_open] = ACTIONS(1628),
    [anon_sym_transparent] = ACTIONS(1628),
    [anon_sym_LPAREN] = ACTIONS(1634),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1626),
    [anon_sym_TILDE] = ACTIONS(1626),
    [anon_sym_DOLLAR] = ACTIONS(1636),
    [anon_sym_SQUOTE] = ACTIONS(1638),
    [sym__backquoted_id] = ACTIONS(1640),
    [sym_operator_identifier] = ACTIONS(1642),
    [sym_integer_literal] = ACTIONS(1644),
    [sym_floating_point_literal] = ACTIONS(1646),
    [anon_sym_true] = ACTIONS(1648),
    [anon_sym_false] = ACTIONS(1648),
    [sym_character_literal] = ACTIONS(1646),
    [sym_null_literal] = ACTIONS(1650),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1652),
    [sym__simple_string] = ACTIONS(1652),
  },
  [1669] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(17077),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1669),
    [sym_block_comment] = STATE(1669),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3386),
    [anon_sym_RPAREN] = ACTIONS(3388),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1670] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(16652),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1670),
    [sym_block_comment] = STATE(1670),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3390),
    [anon_sym_RPAREN] = ACTIONS(3392),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1671] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(16049),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1671),
    [sym_block_comment] = STATE(1671),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3394),
    [anon_sym_RPAREN] = ACTIONS(3396),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1672] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(17072),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1672),
    [sym_block_comment] = STATE(1672),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3398),
    [anon_sym_RPAREN] = ACTIONS(3400),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1673] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(16895),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1673),
    [sym_block_comment] = STATE(1673),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3402),
    [anon_sym_RPAREN] = ACTIONS(3404),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1674] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(17468),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1674),
    [sym_block_comment] = STATE(1674),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3406),
    [anon_sym_RPAREN] = ACTIONS(3408),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1675] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(16841),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1675),
    [sym_block_comment] = STATE(1675),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3410),
    [anon_sym_RPAREN] = ACTIONS(3412),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1676] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(17393),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1676),
    [sym_block_comment] = STATE(1676),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3414),
    [anon_sym_RPAREN] = ACTIONS(3416),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1677] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(17499),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1677),
    [sym_block_comment] = STATE(1677),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3418),
    [anon_sym_RPAREN] = ACTIONS(3420),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1678] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(17089),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1678),
    [sym_block_comment] = STATE(1678),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3422),
    [anon_sym_RPAREN] = ACTIONS(3424),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1679] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(17165),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1679),
    [sym_block_comment] = STATE(1679),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3426),
    [anon_sym_RPAREN] = ACTIONS(3428),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1680] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(16055),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1680),
    [sym_block_comment] = STATE(1680),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3430),
    [anon_sym_RPAREN] = ACTIONS(3432),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1681] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(16532),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1681),
    [sym_block_comment] = STATE(1681),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3434),
    [anon_sym_RPAREN] = ACTIONS(3436),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1682] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(14967),
    [sym__simple_expression] = STATE(6084),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16017),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(9845),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(5490),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(8581),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1682),
    [sym_block_comment] = STATE(1682),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_COLON] = ACTIONS(1858),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(1862),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [1683] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(16742),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1683),
    [sym_block_comment] = STATE(1683),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3438),
    [anon_sym_RPAREN] = ACTIONS(3440),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1684] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(16001),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1684),
    [sym_block_comment] = STATE(1684),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3442),
    [anon_sym_RPAREN] = ACTIONS(3444),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1685] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(5403),
    [sym_expression] = STATE(15339),
    [sym__simple_expression] = STATE(4393),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(5403),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(5403),
    [sym_call_expression] = STATE(5403),
    [sym_field_expression] = STATE(5403),
    [sym_instance_expression] = STATE(5403),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16045),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(6091),
    [sym_tuple_expression] = STATE(5403),
    [sym_parenthesized_expression] = STATE(5403),
    [sym_splice_expression] = STATE(5403),
    [sym_quote_expression] = STATE(5403),
    [sym_identifier] = STATE(4254),
    [sym__soft_identifier] = STATE(4455),
    [sym_wildcard] = STATE(4724),
    [sym__non_null_literal] = STATE(5403),
    [sym_boolean_literal] = STATE(5637),
    [sym_interpolated_string_expression] = STATE(5403),
    [sym_string] = STATE(5637),
    [sym_unit] = STATE(5403),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1685),
    [sym_block_comment] = STATE(1685),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_COLON] = ACTIONS(890),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(920),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [1686] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(16898),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1686),
    [sym_block_comment] = STATE(1686),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3446),
    [anon_sym_RPAREN] = ACTIONS(3448),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1687] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(17055),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1687),
    [sym_block_comment] = STATE(1687),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3450),
    [anon_sym_RPAREN] = ACTIONS(3452),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1688] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(17105),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1688),
    [sym_block_comment] = STATE(1688),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3454),
    [anon_sym_RPAREN] = ACTIONS(3456),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1689] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(16499),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1689),
    [sym_block_comment] = STATE(1689),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3458),
    [anon_sym_RPAREN] = ACTIONS(3460),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1690] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(16255),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1690),
    [sym_block_comment] = STATE(1690),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3462),
    [anon_sym_RPAREN] = ACTIONS(3464),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1691] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(17136),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1691),
    [sym_block_comment] = STATE(1691),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3466),
    [anon_sym_RPAREN] = ACTIONS(3468),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1692] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(8821),
    [sym_expression] = STATE(15265),
    [sym__simple_expression] = STATE(5601),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(8821),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(8821),
    [sym_call_expression] = STATE(8821),
    [sym_field_expression] = STATE(8821),
    [sym_instance_expression] = STATE(8821),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16270),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(9569),
    [sym_tuple_expression] = STATE(8821),
    [sym_parenthesized_expression] = STATE(8821),
    [sym_splice_expression] = STATE(8821),
    [sym_quote_expression] = STATE(8821),
    [sym_identifier] = STATE(5024),
    [sym__soft_identifier] = STATE(6446),
    [sym_wildcard] = STATE(8013),
    [sym__non_null_literal] = STATE(8821),
    [sym_boolean_literal] = STATE(8798),
    [sym_interpolated_string_expression] = STATE(8821),
    [sym_string] = STATE(8798),
    [sym_unit] = STATE(8821),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1692),
    [sym_block_comment] = STATE(1692),
    [sym__alpha_identifier] = ACTIONS(1674),
    [anon_sym_COLON] = ACTIONS(1676),
    [anon_sym_LBRACE] = ACTIONS(1678),
    [anon_sym__] = ACTIONS(1680),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(1682),
    [anon_sym_DASH] = ACTIONS(1682),
    [anon_sym_end] = ACTIONS(1684),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1686),
    [anon_sym_opaque] = ACTIONS(1684),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1688),
    [anon_sym_infix] = ACTIONS(1684),
    [anon_sym_open] = ACTIONS(1684),
    [anon_sym_transparent] = ACTIONS(1684),
    [anon_sym_LPAREN] = ACTIONS(1690),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1682),
    [anon_sym_TILDE] = ACTIONS(1682),
    [anon_sym_DOLLAR] = ACTIONS(1692),
    [anon_sym_SQUOTE] = ACTIONS(1694),
    [sym__backquoted_id] = ACTIONS(1696),
    [sym_operator_identifier] = ACTIONS(1698),
    [sym_integer_literal] = ACTIONS(1700),
    [sym_floating_point_literal] = ACTIONS(1702),
    [anon_sym_true] = ACTIONS(1704),
    [anon_sym_false] = ACTIONS(1704),
    [sym_character_literal] = ACTIONS(1702),
    [sym_null_literal] = ACTIONS(1706),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1708),
    [sym__simple_string] = ACTIONS(1708),
  },
  [1693] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(16844),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1693),
    [sym_block_comment] = STATE(1693),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3470),
    [anon_sym_RPAREN] = ACTIONS(3472),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1694] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(15940),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1694),
    [sym_block_comment] = STATE(1694),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3474),
    [anon_sym_RPAREN] = ACTIONS(3476),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1695] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(17117),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1695),
    [sym_block_comment] = STATE(1695),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3478),
    [anon_sym_RPAREN] = ACTIONS(3480),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1696] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(17152),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1696),
    [sym_block_comment] = STATE(1696),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3482),
    [anon_sym_RPAREN] = ACTIONS(3484),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1697] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(16938),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1697),
    [sym_block_comment] = STATE(1697),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3486),
    [anon_sym_RPAREN] = ACTIONS(3488),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1698] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(17171),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1698),
    [sym_block_comment] = STATE(1698),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3490),
    [anon_sym_RPAREN] = ACTIONS(3492),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1699] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(6703),
    [sym_expression] = STATE(15372),
    [sym__simple_expression] = STATE(4544),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(6703),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(6703),
    [sym_call_expression] = STATE(6703),
    [sym_field_expression] = STATE(6703),
    [sym_instance_expression] = STATE(6703),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16066),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(7918),
    [sym_tuple_expression] = STATE(6703),
    [sym_parenthesized_expression] = STATE(6703),
    [sym_splice_expression] = STATE(6703),
    [sym_quote_expression] = STATE(6703),
    [sym_identifier] = STATE(4477),
    [sym__soft_identifier] = STATE(4884),
    [sym_wildcard] = STATE(5663),
    [sym__non_null_literal] = STATE(6703),
    [sym_boolean_literal] = STATE(6780),
    [sym_interpolated_string_expression] = STATE(6703),
    [sym_string] = STATE(6780),
    [sym_unit] = STATE(6703),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1699),
    [sym_block_comment] = STATE(1699),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_COLON] = ACTIONS(1042),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(1064),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [1700] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(16116),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1700),
    [sym_block_comment] = STATE(1700),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3494),
    [anon_sym_RPAREN] = ACTIONS(3496),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1701] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(17134),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1701),
    [sym_block_comment] = STATE(1701),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3498),
    [anon_sym_RPAREN] = ACTIONS(3500),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1702] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9539),
    [sym_expression] = STATE(15186),
    [sym__simple_expression] = STATE(6647),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9539),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9539),
    [sym_call_expression] = STATE(9539),
    [sym_field_expression] = STATE(9539),
    [sym_instance_expression] = STATE(9539),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16290),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(9767),
    [sym_tuple_expression] = STATE(9539),
    [sym_parenthesized_expression] = STATE(9539),
    [sym_splice_expression] = STATE(9539),
    [sym_quote_expression] = STATE(9539),
    [sym_identifier] = STATE(5822),
    [sym__soft_identifier] = STATE(4462),
    [sym_wildcard] = STATE(8157),
    [sym__non_null_literal] = STATE(9539),
    [sym_boolean_literal] = STATE(5971),
    [sym_interpolated_string_expression] = STATE(9539),
    [sym_string] = STATE(5971),
    [sym_unit] = STATE(9539),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1702),
    [sym_block_comment] = STATE(1702),
    [sym__alpha_identifier] = ACTIONS(1444),
    [anon_sym_COLON] = ACTIONS(1446),
    [anon_sym_LBRACE] = ACTIONS(1448),
    [anon_sym__] = ACTIONS(1450),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(1452),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_end] = ACTIONS(1454),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1456),
    [anon_sym_opaque] = ACTIONS(1454),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1458),
    [anon_sym_infix] = ACTIONS(1454),
    [anon_sym_open] = ACTIONS(1454),
    [anon_sym_transparent] = ACTIONS(1454),
    [anon_sym_LPAREN] = ACTIONS(1460),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1452),
    [anon_sym_TILDE] = ACTIONS(1452),
    [anon_sym_DOLLAR] = ACTIONS(1462),
    [anon_sym_SQUOTE] = ACTIONS(1464),
    [sym__backquoted_id] = ACTIONS(1466),
    [sym_operator_identifier] = ACTIONS(1468),
    [sym_integer_literal] = ACTIONS(1470),
    [sym_floating_point_literal] = ACTIONS(1472),
    [anon_sym_true] = ACTIONS(1474),
    [anon_sym_false] = ACTIONS(1474),
    [sym_character_literal] = ACTIONS(1472),
    [sym_null_literal] = ACTIONS(1476),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1478),
    [sym__simple_string] = ACTIONS(1478),
  },
  [1703] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(17379),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1703),
    [sym_block_comment] = STATE(1703),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3502),
    [anon_sym_RPAREN] = ACTIONS(3504),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1704] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(16098),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1704),
    [sym_block_comment] = STATE(1704),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3506),
    [anon_sym_RPAREN] = ACTIONS(3508),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1705] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(17185),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1705),
    [sym_block_comment] = STATE(1705),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3510),
    [anon_sym_RPAREN] = ACTIONS(3512),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1706] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(15966),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1706),
    [sym_block_comment] = STATE(1706),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3514),
    [anon_sym_RPAREN] = ACTIONS(3516),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1707] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(14396),
    [sym__simple_expression] = STATE(4939),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16541),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(8185),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(4515),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(6056),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1707),
    [sym_block_comment] = STATE(1707),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_COLON] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(603),
    [anon_sym_DASH] = ACTIONS(603),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1764),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(603),
    [anon_sym_TILDE] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(1426),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1708] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9523),
    [sym_expression] = STATE(14749),
    [sym__simple_expression] = STATE(6244),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9523),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9523),
    [sym_call_expression] = STATE(9523),
    [sym_field_expression] = STATE(9523),
    [sym_instance_expression] = STATE(9523),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16281),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(9792),
    [sym_tuple_expression] = STATE(9523),
    [sym_parenthesized_expression] = STATE(9523),
    [sym_splice_expression] = STATE(9523),
    [sym_quote_expression] = STATE(9523),
    [sym_identifier] = STATE(5843),
    [sym__soft_identifier] = STATE(4485),
    [sym_wildcard] = STATE(8116),
    [sym__non_null_literal] = STATE(9523),
    [sym_boolean_literal] = STATE(5592),
    [sym_interpolated_string_expression] = STATE(9523),
    [sym_string] = STATE(5592),
    [sym_unit] = STATE(9523),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1708),
    [sym_block_comment] = STATE(1708),
    [sym__alpha_identifier] = ACTIONS(1388),
    [anon_sym_COLON] = ACTIONS(1390),
    [anon_sym_LBRACE] = ACTIONS(1392),
    [anon_sym__] = ACTIONS(1394),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(1396),
    [anon_sym_DASH] = ACTIONS(1396),
    [anon_sym_end] = ACTIONS(1398),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1400),
    [anon_sym_opaque] = ACTIONS(1398),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1402),
    [anon_sym_infix] = ACTIONS(1398),
    [anon_sym_open] = ACTIONS(1398),
    [anon_sym_transparent] = ACTIONS(1398),
    [anon_sym_LPAREN] = ACTIONS(1404),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1396),
    [anon_sym_TILDE] = ACTIONS(1396),
    [anon_sym_DOLLAR] = ACTIONS(1406),
    [anon_sym_SQUOTE] = ACTIONS(1408),
    [sym__backquoted_id] = ACTIONS(1410),
    [sym_operator_identifier] = ACTIONS(1412),
    [sym_integer_literal] = ACTIONS(1414),
    [sym_floating_point_literal] = ACTIONS(1416),
    [anon_sym_true] = ACTIONS(1418),
    [anon_sym_false] = ACTIONS(1418),
    [sym_character_literal] = ACTIONS(1416),
    [sym_null_literal] = ACTIONS(1420),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1422),
    [sym__simple_string] = ACTIONS(1422),
  },
  [1709] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(16817),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1709),
    [sym_block_comment] = STATE(1709),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3518),
    [anon_sym_RPAREN] = ACTIONS(3520),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1710] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(16597),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1710),
    [sym_block_comment] = STATE(1710),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3522),
    [anon_sym_RPAREN] = ACTIONS(3524),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1711] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(17149),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1711),
    [sym_block_comment] = STATE(1711),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3526),
    [anon_sym_RPAREN] = ACTIONS(3528),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1712] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(16991),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1712),
    [sym_block_comment] = STATE(1712),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3530),
    [anon_sym_RPAREN] = ACTIONS(3532),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1713] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(17030),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1713),
    [sym_block_comment] = STATE(1713),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3534),
    [anon_sym_RPAREN] = ACTIONS(3536),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1714] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(16685),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1714),
    [sym_block_comment] = STATE(1714),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3538),
    [anon_sym_RPAREN] = ACTIONS(3540),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1715] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(16631),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1715),
    [sym_block_comment] = STATE(1715),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3542),
    [anon_sym_RPAREN] = ACTIONS(3544),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1716] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(8360),
    [sym_expression] = STATE(15204),
    [sym__simple_expression] = STATE(5332),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(8360),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(8360),
    [sym_call_expression] = STATE(8360),
    [sym_field_expression] = STATE(8360),
    [sym_instance_expression] = STATE(8360),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(15959),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(9148),
    [sym_tuple_expression] = STATE(8360),
    [sym_parenthesized_expression] = STATE(8360),
    [sym_splice_expression] = STATE(8360),
    [sym_quote_expression] = STATE(8360),
    [sym_identifier] = STATE(4694),
    [sym__soft_identifier] = STATE(5563),
    [sym_wildcard] = STATE(7153),
    [sym__non_null_literal] = STATE(8360),
    [sym_boolean_literal] = STATE(8269),
    [sym_interpolated_string_expression] = STATE(8360),
    [sym_string] = STATE(8269),
    [sym_unit] = STATE(8360),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1716),
    [sym_block_comment] = STATE(1716),
    [sym__alpha_identifier] = ACTIONS(1242),
    [anon_sym_COLON] = ACTIONS(1244),
    [anon_sym_LBRACE] = ACTIONS(1246),
    [anon_sym__] = ACTIONS(1248),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(1250),
    [anon_sym_DASH] = ACTIONS(1250),
    [anon_sym_end] = ACTIONS(1252),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1254),
    [anon_sym_opaque] = ACTIONS(1252),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1256),
    [anon_sym_infix] = ACTIONS(1252),
    [anon_sym_open] = ACTIONS(1252),
    [anon_sym_transparent] = ACTIONS(1252),
    [anon_sym_LPAREN] = ACTIONS(1258),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1250),
    [anon_sym_TILDE] = ACTIONS(1250),
    [anon_sym_DOLLAR] = ACTIONS(1260),
    [anon_sym_SQUOTE] = ACTIONS(1262),
    [sym__backquoted_id] = ACTIONS(1264),
    [sym_operator_identifier] = ACTIONS(1266),
    [sym_integer_literal] = ACTIONS(1268),
    [sym_floating_point_literal] = ACTIONS(1270),
    [anon_sym_true] = ACTIONS(1272),
    [anon_sym_false] = ACTIONS(1272),
    [sym_character_literal] = ACTIONS(1270),
    [sym_null_literal] = ACTIONS(1274),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1276),
    [sym__simple_string] = ACTIONS(1276),
  },
  [1717] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(16419),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1717),
    [sym_block_comment] = STATE(1717),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3546),
    [anon_sym_RPAREN] = ACTIONS(3548),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1718] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(16952),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1718),
    [sym_block_comment] = STATE(1718),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3550),
    [anon_sym_RPAREN] = ACTIONS(3552),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1719] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(17497),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1719),
    [sym_block_comment] = STATE(1719),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3554),
    [anon_sym_RPAREN] = ACTIONS(3556),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1720] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(17170),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1720),
    [sym_block_comment] = STATE(1720),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3558),
    [anon_sym_RPAREN] = ACTIONS(3560),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1721] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(6540),
    [sym_expression] = STATE(15076),
    [sym__simple_expression] = STATE(4493),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(6540),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(6540),
    [sym_call_expression] = STATE(6540),
    [sym_field_expression] = STATE(6540),
    [sym_instance_expression] = STATE(6540),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16309),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(6949),
    [sym_tuple_expression] = STATE(6540),
    [sym_parenthesized_expression] = STATE(6540),
    [sym_splice_expression] = STATE(6540),
    [sym_quote_expression] = STATE(6540),
    [sym_identifier] = STATE(4376),
    [sym__soft_identifier] = STATE(4667),
    [sym_wildcard] = STATE(5089),
    [sym__non_null_literal] = STATE(6540),
    [sym_boolean_literal] = STATE(6246),
    [sym_interpolated_string_expression] = STATE(6540),
    [sym_string] = STATE(6246),
    [sym_unit] = STATE(6540),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1721),
    [sym_block_comment] = STATE(1721),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_COLON] = ACTIONS(934),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(956),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [1722] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(15872),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1722),
    [sym_block_comment] = STATE(1722),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3562),
    [anon_sym_RPAREN] = ACTIONS(3564),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1723] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(16917),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1723),
    [sym_block_comment] = STATE(1723),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3566),
    [anon_sym_RPAREN] = ACTIONS(3568),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1724] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(15842),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1724),
    [sym_block_comment] = STATE(1724),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3570),
    [anon_sym_RPAREN] = ACTIONS(3572),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1725] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(8218),
    [sym_expression] = STATE(15153),
    [sym__simple_expression] = STATE(5340),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(8218),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(8218),
    [sym_call_expression] = STATE(8218),
    [sym_field_expression] = STATE(8218),
    [sym_instance_expression] = STATE(8218),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(15857),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(8801),
    [sym_tuple_expression] = STATE(8218),
    [sym_parenthesized_expression] = STATE(8218),
    [sym_splice_expression] = STATE(8218),
    [sym_quote_expression] = STATE(8218),
    [sym_identifier] = STATE(4879),
    [sym__soft_identifier] = STATE(5752),
    [sym_wildcard] = STATE(6777),
    [sym__non_null_literal] = STATE(8218),
    [sym_boolean_literal] = STATE(8413),
    [sym_interpolated_string_expression] = STATE(8218),
    [sym_string] = STATE(8413),
    [sym_unit] = STATE(8218),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1725),
    [sym_block_comment] = STATE(1725),
    [sym__alpha_identifier] = ACTIONS(1494),
    [anon_sym_COLON] = ACTIONS(1496),
    [anon_sym_LBRACE] = ACTIONS(1498),
    [anon_sym__] = ACTIONS(1500),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1502),
    [anon_sym_end] = ACTIONS(1504),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1506),
    [anon_sym_opaque] = ACTIONS(1504),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1508),
    [anon_sym_infix] = ACTIONS(1504),
    [anon_sym_open] = ACTIONS(1504),
    [anon_sym_transparent] = ACTIONS(1504),
    [anon_sym_LPAREN] = ACTIONS(1510),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_TILDE] = ACTIONS(1502),
    [anon_sym_DOLLAR] = ACTIONS(1512),
    [anon_sym_SQUOTE] = ACTIONS(1514),
    [sym__backquoted_id] = ACTIONS(1516),
    [sym_operator_identifier] = ACTIONS(1518),
    [sym_integer_literal] = ACTIONS(1520),
    [sym_floating_point_literal] = ACTIONS(1522),
    [anon_sym_true] = ACTIONS(1524),
    [anon_sym_false] = ACTIONS(1524),
    [sym_character_literal] = ACTIONS(1522),
    [sym_null_literal] = ACTIONS(1526),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1528),
    [sym__simple_string] = ACTIONS(1528),
  },
  [1726] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(16118),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1726),
    [sym_block_comment] = STATE(1726),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3574),
    [anon_sym_RPAREN] = ACTIONS(3576),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1727] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(17071),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1727),
    [sym_block_comment] = STATE(1727),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3578),
    [anon_sym_RPAREN] = ACTIONS(3580),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1728] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(17219),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1728),
    [sym_block_comment] = STATE(1728),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3582),
    [anon_sym_RPAREN] = ACTIONS(3584),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1729] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(16179),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1729),
    [sym_block_comment] = STATE(1729),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3586),
    [anon_sym_RPAREN] = ACTIONS(3588),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1730] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(17183),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1730),
    [sym_block_comment] = STATE(1730),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3590),
    [anon_sym_RPAREN] = ACTIONS(3592),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1731] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9120),
    [sym_expression] = STATE(15474),
    [sym__simple_expression] = STATE(5435),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9120),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9120),
    [sym_call_expression] = STATE(9120),
    [sym_field_expression] = STATE(9120),
    [sym_instance_expression] = STATE(9120),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16129),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(9540),
    [sym_tuple_expression] = STATE(9120),
    [sym_parenthesized_expression] = STATE(9120),
    [sym_splice_expression] = STATE(9120),
    [sym_quote_expression] = STATE(9120),
    [sym_identifier] = STATE(5153),
    [sym__soft_identifier] = STATE(6470),
    [sym_wildcard] = STATE(7795),
    [sym__non_null_literal] = STATE(9120),
    [sym_boolean_literal] = STATE(8928),
    [sym_interpolated_string_expression] = STATE(9120),
    [sym_string] = STATE(8928),
    [sym_unit] = STATE(9120),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1731),
    [sym_block_comment] = STATE(1731),
    [sym__alpha_identifier] = ACTIONS(1582),
    [anon_sym_COLON] = ACTIONS(1584),
    [anon_sym_LBRACE] = ACTIONS(1586),
    [anon_sym__] = ACTIONS(1588),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(1590),
    [anon_sym_DASH] = ACTIONS(1590),
    [anon_sym_end] = ACTIONS(1592),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1594),
    [anon_sym_opaque] = ACTIONS(1592),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1596),
    [anon_sym_infix] = ACTIONS(1592),
    [anon_sym_open] = ACTIONS(1592),
    [anon_sym_transparent] = ACTIONS(1592),
    [anon_sym_LPAREN] = ACTIONS(1598),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1590),
    [anon_sym_TILDE] = ACTIONS(1590),
    [anon_sym_DOLLAR] = ACTIONS(1600),
    [anon_sym_SQUOTE] = ACTIONS(1602),
    [sym__backquoted_id] = ACTIONS(1604),
    [sym_operator_identifier] = ACTIONS(1606),
    [sym_integer_literal] = ACTIONS(1608),
    [sym_floating_point_literal] = ACTIONS(1610),
    [anon_sym_true] = ACTIONS(1612),
    [anon_sym_false] = ACTIONS(1612),
    [sym_character_literal] = ACTIONS(1610),
    [sym_null_literal] = ACTIONS(1614),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1616),
    [sym__simple_string] = ACTIONS(1616),
  },
  [1732] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(17233),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1732),
    [sym_block_comment] = STATE(1732),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3594),
    [anon_sym_RPAREN] = ACTIONS(3596),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1733] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(17366),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1733),
    [sym_block_comment] = STATE(1733),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3598),
    [anon_sym_RPAREN] = ACTIONS(3600),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1734] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(8070),
    [sym_expression] = STATE(14996),
    [sym__simple_expression] = STATE(4914),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(8070),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(8070),
    [sym_call_expression] = STATE(8070),
    [sym_field_expression] = STATE(8070),
    [sym_instance_expression] = STATE(8070),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16328),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(8176),
    [sym_tuple_expression] = STATE(8070),
    [sym_parenthesized_expression] = STATE(8070),
    [sym_splice_expression] = STATE(8070),
    [sym_quote_expression] = STATE(8070),
    [sym_identifier] = STATE(4605),
    [sym__soft_identifier] = STATE(5234),
    [sym_wildcard] = STATE(6595),
    [sym__non_null_literal] = STATE(8070),
    [sym_boolean_literal] = STATE(8055),
    [sym_interpolated_string_expression] = STATE(8070),
    [sym_string] = STATE(8055),
    [sym_unit] = STATE(8070),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1734),
    [sym_block_comment] = STATE(1734),
    [sym__alpha_identifier] = ACTIONS(1314),
    [anon_sym_COLON] = ACTIONS(1316),
    [anon_sym_LBRACE] = ACTIONS(1318),
    [anon_sym__] = ACTIONS(1320),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(1322),
    [anon_sym_DASH] = ACTIONS(1322),
    [anon_sym_end] = ACTIONS(1324),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1326),
    [anon_sym_opaque] = ACTIONS(1324),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1328),
    [anon_sym_infix] = ACTIONS(1324),
    [anon_sym_open] = ACTIONS(1324),
    [anon_sym_transparent] = ACTIONS(1324),
    [anon_sym_LPAREN] = ACTIONS(1330),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1322),
    [anon_sym_TILDE] = ACTIONS(1322),
    [anon_sym_DOLLAR] = ACTIONS(1332),
    [anon_sym_SQUOTE] = ACTIONS(1334),
    [sym__backquoted_id] = ACTIONS(1336),
    [sym_operator_identifier] = ACTIONS(1338),
    [sym_integer_literal] = ACTIONS(1340),
    [sym_floating_point_literal] = ACTIONS(1342),
    [anon_sym_true] = ACTIONS(1344),
    [anon_sym_false] = ACTIONS(1344),
    [sym_character_literal] = ACTIONS(1342),
    [sym_null_literal] = ACTIONS(1346),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1348),
    [sym__simple_string] = ACTIONS(1348),
  },
  [1735] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(16793),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1735),
    [sym_block_comment] = STATE(1735),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3602),
    [anon_sym_RPAREN] = ACTIONS(3604),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1736] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(17197),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1736),
    [sym_block_comment] = STATE(1736),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3606),
    [anon_sym_RPAREN] = ACTIONS(3608),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1737] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(17246),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1737),
    [sym_block_comment] = STATE(1737),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3610),
    [anon_sym_RPAREN] = ACTIONS(3612),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1738] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(17512),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1738),
    [sym_block_comment] = STATE(1738),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3614),
    [anon_sym_RPAREN] = ACTIONS(3616),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1739] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(17201),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1739),
    [sym_block_comment] = STATE(1739),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3618),
    [anon_sym_RPAREN] = ACTIONS(3620),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1740] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(16326),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1740),
    [sym_block_comment] = STATE(1740),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3622),
    [anon_sym_RPAREN] = ACTIONS(3624),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1741] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(17027),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1741),
    [sym_block_comment] = STATE(1741),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3626),
    [anon_sym_RPAREN] = ACTIONS(3628),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1742] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(17212),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1742),
    [sym_block_comment] = STATE(1742),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3630),
    [anon_sym_RPAREN] = ACTIONS(3632),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1743] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(16378),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1743),
    [sym_block_comment] = STATE(1743),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3634),
    [anon_sym_RPAREN] = ACTIONS(3636),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1744] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(17008),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1744),
    [sym_block_comment] = STATE(1744),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3638),
    [anon_sym_RPAREN] = ACTIONS(3640),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1745] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(17263),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1745),
    [sym_block_comment] = STATE(1745),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3642),
    [anon_sym_RPAREN] = ACTIONS(3644),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1746] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(16619),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1746),
    [sym_block_comment] = STATE(1746),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3646),
    [anon_sym_RPAREN] = ACTIONS(3648),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1747] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(17203),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1747),
    [sym_block_comment] = STATE(1747),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3650),
    [anon_sym_RPAREN] = ACTIONS(3652),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1748] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(17231),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1748),
    [sym_block_comment] = STATE(1748),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3654),
    [anon_sym_RPAREN] = ACTIONS(3656),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1749] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(14396),
    [sym__simple_expression] = STATE(4939),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16541),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(8185),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(4515),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(6056),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1749),
    [sym_block_comment] = STATE(1749),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_COLON] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(1426),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1750] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9116),
    [sym_expression] = STATE(15251),
    [sym__simple_expression] = STATE(5585),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9116),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9116),
    [sym_call_expression] = STATE(9116),
    [sym_field_expression] = STATE(9116),
    [sym_instance_expression] = STATE(9116),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(15982),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(9493),
    [sym_tuple_expression] = STATE(9116),
    [sym_parenthesized_expression] = STATE(9116),
    [sym_splice_expression] = STATE(9116),
    [sym_quote_expression] = STATE(9116),
    [sym_identifier] = STATE(5364),
    [sym__soft_identifier] = STATE(4332),
    [sym_wildcard] = STATE(7428),
    [sym__non_null_literal] = STATE(9116),
    [sym_boolean_literal] = STATE(5055),
    [sym_interpolated_string_expression] = STATE(9116),
    [sym_string] = STATE(5055),
    [sym_unit] = STATE(9116),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1750),
    [sym_block_comment] = STATE(1750),
    [sym__alpha_identifier] = ACTIONS(1206),
    [anon_sym_COLON] = ACTIONS(1208),
    [anon_sym_LBRACE] = ACTIONS(1210),
    [anon_sym__] = ACTIONS(1212),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(1214),
    [anon_sym_DASH] = ACTIONS(1214),
    [anon_sym_end] = ACTIONS(1216),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1218),
    [anon_sym_opaque] = ACTIONS(1216),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1220),
    [anon_sym_infix] = ACTIONS(1216),
    [anon_sym_open] = ACTIONS(1216),
    [anon_sym_transparent] = ACTIONS(1216),
    [anon_sym_LPAREN] = ACTIONS(1222),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1214),
    [anon_sym_TILDE] = ACTIONS(1214),
    [anon_sym_DOLLAR] = ACTIONS(1224),
    [anon_sym_SQUOTE] = ACTIONS(1226),
    [sym__backquoted_id] = ACTIONS(1228),
    [sym_operator_identifier] = ACTIONS(1230),
    [sym_integer_literal] = ACTIONS(1232),
    [sym_floating_point_literal] = ACTIONS(1234),
    [anon_sym_true] = ACTIONS(1236),
    [anon_sym_false] = ACTIONS(1236),
    [sym_character_literal] = ACTIONS(1234),
    [sym_null_literal] = ACTIONS(1238),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1240),
    [sym__simple_string] = ACTIONS(1240),
  },
  [1751] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(8262),
    [sym_expression] = STATE(14370),
    [sym__simple_expression] = STATE(5188),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(8262),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(8262),
    [sym_call_expression] = STATE(8262),
    [sym_field_expression] = STATE(8262),
    [sym_instance_expression] = STATE(8262),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16366),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(8790),
    [sym_tuple_expression] = STATE(8262),
    [sym_parenthesized_expression] = STATE(8262),
    [sym_splice_expression] = STATE(8262),
    [sym_quote_expression] = STATE(8262),
    [sym_identifier] = STATE(4774),
    [sym__soft_identifier] = STATE(5419),
    [sym_wildcard] = STATE(6733),
    [sym__non_null_literal] = STATE(8262),
    [sym_boolean_literal] = STATE(8242),
    [sym_interpolated_string_expression] = STATE(8262),
    [sym_string] = STATE(8242),
    [sym_unit] = STATE(8262),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1751),
    [sym_block_comment] = STATE(1751),
    [sym__alpha_identifier] = ACTIONS(1278),
    [anon_sym_COLON] = ACTIONS(1280),
    [anon_sym_LBRACE] = ACTIONS(1282),
    [anon_sym__] = ACTIONS(1284),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(1286),
    [anon_sym_DASH] = ACTIONS(1286),
    [anon_sym_end] = ACTIONS(1288),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1290),
    [anon_sym_opaque] = ACTIONS(1288),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1292),
    [anon_sym_infix] = ACTIONS(1288),
    [anon_sym_open] = ACTIONS(1288),
    [anon_sym_transparent] = ACTIONS(1288),
    [anon_sym_LPAREN] = ACTIONS(1294),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1286),
    [anon_sym_TILDE] = ACTIONS(1286),
    [anon_sym_DOLLAR] = ACTIONS(1296),
    [anon_sym_SQUOTE] = ACTIONS(1298),
    [sym__backquoted_id] = ACTIONS(1300),
    [sym_operator_identifier] = ACTIONS(1302),
    [sym_integer_literal] = ACTIONS(1304),
    [sym_floating_point_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1308),
    [anon_sym_false] = ACTIONS(1308),
    [sym_character_literal] = ACTIONS(1306),
    [sym_null_literal] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1312),
    [sym__simple_string] = ACTIONS(1312),
  },
  [1752] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(17279),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1752),
    [sym_block_comment] = STATE(1752),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3658),
    [anon_sym_RPAREN] = ACTIONS(3660),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1753] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(16327),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1753),
    [sym_block_comment] = STATE(1753),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3662),
    [anon_sym_RPAREN] = ACTIONS(3664),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1754] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(17472),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1754),
    [sym_block_comment] = STATE(1754),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3666),
    [anon_sym_RPAREN] = ACTIONS(3668),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1755] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(17243),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1755),
    [sym_block_comment] = STATE(1755),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3670),
    [anon_sym_RPAREN] = ACTIONS(3672),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1756] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(17293),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1756),
    [sym_block_comment] = STATE(1756),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3674),
    [anon_sym_RPAREN] = ACTIONS(3676),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1757] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(16242),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1757),
    [sym_block_comment] = STATE(1757),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3678),
    [anon_sym_RPAREN] = ACTIONS(3680),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1758] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(16163),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1758),
    [sym_block_comment] = STATE(1758),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3682),
    [anon_sym_RPAREN] = ACTIONS(3684),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1759] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(17460),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1759),
    [sym_block_comment] = STATE(1759),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3686),
    [anon_sym_RPAREN] = ACTIONS(3688),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1760] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(15928),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1760),
    [sym_block_comment] = STATE(1760),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3690),
    [anon_sym_RPAREN] = ACTIONS(3692),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1761] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(6450),
    [sym_expression] = STATE(14843),
    [sym__simple_expression] = STATE(4481),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(6450),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(6450),
    [sym_call_expression] = STATE(6450),
    [sym_field_expression] = STATE(6450),
    [sym_instance_expression] = STATE(6450),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16176),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(6704),
    [sym_tuple_expression] = STATE(6450),
    [sym_parenthesized_expression] = STATE(6450),
    [sym_splice_expression] = STATE(6450),
    [sym_quote_expression] = STATE(6450),
    [sym_identifier] = STATE(4340),
    [sym__soft_identifier] = STATE(4507),
    [sym_wildcard] = STATE(5337),
    [sym__non_null_literal] = STATE(6450),
    [sym_boolean_literal] = STATE(6156),
    [sym_interpolated_string_expression] = STATE(6450),
    [sym_string] = STATE(6156),
    [sym_unit] = STATE(6450),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1761),
    [sym_block_comment] = STATE(1761),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_COLON] = ACTIONS(970),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(992),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [1762] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(16769),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1762),
    [sym_block_comment] = STATE(1762),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3694),
    [anon_sym_RPAREN] = ACTIONS(3696),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1763] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(6738),
    [sym_expression] = STATE(15402),
    [sym__simple_expression] = STATE(4604),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(6738),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(6738),
    [sym_call_expression] = STATE(6738),
    [sym_field_expression] = STATE(6738),
    [sym_instance_expression] = STATE(6738),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16087),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(7455),
    [sym_tuple_expression] = STATE(6738),
    [sym_parenthesized_expression] = STATE(6738),
    [sym_splice_expression] = STATE(6738),
    [sym_quote_expression] = STATE(6738),
    [sym_identifier] = STATE(4495),
    [sym__soft_identifier] = STATE(4943),
    [sym_wildcard] = STATE(5738),
    [sym__non_null_literal] = STATE(6738),
    [sym_boolean_literal] = STATE(7301),
    [sym_interpolated_string_expression] = STATE(6738),
    [sym_string] = STATE(7301),
    [sym_unit] = STATE(6738),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1763),
    [sym_block_comment] = STATE(1763),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_COLON] = ACTIONS(1006),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(1028),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [1764] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(17234),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1764),
    [sym_block_comment] = STATE(1764),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3698),
    [anon_sym_RPAREN] = ACTIONS(3700),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1765] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(16620),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1765),
    [sym_block_comment] = STATE(1765),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3702),
    [anon_sym_RPAREN] = ACTIONS(3704),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1766] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9913),
    [sym_expression] = STATE(15008),
    [sym__simple_expression] = STATE(6993),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9913),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9913),
    [sym_call_expression] = STATE(9913),
    [sym_field_expression] = STATE(9913),
    [sym_instance_expression] = STATE(9913),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(15923),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10025),
    [sym_tuple_expression] = STATE(9913),
    [sym_parenthesized_expression] = STATE(9913),
    [sym_splice_expression] = STATE(9913),
    [sym_quote_expression] = STATE(9913),
    [sym_identifier] = STATE(6614),
    [sym__soft_identifier] = STATE(4555),
    [sym_wildcard] = STATE(9170),
    [sym__non_null_literal] = STATE(9913),
    [sym_boolean_literal] = STATE(6572),
    [sym_interpolated_string_expression] = STATE(9913),
    [sym_string] = STATE(6572),
    [sym_unit] = STATE(9913),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1766),
    [sym_block_comment] = STATE(1766),
    [sym__alpha_identifier] = ACTIONS(1766),
    [anon_sym_COLON] = ACTIONS(1768),
    [anon_sym_LBRACE] = ACTIONS(1770),
    [anon_sym__] = ACTIONS(1772),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(1774),
    [anon_sym_DASH] = ACTIONS(1774),
    [anon_sym_end] = ACTIONS(1776),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1778),
    [anon_sym_opaque] = ACTIONS(1776),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1780),
    [anon_sym_infix] = ACTIONS(1776),
    [anon_sym_open] = ACTIONS(1776),
    [anon_sym_transparent] = ACTIONS(1776),
    [anon_sym_LPAREN] = ACTIONS(1782),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1774),
    [anon_sym_TILDE] = ACTIONS(1774),
    [anon_sym_DOLLAR] = ACTIONS(1784),
    [anon_sym_SQUOTE] = ACTIONS(1786),
    [sym__backquoted_id] = ACTIONS(1788),
    [sym_operator_identifier] = ACTIONS(1790),
    [sym_integer_literal] = ACTIONS(1792),
    [sym_floating_point_literal] = ACTIONS(1794),
    [anon_sym_true] = ACTIONS(1796),
    [anon_sym_false] = ACTIONS(1796),
    [sym_character_literal] = ACTIONS(1794),
    [sym_null_literal] = ACTIONS(1798),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1800),
    [sym__simple_string] = ACTIONS(1800),
  },
  [1767] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(17348),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1767),
    [sym_block_comment] = STATE(1767),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3706),
    [anon_sym_RPAREN] = ACTIONS(3708),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1768] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(17309),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1768),
    [sym_block_comment] = STATE(1768),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3710),
    [anon_sym_RPAREN] = ACTIONS(3712),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1769] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(14967),
    [sym__simple_expression] = STATE(6084),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16017),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(9845),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(5490),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(8581),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1769),
    [sym_block_comment] = STATE(1769),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_COLON] = ACTIONS(1858),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(569),
    [anon_sym_DASH] = ACTIONS(569),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1860),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(569),
    [anon_sym_TILDE] = ACTIONS(569),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(1862),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [1770] = {
    [sym_inline_modifier] = STATE(2148),
    [sym_block] = STATE(9088),
    [sym_expression] = STATE(12980),
    [sym__simple_expression] = STATE(8626),
    [sym_lambda_expression] = STATE(13338),
    [sym_if_expression] = STATE(13338),
    [sym_match_expression] = STATE(13338),
    [sym_try_expression] = STATE(13338),
    [sym_bindings] = STATE(15683),
    [sym_case_block] = STATE(9088),
    [sym_assignment_expression] = STATE(13338),
    [sym_generic_function] = STATE(9088),
    [sym_call_expression] = STATE(9088),
    [sym_field_expression] = STATE(9088),
    [sym_instance_expression] = STATE(9088),
    [sym_ascription_expression] = STATE(13338),
    [sym_infix_expression] = STATE(9773),
    [sym_postfix_expression] = STATE(13117),
    [sym__postfix_expression_choice] = STATE(15912),
    [sym_macro_body] = STATE(13338),
    [sym_prefix_expression] = STATE(10372),
    [sym_tuple_expression] = STATE(9088),
    [sym_parenthesized_expression] = STATE(9088),
    [sym_splice_expression] = STATE(9088),
    [sym_quote_expression] = STATE(9088),
    [sym_identifier] = STATE(7467),
    [sym__soft_identifier] = STATE(6581),
    [sym_wildcard] = STATE(9755),
    [sym__non_null_literal] = STATE(9088),
    [sym_boolean_literal] = STATE(8905),
    [sym_interpolated_string_expression] = STATE(9088),
    [sym_string] = STATE(8905),
    [sym_unit] = STATE(9088),
    [sym_return_expression] = STATE(13338),
    [sym_throw_expression] = STATE(13338),
    [sym_while_expression] = STATE(13338),
    [sym_do_while_expression] = STATE(13338),
    [sym_for_expression] = STATE(13338),
    [sym_comment] = STATE(1770),
    [sym_block_comment] = STATE(1770),
    [sym__alpha_identifier] = ACTIONS(1938),
    [anon_sym_LBRACE] = ACTIONS(1942),
    [anon_sym__] = ACTIONS(1944),
    [anon_sym_LBRACK] = ACTIONS(1148),
    [anon_sym_PLUS] = ACTIONS(1946),
    [anon_sym_DASH] = ACTIONS(1946),
    [anon_sym_end] = ACTIONS(1948),
    [anon_sym_if] = ACTIONS(2450),
    [anon_sym_while] = ACTIONS(2452),
    [anon_sym_for] = ACTIONS(2454),
    [anon_sym_match] = ACTIONS(1150),
    [anon_sym_try] = ACTIONS(2456),
    [anon_sym_new] = ACTIONS(1950),
    [anon_sym_opaque] = ACTIONS(1948),
    [anon_sym_implicit] = ACTIONS(2458),
    [anon_sym_inline] = ACTIONS(1952),
    [anon_sym_infix] = ACTIONS(1948),
    [anon_sym_open] = ACTIONS(1948),
    [anon_sym_transparent] = ACTIONS(1948),
    [anon_sym_LPAREN] = ACTIONS(1954),
    [anon_sym_finally] = ACTIONS(1150),
    [anon_sym_macro] = ACTIONS(2270),
    [anon_sym_BANG] = ACTIONS(1946),
    [anon_sym_TILDE] = ACTIONS(1946),
    [anon_sym_DOLLAR] = ACTIONS(1956),
    [anon_sym_SQUOTE] = ACTIONS(1958),
    [sym__backquoted_id] = ACTIONS(1960),
    [sym_operator_identifier] = ACTIONS(2460),
    [sym_integer_literal] = ACTIONS(1964),
    [sym_floating_point_literal] = ACTIONS(1966),
    [anon_sym_true] = ACTIONS(1968),
    [anon_sym_false] = ACTIONS(1968),
    [sym_character_literal] = ACTIONS(1966),
    [sym_null_literal] = ACTIONS(1970),
    [anon_sym_return] = ACTIONS(2462),
    [anon_sym_throw] = ACTIONS(2464),
    [anon_sym_do] = ACTIONS(1150),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1972),
    [sym__simple_string] = ACTIONS(1972),
  },
  [1771] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(17324),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1771),
    [sym_block_comment] = STATE(1771),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3714),
    [anon_sym_RPAREN] = ACTIONS(3716),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1772] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(16677),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1772),
    [sym_block_comment] = STATE(1772),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3718),
    [anon_sym_RPAREN] = ACTIONS(3720),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1773] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(17275),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1773),
    [sym_block_comment] = STATE(1773),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3722),
    [anon_sym_RPAREN] = ACTIONS(3724),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1774] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(16986),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1774),
    [sym_block_comment] = STATE(1774),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3726),
    [anon_sym_RPAREN] = ACTIONS(3728),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1775] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(15816),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1775),
    [sym_block_comment] = STATE(1775),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3730),
    [anon_sym_RPAREN] = ACTIONS(3732),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1776] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(16544),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1776),
    [sym_block_comment] = STATE(1776),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3734),
    [anon_sym_RPAREN] = ACTIONS(3736),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1777] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(16702),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1777),
    [sym_block_comment] = STATE(1777),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3738),
    [anon_sym_RPAREN] = ACTIONS(3740),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1778] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(17339),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1778),
    [sym_block_comment] = STATE(1778),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3742),
    [anon_sym_RPAREN] = ACTIONS(3744),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1779] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(6954),
    [sym_expression] = STATE(15118),
    [sym__simple_expression] = STATE(4587),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(6954),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(6954),
    [sym_call_expression] = STATE(6954),
    [sym_field_expression] = STATE(6954),
    [sym_instance_expression] = STATE(6954),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(15800),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(7944),
    [sym_tuple_expression] = STATE(6954),
    [sym_parenthesized_expression] = STATE(6954),
    [sym_splice_expression] = STATE(6954),
    [sym_quote_expression] = STATE(6954),
    [sym_identifier] = STATE(4491),
    [sym__soft_identifier] = STATE(4827),
    [sym_wildcard] = STATE(5433),
    [sym__non_null_literal] = STATE(6954),
    [sym_boolean_literal] = STATE(6997),
    [sym_interpolated_string_expression] = STATE(6954),
    [sym_string] = STATE(6997),
    [sym_unit] = STATE(6954),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1779),
    [sym_block_comment] = STATE(1779),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_COLON] = ACTIONS(1078),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(1100),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [1780] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(17290),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1780),
    [sym_block_comment] = STATE(1780),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3746),
    [anon_sym_RPAREN] = ACTIONS(3748),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1781] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(16969),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1781),
    [sym_block_comment] = STATE(1781),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3750),
    [anon_sym_RPAREN] = ACTIONS(3752),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1782] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(17355),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1782),
    [sym_block_comment] = STATE(1782),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3754),
    [anon_sym_RPAREN] = ACTIONS(3756),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1783] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(10133),
    [sym_expression] = STATE(14920),
    [sym__simple_expression] = STATE(7695),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(10133),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(10133),
    [sym_call_expression] = STATE(10133),
    [sym_field_expression] = STATE(10133),
    [sym_instance_expression] = STATE(10133),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16787),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10197),
    [sym_tuple_expression] = STATE(10133),
    [sym_parenthesized_expression] = STATE(10133),
    [sym_splice_expression] = STATE(10133),
    [sym_quote_expression] = STATE(10133),
    [sym_identifier] = STATE(6878),
    [sym__soft_identifier] = STATE(4482),
    [sym_wildcard] = STATE(9510),
    [sym__non_null_literal] = STATE(10133),
    [sym_boolean_literal] = STATE(7065),
    [sym_interpolated_string_expression] = STATE(10133),
    [sym_string] = STATE(7065),
    [sym_unit] = STATE(10133),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1783),
    [sym_block_comment] = STATE(1783),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_COLON] = ACTIONS(2372),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_end] = ACTIONS(2374),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_opaque] = ACTIONS(2374),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(67),
    [anon_sym_infix] = ACTIONS(2374),
    [anon_sym_open] = ACTIONS(2374),
    [anon_sym_transparent] = ACTIONS(2374),
    [anon_sym_LPAREN] = ACTIONS(75),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(83),
    [sym_operator_identifier] = ACTIONS(2376),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [1784] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(16937),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1784),
    [sym_block_comment] = STATE(1784),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3758),
    [anon_sym_RPAREN] = ACTIONS(3760),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1785] = {
    [sym_inline_modifier] = STATE(2183),
    [sym_block] = STATE(9088),
    [sym_expression] = STATE(12980),
    [sym__simple_expression] = STATE(8555),
    [sym_lambda_expression] = STATE(13338),
    [sym_if_expression] = STATE(13338),
    [sym_match_expression] = STATE(13338),
    [sym_try_expression] = STATE(13338),
    [sym_bindings] = STATE(15553),
    [sym_case_block] = STATE(9088),
    [sym_assignment_expression] = STATE(13338),
    [sym_generic_function] = STATE(9088),
    [sym_call_expression] = STATE(9088),
    [sym_field_expression] = STATE(9088),
    [sym_instance_expression] = STATE(9088),
    [sym_ascription_expression] = STATE(13338),
    [sym_infix_expression] = STATE(9773),
    [sym_postfix_expression] = STATE(13117),
    [sym__postfix_expression_choice] = STATE(15912),
    [sym_macro_body] = STATE(13338),
    [sym_prefix_expression] = STATE(10565),
    [sym_tuple_expression] = STATE(9088),
    [sym_parenthesized_expression] = STATE(9088),
    [sym_splice_expression] = STATE(9088),
    [sym_quote_expression] = STATE(9088),
    [sym_identifier] = STATE(7556),
    [sym__soft_identifier] = STATE(6581),
    [sym_wildcard] = STATE(9665),
    [sym__non_null_literal] = STATE(9088),
    [sym_boolean_literal] = STATE(8905),
    [sym_interpolated_string_expression] = STATE(9088),
    [sym_string] = STATE(8905),
    [sym_unit] = STATE(9088),
    [sym_return_expression] = STATE(13338),
    [sym_throw_expression] = STATE(13338),
    [sym_while_expression] = STATE(13338),
    [sym_do_while_expression] = STATE(13338),
    [sym_for_expression] = STATE(13338),
    [sym_comment] = STATE(1785),
    [sym_block_comment] = STATE(1785),
    [sym__alpha_identifier] = ACTIONS(1938),
    [anon_sym_LBRACE] = ACTIONS(1942),
    [anon_sym__] = ACTIONS(1944),
    [anon_sym_LBRACK] = ACTIONS(1148),
    [anon_sym_PLUS] = ACTIONS(1946),
    [anon_sym_DASH] = ACTIONS(1946),
    [anon_sym_end] = ACTIONS(1948),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(1150),
    [anon_sym_for] = ACTIONS(2334),
    [anon_sym_match] = ACTIONS(1150),
    [anon_sym_try] = ACTIONS(2336),
    [anon_sym_new] = ACTIONS(1950),
    [anon_sym_opaque] = ACTIONS(1948),
    [anon_sym_implicit] = ACTIONS(2338),
    [anon_sym_inline] = ACTIONS(1952),
    [anon_sym_infix] = ACTIONS(1948),
    [anon_sym_open] = ACTIONS(1948),
    [anon_sym_transparent] = ACTIONS(1948),
    [anon_sym_LPAREN] = ACTIONS(1954),
    [anon_sym_finally] = ACTIONS(1150),
    [anon_sym_macro] = ACTIONS(2270),
    [anon_sym_BANG] = ACTIONS(1946),
    [anon_sym_TILDE] = ACTIONS(1946),
    [anon_sym_DOLLAR] = ACTIONS(1956),
    [anon_sym_SQUOTE] = ACTIONS(1958),
    [sym__backquoted_id] = ACTIONS(1960),
    [sym_operator_identifier] = ACTIONS(2340),
    [sym_integer_literal] = ACTIONS(1964),
    [sym_floating_point_literal] = ACTIONS(1966),
    [anon_sym_true] = ACTIONS(1968),
    [anon_sym_false] = ACTIONS(1968),
    [sym_character_literal] = ACTIONS(1966),
    [sym_null_literal] = ACTIONS(1970),
    [anon_sym_return] = ACTIONS(2342),
    [anon_sym_throw] = ACTIONS(2344),
    [anon_sym_do] = ACTIONS(2278),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1972),
    [sym__simple_string] = ACTIONS(1972),
  },
  [1786] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(17305),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1786),
    [sym_block_comment] = STATE(1786),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3762),
    [anon_sym_RPAREN] = ACTIONS(3764),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1787] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9088),
    [sym_expression] = STATE(15444),
    [sym__simple_expression] = STATE(5825),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9088),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9088),
    [sym_call_expression] = STATE(9088),
    [sym_field_expression] = STATE(9088),
    [sym_instance_expression] = STATE(9088),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16108),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(9276),
    [sym_tuple_expression] = STATE(9088),
    [sym_parenthesized_expression] = STATE(9088),
    [sym_splice_expression] = STATE(9088),
    [sym_quote_expression] = STATE(9088),
    [sym_identifier] = STATE(5190),
    [sym__soft_identifier] = STATE(6581),
    [sym_wildcard] = STATE(7746),
    [sym__non_null_literal] = STATE(9088),
    [sym_boolean_literal] = STATE(8905),
    [sym_interpolated_string_expression] = STATE(9088),
    [sym_string] = STATE(8905),
    [sym_unit] = STATE(9088),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1787),
    [sym_block_comment] = STATE(1787),
    [sym__alpha_identifier] = ACTIONS(1938),
    [anon_sym_COLON] = ACTIONS(1940),
    [anon_sym_LBRACE] = ACTIONS(1942),
    [anon_sym__] = ACTIONS(1944),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(1946),
    [anon_sym_DASH] = ACTIONS(1946),
    [anon_sym_end] = ACTIONS(1948),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1950),
    [anon_sym_opaque] = ACTIONS(1948),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1952),
    [anon_sym_infix] = ACTIONS(1948),
    [anon_sym_open] = ACTIONS(1948),
    [anon_sym_transparent] = ACTIONS(1948),
    [anon_sym_LPAREN] = ACTIONS(1954),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1946),
    [anon_sym_TILDE] = ACTIONS(1946),
    [anon_sym_DOLLAR] = ACTIONS(1956),
    [anon_sym_SQUOTE] = ACTIONS(1958),
    [sym__backquoted_id] = ACTIONS(1960),
    [sym_operator_identifier] = ACTIONS(1962),
    [sym_integer_literal] = ACTIONS(1964),
    [sym_floating_point_literal] = ACTIONS(1966),
    [anon_sym_true] = ACTIONS(1968),
    [anon_sym_false] = ACTIONS(1968),
    [sym_character_literal] = ACTIONS(1966),
    [sym_null_literal] = ACTIONS(1970),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1972),
    [sym__simple_string] = ACTIONS(1972),
  },
  [1788] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(16212),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1788),
    [sym_block_comment] = STATE(1788),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3766),
    [anon_sym_RPAREN] = ACTIONS(3768),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1789] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(17261),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1789),
    [sym_block_comment] = STATE(1789),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3770),
    [anon_sym_RPAREN] = ACTIONS(3772),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1790] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(15900),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1790),
    [sym_block_comment] = STATE(1790),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3774),
    [anon_sym_RPAREN] = ACTIONS(3776),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1791] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(16299),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1791),
    [sym_block_comment] = STATE(1791),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3778),
    [anon_sym_RPAREN] = ACTIONS(3780),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1792] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(17318),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1792),
    [sym_block_comment] = STATE(1792),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3782),
    [anon_sym_RPAREN] = ACTIONS(3784),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1793] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(17370),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1793),
    [sym_block_comment] = STATE(1793),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3786),
    [anon_sym_RPAREN] = ACTIONS(3788),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1794] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9800),
    [sym_expression] = STATE(15283),
    [sym__simple_expression] = STATE(7053),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9800),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9800),
    [sym_call_expression] = STATE(9800),
    [sym_field_expression] = STATE(9800),
    [sym_instance_expression] = STATE(9800),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16003),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10139),
    [sym_tuple_expression] = STATE(9800),
    [sym_parenthesized_expression] = STATE(9800),
    [sym_splice_expression] = STATE(9800),
    [sym_quote_expression] = STATE(9800),
    [sym_identifier] = STATE(6258),
    [sym__soft_identifier] = STATE(4545),
    [sym_wildcard] = STATE(9204),
    [sym__non_null_literal] = STATE(9800),
    [sym_boolean_literal] = STATE(6076),
    [sym_interpolated_string_expression] = STATE(9800),
    [sym_string] = STATE(6076),
    [sym_unit] = STATE(9800),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1794),
    [sym_block_comment] = STATE(1794),
    [sym__alpha_identifier] = ACTIONS(2084),
    [anon_sym_COLON] = ACTIONS(2086),
    [anon_sym_LBRACE] = ACTIONS(2088),
    [anon_sym__] = ACTIONS(2090),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(2092),
    [anon_sym_DASH] = ACTIONS(2092),
    [anon_sym_end] = ACTIONS(2094),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(2096),
    [anon_sym_opaque] = ACTIONS(2094),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2098),
    [anon_sym_infix] = ACTIONS(2094),
    [anon_sym_open] = ACTIONS(2094),
    [anon_sym_transparent] = ACTIONS(2094),
    [anon_sym_LPAREN] = ACTIONS(2100),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(2092),
    [anon_sym_TILDE] = ACTIONS(2092),
    [anon_sym_DOLLAR] = ACTIONS(2102),
    [anon_sym_SQUOTE] = ACTIONS(2104),
    [sym__backquoted_id] = ACTIONS(2106),
    [sym_operator_identifier] = ACTIONS(2108),
    [sym_integer_literal] = ACTIONS(2110),
    [sym_floating_point_literal] = ACTIONS(2112),
    [anon_sym_true] = ACTIONS(2114),
    [anon_sym_false] = ACTIONS(2114),
    [sym_character_literal] = ACTIONS(2112),
    [sym_null_literal] = ACTIONS(2116),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(2118),
    [sym__simple_string] = ACTIONS(2118),
  },
  [1795] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(16476),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1795),
    [sym_block_comment] = STATE(1795),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3790),
    [anon_sym_RPAREN] = ACTIONS(3792),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1796] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(16648),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1796),
    [sym_block_comment] = STATE(1796),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3794),
    [anon_sym_RPAREN] = ACTIONS(3796),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1797] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(17383),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1797),
    [sym_block_comment] = STATE(1797),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3798),
    [anon_sym_RPAREN] = ACTIONS(3800),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1798] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(17335),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1798),
    [sym_block_comment] = STATE(1798),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3802),
    [anon_sym_RPAREN] = ACTIONS(3804),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1799] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(16960),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1799),
    [sym_block_comment] = STATE(1799),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3806),
    [anon_sym_RPAREN] = ACTIONS(3808),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1800] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13670),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_binding] = STATE(14973),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(7622),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(9872),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1800),
    [sym_block_comment] = STATE(1800),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3810),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3812),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1801] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13764),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_binding] = STATE(14973),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(7622),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(9872),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1801),
    [sym_block_comment] = STATE(1801),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3814),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3812),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1802] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13718),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_binding] = STATE(14973),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(7622),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(9872),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1802),
    [sym_block_comment] = STATE(1802),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3816),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3812),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1803] = {
    [sym_inline_modifier] = STATE(2084),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13428),
    [sym__simple_expression] = STATE(8831),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15722),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10635),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(8641),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(10149),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1803),
    [sym_block_comment] = STATE(1803),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_LBRACK] = ACTIONS(1148),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2740),
    [anon_sym_while] = ACTIONS(2742),
    [anon_sym_for] = ACTIONS(2744),
    [anon_sym_match] = ACTIONS(1150),
    [anon_sym_try] = ACTIONS(2746),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2748),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3312),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2762),
    [anon_sym_throw] = ACTIONS(2764),
    [anon_sym_do] = ACTIONS(1150),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1804] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13741),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_binding] = STATE(14973),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(7622),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(9872),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1804),
    [sym_block_comment] = STATE(1804),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3818),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3812),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1805] = {
    [sym_inline_modifier] = STATE(2064),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13428),
    [sym__simple_expression] = STATE(8719),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15704),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10572),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(8565),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(10039),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1805),
    [sym_block_comment] = STATE(1805),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_LBRACK] = ACTIONS(1148),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(3246),
    [anon_sym_while] = ACTIONS(1150),
    [anon_sym_for] = ACTIONS(3250),
    [anon_sym_match] = ACTIONS(1150),
    [anon_sym_try] = ACTIONS(3252),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(3254),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3318),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(3259),
    [anon_sym_throw] = ACTIONS(3261),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1806] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13726),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_binding] = STATE(14973),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(7622),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(9872),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1806),
    [sym_block_comment] = STATE(1806),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3820),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3812),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1807] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13735),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_binding] = STATE(14973),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(7622),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(9872),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1807),
    [sym_block_comment] = STATE(1807),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3822),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3812),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1808] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13776),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_binding] = STATE(14973),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(7622),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(9872),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1808),
    [sym_block_comment] = STATE(1808),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3824),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3812),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1809] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13644),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_binding] = STATE(14973),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(7622),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(9872),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1809),
    [sym_block_comment] = STATE(1809),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3826),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3812),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1810] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13753),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_binding] = STATE(14973),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(7622),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(9872),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1810),
    [sym_block_comment] = STATE(1810),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3828),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3812),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1811] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13758),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_binding] = STATE(14973),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(7622),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(9872),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1811),
    [sym_block_comment] = STATE(1811),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3830),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3812),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1812] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13663),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_binding] = STATE(14973),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(7622),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(9872),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1812),
    [sym_block_comment] = STATE(1812),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3832),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3812),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1813] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13699),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_binding] = STATE(14973),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(7622),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(9872),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1813),
    [sym_block_comment] = STATE(1813),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3834),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3812),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1814] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13685),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_binding] = STATE(14973),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(7622),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(9872),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1814),
    [sym_block_comment] = STATE(1814),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3836),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3812),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1815] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13732),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_binding] = STATE(14973),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(7622),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(9872),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1815),
    [sym_block_comment] = STATE(1815),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3824),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3812),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1816] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13779),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_binding] = STATE(14973),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(7622),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(9872),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1816),
    [sym_block_comment] = STATE(1816),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3824),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3812),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1817] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13777),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_binding] = STATE(14973),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(7622),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(9872),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1817),
    [sym_block_comment] = STATE(1817),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3838),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3812),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1818] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13668),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_binding] = STATE(14973),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(7622),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(9872),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1818),
    [sym_block_comment] = STATE(1818),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3840),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3812),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1819] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13716),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_binding] = STATE(14973),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(7622),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(9872),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1819),
    [sym_block_comment] = STATE(1819),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3842),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3812),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1820] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13660),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_binding] = STATE(14973),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(7622),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(9872),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1820),
    [sym_block_comment] = STATE(1820),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3844),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3812),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1821] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13709),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_binding] = STATE(14973),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(7622),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(9872),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1821),
    [sym_block_comment] = STATE(1821),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3846),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3812),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1822] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13655),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_binding] = STATE(14973),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(7622),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(9872),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1822),
    [sym_block_comment] = STATE(1822),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3848),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3812),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1823] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13750),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_binding] = STATE(14973),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(7622),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(9872),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1823),
    [sym_block_comment] = STATE(1823),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3850),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3812),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1824] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13710),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_binding] = STATE(14973),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(7622),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(9872),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1824),
    [sym_block_comment] = STATE(1824),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3812),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1825] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13696),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_binding] = STATE(14973),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(7622),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(9872),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1825),
    [sym_block_comment] = STATE(1825),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3854),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3812),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1826] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13705),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_binding] = STATE(14973),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(7622),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(9872),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1826),
    [sym_block_comment] = STATE(1826),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3856),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3812),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1827] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13651),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_binding] = STATE(14973),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(7622),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(9872),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1827),
    [sym_block_comment] = STATE(1827),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3858),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3812),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1828] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13641),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_binding] = STATE(14973),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(7622),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(9872),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1828),
    [sym_block_comment] = STATE(1828),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3860),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3812),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1829] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(17176),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1829),
    [sym_block_comment] = STATE(1829),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1830] = {
    [sym_inline_modifier] = STATE(2050),
    [sym_block] = STATE(8375),
    [sym_expression] = STATE(12799),
    [sym__simple_expression] = STATE(6499),
    [sym_lambda_expression] = STATE(13185),
    [sym_if_expression] = STATE(13185),
    [sym_match_expression] = STATE(13185),
    [sym_try_expression] = STATE(13185),
    [sym_bindings] = STATE(15649),
    [sym_case_block] = STATE(8375),
    [sym_assignment_expression] = STATE(13185),
    [sym_generic_function] = STATE(8375),
    [sym_call_expression] = STATE(8375),
    [sym_field_expression] = STATE(8375),
    [sym_instance_expression] = STATE(8375),
    [sym_ascription_expression] = STATE(13185),
    [sym_infix_expression] = STATE(9364),
    [sym_postfix_expression] = STATE(12809),
    [sym__postfix_expression_choice] = STATE(16440),
    [sym_macro_body] = STATE(13185),
    [sym_prefix_expression] = STATE(9765),
    [sym_tuple_expression] = STATE(8375),
    [sym_parenthesized_expression] = STATE(8375),
    [sym_splice_expression] = STATE(8375),
    [sym_quote_expression] = STATE(8375),
    [sym_identifier] = STATE(5812),
    [sym__soft_identifier] = STATE(5430),
    [sym_wildcard] = STATE(8380),
    [sym__non_null_literal] = STATE(8375),
    [sym_boolean_literal] = STATE(8117),
    [sym_interpolated_string_expression] = STATE(8375),
    [sym_string] = STATE(8117),
    [sym_unit] = STATE(8375),
    [sym_return_expression] = STATE(13185),
    [sym_throw_expression] = STATE(13185),
    [sym_while_expression] = STATE(13185),
    [sym_do_while_expression] = STATE(13185),
    [sym_for_expression] = STATE(13185),
    [sym_comment] = STATE(1830),
    [sym_block_comment] = STATE(1830),
    [sym__alpha_identifier] = ACTIONS(1618),
    [anon_sym_LBRACE] = ACTIONS(1622),
    [anon_sym__] = ACTIONS(1624),
    [anon_sym_PLUS] = ACTIONS(1626),
    [anon_sym_DASH] = ACTIONS(1626),
    [anon_sym_end] = ACTIONS(1628),
    [anon_sym_if] = ACTIONS(2064),
    [anon_sym_while] = ACTIONS(2066),
    [anon_sym_for] = ACTIONS(2068),
    [anon_sym_try] = ACTIONS(2070),
    [anon_sym_new] = ACTIONS(1630),
    [anon_sym_opaque] = ACTIONS(1628),
    [anon_sym_implicit] = ACTIONS(2072),
    [anon_sym_inline] = ACTIONS(1632),
    [anon_sym_infix] = ACTIONS(1628),
    [anon_sym_open] = ACTIONS(1628),
    [anon_sym_transparent] = ACTIONS(1628),
    [anon_sym_LPAREN] = ACTIONS(1634),
    [anon_sym_macro] = ACTIONS(2074),
    [anon_sym_BANG] = ACTIONS(1626),
    [anon_sym_TILDE] = ACTIONS(1626),
    [anon_sym_DOLLAR] = ACTIONS(1636),
    [anon_sym_SQUOTE] = ACTIONS(1638),
    [sym__backquoted_id] = ACTIONS(1640),
    [sym_operator_identifier] = ACTIONS(2076),
    [sym_integer_literal] = ACTIONS(1644),
    [sym_floating_point_literal] = ACTIONS(1646),
    [anon_sym_true] = ACTIONS(1648),
    [anon_sym_false] = ACTIONS(1648),
    [sym_character_literal] = ACTIONS(1646),
    [sym_null_literal] = ACTIONS(1650),
    [anon_sym_return] = ACTIONS(2078),
    [anon_sym_throw] = ACTIONS(2080),
    [anon_sym_do] = ACTIONS(2082),
    [anon_sym_yield] = ACTIONS(3862),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1652),
    [sym__simple_string] = ACTIONS(1652),
  },
  [1831] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(17207),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1831),
    [sym_block_comment] = STATE(1831),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1832] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(17006),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1832),
    [sym_block_comment] = STATE(1832),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1833] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(16731),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1833),
    [sym_block_comment] = STATE(1833),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1834] = {
    [sym_inline_modifier] = STATE(2070),
    [sym_block] = STATE(8360),
    [sym_expression] = STATE(12920),
    [sym__simple_expression] = STATE(5615),
    [sym_lambda_expression] = STATE(13229),
    [sym_if_expression] = STATE(13229),
    [sym_match_expression] = STATE(13229),
    [sym_try_expression] = STATE(13229),
    [sym_bindings] = STATE(15528),
    [sym_case_block] = STATE(8360),
    [sym_assignment_expression] = STATE(13229),
    [sym_generic_function] = STATE(8360),
    [sym_call_expression] = STATE(8360),
    [sym_field_expression] = STATE(8360),
    [sym_instance_expression] = STATE(8360),
    [sym_ascription_expression] = STATE(13229),
    [sym_infix_expression] = STATE(9581),
    [sym_postfix_expression] = STATE(12866),
    [sym__postfix_expression_choice] = STATE(15971),
    [sym_macro_body] = STATE(13229),
    [sym_prefix_expression] = STATE(9582),
    [sym_tuple_expression] = STATE(8360),
    [sym_parenthesized_expression] = STATE(8360),
    [sym_splice_expression] = STATE(8360),
    [sym_quote_expression] = STATE(8360),
    [sym_identifier] = STATE(5263),
    [sym__soft_identifier] = STATE(5563),
    [sym_wildcard] = STATE(7408),
    [sym__non_null_literal] = STATE(8360),
    [sym_boolean_literal] = STATE(8269),
    [sym_interpolated_string_expression] = STATE(8360),
    [sym_string] = STATE(8269),
    [sym_unit] = STATE(8360),
    [sym_return_expression] = STATE(13229),
    [sym_throw_expression] = STATE(13229),
    [sym_while_expression] = STATE(13229),
    [sym_do_while_expression] = STATE(13229),
    [sym_for_expression] = STATE(13229),
    [sym_comment] = STATE(1834),
    [sym_block_comment] = STATE(1834),
    [sym__alpha_identifier] = ACTIONS(1242),
    [anon_sym_LBRACE] = ACTIONS(1246),
    [anon_sym__] = ACTIONS(1248),
    [anon_sym_PLUS] = ACTIONS(1250),
    [anon_sym_DASH] = ACTIONS(1250),
    [anon_sym_end] = ACTIONS(1252),
    [anon_sym_if] = ACTIONS(1654),
    [anon_sym_while] = ACTIONS(1656),
    [anon_sym_for] = ACTIONS(1658),
    [anon_sym_try] = ACTIONS(1660),
    [anon_sym_new] = ACTIONS(1254),
    [anon_sym_opaque] = ACTIONS(1252),
    [anon_sym_implicit] = ACTIONS(1662),
    [anon_sym_inline] = ACTIONS(1256),
    [anon_sym_infix] = ACTIONS(1252),
    [anon_sym_open] = ACTIONS(1252),
    [anon_sym_transparent] = ACTIONS(1252),
    [anon_sym_LPAREN] = ACTIONS(1258),
    [anon_sym_macro] = ACTIONS(1664),
    [anon_sym_BANG] = ACTIONS(1250),
    [anon_sym_TILDE] = ACTIONS(1250),
    [anon_sym_DOLLAR] = ACTIONS(1260),
    [anon_sym_SQUOTE] = ACTIONS(1262),
    [sym__backquoted_id] = ACTIONS(1264),
    [sym_operator_identifier] = ACTIONS(1666),
    [sym_integer_literal] = ACTIONS(1268),
    [sym_floating_point_literal] = ACTIONS(1270),
    [anon_sym_true] = ACTIONS(1272),
    [anon_sym_false] = ACTIONS(1272),
    [sym_character_literal] = ACTIONS(1270),
    [sym_null_literal] = ACTIONS(1274),
    [anon_sym_return] = ACTIONS(1668),
    [anon_sym_throw] = ACTIONS(1670),
    [anon_sym_do] = ACTIONS(1672),
    [anon_sym_yield] = ACTIONS(3864),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1276),
    [sym__simple_string] = ACTIONS(1276),
  },
  [1835] = {
    [sym_inline_modifier] = STATE(2195),
    [sym_block] = STATE(7443),
    [sym_expression] = STATE(12244),
    [sym__simple_expression] = STATE(5261),
    [sym_lambda_expression] = STATE(12692),
    [sym_if_expression] = STATE(12692),
    [sym_match_expression] = STATE(12692),
    [sym_try_expression] = STATE(12692),
    [sym_bindings] = STATE(15526),
    [sym_case_block] = STATE(7443),
    [sym_assignment_expression] = STATE(12692),
    [sym_generic_function] = STATE(7443),
    [sym_call_expression] = STATE(7443),
    [sym_field_expression] = STATE(7443),
    [sym_instance_expression] = STATE(7443),
    [sym_ascription_expression] = STATE(12692),
    [sym_infix_expression] = STATE(8993),
    [sym_postfix_expression] = STATE(12386),
    [sym__postfix_expression_choice] = STATE(16150),
    [sym_macro_body] = STATE(12692),
    [sym_prefix_expression] = STATE(8984),
    [sym_tuple_expression] = STATE(7443),
    [sym_parenthesized_expression] = STATE(7443),
    [sym_splice_expression] = STATE(7443),
    [sym_quote_expression] = STATE(7443),
    [sym_identifier] = STATE(4861),
    [sym__soft_identifier] = STATE(5213),
    [sym_wildcard] = STATE(7324),
    [sym__non_null_literal] = STATE(7443),
    [sym_boolean_literal] = STATE(7707),
    [sym_interpolated_string_expression] = STATE(7443),
    [sym_string] = STATE(7707),
    [sym_unit] = STATE(7443),
    [sym_return_expression] = STATE(12692),
    [sym_throw_expression] = STATE(12692),
    [sym_while_expression] = STATE(12692),
    [sym_do_while_expression] = STATE(12692),
    [sym_for_expression] = STATE(12692),
    [sym_comment] = STATE(1835),
    [sym_block_comment] = STATE(1835),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(1186),
    [anon_sym_while] = ACTIONS(1188),
    [anon_sym_for] = ACTIONS(1190),
    [anon_sym_try] = ACTIONS(1192),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(1194),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1196),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(1198),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(1200),
    [anon_sym_throw] = ACTIONS(1202),
    [anon_sym_do] = ACTIONS(1204),
    [anon_sym_yield] = ACTIONS(3866),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [1836] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(16999),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1836),
    [sym_block_comment] = STATE(1836),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1837] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(17190),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1837),
    [sym_block_comment] = STATE(1837),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1838] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(16671),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1838),
    [sym_block_comment] = STATE(1838),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1839] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(16990),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1839),
    [sym_block_comment] = STATE(1839),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1840] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13810),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1840),
    [sym_block_comment] = STATE(1840),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3868),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1841] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(17238),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1841),
    [sym_block_comment] = STATE(1841),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1842] = {
    [sym_inline_modifier] = STATE(2086),
    [sym_block] = STATE(9116),
    [sym_expression] = STATE(13255),
    [sym__simple_expression] = STATE(5562),
    [sym_lambda_expression] = STATE(11364),
    [sym_if_expression] = STATE(11364),
    [sym_match_expression] = STATE(11364),
    [sym_try_expression] = STATE(11364),
    [sym_bindings] = STATE(15512),
    [sym_case_block] = STATE(9116),
    [sym_assignment_expression] = STATE(11364),
    [sym_generic_function] = STATE(9116),
    [sym_call_expression] = STATE(9116),
    [sym_field_expression] = STATE(9116),
    [sym_instance_expression] = STATE(9116),
    [sym_ascription_expression] = STATE(11364),
    [sym_infix_expression] = STATE(9793),
    [sym_postfix_expression] = STATE(10789),
    [sym__postfix_expression_choice] = STATE(15871),
    [sym_macro_body] = STATE(11364),
    [sym_prefix_expression] = STATE(9370),
    [sym_tuple_expression] = STATE(9116),
    [sym_parenthesized_expression] = STATE(9116),
    [sym_splice_expression] = STATE(9116),
    [sym_quote_expression] = STATE(9116),
    [sym_identifier] = STATE(5047),
    [sym__soft_identifier] = STATE(4332),
    [sym_wildcard] = STATE(7660),
    [sym__non_null_literal] = STATE(9116),
    [sym_boolean_literal] = STATE(5055),
    [sym_interpolated_string_expression] = STATE(9116),
    [sym_string] = STATE(5055),
    [sym_unit] = STATE(9116),
    [sym_return_expression] = STATE(11364),
    [sym_throw_expression] = STATE(11364),
    [sym_while_expression] = STATE(11364),
    [sym_do_while_expression] = STATE(11364),
    [sym_for_expression] = STATE(11364),
    [sym_comment] = STATE(1842),
    [sym_block_comment] = STATE(1842),
    [sym__alpha_identifier] = ACTIONS(1206),
    [anon_sym_LBRACE] = ACTIONS(1210),
    [anon_sym__] = ACTIONS(1212),
    [anon_sym_PLUS] = ACTIONS(1214),
    [anon_sym_DASH] = ACTIONS(1214),
    [anon_sym_end] = ACTIONS(1216),
    [anon_sym_if] = ACTIONS(1550),
    [anon_sym_while] = ACTIONS(1552),
    [anon_sym_for] = ACTIONS(1554),
    [anon_sym_try] = ACTIONS(1556),
    [anon_sym_new] = ACTIONS(1218),
    [anon_sym_opaque] = ACTIONS(1216),
    [anon_sym_implicit] = ACTIONS(1558),
    [anon_sym_inline] = ACTIONS(1220),
    [anon_sym_infix] = ACTIONS(1216),
    [anon_sym_open] = ACTIONS(1216),
    [anon_sym_transparent] = ACTIONS(1216),
    [anon_sym_LPAREN] = ACTIONS(1222),
    [anon_sym_macro] = ACTIONS(1560),
    [anon_sym_BANG] = ACTIONS(1214),
    [anon_sym_TILDE] = ACTIONS(1214),
    [anon_sym_DOLLAR] = ACTIONS(1224),
    [anon_sym_SQUOTE] = ACTIONS(1226),
    [sym__backquoted_id] = ACTIONS(1228),
    [sym_operator_identifier] = ACTIONS(1562),
    [sym_integer_literal] = ACTIONS(1232),
    [sym_floating_point_literal] = ACTIONS(1234),
    [anon_sym_true] = ACTIONS(1236),
    [anon_sym_false] = ACTIONS(1236),
    [sym_character_literal] = ACTIONS(1234),
    [sym_null_literal] = ACTIONS(1238),
    [anon_sym_return] = ACTIONS(1564),
    [anon_sym_throw] = ACTIONS(1566),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_yield] = ACTIONS(3870),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1240),
    [sym__simple_string] = ACTIONS(1240),
  },
  [1843] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(17156),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1843),
    [sym_block_comment] = STATE(1843),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1844] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(17142),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1844),
    [sym_block_comment] = STATE(1844),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1845] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(17057),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1845),
    [sym_block_comment] = STATE(1845),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1846] = {
    [sym_inline_modifier] = STATE(2189),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13441),
    [sym__simple_expression] = STATE(7289),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15762),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10205),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10142),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6081),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(8816),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(1846),
    [sym_block_comment] = STATE(1846),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(569),
    [anon_sym_DASH] = ACTIONS(569),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(571),
    [anon_sym_while] = ACTIONS(573),
    [anon_sym_for] = ACTIONS(575),
    [anon_sym_try] = ACTIONS(577),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(2248),
    [anon_sym_inline] = ACTIONS(1860),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(569),
    [anon_sym_TILDE] = ACTIONS(569),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(587),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(589),
    [anon_sym_throw] = ACTIONS(591),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_yield] = ACTIONS(3872),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [1847] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(16256),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1847),
    [sym_block_comment] = STATE(1847),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1848] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(16600),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1848),
    [sym_block_comment] = STATE(1848),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1849] = {
    [sym_inline_modifier] = STATE(2125),
    [sym_block] = STATE(6738),
    [sym_expression] = STATE(11920),
    [sym__simple_expression] = STATE(5176),
    [sym_lambda_expression] = STATE(12430),
    [sym_if_expression] = STATE(12430),
    [sym_match_expression] = STATE(12430),
    [sym_try_expression] = STATE(12430),
    [sym_bindings] = STATE(15677),
    [sym_case_block] = STATE(6738),
    [sym_assignment_expression] = STATE(12430),
    [sym_generic_function] = STATE(6738),
    [sym_call_expression] = STATE(6738),
    [sym_field_expression] = STATE(6738),
    [sym_instance_expression] = STATE(6738),
    [sym_ascription_expression] = STATE(12430),
    [sym_infix_expression] = STATE(8389),
    [sym_postfix_expression] = STATE(11930),
    [sym__postfix_expression_choice] = STATE(15885),
    [sym_macro_body] = STATE(12430),
    [sym_prefix_expression] = STATE(9115),
    [sym_tuple_expression] = STATE(6738),
    [sym_parenthesized_expression] = STATE(6738),
    [sym_splice_expression] = STATE(6738),
    [sym_quote_expression] = STATE(6738),
    [sym_identifier] = STATE(4951),
    [sym__soft_identifier] = STATE(4943),
    [sym_wildcard] = STATE(7114),
    [sym__non_null_literal] = STATE(6738),
    [sym_boolean_literal] = STATE(7301),
    [sym_interpolated_string_expression] = STATE(6738),
    [sym_string] = STATE(7301),
    [sym_unit] = STATE(6738),
    [sym_return_expression] = STATE(12430),
    [sym_throw_expression] = STATE(12430),
    [sym_while_expression] = STATE(12430),
    [sym_do_while_expression] = STATE(12430),
    [sym_for_expression] = STATE(12430),
    [sym_comment] = STATE(1849),
    [sym_block_comment] = STATE(1849),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(1350),
    [anon_sym_while] = ACTIONS(1352),
    [anon_sym_for] = ACTIONS(1354),
    [anon_sym_try] = ACTIONS(1356),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(1358),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1360),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(1362),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(1364),
    [anon_sym_throw] = ACTIONS(1366),
    [anon_sym_do] = ACTIONS(1368),
    [anon_sym_yield] = ACTIONS(3874),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [1850] = {
    [sym_inline_modifier] = STATE(2060),
    [sym_block] = STATE(6450),
    [sym_expression] = STATE(11462),
    [sym__simple_expression] = STATE(5608),
    [sym_lambda_expression] = STATE(11549),
    [sym_if_expression] = STATE(11549),
    [sym_match_expression] = STATE(11549),
    [sym_try_expression] = STATE(11549),
    [sym_bindings] = STATE(15697),
    [sym_case_block] = STATE(6450),
    [sym_assignment_expression] = STATE(11549),
    [sym_generic_function] = STATE(6450),
    [sym_call_expression] = STATE(6450),
    [sym_field_expression] = STATE(6450),
    [sym_instance_expression] = STATE(6450),
    [sym_ascription_expression] = STATE(11549),
    [sym_infix_expression] = STATE(7641),
    [sym_postfix_expression] = STATE(11204),
    [sym__postfix_expression_choice] = STATE(16480),
    [sym_macro_body] = STATE(11549),
    [sym_prefix_expression] = STATE(9536),
    [sym_tuple_expression] = STATE(6450),
    [sym_parenthesized_expression] = STATE(6450),
    [sym_splice_expression] = STATE(6450),
    [sym_quote_expression] = STATE(6450),
    [sym_identifier] = STATE(5347),
    [sym__soft_identifier] = STATE(4507),
    [sym_wildcard] = STATE(7620),
    [sym__non_null_literal] = STATE(6450),
    [sym_boolean_literal] = STATE(6156),
    [sym_interpolated_string_expression] = STATE(6450),
    [sym_string] = STATE(6156),
    [sym_unit] = STATE(6450),
    [sym_return_expression] = STATE(11549),
    [sym_throw_expression] = STATE(11549),
    [sym_while_expression] = STATE(11549),
    [sym_do_while_expression] = STATE(11549),
    [sym_for_expression] = STATE(11549),
    [sym_comment] = STATE(1850),
    [sym_block_comment] = STATE(1850),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(1428),
    [anon_sym_while] = ACTIONS(1430),
    [anon_sym_for] = ACTIONS(1432),
    [anon_sym_try] = ACTIONS(1434),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1436),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1378),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1438),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1440),
    [anon_sym_throw] = ACTIONS(1442),
    [anon_sym_do] = ACTIONS(1386),
    [anon_sym_yield] = ACTIONS(3876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [1851] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(17124),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1851),
    [sym_block_comment] = STATE(1851),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1852] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(17013),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1852),
    [sym_block_comment] = STATE(1852),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1853] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(16985),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1853),
    [sym_block_comment] = STATE(1853),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1854] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(17226),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1854),
    [sym_block_comment] = STATE(1854),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1855] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(16779),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1855),
    [sym_block_comment] = STATE(1855),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1856] = {
    [sym_inline_modifier] = STATE(2100),
    [sym_block] = STATE(8218),
    [sym_expression] = STATE(12817),
    [sym__simple_expression] = STATE(7445),
    [sym_lambda_expression] = STATE(13097),
    [sym_if_expression] = STATE(13097),
    [sym_match_expression] = STATE(13097),
    [sym_try_expression] = STATE(13097),
    [sym_bindings] = STATE(15495),
    [sym_case_block] = STATE(8218),
    [sym_assignment_expression] = STATE(13097),
    [sym_generic_function] = STATE(8218),
    [sym_call_expression] = STATE(8218),
    [sym_field_expression] = STATE(8218),
    [sym_instance_expression] = STATE(8218),
    [sym_ascription_expression] = STATE(13097),
    [sym_infix_expression] = STATE(9424),
    [sym_postfix_expression] = STATE(12765),
    [sym__postfix_expression_choice] = STATE(16117),
    [sym_macro_body] = STATE(13097),
    [sym_prefix_expression] = STATE(10239),
    [sym_tuple_expression] = STATE(8218),
    [sym_parenthesized_expression] = STATE(8218),
    [sym_splice_expression] = STATE(8218),
    [sym_quote_expression] = STATE(8218),
    [sym_identifier] = STATE(7278),
    [sym__soft_identifier] = STATE(5752),
    [sym_wildcard] = STATE(9367),
    [sym__non_null_literal] = STATE(8218),
    [sym_boolean_literal] = STATE(8413),
    [sym_interpolated_string_expression] = STATE(8218),
    [sym_string] = STATE(8413),
    [sym_unit] = STATE(8218),
    [sym_return_expression] = STATE(13097),
    [sym_throw_expression] = STATE(13097),
    [sym_while_expression] = STATE(13097),
    [sym_do_while_expression] = STATE(13097),
    [sym_for_expression] = STATE(13097),
    [sym_comment] = STATE(1856),
    [sym_block_comment] = STATE(1856),
    [sym__alpha_identifier] = ACTIONS(1494),
    [anon_sym_LBRACE] = ACTIONS(1498),
    [anon_sym__] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1502),
    [anon_sym_end] = ACTIONS(1504),
    [anon_sym_if] = ACTIONS(3162),
    [anon_sym_while] = ACTIONS(3164),
    [anon_sym_for] = ACTIONS(3166),
    [anon_sym_try] = ACTIONS(3168),
    [anon_sym_new] = ACTIONS(1506),
    [anon_sym_opaque] = ACTIONS(1504),
    [anon_sym_implicit] = ACTIONS(3170),
    [anon_sym_inline] = ACTIONS(1508),
    [anon_sym_infix] = ACTIONS(1504),
    [anon_sym_open] = ACTIONS(1504),
    [anon_sym_transparent] = ACTIONS(1504),
    [anon_sym_LPAREN] = ACTIONS(1510),
    [anon_sym_macro] = ACTIONS(2054),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_TILDE] = ACTIONS(1502),
    [anon_sym_DOLLAR] = ACTIONS(1512),
    [anon_sym_SQUOTE] = ACTIONS(1514),
    [sym__backquoted_id] = ACTIONS(1516),
    [sym_operator_identifier] = ACTIONS(3320),
    [sym_integer_literal] = ACTIONS(1520),
    [sym_floating_point_literal] = ACTIONS(1522),
    [anon_sym_true] = ACTIONS(1524),
    [anon_sym_false] = ACTIONS(1524),
    [sym_character_literal] = ACTIONS(1522),
    [sym_null_literal] = ACTIONS(1526),
    [anon_sym_return] = ACTIONS(3175),
    [anon_sym_throw] = ACTIONS(3177),
    [anon_sym_do] = ACTIONS(2062),
    [anon_sym_yield] = ACTIONS(3878),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1528),
    [sym__simple_string] = ACTIONS(1528),
  },
  [1857] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(16529),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1857),
    [sym_block_comment] = STATE(1857),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1858] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(17239),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1858),
    [sym_block_comment] = STATE(1858),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1859] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(17108),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1859),
    [sym_block_comment] = STATE(1859),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1860] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(17092),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1860),
    [sym_block_comment] = STATE(1860),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1861] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(17252),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1861),
    [sym_block_comment] = STATE(1861),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1862] = {
    [sym_inline_modifier] = STATE(2055),
    [sym_block] = STATE(8218),
    [sym_expression] = STATE(12817),
    [sym__simple_expression] = STATE(6561),
    [sym_lambda_expression] = STATE(13097),
    [sym_if_expression] = STATE(13097),
    [sym_match_expression] = STATE(13097),
    [sym_try_expression] = STATE(13097),
    [sym_bindings] = STATE(15541),
    [sym_case_block] = STATE(8218),
    [sym_assignment_expression] = STATE(13097),
    [sym_generic_function] = STATE(8218),
    [sym_call_expression] = STATE(8218),
    [sym_field_expression] = STATE(8218),
    [sym_instance_expression] = STATE(8218),
    [sym_ascription_expression] = STATE(13097),
    [sym_infix_expression] = STATE(9424),
    [sym_postfix_expression] = STATE(12765),
    [sym__postfix_expression_choice] = STATE(16117),
    [sym_macro_body] = STATE(13097),
    [sym_prefix_expression] = STATE(9863),
    [sym_tuple_expression] = STATE(8218),
    [sym_parenthesized_expression] = STATE(8218),
    [sym_splice_expression] = STATE(8218),
    [sym_quote_expression] = STATE(8218),
    [sym_identifier] = STATE(5613),
    [sym__soft_identifier] = STATE(5752),
    [sym_wildcard] = STATE(8448),
    [sym__non_null_literal] = STATE(8218),
    [sym_boolean_literal] = STATE(8413),
    [sym_interpolated_string_expression] = STATE(8218),
    [sym_string] = STATE(8413),
    [sym_unit] = STATE(8218),
    [sym_return_expression] = STATE(13097),
    [sym_throw_expression] = STATE(13097),
    [sym_while_expression] = STATE(13097),
    [sym_do_while_expression] = STATE(13097),
    [sym_for_expression] = STATE(13097),
    [sym_comment] = STATE(1862),
    [sym_block_comment] = STATE(1862),
    [sym__alpha_identifier] = ACTIONS(1494),
    [anon_sym_LBRACE] = ACTIONS(1498),
    [anon_sym__] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1502),
    [anon_sym_end] = ACTIONS(1504),
    [anon_sym_if] = ACTIONS(2044),
    [anon_sym_while] = ACTIONS(2046),
    [anon_sym_for] = ACTIONS(2048),
    [anon_sym_try] = ACTIONS(2050),
    [anon_sym_new] = ACTIONS(1506),
    [anon_sym_opaque] = ACTIONS(1504),
    [anon_sym_implicit] = ACTIONS(2052),
    [anon_sym_inline] = ACTIONS(1508),
    [anon_sym_infix] = ACTIONS(1504),
    [anon_sym_open] = ACTIONS(1504),
    [anon_sym_transparent] = ACTIONS(1504),
    [anon_sym_LPAREN] = ACTIONS(1510),
    [anon_sym_macro] = ACTIONS(2054),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_TILDE] = ACTIONS(1502),
    [anon_sym_DOLLAR] = ACTIONS(1512),
    [anon_sym_SQUOTE] = ACTIONS(1514),
    [sym__backquoted_id] = ACTIONS(1516),
    [sym_operator_identifier] = ACTIONS(2056),
    [sym_integer_literal] = ACTIONS(1520),
    [sym_floating_point_literal] = ACTIONS(1522),
    [anon_sym_true] = ACTIONS(1524),
    [anon_sym_false] = ACTIONS(1524),
    [sym_character_literal] = ACTIONS(1522),
    [sym_null_literal] = ACTIONS(1526),
    [anon_sym_return] = ACTIONS(2058),
    [anon_sym_throw] = ACTIONS(2060),
    [anon_sym_do] = ACTIONS(2062),
    [anon_sym_yield] = ACTIONS(3880),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1528),
    [sym__simple_string] = ACTIONS(1528),
  },
  [1863] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(17064),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1863),
    [sym_block_comment] = STATE(1863),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1864] = {
    [sym_inline_modifier] = STATE(2208),
    [sym_block] = STATE(8821),
    [sym_expression] = STATE(13086),
    [sym__simple_expression] = STATE(6537),
    [sym_lambda_expression] = STATE(13337),
    [sym_if_expression] = STATE(13337),
    [sym_match_expression] = STATE(13337),
    [sym_try_expression] = STATE(13337),
    [sym_bindings] = STATE(15500),
    [sym_case_block] = STATE(8821),
    [sym_assignment_expression] = STATE(13337),
    [sym_generic_function] = STATE(8821),
    [sym_call_expression] = STATE(8821),
    [sym_field_expression] = STATE(8821),
    [sym_instance_expression] = STATE(8821),
    [sym_ascription_expression] = STATE(13337),
    [sym_infix_expression] = STATE(9659),
    [sym_postfix_expression] = STATE(13173),
    [sym__postfix_expression_choice] = STATE(16170),
    [sym_macro_body] = STATE(13337),
    [sym_prefix_expression] = STATE(9718),
    [sym_tuple_expression] = STATE(8821),
    [sym_parenthesized_expression] = STATE(8821),
    [sym_splice_expression] = STATE(8821),
    [sym_quote_expression] = STATE(8821),
    [sym_identifier] = STATE(5968),
    [sym__soft_identifier] = STATE(6446),
    [sym_wildcard] = STATE(8208),
    [sym__non_null_literal] = STATE(8821),
    [sym_boolean_literal] = STATE(8798),
    [sym_interpolated_string_expression] = STATE(8821),
    [sym_string] = STATE(8798),
    [sym_unit] = STATE(8821),
    [sym_return_expression] = STATE(13337),
    [sym_throw_expression] = STATE(13337),
    [sym_while_expression] = STATE(13337),
    [sym_do_while_expression] = STATE(13337),
    [sym_for_expression] = STATE(13337),
    [sym_comment] = STATE(1864),
    [sym_block_comment] = STATE(1864),
    [sym__alpha_identifier] = ACTIONS(1674),
    [anon_sym_LBRACE] = ACTIONS(1678),
    [anon_sym__] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1682),
    [anon_sym_DASH] = ACTIONS(1682),
    [anon_sym_end] = ACTIONS(1684),
    [anon_sym_if] = ACTIONS(1904),
    [anon_sym_while] = ACTIONS(1906),
    [anon_sym_for] = ACTIONS(1908),
    [anon_sym_try] = ACTIONS(1910),
    [anon_sym_new] = ACTIONS(1686),
    [anon_sym_opaque] = ACTIONS(1684),
    [anon_sym_implicit] = ACTIONS(1912),
    [anon_sym_inline] = ACTIONS(1688),
    [anon_sym_infix] = ACTIONS(1684),
    [anon_sym_open] = ACTIONS(1684),
    [anon_sym_transparent] = ACTIONS(1684),
    [anon_sym_LPAREN] = ACTIONS(1690),
    [anon_sym_macro] = ACTIONS(1914),
    [anon_sym_BANG] = ACTIONS(1682),
    [anon_sym_TILDE] = ACTIONS(1682),
    [anon_sym_DOLLAR] = ACTIONS(1692),
    [anon_sym_SQUOTE] = ACTIONS(1694),
    [sym__backquoted_id] = ACTIONS(1696),
    [sym_operator_identifier] = ACTIONS(1916),
    [sym_integer_literal] = ACTIONS(1700),
    [sym_floating_point_literal] = ACTIONS(1702),
    [anon_sym_true] = ACTIONS(1704),
    [anon_sym_false] = ACTIONS(1704),
    [sym_character_literal] = ACTIONS(1702),
    [sym_null_literal] = ACTIONS(1706),
    [anon_sym_return] = ACTIONS(1918),
    [anon_sym_throw] = ACTIONS(1920),
    [anon_sym_do] = ACTIONS(1922),
    [anon_sym_yield] = ACTIONS(3882),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1708),
    [sym__simple_string] = ACTIONS(1708),
  },
  [1865] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(17041),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1865),
    [sym_block_comment] = STATE(1865),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1866] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13810),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1866),
    [sym_block_comment] = STATE(1866),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3884),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1867] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(16449),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1867),
    [sym_block_comment] = STATE(1867),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1868] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(17272),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1868),
    [sym_block_comment] = STATE(1868),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1869] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(17019),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1869),
    [sym_block_comment] = STATE(1869),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1870] = {
    [sym_inline_modifier] = STATE(2281),
    [sym_block] = STATE(6540),
    [sym_expression] = STATE(11403),
    [sym__simple_expression] = STATE(5304),
    [sym_lambda_expression] = STATE(11374),
    [sym_if_expression] = STATE(11374),
    [sym_match_expression] = STATE(11374),
    [sym_try_expression] = STATE(11374),
    [sym_bindings] = STATE(15689),
    [sym_case_block] = STATE(6540),
    [sym_assignment_expression] = STATE(11374),
    [sym_generic_function] = STATE(6540),
    [sym_call_expression] = STATE(6540),
    [sym_field_expression] = STATE(6540),
    [sym_instance_expression] = STATE(6540),
    [sym_ascription_expression] = STATE(11374),
    [sym_infix_expression] = STATE(7834),
    [sym_postfix_expression] = STATE(11215),
    [sym__postfix_expression_choice] = STATE(16210),
    [sym_macro_body] = STATE(11374),
    [sym_prefix_expression] = STATE(8725),
    [sym_tuple_expression] = STATE(6540),
    [sym_parenthesized_expression] = STATE(6540),
    [sym_splice_expression] = STATE(6540),
    [sym_quote_expression] = STATE(6540),
    [sym_identifier] = STATE(4721),
    [sym__soft_identifier] = STATE(4667),
    [sym_wildcard] = STATE(7076),
    [sym__non_null_literal] = STATE(6540),
    [sym_boolean_literal] = STATE(6246),
    [sym_interpolated_string_expression] = STATE(6540),
    [sym_string] = STATE(6246),
    [sym_unit] = STATE(6540),
    [sym_return_expression] = STATE(11374),
    [sym_throw_expression] = STATE(11374),
    [sym_while_expression] = STATE(11374),
    [sym_do_while_expression] = STATE(11374),
    [sym_for_expression] = STATE(11374),
    [sym_comment] = STATE(1870),
    [sym_block_comment] = STATE(1870),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(2238),
    [anon_sym_while] = ACTIONS(1568),
    [anon_sym_for] = ACTIONS(1570),
    [anon_sym_try] = ACTIONS(1572),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1574),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1540),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1576),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1578),
    [anon_sym_throw] = ACTIONS(1580),
    [anon_sym_do] = ACTIONS(1548),
    [anon_sym_yield] = ACTIONS(3886),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [1871] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(16993),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1871),
    [sym_block_comment] = STATE(1871),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1872] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13810),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1872),
    [sym_block_comment] = STATE(1872),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3888),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1873] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(16402),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1873),
    [sym_block_comment] = STATE(1873),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1874] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(16975),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1874),
    [sym_block_comment] = STATE(1874),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1875] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(16831),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1875),
    [sym_block_comment] = STATE(1875),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1876] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(17285),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1876),
    [sym_block_comment] = STATE(1876),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1877] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(17023),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1877),
    [sym_block_comment] = STATE(1877),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1878] = {
    [sym_inline_modifier] = STATE(2183),
    [sym_block] = STATE(9088),
    [sym_expression] = STATE(12998),
    [sym__simple_expression] = STATE(8555),
    [sym_lambda_expression] = STATE(13338),
    [sym_if_expression] = STATE(13338),
    [sym_match_expression] = STATE(13338),
    [sym_try_expression] = STATE(13338),
    [sym_bindings] = STATE(15553),
    [sym_case_block] = STATE(9088),
    [sym_assignment_expression] = STATE(13338),
    [sym_generic_function] = STATE(9088),
    [sym_call_expression] = STATE(9088),
    [sym_field_expression] = STATE(9088),
    [sym_instance_expression] = STATE(9088),
    [sym_ascription_expression] = STATE(13338),
    [sym_infix_expression] = STATE(9773),
    [sym_postfix_expression] = STATE(13117),
    [sym__postfix_expression_choice] = STATE(15912),
    [sym_macro_body] = STATE(13338),
    [sym_prefix_expression] = STATE(10565),
    [sym_tuple_expression] = STATE(9088),
    [sym_parenthesized_expression] = STATE(9088),
    [sym_splice_expression] = STATE(9088),
    [sym_quote_expression] = STATE(9088),
    [sym_identifier] = STATE(7556),
    [sym__soft_identifier] = STATE(6581),
    [sym_wildcard] = STATE(9665),
    [sym__non_null_literal] = STATE(9088),
    [sym_boolean_literal] = STATE(8905),
    [sym_interpolated_string_expression] = STATE(9088),
    [sym_string] = STATE(8905),
    [sym_unit] = STATE(9088),
    [sym_return_expression] = STATE(13338),
    [sym_throw_expression] = STATE(13338),
    [sym_while_expression] = STATE(13338),
    [sym_do_while_expression] = STATE(13338),
    [sym_for_expression] = STATE(13338),
    [sym_comment] = STATE(1878),
    [sym_block_comment] = STATE(1878),
    [sym__alpha_identifier] = ACTIONS(1938),
    [anon_sym_LBRACE] = ACTIONS(1942),
    [anon_sym__] = ACTIONS(1944),
    [anon_sym_PLUS] = ACTIONS(1946),
    [anon_sym_DASH] = ACTIONS(1946),
    [anon_sym_end] = ACTIONS(1948),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2332),
    [anon_sym_for] = ACTIONS(2334),
    [anon_sym_try] = ACTIONS(2336),
    [anon_sym_new] = ACTIONS(1950),
    [anon_sym_opaque] = ACTIONS(1948),
    [anon_sym_implicit] = ACTIONS(2338),
    [anon_sym_inline] = ACTIONS(1952),
    [anon_sym_infix] = ACTIONS(1948),
    [anon_sym_open] = ACTIONS(1948),
    [anon_sym_transparent] = ACTIONS(1948),
    [anon_sym_LPAREN] = ACTIONS(1954),
    [anon_sym_macro] = ACTIONS(2270),
    [anon_sym_BANG] = ACTIONS(1946),
    [anon_sym_TILDE] = ACTIONS(1946),
    [anon_sym_DOLLAR] = ACTIONS(1956),
    [anon_sym_SQUOTE] = ACTIONS(1958),
    [sym__backquoted_id] = ACTIONS(1960),
    [sym_operator_identifier] = ACTIONS(2340),
    [sym_integer_literal] = ACTIONS(1964),
    [sym_floating_point_literal] = ACTIONS(1966),
    [anon_sym_true] = ACTIONS(1968),
    [anon_sym_false] = ACTIONS(1968),
    [sym_character_literal] = ACTIONS(1966),
    [sym_null_literal] = ACTIONS(1970),
    [anon_sym_return] = ACTIONS(2342),
    [anon_sym_throw] = ACTIONS(2344),
    [anon_sym_do] = ACTIONS(2278),
    [anon_sym_yield] = ACTIONS(3890),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1972),
    [sym__simple_string] = ACTIONS(1972),
  },
  [1879] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(16962),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1879),
    [sym_block_comment] = STATE(1879),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1880] = {
    [sym_inline_modifier] = STATE(2106),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(12236),
    [sym__simple_expression] = STATE(6252),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15549),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(9660),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(5550),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(8541),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(1880),
    [sym_block_comment] = STATE(1880),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(3114),
    [anon_sym_while] = ACTIONS(3116),
    [anon_sym_for] = ACTIONS(3118),
    [anon_sym_try] = ACTIONS(3120),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(3122),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(3134),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(3127),
    [anon_sym_throw] = ACTIONS(3129),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_yield] = ACTIONS(3892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1881] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(16955),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1881),
    [sym_block_comment] = STATE(1881),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1882] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(16353),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1882),
    [sym_block_comment] = STATE(1882),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1883] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(17034),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1883),
    [sym_block_comment] = STATE(1883),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1884] = {
    [sym_inline_modifier] = STATE(2212),
    [sym_block] = STATE(9539),
    [sym_expression] = STATE(13286),
    [sym__simple_expression] = STATE(6249),
    [sym_lambda_expression] = STATE(11374),
    [sym_if_expression] = STATE(11374),
    [sym_match_expression] = STATE(11374),
    [sym_try_expression] = STATE(11374),
    [sym_bindings] = STATE(15480),
    [sym_case_block] = STATE(9539),
    [sym_assignment_expression] = STATE(11374),
    [sym_generic_function] = STATE(9539),
    [sym_call_expression] = STATE(9539),
    [sym_field_expression] = STATE(9539),
    [sym_instance_expression] = STATE(9539),
    [sym_ascription_expression] = STATE(11374),
    [sym_infix_expression] = STATE(10179),
    [sym_postfix_expression] = STATE(11215),
    [sym__postfix_expression_choice] = STATE(16190),
    [sym_macro_body] = STATE(11374),
    [sym_prefix_expression] = STATE(9816),
    [sym_tuple_expression] = STATE(9539),
    [sym_parenthesized_expression] = STATE(9539),
    [sym_splice_expression] = STATE(9539),
    [sym_quote_expression] = STATE(9539),
    [sym_identifier] = STATE(5934),
    [sym__soft_identifier] = STATE(4462),
    [sym_wildcard] = STATE(8175),
    [sym__non_null_literal] = STATE(9539),
    [sym_boolean_literal] = STATE(5971),
    [sym_interpolated_string_expression] = STATE(9539),
    [sym_string] = STATE(5971),
    [sym_unit] = STATE(9539),
    [sym_return_expression] = STATE(11374),
    [sym_throw_expression] = STATE(11374),
    [sym_while_expression] = STATE(11374),
    [sym_do_while_expression] = STATE(11374),
    [sym_for_expression] = STATE(11374),
    [sym_comment] = STATE(1884),
    [sym_block_comment] = STATE(1884),
    [sym__alpha_identifier] = ACTIONS(1444),
    [anon_sym_LBRACE] = ACTIONS(1448),
    [anon_sym__] = ACTIONS(1450),
    [anon_sym_PLUS] = ACTIONS(1452),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_end] = ACTIONS(1454),
    [anon_sym_if] = ACTIONS(1802),
    [anon_sym_while] = ACTIONS(1804),
    [anon_sym_for] = ACTIONS(1806),
    [anon_sym_try] = ACTIONS(1808),
    [anon_sym_new] = ACTIONS(1456),
    [anon_sym_opaque] = ACTIONS(1454),
    [anon_sym_implicit] = ACTIONS(1810),
    [anon_sym_inline] = ACTIONS(1458),
    [anon_sym_infix] = ACTIONS(1454),
    [anon_sym_open] = ACTIONS(1454),
    [anon_sym_transparent] = ACTIONS(1454),
    [anon_sym_LPAREN] = ACTIONS(1460),
    [anon_sym_macro] = ACTIONS(1812),
    [anon_sym_BANG] = ACTIONS(1452),
    [anon_sym_TILDE] = ACTIONS(1452),
    [anon_sym_DOLLAR] = ACTIONS(1462),
    [anon_sym_SQUOTE] = ACTIONS(1464),
    [sym__backquoted_id] = ACTIONS(1466),
    [sym_operator_identifier] = ACTIONS(1814),
    [sym_integer_literal] = ACTIONS(1470),
    [sym_floating_point_literal] = ACTIONS(1472),
    [anon_sym_true] = ACTIONS(1474),
    [anon_sym_false] = ACTIONS(1474),
    [sym_character_literal] = ACTIONS(1472),
    [sym_null_literal] = ACTIONS(1476),
    [anon_sym_return] = ACTIONS(1816),
    [anon_sym_throw] = ACTIONS(1818),
    [anon_sym_do] = ACTIONS(1548),
    [anon_sym_yield] = ACTIONS(3894),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1478),
    [sym__simple_string] = ACTIONS(1478),
  },
  [1885] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(17302),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1885),
    [sym_block_comment] = STATE(1885),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1886] = {
    [sym_inline_modifier] = STATE(2049),
    [sym_block] = STATE(8262),
    [sym_expression] = STATE(12872),
    [sym__simple_expression] = STATE(5468),
    [sym_lambda_expression] = STATE(13098),
    [sym_if_expression] = STATE(13098),
    [sym_match_expression] = STATE(13098),
    [sym_try_expression] = STATE(13098),
    [sym_bindings] = STATE(15673),
    [sym_case_block] = STATE(8262),
    [sym_assignment_expression] = STATE(13098),
    [sym_generic_function] = STATE(8262),
    [sym_call_expression] = STATE(8262),
    [sym_field_expression] = STATE(8262),
    [sym_instance_expression] = STATE(8262),
    [sym_ascription_expression] = STATE(13098),
    [sym_infix_expression] = STATE(9485),
    [sym_postfix_expression] = STATE(12647),
    [sym__postfix_expression_choice] = STATE(16347),
    [sym_macro_body] = STATE(13098),
    [sym_prefix_expression] = STATE(9354),
    [sym_tuple_expression] = STATE(8262),
    [sym_parenthesized_expression] = STATE(8262),
    [sym_splice_expression] = STATE(8262),
    [sym_quote_expression] = STATE(8262),
    [sym_identifier] = STATE(5288),
    [sym__soft_identifier] = STATE(5419),
    [sym_wildcard] = STATE(7475),
    [sym__non_null_literal] = STATE(8262),
    [sym_boolean_literal] = STATE(8242),
    [sym_interpolated_string_expression] = STATE(8262),
    [sym_string] = STATE(8242),
    [sym_unit] = STATE(8262),
    [sym_return_expression] = STATE(13098),
    [sym_throw_expression] = STATE(13098),
    [sym_while_expression] = STATE(13098),
    [sym_do_while_expression] = STATE(13098),
    [sym_for_expression] = STATE(13098),
    [sym_comment] = STATE(1886),
    [sym_block_comment] = STATE(1886),
    [sym__alpha_identifier] = ACTIONS(1278),
    [anon_sym_LBRACE] = ACTIONS(1282),
    [anon_sym__] = ACTIONS(1284),
    [anon_sym_PLUS] = ACTIONS(1286),
    [anon_sym_DASH] = ACTIONS(1286),
    [anon_sym_end] = ACTIONS(1288),
    [anon_sym_if] = ACTIONS(2196),
    [anon_sym_while] = ACTIONS(2016),
    [anon_sym_for] = ACTIONS(2018),
    [anon_sym_try] = ACTIONS(2020),
    [anon_sym_new] = ACTIONS(1290),
    [anon_sym_opaque] = ACTIONS(1288),
    [anon_sym_implicit] = ACTIONS(2022),
    [anon_sym_inline] = ACTIONS(1292),
    [anon_sym_infix] = ACTIONS(1288),
    [anon_sym_open] = ACTIONS(1288),
    [anon_sym_transparent] = ACTIONS(1288),
    [anon_sym_LPAREN] = ACTIONS(1294),
    [anon_sym_macro] = ACTIONS(1720),
    [anon_sym_BANG] = ACTIONS(1286),
    [anon_sym_TILDE] = ACTIONS(1286),
    [anon_sym_DOLLAR] = ACTIONS(1296),
    [anon_sym_SQUOTE] = ACTIONS(1298),
    [sym__backquoted_id] = ACTIONS(1300),
    [sym_operator_identifier] = ACTIONS(2024),
    [sym_integer_literal] = ACTIONS(1304),
    [sym_floating_point_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1308),
    [anon_sym_false] = ACTIONS(1308),
    [sym_character_literal] = ACTIONS(1306),
    [sym_null_literal] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(2026),
    [anon_sym_throw] = ACTIONS(2028),
    [anon_sym_do] = ACTIONS(1728),
    [anon_sym_yield] = ACTIONS(3896),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1312),
    [sym__simple_string] = ACTIONS(1312),
  },
  [1887] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(16939),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1887),
    [sym_block_comment] = STATE(1887),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1888] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(16293),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1888),
    [sym_block_comment] = STATE(1888),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1889] = {
    [sym_inline_modifier] = STATE(2054),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(12236),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(7036),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(1889),
    [sym_block_comment] = STATE(1889),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2807),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_yield] = ACTIONS(3898),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1890] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(16923),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1890),
    [sym_block_comment] = STATE(1890),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1891] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(17044),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1891),
    [sym_block_comment] = STATE(1891),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1892] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(16886),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1892),
    [sym_block_comment] = STATE(1892),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1893] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(16900),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1893),
    [sym_block_comment] = STATE(1893),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1894] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(17315),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1894),
    [sym_block_comment] = STATE(1894),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1895] = {
    [sym_inline_modifier] = STATE(2081),
    [sym_block] = STATE(6540),
    [sym_expression] = STATE(11403),
    [sym__simple_expression] = STATE(5282),
    [sym_lambda_expression] = STATE(11374),
    [sym_if_expression] = STATE(11374),
    [sym_match_expression] = STATE(11374),
    [sym_try_expression] = STATE(11374),
    [sym_bindings] = STATE(15666),
    [sym_case_block] = STATE(6540),
    [sym_assignment_expression] = STATE(11374),
    [sym_generic_function] = STATE(6540),
    [sym_call_expression] = STATE(6540),
    [sym_field_expression] = STATE(6540),
    [sym_instance_expression] = STATE(6540),
    [sym_ascription_expression] = STATE(11374),
    [sym_infix_expression] = STATE(7834),
    [sym_postfix_expression] = STATE(11215),
    [sym__postfix_expression_choice] = STATE(16210),
    [sym_macro_body] = STATE(11374),
    [sym_prefix_expression] = STATE(8793),
    [sym_tuple_expression] = STATE(6540),
    [sym_parenthesized_expression] = STATE(6540),
    [sym_splice_expression] = STATE(6540),
    [sym_quote_expression] = STATE(6540),
    [sym_identifier] = STATE(4731),
    [sym__soft_identifier] = STATE(4667),
    [sym_wildcard] = STATE(7219),
    [sym__non_null_literal] = STATE(6540),
    [sym_boolean_literal] = STATE(6246),
    [sym_interpolated_string_expression] = STATE(6540),
    [sym_string] = STATE(6246),
    [sym_unit] = STATE(6540),
    [sym_return_expression] = STATE(11374),
    [sym_throw_expression] = STATE(11374),
    [sym_while_expression] = STATE(11374),
    [sym_do_while_expression] = STATE(11374),
    [sym_for_expression] = STATE(11374),
    [sym_comment] = STATE(1895),
    [sym_block_comment] = STATE(1895),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(2506),
    [anon_sym_while] = ACTIONS(1988),
    [anon_sym_for] = ACTIONS(1990),
    [anon_sym_try] = ACTIONS(1992),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1994),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1540),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1996),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1998),
    [anon_sym_throw] = ACTIONS(2000),
    [anon_sym_do] = ACTIONS(1548),
    [anon_sym_yield] = ACTIONS(3900),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [1896] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(17332),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1896),
    [sym_block_comment] = STATE(1896),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1897] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(16928),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1897),
    [sym_block_comment] = STATE(1897),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1898] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(16223),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1898),
    [sym_block_comment] = STATE(1898),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1899] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13810),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1899),
    [sym_block_comment] = STATE(1899),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3902),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1900] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13810),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1900),
    [sym_block_comment] = STATE(1900),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3904),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1901] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(16879),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1901),
    [sym_block_comment] = STATE(1901),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1902] = {
    [sym_inline_modifier] = STATE(2246),
    [sym_block] = STATE(8360),
    [sym_expression] = STATE(12920),
    [sym__simple_expression] = STATE(5440),
    [sym_lambda_expression] = STATE(13229),
    [sym_if_expression] = STATE(13229),
    [sym_match_expression] = STATE(13229),
    [sym_try_expression] = STATE(13229),
    [sym_bindings] = STATE(15490),
    [sym_case_block] = STATE(8360),
    [sym_assignment_expression] = STATE(13229),
    [sym_generic_function] = STATE(8360),
    [sym_call_expression] = STATE(8360),
    [sym_field_expression] = STATE(8360),
    [sym_instance_expression] = STATE(8360),
    [sym_ascription_expression] = STATE(13229),
    [sym_infix_expression] = STATE(9581),
    [sym_postfix_expression] = STATE(12866),
    [sym__postfix_expression_choice] = STATE(15971),
    [sym_macro_body] = STATE(13229),
    [sym_prefix_expression] = STATE(9366),
    [sym_tuple_expression] = STATE(8360),
    [sym_parenthesized_expression] = STATE(8360),
    [sym_splice_expression] = STATE(8360),
    [sym_quote_expression] = STATE(8360),
    [sym_identifier] = STATE(5277),
    [sym__soft_identifier] = STATE(5563),
    [sym_wildcard] = STATE(7446),
    [sym__non_null_literal] = STATE(8360),
    [sym_boolean_literal] = STATE(8269),
    [sym_interpolated_string_expression] = STATE(8360),
    [sym_string] = STATE(8269),
    [sym_unit] = STATE(8360),
    [sym_return_expression] = STATE(13229),
    [sym_throw_expression] = STATE(13229),
    [sym_while_expression] = STATE(13229),
    [sym_do_while_expression] = STATE(13229),
    [sym_for_expression] = STATE(13229),
    [sym_comment] = STATE(1902),
    [sym_block_comment] = STATE(1902),
    [sym__alpha_identifier] = ACTIONS(1242),
    [anon_sym_LBRACE] = ACTIONS(1246),
    [anon_sym__] = ACTIONS(1248),
    [anon_sym_PLUS] = ACTIONS(1250),
    [anon_sym_DASH] = ACTIONS(1250),
    [anon_sym_end] = ACTIONS(1252),
    [anon_sym_if] = ACTIONS(2210),
    [anon_sym_while] = ACTIONS(2030),
    [anon_sym_for] = ACTIONS(2032),
    [anon_sym_try] = ACTIONS(2034),
    [anon_sym_new] = ACTIONS(1254),
    [anon_sym_opaque] = ACTIONS(1252),
    [anon_sym_implicit] = ACTIONS(2036),
    [anon_sym_inline] = ACTIONS(1256),
    [anon_sym_infix] = ACTIONS(1252),
    [anon_sym_open] = ACTIONS(1252),
    [anon_sym_transparent] = ACTIONS(1252),
    [anon_sym_LPAREN] = ACTIONS(1258),
    [anon_sym_macro] = ACTIONS(1664),
    [anon_sym_BANG] = ACTIONS(1250),
    [anon_sym_TILDE] = ACTIONS(1250),
    [anon_sym_DOLLAR] = ACTIONS(1260),
    [anon_sym_SQUOTE] = ACTIONS(1262),
    [sym__backquoted_id] = ACTIONS(1264),
    [sym_operator_identifier] = ACTIONS(2038),
    [sym_integer_literal] = ACTIONS(1268),
    [sym_floating_point_literal] = ACTIONS(1270),
    [anon_sym_true] = ACTIONS(1272),
    [anon_sym_false] = ACTIONS(1272),
    [sym_character_literal] = ACTIONS(1270),
    [sym_null_literal] = ACTIONS(1274),
    [anon_sym_return] = ACTIONS(2040),
    [anon_sym_throw] = ACTIONS(2042),
    [anon_sym_do] = ACTIONS(1672),
    [anon_sym_yield] = ACTIONS(3906),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1276),
    [sym__simple_string] = ACTIONS(1276),
  },
  [1903] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13810),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1903),
    [sym_block_comment] = STATE(1903),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3908),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1904] = {
    [sym_inline_modifier] = STATE(2074),
    [sym_block] = STATE(9523),
    [sym_expression] = STATE(13451),
    [sym__simple_expression] = STATE(6085),
    [sym_lambda_expression] = STATE(11549),
    [sym_if_expression] = STATE(11549),
    [sym_match_expression] = STATE(11549),
    [sym_try_expression] = STATE(11549),
    [sym_bindings] = STATE(15713),
    [sym_case_block] = STATE(9523),
    [sym_assignment_expression] = STATE(11549),
    [sym_generic_function] = STATE(9523),
    [sym_call_expression] = STATE(9523),
    [sym_field_expression] = STATE(9523),
    [sym_instance_expression] = STATE(9523),
    [sym_ascription_expression] = STATE(11549),
    [sym_infix_expression] = STATE(10056),
    [sym_postfix_expression] = STATE(11204),
    [sym__postfix_expression_choice] = STATE(16623),
    [sym_macro_body] = STATE(11549),
    [sym_prefix_expression] = STATE(9754),
    [sym_tuple_expression] = STATE(9523),
    [sym_parenthesized_expression] = STATE(9523),
    [sym_splice_expression] = STATE(9523),
    [sym_quote_expression] = STATE(9523),
    [sym_identifier] = STATE(5442),
    [sym__soft_identifier] = STATE(4485),
    [sym_wildcard] = STATE(8639),
    [sym__non_null_literal] = STATE(9523),
    [sym_boolean_literal] = STATE(5592),
    [sym_interpolated_string_expression] = STATE(9523),
    [sym_string] = STATE(5592),
    [sym_unit] = STATE(9523),
    [sym_return_expression] = STATE(11549),
    [sym_throw_expression] = STATE(11549),
    [sym_while_expression] = STATE(11549),
    [sym_do_while_expression] = STATE(11549),
    [sym_for_expression] = STATE(11549),
    [sym_comment] = STATE(1904),
    [sym_block_comment] = STATE(1904),
    [sym__alpha_identifier] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(1392),
    [anon_sym__] = ACTIONS(1394),
    [anon_sym_PLUS] = ACTIONS(1396),
    [anon_sym_DASH] = ACTIONS(1396),
    [anon_sym_end] = ACTIONS(1398),
    [anon_sym_if] = ACTIONS(1820),
    [anon_sym_while] = ACTIONS(1822),
    [anon_sym_for] = ACTIONS(1824),
    [anon_sym_try] = ACTIONS(1826),
    [anon_sym_new] = ACTIONS(1400),
    [anon_sym_opaque] = ACTIONS(1398),
    [anon_sym_implicit] = ACTIONS(1828),
    [anon_sym_inline] = ACTIONS(1402),
    [anon_sym_infix] = ACTIONS(1398),
    [anon_sym_open] = ACTIONS(1398),
    [anon_sym_transparent] = ACTIONS(1398),
    [anon_sym_LPAREN] = ACTIONS(1404),
    [anon_sym_macro] = ACTIONS(1830),
    [anon_sym_BANG] = ACTIONS(1396),
    [anon_sym_TILDE] = ACTIONS(1396),
    [anon_sym_DOLLAR] = ACTIONS(1406),
    [anon_sym_SQUOTE] = ACTIONS(1408),
    [sym__backquoted_id] = ACTIONS(1410),
    [sym_operator_identifier] = ACTIONS(1832),
    [sym_integer_literal] = ACTIONS(1414),
    [sym_floating_point_literal] = ACTIONS(1416),
    [anon_sym_true] = ACTIONS(1418),
    [anon_sym_false] = ACTIONS(1418),
    [sym_character_literal] = ACTIONS(1416),
    [sym_null_literal] = ACTIONS(1420),
    [anon_sym_return] = ACTIONS(1834),
    [anon_sym_throw] = ACTIONS(1836),
    [anon_sym_do] = ACTIONS(1386),
    [anon_sym_yield] = ACTIONS(3910),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1422),
    [sym__simple_string] = ACTIONS(1422),
  },
  [1905] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13810),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1905),
    [sym_block_comment] = STATE(1905),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3912),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1906] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(16168),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1906),
    [sym_block_comment] = STATE(1906),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1907] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(16936),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1907),
    [sym_block_comment] = STATE(1907),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1908] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(17344),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1908),
    [sym_block_comment] = STATE(1908),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1909] = {
    [sym_inline_modifier] = STATE(2113),
    [sym_block] = STATE(6703),
    [sym_expression] = STATE(12163),
    [sym__simple_expression] = STATE(5524),
    [sym_lambda_expression] = STATE(12046),
    [sym_if_expression] = STATE(12046),
    [sym_match_expression] = STATE(12046),
    [sym_try_expression] = STATE(12046),
    [sym_bindings] = STATE(15660),
    [sym_case_block] = STATE(6703),
    [sym_assignment_expression] = STATE(12046),
    [sym_generic_function] = STATE(6703),
    [sym_call_expression] = STATE(6703),
    [sym_field_expression] = STATE(6703),
    [sym_instance_expression] = STATE(6703),
    [sym_ascription_expression] = STATE(12046),
    [sym_infix_expression] = STATE(8166),
    [sym_postfix_expression] = STATE(11496),
    [sym__postfix_expression_choice] = STATE(15827),
    [sym_macro_body] = STATE(12046),
    [sym_prefix_expression] = STATE(9264),
    [sym_tuple_expression] = STATE(6703),
    [sym_parenthesized_expression] = STATE(6703),
    [sym_splice_expression] = STATE(6703),
    [sym_quote_expression] = STATE(6703),
    [sym_identifier] = STATE(5303),
    [sym__soft_identifier] = STATE(4884),
    [sym_wildcard] = STATE(7550),
    [sym__non_null_literal] = STATE(6703),
    [sym_boolean_literal] = STATE(6780),
    [sym_interpolated_string_expression] = STATE(6703),
    [sym_string] = STATE(6780),
    [sym_unit] = STATE(6703),
    [sym_return_expression] = STATE(12046),
    [sym_throw_expression] = STATE(12046),
    [sym_while_expression] = STATE(12046),
    [sym_do_while_expression] = STATE(12046),
    [sym_for_expression] = STATE(12046),
    [sym_comment] = STATE(1909),
    [sym_block_comment] = STATE(1909),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(2478),
    [anon_sym_while] = ACTIONS(2002),
    [anon_sym_for] = ACTIONS(2004),
    [anon_sym_try] = ACTIONS(2006),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(2008),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1848),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(2010),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(2012),
    [anon_sym_throw] = ACTIONS(2014),
    [anon_sym_do] = ACTIONS(1856),
    [anon_sym_yield] = ACTIONS(3914),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [1910] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(17068),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1910),
    [sym_block_comment] = STATE(1910),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1911] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13263),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1911),
    [sym_block_comment] = STATE(1911),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_yield] = ACTIONS(3916),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1912] = {
    [sym_inline_modifier] = STATE(2179),
    [sym_block] = STATE(6738),
    [sym_expression] = STATE(11920),
    [sym__simple_expression] = STATE(6283),
    [sym_lambda_expression] = STATE(12430),
    [sym_if_expression] = STATE(12430),
    [sym_match_expression] = STATE(12430),
    [sym_try_expression] = STATE(12430),
    [sym_bindings] = STATE(15581),
    [sym_case_block] = STATE(6738),
    [sym_assignment_expression] = STATE(12430),
    [sym_generic_function] = STATE(6738),
    [sym_call_expression] = STATE(6738),
    [sym_field_expression] = STATE(6738),
    [sym_instance_expression] = STATE(6738),
    [sym_ascription_expression] = STATE(12430),
    [sym_infix_expression] = STATE(8389),
    [sym_postfix_expression] = STATE(11930),
    [sym__postfix_expression_choice] = STATE(15885),
    [sym_macro_body] = STATE(12430),
    [sym_prefix_expression] = STATE(9616),
    [sym_tuple_expression] = STATE(6738),
    [sym_parenthesized_expression] = STATE(6738),
    [sym_splice_expression] = STATE(6738),
    [sym_quote_expression] = STATE(6738),
    [sym_identifier] = STATE(5530),
    [sym__soft_identifier] = STATE(4943),
    [sym_wildcard] = STATE(8554),
    [sym__non_null_literal] = STATE(6738),
    [sym_boolean_literal] = STATE(7301),
    [sym_interpolated_string_expression] = STATE(6738),
    [sym_string] = STATE(7301),
    [sym_unit] = STATE(6738),
    [sym_return_expression] = STATE(12430),
    [sym_throw_expression] = STATE(12430),
    [sym_while_expression] = STATE(12430),
    [sym_do_while_expression] = STATE(12430),
    [sym_for_expression] = STATE(12430),
    [sym_comment] = STATE(1912),
    [sym_block_comment] = STATE(1912),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(2356),
    [anon_sym_while] = ACTIONS(2358),
    [anon_sym_for] = ACTIONS(2360),
    [anon_sym_try] = ACTIONS(2362),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1360),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(2366),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(2368),
    [anon_sym_throw] = ACTIONS(2370),
    [anon_sym_do] = ACTIONS(1368),
    [anon_sym_yield] = ACTIONS(3918),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [1913] = {
    [sym_inline_modifier] = STATE(2047),
    [sym_block] = STATE(6954),
    [sym_expression] = STATE(12172),
    [sym__simple_expression] = STATE(6567),
    [sym_lambda_expression] = STATE(12144),
    [sym_if_expression] = STATE(12144),
    [sym_match_expression] = STATE(12144),
    [sym_try_expression] = STATE(12144),
    [sym_bindings] = STATE(15566),
    [sym_case_block] = STATE(6954),
    [sym_assignment_expression] = STATE(12144),
    [sym_generic_function] = STATE(6954),
    [sym_call_expression] = STATE(6954),
    [sym_field_expression] = STATE(6954),
    [sym_instance_expression] = STATE(6954),
    [sym_ascription_expression] = STATE(12144),
    [sym_infix_expression] = STATE(8226),
    [sym_postfix_expression] = STATE(11499),
    [sym__postfix_expression_choice] = STATE(16229),
    [sym_macro_body] = STATE(12144),
    [sym_prefix_expression] = STATE(9870),
    [sym_tuple_expression] = STATE(6954),
    [sym_parenthesized_expression] = STATE(6954),
    [sym_splice_expression] = STATE(6954),
    [sym_quote_expression] = STATE(6954),
    [sym_identifier] = STATE(5779),
    [sym__soft_identifier] = STATE(4827),
    [sym_wildcard] = STATE(8216),
    [sym__non_null_literal] = STATE(6954),
    [sym_boolean_literal] = STATE(6997),
    [sym_interpolated_string_expression] = STATE(6954),
    [sym_string] = STATE(6997),
    [sym_unit] = STATE(6954),
    [sym_return_expression] = STATE(12144),
    [sym_throw_expression] = STATE(12144),
    [sym_while_expression] = STATE(12144),
    [sym_do_while_expression] = STATE(12144),
    [sym_for_expression] = STATE(12144),
    [sym_comment] = STATE(1913),
    [sym_block_comment] = STATE(1913),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(1884),
    [anon_sym_while] = ACTIONS(1886),
    [anon_sym_for] = ACTIONS(1888),
    [anon_sym_try] = ACTIONS(1890),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(1892),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1894),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(1896),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(1898),
    [anon_sym_throw] = ACTIONS(1900),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_yield] = ACTIONS(3920),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [1914] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(17361),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1914),
    [sym_block_comment] = STATE(1914),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1915] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(16822),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1915),
    [sym_block_comment] = STATE(1915),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1916] = {
    [sym_inline_modifier] = STATE(2044),
    [sym_block] = STATE(9913),
    [sym_expression] = STATE(13564),
    [sym__simple_expression] = STATE(7224),
    [sym_lambda_expression] = STATE(12144),
    [sym_if_expression] = STATE(12144),
    [sym_match_expression] = STATE(12144),
    [sym_try_expression] = STATE(12144),
    [sym_bindings] = STATE(15632),
    [sym_case_block] = STATE(9913),
    [sym_assignment_expression] = STATE(12144),
    [sym_generic_function] = STATE(9913),
    [sym_call_expression] = STATE(9913),
    [sym_field_expression] = STATE(9913),
    [sym_instance_expression] = STATE(9913),
    [sym_ascription_expression] = STATE(12144),
    [sym_infix_expression] = STATE(10304),
    [sym_postfix_expression] = STATE(11499),
    [sym__postfix_expression_choice] = STATE(16334),
    [sym_macro_body] = STATE(12144),
    [sym_prefix_expression] = STATE(9963),
    [sym_tuple_expression] = STATE(9913),
    [sym_parenthesized_expression] = STATE(9913),
    [sym_splice_expression] = STATE(9913),
    [sym_quote_expression] = STATE(9913),
    [sym_identifier] = STATE(6170),
    [sym__soft_identifier] = STATE(4555),
    [sym_wildcard] = STATE(8897),
    [sym__non_null_literal] = STATE(9913),
    [sym_boolean_literal] = STATE(6572),
    [sym_interpolated_string_expression] = STATE(9913),
    [sym_string] = STATE(6572),
    [sym_unit] = STATE(9913),
    [sym_return_expression] = STATE(12144),
    [sym_throw_expression] = STATE(12144),
    [sym_while_expression] = STATE(12144),
    [sym_do_while_expression] = STATE(12144),
    [sym_for_expression] = STATE(12144),
    [sym_comment] = STATE(1916),
    [sym_block_comment] = STATE(1916),
    [sym__alpha_identifier] = ACTIONS(1766),
    [anon_sym_LBRACE] = ACTIONS(1770),
    [anon_sym__] = ACTIONS(1772),
    [anon_sym_PLUS] = ACTIONS(1774),
    [anon_sym_DASH] = ACTIONS(1774),
    [anon_sym_end] = ACTIONS(1776),
    [anon_sym_if] = ACTIONS(2160),
    [anon_sym_while] = ACTIONS(2162),
    [anon_sym_for] = ACTIONS(2164),
    [anon_sym_try] = ACTIONS(2166),
    [anon_sym_new] = ACTIONS(1778),
    [anon_sym_opaque] = ACTIONS(1776),
    [anon_sym_implicit] = ACTIONS(2168),
    [anon_sym_inline] = ACTIONS(1780),
    [anon_sym_infix] = ACTIONS(1776),
    [anon_sym_open] = ACTIONS(1776),
    [anon_sym_transparent] = ACTIONS(1776),
    [anon_sym_LPAREN] = ACTIONS(1782),
    [anon_sym_macro] = ACTIONS(2170),
    [anon_sym_BANG] = ACTIONS(1774),
    [anon_sym_TILDE] = ACTIONS(1774),
    [anon_sym_DOLLAR] = ACTIONS(1784),
    [anon_sym_SQUOTE] = ACTIONS(1786),
    [sym__backquoted_id] = ACTIONS(1788),
    [sym_operator_identifier] = ACTIONS(2172),
    [sym_integer_literal] = ACTIONS(1792),
    [sym_floating_point_literal] = ACTIONS(1794),
    [anon_sym_true] = ACTIONS(1796),
    [anon_sym_false] = ACTIONS(1796),
    [sym_character_literal] = ACTIONS(1794),
    [sym_null_literal] = ACTIONS(1798),
    [anon_sym_return] = ACTIONS(2174),
    [anon_sym_throw] = ACTIONS(2176),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_yield] = ACTIONS(3922),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1800),
    [sym__simple_string] = ACTIONS(1800),
  },
  [1917] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(16093),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1917),
    [sym_block_comment] = STATE(1917),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1918] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(16971),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1918),
    [sym_block_comment] = STATE(1918),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1919] = {
    [sym_inline_modifier] = STATE(2130),
    [sym_block] = STATE(9120),
    [sym_expression] = STATE(13149),
    [sym__simple_expression] = STATE(6353),
    [sym_lambda_expression] = STATE(13422),
    [sym_if_expression] = STATE(13422),
    [sym_match_expression] = STATE(13422),
    [sym_try_expression] = STATE(13422),
    [sym_bindings] = STATE(15752),
    [sym_case_block] = STATE(9120),
    [sym_assignment_expression] = STATE(13422),
    [sym_generic_function] = STATE(9120),
    [sym_call_expression] = STATE(9120),
    [sym_field_expression] = STATE(9120),
    [sym_instance_expression] = STATE(9120),
    [sym_ascription_expression] = STATE(13422),
    [sym_infix_expression] = STATE(9820),
    [sym_postfix_expression] = STATE(13148),
    [sym__postfix_expression_choice] = STATE(15936),
    [sym_macro_body] = STATE(13422),
    [sym_prefix_expression] = STATE(9828),
    [sym_tuple_expression] = STATE(9120),
    [sym_parenthesized_expression] = STATE(9120),
    [sym_splice_expression] = STATE(9120),
    [sym_quote_expression] = STATE(9120),
    [sym_identifier] = STATE(5669),
    [sym__soft_identifier] = STATE(6470),
    [sym_wildcard] = STATE(8444),
    [sym__non_null_literal] = STATE(9120),
    [sym_boolean_literal] = STATE(8928),
    [sym_interpolated_string_expression] = STATE(9120),
    [sym_string] = STATE(8928),
    [sym_unit] = STATE(9120),
    [sym_return_expression] = STATE(13422),
    [sym_throw_expression] = STATE(13422),
    [sym_while_expression] = STATE(13422),
    [sym_do_while_expression] = STATE(13422),
    [sym_for_expression] = STATE(13422),
    [sym_comment] = STATE(1919),
    [sym_block_comment] = STATE(1919),
    [sym__alpha_identifier] = ACTIONS(1582),
    [anon_sym_LBRACE] = ACTIONS(1586),
    [anon_sym__] = ACTIONS(1588),
    [anon_sym_PLUS] = ACTIONS(1590),
    [anon_sym_DASH] = ACTIONS(1590),
    [anon_sym_end] = ACTIONS(1592),
    [anon_sym_if] = ACTIONS(1864),
    [anon_sym_while] = ACTIONS(1866),
    [anon_sym_for] = ACTIONS(1868),
    [anon_sym_try] = ACTIONS(1870),
    [anon_sym_new] = ACTIONS(1594),
    [anon_sym_opaque] = ACTIONS(1592),
    [anon_sym_implicit] = ACTIONS(1872),
    [anon_sym_inline] = ACTIONS(1596),
    [anon_sym_infix] = ACTIONS(1592),
    [anon_sym_open] = ACTIONS(1592),
    [anon_sym_transparent] = ACTIONS(1592),
    [anon_sym_LPAREN] = ACTIONS(1598),
    [anon_sym_macro] = ACTIONS(1874),
    [anon_sym_BANG] = ACTIONS(1590),
    [anon_sym_TILDE] = ACTIONS(1590),
    [anon_sym_DOLLAR] = ACTIONS(1600),
    [anon_sym_SQUOTE] = ACTIONS(1602),
    [sym__backquoted_id] = ACTIONS(1604),
    [sym_operator_identifier] = ACTIONS(1876),
    [sym_integer_literal] = ACTIONS(1608),
    [sym_floating_point_literal] = ACTIONS(1610),
    [anon_sym_true] = ACTIONS(1612),
    [anon_sym_false] = ACTIONS(1612),
    [sym_character_literal] = ACTIONS(1610),
    [sym_null_literal] = ACTIONS(1614),
    [anon_sym_return] = ACTIONS(1878),
    [anon_sym_throw] = ACTIONS(1880),
    [anon_sym_do] = ACTIONS(1882),
    [anon_sym_yield] = ACTIONS(3924),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1616),
    [sym__simple_string] = ACTIONS(1616),
  },
  [1920] = {
    [sym_inline_modifier] = STATE(2223),
    [sym_block] = STATE(8375),
    [sym_expression] = STATE(12799),
    [sym__simple_expression] = STATE(7442),
    [sym_lambda_expression] = STATE(13185),
    [sym_if_expression] = STATE(13185),
    [sym_match_expression] = STATE(13185),
    [sym_try_expression] = STATE(13185),
    [sym_bindings] = STATE(15586),
    [sym_case_block] = STATE(8375),
    [sym_assignment_expression] = STATE(13185),
    [sym_generic_function] = STATE(8375),
    [sym_call_expression] = STATE(8375),
    [sym_field_expression] = STATE(8375),
    [sym_instance_expression] = STATE(8375),
    [sym_ascription_expression] = STATE(13185),
    [sym_infix_expression] = STATE(9364),
    [sym_postfix_expression] = STATE(12809),
    [sym__postfix_expression_choice] = STATE(16440),
    [sym_macro_body] = STATE(13185),
    [sym_prefix_expression] = STATE(10191),
    [sym_tuple_expression] = STATE(8375),
    [sym_parenthesized_expression] = STATE(8375),
    [sym_splice_expression] = STATE(8375),
    [sym_quote_expression] = STATE(8375),
    [sym_identifier] = STATE(7290),
    [sym__soft_identifier] = STATE(5430),
    [sym_wildcard] = STATE(9387),
    [sym__non_null_literal] = STATE(8375),
    [sym_boolean_literal] = STATE(8117),
    [sym_interpolated_string_expression] = STATE(8375),
    [sym_string] = STATE(8117),
    [sym_unit] = STATE(8375),
    [sym_return_expression] = STATE(13185),
    [sym_throw_expression] = STATE(13185),
    [sym_while_expression] = STATE(13185),
    [sym_do_while_expression] = STATE(13185),
    [sym_for_expression] = STATE(13185),
    [sym_comment] = STATE(1920),
    [sym_block_comment] = STATE(1920),
    [sym__alpha_identifier] = ACTIONS(1618),
    [anon_sym_LBRACE] = ACTIONS(1622),
    [anon_sym__] = ACTIONS(1624),
    [anon_sym_PLUS] = ACTIONS(1626),
    [anon_sym_DASH] = ACTIONS(1626),
    [anon_sym_end] = ACTIONS(1628),
    [anon_sym_if] = ACTIONS(2122),
    [anon_sym_while] = ACTIONS(2124),
    [anon_sym_for] = ACTIONS(2126),
    [anon_sym_try] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(1630),
    [anon_sym_opaque] = ACTIONS(1628),
    [anon_sym_implicit] = ACTIONS(2130),
    [anon_sym_inline] = ACTIONS(1632),
    [anon_sym_infix] = ACTIONS(1628),
    [anon_sym_open] = ACTIONS(1628),
    [anon_sym_transparent] = ACTIONS(1628),
    [anon_sym_LPAREN] = ACTIONS(1634),
    [anon_sym_macro] = ACTIONS(2074),
    [anon_sym_BANG] = ACTIONS(1626),
    [anon_sym_TILDE] = ACTIONS(1626),
    [anon_sym_DOLLAR] = ACTIONS(1636),
    [anon_sym_SQUOTE] = ACTIONS(1638),
    [sym__backquoted_id] = ACTIONS(1640),
    [sym_operator_identifier] = ACTIONS(2132),
    [sym_integer_literal] = ACTIONS(1644),
    [sym_floating_point_literal] = ACTIONS(1646),
    [anon_sym_true] = ACTIONS(1648),
    [anon_sym_false] = ACTIONS(1648),
    [sym_character_literal] = ACTIONS(1646),
    [sym_null_literal] = ACTIONS(1650),
    [anon_sym_return] = ACTIONS(2134),
    [anon_sym_throw] = ACTIONS(2136),
    [anon_sym_do] = ACTIONS(2082),
    [anon_sym_yield] = ACTIONS(3926),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1652),
    [sym__simple_string] = ACTIONS(1652),
  },
  [1921] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(17083),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1921),
    [sym_block_comment] = STATE(1921),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1922] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(17375),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1922),
    [sym_block_comment] = STATE(1922),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1923] = {
    [sym_inline_modifier] = STATE(2250),
    [sym_block] = STATE(6450),
    [sym_expression] = STATE(11462),
    [sym__simple_expression] = STATE(5297),
    [sym_lambda_expression] = STATE(11549),
    [sym_if_expression] = STATE(11549),
    [sym_match_expression] = STATE(11549),
    [sym_try_expression] = STATE(11549),
    [sym_bindings] = STATE(15503),
    [sym_case_block] = STATE(6450),
    [sym_assignment_expression] = STATE(11549),
    [sym_generic_function] = STATE(6450),
    [sym_call_expression] = STATE(6450),
    [sym_field_expression] = STATE(6450),
    [sym_instance_expression] = STATE(6450),
    [sym_ascription_expression] = STATE(11549),
    [sym_infix_expression] = STATE(7641),
    [sym_postfix_expression] = STATE(11204),
    [sym__postfix_expression_choice] = STATE(16480),
    [sym_macro_body] = STATE(11549),
    [sym_prefix_expression] = STATE(8711),
    [sym_tuple_expression] = STATE(6450),
    [sym_parenthesized_expression] = STATE(6450),
    [sym_splice_expression] = STATE(6450),
    [sym_quote_expression] = STATE(6450),
    [sym_identifier] = STATE(4723),
    [sym__soft_identifier] = STATE(4507),
    [sym_wildcard] = STATE(7115),
    [sym__non_null_literal] = STATE(6450),
    [sym_boolean_literal] = STATE(6156),
    [sym_interpolated_string_expression] = STATE(6450),
    [sym_string] = STATE(6156),
    [sym_unit] = STATE(6450),
    [sym_return_expression] = STATE(11549),
    [sym_throw_expression] = STATE(11549),
    [sym_while_expression] = STATE(11549),
    [sym_do_while_expression] = STATE(11549),
    [sym_for_expression] = STATE(11549),
    [sym_comment] = STATE(1923),
    [sym_block_comment] = STATE(1923),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(2256),
    [anon_sym_while] = ACTIONS(1370),
    [anon_sym_for] = ACTIONS(1372),
    [anon_sym_try] = ACTIONS(1374),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1376),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1378),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1380),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1382),
    [anon_sym_throw] = ACTIONS(1384),
    [anon_sym_do] = ACTIONS(1386),
    [anon_sym_yield] = ACTIONS(3928),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [1924] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(17388),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1924),
    [sym_block_comment] = STATE(1924),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1925] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(17045),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1925),
    [sym_block_comment] = STATE(1925),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1926] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(17098),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1926),
    [sym_block_comment] = STATE(1926),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1927] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(16802),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1927),
    [sym_block_comment] = STATE(1927),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1928] = {
    [sym_inline_modifier] = STATE(2181),
    [sym_block] = STATE(5403),
    [sym_expression] = STATE(11357),
    [sym__simple_expression] = STATE(4722),
    [sym_lambda_expression] = STATE(11364),
    [sym_if_expression] = STATE(11364),
    [sym_match_expression] = STATE(11364),
    [sym_try_expression] = STATE(11364),
    [sym_bindings] = STATE(15648),
    [sym_case_block] = STATE(5403),
    [sym_assignment_expression] = STATE(11364),
    [sym_generic_function] = STATE(5403),
    [sym_call_expression] = STATE(5403),
    [sym_field_expression] = STATE(5403),
    [sym_instance_expression] = STATE(5403),
    [sym_ascription_expression] = STATE(11364),
    [sym_infix_expression] = STATE(6806),
    [sym_postfix_expression] = STATE(10789),
    [sym__postfix_expression_choice] = STATE(15797),
    [sym_macro_body] = STATE(11364),
    [sym_prefix_expression] = STATE(8559),
    [sym_tuple_expression] = STATE(5403),
    [sym_parenthesized_expression] = STATE(5403),
    [sym_splice_expression] = STATE(5403),
    [sym_quote_expression] = STATE(5403),
    [sym_identifier] = STATE(4646),
    [sym__soft_identifier] = STATE(4455),
    [sym_wildcard] = STATE(6287),
    [sym__non_null_literal] = STATE(5403),
    [sym_boolean_literal] = STATE(5637),
    [sym_interpolated_string_expression] = STATE(5403),
    [sym_string] = STATE(5637),
    [sym_unit] = STATE(5403),
    [sym_return_expression] = STATE(11364),
    [sym_throw_expression] = STATE(11364),
    [sym_while_expression] = STATE(11364),
    [sym_do_while_expression] = STATE(11364),
    [sym_for_expression] = STATE(11364),
    [sym_comment] = STATE(1928),
    [sym_block_comment] = STATE(1928),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(2352),
    [anon_sym_while] = ACTIONS(1172),
    [anon_sym_for] = ACTIONS(1174),
    [anon_sym_try] = ACTIONS(1176),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1178),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1162),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1180),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1182),
    [anon_sym_throw] = ACTIONS(1184),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_yield] = ACTIONS(3930),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [1929] = {
    [sym_inline_modifier] = STATE(2132),
    [sym_block] = STATE(6738),
    [sym_expression] = STATE(11920),
    [sym__simple_expression] = STATE(6097),
    [sym_lambda_expression] = STATE(12430),
    [sym_if_expression] = STATE(12430),
    [sym_match_expression] = STATE(12430),
    [sym_try_expression] = STATE(12430),
    [sym_bindings] = STATE(15718),
    [sym_case_block] = STATE(6738),
    [sym_assignment_expression] = STATE(12430),
    [sym_generic_function] = STATE(6738),
    [sym_call_expression] = STATE(6738),
    [sym_field_expression] = STATE(6738),
    [sym_instance_expression] = STATE(6738),
    [sym_ascription_expression] = STATE(12430),
    [sym_infix_expression] = STATE(8389),
    [sym_postfix_expression] = STATE(11930),
    [sym__postfix_expression_choice] = STATE(15885),
    [sym_macro_body] = STATE(12430),
    [sym_prefix_expression] = STATE(9761),
    [sym_tuple_expression] = STATE(6738),
    [sym_parenthesized_expression] = STATE(6738),
    [sym_splice_expression] = STATE(6738),
    [sym_quote_expression] = STATE(6738),
    [sym_identifier] = STATE(5458),
    [sym__soft_identifier] = STATE(4943),
    [sym_wildcard] = STATE(8612),
    [sym__non_null_literal] = STATE(6738),
    [sym_boolean_literal] = STATE(7301),
    [sym_interpolated_string_expression] = STATE(6738),
    [sym_string] = STATE(7301),
    [sym_unit] = STATE(6738),
    [sym_return_expression] = STATE(12430),
    [sym_throw_expression] = STATE(12430),
    [sym_while_expression] = STATE(12430),
    [sym_do_while_expression] = STATE(12430),
    [sym_for_expression] = STATE(12430),
    [sym_comment] = STATE(1929),
    [sym_block_comment] = STATE(1929),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(2430),
    [anon_sym_while] = ACTIONS(2432),
    [anon_sym_for] = ACTIONS(2434),
    [anon_sym_try] = ACTIONS(2436),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(2438),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1360),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(2440),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(2442),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(1368),
    [anon_sym_yield] = ACTIONS(3932),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [1930] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(16043),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1930),
    [sym_block_comment] = STATE(1930),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1931] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13810),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1931),
    [sym_block_comment] = STATE(1931),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3934),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1932] = {
    [sym_inline_modifier] = STATE(2148),
    [sym_block] = STATE(9088),
    [sym_expression] = STATE(12998),
    [sym__simple_expression] = STATE(8626),
    [sym_lambda_expression] = STATE(13338),
    [sym_if_expression] = STATE(13338),
    [sym_match_expression] = STATE(13338),
    [sym_try_expression] = STATE(13338),
    [sym_bindings] = STATE(15683),
    [sym_case_block] = STATE(9088),
    [sym_assignment_expression] = STATE(13338),
    [sym_generic_function] = STATE(9088),
    [sym_call_expression] = STATE(9088),
    [sym_field_expression] = STATE(9088),
    [sym_instance_expression] = STATE(9088),
    [sym_ascription_expression] = STATE(13338),
    [sym_infix_expression] = STATE(9773),
    [sym_postfix_expression] = STATE(13117),
    [sym__postfix_expression_choice] = STATE(15912),
    [sym_macro_body] = STATE(13338),
    [sym_prefix_expression] = STATE(10372),
    [sym_tuple_expression] = STATE(9088),
    [sym_parenthesized_expression] = STATE(9088),
    [sym_splice_expression] = STATE(9088),
    [sym_quote_expression] = STATE(9088),
    [sym_identifier] = STATE(7467),
    [sym__soft_identifier] = STATE(6581),
    [sym_wildcard] = STATE(9755),
    [sym__non_null_literal] = STATE(9088),
    [sym_boolean_literal] = STATE(8905),
    [sym_interpolated_string_expression] = STATE(9088),
    [sym_string] = STATE(8905),
    [sym_unit] = STATE(9088),
    [sym_return_expression] = STATE(13338),
    [sym_throw_expression] = STATE(13338),
    [sym_while_expression] = STATE(13338),
    [sym_do_while_expression] = STATE(13338),
    [sym_for_expression] = STATE(13338),
    [sym_comment] = STATE(1932),
    [sym_block_comment] = STATE(1932),
    [sym__alpha_identifier] = ACTIONS(1938),
    [anon_sym_LBRACE] = ACTIONS(1942),
    [anon_sym__] = ACTIONS(1944),
    [anon_sym_PLUS] = ACTIONS(1946),
    [anon_sym_DASH] = ACTIONS(1946),
    [anon_sym_end] = ACTIONS(1948),
    [anon_sym_if] = ACTIONS(2450),
    [anon_sym_while] = ACTIONS(2452),
    [anon_sym_for] = ACTIONS(2454),
    [anon_sym_try] = ACTIONS(2456),
    [anon_sym_new] = ACTIONS(1950),
    [anon_sym_opaque] = ACTIONS(1948),
    [anon_sym_implicit] = ACTIONS(2458),
    [anon_sym_inline] = ACTIONS(1952),
    [anon_sym_infix] = ACTIONS(1948),
    [anon_sym_open] = ACTIONS(1948),
    [anon_sym_transparent] = ACTIONS(1948),
    [anon_sym_LPAREN] = ACTIONS(1954),
    [anon_sym_macro] = ACTIONS(2270),
    [anon_sym_BANG] = ACTIONS(1946),
    [anon_sym_TILDE] = ACTIONS(1946),
    [anon_sym_DOLLAR] = ACTIONS(1956),
    [anon_sym_SQUOTE] = ACTIONS(1958),
    [sym__backquoted_id] = ACTIONS(1960),
    [sym_operator_identifier] = ACTIONS(2460),
    [sym_integer_literal] = ACTIONS(1964),
    [sym_floating_point_literal] = ACTIONS(1966),
    [anon_sym_true] = ACTIONS(1968),
    [anon_sym_false] = ACTIONS(1968),
    [sym_character_literal] = ACTIONS(1966),
    [sym_null_literal] = ACTIONS(1970),
    [anon_sym_return] = ACTIONS(2462),
    [anon_sym_throw] = ACTIONS(2464),
    [anon_sym_do] = ACTIONS(2278),
    [anon_sym_yield] = ACTIONS(3936),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1972),
    [sym__simple_string] = ACTIONS(1972),
  },
  [1933] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13810),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1933),
    [sym_block_comment] = STATE(1933),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3938),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1934] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(17464),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1934),
    [sym_block_comment] = STATE(1934),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1935] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(16778),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1935),
    [sym_block_comment] = STATE(1935),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1936] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13810),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1936),
    [sym_block_comment] = STATE(1936),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3940),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1937] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(15884),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1937),
    [sym_block_comment] = STATE(1937),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1938] = {
    [sym_inline_modifier] = STATE(2067),
    [sym_block] = STATE(10133),
    [sym_expression] = STATE(13756),
    [sym__simple_expression] = STATE(7525),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15728),
    [sym_case_block] = STATE(10133),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(10133),
    [sym_call_expression] = STATE(10133),
    [sym_field_expression] = STATE(10133),
    [sym_instance_expression] = STATE(10133),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(10489),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(17114),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10321),
    [sym_tuple_expression] = STATE(10133),
    [sym_parenthesized_expression] = STATE(10133),
    [sym_splice_expression] = STATE(10133),
    [sym_quote_expression] = STATE(10133),
    [sym_identifier] = STATE(7070),
    [sym__soft_identifier] = STATE(4482),
    [sym_wildcard] = STATE(9321),
    [sym__non_null_literal] = STATE(10133),
    [sym_boolean_literal] = STATE(7065),
    [sym_interpolated_string_expression] = STATE(10133),
    [sym_string] = STATE(7065),
    [sym_unit] = STATE(10133),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(1938),
    [sym_block_comment] = STATE(1938),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_end] = ACTIONS(2374),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_opaque] = ACTIONS(2374),
    [anon_sym_implicit] = ACTIONS(3002),
    [anon_sym_inline] = ACTIONS(67),
    [anon_sym_infix] = ACTIONS(2374),
    [anon_sym_open] = ACTIONS(2374),
    [anon_sym_transparent] = ACTIONS(2374),
    [anon_sym_LPAREN] = ACTIONS(75),
    [anon_sym_macro] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(83),
    [sym_operator_identifier] = ACTIONS(85),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(95),
    [anon_sym_throw] = ACTIONS(97),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_yield] = ACTIONS(3942),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [1939] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(17478),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1939),
    [sym_block_comment] = STATE(1939),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1940] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(17503),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1940),
    [sym_block_comment] = STATE(1940),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1941] = {
    [sym_inline_modifier] = STATE(2191),
    [sym_block] = STATE(8821),
    [sym_expression] = STATE(13086),
    [sym__simple_expression] = STATE(6138),
    [sym_lambda_expression] = STATE(13337),
    [sym_if_expression] = STATE(13337),
    [sym_match_expression] = STATE(13337),
    [sym_try_expression] = STATE(13337),
    [sym_bindings] = STATE(15634),
    [sym_case_block] = STATE(8821),
    [sym_assignment_expression] = STATE(13337),
    [sym_generic_function] = STATE(8821),
    [sym_call_expression] = STATE(8821),
    [sym_field_expression] = STATE(8821),
    [sym_instance_expression] = STATE(8821),
    [sym_ascription_expression] = STATE(13337),
    [sym_infix_expression] = STATE(9659),
    [sym_postfix_expression] = STATE(13173),
    [sym__postfix_expression_choice] = STATE(16170),
    [sym_macro_body] = STATE(13337),
    [sym_prefix_expression] = STATE(9758),
    [sym_tuple_expression] = STATE(8821),
    [sym_parenthesized_expression] = STATE(8821),
    [sym_splice_expression] = STATE(8821),
    [sym_quote_expression] = STATE(8821),
    [sym_identifier] = STATE(5472),
    [sym__soft_identifier] = STATE(6446),
    [sym_wildcard] = STATE(8602),
    [sym__non_null_literal] = STATE(8821),
    [sym_boolean_literal] = STATE(8798),
    [sym_interpolated_string_expression] = STATE(8821),
    [sym_string] = STATE(8798),
    [sym_unit] = STATE(8821),
    [sym_return_expression] = STATE(13337),
    [sym_throw_expression] = STATE(13337),
    [sym_while_expression] = STATE(13337),
    [sym_do_while_expression] = STATE(13337),
    [sym_for_expression] = STATE(13337),
    [sym_comment] = STATE(1941),
    [sym_block_comment] = STATE(1941),
    [sym__alpha_identifier] = ACTIONS(1674),
    [anon_sym_LBRACE] = ACTIONS(1678),
    [anon_sym__] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1682),
    [anon_sym_DASH] = ACTIONS(1682),
    [anon_sym_end] = ACTIONS(1684),
    [anon_sym_if] = ACTIONS(2298),
    [anon_sym_while] = ACTIONS(2300),
    [anon_sym_for] = ACTIONS(2302),
    [anon_sym_try] = ACTIONS(2304),
    [anon_sym_new] = ACTIONS(1686),
    [anon_sym_opaque] = ACTIONS(1684),
    [anon_sym_implicit] = ACTIONS(2306),
    [anon_sym_inline] = ACTIONS(1688),
    [anon_sym_infix] = ACTIONS(1684),
    [anon_sym_open] = ACTIONS(1684),
    [anon_sym_transparent] = ACTIONS(1684),
    [anon_sym_LPAREN] = ACTIONS(1690),
    [anon_sym_macro] = ACTIONS(1914),
    [anon_sym_BANG] = ACTIONS(1682),
    [anon_sym_TILDE] = ACTIONS(1682),
    [anon_sym_DOLLAR] = ACTIONS(1692),
    [anon_sym_SQUOTE] = ACTIONS(1694),
    [sym__backquoted_id] = ACTIONS(1696),
    [sym_operator_identifier] = ACTIONS(2308),
    [sym_integer_literal] = ACTIONS(1700),
    [sym_floating_point_literal] = ACTIONS(1702),
    [anon_sym_true] = ACTIONS(1704),
    [anon_sym_false] = ACTIONS(1704),
    [sym_character_literal] = ACTIONS(1702),
    [sym_null_literal] = ACTIONS(1706),
    [anon_sym_return] = ACTIONS(2310),
    [anon_sym_throw] = ACTIONS(2312),
    [anon_sym_do] = ACTIONS(1922),
    [anon_sym_yield] = ACTIONS(3944),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1708),
    [sym__simple_string] = ACTIONS(1708),
  },
  [1942] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(16759),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1942),
    [sym_block_comment] = STATE(1942),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1943] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(16736),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1943),
    [sym_block_comment] = STATE(1943),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1944] = {
    [sym_inline_modifier] = STATE(2122),
    [sym_block] = STATE(6703),
    [sym_expression] = STATE(12163),
    [sym__simple_expression] = STATE(6037),
    [sym_lambda_expression] = STATE(12046),
    [sym_if_expression] = STATE(12046),
    [sym_match_expression] = STATE(12046),
    [sym_try_expression] = STATE(12046),
    [sym_bindings] = STATE(15638),
    [sym_case_block] = STATE(6703),
    [sym_assignment_expression] = STATE(12046),
    [sym_generic_function] = STATE(6703),
    [sym_call_expression] = STATE(6703),
    [sym_field_expression] = STATE(6703),
    [sym_instance_expression] = STATE(6703),
    [sym_ascription_expression] = STATE(12046),
    [sym_infix_expression] = STATE(8166),
    [sym_postfix_expression] = STATE(11496),
    [sym__postfix_expression_choice] = STATE(15827),
    [sym_macro_body] = STATE(12046),
    [sym_prefix_expression] = STATE(9715),
    [sym_tuple_expression] = STATE(6703),
    [sym_parenthesized_expression] = STATE(6703),
    [sym_splice_expression] = STATE(6703),
    [sym_quote_expression] = STATE(6703),
    [sym_identifier] = STATE(5641),
    [sym__soft_identifier] = STATE(4884),
    [sym_wildcard] = STATE(8386),
    [sym__non_null_literal] = STATE(6703),
    [sym_boolean_literal] = STATE(6780),
    [sym_interpolated_string_expression] = STATE(6703),
    [sym_string] = STATE(6780),
    [sym_unit] = STATE(6703),
    [sym_return_expression] = STATE(12046),
    [sym_throw_expression] = STATE(12046),
    [sym_while_expression] = STATE(12046),
    [sym_do_while_expression] = STATE(12046),
    [sym_for_expression] = STATE(12046),
    [sym_comment] = STATE(1944),
    [sym_block_comment] = STATE(1944),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(1838),
    [anon_sym_while] = ACTIONS(1840),
    [anon_sym_for] = ACTIONS(1842),
    [anon_sym_try] = ACTIONS(1844),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(1846),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1848),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(1850),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(1852),
    [anon_sym_throw] = ACTIONS(1854),
    [anon_sym_do] = ACTIONS(1856),
    [anon_sym_yield] = ACTIONS(3946),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [1945] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(17113),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1945),
    [sym_block_comment] = STATE(1945),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1946] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(17492),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1946),
    [sym_block_comment] = STATE(1946),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1947] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(15920),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1947),
    [sym_block_comment] = STATE(1947),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1948] = {
    [sym_inline_modifier] = STATE(2108),
    [sym_block] = STATE(9800),
    [sym_expression] = STATE(13481),
    [sym__simple_expression] = STATE(7357),
    [sym_lambda_expression] = STATE(12046),
    [sym_if_expression] = STATE(12046),
    [sym_match_expression] = STATE(12046),
    [sym_try_expression] = STATE(12046),
    [sym_bindings] = STATE(15518),
    [sym_case_block] = STATE(9800),
    [sym_assignment_expression] = STATE(12046),
    [sym_generic_function] = STATE(9800),
    [sym_call_expression] = STATE(9800),
    [sym_field_expression] = STATE(9800),
    [sym_instance_expression] = STATE(9800),
    [sym_ascription_expression] = STATE(12046),
    [sym_infix_expression] = STATE(10315),
    [sym_postfix_expression] = STATE(11496),
    [sym__postfix_expression_choice] = STATE(15840),
    [sym_macro_body] = STATE(12046),
    [sym_prefix_expression] = STATE(9949),
    [sym_tuple_expression] = STATE(9800),
    [sym_parenthesized_expression] = STATE(9800),
    [sym_splice_expression] = STATE(9800),
    [sym_quote_expression] = STATE(9800),
    [sym_identifier] = STATE(6016),
    [sym__soft_identifier] = STATE(4545),
    [sym_wildcard] = STATE(9086),
    [sym__non_null_literal] = STATE(9800),
    [sym_boolean_literal] = STATE(6076),
    [sym_interpolated_string_expression] = STATE(9800),
    [sym_string] = STATE(6076),
    [sym_unit] = STATE(9800),
    [sym_return_expression] = STATE(12046),
    [sym_throw_expression] = STATE(12046),
    [sym_while_expression] = STATE(12046),
    [sym_do_while_expression] = STATE(12046),
    [sym_for_expression] = STATE(12046),
    [sym_comment] = STATE(1948),
    [sym_block_comment] = STATE(1948),
    [sym__alpha_identifier] = ACTIONS(2084),
    [anon_sym_LBRACE] = ACTIONS(2088),
    [anon_sym__] = ACTIONS(2090),
    [anon_sym_PLUS] = ACTIONS(2092),
    [anon_sym_DASH] = ACTIONS(2092),
    [anon_sym_end] = ACTIONS(2094),
    [anon_sym_if] = ACTIONS(2216),
    [anon_sym_while] = ACTIONS(2218),
    [anon_sym_for] = ACTIONS(2220),
    [anon_sym_try] = ACTIONS(2222),
    [anon_sym_new] = ACTIONS(2096),
    [anon_sym_opaque] = ACTIONS(2094),
    [anon_sym_implicit] = ACTIONS(2224),
    [anon_sym_inline] = ACTIONS(2098),
    [anon_sym_infix] = ACTIONS(2094),
    [anon_sym_open] = ACTIONS(2094),
    [anon_sym_transparent] = ACTIONS(2094),
    [anon_sym_LPAREN] = ACTIONS(2100),
    [anon_sym_macro] = ACTIONS(2226),
    [anon_sym_BANG] = ACTIONS(2092),
    [anon_sym_TILDE] = ACTIONS(2092),
    [anon_sym_DOLLAR] = ACTIONS(2102),
    [anon_sym_SQUOTE] = ACTIONS(2104),
    [sym__backquoted_id] = ACTIONS(2106),
    [sym_operator_identifier] = ACTIONS(2228),
    [sym_integer_literal] = ACTIONS(2110),
    [sym_floating_point_literal] = ACTIONS(2112),
    [anon_sym_true] = ACTIONS(2114),
    [anon_sym_false] = ACTIONS(2114),
    [sym_character_literal] = ACTIONS(2112),
    [sym_null_literal] = ACTIONS(2116),
    [anon_sym_return] = ACTIONS(2230),
    [anon_sym_throw] = ACTIONS(2232),
    [anon_sym_do] = ACTIONS(1856),
    [anon_sym_yield] = ACTIONS(3948),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(2118),
    [sym__simple_string] = ACTIONS(2118),
  },
  [1949] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13810),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1949),
    [sym_block_comment] = STATE(1949),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3950),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1950] = {
    [sym_inline_modifier] = STATE(2255),
    [sym_block] = STATE(6954),
    [sym_expression] = STATE(12172),
    [sym__simple_expression] = STATE(5438),
    [sym_lambda_expression] = STATE(12144),
    [sym_if_expression] = STATE(12144),
    [sym_match_expression] = STATE(12144),
    [sym_try_expression] = STATE(12144),
    [sym_bindings] = STATE(15515),
    [sym_case_block] = STATE(6954),
    [sym_assignment_expression] = STATE(12144),
    [sym_generic_function] = STATE(6954),
    [sym_call_expression] = STATE(6954),
    [sym_field_expression] = STATE(6954),
    [sym_instance_expression] = STATE(6954),
    [sym_ascription_expression] = STATE(12144),
    [sym_infix_expression] = STATE(8226),
    [sym_postfix_expression] = STATE(11499),
    [sym__postfix_expression_choice] = STATE(16229),
    [sym_macro_body] = STATE(12144),
    [sym_prefix_expression] = STATE(9369),
    [sym_tuple_expression] = STATE(6954),
    [sym_parenthesized_expression] = STATE(6954),
    [sym_splice_expression] = STATE(6954),
    [sym_quote_expression] = STATE(6954),
    [sym_identifier] = STATE(5276),
    [sym__soft_identifier] = STATE(4827),
    [sym_wildcard] = STATE(7444),
    [sym__non_null_literal] = STATE(6954),
    [sym_boolean_literal] = STATE(6997),
    [sym_interpolated_string_expression] = STATE(6954),
    [sym_string] = STATE(6997),
    [sym_unit] = STATE(6954),
    [sym_return_expression] = STATE(12144),
    [sym_throw_expression] = STATE(12144),
    [sym_while_expression] = STATE(12144),
    [sym_do_while_expression] = STATE(12144),
    [sym_for_expression] = STATE(12144),
    [sym_comment] = STATE(1950),
    [sym_block_comment] = STATE(1950),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(2666),
    [anon_sym_while] = ACTIONS(2314),
    [anon_sym_for] = ACTIONS(2316),
    [anon_sym_try] = ACTIONS(2318),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(2320),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1894),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(2322),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(2324),
    [anon_sym_throw] = ACTIONS(2326),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_yield] = ACTIONS(3952),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [1951] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(16718),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1951),
    [sym_block_comment] = STATE(1951),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1952] = {
    [sym_inline_modifier] = STATE(2234),
    [sym_block] = STATE(7443),
    [sym_expression] = STATE(12244),
    [sym__simple_expression] = STATE(5279),
    [sym_lambda_expression] = STATE(12692),
    [sym_if_expression] = STATE(12692),
    [sym_match_expression] = STATE(12692),
    [sym_try_expression] = STATE(12692),
    [sym_bindings] = STATE(15619),
    [sym_case_block] = STATE(7443),
    [sym_assignment_expression] = STATE(12692),
    [sym_generic_function] = STATE(7443),
    [sym_call_expression] = STATE(7443),
    [sym_field_expression] = STATE(7443),
    [sym_instance_expression] = STATE(7443),
    [sym_ascription_expression] = STATE(12692),
    [sym_infix_expression] = STATE(8993),
    [sym_postfix_expression] = STATE(12386),
    [sym__postfix_expression_choice] = STATE(16150),
    [sym_macro_body] = STATE(12692),
    [sym_prefix_expression] = STATE(8795),
    [sym_tuple_expression] = STATE(7443),
    [sym_parenthesized_expression] = STATE(7443),
    [sym_splice_expression] = STATE(7443),
    [sym_quote_expression] = STATE(7443),
    [sym_identifier] = STATE(4734),
    [sym__soft_identifier] = STATE(5213),
    [sym_wildcard] = STATE(7227),
    [sym__non_null_literal] = STATE(7443),
    [sym_boolean_literal] = STATE(7707),
    [sym_interpolated_string_expression] = STATE(7443),
    [sym_string] = STATE(7707),
    [sym_unit] = STATE(7443),
    [sym_return_expression] = STATE(12692),
    [sym_throw_expression] = STATE(12692),
    [sym_while_expression] = STATE(12692),
    [sym_do_while_expression] = STATE(12692),
    [sym_for_expression] = STATE(12692),
    [sym_comment] = STATE(1952),
    [sym_block_comment] = STATE(1952),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(2292),
    [anon_sym_while] = ACTIONS(1480),
    [anon_sym_for] = ACTIONS(1482),
    [anon_sym_try] = ACTIONS(1484),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(1486),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1196),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(1488),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(1490),
    [anon_sym_throw] = ACTIONS(1492),
    [anon_sym_do] = ACTIONS(1204),
    [anon_sym_yield] = ACTIONS(3954),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [1953] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(15862),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1953),
    [sym_block_comment] = STATE(1953),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1954] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(16681),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1954),
    [sym_block_comment] = STATE(1954),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1955] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(17161),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1955),
    [sym_block_comment] = STATE(1955),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1956] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(17476),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1956),
    [sym_block_comment] = STATE(1956),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1957] = {
    [sym_inline_modifier] = STATE(2159),
    [sym_block] = STATE(6450),
    [sym_expression] = STATE(11462),
    [sym__simple_expression] = STATE(5274),
    [sym_lambda_expression] = STATE(11549),
    [sym_if_expression] = STATE(11549),
    [sym_match_expression] = STATE(11549),
    [sym_try_expression] = STATE(11549),
    [sym_bindings] = STATE(15607),
    [sym_case_block] = STATE(6450),
    [sym_assignment_expression] = STATE(11549),
    [sym_generic_function] = STATE(6450),
    [sym_call_expression] = STATE(6450),
    [sym_field_expression] = STATE(6450),
    [sym_instance_expression] = STATE(6450),
    [sym_ascription_expression] = STATE(11549),
    [sym_infix_expression] = STATE(7641),
    [sym_postfix_expression] = STATE(11204),
    [sym__postfix_expression_choice] = STATE(16480),
    [sym_macro_body] = STATE(11549),
    [sym_prefix_expression] = STATE(8822),
    [sym_tuple_expression] = STATE(6450),
    [sym_parenthesized_expression] = STATE(6450),
    [sym_splice_expression] = STATE(6450),
    [sym_quote_expression] = STATE(6450),
    [sym_identifier] = STATE(4738),
    [sym__soft_identifier] = STATE(4507),
    [sym_wildcard] = STATE(7298),
    [sym__non_null_literal] = STATE(6450),
    [sym_boolean_literal] = STATE(6156),
    [sym_interpolated_string_expression] = STATE(6450),
    [sym_string] = STATE(6156),
    [sym_unit] = STATE(6450),
    [sym_return_expression] = STATE(11549),
    [sym_throw_expression] = STATE(11549),
    [sym_while_expression] = STATE(11549),
    [sym_do_while_expression] = STATE(11549),
    [sym_for_expression] = STATE(11549),
    [sym_comment] = STATE(1957),
    [sym_block_comment] = STATE(1957),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(2472),
    [anon_sym_while] = ACTIONS(1974),
    [anon_sym_for] = ACTIONS(1976),
    [anon_sym_try] = ACTIONS(1978),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1980),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1378),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1982),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1984),
    [anon_sym_throw] = ACTIONS(1986),
    [anon_sym_do] = ACTIONS(1386),
    [anon_sym_yield] = ACTIONS(3956),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [1958] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(17131),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1958),
    [sym_block_comment] = STATE(1958),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1959] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(16658),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1959),
    [sym_block_comment] = STATE(1959),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1960] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(15805),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1960),
    [sym_block_comment] = STATE(1960),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1961] = {
    [sym_inline_modifier] = STATE(2252),
    [sym_block] = STATE(8262),
    [sym_expression] = STATE(12872),
    [sym__simple_expression] = STATE(5471),
    [sym_lambda_expression] = STATE(13098),
    [sym_if_expression] = STATE(13098),
    [sym_match_expression] = STATE(13098),
    [sym_try_expression] = STATE(13098),
    [sym_bindings] = STATE(15615),
    [sym_case_block] = STATE(8262),
    [sym_assignment_expression] = STATE(13098),
    [sym_generic_function] = STATE(8262),
    [sym_call_expression] = STATE(8262),
    [sym_field_expression] = STATE(8262),
    [sym_instance_expression] = STATE(8262),
    [sym_ascription_expression] = STATE(13098),
    [sym_infix_expression] = STATE(9485),
    [sym_postfix_expression] = STATE(12647),
    [sym__postfix_expression_choice] = STATE(16347),
    [sym_macro_body] = STATE(13098),
    [sym_prefix_expression] = STATE(9525),
    [sym_tuple_expression] = STATE(8262),
    [sym_parenthesized_expression] = STATE(8262),
    [sym_splice_expression] = STATE(8262),
    [sym_quote_expression] = STATE(8262),
    [sym_identifier] = STATE(5180),
    [sym__soft_identifier] = STATE(5419),
    [sym_wildcard] = STATE(7820),
    [sym__non_null_literal] = STATE(8262),
    [sym_boolean_literal] = STATE(8242),
    [sym_interpolated_string_expression] = STATE(8262),
    [sym_string] = STATE(8242),
    [sym_unit] = STATE(8262),
    [sym_return_expression] = STATE(13098),
    [sym_throw_expression] = STATE(13098),
    [sym_while_expression] = STATE(13098),
    [sym_do_while_expression] = STATE(13098),
    [sym_for_expression] = STATE(13098),
    [sym_comment] = STATE(1961),
    [sym_block_comment] = STATE(1961),
    [sym__alpha_identifier] = ACTIONS(1278),
    [anon_sym_LBRACE] = ACTIONS(1282),
    [anon_sym__] = ACTIONS(1284),
    [anon_sym_PLUS] = ACTIONS(1286),
    [anon_sym_DASH] = ACTIONS(1286),
    [anon_sym_end] = ACTIONS(1288),
    [anon_sym_if] = ACTIONS(1710),
    [anon_sym_while] = ACTIONS(1712),
    [anon_sym_for] = ACTIONS(1714),
    [anon_sym_try] = ACTIONS(1716),
    [anon_sym_new] = ACTIONS(1290),
    [anon_sym_opaque] = ACTIONS(1288),
    [anon_sym_implicit] = ACTIONS(1718),
    [anon_sym_inline] = ACTIONS(1292),
    [anon_sym_infix] = ACTIONS(1288),
    [anon_sym_open] = ACTIONS(1288),
    [anon_sym_transparent] = ACTIONS(1288),
    [anon_sym_LPAREN] = ACTIONS(1294),
    [anon_sym_macro] = ACTIONS(1720),
    [anon_sym_BANG] = ACTIONS(1286),
    [anon_sym_TILDE] = ACTIONS(1286),
    [anon_sym_DOLLAR] = ACTIONS(1296),
    [anon_sym_SQUOTE] = ACTIONS(1298),
    [sym__backquoted_id] = ACTIONS(1300),
    [sym_operator_identifier] = ACTIONS(1722),
    [sym_integer_literal] = ACTIONS(1304),
    [sym_floating_point_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1308),
    [anon_sym_false] = ACTIONS(1308),
    [sym_character_literal] = ACTIONS(1306),
    [sym_null_literal] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(1724),
    [anon_sym_throw] = ACTIONS(1726),
    [anon_sym_do] = ACTIONS(1728),
    [anon_sym_yield] = ACTIONS(3958),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1312),
    [sym__simple_string] = ACTIONS(1312),
  },
  [1962] = {
    [sym_inline_modifier] = STATE(2262),
    [sym_block] = STATE(6540),
    [sym_expression] = STATE(11403),
    [sym__simple_expression] = STATE(5817),
    [sym_lambda_expression] = STATE(11374),
    [sym_if_expression] = STATE(11374),
    [sym_match_expression] = STATE(11374),
    [sym_try_expression] = STATE(11374),
    [sym_bindings] = STATE(15530),
    [sym_case_block] = STATE(6540),
    [sym_assignment_expression] = STATE(11374),
    [sym_generic_function] = STATE(6540),
    [sym_call_expression] = STATE(6540),
    [sym_field_expression] = STATE(6540),
    [sym_instance_expression] = STATE(6540),
    [sym_ascription_expression] = STATE(11374),
    [sym_infix_expression] = STATE(7834),
    [sym_postfix_expression] = STATE(11215),
    [sym__postfix_expression_choice] = STATE(16210),
    [sym_macro_body] = STATE(11374),
    [sym_prefix_expression] = STATE(9262),
    [sym_tuple_expression] = STATE(6540),
    [sym_parenthesized_expression] = STATE(6540),
    [sym_splice_expression] = STATE(6540),
    [sym_quote_expression] = STATE(6540),
    [sym_identifier] = STATE(5031),
    [sym__soft_identifier] = STATE(4667),
    [sym_wildcard] = STATE(7986),
    [sym__non_null_literal] = STATE(6540),
    [sym_boolean_literal] = STATE(6246),
    [sym_interpolated_string_expression] = STATE(6540),
    [sym_string] = STATE(6246),
    [sym_unit] = STATE(6540),
    [sym_return_expression] = STATE(11374),
    [sym_throw_expression] = STATE(11374),
    [sym_while_expression] = STATE(11374),
    [sym_do_while_expression] = STATE(11374),
    [sym_for_expression] = STATE(11374),
    [sym_comment] = STATE(1962),
    [sym_block_comment] = STATE(1962),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(1530),
    [anon_sym_while] = ACTIONS(1532),
    [anon_sym_for] = ACTIONS(1534),
    [anon_sym_try] = ACTIONS(1536),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1538),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1540),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1542),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1544),
    [anon_sym_throw] = ACTIONS(1546),
    [anon_sym_do] = ACTIONS(1548),
    [anon_sym_yield] = ACTIONS(3960),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [1963] = {
    [sym_inline_modifier] = STATE(2115),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(12236),
    [sym__simple_expression] = STATE(7311),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15577),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(10220),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10124),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6254),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(8727),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(1963),
    [sym_block_comment] = STATE(1963),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(603),
    [anon_sym_DASH] = ACTIONS(603),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(605),
    [anon_sym_while] = ACTIONS(607),
    [anon_sym_for] = ACTIONS(609),
    [anon_sym_try] = ACTIONS(611),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2192),
    [anon_sym_inline] = ACTIONS(1764),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(603),
    [anon_sym_TILDE] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(621),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(623),
    [anon_sym_throw] = ACTIONS(625),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_yield] = ACTIONS(3962),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1964] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(17463),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1964),
    [sym_block_comment] = STATE(1964),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1965] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(15810),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1965),
    [sym_block_comment] = STATE(1965),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1966] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13810),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1966),
    [sym_block_comment] = STATE(1966),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3964),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1967] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13810),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1967),
    [sym_block_comment] = STATE(1967),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3966),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1968] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(16610),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1968),
    [sym_block_comment] = STATE(1968),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1969] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13810),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1969),
    [sym_block_comment] = STATE(1969),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3968),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1970] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(17386),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1970),
    [sym_block_comment] = STATE(1970),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1971] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9088),
    [sym_expression] = STATE(12998),
    [sym__simple_expression] = STATE(7286),
    [sym_lambda_expression] = STATE(13338),
    [sym_if_expression] = STATE(13338),
    [sym_match_expression] = STATE(13338),
    [sym_try_expression] = STATE(13338),
    [sym_bindings] = STATE(15723),
    [sym_case_block] = STATE(9088),
    [sym_assignment_expression] = STATE(13338),
    [sym_generic_function] = STATE(9088),
    [sym_call_expression] = STATE(9088),
    [sym_field_expression] = STATE(9088),
    [sym_instance_expression] = STATE(9088),
    [sym_ascription_expression] = STATE(13338),
    [sym_infix_expression] = STATE(9773),
    [sym_postfix_expression] = STATE(13117),
    [sym__postfix_expression_choice] = STATE(15912),
    [sym_macro_body] = STATE(13338),
    [sym_prefix_expression] = STATE(10020),
    [sym_tuple_expression] = STATE(9088),
    [sym_parenthesized_expression] = STATE(9088),
    [sym_splice_expression] = STATE(9088),
    [sym_quote_expression] = STATE(9088),
    [sym_identifier] = STATE(6105),
    [sym__soft_identifier] = STATE(6581),
    [sym_wildcard] = STATE(8709),
    [sym__non_null_literal] = STATE(9088),
    [sym_boolean_literal] = STATE(8905),
    [sym_interpolated_string_expression] = STATE(9088),
    [sym_string] = STATE(8905),
    [sym_unit] = STATE(9088),
    [sym_return_expression] = STATE(13338),
    [sym_throw_expression] = STATE(13338),
    [sym_while_expression] = STATE(13338),
    [sym_do_while_expression] = STATE(13338),
    [sym_for_expression] = STATE(13338),
    [sym_comment] = STATE(1971),
    [sym_block_comment] = STATE(1971),
    [sym__alpha_identifier] = ACTIONS(1938),
    [anon_sym_LBRACE] = ACTIONS(1942),
    [anon_sym__] = ACTIONS(1944),
    [anon_sym_PLUS] = ACTIONS(1946),
    [anon_sym_DASH] = ACTIONS(1946),
    [anon_sym_end] = ACTIONS(1948),
    [anon_sym_if] = ACTIONS(2260),
    [anon_sym_while] = ACTIONS(2262),
    [anon_sym_for] = ACTIONS(2264),
    [anon_sym_try] = ACTIONS(2266),
    [anon_sym_new] = ACTIONS(1950),
    [anon_sym_opaque] = ACTIONS(1948),
    [anon_sym_implicit] = ACTIONS(2268),
    [anon_sym_inline] = ACTIONS(1952),
    [anon_sym_infix] = ACTIONS(1948),
    [anon_sym_open] = ACTIONS(1948),
    [anon_sym_transparent] = ACTIONS(1948),
    [anon_sym_LPAREN] = ACTIONS(1954),
    [anon_sym_macro] = ACTIONS(2270),
    [anon_sym_BANG] = ACTIONS(1946),
    [anon_sym_TILDE] = ACTIONS(1946),
    [anon_sym_DOLLAR] = ACTIONS(1956),
    [anon_sym_SQUOTE] = ACTIONS(1958),
    [sym__backquoted_id] = ACTIONS(1960),
    [sym_operator_identifier] = ACTIONS(2272),
    [sym_integer_literal] = ACTIONS(1964),
    [sym_floating_point_literal] = ACTIONS(1966),
    [anon_sym_true] = ACTIONS(1968),
    [anon_sym_false] = ACTIONS(1968),
    [sym_character_literal] = ACTIONS(1966),
    [sym_null_literal] = ACTIONS(1970),
    [anon_sym_return] = ACTIONS(2274),
    [anon_sym_throw] = ACTIONS(2276),
    [anon_sym_do] = ACTIONS(2278),
    [anon_sym_yield] = ACTIONS(3970),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1972),
    [sym__simple_string] = ACTIONS(1972),
  },
  [1972] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13810),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1972),
    [sym_block_comment] = STATE(1972),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3972),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1973] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(17374),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1973),
    [sym_block_comment] = STATE(1973),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1974] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(16545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1974),
    [sym_block_comment] = STATE(1974),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1975] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(17312),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1975),
    [sym_block_comment] = STATE(1975),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1976] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(15861),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1976),
    [sym_block_comment] = STATE(1976),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1977] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(17147),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1977),
    [sym_block_comment] = STATE(1977),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1978] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(17360),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1978),
    [sym_block_comment] = STATE(1978),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1979] = {
    [sym_inline_modifier] = STATE(2064),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13263),
    [sym__simple_expression] = STATE(8719),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15704),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10572),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(8565),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(10039),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1979),
    [sym_block_comment] = STATE(1979),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(3246),
    [anon_sym_while] = ACTIONS(3248),
    [anon_sym_for] = ACTIONS(3250),
    [anon_sym_try] = ACTIONS(3252),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(3254),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3318),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(3259),
    [anon_sym_throw] = ACTIONS(3261),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_yield] = ACTIONS(3974),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1980] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(16514),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1980),
    [sym_block_comment] = STATE(1980),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1981] = {
    [sym_inline_modifier] = STATE(2259),
    [sym_block] = STATE(8070),
    [sym_expression] = STATE(12471),
    [sym__simple_expression] = STATE(7077),
    [sym_lambda_expression] = STATE(12742),
    [sym_if_expression] = STATE(12742),
    [sym_match_expression] = STATE(12742),
    [sym_try_expression] = STATE(12742),
    [sym_bindings] = STATE(15598),
    [sym_case_block] = STATE(8070),
    [sym_assignment_expression] = STATE(12742),
    [sym_generic_function] = STATE(8070),
    [sym_call_expression] = STATE(8070),
    [sym_field_expression] = STATE(8070),
    [sym_instance_expression] = STATE(8070),
    [sym_ascription_expression] = STATE(12742),
    [sym_infix_expression] = STATE(8913),
    [sym_postfix_expression] = STATE(12343),
    [sym__postfix_expression_choice] = STATE(16230),
    [sym_macro_body] = STATE(12742),
    [sym_prefix_expression] = STATE(10037),
    [sym_tuple_expression] = STATE(8070),
    [sym_parenthesized_expression] = STATE(8070),
    [sym_splice_expression] = STATE(8070),
    [sym_quote_expression] = STATE(8070),
    [sym_identifier] = STATE(6308),
    [sym__soft_identifier] = STATE(5234),
    [sym_wildcard] = STATE(8710),
    [sym__non_null_literal] = STATE(8070),
    [sym_boolean_literal] = STATE(8055),
    [sym_interpolated_string_expression] = STATE(8070),
    [sym_string] = STATE(8055),
    [sym_unit] = STATE(8070),
    [sym_return_expression] = STATE(12742),
    [sym_throw_expression] = STATE(12742),
    [sym_while_expression] = STATE(12742),
    [sym_do_while_expression] = STATE(12742),
    [sym_for_expression] = STATE(12742),
    [sym_comment] = STATE(1981),
    [sym_block_comment] = STATE(1981),
    [sym__alpha_identifier] = ACTIONS(1314),
    [anon_sym_LBRACE] = ACTIONS(1318),
    [anon_sym__] = ACTIONS(1320),
    [anon_sym_PLUS] = ACTIONS(1322),
    [anon_sym_DASH] = ACTIONS(1322),
    [anon_sym_end] = ACTIONS(1324),
    [anon_sym_if] = ACTIONS(2486),
    [anon_sym_while] = ACTIONS(2488),
    [anon_sym_for] = ACTIONS(2490),
    [anon_sym_try] = ACTIONS(2492),
    [anon_sym_new] = ACTIONS(1326),
    [anon_sym_opaque] = ACTIONS(1324),
    [anon_sym_implicit] = ACTIONS(2494),
    [anon_sym_inline] = ACTIONS(1328),
    [anon_sym_infix] = ACTIONS(1324),
    [anon_sym_open] = ACTIONS(1324),
    [anon_sym_transparent] = ACTIONS(1324),
    [anon_sym_LPAREN] = ACTIONS(1330),
    [anon_sym_macro] = ACTIONS(1740),
    [anon_sym_BANG] = ACTIONS(1322),
    [anon_sym_TILDE] = ACTIONS(1322),
    [anon_sym_DOLLAR] = ACTIONS(1332),
    [anon_sym_SQUOTE] = ACTIONS(1334),
    [sym__backquoted_id] = ACTIONS(1336),
    [sym_operator_identifier] = ACTIONS(2496),
    [sym_integer_literal] = ACTIONS(1340),
    [sym_floating_point_literal] = ACTIONS(1342),
    [anon_sym_true] = ACTIONS(1344),
    [anon_sym_false] = ACTIONS(1344),
    [sym_character_literal] = ACTIONS(1342),
    [sym_null_literal] = ACTIONS(1346),
    [anon_sym_return] = ACTIONS(2498),
    [anon_sym_throw] = ACTIONS(2500),
    [anon_sym_do] = ACTIONS(1748),
    [anon_sym_yield] = ACTIONS(3976),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1348),
    [sym__simple_string] = ACTIONS(1348),
  },
  [1982] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(15904),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1982),
    [sym_block_comment] = STATE(1982),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1983] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13810),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1983),
    [sym_block_comment] = STATE(1983),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3978),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1984] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13810),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1984),
    [sym_block_comment] = STATE(1984),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3980),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1985] = {
    [sym_inline_modifier] = STATE(2269),
    [sym_block] = STATE(8070),
    [sym_expression] = STATE(12471),
    [sym__simple_expression] = STATE(5679),
    [sym_lambda_expression] = STATE(12742),
    [sym_if_expression] = STATE(12742),
    [sym_match_expression] = STATE(12742),
    [sym_try_expression] = STATE(12742),
    [sym_bindings] = STATE(15536),
    [sym_case_block] = STATE(8070),
    [sym_assignment_expression] = STATE(12742),
    [sym_generic_function] = STATE(8070),
    [sym_call_expression] = STATE(8070),
    [sym_field_expression] = STATE(8070),
    [sym_instance_expression] = STATE(8070),
    [sym_ascription_expression] = STATE(12742),
    [sym_infix_expression] = STATE(8913),
    [sym_postfix_expression] = STATE(12343),
    [sym__postfix_expression_choice] = STATE(16230),
    [sym_macro_body] = STATE(12742),
    [sym_prefix_expression] = STATE(9483),
    [sym_tuple_expression] = STATE(8070),
    [sym_parenthesized_expression] = STATE(8070),
    [sym_splice_expression] = STATE(8070),
    [sym_quote_expression] = STATE(8070),
    [sym_identifier] = STATE(4999),
    [sym__soft_identifier] = STATE(5234),
    [sym_wildcard] = STATE(8075),
    [sym__non_null_literal] = STATE(8070),
    [sym_boolean_literal] = STATE(8055),
    [sym_interpolated_string_expression] = STATE(8070),
    [sym_string] = STATE(8055),
    [sym_unit] = STATE(8070),
    [sym_return_expression] = STATE(12742),
    [sym_throw_expression] = STATE(12742),
    [sym_while_expression] = STATE(12742),
    [sym_do_while_expression] = STATE(12742),
    [sym_for_expression] = STATE(12742),
    [sym_comment] = STATE(1985),
    [sym_block_comment] = STATE(1985),
    [sym__alpha_identifier] = ACTIONS(1314),
    [anon_sym_LBRACE] = ACTIONS(1318),
    [anon_sym__] = ACTIONS(1320),
    [anon_sym_PLUS] = ACTIONS(1322),
    [anon_sym_DASH] = ACTIONS(1322),
    [anon_sym_end] = ACTIONS(1324),
    [anon_sym_if] = ACTIONS(1730),
    [anon_sym_while] = ACTIONS(1732),
    [anon_sym_for] = ACTIONS(1734),
    [anon_sym_try] = ACTIONS(1736),
    [anon_sym_new] = ACTIONS(1326),
    [anon_sym_opaque] = ACTIONS(1324),
    [anon_sym_implicit] = ACTIONS(1738),
    [anon_sym_inline] = ACTIONS(1328),
    [anon_sym_infix] = ACTIONS(1324),
    [anon_sym_open] = ACTIONS(1324),
    [anon_sym_transparent] = ACTIONS(1324),
    [anon_sym_LPAREN] = ACTIONS(1330),
    [anon_sym_macro] = ACTIONS(1740),
    [anon_sym_BANG] = ACTIONS(1322),
    [anon_sym_TILDE] = ACTIONS(1322),
    [anon_sym_DOLLAR] = ACTIONS(1332),
    [anon_sym_SQUOTE] = ACTIONS(1334),
    [sym__backquoted_id] = ACTIONS(1336),
    [sym_operator_identifier] = ACTIONS(1742),
    [sym_integer_literal] = ACTIONS(1340),
    [sym_floating_point_literal] = ACTIONS(1342),
    [anon_sym_true] = ACTIONS(1344),
    [anon_sym_false] = ACTIONS(1344),
    [sym_character_literal] = ACTIONS(1342),
    [sym_null_literal] = ACTIONS(1346),
    [anon_sym_return] = ACTIONS(1744),
    [anon_sym_throw] = ACTIONS(1746),
    [anon_sym_do] = ACTIONS(1748),
    [anon_sym_yield] = ACTIONS(3982),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1348),
    [sym__simple_string] = ACTIONS(1348),
  },
  [1986] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(17343),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1986),
    [sym_block_comment] = STATE(1986),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1987] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(17330),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1987),
    [sym_block_comment] = STATE(1987),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1988] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(15947),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1988),
    [sym_block_comment] = STATE(1988),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1989] = {
    [sym_inline_modifier] = STATE(2149),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13441),
    [sym__simple_expression] = STATE(7109),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15656),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10005),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6267),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(8706),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(1989),
    [sym_block_comment] = STATE(1989),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(2928),
    [anon_sym_while] = ACTIONS(2793),
    [anon_sym_for] = ACTIONS(2795),
    [anon_sym_try] = ACTIONS(2797),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(2799),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(2801),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(2803),
    [anon_sym_throw] = ACTIONS(2805),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_yield] = ACTIONS(3984),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [1990] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(17314),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1990),
    [sym_block_comment] = STATE(1990),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1991] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(16468),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1991),
    [sym_block_comment] = STATE(1991),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1992] = {
    [sym_inline_modifier] = STATE(2293),
    [sym_block] = STATE(6703),
    [sym_expression] = STATE(12163),
    [sym__simple_expression] = STATE(5444),
    [sym_lambda_expression] = STATE(12046),
    [sym_if_expression] = STATE(12046),
    [sym_match_expression] = STATE(12046),
    [sym_try_expression] = STATE(12046),
    [sym_bindings] = STATE(15592),
    [sym_case_block] = STATE(6703),
    [sym_assignment_expression] = STATE(12046),
    [sym_generic_function] = STATE(6703),
    [sym_call_expression] = STATE(6703),
    [sym_field_expression] = STATE(6703),
    [sym_instance_expression] = STATE(6703),
    [sym_ascription_expression] = STATE(12046),
    [sym_infix_expression] = STATE(8166),
    [sym_postfix_expression] = STATE(11496),
    [sym__postfix_expression_choice] = STATE(15827),
    [sym_macro_body] = STATE(12046),
    [sym_prefix_expression] = STATE(9361),
    [sym_tuple_expression] = STATE(6703),
    [sym_parenthesized_expression] = STATE(6703),
    [sym_splice_expression] = STATE(6703),
    [sym_quote_expression] = STATE(6703),
    [sym_identifier] = STATE(5281),
    [sym__soft_identifier] = STATE(4884),
    [sym_wildcard] = STATE(7456),
    [sym__non_null_literal] = STATE(6703),
    [sym_boolean_literal] = STATE(6780),
    [sym_interpolated_string_expression] = STATE(6703),
    [sym_string] = STATE(6780),
    [sym_unit] = STATE(6703),
    [sym_return_expression] = STATE(12046),
    [sym_throw_expression] = STATE(12046),
    [sym_while_expression] = STATE(12046),
    [sym_do_while_expression] = STATE(12046),
    [sym_for_expression] = STATE(12046),
    [sym_comment] = STATE(1992),
    [sym_block_comment] = STATE(1992),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(2410),
    [anon_sym_while] = ACTIONS(2178),
    [anon_sym_for] = ACTIONS(2180),
    [anon_sym_try] = ACTIONS(2182),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(2184),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1848),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(2186),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(2188),
    [anon_sym_throw] = ACTIONS(2190),
    [anon_sym_do] = ACTIONS(1856),
    [anon_sym_yield] = ACTIONS(3986),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [1993] = {
    [sym_inline_modifier] = STATE(2076),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13441),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(1993),
    [sym_block_comment] = STATE(1993),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(3109),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_yield] = ACTIONS(3988),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [1994] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13810),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1994),
    [sym_block_comment] = STATE(1994),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3990),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1995] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13810),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1995),
    [sym_block_comment] = STATE(1995),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3992),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1996] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(17299),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1996),
    [sym_block_comment] = STATE(1996),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1997] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(15975),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1997),
    [sym_block_comment] = STATE(1997),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1998] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13810),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(1998),
    [sym_block_comment] = STATE(1998),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3994),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1999] = {
    [sym_inline_modifier] = STATE(2114),
    [sym_block] = STATE(8218),
    [sym_expression] = STATE(12817),
    [sym__simple_expression] = STATE(7544),
    [sym_lambda_expression] = STATE(13097),
    [sym_if_expression] = STATE(13097),
    [sym_match_expression] = STATE(13097),
    [sym_try_expression] = STATE(13097),
    [sym_bindings] = STATE(15630),
    [sym_case_block] = STATE(8218),
    [sym_assignment_expression] = STATE(13097),
    [sym_generic_function] = STATE(8218),
    [sym_call_expression] = STATE(8218),
    [sym_field_expression] = STATE(8218),
    [sym_instance_expression] = STATE(8218),
    [sym_ascription_expression] = STATE(13097),
    [sym_infix_expression] = STATE(9424),
    [sym_postfix_expression] = STATE(12765),
    [sym__postfix_expression_choice] = STATE(16117),
    [sym_macro_body] = STATE(13097),
    [sym_prefix_expression] = STATE(10300),
    [sym_tuple_expression] = STATE(8218),
    [sym_parenthesized_expression] = STATE(8218),
    [sym_splice_expression] = STATE(8218),
    [sym_quote_expression] = STATE(8218),
    [sym_identifier] = STATE(7100),
    [sym__soft_identifier] = STATE(5752),
    [sym_wildcard] = STATE(9268),
    [sym__non_null_literal] = STATE(8218),
    [sym_boolean_literal] = STATE(8413),
    [sym_interpolated_string_expression] = STATE(8218),
    [sym_string] = STATE(8413),
    [sym_unit] = STATE(8218),
    [sym_return_expression] = STATE(13097),
    [sym_throw_expression] = STATE(13097),
    [sym_while_expression] = STATE(13097),
    [sym_do_while_expression] = STATE(13097),
    [sym_for_expression] = STATE(13097),
    [sym_comment] = STATE(1999),
    [sym_block_comment] = STATE(1999),
    [sym__alpha_identifier] = ACTIONS(1494),
    [anon_sym_LBRACE] = ACTIONS(1498),
    [anon_sym__] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1502),
    [anon_sym_end] = ACTIONS(1504),
    [anon_sym_if] = ACTIONS(2845),
    [anon_sym_while] = ACTIONS(2847),
    [anon_sym_for] = ACTIONS(2849),
    [anon_sym_try] = ACTIONS(2851),
    [anon_sym_new] = ACTIONS(1506),
    [anon_sym_opaque] = ACTIONS(1504),
    [anon_sym_implicit] = ACTIONS(2853),
    [anon_sym_inline] = ACTIONS(1508),
    [anon_sym_infix] = ACTIONS(1504),
    [anon_sym_open] = ACTIONS(1504),
    [anon_sym_transparent] = ACTIONS(1504),
    [anon_sym_LPAREN] = ACTIONS(1510),
    [anon_sym_macro] = ACTIONS(2054),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_TILDE] = ACTIONS(1502),
    [anon_sym_DOLLAR] = ACTIONS(1512),
    [anon_sym_SQUOTE] = ACTIONS(1514),
    [sym__backquoted_id] = ACTIONS(1516),
    [sym_operator_identifier] = ACTIONS(3314),
    [sym_integer_literal] = ACTIONS(1520),
    [sym_floating_point_literal] = ACTIONS(1522),
    [anon_sym_true] = ACTIONS(1524),
    [anon_sym_false] = ACTIONS(1524),
    [sym_character_literal] = ACTIONS(1522),
    [sym_null_literal] = ACTIONS(1526),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2062),
    [anon_sym_yield] = ACTIONS(3996),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1528),
    [sym__simple_string] = ACTIONS(1528),
  },
  [2000] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(16430),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2000),
    [sym_block_comment] = STATE(2000),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2001] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(17160),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2001),
    [sym_block_comment] = STATE(2001),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2002] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13810),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2002),
    [sym_block_comment] = STATE(2002),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3998),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2003] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13810),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2003),
    [sym_block_comment] = STATE(2003),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(4000),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2004] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(17284),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2004),
    [sym_block_comment] = STATE(2004),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2005] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(17179),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2005),
    [sym_block_comment] = STATE(2005),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2006] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(16010),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2006),
    [sym_block_comment] = STATE(2006),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2007] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(16389),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2007),
    [sym_block_comment] = STATE(2007),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2008] = {
    [sym_inline_modifier] = STATE(2154),
    [sym_block] = STATE(8070),
    [sym_expression] = STATE(12471),
    [sym__simple_expression] = STATE(7235),
    [sym_lambda_expression] = STATE(12742),
    [sym_if_expression] = STATE(12742),
    [sym_match_expression] = STATE(12742),
    [sym_try_expression] = STATE(12742),
    [sym_bindings] = STATE(15546),
    [sym_case_block] = STATE(8070),
    [sym_assignment_expression] = STATE(12742),
    [sym_generic_function] = STATE(8070),
    [sym_call_expression] = STATE(8070),
    [sym_field_expression] = STATE(8070),
    [sym_instance_expression] = STATE(8070),
    [sym_ascription_expression] = STATE(12742),
    [sym_infix_expression] = STATE(8913),
    [sym_postfix_expression] = STATE(12343),
    [sym__postfix_expression_choice] = STATE(16230),
    [sym_macro_body] = STATE(12742),
    [sym_prefix_expression] = STATE(9970),
    [sym_tuple_expression] = STATE(8070),
    [sym_parenthesized_expression] = STATE(8070),
    [sym_splice_expression] = STATE(8070),
    [sym_quote_expression] = STATE(8070),
    [sym_identifier] = STATE(6168),
    [sym__soft_identifier] = STATE(5234),
    [sym_wildcard] = STATE(8792),
    [sym__non_null_literal] = STATE(8070),
    [sym_boolean_literal] = STATE(8055),
    [sym_interpolated_string_expression] = STATE(8070),
    [sym_string] = STATE(8055),
    [sym_unit] = STATE(8070),
    [sym_return_expression] = STATE(12742),
    [sym_throw_expression] = STATE(12742),
    [sym_while_expression] = STATE(12742),
    [sym_do_while_expression] = STATE(12742),
    [sym_for_expression] = STATE(12742),
    [sym_comment] = STATE(2008),
    [sym_block_comment] = STATE(2008),
    [sym__alpha_identifier] = ACTIONS(1314),
    [anon_sym_LBRACE] = ACTIONS(1318),
    [anon_sym__] = ACTIONS(1320),
    [anon_sym_PLUS] = ACTIONS(1322),
    [anon_sym_DASH] = ACTIONS(1322),
    [anon_sym_end] = ACTIONS(1324),
    [anon_sym_if] = ACTIONS(2142),
    [anon_sym_while] = ACTIONS(2144),
    [anon_sym_for] = ACTIONS(2146),
    [anon_sym_try] = ACTIONS(2148),
    [anon_sym_new] = ACTIONS(1326),
    [anon_sym_opaque] = ACTIONS(1324),
    [anon_sym_implicit] = ACTIONS(2150),
    [anon_sym_inline] = ACTIONS(1328),
    [anon_sym_infix] = ACTIONS(1324),
    [anon_sym_open] = ACTIONS(1324),
    [anon_sym_transparent] = ACTIONS(1324),
    [anon_sym_LPAREN] = ACTIONS(1330),
    [anon_sym_macro] = ACTIONS(1740),
    [anon_sym_BANG] = ACTIONS(1322),
    [anon_sym_TILDE] = ACTIONS(1322),
    [anon_sym_DOLLAR] = ACTIONS(1332),
    [anon_sym_SQUOTE] = ACTIONS(1334),
    [sym__backquoted_id] = ACTIONS(1336),
    [sym_operator_identifier] = ACTIONS(2152),
    [sym_integer_literal] = ACTIONS(1340),
    [sym_floating_point_literal] = ACTIONS(1342),
    [anon_sym_true] = ACTIONS(1344),
    [anon_sym_false] = ACTIONS(1344),
    [sym_character_literal] = ACTIONS(1342),
    [sym_null_literal] = ACTIONS(1346),
    [anon_sym_return] = ACTIONS(2154),
    [anon_sym_throw] = ACTIONS(2156),
    [anon_sym_do] = ACTIONS(1748),
    [anon_sym_yield] = ACTIONS(4002),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1348),
    [sym__simple_string] = ACTIONS(1348),
  },
  [2009] = {
    [sym_inline_modifier] = STATE(2038),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(12236),
    [sym__simple_expression] = STATE(6323),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15629),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(9695),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(5557),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(8528),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(2009),
    [sym_block_comment] = STATE(2009),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(3157),
    [anon_sym_while] = ACTIONS(2394),
    [anon_sym_for] = ACTIONS(2396),
    [anon_sym_try] = ACTIONS(2398),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2400),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(2402),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(2404),
    [anon_sym_throw] = ACTIONS(2406),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_yield] = ACTIONS(4004),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [2010] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(16053),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2010),
    [sym_block_comment] = STATE(2010),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2011] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(17268),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2011),
    [sym_block_comment] = STATE(2011),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2012] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13810),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2012),
    [sym_block_comment] = STATE(2012),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(4006),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2013] = {
    [sym_inline_modifier] = STATE(2335),
    [sym_block] = STATE(5403),
    [sym_expression] = STATE(11357),
    [sym__simple_expression] = STATE(4736),
    [sym_lambda_expression] = STATE(11364),
    [sym_if_expression] = STATE(11364),
    [sym_match_expression] = STATE(11364),
    [sym_try_expression] = STATE(11364),
    [sym_bindings] = STATE(15583),
    [sym_case_block] = STATE(5403),
    [sym_assignment_expression] = STATE(11364),
    [sym_generic_function] = STATE(5403),
    [sym_call_expression] = STATE(5403),
    [sym_field_expression] = STATE(5403),
    [sym_instance_expression] = STATE(5403),
    [sym_ascription_expression] = STATE(11364),
    [sym_infix_expression] = STATE(6806),
    [sym_postfix_expression] = STATE(10789),
    [sym__postfix_expression_choice] = STATE(15797),
    [sym_macro_body] = STATE(11364),
    [sym_prefix_expression] = STATE(8627),
    [sym_tuple_expression] = STATE(5403),
    [sym_parenthesized_expression] = STATE(5403),
    [sym_splice_expression] = STATE(5403),
    [sym_quote_expression] = STATE(5403),
    [sym_identifier] = STATE(4558),
    [sym__soft_identifier] = STATE(4455),
    [sym_wildcard] = STATE(6107),
    [sym__non_null_literal] = STATE(5403),
    [sym_boolean_literal] = STATE(5637),
    [sym_interpolated_string_expression] = STATE(5403),
    [sym_string] = STATE(5637),
    [sym_unit] = STATE(5403),
    [sym_return_expression] = STATE(11364),
    [sym_throw_expression] = STATE(11364),
    [sym_while_expression] = STATE(11364),
    [sym_do_while_expression] = STATE(11364),
    [sym_for_expression] = STATE(11364),
    [sym_comment] = STATE(2013),
    [sym_block_comment] = STATE(2013),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(2288),
    [anon_sym_while] = ACTIONS(1750),
    [anon_sym_for] = ACTIONS(1752),
    [anon_sym_try] = ACTIONS(1754),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1756),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1162),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1758),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1760),
    [anon_sym_throw] = ACTIONS(1762),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_yield] = ACTIONS(4008),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [2014] = {
    [sym_inline_modifier] = STATE(2118),
    [sym_block] = STATE(5403),
    [sym_expression] = STATE(11357),
    [sym__simple_expression] = STATE(5051),
    [sym_lambda_expression] = STATE(11364),
    [sym_if_expression] = STATE(11364),
    [sym_match_expression] = STATE(11364),
    [sym_try_expression] = STATE(11364),
    [sym_bindings] = STATE(15597),
    [sym_case_block] = STATE(5403),
    [sym_assignment_expression] = STATE(11364),
    [sym_generic_function] = STATE(5403),
    [sym_call_expression] = STATE(5403),
    [sym_field_expression] = STATE(5403),
    [sym_instance_expression] = STATE(5403),
    [sym_ascription_expression] = STATE(11364),
    [sym_infix_expression] = STATE(6806),
    [sym_postfix_expression] = STATE(10789),
    [sym__postfix_expression_choice] = STATE(15797),
    [sym_macro_body] = STATE(11364),
    [sym_prefix_expression] = STATE(8869),
    [sym_tuple_expression] = STATE(5403),
    [sym_parenthesized_expression] = STATE(5403),
    [sym_splice_expression] = STATE(5403),
    [sym_quote_expression] = STATE(5403),
    [sym_identifier] = STATE(4686),
    [sym__soft_identifier] = STATE(4455),
    [sym_wildcard] = STATE(7015),
    [sym__non_null_literal] = STATE(5403),
    [sym_boolean_literal] = STATE(5637),
    [sym_interpolated_string_expression] = STATE(5403),
    [sym_string] = STATE(5637),
    [sym_unit] = STATE(5403),
    [sym_return_expression] = STATE(11364),
    [sym_throw_expression] = STATE(11364),
    [sym_while_expression] = STATE(11364),
    [sym_do_while_expression] = STATE(11364),
    [sym_for_expression] = STATE(11364),
    [sym_comment] = STATE(2014),
    [sym_block_comment] = STATE(2014),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(1152),
    [anon_sym_while] = ACTIONS(1154),
    [anon_sym_for] = ACTIONS(1156),
    [anon_sym_try] = ACTIONS(1158),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1160),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1162),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1164),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1166),
    [anon_sym_throw] = ACTIONS(1168),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_yield] = ACTIONS(4010),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [2015] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(16101),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2015),
    [sym_block_comment] = STATE(2015),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2016] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(16352),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2016),
    [sym_block_comment] = STATE(2016),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2017] = {
    [sym_inline_modifier] = STATE(2084),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13263),
    [sym__simple_expression] = STATE(8831),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15722),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10635),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(8641),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(10149),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2017),
    [sym_block_comment] = STATE(2017),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2740),
    [anon_sym_while] = ACTIONS(2742),
    [anon_sym_for] = ACTIONS(2744),
    [anon_sym_try] = ACTIONS(2746),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2748),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3312),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2762),
    [anon_sym_throw] = ACTIONS(2764),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_yield] = ACTIONS(4012),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2018] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(17189),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2018),
    [sym_block_comment] = STATE(2018),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2019] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13810),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2019),
    [sym_block_comment] = STATE(2019),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(4014),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2020] = {
    [sym_inline_modifier] = STATE(2040),
    [sym_block] = STATE(8375),
    [sym_expression] = STATE(12799),
    [sym__simple_expression] = STATE(7538),
    [sym_lambda_expression] = STATE(13185),
    [sym_if_expression] = STATE(13185),
    [sym_match_expression] = STATE(13185),
    [sym_try_expression] = STATE(13185),
    [sym_bindings] = STATE(15594),
    [sym_case_block] = STATE(8375),
    [sym_assignment_expression] = STATE(13185),
    [sym_generic_function] = STATE(8375),
    [sym_call_expression] = STATE(8375),
    [sym_field_expression] = STATE(8375),
    [sym_instance_expression] = STATE(8375),
    [sym_ascription_expression] = STATE(13185),
    [sym_infix_expression] = STATE(9364),
    [sym_postfix_expression] = STATE(12809),
    [sym__postfix_expression_choice] = STATE(16440),
    [sym_macro_body] = STATE(13185),
    [sym_prefix_expression] = STATE(10274),
    [sym_tuple_expression] = STATE(8375),
    [sym_parenthesized_expression] = STATE(8375),
    [sym_splice_expression] = STATE(8375),
    [sym_quote_expression] = STATE(8375),
    [sym_identifier] = STATE(7110),
    [sym__soft_identifier] = STATE(5430),
    [sym_wildcard] = STATE(9287),
    [sym__non_null_literal] = STATE(8375),
    [sym_boolean_literal] = STATE(8117),
    [sym_interpolated_string_expression] = STATE(8375),
    [sym_string] = STATE(8117),
    [sym_unit] = STATE(8375),
    [sym_return_expression] = STATE(13185),
    [sym_throw_expression] = STATE(13185),
    [sym_while_expression] = STATE(13185),
    [sym_do_while_expression] = STATE(13185),
    [sym_for_expression] = STATE(13185),
    [sym_comment] = STATE(2020),
    [sym_block_comment] = STATE(2020),
    [sym__alpha_identifier] = ACTIONS(1618),
    [anon_sym_LBRACE] = ACTIONS(1622),
    [anon_sym__] = ACTIONS(1624),
    [anon_sym_PLUS] = ACTIONS(1626),
    [anon_sym_DASH] = ACTIONS(1626),
    [anon_sym_end] = ACTIONS(1628),
    [anon_sym_if] = ACTIONS(2414),
    [anon_sym_while] = ACTIONS(2416),
    [anon_sym_for] = ACTIONS(2418),
    [anon_sym_try] = ACTIONS(2420),
    [anon_sym_new] = ACTIONS(1630),
    [anon_sym_opaque] = ACTIONS(1628),
    [anon_sym_implicit] = ACTIONS(2422),
    [anon_sym_inline] = ACTIONS(1632),
    [anon_sym_infix] = ACTIONS(1628),
    [anon_sym_open] = ACTIONS(1628),
    [anon_sym_transparent] = ACTIONS(1628),
    [anon_sym_LPAREN] = ACTIONS(1634),
    [anon_sym_macro] = ACTIONS(2074),
    [anon_sym_BANG] = ACTIONS(1626),
    [anon_sym_TILDE] = ACTIONS(1626),
    [anon_sym_DOLLAR] = ACTIONS(1636),
    [anon_sym_SQUOTE] = ACTIONS(1638),
    [sym__backquoted_id] = ACTIONS(1640),
    [sym_operator_identifier] = ACTIONS(2424),
    [sym_integer_literal] = ACTIONS(1644),
    [sym_floating_point_literal] = ACTIONS(1646),
    [anon_sym_true] = ACTIONS(1648),
    [anon_sym_false] = ACTIONS(1648),
    [sym_character_literal] = ACTIONS(1646),
    [sym_null_literal] = ACTIONS(1650),
    [anon_sym_return] = ACTIONS(2426),
    [anon_sym_throw] = ACTIONS(2428),
    [anon_sym_do] = ACTIONS(2082),
    [anon_sym_yield] = ACTIONS(4016),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1652),
    [sym__simple_string] = ACTIONS(1652),
  },
  [2021] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13810),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2021),
    [sym_block_comment] = STATE(2021),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(4018),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2022] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13810),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2022),
    [sym_block_comment] = STATE(2022),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(4020),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2023] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(16308),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2023),
    [sym_block_comment] = STATE(2023),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2024] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(16234),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2024),
    [sym_block_comment] = STATE(2024),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2025] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(16268),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2025),
    [sym_block_comment] = STATE(2025),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2026] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(17250),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2026),
    [sym_block_comment] = STATE(2026),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2027] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(17206),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2027),
    [sym_block_comment] = STATE(2027),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2028] = {
    [sym_inline_modifier] = STATE(2323),
    [sym_block] = STATE(6954),
    [sym_expression] = STATE(12172),
    [sym__simple_expression] = STATE(5520),
    [sym_lambda_expression] = STATE(12144),
    [sym_if_expression] = STATE(12144),
    [sym_match_expression] = STATE(12144),
    [sym_try_expression] = STATE(12144),
    [sym_bindings] = STATE(15572),
    [sym_case_block] = STATE(6954),
    [sym_assignment_expression] = STATE(12144),
    [sym_generic_function] = STATE(6954),
    [sym_call_expression] = STATE(6954),
    [sym_field_expression] = STATE(6954),
    [sym_instance_expression] = STATE(6954),
    [sym_ascription_expression] = STATE(12144),
    [sym_infix_expression] = STATE(8226),
    [sym_postfix_expression] = STATE(11499),
    [sym__postfix_expression_choice] = STATE(16229),
    [sym_macro_body] = STATE(12144),
    [sym_prefix_expression] = STATE(9280),
    [sym_tuple_expression] = STATE(6954),
    [sym_parenthesized_expression] = STATE(6954),
    [sym_splice_expression] = STATE(6954),
    [sym_quote_expression] = STATE(6954),
    [sym_identifier] = STATE(5300),
    [sym__soft_identifier] = STATE(4827),
    [sym_wildcard] = STATE(7542),
    [sym__non_null_literal] = STATE(6954),
    [sym_boolean_literal] = STATE(6997),
    [sym_interpolated_string_expression] = STATE(6954),
    [sym_string] = STATE(6997),
    [sym_unit] = STATE(6954),
    [sym_return_expression] = STATE(12144),
    [sym_throw_expression] = STATE(12144),
    [sym_while_expression] = STATE(12144),
    [sym_do_while_expression] = STATE(12144),
    [sym_for_expression] = STATE(12144),
    [sym_comment] = STATE(2028),
    [sym_block_comment] = STATE(2028),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(3235),
    [anon_sym_while] = ACTIONS(1924),
    [anon_sym_for] = ACTIONS(1926),
    [anon_sym_try] = ACTIONS(1928),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(1930),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1894),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(1932),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(1934),
    [anon_sym_throw] = ACTIONS(1936),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_yield] = ACTIONS(4022),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [2029] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(16177),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2029),
    [sym_block_comment] = STATE(2029),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2030] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(17225),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2030),
    [sym_block_comment] = STATE(2030),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2031] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13810),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2031),
    [sym_block_comment] = STATE(2031),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(4024),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2032] = {
    [sym_inline_modifier] = STATE(2284),
    [sym_block] = STATE(9120),
    [sym_expression] = STATE(13149),
    [sym__simple_expression] = STATE(6111),
    [sym_lambda_expression] = STATE(13422),
    [sym_if_expression] = STATE(13422),
    [sym_match_expression] = STATE(13422),
    [sym_try_expression] = STATE(13422),
    [sym_bindings] = STATE(15588),
    [sym_case_block] = STATE(9120),
    [sym_assignment_expression] = STATE(13422),
    [sym_generic_function] = STATE(9120),
    [sym_call_expression] = STATE(9120),
    [sym_field_expression] = STATE(9120),
    [sym_instance_expression] = STATE(9120),
    [sym_ascription_expression] = STATE(13422),
    [sym_infix_expression] = STATE(9820),
    [sym_postfix_expression] = STATE(13148),
    [sym__postfix_expression_choice] = STATE(15936),
    [sym_macro_body] = STATE(13422),
    [sym_prefix_expression] = STATE(9760),
    [sym_tuple_expression] = STATE(9120),
    [sym_parenthesized_expression] = STATE(9120),
    [sym_splice_expression] = STATE(9120),
    [sym_quote_expression] = STATE(9120),
    [sym_identifier] = STATE(5467),
    [sym__soft_identifier] = STATE(6470),
    [sym_wildcard] = STATE(8607),
    [sym__non_null_literal] = STATE(9120),
    [sym_boolean_literal] = STATE(8928),
    [sym_interpolated_string_expression] = STATE(9120),
    [sym_string] = STATE(8928),
    [sym_unit] = STATE(9120),
    [sym_return_expression] = STATE(13422),
    [sym_throw_expression] = STATE(13422),
    [sym_while_expression] = STATE(13422),
    [sym_do_while_expression] = STATE(13422),
    [sym_for_expression] = STATE(13422),
    [sym_comment] = STATE(2032),
    [sym_block_comment] = STATE(2032),
    [sym__alpha_identifier] = ACTIONS(1582),
    [anon_sym_LBRACE] = ACTIONS(1586),
    [anon_sym__] = ACTIONS(1588),
    [anon_sym_PLUS] = ACTIONS(1590),
    [anon_sym_DASH] = ACTIONS(1590),
    [anon_sym_end] = ACTIONS(1592),
    [anon_sym_if] = ACTIONS(3218),
    [anon_sym_while] = ACTIONS(2380),
    [anon_sym_for] = ACTIONS(2382),
    [anon_sym_try] = ACTIONS(2384),
    [anon_sym_new] = ACTIONS(1594),
    [anon_sym_opaque] = ACTIONS(1592),
    [anon_sym_implicit] = ACTIONS(2386),
    [anon_sym_inline] = ACTIONS(1596),
    [anon_sym_infix] = ACTIONS(1592),
    [anon_sym_open] = ACTIONS(1592),
    [anon_sym_transparent] = ACTIONS(1592),
    [anon_sym_LPAREN] = ACTIONS(1598),
    [anon_sym_macro] = ACTIONS(1874),
    [anon_sym_BANG] = ACTIONS(1590),
    [anon_sym_TILDE] = ACTIONS(1590),
    [anon_sym_DOLLAR] = ACTIONS(1600),
    [anon_sym_SQUOTE] = ACTIONS(1602),
    [sym__backquoted_id] = ACTIONS(1604),
    [sym_operator_identifier] = ACTIONS(2388),
    [sym_integer_literal] = ACTIONS(1608),
    [sym_floating_point_literal] = ACTIONS(1610),
    [anon_sym_true] = ACTIONS(1612),
    [anon_sym_false] = ACTIONS(1612),
    [sym_character_literal] = ACTIONS(1610),
    [sym_null_literal] = ACTIONS(1614),
    [anon_sym_return] = ACTIONS(2390),
    [anon_sym_throw] = ACTIONS(2392),
    [anon_sym_do] = ACTIONS(1882),
    [anon_sym_yield] = ACTIONS(4026),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1616),
    [sym__simple_string] = ACTIONS(1616),
  },
  [2033] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13754),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym__exprs_in_parens] = STATE(16218),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2033),
    [sym_block_comment] = STATE(2033),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2034] = {
    [sym_inline_modifier] = STATE(2060),
    [sym_block] = STATE(6450),
    [sym_expression] = STATE(11456),
    [sym__simple_expression] = STATE(5608),
    [sym_lambda_expression] = STATE(11549),
    [sym_if_expression] = STATE(11549),
    [sym_match_expression] = STATE(11549),
    [sym_try_expression] = STATE(11549),
    [sym_bindings] = STATE(15697),
    [sym_case_block] = STATE(6450),
    [sym_assignment_expression] = STATE(11549),
    [sym_generic_function] = STATE(6450),
    [sym_call_expression] = STATE(6450),
    [sym_field_expression] = STATE(6450),
    [sym_instance_expression] = STATE(6450),
    [sym_ascription_expression] = STATE(11549),
    [sym_infix_expression] = STATE(7641),
    [sym_postfix_expression] = STATE(11204),
    [sym__postfix_expression_choice] = STATE(16480),
    [sym_macro_body] = STATE(11549),
    [sym_prefix_expression] = STATE(9536),
    [sym_tuple_expression] = STATE(6450),
    [sym_parenthesized_expression] = STATE(6450),
    [sym_splice_expression] = STATE(6450),
    [sym_quote_expression] = STATE(6450),
    [sym_identifier] = STATE(5347),
    [sym__soft_identifier] = STATE(4507),
    [sym_wildcard] = STATE(7620),
    [sym__non_null_literal] = STATE(6450),
    [sym_boolean_literal] = STATE(6156),
    [sym_interpolated_string_expression] = STATE(6450),
    [sym_string] = STATE(6156),
    [sym_unit] = STATE(6450),
    [sym_return_expression] = STATE(11549),
    [sym_throw_expression] = STATE(11549),
    [sym_while_expression] = STATE(11549),
    [sym_do_while_expression] = STATE(11549),
    [sym_for_expression] = STATE(11549),
    [sym_comment] = STATE(2034),
    [sym_block_comment] = STATE(2034),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(1428),
    [anon_sym_while] = ACTIONS(1430),
    [anon_sym_for] = ACTIONS(1432),
    [anon_sym_try] = ACTIONS(1434),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1436),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1378),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1438),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1440),
    [anon_sym_throw] = ACTIONS(1442),
    [anon_sym_do] = ACTIONS(1386),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [2035] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(8218),
    [sym_expression] = STATE(15153),
    [sym__simple_expression] = STATE(5338),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(8218),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(8218),
    [sym_call_expression] = STATE(8218),
    [sym_field_expression] = STATE(8218),
    [sym_instance_expression] = STATE(8218),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(15857),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(8218),
    [sym_parenthesized_expression] = STATE(8218),
    [sym_splice_expression] = STATE(8218),
    [sym_quote_expression] = STATE(8218),
    [sym_identifier] = STATE(4879),
    [sym__soft_identifier] = STATE(5752),
    [sym_wildcard] = STATE(6777),
    [sym__non_null_literal] = STATE(8218),
    [sym_boolean_literal] = STATE(8413),
    [sym_interpolated_string_expression] = STATE(8218),
    [sym_string] = STATE(8413),
    [sym_unit] = STATE(8218),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2035),
    [sym_block_comment] = STATE(2035),
    [sym__alpha_identifier] = ACTIONS(1494),
    [anon_sym_LBRACE] = ACTIONS(1498),
    [anon_sym__] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(1504),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1506),
    [anon_sym_opaque] = ACTIONS(1504),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1508),
    [anon_sym_infix] = ACTIONS(1504),
    [anon_sym_open] = ACTIONS(1504),
    [anon_sym_transparent] = ACTIONS(1504),
    [anon_sym_LPAREN] = ACTIONS(1510),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(1512),
    [anon_sym_SQUOTE] = ACTIONS(1514),
    [sym__backquoted_id] = ACTIONS(1516),
    [sym_operator_identifier] = ACTIONS(1518),
    [sym_integer_literal] = ACTIONS(1520),
    [sym_floating_point_literal] = ACTIONS(1522),
    [anon_sym_true] = ACTIONS(1524),
    [anon_sym_false] = ACTIONS(1524),
    [sym_character_literal] = ACTIONS(1522),
    [sym_null_literal] = ACTIONS(1526),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1528),
    [sym__simple_string] = ACTIONS(1528),
  },
  [2036] = {
    [sym_inline_modifier] = STATE(2064),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(14087),
    [sym__simple_expression] = STATE(8719),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15704),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10572),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(8565),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(10039),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2036),
    [sym_block_comment] = STATE(2036),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(3246),
    [anon_sym_while] = ACTIONS(3248),
    [anon_sym_for] = ACTIONS(3250),
    [anon_sym_try] = ACTIONS(3252),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(3254),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3318),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(3259),
    [anon_sym_throw] = ACTIONS(3261),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2037] = {
    [sym_inline_modifier] = STATE(2064),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(14085),
    [sym__simple_expression] = STATE(8719),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15704),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10572),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(8565),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(10039),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2037),
    [sym_block_comment] = STATE(2037),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(3246),
    [anon_sym_while] = ACTIONS(3248),
    [anon_sym_for] = ACTIONS(3250),
    [anon_sym_try] = ACTIONS(3252),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(3254),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3318),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(3259),
    [anon_sym_throw] = ACTIONS(3261),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2038] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(15005),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2038),
    [sym_block_comment] = STATE(2038),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4028),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2039] = {
    [sym_inline_modifier] = STATE(2323),
    [sym_block] = STATE(6954),
    [sym_expression] = STATE(12173),
    [sym__simple_expression] = STATE(5520),
    [sym_lambda_expression] = STATE(12144),
    [sym_if_expression] = STATE(12144),
    [sym_match_expression] = STATE(12144),
    [sym_try_expression] = STATE(12144),
    [sym_bindings] = STATE(15572),
    [sym_case_block] = STATE(6954),
    [sym_assignment_expression] = STATE(12144),
    [sym_generic_function] = STATE(6954),
    [sym_call_expression] = STATE(6954),
    [sym_field_expression] = STATE(6954),
    [sym_instance_expression] = STATE(6954),
    [sym_ascription_expression] = STATE(12144),
    [sym_infix_expression] = STATE(8226),
    [sym_postfix_expression] = STATE(11499),
    [sym__postfix_expression_choice] = STATE(16229),
    [sym_macro_body] = STATE(12144),
    [sym_prefix_expression] = STATE(9280),
    [sym_tuple_expression] = STATE(6954),
    [sym_parenthesized_expression] = STATE(6954),
    [sym_splice_expression] = STATE(6954),
    [sym_quote_expression] = STATE(6954),
    [sym_identifier] = STATE(5300),
    [sym__soft_identifier] = STATE(4827),
    [sym_wildcard] = STATE(7542),
    [sym__non_null_literal] = STATE(6954),
    [sym_boolean_literal] = STATE(6997),
    [sym_interpolated_string_expression] = STATE(6954),
    [sym_string] = STATE(6997),
    [sym_unit] = STATE(6954),
    [sym_return_expression] = STATE(12144),
    [sym_throw_expression] = STATE(12144),
    [sym_while_expression] = STATE(12144),
    [sym_do_while_expression] = STATE(12144),
    [sym_for_expression] = STATE(12144),
    [sym_comment] = STATE(2039),
    [sym_block_comment] = STATE(2039),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(3235),
    [anon_sym_while] = ACTIONS(1924),
    [anon_sym_for] = ACTIONS(1926),
    [anon_sym_try] = ACTIONS(1928),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(1930),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1894),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(1932),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(1934),
    [anon_sym_throw] = ACTIONS(1936),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [2040] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2040),
    [sym_block_comment] = STATE(2040),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4030),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2041] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(8070),
    [sym_expression] = STATE(14996),
    [sym__simple_expression] = STATE(4945),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(8070),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(8070),
    [sym_call_expression] = STATE(8070),
    [sym_field_expression] = STATE(8070),
    [sym_instance_expression] = STATE(8070),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16328),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(8070),
    [sym_parenthesized_expression] = STATE(8070),
    [sym_splice_expression] = STATE(8070),
    [sym_quote_expression] = STATE(8070),
    [sym_identifier] = STATE(4605),
    [sym__soft_identifier] = STATE(5234),
    [sym_wildcard] = STATE(6595),
    [sym__non_null_literal] = STATE(8070),
    [sym_boolean_literal] = STATE(8055),
    [sym_interpolated_string_expression] = STATE(8070),
    [sym_string] = STATE(8055),
    [sym_unit] = STATE(8070),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2041),
    [sym_block_comment] = STATE(2041),
    [sym__alpha_identifier] = ACTIONS(1314),
    [anon_sym_LBRACE] = ACTIONS(1318),
    [anon_sym__] = ACTIONS(1320),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(1324),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1326),
    [anon_sym_opaque] = ACTIONS(1324),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1328),
    [anon_sym_infix] = ACTIONS(1324),
    [anon_sym_open] = ACTIONS(1324),
    [anon_sym_transparent] = ACTIONS(1324),
    [anon_sym_LPAREN] = ACTIONS(1330),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(1332),
    [anon_sym_SQUOTE] = ACTIONS(1334),
    [sym__backquoted_id] = ACTIONS(1336),
    [sym_operator_identifier] = ACTIONS(1338),
    [sym_integer_literal] = ACTIONS(1340),
    [sym_floating_point_literal] = ACTIONS(1342),
    [anon_sym_true] = ACTIONS(1344),
    [anon_sym_false] = ACTIONS(1344),
    [sym_character_literal] = ACTIONS(1342),
    [sym_null_literal] = ACTIONS(1346),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1348),
    [sym__simple_string] = ACTIONS(1348),
  },
  [2042] = {
    [sym_inline_modifier] = STATE(2125),
    [sym_block] = STATE(6738),
    [sym_expression] = STATE(11853),
    [sym__simple_expression] = STATE(5176),
    [sym_lambda_expression] = STATE(12430),
    [sym_if_expression] = STATE(12430),
    [sym_match_expression] = STATE(12430),
    [sym_try_expression] = STATE(12430),
    [sym_bindings] = STATE(15677),
    [sym_case_block] = STATE(6738),
    [sym_assignment_expression] = STATE(12430),
    [sym_generic_function] = STATE(6738),
    [sym_call_expression] = STATE(6738),
    [sym_field_expression] = STATE(6738),
    [sym_instance_expression] = STATE(6738),
    [sym_ascription_expression] = STATE(12430),
    [sym_infix_expression] = STATE(8389),
    [sym_postfix_expression] = STATE(11930),
    [sym__postfix_expression_choice] = STATE(15885),
    [sym_macro_body] = STATE(12430),
    [sym_prefix_expression] = STATE(9115),
    [sym_tuple_expression] = STATE(6738),
    [sym_parenthesized_expression] = STATE(6738),
    [sym_splice_expression] = STATE(6738),
    [sym_quote_expression] = STATE(6738),
    [sym_identifier] = STATE(4951),
    [sym__soft_identifier] = STATE(4943),
    [sym_wildcard] = STATE(7114),
    [sym__non_null_literal] = STATE(6738),
    [sym_boolean_literal] = STATE(7301),
    [sym_interpolated_string_expression] = STATE(6738),
    [sym_string] = STATE(7301),
    [sym_unit] = STATE(6738),
    [sym_return_expression] = STATE(12430),
    [sym_throw_expression] = STATE(12430),
    [sym_while_expression] = STATE(12430),
    [sym_do_while_expression] = STATE(12430),
    [sym_for_expression] = STATE(12430),
    [sym_comment] = STATE(2042),
    [sym_block_comment] = STATE(2042),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(1350),
    [anon_sym_while] = ACTIONS(1352),
    [anon_sym_for] = ACTIONS(1354),
    [anon_sym_try] = ACTIONS(1356),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(1358),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1360),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(1362),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(1364),
    [anon_sym_throw] = ACTIONS(1366),
    [anon_sym_do] = ACTIONS(1368),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [2043] = {
    [sym_inline_modifier] = STATE(2064),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(14147),
    [sym__simple_expression] = STATE(8719),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15704),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10572),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(8565),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(10039),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2043),
    [sym_block_comment] = STATE(2043),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(3246),
    [anon_sym_while] = ACTIONS(3248),
    [anon_sym_for] = ACTIONS(3250),
    [anon_sym_try] = ACTIONS(3252),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(3254),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3318),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(3259),
    [anon_sym_throw] = ACTIONS(3261),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2044] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(15289),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2044),
    [sym_block_comment] = STATE(2044),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4032),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2045] = {
    [sym_inline_modifier] = STATE(2252),
    [sym_block] = STATE(8262),
    [sym_expression] = STATE(12910),
    [sym__simple_expression] = STATE(5471),
    [sym_lambda_expression] = STATE(13098),
    [sym_if_expression] = STATE(13098),
    [sym_match_expression] = STATE(13098),
    [sym_try_expression] = STATE(13098),
    [sym_bindings] = STATE(15615),
    [sym_case_block] = STATE(8262),
    [sym_assignment_expression] = STATE(13098),
    [sym_generic_function] = STATE(8262),
    [sym_call_expression] = STATE(8262),
    [sym_field_expression] = STATE(8262),
    [sym_instance_expression] = STATE(8262),
    [sym_ascription_expression] = STATE(13098),
    [sym_infix_expression] = STATE(9485),
    [sym_postfix_expression] = STATE(12647),
    [sym__postfix_expression_choice] = STATE(16347),
    [sym_macro_body] = STATE(13098),
    [sym_prefix_expression] = STATE(9525),
    [sym_tuple_expression] = STATE(8262),
    [sym_parenthesized_expression] = STATE(8262),
    [sym_splice_expression] = STATE(8262),
    [sym_quote_expression] = STATE(8262),
    [sym_identifier] = STATE(5180),
    [sym__soft_identifier] = STATE(5419),
    [sym_wildcard] = STATE(7820),
    [sym__non_null_literal] = STATE(8262),
    [sym_boolean_literal] = STATE(8242),
    [sym_interpolated_string_expression] = STATE(8262),
    [sym_string] = STATE(8242),
    [sym_unit] = STATE(8262),
    [sym_return_expression] = STATE(13098),
    [sym_throw_expression] = STATE(13098),
    [sym_while_expression] = STATE(13098),
    [sym_do_while_expression] = STATE(13098),
    [sym_for_expression] = STATE(13098),
    [sym_comment] = STATE(2045),
    [sym_block_comment] = STATE(2045),
    [sym__alpha_identifier] = ACTIONS(1278),
    [anon_sym_LBRACE] = ACTIONS(1282),
    [anon_sym__] = ACTIONS(1284),
    [anon_sym_PLUS] = ACTIONS(1286),
    [anon_sym_DASH] = ACTIONS(1286),
    [anon_sym_end] = ACTIONS(1288),
    [anon_sym_if] = ACTIONS(1710),
    [anon_sym_while] = ACTIONS(1712),
    [anon_sym_for] = ACTIONS(1714),
    [anon_sym_try] = ACTIONS(1716),
    [anon_sym_new] = ACTIONS(1290),
    [anon_sym_opaque] = ACTIONS(1288),
    [anon_sym_implicit] = ACTIONS(1718),
    [anon_sym_inline] = ACTIONS(1292),
    [anon_sym_infix] = ACTIONS(1288),
    [anon_sym_open] = ACTIONS(1288),
    [anon_sym_transparent] = ACTIONS(1288),
    [anon_sym_LPAREN] = ACTIONS(1294),
    [anon_sym_macro] = ACTIONS(1720),
    [anon_sym_BANG] = ACTIONS(1286),
    [anon_sym_TILDE] = ACTIONS(1286),
    [anon_sym_DOLLAR] = ACTIONS(1296),
    [anon_sym_SQUOTE] = ACTIONS(1298),
    [sym__backquoted_id] = ACTIONS(1300),
    [sym_operator_identifier] = ACTIONS(1722),
    [sym_integer_literal] = ACTIONS(1304),
    [sym_floating_point_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1308),
    [anon_sym_false] = ACTIONS(1308),
    [sym_character_literal] = ACTIONS(1306),
    [sym_null_literal] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(1724),
    [anon_sym_throw] = ACTIONS(1726),
    [anon_sym_do] = ACTIONS(1728),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1312),
    [sym__simple_string] = ACTIONS(1312),
  },
  [2046] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(8262),
    [sym_expression] = STATE(14370),
    [sym__simple_expression] = STATE(5143),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(8262),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(8262),
    [sym_call_expression] = STATE(8262),
    [sym_field_expression] = STATE(8262),
    [sym_instance_expression] = STATE(8262),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16366),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(8262),
    [sym_parenthesized_expression] = STATE(8262),
    [sym_splice_expression] = STATE(8262),
    [sym_quote_expression] = STATE(8262),
    [sym_identifier] = STATE(4774),
    [sym__soft_identifier] = STATE(5419),
    [sym_wildcard] = STATE(6733),
    [sym__non_null_literal] = STATE(8262),
    [sym_boolean_literal] = STATE(8242),
    [sym_interpolated_string_expression] = STATE(8262),
    [sym_string] = STATE(8242),
    [sym_unit] = STATE(8262),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2046),
    [sym_block_comment] = STATE(2046),
    [sym__alpha_identifier] = ACTIONS(1278),
    [anon_sym_LBRACE] = ACTIONS(1282),
    [anon_sym__] = ACTIONS(1284),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(1288),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1290),
    [anon_sym_opaque] = ACTIONS(1288),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1292),
    [anon_sym_infix] = ACTIONS(1288),
    [anon_sym_open] = ACTIONS(1288),
    [anon_sym_transparent] = ACTIONS(1288),
    [anon_sym_LPAREN] = ACTIONS(1294),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(1296),
    [anon_sym_SQUOTE] = ACTIONS(1298),
    [sym__backquoted_id] = ACTIONS(1300),
    [sym_operator_identifier] = ACTIONS(1302),
    [sym_integer_literal] = ACTIONS(1304),
    [sym_floating_point_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1308),
    [anon_sym_false] = ACTIONS(1308),
    [sym_character_literal] = ACTIONS(1306),
    [sym_null_literal] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1312),
    [sym__simple_string] = ACTIONS(1312),
  },
  [2047] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(15289),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2047),
    [sym_block_comment] = STATE(2047),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4034),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2048] = {
    [sym_inline_modifier] = STATE(2064),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(14100),
    [sym__simple_expression] = STATE(8719),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15704),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10572),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(8565),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(10039),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2048),
    [sym_block_comment] = STATE(2048),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(3246),
    [anon_sym_while] = ACTIONS(3248),
    [anon_sym_for] = ACTIONS(3250),
    [anon_sym_try] = ACTIONS(3252),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(3254),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3318),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(3259),
    [anon_sym_throw] = ACTIONS(3261),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2049] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(14984),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2049),
    [sym_block_comment] = STATE(2049),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4036),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2050] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2050),
    [sym_block_comment] = STATE(2050),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4038),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2051] = {
    [sym_inline_modifier] = STATE(2064),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(14093),
    [sym__simple_expression] = STATE(8719),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15704),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10572),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(8565),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(10039),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2051),
    [sym_block_comment] = STATE(2051),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(3246),
    [anon_sym_while] = ACTIONS(3248),
    [anon_sym_for] = ACTIONS(3250),
    [anon_sym_try] = ACTIONS(3252),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(3254),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3318),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(3259),
    [anon_sym_throw] = ACTIONS(3261),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2052] = {
    [sym_inline_modifier] = STATE(2044),
    [sym_block] = STATE(9913),
    [sym_expression] = STATE(13629),
    [sym__simple_expression] = STATE(7224),
    [sym_lambda_expression] = STATE(12144),
    [sym_if_expression] = STATE(12144),
    [sym_match_expression] = STATE(12144),
    [sym_try_expression] = STATE(12144),
    [sym_bindings] = STATE(15632),
    [sym_case_block] = STATE(9913),
    [sym_assignment_expression] = STATE(12144),
    [sym_generic_function] = STATE(9913),
    [sym_call_expression] = STATE(9913),
    [sym_field_expression] = STATE(9913),
    [sym_instance_expression] = STATE(9913),
    [sym_ascription_expression] = STATE(12144),
    [sym_infix_expression] = STATE(10304),
    [sym_postfix_expression] = STATE(11499),
    [sym__postfix_expression_choice] = STATE(16334),
    [sym_macro_body] = STATE(12144),
    [sym_prefix_expression] = STATE(9963),
    [sym_tuple_expression] = STATE(9913),
    [sym_parenthesized_expression] = STATE(9913),
    [sym_splice_expression] = STATE(9913),
    [sym_quote_expression] = STATE(9913),
    [sym_identifier] = STATE(6170),
    [sym__soft_identifier] = STATE(4555),
    [sym_wildcard] = STATE(8897),
    [sym__non_null_literal] = STATE(9913),
    [sym_boolean_literal] = STATE(6572),
    [sym_interpolated_string_expression] = STATE(9913),
    [sym_string] = STATE(6572),
    [sym_unit] = STATE(9913),
    [sym_return_expression] = STATE(12144),
    [sym_throw_expression] = STATE(12144),
    [sym_while_expression] = STATE(12144),
    [sym_do_while_expression] = STATE(12144),
    [sym_for_expression] = STATE(12144),
    [sym_comment] = STATE(2052),
    [sym_block_comment] = STATE(2052),
    [sym__alpha_identifier] = ACTIONS(1766),
    [anon_sym_LBRACE] = ACTIONS(1770),
    [anon_sym__] = ACTIONS(1772),
    [anon_sym_PLUS] = ACTIONS(1774),
    [anon_sym_DASH] = ACTIONS(1774),
    [anon_sym_end] = ACTIONS(1776),
    [anon_sym_if] = ACTIONS(2160),
    [anon_sym_while] = ACTIONS(2162),
    [anon_sym_for] = ACTIONS(2164),
    [anon_sym_try] = ACTIONS(2166),
    [anon_sym_new] = ACTIONS(1778),
    [anon_sym_opaque] = ACTIONS(1776),
    [anon_sym_implicit] = ACTIONS(2168),
    [anon_sym_inline] = ACTIONS(1780),
    [anon_sym_infix] = ACTIONS(1776),
    [anon_sym_open] = ACTIONS(1776),
    [anon_sym_transparent] = ACTIONS(1776),
    [anon_sym_LPAREN] = ACTIONS(1782),
    [anon_sym_macro] = ACTIONS(2170),
    [anon_sym_BANG] = ACTIONS(1774),
    [anon_sym_TILDE] = ACTIONS(1774),
    [anon_sym_DOLLAR] = ACTIONS(1784),
    [anon_sym_SQUOTE] = ACTIONS(1786),
    [sym__backquoted_id] = ACTIONS(1788),
    [sym_operator_identifier] = ACTIONS(2172),
    [sym_integer_literal] = ACTIONS(1792),
    [sym_floating_point_literal] = ACTIONS(1794),
    [anon_sym_true] = ACTIONS(1796),
    [anon_sym_false] = ACTIONS(1796),
    [sym_character_literal] = ACTIONS(1794),
    [sym_null_literal] = ACTIONS(1798),
    [anon_sym_return] = ACTIONS(2174),
    [anon_sym_throw] = ACTIONS(2176),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1800),
    [sym__simple_string] = ACTIONS(1800),
  },
  [2053] = {
    [sym_inline_modifier] = STATE(2064),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(14190),
    [sym__simple_expression] = STATE(8719),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15704),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10572),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(8565),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(10039),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2053),
    [sym_block_comment] = STATE(2053),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(3246),
    [anon_sym_while] = ACTIONS(3248),
    [anon_sym_for] = ACTIONS(3250),
    [anon_sym_try] = ACTIONS(3252),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(3254),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3318),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(3259),
    [anon_sym_throw] = ACTIONS(3261),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2054] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(15005),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2054),
    [sym_block_comment] = STATE(2054),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(842),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2055] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(15323),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2055),
    [sym_block_comment] = STATE(2055),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4040),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2056] = {
    [sym_inline_modifier] = STATE(2064),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(14221),
    [sym__simple_expression] = STATE(8719),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15704),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10572),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(8565),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(10039),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2056),
    [sym_block_comment] = STATE(2056),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(3246),
    [anon_sym_while] = ACTIONS(3248),
    [anon_sym_for] = ACTIONS(3250),
    [anon_sym_try] = ACTIONS(3252),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(3254),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3318),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(3259),
    [anon_sym_throw] = ACTIONS(3261),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2057] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(8262),
    [sym_expression] = STATE(14370),
    [sym__simple_expression] = STATE(5027),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(8262),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(8262),
    [sym_call_expression] = STATE(8262),
    [sym_field_expression] = STATE(8262),
    [sym_instance_expression] = STATE(8262),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9487),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16366),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(8926),
    [sym_tuple_expression] = STATE(8262),
    [sym_parenthesized_expression] = STATE(8262),
    [sym_splice_expression] = STATE(8262),
    [sym_quote_expression] = STATE(8262),
    [sym_identifier] = STATE(4774),
    [sym__soft_identifier] = STATE(5419),
    [sym_wildcard] = STATE(6733),
    [sym__non_null_literal] = STATE(8262),
    [sym_boolean_literal] = STATE(8242),
    [sym_interpolated_string_expression] = STATE(8262),
    [sym_string] = STATE(8242),
    [sym_unit] = STATE(8262),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2057),
    [sym_block_comment] = STATE(2057),
    [sym__alpha_identifier] = ACTIONS(1278),
    [anon_sym_LBRACE] = ACTIONS(1282),
    [anon_sym__] = ACTIONS(1284),
    [anon_sym_PLUS] = ACTIONS(1286),
    [anon_sym_DASH] = ACTIONS(1286),
    [anon_sym_end] = ACTIONS(1288),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1290),
    [anon_sym_opaque] = ACTIONS(1288),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1292),
    [anon_sym_infix] = ACTIONS(1288),
    [anon_sym_open] = ACTIONS(1288),
    [anon_sym_transparent] = ACTIONS(1288),
    [anon_sym_LPAREN] = ACTIONS(1294),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1286),
    [anon_sym_TILDE] = ACTIONS(1286),
    [anon_sym_DOLLAR] = ACTIONS(1296),
    [anon_sym_SQUOTE] = ACTIONS(1298),
    [sym__backquoted_id] = ACTIONS(1300),
    [sym_operator_identifier] = ACTIONS(1302),
    [sym_integer_literal] = ACTIONS(1304),
    [sym_floating_point_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1308),
    [anon_sym_false] = ACTIONS(1308),
    [sym_character_literal] = ACTIONS(1306),
    [sym_null_literal] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1312),
    [sym__simple_string] = ACTIONS(1312),
  },
  [2058] = {
    [sym_inline_modifier] = STATE(2118),
    [sym_block] = STATE(5403),
    [sym_expression] = STATE(11350),
    [sym__simple_expression] = STATE(5051),
    [sym_lambda_expression] = STATE(11364),
    [sym_if_expression] = STATE(11364),
    [sym_match_expression] = STATE(11364),
    [sym_try_expression] = STATE(11364),
    [sym_bindings] = STATE(15597),
    [sym_case_block] = STATE(5403),
    [sym_assignment_expression] = STATE(11364),
    [sym_generic_function] = STATE(5403),
    [sym_call_expression] = STATE(5403),
    [sym_field_expression] = STATE(5403),
    [sym_instance_expression] = STATE(5403),
    [sym_ascription_expression] = STATE(11364),
    [sym_infix_expression] = STATE(6806),
    [sym_postfix_expression] = STATE(10789),
    [sym__postfix_expression_choice] = STATE(15797),
    [sym_macro_body] = STATE(11364),
    [sym_prefix_expression] = STATE(8869),
    [sym_tuple_expression] = STATE(5403),
    [sym_parenthesized_expression] = STATE(5403),
    [sym_splice_expression] = STATE(5403),
    [sym_quote_expression] = STATE(5403),
    [sym_identifier] = STATE(4686),
    [sym__soft_identifier] = STATE(4455),
    [sym_wildcard] = STATE(7015),
    [sym__non_null_literal] = STATE(5403),
    [sym_boolean_literal] = STATE(5637),
    [sym_interpolated_string_expression] = STATE(5403),
    [sym_string] = STATE(5637),
    [sym_unit] = STATE(5403),
    [sym_return_expression] = STATE(11364),
    [sym_throw_expression] = STATE(11364),
    [sym_while_expression] = STATE(11364),
    [sym_do_while_expression] = STATE(11364),
    [sym_for_expression] = STATE(11364),
    [sym_comment] = STATE(2058),
    [sym_block_comment] = STATE(2058),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(1152),
    [anon_sym_while] = ACTIONS(1154),
    [anon_sym_for] = ACTIONS(1156),
    [anon_sym_try] = ACTIONS(1158),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1160),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1162),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1164),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1166),
    [anon_sym_throw] = ACTIONS(1168),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [2059] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(6540),
    [sym_expression] = STATE(15076),
    [sym__simple_expression] = STATE(4402),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(6540),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(6540),
    [sym_call_expression] = STATE(6540),
    [sym_field_expression] = STATE(6540),
    [sym_instance_expression] = STATE(6540),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16309),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(6540),
    [sym_parenthesized_expression] = STATE(6540),
    [sym_splice_expression] = STATE(6540),
    [sym_quote_expression] = STATE(6540),
    [sym_identifier] = STATE(4376),
    [sym__soft_identifier] = STATE(4667),
    [sym_wildcard] = STATE(5089),
    [sym__non_null_literal] = STATE(6540),
    [sym_boolean_literal] = STATE(6246),
    [sym_interpolated_string_expression] = STATE(6540),
    [sym_string] = STATE(6246),
    [sym_unit] = STATE(6540),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2059),
    [sym_block_comment] = STATE(2059),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(956),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [2060] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(15131),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2060),
    [sym_block_comment] = STATE(2060),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4042),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2061] = {
    [sym_inline_modifier] = STATE(2118),
    [sym_block] = STATE(5403),
    [sym_expression] = STATE(11354),
    [sym__simple_expression] = STATE(5051),
    [sym_lambda_expression] = STATE(11364),
    [sym_if_expression] = STATE(11364),
    [sym_match_expression] = STATE(11364),
    [sym_try_expression] = STATE(11364),
    [sym_bindings] = STATE(15597),
    [sym_case_block] = STATE(5403),
    [sym_assignment_expression] = STATE(11364),
    [sym_generic_function] = STATE(5403),
    [sym_call_expression] = STATE(5403),
    [sym_field_expression] = STATE(5403),
    [sym_instance_expression] = STATE(5403),
    [sym_ascription_expression] = STATE(11364),
    [sym_infix_expression] = STATE(6806),
    [sym_postfix_expression] = STATE(10789),
    [sym__postfix_expression_choice] = STATE(15797),
    [sym_macro_body] = STATE(11364),
    [sym_prefix_expression] = STATE(8869),
    [sym_tuple_expression] = STATE(5403),
    [sym_parenthesized_expression] = STATE(5403),
    [sym_splice_expression] = STATE(5403),
    [sym_quote_expression] = STATE(5403),
    [sym_identifier] = STATE(4686),
    [sym__soft_identifier] = STATE(4455),
    [sym_wildcard] = STATE(7015),
    [sym__non_null_literal] = STATE(5403),
    [sym_boolean_literal] = STATE(5637),
    [sym_interpolated_string_expression] = STATE(5403),
    [sym_string] = STATE(5637),
    [sym_unit] = STATE(5403),
    [sym_return_expression] = STATE(11364),
    [sym_throw_expression] = STATE(11364),
    [sym_while_expression] = STATE(11364),
    [sym_do_while_expression] = STATE(11364),
    [sym_for_expression] = STATE(11364),
    [sym_comment] = STATE(2061),
    [sym_block_comment] = STATE(2061),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(1152),
    [anon_sym_while] = ACTIONS(1154),
    [anon_sym_for] = ACTIONS(1156),
    [anon_sym_try] = ACTIONS(1158),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1160),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1162),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1164),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1166),
    [anon_sym_throw] = ACTIONS(1168),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [2062] = {
    [sym_inline_modifier] = STATE(2064),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(14280),
    [sym__simple_expression] = STATE(8719),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15704),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10572),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(8565),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(10039),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2062),
    [sym_block_comment] = STATE(2062),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(3246),
    [anon_sym_while] = ACTIONS(3248),
    [anon_sym_for] = ACTIONS(3250),
    [anon_sym_try] = ACTIONS(3252),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(3254),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3318),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(3259),
    [anon_sym_throw] = ACTIONS(3261),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2063] = {
    [sym_inline_modifier] = STATE(2064),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(14245),
    [sym__simple_expression] = STATE(8719),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15704),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10572),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(8565),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(10039),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2063),
    [sym_block_comment] = STATE(2063),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(3246),
    [anon_sym_while] = ACTIONS(3248),
    [anon_sym_for] = ACTIONS(3250),
    [anon_sym_try] = ACTIONS(3252),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(3254),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3318),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(3259),
    [anon_sym_throw] = ACTIONS(3261),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2064] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(14992),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2064),
    [sym_block_comment] = STATE(2064),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4044),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2065] = {
    [sym_inline_modifier] = STATE(2064),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(14345),
    [sym__simple_expression] = STATE(8719),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15704),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10572),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(8565),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(10039),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2065),
    [sym_block_comment] = STATE(2065),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(3246),
    [anon_sym_while] = ACTIONS(3248),
    [anon_sym_for] = ACTIONS(3250),
    [anon_sym_try] = ACTIONS(3252),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(3254),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3318),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(3259),
    [anon_sym_throw] = ACTIONS(3261),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2066] = {
    [sym_inline_modifier] = STATE(2284),
    [sym_block] = STATE(9120),
    [sym_expression] = STATE(13155),
    [sym__simple_expression] = STATE(6111),
    [sym_lambda_expression] = STATE(13422),
    [sym_if_expression] = STATE(13422),
    [sym_match_expression] = STATE(13422),
    [sym_try_expression] = STATE(13422),
    [sym_bindings] = STATE(15588),
    [sym_case_block] = STATE(9120),
    [sym_assignment_expression] = STATE(13422),
    [sym_generic_function] = STATE(9120),
    [sym_call_expression] = STATE(9120),
    [sym_field_expression] = STATE(9120),
    [sym_instance_expression] = STATE(9120),
    [sym_ascription_expression] = STATE(13422),
    [sym_infix_expression] = STATE(9820),
    [sym_postfix_expression] = STATE(13148),
    [sym__postfix_expression_choice] = STATE(15936),
    [sym_macro_body] = STATE(13422),
    [sym_prefix_expression] = STATE(9760),
    [sym_tuple_expression] = STATE(9120),
    [sym_parenthesized_expression] = STATE(9120),
    [sym_splice_expression] = STATE(9120),
    [sym_quote_expression] = STATE(9120),
    [sym_identifier] = STATE(5467),
    [sym__soft_identifier] = STATE(6470),
    [sym_wildcard] = STATE(8607),
    [sym__non_null_literal] = STATE(9120),
    [sym_boolean_literal] = STATE(8928),
    [sym_interpolated_string_expression] = STATE(9120),
    [sym_string] = STATE(8928),
    [sym_unit] = STATE(9120),
    [sym_return_expression] = STATE(13422),
    [sym_throw_expression] = STATE(13422),
    [sym_while_expression] = STATE(13422),
    [sym_do_while_expression] = STATE(13422),
    [sym_for_expression] = STATE(13422),
    [sym_comment] = STATE(2066),
    [sym_block_comment] = STATE(2066),
    [sym__alpha_identifier] = ACTIONS(1582),
    [anon_sym_LBRACE] = ACTIONS(1586),
    [anon_sym__] = ACTIONS(1588),
    [anon_sym_PLUS] = ACTIONS(1590),
    [anon_sym_DASH] = ACTIONS(1590),
    [anon_sym_end] = ACTIONS(1592),
    [anon_sym_if] = ACTIONS(3218),
    [anon_sym_while] = ACTIONS(2380),
    [anon_sym_for] = ACTIONS(2382),
    [anon_sym_try] = ACTIONS(2384),
    [anon_sym_new] = ACTIONS(1594),
    [anon_sym_opaque] = ACTIONS(1592),
    [anon_sym_implicit] = ACTIONS(2386),
    [anon_sym_inline] = ACTIONS(1596),
    [anon_sym_infix] = ACTIONS(1592),
    [anon_sym_open] = ACTIONS(1592),
    [anon_sym_transparent] = ACTIONS(1592),
    [anon_sym_LPAREN] = ACTIONS(1598),
    [anon_sym_macro] = ACTIONS(1874),
    [anon_sym_BANG] = ACTIONS(1590),
    [anon_sym_TILDE] = ACTIONS(1590),
    [anon_sym_DOLLAR] = ACTIONS(1600),
    [anon_sym_SQUOTE] = ACTIONS(1602),
    [sym__backquoted_id] = ACTIONS(1604),
    [sym_operator_identifier] = ACTIONS(2388),
    [sym_integer_literal] = ACTIONS(1608),
    [sym_floating_point_literal] = ACTIONS(1610),
    [anon_sym_true] = ACTIONS(1612),
    [anon_sym_false] = ACTIONS(1612),
    [sym_character_literal] = ACTIONS(1610),
    [sym_null_literal] = ACTIONS(1614),
    [anon_sym_return] = ACTIONS(2390),
    [anon_sym_throw] = ACTIONS(2392),
    [anon_sym_do] = ACTIONS(1882),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1616),
    [sym__simple_string] = ACTIONS(1616),
  },
  [2067] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(15005),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2067),
    [sym_block_comment] = STATE(2067),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(886),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2068] = {
    [sym_inline_modifier] = STATE(2284),
    [sym_block] = STATE(9120),
    [sym_expression] = STATE(13103),
    [sym__simple_expression] = STATE(6111),
    [sym_lambda_expression] = STATE(13422),
    [sym_if_expression] = STATE(13422),
    [sym_match_expression] = STATE(13422),
    [sym_try_expression] = STATE(13422),
    [sym_bindings] = STATE(15588),
    [sym_case_block] = STATE(9120),
    [sym_assignment_expression] = STATE(13422),
    [sym_generic_function] = STATE(9120),
    [sym_call_expression] = STATE(9120),
    [sym_field_expression] = STATE(9120),
    [sym_instance_expression] = STATE(9120),
    [sym_ascription_expression] = STATE(13422),
    [sym_infix_expression] = STATE(9820),
    [sym_postfix_expression] = STATE(13148),
    [sym__postfix_expression_choice] = STATE(15936),
    [sym_macro_body] = STATE(13422),
    [sym_prefix_expression] = STATE(9760),
    [sym_tuple_expression] = STATE(9120),
    [sym_parenthesized_expression] = STATE(9120),
    [sym_splice_expression] = STATE(9120),
    [sym_quote_expression] = STATE(9120),
    [sym_identifier] = STATE(5467),
    [sym__soft_identifier] = STATE(6470),
    [sym_wildcard] = STATE(8607),
    [sym__non_null_literal] = STATE(9120),
    [sym_boolean_literal] = STATE(8928),
    [sym_interpolated_string_expression] = STATE(9120),
    [sym_string] = STATE(8928),
    [sym_unit] = STATE(9120),
    [sym_return_expression] = STATE(13422),
    [sym_throw_expression] = STATE(13422),
    [sym_while_expression] = STATE(13422),
    [sym_do_while_expression] = STATE(13422),
    [sym_for_expression] = STATE(13422),
    [sym_comment] = STATE(2068),
    [sym_block_comment] = STATE(2068),
    [sym__alpha_identifier] = ACTIONS(1582),
    [anon_sym_LBRACE] = ACTIONS(1586),
    [anon_sym__] = ACTIONS(1588),
    [anon_sym_PLUS] = ACTIONS(1590),
    [anon_sym_DASH] = ACTIONS(1590),
    [anon_sym_end] = ACTIONS(1592),
    [anon_sym_if] = ACTIONS(3218),
    [anon_sym_while] = ACTIONS(2380),
    [anon_sym_for] = ACTIONS(2382),
    [anon_sym_try] = ACTIONS(2384),
    [anon_sym_new] = ACTIONS(1594),
    [anon_sym_opaque] = ACTIONS(1592),
    [anon_sym_implicit] = ACTIONS(2386),
    [anon_sym_inline] = ACTIONS(1596),
    [anon_sym_infix] = ACTIONS(1592),
    [anon_sym_open] = ACTIONS(1592),
    [anon_sym_transparent] = ACTIONS(1592),
    [anon_sym_LPAREN] = ACTIONS(1598),
    [anon_sym_macro] = ACTIONS(1874),
    [anon_sym_BANG] = ACTIONS(1590),
    [anon_sym_TILDE] = ACTIONS(1590),
    [anon_sym_DOLLAR] = ACTIONS(1600),
    [anon_sym_SQUOTE] = ACTIONS(1602),
    [sym__backquoted_id] = ACTIONS(1604),
    [sym_operator_identifier] = ACTIONS(2388),
    [sym_integer_literal] = ACTIONS(1608),
    [sym_floating_point_literal] = ACTIONS(1610),
    [anon_sym_true] = ACTIONS(1612),
    [anon_sym_false] = ACTIONS(1612),
    [sym_character_literal] = ACTIONS(1610),
    [sym_null_literal] = ACTIONS(1614),
    [anon_sym_return] = ACTIONS(2390),
    [anon_sym_throw] = ACTIONS(2392),
    [anon_sym_do] = ACTIONS(1882),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1616),
    [sym__simple_string] = ACTIONS(1616),
  },
  [2069] = {
    [sym_inline_modifier] = STATE(2132),
    [sym_block] = STATE(6738),
    [sym_expression] = STATE(11853),
    [sym__simple_expression] = STATE(6097),
    [sym_lambda_expression] = STATE(12430),
    [sym_if_expression] = STATE(12430),
    [sym_match_expression] = STATE(12430),
    [sym_try_expression] = STATE(12430),
    [sym_bindings] = STATE(15718),
    [sym_case_block] = STATE(6738),
    [sym_assignment_expression] = STATE(12430),
    [sym_generic_function] = STATE(6738),
    [sym_call_expression] = STATE(6738),
    [sym_field_expression] = STATE(6738),
    [sym_instance_expression] = STATE(6738),
    [sym_ascription_expression] = STATE(12430),
    [sym_infix_expression] = STATE(8389),
    [sym_postfix_expression] = STATE(11930),
    [sym__postfix_expression_choice] = STATE(15885),
    [sym_macro_body] = STATE(12430),
    [sym_prefix_expression] = STATE(9761),
    [sym_tuple_expression] = STATE(6738),
    [sym_parenthesized_expression] = STATE(6738),
    [sym_splice_expression] = STATE(6738),
    [sym_quote_expression] = STATE(6738),
    [sym_identifier] = STATE(5458),
    [sym__soft_identifier] = STATE(4943),
    [sym_wildcard] = STATE(8612),
    [sym__non_null_literal] = STATE(6738),
    [sym_boolean_literal] = STATE(7301),
    [sym_interpolated_string_expression] = STATE(6738),
    [sym_string] = STATE(7301),
    [sym_unit] = STATE(6738),
    [sym_return_expression] = STATE(12430),
    [sym_throw_expression] = STATE(12430),
    [sym_while_expression] = STATE(12430),
    [sym_do_while_expression] = STATE(12430),
    [sym_for_expression] = STATE(12430),
    [sym_comment] = STATE(2069),
    [sym_block_comment] = STATE(2069),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(2430),
    [anon_sym_while] = ACTIONS(2432),
    [anon_sym_for] = ACTIONS(2434),
    [anon_sym_try] = ACTIONS(2436),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(2438),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1360),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(2440),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(2442),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(1368),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [2070] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(15357),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2070),
    [sym_block_comment] = STATE(2070),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4046),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2071] = {
    [sym_inline_modifier] = STATE(2064),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(14146),
    [sym__simple_expression] = STATE(8719),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15704),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10572),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(8565),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(10039),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2071),
    [sym_block_comment] = STATE(2071),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(3246),
    [anon_sym_while] = ACTIONS(3248),
    [anon_sym_for] = ACTIONS(3250),
    [anon_sym_try] = ACTIONS(3252),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(3254),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3318),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(3259),
    [anon_sym_throw] = ACTIONS(3261),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2072] = {
    [sym_inline_modifier] = STATE(2044),
    [sym_block] = STATE(9913),
    [sym_expression] = STATE(13615),
    [sym__simple_expression] = STATE(7224),
    [sym_lambda_expression] = STATE(12144),
    [sym_if_expression] = STATE(12144),
    [sym_match_expression] = STATE(12144),
    [sym_try_expression] = STATE(12144),
    [sym_bindings] = STATE(15632),
    [sym_case_block] = STATE(9913),
    [sym_assignment_expression] = STATE(12144),
    [sym_generic_function] = STATE(9913),
    [sym_call_expression] = STATE(9913),
    [sym_field_expression] = STATE(9913),
    [sym_instance_expression] = STATE(9913),
    [sym_ascription_expression] = STATE(12144),
    [sym_infix_expression] = STATE(10304),
    [sym_postfix_expression] = STATE(11499),
    [sym__postfix_expression_choice] = STATE(16334),
    [sym_macro_body] = STATE(12144),
    [sym_prefix_expression] = STATE(9963),
    [sym_tuple_expression] = STATE(9913),
    [sym_parenthesized_expression] = STATE(9913),
    [sym_splice_expression] = STATE(9913),
    [sym_quote_expression] = STATE(9913),
    [sym_identifier] = STATE(6170),
    [sym__soft_identifier] = STATE(4555),
    [sym_wildcard] = STATE(8897),
    [sym__non_null_literal] = STATE(9913),
    [sym_boolean_literal] = STATE(6572),
    [sym_interpolated_string_expression] = STATE(9913),
    [sym_string] = STATE(6572),
    [sym_unit] = STATE(9913),
    [sym_return_expression] = STATE(12144),
    [sym_throw_expression] = STATE(12144),
    [sym_while_expression] = STATE(12144),
    [sym_do_while_expression] = STATE(12144),
    [sym_for_expression] = STATE(12144),
    [sym_comment] = STATE(2072),
    [sym_block_comment] = STATE(2072),
    [sym__alpha_identifier] = ACTIONS(1766),
    [anon_sym_LBRACE] = ACTIONS(1770),
    [anon_sym__] = ACTIONS(1772),
    [anon_sym_PLUS] = ACTIONS(1774),
    [anon_sym_DASH] = ACTIONS(1774),
    [anon_sym_end] = ACTIONS(1776),
    [anon_sym_if] = ACTIONS(2160),
    [anon_sym_while] = ACTIONS(2162),
    [anon_sym_for] = ACTIONS(2164),
    [anon_sym_try] = ACTIONS(2166),
    [anon_sym_new] = ACTIONS(1778),
    [anon_sym_opaque] = ACTIONS(1776),
    [anon_sym_implicit] = ACTIONS(2168),
    [anon_sym_inline] = ACTIONS(1780),
    [anon_sym_infix] = ACTIONS(1776),
    [anon_sym_open] = ACTIONS(1776),
    [anon_sym_transparent] = ACTIONS(1776),
    [anon_sym_LPAREN] = ACTIONS(1782),
    [anon_sym_macro] = ACTIONS(2170),
    [anon_sym_BANG] = ACTIONS(1774),
    [anon_sym_TILDE] = ACTIONS(1774),
    [anon_sym_DOLLAR] = ACTIONS(1784),
    [anon_sym_SQUOTE] = ACTIONS(1786),
    [sym__backquoted_id] = ACTIONS(1788),
    [sym_operator_identifier] = ACTIONS(2172),
    [sym_integer_literal] = ACTIONS(1792),
    [sym_floating_point_literal] = ACTIONS(1794),
    [anon_sym_true] = ACTIONS(1796),
    [anon_sym_false] = ACTIONS(1796),
    [sym_character_literal] = ACTIONS(1794),
    [sym_null_literal] = ACTIONS(1798),
    [anon_sym_return] = ACTIONS(2174),
    [anon_sym_throw] = ACTIONS(2176),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1800),
    [sym__simple_string] = ACTIONS(1800),
  },
  [2073] = {
    [sym_inline_modifier] = STATE(2064),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(14294),
    [sym__simple_expression] = STATE(8719),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15704),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10572),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(8565),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(10039),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2073),
    [sym_block_comment] = STATE(2073),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(3246),
    [anon_sym_while] = ACTIONS(3248),
    [anon_sym_for] = ACTIONS(3250),
    [anon_sym_try] = ACTIONS(3252),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(3254),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3318),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(3259),
    [anon_sym_throw] = ACTIONS(3261),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2074] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(15131),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2074),
    [sym_block_comment] = STATE(2074),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4048),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2075] = {
    [sym_inline_modifier] = STATE(2132),
    [sym_block] = STATE(6738),
    [sym_expression] = STATE(12197),
    [sym__simple_expression] = STATE(6097),
    [sym_lambda_expression] = STATE(12430),
    [sym_if_expression] = STATE(12430),
    [sym_match_expression] = STATE(12430),
    [sym_try_expression] = STATE(12430),
    [sym_bindings] = STATE(15718),
    [sym_case_block] = STATE(6738),
    [sym_assignment_expression] = STATE(12430),
    [sym_generic_function] = STATE(6738),
    [sym_call_expression] = STATE(6738),
    [sym_field_expression] = STATE(6738),
    [sym_instance_expression] = STATE(6738),
    [sym_ascription_expression] = STATE(12430),
    [sym_infix_expression] = STATE(8389),
    [sym_postfix_expression] = STATE(11930),
    [sym__postfix_expression_choice] = STATE(15885),
    [sym_macro_body] = STATE(12430),
    [sym_prefix_expression] = STATE(9761),
    [sym_tuple_expression] = STATE(6738),
    [sym_parenthesized_expression] = STATE(6738),
    [sym_splice_expression] = STATE(6738),
    [sym_quote_expression] = STATE(6738),
    [sym_identifier] = STATE(5458),
    [sym__soft_identifier] = STATE(4943),
    [sym_wildcard] = STATE(8612),
    [sym__non_null_literal] = STATE(6738),
    [sym_boolean_literal] = STATE(7301),
    [sym_interpolated_string_expression] = STATE(6738),
    [sym_string] = STATE(7301),
    [sym_unit] = STATE(6738),
    [sym_return_expression] = STATE(12430),
    [sym_throw_expression] = STATE(12430),
    [sym_while_expression] = STATE(12430),
    [sym_do_while_expression] = STATE(12430),
    [sym_for_expression] = STATE(12430),
    [sym_comment] = STATE(2075),
    [sym_block_comment] = STATE(2075),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(2430),
    [anon_sym_while] = ACTIONS(2432),
    [anon_sym_for] = ACTIONS(2434),
    [anon_sym_try] = ACTIONS(2436),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(2438),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1360),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(2440),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(2442),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(1368),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [2076] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(15248),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2076),
    [sym_block_comment] = STATE(2076),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(884),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2077] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(8070),
    [sym_expression] = STATE(14996),
    [sym__simple_expression] = STATE(4900),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(8070),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(8070),
    [sym_call_expression] = STATE(8070),
    [sym_field_expression] = STATE(8070),
    [sym_instance_expression] = STATE(8070),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9238),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16328),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(8168),
    [sym_tuple_expression] = STATE(8070),
    [sym_parenthesized_expression] = STATE(8070),
    [sym_splice_expression] = STATE(8070),
    [sym_quote_expression] = STATE(8070),
    [sym_identifier] = STATE(4605),
    [sym__soft_identifier] = STATE(5234),
    [sym_wildcard] = STATE(6595),
    [sym__non_null_literal] = STATE(8070),
    [sym_boolean_literal] = STATE(8055),
    [sym_interpolated_string_expression] = STATE(8070),
    [sym_string] = STATE(8055),
    [sym_unit] = STATE(8070),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2077),
    [sym_block_comment] = STATE(2077),
    [sym__alpha_identifier] = ACTIONS(1314),
    [anon_sym_LBRACE] = ACTIONS(1318),
    [anon_sym__] = ACTIONS(1320),
    [anon_sym_PLUS] = ACTIONS(1322),
    [anon_sym_DASH] = ACTIONS(1322),
    [anon_sym_end] = ACTIONS(1324),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1326),
    [anon_sym_opaque] = ACTIONS(1324),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1328),
    [anon_sym_infix] = ACTIONS(1324),
    [anon_sym_open] = ACTIONS(1324),
    [anon_sym_transparent] = ACTIONS(1324),
    [anon_sym_LPAREN] = ACTIONS(1330),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1322),
    [anon_sym_TILDE] = ACTIONS(1322),
    [anon_sym_DOLLAR] = ACTIONS(1332),
    [anon_sym_SQUOTE] = ACTIONS(1334),
    [sym__backquoted_id] = ACTIONS(1336),
    [sym_operator_identifier] = ACTIONS(1338),
    [sym_integer_literal] = ACTIONS(1340),
    [sym_floating_point_literal] = ACTIONS(1342),
    [anon_sym_true] = ACTIONS(1344),
    [anon_sym_false] = ACTIONS(1344),
    [sym_character_literal] = ACTIONS(1342),
    [sym_null_literal] = ACTIONS(1346),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1348),
    [sym__simple_string] = ACTIONS(1348),
  },
  [2078] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9539),
    [sym_expression] = STATE(15186),
    [sym__simple_expression] = STATE(6563),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9539),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9539),
    [sym_call_expression] = STATE(9539),
    [sym_field_expression] = STATE(9539),
    [sym_instance_expression] = STATE(9539),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16290),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9539),
    [sym_parenthesized_expression] = STATE(9539),
    [sym_splice_expression] = STATE(9539),
    [sym_quote_expression] = STATE(9539),
    [sym_identifier] = STATE(5822),
    [sym__soft_identifier] = STATE(4462),
    [sym_wildcard] = STATE(8157),
    [sym__non_null_literal] = STATE(9539),
    [sym_boolean_literal] = STATE(5971),
    [sym_interpolated_string_expression] = STATE(9539),
    [sym_string] = STATE(5971),
    [sym_unit] = STATE(9539),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2078),
    [sym_block_comment] = STATE(2078),
    [sym__alpha_identifier] = ACTIONS(1444),
    [anon_sym_LBRACE] = ACTIONS(1448),
    [anon_sym__] = ACTIONS(1450),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(1454),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1456),
    [anon_sym_opaque] = ACTIONS(1454),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1458),
    [anon_sym_infix] = ACTIONS(1454),
    [anon_sym_open] = ACTIONS(1454),
    [anon_sym_transparent] = ACTIONS(1454),
    [anon_sym_LPAREN] = ACTIONS(1460),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(1462),
    [anon_sym_SQUOTE] = ACTIONS(1464),
    [sym__backquoted_id] = ACTIONS(1466),
    [sym_operator_identifier] = ACTIONS(1468),
    [sym_integer_literal] = ACTIONS(1470),
    [sym_floating_point_literal] = ACTIONS(1472),
    [anon_sym_true] = ACTIONS(1474),
    [anon_sym_false] = ACTIONS(1474),
    [sym_character_literal] = ACTIONS(1472),
    [sym_null_literal] = ACTIONS(1476),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1478),
    [sym__simple_string] = ACTIONS(1478),
  },
  [2079] = {
    [sym_inline_modifier] = STATE(2259),
    [sym_block] = STATE(8070),
    [sym_expression] = STATE(12549),
    [sym__simple_expression] = STATE(7077),
    [sym_lambda_expression] = STATE(12742),
    [sym_if_expression] = STATE(12742),
    [sym_match_expression] = STATE(12742),
    [sym_try_expression] = STATE(12742),
    [sym_bindings] = STATE(15598),
    [sym_case_block] = STATE(8070),
    [sym_assignment_expression] = STATE(12742),
    [sym_generic_function] = STATE(8070),
    [sym_call_expression] = STATE(8070),
    [sym_field_expression] = STATE(8070),
    [sym_instance_expression] = STATE(8070),
    [sym_ascription_expression] = STATE(12742),
    [sym_infix_expression] = STATE(8913),
    [sym_postfix_expression] = STATE(12343),
    [sym__postfix_expression_choice] = STATE(16230),
    [sym_macro_body] = STATE(12742),
    [sym_prefix_expression] = STATE(10037),
    [sym_tuple_expression] = STATE(8070),
    [sym_parenthesized_expression] = STATE(8070),
    [sym_splice_expression] = STATE(8070),
    [sym_quote_expression] = STATE(8070),
    [sym_identifier] = STATE(6308),
    [sym__soft_identifier] = STATE(5234),
    [sym_wildcard] = STATE(8710),
    [sym__non_null_literal] = STATE(8070),
    [sym_boolean_literal] = STATE(8055),
    [sym_interpolated_string_expression] = STATE(8070),
    [sym_string] = STATE(8055),
    [sym_unit] = STATE(8070),
    [sym_return_expression] = STATE(12742),
    [sym_throw_expression] = STATE(12742),
    [sym_while_expression] = STATE(12742),
    [sym_do_while_expression] = STATE(12742),
    [sym_for_expression] = STATE(12742),
    [sym_comment] = STATE(2079),
    [sym_block_comment] = STATE(2079),
    [sym__alpha_identifier] = ACTIONS(1314),
    [anon_sym_LBRACE] = ACTIONS(1318),
    [anon_sym__] = ACTIONS(1320),
    [anon_sym_PLUS] = ACTIONS(1322),
    [anon_sym_DASH] = ACTIONS(1322),
    [anon_sym_end] = ACTIONS(1324),
    [anon_sym_if] = ACTIONS(2486),
    [anon_sym_while] = ACTIONS(2488),
    [anon_sym_for] = ACTIONS(2490),
    [anon_sym_try] = ACTIONS(2492),
    [anon_sym_new] = ACTIONS(1326),
    [anon_sym_opaque] = ACTIONS(1324),
    [anon_sym_implicit] = ACTIONS(2494),
    [anon_sym_inline] = ACTIONS(1328),
    [anon_sym_infix] = ACTIONS(1324),
    [anon_sym_open] = ACTIONS(1324),
    [anon_sym_transparent] = ACTIONS(1324),
    [anon_sym_LPAREN] = ACTIONS(1330),
    [anon_sym_macro] = ACTIONS(1740),
    [anon_sym_BANG] = ACTIONS(1322),
    [anon_sym_TILDE] = ACTIONS(1322),
    [anon_sym_DOLLAR] = ACTIONS(1332),
    [anon_sym_SQUOTE] = ACTIONS(1334),
    [sym__backquoted_id] = ACTIONS(1336),
    [sym_operator_identifier] = ACTIONS(2496),
    [sym_integer_literal] = ACTIONS(1340),
    [sym_floating_point_literal] = ACTIONS(1342),
    [anon_sym_true] = ACTIONS(1344),
    [anon_sym_false] = ACTIONS(1344),
    [sym_character_literal] = ACTIONS(1342),
    [sym_null_literal] = ACTIONS(1346),
    [anon_sym_return] = ACTIONS(2498),
    [anon_sym_throw] = ACTIONS(2500),
    [anon_sym_do] = ACTIONS(1748),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1348),
    [sym__simple_string] = ACTIONS(1348),
  },
  [2080] = {
    [sym_inline_modifier] = STATE(2335),
    [sym_block] = STATE(5403),
    [sym_expression] = STATE(11361),
    [sym__simple_expression] = STATE(4736),
    [sym_lambda_expression] = STATE(11364),
    [sym_if_expression] = STATE(11364),
    [sym_match_expression] = STATE(11364),
    [sym_try_expression] = STATE(11364),
    [sym_bindings] = STATE(15583),
    [sym_case_block] = STATE(5403),
    [sym_assignment_expression] = STATE(11364),
    [sym_generic_function] = STATE(5403),
    [sym_call_expression] = STATE(5403),
    [sym_field_expression] = STATE(5403),
    [sym_instance_expression] = STATE(5403),
    [sym_ascription_expression] = STATE(11364),
    [sym_infix_expression] = STATE(6806),
    [sym_postfix_expression] = STATE(10789),
    [sym__postfix_expression_choice] = STATE(15797),
    [sym_macro_body] = STATE(11364),
    [sym_prefix_expression] = STATE(8627),
    [sym_tuple_expression] = STATE(5403),
    [sym_parenthesized_expression] = STATE(5403),
    [sym_splice_expression] = STATE(5403),
    [sym_quote_expression] = STATE(5403),
    [sym_identifier] = STATE(4558),
    [sym__soft_identifier] = STATE(4455),
    [sym_wildcard] = STATE(6107),
    [sym__non_null_literal] = STATE(5403),
    [sym_boolean_literal] = STATE(5637),
    [sym_interpolated_string_expression] = STATE(5403),
    [sym_string] = STATE(5637),
    [sym_unit] = STATE(5403),
    [sym_return_expression] = STATE(11364),
    [sym_throw_expression] = STATE(11364),
    [sym_while_expression] = STATE(11364),
    [sym_do_while_expression] = STATE(11364),
    [sym_for_expression] = STATE(11364),
    [sym_comment] = STATE(2080),
    [sym_block_comment] = STATE(2080),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(2288),
    [anon_sym_while] = ACTIONS(1750),
    [anon_sym_for] = ACTIONS(1752),
    [anon_sym_try] = ACTIONS(1754),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1756),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1162),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1758),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1760),
    [anon_sym_throw] = ACTIONS(1762),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [2081] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(15126),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2081),
    [sym_block_comment] = STATE(2081),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4050),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2082] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13983),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2082),
    [sym_block_comment] = STATE(2082),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2083] = {
    [sym_inline_modifier] = STATE(2064),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(14337),
    [sym__simple_expression] = STATE(8719),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15704),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10572),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(8565),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(10039),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2083),
    [sym_block_comment] = STATE(2083),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(3246),
    [anon_sym_while] = ACTIONS(3248),
    [anon_sym_for] = ACTIONS(3250),
    [anon_sym_try] = ACTIONS(3252),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(3254),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3318),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(3259),
    [anon_sym_throw] = ACTIONS(3261),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2084] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(14992),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2084),
    [sym_block_comment] = STATE(2084),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4052),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2085] = {
    [sym_inline_modifier] = STATE(2084),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13455),
    [sym__simple_expression] = STATE(8831),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15722),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10635),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(8641),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(10149),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2085),
    [sym_block_comment] = STATE(2085),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2740),
    [anon_sym_while] = ACTIONS(2742),
    [anon_sym_for] = ACTIONS(2744),
    [anon_sym_try] = ACTIONS(2746),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2748),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3312),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2762),
    [anon_sym_throw] = ACTIONS(2764),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2086] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(15391),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2086),
    [sym_block_comment] = STATE(2086),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4054),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2087] = {
    [sym_inline_modifier] = STATE(2130),
    [sym_block] = STATE(9120),
    [sym_expression] = STATE(13103),
    [sym__simple_expression] = STATE(6353),
    [sym_lambda_expression] = STATE(13422),
    [sym_if_expression] = STATE(13422),
    [sym_match_expression] = STATE(13422),
    [sym_try_expression] = STATE(13422),
    [sym_bindings] = STATE(15752),
    [sym_case_block] = STATE(9120),
    [sym_assignment_expression] = STATE(13422),
    [sym_generic_function] = STATE(9120),
    [sym_call_expression] = STATE(9120),
    [sym_field_expression] = STATE(9120),
    [sym_instance_expression] = STATE(9120),
    [sym_ascription_expression] = STATE(13422),
    [sym_infix_expression] = STATE(9820),
    [sym_postfix_expression] = STATE(13148),
    [sym__postfix_expression_choice] = STATE(15936),
    [sym_macro_body] = STATE(13422),
    [sym_prefix_expression] = STATE(9828),
    [sym_tuple_expression] = STATE(9120),
    [sym_parenthesized_expression] = STATE(9120),
    [sym_splice_expression] = STATE(9120),
    [sym_quote_expression] = STATE(9120),
    [sym_identifier] = STATE(5669),
    [sym__soft_identifier] = STATE(6470),
    [sym_wildcard] = STATE(8444),
    [sym__non_null_literal] = STATE(9120),
    [sym_boolean_literal] = STATE(8928),
    [sym_interpolated_string_expression] = STATE(9120),
    [sym_string] = STATE(8928),
    [sym_unit] = STATE(9120),
    [sym_return_expression] = STATE(13422),
    [sym_throw_expression] = STATE(13422),
    [sym_while_expression] = STATE(13422),
    [sym_do_while_expression] = STATE(13422),
    [sym_for_expression] = STATE(13422),
    [sym_comment] = STATE(2087),
    [sym_block_comment] = STATE(2087),
    [sym__alpha_identifier] = ACTIONS(1582),
    [anon_sym_LBRACE] = ACTIONS(1586),
    [anon_sym__] = ACTIONS(1588),
    [anon_sym_PLUS] = ACTIONS(1590),
    [anon_sym_DASH] = ACTIONS(1590),
    [anon_sym_end] = ACTIONS(1592),
    [anon_sym_if] = ACTIONS(1864),
    [anon_sym_while] = ACTIONS(1866),
    [anon_sym_for] = ACTIONS(1868),
    [anon_sym_try] = ACTIONS(1870),
    [anon_sym_new] = ACTIONS(1594),
    [anon_sym_opaque] = ACTIONS(1592),
    [anon_sym_implicit] = ACTIONS(1872),
    [anon_sym_inline] = ACTIONS(1596),
    [anon_sym_infix] = ACTIONS(1592),
    [anon_sym_open] = ACTIONS(1592),
    [anon_sym_transparent] = ACTIONS(1592),
    [anon_sym_LPAREN] = ACTIONS(1598),
    [anon_sym_macro] = ACTIONS(1874),
    [anon_sym_BANG] = ACTIONS(1590),
    [anon_sym_TILDE] = ACTIONS(1590),
    [anon_sym_DOLLAR] = ACTIONS(1600),
    [anon_sym_SQUOTE] = ACTIONS(1602),
    [sym__backquoted_id] = ACTIONS(1604),
    [sym_operator_identifier] = ACTIONS(1876),
    [sym_integer_literal] = ACTIONS(1608),
    [sym_floating_point_literal] = ACTIONS(1610),
    [anon_sym_true] = ACTIONS(1612),
    [anon_sym_false] = ACTIONS(1612),
    [sym_character_literal] = ACTIONS(1610),
    [sym_null_literal] = ACTIONS(1614),
    [anon_sym_return] = ACTIONS(1878),
    [anon_sym_throw] = ACTIONS(1880),
    [anon_sym_do] = ACTIONS(1882),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1616),
    [sym__simple_string] = ACTIONS(1616),
  },
  [2088] = {
    [sym_inline_modifier] = STATE(2064),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(14262),
    [sym__simple_expression] = STATE(8719),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15704),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10572),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(8565),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(10039),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2088),
    [sym_block_comment] = STATE(2088),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(3246),
    [anon_sym_while] = ACTIONS(3248),
    [anon_sym_for] = ACTIONS(3250),
    [anon_sym_try] = ACTIONS(3252),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(3254),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3318),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(3259),
    [anon_sym_throw] = ACTIONS(3261),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2089] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(6540),
    [sym_expression] = STATE(15076),
    [sym__simple_expression] = STATE(4420),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(6540),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(6540),
    [sym_call_expression] = STATE(6540),
    [sym_field_expression] = STATE(6540),
    [sym_instance_expression] = STATE(6540),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(7762),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16309),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(6739),
    [sym_tuple_expression] = STATE(6540),
    [sym_parenthesized_expression] = STATE(6540),
    [sym_splice_expression] = STATE(6540),
    [sym_quote_expression] = STATE(6540),
    [sym_identifier] = STATE(4376),
    [sym__soft_identifier] = STATE(4667),
    [sym_wildcard] = STATE(5089),
    [sym__non_null_literal] = STATE(6540),
    [sym_boolean_literal] = STATE(6246),
    [sym_interpolated_string_expression] = STATE(6540),
    [sym_string] = STATE(6246),
    [sym_unit] = STATE(6540),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2089),
    [sym_block_comment] = STATE(2089),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(956),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [2090] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(8821),
    [sym_expression] = STATE(15265),
    [sym__simple_expression] = STATE(5623),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(8821),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(8821),
    [sym_call_expression] = STATE(8821),
    [sym_field_expression] = STATE(8821),
    [sym_instance_expression] = STATE(8821),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16270),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(8821),
    [sym_parenthesized_expression] = STATE(8821),
    [sym_splice_expression] = STATE(8821),
    [sym_quote_expression] = STATE(8821),
    [sym_identifier] = STATE(5024),
    [sym__soft_identifier] = STATE(6446),
    [sym_wildcard] = STATE(8013),
    [sym__non_null_literal] = STATE(8821),
    [sym_boolean_literal] = STATE(8798),
    [sym_interpolated_string_expression] = STATE(8821),
    [sym_string] = STATE(8798),
    [sym_unit] = STATE(8821),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2090),
    [sym_block_comment] = STATE(2090),
    [sym__alpha_identifier] = ACTIONS(1674),
    [anon_sym_LBRACE] = ACTIONS(1678),
    [anon_sym__] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(1684),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1686),
    [anon_sym_opaque] = ACTIONS(1684),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1688),
    [anon_sym_infix] = ACTIONS(1684),
    [anon_sym_open] = ACTIONS(1684),
    [anon_sym_transparent] = ACTIONS(1684),
    [anon_sym_LPAREN] = ACTIONS(1690),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(1692),
    [anon_sym_SQUOTE] = ACTIONS(1694),
    [sym__backquoted_id] = ACTIONS(1696),
    [sym_operator_identifier] = ACTIONS(1698),
    [sym_integer_literal] = ACTIONS(1700),
    [sym_floating_point_literal] = ACTIONS(1702),
    [anon_sym_true] = ACTIONS(1704),
    [anon_sym_false] = ACTIONS(1704),
    [sym_character_literal] = ACTIONS(1702),
    [sym_null_literal] = ACTIONS(1706),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1708),
    [sym__simple_string] = ACTIONS(1708),
  },
  [2091] = {
    [sym_inline_modifier] = STATE(2191),
    [sym_block] = STATE(8821),
    [sym_expression] = STATE(12977),
    [sym__simple_expression] = STATE(6138),
    [sym_lambda_expression] = STATE(13337),
    [sym_if_expression] = STATE(13337),
    [sym_match_expression] = STATE(13337),
    [sym_try_expression] = STATE(13337),
    [sym_bindings] = STATE(15634),
    [sym_case_block] = STATE(8821),
    [sym_assignment_expression] = STATE(13337),
    [sym_generic_function] = STATE(8821),
    [sym_call_expression] = STATE(8821),
    [sym_field_expression] = STATE(8821),
    [sym_instance_expression] = STATE(8821),
    [sym_ascription_expression] = STATE(13337),
    [sym_infix_expression] = STATE(9659),
    [sym_postfix_expression] = STATE(13173),
    [sym__postfix_expression_choice] = STATE(16170),
    [sym_macro_body] = STATE(13337),
    [sym_prefix_expression] = STATE(9758),
    [sym_tuple_expression] = STATE(8821),
    [sym_parenthesized_expression] = STATE(8821),
    [sym_splice_expression] = STATE(8821),
    [sym_quote_expression] = STATE(8821),
    [sym_identifier] = STATE(5472),
    [sym__soft_identifier] = STATE(6446),
    [sym_wildcard] = STATE(8602),
    [sym__non_null_literal] = STATE(8821),
    [sym_boolean_literal] = STATE(8798),
    [sym_interpolated_string_expression] = STATE(8821),
    [sym_string] = STATE(8798),
    [sym_unit] = STATE(8821),
    [sym_return_expression] = STATE(13337),
    [sym_throw_expression] = STATE(13337),
    [sym_while_expression] = STATE(13337),
    [sym_do_while_expression] = STATE(13337),
    [sym_for_expression] = STATE(13337),
    [sym_comment] = STATE(2091),
    [sym_block_comment] = STATE(2091),
    [sym__alpha_identifier] = ACTIONS(1674),
    [anon_sym_LBRACE] = ACTIONS(1678),
    [anon_sym__] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1682),
    [anon_sym_DASH] = ACTIONS(1682),
    [anon_sym_end] = ACTIONS(1684),
    [anon_sym_if] = ACTIONS(2298),
    [anon_sym_while] = ACTIONS(2300),
    [anon_sym_for] = ACTIONS(2302),
    [anon_sym_try] = ACTIONS(2304),
    [anon_sym_new] = ACTIONS(1686),
    [anon_sym_opaque] = ACTIONS(1684),
    [anon_sym_implicit] = ACTIONS(2306),
    [anon_sym_inline] = ACTIONS(1688),
    [anon_sym_infix] = ACTIONS(1684),
    [anon_sym_open] = ACTIONS(1684),
    [anon_sym_transparent] = ACTIONS(1684),
    [anon_sym_LPAREN] = ACTIONS(1690),
    [anon_sym_macro] = ACTIONS(1914),
    [anon_sym_BANG] = ACTIONS(1682),
    [anon_sym_TILDE] = ACTIONS(1682),
    [anon_sym_DOLLAR] = ACTIONS(1692),
    [anon_sym_SQUOTE] = ACTIONS(1694),
    [sym__backquoted_id] = ACTIONS(1696),
    [sym_operator_identifier] = ACTIONS(2308),
    [sym_integer_literal] = ACTIONS(1700),
    [sym_floating_point_literal] = ACTIONS(1702),
    [anon_sym_true] = ACTIONS(1704),
    [anon_sym_false] = ACTIONS(1704),
    [sym_character_literal] = ACTIONS(1702),
    [sym_null_literal] = ACTIONS(1706),
    [anon_sym_return] = ACTIONS(2310),
    [anon_sym_throw] = ACTIONS(2312),
    [anon_sym_do] = ACTIONS(1922),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1708),
    [sym__simple_string] = ACTIONS(1708),
  },
  [2092] = {
    [sym_inline_modifier] = STATE(2064),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(14303),
    [sym__simple_expression] = STATE(8719),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15704),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10572),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(8565),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(10039),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2092),
    [sym_block_comment] = STATE(2092),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(3246),
    [anon_sym_while] = ACTIONS(3248),
    [anon_sym_for] = ACTIONS(3250),
    [anon_sym_try] = ACTIONS(3252),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(3254),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3318),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(3259),
    [anon_sym_throw] = ACTIONS(3261),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2093] = {
    [sym_inline_modifier] = STATE(2293),
    [sym_block] = STATE(6703),
    [sym_expression] = STATE(11767),
    [sym__simple_expression] = STATE(5444),
    [sym_lambda_expression] = STATE(12046),
    [sym_if_expression] = STATE(12046),
    [sym_match_expression] = STATE(12046),
    [sym_try_expression] = STATE(12046),
    [sym_bindings] = STATE(15592),
    [sym_case_block] = STATE(6703),
    [sym_assignment_expression] = STATE(12046),
    [sym_generic_function] = STATE(6703),
    [sym_call_expression] = STATE(6703),
    [sym_field_expression] = STATE(6703),
    [sym_instance_expression] = STATE(6703),
    [sym_ascription_expression] = STATE(12046),
    [sym_infix_expression] = STATE(8166),
    [sym_postfix_expression] = STATE(11496),
    [sym__postfix_expression_choice] = STATE(15827),
    [sym_macro_body] = STATE(12046),
    [sym_prefix_expression] = STATE(9361),
    [sym_tuple_expression] = STATE(6703),
    [sym_parenthesized_expression] = STATE(6703),
    [sym_splice_expression] = STATE(6703),
    [sym_quote_expression] = STATE(6703),
    [sym_identifier] = STATE(5281),
    [sym__soft_identifier] = STATE(4884),
    [sym_wildcard] = STATE(7456),
    [sym__non_null_literal] = STATE(6703),
    [sym_boolean_literal] = STATE(6780),
    [sym_interpolated_string_expression] = STATE(6703),
    [sym_string] = STATE(6780),
    [sym_unit] = STATE(6703),
    [sym_return_expression] = STATE(12046),
    [sym_throw_expression] = STATE(12046),
    [sym_while_expression] = STATE(12046),
    [sym_do_while_expression] = STATE(12046),
    [sym_for_expression] = STATE(12046),
    [sym_comment] = STATE(2093),
    [sym_block_comment] = STATE(2093),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(2410),
    [anon_sym_while] = ACTIONS(2178),
    [anon_sym_for] = ACTIONS(2180),
    [anon_sym_try] = ACTIONS(2182),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(2184),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1848),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(2186),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(2188),
    [anon_sym_throw] = ACTIONS(2190),
    [anon_sym_do] = ACTIONS(1856),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [2094] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(10398),
    [sym_expression] = STATE(15056),
    [sym__simple_expression] = STATE(8772),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(10398),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(10398),
    [sym_call_expression] = STATE(10398),
    [sym_field_expression] = STATE(10398),
    [sym_instance_expression] = STATE(10398),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16024),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(10398),
    [sym_parenthesized_expression] = STATE(10398),
    [sym_splice_expression] = STATE(10398),
    [sym_quote_expression] = STATE(10398),
    [sym_identifier] = STATE(9110),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(10188),
    [sym__non_null_literal] = STATE(10398),
    [sym_boolean_literal] = STATE(10391),
    [sym_interpolated_string_expression] = STATE(10398),
    [sym_string] = STATE(10391),
    [sym_unit] = STATE(10398),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2094),
    [sym_block_comment] = STATE(2094),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(3286),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(3290),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3292),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(3294),
    [anon_sym_SQUOTE] = ACTIONS(3296),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3298),
    [sym_integer_literal] = ACTIONS(3300),
    [sym_floating_point_literal] = ACTIONS(3302),
    [anon_sym_true] = ACTIONS(3304),
    [anon_sym_false] = ACTIONS(3304),
    [sym_character_literal] = ACTIONS(3302),
    [sym_null_literal] = ACTIONS(3306),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(3308),
    [sym__simple_string] = ACTIONS(3308),
  },
  [2095] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(14298),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2095),
    [sym_block_comment] = STATE(2095),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2096] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(6450),
    [sym_expression] = STATE(14843),
    [sym__simple_expression] = STATE(4434),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(6450),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(6450),
    [sym_call_expression] = STATE(6450),
    [sym_field_expression] = STATE(6450),
    [sym_instance_expression] = STATE(6450),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(7650),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16176),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(6812),
    [sym_tuple_expression] = STATE(6450),
    [sym_parenthesized_expression] = STATE(6450),
    [sym_splice_expression] = STATE(6450),
    [sym_quote_expression] = STATE(6450),
    [sym_identifier] = STATE(4340),
    [sym__soft_identifier] = STATE(4507),
    [sym_wildcard] = STATE(5337),
    [sym__non_null_literal] = STATE(6450),
    [sym_boolean_literal] = STATE(6156),
    [sym_interpolated_string_expression] = STATE(6450),
    [sym_string] = STATE(6156),
    [sym_unit] = STATE(6450),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2096),
    [sym_block_comment] = STATE(2096),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(992),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [2097] = {
    [sym_inline_modifier] = STATE(2335),
    [sym_block] = STATE(5403),
    [sym_expression] = STATE(11350),
    [sym__simple_expression] = STATE(4736),
    [sym_lambda_expression] = STATE(11364),
    [sym_if_expression] = STATE(11364),
    [sym_match_expression] = STATE(11364),
    [sym_try_expression] = STATE(11364),
    [sym_bindings] = STATE(15583),
    [sym_case_block] = STATE(5403),
    [sym_assignment_expression] = STATE(11364),
    [sym_generic_function] = STATE(5403),
    [sym_call_expression] = STATE(5403),
    [sym_field_expression] = STATE(5403),
    [sym_instance_expression] = STATE(5403),
    [sym_ascription_expression] = STATE(11364),
    [sym_infix_expression] = STATE(6806),
    [sym_postfix_expression] = STATE(10789),
    [sym__postfix_expression_choice] = STATE(15797),
    [sym_macro_body] = STATE(11364),
    [sym_prefix_expression] = STATE(8627),
    [sym_tuple_expression] = STATE(5403),
    [sym_parenthesized_expression] = STATE(5403),
    [sym_splice_expression] = STATE(5403),
    [sym_quote_expression] = STATE(5403),
    [sym_identifier] = STATE(4558),
    [sym__soft_identifier] = STATE(4455),
    [sym_wildcard] = STATE(6107),
    [sym__non_null_literal] = STATE(5403),
    [sym_boolean_literal] = STATE(5637),
    [sym_interpolated_string_expression] = STATE(5403),
    [sym_string] = STATE(5637),
    [sym_unit] = STATE(5403),
    [sym_return_expression] = STATE(11364),
    [sym_throw_expression] = STATE(11364),
    [sym_while_expression] = STATE(11364),
    [sym_do_while_expression] = STATE(11364),
    [sym_for_expression] = STATE(11364),
    [sym_comment] = STATE(2097),
    [sym_block_comment] = STATE(2097),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(2288),
    [anon_sym_while] = ACTIONS(1750),
    [anon_sym_for] = ACTIONS(1752),
    [anon_sym_try] = ACTIONS(1754),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1756),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1162),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1758),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1760),
    [anon_sym_throw] = ACTIONS(1762),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [2098] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(14992),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2098),
    [sym_block_comment] = STATE(2098),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4056),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2099] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9539),
    [sym_expression] = STATE(15186),
    [sym__simple_expression] = STATE(6396),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9539),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9539),
    [sym_call_expression] = STATE(9539),
    [sym_field_expression] = STATE(9539),
    [sym_instance_expression] = STATE(9539),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(10041),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16290),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(9882),
    [sym_tuple_expression] = STATE(9539),
    [sym_parenthesized_expression] = STATE(9539),
    [sym_splice_expression] = STATE(9539),
    [sym_quote_expression] = STATE(9539),
    [sym_identifier] = STATE(5822),
    [sym__soft_identifier] = STATE(4462),
    [sym_wildcard] = STATE(8157),
    [sym__non_null_literal] = STATE(9539),
    [sym_boolean_literal] = STATE(5971),
    [sym_interpolated_string_expression] = STATE(9539),
    [sym_string] = STATE(5971),
    [sym_unit] = STATE(9539),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2099),
    [sym_block_comment] = STATE(2099),
    [sym__alpha_identifier] = ACTIONS(1444),
    [anon_sym_LBRACE] = ACTIONS(1448),
    [anon_sym__] = ACTIONS(1450),
    [anon_sym_PLUS] = ACTIONS(1452),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_end] = ACTIONS(1454),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1456),
    [anon_sym_opaque] = ACTIONS(1454),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1458),
    [anon_sym_infix] = ACTIONS(1454),
    [anon_sym_open] = ACTIONS(1454),
    [anon_sym_transparent] = ACTIONS(1454),
    [anon_sym_LPAREN] = ACTIONS(1460),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1452),
    [anon_sym_TILDE] = ACTIONS(1452),
    [anon_sym_DOLLAR] = ACTIONS(1462),
    [anon_sym_SQUOTE] = ACTIONS(1464),
    [sym__backquoted_id] = ACTIONS(1466),
    [sym_operator_identifier] = ACTIONS(1468),
    [sym_integer_literal] = ACTIONS(1470),
    [sym_floating_point_literal] = ACTIONS(1472),
    [anon_sym_true] = ACTIONS(1474),
    [anon_sym_false] = ACTIONS(1474),
    [sym_character_literal] = ACTIONS(1472),
    [sym_null_literal] = ACTIONS(1476),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1478),
    [sym__simple_string] = ACTIONS(1478),
  },
  [2100] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(15323),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2100),
    [sym_block_comment] = STATE(2100),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4058),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2101] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(7443),
    [sym_expression] = STATE(15374),
    [sym__simple_expression] = STATE(4751),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(7443),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(7443),
    [sym_call_expression] = STATE(7443),
    [sym_field_expression] = STATE(7443),
    [sym_instance_expression] = STATE(7443),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16250),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(7443),
    [sym_parenthesized_expression] = STATE(7443),
    [sym_splice_expression] = STATE(7443),
    [sym_quote_expression] = STATE(7443),
    [sym_identifier] = STATE(4627),
    [sym__soft_identifier] = STATE(5213),
    [sym_wildcard] = STATE(6315),
    [sym__non_null_literal] = STATE(7443),
    [sym_boolean_literal] = STATE(7707),
    [sym_interpolated_string_expression] = STATE(7443),
    [sym_string] = STATE(7707),
    [sym_unit] = STATE(7443),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2101),
    [sym_block_comment] = STATE(2101),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(1136),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [2102] = {
    [sym_inline_modifier] = STATE(2064),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(14198),
    [sym__simple_expression] = STATE(8719),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15704),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10572),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(8565),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(10039),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2102),
    [sym_block_comment] = STATE(2102),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(3246),
    [anon_sym_while] = ACTIONS(3248),
    [anon_sym_for] = ACTIONS(3250),
    [anon_sym_try] = ACTIONS(3252),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(3254),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3318),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(3259),
    [anon_sym_throw] = ACTIONS(3261),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2103] = {
    [sym_inline_modifier] = STATE(2074),
    [sym_block] = STATE(9523),
    [sym_expression] = STATE(13350),
    [sym__simple_expression] = STATE(6085),
    [sym_lambda_expression] = STATE(11549),
    [sym_if_expression] = STATE(11549),
    [sym_match_expression] = STATE(11549),
    [sym_try_expression] = STATE(11549),
    [sym_bindings] = STATE(15713),
    [sym_case_block] = STATE(9523),
    [sym_assignment_expression] = STATE(11549),
    [sym_generic_function] = STATE(9523),
    [sym_call_expression] = STATE(9523),
    [sym_field_expression] = STATE(9523),
    [sym_instance_expression] = STATE(9523),
    [sym_ascription_expression] = STATE(11549),
    [sym_infix_expression] = STATE(10056),
    [sym_postfix_expression] = STATE(11204),
    [sym__postfix_expression_choice] = STATE(16623),
    [sym_macro_body] = STATE(11549),
    [sym_prefix_expression] = STATE(9754),
    [sym_tuple_expression] = STATE(9523),
    [sym_parenthesized_expression] = STATE(9523),
    [sym_splice_expression] = STATE(9523),
    [sym_quote_expression] = STATE(9523),
    [sym_identifier] = STATE(5442),
    [sym__soft_identifier] = STATE(4485),
    [sym_wildcard] = STATE(8639),
    [sym__non_null_literal] = STATE(9523),
    [sym_boolean_literal] = STATE(5592),
    [sym_interpolated_string_expression] = STATE(9523),
    [sym_string] = STATE(5592),
    [sym_unit] = STATE(9523),
    [sym_return_expression] = STATE(11549),
    [sym_throw_expression] = STATE(11549),
    [sym_while_expression] = STATE(11549),
    [sym_do_while_expression] = STATE(11549),
    [sym_for_expression] = STATE(11549),
    [sym_comment] = STATE(2103),
    [sym_block_comment] = STATE(2103),
    [sym__alpha_identifier] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(1392),
    [anon_sym__] = ACTIONS(1394),
    [anon_sym_PLUS] = ACTIONS(1396),
    [anon_sym_DASH] = ACTIONS(1396),
    [anon_sym_end] = ACTIONS(1398),
    [anon_sym_if] = ACTIONS(1820),
    [anon_sym_while] = ACTIONS(1822),
    [anon_sym_for] = ACTIONS(1824),
    [anon_sym_try] = ACTIONS(1826),
    [anon_sym_new] = ACTIONS(1400),
    [anon_sym_opaque] = ACTIONS(1398),
    [anon_sym_implicit] = ACTIONS(1828),
    [anon_sym_inline] = ACTIONS(1402),
    [anon_sym_infix] = ACTIONS(1398),
    [anon_sym_open] = ACTIONS(1398),
    [anon_sym_transparent] = ACTIONS(1398),
    [anon_sym_LPAREN] = ACTIONS(1404),
    [anon_sym_macro] = ACTIONS(1830),
    [anon_sym_BANG] = ACTIONS(1396),
    [anon_sym_TILDE] = ACTIONS(1396),
    [anon_sym_DOLLAR] = ACTIONS(1406),
    [anon_sym_SQUOTE] = ACTIONS(1408),
    [sym__backquoted_id] = ACTIONS(1410),
    [sym_operator_identifier] = ACTIONS(1832),
    [sym_integer_literal] = ACTIONS(1414),
    [sym_floating_point_literal] = ACTIONS(1416),
    [anon_sym_true] = ACTIONS(1418),
    [anon_sym_false] = ACTIONS(1418),
    [sym_character_literal] = ACTIONS(1416),
    [sym_null_literal] = ACTIONS(1420),
    [anon_sym_return] = ACTIONS(1834),
    [anon_sym_throw] = ACTIONS(1836),
    [anon_sym_do] = ACTIONS(1386),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1422),
    [sym__simple_string] = ACTIONS(1422),
  },
  [2104] = {
    [sym_inline_modifier] = STATE(2154),
    [sym_block] = STATE(8070),
    [sym_expression] = STATE(12549),
    [sym__simple_expression] = STATE(7235),
    [sym_lambda_expression] = STATE(12742),
    [sym_if_expression] = STATE(12742),
    [sym_match_expression] = STATE(12742),
    [sym_try_expression] = STATE(12742),
    [sym_bindings] = STATE(15546),
    [sym_case_block] = STATE(8070),
    [sym_assignment_expression] = STATE(12742),
    [sym_generic_function] = STATE(8070),
    [sym_call_expression] = STATE(8070),
    [sym_field_expression] = STATE(8070),
    [sym_instance_expression] = STATE(8070),
    [sym_ascription_expression] = STATE(12742),
    [sym_infix_expression] = STATE(8913),
    [sym_postfix_expression] = STATE(12343),
    [sym__postfix_expression_choice] = STATE(16230),
    [sym_macro_body] = STATE(12742),
    [sym_prefix_expression] = STATE(9970),
    [sym_tuple_expression] = STATE(8070),
    [sym_parenthesized_expression] = STATE(8070),
    [sym_splice_expression] = STATE(8070),
    [sym_quote_expression] = STATE(8070),
    [sym_identifier] = STATE(6168),
    [sym__soft_identifier] = STATE(5234),
    [sym_wildcard] = STATE(8792),
    [sym__non_null_literal] = STATE(8070),
    [sym_boolean_literal] = STATE(8055),
    [sym_interpolated_string_expression] = STATE(8070),
    [sym_string] = STATE(8055),
    [sym_unit] = STATE(8070),
    [sym_return_expression] = STATE(12742),
    [sym_throw_expression] = STATE(12742),
    [sym_while_expression] = STATE(12742),
    [sym_do_while_expression] = STATE(12742),
    [sym_for_expression] = STATE(12742),
    [sym_comment] = STATE(2104),
    [sym_block_comment] = STATE(2104),
    [sym__alpha_identifier] = ACTIONS(1314),
    [anon_sym_LBRACE] = ACTIONS(1318),
    [anon_sym__] = ACTIONS(1320),
    [anon_sym_PLUS] = ACTIONS(1322),
    [anon_sym_DASH] = ACTIONS(1322),
    [anon_sym_end] = ACTIONS(1324),
    [anon_sym_if] = ACTIONS(2142),
    [anon_sym_while] = ACTIONS(2144),
    [anon_sym_for] = ACTIONS(2146),
    [anon_sym_try] = ACTIONS(2148),
    [anon_sym_new] = ACTIONS(1326),
    [anon_sym_opaque] = ACTIONS(1324),
    [anon_sym_implicit] = ACTIONS(2150),
    [anon_sym_inline] = ACTIONS(1328),
    [anon_sym_infix] = ACTIONS(1324),
    [anon_sym_open] = ACTIONS(1324),
    [anon_sym_transparent] = ACTIONS(1324),
    [anon_sym_LPAREN] = ACTIONS(1330),
    [anon_sym_macro] = ACTIONS(1740),
    [anon_sym_BANG] = ACTIONS(1322),
    [anon_sym_TILDE] = ACTIONS(1322),
    [anon_sym_DOLLAR] = ACTIONS(1332),
    [anon_sym_SQUOTE] = ACTIONS(1334),
    [sym__backquoted_id] = ACTIONS(1336),
    [sym_operator_identifier] = ACTIONS(2152),
    [sym_integer_literal] = ACTIONS(1340),
    [sym_floating_point_literal] = ACTIONS(1342),
    [anon_sym_true] = ACTIONS(1344),
    [anon_sym_false] = ACTIONS(1344),
    [sym_character_literal] = ACTIONS(1342),
    [sym_null_literal] = ACTIONS(1346),
    [anon_sym_return] = ACTIONS(2154),
    [anon_sym_throw] = ACTIONS(2156),
    [anon_sym_do] = ACTIONS(1748),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1348),
    [sym__simple_string] = ACTIONS(1348),
  },
  [2105] = {
    [sym_inline_modifier] = STATE(2323),
    [sym_block] = STATE(6954),
    [sym_expression] = STATE(12187),
    [sym__simple_expression] = STATE(5520),
    [sym_lambda_expression] = STATE(12144),
    [sym_if_expression] = STATE(12144),
    [sym_match_expression] = STATE(12144),
    [sym_try_expression] = STATE(12144),
    [sym_bindings] = STATE(15572),
    [sym_case_block] = STATE(6954),
    [sym_assignment_expression] = STATE(12144),
    [sym_generic_function] = STATE(6954),
    [sym_call_expression] = STATE(6954),
    [sym_field_expression] = STATE(6954),
    [sym_instance_expression] = STATE(6954),
    [sym_ascription_expression] = STATE(12144),
    [sym_infix_expression] = STATE(8226),
    [sym_postfix_expression] = STATE(11499),
    [sym__postfix_expression_choice] = STATE(16229),
    [sym_macro_body] = STATE(12144),
    [sym_prefix_expression] = STATE(9280),
    [sym_tuple_expression] = STATE(6954),
    [sym_parenthesized_expression] = STATE(6954),
    [sym_splice_expression] = STATE(6954),
    [sym_quote_expression] = STATE(6954),
    [sym_identifier] = STATE(5300),
    [sym__soft_identifier] = STATE(4827),
    [sym_wildcard] = STATE(7542),
    [sym__non_null_literal] = STATE(6954),
    [sym_boolean_literal] = STATE(6997),
    [sym_interpolated_string_expression] = STATE(6954),
    [sym_string] = STATE(6997),
    [sym_unit] = STATE(6954),
    [sym_return_expression] = STATE(12144),
    [sym_throw_expression] = STATE(12144),
    [sym_while_expression] = STATE(12144),
    [sym_do_while_expression] = STATE(12144),
    [sym_for_expression] = STATE(12144),
    [sym_comment] = STATE(2105),
    [sym_block_comment] = STATE(2105),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(3235),
    [anon_sym_while] = ACTIONS(1924),
    [anon_sym_for] = ACTIONS(1926),
    [anon_sym_try] = ACTIONS(1928),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(1930),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1894),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(1932),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(1934),
    [anon_sym_throw] = ACTIONS(1936),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [2106] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(15005),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2106),
    [sym_block_comment] = STATE(2106),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4060),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2107] = {
    [sym_inline_modifier] = STATE(2076),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13340),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(2107),
    [sym_block_comment] = STATE(2107),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(3109),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [2108] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(15424),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2108),
    [sym_block_comment] = STATE(2108),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4062),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2109] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(14269),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2109),
    [sym_block_comment] = STATE(2109),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2110] = {
    [sym_inline_modifier] = STATE(2148),
    [sym_block] = STATE(9088),
    [sym_expression] = STATE(13141),
    [sym__simple_expression] = STATE(8626),
    [sym_lambda_expression] = STATE(13338),
    [sym_if_expression] = STATE(13338),
    [sym_match_expression] = STATE(13338),
    [sym_try_expression] = STATE(13338),
    [sym_bindings] = STATE(15683),
    [sym_case_block] = STATE(9088),
    [sym_assignment_expression] = STATE(13338),
    [sym_generic_function] = STATE(9088),
    [sym_call_expression] = STATE(9088),
    [sym_field_expression] = STATE(9088),
    [sym_instance_expression] = STATE(9088),
    [sym_ascription_expression] = STATE(13338),
    [sym_infix_expression] = STATE(9773),
    [sym_postfix_expression] = STATE(13117),
    [sym__postfix_expression_choice] = STATE(15912),
    [sym_macro_body] = STATE(13338),
    [sym_prefix_expression] = STATE(10372),
    [sym_tuple_expression] = STATE(9088),
    [sym_parenthesized_expression] = STATE(9088),
    [sym_splice_expression] = STATE(9088),
    [sym_quote_expression] = STATE(9088),
    [sym_identifier] = STATE(7467),
    [sym__soft_identifier] = STATE(6581),
    [sym_wildcard] = STATE(9755),
    [sym__non_null_literal] = STATE(9088),
    [sym_boolean_literal] = STATE(8905),
    [sym_interpolated_string_expression] = STATE(9088),
    [sym_string] = STATE(8905),
    [sym_unit] = STATE(9088),
    [sym_return_expression] = STATE(13338),
    [sym_throw_expression] = STATE(13338),
    [sym_while_expression] = STATE(13338),
    [sym_do_while_expression] = STATE(13338),
    [sym_for_expression] = STATE(13338),
    [sym_comment] = STATE(2110),
    [sym_block_comment] = STATE(2110),
    [sym__alpha_identifier] = ACTIONS(1938),
    [anon_sym_LBRACE] = ACTIONS(1942),
    [anon_sym__] = ACTIONS(1944),
    [anon_sym_PLUS] = ACTIONS(1946),
    [anon_sym_DASH] = ACTIONS(1946),
    [anon_sym_end] = ACTIONS(1948),
    [anon_sym_if] = ACTIONS(2450),
    [anon_sym_while] = ACTIONS(2452),
    [anon_sym_for] = ACTIONS(2454),
    [anon_sym_try] = ACTIONS(2456),
    [anon_sym_new] = ACTIONS(1950),
    [anon_sym_opaque] = ACTIONS(1948),
    [anon_sym_implicit] = ACTIONS(2458),
    [anon_sym_inline] = ACTIONS(1952),
    [anon_sym_infix] = ACTIONS(1948),
    [anon_sym_open] = ACTIONS(1948),
    [anon_sym_transparent] = ACTIONS(1948),
    [anon_sym_LPAREN] = ACTIONS(1954),
    [anon_sym_macro] = ACTIONS(2270),
    [anon_sym_BANG] = ACTIONS(1946),
    [anon_sym_TILDE] = ACTIONS(1946),
    [anon_sym_DOLLAR] = ACTIONS(1956),
    [anon_sym_SQUOTE] = ACTIONS(1958),
    [sym__backquoted_id] = ACTIONS(1960),
    [sym_operator_identifier] = ACTIONS(2460),
    [sym_integer_literal] = ACTIONS(1964),
    [sym_floating_point_literal] = ACTIONS(1966),
    [anon_sym_true] = ACTIONS(1968),
    [anon_sym_false] = ACTIONS(1968),
    [sym_character_literal] = ACTIONS(1966),
    [sym_null_literal] = ACTIONS(1970),
    [anon_sym_return] = ACTIONS(2462),
    [anon_sym_throw] = ACTIONS(2464),
    [anon_sym_do] = ACTIONS(2278),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1972),
    [sym__simple_string] = ACTIONS(1972),
  },
  [2111] = {
    [sym_inline_modifier] = STATE(2084),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13423),
    [sym__simple_expression] = STATE(8831),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15722),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10635),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(8641),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(10149),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2111),
    [sym_block_comment] = STATE(2111),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2740),
    [anon_sym_while] = ACTIONS(2742),
    [anon_sym_for] = ACTIONS(2744),
    [anon_sym_try] = ACTIONS(2746),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2748),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3312),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2762),
    [anon_sym_throw] = ACTIONS(2764),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2112] = {
    [sym_inline_modifier] = STATE(2113),
    [sym_block] = STATE(6703),
    [sym_expression] = STATE(11767),
    [sym__simple_expression] = STATE(5524),
    [sym_lambda_expression] = STATE(12046),
    [sym_if_expression] = STATE(12046),
    [sym_match_expression] = STATE(12046),
    [sym_try_expression] = STATE(12046),
    [sym_bindings] = STATE(15660),
    [sym_case_block] = STATE(6703),
    [sym_assignment_expression] = STATE(12046),
    [sym_generic_function] = STATE(6703),
    [sym_call_expression] = STATE(6703),
    [sym_field_expression] = STATE(6703),
    [sym_instance_expression] = STATE(6703),
    [sym_ascription_expression] = STATE(12046),
    [sym_infix_expression] = STATE(8166),
    [sym_postfix_expression] = STATE(11496),
    [sym__postfix_expression_choice] = STATE(15827),
    [sym_macro_body] = STATE(12046),
    [sym_prefix_expression] = STATE(9264),
    [sym_tuple_expression] = STATE(6703),
    [sym_parenthesized_expression] = STATE(6703),
    [sym_splice_expression] = STATE(6703),
    [sym_quote_expression] = STATE(6703),
    [sym_identifier] = STATE(5303),
    [sym__soft_identifier] = STATE(4884),
    [sym_wildcard] = STATE(7550),
    [sym__non_null_literal] = STATE(6703),
    [sym_boolean_literal] = STATE(6780),
    [sym_interpolated_string_expression] = STATE(6703),
    [sym_string] = STATE(6780),
    [sym_unit] = STATE(6703),
    [sym_return_expression] = STATE(12046),
    [sym_throw_expression] = STATE(12046),
    [sym_while_expression] = STATE(12046),
    [sym_do_while_expression] = STATE(12046),
    [sym_for_expression] = STATE(12046),
    [sym_comment] = STATE(2112),
    [sym_block_comment] = STATE(2112),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(2478),
    [anon_sym_while] = ACTIONS(2002),
    [anon_sym_for] = ACTIONS(2004),
    [anon_sym_try] = ACTIONS(2006),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(2008),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1848),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(2010),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(2012),
    [anon_sym_throw] = ACTIONS(2014),
    [anon_sym_do] = ACTIONS(1856),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [2113] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(15424),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2113),
    [sym_block_comment] = STATE(2113),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4064),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2114] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(15323),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2114),
    [sym_block_comment] = STATE(2114),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4066),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2115] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(15005),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2115),
    [sym_block_comment] = STATE(2115),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(880),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2116] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9523),
    [sym_expression] = STATE(14749),
    [sym__simple_expression] = STATE(6253),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9523),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9523),
    [sym_call_expression] = STATE(9523),
    [sym_field_expression] = STATE(9523),
    [sym_instance_expression] = STATE(9523),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(10096),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16281),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(9848),
    [sym_tuple_expression] = STATE(9523),
    [sym_parenthesized_expression] = STATE(9523),
    [sym_splice_expression] = STATE(9523),
    [sym_quote_expression] = STATE(9523),
    [sym_identifier] = STATE(5843),
    [sym__soft_identifier] = STATE(4485),
    [sym_wildcard] = STATE(8116),
    [sym__non_null_literal] = STATE(9523),
    [sym_boolean_literal] = STATE(5592),
    [sym_interpolated_string_expression] = STATE(9523),
    [sym_string] = STATE(5592),
    [sym_unit] = STATE(9523),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2116),
    [sym_block_comment] = STATE(2116),
    [sym__alpha_identifier] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(1392),
    [anon_sym__] = ACTIONS(1394),
    [anon_sym_PLUS] = ACTIONS(1396),
    [anon_sym_DASH] = ACTIONS(1396),
    [anon_sym_end] = ACTIONS(1398),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1400),
    [anon_sym_opaque] = ACTIONS(1398),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1402),
    [anon_sym_infix] = ACTIONS(1398),
    [anon_sym_open] = ACTIONS(1398),
    [anon_sym_transparent] = ACTIONS(1398),
    [anon_sym_LPAREN] = ACTIONS(1404),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1396),
    [anon_sym_TILDE] = ACTIONS(1396),
    [anon_sym_DOLLAR] = ACTIONS(1406),
    [anon_sym_SQUOTE] = ACTIONS(1408),
    [sym__backquoted_id] = ACTIONS(1410),
    [sym_operator_identifier] = ACTIONS(1412),
    [sym_integer_literal] = ACTIONS(1414),
    [sym_floating_point_literal] = ACTIONS(1416),
    [anon_sym_true] = ACTIONS(1418),
    [anon_sym_false] = ACTIONS(1418),
    [sym_character_literal] = ACTIONS(1416),
    [sym_null_literal] = ACTIONS(1420),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1422),
    [sym__simple_string] = ACTIONS(1422),
  },
  [2117] = {
    [sym_inline_modifier] = STATE(2064),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(14050),
    [sym__simple_expression] = STATE(8719),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15704),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10572),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(8565),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(10039),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2117),
    [sym_block_comment] = STATE(2117),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(3246),
    [anon_sym_while] = ACTIONS(3248),
    [anon_sym_for] = ACTIONS(3250),
    [anon_sym_try] = ACTIONS(3252),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(3254),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3318),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(3259),
    [anon_sym_throw] = ACTIONS(3261),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2118] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(15391),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2118),
    [sym_block_comment] = STATE(2118),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4068),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2119] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9523),
    [sym_expression] = STATE(14749),
    [sym__simple_expression] = STATE(6146),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9523),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9523),
    [sym_call_expression] = STATE(9523),
    [sym_field_expression] = STATE(9523),
    [sym_instance_expression] = STATE(9523),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16281),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9523),
    [sym_parenthesized_expression] = STATE(9523),
    [sym_splice_expression] = STATE(9523),
    [sym_quote_expression] = STATE(9523),
    [sym_identifier] = STATE(5843),
    [sym__soft_identifier] = STATE(4485),
    [sym_wildcard] = STATE(8116),
    [sym__non_null_literal] = STATE(9523),
    [sym_boolean_literal] = STATE(5592),
    [sym_interpolated_string_expression] = STATE(9523),
    [sym_string] = STATE(5592),
    [sym_unit] = STATE(9523),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2119),
    [sym_block_comment] = STATE(2119),
    [sym__alpha_identifier] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(1392),
    [anon_sym__] = ACTIONS(1394),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(1398),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1400),
    [anon_sym_opaque] = ACTIONS(1398),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1402),
    [anon_sym_infix] = ACTIONS(1398),
    [anon_sym_open] = ACTIONS(1398),
    [anon_sym_transparent] = ACTIONS(1398),
    [anon_sym_LPAREN] = ACTIONS(1404),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(1406),
    [anon_sym_SQUOTE] = ACTIONS(1408),
    [sym__backquoted_id] = ACTIONS(1410),
    [sym_operator_identifier] = ACTIONS(1412),
    [sym_integer_literal] = ACTIONS(1414),
    [sym_floating_point_literal] = ACTIONS(1416),
    [anon_sym_true] = ACTIONS(1418),
    [anon_sym_false] = ACTIONS(1418),
    [sym_character_literal] = ACTIONS(1416),
    [sym_null_literal] = ACTIONS(1420),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1422),
    [sym__simple_string] = ACTIONS(1422),
  },
  [2120] = {
    [sym_inline_modifier] = STATE(2148),
    [sym_block] = STATE(9088),
    [sym_expression] = STATE(13129),
    [sym__simple_expression] = STATE(8626),
    [sym_lambda_expression] = STATE(13338),
    [sym_if_expression] = STATE(13338),
    [sym_match_expression] = STATE(13338),
    [sym_try_expression] = STATE(13338),
    [sym_bindings] = STATE(15683),
    [sym_case_block] = STATE(9088),
    [sym_assignment_expression] = STATE(13338),
    [sym_generic_function] = STATE(9088),
    [sym_call_expression] = STATE(9088),
    [sym_field_expression] = STATE(9088),
    [sym_instance_expression] = STATE(9088),
    [sym_ascription_expression] = STATE(13338),
    [sym_infix_expression] = STATE(9773),
    [sym_postfix_expression] = STATE(13117),
    [sym__postfix_expression_choice] = STATE(15912),
    [sym_macro_body] = STATE(13338),
    [sym_prefix_expression] = STATE(10372),
    [sym_tuple_expression] = STATE(9088),
    [sym_parenthesized_expression] = STATE(9088),
    [sym_splice_expression] = STATE(9088),
    [sym_quote_expression] = STATE(9088),
    [sym_identifier] = STATE(7467),
    [sym__soft_identifier] = STATE(6581),
    [sym_wildcard] = STATE(9755),
    [sym__non_null_literal] = STATE(9088),
    [sym_boolean_literal] = STATE(8905),
    [sym_interpolated_string_expression] = STATE(9088),
    [sym_string] = STATE(8905),
    [sym_unit] = STATE(9088),
    [sym_return_expression] = STATE(13338),
    [sym_throw_expression] = STATE(13338),
    [sym_while_expression] = STATE(13338),
    [sym_do_while_expression] = STATE(13338),
    [sym_for_expression] = STATE(13338),
    [sym_comment] = STATE(2120),
    [sym_block_comment] = STATE(2120),
    [sym__alpha_identifier] = ACTIONS(1938),
    [anon_sym_LBRACE] = ACTIONS(1942),
    [anon_sym__] = ACTIONS(1944),
    [anon_sym_PLUS] = ACTIONS(1946),
    [anon_sym_DASH] = ACTIONS(1946),
    [anon_sym_end] = ACTIONS(1948),
    [anon_sym_if] = ACTIONS(2450),
    [anon_sym_while] = ACTIONS(2452),
    [anon_sym_for] = ACTIONS(2454),
    [anon_sym_try] = ACTIONS(2456),
    [anon_sym_new] = ACTIONS(1950),
    [anon_sym_opaque] = ACTIONS(1948),
    [anon_sym_implicit] = ACTIONS(2458),
    [anon_sym_inline] = ACTIONS(1952),
    [anon_sym_infix] = ACTIONS(1948),
    [anon_sym_open] = ACTIONS(1948),
    [anon_sym_transparent] = ACTIONS(1948),
    [anon_sym_LPAREN] = ACTIONS(1954),
    [anon_sym_macro] = ACTIONS(2270),
    [anon_sym_BANG] = ACTIONS(1946),
    [anon_sym_TILDE] = ACTIONS(1946),
    [anon_sym_DOLLAR] = ACTIONS(1956),
    [anon_sym_SQUOTE] = ACTIONS(1958),
    [sym__backquoted_id] = ACTIONS(1960),
    [sym_operator_identifier] = ACTIONS(2460),
    [sym_integer_literal] = ACTIONS(1964),
    [sym_floating_point_literal] = ACTIONS(1966),
    [anon_sym_true] = ACTIONS(1968),
    [anon_sym_false] = ACTIONS(1968),
    [sym_character_literal] = ACTIONS(1966),
    [sym_null_literal] = ACTIONS(1970),
    [anon_sym_return] = ACTIONS(2462),
    [anon_sym_throw] = ACTIONS(2464),
    [anon_sym_do] = ACTIONS(2278),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1972),
    [sym__simple_string] = ACTIONS(1972),
  },
  [2121] = {
    [sym_inline_modifier] = STATE(2118),
    [sym_block] = STATE(5403),
    [sym_expression] = STATE(11361),
    [sym__simple_expression] = STATE(5051),
    [sym_lambda_expression] = STATE(11364),
    [sym_if_expression] = STATE(11364),
    [sym_match_expression] = STATE(11364),
    [sym_try_expression] = STATE(11364),
    [sym_bindings] = STATE(15597),
    [sym_case_block] = STATE(5403),
    [sym_assignment_expression] = STATE(11364),
    [sym_generic_function] = STATE(5403),
    [sym_call_expression] = STATE(5403),
    [sym_field_expression] = STATE(5403),
    [sym_instance_expression] = STATE(5403),
    [sym_ascription_expression] = STATE(11364),
    [sym_infix_expression] = STATE(6806),
    [sym_postfix_expression] = STATE(10789),
    [sym__postfix_expression_choice] = STATE(15797),
    [sym_macro_body] = STATE(11364),
    [sym_prefix_expression] = STATE(8869),
    [sym_tuple_expression] = STATE(5403),
    [sym_parenthesized_expression] = STATE(5403),
    [sym_splice_expression] = STATE(5403),
    [sym_quote_expression] = STATE(5403),
    [sym_identifier] = STATE(4686),
    [sym__soft_identifier] = STATE(4455),
    [sym_wildcard] = STATE(7015),
    [sym__non_null_literal] = STATE(5403),
    [sym_boolean_literal] = STATE(5637),
    [sym_interpolated_string_expression] = STATE(5403),
    [sym_string] = STATE(5637),
    [sym_unit] = STATE(5403),
    [sym_return_expression] = STATE(11364),
    [sym_throw_expression] = STATE(11364),
    [sym_while_expression] = STATE(11364),
    [sym_do_while_expression] = STATE(11364),
    [sym_for_expression] = STATE(11364),
    [sym_comment] = STATE(2121),
    [sym_block_comment] = STATE(2121),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(1152),
    [anon_sym_while] = ACTIONS(1154),
    [anon_sym_for] = ACTIONS(1156),
    [anon_sym_try] = ACTIONS(1158),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1160),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1162),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1164),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1166),
    [anon_sym_throw] = ACTIONS(1168),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [2122] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(15424),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2122),
    [sym_block_comment] = STATE(2122),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4070),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2123] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(8821),
    [sym_expression] = STATE(15265),
    [sym__simple_expression] = STATE(5470),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(8821),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(8821),
    [sym_call_expression] = STATE(8821),
    [sym_field_expression] = STATE(8821),
    [sym_instance_expression] = STATE(8821),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9747),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16270),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(9346),
    [sym_tuple_expression] = STATE(8821),
    [sym_parenthesized_expression] = STATE(8821),
    [sym_splice_expression] = STATE(8821),
    [sym_quote_expression] = STATE(8821),
    [sym_identifier] = STATE(5024),
    [sym__soft_identifier] = STATE(6446),
    [sym_wildcard] = STATE(8013),
    [sym__non_null_literal] = STATE(8821),
    [sym_boolean_literal] = STATE(8798),
    [sym_interpolated_string_expression] = STATE(8821),
    [sym_string] = STATE(8798),
    [sym_unit] = STATE(8821),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2123),
    [sym_block_comment] = STATE(2123),
    [sym__alpha_identifier] = ACTIONS(1674),
    [anon_sym_LBRACE] = ACTIONS(1678),
    [anon_sym__] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1682),
    [anon_sym_DASH] = ACTIONS(1682),
    [anon_sym_end] = ACTIONS(1684),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1686),
    [anon_sym_opaque] = ACTIONS(1684),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1688),
    [anon_sym_infix] = ACTIONS(1684),
    [anon_sym_open] = ACTIONS(1684),
    [anon_sym_transparent] = ACTIONS(1684),
    [anon_sym_LPAREN] = ACTIONS(1690),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1682),
    [anon_sym_TILDE] = ACTIONS(1682),
    [anon_sym_DOLLAR] = ACTIONS(1692),
    [anon_sym_SQUOTE] = ACTIONS(1694),
    [sym__backquoted_id] = ACTIONS(1696),
    [sym_operator_identifier] = ACTIONS(1698),
    [sym_integer_literal] = ACTIONS(1700),
    [sym_floating_point_literal] = ACTIONS(1702),
    [anon_sym_true] = ACTIONS(1704),
    [anon_sym_false] = ACTIONS(1704),
    [sym_character_literal] = ACTIONS(1702),
    [sym_null_literal] = ACTIONS(1706),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1708),
    [sym__simple_string] = ACTIONS(1708),
  },
  [2124] = {
    [sym_inline_modifier] = STATE(2159),
    [sym_block] = STATE(6450),
    [sym_expression] = STATE(11456),
    [sym__simple_expression] = STATE(5274),
    [sym_lambda_expression] = STATE(11549),
    [sym_if_expression] = STATE(11549),
    [sym_match_expression] = STATE(11549),
    [sym_try_expression] = STATE(11549),
    [sym_bindings] = STATE(15607),
    [sym_case_block] = STATE(6450),
    [sym_assignment_expression] = STATE(11549),
    [sym_generic_function] = STATE(6450),
    [sym_call_expression] = STATE(6450),
    [sym_field_expression] = STATE(6450),
    [sym_instance_expression] = STATE(6450),
    [sym_ascription_expression] = STATE(11549),
    [sym_infix_expression] = STATE(7641),
    [sym_postfix_expression] = STATE(11204),
    [sym__postfix_expression_choice] = STATE(16480),
    [sym_macro_body] = STATE(11549),
    [sym_prefix_expression] = STATE(8822),
    [sym_tuple_expression] = STATE(6450),
    [sym_parenthesized_expression] = STATE(6450),
    [sym_splice_expression] = STATE(6450),
    [sym_quote_expression] = STATE(6450),
    [sym_identifier] = STATE(4738),
    [sym__soft_identifier] = STATE(4507),
    [sym_wildcard] = STATE(7298),
    [sym__non_null_literal] = STATE(6450),
    [sym_boolean_literal] = STATE(6156),
    [sym_interpolated_string_expression] = STATE(6450),
    [sym_string] = STATE(6156),
    [sym_unit] = STATE(6450),
    [sym_return_expression] = STATE(11549),
    [sym_throw_expression] = STATE(11549),
    [sym_while_expression] = STATE(11549),
    [sym_do_while_expression] = STATE(11549),
    [sym_for_expression] = STATE(11549),
    [sym_comment] = STATE(2124),
    [sym_block_comment] = STATE(2124),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(2472),
    [anon_sym_while] = ACTIONS(1974),
    [anon_sym_for] = ACTIONS(1976),
    [anon_sym_try] = ACTIONS(1978),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1980),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1378),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1982),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1984),
    [anon_sym_throw] = ACTIONS(1986),
    [anon_sym_do] = ACTIONS(1386),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [2125] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(15457),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2125),
    [sym_block_comment] = STATE(2125),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4072),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2126] = {
    [sym_inline_modifier] = STATE(2076),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13291),
    [sym__simple_expression] = STATE(7870),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15658),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10273),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(7364),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(9324),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(2126),
    [sym_block_comment] = STATE(2126),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(3109),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [2127] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(15451),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2127),
    [sym_block_comment] = STATE(2127),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4074),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2128] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9120),
    [sym_expression] = STATE(15474),
    [sym__simple_expression] = STATE(5386),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9120),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9120),
    [sym_call_expression] = STATE(9120),
    [sym_field_expression] = STATE(9120),
    [sym_instance_expression] = STATE(9120),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16129),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9120),
    [sym_parenthesized_expression] = STATE(9120),
    [sym_splice_expression] = STATE(9120),
    [sym_quote_expression] = STATE(9120),
    [sym_identifier] = STATE(5153),
    [sym__soft_identifier] = STATE(6470),
    [sym_wildcard] = STATE(7795),
    [sym__non_null_literal] = STATE(9120),
    [sym_boolean_literal] = STATE(8928),
    [sym_interpolated_string_expression] = STATE(9120),
    [sym_string] = STATE(8928),
    [sym_unit] = STATE(9120),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2128),
    [sym_block_comment] = STATE(2128),
    [sym__alpha_identifier] = ACTIONS(1582),
    [anon_sym_LBRACE] = ACTIONS(1586),
    [anon_sym__] = ACTIONS(1588),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(1592),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1594),
    [anon_sym_opaque] = ACTIONS(1592),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1596),
    [anon_sym_infix] = ACTIONS(1592),
    [anon_sym_open] = ACTIONS(1592),
    [anon_sym_transparent] = ACTIONS(1592),
    [anon_sym_LPAREN] = ACTIONS(1598),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(1600),
    [anon_sym_SQUOTE] = ACTIONS(1602),
    [sym__backquoted_id] = ACTIONS(1604),
    [sym_operator_identifier] = ACTIONS(1606),
    [sym_integer_literal] = ACTIONS(1608),
    [sym_floating_point_literal] = ACTIONS(1610),
    [anon_sym_true] = ACTIONS(1612),
    [anon_sym_false] = ACTIONS(1612),
    [sym_character_literal] = ACTIONS(1610),
    [sym_null_literal] = ACTIONS(1614),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1616),
    [sym__simple_string] = ACTIONS(1616),
  },
  [2129] = {
    [sym_inline_modifier] = STATE(2086),
    [sym_block] = STATE(9116),
    [sym_expression] = STATE(13223),
    [sym__simple_expression] = STATE(5562),
    [sym_lambda_expression] = STATE(11364),
    [sym_if_expression] = STATE(11364),
    [sym_match_expression] = STATE(11364),
    [sym_try_expression] = STATE(11364),
    [sym_bindings] = STATE(15512),
    [sym_case_block] = STATE(9116),
    [sym_assignment_expression] = STATE(11364),
    [sym_generic_function] = STATE(9116),
    [sym_call_expression] = STATE(9116),
    [sym_field_expression] = STATE(9116),
    [sym_instance_expression] = STATE(9116),
    [sym_ascription_expression] = STATE(11364),
    [sym_infix_expression] = STATE(9793),
    [sym_postfix_expression] = STATE(10789),
    [sym__postfix_expression_choice] = STATE(15871),
    [sym_macro_body] = STATE(11364),
    [sym_prefix_expression] = STATE(9370),
    [sym_tuple_expression] = STATE(9116),
    [sym_parenthesized_expression] = STATE(9116),
    [sym_splice_expression] = STATE(9116),
    [sym_quote_expression] = STATE(9116),
    [sym_identifier] = STATE(5047),
    [sym__soft_identifier] = STATE(4332),
    [sym_wildcard] = STATE(7660),
    [sym__non_null_literal] = STATE(9116),
    [sym_boolean_literal] = STATE(5055),
    [sym_interpolated_string_expression] = STATE(9116),
    [sym_string] = STATE(5055),
    [sym_unit] = STATE(9116),
    [sym_return_expression] = STATE(11364),
    [sym_throw_expression] = STATE(11364),
    [sym_while_expression] = STATE(11364),
    [sym_do_while_expression] = STATE(11364),
    [sym_for_expression] = STATE(11364),
    [sym_comment] = STATE(2129),
    [sym_block_comment] = STATE(2129),
    [sym__alpha_identifier] = ACTIONS(1206),
    [anon_sym_LBRACE] = ACTIONS(1210),
    [anon_sym__] = ACTIONS(1212),
    [anon_sym_PLUS] = ACTIONS(1214),
    [anon_sym_DASH] = ACTIONS(1214),
    [anon_sym_end] = ACTIONS(1216),
    [anon_sym_if] = ACTIONS(1550),
    [anon_sym_while] = ACTIONS(1552),
    [anon_sym_for] = ACTIONS(1554),
    [anon_sym_try] = ACTIONS(1556),
    [anon_sym_new] = ACTIONS(1218),
    [anon_sym_opaque] = ACTIONS(1216),
    [anon_sym_implicit] = ACTIONS(1558),
    [anon_sym_inline] = ACTIONS(1220),
    [anon_sym_infix] = ACTIONS(1216),
    [anon_sym_open] = ACTIONS(1216),
    [anon_sym_transparent] = ACTIONS(1216),
    [anon_sym_LPAREN] = ACTIONS(1222),
    [anon_sym_macro] = ACTIONS(1560),
    [anon_sym_BANG] = ACTIONS(1214),
    [anon_sym_TILDE] = ACTIONS(1214),
    [anon_sym_DOLLAR] = ACTIONS(1224),
    [anon_sym_SQUOTE] = ACTIONS(1226),
    [sym__backquoted_id] = ACTIONS(1228),
    [sym_operator_identifier] = ACTIONS(1562),
    [sym_integer_literal] = ACTIONS(1232),
    [sym_floating_point_literal] = ACTIONS(1234),
    [anon_sym_true] = ACTIONS(1236),
    [anon_sym_false] = ACTIONS(1236),
    [sym_character_literal] = ACTIONS(1234),
    [sym_null_literal] = ACTIONS(1238),
    [anon_sym_return] = ACTIONS(1564),
    [anon_sym_throw] = ACTIONS(1566),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1240),
    [sym__simple_string] = ACTIONS(1240),
  },
  [2130] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(15376),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2130),
    [sym_block_comment] = STATE(2130),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4076),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2131] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(14114),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2131),
    [sym_block_comment] = STATE(2131),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2132] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(15457),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2132),
    [sym_block_comment] = STATE(2132),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4078),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2133] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(14396),
    [sym__simple_expression] = STATE(5367),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9404),
    [sym_postfix_expression] = STATE(12852),
    [sym__postfix_expression_choice] = STATE(13305),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(9200),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(4515),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(6056),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2133),
    [sym_block_comment] = STATE(2133),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(1426),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [2134] = {
    [sym_inline_modifier] = STATE(2293),
    [sym_block] = STATE(6703),
    [sym_expression] = STATE(12168),
    [sym__simple_expression] = STATE(5444),
    [sym_lambda_expression] = STATE(12046),
    [sym_if_expression] = STATE(12046),
    [sym_match_expression] = STATE(12046),
    [sym_try_expression] = STATE(12046),
    [sym_bindings] = STATE(15592),
    [sym_case_block] = STATE(6703),
    [sym_assignment_expression] = STATE(12046),
    [sym_generic_function] = STATE(6703),
    [sym_call_expression] = STATE(6703),
    [sym_field_expression] = STATE(6703),
    [sym_instance_expression] = STATE(6703),
    [sym_ascription_expression] = STATE(12046),
    [sym_infix_expression] = STATE(8166),
    [sym_postfix_expression] = STATE(11496),
    [sym__postfix_expression_choice] = STATE(15827),
    [sym_macro_body] = STATE(12046),
    [sym_prefix_expression] = STATE(9361),
    [sym_tuple_expression] = STATE(6703),
    [sym_parenthesized_expression] = STATE(6703),
    [sym_splice_expression] = STATE(6703),
    [sym_quote_expression] = STATE(6703),
    [sym_identifier] = STATE(5281),
    [sym__soft_identifier] = STATE(4884),
    [sym_wildcard] = STATE(7456),
    [sym__non_null_literal] = STATE(6703),
    [sym_boolean_literal] = STATE(6780),
    [sym_interpolated_string_expression] = STATE(6703),
    [sym_string] = STATE(6780),
    [sym_unit] = STATE(6703),
    [sym_return_expression] = STATE(12046),
    [sym_throw_expression] = STATE(12046),
    [sym_while_expression] = STATE(12046),
    [sym_do_while_expression] = STATE(12046),
    [sym_for_expression] = STATE(12046),
    [sym_comment] = STATE(2134),
    [sym_block_comment] = STATE(2134),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(2410),
    [anon_sym_while] = ACTIONS(2178),
    [anon_sym_for] = ACTIONS(2180),
    [anon_sym_try] = ACTIONS(2182),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(2184),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1848),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(2186),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(2188),
    [anon_sym_throw] = ACTIONS(2190),
    [anon_sym_do] = ACTIONS(1856),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [2135] = {
    [sym_inline_modifier] = STATE(2108),
    [sym_block] = STATE(9800),
    [sym_expression] = STATE(13543),
    [sym__simple_expression] = STATE(7357),
    [sym_lambda_expression] = STATE(12046),
    [sym_if_expression] = STATE(12046),
    [sym_match_expression] = STATE(12046),
    [sym_try_expression] = STATE(12046),
    [sym_bindings] = STATE(15518),
    [sym_case_block] = STATE(9800),
    [sym_assignment_expression] = STATE(12046),
    [sym_generic_function] = STATE(9800),
    [sym_call_expression] = STATE(9800),
    [sym_field_expression] = STATE(9800),
    [sym_instance_expression] = STATE(9800),
    [sym_ascription_expression] = STATE(12046),
    [sym_infix_expression] = STATE(10315),
    [sym_postfix_expression] = STATE(11496),
    [sym__postfix_expression_choice] = STATE(15840),
    [sym_macro_body] = STATE(12046),
    [sym_prefix_expression] = STATE(9949),
    [sym_tuple_expression] = STATE(9800),
    [sym_parenthesized_expression] = STATE(9800),
    [sym_splice_expression] = STATE(9800),
    [sym_quote_expression] = STATE(9800),
    [sym_identifier] = STATE(6016),
    [sym__soft_identifier] = STATE(4545),
    [sym_wildcard] = STATE(9086),
    [sym__non_null_literal] = STATE(9800),
    [sym_boolean_literal] = STATE(6076),
    [sym_interpolated_string_expression] = STATE(9800),
    [sym_string] = STATE(6076),
    [sym_unit] = STATE(9800),
    [sym_return_expression] = STATE(12046),
    [sym_throw_expression] = STATE(12046),
    [sym_while_expression] = STATE(12046),
    [sym_do_while_expression] = STATE(12046),
    [sym_for_expression] = STATE(12046),
    [sym_comment] = STATE(2135),
    [sym_block_comment] = STATE(2135),
    [sym__alpha_identifier] = ACTIONS(2084),
    [anon_sym_LBRACE] = ACTIONS(2088),
    [anon_sym__] = ACTIONS(2090),
    [anon_sym_PLUS] = ACTIONS(2092),
    [anon_sym_DASH] = ACTIONS(2092),
    [anon_sym_end] = ACTIONS(2094),
    [anon_sym_if] = ACTIONS(2216),
    [anon_sym_while] = ACTIONS(2218),
    [anon_sym_for] = ACTIONS(2220),
    [anon_sym_try] = ACTIONS(2222),
    [anon_sym_new] = ACTIONS(2096),
    [anon_sym_opaque] = ACTIONS(2094),
    [anon_sym_implicit] = ACTIONS(2224),
    [anon_sym_inline] = ACTIONS(2098),
    [anon_sym_infix] = ACTIONS(2094),
    [anon_sym_open] = ACTIONS(2094),
    [anon_sym_transparent] = ACTIONS(2094),
    [anon_sym_LPAREN] = ACTIONS(2100),
    [anon_sym_macro] = ACTIONS(2226),
    [anon_sym_BANG] = ACTIONS(2092),
    [anon_sym_TILDE] = ACTIONS(2092),
    [anon_sym_DOLLAR] = ACTIONS(2102),
    [anon_sym_SQUOTE] = ACTIONS(2104),
    [sym__backquoted_id] = ACTIONS(2106),
    [sym_operator_identifier] = ACTIONS(2228),
    [sym_integer_literal] = ACTIONS(2110),
    [sym_floating_point_literal] = ACTIONS(2112),
    [anon_sym_true] = ACTIONS(2114),
    [anon_sym_false] = ACTIONS(2114),
    [sym_character_literal] = ACTIONS(2112),
    [sym_null_literal] = ACTIONS(2116),
    [anon_sym_return] = ACTIONS(2230),
    [anon_sym_throw] = ACTIONS(2232),
    [anon_sym_do] = ACTIONS(1856),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(2118),
    [sym__simple_string] = ACTIONS(2118),
  },
  [2136] = {
    [sym_inline_modifier] = STATE(2130),
    [sym_block] = STATE(9120),
    [sym_expression] = STATE(13155),
    [sym__simple_expression] = STATE(6353),
    [sym_lambda_expression] = STATE(13422),
    [sym_if_expression] = STATE(13422),
    [sym_match_expression] = STATE(13422),
    [sym_try_expression] = STATE(13422),
    [sym_bindings] = STATE(15752),
    [sym_case_block] = STATE(9120),
    [sym_assignment_expression] = STATE(13422),
    [sym_generic_function] = STATE(9120),
    [sym_call_expression] = STATE(9120),
    [sym_field_expression] = STATE(9120),
    [sym_instance_expression] = STATE(9120),
    [sym_ascription_expression] = STATE(13422),
    [sym_infix_expression] = STATE(9820),
    [sym_postfix_expression] = STATE(13148),
    [sym__postfix_expression_choice] = STATE(15936),
    [sym_macro_body] = STATE(13422),
    [sym_prefix_expression] = STATE(9828),
    [sym_tuple_expression] = STATE(9120),
    [sym_parenthesized_expression] = STATE(9120),
    [sym_splice_expression] = STATE(9120),
    [sym_quote_expression] = STATE(9120),
    [sym_identifier] = STATE(5669),
    [sym__soft_identifier] = STATE(6470),
    [sym_wildcard] = STATE(8444),
    [sym__non_null_literal] = STATE(9120),
    [sym_boolean_literal] = STATE(8928),
    [sym_interpolated_string_expression] = STATE(9120),
    [sym_string] = STATE(8928),
    [sym_unit] = STATE(9120),
    [sym_return_expression] = STATE(13422),
    [sym_throw_expression] = STATE(13422),
    [sym_while_expression] = STATE(13422),
    [sym_do_while_expression] = STATE(13422),
    [sym_for_expression] = STATE(13422),
    [sym_comment] = STATE(2136),
    [sym_block_comment] = STATE(2136),
    [sym__alpha_identifier] = ACTIONS(1582),
    [anon_sym_LBRACE] = ACTIONS(1586),
    [anon_sym__] = ACTIONS(1588),
    [anon_sym_PLUS] = ACTIONS(1590),
    [anon_sym_DASH] = ACTIONS(1590),
    [anon_sym_end] = ACTIONS(1592),
    [anon_sym_if] = ACTIONS(1864),
    [anon_sym_while] = ACTIONS(1866),
    [anon_sym_for] = ACTIONS(1868),
    [anon_sym_try] = ACTIONS(1870),
    [anon_sym_new] = ACTIONS(1594),
    [anon_sym_opaque] = ACTIONS(1592),
    [anon_sym_implicit] = ACTIONS(1872),
    [anon_sym_inline] = ACTIONS(1596),
    [anon_sym_infix] = ACTIONS(1592),
    [anon_sym_open] = ACTIONS(1592),
    [anon_sym_transparent] = ACTIONS(1592),
    [anon_sym_LPAREN] = ACTIONS(1598),
    [anon_sym_macro] = ACTIONS(1874),
    [anon_sym_BANG] = ACTIONS(1590),
    [anon_sym_TILDE] = ACTIONS(1590),
    [anon_sym_DOLLAR] = ACTIONS(1600),
    [anon_sym_SQUOTE] = ACTIONS(1602),
    [sym__backquoted_id] = ACTIONS(1604),
    [sym_operator_identifier] = ACTIONS(1876),
    [sym_integer_literal] = ACTIONS(1608),
    [sym_floating_point_literal] = ACTIONS(1610),
    [anon_sym_true] = ACTIONS(1612),
    [anon_sym_false] = ACTIONS(1612),
    [sym_character_literal] = ACTIONS(1610),
    [sym_null_literal] = ACTIONS(1614),
    [anon_sym_return] = ACTIONS(1878),
    [anon_sym_throw] = ACTIONS(1880),
    [anon_sym_do] = ACTIONS(1882),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1616),
    [sym__simple_string] = ACTIONS(1616),
  },
  [2137] = {
    [sym_inline_modifier] = STATE(2223),
    [sym_block] = STATE(8375),
    [sym_expression] = STATE(12889),
    [sym__simple_expression] = STATE(7442),
    [sym_lambda_expression] = STATE(13185),
    [sym_if_expression] = STATE(13185),
    [sym_match_expression] = STATE(13185),
    [sym_try_expression] = STATE(13185),
    [sym_bindings] = STATE(15586),
    [sym_case_block] = STATE(8375),
    [sym_assignment_expression] = STATE(13185),
    [sym_generic_function] = STATE(8375),
    [sym_call_expression] = STATE(8375),
    [sym_field_expression] = STATE(8375),
    [sym_instance_expression] = STATE(8375),
    [sym_ascription_expression] = STATE(13185),
    [sym_infix_expression] = STATE(9364),
    [sym_postfix_expression] = STATE(12809),
    [sym__postfix_expression_choice] = STATE(16440),
    [sym_macro_body] = STATE(13185),
    [sym_prefix_expression] = STATE(10191),
    [sym_tuple_expression] = STATE(8375),
    [sym_parenthesized_expression] = STATE(8375),
    [sym_splice_expression] = STATE(8375),
    [sym_quote_expression] = STATE(8375),
    [sym_identifier] = STATE(7290),
    [sym__soft_identifier] = STATE(5430),
    [sym_wildcard] = STATE(9387),
    [sym__non_null_literal] = STATE(8375),
    [sym_boolean_literal] = STATE(8117),
    [sym_interpolated_string_expression] = STATE(8375),
    [sym_string] = STATE(8117),
    [sym_unit] = STATE(8375),
    [sym_return_expression] = STATE(13185),
    [sym_throw_expression] = STATE(13185),
    [sym_while_expression] = STATE(13185),
    [sym_do_while_expression] = STATE(13185),
    [sym_for_expression] = STATE(13185),
    [sym_comment] = STATE(2137),
    [sym_block_comment] = STATE(2137),
    [sym__alpha_identifier] = ACTIONS(1618),
    [anon_sym_LBRACE] = ACTIONS(1622),
    [anon_sym__] = ACTIONS(1624),
    [anon_sym_PLUS] = ACTIONS(1626),
    [anon_sym_DASH] = ACTIONS(1626),
    [anon_sym_end] = ACTIONS(1628),
    [anon_sym_if] = ACTIONS(2122),
    [anon_sym_while] = ACTIONS(2124),
    [anon_sym_for] = ACTIONS(2126),
    [anon_sym_try] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(1630),
    [anon_sym_opaque] = ACTIONS(1628),
    [anon_sym_implicit] = ACTIONS(2130),
    [anon_sym_inline] = ACTIONS(1632),
    [anon_sym_infix] = ACTIONS(1628),
    [anon_sym_open] = ACTIONS(1628),
    [anon_sym_transparent] = ACTIONS(1628),
    [anon_sym_LPAREN] = ACTIONS(1634),
    [anon_sym_macro] = ACTIONS(2074),
    [anon_sym_BANG] = ACTIONS(1626),
    [anon_sym_TILDE] = ACTIONS(1626),
    [anon_sym_DOLLAR] = ACTIONS(1636),
    [anon_sym_SQUOTE] = ACTIONS(1638),
    [sym__backquoted_id] = ACTIONS(1640),
    [sym_operator_identifier] = ACTIONS(2132),
    [sym_integer_literal] = ACTIONS(1644),
    [sym_floating_point_literal] = ACTIONS(1646),
    [anon_sym_true] = ACTIONS(1648),
    [anon_sym_false] = ACTIONS(1648),
    [sym_character_literal] = ACTIONS(1646),
    [sym_null_literal] = ACTIONS(1650),
    [anon_sym_return] = ACTIONS(2134),
    [anon_sym_throw] = ACTIONS(2136),
    [anon_sym_do] = ACTIONS(2082),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1652),
    [sym__simple_string] = ACTIONS(1652),
  },
  [2138] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(7443),
    [sym_expression] = STATE(15374),
    [sym__simple_expression] = STATE(4789),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(7443),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(7443),
    [sym_call_expression] = STATE(7443),
    [sym_field_expression] = STATE(7443),
    [sym_instance_expression] = STATE(7443),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9068),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16250),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(8526),
    [sym_tuple_expression] = STATE(7443),
    [sym_parenthesized_expression] = STATE(7443),
    [sym_splice_expression] = STATE(7443),
    [sym_quote_expression] = STATE(7443),
    [sym_identifier] = STATE(4627),
    [sym__soft_identifier] = STATE(5213),
    [sym_wildcard] = STATE(6315),
    [sym__non_null_literal] = STATE(7443),
    [sym_boolean_literal] = STATE(7707),
    [sym_interpolated_string_expression] = STATE(7443),
    [sym_string] = STATE(7707),
    [sym_unit] = STATE(7443),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2138),
    [sym_block_comment] = STATE(2138),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(1136),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [2139] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(14967),
    [sym__simple_expression] = STATE(6014),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16017),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(5490),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(8581),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2139),
    [sym_block_comment] = STATE(2139),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1860),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(1862),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [2140] = {
    [sym_inline_modifier] = STATE(2179),
    [sym_block] = STATE(6738),
    [sym_expression] = STATE(11853),
    [sym__simple_expression] = STATE(6283),
    [sym_lambda_expression] = STATE(12430),
    [sym_if_expression] = STATE(12430),
    [sym_match_expression] = STATE(12430),
    [sym_try_expression] = STATE(12430),
    [sym_bindings] = STATE(15581),
    [sym_case_block] = STATE(6738),
    [sym_assignment_expression] = STATE(12430),
    [sym_generic_function] = STATE(6738),
    [sym_call_expression] = STATE(6738),
    [sym_field_expression] = STATE(6738),
    [sym_instance_expression] = STATE(6738),
    [sym_ascription_expression] = STATE(12430),
    [sym_infix_expression] = STATE(8389),
    [sym_postfix_expression] = STATE(11930),
    [sym__postfix_expression_choice] = STATE(15885),
    [sym_macro_body] = STATE(12430),
    [sym_prefix_expression] = STATE(9616),
    [sym_tuple_expression] = STATE(6738),
    [sym_parenthesized_expression] = STATE(6738),
    [sym_splice_expression] = STATE(6738),
    [sym_quote_expression] = STATE(6738),
    [sym_identifier] = STATE(5530),
    [sym__soft_identifier] = STATE(4943),
    [sym_wildcard] = STATE(8554),
    [sym__non_null_literal] = STATE(6738),
    [sym_boolean_literal] = STATE(7301),
    [sym_interpolated_string_expression] = STATE(6738),
    [sym_string] = STATE(7301),
    [sym_unit] = STATE(6738),
    [sym_return_expression] = STATE(12430),
    [sym_throw_expression] = STATE(12430),
    [sym_while_expression] = STATE(12430),
    [sym_do_while_expression] = STATE(12430),
    [sym_for_expression] = STATE(12430),
    [sym_comment] = STATE(2140),
    [sym_block_comment] = STATE(2140),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(2356),
    [anon_sym_while] = ACTIONS(2358),
    [anon_sym_for] = ACTIONS(2360),
    [anon_sym_try] = ACTIONS(2362),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1360),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(2366),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(2368),
    [anon_sym_throw] = ACTIONS(2370),
    [anon_sym_do] = ACTIONS(1368),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [2141] = {
    [sym_inline_modifier] = STATE(2070),
    [sym_block] = STATE(8360),
    [sym_expression] = STATE(12919),
    [sym__simple_expression] = STATE(5615),
    [sym_lambda_expression] = STATE(13229),
    [sym_if_expression] = STATE(13229),
    [sym_match_expression] = STATE(13229),
    [sym_try_expression] = STATE(13229),
    [sym_bindings] = STATE(15528),
    [sym_case_block] = STATE(8360),
    [sym_assignment_expression] = STATE(13229),
    [sym_generic_function] = STATE(8360),
    [sym_call_expression] = STATE(8360),
    [sym_field_expression] = STATE(8360),
    [sym_instance_expression] = STATE(8360),
    [sym_ascription_expression] = STATE(13229),
    [sym_infix_expression] = STATE(9581),
    [sym_postfix_expression] = STATE(12866),
    [sym__postfix_expression_choice] = STATE(15971),
    [sym_macro_body] = STATE(13229),
    [sym_prefix_expression] = STATE(9582),
    [sym_tuple_expression] = STATE(8360),
    [sym_parenthesized_expression] = STATE(8360),
    [sym_splice_expression] = STATE(8360),
    [sym_quote_expression] = STATE(8360),
    [sym_identifier] = STATE(5263),
    [sym__soft_identifier] = STATE(5563),
    [sym_wildcard] = STATE(7408),
    [sym__non_null_literal] = STATE(8360),
    [sym_boolean_literal] = STATE(8269),
    [sym_interpolated_string_expression] = STATE(8360),
    [sym_string] = STATE(8269),
    [sym_unit] = STATE(8360),
    [sym_return_expression] = STATE(13229),
    [sym_throw_expression] = STATE(13229),
    [sym_while_expression] = STATE(13229),
    [sym_do_while_expression] = STATE(13229),
    [sym_for_expression] = STATE(13229),
    [sym_comment] = STATE(2141),
    [sym_block_comment] = STATE(2141),
    [sym__alpha_identifier] = ACTIONS(1242),
    [anon_sym_LBRACE] = ACTIONS(1246),
    [anon_sym__] = ACTIONS(1248),
    [anon_sym_PLUS] = ACTIONS(1250),
    [anon_sym_DASH] = ACTIONS(1250),
    [anon_sym_end] = ACTIONS(1252),
    [anon_sym_if] = ACTIONS(1654),
    [anon_sym_while] = ACTIONS(1656),
    [anon_sym_for] = ACTIONS(1658),
    [anon_sym_try] = ACTIONS(1660),
    [anon_sym_new] = ACTIONS(1254),
    [anon_sym_opaque] = ACTIONS(1252),
    [anon_sym_implicit] = ACTIONS(1662),
    [anon_sym_inline] = ACTIONS(1256),
    [anon_sym_infix] = ACTIONS(1252),
    [anon_sym_open] = ACTIONS(1252),
    [anon_sym_transparent] = ACTIONS(1252),
    [anon_sym_LPAREN] = ACTIONS(1258),
    [anon_sym_macro] = ACTIONS(1664),
    [anon_sym_BANG] = ACTIONS(1250),
    [anon_sym_TILDE] = ACTIONS(1250),
    [anon_sym_DOLLAR] = ACTIONS(1260),
    [anon_sym_SQUOTE] = ACTIONS(1262),
    [sym__backquoted_id] = ACTIONS(1264),
    [sym_operator_identifier] = ACTIONS(1666),
    [sym_integer_literal] = ACTIONS(1268),
    [sym_floating_point_literal] = ACTIONS(1270),
    [anon_sym_true] = ACTIONS(1272),
    [anon_sym_false] = ACTIONS(1272),
    [sym_character_literal] = ACTIONS(1270),
    [sym_null_literal] = ACTIONS(1274),
    [anon_sym_return] = ACTIONS(1668),
    [anon_sym_throw] = ACTIONS(1670),
    [anon_sym_do] = ACTIONS(1672),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1276),
    [sym__simple_string] = ACTIONS(1276),
  },
  [2142] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(14174),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2142),
    [sym_block_comment] = STATE(2142),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2143] = {
    [sym_inline_modifier] = STATE(2074),
    [sym_block] = STATE(9523),
    [sym_expression] = STATE(13437),
    [sym__simple_expression] = STATE(6085),
    [sym_lambda_expression] = STATE(11549),
    [sym_if_expression] = STATE(11549),
    [sym_match_expression] = STATE(11549),
    [sym_try_expression] = STATE(11549),
    [sym_bindings] = STATE(15713),
    [sym_case_block] = STATE(9523),
    [sym_assignment_expression] = STATE(11549),
    [sym_generic_function] = STATE(9523),
    [sym_call_expression] = STATE(9523),
    [sym_field_expression] = STATE(9523),
    [sym_instance_expression] = STATE(9523),
    [sym_ascription_expression] = STATE(11549),
    [sym_infix_expression] = STATE(10056),
    [sym_postfix_expression] = STATE(11204),
    [sym__postfix_expression_choice] = STATE(16623),
    [sym_macro_body] = STATE(11549),
    [sym_prefix_expression] = STATE(9754),
    [sym_tuple_expression] = STATE(9523),
    [sym_parenthesized_expression] = STATE(9523),
    [sym_splice_expression] = STATE(9523),
    [sym_quote_expression] = STATE(9523),
    [sym_identifier] = STATE(5442),
    [sym__soft_identifier] = STATE(4485),
    [sym_wildcard] = STATE(8639),
    [sym__non_null_literal] = STATE(9523),
    [sym_boolean_literal] = STATE(5592),
    [sym_interpolated_string_expression] = STATE(9523),
    [sym_string] = STATE(5592),
    [sym_unit] = STATE(9523),
    [sym_return_expression] = STATE(11549),
    [sym_throw_expression] = STATE(11549),
    [sym_while_expression] = STATE(11549),
    [sym_do_while_expression] = STATE(11549),
    [sym_for_expression] = STATE(11549),
    [sym_comment] = STATE(2143),
    [sym_block_comment] = STATE(2143),
    [sym__alpha_identifier] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(1392),
    [anon_sym__] = ACTIONS(1394),
    [anon_sym_PLUS] = ACTIONS(1396),
    [anon_sym_DASH] = ACTIONS(1396),
    [anon_sym_end] = ACTIONS(1398),
    [anon_sym_if] = ACTIONS(1820),
    [anon_sym_while] = ACTIONS(1822),
    [anon_sym_for] = ACTIONS(1824),
    [anon_sym_try] = ACTIONS(1826),
    [anon_sym_new] = ACTIONS(1400),
    [anon_sym_opaque] = ACTIONS(1398),
    [anon_sym_implicit] = ACTIONS(1828),
    [anon_sym_inline] = ACTIONS(1402),
    [anon_sym_infix] = ACTIONS(1398),
    [anon_sym_open] = ACTIONS(1398),
    [anon_sym_transparent] = ACTIONS(1398),
    [anon_sym_LPAREN] = ACTIONS(1404),
    [anon_sym_macro] = ACTIONS(1830),
    [anon_sym_BANG] = ACTIONS(1396),
    [anon_sym_TILDE] = ACTIONS(1396),
    [anon_sym_DOLLAR] = ACTIONS(1406),
    [anon_sym_SQUOTE] = ACTIONS(1408),
    [sym__backquoted_id] = ACTIONS(1410),
    [sym_operator_identifier] = ACTIONS(1832),
    [sym_integer_literal] = ACTIONS(1414),
    [sym_floating_point_literal] = ACTIONS(1416),
    [anon_sym_true] = ACTIONS(1418),
    [anon_sym_false] = ACTIONS(1418),
    [sym_character_literal] = ACTIONS(1416),
    [sym_null_literal] = ACTIONS(1420),
    [anon_sym_return] = ACTIONS(1834),
    [anon_sym_throw] = ACTIONS(1836),
    [anon_sym_do] = ACTIONS(1386),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1422),
    [sym__simple_string] = ACTIONS(1422),
  },
  [2144] = {
    [sym_inline_modifier] = STATE(2293),
    [sym_block] = STATE(6703),
    [sym_expression] = STATE(12166),
    [sym__simple_expression] = STATE(5444),
    [sym_lambda_expression] = STATE(12046),
    [sym_if_expression] = STATE(12046),
    [sym_match_expression] = STATE(12046),
    [sym_try_expression] = STATE(12046),
    [sym_bindings] = STATE(15592),
    [sym_case_block] = STATE(6703),
    [sym_assignment_expression] = STATE(12046),
    [sym_generic_function] = STATE(6703),
    [sym_call_expression] = STATE(6703),
    [sym_field_expression] = STATE(6703),
    [sym_instance_expression] = STATE(6703),
    [sym_ascription_expression] = STATE(12046),
    [sym_infix_expression] = STATE(8166),
    [sym_postfix_expression] = STATE(11496),
    [sym__postfix_expression_choice] = STATE(15827),
    [sym_macro_body] = STATE(12046),
    [sym_prefix_expression] = STATE(9361),
    [sym_tuple_expression] = STATE(6703),
    [sym_parenthesized_expression] = STATE(6703),
    [sym_splice_expression] = STATE(6703),
    [sym_quote_expression] = STATE(6703),
    [sym_identifier] = STATE(5281),
    [sym__soft_identifier] = STATE(4884),
    [sym_wildcard] = STATE(7456),
    [sym__non_null_literal] = STATE(6703),
    [sym_boolean_literal] = STATE(6780),
    [sym_interpolated_string_expression] = STATE(6703),
    [sym_string] = STATE(6780),
    [sym_unit] = STATE(6703),
    [sym_return_expression] = STATE(12046),
    [sym_throw_expression] = STATE(12046),
    [sym_while_expression] = STATE(12046),
    [sym_do_while_expression] = STATE(12046),
    [sym_for_expression] = STATE(12046),
    [sym_comment] = STATE(2144),
    [sym_block_comment] = STATE(2144),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(2410),
    [anon_sym_while] = ACTIONS(2178),
    [anon_sym_for] = ACTIONS(2180),
    [anon_sym_try] = ACTIONS(2182),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(2184),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1848),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(2186),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(2188),
    [anon_sym_throw] = ACTIONS(2190),
    [anon_sym_do] = ACTIONS(1856),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [2145] = {
    [sym_inline_modifier] = STATE(2154),
    [sym_block] = STATE(8070),
    [sym_expression] = STATE(12616),
    [sym__simple_expression] = STATE(7235),
    [sym_lambda_expression] = STATE(12742),
    [sym_if_expression] = STATE(12742),
    [sym_match_expression] = STATE(12742),
    [sym_try_expression] = STATE(12742),
    [sym_bindings] = STATE(15546),
    [sym_case_block] = STATE(8070),
    [sym_assignment_expression] = STATE(12742),
    [sym_generic_function] = STATE(8070),
    [sym_call_expression] = STATE(8070),
    [sym_field_expression] = STATE(8070),
    [sym_instance_expression] = STATE(8070),
    [sym_ascription_expression] = STATE(12742),
    [sym_infix_expression] = STATE(8913),
    [sym_postfix_expression] = STATE(12343),
    [sym__postfix_expression_choice] = STATE(16230),
    [sym_macro_body] = STATE(12742),
    [sym_prefix_expression] = STATE(9970),
    [sym_tuple_expression] = STATE(8070),
    [sym_parenthesized_expression] = STATE(8070),
    [sym_splice_expression] = STATE(8070),
    [sym_quote_expression] = STATE(8070),
    [sym_identifier] = STATE(6168),
    [sym__soft_identifier] = STATE(5234),
    [sym_wildcard] = STATE(8792),
    [sym__non_null_literal] = STATE(8070),
    [sym_boolean_literal] = STATE(8055),
    [sym_interpolated_string_expression] = STATE(8070),
    [sym_string] = STATE(8055),
    [sym_unit] = STATE(8070),
    [sym_return_expression] = STATE(12742),
    [sym_throw_expression] = STATE(12742),
    [sym_while_expression] = STATE(12742),
    [sym_do_while_expression] = STATE(12742),
    [sym_for_expression] = STATE(12742),
    [sym_comment] = STATE(2145),
    [sym_block_comment] = STATE(2145),
    [sym__alpha_identifier] = ACTIONS(1314),
    [anon_sym_LBRACE] = ACTIONS(1318),
    [anon_sym__] = ACTIONS(1320),
    [anon_sym_PLUS] = ACTIONS(1322),
    [anon_sym_DASH] = ACTIONS(1322),
    [anon_sym_end] = ACTIONS(1324),
    [anon_sym_if] = ACTIONS(2142),
    [anon_sym_while] = ACTIONS(2144),
    [anon_sym_for] = ACTIONS(2146),
    [anon_sym_try] = ACTIONS(2148),
    [anon_sym_new] = ACTIONS(1326),
    [anon_sym_opaque] = ACTIONS(1324),
    [anon_sym_implicit] = ACTIONS(2150),
    [anon_sym_inline] = ACTIONS(1328),
    [anon_sym_infix] = ACTIONS(1324),
    [anon_sym_open] = ACTIONS(1324),
    [anon_sym_transparent] = ACTIONS(1324),
    [anon_sym_LPAREN] = ACTIONS(1330),
    [anon_sym_macro] = ACTIONS(1740),
    [anon_sym_BANG] = ACTIONS(1322),
    [anon_sym_TILDE] = ACTIONS(1322),
    [anon_sym_DOLLAR] = ACTIONS(1332),
    [anon_sym_SQUOTE] = ACTIONS(1334),
    [sym__backquoted_id] = ACTIONS(1336),
    [sym_operator_identifier] = ACTIONS(2152),
    [sym_integer_literal] = ACTIONS(1340),
    [sym_floating_point_literal] = ACTIONS(1342),
    [anon_sym_true] = ACTIONS(1344),
    [anon_sym_false] = ACTIONS(1344),
    [sym_character_literal] = ACTIONS(1342),
    [sym_null_literal] = ACTIONS(1346),
    [anon_sym_return] = ACTIONS(2154),
    [anon_sym_throw] = ACTIONS(2156),
    [anon_sym_do] = ACTIONS(1748),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1348),
    [sym__simple_string] = ACTIONS(1348),
  },
  [2146] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9120),
    [sym_expression] = STATE(15474),
    [sym__simple_expression] = STATE(5894),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9120),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9120),
    [sym_call_expression] = STATE(9120),
    [sym_field_expression] = STATE(9120),
    [sym_instance_expression] = STATE(9120),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9859),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16129),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(9425),
    [sym_tuple_expression] = STATE(9120),
    [sym_parenthesized_expression] = STATE(9120),
    [sym_splice_expression] = STATE(9120),
    [sym_quote_expression] = STATE(9120),
    [sym_identifier] = STATE(5153),
    [sym__soft_identifier] = STATE(6470),
    [sym_wildcard] = STATE(7795),
    [sym__non_null_literal] = STATE(9120),
    [sym_boolean_literal] = STATE(8928),
    [sym_interpolated_string_expression] = STATE(9120),
    [sym_string] = STATE(8928),
    [sym_unit] = STATE(9120),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2146),
    [sym_block_comment] = STATE(2146),
    [sym__alpha_identifier] = ACTIONS(1582),
    [anon_sym_LBRACE] = ACTIONS(1586),
    [anon_sym__] = ACTIONS(1588),
    [anon_sym_PLUS] = ACTIONS(1590),
    [anon_sym_DASH] = ACTIONS(1590),
    [anon_sym_end] = ACTIONS(1592),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1594),
    [anon_sym_opaque] = ACTIONS(1592),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1596),
    [anon_sym_infix] = ACTIONS(1592),
    [anon_sym_open] = ACTIONS(1592),
    [anon_sym_transparent] = ACTIONS(1592),
    [anon_sym_LPAREN] = ACTIONS(1598),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1590),
    [anon_sym_TILDE] = ACTIONS(1590),
    [anon_sym_DOLLAR] = ACTIONS(1600),
    [anon_sym_SQUOTE] = ACTIONS(1602),
    [sym__backquoted_id] = ACTIONS(1604),
    [sym_operator_identifier] = ACTIONS(1606),
    [sym_integer_literal] = ACTIONS(1608),
    [sym_floating_point_literal] = ACTIONS(1610),
    [anon_sym_true] = ACTIONS(1612),
    [anon_sym_false] = ACTIONS(1612),
    [sym_character_literal] = ACTIONS(1610),
    [sym_null_literal] = ACTIONS(1614),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1616),
    [sym__simple_string] = ACTIONS(1616),
  },
  [2147] = {
    [sym_inline_modifier] = STATE(2223),
    [sym_block] = STATE(8375),
    [sym_expression] = STATE(12900),
    [sym__simple_expression] = STATE(7442),
    [sym_lambda_expression] = STATE(13185),
    [sym_if_expression] = STATE(13185),
    [sym_match_expression] = STATE(13185),
    [sym_try_expression] = STATE(13185),
    [sym_bindings] = STATE(15586),
    [sym_case_block] = STATE(8375),
    [sym_assignment_expression] = STATE(13185),
    [sym_generic_function] = STATE(8375),
    [sym_call_expression] = STATE(8375),
    [sym_field_expression] = STATE(8375),
    [sym_instance_expression] = STATE(8375),
    [sym_ascription_expression] = STATE(13185),
    [sym_infix_expression] = STATE(9364),
    [sym_postfix_expression] = STATE(12809),
    [sym__postfix_expression_choice] = STATE(16440),
    [sym_macro_body] = STATE(13185),
    [sym_prefix_expression] = STATE(10191),
    [sym_tuple_expression] = STATE(8375),
    [sym_parenthesized_expression] = STATE(8375),
    [sym_splice_expression] = STATE(8375),
    [sym_quote_expression] = STATE(8375),
    [sym_identifier] = STATE(7290),
    [sym__soft_identifier] = STATE(5430),
    [sym_wildcard] = STATE(9387),
    [sym__non_null_literal] = STATE(8375),
    [sym_boolean_literal] = STATE(8117),
    [sym_interpolated_string_expression] = STATE(8375),
    [sym_string] = STATE(8117),
    [sym_unit] = STATE(8375),
    [sym_return_expression] = STATE(13185),
    [sym_throw_expression] = STATE(13185),
    [sym_while_expression] = STATE(13185),
    [sym_do_while_expression] = STATE(13185),
    [sym_for_expression] = STATE(13185),
    [sym_comment] = STATE(2147),
    [sym_block_comment] = STATE(2147),
    [sym__alpha_identifier] = ACTIONS(1618),
    [anon_sym_LBRACE] = ACTIONS(1622),
    [anon_sym__] = ACTIONS(1624),
    [anon_sym_PLUS] = ACTIONS(1626),
    [anon_sym_DASH] = ACTIONS(1626),
    [anon_sym_end] = ACTIONS(1628),
    [anon_sym_if] = ACTIONS(2122),
    [anon_sym_while] = ACTIONS(2124),
    [anon_sym_for] = ACTIONS(2126),
    [anon_sym_try] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(1630),
    [anon_sym_opaque] = ACTIONS(1628),
    [anon_sym_implicit] = ACTIONS(2130),
    [anon_sym_inline] = ACTIONS(1632),
    [anon_sym_infix] = ACTIONS(1628),
    [anon_sym_open] = ACTIONS(1628),
    [anon_sym_transparent] = ACTIONS(1628),
    [anon_sym_LPAREN] = ACTIONS(1634),
    [anon_sym_macro] = ACTIONS(2074),
    [anon_sym_BANG] = ACTIONS(1626),
    [anon_sym_TILDE] = ACTIONS(1626),
    [anon_sym_DOLLAR] = ACTIONS(1636),
    [anon_sym_SQUOTE] = ACTIONS(1638),
    [sym__backquoted_id] = ACTIONS(1640),
    [sym_operator_identifier] = ACTIONS(2132),
    [sym_integer_literal] = ACTIONS(1644),
    [sym_floating_point_literal] = ACTIONS(1646),
    [anon_sym_true] = ACTIONS(1648),
    [anon_sym_false] = ACTIONS(1648),
    [sym_character_literal] = ACTIONS(1646),
    [sym_null_literal] = ACTIONS(1650),
    [anon_sym_return] = ACTIONS(2134),
    [anon_sym_throw] = ACTIONS(2136),
    [anon_sym_do] = ACTIONS(2082),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1652),
    [sym__simple_string] = ACTIONS(1652),
  },
  [2148] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(15451),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2148),
    [sym_block_comment] = STATE(2148),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4080),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2149] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(15248),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2149),
    [sym_block_comment] = STATE(2149),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4082),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2150] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9088),
    [sym_expression] = STATE(15444),
    [sym__simple_expression] = STATE(5938),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9088),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9088),
    [sym_call_expression] = STATE(9088),
    [sym_field_expression] = STATE(9088),
    [sym_instance_expression] = STATE(9088),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16108),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9088),
    [sym_parenthesized_expression] = STATE(9088),
    [sym_splice_expression] = STATE(9088),
    [sym_quote_expression] = STATE(9088),
    [sym_identifier] = STATE(5190),
    [sym__soft_identifier] = STATE(6581),
    [sym_wildcard] = STATE(7746),
    [sym__non_null_literal] = STATE(9088),
    [sym_boolean_literal] = STATE(8905),
    [sym_interpolated_string_expression] = STATE(9088),
    [sym_string] = STATE(8905),
    [sym_unit] = STATE(9088),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2150),
    [sym_block_comment] = STATE(2150),
    [sym__alpha_identifier] = ACTIONS(1938),
    [anon_sym_LBRACE] = ACTIONS(1942),
    [anon_sym__] = ACTIONS(1944),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(1948),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1950),
    [anon_sym_opaque] = ACTIONS(1948),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1952),
    [anon_sym_infix] = ACTIONS(1948),
    [anon_sym_open] = ACTIONS(1948),
    [anon_sym_transparent] = ACTIONS(1948),
    [anon_sym_LPAREN] = ACTIONS(1954),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(1956),
    [anon_sym_SQUOTE] = ACTIONS(1958),
    [sym__backquoted_id] = ACTIONS(1960),
    [sym_operator_identifier] = ACTIONS(1962),
    [sym_integer_literal] = ACTIONS(1964),
    [sym_floating_point_literal] = ACTIONS(1966),
    [anon_sym_true] = ACTIONS(1968),
    [anon_sym_false] = ACTIONS(1968),
    [sym_character_literal] = ACTIONS(1966),
    [sym_null_literal] = ACTIONS(1970),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1972),
    [sym__simple_string] = ACTIONS(1972),
  },
  [2151] = {
    [sym_inline_modifier] = STATE(2269),
    [sym_block] = STATE(8070),
    [sym_expression] = STATE(12549),
    [sym__simple_expression] = STATE(5679),
    [sym_lambda_expression] = STATE(12742),
    [sym_if_expression] = STATE(12742),
    [sym_match_expression] = STATE(12742),
    [sym_try_expression] = STATE(12742),
    [sym_bindings] = STATE(15536),
    [sym_case_block] = STATE(8070),
    [sym_assignment_expression] = STATE(12742),
    [sym_generic_function] = STATE(8070),
    [sym_call_expression] = STATE(8070),
    [sym_field_expression] = STATE(8070),
    [sym_instance_expression] = STATE(8070),
    [sym_ascription_expression] = STATE(12742),
    [sym_infix_expression] = STATE(8913),
    [sym_postfix_expression] = STATE(12343),
    [sym__postfix_expression_choice] = STATE(16230),
    [sym_macro_body] = STATE(12742),
    [sym_prefix_expression] = STATE(9483),
    [sym_tuple_expression] = STATE(8070),
    [sym_parenthesized_expression] = STATE(8070),
    [sym_splice_expression] = STATE(8070),
    [sym_quote_expression] = STATE(8070),
    [sym_identifier] = STATE(4999),
    [sym__soft_identifier] = STATE(5234),
    [sym_wildcard] = STATE(8075),
    [sym__non_null_literal] = STATE(8070),
    [sym_boolean_literal] = STATE(8055),
    [sym_interpolated_string_expression] = STATE(8070),
    [sym_string] = STATE(8055),
    [sym_unit] = STATE(8070),
    [sym_return_expression] = STATE(12742),
    [sym_throw_expression] = STATE(12742),
    [sym_while_expression] = STATE(12742),
    [sym_do_while_expression] = STATE(12742),
    [sym_for_expression] = STATE(12742),
    [sym_comment] = STATE(2151),
    [sym_block_comment] = STATE(2151),
    [sym__alpha_identifier] = ACTIONS(1314),
    [anon_sym_LBRACE] = ACTIONS(1318),
    [anon_sym__] = ACTIONS(1320),
    [anon_sym_PLUS] = ACTIONS(1322),
    [anon_sym_DASH] = ACTIONS(1322),
    [anon_sym_end] = ACTIONS(1324),
    [anon_sym_if] = ACTIONS(1730),
    [anon_sym_while] = ACTIONS(1732),
    [anon_sym_for] = ACTIONS(1734),
    [anon_sym_try] = ACTIONS(1736),
    [anon_sym_new] = ACTIONS(1326),
    [anon_sym_opaque] = ACTIONS(1324),
    [anon_sym_implicit] = ACTIONS(1738),
    [anon_sym_inline] = ACTIONS(1328),
    [anon_sym_infix] = ACTIONS(1324),
    [anon_sym_open] = ACTIONS(1324),
    [anon_sym_transparent] = ACTIONS(1324),
    [anon_sym_LPAREN] = ACTIONS(1330),
    [anon_sym_macro] = ACTIONS(1740),
    [anon_sym_BANG] = ACTIONS(1322),
    [anon_sym_TILDE] = ACTIONS(1322),
    [anon_sym_DOLLAR] = ACTIONS(1332),
    [anon_sym_SQUOTE] = ACTIONS(1334),
    [sym__backquoted_id] = ACTIONS(1336),
    [sym_operator_identifier] = ACTIONS(1742),
    [sym_integer_literal] = ACTIONS(1340),
    [sym_floating_point_literal] = ACTIONS(1342),
    [anon_sym_true] = ACTIONS(1344),
    [anon_sym_false] = ACTIONS(1344),
    [sym_character_literal] = ACTIONS(1342),
    [sym_null_literal] = ACTIONS(1346),
    [anon_sym_return] = ACTIONS(1744),
    [anon_sym_throw] = ACTIONS(1746),
    [anon_sym_do] = ACTIONS(1748),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1348),
    [sym__simple_string] = ACTIONS(1348),
  },
  [2152] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(14321),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2152),
    [sym_block_comment] = STATE(2152),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2153] = {
    [sym_inline_modifier] = STATE(2122),
    [sym_block] = STATE(6703),
    [sym_expression] = STATE(12168),
    [sym__simple_expression] = STATE(6037),
    [sym_lambda_expression] = STATE(12046),
    [sym_if_expression] = STATE(12046),
    [sym_match_expression] = STATE(12046),
    [sym_try_expression] = STATE(12046),
    [sym_bindings] = STATE(15638),
    [sym_case_block] = STATE(6703),
    [sym_assignment_expression] = STATE(12046),
    [sym_generic_function] = STATE(6703),
    [sym_call_expression] = STATE(6703),
    [sym_field_expression] = STATE(6703),
    [sym_instance_expression] = STATE(6703),
    [sym_ascription_expression] = STATE(12046),
    [sym_infix_expression] = STATE(8166),
    [sym_postfix_expression] = STATE(11496),
    [sym__postfix_expression_choice] = STATE(15827),
    [sym_macro_body] = STATE(12046),
    [sym_prefix_expression] = STATE(9715),
    [sym_tuple_expression] = STATE(6703),
    [sym_parenthesized_expression] = STATE(6703),
    [sym_splice_expression] = STATE(6703),
    [sym_quote_expression] = STATE(6703),
    [sym_identifier] = STATE(5641),
    [sym__soft_identifier] = STATE(4884),
    [sym_wildcard] = STATE(8386),
    [sym__non_null_literal] = STATE(6703),
    [sym_boolean_literal] = STATE(6780),
    [sym_interpolated_string_expression] = STATE(6703),
    [sym_string] = STATE(6780),
    [sym_unit] = STATE(6703),
    [sym_return_expression] = STATE(12046),
    [sym_throw_expression] = STATE(12046),
    [sym_while_expression] = STATE(12046),
    [sym_do_while_expression] = STATE(12046),
    [sym_for_expression] = STATE(12046),
    [sym_comment] = STATE(2153),
    [sym_block_comment] = STATE(2153),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(1838),
    [anon_sym_while] = ACTIONS(1840),
    [anon_sym_for] = ACTIONS(1842),
    [anon_sym_try] = ACTIONS(1844),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(1846),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1848),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(1850),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(1852),
    [anon_sym_throw] = ACTIONS(1854),
    [anon_sym_do] = ACTIONS(1856),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [2154] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(15059),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2154),
    [sym_block_comment] = STATE(2154),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4084),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2155] = {
    [sym_inline_modifier] = STATE(2040),
    [sym_block] = STATE(8375),
    [sym_expression] = STATE(12889),
    [sym__simple_expression] = STATE(7538),
    [sym_lambda_expression] = STATE(13185),
    [sym_if_expression] = STATE(13185),
    [sym_match_expression] = STATE(13185),
    [sym_try_expression] = STATE(13185),
    [sym_bindings] = STATE(15594),
    [sym_case_block] = STATE(8375),
    [sym_assignment_expression] = STATE(13185),
    [sym_generic_function] = STATE(8375),
    [sym_call_expression] = STATE(8375),
    [sym_field_expression] = STATE(8375),
    [sym_instance_expression] = STATE(8375),
    [sym_ascription_expression] = STATE(13185),
    [sym_infix_expression] = STATE(9364),
    [sym_postfix_expression] = STATE(12809),
    [sym__postfix_expression_choice] = STATE(16440),
    [sym_macro_body] = STATE(13185),
    [sym_prefix_expression] = STATE(10274),
    [sym_tuple_expression] = STATE(8375),
    [sym_parenthesized_expression] = STATE(8375),
    [sym_splice_expression] = STATE(8375),
    [sym_quote_expression] = STATE(8375),
    [sym_identifier] = STATE(7110),
    [sym__soft_identifier] = STATE(5430),
    [sym_wildcard] = STATE(9287),
    [sym__non_null_literal] = STATE(8375),
    [sym_boolean_literal] = STATE(8117),
    [sym_interpolated_string_expression] = STATE(8375),
    [sym_string] = STATE(8117),
    [sym_unit] = STATE(8375),
    [sym_return_expression] = STATE(13185),
    [sym_throw_expression] = STATE(13185),
    [sym_while_expression] = STATE(13185),
    [sym_do_while_expression] = STATE(13185),
    [sym_for_expression] = STATE(13185),
    [sym_comment] = STATE(2155),
    [sym_block_comment] = STATE(2155),
    [sym__alpha_identifier] = ACTIONS(1618),
    [anon_sym_LBRACE] = ACTIONS(1622),
    [anon_sym__] = ACTIONS(1624),
    [anon_sym_PLUS] = ACTIONS(1626),
    [anon_sym_DASH] = ACTIONS(1626),
    [anon_sym_end] = ACTIONS(1628),
    [anon_sym_if] = ACTIONS(2414),
    [anon_sym_while] = ACTIONS(2416),
    [anon_sym_for] = ACTIONS(2418),
    [anon_sym_try] = ACTIONS(2420),
    [anon_sym_new] = ACTIONS(1630),
    [anon_sym_opaque] = ACTIONS(1628),
    [anon_sym_implicit] = ACTIONS(2422),
    [anon_sym_inline] = ACTIONS(1632),
    [anon_sym_infix] = ACTIONS(1628),
    [anon_sym_open] = ACTIONS(1628),
    [anon_sym_transparent] = ACTIONS(1628),
    [anon_sym_LPAREN] = ACTIONS(1634),
    [anon_sym_macro] = ACTIONS(2074),
    [anon_sym_BANG] = ACTIONS(1626),
    [anon_sym_TILDE] = ACTIONS(1626),
    [anon_sym_DOLLAR] = ACTIONS(1636),
    [anon_sym_SQUOTE] = ACTIONS(1638),
    [sym__backquoted_id] = ACTIONS(1640),
    [sym_operator_identifier] = ACTIONS(2424),
    [sym_integer_literal] = ACTIONS(1644),
    [sym_floating_point_literal] = ACTIONS(1646),
    [anon_sym_true] = ACTIONS(1648),
    [anon_sym_false] = ACTIONS(1648),
    [sym_character_literal] = ACTIONS(1646),
    [sym_null_literal] = ACTIONS(1650),
    [anon_sym_return] = ACTIONS(2426),
    [anon_sym_throw] = ACTIONS(2428),
    [anon_sym_do] = ACTIONS(2082),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1652),
    [sym__simple_string] = ACTIONS(1652),
  },
  [2156] = {
    [sym_inline_modifier] = STATE(2195),
    [sym_block] = STATE(7443),
    [sym_expression] = STATE(12503),
    [sym__simple_expression] = STATE(5261),
    [sym_lambda_expression] = STATE(12692),
    [sym_if_expression] = STATE(12692),
    [sym_match_expression] = STATE(12692),
    [sym_try_expression] = STATE(12692),
    [sym_bindings] = STATE(15526),
    [sym_case_block] = STATE(7443),
    [sym_assignment_expression] = STATE(12692),
    [sym_generic_function] = STATE(7443),
    [sym_call_expression] = STATE(7443),
    [sym_field_expression] = STATE(7443),
    [sym_instance_expression] = STATE(7443),
    [sym_ascription_expression] = STATE(12692),
    [sym_infix_expression] = STATE(8993),
    [sym_postfix_expression] = STATE(12386),
    [sym__postfix_expression_choice] = STATE(16150),
    [sym_macro_body] = STATE(12692),
    [sym_prefix_expression] = STATE(8984),
    [sym_tuple_expression] = STATE(7443),
    [sym_parenthesized_expression] = STATE(7443),
    [sym_splice_expression] = STATE(7443),
    [sym_quote_expression] = STATE(7443),
    [sym_identifier] = STATE(4861),
    [sym__soft_identifier] = STATE(5213),
    [sym_wildcard] = STATE(7324),
    [sym__non_null_literal] = STATE(7443),
    [sym_boolean_literal] = STATE(7707),
    [sym_interpolated_string_expression] = STATE(7443),
    [sym_string] = STATE(7707),
    [sym_unit] = STATE(7443),
    [sym_return_expression] = STATE(12692),
    [sym_throw_expression] = STATE(12692),
    [sym_while_expression] = STATE(12692),
    [sym_do_while_expression] = STATE(12692),
    [sym_for_expression] = STATE(12692),
    [sym_comment] = STATE(2156),
    [sym_block_comment] = STATE(2156),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(1186),
    [anon_sym_while] = ACTIONS(1188),
    [anon_sym_for] = ACTIONS(1190),
    [anon_sym_try] = ACTIONS(1192),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(1194),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1196),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(1198),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(1200),
    [anon_sym_throw] = ACTIONS(1202),
    [anon_sym_do] = ACTIONS(1204),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [2157] = {
    [sym_inline_modifier] = STATE(2149),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13291),
    [sym__simple_expression] = STATE(7109),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15656),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10005),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6267),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(8706),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(2157),
    [sym_block_comment] = STATE(2157),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(2928),
    [anon_sym_while] = ACTIONS(2793),
    [anon_sym_for] = ACTIONS(2795),
    [anon_sym_try] = ACTIONS(2797),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(2799),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(2801),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(2803),
    [anon_sym_throw] = ACTIONS(2805),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [2158] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(14967),
    [sym__simple_expression] = STATE(7284),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(10209),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16017),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10138),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(5490),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(8581),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2158),
    [sym_block_comment] = STATE(2158),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(569),
    [anon_sym_DASH] = ACTIONS(569),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1860),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(569),
    [anon_sym_TILDE] = ACTIONS(569),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(1862),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [2159] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(15131),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2159),
    [sym_block_comment] = STATE(2159),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4086),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2160] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(6738),
    [sym_expression] = STATE(15402),
    [sym__simple_expression] = STATE(4525),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(6738),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(6738),
    [sym_call_expression] = STATE(6738),
    [sym_field_expression] = STATE(6738),
    [sym_instance_expression] = STATE(6738),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16087),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(6738),
    [sym_parenthesized_expression] = STATE(6738),
    [sym_splice_expression] = STATE(6738),
    [sym_quote_expression] = STATE(6738),
    [sym_identifier] = STATE(4495),
    [sym__soft_identifier] = STATE(4943),
    [sym_wildcard] = STATE(5738),
    [sym__non_null_literal] = STATE(6738),
    [sym_boolean_literal] = STATE(7301),
    [sym_interpolated_string_expression] = STATE(6738),
    [sym_string] = STATE(7301),
    [sym_unit] = STATE(6738),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2160),
    [sym_block_comment] = STATE(2160),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(1028),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [2161] = {
    [sym_inline_modifier] = STATE(2154),
    [sym_block] = STATE(8070),
    [sym_expression] = STATE(12611),
    [sym__simple_expression] = STATE(7235),
    [sym_lambda_expression] = STATE(12742),
    [sym_if_expression] = STATE(12742),
    [sym_match_expression] = STATE(12742),
    [sym_try_expression] = STATE(12742),
    [sym_bindings] = STATE(15546),
    [sym_case_block] = STATE(8070),
    [sym_assignment_expression] = STATE(12742),
    [sym_generic_function] = STATE(8070),
    [sym_call_expression] = STATE(8070),
    [sym_field_expression] = STATE(8070),
    [sym_instance_expression] = STATE(8070),
    [sym_ascription_expression] = STATE(12742),
    [sym_infix_expression] = STATE(8913),
    [sym_postfix_expression] = STATE(12343),
    [sym__postfix_expression_choice] = STATE(16230),
    [sym_macro_body] = STATE(12742),
    [sym_prefix_expression] = STATE(9970),
    [sym_tuple_expression] = STATE(8070),
    [sym_parenthesized_expression] = STATE(8070),
    [sym_splice_expression] = STATE(8070),
    [sym_quote_expression] = STATE(8070),
    [sym_identifier] = STATE(6168),
    [sym__soft_identifier] = STATE(5234),
    [sym_wildcard] = STATE(8792),
    [sym__non_null_literal] = STATE(8070),
    [sym_boolean_literal] = STATE(8055),
    [sym_interpolated_string_expression] = STATE(8070),
    [sym_string] = STATE(8055),
    [sym_unit] = STATE(8070),
    [sym_return_expression] = STATE(12742),
    [sym_throw_expression] = STATE(12742),
    [sym_while_expression] = STATE(12742),
    [sym_do_while_expression] = STATE(12742),
    [sym_for_expression] = STATE(12742),
    [sym_comment] = STATE(2161),
    [sym_block_comment] = STATE(2161),
    [sym__alpha_identifier] = ACTIONS(1314),
    [anon_sym_LBRACE] = ACTIONS(1318),
    [anon_sym__] = ACTIONS(1320),
    [anon_sym_PLUS] = ACTIONS(1322),
    [anon_sym_DASH] = ACTIONS(1322),
    [anon_sym_end] = ACTIONS(1324),
    [anon_sym_if] = ACTIONS(2142),
    [anon_sym_while] = ACTIONS(2144),
    [anon_sym_for] = ACTIONS(2146),
    [anon_sym_try] = ACTIONS(2148),
    [anon_sym_new] = ACTIONS(1326),
    [anon_sym_opaque] = ACTIONS(1324),
    [anon_sym_implicit] = ACTIONS(2150),
    [anon_sym_inline] = ACTIONS(1328),
    [anon_sym_infix] = ACTIONS(1324),
    [anon_sym_open] = ACTIONS(1324),
    [anon_sym_transparent] = ACTIONS(1324),
    [anon_sym_LPAREN] = ACTIONS(1330),
    [anon_sym_macro] = ACTIONS(1740),
    [anon_sym_BANG] = ACTIONS(1322),
    [anon_sym_TILDE] = ACTIONS(1322),
    [anon_sym_DOLLAR] = ACTIONS(1332),
    [anon_sym_SQUOTE] = ACTIONS(1334),
    [sym__backquoted_id] = ACTIONS(1336),
    [sym_operator_identifier] = ACTIONS(2152),
    [sym_integer_literal] = ACTIONS(1340),
    [sym_floating_point_literal] = ACTIONS(1342),
    [anon_sym_true] = ACTIONS(1344),
    [anon_sym_false] = ACTIONS(1344),
    [sym_character_literal] = ACTIONS(1342),
    [sym_null_literal] = ACTIONS(1346),
    [anon_sym_return] = ACTIONS(2154),
    [anon_sym_throw] = ACTIONS(2156),
    [anon_sym_do] = ACTIONS(1748),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1348),
    [sym__simple_string] = ACTIONS(1348),
  },
  [2162] = {
    [sym_inline_modifier] = STATE(2262),
    [sym_block] = STATE(6540),
    [sym_expression] = STATE(11393),
    [sym__simple_expression] = STATE(5817),
    [sym_lambda_expression] = STATE(11374),
    [sym_if_expression] = STATE(11374),
    [sym_match_expression] = STATE(11374),
    [sym_try_expression] = STATE(11374),
    [sym_bindings] = STATE(15530),
    [sym_case_block] = STATE(6540),
    [sym_assignment_expression] = STATE(11374),
    [sym_generic_function] = STATE(6540),
    [sym_call_expression] = STATE(6540),
    [sym_field_expression] = STATE(6540),
    [sym_instance_expression] = STATE(6540),
    [sym_ascription_expression] = STATE(11374),
    [sym_infix_expression] = STATE(7834),
    [sym_postfix_expression] = STATE(11215),
    [sym__postfix_expression_choice] = STATE(16210),
    [sym_macro_body] = STATE(11374),
    [sym_prefix_expression] = STATE(9262),
    [sym_tuple_expression] = STATE(6540),
    [sym_parenthesized_expression] = STATE(6540),
    [sym_splice_expression] = STATE(6540),
    [sym_quote_expression] = STATE(6540),
    [sym_identifier] = STATE(5031),
    [sym__soft_identifier] = STATE(4667),
    [sym_wildcard] = STATE(7986),
    [sym__non_null_literal] = STATE(6540),
    [sym_boolean_literal] = STATE(6246),
    [sym_interpolated_string_expression] = STATE(6540),
    [sym_string] = STATE(6246),
    [sym_unit] = STATE(6540),
    [sym_return_expression] = STATE(11374),
    [sym_throw_expression] = STATE(11374),
    [sym_while_expression] = STATE(11374),
    [sym_do_while_expression] = STATE(11374),
    [sym_for_expression] = STATE(11374),
    [sym_comment] = STATE(2162),
    [sym_block_comment] = STATE(2162),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(1530),
    [anon_sym_while] = ACTIONS(1532),
    [anon_sym_for] = ACTIONS(1534),
    [anon_sym_try] = ACTIONS(1536),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1538),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1540),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1542),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1544),
    [anon_sym_throw] = ACTIONS(1546),
    [anon_sym_do] = ACTIONS(1548),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [2163] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(14320),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2163),
    [sym_block_comment] = STATE(2163),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2164] = {
    [sym_inline_modifier] = STATE(2259),
    [sym_block] = STATE(8070),
    [sym_expression] = STATE(12611),
    [sym__simple_expression] = STATE(7077),
    [sym_lambda_expression] = STATE(12742),
    [sym_if_expression] = STATE(12742),
    [sym_match_expression] = STATE(12742),
    [sym_try_expression] = STATE(12742),
    [sym_bindings] = STATE(15598),
    [sym_case_block] = STATE(8070),
    [sym_assignment_expression] = STATE(12742),
    [sym_generic_function] = STATE(8070),
    [sym_call_expression] = STATE(8070),
    [sym_field_expression] = STATE(8070),
    [sym_instance_expression] = STATE(8070),
    [sym_ascription_expression] = STATE(12742),
    [sym_infix_expression] = STATE(8913),
    [sym_postfix_expression] = STATE(12343),
    [sym__postfix_expression_choice] = STATE(16230),
    [sym_macro_body] = STATE(12742),
    [sym_prefix_expression] = STATE(10037),
    [sym_tuple_expression] = STATE(8070),
    [sym_parenthesized_expression] = STATE(8070),
    [sym_splice_expression] = STATE(8070),
    [sym_quote_expression] = STATE(8070),
    [sym_identifier] = STATE(6308),
    [sym__soft_identifier] = STATE(5234),
    [sym_wildcard] = STATE(8710),
    [sym__non_null_literal] = STATE(8070),
    [sym_boolean_literal] = STATE(8055),
    [sym_interpolated_string_expression] = STATE(8070),
    [sym_string] = STATE(8055),
    [sym_unit] = STATE(8070),
    [sym_return_expression] = STATE(12742),
    [sym_throw_expression] = STATE(12742),
    [sym_while_expression] = STATE(12742),
    [sym_do_while_expression] = STATE(12742),
    [sym_for_expression] = STATE(12742),
    [sym_comment] = STATE(2164),
    [sym_block_comment] = STATE(2164),
    [sym__alpha_identifier] = ACTIONS(1314),
    [anon_sym_LBRACE] = ACTIONS(1318),
    [anon_sym__] = ACTIONS(1320),
    [anon_sym_PLUS] = ACTIONS(1322),
    [anon_sym_DASH] = ACTIONS(1322),
    [anon_sym_end] = ACTIONS(1324),
    [anon_sym_if] = ACTIONS(2486),
    [anon_sym_while] = ACTIONS(2488),
    [anon_sym_for] = ACTIONS(2490),
    [anon_sym_try] = ACTIONS(2492),
    [anon_sym_new] = ACTIONS(1326),
    [anon_sym_opaque] = ACTIONS(1324),
    [anon_sym_implicit] = ACTIONS(2494),
    [anon_sym_inline] = ACTIONS(1328),
    [anon_sym_infix] = ACTIONS(1324),
    [anon_sym_open] = ACTIONS(1324),
    [anon_sym_transparent] = ACTIONS(1324),
    [anon_sym_LPAREN] = ACTIONS(1330),
    [anon_sym_macro] = ACTIONS(1740),
    [anon_sym_BANG] = ACTIONS(1322),
    [anon_sym_TILDE] = ACTIONS(1322),
    [anon_sym_DOLLAR] = ACTIONS(1332),
    [anon_sym_SQUOTE] = ACTIONS(1334),
    [sym__backquoted_id] = ACTIONS(1336),
    [sym_operator_identifier] = ACTIONS(2496),
    [sym_integer_literal] = ACTIONS(1340),
    [sym_floating_point_literal] = ACTIONS(1342),
    [anon_sym_true] = ACTIONS(1344),
    [anon_sym_false] = ACTIONS(1344),
    [sym_character_literal] = ACTIONS(1342),
    [sym_null_literal] = ACTIONS(1346),
    [anon_sym_return] = ACTIONS(2498),
    [anon_sym_throw] = ACTIONS(2500),
    [anon_sym_do] = ACTIONS(1748),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1348),
    [sym__simple_string] = ACTIONS(1348),
  },
  [2165] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9088),
    [sym_expression] = STATE(15444),
    [sym__simple_expression] = STATE(5536),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9088),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9088),
    [sym_call_expression] = STATE(9088),
    [sym_field_expression] = STATE(9088),
    [sym_instance_expression] = STATE(9088),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9782),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16108),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(9344),
    [sym_tuple_expression] = STATE(9088),
    [sym_parenthesized_expression] = STATE(9088),
    [sym_splice_expression] = STATE(9088),
    [sym_quote_expression] = STATE(9088),
    [sym_identifier] = STATE(5190),
    [sym__soft_identifier] = STATE(6581),
    [sym_wildcard] = STATE(7746),
    [sym__non_null_literal] = STATE(9088),
    [sym_boolean_literal] = STATE(8905),
    [sym_interpolated_string_expression] = STATE(9088),
    [sym_string] = STATE(8905),
    [sym_unit] = STATE(9088),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2165),
    [sym_block_comment] = STATE(2165),
    [sym__alpha_identifier] = ACTIONS(1938),
    [anon_sym_LBRACE] = ACTIONS(1942),
    [anon_sym__] = ACTIONS(1944),
    [anon_sym_PLUS] = ACTIONS(1946),
    [anon_sym_DASH] = ACTIONS(1946),
    [anon_sym_end] = ACTIONS(1948),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1950),
    [anon_sym_opaque] = ACTIONS(1948),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1952),
    [anon_sym_infix] = ACTIONS(1948),
    [anon_sym_open] = ACTIONS(1948),
    [anon_sym_transparent] = ACTIONS(1948),
    [anon_sym_LPAREN] = ACTIONS(1954),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1946),
    [anon_sym_TILDE] = ACTIONS(1946),
    [anon_sym_DOLLAR] = ACTIONS(1956),
    [anon_sym_SQUOTE] = ACTIONS(1958),
    [sym__backquoted_id] = ACTIONS(1960),
    [sym_operator_identifier] = ACTIONS(1962),
    [sym_integer_literal] = ACTIONS(1964),
    [sym_floating_point_literal] = ACTIONS(1966),
    [anon_sym_true] = ACTIONS(1968),
    [anon_sym_false] = ACTIONS(1968),
    [sym_character_literal] = ACTIONS(1966),
    [sym_null_literal] = ACTIONS(1970),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1972),
    [sym__simple_string] = ACTIONS(1972),
  },
  [2166] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(6703),
    [sym_expression] = STATE(15372),
    [sym__simple_expression] = STATE(4603),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(6703),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(6703),
    [sym_call_expression] = STATE(6703),
    [sym_field_expression] = STATE(6703),
    [sym_instance_expression] = STATE(6703),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16066),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(6703),
    [sym_parenthesized_expression] = STATE(6703),
    [sym_splice_expression] = STATE(6703),
    [sym_quote_expression] = STATE(6703),
    [sym_identifier] = STATE(4477),
    [sym__soft_identifier] = STATE(4884),
    [sym_wildcard] = STATE(5663),
    [sym__non_null_literal] = STATE(6703),
    [sym_boolean_literal] = STATE(6780),
    [sym_interpolated_string_expression] = STATE(6703),
    [sym_string] = STATE(6780),
    [sym_unit] = STATE(6703),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2166),
    [sym_block_comment] = STATE(2166),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(1064),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [2167] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(14396),
    [sym__simple_expression] = STATE(7310),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(10216),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16541),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10132),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(4515),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(6056),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2167),
    [sym_block_comment] = STATE(2167),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(603),
    [anon_sym_DASH] = ACTIONS(603),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1764),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(603),
    [anon_sym_TILDE] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(1426),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [2168] = {
    [sym_inline_modifier] = STATE(2064),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(14155),
    [sym__simple_expression] = STATE(8719),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15704),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10572),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(8565),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(10039),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2168),
    [sym_block_comment] = STATE(2168),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(3246),
    [anon_sym_while] = ACTIONS(3248),
    [anon_sym_for] = ACTIONS(3250),
    [anon_sym_try] = ACTIONS(3252),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(3254),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3318),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(3259),
    [anon_sym_throw] = ACTIONS(3261),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2169] = {
    [sym_inline_modifier] = STATE(2040),
    [sym_block] = STATE(8375),
    [sym_expression] = STATE(12783),
    [sym__simple_expression] = STATE(7538),
    [sym_lambda_expression] = STATE(13185),
    [sym_if_expression] = STATE(13185),
    [sym_match_expression] = STATE(13185),
    [sym_try_expression] = STATE(13185),
    [sym_bindings] = STATE(15594),
    [sym_case_block] = STATE(8375),
    [sym_assignment_expression] = STATE(13185),
    [sym_generic_function] = STATE(8375),
    [sym_call_expression] = STATE(8375),
    [sym_field_expression] = STATE(8375),
    [sym_instance_expression] = STATE(8375),
    [sym_ascription_expression] = STATE(13185),
    [sym_infix_expression] = STATE(9364),
    [sym_postfix_expression] = STATE(12809),
    [sym__postfix_expression_choice] = STATE(16440),
    [sym_macro_body] = STATE(13185),
    [sym_prefix_expression] = STATE(10274),
    [sym_tuple_expression] = STATE(8375),
    [sym_parenthesized_expression] = STATE(8375),
    [sym_splice_expression] = STATE(8375),
    [sym_quote_expression] = STATE(8375),
    [sym_identifier] = STATE(7110),
    [sym__soft_identifier] = STATE(5430),
    [sym_wildcard] = STATE(9287),
    [sym__non_null_literal] = STATE(8375),
    [sym_boolean_literal] = STATE(8117),
    [sym_interpolated_string_expression] = STATE(8375),
    [sym_string] = STATE(8117),
    [sym_unit] = STATE(8375),
    [sym_return_expression] = STATE(13185),
    [sym_throw_expression] = STATE(13185),
    [sym_while_expression] = STATE(13185),
    [sym_do_while_expression] = STATE(13185),
    [sym_for_expression] = STATE(13185),
    [sym_comment] = STATE(2169),
    [sym_block_comment] = STATE(2169),
    [sym__alpha_identifier] = ACTIONS(1618),
    [anon_sym_LBRACE] = ACTIONS(1622),
    [anon_sym__] = ACTIONS(1624),
    [anon_sym_PLUS] = ACTIONS(1626),
    [anon_sym_DASH] = ACTIONS(1626),
    [anon_sym_end] = ACTIONS(1628),
    [anon_sym_if] = ACTIONS(2414),
    [anon_sym_while] = ACTIONS(2416),
    [anon_sym_for] = ACTIONS(2418),
    [anon_sym_try] = ACTIONS(2420),
    [anon_sym_new] = ACTIONS(1630),
    [anon_sym_opaque] = ACTIONS(1628),
    [anon_sym_implicit] = ACTIONS(2422),
    [anon_sym_inline] = ACTIONS(1632),
    [anon_sym_infix] = ACTIONS(1628),
    [anon_sym_open] = ACTIONS(1628),
    [anon_sym_transparent] = ACTIONS(1628),
    [anon_sym_LPAREN] = ACTIONS(1634),
    [anon_sym_macro] = ACTIONS(2074),
    [anon_sym_BANG] = ACTIONS(1626),
    [anon_sym_TILDE] = ACTIONS(1626),
    [anon_sym_DOLLAR] = ACTIONS(1636),
    [anon_sym_SQUOTE] = ACTIONS(1638),
    [sym__backquoted_id] = ACTIONS(1640),
    [sym_operator_identifier] = ACTIONS(2424),
    [sym_integer_literal] = ACTIONS(1644),
    [sym_floating_point_literal] = ACTIONS(1646),
    [anon_sym_true] = ACTIONS(1648),
    [anon_sym_false] = ACTIONS(1648),
    [sym_character_literal] = ACTIONS(1646),
    [sym_null_literal] = ACTIONS(1650),
    [anon_sym_return] = ACTIONS(2426),
    [anon_sym_throw] = ACTIONS(2428),
    [anon_sym_do] = ACTIONS(2082),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1652),
    [sym__simple_string] = ACTIONS(1652),
  },
  [2170] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(14054),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2170),
    [sym_block_comment] = STATE(2170),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2171] = {
    [sym_inline_modifier] = STATE(2149),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13340),
    [sym__simple_expression] = STATE(7109),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15656),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10005),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6267),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(8706),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(2171),
    [sym_block_comment] = STATE(2171),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(2928),
    [anon_sym_while] = ACTIONS(2793),
    [anon_sym_for] = ACTIONS(2795),
    [anon_sym_try] = ACTIONS(2797),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(2799),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(2801),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(2803),
    [anon_sym_throw] = ACTIONS(2805),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [2172] = {
    [sym_inline_modifier] = STATE(2259),
    [sym_block] = STATE(8070),
    [sym_expression] = STATE(12616),
    [sym__simple_expression] = STATE(7077),
    [sym_lambda_expression] = STATE(12742),
    [sym_if_expression] = STATE(12742),
    [sym_match_expression] = STATE(12742),
    [sym_try_expression] = STATE(12742),
    [sym_bindings] = STATE(15598),
    [sym_case_block] = STATE(8070),
    [sym_assignment_expression] = STATE(12742),
    [sym_generic_function] = STATE(8070),
    [sym_call_expression] = STATE(8070),
    [sym_field_expression] = STATE(8070),
    [sym_instance_expression] = STATE(8070),
    [sym_ascription_expression] = STATE(12742),
    [sym_infix_expression] = STATE(8913),
    [sym_postfix_expression] = STATE(12343),
    [sym__postfix_expression_choice] = STATE(16230),
    [sym_macro_body] = STATE(12742),
    [sym_prefix_expression] = STATE(10037),
    [sym_tuple_expression] = STATE(8070),
    [sym_parenthesized_expression] = STATE(8070),
    [sym_splice_expression] = STATE(8070),
    [sym_quote_expression] = STATE(8070),
    [sym_identifier] = STATE(6308),
    [sym__soft_identifier] = STATE(5234),
    [sym_wildcard] = STATE(8710),
    [sym__non_null_literal] = STATE(8070),
    [sym_boolean_literal] = STATE(8055),
    [sym_interpolated_string_expression] = STATE(8070),
    [sym_string] = STATE(8055),
    [sym_unit] = STATE(8070),
    [sym_return_expression] = STATE(12742),
    [sym_throw_expression] = STATE(12742),
    [sym_while_expression] = STATE(12742),
    [sym_do_while_expression] = STATE(12742),
    [sym_for_expression] = STATE(12742),
    [sym_comment] = STATE(2172),
    [sym_block_comment] = STATE(2172),
    [sym__alpha_identifier] = ACTIONS(1314),
    [anon_sym_LBRACE] = ACTIONS(1318),
    [anon_sym__] = ACTIONS(1320),
    [anon_sym_PLUS] = ACTIONS(1322),
    [anon_sym_DASH] = ACTIONS(1322),
    [anon_sym_end] = ACTIONS(1324),
    [anon_sym_if] = ACTIONS(2486),
    [anon_sym_while] = ACTIONS(2488),
    [anon_sym_for] = ACTIONS(2490),
    [anon_sym_try] = ACTIONS(2492),
    [anon_sym_new] = ACTIONS(1326),
    [anon_sym_opaque] = ACTIONS(1324),
    [anon_sym_implicit] = ACTIONS(2494),
    [anon_sym_inline] = ACTIONS(1328),
    [anon_sym_infix] = ACTIONS(1324),
    [anon_sym_open] = ACTIONS(1324),
    [anon_sym_transparent] = ACTIONS(1324),
    [anon_sym_LPAREN] = ACTIONS(1330),
    [anon_sym_macro] = ACTIONS(1740),
    [anon_sym_BANG] = ACTIONS(1322),
    [anon_sym_TILDE] = ACTIONS(1322),
    [anon_sym_DOLLAR] = ACTIONS(1332),
    [anon_sym_SQUOTE] = ACTIONS(1334),
    [sym__backquoted_id] = ACTIONS(1336),
    [sym_operator_identifier] = ACTIONS(2496),
    [sym_integer_literal] = ACTIONS(1340),
    [sym_floating_point_literal] = ACTIONS(1342),
    [anon_sym_true] = ACTIONS(1344),
    [anon_sym_false] = ACTIONS(1344),
    [sym_character_literal] = ACTIONS(1342),
    [sym_null_literal] = ACTIONS(1346),
    [anon_sym_return] = ACTIONS(2498),
    [anon_sym_throw] = ACTIONS(2500),
    [anon_sym_do] = ACTIONS(1748),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1348),
    [sym__simple_string] = ACTIONS(1348),
  },
  [2173] = {
    [sym_inline_modifier] = STATE(2246),
    [sym_block] = STATE(8360),
    [sym_expression] = STATE(12919),
    [sym__simple_expression] = STATE(5440),
    [sym_lambda_expression] = STATE(13229),
    [sym_if_expression] = STATE(13229),
    [sym_match_expression] = STATE(13229),
    [sym_try_expression] = STATE(13229),
    [sym_bindings] = STATE(15490),
    [sym_case_block] = STATE(8360),
    [sym_assignment_expression] = STATE(13229),
    [sym_generic_function] = STATE(8360),
    [sym_call_expression] = STATE(8360),
    [sym_field_expression] = STATE(8360),
    [sym_instance_expression] = STATE(8360),
    [sym_ascription_expression] = STATE(13229),
    [sym_infix_expression] = STATE(9581),
    [sym_postfix_expression] = STATE(12866),
    [sym__postfix_expression_choice] = STATE(15971),
    [sym_macro_body] = STATE(13229),
    [sym_prefix_expression] = STATE(9366),
    [sym_tuple_expression] = STATE(8360),
    [sym_parenthesized_expression] = STATE(8360),
    [sym_splice_expression] = STATE(8360),
    [sym_quote_expression] = STATE(8360),
    [sym_identifier] = STATE(5277),
    [sym__soft_identifier] = STATE(5563),
    [sym_wildcard] = STATE(7446),
    [sym__non_null_literal] = STATE(8360),
    [sym_boolean_literal] = STATE(8269),
    [sym_interpolated_string_expression] = STATE(8360),
    [sym_string] = STATE(8269),
    [sym_unit] = STATE(8360),
    [sym_return_expression] = STATE(13229),
    [sym_throw_expression] = STATE(13229),
    [sym_while_expression] = STATE(13229),
    [sym_do_while_expression] = STATE(13229),
    [sym_for_expression] = STATE(13229),
    [sym_comment] = STATE(2173),
    [sym_block_comment] = STATE(2173),
    [sym__alpha_identifier] = ACTIONS(1242),
    [anon_sym_LBRACE] = ACTIONS(1246),
    [anon_sym__] = ACTIONS(1248),
    [anon_sym_PLUS] = ACTIONS(1250),
    [anon_sym_DASH] = ACTIONS(1250),
    [anon_sym_end] = ACTIONS(1252),
    [anon_sym_if] = ACTIONS(2210),
    [anon_sym_while] = ACTIONS(2030),
    [anon_sym_for] = ACTIONS(2032),
    [anon_sym_try] = ACTIONS(2034),
    [anon_sym_new] = ACTIONS(1254),
    [anon_sym_opaque] = ACTIONS(1252),
    [anon_sym_implicit] = ACTIONS(2036),
    [anon_sym_inline] = ACTIONS(1256),
    [anon_sym_infix] = ACTIONS(1252),
    [anon_sym_open] = ACTIONS(1252),
    [anon_sym_transparent] = ACTIONS(1252),
    [anon_sym_LPAREN] = ACTIONS(1258),
    [anon_sym_macro] = ACTIONS(1664),
    [anon_sym_BANG] = ACTIONS(1250),
    [anon_sym_TILDE] = ACTIONS(1250),
    [anon_sym_DOLLAR] = ACTIONS(1260),
    [anon_sym_SQUOTE] = ACTIONS(1262),
    [sym__backquoted_id] = ACTIONS(1264),
    [sym_operator_identifier] = ACTIONS(2038),
    [sym_integer_literal] = ACTIONS(1268),
    [sym_floating_point_literal] = ACTIONS(1270),
    [anon_sym_true] = ACTIONS(1272),
    [anon_sym_false] = ACTIONS(1272),
    [sym_character_literal] = ACTIONS(1270),
    [sym_null_literal] = ACTIONS(1274),
    [anon_sym_return] = ACTIONS(2040),
    [anon_sym_throw] = ACTIONS(2042),
    [anon_sym_do] = ACTIONS(1672),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1276),
    [sym__simple_string] = ACTIONS(1276),
  },
  [2174] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(6738),
    [sym_expression] = STATE(15402),
    [sym__simple_expression] = STATE(4599),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(6738),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(6738),
    [sym_call_expression] = STATE(6738),
    [sym_field_expression] = STATE(6738),
    [sym_instance_expression] = STATE(6738),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(8194),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16087),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(7921),
    [sym_tuple_expression] = STATE(6738),
    [sym_parenthesized_expression] = STATE(6738),
    [sym_splice_expression] = STATE(6738),
    [sym_quote_expression] = STATE(6738),
    [sym_identifier] = STATE(4495),
    [sym__soft_identifier] = STATE(4943),
    [sym_wildcard] = STATE(5738),
    [sym__non_null_literal] = STATE(6738),
    [sym_boolean_literal] = STATE(7301),
    [sym_interpolated_string_expression] = STATE(6738),
    [sym_string] = STATE(7301),
    [sym_unit] = STATE(6738),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2174),
    [sym_block_comment] = STATE(2174),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(1028),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [2175] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(5403),
    [sym_expression] = STATE(15339),
    [sym__simple_expression] = STATE(4397),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(5403),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(5403),
    [sym_call_expression] = STATE(5403),
    [sym_field_expression] = STATE(5403),
    [sym_instance_expression] = STATE(5403),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16045),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(5403),
    [sym_parenthesized_expression] = STATE(5403),
    [sym_splice_expression] = STATE(5403),
    [sym_quote_expression] = STATE(5403),
    [sym_identifier] = STATE(4254),
    [sym__soft_identifier] = STATE(4455),
    [sym_wildcard] = STATE(4724),
    [sym__non_null_literal] = STATE(5403),
    [sym_boolean_literal] = STATE(5637),
    [sym_interpolated_string_expression] = STATE(5403),
    [sym_string] = STATE(5637),
    [sym_unit] = STATE(5403),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2175),
    [sym_block_comment] = STATE(2175),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(920),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [2176] = {
    [sym_inline_modifier] = STATE(2223),
    [sym_block] = STATE(8375),
    [sym_expression] = STATE(12783),
    [sym__simple_expression] = STATE(7442),
    [sym_lambda_expression] = STATE(13185),
    [sym_if_expression] = STATE(13185),
    [sym_match_expression] = STATE(13185),
    [sym_try_expression] = STATE(13185),
    [sym_bindings] = STATE(15586),
    [sym_case_block] = STATE(8375),
    [sym_assignment_expression] = STATE(13185),
    [sym_generic_function] = STATE(8375),
    [sym_call_expression] = STATE(8375),
    [sym_field_expression] = STATE(8375),
    [sym_instance_expression] = STATE(8375),
    [sym_ascription_expression] = STATE(13185),
    [sym_infix_expression] = STATE(9364),
    [sym_postfix_expression] = STATE(12809),
    [sym__postfix_expression_choice] = STATE(16440),
    [sym_macro_body] = STATE(13185),
    [sym_prefix_expression] = STATE(10191),
    [sym_tuple_expression] = STATE(8375),
    [sym_parenthesized_expression] = STATE(8375),
    [sym_splice_expression] = STATE(8375),
    [sym_quote_expression] = STATE(8375),
    [sym_identifier] = STATE(7290),
    [sym__soft_identifier] = STATE(5430),
    [sym_wildcard] = STATE(9387),
    [sym__non_null_literal] = STATE(8375),
    [sym_boolean_literal] = STATE(8117),
    [sym_interpolated_string_expression] = STATE(8375),
    [sym_string] = STATE(8117),
    [sym_unit] = STATE(8375),
    [sym_return_expression] = STATE(13185),
    [sym_throw_expression] = STATE(13185),
    [sym_while_expression] = STATE(13185),
    [sym_do_while_expression] = STATE(13185),
    [sym_for_expression] = STATE(13185),
    [sym_comment] = STATE(2176),
    [sym_block_comment] = STATE(2176),
    [sym__alpha_identifier] = ACTIONS(1618),
    [anon_sym_LBRACE] = ACTIONS(1622),
    [anon_sym__] = ACTIONS(1624),
    [anon_sym_PLUS] = ACTIONS(1626),
    [anon_sym_DASH] = ACTIONS(1626),
    [anon_sym_end] = ACTIONS(1628),
    [anon_sym_if] = ACTIONS(2122),
    [anon_sym_while] = ACTIONS(2124),
    [anon_sym_for] = ACTIONS(2126),
    [anon_sym_try] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(1630),
    [anon_sym_opaque] = ACTIONS(1628),
    [anon_sym_implicit] = ACTIONS(2130),
    [anon_sym_inline] = ACTIONS(1632),
    [anon_sym_infix] = ACTIONS(1628),
    [anon_sym_open] = ACTIONS(1628),
    [anon_sym_transparent] = ACTIONS(1628),
    [anon_sym_LPAREN] = ACTIONS(1634),
    [anon_sym_macro] = ACTIONS(2074),
    [anon_sym_BANG] = ACTIONS(1626),
    [anon_sym_TILDE] = ACTIONS(1626),
    [anon_sym_DOLLAR] = ACTIONS(1636),
    [anon_sym_SQUOTE] = ACTIONS(1638),
    [sym__backquoted_id] = ACTIONS(1640),
    [sym_operator_identifier] = ACTIONS(2132),
    [sym_integer_literal] = ACTIONS(1644),
    [sym_floating_point_literal] = ACTIONS(1646),
    [anon_sym_true] = ACTIONS(1648),
    [anon_sym_false] = ACTIONS(1648),
    [sym_character_literal] = ACTIONS(1646),
    [sym_null_literal] = ACTIONS(1650),
    [anon_sym_return] = ACTIONS(2134),
    [anon_sym_throw] = ACTIONS(2136),
    [anon_sym_do] = ACTIONS(2082),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1652),
    [sym__simple_string] = ACTIONS(1652),
  },
  [2177] = {
    [sym_inline_modifier] = STATE(2067),
    [sym_block] = STATE(10133),
    [sym_expression] = STATE(13692),
    [sym__simple_expression] = STATE(7525),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15728),
    [sym_case_block] = STATE(10133),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(10133),
    [sym_call_expression] = STATE(10133),
    [sym_field_expression] = STATE(10133),
    [sym_instance_expression] = STATE(10133),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(10489),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(17114),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10321),
    [sym_tuple_expression] = STATE(10133),
    [sym_parenthesized_expression] = STATE(10133),
    [sym_splice_expression] = STATE(10133),
    [sym_quote_expression] = STATE(10133),
    [sym_identifier] = STATE(7070),
    [sym__soft_identifier] = STATE(4482),
    [sym_wildcard] = STATE(9321),
    [sym__non_null_literal] = STATE(10133),
    [sym_boolean_literal] = STATE(7065),
    [sym_interpolated_string_expression] = STATE(10133),
    [sym_string] = STATE(7065),
    [sym_unit] = STATE(10133),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(2177),
    [sym_block_comment] = STATE(2177),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_end] = ACTIONS(2374),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_opaque] = ACTIONS(2374),
    [anon_sym_implicit] = ACTIONS(3002),
    [anon_sym_inline] = ACTIONS(67),
    [anon_sym_infix] = ACTIONS(2374),
    [anon_sym_open] = ACTIONS(2374),
    [anon_sym_transparent] = ACTIONS(2374),
    [anon_sym_LPAREN] = ACTIONS(75),
    [anon_sym_macro] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(83),
    [sym_operator_identifier] = ACTIONS(85),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(95),
    [anon_sym_throw] = ACTIONS(97),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [2178] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(14212),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2178),
    [sym_block_comment] = STATE(2178),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2179] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(15457),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2179),
    [sym_block_comment] = STATE(2179),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4088),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2180] = {
    [sym_inline_modifier] = STATE(2189),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13340),
    [sym__simple_expression] = STATE(7289),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15762),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10205),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10142),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6081),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(8816),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(2180),
    [sym_block_comment] = STATE(2180),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(569),
    [anon_sym_DASH] = ACTIONS(569),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(571),
    [anon_sym_while] = ACTIONS(573),
    [anon_sym_for] = ACTIONS(575),
    [anon_sym_try] = ACTIONS(577),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(2248),
    [anon_sym_inline] = ACTIONS(1860),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(569),
    [anon_sym_TILDE] = ACTIONS(569),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(587),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(589),
    [anon_sym_throw] = ACTIONS(591),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [2181] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(15391),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2181),
    [sym_block_comment] = STATE(2181),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4090),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2182] = {
    [sym_inline_modifier] = STATE(2060),
    [sym_block] = STATE(6450),
    [sym_expression] = STATE(11484),
    [sym__simple_expression] = STATE(5608),
    [sym_lambda_expression] = STATE(11549),
    [sym_if_expression] = STATE(11549),
    [sym_match_expression] = STATE(11549),
    [sym_try_expression] = STATE(11549),
    [sym_bindings] = STATE(15697),
    [sym_case_block] = STATE(6450),
    [sym_assignment_expression] = STATE(11549),
    [sym_generic_function] = STATE(6450),
    [sym_call_expression] = STATE(6450),
    [sym_field_expression] = STATE(6450),
    [sym_instance_expression] = STATE(6450),
    [sym_ascription_expression] = STATE(11549),
    [sym_infix_expression] = STATE(7641),
    [sym_postfix_expression] = STATE(11204),
    [sym__postfix_expression_choice] = STATE(16480),
    [sym_macro_body] = STATE(11549),
    [sym_prefix_expression] = STATE(9536),
    [sym_tuple_expression] = STATE(6450),
    [sym_parenthesized_expression] = STATE(6450),
    [sym_splice_expression] = STATE(6450),
    [sym_quote_expression] = STATE(6450),
    [sym_identifier] = STATE(5347),
    [sym__soft_identifier] = STATE(4507),
    [sym_wildcard] = STATE(7620),
    [sym__non_null_literal] = STATE(6450),
    [sym_boolean_literal] = STATE(6156),
    [sym_interpolated_string_expression] = STATE(6450),
    [sym_string] = STATE(6156),
    [sym_unit] = STATE(6450),
    [sym_return_expression] = STATE(11549),
    [sym_throw_expression] = STATE(11549),
    [sym_while_expression] = STATE(11549),
    [sym_do_while_expression] = STATE(11549),
    [sym_for_expression] = STATE(11549),
    [sym_comment] = STATE(2182),
    [sym_block_comment] = STATE(2182),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(1428),
    [anon_sym_while] = ACTIONS(1430),
    [anon_sym_for] = ACTIONS(1432),
    [anon_sym_try] = ACTIONS(1434),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1436),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1378),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1438),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1440),
    [anon_sym_throw] = ACTIONS(1442),
    [anon_sym_do] = ACTIONS(1386),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [2183] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(15451),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2183),
    [sym_block_comment] = STATE(2183),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4092),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2184] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13977),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2184),
    [sym_block_comment] = STATE(2184),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2185] = {
    [sym_inline_modifier] = STATE(2250),
    [sym_block] = STATE(6450),
    [sym_expression] = STATE(11456),
    [sym__simple_expression] = STATE(5297),
    [sym_lambda_expression] = STATE(11549),
    [sym_if_expression] = STATE(11549),
    [sym_match_expression] = STATE(11549),
    [sym_try_expression] = STATE(11549),
    [sym_bindings] = STATE(15503),
    [sym_case_block] = STATE(6450),
    [sym_assignment_expression] = STATE(11549),
    [sym_generic_function] = STATE(6450),
    [sym_call_expression] = STATE(6450),
    [sym_field_expression] = STATE(6450),
    [sym_instance_expression] = STATE(6450),
    [sym_ascription_expression] = STATE(11549),
    [sym_infix_expression] = STATE(7641),
    [sym_postfix_expression] = STATE(11204),
    [sym__postfix_expression_choice] = STATE(16480),
    [sym_macro_body] = STATE(11549),
    [sym_prefix_expression] = STATE(8711),
    [sym_tuple_expression] = STATE(6450),
    [sym_parenthesized_expression] = STATE(6450),
    [sym_splice_expression] = STATE(6450),
    [sym_quote_expression] = STATE(6450),
    [sym_identifier] = STATE(4723),
    [sym__soft_identifier] = STATE(4507),
    [sym_wildcard] = STATE(7115),
    [sym__non_null_literal] = STATE(6450),
    [sym_boolean_literal] = STATE(6156),
    [sym_interpolated_string_expression] = STATE(6450),
    [sym_string] = STATE(6156),
    [sym_unit] = STATE(6450),
    [sym_return_expression] = STATE(11549),
    [sym_throw_expression] = STATE(11549),
    [sym_while_expression] = STATE(11549),
    [sym_do_while_expression] = STATE(11549),
    [sym_for_expression] = STATE(11549),
    [sym_comment] = STATE(2185),
    [sym_block_comment] = STATE(2185),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(2256),
    [anon_sym_while] = ACTIONS(1370),
    [anon_sym_for] = ACTIONS(1372),
    [anon_sym_try] = ACTIONS(1374),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1376),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1378),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1380),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1382),
    [anon_sym_throw] = ACTIONS(1384),
    [anon_sym_do] = ACTIONS(1386),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [2186] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(6703),
    [sym_expression] = STATE(15372),
    [sym__simple_expression] = STATE(4565),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(6703),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(6703),
    [sym_call_expression] = STATE(6703),
    [sym_field_expression] = STATE(6703),
    [sym_instance_expression] = STATE(6703),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(8672),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16066),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(7395),
    [sym_tuple_expression] = STATE(6703),
    [sym_parenthesized_expression] = STATE(6703),
    [sym_splice_expression] = STATE(6703),
    [sym_quote_expression] = STATE(6703),
    [sym_identifier] = STATE(4477),
    [sym__soft_identifier] = STATE(4884),
    [sym_wildcard] = STATE(5663),
    [sym__non_null_literal] = STATE(6703),
    [sym_boolean_literal] = STATE(6780),
    [sym_interpolated_string_expression] = STATE(6703),
    [sym_string] = STATE(6780),
    [sym_unit] = STATE(6703),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2186),
    [sym_block_comment] = STATE(2186),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(1064),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [2187] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9800),
    [sym_expression] = STATE(15283),
    [sym__simple_expression] = STATE(7018),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9800),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9800),
    [sym_call_expression] = STATE(9800),
    [sym_field_expression] = STATE(9800),
    [sym_instance_expression] = STATE(9800),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16003),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9800),
    [sym_parenthesized_expression] = STATE(9800),
    [sym_splice_expression] = STATE(9800),
    [sym_quote_expression] = STATE(9800),
    [sym_identifier] = STATE(6258),
    [sym__soft_identifier] = STATE(4545),
    [sym_wildcard] = STATE(9204),
    [sym__non_null_literal] = STATE(9800),
    [sym_boolean_literal] = STATE(6076),
    [sym_interpolated_string_expression] = STATE(9800),
    [sym_string] = STATE(6076),
    [sym_unit] = STATE(9800),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2187),
    [sym_block_comment] = STATE(2187),
    [sym__alpha_identifier] = ACTIONS(2084),
    [anon_sym_LBRACE] = ACTIONS(2088),
    [anon_sym__] = ACTIONS(2090),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(2094),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(2096),
    [anon_sym_opaque] = ACTIONS(2094),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2098),
    [anon_sym_infix] = ACTIONS(2094),
    [anon_sym_open] = ACTIONS(2094),
    [anon_sym_transparent] = ACTIONS(2094),
    [anon_sym_LPAREN] = ACTIONS(2100),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(2102),
    [anon_sym_SQUOTE] = ACTIONS(2104),
    [sym__backquoted_id] = ACTIONS(2106),
    [sym_operator_identifier] = ACTIONS(2108),
    [sym_integer_literal] = ACTIONS(2110),
    [sym_floating_point_literal] = ACTIONS(2112),
    [anon_sym_true] = ACTIONS(2114),
    [anon_sym_false] = ACTIONS(2114),
    [sym_character_literal] = ACTIONS(2112),
    [sym_null_literal] = ACTIONS(2116),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(2118),
    [sym__simple_string] = ACTIONS(2118),
  },
  [2188] = {
    [sym_inline_modifier] = STATE(2212),
    [sym_block] = STATE(9539),
    [sym_expression] = STATE(13342),
    [sym__simple_expression] = STATE(6249),
    [sym_lambda_expression] = STATE(11374),
    [sym_if_expression] = STATE(11374),
    [sym_match_expression] = STATE(11374),
    [sym_try_expression] = STATE(11374),
    [sym_bindings] = STATE(15480),
    [sym_case_block] = STATE(9539),
    [sym_assignment_expression] = STATE(11374),
    [sym_generic_function] = STATE(9539),
    [sym_call_expression] = STATE(9539),
    [sym_field_expression] = STATE(9539),
    [sym_instance_expression] = STATE(9539),
    [sym_ascription_expression] = STATE(11374),
    [sym_infix_expression] = STATE(10179),
    [sym_postfix_expression] = STATE(11215),
    [sym__postfix_expression_choice] = STATE(16190),
    [sym_macro_body] = STATE(11374),
    [sym_prefix_expression] = STATE(9816),
    [sym_tuple_expression] = STATE(9539),
    [sym_parenthesized_expression] = STATE(9539),
    [sym_splice_expression] = STATE(9539),
    [sym_quote_expression] = STATE(9539),
    [sym_identifier] = STATE(5934),
    [sym__soft_identifier] = STATE(4462),
    [sym_wildcard] = STATE(8175),
    [sym__non_null_literal] = STATE(9539),
    [sym_boolean_literal] = STATE(5971),
    [sym_interpolated_string_expression] = STATE(9539),
    [sym_string] = STATE(5971),
    [sym_unit] = STATE(9539),
    [sym_return_expression] = STATE(11374),
    [sym_throw_expression] = STATE(11374),
    [sym_while_expression] = STATE(11374),
    [sym_do_while_expression] = STATE(11374),
    [sym_for_expression] = STATE(11374),
    [sym_comment] = STATE(2188),
    [sym_block_comment] = STATE(2188),
    [sym__alpha_identifier] = ACTIONS(1444),
    [anon_sym_LBRACE] = ACTIONS(1448),
    [anon_sym__] = ACTIONS(1450),
    [anon_sym_PLUS] = ACTIONS(1452),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_end] = ACTIONS(1454),
    [anon_sym_if] = ACTIONS(1802),
    [anon_sym_while] = ACTIONS(1804),
    [anon_sym_for] = ACTIONS(1806),
    [anon_sym_try] = ACTIONS(1808),
    [anon_sym_new] = ACTIONS(1456),
    [anon_sym_opaque] = ACTIONS(1454),
    [anon_sym_implicit] = ACTIONS(1810),
    [anon_sym_inline] = ACTIONS(1458),
    [anon_sym_infix] = ACTIONS(1454),
    [anon_sym_open] = ACTIONS(1454),
    [anon_sym_transparent] = ACTIONS(1454),
    [anon_sym_LPAREN] = ACTIONS(1460),
    [anon_sym_macro] = ACTIONS(1812),
    [anon_sym_BANG] = ACTIONS(1452),
    [anon_sym_TILDE] = ACTIONS(1452),
    [anon_sym_DOLLAR] = ACTIONS(1462),
    [anon_sym_SQUOTE] = ACTIONS(1464),
    [sym__backquoted_id] = ACTIONS(1466),
    [sym_operator_identifier] = ACTIONS(1814),
    [sym_integer_literal] = ACTIONS(1470),
    [sym_floating_point_literal] = ACTIONS(1472),
    [anon_sym_true] = ACTIONS(1474),
    [anon_sym_false] = ACTIONS(1474),
    [sym_character_literal] = ACTIONS(1472),
    [sym_null_literal] = ACTIONS(1476),
    [anon_sym_return] = ACTIONS(1816),
    [anon_sym_throw] = ACTIONS(1818),
    [anon_sym_do] = ACTIONS(1548),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1478),
    [sym__simple_string] = ACTIONS(1478),
  },
  [2189] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(15248),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2189),
    [sym_block_comment] = STATE(2189),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(882),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2190] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(14240),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2190),
    [sym_block_comment] = STATE(2190),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2191] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(15210),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2191),
    [sym_block_comment] = STATE(2191),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4094),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2192] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13455),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2192),
    [sym_block_comment] = STATE(2192),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2193] = {
    [sym_inline_modifier] = STATE(2038),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(12279),
    [sym__simple_expression] = STATE(6323),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15629),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(9695),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(5557),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(8528),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(2193),
    [sym_block_comment] = STATE(2193),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(3157),
    [anon_sym_while] = ACTIONS(2394),
    [anon_sym_for] = ACTIONS(2396),
    [anon_sym_try] = ACTIONS(2398),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2400),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(2402),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(2404),
    [anon_sym_throw] = ACTIONS(2406),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [2194] = {
    [sym_inline_modifier] = STATE(2067),
    [sym_block] = STATE(10133),
    [sym_expression] = STATE(13752),
    [sym__simple_expression] = STATE(7525),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15728),
    [sym_case_block] = STATE(10133),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(10133),
    [sym_call_expression] = STATE(10133),
    [sym_field_expression] = STATE(10133),
    [sym_instance_expression] = STATE(10133),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(10489),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(17114),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10321),
    [sym_tuple_expression] = STATE(10133),
    [sym_parenthesized_expression] = STATE(10133),
    [sym_splice_expression] = STATE(10133),
    [sym_quote_expression] = STATE(10133),
    [sym_identifier] = STATE(7070),
    [sym__soft_identifier] = STATE(4482),
    [sym_wildcard] = STATE(9321),
    [sym__non_null_literal] = STATE(10133),
    [sym_boolean_literal] = STATE(7065),
    [sym_interpolated_string_expression] = STATE(10133),
    [sym_string] = STATE(7065),
    [sym_unit] = STATE(10133),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(2194),
    [sym_block_comment] = STATE(2194),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_end] = ACTIONS(2374),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_opaque] = ACTIONS(2374),
    [anon_sym_implicit] = ACTIONS(3002),
    [anon_sym_inline] = ACTIONS(67),
    [anon_sym_infix] = ACTIONS(2374),
    [anon_sym_open] = ACTIONS(2374),
    [anon_sym_transparent] = ACTIONS(2374),
    [anon_sym_LPAREN] = ACTIONS(75),
    [anon_sym_macro] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(83),
    [sym_operator_identifier] = ACTIONS(85),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(95),
    [anon_sym_throw] = ACTIONS(97),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [2195] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(15303),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2195),
    [sym_block_comment] = STATE(2195),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4096),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2196] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(5403),
    [sym_expression] = STATE(15339),
    [sym__simple_expression] = STATE(4364),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(5403),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(5403),
    [sym_call_expression] = STATE(5403),
    [sym_field_expression] = STATE(5403),
    [sym_instance_expression] = STATE(5403),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(7200),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16045),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(6183),
    [sym_tuple_expression] = STATE(5403),
    [sym_parenthesized_expression] = STATE(5403),
    [sym_splice_expression] = STATE(5403),
    [sym_quote_expression] = STATE(5403),
    [sym_identifier] = STATE(4254),
    [sym__soft_identifier] = STATE(4455),
    [sym_wildcard] = STATE(4724),
    [sym__non_null_literal] = STATE(5403),
    [sym_boolean_literal] = STATE(5637),
    [sym_interpolated_string_expression] = STATE(5403),
    [sym_string] = STATE(5637),
    [sym_unit] = STATE(5403),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2196),
    [sym_block_comment] = STATE(2196),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(920),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [2197] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(14274),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2197),
    [sym_block_comment] = STATE(2197),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2198] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9116),
    [sym_expression] = STATE(15251),
    [sym__simple_expression] = STATE(5607),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9116),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9116),
    [sym_call_expression] = STATE(9116),
    [sym_field_expression] = STATE(9116),
    [sym_instance_expression] = STATE(9116),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(15982),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9116),
    [sym_parenthesized_expression] = STATE(9116),
    [sym_splice_expression] = STATE(9116),
    [sym_quote_expression] = STATE(9116),
    [sym_identifier] = STATE(5364),
    [sym__soft_identifier] = STATE(4332),
    [sym_wildcard] = STATE(7428),
    [sym__non_null_literal] = STATE(9116),
    [sym_boolean_literal] = STATE(5055),
    [sym_interpolated_string_expression] = STATE(9116),
    [sym_string] = STATE(5055),
    [sym_unit] = STATE(9116),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2198),
    [sym_block_comment] = STATE(2198),
    [sym__alpha_identifier] = ACTIONS(1206),
    [anon_sym_LBRACE] = ACTIONS(1210),
    [anon_sym__] = ACTIONS(1212),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(1216),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1218),
    [anon_sym_opaque] = ACTIONS(1216),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1220),
    [anon_sym_infix] = ACTIONS(1216),
    [anon_sym_open] = ACTIONS(1216),
    [anon_sym_transparent] = ACTIONS(1216),
    [anon_sym_LPAREN] = ACTIONS(1222),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(1224),
    [anon_sym_SQUOTE] = ACTIONS(1226),
    [sym__backquoted_id] = ACTIONS(1228),
    [sym_operator_identifier] = ACTIONS(1230),
    [sym_integer_literal] = ACTIONS(1232),
    [sym_floating_point_literal] = ACTIONS(1234),
    [anon_sym_true] = ACTIONS(1236),
    [anon_sym_false] = ACTIONS(1236),
    [sym_character_literal] = ACTIONS(1234),
    [sym_null_literal] = ACTIONS(1238),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1240),
    [sym__simple_string] = ACTIONS(1240),
  },
  [2199] = {
    [sym_inline_modifier] = STATE(2269),
    [sym_block] = STATE(8070),
    [sym_expression] = STATE(12616),
    [sym__simple_expression] = STATE(5679),
    [sym_lambda_expression] = STATE(12742),
    [sym_if_expression] = STATE(12742),
    [sym_match_expression] = STATE(12742),
    [sym_try_expression] = STATE(12742),
    [sym_bindings] = STATE(15536),
    [sym_case_block] = STATE(8070),
    [sym_assignment_expression] = STATE(12742),
    [sym_generic_function] = STATE(8070),
    [sym_call_expression] = STATE(8070),
    [sym_field_expression] = STATE(8070),
    [sym_instance_expression] = STATE(8070),
    [sym_ascription_expression] = STATE(12742),
    [sym_infix_expression] = STATE(8913),
    [sym_postfix_expression] = STATE(12343),
    [sym__postfix_expression_choice] = STATE(16230),
    [sym_macro_body] = STATE(12742),
    [sym_prefix_expression] = STATE(9483),
    [sym_tuple_expression] = STATE(8070),
    [sym_parenthesized_expression] = STATE(8070),
    [sym_splice_expression] = STATE(8070),
    [sym_quote_expression] = STATE(8070),
    [sym_identifier] = STATE(4999),
    [sym__soft_identifier] = STATE(5234),
    [sym_wildcard] = STATE(8075),
    [sym__non_null_literal] = STATE(8070),
    [sym_boolean_literal] = STATE(8055),
    [sym_interpolated_string_expression] = STATE(8070),
    [sym_string] = STATE(8055),
    [sym_unit] = STATE(8070),
    [sym_return_expression] = STATE(12742),
    [sym_throw_expression] = STATE(12742),
    [sym_while_expression] = STATE(12742),
    [sym_do_while_expression] = STATE(12742),
    [sym_for_expression] = STATE(12742),
    [sym_comment] = STATE(2199),
    [sym_block_comment] = STATE(2199),
    [sym__alpha_identifier] = ACTIONS(1314),
    [anon_sym_LBRACE] = ACTIONS(1318),
    [anon_sym__] = ACTIONS(1320),
    [anon_sym_PLUS] = ACTIONS(1322),
    [anon_sym_DASH] = ACTIONS(1322),
    [anon_sym_end] = ACTIONS(1324),
    [anon_sym_if] = ACTIONS(1730),
    [anon_sym_while] = ACTIONS(1732),
    [anon_sym_for] = ACTIONS(1734),
    [anon_sym_try] = ACTIONS(1736),
    [anon_sym_new] = ACTIONS(1326),
    [anon_sym_opaque] = ACTIONS(1324),
    [anon_sym_implicit] = ACTIONS(1738),
    [anon_sym_inline] = ACTIONS(1328),
    [anon_sym_infix] = ACTIONS(1324),
    [anon_sym_open] = ACTIONS(1324),
    [anon_sym_transparent] = ACTIONS(1324),
    [anon_sym_LPAREN] = ACTIONS(1330),
    [anon_sym_macro] = ACTIONS(1740),
    [anon_sym_BANG] = ACTIONS(1322),
    [anon_sym_TILDE] = ACTIONS(1322),
    [anon_sym_DOLLAR] = ACTIONS(1332),
    [anon_sym_SQUOTE] = ACTIONS(1334),
    [sym__backquoted_id] = ACTIONS(1336),
    [sym_operator_identifier] = ACTIONS(1742),
    [sym_integer_literal] = ACTIONS(1340),
    [sym_floating_point_literal] = ACTIONS(1342),
    [anon_sym_true] = ACTIONS(1344),
    [anon_sym_false] = ACTIONS(1344),
    [sym_character_literal] = ACTIONS(1342),
    [sym_null_literal] = ACTIONS(1346),
    [anon_sym_return] = ACTIONS(1744),
    [anon_sym_throw] = ACTIONS(1746),
    [anon_sym_do] = ACTIONS(1748),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1348),
    [sym__simple_string] = ACTIONS(1348),
  },
  [2200] = {
    [sym_inline_modifier] = STATE(2040),
    [sym_block] = STATE(8375),
    [sym_expression] = STATE(12900),
    [sym__simple_expression] = STATE(7538),
    [sym_lambda_expression] = STATE(13185),
    [sym_if_expression] = STATE(13185),
    [sym_match_expression] = STATE(13185),
    [sym_try_expression] = STATE(13185),
    [sym_bindings] = STATE(15594),
    [sym_case_block] = STATE(8375),
    [sym_assignment_expression] = STATE(13185),
    [sym_generic_function] = STATE(8375),
    [sym_call_expression] = STATE(8375),
    [sym_field_expression] = STATE(8375),
    [sym_instance_expression] = STATE(8375),
    [sym_ascription_expression] = STATE(13185),
    [sym_infix_expression] = STATE(9364),
    [sym_postfix_expression] = STATE(12809),
    [sym__postfix_expression_choice] = STATE(16440),
    [sym_macro_body] = STATE(13185),
    [sym_prefix_expression] = STATE(10274),
    [sym_tuple_expression] = STATE(8375),
    [sym_parenthesized_expression] = STATE(8375),
    [sym_splice_expression] = STATE(8375),
    [sym_quote_expression] = STATE(8375),
    [sym_identifier] = STATE(7110),
    [sym__soft_identifier] = STATE(5430),
    [sym_wildcard] = STATE(9287),
    [sym__non_null_literal] = STATE(8375),
    [sym_boolean_literal] = STATE(8117),
    [sym_interpolated_string_expression] = STATE(8375),
    [sym_string] = STATE(8117),
    [sym_unit] = STATE(8375),
    [sym_return_expression] = STATE(13185),
    [sym_throw_expression] = STATE(13185),
    [sym_while_expression] = STATE(13185),
    [sym_do_while_expression] = STATE(13185),
    [sym_for_expression] = STATE(13185),
    [sym_comment] = STATE(2200),
    [sym_block_comment] = STATE(2200),
    [sym__alpha_identifier] = ACTIONS(1618),
    [anon_sym_LBRACE] = ACTIONS(1622),
    [anon_sym__] = ACTIONS(1624),
    [anon_sym_PLUS] = ACTIONS(1626),
    [anon_sym_DASH] = ACTIONS(1626),
    [anon_sym_end] = ACTIONS(1628),
    [anon_sym_if] = ACTIONS(2414),
    [anon_sym_while] = ACTIONS(2416),
    [anon_sym_for] = ACTIONS(2418),
    [anon_sym_try] = ACTIONS(2420),
    [anon_sym_new] = ACTIONS(1630),
    [anon_sym_opaque] = ACTIONS(1628),
    [anon_sym_implicit] = ACTIONS(2422),
    [anon_sym_inline] = ACTIONS(1632),
    [anon_sym_infix] = ACTIONS(1628),
    [anon_sym_open] = ACTIONS(1628),
    [anon_sym_transparent] = ACTIONS(1628),
    [anon_sym_LPAREN] = ACTIONS(1634),
    [anon_sym_macro] = ACTIONS(2074),
    [anon_sym_BANG] = ACTIONS(1626),
    [anon_sym_TILDE] = ACTIONS(1626),
    [anon_sym_DOLLAR] = ACTIONS(1636),
    [anon_sym_SQUOTE] = ACTIONS(1638),
    [sym__backquoted_id] = ACTIONS(1640),
    [sym_operator_identifier] = ACTIONS(2424),
    [sym_integer_literal] = ACTIONS(1644),
    [sym_floating_point_literal] = ACTIONS(1646),
    [anon_sym_true] = ACTIONS(1648),
    [anon_sym_false] = ACTIONS(1648),
    [sym_character_literal] = ACTIONS(1646),
    [sym_null_literal] = ACTIONS(1650),
    [anon_sym_return] = ACTIONS(2426),
    [anon_sym_throw] = ACTIONS(2428),
    [anon_sym_do] = ACTIONS(2082),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1652),
    [sym__simple_string] = ACTIONS(1652),
  },
  [2201] = {
    [sym_inline_modifier] = STATE(2132),
    [sym_block] = STATE(6738),
    [sym_expression] = STATE(12061),
    [sym__simple_expression] = STATE(6097),
    [sym_lambda_expression] = STATE(12430),
    [sym_if_expression] = STATE(12430),
    [sym_match_expression] = STATE(12430),
    [sym_try_expression] = STATE(12430),
    [sym_bindings] = STATE(15718),
    [sym_case_block] = STATE(6738),
    [sym_assignment_expression] = STATE(12430),
    [sym_generic_function] = STATE(6738),
    [sym_call_expression] = STATE(6738),
    [sym_field_expression] = STATE(6738),
    [sym_instance_expression] = STATE(6738),
    [sym_ascription_expression] = STATE(12430),
    [sym_infix_expression] = STATE(8389),
    [sym_postfix_expression] = STATE(11930),
    [sym__postfix_expression_choice] = STATE(15885),
    [sym_macro_body] = STATE(12430),
    [sym_prefix_expression] = STATE(9761),
    [sym_tuple_expression] = STATE(6738),
    [sym_parenthesized_expression] = STATE(6738),
    [sym_splice_expression] = STATE(6738),
    [sym_quote_expression] = STATE(6738),
    [sym_identifier] = STATE(5458),
    [sym__soft_identifier] = STATE(4943),
    [sym_wildcard] = STATE(8612),
    [sym__non_null_literal] = STATE(6738),
    [sym_boolean_literal] = STATE(7301),
    [sym_interpolated_string_expression] = STATE(6738),
    [sym_string] = STATE(7301),
    [sym_unit] = STATE(6738),
    [sym_return_expression] = STATE(12430),
    [sym_throw_expression] = STATE(12430),
    [sym_while_expression] = STATE(12430),
    [sym_do_while_expression] = STATE(12430),
    [sym_for_expression] = STATE(12430),
    [sym_comment] = STATE(2201),
    [sym_block_comment] = STATE(2201),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(2430),
    [anon_sym_while] = ACTIONS(2432),
    [anon_sym_for] = ACTIONS(2434),
    [anon_sym_try] = ACTIONS(2436),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(2438),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1360),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(2440),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(2442),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(1368),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [2202] = {
    [sym_inline_modifier] = STATE(2189),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13291),
    [sym__simple_expression] = STATE(7289),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15762),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10205),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10142),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6081),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(8816),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(2202),
    [sym_block_comment] = STATE(2202),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(569),
    [anon_sym_DASH] = ACTIONS(569),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(571),
    [anon_sym_while] = ACTIONS(573),
    [anon_sym_for] = ACTIONS(575),
    [anon_sym_try] = ACTIONS(577),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(2248),
    [anon_sym_inline] = ACTIONS(1860),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(569),
    [anon_sym_TILDE] = ACTIONS(569),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(587),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(589),
    [anon_sym_throw] = ACTIONS(591),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [2203] = {
    [sym_inline_modifier] = STATE(2208),
    [sym_block] = STATE(8821),
    [sym_expression] = STATE(12977),
    [sym__simple_expression] = STATE(6537),
    [sym_lambda_expression] = STATE(13337),
    [sym_if_expression] = STATE(13337),
    [sym_match_expression] = STATE(13337),
    [sym_try_expression] = STATE(13337),
    [sym_bindings] = STATE(15500),
    [sym_case_block] = STATE(8821),
    [sym_assignment_expression] = STATE(13337),
    [sym_generic_function] = STATE(8821),
    [sym_call_expression] = STATE(8821),
    [sym_field_expression] = STATE(8821),
    [sym_instance_expression] = STATE(8821),
    [sym_ascription_expression] = STATE(13337),
    [sym_infix_expression] = STATE(9659),
    [sym_postfix_expression] = STATE(13173),
    [sym__postfix_expression_choice] = STATE(16170),
    [sym_macro_body] = STATE(13337),
    [sym_prefix_expression] = STATE(9718),
    [sym_tuple_expression] = STATE(8821),
    [sym_parenthesized_expression] = STATE(8821),
    [sym_splice_expression] = STATE(8821),
    [sym_quote_expression] = STATE(8821),
    [sym_identifier] = STATE(5968),
    [sym__soft_identifier] = STATE(6446),
    [sym_wildcard] = STATE(8208),
    [sym__non_null_literal] = STATE(8821),
    [sym_boolean_literal] = STATE(8798),
    [sym_interpolated_string_expression] = STATE(8821),
    [sym_string] = STATE(8798),
    [sym_unit] = STATE(8821),
    [sym_return_expression] = STATE(13337),
    [sym_throw_expression] = STATE(13337),
    [sym_while_expression] = STATE(13337),
    [sym_do_while_expression] = STATE(13337),
    [sym_for_expression] = STATE(13337),
    [sym_comment] = STATE(2203),
    [sym_block_comment] = STATE(2203),
    [sym__alpha_identifier] = ACTIONS(1674),
    [anon_sym_LBRACE] = ACTIONS(1678),
    [anon_sym__] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1682),
    [anon_sym_DASH] = ACTIONS(1682),
    [anon_sym_end] = ACTIONS(1684),
    [anon_sym_if] = ACTIONS(1904),
    [anon_sym_while] = ACTIONS(1906),
    [anon_sym_for] = ACTIONS(1908),
    [anon_sym_try] = ACTIONS(1910),
    [anon_sym_new] = ACTIONS(1686),
    [anon_sym_opaque] = ACTIONS(1684),
    [anon_sym_implicit] = ACTIONS(1912),
    [anon_sym_inline] = ACTIONS(1688),
    [anon_sym_infix] = ACTIONS(1684),
    [anon_sym_open] = ACTIONS(1684),
    [anon_sym_transparent] = ACTIONS(1684),
    [anon_sym_LPAREN] = ACTIONS(1690),
    [anon_sym_macro] = ACTIONS(1914),
    [anon_sym_BANG] = ACTIONS(1682),
    [anon_sym_TILDE] = ACTIONS(1682),
    [anon_sym_DOLLAR] = ACTIONS(1692),
    [anon_sym_SQUOTE] = ACTIONS(1694),
    [sym__backquoted_id] = ACTIONS(1696),
    [sym_operator_identifier] = ACTIONS(1916),
    [sym_integer_literal] = ACTIONS(1700),
    [sym_floating_point_literal] = ACTIONS(1702),
    [anon_sym_true] = ACTIONS(1704),
    [anon_sym_false] = ACTIONS(1704),
    [sym_character_literal] = ACTIONS(1702),
    [sym_null_literal] = ACTIONS(1706),
    [anon_sym_return] = ACTIONS(1918),
    [anon_sym_throw] = ACTIONS(1920),
    [anon_sym_do] = ACTIONS(1922),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1708),
    [sym__simple_string] = ACTIONS(1708),
  },
  [2204] = {
    [sym_inline_modifier] = STATE(2081),
    [sym_block] = STATE(6540),
    [sym_expression] = STATE(11393),
    [sym__simple_expression] = STATE(5282),
    [sym_lambda_expression] = STATE(11374),
    [sym_if_expression] = STATE(11374),
    [sym_match_expression] = STATE(11374),
    [sym_try_expression] = STATE(11374),
    [sym_bindings] = STATE(15666),
    [sym_case_block] = STATE(6540),
    [sym_assignment_expression] = STATE(11374),
    [sym_generic_function] = STATE(6540),
    [sym_call_expression] = STATE(6540),
    [sym_field_expression] = STATE(6540),
    [sym_instance_expression] = STATE(6540),
    [sym_ascription_expression] = STATE(11374),
    [sym_infix_expression] = STATE(7834),
    [sym_postfix_expression] = STATE(11215),
    [sym__postfix_expression_choice] = STATE(16210),
    [sym_macro_body] = STATE(11374),
    [sym_prefix_expression] = STATE(8793),
    [sym_tuple_expression] = STATE(6540),
    [sym_parenthesized_expression] = STATE(6540),
    [sym_splice_expression] = STATE(6540),
    [sym_quote_expression] = STATE(6540),
    [sym_identifier] = STATE(4731),
    [sym__soft_identifier] = STATE(4667),
    [sym_wildcard] = STATE(7219),
    [sym__non_null_literal] = STATE(6540),
    [sym_boolean_literal] = STATE(6246),
    [sym_interpolated_string_expression] = STATE(6540),
    [sym_string] = STATE(6246),
    [sym_unit] = STATE(6540),
    [sym_return_expression] = STATE(11374),
    [sym_throw_expression] = STATE(11374),
    [sym_while_expression] = STATE(11374),
    [sym_do_while_expression] = STATE(11374),
    [sym_for_expression] = STATE(11374),
    [sym_comment] = STATE(2204),
    [sym_block_comment] = STATE(2204),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(2506),
    [anon_sym_while] = ACTIONS(1988),
    [anon_sym_for] = ACTIONS(1990),
    [anon_sym_try] = ACTIONS(1992),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1994),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1540),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1996),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1998),
    [anon_sym_throw] = ACTIONS(2000),
    [anon_sym_do] = ACTIONS(1548),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [2205] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(14277),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2205),
    [sym_block_comment] = STATE(2205),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2206] = {
    [sym_inline_modifier] = STATE(2038),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(12259),
    [sym__simple_expression] = STATE(6323),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15629),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(9695),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(5557),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(8528),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(2206),
    [sym_block_comment] = STATE(2206),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(3157),
    [anon_sym_while] = ACTIONS(2394),
    [anon_sym_for] = ACTIONS(2396),
    [anon_sym_try] = ACTIONS(2398),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2400),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(2402),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(2404),
    [anon_sym_throw] = ACTIONS(2406),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [2207] = {
    [sym_inline_modifier] = STATE(2114),
    [sym_block] = STATE(8218),
    [sym_expression] = STATE(12932),
    [sym__simple_expression] = STATE(7544),
    [sym_lambda_expression] = STATE(13097),
    [sym_if_expression] = STATE(13097),
    [sym_match_expression] = STATE(13097),
    [sym_try_expression] = STATE(13097),
    [sym_bindings] = STATE(15630),
    [sym_case_block] = STATE(8218),
    [sym_assignment_expression] = STATE(13097),
    [sym_generic_function] = STATE(8218),
    [sym_call_expression] = STATE(8218),
    [sym_field_expression] = STATE(8218),
    [sym_instance_expression] = STATE(8218),
    [sym_ascription_expression] = STATE(13097),
    [sym_infix_expression] = STATE(9424),
    [sym_postfix_expression] = STATE(12765),
    [sym__postfix_expression_choice] = STATE(16117),
    [sym_macro_body] = STATE(13097),
    [sym_prefix_expression] = STATE(10300),
    [sym_tuple_expression] = STATE(8218),
    [sym_parenthesized_expression] = STATE(8218),
    [sym_splice_expression] = STATE(8218),
    [sym_quote_expression] = STATE(8218),
    [sym_identifier] = STATE(7100),
    [sym__soft_identifier] = STATE(5752),
    [sym_wildcard] = STATE(9268),
    [sym__non_null_literal] = STATE(8218),
    [sym_boolean_literal] = STATE(8413),
    [sym_interpolated_string_expression] = STATE(8218),
    [sym_string] = STATE(8413),
    [sym_unit] = STATE(8218),
    [sym_return_expression] = STATE(13097),
    [sym_throw_expression] = STATE(13097),
    [sym_while_expression] = STATE(13097),
    [sym_do_while_expression] = STATE(13097),
    [sym_for_expression] = STATE(13097),
    [sym_comment] = STATE(2207),
    [sym_block_comment] = STATE(2207),
    [sym__alpha_identifier] = ACTIONS(1494),
    [anon_sym_LBRACE] = ACTIONS(1498),
    [anon_sym__] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1502),
    [anon_sym_end] = ACTIONS(1504),
    [anon_sym_if] = ACTIONS(2845),
    [anon_sym_while] = ACTIONS(2847),
    [anon_sym_for] = ACTIONS(2849),
    [anon_sym_try] = ACTIONS(2851),
    [anon_sym_new] = ACTIONS(1506),
    [anon_sym_opaque] = ACTIONS(1504),
    [anon_sym_implicit] = ACTIONS(2853),
    [anon_sym_inline] = ACTIONS(1508),
    [anon_sym_infix] = ACTIONS(1504),
    [anon_sym_open] = ACTIONS(1504),
    [anon_sym_transparent] = ACTIONS(1504),
    [anon_sym_LPAREN] = ACTIONS(1510),
    [anon_sym_macro] = ACTIONS(2054),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_TILDE] = ACTIONS(1502),
    [anon_sym_DOLLAR] = ACTIONS(1512),
    [anon_sym_SQUOTE] = ACTIONS(1514),
    [sym__backquoted_id] = ACTIONS(1516),
    [sym_operator_identifier] = ACTIONS(3314),
    [sym_integer_literal] = ACTIONS(1520),
    [sym_floating_point_literal] = ACTIONS(1522),
    [anon_sym_true] = ACTIONS(1524),
    [anon_sym_false] = ACTIONS(1524),
    [sym_character_literal] = ACTIONS(1522),
    [sym_null_literal] = ACTIONS(1526),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2062),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1528),
    [sym__simple_string] = ACTIONS(1528),
  },
  [2208] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(15210),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2208),
    [sym_block_comment] = STATE(2208),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4098),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2209] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13423),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2209),
    [sym_block_comment] = STATE(2209),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2210] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(14594),
    [sym__simple_expression] = STATE(6313),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9943),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(9612),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2210),
    [sym_block_comment] = STATE(2210),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2211] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9800),
    [sym_expression] = STATE(15283),
    [sym__simple_expression] = STATE(7026),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9800),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9800),
    [sym_call_expression] = STATE(9800),
    [sym_field_expression] = STATE(9800),
    [sym_instance_expression] = STATE(9800),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(10217),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16003),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(9971),
    [sym_tuple_expression] = STATE(9800),
    [sym_parenthesized_expression] = STATE(9800),
    [sym_splice_expression] = STATE(9800),
    [sym_quote_expression] = STATE(9800),
    [sym_identifier] = STATE(6258),
    [sym__soft_identifier] = STATE(4545),
    [sym_wildcard] = STATE(9204),
    [sym__non_null_literal] = STATE(9800),
    [sym_boolean_literal] = STATE(6076),
    [sym_interpolated_string_expression] = STATE(9800),
    [sym_string] = STATE(6076),
    [sym_unit] = STATE(9800),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2211),
    [sym_block_comment] = STATE(2211),
    [sym__alpha_identifier] = ACTIONS(2084),
    [anon_sym_LBRACE] = ACTIONS(2088),
    [anon_sym__] = ACTIONS(2090),
    [anon_sym_PLUS] = ACTIONS(2092),
    [anon_sym_DASH] = ACTIONS(2092),
    [anon_sym_end] = ACTIONS(2094),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(2096),
    [anon_sym_opaque] = ACTIONS(2094),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2098),
    [anon_sym_infix] = ACTIONS(2094),
    [anon_sym_open] = ACTIONS(2094),
    [anon_sym_transparent] = ACTIONS(2094),
    [anon_sym_LPAREN] = ACTIONS(2100),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(2092),
    [anon_sym_TILDE] = ACTIONS(2092),
    [anon_sym_DOLLAR] = ACTIONS(2102),
    [anon_sym_SQUOTE] = ACTIONS(2104),
    [sym__backquoted_id] = ACTIONS(2106),
    [sym_operator_identifier] = ACTIONS(2108),
    [sym_integer_literal] = ACTIONS(2110),
    [sym_floating_point_literal] = ACTIONS(2112),
    [anon_sym_true] = ACTIONS(2114),
    [anon_sym_false] = ACTIONS(2114),
    [sym_character_literal] = ACTIONS(2112),
    [sym_null_literal] = ACTIONS(2116),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(2118),
    [sym__simple_string] = ACTIONS(2118),
  },
  [2212] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(15126),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2212),
    [sym_block_comment] = STATE(2212),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4100),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2213] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(8360),
    [sym_expression] = STATE(15204),
    [sym__simple_expression] = STATE(5335),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(8360),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(8360),
    [sym_call_expression] = STATE(8360),
    [sym_field_expression] = STATE(8360),
    [sym_instance_expression] = STATE(8360),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(15959),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(8360),
    [sym_parenthesized_expression] = STATE(8360),
    [sym_splice_expression] = STATE(8360),
    [sym_quote_expression] = STATE(8360),
    [sym_identifier] = STATE(4694),
    [sym__soft_identifier] = STATE(5563),
    [sym_wildcard] = STATE(7153),
    [sym__non_null_literal] = STATE(8360),
    [sym_boolean_literal] = STATE(8269),
    [sym_interpolated_string_expression] = STATE(8360),
    [sym_string] = STATE(8269),
    [sym_unit] = STATE(8360),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2213),
    [sym_block_comment] = STATE(2213),
    [sym__alpha_identifier] = ACTIONS(1242),
    [anon_sym_LBRACE] = ACTIONS(1246),
    [anon_sym__] = ACTIONS(1248),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(1252),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1254),
    [anon_sym_opaque] = ACTIONS(1252),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1256),
    [anon_sym_infix] = ACTIONS(1252),
    [anon_sym_open] = ACTIONS(1252),
    [anon_sym_transparent] = ACTIONS(1252),
    [anon_sym_LPAREN] = ACTIONS(1258),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(1260),
    [anon_sym_SQUOTE] = ACTIONS(1262),
    [sym__backquoted_id] = ACTIONS(1264),
    [sym_operator_identifier] = ACTIONS(1266),
    [sym_integer_literal] = ACTIONS(1268),
    [sym_floating_point_literal] = ACTIONS(1270),
    [anon_sym_true] = ACTIONS(1272),
    [anon_sym_false] = ACTIONS(1272),
    [sym_character_literal] = ACTIONS(1270),
    [sym_null_literal] = ACTIONS(1274),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1276),
    [sym__simple_string] = ACTIONS(1276),
  },
  [2214] = {
    [sym_inline_modifier] = STATE(2050),
    [sym_block] = STATE(8375),
    [sym_expression] = STATE(12783),
    [sym__simple_expression] = STATE(6499),
    [sym_lambda_expression] = STATE(13185),
    [sym_if_expression] = STATE(13185),
    [sym_match_expression] = STATE(13185),
    [sym_try_expression] = STATE(13185),
    [sym_bindings] = STATE(15649),
    [sym_case_block] = STATE(8375),
    [sym_assignment_expression] = STATE(13185),
    [sym_generic_function] = STATE(8375),
    [sym_call_expression] = STATE(8375),
    [sym_field_expression] = STATE(8375),
    [sym_instance_expression] = STATE(8375),
    [sym_ascription_expression] = STATE(13185),
    [sym_infix_expression] = STATE(9364),
    [sym_postfix_expression] = STATE(12809),
    [sym__postfix_expression_choice] = STATE(16440),
    [sym_macro_body] = STATE(13185),
    [sym_prefix_expression] = STATE(9765),
    [sym_tuple_expression] = STATE(8375),
    [sym_parenthesized_expression] = STATE(8375),
    [sym_splice_expression] = STATE(8375),
    [sym_quote_expression] = STATE(8375),
    [sym_identifier] = STATE(5812),
    [sym__soft_identifier] = STATE(5430),
    [sym_wildcard] = STATE(8380),
    [sym__non_null_literal] = STATE(8375),
    [sym_boolean_literal] = STATE(8117),
    [sym_interpolated_string_expression] = STATE(8375),
    [sym_string] = STATE(8117),
    [sym_unit] = STATE(8375),
    [sym_return_expression] = STATE(13185),
    [sym_throw_expression] = STATE(13185),
    [sym_while_expression] = STATE(13185),
    [sym_do_while_expression] = STATE(13185),
    [sym_for_expression] = STATE(13185),
    [sym_comment] = STATE(2214),
    [sym_block_comment] = STATE(2214),
    [sym__alpha_identifier] = ACTIONS(1618),
    [anon_sym_LBRACE] = ACTIONS(1622),
    [anon_sym__] = ACTIONS(1624),
    [anon_sym_PLUS] = ACTIONS(1626),
    [anon_sym_DASH] = ACTIONS(1626),
    [anon_sym_end] = ACTIONS(1628),
    [anon_sym_if] = ACTIONS(2064),
    [anon_sym_while] = ACTIONS(2066),
    [anon_sym_for] = ACTIONS(2068),
    [anon_sym_try] = ACTIONS(2070),
    [anon_sym_new] = ACTIONS(1630),
    [anon_sym_opaque] = ACTIONS(1628),
    [anon_sym_implicit] = ACTIONS(2072),
    [anon_sym_inline] = ACTIONS(1632),
    [anon_sym_infix] = ACTIONS(1628),
    [anon_sym_open] = ACTIONS(1628),
    [anon_sym_transparent] = ACTIONS(1628),
    [anon_sym_LPAREN] = ACTIONS(1634),
    [anon_sym_macro] = ACTIONS(2074),
    [anon_sym_BANG] = ACTIONS(1626),
    [anon_sym_TILDE] = ACTIONS(1626),
    [anon_sym_DOLLAR] = ACTIONS(1636),
    [anon_sym_SQUOTE] = ACTIONS(1638),
    [sym__backquoted_id] = ACTIONS(1640),
    [sym_operator_identifier] = ACTIONS(2076),
    [sym_integer_literal] = ACTIONS(1644),
    [sym_floating_point_literal] = ACTIONS(1646),
    [anon_sym_true] = ACTIONS(1648),
    [anon_sym_false] = ACTIONS(1648),
    [sym_character_literal] = ACTIONS(1646),
    [sym_null_literal] = ACTIONS(1650),
    [anon_sym_return] = ACTIONS(2078),
    [anon_sym_throw] = ACTIONS(2080),
    [anon_sym_do] = ACTIONS(2082),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1652),
    [sym__simple_string] = ACTIONS(1652),
  },
  [2215] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(14207),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2215),
    [sym_block_comment] = STATE(2215),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2216] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(10133),
    [sym_expression] = STATE(14920),
    [sym__simple_expression] = STATE(7627),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(10133),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(10133),
    [sym_call_expression] = STATE(10133),
    [sym_field_expression] = STATE(10133),
    [sym_instance_expression] = STATE(10133),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(10497),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16787),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10246),
    [sym_tuple_expression] = STATE(10133),
    [sym_parenthesized_expression] = STATE(10133),
    [sym_splice_expression] = STATE(10133),
    [sym_quote_expression] = STATE(10133),
    [sym_identifier] = STATE(6878),
    [sym__soft_identifier] = STATE(4482),
    [sym_wildcard] = STATE(9510),
    [sym__non_null_literal] = STATE(10133),
    [sym_boolean_literal] = STATE(7065),
    [sym_interpolated_string_expression] = STATE(10133),
    [sym_string] = STATE(7065),
    [sym_unit] = STATE(10133),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2216),
    [sym_block_comment] = STATE(2216),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_end] = ACTIONS(2374),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_opaque] = ACTIONS(2374),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(67),
    [anon_sym_infix] = ACTIONS(2374),
    [anon_sym_open] = ACTIONS(2374),
    [anon_sym_transparent] = ACTIONS(2374),
    [anon_sym_LPAREN] = ACTIONS(75),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(83),
    [sym_operator_identifier] = ACTIONS(2376),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [2217] = {
    [sym_inline_modifier] = STATE(2050),
    [sym_block] = STATE(8375),
    [sym_expression] = STATE(12900),
    [sym__simple_expression] = STATE(6499),
    [sym_lambda_expression] = STATE(13185),
    [sym_if_expression] = STATE(13185),
    [sym_match_expression] = STATE(13185),
    [sym_try_expression] = STATE(13185),
    [sym_bindings] = STATE(15649),
    [sym_case_block] = STATE(8375),
    [sym_assignment_expression] = STATE(13185),
    [sym_generic_function] = STATE(8375),
    [sym_call_expression] = STATE(8375),
    [sym_field_expression] = STATE(8375),
    [sym_instance_expression] = STATE(8375),
    [sym_ascription_expression] = STATE(13185),
    [sym_infix_expression] = STATE(9364),
    [sym_postfix_expression] = STATE(12809),
    [sym__postfix_expression_choice] = STATE(16440),
    [sym_macro_body] = STATE(13185),
    [sym_prefix_expression] = STATE(9765),
    [sym_tuple_expression] = STATE(8375),
    [sym_parenthesized_expression] = STATE(8375),
    [sym_splice_expression] = STATE(8375),
    [sym_quote_expression] = STATE(8375),
    [sym_identifier] = STATE(5812),
    [sym__soft_identifier] = STATE(5430),
    [sym_wildcard] = STATE(8380),
    [sym__non_null_literal] = STATE(8375),
    [sym_boolean_literal] = STATE(8117),
    [sym_interpolated_string_expression] = STATE(8375),
    [sym_string] = STATE(8117),
    [sym_unit] = STATE(8375),
    [sym_return_expression] = STATE(13185),
    [sym_throw_expression] = STATE(13185),
    [sym_while_expression] = STATE(13185),
    [sym_do_while_expression] = STATE(13185),
    [sym_for_expression] = STATE(13185),
    [sym_comment] = STATE(2217),
    [sym_block_comment] = STATE(2217),
    [sym__alpha_identifier] = ACTIONS(1618),
    [anon_sym_LBRACE] = ACTIONS(1622),
    [anon_sym__] = ACTIONS(1624),
    [anon_sym_PLUS] = ACTIONS(1626),
    [anon_sym_DASH] = ACTIONS(1626),
    [anon_sym_end] = ACTIONS(1628),
    [anon_sym_if] = ACTIONS(2064),
    [anon_sym_while] = ACTIONS(2066),
    [anon_sym_for] = ACTIONS(2068),
    [anon_sym_try] = ACTIONS(2070),
    [anon_sym_new] = ACTIONS(1630),
    [anon_sym_opaque] = ACTIONS(1628),
    [anon_sym_implicit] = ACTIONS(2072),
    [anon_sym_inline] = ACTIONS(1632),
    [anon_sym_infix] = ACTIONS(1628),
    [anon_sym_open] = ACTIONS(1628),
    [anon_sym_transparent] = ACTIONS(1628),
    [anon_sym_LPAREN] = ACTIONS(1634),
    [anon_sym_macro] = ACTIONS(2074),
    [anon_sym_BANG] = ACTIONS(1626),
    [anon_sym_TILDE] = ACTIONS(1626),
    [anon_sym_DOLLAR] = ACTIONS(1636),
    [anon_sym_SQUOTE] = ACTIONS(1638),
    [sym__backquoted_id] = ACTIONS(1640),
    [sym_operator_identifier] = ACTIONS(2076),
    [sym_integer_literal] = ACTIONS(1644),
    [sym_floating_point_literal] = ACTIONS(1646),
    [anon_sym_true] = ACTIONS(1648),
    [anon_sym_false] = ACTIONS(1648),
    [sym_character_literal] = ACTIONS(1646),
    [sym_null_literal] = ACTIONS(1650),
    [anon_sym_return] = ACTIONS(2078),
    [anon_sym_throw] = ACTIONS(2080),
    [anon_sym_do] = ACTIONS(2082),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1652),
    [sym__simple_string] = ACTIONS(1652),
  },
  [2218] = {
    [sym_inline_modifier] = STATE(2252),
    [sym_block] = STATE(8262),
    [sym_expression] = STATE(12880),
    [sym__simple_expression] = STATE(5471),
    [sym_lambda_expression] = STATE(13098),
    [sym_if_expression] = STATE(13098),
    [sym_match_expression] = STATE(13098),
    [sym_try_expression] = STATE(13098),
    [sym_bindings] = STATE(15615),
    [sym_case_block] = STATE(8262),
    [sym_assignment_expression] = STATE(13098),
    [sym_generic_function] = STATE(8262),
    [sym_call_expression] = STATE(8262),
    [sym_field_expression] = STATE(8262),
    [sym_instance_expression] = STATE(8262),
    [sym_ascription_expression] = STATE(13098),
    [sym_infix_expression] = STATE(9485),
    [sym_postfix_expression] = STATE(12647),
    [sym__postfix_expression_choice] = STATE(16347),
    [sym_macro_body] = STATE(13098),
    [sym_prefix_expression] = STATE(9525),
    [sym_tuple_expression] = STATE(8262),
    [sym_parenthesized_expression] = STATE(8262),
    [sym_splice_expression] = STATE(8262),
    [sym_quote_expression] = STATE(8262),
    [sym_identifier] = STATE(5180),
    [sym__soft_identifier] = STATE(5419),
    [sym_wildcard] = STATE(7820),
    [sym__non_null_literal] = STATE(8262),
    [sym_boolean_literal] = STATE(8242),
    [sym_interpolated_string_expression] = STATE(8262),
    [sym_string] = STATE(8242),
    [sym_unit] = STATE(8262),
    [sym_return_expression] = STATE(13098),
    [sym_throw_expression] = STATE(13098),
    [sym_while_expression] = STATE(13098),
    [sym_do_while_expression] = STATE(13098),
    [sym_for_expression] = STATE(13098),
    [sym_comment] = STATE(2218),
    [sym_block_comment] = STATE(2218),
    [sym__alpha_identifier] = ACTIONS(1278),
    [anon_sym_LBRACE] = ACTIONS(1282),
    [anon_sym__] = ACTIONS(1284),
    [anon_sym_PLUS] = ACTIONS(1286),
    [anon_sym_DASH] = ACTIONS(1286),
    [anon_sym_end] = ACTIONS(1288),
    [anon_sym_if] = ACTIONS(1710),
    [anon_sym_while] = ACTIONS(1712),
    [anon_sym_for] = ACTIONS(1714),
    [anon_sym_try] = ACTIONS(1716),
    [anon_sym_new] = ACTIONS(1290),
    [anon_sym_opaque] = ACTIONS(1288),
    [anon_sym_implicit] = ACTIONS(1718),
    [anon_sym_inline] = ACTIONS(1292),
    [anon_sym_infix] = ACTIONS(1288),
    [anon_sym_open] = ACTIONS(1288),
    [anon_sym_transparent] = ACTIONS(1288),
    [anon_sym_LPAREN] = ACTIONS(1294),
    [anon_sym_macro] = ACTIONS(1720),
    [anon_sym_BANG] = ACTIONS(1286),
    [anon_sym_TILDE] = ACTIONS(1286),
    [anon_sym_DOLLAR] = ACTIONS(1296),
    [anon_sym_SQUOTE] = ACTIONS(1298),
    [sym__backquoted_id] = ACTIONS(1300),
    [sym_operator_identifier] = ACTIONS(1722),
    [sym_integer_literal] = ACTIONS(1304),
    [sym_floating_point_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1308),
    [anon_sym_false] = ACTIONS(1308),
    [sym_character_literal] = ACTIONS(1306),
    [sym_null_literal] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(1724),
    [anon_sym_throw] = ACTIONS(1726),
    [anon_sym_do] = ACTIONS(1728),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1312),
    [sym__simple_string] = ACTIONS(1312),
  },
  [2219] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(14594),
    [sym__simple_expression] = STATE(6347),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2219),
    [sym_block_comment] = STATE(2219),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2220] = {
    [sym_inline_modifier] = STATE(2269),
    [sym_block] = STATE(8070),
    [sym_expression] = STATE(12611),
    [sym__simple_expression] = STATE(5679),
    [sym_lambda_expression] = STATE(12742),
    [sym_if_expression] = STATE(12742),
    [sym_match_expression] = STATE(12742),
    [sym_try_expression] = STATE(12742),
    [sym_bindings] = STATE(15536),
    [sym_case_block] = STATE(8070),
    [sym_assignment_expression] = STATE(12742),
    [sym_generic_function] = STATE(8070),
    [sym_call_expression] = STATE(8070),
    [sym_field_expression] = STATE(8070),
    [sym_instance_expression] = STATE(8070),
    [sym_ascription_expression] = STATE(12742),
    [sym_infix_expression] = STATE(8913),
    [sym_postfix_expression] = STATE(12343),
    [sym__postfix_expression_choice] = STATE(16230),
    [sym_macro_body] = STATE(12742),
    [sym_prefix_expression] = STATE(9483),
    [sym_tuple_expression] = STATE(8070),
    [sym_parenthesized_expression] = STATE(8070),
    [sym_splice_expression] = STATE(8070),
    [sym_quote_expression] = STATE(8070),
    [sym_identifier] = STATE(4999),
    [sym__soft_identifier] = STATE(5234),
    [sym_wildcard] = STATE(8075),
    [sym__non_null_literal] = STATE(8070),
    [sym_boolean_literal] = STATE(8055),
    [sym_interpolated_string_expression] = STATE(8070),
    [sym_string] = STATE(8055),
    [sym_unit] = STATE(8070),
    [sym_return_expression] = STATE(12742),
    [sym_throw_expression] = STATE(12742),
    [sym_while_expression] = STATE(12742),
    [sym_do_while_expression] = STATE(12742),
    [sym_for_expression] = STATE(12742),
    [sym_comment] = STATE(2220),
    [sym_block_comment] = STATE(2220),
    [sym__alpha_identifier] = ACTIONS(1314),
    [anon_sym_LBRACE] = ACTIONS(1318),
    [anon_sym__] = ACTIONS(1320),
    [anon_sym_PLUS] = ACTIONS(1322),
    [anon_sym_DASH] = ACTIONS(1322),
    [anon_sym_end] = ACTIONS(1324),
    [anon_sym_if] = ACTIONS(1730),
    [anon_sym_while] = ACTIONS(1732),
    [anon_sym_for] = ACTIONS(1734),
    [anon_sym_try] = ACTIONS(1736),
    [anon_sym_new] = ACTIONS(1326),
    [anon_sym_opaque] = ACTIONS(1324),
    [anon_sym_implicit] = ACTIONS(1738),
    [anon_sym_inline] = ACTIONS(1328),
    [anon_sym_infix] = ACTIONS(1324),
    [anon_sym_open] = ACTIONS(1324),
    [anon_sym_transparent] = ACTIONS(1324),
    [anon_sym_LPAREN] = ACTIONS(1330),
    [anon_sym_macro] = ACTIONS(1740),
    [anon_sym_BANG] = ACTIONS(1322),
    [anon_sym_TILDE] = ACTIONS(1322),
    [anon_sym_DOLLAR] = ACTIONS(1332),
    [anon_sym_SQUOTE] = ACTIONS(1334),
    [sym__backquoted_id] = ACTIONS(1336),
    [sym_operator_identifier] = ACTIONS(1742),
    [sym_integer_literal] = ACTIONS(1340),
    [sym_floating_point_literal] = ACTIONS(1342),
    [anon_sym_true] = ACTIONS(1344),
    [anon_sym_false] = ACTIONS(1344),
    [sym_character_literal] = ACTIONS(1342),
    [sym_null_literal] = ACTIONS(1346),
    [anon_sym_return] = ACTIONS(1744),
    [anon_sym_throw] = ACTIONS(1746),
    [anon_sym_do] = ACTIONS(1748),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1348),
    [sym__simple_string] = ACTIONS(1348),
  },
  [2221] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9116),
    [sym_expression] = STATE(15251),
    [sym__simple_expression] = STATE(5598),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9116),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9116),
    [sym_call_expression] = STATE(9116),
    [sym_field_expression] = STATE(9116),
    [sym_instance_expression] = STATE(9116),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9887),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(15982),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(9555),
    [sym_tuple_expression] = STATE(9116),
    [sym_parenthesized_expression] = STATE(9116),
    [sym_splice_expression] = STATE(9116),
    [sym_quote_expression] = STATE(9116),
    [sym_identifier] = STATE(5364),
    [sym__soft_identifier] = STATE(4332),
    [sym_wildcard] = STATE(7428),
    [sym__non_null_literal] = STATE(9116),
    [sym_boolean_literal] = STATE(5055),
    [sym_interpolated_string_expression] = STATE(9116),
    [sym_string] = STATE(5055),
    [sym_unit] = STATE(9116),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2221),
    [sym_block_comment] = STATE(2221),
    [sym__alpha_identifier] = ACTIONS(1206),
    [anon_sym_LBRACE] = ACTIONS(1210),
    [anon_sym__] = ACTIONS(1212),
    [anon_sym_PLUS] = ACTIONS(1214),
    [anon_sym_DASH] = ACTIONS(1214),
    [anon_sym_end] = ACTIONS(1216),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1218),
    [anon_sym_opaque] = ACTIONS(1216),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1220),
    [anon_sym_infix] = ACTIONS(1216),
    [anon_sym_open] = ACTIONS(1216),
    [anon_sym_transparent] = ACTIONS(1216),
    [anon_sym_LPAREN] = ACTIONS(1222),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1214),
    [anon_sym_TILDE] = ACTIONS(1214),
    [anon_sym_DOLLAR] = ACTIONS(1224),
    [anon_sym_SQUOTE] = ACTIONS(1226),
    [sym__backquoted_id] = ACTIONS(1228),
    [sym_operator_identifier] = ACTIONS(1230),
    [sym_integer_literal] = ACTIONS(1232),
    [sym_floating_point_literal] = ACTIONS(1234),
    [anon_sym_true] = ACTIONS(1236),
    [anon_sym_false] = ACTIONS(1236),
    [sym_character_literal] = ACTIONS(1234),
    [sym_null_literal] = ACTIONS(1238),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1240),
    [sym__simple_string] = ACTIONS(1240),
  },
  [2222] = {
    [sym_inline_modifier] = STATE(2049),
    [sym_block] = STATE(8262),
    [sym_expression] = STATE(12910),
    [sym__simple_expression] = STATE(5468),
    [sym_lambda_expression] = STATE(13098),
    [sym_if_expression] = STATE(13098),
    [sym_match_expression] = STATE(13098),
    [sym_try_expression] = STATE(13098),
    [sym_bindings] = STATE(15673),
    [sym_case_block] = STATE(8262),
    [sym_assignment_expression] = STATE(13098),
    [sym_generic_function] = STATE(8262),
    [sym_call_expression] = STATE(8262),
    [sym_field_expression] = STATE(8262),
    [sym_instance_expression] = STATE(8262),
    [sym_ascription_expression] = STATE(13098),
    [sym_infix_expression] = STATE(9485),
    [sym_postfix_expression] = STATE(12647),
    [sym__postfix_expression_choice] = STATE(16347),
    [sym_macro_body] = STATE(13098),
    [sym_prefix_expression] = STATE(9354),
    [sym_tuple_expression] = STATE(8262),
    [sym_parenthesized_expression] = STATE(8262),
    [sym_splice_expression] = STATE(8262),
    [sym_quote_expression] = STATE(8262),
    [sym_identifier] = STATE(5288),
    [sym__soft_identifier] = STATE(5419),
    [sym_wildcard] = STATE(7475),
    [sym__non_null_literal] = STATE(8262),
    [sym_boolean_literal] = STATE(8242),
    [sym_interpolated_string_expression] = STATE(8262),
    [sym_string] = STATE(8242),
    [sym_unit] = STATE(8262),
    [sym_return_expression] = STATE(13098),
    [sym_throw_expression] = STATE(13098),
    [sym_while_expression] = STATE(13098),
    [sym_do_while_expression] = STATE(13098),
    [sym_for_expression] = STATE(13098),
    [sym_comment] = STATE(2222),
    [sym_block_comment] = STATE(2222),
    [sym__alpha_identifier] = ACTIONS(1278),
    [anon_sym_LBRACE] = ACTIONS(1282),
    [anon_sym__] = ACTIONS(1284),
    [anon_sym_PLUS] = ACTIONS(1286),
    [anon_sym_DASH] = ACTIONS(1286),
    [anon_sym_end] = ACTIONS(1288),
    [anon_sym_if] = ACTIONS(2196),
    [anon_sym_while] = ACTIONS(2016),
    [anon_sym_for] = ACTIONS(2018),
    [anon_sym_try] = ACTIONS(2020),
    [anon_sym_new] = ACTIONS(1290),
    [anon_sym_opaque] = ACTIONS(1288),
    [anon_sym_implicit] = ACTIONS(2022),
    [anon_sym_inline] = ACTIONS(1292),
    [anon_sym_infix] = ACTIONS(1288),
    [anon_sym_open] = ACTIONS(1288),
    [anon_sym_transparent] = ACTIONS(1288),
    [anon_sym_LPAREN] = ACTIONS(1294),
    [anon_sym_macro] = ACTIONS(1720),
    [anon_sym_BANG] = ACTIONS(1286),
    [anon_sym_TILDE] = ACTIONS(1286),
    [anon_sym_DOLLAR] = ACTIONS(1296),
    [anon_sym_SQUOTE] = ACTIONS(1298),
    [sym__backquoted_id] = ACTIONS(1300),
    [sym_operator_identifier] = ACTIONS(2024),
    [sym_integer_literal] = ACTIONS(1304),
    [sym_floating_point_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1308),
    [anon_sym_false] = ACTIONS(1308),
    [sym_character_literal] = ACTIONS(1306),
    [sym_null_literal] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(2026),
    [anon_sym_throw] = ACTIONS(2028),
    [anon_sym_do] = ACTIONS(1728),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1312),
    [sym__simple_string] = ACTIONS(1312),
  },
  [2223] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2223),
    [sym_block_comment] = STATE(2223),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4102),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2224] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(14090),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2224),
    [sym_block_comment] = STATE(2224),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2225] = {
    [sym_inline_modifier] = STATE(2252),
    [sym_block] = STATE(8262),
    [sym_expression] = STATE(12927),
    [sym__simple_expression] = STATE(5471),
    [sym_lambda_expression] = STATE(13098),
    [sym_if_expression] = STATE(13098),
    [sym_match_expression] = STATE(13098),
    [sym_try_expression] = STATE(13098),
    [sym_bindings] = STATE(15615),
    [sym_case_block] = STATE(8262),
    [sym_assignment_expression] = STATE(13098),
    [sym_generic_function] = STATE(8262),
    [sym_call_expression] = STATE(8262),
    [sym_field_expression] = STATE(8262),
    [sym_instance_expression] = STATE(8262),
    [sym_ascription_expression] = STATE(13098),
    [sym_infix_expression] = STATE(9485),
    [sym_postfix_expression] = STATE(12647),
    [sym__postfix_expression_choice] = STATE(16347),
    [sym_macro_body] = STATE(13098),
    [sym_prefix_expression] = STATE(9525),
    [sym_tuple_expression] = STATE(8262),
    [sym_parenthesized_expression] = STATE(8262),
    [sym_splice_expression] = STATE(8262),
    [sym_quote_expression] = STATE(8262),
    [sym_identifier] = STATE(5180),
    [sym__soft_identifier] = STATE(5419),
    [sym_wildcard] = STATE(7820),
    [sym__non_null_literal] = STATE(8262),
    [sym_boolean_literal] = STATE(8242),
    [sym_interpolated_string_expression] = STATE(8262),
    [sym_string] = STATE(8242),
    [sym_unit] = STATE(8262),
    [sym_return_expression] = STATE(13098),
    [sym_throw_expression] = STATE(13098),
    [sym_while_expression] = STATE(13098),
    [sym_do_while_expression] = STATE(13098),
    [sym_for_expression] = STATE(13098),
    [sym_comment] = STATE(2225),
    [sym_block_comment] = STATE(2225),
    [sym__alpha_identifier] = ACTIONS(1278),
    [anon_sym_LBRACE] = ACTIONS(1282),
    [anon_sym__] = ACTIONS(1284),
    [anon_sym_PLUS] = ACTIONS(1286),
    [anon_sym_DASH] = ACTIONS(1286),
    [anon_sym_end] = ACTIONS(1288),
    [anon_sym_if] = ACTIONS(1710),
    [anon_sym_while] = ACTIONS(1712),
    [anon_sym_for] = ACTIONS(1714),
    [anon_sym_try] = ACTIONS(1716),
    [anon_sym_new] = ACTIONS(1290),
    [anon_sym_opaque] = ACTIONS(1288),
    [anon_sym_implicit] = ACTIONS(1718),
    [anon_sym_inline] = ACTIONS(1292),
    [anon_sym_infix] = ACTIONS(1288),
    [anon_sym_open] = ACTIONS(1288),
    [anon_sym_transparent] = ACTIONS(1288),
    [anon_sym_LPAREN] = ACTIONS(1294),
    [anon_sym_macro] = ACTIONS(1720),
    [anon_sym_BANG] = ACTIONS(1286),
    [anon_sym_TILDE] = ACTIONS(1286),
    [anon_sym_DOLLAR] = ACTIONS(1296),
    [anon_sym_SQUOTE] = ACTIONS(1298),
    [sym__backquoted_id] = ACTIONS(1300),
    [sym_operator_identifier] = ACTIONS(1722),
    [sym_integer_literal] = ACTIONS(1304),
    [sym_floating_point_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1308),
    [anon_sym_false] = ACTIONS(1308),
    [sym_character_literal] = ACTIONS(1306),
    [sym_null_literal] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(1724),
    [anon_sym_throw] = ACTIONS(1726),
    [anon_sym_do] = ACTIONS(1728),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1312),
    [sym__simple_string] = ACTIONS(1312),
  },
  [2226] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(8360),
    [sym_expression] = STATE(15204),
    [sym__simple_expression] = STATE(5333),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(8360),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(8360),
    [sym_call_expression] = STATE(8360),
    [sym_field_expression] = STATE(8360),
    [sym_instance_expression] = STATE(8360),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9507),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(15959),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(8968),
    [sym_tuple_expression] = STATE(8360),
    [sym_parenthesized_expression] = STATE(8360),
    [sym_splice_expression] = STATE(8360),
    [sym_quote_expression] = STATE(8360),
    [sym_identifier] = STATE(4694),
    [sym__soft_identifier] = STATE(5563),
    [sym_wildcard] = STATE(7153),
    [sym__non_null_literal] = STATE(8360),
    [sym_boolean_literal] = STATE(8269),
    [sym_interpolated_string_expression] = STATE(8360),
    [sym_string] = STATE(8269),
    [sym_unit] = STATE(8360),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2226),
    [sym_block_comment] = STATE(2226),
    [sym__alpha_identifier] = ACTIONS(1242),
    [anon_sym_LBRACE] = ACTIONS(1246),
    [anon_sym__] = ACTIONS(1248),
    [anon_sym_PLUS] = ACTIONS(1250),
    [anon_sym_DASH] = ACTIONS(1250),
    [anon_sym_end] = ACTIONS(1252),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1254),
    [anon_sym_opaque] = ACTIONS(1252),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1256),
    [anon_sym_infix] = ACTIONS(1252),
    [anon_sym_open] = ACTIONS(1252),
    [anon_sym_transparent] = ACTIONS(1252),
    [anon_sym_LPAREN] = ACTIONS(1258),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1250),
    [anon_sym_TILDE] = ACTIONS(1250),
    [anon_sym_DOLLAR] = ACTIONS(1260),
    [anon_sym_SQUOTE] = ACTIONS(1262),
    [sym__backquoted_id] = ACTIONS(1264),
    [sym_operator_identifier] = ACTIONS(1266),
    [sym_integer_literal] = ACTIONS(1268),
    [sym_floating_point_literal] = ACTIONS(1270),
    [anon_sym_true] = ACTIONS(1272),
    [anon_sym_false] = ACTIONS(1272),
    [sym_character_literal] = ACTIONS(1270),
    [sym_null_literal] = ACTIONS(1274),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1276),
    [sym__simple_string] = ACTIONS(1276),
  },
  [2227] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(6954),
    [sym_expression] = STATE(15118),
    [sym__simple_expression] = STATE(4552),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(6954),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(6954),
    [sym_call_expression] = STATE(6954),
    [sym_field_expression] = STATE(6954),
    [sym_instance_expression] = STATE(6954),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(15800),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(6954),
    [sym_parenthesized_expression] = STATE(6954),
    [sym_splice_expression] = STATE(6954),
    [sym_quote_expression] = STATE(6954),
    [sym_identifier] = STATE(4491),
    [sym__soft_identifier] = STATE(4827),
    [sym_wildcard] = STATE(5433),
    [sym__non_null_literal] = STATE(6954),
    [sym_boolean_literal] = STATE(6997),
    [sym_interpolated_string_expression] = STATE(6954),
    [sym_string] = STATE(6997),
    [sym_unit] = STATE(6954),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2227),
    [sym_block_comment] = STATE(2227),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(1100),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [2228] = {
    [sym_inline_modifier] = STATE(2183),
    [sym_block] = STATE(9088),
    [sym_expression] = STATE(13154),
    [sym__simple_expression] = STATE(8555),
    [sym_lambda_expression] = STATE(13338),
    [sym_if_expression] = STATE(13338),
    [sym_match_expression] = STATE(13338),
    [sym_try_expression] = STATE(13338),
    [sym_bindings] = STATE(15553),
    [sym_case_block] = STATE(9088),
    [sym_assignment_expression] = STATE(13338),
    [sym_generic_function] = STATE(9088),
    [sym_call_expression] = STATE(9088),
    [sym_field_expression] = STATE(9088),
    [sym_instance_expression] = STATE(9088),
    [sym_ascription_expression] = STATE(13338),
    [sym_infix_expression] = STATE(9773),
    [sym_postfix_expression] = STATE(13117),
    [sym__postfix_expression_choice] = STATE(15912),
    [sym_macro_body] = STATE(13338),
    [sym_prefix_expression] = STATE(10565),
    [sym_tuple_expression] = STATE(9088),
    [sym_parenthesized_expression] = STATE(9088),
    [sym_splice_expression] = STATE(9088),
    [sym_quote_expression] = STATE(9088),
    [sym_identifier] = STATE(7556),
    [sym__soft_identifier] = STATE(6581),
    [sym_wildcard] = STATE(9665),
    [sym__non_null_literal] = STATE(9088),
    [sym_boolean_literal] = STATE(8905),
    [sym_interpolated_string_expression] = STATE(9088),
    [sym_string] = STATE(8905),
    [sym_unit] = STATE(9088),
    [sym_return_expression] = STATE(13338),
    [sym_throw_expression] = STATE(13338),
    [sym_while_expression] = STATE(13338),
    [sym_do_while_expression] = STATE(13338),
    [sym_for_expression] = STATE(13338),
    [sym_comment] = STATE(2228),
    [sym_block_comment] = STATE(2228),
    [sym__alpha_identifier] = ACTIONS(1938),
    [anon_sym_LBRACE] = ACTIONS(1942),
    [anon_sym__] = ACTIONS(1944),
    [anon_sym_PLUS] = ACTIONS(1946),
    [anon_sym_DASH] = ACTIONS(1946),
    [anon_sym_end] = ACTIONS(1948),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2332),
    [anon_sym_for] = ACTIONS(2334),
    [anon_sym_try] = ACTIONS(2336),
    [anon_sym_new] = ACTIONS(1950),
    [anon_sym_opaque] = ACTIONS(1948),
    [anon_sym_implicit] = ACTIONS(2338),
    [anon_sym_inline] = ACTIONS(1952),
    [anon_sym_infix] = ACTIONS(1948),
    [anon_sym_open] = ACTIONS(1948),
    [anon_sym_transparent] = ACTIONS(1948),
    [anon_sym_LPAREN] = ACTIONS(1954),
    [anon_sym_macro] = ACTIONS(2270),
    [anon_sym_BANG] = ACTIONS(1946),
    [anon_sym_TILDE] = ACTIONS(1946),
    [anon_sym_DOLLAR] = ACTIONS(1956),
    [anon_sym_SQUOTE] = ACTIONS(1958),
    [sym__backquoted_id] = ACTIONS(1960),
    [sym_operator_identifier] = ACTIONS(2340),
    [sym_integer_literal] = ACTIONS(1964),
    [sym_floating_point_literal] = ACTIONS(1966),
    [anon_sym_true] = ACTIONS(1968),
    [anon_sym_false] = ACTIONS(1968),
    [sym_character_literal] = ACTIONS(1966),
    [sym_null_literal] = ACTIONS(1970),
    [anon_sym_return] = ACTIONS(2342),
    [anon_sym_throw] = ACTIONS(2344),
    [anon_sym_do] = ACTIONS(2278),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1972),
    [sym__simple_string] = ACTIONS(1972),
  },
  [2229] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(14122),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2229),
    [sym_block_comment] = STATE(2229),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2230] = {
    [sym_inline_modifier] = STATE(2114),
    [sym_block] = STATE(8218),
    [sym_expression] = STATE(12896),
    [sym__simple_expression] = STATE(7544),
    [sym_lambda_expression] = STATE(13097),
    [sym_if_expression] = STATE(13097),
    [sym_match_expression] = STATE(13097),
    [sym_try_expression] = STATE(13097),
    [sym_bindings] = STATE(15630),
    [sym_case_block] = STATE(8218),
    [sym_assignment_expression] = STATE(13097),
    [sym_generic_function] = STATE(8218),
    [sym_call_expression] = STATE(8218),
    [sym_field_expression] = STATE(8218),
    [sym_instance_expression] = STATE(8218),
    [sym_ascription_expression] = STATE(13097),
    [sym_infix_expression] = STATE(9424),
    [sym_postfix_expression] = STATE(12765),
    [sym__postfix_expression_choice] = STATE(16117),
    [sym_macro_body] = STATE(13097),
    [sym_prefix_expression] = STATE(10300),
    [sym_tuple_expression] = STATE(8218),
    [sym_parenthesized_expression] = STATE(8218),
    [sym_splice_expression] = STATE(8218),
    [sym_quote_expression] = STATE(8218),
    [sym_identifier] = STATE(7100),
    [sym__soft_identifier] = STATE(5752),
    [sym_wildcard] = STATE(9268),
    [sym__non_null_literal] = STATE(8218),
    [sym_boolean_literal] = STATE(8413),
    [sym_interpolated_string_expression] = STATE(8218),
    [sym_string] = STATE(8413),
    [sym_unit] = STATE(8218),
    [sym_return_expression] = STATE(13097),
    [sym_throw_expression] = STATE(13097),
    [sym_while_expression] = STATE(13097),
    [sym_do_while_expression] = STATE(13097),
    [sym_for_expression] = STATE(13097),
    [sym_comment] = STATE(2230),
    [sym_block_comment] = STATE(2230),
    [sym__alpha_identifier] = ACTIONS(1494),
    [anon_sym_LBRACE] = ACTIONS(1498),
    [anon_sym__] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1502),
    [anon_sym_end] = ACTIONS(1504),
    [anon_sym_if] = ACTIONS(2845),
    [anon_sym_while] = ACTIONS(2847),
    [anon_sym_for] = ACTIONS(2849),
    [anon_sym_try] = ACTIONS(2851),
    [anon_sym_new] = ACTIONS(1506),
    [anon_sym_opaque] = ACTIONS(1504),
    [anon_sym_implicit] = ACTIONS(2853),
    [anon_sym_inline] = ACTIONS(1508),
    [anon_sym_infix] = ACTIONS(1504),
    [anon_sym_open] = ACTIONS(1504),
    [anon_sym_transparent] = ACTIONS(1504),
    [anon_sym_LPAREN] = ACTIONS(1510),
    [anon_sym_macro] = ACTIONS(2054),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_TILDE] = ACTIONS(1502),
    [anon_sym_DOLLAR] = ACTIONS(1512),
    [anon_sym_SQUOTE] = ACTIONS(1514),
    [sym__backquoted_id] = ACTIONS(1516),
    [sym_operator_identifier] = ACTIONS(3314),
    [sym_integer_literal] = ACTIONS(1520),
    [sym_floating_point_literal] = ACTIONS(1522),
    [anon_sym_true] = ACTIONS(1524),
    [anon_sym_false] = ACTIONS(1524),
    [sym_character_literal] = ACTIONS(1522),
    [sym_null_literal] = ACTIONS(1526),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2062),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1528),
    [sym__simple_string] = ACTIONS(1528),
  },
  [2231] = {
    [sym_inline_modifier] = STATE(2234),
    [sym_block] = STATE(7443),
    [sym_expression] = STATE(12297),
    [sym__simple_expression] = STATE(5279),
    [sym_lambda_expression] = STATE(12692),
    [sym_if_expression] = STATE(12692),
    [sym_match_expression] = STATE(12692),
    [sym_try_expression] = STATE(12692),
    [sym_bindings] = STATE(15619),
    [sym_case_block] = STATE(7443),
    [sym_assignment_expression] = STATE(12692),
    [sym_generic_function] = STATE(7443),
    [sym_call_expression] = STATE(7443),
    [sym_field_expression] = STATE(7443),
    [sym_instance_expression] = STATE(7443),
    [sym_ascription_expression] = STATE(12692),
    [sym_infix_expression] = STATE(8993),
    [sym_postfix_expression] = STATE(12386),
    [sym__postfix_expression_choice] = STATE(16150),
    [sym_macro_body] = STATE(12692),
    [sym_prefix_expression] = STATE(8795),
    [sym_tuple_expression] = STATE(7443),
    [sym_parenthesized_expression] = STATE(7443),
    [sym_splice_expression] = STATE(7443),
    [sym_quote_expression] = STATE(7443),
    [sym_identifier] = STATE(4734),
    [sym__soft_identifier] = STATE(5213),
    [sym_wildcard] = STATE(7227),
    [sym__non_null_literal] = STATE(7443),
    [sym_boolean_literal] = STATE(7707),
    [sym_interpolated_string_expression] = STATE(7443),
    [sym_string] = STATE(7707),
    [sym_unit] = STATE(7443),
    [sym_return_expression] = STATE(12692),
    [sym_throw_expression] = STATE(12692),
    [sym_while_expression] = STATE(12692),
    [sym_do_while_expression] = STATE(12692),
    [sym_for_expression] = STATE(12692),
    [sym_comment] = STATE(2231),
    [sym_block_comment] = STATE(2231),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(2292),
    [anon_sym_while] = ACTIONS(1480),
    [anon_sym_for] = ACTIONS(1482),
    [anon_sym_try] = ACTIONS(1484),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(1486),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1196),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(1488),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(1490),
    [anon_sym_throw] = ACTIONS(1492),
    [anon_sym_do] = ACTIONS(1204),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [2232] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(14967),
    [sym__simple_expression] = STATE(7330),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(10233),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16017),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10093),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(5490),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(8581),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2232),
    [sym_block_comment] = STATE(2232),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(1862),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [2233] = {
    [sym_inline_modifier] = STATE(2115),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(12279),
    [sym__simple_expression] = STATE(7311),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15577),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(10220),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10124),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6254),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(8727),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(2233),
    [sym_block_comment] = STATE(2233),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(603),
    [anon_sym_DASH] = ACTIONS(603),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(605),
    [anon_sym_while] = ACTIONS(607),
    [anon_sym_for] = ACTIONS(609),
    [anon_sym_try] = ACTIONS(611),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2192),
    [anon_sym_inline] = ACTIONS(1764),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(603),
    [anon_sym_TILDE] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(621),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(623),
    [anon_sym_throw] = ACTIONS(625),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [2234] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(15303),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2234),
    [sym_block_comment] = STATE(2234),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4104),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2235] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(8218),
    [sym_expression] = STATE(15153),
    [sym__simple_expression] = STATE(5343),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(8218),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(8218),
    [sym_call_expression] = STATE(8218),
    [sym_field_expression] = STATE(8218),
    [sym_instance_expression] = STATE(8218),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9466),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(15857),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(8896),
    [sym_tuple_expression] = STATE(8218),
    [sym_parenthesized_expression] = STATE(8218),
    [sym_splice_expression] = STATE(8218),
    [sym_quote_expression] = STATE(8218),
    [sym_identifier] = STATE(4879),
    [sym__soft_identifier] = STATE(5752),
    [sym_wildcard] = STATE(6777),
    [sym__non_null_literal] = STATE(8218),
    [sym_boolean_literal] = STATE(8413),
    [sym_interpolated_string_expression] = STATE(8218),
    [sym_string] = STATE(8413),
    [sym_unit] = STATE(8218),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2235),
    [sym_block_comment] = STATE(2235),
    [sym__alpha_identifier] = ACTIONS(1494),
    [anon_sym_LBRACE] = ACTIONS(1498),
    [anon_sym__] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1502),
    [anon_sym_end] = ACTIONS(1504),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1506),
    [anon_sym_opaque] = ACTIONS(1504),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1508),
    [anon_sym_infix] = ACTIONS(1504),
    [anon_sym_open] = ACTIONS(1504),
    [anon_sym_transparent] = ACTIONS(1504),
    [anon_sym_LPAREN] = ACTIONS(1510),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_TILDE] = ACTIONS(1502),
    [anon_sym_DOLLAR] = ACTIONS(1512),
    [anon_sym_SQUOTE] = ACTIONS(1514),
    [sym__backquoted_id] = ACTIONS(1516),
    [sym_operator_identifier] = ACTIONS(1518),
    [sym_integer_literal] = ACTIONS(1520),
    [sym_floating_point_literal] = ACTIONS(1522),
    [anon_sym_true] = ACTIONS(1524),
    [anon_sym_false] = ACTIONS(1524),
    [sym_character_literal] = ACTIONS(1522),
    [sym_null_literal] = ACTIONS(1526),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1528),
    [sym__simple_string] = ACTIONS(1528),
  },
  [2236] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9913),
    [sym_expression] = STATE(15008),
    [sym__simple_expression] = STATE(7203),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9913),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9913),
    [sym_call_expression] = STATE(9913),
    [sym_field_expression] = STATE(9913),
    [sym_instance_expression] = STATE(9913),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(15923),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9913),
    [sym_parenthesized_expression] = STATE(9913),
    [sym_splice_expression] = STATE(9913),
    [sym_quote_expression] = STATE(9913),
    [sym_identifier] = STATE(6614),
    [sym__soft_identifier] = STATE(4555),
    [sym_wildcard] = STATE(9170),
    [sym__non_null_literal] = STATE(9913),
    [sym_boolean_literal] = STATE(6572),
    [sym_interpolated_string_expression] = STATE(9913),
    [sym_string] = STATE(6572),
    [sym_unit] = STATE(9913),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2236),
    [sym_block_comment] = STATE(2236),
    [sym__alpha_identifier] = ACTIONS(1766),
    [anon_sym_LBRACE] = ACTIONS(1770),
    [anon_sym__] = ACTIONS(1772),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(1776),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1778),
    [anon_sym_opaque] = ACTIONS(1776),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1780),
    [anon_sym_infix] = ACTIONS(1776),
    [anon_sym_open] = ACTIONS(1776),
    [anon_sym_transparent] = ACTIONS(1776),
    [anon_sym_LPAREN] = ACTIONS(1782),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(1784),
    [anon_sym_SQUOTE] = ACTIONS(1786),
    [sym__backquoted_id] = ACTIONS(1788),
    [sym_operator_identifier] = ACTIONS(1790),
    [sym_integer_literal] = ACTIONS(1792),
    [sym_floating_point_literal] = ACTIONS(1794),
    [anon_sym_true] = ACTIONS(1796),
    [anon_sym_false] = ACTIONS(1796),
    [sym_character_literal] = ACTIONS(1794),
    [sym_null_literal] = ACTIONS(1798),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1800),
    [sym__simple_string] = ACTIONS(1800),
  },
  [2237] = {
    [sym_inline_modifier] = STATE(2281),
    [sym_block] = STATE(6540),
    [sym_expression] = STATE(11393),
    [sym__simple_expression] = STATE(5304),
    [sym_lambda_expression] = STATE(11374),
    [sym_if_expression] = STATE(11374),
    [sym_match_expression] = STATE(11374),
    [sym_try_expression] = STATE(11374),
    [sym_bindings] = STATE(15689),
    [sym_case_block] = STATE(6540),
    [sym_assignment_expression] = STATE(11374),
    [sym_generic_function] = STATE(6540),
    [sym_call_expression] = STATE(6540),
    [sym_field_expression] = STATE(6540),
    [sym_instance_expression] = STATE(6540),
    [sym_ascription_expression] = STATE(11374),
    [sym_infix_expression] = STATE(7834),
    [sym_postfix_expression] = STATE(11215),
    [sym__postfix_expression_choice] = STATE(16210),
    [sym_macro_body] = STATE(11374),
    [sym_prefix_expression] = STATE(8725),
    [sym_tuple_expression] = STATE(6540),
    [sym_parenthesized_expression] = STATE(6540),
    [sym_splice_expression] = STATE(6540),
    [sym_quote_expression] = STATE(6540),
    [sym_identifier] = STATE(4721),
    [sym__soft_identifier] = STATE(4667),
    [sym_wildcard] = STATE(7076),
    [sym__non_null_literal] = STATE(6540),
    [sym_boolean_literal] = STATE(6246),
    [sym_interpolated_string_expression] = STATE(6540),
    [sym_string] = STATE(6246),
    [sym_unit] = STATE(6540),
    [sym_return_expression] = STATE(11374),
    [sym_throw_expression] = STATE(11374),
    [sym_while_expression] = STATE(11374),
    [sym_do_while_expression] = STATE(11374),
    [sym_for_expression] = STATE(11374),
    [sym_comment] = STATE(2237),
    [sym_block_comment] = STATE(2237),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(2238),
    [anon_sym_while] = ACTIONS(1568),
    [anon_sym_for] = ACTIONS(1570),
    [anon_sym_try] = ACTIONS(1572),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1574),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1540),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1576),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1578),
    [anon_sym_throw] = ACTIONS(1580),
    [anon_sym_do] = ACTIONS(1548),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [2238] = {
    [sym_inline_modifier] = STATE(2050),
    [sym_block] = STATE(8375),
    [sym_expression] = STATE(12889),
    [sym__simple_expression] = STATE(6499),
    [sym_lambda_expression] = STATE(13185),
    [sym_if_expression] = STATE(13185),
    [sym_match_expression] = STATE(13185),
    [sym_try_expression] = STATE(13185),
    [sym_bindings] = STATE(15649),
    [sym_case_block] = STATE(8375),
    [sym_assignment_expression] = STATE(13185),
    [sym_generic_function] = STATE(8375),
    [sym_call_expression] = STATE(8375),
    [sym_field_expression] = STATE(8375),
    [sym_instance_expression] = STATE(8375),
    [sym_ascription_expression] = STATE(13185),
    [sym_infix_expression] = STATE(9364),
    [sym_postfix_expression] = STATE(12809),
    [sym__postfix_expression_choice] = STATE(16440),
    [sym_macro_body] = STATE(13185),
    [sym_prefix_expression] = STATE(9765),
    [sym_tuple_expression] = STATE(8375),
    [sym_parenthesized_expression] = STATE(8375),
    [sym_splice_expression] = STATE(8375),
    [sym_quote_expression] = STATE(8375),
    [sym_identifier] = STATE(5812),
    [sym__soft_identifier] = STATE(5430),
    [sym_wildcard] = STATE(8380),
    [sym__non_null_literal] = STATE(8375),
    [sym_boolean_literal] = STATE(8117),
    [sym_interpolated_string_expression] = STATE(8375),
    [sym_string] = STATE(8117),
    [sym_unit] = STATE(8375),
    [sym_return_expression] = STATE(13185),
    [sym_throw_expression] = STATE(13185),
    [sym_while_expression] = STATE(13185),
    [sym_do_while_expression] = STATE(13185),
    [sym_for_expression] = STATE(13185),
    [sym_comment] = STATE(2238),
    [sym_block_comment] = STATE(2238),
    [sym__alpha_identifier] = ACTIONS(1618),
    [anon_sym_LBRACE] = ACTIONS(1622),
    [anon_sym__] = ACTIONS(1624),
    [anon_sym_PLUS] = ACTIONS(1626),
    [anon_sym_DASH] = ACTIONS(1626),
    [anon_sym_end] = ACTIONS(1628),
    [anon_sym_if] = ACTIONS(2064),
    [anon_sym_while] = ACTIONS(2066),
    [anon_sym_for] = ACTIONS(2068),
    [anon_sym_try] = ACTIONS(2070),
    [anon_sym_new] = ACTIONS(1630),
    [anon_sym_opaque] = ACTIONS(1628),
    [anon_sym_implicit] = ACTIONS(2072),
    [anon_sym_inline] = ACTIONS(1632),
    [anon_sym_infix] = ACTIONS(1628),
    [anon_sym_open] = ACTIONS(1628),
    [anon_sym_transparent] = ACTIONS(1628),
    [anon_sym_LPAREN] = ACTIONS(1634),
    [anon_sym_macro] = ACTIONS(2074),
    [anon_sym_BANG] = ACTIONS(1626),
    [anon_sym_TILDE] = ACTIONS(1626),
    [anon_sym_DOLLAR] = ACTIONS(1636),
    [anon_sym_SQUOTE] = ACTIONS(1638),
    [sym__backquoted_id] = ACTIONS(1640),
    [sym_operator_identifier] = ACTIONS(2076),
    [sym_integer_literal] = ACTIONS(1644),
    [sym_floating_point_literal] = ACTIONS(1646),
    [anon_sym_true] = ACTIONS(1648),
    [anon_sym_false] = ACTIONS(1648),
    [sym_character_literal] = ACTIONS(1646),
    [sym_null_literal] = ACTIONS(1650),
    [anon_sym_return] = ACTIONS(2078),
    [anon_sym_throw] = ACTIONS(2080),
    [anon_sym_do] = ACTIONS(2082),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1652),
    [sym__simple_string] = ACTIONS(1652),
  },
  [2239] = {
    [sym_inline_modifier] = STATE(2159),
    [sym_block] = STATE(6450),
    [sym_expression] = STATE(11484),
    [sym__simple_expression] = STATE(5274),
    [sym_lambda_expression] = STATE(11549),
    [sym_if_expression] = STATE(11549),
    [sym_match_expression] = STATE(11549),
    [sym_try_expression] = STATE(11549),
    [sym_bindings] = STATE(15607),
    [sym_case_block] = STATE(6450),
    [sym_assignment_expression] = STATE(11549),
    [sym_generic_function] = STATE(6450),
    [sym_call_expression] = STATE(6450),
    [sym_field_expression] = STATE(6450),
    [sym_instance_expression] = STATE(6450),
    [sym_ascription_expression] = STATE(11549),
    [sym_infix_expression] = STATE(7641),
    [sym_postfix_expression] = STATE(11204),
    [sym__postfix_expression_choice] = STATE(16480),
    [sym_macro_body] = STATE(11549),
    [sym_prefix_expression] = STATE(8822),
    [sym_tuple_expression] = STATE(6450),
    [sym_parenthesized_expression] = STATE(6450),
    [sym_splice_expression] = STATE(6450),
    [sym_quote_expression] = STATE(6450),
    [sym_identifier] = STATE(4738),
    [sym__soft_identifier] = STATE(4507),
    [sym_wildcard] = STATE(7298),
    [sym__non_null_literal] = STATE(6450),
    [sym_boolean_literal] = STATE(6156),
    [sym_interpolated_string_expression] = STATE(6450),
    [sym_string] = STATE(6156),
    [sym_unit] = STATE(6450),
    [sym_return_expression] = STATE(11549),
    [sym_throw_expression] = STATE(11549),
    [sym_while_expression] = STATE(11549),
    [sym_do_while_expression] = STATE(11549),
    [sym_for_expression] = STATE(11549),
    [sym_comment] = STATE(2239),
    [sym_block_comment] = STATE(2239),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(2472),
    [anon_sym_while] = ACTIONS(1974),
    [anon_sym_for] = ACTIONS(1976),
    [anon_sym_try] = ACTIONS(1978),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1980),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1378),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1982),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1984),
    [anon_sym_throw] = ACTIONS(1986),
    [anon_sym_do] = ACTIONS(1386),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [2240] = {
    [sym_inline_modifier] = STATE(2074),
    [sym_block] = STATE(9523),
    [sym_expression] = STATE(13370),
    [sym__simple_expression] = STATE(6085),
    [sym_lambda_expression] = STATE(11549),
    [sym_if_expression] = STATE(11549),
    [sym_match_expression] = STATE(11549),
    [sym_try_expression] = STATE(11549),
    [sym_bindings] = STATE(15713),
    [sym_case_block] = STATE(9523),
    [sym_assignment_expression] = STATE(11549),
    [sym_generic_function] = STATE(9523),
    [sym_call_expression] = STATE(9523),
    [sym_field_expression] = STATE(9523),
    [sym_instance_expression] = STATE(9523),
    [sym_ascription_expression] = STATE(11549),
    [sym_infix_expression] = STATE(10056),
    [sym_postfix_expression] = STATE(11204),
    [sym__postfix_expression_choice] = STATE(16623),
    [sym_macro_body] = STATE(11549),
    [sym_prefix_expression] = STATE(9754),
    [sym_tuple_expression] = STATE(9523),
    [sym_parenthesized_expression] = STATE(9523),
    [sym_splice_expression] = STATE(9523),
    [sym_quote_expression] = STATE(9523),
    [sym_identifier] = STATE(5442),
    [sym__soft_identifier] = STATE(4485),
    [sym_wildcard] = STATE(8639),
    [sym__non_null_literal] = STATE(9523),
    [sym_boolean_literal] = STATE(5592),
    [sym_interpolated_string_expression] = STATE(9523),
    [sym_string] = STATE(5592),
    [sym_unit] = STATE(9523),
    [sym_return_expression] = STATE(11549),
    [sym_throw_expression] = STATE(11549),
    [sym_while_expression] = STATE(11549),
    [sym_do_while_expression] = STATE(11549),
    [sym_for_expression] = STATE(11549),
    [sym_comment] = STATE(2240),
    [sym_block_comment] = STATE(2240),
    [sym__alpha_identifier] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(1392),
    [anon_sym__] = ACTIONS(1394),
    [anon_sym_PLUS] = ACTIONS(1396),
    [anon_sym_DASH] = ACTIONS(1396),
    [anon_sym_end] = ACTIONS(1398),
    [anon_sym_if] = ACTIONS(1820),
    [anon_sym_while] = ACTIONS(1822),
    [anon_sym_for] = ACTIONS(1824),
    [anon_sym_try] = ACTIONS(1826),
    [anon_sym_new] = ACTIONS(1400),
    [anon_sym_opaque] = ACTIONS(1398),
    [anon_sym_implicit] = ACTIONS(1828),
    [anon_sym_inline] = ACTIONS(1402),
    [anon_sym_infix] = ACTIONS(1398),
    [anon_sym_open] = ACTIONS(1398),
    [anon_sym_transparent] = ACTIONS(1398),
    [anon_sym_LPAREN] = ACTIONS(1404),
    [anon_sym_macro] = ACTIONS(1830),
    [anon_sym_BANG] = ACTIONS(1396),
    [anon_sym_TILDE] = ACTIONS(1396),
    [anon_sym_DOLLAR] = ACTIONS(1406),
    [anon_sym_SQUOTE] = ACTIONS(1408),
    [sym__backquoted_id] = ACTIONS(1410),
    [sym_operator_identifier] = ACTIONS(1832),
    [sym_integer_literal] = ACTIONS(1414),
    [sym_floating_point_literal] = ACTIONS(1416),
    [anon_sym_true] = ACTIONS(1418),
    [anon_sym_false] = ACTIONS(1418),
    [sym_character_literal] = ACTIONS(1416),
    [sym_null_literal] = ACTIONS(1420),
    [anon_sym_return] = ACTIONS(1834),
    [anon_sym_throw] = ACTIONS(1836),
    [anon_sym_do] = ACTIONS(1386),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1422),
    [sym__simple_string] = ACTIONS(1422),
  },
  [2241] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13915),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2241),
    [sym_block_comment] = STATE(2241),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2242] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(14219),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2242),
    [sym_block_comment] = STATE(2242),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2243] = {
    [sym_inline_modifier] = STATE(2159),
    [sym_block] = STATE(6450),
    [sym_expression] = STATE(11477),
    [sym__simple_expression] = STATE(5274),
    [sym_lambda_expression] = STATE(11549),
    [sym_if_expression] = STATE(11549),
    [sym_match_expression] = STATE(11549),
    [sym_try_expression] = STATE(11549),
    [sym_bindings] = STATE(15607),
    [sym_case_block] = STATE(6450),
    [sym_assignment_expression] = STATE(11549),
    [sym_generic_function] = STATE(6450),
    [sym_call_expression] = STATE(6450),
    [sym_field_expression] = STATE(6450),
    [sym_instance_expression] = STATE(6450),
    [sym_ascription_expression] = STATE(11549),
    [sym_infix_expression] = STATE(7641),
    [sym_postfix_expression] = STATE(11204),
    [sym__postfix_expression_choice] = STATE(16480),
    [sym_macro_body] = STATE(11549),
    [sym_prefix_expression] = STATE(8822),
    [sym_tuple_expression] = STATE(6450),
    [sym_parenthesized_expression] = STATE(6450),
    [sym_splice_expression] = STATE(6450),
    [sym_quote_expression] = STATE(6450),
    [sym_identifier] = STATE(4738),
    [sym__soft_identifier] = STATE(4507),
    [sym_wildcard] = STATE(7298),
    [sym__non_null_literal] = STATE(6450),
    [sym_boolean_literal] = STATE(6156),
    [sym_interpolated_string_expression] = STATE(6450),
    [sym_string] = STATE(6156),
    [sym_unit] = STATE(6450),
    [sym_return_expression] = STATE(11549),
    [sym_throw_expression] = STATE(11549),
    [sym_while_expression] = STATE(11549),
    [sym_do_while_expression] = STATE(11549),
    [sym_for_expression] = STATE(11549),
    [sym_comment] = STATE(2243),
    [sym_block_comment] = STATE(2243),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(2472),
    [anon_sym_while] = ACTIONS(1974),
    [anon_sym_for] = ACTIONS(1976),
    [anon_sym_try] = ACTIONS(1978),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1980),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1378),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1982),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1984),
    [anon_sym_throw] = ACTIONS(1986),
    [anon_sym_do] = ACTIONS(1386),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [2244] = {
    [sym_inline_modifier] = STATE(2234),
    [sym_block] = STATE(7443),
    [sym_expression] = STATE(12246),
    [sym__simple_expression] = STATE(5279),
    [sym_lambda_expression] = STATE(12692),
    [sym_if_expression] = STATE(12692),
    [sym_match_expression] = STATE(12692),
    [sym_try_expression] = STATE(12692),
    [sym_bindings] = STATE(15619),
    [sym_case_block] = STATE(7443),
    [sym_assignment_expression] = STATE(12692),
    [sym_generic_function] = STATE(7443),
    [sym_call_expression] = STATE(7443),
    [sym_field_expression] = STATE(7443),
    [sym_instance_expression] = STATE(7443),
    [sym_ascription_expression] = STATE(12692),
    [sym_infix_expression] = STATE(8993),
    [sym_postfix_expression] = STATE(12386),
    [sym__postfix_expression_choice] = STATE(16150),
    [sym_macro_body] = STATE(12692),
    [sym_prefix_expression] = STATE(8795),
    [sym_tuple_expression] = STATE(7443),
    [sym_parenthesized_expression] = STATE(7443),
    [sym_splice_expression] = STATE(7443),
    [sym_quote_expression] = STATE(7443),
    [sym_identifier] = STATE(4734),
    [sym__soft_identifier] = STATE(5213),
    [sym_wildcard] = STATE(7227),
    [sym__non_null_literal] = STATE(7443),
    [sym_boolean_literal] = STATE(7707),
    [sym_interpolated_string_expression] = STATE(7443),
    [sym_string] = STATE(7707),
    [sym_unit] = STATE(7443),
    [sym_return_expression] = STATE(12692),
    [sym_throw_expression] = STATE(12692),
    [sym_while_expression] = STATE(12692),
    [sym_do_while_expression] = STATE(12692),
    [sym_for_expression] = STATE(12692),
    [sym_comment] = STATE(2244),
    [sym_block_comment] = STATE(2244),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(2292),
    [anon_sym_while] = ACTIONS(1480),
    [anon_sym_for] = ACTIONS(1482),
    [anon_sym_try] = ACTIONS(1484),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(1486),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1196),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(1488),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(1490),
    [anon_sym_throw] = ACTIONS(1492),
    [anon_sym_do] = ACTIONS(1204),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [2245] = {
    [sym_inline_modifier] = STATE(2115),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(12259),
    [sym__simple_expression] = STATE(7311),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15577),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(10220),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10124),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(6254),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(8727),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(2245),
    [sym_block_comment] = STATE(2245),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(603),
    [anon_sym_DASH] = ACTIONS(603),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(605),
    [anon_sym_while] = ACTIONS(607),
    [anon_sym_for] = ACTIONS(609),
    [anon_sym_try] = ACTIONS(611),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2192),
    [anon_sym_inline] = ACTIONS(1764),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(603),
    [anon_sym_TILDE] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(621),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(623),
    [anon_sym_throw] = ACTIONS(625),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [2246] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(15357),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2246),
    [sym_block_comment] = STATE(2246),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4106),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2247] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(6954),
    [sym_expression] = STATE(15118),
    [sym__simple_expression] = STATE(4570),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(6954),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(6954),
    [sym_call_expression] = STATE(6954),
    [sym_field_expression] = STATE(6954),
    [sym_instance_expression] = STATE(6954),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(8143),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(15800),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(7978),
    [sym_tuple_expression] = STATE(6954),
    [sym_parenthesized_expression] = STATE(6954),
    [sym_splice_expression] = STATE(6954),
    [sym_quote_expression] = STATE(6954),
    [sym_identifier] = STATE(4491),
    [sym__soft_identifier] = STATE(4827),
    [sym_wildcard] = STATE(5433),
    [sym__non_null_literal] = STATE(6954),
    [sym_boolean_literal] = STATE(6997),
    [sym_interpolated_string_expression] = STATE(6954),
    [sym_string] = STATE(6997),
    [sym_unit] = STATE(6954),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2247),
    [sym_block_comment] = STATE(2247),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(1100),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [2248] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(14967),
    [sym__simple_expression] = STATE(6014),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16017),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(5490),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(8581),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2248),
    [sym_block_comment] = STATE(2248),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(1862),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [2249] = {
    [sym_inline_modifier] = STATE(2148),
    [sym_block] = STATE(9088),
    [sym_expression] = STATE(13154),
    [sym__simple_expression] = STATE(8626),
    [sym_lambda_expression] = STATE(13338),
    [sym_if_expression] = STATE(13338),
    [sym_match_expression] = STATE(13338),
    [sym_try_expression] = STATE(13338),
    [sym_bindings] = STATE(15683),
    [sym_case_block] = STATE(9088),
    [sym_assignment_expression] = STATE(13338),
    [sym_generic_function] = STATE(9088),
    [sym_call_expression] = STATE(9088),
    [sym_field_expression] = STATE(9088),
    [sym_instance_expression] = STATE(9088),
    [sym_ascription_expression] = STATE(13338),
    [sym_infix_expression] = STATE(9773),
    [sym_postfix_expression] = STATE(13117),
    [sym__postfix_expression_choice] = STATE(15912),
    [sym_macro_body] = STATE(13338),
    [sym_prefix_expression] = STATE(10372),
    [sym_tuple_expression] = STATE(9088),
    [sym_parenthesized_expression] = STATE(9088),
    [sym_splice_expression] = STATE(9088),
    [sym_quote_expression] = STATE(9088),
    [sym_identifier] = STATE(7467),
    [sym__soft_identifier] = STATE(6581),
    [sym_wildcard] = STATE(9755),
    [sym__non_null_literal] = STATE(9088),
    [sym_boolean_literal] = STATE(8905),
    [sym_interpolated_string_expression] = STATE(9088),
    [sym_string] = STATE(8905),
    [sym_unit] = STATE(9088),
    [sym_return_expression] = STATE(13338),
    [sym_throw_expression] = STATE(13338),
    [sym_while_expression] = STATE(13338),
    [sym_do_while_expression] = STATE(13338),
    [sym_for_expression] = STATE(13338),
    [sym_comment] = STATE(2249),
    [sym_block_comment] = STATE(2249),
    [sym__alpha_identifier] = ACTIONS(1938),
    [anon_sym_LBRACE] = ACTIONS(1942),
    [anon_sym__] = ACTIONS(1944),
    [anon_sym_PLUS] = ACTIONS(1946),
    [anon_sym_DASH] = ACTIONS(1946),
    [anon_sym_end] = ACTIONS(1948),
    [anon_sym_if] = ACTIONS(2450),
    [anon_sym_while] = ACTIONS(2452),
    [anon_sym_for] = ACTIONS(2454),
    [anon_sym_try] = ACTIONS(2456),
    [anon_sym_new] = ACTIONS(1950),
    [anon_sym_opaque] = ACTIONS(1948),
    [anon_sym_implicit] = ACTIONS(2458),
    [anon_sym_inline] = ACTIONS(1952),
    [anon_sym_infix] = ACTIONS(1948),
    [anon_sym_open] = ACTIONS(1948),
    [anon_sym_transparent] = ACTIONS(1948),
    [anon_sym_LPAREN] = ACTIONS(1954),
    [anon_sym_macro] = ACTIONS(2270),
    [anon_sym_BANG] = ACTIONS(1946),
    [anon_sym_TILDE] = ACTIONS(1946),
    [anon_sym_DOLLAR] = ACTIONS(1956),
    [anon_sym_SQUOTE] = ACTIONS(1958),
    [sym__backquoted_id] = ACTIONS(1960),
    [sym_operator_identifier] = ACTIONS(2460),
    [sym_integer_literal] = ACTIONS(1964),
    [sym_floating_point_literal] = ACTIONS(1966),
    [anon_sym_true] = ACTIONS(1968),
    [anon_sym_false] = ACTIONS(1968),
    [sym_character_literal] = ACTIONS(1966),
    [sym_null_literal] = ACTIONS(1970),
    [anon_sym_return] = ACTIONS(2462),
    [anon_sym_throw] = ACTIONS(2464),
    [anon_sym_do] = ACTIONS(2278),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1972),
    [sym__simple_string] = ACTIONS(1972),
  },
  [2250] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(15131),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2250),
    [sym_block_comment] = STATE(2250),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4108),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2251] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(14072),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2251),
    [sym_block_comment] = STATE(2251),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2252] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(14984),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2252),
    [sym_block_comment] = STATE(2252),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4110),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2253] = {
    [sym_inline_modifier] = STATE(2262),
    [sym_block] = STATE(6540),
    [sym_expression] = STATE(11382),
    [sym__simple_expression] = STATE(5817),
    [sym_lambda_expression] = STATE(11374),
    [sym_if_expression] = STATE(11374),
    [sym_match_expression] = STATE(11374),
    [sym_try_expression] = STATE(11374),
    [sym_bindings] = STATE(15530),
    [sym_case_block] = STATE(6540),
    [sym_assignment_expression] = STATE(11374),
    [sym_generic_function] = STATE(6540),
    [sym_call_expression] = STATE(6540),
    [sym_field_expression] = STATE(6540),
    [sym_instance_expression] = STATE(6540),
    [sym_ascription_expression] = STATE(11374),
    [sym_infix_expression] = STATE(7834),
    [sym_postfix_expression] = STATE(11215),
    [sym__postfix_expression_choice] = STATE(16210),
    [sym_macro_body] = STATE(11374),
    [sym_prefix_expression] = STATE(9262),
    [sym_tuple_expression] = STATE(6540),
    [sym_parenthesized_expression] = STATE(6540),
    [sym_splice_expression] = STATE(6540),
    [sym_quote_expression] = STATE(6540),
    [sym_identifier] = STATE(5031),
    [sym__soft_identifier] = STATE(4667),
    [sym_wildcard] = STATE(7986),
    [sym__non_null_literal] = STATE(6540),
    [sym_boolean_literal] = STATE(6246),
    [sym_interpolated_string_expression] = STATE(6540),
    [sym_string] = STATE(6246),
    [sym_unit] = STATE(6540),
    [sym_return_expression] = STATE(11374),
    [sym_throw_expression] = STATE(11374),
    [sym_while_expression] = STATE(11374),
    [sym_do_while_expression] = STATE(11374),
    [sym_for_expression] = STATE(11374),
    [sym_comment] = STATE(2253),
    [sym_block_comment] = STATE(2253),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(1530),
    [anon_sym_while] = ACTIONS(1532),
    [anon_sym_for] = ACTIONS(1534),
    [anon_sym_try] = ACTIONS(1536),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1538),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1540),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1542),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1544),
    [anon_sym_throw] = ACTIONS(1546),
    [anon_sym_do] = ACTIONS(1548),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [2254] = {
    [sym_inline_modifier] = STATE(2262),
    [sym_block] = STATE(6540),
    [sym_expression] = STATE(11394),
    [sym__simple_expression] = STATE(5817),
    [sym_lambda_expression] = STATE(11374),
    [sym_if_expression] = STATE(11374),
    [sym_match_expression] = STATE(11374),
    [sym_try_expression] = STATE(11374),
    [sym_bindings] = STATE(15530),
    [sym_case_block] = STATE(6540),
    [sym_assignment_expression] = STATE(11374),
    [sym_generic_function] = STATE(6540),
    [sym_call_expression] = STATE(6540),
    [sym_field_expression] = STATE(6540),
    [sym_instance_expression] = STATE(6540),
    [sym_ascription_expression] = STATE(11374),
    [sym_infix_expression] = STATE(7834),
    [sym_postfix_expression] = STATE(11215),
    [sym__postfix_expression_choice] = STATE(16210),
    [sym_macro_body] = STATE(11374),
    [sym_prefix_expression] = STATE(9262),
    [sym_tuple_expression] = STATE(6540),
    [sym_parenthesized_expression] = STATE(6540),
    [sym_splice_expression] = STATE(6540),
    [sym_quote_expression] = STATE(6540),
    [sym_identifier] = STATE(5031),
    [sym__soft_identifier] = STATE(4667),
    [sym_wildcard] = STATE(7986),
    [sym__non_null_literal] = STATE(6540),
    [sym_boolean_literal] = STATE(6246),
    [sym_interpolated_string_expression] = STATE(6540),
    [sym_string] = STATE(6246),
    [sym_unit] = STATE(6540),
    [sym_return_expression] = STATE(11374),
    [sym_throw_expression] = STATE(11374),
    [sym_while_expression] = STATE(11374),
    [sym_do_while_expression] = STATE(11374),
    [sym_for_expression] = STATE(11374),
    [sym_comment] = STATE(2254),
    [sym_block_comment] = STATE(2254),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(1530),
    [anon_sym_while] = ACTIONS(1532),
    [anon_sym_for] = ACTIONS(1534),
    [anon_sym_try] = ACTIONS(1536),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1538),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1540),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1542),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1544),
    [anon_sym_throw] = ACTIONS(1546),
    [anon_sym_do] = ACTIONS(1548),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [2255] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(15289),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2255),
    [sym_block_comment] = STATE(2255),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4112),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2256] = {
    [sym_inline_modifier] = STATE(2191),
    [sym_block] = STATE(8821),
    [sym_expression] = STATE(13195),
    [sym__simple_expression] = STATE(6138),
    [sym_lambda_expression] = STATE(13337),
    [sym_if_expression] = STATE(13337),
    [sym_match_expression] = STATE(13337),
    [sym_try_expression] = STATE(13337),
    [sym_bindings] = STATE(15634),
    [sym_case_block] = STATE(8821),
    [sym_assignment_expression] = STATE(13337),
    [sym_generic_function] = STATE(8821),
    [sym_call_expression] = STATE(8821),
    [sym_field_expression] = STATE(8821),
    [sym_instance_expression] = STATE(8821),
    [sym_ascription_expression] = STATE(13337),
    [sym_infix_expression] = STATE(9659),
    [sym_postfix_expression] = STATE(13173),
    [sym__postfix_expression_choice] = STATE(16170),
    [sym_macro_body] = STATE(13337),
    [sym_prefix_expression] = STATE(9758),
    [sym_tuple_expression] = STATE(8821),
    [sym_parenthesized_expression] = STATE(8821),
    [sym_splice_expression] = STATE(8821),
    [sym_quote_expression] = STATE(8821),
    [sym_identifier] = STATE(5472),
    [sym__soft_identifier] = STATE(6446),
    [sym_wildcard] = STATE(8602),
    [sym__non_null_literal] = STATE(8821),
    [sym_boolean_literal] = STATE(8798),
    [sym_interpolated_string_expression] = STATE(8821),
    [sym_string] = STATE(8798),
    [sym_unit] = STATE(8821),
    [sym_return_expression] = STATE(13337),
    [sym_throw_expression] = STATE(13337),
    [sym_while_expression] = STATE(13337),
    [sym_do_while_expression] = STATE(13337),
    [sym_for_expression] = STATE(13337),
    [sym_comment] = STATE(2256),
    [sym_block_comment] = STATE(2256),
    [sym__alpha_identifier] = ACTIONS(1674),
    [anon_sym_LBRACE] = ACTIONS(1678),
    [anon_sym__] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1682),
    [anon_sym_DASH] = ACTIONS(1682),
    [anon_sym_end] = ACTIONS(1684),
    [anon_sym_if] = ACTIONS(2298),
    [anon_sym_while] = ACTIONS(2300),
    [anon_sym_for] = ACTIONS(2302),
    [anon_sym_try] = ACTIONS(2304),
    [anon_sym_new] = ACTIONS(1686),
    [anon_sym_opaque] = ACTIONS(1684),
    [anon_sym_implicit] = ACTIONS(2306),
    [anon_sym_inline] = ACTIONS(1688),
    [anon_sym_infix] = ACTIONS(1684),
    [anon_sym_open] = ACTIONS(1684),
    [anon_sym_transparent] = ACTIONS(1684),
    [anon_sym_LPAREN] = ACTIONS(1690),
    [anon_sym_macro] = ACTIONS(1914),
    [anon_sym_BANG] = ACTIONS(1682),
    [anon_sym_TILDE] = ACTIONS(1682),
    [anon_sym_DOLLAR] = ACTIONS(1692),
    [anon_sym_SQUOTE] = ACTIONS(1694),
    [sym__backquoted_id] = ACTIONS(1696),
    [sym_operator_identifier] = ACTIONS(2308),
    [sym_integer_literal] = ACTIONS(1700),
    [sym_floating_point_literal] = ACTIONS(1702),
    [anon_sym_true] = ACTIONS(1704),
    [anon_sym_false] = ACTIONS(1704),
    [sym_character_literal] = ACTIONS(1702),
    [sym_null_literal] = ACTIONS(1706),
    [anon_sym_return] = ACTIONS(2310),
    [anon_sym_throw] = ACTIONS(2312),
    [anon_sym_do] = ACTIONS(1922),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1708),
    [sym__simple_string] = ACTIONS(1708),
  },
  [2257] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9913),
    [sym_expression] = STATE(15008),
    [sym__simple_expression] = STATE(7188),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9913),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9913),
    [sym_call_expression] = STATE(9913),
    [sym_field_expression] = STATE(9913),
    [sym_instance_expression] = STATE(9913),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(10181),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(15923),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10038),
    [sym_tuple_expression] = STATE(9913),
    [sym_parenthesized_expression] = STATE(9913),
    [sym_splice_expression] = STATE(9913),
    [sym_quote_expression] = STATE(9913),
    [sym_identifier] = STATE(6614),
    [sym__soft_identifier] = STATE(4555),
    [sym_wildcard] = STATE(9170),
    [sym__non_null_literal] = STATE(9913),
    [sym_boolean_literal] = STATE(6572),
    [sym_interpolated_string_expression] = STATE(9913),
    [sym_string] = STATE(6572),
    [sym_unit] = STATE(9913),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2257),
    [sym_block_comment] = STATE(2257),
    [sym__alpha_identifier] = ACTIONS(1766),
    [anon_sym_LBRACE] = ACTIONS(1770),
    [anon_sym__] = ACTIONS(1772),
    [anon_sym_PLUS] = ACTIONS(1774),
    [anon_sym_DASH] = ACTIONS(1774),
    [anon_sym_end] = ACTIONS(1776),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1778),
    [anon_sym_opaque] = ACTIONS(1776),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1780),
    [anon_sym_infix] = ACTIONS(1776),
    [anon_sym_open] = ACTIONS(1776),
    [anon_sym_transparent] = ACTIONS(1776),
    [anon_sym_LPAREN] = ACTIONS(1782),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1774),
    [anon_sym_TILDE] = ACTIONS(1774),
    [anon_sym_DOLLAR] = ACTIONS(1784),
    [anon_sym_SQUOTE] = ACTIONS(1786),
    [sym__backquoted_id] = ACTIONS(1788),
    [sym_operator_identifier] = ACTIONS(1790),
    [sym_integer_literal] = ACTIONS(1792),
    [sym_floating_point_literal] = ACTIONS(1794),
    [anon_sym_true] = ACTIONS(1796),
    [anon_sym_false] = ACTIONS(1796),
    [sym_character_literal] = ACTIONS(1794),
    [sym_null_literal] = ACTIONS(1798),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1800),
    [sym__simple_string] = ACTIONS(1800),
  },
  [2258] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(8375),
    [sym_expression] = STATE(14916),
    [sym__simple_expression] = STATE(5373),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(8375),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(8375),
    [sym_call_expression] = STATE(8375),
    [sym_field_expression] = STATE(8375),
    [sym_instance_expression] = STATE(8375),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16072),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(8375),
    [sym_parenthesized_expression] = STATE(8375),
    [sym_splice_expression] = STATE(8375),
    [sym_quote_expression] = STATE(8375),
    [sym_identifier] = STATE(4711),
    [sym__soft_identifier] = STATE(5430),
    [sym_wildcard] = STATE(6992),
    [sym__non_null_literal] = STATE(8375),
    [sym_boolean_literal] = STATE(8117),
    [sym_interpolated_string_expression] = STATE(8375),
    [sym_string] = STATE(8117),
    [sym_unit] = STATE(8375),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2258),
    [sym_block_comment] = STATE(2258),
    [sym__alpha_identifier] = ACTIONS(1618),
    [anon_sym_LBRACE] = ACTIONS(1622),
    [anon_sym__] = ACTIONS(1624),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(1628),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1630),
    [anon_sym_opaque] = ACTIONS(1628),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1632),
    [anon_sym_infix] = ACTIONS(1628),
    [anon_sym_open] = ACTIONS(1628),
    [anon_sym_transparent] = ACTIONS(1628),
    [anon_sym_LPAREN] = ACTIONS(1634),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(1636),
    [anon_sym_SQUOTE] = ACTIONS(1638),
    [sym__backquoted_id] = ACTIONS(1640),
    [sym_operator_identifier] = ACTIONS(1642),
    [sym_integer_literal] = ACTIONS(1644),
    [sym_floating_point_literal] = ACTIONS(1646),
    [anon_sym_true] = ACTIONS(1648),
    [anon_sym_false] = ACTIONS(1648),
    [sym_character_literal] = ACTIONS(1646),
    [sym_null_literal] = ACTIONS(1650),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1652),
    [sym__simple_string] = ACTIONS(1652),
  },
  [2259] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(15059),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2259),
    [sym_block_comment] = STATE(2259),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4114),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2260] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9088),
    [sym_expression] = STATE(13154),
    [sym__simple_expression] = STATE(7286),
    [sym_lambda_expression] = STATE(13338),
    [sym_if_expression] = STATE(13338),
    [sym_match_expression] = STATE(13338),
    [sym_try_expression] = STATE(13338),
    [sym_bindings] = STATE(15723),
    [sym_case_block] = STATE(9088),
    [sym_assignment_expression] = STATE(13338),
    [sym_generic_function] = STATE(9088),
    [sym_call_expression] = STATE(9088),
    [sym_field_expression] = STATE(9088),
    [sym_instance_expression] = STATE(9088),
    [sym_ascription_expression] = STATE(13338),
    [sym_infix_expression] = STATE(9773),
    [sym_postfix_expression] = STATE(13117),
    [sym__postfix_expression_choice] = STATE(15912),
    [sym_macro_body] = STATE(13338),
    [sym_prefix_expression] = STATE(10020),
    [sym_tuple_expression] = STATE(9088),
    [sym_parenthesized_expression] = STATE(9088),
    [sym_splice_expression] = STATE(9088),
    [sym_quote_expression] = STATE(9088),
    [sym_identifier] = STATE(6105),
    [sym__soft_identifier] = STATE(6581),
    [sym_wildcard] = STATE(8709),
    [sym__non_null_literal] = STATE(9088),
    [sym_boolean_literal] = STATE(8905),
    [sym_interpolated_string_expression] = STATE(9088),
    [sym_string] = STATE(8905),
    [sym_unit] = STATE(9088),
    [sym_return_expression] = STATE(13338),
    [sym_throw_expression] = STATE(13338),
    [sym_while_expression] = STATE(13338),
    [sym_do_while_expression] = STATE(13338),
    [sym_for_expression] = STATE(13338),
    [sym_comment] = STATE(2260),
    [sym_block_comment] = STATE(2260),
    [sym__alpha_identifier] = ACTIONS(1938),
    [anon_sym_LBRACE] = ACTIONS(1942),
    [anon_sym__] = ACTIONS(1944),
    [anon_sym_PLUS] = ACTIONS(1946),
    [anon_sym_DASH] = ACTIONS(1946),
    [anon_sym_end] = ACTIONS(1948),
    [anon_sym_if] = ACTIONS(2260),
    [anon_sym_while] = ACTIONS(2262),
    [anon_sym_for] = ACTIONS(2264),
    [anon_sym_try] = ACTIONS(2266),
    [anon_sym_new] = ACTIONS(1950),
    [anon_sym_opaque] = ACTIONS(1948),
    [anon_sym_implicit] = ACTIONS(2268),
    [anon_sym_inline] = ACTIONS(1952),
    [anon_sym_infix] = ACTIONS(1948),
    [anon_sym_open] = ACTIONS(1948),
    [anon_sym_transparent] = ACTIONS(1948),
    [anon_sym_LPAREN] = ACTIONS(1954),
    [anon_sym_macro] = ACTIONS(2270),
    [anon_sym_BANG] = ACTIONS(1946),
    [anon_sym_TILDE] = ACTIONS(1946),
    [anon_sym_DOLLAR] = ACTIONS(1956),
    [anon_sym_SQUOTE] = ACTIONS(1958),
    [sym__backquoted_id] = ACTIONS(1960),
    [sym_operator_identifier] = ACTIONS(2272),
    [sym_integer_literal] = ACTIONS(1964),
    [sym_floating_point_literal] = ACTIONS(1966),
    [anon_sym_true] = ACTIONS(1968),
    [anon_sym_false] = ACTIONS(1968),
    [sym_character_literal] = ACTIONS(1966),
    [sym_null_literal] = ACTIONS(1970),
    [anon_sym_return] = ACTIONS(2274),
    [anon_sym_throw] = ACTIONS(2276),
    [anon_sym_do] = ACTIONS(2278),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1972),
    [sym__simple_string] = ACTIONS(1972),
  },
  [2261] = {
    [sym_inline_modifier] = STATE(2191),
    [sym_block] = STATE(8821),
    [sym_expression] = STATE(13244),
    [sym__simple_expression] = STATE(6138),
    [sym_lambda_expression] = STATE(13337),
    [sym_if_expression] = STATE(13337),
    [sym_match_expression] = STATE(13337),
    [sym_try_expression] = STATE(13337),
    [sym_bindings] = STATE(15634),
    [sym_case_block] = STATE(8821),
    [sym_assignment_expression] = STATE(13337),
    [sym_generic_function] = STATE(8821),
    [sym_call_expression] = STATE(8821),
    [sym_field_expression] = STATE(8821),
    [sym_instance_expression] = STATE(8821),
    [sym_ascription_expression] = STATE(13337),
    [sym_infix_expression] = STATE(9659),
    [sym_postfix_expression] = STATE(13173),
    [sym__postfix_expression_choice] = STATE(16170),
    [sym_macro_body] = STATE(13337),
    [sym_prefix_expression] = STATE(9758),
    [sym_tuple_expression] = STATE(8821),
    [sym_parenthesized_expression] = STATE(8821),
    [sym_splice_expression] = STATE(8821),
    [sym_quote_expression] = STATE(8821),
    [sym_identifier] = STATE(5472),
    [sym__soft_identifier] = STATE(6446),
    [sym_wildcard] = STATE(8602),
    [sym__non_null_literal] = STATE(8821),
    [sym_boolean_literal] = STATE(8798),
    [sym_interpolated_string_expression] = STATE(8821),
    [sym_string] = STATE(8798),
    [sym_unit] = STATE(8821),
    [sym_return_expression] = STATE(13337),
    [sym_throw_expression] = STATE(13337),
    [sym_while_expression] = STATE(13337),
    [sym_do_while_expression] = STATE(13337),
    [sym_for_expression] = STATE(13337),
    [sym_comment] = STATE(2261),
    [sym_block_comment] = STATE(2261),
    [sym__alpha_identifier] = ACTIONS(1674),
    [anon_sym_LBRACE] = ACTIONS(1678),
    [anon_sym__] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1682),
    [anon_sym_DASH] = ACTIONS(1682),
    [anon_sym_end] = ACTIONS(1684),
    [anon_sym_if] = ACTIONS(2298),
    [anon_sym_while] = ACTIONS(2300),
    [anon_sym_for] = ACTIONS(2302),
    [anon_sym_try] = ACTIONS(2304),
    [anon_sym_new] = ACTIONS(1686),
    [anon_sym_opaque] = ACTIONS(1684),
    [anon_sym_implicit] = ACTIONS(2306),
    [anon_sym_inline] = ACTIONS(1688),
    [anon_sym_infix] = ACTIONS(1684),
    [anon_sym_open] = ACTIONS(1684),
    [anon_sym_transparent] = ACTIONS(1684),
    [anon_sym_LPAREN] = ACTIONS(1690),
    [anon_sym_macro] = ACTIONS(1914),
    [anon_sym_BANG] = ACTIONS(1682),
    [anon_sym_TILDE] = ACTIONS(1682),
    [anon_sym_DOLLAR] = ACTIONS(1692),
    [anon_sym_SQUOTE] = ACTIONS(1694),
    [sym__backquoted_id] = ACTIONS(1696),
    [sym_operator_identifier] = ACTIONS(2308),
    [sym_integer_literal] = ACTIONS(1700),
    [sym_floating_point_literal] = ACTIONS(1702),
    [anon_sym_true] = ACTIONS(1704),
    [anon_sym_false] = ACTIONS(1704),
    [sym_character_literal] = ACTIONS(1702),
    [sym_null_literal] = ACTIONS(1706),
    [anon_sym_return] = ACTIONS(2310),
    [anon_sym_throw] = ACTIONS(2312),
    [anon_sym_do] = ACTIONS(1922),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1708),
    [sym__simple_string] = ACTIONS(1708),
  },
  [2262] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(15126),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2262),
    [sym_block_comment] = STATE(2262),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4116),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2263] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(14056),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2263),
    [sym_block_comment] = STATE(2263),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2264] = {
    [sym_inline_modifier] = STATE(2038),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(12349),
    [sym__simple_expression] = STATE(6323),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15629),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(9695),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(5557),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(8528),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(2264),
    [sym_block_comment] = STATE(2264),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(3157),
    [anon_sym_while] = ACTIONS(2394),
    [anon_sym_for] = ACTIONS(2396),
    [anon_sym_try] = ACTIONS(2398),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2400),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(2402),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(2404),
    [anon_sym_throw] = ACTIONS(2406),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [2265] = {
    [sym_inline_modifier] = STATE(2335),
    [sym_block] = STATE(5403),
    [sym_expression] = STATE(11354),
    [sym__simple_expression] = STATE(4736),
    [sym_lambda_expression] = STATE(11364),
    [sym_if_expression] = STATE(11364),
    [sym_match_expression] = STATE(11364),
    [sym_try_expression] = STATE(11364),
    [sym_bindings] = STATE(15583),
    [sym_case_block] = STATE(5403),
    [sym_assignment_expression] = STATE(11364),
    [sym_generic_function] = STATE(5403),
    [sym_call_expression] = STATE(5403),
    [sym_field_expression] = STATE(5403),
    [sym_instance_expression] = STATE(5403),
    [sym_ascription_expression] = STATE(11364),
    [sym_infix_expression] = STATE(6806),
    [sym_postfix_expression] = STATE(10789),
    [sym__postfix_expression_choice] = STATE(15797),
    [sym_macro_body] = STATE(11364),
    [sym_prefix_expression] = STATE(8627),
    [sym_tuple_expression] = STATE(5403),
    [sym_parenthesized_expression] = STATE(5403),
    [sym_splice_expression] = STATE(5403),
    [sym_quote_expression] = STATE(5403),
    [sym_identifier] = STATE(4558),
    [sym__soft_identifier] = STATE(4455),
    [sym_wildcard] = STATE(6107),
    [sym__non_null_literal] = STATE(5403),
    [sym_boolean_literal] = STATE(5637),
    [sym_interpolated_string_expression] = STATE(5403),
    [sym_string] = STATE(5637),
    [sym_unit] = STATE(5403),
    [sym_return_expression] = STATE(11364),
    [sym_throw_expression] = STATE(11364),
    [sym_while_expression] = STATE(11364),
    [sym_do_while_expression] = STATE(11364),
    [sym_for_expression] = STATE(11364),
    [sym_comment] = STATE(2265),
    [sym_block_comment] = STATE(2265),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(2288),
    [anon_sym_while] = ACTIONS(1750),
    [anon_sym_for] = ACTIONS(1752),
    [anon_sym_try] = ACTIONS(1754),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1756),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1162),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1758),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1760),
    [anon_sym_throw] = ACTIONS(1762),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [2266] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13918),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2266),
    [sym_block_comment] = STATE(2266),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2267] = {
    [sym_inline_modifier] = STATE(2179),
    [sym_block] = STATE(6738),
    [sym_expression] = STATE(12061),
    [sym__simple_expression] = STATE(6283),
    [sym_lambda_expression] = STATE(12430),
    [sym_if_expression] = STATE(12430),
    [sym_match_expression] = STATE(12430),
    [sym_try_expression] = STATE(12430),
    [sym_bindings] = STATE(15581),
    [sym_case_block] = STATE(6738),
    [sym_assignment_expression] = STATE(12430),
    [sym_generic_function] = STATE(6738),
    [sym_call_expression] = STATE(6738),
    [sym_field_expression] = STATE(6738),
    [sym_instance_expression] = STATE(6738),
    [sym_ascription_expression] = STATE(12430),
    [sym_infix_expression] = STATE(8389),
    [sym_postfix_expression] = STATE(11930),
    [sym__postfix_expression_choice] = STATE(15885),
    [sym_macro_body] = STATE(12430),
    [sym_prefix_expression] = STATE(9616),
    [sym_tuple_expression] = STATE(6738),
    [sym_parenthesized_expression] = STATE(6738),
    [sym_splice_expression] = STATE(6738),
    [sym_quote_expression] = STATE(6738),
    [sym_identifier] = STATE(5530),
    [sym__soft_identifier] = STATE(4943),
    [sym_wildcard] = STATE(8554),
    [sym__non_null_literal] = STATE(6738),
    [sym_boolean_literal] = STATE(7301),
    [sym_interpolated_string_expression] = STATE(6738),
    [sym_string] = STATE(7301),
    [sym_unit] = STATE(6738),
    [sym_return_expression] = STATE(12430),
    [sym_throw_expression] = STATE(12430),
    [sym_while_expression] = STATE(12430),
    [sym_do_while_expression] = STATE(12430),
    [sym_for_expression] = STATE(12430),
    [sym_comment] = STATE(2267),
    [sym_block_comment] = STATE(2267),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(2356),
    [anon_sym_while] = ACTIONS(2358),
    [anon_sym_for] = ACTIONS(2360),
    [anon_sym_try] = ACTIONS(2362),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1360),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(2366),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(2368),
    [anon_sym_throw] = ACTIONS(2370),
    [anon_sym_do] = ACTIONS(1368),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [2268] = {
    [sym_inline_modifier] = STATE(2047),
    [sym_block] = STATE(6954),
    [sym_expression] = STATE(12187),
    [sym__simple_expression] = STATE(6567),
    [sym_lambda_expression] = STATE(12144),
    [sym_if_expression] = STATE(12144),
    [sym_match_expression] = STATE(12144),
    [sym_try_expression] = STATE(12144),
    [sym_bindings] = STATE(15566),
    [sym_case_block] = STATE(6954),
    [sym_assignment_expression] = STATE(12144),
    [sym_generic_function] = STATE(6954),
    [sym_call_expression] = STATE(6954),
    [sym_field_expression] = STATE(6954),
    [sym_instance_expression] = STATE(6954),
    [sym_ascription_expression] = STATE(12144),
    [sym_infix_expression] = STATE(8226),
    [sym_postfix_expression] = STATE(11499),
    [sym__postfix_expression_choice] = STATE(16229),
    [sym_macro_body] = STATE(12144),
    [sym_prefix_expression] = STATE(9870),
    [sym_tuple_expression] = STATE(6954),
    [sym_parenthesized_expression] = STATE(6954),
    [sym_splice_expression] = STATE(6954),
    [sym_quote_expression] = STATE(6954),
    [sym_identifier] = STATE(5779),
    [sym__soft_identifier] = STATE(4827),
    [sym_wildcard] = STATE(8216),
    [sym__non_null_literal] = STATE(6954),
    [sym_boolean_literal] = STATE(6997),
    [sym_interpolated_string_expression] = STATE(6954),
    [sym_string] = STATE(6997),
    [sym_unit] = STATE(6954),
    [sym_return_expression] = STATE(12144),
    [sym_throw_expression] = STATE(12144),
    [sym_while_expression] = STATE(12144),
    [sym_do_while_expression] = STATE(12144),
    [sym_for_expression] = STATE(12144),
    [sym_comment] = STATE(2268),
    [sym_block_comment] = STATE(2268),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(1884),
    [anon_sym_while] = ACTIONS(1886),
    [anon_sym_for] = ACTIONS(1888),
    [anon_sym_try] = ACTIONS(1890),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(1892),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1894),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(1896),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(1898),
    [anon_sym_throw] = ACTIONS(1900),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [2269] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(15059),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2269),
    [sym_block_comment] = STATE(2269),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4118),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2270] = {
    [sym_inline_modifier] = STATE(2038),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(12445),
    [sym__simple_expression] = STATE(6323),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15629),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(9695),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(5557),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(8528),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(2270),
    [sym_block_comment] = STATE(2270),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(3157),
    [anon_sym_while] = ACTIONS(2394),
    [anon_sym_for] = ACTIONS(2396),
    [anon_sym_try] = ACTIONS(2398),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2400),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(2402),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(2404),
    [anon_sym_throw] = ACTIONS(2406),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [2271] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13920),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2271),
    [sym_block_comment] = STATE(2271),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2272] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(8375),
    [sym_expression] = STATE(14916),
    [sym__simple_expression] = STATE(5377),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(8375),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(8375),
    [sym_call_expression] = STATE(8375),
    [sym_field_expression] = STATE(8375),
    [sym_instance_expression] = STATE(8375),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9329),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16072),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(8762),
    [sym_tuple_expression] = STATE(8375),
    [sym_parenthesized_expression] = STATE(8375),
    [sym_splice_expression] = STATE(8375),
    [sym_quote_expression] = STATE(8375),
    [sym_identifier] = STATE(4711),
    [sym__soft_identifier] = STATE(5430),
    [sym_wildcard] = STATE(6992),
    [sym__non_null_literal] = STATE(8375),
    [sym_boolean_literal] = STATE(8117),
    [sym_interpolated_string_expression] = STATE(8375),
    [sym_string] = STATE(8117),
    [sym_unit] = STATE(8375),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2272),
    [sym_block_comment] = STATE(2272),
    [sym__alpha_identifier] = ACTIONS(1618),
    [anon_sym_LBRACE] = ACTIONS(1622),
    [anon_sym__] = ACTIONS(1624),
    [anon_sym_PLUS] = ACTIONS(1626),
    [anon_sym_DASH] = ACTIONS(1626),
    [anon_sym_end] = ACTIONS(1628),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1630),
    [anon_sym_opaque] = ACTIONS(1628),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1632),
    [anon_sym_infix] = ACTIONS(1628),
    [anon_sym_open] = ACTIONS(1628),
    [anon_sym_transparent] = ACTIONS(1628),
    [anon_sym_LPAREN] = ACTIONS(1634),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1626),
    [anon_sym_TILDE] = ACTIONS(1626),
    [anon_sym_DOLLAR] = ACTIONS(1636),
    [anon_sym_SQUOTE] = ACTIONS(1638),
    [sym__backquoted_id] = ACTIONS(1640),
    [sym_operator_identifier] = ACTIONS(1642),
    [sym_integer_literal] = ACTIONS(1644),
    [sym_floating_point_literal] = ACTIONS(1646),
    [anon_sym_true] = ACTIONS(1648),
    [anon_sym_false] = ACTIONS(1648),
    [sym_character_literal] = ACTIONS(1646),
    [sym_null_literal] = ACTIONS(1650),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1652),
    [sym__simple_string] = ACTIONS(1652),
  },
  [2273] = {
    [sym_inline_modifier] = STATE(2179),
    [sym_block] = STATE(6738),
    [sym_expression] = STATE(12197),
    [sym__simple_expression] = STATE(6283),
    [sym_lambda_expression] = STATE(12430),
    [sym_if_expression] = STATE(12430),
    [sym_match_expression] = STATE(12430),
    [sym_try_expression] = STATE(12430),
    [sym_bindings] = STATE(15581),
    [sym_case_block] = STATE(6738),
    [sym_assignment_expression] = STATE(12430),
    [sym_generic_function] = STATE(6738),
    [sym_call_expression] = STATE(6738),
    [sym_field_expression] = STATE(6738),
    [sym_instance_expression] = STATE(6738),
    [sym_ascription_expression] = STATE(12430),
    [sym_infix_expression] = STATE(8389),
    [sym_postfix_expression] = STATE(11930),
    [sym__postfix_expression_choice] = STATE(15885),
    [sym_macro_body] = STATE(12430),
    [sym_prefix_expression] = STATE(9616),
    [sym_tuple_expression] = STATE(6738),
    [sym_parenthesized_expression] = STATE(6738),
    [sym_splice_expression] = STATE(6738),
    [sym_quote_expression] = STATE(6738),
    [sym_identifier] = STATE(5530),
    [sym__soft_identifier] = STATE(4943),
    [sym_wildcard] = STATE(8554),
    [sym__non_null_literal] = STATE(6738),
    [sym_boolean_literal] = STATE(7301),
    [sym_interpolated_string_expression] = STATE(6738),
    [sym_string] = STATE(7301),
    [sym_unit] = STATE(6738),
    [sym_return_expression] = STATE(12430),
    [sym_throw_expression] = STATE(12430),
    [sym_while_expression] = STATE(12430),
    [sym_do_while_expression] = STATE(12430),
    [sym_for_expression] = STATE(12430),
    [sym_comment] = STATE(2273),
    [sym_block_comment] = STATE(2273),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(2356),
    [anon_sym_while] = ACTIONS(2358),
    [anon_sym_for] = ACTIONS(2360),
    [anon_sym_try] = ACTIONS(2362),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1360),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(2366),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(2368),
    [anon_sym_throw] = ACTIONS(2370),
    [anon_sym_do] = ACTIONS(1368),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [2274] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(10398),
    [sym_expression] = STATE(15056),
    [sym__simple_expression] = STATE(9180),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(10398),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(10398),
    [sym_call_expression] = STATE(10398),
    [sym_field_expression] = STATE(10398),
    [sym_instance_expression] = STATE(10398),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(10846),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(15729),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10687),
    [sym_tuple_expression] = STATE(10398),
    [sym_parenthesized_expression] = STATE(10398),
    [sym_splice_expression] = STATE(10398),
    [sym_quote_expression] = STATE(10398),
    [sym_identifier] = STATE(9110),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(10188),
    [sym__non_null_literal] = STATE(10398),
    [sym_boolean_literal] = STATE(10391),
    [sym_interpolated_string_expression] = STATE(10398),
    [sym_string] = STATE(10391),
    [sym_unit] = STATE(10398),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2274),
    [sym_block_comment] = STATE(2274),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(3286),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(3288),
    [anon_sym_DASH] = ACTIONS(3288),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(3290),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3292),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(3288),
    [anon_sym_TILDE] = ACTIONS(3288),
    [anon_sym_DOLLAR] = ACTIONS(3294),
    [anon_sym_SQUOTE] = ACTIONS(3296),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3298),
    [sym_integer_literal] = ACTIONS(3300),
    [sym_floating_point_literal] = ACTIONS(3302),
    [anon_sym_true] = ACTIONS(3304),
    [anon_sym_false] = ACTIONS(3304),
    [sym_character_literal] = ACTIONS(3302),
    [sym_null_literal] = ACTIONS(3306),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(3308),
    [sym__simple_string] = ACTIONS(3308),
  },
  [2275] = {
    [sym_inline_modifier] = STATE(2106),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(12349),
    [sym__simple_expression] = STATE(6252),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15549),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(9660),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(5550),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(8541),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(2275),
    [sym_block_comment] = STATE(2275),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(3114),
    [anon_sym_while] = ACTIONS(3116),
    [anon_sym_for] = ACTIONS(3118),
    [anon_sym_try] = ACTIONS(3120),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(3122),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(3134),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(3127),
    [anon_sym_throw] = ACTIONS(3129),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [2276] = {
    [sym_inline_modifier] = STATE(2047),
    [sym_block] = STATE(6954),
    [sym_expression] = STATE(12173),
    [sym__simple_expression] = STATE(6567),
    [sym_lambda_expression] = STATE(12144),
    [sym_if_expression] = STATE(12144),
    [sym_match_expression] = STATE(12144),
    [sym_try_expression] = STATE(12144),
    [sym_bindings] = STATE(15566),
    [sym_case_block] = STATE(6954),
    [sym_assignment_expression] = STATE(12144),
    [sym_generic_function] = STATE(6954),
    [sym_call_expression] = STATE(6954),
    [sym_field_expression] = STATE(6954),
    [sym_instance_expression] = STATE(6954),
    [sym_ascription_expression] = STATE(12144),
    [sym_infix_expression] = STATE(8226),
    [sym_postfix_expression] = STATE(11499),
    [sym__postfix_expression_choice] = STATE(16229),
    [sym_macro_body] = STATE(12144),
    [sym_prefix_expression] = STATE(9870),
    [sym_tuple_expression] = STATE(6954),
    [sym_parenthesized_expression] = STATE(6954),
    [sym_splice_expression] = STATE(6954),
    [sym_quote_expression] = STATE(6954),
    [sym_identifier] = STATE(5779),
    [sym__soft_identifier] = STATE(4827),
    [sym_wildcard] = STATE(8216),
    [sym__non_null_literal] = STATE(6954),
    [sym_boolean_literal] = STATE(6997),
    [sym_interpolated_string_expression] = STATE(6954),
    [sym_string] = STATE(6997),
    [sym_unit] = STATE(6954),
    [sym_return_expression] = STATE(12144),
    [sym_throw_expression] = STATE(12144),
    [sym_while_expression] = STATE(12144),
    [sym_do_while_expression] = STATE(12144),
    [sym_for_expression] = STATE(12144),
    [sym_comment] = STATE(2276),
    [sym_block_comment] = STATE(2276),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(1884),
    [anon_sym_while] = ACTIONS(1886),
    [anon_sym_for] = ACTIONS(1888),
    [anon_sym_try] = ACTIONS(1890),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(1892),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1894),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(1896),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(1898),
    [anon_sym_throw] = ACTIONS(1900),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [2277] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(14355),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2277),
    [sym_block_comment] = STATE(2277),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2278] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(6450),
    [sym_expression] = STATE(14843),
    [sym__simple_expression] = STATE(4412),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(6450),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(6450),
    [sym_call_expression] = STATE(6450),
    [sym_field_expression] = STATE(6450),
    [sym_instance_expression] = STATE(6450),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16176),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(6450),
    [sym_parenthesized_expression] = STATE(6450),
    [sym_splice_expression] = STATE(6450),
    [sym_quote_expression] = STATE(6450),
    [sym_identifier] = STATE(4340),
    [sym__soft_identifier] = STATE(4507),
    [sym_wildcard] = STATE(5337),
    [sym__non_null_literal] = STATE(6450),
    [sym_boolean_literal] = STATE(6156),
    [sym_interpolated_string_expression] = STATE(6450),
    [sym_string] = STATE(6156),
    [sym_unit] = STATE(6450),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2278),
    [sym_block_comment] = STATE(2278),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(992),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [2279] = {
    [sym_inline_modifier] = STATE(2064),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13423),
    [sym__simple_expression] = STATE(8719),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15704),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10572),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(8565),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(10039),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2279),
    [sym_block_comment] = STATE(2279),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(3246),
    [anon_sym_while] = ACTIONS(3248),
    [anon_sym_for] = ACTIONS(3250),
    [anon_sym_try] = ACTIONS(3252),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(3254),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3318),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(3259),
    [anon_sym_throw] = ACTIONS(3261),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2280] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(14396),
    [sym__simple_expression] = STATE(4757),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16541),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(4515),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(6056),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2280),
    [sym_block_comment] = STATE(2280),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1764),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(1426),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [2281] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(15126),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2281),
    [sym_block_comment] = STATE(2281),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4120),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2282] = {
    [sym_inline_modifier] = STATE(2122),
    [sym_block] = STATE(6703),
    [sym_expression] = STATE(11767),
    [sym__simple_expression] = STATE(6037),
    [sym_lambda_expression] = STATE(12046),
    [sym_if_expression] = STATE(12046),
    [sym_match_expression] = STATE(12046),
    [sym_try_expression] = STATE(12046),
    [sym_bindings] = STATE(15638),
    [sym_case_block] = STATE(6703),
    [sym_assignment_expression] = STATE(12046),
    [sym_generic_function] = STATE(6703),
    [sym_call_expression] = STATE(6703),
    [sym_field_expression] = STATE(6703),
    [sym_instance_expression] = STATE(6703),
    [sym_ascription_expression] = STATE(12046),
    [sym_infix_expression] = STATE(8166),
    [sym_postfix_expression] = STATE(11496),
    [sym__postfix_expression_choice] = STATE(15827),
    [sym_macro_body] = STATE(12046),
    [sym_prefix_expression] = STATE(9715),
    [sym_tuple_expression] = STATE(6703),
    [sym_parenthesized_expression] = STATE(6703),
    [sym_splice_expression] = STATE(6703),
    [sym_quote_expression] = STATE(6703),
    [sym_identifier] = STATE(5641),
    [sym__soft_identifier] = STATE(4884),
    [sym_wildcard] = STATE(8386),
    [sym__non_null_literal] = STATE(6703),
    [sym_boolean_literal] = STATE(6780),
    [sym_interpolated_string_expression] = STATE(6703),
    [sym_string] = STATE(6780),
    [sym_unit] = STATE(6703),
    [sym_return_expression] = STATE(12046),
    [sym_throw_expression] = STATE(12046),
    [sym_while_expression] = STATE(12046),
    [sym_do_while_expression] = STATE(12046),
    [sym_for_expression] = STATE(12046),
    [sym_comment] = STATE(2282),
    [sym_block_comment] = STATE(2282),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(1838),
    [anon_sym_while] = ACTIONS(1840),
    [anon_sym_for] = ACTIONS(1842),
    [anon_sym_try] = ACTIONS(1844),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(1846),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1848),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(1850),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(1852),
    [anon_sym_throw] = ACTIONS(1854),
    [anon_sym_do] = ACTIONS(1856),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [2283] = {
    [sym_inline_modifier] = STATE(2070),
    [sym_block] = STATE(8360),
    [sym_expression] = STATE(12640),
    [sym__simple_expression] = STATE(5615),
    [sym_lambda_expression] = STATE(13229),
    [sym_if_expression] = STATE(13229),
    [sym_match_expression] = STATE(13229),
    [sym_try_expression] = STATE(13229),
    [sym_bindings] = STATE(15528),
    [sym_case_block] = STATE(8360),
    [sym_assignment_expression] = STATE(13229),
    [sym_generic_function] = STATE(8360),
    [sym_call_expression] = STATE(8360),
    [sym_field_expression] = STATE(8360),
    [sym_instance_expression] = STATE(8360),
    [sym_ascription_expression] = STATE(13229),
    [sym_infix_expression] = STATE(9581),
    [sym_postfix_expression] = STATE(12866),
    [sym__postfix_expression_choice] = STATE(15971),
    [sym_macro_body] = STATE(13229),
    [sym_prefix_expression] = STATE(9582),
    [sym_tuple_expression] = STATE(8360),
    [sym_parenthesized_expression] = STATE(8360),
    [sym_splice_expression] = STATE(8360),
    [sym_quote_expression] = STATE(8360),
    [sym_identifier] = STATE(5263),
    [sym__soft_identifier] = STATE(5563),
    [sym_wildcard] = STATE(7408),
    [sym__non_null_literal] = STATE(8360),
    [sym_boolean_literal] = STATE(8269),
    [sym_interpolated_string_expression] = STATE(8360),
    [sym_string] = STATE(8269),
    [sym_unit] = STATE(8360),
    [sym_return_expression] = STATE(13229),
    [sym_throw_expression] = STATE(13229),
    [sym_while_expression] = STATE(13229),
    [sym_do_while_expression] = STATE(13229),
    [sym_for_expression] = STATE(13229),
    [sym_comment] = STATE(2283),
    [sym_block_comment] = STATE(2283),
    [sym__alpha_identifier] = ACTIONS(1242),
    [anon_sym_LBRACE] = ACTIONS(1246),
    [anon_sym__] = ACTIONS(1248),
    [anon_sym_PLUS] = ACTIONS(1250),
    [anon_sym_DASH] = ACTIONS(1250),
    [anon_sym_end] = ACTIONS(1252),
    [anon_sym_if] = ACTIONS(1654),
    [anon_sym_while] = ACTIONS(1656),
    [anon_sym_for] = ACTIONS(1658),
    [anon_sym_try] = ACTIONS(1660),
    [anon_sym_new] = ACTIONS(1254),
    [anon_sym_opaque] = ACTIONS(1252),
    [anon_sym_implicit] = ACTIONS(1662),
    [anon_sym_inline] = ACTIONS(1256),
    [anon_sym_infix] = ACTIONS(1252),
    [anon_sym_open] = ACTIONS(1252),
    [anon_sym_transparent] = ACTIONS(1252),
    [anon_sym_LPAREN] = ACTIONS(1258),
    [anon_sym_macro] = ACTIONS(1664),
    [anon_sym_BANG] = ACTIONS(1250),
    [anon_sym_TILDE] = ACTIONS(1250),
    [anon_sym_DOLLAR] = ACTIONS(1260),
    [anon_sym_SQUOTE] = ACTIONS(1262),
    [sym__backquoted_id] = ACTIONS(1264),
    [sym_operator_identifier] = ACTIONS(1666),
    [sym_integer_literal] = ACTIONS(1268),
    [sym_floating_point_literal] = ACTIONS(1270),
    [anon_sym_true] = ACTIONS(1272),
    [anon_sym_false] = ACTIONS(1272),
    [sym_character_literal] = ACTIONS(1270),
    [sym_null_literal] = ACTIONS(1274),
    [anon_sym_return] = ACTIONS(1668),
    [anon_sym_throw] = ACTIONS(1670),
    [anon_sym_do] = ACTIONS(1672),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1276),
    [sym__simple_string] = ACTIONS(1276),
  },
  [2284] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(15376),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2284),
    [sym_block_comment] = STATE(2284),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4122),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2285] = {
    [sym_inline_modifier] = STATE(2149),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13440),
    [sym__simple_expression] = STATE(7109),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15656),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10005),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6267),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(8706),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(2285),
    [sym_block_comment] = STATE(2285),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(2928),
    [anon_sym_while] = ACTIONS(2793),
    [anon_sym_for] = ACTIONS(2795),
    [anon_sym_try] = ACTIONS(2797),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(2799),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(2801),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(2803),
    [anon_sym_throw] = ACTIONS(2805),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [2286] = {
    [sym_inline_modifier] = STATE(2234),
    [sym_block] = STATE(7443),
    [sym_expression] = STATE(12503),
    [sym__simple_expression] = STATE(5279),
    [sym_lambda_expression] = STATE(12692),
    [sym_if_expression] = STATE(12692),
    [sym_match_expression] = STATE(12692),
    [sym_try_expression] = STATE(12692),
    [sym_bindings] = STATE(15619),
    [sym_case_block] = STATE(7443),
    [sym_assignment_expression] = STATE(12692),
    [sym_generic_function] = STATE(7443),
    [sym_call_expression] = STATE(7443),
    [sym_field_expression] = STATE(7443),
    [sym_instance_expression] = STATE(7443),
    [sym_ascription_expression] = STATE(12692),
    [sym_infix_expression] = STATE(8993),
    [sym_postfix_expression] = STATE(12386),
    [sym__postfix_expression_choice] = STATE(16150),
    [sym_macro_body] = STATE(12692),
    [sym_prefix_expression] = STATE(8795),
    [sym_tuple_expression] = STATE(7443),
    [sym_parenthesized_expression] = STATE(7443),
    [sym_splice_expression] = STATE(7443),
    [sym_quote_expression] = STATE(7443),
    [sym_identifier] = STATE(4734),
    [sym__soft_identifier] = STATE(5213),
    [sym_wildcard] = STATE(7227),
    [sym__non_null_literal] = STATE(7443),
    [sym_boolean_literal] = STATE(7707),
    [sym_interpolated_string_expression] = STATE(7443),
    [sym_string] = STATE(7707),
    [sym_unit] = STATE(7443),
    [sym_return_expression] = STATE(12692),
    [sym_throw_expression] = STATE(12692),
    [sym_while_expression] = STATE(12692),
    [sym_do_while_expression] = STATE(12692),
    [sym_for_expression] = STATE(12692),
    [sym_comment] = STATE(2286),
    [sym_block_comment] = STATE(2286),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(2292),
    [anon_sym_while] = ACTIONS(1480),
    [anon_sym_for] = ACTIONS(1482),
    [anon_sym_try] = ACTIONS(1484),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(1486),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1196),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(1488),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(1490),
    [anon_sym_throw] = ACTIONS(1492),
    [anon_sym_do] = ACTIONS(1204),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [2287] = {
    [sym_inline_modifier] = STATE(2106),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(12445),
    [sym__simple_expression] = STATE(6252),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15549),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(9660),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(5550),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(8541),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(2287),
    [sym_block_comment] = STATE(2287),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(3114),
    [anon_sym_while] = ACTIONS(3116),
    [anon_sym_for] = ACTIONS(3118),
    [anon_sym_try] = ACTIONS(3120),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(3122),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(3134),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(3127),
    [anon_sym_throw] = ACTIONS(3129),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [2288] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9088),
    [sym_expression] = STATE(13129),
    [sym__simple_expression] = STATE(7286),
    [sym_lambda_expression] = STATE(13338),
    [sym_if_expression] = STATE(13338),
    [sym_match_expression] = STATE(13338),
    [sym_try_expression] = STATE(13338),
    [sym_bindings] = STATE(15723),
    [sym_case_block] = STATE(9088),
    [sym_assignment_expression] = STATE(13338),
    [sym_generic_function] = STATE(9088),
    [sym_call_expression] = STATE(9088),
    [sym_field_expression] = STATE(9088),
    [sym_instance_expression] = STATE(9088),
    [sym_ascription_expression] = STATE(13338),
    [sym_infix_expression] = STATE(9773),
    [sym_postfix_expression] = STATE(13117),
    [sym__postfix_expression_choice] = STATE(15912),
    [sym_macro_body] = STATE(13338),
    [sym_prefix_expression] = STATE(10020),
    [sym_tuple_expression] = STATE(9088),
    [sym_parenthesized_expression] = STATE(9088),
    [sym_splice_expression] = STATE(9088),
    [sym_quote_expression] = STATE(9088),
    [sym_identifier] = STATE(6105),
    [sym__soft_identifier] = STATE(6581),
    [sym_wildcard] = STATE(8709),
    [sym__non_null_literal] = STATE(9088),
    [sym_boolean_literal] = STATE(8905),
    [sym_interpolated_string_expression] = STATE(9088),
    [sym_string] = STATE(8905),
    [sym_unit] = STATE(9088),
    [sym_return_expression] = STATE(13338),
    [sym_throw_expression] = STATE(13338),
    [sym_while_expression] = STATE(13338),
    [sym_do_while_expression] = STATE(13338),
    [sym_for_expression] = STATE(13338),
    [sym_comment] = STATE(2288),
    [sym_block_comment] = STATE(2288),
    [sym__alpha_identifier] = ACTIONS(1938),
    [anon_sym_LBRACE] = ACTIONS(1942),
    [anon_sym__] = ACTIONS(1944),
    [anon_sym_PLUS] = ACTIONS(1946),
    [anon_sym_DASH] = ACTIONS(1946),
    [anon_sym_end] = ACTIONS(1948),
    [anon_sym_if] = ACTIONS(2260),
    [anon_sym_while] = ACTIONS(2262),
    [anon_sym_for] = ACTIONS(2264),
    [anon_sym_try] = ACTIONS(2266),
    [anon_sym_new] = ACTIONS(1950),
    [anon_sym_opaque] = ACTIONS(1948),
    [anon_sym_implicit] = ACTIONS(2268),
    [anon_sym_inline] = ACTIONS(1952),
    [anon_sym_infix] = ACTIONS(1948),
    [anon_sym_open] = ACTIONS(1948),
    [anon_sym_transparent] = ACTIONS(1948),
    [anon_sym_LPAREN] = ACTIONS(1954),
    [anon_sym_macro] = ACTIONS(2270),
    [anon_sym_BANG] = ACTIONS(1946),
    [anon_sym_TILDE] = ACTIONS(1946),
    [anon_sym_DOLLAR] = ACTIONS(1956),
    [anon_sym_SQUOTE] = ACTIONS(1958),
    [sym__backquoted_id] = ACTIONS(1960),
    [sym_operator_identifier] = ACTIONS(2272),
    [sym_integer_literal] = ACTIONS(1964),
    [sym_floating_point_literal] = ACTIONS(1966),
    [anon_sym_true] = ACTIONS(1968),
    [anon_sym_false] = ACTIONS(1968),
    [sym_character_literal] = ACTIONS(1966),
    [sym_null_literal] = ACTIONS(1970),
    [anon_sym_return] = ACTIONS(2274),
    [anon_sym_throw] = ACTIONS(2276),
    [anon_sym_do] = ACTIONS(2278),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1972),
    [sym__simple_string] = ACTIONS(1972),
  },
  [2289] = {
    [sym_inline_modifier] = STATE(2055),
    [sym_block] = STATE(8218),
    [sym_expression] = STATE(12896),
    [sym__simple_expression] = STATE(6561),
    [sym_lambda_expression] = STATE(13097),
    [sym_if_expression] = STATE(13097),
    [sym_match_expression] = STATE(13097),
    [sym_try_expression] = STATE(13097),
    [sym_bindings] = STATE(15541),
    [sym_case_block] = STATE(8218),
    [sym_assignment_expression] = STATE(13097),
    [sym_generic_function] = STATE(8218),
    [sym_call_expression] = STATE(8218),
    [sym_field_expression] = STATE(8218),
    [sym_instance_expression] = STATE(8218),
    [sym_ascription_expression] = STATE(13097),
    [sym_infix_expression] = STATE(9424),
    [sym_postfix_expression] = STATE(12765),
    [sym__postfix_expression_choice] = STATE(16117),
    [sym_macro_body] = STATE(13097),
    [sym_prefix_expression] = STATE(9863),
    [sym_tuple_expression] = STATE(8218),
    [sym_parenthesized_expression] = STATE(8218),
    [sym_splice_expression] = STATE(8218),
    [sym_quote_expression] = STATE(8218),
    [sym_identifier] = STATE(5613),
    [sym__soft_identifier] = STATE(5752),
    [sym_wildcard] = STATE(8448),
    [sym__non_null_literal] = STATE(8218),
    [sym_boolean_literal] = STATE(8413),
    [sym_interpolated_string_expression] = STATE(8218),
    [sym_string] = STATE(8413),
    [sym_unit] = STATE(8218),
    [sym_return_expression] = STATE(13097),
    [sym_throw_expression] = STATE(13097),
    [sym_while_expression] = STATE(13097),
    [sym_do_while_expression] = STATE(13097),
    [sym_for_expression] = STATE(13097),
    [sym_comment] = STATE(2289),
    [sym_block_comment] = STATE(2289),
    [sym__alpha_identifier] = ACTIONS(1494),
    [anon_sym_LBRACE] = ACTIONS(1498),
    [anon_sym__] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1502),
    [anon_sym_end] = ACTIONS(1504),
    [anon_sym_if] = ACTIONS(2044),
    [anon_sym_while] = ACTIONS(2046),
    [anon_sym_for] = ACTIONS(2048),
    [anon_sym_try] = ACTIONS(2050),
    [anon_sym_new] = ACTIONS(1506),
    [anon_sym_opaque] = ACTIONS(1504),
    [anon_sym_implicit] = ACTIONS(2052),
    [anon_sym_inline] = ACTIONS(1508),
    [anon_sym_infix] = ACTIONS(1504),
    [anon_sym_open] = ACTIONS(1504),
    [anon_sym_transparent] = ACTIONS(1504),
    [anon_sym_LPAREN] = ACTIONS(1510),
    [anon_sym_macro] = ACTIONS(2054),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_TILDE] = ACTIONS(1502),
    [anon_sym_DOLLAR] = ACTIONS(1512),
    [anon_sym_SQUOTE] = ACTIONS(1514),
    [sym__backquoted_id] = ACTIONS(1516),
    [sym_operator_identifier] = ACTIONS(2056),
    [sym_integer_literal] = ACTIONS(1520),
    [sym_floating_point_literal] = ACTIONS(1522),
    [anon_sym_true] = ACTIONS(1524),
    [anon_sym_false] = ACTIONS(1524),
    [sym_character_literal] = ACTIONS(1522),
    [sym_null_literal] = ACTIONS(1526),
    [anon_sym_return] = ACTIONS(2058),
    [anon_sym_throw] = ACTIONS(2060),
    [anon_sym_do] = ACTIONS(2062),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1528),
    [sym__simple_string] = ACTIONS(1528),
  },
  [2290] = {
    [sym_inline_modifier] = STATE(2149),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(13353),
    [sym__simple_expression] = STATE(7109),
    [sym_lambda_expression] = STATE(13587),
    [sym_if_expression] = STATE(13587),
    [sym_match_expression] = STATE(13587),
    [sym_try_expression] = STATE(13587),
    [sym_bindings] = STATE(15656),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13587),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13587),
    [sym_infix_expression] = STATE(10271),
    [sym_postfix_expression] = STATE(13264),
    [sym__postfix_expression_choice] = STATE(16388),
    [sym_macro_body] = STATE(13587),
    [sym_prefix_expression] = STATE(10005),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(6267),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(8706),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13587),
    [sym_throw_expression] = STATE(13587),
    [sym_while_expression] = STATE(13587),
    [sym_do_while_expression] = STATE(13587),
    [sym_for_expression] = STATE(13587),
    [sym_comment] = STATE(2290),
    [sym_block_comment] = STATE(2290),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(2928),
    [anon_sym_while] = ACTIONS(2793),
    [anon_sym_for] = ACTIONS(2795),
    [anon_sym_try] = ACTIONS(2797),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(2799),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(2801),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(2803),
    [anon_sym_throw] = ACTIONS(2805),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [2291] = {
    [sym_inline_modifier] = STATE(2183),
    [sym_block] = STATE(9088),
    [sym_expression] = STATE(13141),
    [sym__simple_expression] = STATE(8555),
    [sym_lambda_expression] = STATE(13338),
    [sym_if_expression] = STATE(13338),
    [sym_match_expression] = STATE(13338),
    [sym_try_expression] = STATE(13338),
    [sym_bindings] = STATE(15553),
    [sym_case_block] = STATE(9088),
    [sym_assignment_expression] = STATE(13338),
    [sym_generic_function] = STATE(9088),
    [sym_call_expression] = STATE(9088),
    [sym_field_expression] = STATE(9088),
    [sym_instance_expression] = STATE(9088),
    [sym_ascription_expression] = STATE(13338),
    [sym_infix_expression] = STATE(9773),
    [sym_postfix_expression] = STATE(13117),
    [sym__postfix_expression_choice] = STATE(15912),
    [sym_macro_body] = STATE(13338),
    [sym_prefix_expression] = STATE(10565),
    [sym_tuple_expression] = STATE(9088),
    [sym_parenthesized_expression] = STATE(9088),
    [sym_splice_expression] = STATE(9088),
    [sym_quote_expression] = STATE(9088),
    [sym_identifier] = STATE(7556),
    [sym__soft_identifier] = STATE(6581),
    [sym_wildcard] = STATE(9665),
    [sym__non_null_literal] = STATE(9088),
    [sym_boolean_literal] = STATE(8905),
    [sym_interpolated_string_expression] = STATE(9088),
    [sym_string] = STATE(8905),
    [sym_unit] = STATE(9088),
    [sym_return_expression] = STATE(13338),
    [sym_throw_expression] = STATE(13338),
    [sym_while_expression] = STATE(13338),
    [sym_do_while_expression] = STATE(13338),
    [sym_for_expression] = STATE(13338),
    [sym_comment] = STATE(2291),
    [sym_block_comment] = STATE(2291),
    [sym__alpha_identifier] = ACTIONS(1938),
    [anon_sym_LBRACE] = ACTIONS(1942),
    [anon_sym__] = ACTIONS(1944),
    [anon_sym_PLUS] = ACTIONS(1946),
    [anon_sym_DASH] = ACTIONS(1946),
    [anon_sym_end] = ACTIONS(1948),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2332),
    [anon_sym_for] = ACTIONS(2334),
    [anon_sym_try] = ACTIONS(2336),
    [anon_sym_new] = ACTIONS(1950),
    [anon_sym_opaque] = ACTIONS(1948),
    [anon_sym_implicit] = ACTIONS(2338),
    [anon_sym_inline] = ACTIONS(1952),
    [anon_sym_infix] = ACTIONS(1948),
    [anon_sym_open] = ACTIONS(1948),
    [anon_sym_transparent] = ACTIONS(1948),
    [anon_sym_LPAREN] = ACTIONS(1954),
    [anon_sym_macro] = ACTIONS(2270),
    [anon_sym_BANG] = ACTIONS(1946),
    [anon_sym_TILDE] = ACTIONS(1946),
    [anon_sym_DOLLAR] = ACTIONS(1956),
    [anon_sym_SQUOTE] = ACTIONS(1958),
    [sym__backquoted_id] = ACTIONS(1960),
    [sym_operator_identifier] = ACTIONS(2340),
    [sym_integer_literal] = ACTIONS(1964),
    [sym_floating_point_literal] = ACTIONS(1966),
    [anon_sym_true] = ACTIONS(1968),
    [anon_sym_false] = ACTIONS(1968),
    [sym_character_literal] = ACTIONS(1966),
    [sym_null_literal] = ACTIONS(1970),
    [anon_sym_return] = ACTIONS(2342),
    [anon_sym_throw] = ACTIONS(2344),
    [anon_sym_do] = ACTIONS(2278),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1972),
    [sym__simple_string] = ACTIONS(1972),
  },
  [2292] = {
    [sym_inline_modifier] = STATE(2255),
    [sym_block] = STATE(6954),
    [sym_expression] = STATE(12173),
    [sym__simple_expression] = STATE(5438),
    [sym_lambda_expression] = STATE(12144),
    [sym_if_expression] = STATE(12144),
    [sym_match_expression] = STATE(12144),
    [sym_try_expression] = STATE(12144),
    [sym_bindings] = STATE(15515),
    [sym_case_block] = STATE(6954),
    [sym_assignment_expression] = STATE(12144),
    [sym_generic_function] = STATE(6954),
    [sym_call_expression] = STATE(6954),
    [sym_field_expression] = STATE(6954),
    [sym_instance_expression] = STATE(6954),
    [sym_ascription_expression] = STATE(12144),
    [sym_infix_expression] = STATE(8226),
    [sym_postfix_expression] = STATE(11499),
    [sym__postfix_expression_choice] = STATE(16229),
    [sym_macro_body] = STATE(12144),
    [sym_prefix_expression] = STATE(9369),
    [sym_tuple_expression] = STATE(6954),
    [sym_parenthesized_expression] = STATE(6954),
    [sym_splice_expression] = STATE(6954),
    [sym_quote_expression] = STATE(6954),
    [sym_identifier] = STATE(5276),
    [sym__soft_identifier] = STATE(4827),
    [sym_wildcard] = STATE(7444),
    [sym__non_null_literal] = STATE(6954),
    [sym_boolean_literal] = STATE(6997),
    [sym_interpolated_string_expression] = STATE(6954),
    [sym_string] = STATE(6997),
    [sym_unit] = STATE(6954),
    [sym_return_expression] = STATE(12144),
    [sym_throw_expression] = STATE(12144),
    [sym_while_expression] = STATE(12144),
    [sym_do_while_expression] = STATE(12144),
    [sym_for_expression] = STATE(12144),
    [sym_comment] = STATE(2292),
    [sym_block_comment] = STATE(2292),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(2666),
    [anon_sym_while] = ACTIONS(2314),
    [anon_sym_for] = ACTIONS(2316),
    [anon_sym_try] = ACTIONS(2318),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(2320),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1894),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(2322),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(2324),
    [anon_sym_throw] = ACTIONS(2326),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [2293] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(15424),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2293),
    [sym_block_comment] = STATE(2293),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4124),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2294] = {
    [sym_inline_modifier] = STATE(2183),
    [sym_block] = STATE(9088),
    [sym_expression] = STATE(13129),
    [sym__simple_expression] = STATE(8555),
    [sym_lambda_expression] = STATE(13338),
    [sym_if_expression] = STATE(13338),
    [sym_match_expression] = STATE(13338),
    [sym_try_expression] = STATE(13338),
    [sym_bindings] = STATE(15553),
    [sym_case_block] = STATE(9088),
    [sym_assignment_expression] = STATE(13338),
    [sym_generic_function] = STATE(9088),
    [sym_call_expression] = STATE(9088),
    [sym_field_expression] = STATE(9088),
    [sym_instance_expression] = STATE(9088),
    [sym_ascription_expression] = STATE(13338),
    [sym_infix_expression] = STATE(9773),
    [sym_postfix_expression] = STATE(13117),
    [sym__postfix_expression_choice] = STATE(15912),
    [sym_macro_body] = STATE(13338),
    [sym_prefix_expression] = STATE(10565),
    [sym_tuple_expression] = STATE(9088),
    [sym_parenthesized_expression] = STATE(9088),
    [sym_splice_expression] = STATE(9088),
    [sym_quote_expression] = STATE(9088),
    [sym_identifier] = STATE(7556),
    [sym__soft_identifier] = STATE(6581),
    [sym_wildcard] = STATE(9665),
    [sym__non_null_literal] = STATE(9088),
    [sym_boolean_literal] = STATE(8905),
    [sym_interpolated_string_expression] = STATE(9088),
    [sym_string] = STATE(8905),
    [sym_unit] = STATE(9088),
    [sym_return_expression] = STATE(13338),
    [sym_throw_expression] = STATE(13338),
    [sym_while_expression] = STATE(13338),
    [sym_do_while_expression] = STATE(13338),
    [sym_for_expression] = STATE(13338),
    [sym_comment] = STATE(2294),
    [sym_block_comment] = STATE(2294),
    [sym__alpha_identifier] = ACTIONS(1938),
    [anon_sym_LBRACE] = ACTIONS(1942),
    [anon_sym__] = ACTIONS(1944),
    [anon_sym_PLUS] = ACTIONS(1946),
    [anon_sym_DASH] = ACTIONS(1946),
    [anon_sym_end] = ACTIONS(1948),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2332),
    [anon_sym_for] = ACTIONS(2334),
    [anon_sym_try] = ACTIONS(2336),
    [anon_sym_new] = ACTIONS(1950),
    [anon_sym_opaque] = ACTIONS(1948),
    [anon_sym_implicit] = ACTIONS(2338),
    [anon_sym_inline] = ACTIONS(1952),
    [anon_sym_infix] = ACTIONS(1948),
    [anon_sym_open] = ACTIONS(1948),
    [anon_sym_transparent] = ACTIONS(1948),
    [anon_sym_LPAREN] = ACTIONS(1954),
    [anon_sym_macro] = ACTIONS(2270),
    [anon_sym_BANG] = ACTIONS(1946),
    [anon_sym_TILDE] = ACTIONS(1946),
    [anon_sym_DOLLAR] = ACTIONS(1956),
    [anon_sym_SQUOTE] = ACTIONS(1958),
    [sym__backquoted_id] = ACTIONS(1960),
    [sym_operator_identifier] = ACTIONS(2340),
    [sym_integer_literal] = ACTIONS(1964),
    [sym_floating_point_literal] = ACTIONS(1966),
    [anon_sym_true] = ACTIONS(1968),
    [anon_sym_false] = ACTIONS(1968),
    [sym_character_literal] = ACTIONS(1966),
    [sym_null_literal] = ACTIONS(1970),
    [anon_sym_return] = ACTIONS(2342),
    [anon_sym_throw] = ACTIONS(2344),
    [anon_sym_do] = ACTIONS(2278),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1972),
    [sym__simple_string] = ACTIONS(1972),
  },
  [2295] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9327),
    [sym_expression] = STATE(14967),
    [sym__simple_expression] = STATE(7166),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9327),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9327),
    [sym_call_expression] = STATE(9327),
    [sym_field_expression] = STATE(9327),
    [sym_instance_expression] = STATE(9327),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(10255),
    [sym_postfix_expression] = STATE(13510),
    [sym__postfix_expression_choice] = STATE(13943),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10031),
    [sym_tuple_expression] = STATE(9327),
    [sym_parenthesized_expression] = STATE(9327),
    [sym_splice_expression] = STATE(9327),
    [sym_quote_expression] = STATE(9327),
    [sym_identifier] = STATE(5490),
    [sym__soft_identifier] = STATE(5636),
    [sym_wildcard] = STATE(8581),
    [sym__non_null_literal] = STATE(9327),
    [sym_boolean_literal] = STATE(9548),
    [sym_interpolated_string_expression] = STATE(9327),
    [sym_string] = STATE(9548),
    [sym_unit] = STATE(9327),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2295),
    [sym_block_comment] = STATE(2295),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(659),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(659),
    [anon_sym_open] = ACTIONS(659),
    [anon_sym_transparent] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(1862),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [2296] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9088),
    [sym_expression] = STATE(13141),
    [sym__simple_expression] = STATE(7286),
    [sym_lambda_expression] = STATE(13338),
    [sym_if_expression] = STATE(13338),
    [sym_match_expression] = STATE(13338),
    [sym_try_expression] = STATE(13338),
    [sym_bindings] = STATE(15723),
    [sym_case_block] = STATE(9088),
    [sym_assignment_expression] = STATE(13338),
    [sym_generic_function] = STATE(9088),
    [sym_call_expression] = STATE(9088),
    [sym_field_expression] = STATE(9088),
    [sym_instance_expression] = STATE(9088),
    [sym_ascription_expression] = STATE(13338),
    [sym_infix_expression] = STATE(9773),
    [sym_postfix_expression] = STATE(13117),
    [sym__postfix_expression_choice] = STATE(15912),
    [sym_macro_body] = STATE(13338),
    [sym_prefix_expression] = STATE(10020),
    [sym_tuple_expression] = STATE(9088),
    [sym_parenthesized_expression] = STATE(9088),
    [sym_splice_expression] = STATE(9088),
    [sym_quote_expression] = STATE(9088),
    [sym_identifier] = STATE(6105),
    [sym__soft_identifier] = STATE(6581),
    [sym_wildcard] = STATE(8709),
    [sym__non_null_literal] = STATE(9088),
    [sym_boolean_literal] = STATE(8905),
    [sym_interpolated_string_expression] = STATE(9088),
    [sym_string] = STATE(8905),
    [sym_unit] = STATE(9088),
    [sym_return_expression] = STATE(13338),
    [sym_throw_expression] = STATE(13338),
    [sym_while_expression] = STATE(13338),
    [sym_do_while_expression] = STATE(13338),
    [sym_for_expression] = STATE(13338),
    [sym_comment] = STATE(2296),
    [sym_block_comment] = STATE(2296),
    [sym__alpha_identifier] = ACTIONS(1938),
    [anon_sym_LBRACE] = ACTIONS(1942),
    [anon_sym__] = ACTIONS(1944),
    [anon_sym_PLUS] = ACTIONS(1946),
    [anon_sym_DASH] = ACTIONS(1946),
    [anon_sym_end] = ACTIONS(1948),
    [anon_sym_if] = ACTIONS(2260),
    [anon_sym_while] = ACTIONS(2262),
    [anon_sym_for] = ACTIONS(2264),
    [anon_sym_try] = ACTIONS(2266),
    [anon_sym_new] = ACTIONS(1950),
    [anon_sym_opaque] = ACTIONS(1948),
    [anon_sym_implicit] = ACTIONS(2268),
    [anon_sym_inline] = ACTIONS(1952),
    [anon_sym_infix] = ACTIONS(1948),
    [anon_sym_open] = ACTIONS(1948),
    [anon_sym_transparent] = ACTIONS(1948),
    [anon_sym_LPAREN] = ACTIONS(1954),
    [anon_sym_macro] = ACTIONS(2270),
    [anon_sym_BANG] = ACTIONS(1946),
    [anon_sym_TILDE] = ACTIONS(1946),
    [anon_sym_DOLLAR] = ACTIONS(1956),
    [anon_sym_SQUOTE] = ACTIONS(1958),
    [sym__backquoted_id] = ACTIONS(1960),
    [sym_operator_identifier] = ACTIONS(2272),
    [sym_integer_literal] = ACTIONS(1964),
    [sym_floating_point_literal] = ACTIONS(1966),
    [anon_sym_true] = ACTIONS(1968),
    [anon_sym_false] = ACTIONS(1968),
    [sym_character_literal] = ACTIONS(1966),
    [sym_null_literal] = ACTIONS(1970),
    [anon_sym_return] = ACTIONS(2274),
    [anon_sym_throw] = ACTIONS(2276),
    [anon_sym_do] = ACTIONS(2278),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1972),
    [sym__simple_string] = ACTIONS(1972),
  },
  [2297] = {
    [sym_inline_modifier] = STATE(2055),
    [sym_block] = STATE(8218),
    [sym_expression] = STATE(12932),
    [sym__simple_expression] = STATE(6561),
    [sym_lambda_expression] = STATE(13097),
    [sym_if_expression] = STATE(13097),
    [sym_match_expression] = STATE(13097),
    [sym_try_expression] = STATE(13097),
    [sym_bindings] = STATE(15541),
    [sym_case_block] = STATE(8218),
    [sym_assignment_expression] = STATE(13097),
    [sym_generic_function] = STATE(8218),
    [sym_call_expression] = STATE(8218),
    [sym_field_expression] = STATE(8218),
    [sym_instance_expression] = STATE(8218),
    [sym_ascription_expression] = STATE(13097),
    [sym_infix_expression] = STATE(9424),
    [sym_postfix_expression] = STATE(12765),
    [sym__postfix_expression_choice] = STATE(16117),
    [sym_macro_body] = STATE(13097),
    [sym_prefix_expression] = STATE(9863),
    [sym_tuple_expression] = STATE(8218),
    [sym_parenthesized_expression] = STATE(8218),
    [sym_splice_expression] = STATE(8218),
    [sym_quote_expression] = STATE(8218),
    [sym_identifier] = STATE(5613),
    [sym__soft_identifier] = STATE(5752),
    [sym_wildcard] = STATE(8448),
    [sym__non_null_literal] = STATE(8218),
    [sym_boolean_literal] = STATE(8413),
    [sym_interpolated_string_expression] = STATE(8218),
    [sym_string] = STATE(8413),
    [sym_unit] = STATE(8218),
    [sym_return_expression] = STATE(13097),
    [sym_throw_expression] = STATE(13097),
    [sym_while_expression] = STATE(13097),
    [sym_do_while_expression] = STATE(13097),
    [sym_for_expression] = STATE(13097),
    [sym_comment] = STATE(2297),
    [sym_block_comment] = STATE(2297),
    [sym__alpha_identifier] = ACTIONS(1494),
    [anon_sym_LBRACE] = ACTIONS(1498),
    [anon_sym__] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1502),
    [anon_sym_end] = ACTIONS(1504),
    [anon_sym_if] = ACTIONS(2044),
    [anon_sym_while] = ACTIONS(2046),
    [anon_sym_for] = ACTIONS(2048),
    [anon_sym_try] = ACTIONS(2050),
    [anon_sym_new] = ACTIONS(1506),
    [anon_sym_opaque] = ACTIONS(1504),
    [anon_sym_implicit] = ACTIONS(2052),
    [anon_sym_inline] = ACTIONS(1508),
    [anon_sym_infix] = ACTIONS(1504),
    [anon_sym_open] = ACTIONS(1504),
    [anon_sym_transparent] = ACTIONS(1504),
    [anon_sym_LPAREN] = ACTIONS(1510),
    [anon_sym_macro] = ACTIONS(2054),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_TILDE] = ACTIONS(1502),
    [anon_sym_DOLLAR] = ACTIONS(1512),
    [anon_sym_SQUOTE] = ACTIONS(1514),
    [sym__backquoted_id] = ACTIONS(1516),
    [sym_operator_identifier] = ACTIONS(2056),
    [sym_integer_literal] = ACTIONS(1520),
    [sym_floating_point_literal] = ACTIONS(1522),
    [anon_sym_true] = ACTIONS(1524),
    [anon_sym_false] = ACTIONS(1524),
    [sym_character_literal] = ACTIONS(1522),
    [sym_null_literal] = ACTIONS(1526),
    [anon_sym_return] = ACTIONS(2058),
    [anon_sym_throw] = ACTIONS(2060),
    [anon_sym_do] = ACTIONS(2062),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1528),
    [sym__simple_string] = ACTIONS(1528),
  },
  [2298] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13810),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2298),
    [sym_block_comment] = STATE(2298),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2299] = {
    [sym_inline_modifier] = STATE(2195),
    [sym_block] = STATE(7443),
    [sym_expression] = STATE(12297),
    [sym__simple_expression] = STATE(5261),
    [sym_lambda_expression] = STATE(12692),
    [sym_if_expression] = STATE(12692),
    [sym_match_expression] = STATE(12692),
    [sym_try_expression] = STATE(12692),
    [sym_bindings] = STATE(15526),
    [sym_case_block] = STATE(7443),
    [sym_assignment_expression] = STATE(12692),
    [sym_generic_function] = STATE(7443),
    [sym_call_expression] = STATE(7443),
    [sym_field_expression] = STATE(7443),
    [sym_instance_expression] = STATE(7443),
    [sym_ascription_expression] = STATE(12692),
    [sym_infix_expression] = STATE(8993),
    [sym_postfix_expression] = STATE(12386),
    [sym__postfix_expression_choice] = STATE(16150),
    [sym_macro_body] = STATE(12692),
    [sym_prefix_expression] = STATE(8984),
    [sym_tuple_expression] = STATE(7443),
    [sym_parenthesized_expression] = STATE(7443),
    [sym_splice_expression] = STATE(7443),
    [sym_quote_expression] = STATE(7443),
    [sym_identifier] = STATE(4861),
    [sym__soft_identifier] = STATE(5213),
    [sym_wildcard] = STATE(7324),
    [sym__non_null_literal] = STATE(7443),
    [sym_boolean_literal] = STATE(7707),
    [sym_interpolated_string_expression] = STATE(7443),
    [sym_string] = STATE(7707),
    [sym_unit] = STATE(7443),
    [sym_return_expression] = STATE(12692),
    [sym_throw_expression] = STATE(12692),
    [sym_while_expression] = STATE(12692),
    [sym_do_while_expression] = STATE(12692),
    [sym_for_expression] = STATE(12692),
    [sym_comment] = STATE(2299),
    [sym_block_comment] = STATE(2299),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(1186),
    [anon_sym_while] = ACTIONS(1188),
    [anon_sym_for] = ACTIONS(1190),
    [anon_sym_try] = ACTIONS(1192),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(1194),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1196),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(1198),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(1200),
    [anon_sym_throw] = ACTIONS(1202),
    [anon_sym_do] = ACTIONS(1204),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [2300] = {
    [sym_inline_modifier] = STATE(2122),
    [sym_block] = STATE(6703),
    [sym_expression] = STATE(12166),
    [sym__simple_expression] = STATE(6037),
    [sym_lambda_expression] = STATE(12046),
    [sym_if_expression] = STATE(12046),
    [sym_match_expression] = STATE(12046),
    [sym_try_expression] = STATE(12046),
    [sym_bindings] = STATE(15638),
    [sym_case_block] = STATE(6703),
    [sym_assignment_expression] = STATE(12046),
    [sym_generic_function] = STATE(6703),
    [sym_call_expression] = STATE(6703),
    [sym_field_expression] = STATE(6703),
    [sym_instance_expression] = STATE(6703),
    [sym_ascription_expression] = STATE(12046),
    [sym_infix_expression] = STATE(8166),
    [sym_postfix_expression] = STATE(11496),
    [sym__postfix_expression_choice] = STATE(15827),
    [sym_macro_body] = STATE(12046),
    [sym_prefix_expression] = STATE(9715),
    [sym_tuple_expression] = STATE(6703),
    [sym_parenthesized_expression] = STATE(6703),
    [sym_splice_expression] = STATE(6703),
    [sym_quote_expression] = STATE(6703),
    [sym_identifier] = STATE(5641),
    [sym__soft_identifier] = STATE(4884),
    [sym_wildcard] = STATE(8386),
    [sym__non_null_literal] = STATE(6703),
    [sym_boolean_literal] = STATE(6780),
    [sym_interpolated_string_expression] = STATE(6703),
    [sym_string] = STATE(6780),
    [sym_unit] = STATE(6703),
    [sym_return_expression] = STATE(12046),
    [sym_throw_expression] = STATE(12046),
    [sym_while_expression] = STATE(12046),
    [sym_do_while_expression] = STATE(12046),
    [sym_for_expression] = STATE(12046),
    [sym_comment] = STATE(2300),
    [sym_block_comment] = STATE(2300),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(1838),
    [anon_sym_while] = ACTIONS(1840),
    [anon_sym_for] = ACTIONS(1842),
    [anon_sym_try] = ACTIONS(1844),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(1846),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1848),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(1850),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(1852),
    [anon_sym_throw] = ACTIONS(1854),
    [anon_sym_do] = ACTIONS(1856),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [2301] = {
    [sym_inline_modifier] = STATE(2195),
    [sym_block] = STATE(7443),
    [sym_expression] = STATE(12246),
    [sym__simple_expression] = STATE(5261),
    [sym_lambda_expression] = STATE(12692),
    [sym_if_expression] = STATE(12692),
    [sym_match_expression] = STATE(12692),
    [sym_try_expression] = STATE(12692),
    [sym_bindings] = STATE(15526),
    [sym_case_block] = STATE(7443),
    [sym_assignment_expression] = STATE(12692),
    [sym_generic_function] = STATE(7443),
    [sym_call_expression] = STATE(7443),
    [sym_field_expression] = STATE(7443),
    [sym_instance_expression] = STATE(7443),
    [sym_ascription_expression] = STATE(12692),
    [sym_infix_expression] = STATE(8993),
    [sym_postfix_expression] = STATE(12386),
    [sym__postfix_expression_choice] = STATE(16150),
    [sym_macro_body] = STATE(12692),
    [sym_prefix_expression] = STATE(8984),
    [sym_tuple_expression] = STATE(7443),
    [sym_parenthesized_expression] = STATE(7443),
    [sym_splice_expression] = STATE(7443),
    [sym_quote_expression] = STATE(7443),
    [sym_identifier] = STATE(4861),
    [sym__soft_identifier] = STATE(5213),
    [sym_wildcard] = STATE(7324),
    [sym__non_null_literal] = STATE(7443),
    [sym_boolean_literal] = STATE(7707),
    [sym_interpolated_string_expression] = STATE(7443),
    [sym_string] = STATE(7707),
    [sym_unit] = STATE(7443),
    [sym_return_expression] = STATE(12692),
    [sym_throw_expression] = STATE(12692),
    [sym_while_expression] = STATE(12692),
    [sym_do_while_expression] = STATE(12692),
    [sym_for_expression] = STATE(12692),
    [sym_comment] = STATE(2301),
    [sym_block_comment] = STATE(2301),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(1186),
    [anon_sym_while] = ACTIONS(1188),
    [anon_sym_for] = ACTIONS(1190),
    [anon_sym_try] = ACTIONS(1192),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(1194),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1196),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(1198),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(1200),
    [anon_sym_throw] = ACTIONS(1202),
    [anon_sym_do] = ACTIONS(1204),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [2302] = {
    [sym_inline_modifier] = STATE(2181),
    [sym_block] = STATE(5403),
    [sym_expression] = STATE(11354),
    [sym__simple_expression] = STATE(4722),
    [sym_lambda_expression] = STATE(11364),
    [sym_if_expression] = STATE(11364),
    [sym_match_expression] = STATE(11364),
    [sym_try_expression] = STATE(11364),
    [sym_bindings] = STATE(15648),
    [sym_case_block] = STATE(5403),
    [sym_assignment_expression] = STATE(11364),
    [sym_generic_function] = STATE(5403),
    [sym_call_expression] = STATE(5403),
    [sym_field_expression] = STATE(5403),
    [sym_instance_expression] = STATE(5403),
    [sym_ascription_expression] = STATE(11364),
    [sym_infix_expression] = STATE(6806),
    [sym_postfix_expression] = STATE(10789),
    [sym__postfix_expression_choice] = STATE(15797),
    [sym_macro_body] = STATE(11364),
    [sym_prefix_expression] = STATE(8559),
    [sym_tuple_expression] = STATE(5403),
    [sym_parenthesized_expression] = STATE(5403),
    [sym_splice_expression] = STATE(5403),
    [sym_quote_expression] = STATE(5403),
    [sym_identifier] = STATE(4646),
    [sym__soft_identifier] = STATE(4455),
    [sym_wildcard] = STATE(6287),
    [sym__non_null_literal] = STATE(5403),
    [sym_boolean_literal] = STATE(5637),
    [sym_interpolated_string_expression] = STATE(5403),
    [sym_string] = STATE(5637),
    [sym_unit] = STATE(5403),
    [sym_return_expression] = STATE(11364),
    [sym_throw_expression] = STATE(11364),
    [sym_while_expression] = STATE(11364),
    [sym_do_while_expression] = STATE(11364),
    [sym_for_expression] = STATE(11364),
    [sym_comment] = STATE(2302),
    [sym_block_comment] = STATE(2302),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(2352),
    [anon_sym_while] = ACTIONS(1172),
    [anon_sym_for] = ACTIONS(1174),
    [anon_sym_try] = ACTIONS(1176),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1178),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1162),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1180),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1182),
    [anon_sym_throw] = ACTIONS(1184),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [2303] = {
    [sym_inline_modifier] = STATE(2070),
    [sym_block] = STATE(8360),
    [sym_expression] = STATE(12703),
    [sym__simple_expression] = STATE(5615),
    [sym_lambda_expression] = STATE(13229),
    [sym_if_expression] = STATE(13229),
    [sym_match_expression] = STATE(13229),
    [sym_try_expression] = STATE(13229),
    [sym_bindings] = STATE(15528),
    [sym_case_block] = STATE(8360),
    [sym_assignment_expression] = STATE(13229),
    [sym_generic_function] = STATE(8360),
    [sym_call_expression] = STATE(8360),
    [sym_field_expression] = STATE(8360),
    [sym_instance_expression] = STATE(8360),
    [sym_ascription_expression] = STATE(13229),
    [sym_infix_expression] = STATE(9581),
    [sym_postfix_expression] = STATE(12866),
    [sym__postfix_expression_choice] = STATE(15971),
    [sym_macro_body] = STATE(13229),
    [sym_prefix_expression] = STATE(9582),
    [sym_tuple_expression] = STATE(8360),
    [sym_parenthesized_expression] = STATE(8360),
    [sym_splice_expression] = STATE(8360),
    [sym_quote_expression] = STATE(8360),
    [sym_identifier] = STATE(5263),
    [sym__soft_identifier] = STATE(5563),
    [sym_wildcard] = STATE(7408),
    [sym__non_null_literal] = STATE(8360),
    [sym_boolean_literal] = STATE(8269),
    [sym_interpolated_string_expression] = STATE(8360),
    [sym_string] = STATE(8269),
    [sym_unit] = STATE(8360),
    [sym_return_expression] = STATE(13229),
    [sym_throw_expression] = STATE(13229),
    [sym_while_expression] = STATE(13229),
    [sym_do_while_expression] = STATE(13229),
    [sym_for_expression] = STATE(13229),
    [sym_comment] = STATE(2303),
    [sym_block_comment] = STATE(2303),
    [sym__alpha_identifier] = ACTIONS(1242),
    [anon_sym_LBRACE] = ACTIONS(1246),
    [anon_sym__] = ACTIONS(1248),
    [anon_sym_PLUS] = ACTIONS(1250),
    [anon_sym_DASH] = ACTIONS(1250),
    [anon_sym_end] = ACTIONS(1252),
    [anon_sym_if] = ACTIONS(1654),
    [anon_sym_while] = ACTIONS(1656),
    [anon_sym_for] = ACTIONS(1658),
    [anon_sym_try] = ACTIONS(1660),
    [anon_sym_new] = ACTIONS(1254),
    [anon_sym_opaque] = ACTIONS(1252),
    [anon_sym_implicit] = ACTIONS(1662),
    [anon_sym_inline] = ACTIONS(1256),
    [anon_sym_infix] = ACTIONS(1252),
    [anon_sym_open] = ACTIONS(1252),
    [anon_sym_transparent] = ACTIONS(1252),
    [anon_sym_LPAREN] = ACTIONS(1258),
    [anon_sym_macro] = ACTIONS(1664),
    [anon_sym_BANG] = ACTIONS(1250),
    [anon_sym_TILDE] = ACTIONS(1250),
    [anon_sym_DOLLAR] = ACTIONS(1260),
    [anon_sym_SQUOTE] = ACTIONS(1262),
    [sym__backquoted_id] = ACTIONS(1264),
    [sym_operator_identifier] = ACTIONS(1666),
    [sym_integer_literal] = ACTIONS(1268),
    [sym_floating_point_literal] = ACTIONS(1270),
    [anon_sym_true] = ACTIONS(1272),
    [anon_sym_false] = ACTIONS(1272),
    [sym_character_literal] = ACTIONS(1270),
    [sym_null_literal] = ACTIONS(1274),
    [anon_sym_return] = ACTIONS(1668),
    [anon_sym_throw] = ACTIONS(1670),
    [anon_sym_do] = ACTIONS(1672),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1276),
    [sym__simple_string] = ACTIONS(1276),
  },
  [2304] = {
    [sym_inline_modifier] = STATE(2255),
    [sym_block] = STATE(6954),
    [sym_expression] = STATE(12187),
    [sym__simple_expression] = STATE(5438),
    [sym_lambda_expression] = STATE(12144),
    [sym_if_expression] = STATE(12144),
    [sym_match_expression] = STATE(12144),
    [sym_try_expression] = STATE(12144),
    [sym_bindings] = STATE(15515),
    [sym_case_block] = STATE(6954),
    [sym_assignment_expression] = STATE(12144),
    [sym_generic_function] = STATE(6954),
    [sym_call_expression] = STATE(6954),
    [sym_field_expression] = STATE(6954),
    [sym_instance_expression] = STATE(6954),
    [sym_ascription_expression] = STATE(12144),
    [sym_infix_expression] = STATE(8226),
    [sym_postfix_expression] = STATE(11499),
    [sym__postfix_expression_choice] = STATE(16229),
    [sym_macro_body] = STATE(12144),
    [sym_prefix_expression] = STATE(9369),
    [sym_tuple_expression] = STATE(6954),
    [sym_parenthesized_expression] = STATE(6954),
    [sym_splice_expression] = STATE(6954),
    [sym_quote_expression] = STATE(6954),
    [sym_identifier] = STATE(5276),
    [sym__soft_identifier] = STATE(4827),
    [sym_wildcard] = STATE(7444),
    [sym__non_null_literal] = STATE(6954),
    [sym_boolean_literal] = STATE(6997),
    [sym_interpolated_string_expression] = STATE(6954),
    [sym_string] = STATE(6997),
    [sym_unit] = STATE(6954),
    [sym_return_expression] = STATE(12144),
    [sym_throw_expression] = STATE(12144),
    [sym_while_expression] = STATE(12144),
    [sym_do_while_expression] = STATE(12144),
    [sym_for_expression] = STATE(12144),
    [sym_comment] = STATE(2304),
    [sym_block_comment] = STATE(2304),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(2666),
    [anon_sym_while] = ACTIONS(2314),
    [anon_sym_for] = ACTIONS(2316),
    [anon_sym_try] = ACTIONS(2318),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(2320),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1894),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(2322),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(2324),
    [anon_sym_throw] = ACTIONS(2326),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [2305] = {
    [sym_inline_modifier] = STATE(2086),
    [sym_block] = STATE(9116),
    [sym_expression] = STATE(13214),
    [sym__simple_expression] = STATE(5562),
    [sym_lambda_expression] = STATE(11364),
    [sym_if_expression] = STATE(11364),
    [sym_match_expression] = STATE(11364),
    [sym_try_expression] = STATE(11364),
    [sym_bindings] = STATE(15512),
    [sym_case_block] = STATE(9116),
    [sym_assignment_expression] = STATE(11364),
    [sym_generic_function] = STATE(9116),
    [sym_call_expression] = STATE(9116),
    [sym_field_expression] = STATE(9116),
    [sym_instance_expression] = STATE(9116),
    [sym_ascription_expression] = STATE(11364),
    [sym_infix_expression] = STATE(9793),
    [sym_postfix_expression] = STATE(10789),
    [sym__postfix_expression_choice] = STATE(15871),
    [sym_macro_body] = STATE(11364),
    [sym_prefix_expression] = STATE(9370),
    [sym_tuple_expression] = STATE(9116),
    [sym_parenthesized_expression] = STATE(9116),
    [sym_splice_expression] = STATE(9116),
    [sym_quote_expression] = STATE(9116),
    [sym_identifier] = STATE(5047),
    [sym__soft_identifier] = STATE(4332),
    [sym_wildcard] = STATE(7660),
    [sym__non_null_literal] = STATE(9116),
    [sym_boolean_literal] = STATE(5055),
    [sym_interpolated_string_expression] = STATE(9116),
    [sym_string] = STATE(5055),
    [sym_unit] = STATE(9116),
    [sym_return_expression] = STATE(11364),
    [sym_throw_expression] = STATE(11364),
    [sym_while_expression] = STATE(11364),
    [sym_do_while_expression] = STATE(11364),
    [sym_for_expression] = STATE(11364),
    [sym_comment] = STATE(2305),
    [sym_block_comment] = STATE(2305),
    [sym__alpha_identifier] = ACTIONS(1206),
    [anon_sym_LBRACE] = ACTIONS(1210),
    [anon_sym__] = ACTIONS(1212),
    [anon_sym_PLUS] = ACTIONS(1214),
    [anon_sym_DASH] = ACTIONS(1214),
    [anon_sym_end] = ACTIONS(1216),
    [anon_sym_if] = ACTIONS(1550),
    [anon_sym_while] = ACTIONS(1552),
    [anon_sym_for] = ACTIONS(1554),
    [anon_sym_try] = ACTIONS(1556),
    [anon_sym_new] = ACTIONS(1218),
    [anon_sym_opaque] = ACTIONS(1216),
    [anon_sym_implicit] = ACTIONS(1558),
    [anon_sym_inline] = ACTIONS(1220),
    [anon_sym_infix] = ACTIONS(1216),
    [anon_sym_open] = ACTIONS(1216),
    [anon_sym_transparent] = ACTIONS(1216),
    [anon_sym_LPAREN] = ACTIONS(1222),
    [anon_sym_macro] = ACTIONS(1560),
    [anon_sym_BANG] = ACTIONS(1214),
    [anon_sym_TILDE] = ACTIONS(1214),
    [anon_sym_DOLLAR] = ACTIONS(1224),
    [anon_sym_SQUOTE] = ACTIONS(1226),
    [sym__backquoted_id] = ACTIONS(1228),
    [sym_operator_identifier] = ACTIONS(1562),
    [sym_integer_literal] = ACTIONS(1232),
    [sym_floating_point_literal] = ACTIONS(1234),
    [anon_sym_true] = ACTIONS(1236),
    [anon_sym_false] = ACTIONS(1236),
    [sym_character_literal] = ACTIONS(1234),
    [sym_null_literal] = ACTIONS(1238),
    [anon_sym_return] = ACTIONS(1564),
    [anon_sym_throw] = ACTIONS(1566),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1240),
    [sym__simple_string] = ACTIONS(1240),
  },
  [2306] = {
    [sym_inline_modifier] = STATE(2086),
    [sym_block] = STATE(9116),
    [sym_expression] = STATE(12979),
    [sym__simple_expression] = STATE(5562),
    [sym_lambda_expression] = STATE(11364),
    [sym_if_expression] = STATE(11364),
    [sym_match_expression] = STATE(11364),
    [sym_try_expression] = STATE(11364),
    [sym_bindings] = STATE(15512),
    [sym_case_block] = STATE(9116),
    [sym_assignment_expression] = STATE(11364),
    [sym_generic_function] = STATE(9116),
    [sym_call_expression] = STATE(9116),
    [sym_field_expression] = STATE(9116),
    [sym_instance_expression] = STATE(9116),
    [sym_ascription_expression] = STATE(11364),
    [sym_infix_expression] = STATE(9793),
    [sym_postfix_expression] = STATE(10789),
    [sym__postfix_expression_choice] = STATE(15871),
    [sym_macro_body] = STATE(11364),
    [sym_prefix_expression] = STATE(9370),
    [sym_tuple_expression] = STATE(9116),
    [sym_parenthesized_expression] = STATE(9116),
    [sym_splice_expression] = STATE(9116),
    [sym_quote_expression] = STATE(9116),
    [sym_identifier] = STATE(5047),
    [sym__soft_identifier] = STATE(4332),
    [sym_wildcard] = STATE(7660),
    [sym__non_null_literal] = STATE(9116),
    [sym_boolean_literal] = STATE(5055),
    [sym_interpolated_string_expression] = STATE(9116),
    [sym_string] = STATE(5055),
    [sym_unit] = STATE(9116),
    [sym_return_expression] = STATE(11364),
    [sym_throw_expression] = STATE(11364),
    [sym_while_expression] = STATE(11364),
    [sym_do_while_expression] = STATE(11364),
    [sym_for_expression] = STATE(11364),
    [sym_comment] = STATE(2306),
    [sym_block_comment] = STATE(2306),
    [sym__alpha_identifier] = ACTIONS(1206),
    [anon_sym_LBRACE] = ACTIONS(1210),
    [anon_sym__] = ACTIONS(1212),
    [anon_sym_PLUS] = ACTIONS(1214),
    [anon_sym_DASH] = ACTIONS(1214),
    [anon_sym_end] = ACTIONS(1216),
    [anon_sym_if] = ACTIONS(1550),
    [anon_sym_while] = ACTIONS(1552),
    [anon_sym_for] = ACTIONS(1554),
    [anon_sym_try] = ACTIONS(1556),
    [anon_sym_new] = ACTIONS(1218),
    [anon_sym_opaque] = ACTIONS(1216),
    [anon_sym_implicit] = ACTIONS(1558),
    [anon_sym_inline] = ACTIONS(1220),
    [anon_sym_infix] = ACTIONS(1216),
    [anon_sym_open] = ACTIONS(1216),
    [anon_sym_transparent] = ACTIONS(1216),
    [anon_sym_LPAREN] = ACTIONS(1222),
    [anon_sym_macro] = ACTIONS(1560),
    [anon_sym_BANG] = ACTIONS(1214),
    [anon_sym_TILDE] = ACTIONS(1214),
    [anon_sym_DOLLAR] = ACTIONS(1224),
    [anon_sym_SQUOTE] = ACTIONS(1226),
    [sym__backquoted_id] = ACTIONS(1228),
    [sym_operator_identifier] = ACTIONS(1562),
    [sym_integer_literal] = ACTIONS(1232),
    [sym_floating_point_literal] = ACTIONS(1234),
    [anon_sym_true] = ACTIONS(1236),
    [anon_sym_false] = ACTIONS(1236),
    [sym_character_literal] = ACTIONS(1234),
    [sym_null_literal] = ACTIONS(1238),
    [anon_sym_return] = ACTIONS(1564),
    [anon_sym_throw] = ACTIONS(1566),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1240),
    [sym__simple_string] = ACTIONS(1240),
  },
  [2307] = {
    [sym_inline_modifier] = STATE(2208),
    [sym_block] = STATE(8821),
    [sym_expression] = STATE(13195),
    [sym__simple_expression] = STATE(6537),
    [sym_lambda_expression] = STATE(13337),
    [sym_if_expression] = STATE(13337),
    [sym_match_expression] = STATE(13337),
    [sym_try_expression] = STATE(13337),
    [sym_bindings] = STATE(15500),
    [sym_case_block] = STATE(8821),
    [sym_assignment_expression] = STATE(13337),
    [sym_generic_function] = STATE(8821),
    [sym_call_expression] = STATE(8821),
    [sym_field_expression] = STATE(8821),
    [sym_instance_expression] = STATE(8821),
    [sym_ascription_expression] = STATE(13337),
    [sym_infix_expression] = STATE(9659),
    [sym_postfix_expression] = STATE(13173),
    [sym__postfix_expression_choice] = STATE(16170),
    [sym_macro_body] = STATE(13337),
    [sym_prefix_expression] = STATE(9718),
    [sym_tuple_expression] = STATE(8821),
    [sym_parenthesized_expression] = STATE(8821),
    [sym_splice_expression] = STATE(8821),
    [sym_quote_expression] = STATE(8821),
    [sym_identifier] = STATE(5968),
    [sym__soft_identifier] = STATE(6446),
    [sym_wildcard] = STATE(8208),
    [sym__non_null_literal] = STATE(8821),
    [sym_boolean_literal] = STATE(8798),
    [sym_interpolated_string_expression] = STATE(8821),
    [sym_string] = STATE(8798),
    [sym_unit] = STATE(8821),
    [sym_return_expression] = STATE(13337),
    [sym_throw_expression] = STATE(13337),
    [sym_while_expression] = STATE(13337),
    [sym_do_while_expression] = STATE(13337),
    [sym_for_expression] = STATE(13337),
    [sym_comment] = STATE(2307),
    [sym_block_comment] = STATE(2307),
    [sym__alpha_identifier] = ACTIONS(1674),
    [anon_sym_LBRACE] = ACTIONS(1678),
    [anon_sym__] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1682),
    [anon_sym_DASH] = ACTIONS(1682),
    [anon_sym_end] = ACTIONS(1684),
    [anon_sym_if] = ACTIONS(1904),
    [anon_sym_while] = ACTIONS(1906),
    [anon_sym_for] = ACTIONS(1908),
    [anon_sym_try] = ACTIONS(1910),
    [anon_sym_new] = ACTIONS(1686),
    [anon_sym_opaque] = ACTIONS(1684),
    [anon_sym_implicit] = ACTIONS(1912),
    [anon_sym_inline] = ACTIONS(1688),
    [anon_sym_infix] = ACTIONS(1684),
    [anon_sym_open] = ACTIONS(1684),
    [anon_sym_transparent] = ACTIONS(1684),
    [anon_sym_LPAREN] = ACTIONS(1690),
    [anon_sym_macro] = ACTIONS(1914),
    [anon_sym_BANG] = ACTIONS(1682),
    [anon_sym_TILDE] = ACTIONS(1682),
    [anon_sym_DOLLAR] = ACTIONS(1692),
    [anon_sym_SQUOTE] = ACTIONS(1694),
    [sym__backquoted_id] = ACTIONS(1696),
    [sym_operator_identifier] = ACTIONS(1916),
    [sym_integer_literal] = ACTIONS(1700),
    [sym_floating_point_literal] = ACTIONS(1702),
    [anon_sym_true] = ACTIONS(1704),
    [anon_sym_false] = ACTIONS(1704),
    [sym_character_literal] = ACTIONS(1702),
    [sym_null_literal] = ACTIONS(1706),
    [anon_sym_return] = ACTIONS(1918),
    [anon_sym_throw] = ACTIONS(1920),
    [anon_sym_do] = ACTIONS(1922),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1708),
    [sym__simple_string] = ACTIONS(1708),
  },
  [2308] = {
    [sym_inline_modifier] = STATE(2100),
    [sym_block] = STATE(8218),
    [sym_expression] = STATE(12896),
    [sym__simple_expression] = STATE(7445),
    [sym_lambda_expression] = STATE(13097),
    [sym_if_expression] = STATE(13097),
    [sym_match_expression] = STATE(13097),
    [sym_try_expression] = STATE(13097),
    [sym_bindings] = STATE(15495),
    [sym_case_block] = STATE(8218),
    [sym_assignment_expression] = STATE(13097),
    [sym_generic_function] = STATE(8218),
    [sym_call_expression] = STATE(8218),
    [sym_field_expression] = STATE(8218),
    [sym_instance_expression] = STATE(8218),
    [sym_ascription_expression] = STATE(13097),
    [sym_infix_expression] = STATE(9424),
    [sym_postfix_expression] = STATE(12765),
    [sym__postfix_expression_choice] = STATE(16117),
    [sym_macro_body] = STATE(13097),
    [sym_prefix_expression] = STATE(10239),
    [sym_tuple_expression] = STATE(8218),
    [sym_parenthesized_expression] = STATE(8218),
    [sym_splice_expression] = STATE(8218),
    [sym_quote_expression] = STATE(8218),
    [sym_identifier] = STATE(7278),
    [sym__soft_identifier] = STATE(5752),
    [sym_wildcard] = STATE(9367),
    [sym__non_null_literal] = STATE(8218),
    [sym_boolean_literal] = STATE(8413),
    [sym_interpolated_string_expression] = STATE(8218),
    [sym_string] = STATE(8413),
    [sym_unit] = STATE(8218),
    [sym_return_expression] = STATE(13097),
    [sym_throw_expression] = STATE(13097),
    [sym_while_expression] = STATE(13097),
    [sym_do_while_expression] = STATE(13097),
    [sym_for_expression] = STATE(13097),
    [sym_comment] = STATE(2308),
    [sym_block_comment] = STATE(2308),
    [sym__alpha_identifier] = ACTIONS(1494),
    [anon_sym_LBRACE] = ACTIONS(1498),
    [anon_sym__] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1502),
    [anon_sym_end] = ACTIONS(1504),
    [anon_sym_if] = ACTIONS(3162),
    [anon_sym_while] = ACTIONS(3164),
    [anon_sym_for] = ACTIONS(3166),
    [anon_sym_try] = ACTIONS(3168),
    [anon_sym_new] = ACTIONS(1506),
    [anon_sym_opaque] = ACTIONS(1504),
    [anon_sym_implicit] = ACTIONS(3170),
    [anon_sym_inline] = ACTIONS(1508),
    [anon_sym_infix] = ACTIONS(1504),
    [anon_sym_open] = ACTIONS(1504),
    [anon_sym_transparent] = ACTIONS(1504),
    [anon_sym_LPAREN] = ACTIONS(1510),
    [anon_sym_macro] = ACTIONS(2054),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_TILDE] = ACTIONS(1502),
    [anon_sym_DOLLAR] = ACTIONS(1512),
    [anon_sym_SQUOTE] = ACTIONS(1514),
    [sym__backquoted_id] = ACTIONS(1516),
    [sym_operator_identifier] = ACTIONS(3320),
    [sym_integer_literal] = ACTIONS(1520),
    [sym_floating_point_literal] = ACTIONS(1522),
    [anon_sym_true] = ACTIONS(1524),
    [anon_sym_false] = ACTIONS(1524),
    [sym_character_literal] = ACTIONS(1522),
    [sym_null_literal] = ACTIONS(1526),
    [anon_sym_return] = ACTIONS(3175),
    [anon_sym_throw] = ACTIONS(3177),
    [anon_sym_do] = ACTIONS(2062),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1528),
    [sym__simple_string] = ACTIONS(1528),
  },
  [2309] = {
    [sym_inline_modifier] = STATE(2100),
    [sym_block] = STATE(8218),
    [sym_expression] = STATE(12932),
    [sym__simple_expression] = STATE(7445),
    [sym_lambda_expression] = STATE(13097),
    [sym_if_expression] = STATE(13097),
    [sym_match_expression] = STATE(13097),
    [sym_try_expression] = STATE(13097),
    [sym_bindings] = STATE(15495),
    [sym_case_block] = STATE(8218),
    [sym_assignment_expression] = STATE(13097),
    [sym_generic_function] = STATE(8218),
    [sym_call_expression] = STATE(8218),
    [sym_field_expression] = STATE(8218),
    [sym_instance_expression] = STATE(8218),
    [sym_ascription_expression] = STATE(13097),
    [sym_infix_expression] = STATE(9424),
    [sym_postfix_expression] = STATE(12765),
    [sym__postfix_expression_choice] = STATE(16117),
    [sym_macro_body] = STATE(13097),
    [sym_prefix_expression] = STATE(10239),
    [sym_tuple_expression] = STATE(8218),
    [sym_parenthesized_expression] = STATE(8218),
    [sym_splice_expression] = STATE(8218),
    [sym_quote_expression] = STATE(8218),
    [sym_identifier] = STATE(7278),
    [sym__soft_identifier] = STATE(5752),
    [sym_wildcard] = STATE(9367),
    [sym__non_null_literal] = STATE(8218),
    [sym_boolean_literal] = STATE(8413),
    [sym_interpolated_string_expression] = STATE(8218),
    [sym_string] = STATE(8413),
    [sym_unit] = STATE(8218),
    [sym_return_expression] = STATE(13097),
    [sym_throw_expression] = STATE(13097),
    [sym_while_expression] = STATE(13097),
    [sym_do_while_expression] = STATE(13097),
    [sym_for_expression] = STATE(13097),
    [sym_comment] = STATE(2309),
    [sym_block_comment] = STATE(2309),
    [sym__alpha_identifier] = ACTIONS(1494),
    [anon_sym_LBRACE] = ACTIONS(1498),
    [anon_sym__] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1502),
    [anon_sym_end] = ACTIONS(1504),
    [anon_sym_if] = ACTIONS(3162),
    [anon_sym_while] = ACTIONS(3164),
    [anon_sym_for] = ACTIONS(3166),
    [anon_sym_try] = ACTIONS(3168),
    [anon_sym_new] = ACTIONS(1506),
    [anon_sym_opaque] = ACTIONS(1504),
    [anon_sym_implicit] = ACTIONS(3170),
    [anon_sym_inline] = ACTIONS(1508),
    [anon_sym_infix] = ACTIONS(1504),
    [anon_sym_open] = ACTIONS(1504),
    [anon_sym_transparent] = ACTIONS(1504),
    [anon_sym_LPAREN] = ACTIONS(1510),
    [anon_sym_macro] = ACTIONS(2054),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_TILDE] = ACTIONS(1502),
    [anon_sym_DOLLAR] = ACTIONS(1512),
    [anon_sym_SQUOTE] = ACTIONS(1514),
    [sym__backquoted_id] = ACTIONS(1516),
    [sym_operator_identifier] = ACTIONS(3320),
    [sym_integer_literal] = ACTIONS(1520),
    [sym_floating_point_literal] = ACTIONS(1522),
    [anon_sym_true] = ACTIONS(1524),
    [anon_sym_false] = ACTIONS(1524),
    [sym_character_literal] = ACTIONS(1522),
    [sym_null_literal] = ACTIONS(1526),
    [anon_sym_return] = ACTIONS(3175),
    [anon_sym_throw] = ACTIONS(3177),
    [anon_sym_do] = ACTIONS(2062),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1528),
    [sym__simple_string] = ACTIONS(1528),
  },
  [2310] = {
    [sym_inline_modifier] = STATE(2181),
    [sym_block] = STATE(5403),
    [sym_expression] = STATE(11350),
    [sym__simple_expression] = STATE(4722),
    [sym_lambda_expression] = STATE(11364),
    [sym_if_expression] = STATE(11364),
    [sym_match_expression] = STATE(11364),
    [sym_try_expression] = STATE(11364),
    [sym_bindings] = STATE(15648),
    [sym_case_block] = STATE(5403),
    [sym_assignment_expression] = STATE(11364),
    [sym_generic_function] = STATE(5403),
    [sym_call_expression] = STATE(5403),
    [sym_field_expression] = STATE(5403),
    [sym_instance_expression] = STATE(5403),
    [sym_ascription_expression] = STATE(11364),
    [sym_infix_expression] = STATE(6806),
    [sym_postfix_expression] = STATE(10789),
    [sym__postfix_expression_choice] = STATE(15797),
    [sym_macro_body] = STATE(11364),
    [sym_prefix_expression] = STATE(8559),
    [sym_tuple_expression] = STATE(5403),
    [sym_parenthesized_expression] = STATE(5403),
    [sym_splice_expression] = STATE(5403),
    [sym_quote_expression] = STATE(5403),
    [sym_identifier] = STATE(4646),
    [sym__soft_identifier] = STATE(4455),
    [sym_wildcard] = STATE(6287),
    [sym__non_null_literal] = STATE(5403),
    [sym_boolean_literal] = STATE(5637),
    [sym_interpolated_string_expression] = STATE(5403),
    [sym_string] = STATE(5637),
    [sym_unit] = STATE(5403),
    [sym_return_expression] = STATE(11364),
    [sym_throw_expression] = STATE(11364),
    [sym_while_expression] = STATE(11364),
    [sym_do_while_expression] = STATE(11364),
    [sym_for_expression] = STATE(11364),
    [sym_comment] = STATE(2310),
    [sym_block_comment] = STATE(2310),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(2352),
    [anon_sym_while] = ACTIONS(1172),
    [anon_sym_for] = ACTIONS(1174),
    [anon_sym_try] = ACTIONS(1176),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1178),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1162),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1180),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1182),
    [anon_sym_throw] = ACTIONS(1184),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [2311] = {
    [sym_inline_modifier] = STATE(2208),
    [sym_block] = STATE(8821),
    [sym_expression] = STATE(13244),
    [sym__simple_expression] = STATE(6537),
    [sym_lambda_expression] = STATE(13337),
    [sym_if_expression] = STATE(13337),
    [sym_match_expression] = STATE(13337),
    [sym_try_expression] = STATE(13337),
    [sym_bindings] = STATE(15500),
    [sym_case_block] = STATE(8821),
    [sym_assignment_expression] = STATE(13337),
    [sym_generic_function] = STATE(8821),
    [sym_call_expression] = STATE(8821),
    [sym_field_expression] = STATE(8821),
    [sym_instance_expression] = STATE(8821),
    [sym_ascription_expression] = STATE(13337),
    [sym_infix_expression] = STATE(9659),
    [sym_postfix_expression] = STATE(13173),
    [sym__postfix_expression_choice] = STATE(16170),
    [sym_macro_body] = STATE(13337),
    [sym_prefix_expression] = STATE(9718),
    [sym_tuple_expression] = STATE(8821),
    [sym_parenthesized_expression] = STATE(8821),
    [sym_splice_expression] = STATE(8821),
    [sym_quote_expression] = STATE(8821),
    [sym_identifier] = STATE(5968),
    [sym__soft_identifier] = STATE(6446),
    [sym_wildcard] = STATE(8208),
    [sym__non_null_literal] = STATE(8821),
    [sym_boolean_literal] = STATE(8798),
    [sym_interpolated_string_expression] = STATE(8821),
    [sym_string] = STATE(8798),
    [sym_unit] = STATE(8821),
    [sym_return_expression] = STATE(13337),
    [sym_throw_expression] = STATE(13337),
    [sym_while_expression] = STATE(13337),
    [sym_do_while_expression] = STATE(13337),
    [sym_for_expression] = STATE(13337),
    [sym_comment] = STATE(2311),
    [sym_block_comment] = STATE(2311),
    [sym__alpha_identifier] = ACTIONS(1674),
    [anon_sym_LBRACE] = ACTIONS(1678),
    [anon_sym__] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1682),
    [anon_sym_DASH] = ACTIONS(1682),
    [anon_sym_end] = ACTIONS(1684),
    [anon_sym_if] = ACTIONS(1904),
    [anon_sym_while] = ACTIONS(1906),
    [anon_sym_for] = ACTIONS(1908),
    [anon_sym_try] = ACTIONS(1910),
    [anon_sym_new] = ACTIONS(1686),
    [anon_sym_opaque] = ACTIONS(1684),
    [anon_sym_implicit] = ACTIONS(1912),
    [anon_sym_inline] = ACTIONS(1688),
    [anon_sym_infix] = ACTIONS(1684),
    [anon_sym_open] = ACTIONS(1684),
    [anon_sym_transparent] = ACTIONS(1684),
    [anon_sym_LPAREN] = ACTIONS(1690),
    [anon_sym_macro] = ACTIONS(1914),
    [anon_sym_BANG] = ACTIONS(1682),
    [anon_sym_TILDE] = ACTIONS(1682),
    [anon_sym_DOLLAR] = ACTIONS(1692),
    [anon_sym_SQUOTE] = ACTIONS(1694),
    [sym__backquoted_id] = ACTIONS(1696),
    [sym_operator_identifier] = ACTIONS(1916),
    [sym_integer_literal] = ACTIONS(1700),
    [sym_floating_point_literal] = ACTIONS(1702),
    [anon_sym_true] = ACTIONS(1704),
    [anon_sym_false] = ACTIONS(1704),
    [sym_character_literal] = ACTIONS(1702),
    [sym_null_literal] = ACTIONS(1706),
    [anon_sym_return] = ACTIONS(1918),
    [anon_sym_throw] = ACTIONS(1920),
    [anon_sym_do] = ACTIONS(1922),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1708),
    [sym__simple_string] = ACTIONS(1708),
  },
  [2312] = {
    [sym_inline_modifier] = STATE(2106),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(12279),
    [sym__simple_expression] = STATE(6252),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15549),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(9660),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(5550),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(8541),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(2312),
    [sym_block_comment] = STATE(2312),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(3114),
    [anon_sym_while] = ACTIONS(3116),
    [anon_sym_for] = ACTIONS(3118),
    [anon_sym_try] = ACTIONS(3120),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(3122),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(3134),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(3127),
    [anon_sym_throw] = ACTIONS(3129),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [2313] = {
    [sym_inline_modifier] = STATE(2106),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(12259),
    [sym__simple_expression] = STATE(6252),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15549),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(9660),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(5550),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(8541),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(2313),
    [sym_block_comment] = STATE(2313),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(3114),
    [anon_sym_while] = ACTIONS(3116),
    [anon_sym_for] = ACTIONS(3118),
    [anon_sym_try] = ACTIONS(3120),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(3122),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(3134),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(3127),
    [anon_sym_throw] = ACTIONS(3129),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [2314] = {
    [sym_inline_modifier] = STATE(2212),
    [sym_block] = STATE(9539),
    [sym_expression] = STATE(13443),
    [sym__simple_expression] = STATE(6249),
    [sym_lambda_expression] = STATE(11374),
    [sym_if_expression] = STATE(11374),
    [sym_match_expression] = STATE(11374),
    [sym_try_expression] = STATE(11374),
    [sym_bindings] = STATE(15480),
    [sym_case_block] = STATE(9539),
    [sym_assignment_expression] = STATE(11374),
    [sym_generic_function] = STATE(9539),
    [sym_call_expression] = STATE(9539),
    [sym_field_expression] = STATE(9539),
    [sym_instance_expression] = STATE(9539),
    [sym_ascription_expression] = STATE(11374),
    [sym_infix_expression] = STATE(10179),
    [sym_postfix_expression] = STATE(11215),
    [sym__postfix_expression_choice] = STATE(16190),
    [sym_macro_body] = STATE(11374),
    [sym_prefix_expression] = STATE(9816),
    [sym_tuple_expression] = STATE(9539),
    [sym_parenthesized_expression] = STATE(9539),
    [sym_splice_expression] = STATE(9539),
    [sym_quote_expression] = STATE(9539),
    [sym_identifier] = STATE(5934),
    [sym__soft_identifier] = STATE(4462),
    [sym_wildcard] = STATE(8175),
    [sym__non_null_literal] = STATE(9539),
    [sym_boolean_literal] = STATE(5971),
    [sym_interpolated_string_expression] = STATE(9539),
    [sym_string] = STATE(5971),
    [sym_unit] = STATE(9539),
    [sym_return_expression] = STATE(11374),
    [sym_throw_expression] = STATE(11374),
    [sym_while_expression] = STATE(11374),
    [sym_do_while_expression] = STATE(11374),
    [sym_for_expression] = STATE(11374),
    [sym_comment] = STATE(2314),
    [sym_block_comment] = STATE(2314),
    [sym__alpha_identifier] = ACTIONS(1444),
    [anon_sym_LBRACE] = ACTIONS(1448),
    [anon_sym__] = ACTIONS(1450),
    [anon_sym_PLUS] = ACTIONS(1452),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_end] = ACTIONS(1454),
    [anon_sym_if] = ACTIONS(1802),
    [anon_sym_while] = ACTIONS(1804),
    [anon_sym_for] = ACTIONS(1806),
    [anon_sym_try] = ACTIONS(1808),
    [anon_sym_new] = ACTIONS(1456),
    [anon_sym_opaque] = ACTIONS(1454),
    [anon_sym_implicit] = ACTIONS(1810),
    [anon_sym_inline] = ACTIONS(1458),
    [anon_sym_infix] = ACTIONS(1454),
    [anon_sym_open] = ACTIONS(1454),
    [anon_sym_transparent] = ACTIONS(1454),
    [anon_sym_LPAREN] = ACTIONS(1460),
    [anon_sym_macro] = ACTIONS(1812),
    [anon_sym_BANG] = ACTIONS(1452),
    [anon_sym_TILDE] = ACTIONS(1452),
    [anon_sym_DOLLAR] = ACTIONS(1462),
    [anon_sym_SQUOTE] = ACTIONS(1464),
    [sym__backquoted_id] = ACTIONS(1466),
    [sym_operator_identifier] = ACTIONS(1814),
    [sym_integer_literal] = ACTIONS(1470),
    [sym_floating_point_literal] = ACTIONS(1472),
    [anon_sym_true] = ACTIONS(1474),
    [anon_sym_false] = ACTIONS(1474),
    [sym_character_literal] = ACTIONS(1472),
    [sym_null_literal] = ACTIONS(1476),
    [anon_sym_return] = ACTIONS(1816),
    [anon_sym_throw] = ACTIONS(1818),
    [anon_sym_do] = ACTIONS(1548),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1478),
    [sym__simple_string] = ACTIONS(1478),
  },
  [2315] = {
    [sym_inline_modifier] = STATE(2212),
    [sym_block] = STATE(9539),
    [sym_expression] = STATE(13392),
    [sym__simple_expression] = STATE(6249),
    [sym_lambda_expression] = STATE(11374),
    [sym_if_expression] = STATE(11374),
    [sym_match_expression] = STATE(11374),
    [sym_try_expression] = STATE(11374),
    [sym_bindings] = STATE(15480),
    [sym_case_block] = STATE(9539),
    [sym_assignment_expression] = STATE(11374),
    [sym_generic_function] = STATE(9539),
    [sym_call_expression] = STATE(9539),
    [sym_field_expression] = STATE(9539),
    [sym_instance_expression] = STATE(9539),
    [sym_ascription_expression] = STATE(11374),
    [sym_infix_expression] = STATE(10179),
    [sym_postfix_expression] = STATE(11215),
    [sym__postfix_expression_choice] = STATE(16190),
    [sym_macro_body] = STATE(11374),
    [sym_prefix_expression] = STATE(9816),
    [sym_tuple_expression] = STATE(9539),
    [sym_parenthesized_expression] = STATE(9539),
    [sym_splice_expression] = STATE(9539),
    [sym_quote_expression] = STATE(9539),
    [sym_identifier] = STATE(5934),
    [sym__soft_identifier] = STATE(4462),
    [sym_wildcard] = STATE(8175),
    [sym__non_null_literal] = STATE(9539),
    [sym_boolean_literal] = STATE(5971),
    [sym_interpolated_string_expression] = STATE(9539),
    [sym_string] = STATE(5971),
    [sym_unit] = STATE(9539),
    [sym_return_expression] = STATE(11374),
    [sym_throw_expression] = STATE(11374),
    [sym_while_expression] = STATE(11374),
    [sym_do_while_expression] = STATE(11374),
    [sym_for_expression] = STATE(11374),
    [sym_comment] = STATE(2315),
    [sym_block_comment] = STATE(2315),
    [sym__alpha_identifier] = ACTIONS(1444),
    [anon_sym_LBRACE] = ACTIONS(1448),
    [anon_sym__] = ACTIONS(1450),
    [anon_sym_PLUS] = ACTIONS(1452),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_end] = ACTIONS(1454),
    [anon_sym_if] = ACTIONS(1802),
    [anon_sym_while] = ACTIONS(1804),
    [anon_sym_for] = ACTIONS(1806),
    [anon_sym_try] = ACTIONS(1808),
    [anon_sym_new] = ACTIONS(1456),
    [anon_sym_opaque] = ACTIONS(1454),
    [anon_sym_implicit] = ACTIONS(1810),
    [anon_sym_inline] = ACTIONS(1458),
    [anon_sym_infix] = ACTIONS(1454),
    [anon_sym_open] = ACTIONS(1454),
    [anon_sym_transparent] = ACTIONS(1454),
    [anon_sym_LPAREN] = ACTIONS(1460),
    [anon_sym_macro] = ACTIONS(1812),
    [anon_sym_BANG] = ACTIONS(1452),
    [anon_sym_TILDE] = ACTIONS(1452),
    [anon_sym_DOLLAR] = ACTIONS(1462),
    [anon_sym_SQUOTE] = ACTIONS(1464),
    [sym__backquoted_id] = ACTIONS(1466),
    [sym_operator_identifier] = ACTIONS(1814),
    [sym_integer_literal] = ACTIONS(1470),
    [sym_floating_point_literal] = ACTIONS(1472),
    [anon_sym_true] = ACTIONS(1474),
    [anon_sym_false] = ACTIONS(1474),
    [sym_character_literal] = ACTIONS(1472),
    [sym_null_literal] = ACTIONS(1476),
    [anon_sym_return] = ACTIONS(1816),
    [anon_sym_throw] = ACTIONS(1818),
    [anon_sym_do] = ACTIONS(1548),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1478),
    [sym__simple_string] = ACTIONS(1478),
  },
  [2316] = {
    [sym_inline_modifier] = STATE(2060),
    [sym_block] = STATE(6450),
    [sym_expression] = STATE(11477),
    [sym__simple_expression] = STATE(5608),
    [sym_lambda_expression] = STATE(11549),
    [sym_if_expression] = STATE(11549),
    [sym_match_expression] = STATE(11549),
    [sym_try_expression] = STATE(11549),
    [sym_bindings] = STATE(15697),
    [sym_case_block] = STATE(6450),
    [sym_assignment_expression] = STATE(11549),
    [sym_generic_function] = STATE(6450),
    [sym_call_expression] = STATE(6450),
    [sym_field_expression] = STATE(6450),
    [sym_instance_expression] = STATE(6450),
    [sym_ascription_expression] = STATE(11549),
    [sym_infix_expression] = STATE(7641),
    [sym_postfix_expression] = STATE(11204),
    [sym__postfix_expression_choice] = STATE(16480),
    [sym_macro_body] = STATE(11549),
    [sym_prefix_expression] = STATE(9536),
    [sym_tuple_expression] = STATE(6450),
    [sym_parenthesized_expression] = STATE(6450),
    [sym_splice_expression] = STATE(6450),
    [sym_quote_expression] = STATE(6450),
    [sym_identifier] = STATE(5347),
    [sym__soft_identifier] = STATE(4507),
    [sym_wildcard] = STATE(7620),
    [sym__non_null_literal] = STATE(6450),
    [sym_boolean_literal] = STATE(6156),
    [sym_interpolated_string_expression] = STATE(6450),
    [sym_string] = STATE(6156),
    [sym_unit] = STATE(6450),
    [sym_return_expression] = STATE(11549),
    [sym_throw_expression] = STATE(11549),
    [sym_while_expression] = STATE(11549),
    [sym_do_while_expression] = STATE(11549),
    [sym_for_expression] = STATE(11549),
    [sym_comment] = STATE(2316),
    [sym_block_comment] = STATE(2316),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(1428),
    [anon_sym_while] = ACTIONS(1430),
    [anon_sym_for] = ACTIONS(1432),
    [anon_sym_try] = ACTIONS(1434),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1436),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1378),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1438),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1440),
    [anon_sym_throw] = ACTIONS(1442),
    [anon_sym_do] = ACTIONS(1386),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [2317] = {
    [sym_inline_modifier] = STATE(2054),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(12259),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(7036),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(2317),
    [sym_block_comment] = STATE(2317),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2807),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [2318] = {
    [sym_inline_modifier] = STATE(2281),
    [sym_block] = STATE(6540),
    [sym_expression] = STATE(11382),
    [sym__simple_expression] = STATE(5304),
    [sym_lambda_expression] = STATE(11374),
    [sym_if_expression] = STATE(11374),
    [sym_match_expression] = STATE(11374),
    [sym_try_expression] = STATE(11374),
    [sym_bindings] = STATE(15689),
    [sym_case_block] = STATE(6540),
    [sym_assignment_expression] = STATE(11374),
    [sym_generic_function] = STATE(6540),
    [sym_call_expression] = STATE(6540),
    [sym_field_expression] = STATE(6540),
    [sym_instance_expression] = STATE(6540),
    [sym_ascription_expression] = STATE(11374),
    [sym_infix_expression] = STATE(7834),
    [sym_postfix_expression] = STATE(11215),
    [sym__postfix_expression_choice] = STATE(16210),
    [sym_macro_body] = STATE(11374),
    [sym_prefix_expression] = STATE(8725),
    [sym_tuple_expression] = STATE(6540),
    [sym_parenthesized_expression] = STATE(6540),
    [sym_splice_expression] = STATE(6540),
    [sym_quote_expression] = STATE(6540),
    [sym_identifier] = STATE(4721),
    [sym__soft_identifier] = STATE(4667),
    [sym_wildcard] = STATE(7076),
    [sym__non_null_literal] = STATE(6540),
    [sym_boolean_literal] = STATE(6246),
    [sym_interpolated_string_expression] = STATE(6540),
    [sym_string] = STATE(6246),
    [sym_unit] = STATE(6540),
    [sym_return_expression] = STATE(11374),
    [sym_throw_expression] = STATE(11374),
    [sym_while_expression] = STATE(11374),
    [sym_do_while_expression] = STATE(11374),
    [sym_for_expression] = STATE(11374),
    [sym_comment] = STATE(2318),
    [sym_block_comment] = STATE(2318),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(2238),
    [anon_sym_while] = ACTIONS(1568),
    [anon_sym_for] = ACTIONS(1570),
    [anon_sym_try] = ACTIONS(1572),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1574),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1540),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1576),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1578),
    [anon_sym_throw] = ACTIONS(1580),
    [anon_sym_do] = ACTIONS(1548),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [2319] = {
    [sym_inline_modifier] = STATE(2064),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13455),
    [sym__simple_expression] = STATE(8719),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15704),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10572),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(8565),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(10039),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2319),
    [sym_block_comment] = STATE(2319),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(3246),
    [anon_sym_while] = ACTIONS(3248),
    [anon_sym_for] = ACTIONS(3250),
    [anon_sym_try] = ACTIONS(3252),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(3254),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3318),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(3259),
    [anon_sym_throw] = ACTIONS(3261),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2320] = {
    [sym_inline_modifier] = STATE(2281),
    [sym_block] = STATE(6540),
    [sym_expression] = STATE(11394),
    [sym__simple_expression] = STATE(5304),
    [sym_lambda_expression] = STATE(11374),
    [sym_if_expression] = STATE(11374),
    [sym_match_expression] = STATE(11374),
    [sym_try_expression] = STATE(11374),
    [sym_bindings] = STATE(15689),
    [sym_case_block] = STATE(6540),
    [sym_assignment_expression] = STATE(11374),
    [sym_generic_function] = STATE(6540),
    [sym_call_expression] = STATE(6540),
    [sym_field_expression] = STATE(6540),
    [sym_instance_expression] = STATE(6540),
    [sym_ascription_expression] = STATE(11374),
    [sym_infix_expression] = STATE(7834),
    [sym_postfix_expression] = STATE(11215),
    [sym__postfix_expression_choice] = STATE(16210),
    [sym_macro_body] = STATE(11374),
    [sym_prefix_expression] = STATE(8725),
    [sym_tuple_expression] = STATE(6540),
    [sym_parenthesized_expression] = STATE(6540),
    [sym_splice_expression] = STATE(6540),
    [sym_quote_expression] = STATE(6540),
    [sym_identifier] = STATE(4721),
    [sym__soft_identifier] = STATE(4667),
    [sym_wildcard] = STATE(7076),
    [sym__non_null_literal] = STATE(6540),
    [sym_boolean_literal] = STATE(6246),
    [sym_interpolated_string_expression] = STATE(6540),
    [sym_string] = STATE(6246),
    [sym_unit] = STATE(6540),
    [sym_return_expression] = STATE(11374),
    [sym_throw_expression] = STATE(11374),
    [sym_while_expression] = STATE(11374),
    [sym_do_while_expression] = STATE(11374),
    [sym_for_expression] = STATE(11374),
    [sym_comment] = STATE(2320),
    [sym_block_comment] = STATE(2320),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(2238),
    [anon_sym_while] = ACTIONS(1568),
    [anon_sym_for] = ACTIONS(1570),
    [anon_sym_try] = ACTIONS(1572),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1574),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1540),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1576),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1578),
    [anon_sym_throw] = ACTIONS(1580),
    [anon_sym_do] = ACTIONS(1548),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [2321] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(10133),
    [sym_expression] = STATE(14920),
    [sym__simple_expression] = STATE(7603),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(10133),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(10133),
    [sym_call_expression] = STATE(10133),
    [sym_field_expression] = STATE(10133),
    [sym_instance_expression] = STATE(10133),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16787),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(10133),
    [sym_parenthesized_expression] = STATE(10133),
    [sym_splice_expression] = STATE(10133),
    [sym_quote_expression] = STATE(10133),
    [sym_identifier] = STATE(6878),
    [sym__soft_identifier] = STATE(4482),
    [sym_wildcard] = STATE(9510),
    [sym__non_null_literal] = STATE(10133),
    [sym_boolean_literal] = STATE(7065),
    [sym_interpolated_string_expression] = STATE(10133),
    [sym_string] = STATE(7065),
    [sym_unit] = STATE(10133),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2321),
    [sym_block_comment] = STATE(2321),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(2374),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_opaque] = ACTIONS(2374),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(67),
    [anon_sym_infix] = ACTIONS(2374),
    [anon_sym_open] = ACTIONS(2374),
    [anon_sym_transparent] = ACTIONS(2374),
    [anon_sym_LPAREN] = ACTIONS(75),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(83),
    [sym_operator_identifier] = ACTIONS(2376),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [2322] = {
    [sym_inline_modifier] = STATE(2181),
    [sym_block] = STATE(5403),
    [sym_expression] = STATE(11361),
    [sym__simple_expression] = STATE(4722),
    [sym_lambda_expression] = STATE(11364),
    [sym_if_expression] = STATE(11364),
    [sym_match_expression] = STATE(11364),
    [sym_try_expression] = STATE(11364),
    [sym_bindings] = STATE(15648),
    [sym_case_block] = STATE(5403),
    [sym_assignment_expression] = STATE(11364),
    [sym_generic_function] = STATE(5403),
    [sym_call_expression] = STATE(5403),
    [sym_field_expression] = STATE(5403),
    [sym_instance_expression] = STATE(5403),
    [sym_ascription_expression] = STATE(11364),
    [sym_infix_expression] = STATE(6806),
    [sym_postfix_expression] = STATE(10789),
    [sym__postfix_expression_choice] = STATE(15797),
    [sym_macro_body] = STATE(11364),
    [sym_prefix_expression] = STATE(8559),
    [sym_tuple_expression] = STATE(5403),
    [sym_parenthesized_expression] = STATE(5403),
    [sym_splice_expression] = STATE(5403),
    [sym_quote_expression] = STATE(5403),
    [sym_identifier] = STATE(4646),
    [sym__soft_identifier] = STATE(4455),
    [sym_wildcard] = STATE(6287),
    [sym__non_null_literal] = STATE(5403),
    [sym_boolean_literal] = STATE(5637),
    [sym_interpolated_string_expression] = STATE(5403),
    [sym_string] = STATE(5637),
    [sym_unit] = STATE(5403),
    [sym_return_expression] = STATE(11364),
    [sym_throw_expression] = STATE(11364),
    [sym_while_expression] = STATE(11364),
    [sym_do_while_expression] = STATE(11364),
    [sym_for_expression] = STATE(11364),
    [sym_comment] = STATE(2322),
    [sym_block_comment] = STATE(2322),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(2352),
    [anon_sym_while] = ACTIONS(1172),
    [anon_sym_for] = ACTIONS(1174),
    [anon_sym_try] = ACTIONS(1176),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1178),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1162),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1180),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1182),
    [anon_sym_throw] = ACTIONS(1184),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [2323] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(15289),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2323),
    [sym_block_comment] = STATE(2323),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4126),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2324] = {
    [sym_inline_modifier] = STATE(2049),
    [sym_block] = STATE(8262),
    [sym_expression] = STATE(12927),
    [sym__simple_expression] = STATE(5468),
    [sym_lambda_expression] = STATE(13098),
    [sym_if_expression] = STATE(13098),
    [sym_match_expression] = STATE(13098),
    [sym_try_expression] = STATE(13098),
    [sym_bindings] = STATE(15673),
    [sym_case_block] = STATE(8262),
    [sym_assignment_expression] = STATE(13098),
    [sym_generic_function] = STATE(8262),
    [sym_call_expression] = STATE(8262),
    [sym_field_expression] = STATE(8262),
    [sym_instance_expression] = STATE(8262),
    [sym_ascription_expression] = STATE(13098),
    [sym_infix_expression] = STATE(9485),
    [sym_postfix_expression] = STATE(12647),
    [sym__postfix_expression_choice] = STATE(16347),
    [sym_macro_body] = STATE(13098),
    [sym_prefix_expression] = STATE(9354),
    [sym_tuple_expression] = STATE(8262),
    [sym_parenthesized_expression] = STATE(8262),
    [sym_splice_expression] = STATE(8262),
    [sym_quote_expression] = STATE(8262),
    [sym_identifier] = STATE(5288),
    [sym__soft_identifier] = STATE(5419),
    [sym_wildcard] = STATE(7475),
    [sym__non_null_literal] = STATE(8262),
    [sym_boolean_literal] = STATE(8242),
    [sym_interpolated_string_expression] = STATE(8262),
    [sym_string] = STATE(8242),
    [sym_unit] = STATE(8262),
    [sym_return_expression] = STATE(13098),
    [sym_throw_expression] = STATE(13098),
    [sym_while_expression] = STATE(13098),
    [sym_do_while_expression] = STATE(13098),
    [sym_for_expression] = STATE(13098),
    [sym_comment] = STATE(2324),
    [sym_block_comment] = STATE(2324),
    [sym__alpha_identifier] = ACTIONS(1278),
    [anon_sym_LBRACE] = ACTIONS(1282),
    [anon_sym__] = ACTIONS(1284),
    [anon_sym_PLUS] = ACTIONS(1286),
    [anon_sym_DASH] = ACTIONS(1286),
    [anon_sym_end] = ACTIONS(1288),
    [anon_sym_if] = ACTIONS(2196),
    [anon_sym_while] = ACTIONS(2016),
    [anon_sym_for] = ACTIONS(2018),
    [anon_sym_try] = ACTIONS(2020),
    [anon_sym_new] = ACTIONS(1290),
    [anon_sym_opaque] = ACTIONS(1288),
    [anon_sym_implicit] = ACTIONS(2022),
    [anon_sym_inline] = ACTIONS(1292),
    [anon_sym_infix] = ACTIONS(1288),
    [anon_sym_open] = ACTIONS(1288),
    [anon_sym_transparent] = ACTIONS(1288),
    [anon_sym_LPAREN] = ACTIONS(1294),
    [anon_sym_macro] = ACTIONS(1720),
    [anon_sym_BANG] = ACTIONS(1286),
    [anon_sym_TILDE] = ACTIONS(1286),
    [anon_sym_DOLLAR] = ACTIONS(1296),
    [anon_sym_SQUOTE] = ACTIONS(1298),
    [sym__backquoted_id] = ACTIONS(1300),
    [sym_operator_identifier] = ACTIONS(2024),
    [sym_integer_literal] = ACTIONS(1304),
    [sym_floating_point_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1308),
    [anon_sym_false] = ACTIONS(1308),
    [sym_character_literal] = ACTIONS(1306),
    [sym_null_literal] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(2026),
    [anon_sym_throw] = ACTIONS(2028),
    [anon_sym_do] = ACTIONS(1728),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1312),
    [sym__simple_string] = ACTIONS(1312),
  },
  [2325] = {
    [sym_inline_modifier] = STATE(2125),
    [sym_block] = STATE(6738),
    [sym_expression] = STATE(12197),
    [sym__simple_expression] = STATE(5176),
    [sym_lambda_expression] = STATE(12430),
    [sym_if_expression] = STATE(12430),
    [sym_match_expression] = STATE(12430),
    [sym_try_expression] = STATE(12430),
    [sym_bindings] = STATE(15677),
    [sym_case_block] = STATE(6738),
    [sym_assignment_expression] = STATE(12430),
    [sym_generic_function] = STATE(6738),
    [sym_call_expression] = STATE(6738),
    [sym_field_expression] = STATE(6738),
    [sym_instance_expression] = STATE(6738),
    [sym_ascription_expression] = STATE(12430),
    [sym_infix_expression] = STATE(8389),
    [sym_postfix_expression] = STATE(11930),
    [sym__postfix_expression_choice] = STATE(15885),
    [sym_macro_body] = STATE(12430),
    [sym_prefix_expression] = STATE(9115),
    [sym_tuple_expression] = STATE(6738),
    [sym_parenthesized_expression] = STATE(6738),
    [sym_splice_expression] = STATE(6738),
    [sym_quote_expression] = STATE(6738),
    [sym_identifier] = STATE(4951),
    [sym__soft_identifier] = STATE(4943),
    [sym_wildcard] = STATE(7114),
    [sym__non_null_literal] = STATE(6738),
    [sym_boolean_literal] = STATE(7301),
    [sym_interpolated_string_expression] = STATE(6738),
    [sym_string] = STATE(7301),
    [sym_unit] = STATE(6738),
    [sym_return_expression] = STATE(12430),
    [sym_throw_expression] = STATE(12430),
    [sym_while_expression] = STATE(12430),
    [sym_do_while_expression] = STATE(12430),
    [sym_for_expression] = STATE(12430),
    [sym_comment] = STATE(2325),
    [sym_block_comment] = STATE(2325),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(1350),
    [anon_sym_while] = ACTIONS(1352),
    [anon_sym_for] = ACTIONS(1354),
    [anon_sym_try] = ACTIONS(1356),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(1358),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1360),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(1362),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(1364),
    [anon_sym_throw] = ACTIONS(1366),
    [anon_sym_do] = ACTIONS(1368),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [2326] = {
    [sym_inline_modifier] = STATE(2246),
    [sym_block] = STATE(8360),
    [sym_expression] = STATE(12703),
    [sym__simple_expression] = STATE(5440),
    [sym_lambda_expression] = STATE(13229),
    [sym_if_expression] = STATE(13229),
    [sym_match_expression] = STATE(13229),
    [sym_try_expression] = STATE(13229),
    [sym_bindings] = STATE(15490),
    [sym_case_block] = STATE(8360),
    [sym_assignment_expression] = STATE(13229),
    [sym_generic_function] = STATE(8360),
    [sym_call_expression] = STATE(8360),
    [sym_field_expression] = STATE(8360),
    [sym_instance_expression] = STATE(8360),
    [sym_ascription_expression] = STATE(13229),
    [sym_infix_expression] = STATE(9581),
    [sym_postfix_expression] = STATE(12866),
    [sym__postfix_expression_choice] = STATE(15971),
    [sym_macro_body] = STATE(13229),
    [sym_prefix_expression] = STATE(9366),
    [sym_tuple_expression] = STATE(8360),
    [sym_parenthesized_expression] = STATE(8360),
    [sym_splice_expression] = STATE(8360),
    [sym_quote_expression] = STATE(8360),
    [sym_identifier] = STATE(5277),
    [sym__soft_identifier] = STATE(5563),
    [sym_wildcard] = STATE(7446),
    [sym__non_null_literal] = STATE(8360),
    [sym_boolean_literal] = STATE(8269),
    [sym_interpolated_string_expression] = STATE(8360),
    [sym_string] = STATE(8269),
    [sym_unit] = STATE(8360),
    [sym_return_expression] = STATE(13229),
    [sym_throw_expression] = STATE(13229),
    [sym_while_expression] = STATE(13229),
    [sym_do_while_expression] = STATE(13229),
    [sym_for_expression] = STATE(13229),
    [sym_comment] = STATE(2326),
    [sym_block_comment] = STATE(2326),
    [sym__alpha_identifier] = ACTIONS(1242),
    [anon_sym_LBRACE] = ACTIONS(1246),
    [anon_sym__] = ACTIONS(1248),
    [anon_sym_PLUS] = ACTIONS(1250),
    [anon_sym_DASH] = ACTIONS(1250),
    [anon_sym_end] = ACTIONS(1252),
    [anon_sym_if] = ACTIONS(2210),
    [anon_sym_while] = ACTIONS(2030),
    [anon_sym_for] = ACTIONS(2032),
    [anon_sym_try] = ACTIONS(2034),
    [anon_sym_new] = ACTIONS(1254),
    [anon_sym_opaque] = ACTIONS(1252),
    [anon_sym_implicit] = ACTIONS(2036),
    [anon_sym_inline] = ACTIONS(1256),
    [anon_sym_infix] = ACTIONS(1252),
    [anon_sym_open] = ACTIONS(1252),
    [anon_sym_transparent] = ACTIONS(1252),
    [anon_sym_LPAREN] = ACTIONS(1258),
    [anon_sym_macro] = ACTIONS(1664),
    [anon_sym_BANG] = ACTIONS(1250),
    [anon_sym_TILDE] = ACTIONS(1250),
    [anon_sym_DOLLAR] = ACTIONS(1260),
    [anon_sym_SQUOTE] = ACTIONS(1262),
    [sym__backquoted_id] = ACTIONS(1264),
    [sym_operator_identifier] = ACTIONS(2038),
    [sym_integer_literal] = ACTIONS(1268),
    [sym_floating_point_literal] = ACTIONS(1270),
    [anon_sym_true] = ACTIONS(1272),
    [anon_sym_false] = ACTIONS(1272),
    [sym_character_literal] = ACTIONS(1270),
    [sym_null_literal] = ACTIONS(1274),
    [anon_sym_return] = ACTIONS(2040),
    [anon_sym_throw] = ACTIONS(2042),
    [anon_sym_do] = ACTIONS(1672),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1276),
    [sym__simple_string] = ACTIONS(1276),
  },
  [2327] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13948),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2327),
    [sym_block_comment] = STATE(2327),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2328] = {
    [sym_inline_modifier] = STATE(2049),
    [sym_block] = STATE(8262),
    [sym_expression] = STATE(12880),
    [sym__simple_expression] = STATE(5468),
    [sym_lambda_expression] = STATE(13098),
    [sym_if_expression] = STATE(13098),
    [sym_match_expression] = STATE(13098),
    [sym_try_expression] = STATE(13098),
    [sym_bindings] = STATE(15673),
    [sym_case_block] = STATE(8262),
    [sym_assignment_expression] = STATE(13098),
    [sym_generic_function] = STATE(8262),
    [sym_call_expression] = STATE(8262),
    [sym_field_expression] = STATE(8262),
    [sym_instance_expression] = STATE(8262),
    [sym_ascription_expression] = STATE(13098),
    [sym_infix_expression] = STATE(9485),
    [sym_postfix_expression] = STATE(12647),
    [sym__postfix_expression_choice] = STATE(16347),
    [sym_macro_body] = STATE(13098),
    [sym_prefix_expression] = STATE(9354),
    [sym_tuple_expression] = STATE(8262),
    [sym_parenthesized_expression] = STATE(8262),
    [sym_splice_expression] = STATE(8262),
    [sym_quote_expression] = STATE(8262),
    [sym_identifier] = STATE(5288),
    [sym__soft_identifier] = STATE(5419),
    [sym_wildcard] = STATE(7475),
    [sym__non_null_literal] = STATE(8262),
    [sym_boolean_literal] = STATE(8242),
    [sym_interpolated_string_expression] = STATE(8262),
    [sym_string] = STATE(8242),
    [sym_unit] = STATE(8262),
    [sym_return_expression] = STATE(13098),
    [sym_throw_expression] = STATE(13098),
    [sym_while_expression] = STATE(13098),
    [sym_do_while_expression] = STATE(13098),
    [sym_for_expression] = STATE(13098),
    [sym_comment] = STATE(2328),
    [sym_block_comment] = STATE(2328),
    [sym__alpha_identifier] = ACTIONS(1278),
    [anon_sym_LBRACE] = ACTIONS(1282),
    [anon_sym__] = ACTIONS(1284),
    [anon_sym_PLUS] = ACTIONS(1286),
    [anon_sym_DASH] = ACTIONS(1286),
    [anon_sym_end] = ACTIONS(1288),
    [anon_sym_if] = ACTIONS(2196),
    [anon_sym_while] = ACTIONS(2016),
    [anon_sym_for] = ACTIONS(2018),
    [anon_sym_try] = ACTIONS(2020),
    [anon_sym_new] = ACTIONS(1290),
    [anon_sym_opaque] = ACTIONS(1288),
    [anon_sym_implicit] = ACTIONS(2022),
    [anon_sym_inline] = ACTIONS(1292),
    [anon_sym_infix] = ACTIONS(1288),
    [anon_sym_open] = ACTIONS(1288),
    [anon_sym_transparent] = ACTIONS(1288),
    [anon_sym_LPAREN] = ACTIONS(1294),
    [anon_sym_macro] = ACTIONS(1720),
    [anon_sym_BANG] = ACTIONS(1286),
    [anon_sym_TILDE] = ACTIONS(1286),
    [anon_sym_DOLLAR] = ACTIONS(1296),
    [anon_sym_SQUOTE] = ACTIONS(1298),
    [sym__backquoted_id] = ACTIONS(1300),
    [sym_operator_identifier] = ACTIONS(2024),
    [sym_integer_literal] = ACTIONS(1304),
    [sym_floating_point_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1308),
    [anon_sym_false] = ACTIONS(1308),
    [sym_character_literal] = ACTIONS(1306),
    [sym_null_literal] = ACTIONS(1310),
    [anon_sym_return] = ACTIONS(2026),
    [anon_sym_throw] = ACTIONS(2028),
    [anon_sym_do] = ACTIONS(1728),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1312),
    [sym__simple_string] = ACTIONS(1312),
  },
  [2329] = {
    [sym_inline_modifier] = STATE(2246),
    [sym_block] = STATE(8360),
    [sym_expression] = STATE(12640),
    [sym__simple_expression] = STATE(5440),
    [sym_lambda_expression] = STATE(13229),
    [sym_if_expression] = STATE(13229),
    [sym_match_expression] = STATE(13229),
    [sym_try_expression] = STATE(13229),
    [sym_bindings] = STATE(15490),
    [sym_case_block] = STATE(8360),
    [sym_assignment_expression] = STATE(13229),
    [sym_generic_function] = STATE(8360),
    [sym_call_expression] = STATE(8360),
    [sym_field_expression] = STATE(8360),
    [sym_instance_expression] = STATE(8360),
    [sym_ascription_expression] = STATE(13229),
    [sym_infix_expression] = STATE(9581),
    [sym_postfix_expression] = STATE(12866),
    [sym__postfix_expression_choice] = STATE(15971),
    [sym_macro_body] = STATE(13229),
    [sym_prefix_expression] = STATE(9366),
    [sym_tuple_expression] = STATE(8360),
    [sym_parenthesized_expression] = STATE(8360),
    [sym_splice_expression] = STATE(8360),
    [sym_quote_expression] = STATE(8360),
    [sym_identifier] = STATE(5277),
    [sym__soft_identifier] = STATE(5563),
    [sym_wildcard] = STATE(7446),
    [sym__non_null_literal] = STATE(8360),
    [sym_boolean_literal] = STATE(8269),
    [sym_interpolated_string_expression] = STATE(8360),
    [sym_string] = STATE(8269),
    [sym_unit] = STATE(8360),
    [sym_return_expression] = STATE(13229),
    [sym_throw_expression] = STATE(13229),
    [sym_while_expression] = STATE(13229),
    [sym_do_while_expression] = STATE(13229),
    [sym_for_expression] = STATE(13229),
    [sym_comment] = STATE(2329),
    [sym_block_comment] = STATE(2329),
    [sym__alpha_identifier] = ACTIONS(1242),
    [anon_sym_LBRACE] = ACTIONS(1246),
    [anon_sym__] = ACTIONS(1248),
    [anon_sym_PLUS] = ACTIONS(1250),
    [anon_sym_DASH] = ACTIONS(1250),
    [anon_sym_end] = ACTIONS(1252),
    [anon_sym_if] = ACTIONS(2210),
    [anon_sym_while] = ACTIONS(2030),
    [anon_sym_for] = ACTIONS(2032),
    [anon_sym_try] = ACTIONS(2034),
    [anon_sym_new] = ACTIONS(1254),
    [anon_sym_opaque] = ACTIONS(1252),
    [anon_sym_implicit] = ACTIONS(2036),
    [anon_sym_inline] = ACTIONS(1256),
    [anon_sym_infix] = ACTIONS(1252),
    [anon_sym_open] = ACTIONS(1252),
    [anon_sym_transparent] = ACTIONS(1252),
    [anon_sym_LPAREN] = ACTIONS(1258),
    [anon_sym_macro] = ACTIONS(1664),
    [anon_sym_BANG] = ACTIONS(1250),
    [anon_sym_TILDE] = ACTIONS(1250),
    [anon_sym_DOLLAR] = ACTIONS(1260),
    [anon_sym_SQUOTE] = ACTIONS(1262),
    [sym__backquoted_id] = ACTIONS(1264),
    [sym_operator_identifier] = ACTIONS(2038),
    [sym_integer_literal] = ACTIONS(1268),
    [sym_floating_point_literal] = ACTIONS(1270),
    [anon_sym_true] = ACTIONS(1272),
    [anon_sym_false] = ACTIONS(1272),
    [sym_character_literal] = ACTIONS(1270),
    [sym_null_literal] = ACTIONS(1274),
    [anon_sym_return] = ACTIONS(2040),
    [anon_sym_throw] = ACTIONS(2042),
    [anon_sym_do] = ACTIONS(1672),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1276),
    [sym__simple_string] = ACTIONS(1276),
  },
  [2330] = {
    [sym_inline_modifier] = STATE(2108),
    [sym_block] = STATE(9800),
    [sym_expression] = STATE(13521),
    [sym__simple_expression] = STATE(7357),
    [sym_lambda_expression] = STATE(12046),
    [sym_if_expression] = STATE(12046),
    [sym_match_expression] = STATE(12046),
    [sym_try_expression] = STATE(12046),
    [sym_bindings] = STATE(15518),
    [sym_case_block] = STATE(9800),
    [sym_assignment_expression] = STATE(12046),
    [sym_generic_function] = STATE(9800),
    [sym_call_expression] = STATE(9800),
    [sym_field_expression] = STATE(9800),
    [sym_instance_expression] = STATE(9800),
    [sym_ascription_expression] = STATE(12046),
    [sym_infix_expression] = STATE(10315),
    [sym_postfix_expression] = STATE(11496),
    [sym__postfix_expression_choice] = STATE(15840),
    [sym_macro_body] = STATE(12046),
    [sym_prefix_expression] = STATE(9949),
    [sym_tuple_expression] = STATE(9800),
    [sym_parenthesized_expression] = STATE(9800),
    [sym_splice_expression] = STATE(9800),
    [sym_quote_expression] = STATE(9800),
    [sym_identifier] = STATE(6016),
    [sym__soft_identifier] = STATE(4545),
    [sym_wildcard] = STATE(9086),
    [sym__non_null_literal] = STATE(9800),
    [sym_boolean_literal] = STATE(6076),
    [sym_interpolated_string_expression] = STATE(9800),
    [sym_string] = STATE(6076),
    [sym_unit] = STATE(9800),
    [sym_return_expression] = STATE(12046),
    [sym_throw_expression] = STATE(12046),
    [sym_while_expression] = STATE(12046),
    [sym_do_while_expression] = STATE(12046),
    [sym_for_expression] = STATE(12046),
    [sym_comment] = STATE(2330),
    [sym_block_comment] = STATE(2330),
    [sym__alpha_identifier] = ACTIONS(2084),
    [anon_sym_LBRACE] = ACTIONS(2088),
    [anon_sym__] = ACTIONS(2090),
    [anon_sym_PLUS] = ACTIONS(2092),
    [anon_sym_DASH] = ACTIONS(2092),
    [anon_sym_end] = ACTIONS(2094),
    [anon_sym_if] = ACTIONS(2216),
    [anon_sym_while] = ACTIONS(2218),
    [anon_sym_for] = ACTIONS(2220),
    [anon_sym_try] = ACTIONS(2222),
    [anon_sym_new] = ACTIONS(2096),
    [anon_sym_opaque] = ACTIONS(2094),
    [anon_sym_implicit] = ACTIONS(2224),
    [anon_sym_inline] = ACTIONS(2098),
    [anon_sym_infix] = ACTIONS(2094),
    [anon_sym_open] = ACTIONS(2094),
    [anon_sym_transparent] = ACTIONS(2094),
    [anon_sym_LPAREN] = ACTIONS(2100),
    [anon_sym_macro] = ACTIONS(2226),
    [anon_sym_BANG] = ACTIONS(2092),
    [anon_sym_TILDE] = ACTIONS(2092),
    [anon_sym_DOLLAR] = ACTIONS(2102),
    [anon_sym_SQUOTE] = ACTIONS(2104),
    [sym__backquoted_id] = ACTIONS(2106),
    [sym_operator_identifier] = ACTIONS(2228),
    [sym_integer_literal] = ACTIONS(2110),
    [sym_floating_point_literal] = ACTIONS(2112),
    [anon_sym_true] = ACTIONS(2114),
    [anon_sym_false] = ACTIONS(2114),
    [sym_character_literal] = ACTIONS(2112),
    [sym_null_literal] = ACTIONS(2116),
    [anon_sym_return] = ACTIONS(2230),
    [anon_sym_throw] = ACTIONS(2232),
    [anon_sym_do] = ACTIONS(1856),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(2118),
    [sym__simple_string] = ACTIONS(2118),
  },
  [2331] = {
    [sym_inline_modifier] = STATE(2081),
    [sym_block] = STATE(6540),
    [sym_expression] = STATE(11382),
    [sym__simple_expression] = STATE(5282),
    [sym_lambda_expression] = STATE(11374),
    [sym_if_expression] = STATE(11374),
    [sym_match_expression] = STATE(11374),
    [sym_try_expression] = STATE(11374),
    [sym_bindings] = STATE(15666),
    [sym_case_block] = STATE(6540),
    [sym_assignment_expression] = STATE(11374),
    [sym_generic_function] = STATE(6540),
    [sym_call_expression] = STATE(6540),
    [sym_field_expression] = STATE(6540),
    [sym_instance_expression] = STATE(6540),
    [sym_ascription_expression] = STATE(11374),
    [sym_infix_expression] = STATE(7834),
    [sym_postfix_expression] = STATE(11215),
    [sym__postfix_expression_choice] = STATE(16210),
    [sym_macro_body] = STATE(11374),
    [sym_prefix_expression] = STATE(8793),
    [sym_tuple_expression] = STATE(6540),
    [sym_parenthesized_expression] = STATE(6540),
    [sym_splice_expression] = STATE(6540),
    [sym_quote_expression] = STATE(6540),
    [sym_identifier] = STATE(4731),
    [sym__soft_identifier] = STATE(4667),
    [sym_wildcard] = STATE(7219),
    [sym__non_null_literal] = STATE(6540),
    [sym_boolean_literal] = STATE(6246),
    [sym_interpolated_string_expression] = STATE(6540),
    [sym_string] = STATE(6246),
    [sym_unit] = STATE(6540),
    [sym_return_expression] = STATE(11374),
    [sym_throw_expression] = STATE(11374),
    [sym_while_expression] = STATE(11374),
    [sym_do_while_expression] = STATE(11374),
    [sym_for_expression] = STATE(11374),
    [sym_comment] = STATE(2331),
    [sym_block_comment] = STATE(2331),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(2506),
    [anon_sym_while] = ACTIONS(1988),
    [anon_sym_for] = ACTIONS(1990),
    [anon_sym_try] = ACTIONS(1992),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1994),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1540),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1996),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1998),
    [anon_sym_throw] = ACTIONS(2000),
    [anon_sym_do] = ACTIONS(1548),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [2332] = {
    [sym_inline_modifier] = STATE(2081),
    [sym_block] = STATE(6540),
    [sym_expression] = STATE(11394),
    [sym__simple_expression] = STATE(5282),
    [sym_lambda_expression] = STATE(11374),
    [sym_if_expression] = STATE(11374),
    [sym_match_expression] = STATE(11374),
    [sym_try_expression] = STATE(11374),
    [sym_bindings] = STATE(15666),
    [sym_case_block] = STATE(6540),
    [sym_assignment_expression] = STATE(11374),
    [sym_generic_function] = STATE(6540),
    [sym_call_expression] = STATE(6540),
    [sym_field_expression] = STATE(6540),
    [sym_instance_expression] = STATE(6540),
    [sym_ascription_expression] = STATE(11374),
    [sym_infix_expression] = STATE(7834),
    [sym_postfix_expression] = STATE(11215),
    [sym__postfix_expression_choice] = STATE(16210),
    [sym_macro_body] = STATE(11374),
    [sym_prefix_expression] = STATE(8793),
    [sym_tuple_expression] = STATE(6540),
    [sym_parenthesized_expression] = STATE(6540),
    [sym_splice_expression] = STATE(6540),
    [sym_quote_expression] = STATE(6540),
    [sym_identifier] = STATE(4731),
    [sym__soft_identifier] = STATE(4667),
    [sym_wildcard] = STATE(7219),
    [sym__non_null_literal] = STATE(6540),
    [sym_boolean_literal] = STATE(6246),
    [sym_interpolated_string_expression] = STATE(6540),
    [sym_string] = STATE(6246),
    [sym_unit] = STATE(6540),
    [sym_return_expression] = STATE(11374),
    [sym_throw_expression] = STATE(11374),
    [sym_while_expression] = STATE(11374),
    [sym_do_while_expression] = STATE(11374),
    [sym_for_expression] = STATE(11374),
    [sym_comment] = STATE(2332),
    [sym_block_comment] = STATE(2332),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(2506),
    [anon_sym_while] = ACTIONS(1988),
    [anon_sym_for] = ACTIONS(1990),
    [anon_sym_try] = ACTIONS(1992),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1994),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1540),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1996),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1998),
    [anon_sym_throw] = ACTIONS(2000),
    [anon_sym_do] = ACTIONS(1548),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [2333] = {
    [sym_inline_modifier] = STATE(2054),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(12279),
    [sym__simple_expression] = STATE(8044),
    [sym_lambda_expression] = STATE(12326),
    [sym_if_expression] = STATE(12326),
    [sym_match_expression] = STATE(12326),
    [sym_try_expression] = STATE(12326),
    [sym_bindings] = STATE(15760),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(12326),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(12326),
    [sym_infix_expression] = STATE(9452),
    [sym_postfix_expression] = STATE(12054),
    [sym__postfix_expression_choice] = STATE(16934),
    [sym_macro_body] = STATE(12326),
    [sym_prefix_expression] = STATE(10281),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(7036),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(9427),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(12326),
    [sym_throw_expression] = STATE(12326),
    [sym_while_expression] = STATE(12326),
    [sym_do_while_expression] = STATE(12326),
    [sym_for_expression] = STATE(12326),
    [sym_comment] = STATE(2333),
    [sym_block_comment] = STATE(2333),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2807),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [2334] = {
    [sym_inline_modifier] = STATE(2250),
    [sym_block] = STATE(6450),
    [sym_expression] = STATE(11484),
    [sym__simple_expression] = STATE(5297),
    [sym_lambda_expression] = STATE(11549),
    [sym_if_expression] = STATE(11549),
    [sym_match_expression] = STATE(11549),
    [sym_try_expression] = STATE(11549),
    [sym_bindings] = STATE(15503),
    [sym_case_block] = STATE(6450),
    [sym_assignment_expression] = STATE(11549),
    [sym_generic_function] = STATE(6450),
    [sym_call_expression] = STATE(6450),
    [sym_field_expression] = STATE(6450),
    [sym_instance_expression] = STATE(6450),
    [sym_ascription_expression] = STATE(11549),
    [sym_infix_expression] = STATE(7641),
    [sym_postfix_expression] = STATE(11204),
    [sym__postfix_expression_choice] = STATE(16480),
    [sym_macro_body] = STATE(11549),
    [sym_prefix_expression] = STATE(8711),
    [sym_tuple_expression] = STATE(6450),
    [sym_parenthesized_expression] = STATE(6450),
    [sym_splice_expression] = STATE(6450),
    [sym_quote_expression] = STATE(6450),
    [sym_identifier] = STATE(4723),
    [sym__soft_identifier] = STATE(4507),
    [sym_wildcard] = STATE(7115),
    [sym__non_null_literal] = STATE(6450),
    [sym_boolean_literal] = STATE(6156),
    [sym_interpolated_string_expression] = STATE(6450),
    [sym_string] = STATE(6156),
    [sym_unit] = STATE(6450),
    [sym_return_expression] = STATE(11549),
    [sym_throw_expression] = STATE(11549),
    [sym_while_expression] = STATE(11549),
    [sym_do_while_expression] = STATE(11549),
    [sym_for_expression] = STATE(11549),
    [sym_comment] = STATE(2334),
    [sym_block_comment] = STATE(2334),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(2256),
    [anon_sym_while] = ACTIONS(1370),
    [anon_sym_for] = ACTIONS(1372),
    [anon_sym_try] = ACTIONS(1374),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1376),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1378),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1380),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1382),
    [anon_sym_throw] = ACTIONS(1384),
    [anon_sym_do] = ACTIONS(1386),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [2335] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(15391),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2335),
    [sym_block_comment] = STATE(2335),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4128),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2336] = {
    [sym_inline_modifier] = STATE(2125),
    [sym_block] = STATE(6738),
    [sym_expression] = STATE(12061),
    [sym__simple_expression] = STATE(5176),
    [sym_lambda_expression] = STATE(12430),
    [sym_if_expression] = STATE(12430),
    [sym_match_expression] = STATE(12430),
    [sym_try_expression] = STATE(12430),
    [sym_bindings] = STATE(15677),
    [sym_case_block] = STATE(6738),
    [sym_assignment_expression] = STATE(12430),
    [sym_generic_function] = STATE(6738),
    [sym_call_expression] = STATE(6738),
    [sym_field_expression] = STATE(6738),
    [sym_instance_expression] = STATE(6738),
    [sym_ascription_expression] = STATE(12430),
    [sym_infix_expression] = STATE(8389),
    [sym_postfix_expression] = STATE(11930),
    [sym__postfix_expression_choice] = STATE(15885),
    [sym_macro_body] = STATE(12430),
    [sym_prefix_expression] = STATE(9115),
    [sym_tuple_expression] = STATE(6738),
    [sym_parenthesized_expression] = STATE(6738),
    [sym_splice_expression] = STATE(6738),
    [sym_quote_expression] = STATE(6738),
    [sym_identifier] = STATE(4951),
    [sym__soft_identifier] = STATE(4943),
    [sym_wildcard] = STATE(7114),
    [sym__non_null_literal] = STATE(6738),
    [sym_boolean_literal] = STATE(7301),
    [sym_interpolated_string_expression] = STATE(6738),
    [sym_string] = STATE(7301),
    [sym_unit] = STATE(6738),
    [sym_return_expression] = STATE(12430),
    [sym_throw_expression] = STATE(12430),
    [sym_while_expression] = STATE(12430),
    [sym_do_while_expression] = STATE(12430),
    [sym_for_expression] = STATE(12430),
    [sym_comment] = STATE(2336),
    [sym_block_comment] = STATE(2336),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(1350),
    [anon_sym_while] = ACTIONS(1352),
    [anon_sym_for] = ACTIONS(1354),
    [anon_sym_try] = ACTIONS(1356),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(1358),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1360),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(1362),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(1364),
    [anon_sym_throw] = ACTIONS(1366),
    [anon_sym_do] = ACTIONS(1368),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [2337] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(14396),
    [sym__simple_expression] = STATE(5247),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9541),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16541),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(8999),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(4515),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(6056),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2337),
    [sym_block_comment] = STATE(2337),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(1426),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [2338] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13957),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2338),
    [sym_block_comment] = STATE(2338),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2339] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13997),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2339),
    [sym_block_comment] = STATE(2339),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2340] = {
    [sym_inline_modifier] = STATE(2250),
    [sym_block] = STATE(6450),
    [sym_expression] = STATE(11477),
    [sym__simple_expression] = STATE(5297),
    [sym_lambda_expression] = STATE(11549),
    [sym_if_expression] = STATE(11549),
    [sym_match_expression] = STATE(11549),
    [sym_try_expression] = STATE(11549),
    [sym_bindings] = STATE(15503),
    [sym_case_block] = STATE(6450),
    [sym_assignment_expression] = STATE(11549),
    [sym_generic_function] = STATE(6450),
    [sym_call_expression] = STATE(6450),
    [sym_field_expression] = STATE(6450),
    [sym_instance_expression] = STATE(6450),
    [sym_ascription_expression] = STATE(11549),
    [sym_infix_expression] = STATE(7641),
    [sym_postfix_expression] = STATE(11204),
    [sym__postfix_expression_choice] = STATE(16480),
    [sym_macro_body] = STATE(11549),
    [sym_prefix_expression] = STATE(8711),
    [sym_tuple_expression] = STATE(6450),
    [sym_parenthesized_expression] = STATE(6450),
    [sym_splice_expression] = STATE(6450),
    [sym_quote_expression] = STATE(6450),
    [sym_identifier] = STATE(4723),
    [sym__soft_identifier] = STATE(4507),
    [sym_wildcard] = STATE(7115),
    [sym__non_null_literal] = STATE(6450),
    [sym_boolean_literal] = STATE(6156),
    [sym_interpolated_string_expression] = STATE(6450),
    [sym_string] = STATE(6156),
    [sym_unit] = STATE(6450),
    [sym_return_expression] = STATE(11549),
    [sym_throw_expression] = STATE(11549),
    [sym_while_expression] = STATE(11549),
    [sym_do_while_expression] = STATE(11549),
    [sym_for_expression] = STATE(11549),
    [sym_comment] = STATE(2340),
    [sym_block_comment] = STATE(2340),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(2256),
    [anon_sym_while] = ACTIONS(1370),
    [anon_sym_for] = ACTIONS(1372),
    [anon_sym_try] = ACTIONS(1374),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1376),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1378),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1380),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1382),
    [anon_sym_throw] = ACTIONS(1384),
    [anon_sym_do] = ACTIONS(1386),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [2341] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(8041),
    [sym_expression] = STATE(14396),
    [sym__simple_expression] = STATE(4757),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(8041),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(8041),
    [sym_call_expression] = STATE(8041),
    [sym_field_expression] = STATE(8041),
    [sym_instance_expression] = STATE(8041),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16541),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(8041),
    [sym_parenthesized_expression] = STATE(8041),
    [sym_splice_expression] = STATE(8041),
    [sym_quote_expression] = STATE(8041),
    [sym_identifier] = STATE(4515),
    [sym__soft_identifier] = STATE(5314),
    [sym_wildcard] = STATE(6056),
    [sym__non_null_literal] = STATE(8041),
    [sym_boolean_literal] = STATE(8034),
    [sym_interpolated_string_expression] = STATE(8041),
    [sym_string] = STATE(8034),
    [sym_unit] = STATE(8041),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2341),
    [sym_block_comment] = STATE(2341),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(1426),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [2342] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(14027),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2342),
    [sym_block_comment] = STATE(2342),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2343] = {
    [sym_inline_modifier] = STATE(2113),
    [sym_block] = STATE(6703),
    [sym_expression] = STATE(12166),
    [sym__simple_expression] = STATE(5524),
    [sym_lambda_expression] = STATE(12046),
    [sym_if_expression] = STATE(12046),
    [sym_match_expression] = STATE(12046),
    [sym_try_expression] = STATE(12046),
    [sym_bindings] = STATE(15660),
    [sym_case_block] = STATE(6703),
    [sym_assignment_expression] = STATE(12046),
    [sym_generic_function] = STATE(6703),
    [sym_call_expression] = STATE(6703),
    [sym_field_expression] = STATE(6703),
    [sym_instance_expression] = STATE(6703),
    [sym_ascription_expression] = STATE(12046),
    [sym_infix_expression] = STATE(8166),
    [sym_postfix_expression] = STATE(11496),
    [sym__postfix_expression_choice] = STATE(15827),
    [sym_macro_body] = STATE(12046),
    [sym_prefix_expression] = STATE(9264),
    [sym_tuple_expression] = STATE(6703),
    [sym_parenthesized_expression] = STATE(6703),
    [sym_splice_expression] = STATE(6703),
    [sym_quote_expression] = STATE(6703),
    [sym_identifier] = STATE(5303),
    [sym__soft_identifier] = STATE(4884),
    [sym_wildcard] = STATE(7550),
    [sym__non_null_literal] = STATE(6703),
    [sym_boolean_literal] = STATE(6780),
    [sym_interpolated_string_expression] = STATE(6703),
    [sym_string] = STATE(6780),
    [sym_unit] = STATE(6703),
    [sym_return_expression] = STATE(12046),
    [sym_throw_expression] = STATE(12046),
    [sym_while_expression] = STATE(12046),
    [sym_do_while_expression] = STATE(12046),
    [sym_for_expression] = STATE(12046),
    [sym_comment] = STATE(2343),
    [sym_block_comment] = STATE(2343),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(2478),
    [anon_sym_while] = ACTIONS(2002),
    [anon_sym_for] = ACTIONS(2004),
    [anon_sym_try] = ACTIONS(2006),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(2008),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1848),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(2010),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(2012),
    [anon_sym_throw] = ACTIONS(2014),
    [anon_sym_do] = ACTIONS(1856),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [2344] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(13978),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2344),
    [sym_block_comment] = STATE(2344),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2345] = {
    [sym_inline_modifier] = STATE(2098),
    [sym_block] = STATE(9545),
    [sym_expression] = STATE(14014),
    [sym__simple_expression] = STATE(7614),
    [sym_lambda_expression] = STATE(13529),
    [sym_if_expression] = STATE(13529),
    [sym_match_expression] = STATE(13529),
    [sym_try_expression] = STATE(13529),
    [sym_bindings] = STATE(15736),
    [sym_case_block] = STATE(9545),
    [sym_assignment_expression] = STATE(13529),
    [sym_generic_function] = STATE(9545),
    [sym_call_expression] = STATE(9545),
    [sym_field_expression] = STATE(9545),
    [sym_instance_expression] = STATE(9545),
    [sym_ascription_expression] = STATE(13529),
    [sym_infix_expression] = STATE(9980),
    [sym_postfix_expression] = STATE(12970),
    [sym__postfix_expression_choice] = STATE(16690),
    [sym_macro_body] = STATE(13529),
    [sym_prefix_expression] = STATE(10259),
    [sym_tuple_expression] = STATE(9545),
    [sym_parenthesized_expression] = STATE(9545),
    [sym_splice_expression] = STATE(9545),
    [sym_quote_expression] = STATE(9545),
    [sym_identifier] = STATE(5579),
    [sym__soft_identifier] = STATE(5785),
    [sym_wildcard] = STATE(8502),
    [sym__non_null_literal] = STATE(9545),
    [sym_boolean_literal] = STATE(8503),
    [sym_interpolated_string_expression] = STATE(9545),
    [sym_string] = STATE(8503),
    [sym_unit] = STATE(9545),
    [sym_return_expression] = STATE(13529),
    [sym_throw_expression] = STATE(13529),
    [sym_while_expression] = STATE(13529),
    [sym_do_while_expression] = STATE(13529),
    [sym_for_expression] = STATE(13529),
    [sym_comment] = STATE(2345),
    [sym_block_comment] = STATE(2345),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2346] = {
    [sym_inline_modifier] = STATE(2108),
    [sym_block] = STATE(9800),
    [sym_expression] = STATE(13493),
    [sym__simple_expression] = STATE(7357),
    [sym_lambda_expression] = STATE(12046),
    [sym_if_expression] = STATE(12046),
    [sym_match_expression] = STATE(12046),
    [sym_try_expression] = STATE(12046),
    [sym_bindings] = STATE(15518),
    [sym_case_block] = STATE(9800),
    [sym_assignment_expression] = STATE(12046),
    [sym_generic_function] = STATE(9800),
    [sym_call_expression] = STATE(9800),
    [sym_field_expression] = STATE(9800),
    [sym_instance_expression] = STATE(9800),
    [sym_ascription_expression] = STATE(12046),
    [sym_infix_expression] = STATE(10315),
    [sym_postfix_expression] = STATE(11496),
    [sym__postfix_expression_choice] = STATE(15840),
    [sym_macro_body] = STATE(12046),
    [sym_prefix_expression] = STATE(9949),
    [sym_tuple_expression] = STATE(9800),
    [sym_parenthesized_expression] = STATE(9800),
    [sym_splice_expression] = STATE(9800),
    [sym_quote_expression] = STATE(9800),
    [sym_identifier] = STATE(6016),
    [sym__soft_identifier] = STATE(4545),
    [sym_wildcard] = STATE(9086),
    [sym__non_null_literal] = STATE(9800),
    [sym_boolean_literal] = STATE(6076),
    [sym_interpolated_string_expression] = STATE(9800),
    [sym_string] = STATE(6076),
    [sym_unit] = STATE(9800),
    [sym_return_expression] = STATE(12046),
    [sym_throw_expression] = STATE(12046),
    [sym_while_expression] = STATE(12046),
    [sym_do_while_expression] = STATE(12046),
    [sym_for_expression] = STATE(12046),
    [sym_comment] = STATE(2346),
    [sym_block_comment] = STATE(2346),
    [sym__alpha_identifier] = ACTIONS(2084),
    [anon_sym_LBRACE] = ACTIONS(2088),
    [anon_sym__] = ACTIONS(2090),
    [anon_sym_PLUS] = ACTIONS(2092),
    [anon_sym_DASH] = ACTIONS(2092),
    [anon_sym_end] = ACTIONS(2094),
    [anon_sym_if] = ACTIONS(2216),
    [anon_sym_while] = ACTIONS(2218),
    [anon_sym_for] = ACTIONS(2220),
    [anon_sym_try] = ACTIONS(2222),
    [anon_sym_new] = ACTIONS(2096),
    [anon_sym_opaque] = ACTIONS(2094),
    [anon_sym_implicit] = ACTIONS(2224),
    [anon_sym_inline] = ACTIONS(2098),
    [anon_sym_infix] = ACTIONS(2094),
    [anon_sym_open] = ACTIONS(2094),
    [anon_sym_transparent] = ACTIONS(2094),
    [anon_sym_LPAREN] = ACTIONS(2100),
    [anon_sym_macro] = ACTIONS(2226),
    [anon_sym_BANG] = ACTIONS(2092),
    [anon_sym_TILDE] = ACTIONS(2092),
    [anon_sym_DOLLAR] = ACTIONS(2102),
    [anon_sym_SQUOTE] = ACTIONS(2104),
    [sym__backquoted_id] = ACTIONS(2106),
    [sym_operator_identifier] = ACTIONS(2228),
    [sym_integer_literal] = ACTIONS(2110),
    [sym_floating_point_literal] = ACTIONS(2112),
    [anon_sym_true] = ACTIONS(2114),
    [anon_sym_false] = ACTIONS(2114),
    [sym_character_literal] = ACTIONS(2112),
    [sym_null_literal] = ACTIONS(2116),
    [anon_sym_return] = ACTIONS(2230),
    [anon_sym_throw] = ACTIONS(2232),
    [anon_sym_do] = ACTIONS(1856),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(2118),
    [sym__simple_string] = ACTIONS(2118),
  },
  [2347] = {
    [sym_inline_modifier] = STATE(2113),
    [sym_block] = STATE(6703),
    [sym_expression] = STATE(12168),
    [sym__simple_expression] = STATE(5524),
    [sym_lambda_expression] = STATE(12046),
    [sym_if_expression] = STATE(12046),
    [sym_match_expression] = STATE(12046),
    [sym_try_expression] = STATE(12046),
    [sym_bindings] = STATE(15660),
    [sym_case_block] = STATE(6703),
    [sym_assignment_expression] = STATE(12046),
    [sym_generic_function] = STATE(6703),
    [sym_call_expression] = STATE(6703),
    [sym_field_expression] = STATE(6703),
    [sym_instance_expression] = STATE(6703),
    [sym_ascription_expression] = STATE(12046),
    [sym_infix_expression] = STATE(8166),
    [sym_postfix_expression] = STATE(11496),
    [sym__postfix_expression_choice] = STATE(15827),
    [sym_macro_body] = STATE(12046),
    [sym_prefix_expression] = STATE(9264),
    [sym_tuple_expression] = STATE(6703),
    [sym_parenthesized_expression] = STATE(6703),
    [sym_splice_expression] = STATE(6703),
    [sym_quote_expression] = STATE(6703),
    [sym_identifier] = STATE(5303),
    [sym__soft_identifier] = STATE(4884),
    [sym_wildcard] = STATE(7550),
    [sym__non_null_literal] = STATE(6703),
    [sym_boolean_literal] = STATE(6780),
    [sym_interpolated_string_expression] = STATE(6703),
    [sym_string] = STATE(6780),
    [sym_unit] = STATE(6703),
    [sym_return_expression] = STATE(12046),
    [sym_throw_expression] = STATE(12046),
    [sym_while_expression] = STATE(12046),
    [sym_do_while_expression] = STATE(12046),
    [sym_for_expression] = STATE(12046),
    [sym_comment] = STATE(2347),
    [sym_block_comment] = STATE(2347),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(2478),
    [anon_sym_while] = ACTIONS(2002),
    [anon_sym_for] = ACTIONS(2004),
    [anon_sym_try] = ACTIONS(2006),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(2008),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1848),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(2010),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(2012),
    [anon_sym_throw] = ACTIONS(2014),
    [anon_sym_do] = ACTIONS(1856),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [2348] = {
    [sym_comment] = STATE(2348),
    [sym_block_comment] = STATE(2348),
    [sym__alpha_identifier] = ACTIONS(4130),
    [anon_sym_COLON] = ACTIONS(4132),
    [anon_sym_LBRACE] = ACTIONS(4134),
    [anon_sym_RBRACE] = ACTIONS(4136),
    [anon_sym_case] = ACTIONS(4130),
    [anon_sym_DOT] = ACTIONS(4132),
    [anon_sym_object] = ACTIONS(4130),
    [anon_sym__] = ACTIONS(4130),
    [anon_sym_given] = ACTIONS(4130),
    [anon_sym_EQ_GT] = ACTIONS(4132),
    [anon_sym_class] = ACTIONS(4130),
    [anon_sym_trait] = ACTIONS(4130),
    [anon_sym_LBRACK] = ACTIONS(4136),
    [anon_sym_PLUS] = ACTIONS(4130),
    [anon_sym_DASH] = ACTIONS(4130),
    [anon_sym_end] = ACTIONS(4130),
    [anon_sym_if] = ACTIONS(4130),
    [anon_sym_while] = ACTIONS(4130),
    [anon_sym_for] = ACTIONS(4130),
    [anon_sym_match] = ACTIONS(4132),
    [anon_sym_try] = ACTIONS(4130),
    [anon_sym_new] = ACTIONS(4130),
    [anon_sym_val] = ACTIONS(4130),
    [anon_sym_EQ] = ACTIONS(4132),
    [anon_sym_var] = ACTIONS(4130),
    [anon_sym_type] = ACTIONS(4130),
    [anon_sym_def] = ACTIONS(4130),
    [anon_sym_opaque] = ACTIONS(4130),
    [anon_sym_abstract] = ACTIONS(4130),
    [anon_sym_final] = ACTIONS(4130),
    [anon_sym_sealed] = ACTIONS(4130),
    [anon_sym_implicit] = ACTIONS(4130),
    [anon_sym_lazy] = ACTIONS(4130),
    [anon_sym_override] = ACTIONS(4130),
    [anon_sym_private] = ACTIONS(4130),
    [anon_sym_protected] = ACTIONS(4130),
    [anon_sym_inline] = ACTIONS(4130),
    [anon_sym_infix] = ACTIONS(4130),
    [anon_sym_open] = ACTIONS(4130),
    [anon_sym_transparent] = ACTIONS(4130),
    [anon_sym_LPAREN] = ACTIONS(4134),
    [anon_sym_RPAREN] = ACTIONS(4136),
    [anon_sym_SEMI] = ACTIONS(4136),
    [anon_sym_QMARK_EQ_GT] = ACTIONS(4132),
    [anon_sym_macro] = ACTIONS(4130),
    [anon_sym_BANG] = ACTIONS(4130),
    [anon_sym_TILDE] = ACTIONS(4130),
    [anon_sym_DOLLAR] = ACTIONS(4130),
    [anon_sym_SQUOTE] = ACTIONS(4130),
    [sym__backquoted_id] = ACTIONS(4134),
    [sym_operator_identifier] = ACTIONS(4130),
    [sym_integer_literal] = ACTIONS(4130),
    [sym_floating_point_literal] = ACTIONS(4134),
    [anon_sym_true] = ACTIONS(4130),
    [anon_sym_false] = ACTIONS(4130),
    [sym_character_literal] = ACTIONS(4134),
    [anon_sym_DQUOTE] = ACTIONS(4132),
    [sym__interpolated_multiline_string_start] = ACTIONS(4136),
    [sym_null_literal] = ACTIONS(4130),
    [anon_sym_return] = ACTIONS(4130),
    [anon_sym_throw] = ACTIONS(4130),
    [anon_sym_do] = ACTIONS(4130),
    [anon_sym_yield] = ACTIONS(4132),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(4136),
    [sym__simple_multiline_string] = ACTIONS(4134),
    [sym__simple_string] = ACTIONS(4134),
  },
  [2349] = {
    [sym_comment] = STATE(2349),
    [sym_block_comment] = STATE(2349),
    [sym__alpha_identifier] = ACTIONS(4130),
    [anon_sym_COLON] = ACTIONS(4132),
    [anon_sym_LBRACE] = ACTIONS(4134),
    [anon_sym_case] = ACTIONS(4130),
    [anon_sym_DOT] = ACTIONS(4132),
    [anon_sym_object] = ACTIONS(4130),
    [anon_sym__] = ACTIONS(4130),
    [anon_sym_given] = ACTIONS(4130),
    [anon_sym_EQ_GT] = ACTIONS(4132),
    [anon_sym_class] = ACTIONS(4130),
    [anon_sym_trait] = ACTIONS(4130),
    [anon_sym_LBRACK] = ACTIONS(4136),
    [anon_sym_PLUS] = ACTIONS(4130),
    [anon_sym_DASH] = ACTIONS(4130),
    [anon_sym_end] = ACTIONS(4130),
    [anon_sym_if] = ACTIONS(4130),
    [anon_sym_while] = ACTIONS(4130),
    [anon_sym_for] = ACTIONS(4130),
    [anon_sym_match] = ACTIONS(4132),
    [anon_sym_try] = ACTIONS(4130),
    [anon_sym_new] = ACTIONS(4130),
    [anon_sym_val] = ACTIONS(4130),
    [anon_sym_EQ] = ACTIONS(4132),
    [anon_sym_var] = ACTIONS(4130),
    [anon_sym_type] = ACTIONS(4130),
    [anon_sym_def] = ACTIONS(4130),
    [anon_sym_opaque] = ACTIONS(4130),
    [anon_sym_abstract] = ACTIONS(4130),
    [anon_sym_final] = ACTIONS(4130),
    [anon_sym_sealed] = ACTIONS(4130),
    [anon_sym_implicit] = ACTIONS(4130),
    [anon_sym_lazy] = ACTIONS(4130),
    [anon_sym_override] = ACTIONS(4130),
    [anon_sym_private] = ACTIONS(4130),
    [anon_sym_protected] = ACTIONS(4130),
    [anon_sym_inline] = ACTIONS(4130),
    [anon_sym_infix] = ACTIONS(4130),
    [anon_sym_open] = ACTIONS(4130),
    [anon_sym_transparent] = ACTIONS(4130),
    [anon_sym_LPAREN] = ACTIONS(4134),
    [anon_sym_SEMI] = ACTIONS(4136),
    [anon_sym_QMARK_EQ_GT] = ACTIONS(4132),
    [anon_sym_macro] = ACTIONS(4130),
    [anon_sym_BANG] = ACTIONS(4130),
    [anon_sym_TILDE] = ACTIONS(4130),
    [anon_sym_DOLLAR] = ACTIONS(4130),
    [anon_sym_SQUOTE] = ACTIONS(4130),
    [sym__backquoted_id] = ACTIONS(4134),
    [sym_operator_identifier] = ACTIONS(4130),
    [sym_integer_literal] = ACTIONS(4130),
    [sym_floating_point_literal] = ACTIONS(4134),
    [anon_sym_true] = ACTIONS(4130),
    [anon_sym_false] = ACTIONS(4130),
    [sym_character_literal] = ACTIONS(4134),
    [anon_sym_DQUOTE] = ACTIONS(4132),
    [sym__interpolated_multiline_string_start] = ACTIONS(4136),
    [sym_null_literal] = ACTIONS(4130),
    [anon_sym_return] = ACTIONS(4130),
    [anon_sym_throw] = ACTIONS(4130),
    [anon_sym_do] = ACTIONS(4130),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(4136),
    [sym__outdent] = ACTIONS(4136),
    [sym__simple_multiline_string] = ACTIONS(4134),
    [sym__simple_string] = ACTIONS(4134),
  },
  [2350] = {
    [sym_comment] = STATE(2350),
    [sym_block_comment] = STATE(2350),
    [ts_builtin_sym_end] = ACTIONS(4136),
    [sym__alpha_identifier] = ACTIONS(4130),
    [anon_sym_COLON] = ACTIONS(4132),
    [anon_sym_LBRACE] = ACTIONS(4134),
    [anon_sym_case] = ACTIONS(4130),
    [anon_sym_DOT] = ACTIONS(4132),
    [anon_sym_object] = ACTIONS(4130),
    [anon_sym__] = ACTIONS(4130),
    [anon_sym_given] = ACTIONS(4130),
    [anon_sym_EQ_GT] = ACTIONS(4132),
    [anon_sym_class] = ACTIONS(4130),
    [anon_sym_trait] = ACTIONS(4130),
    [anon_sym_LBRACK] = ACTIONS(4136),
    [anon_sym_PLUS] = ACTIONS(4130),
    [anon_sym_DASH] = ACTIONS(4130),
    [anon_sym_end] = ACTIONS(4130),
    [anon_sym_if] = ACTIONS(4130),
    [anon_sym_while] = ACTIONS(4130),
    [anon_sym_for] = ACTIONS(4130),
    [anon_sym_match] = ACTIONS(4132),
    [anon_sym_try] = ACTIONS(4130),
    [anon_sym_new] = ACTIONS(4130),
    [anon_sym_val] = ACTIONS(4130),
    [anon_sym_EQ] = ACTIONS(4132),
    [anon_sym_var] = ACTIONS(4130),
    [anon_sym_type] = ACTIONS(4130),
    [anon_sym_def] = ACTIONS(4130),
    [anon_sym_opaque] = ACTIONS(4130),
    [anon_sym_abstract] = ACTIONS(4130),
    [anon_sym_final] = ACTIONS(4130),
    [anon_sym_sealed] = ACTIONS(4130),
    [anon_sym_implicit] = ACTIONS(4130),
    [anon_sym_lazy] = ACTIONS(4130),
    [anon_sym_override] = ACTIONS(4130),
    [anon_sym_private] = ACTIONS(4130),
    [anon_sym_protected] = ACTIONS(4130),
    [anon_sym_inline] = ACTIONS(4130),
    [anon_sym_infix] = ACTIONS(4130),
    [anon_sym_open] = ACTIONS(4130),
    [anon_sym_transparent] = ACTIONS(4130),
    [anon_sym_LPAREN] = ACTIONS(4134),
    [anon_sym_SEMI] = ACTIONS(4136),
    [anon_sym_QMARK_EQ_GT] = ACTIONS(4132),
    [anon_sym_macro] = ACTIONS(4130),
    [anon_sym_BANG] = ACTIONS(4130),
    [anon_sym_TILDE] = ACTIONS(4130),
    [anon_sym_DOLLAR] = ACTIONS(4130),
    [anon_sym_SQUOTE] = ACTIONS(4130),
    [sym__backquoted_id] = ACTIONS(4134),
    [sym_operator_identifier] = ACTIONS(4130),
    [sym_integer_literal] = ACTIONS(4130),
    [sym_floating_point_literal] = ACTIONS(4134),
    [anon_sym_true] = ACTIONS(4130),
    [anon_sym_false] = ACTIONS(4130),
    [sym_character_literal] = ACTIONS(4134),
    [anon_sym_DQUOTE] = ACTIONS(4132),
    [sym__interpolated_multiline_string_start] = ACTIONS(4136),
    [sym_null_literal] = ACTIONS(4130),
    [anon_sym_return] = ACTIONS(4130),
    [anon_sym_throw] = ACTIONS(4130),
    [anon_sym_do] = ACTIONS(4130),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(4136),
    [sym__simple_multiline_string] = ACTIONS(4134),
    [sym__simple_string] = ACTIONS(4134),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 40,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4152), 1,
      anon_sym_AT,
    ACTIONS(4154), 1,
      anon_sym_LPAREN,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4158), 1,
      sym_operator_identifier,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4166), 1,
      sym__indent,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(9682), 1,
      sym_colon_argument,
    STATE(9896), 1,
      sym_identifier,
    STATE(10013), 1,
      sym_wildcard,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(13459), 1,
      sym__type,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(15969), 1,
      sym_stable_identifier,
    STATE(16139), 1,
      sym_bindings,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2351), 2,
      sym_comment,
      sym_block_comment,
    STATE(9683), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13527), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [145] = 40,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4152), 1,
      anon_sym_AT,
    ACTIONS(4154), 1,
      anon_sym_LPAREN,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4170), 1,
      sym_operator_identifier,
    ACTIONS(4172), 1,
      sym__indent,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(9403), 1,
      sym_colon_argument,
    STATE(9804), 1,
      sym_identifier,
    STATE(10164), 1,
      sym_wildcard,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(13459), 1,
      sym__type,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(15969), 1,
      sym_stable_identifier,
    STATE(16660), 1,
      sym_bindings,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2352), 2,
      sym_comment,
      sym_block_comment,
    STATE(9398), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13527), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [290] = 40,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4174), 1,
      sym__alpha_identifier,
    ACTIONS(4176), 1,
      anon_sym_COLON,
    ACTIONS(4178), 1,
      anon_sym_LBRACE,
    ACTIONS(4180), 1,
      anon_sym__,
    ACTIONS(4182), 1,
      anon_sym_EQ_GT,
    ACTIONS(4184), 1,
      anon_sym_LBRACK,
    ACTIONS(4188), 1,
      anon_sym_AT,
    ACTIONS(4190), 1,
      anon_sym_LPAREN,
    ACTIONS(4192), 1,
      sym__backquoted_id,
    ACTIONS(4194), 1,
      sym_operator_identifier,
    ACTIONS(4196), 1,
      sym_integer_literal,
    ACTIONS(4202), 1,
      sym__indent,
    STATE(4548), 1,
      sym__annotated_type,
    STATE(4619), 1,
      sym__simple_type,
    STATE(4754), 1,
      sym__soft_identifier,
    STATE(5171), 1,
      sym_identifier,
    STATE(5426), 1,
      sym_wildcard,
    STATE(6683), 1,
      sym_annotated_type,
    STATE(7530), 1,
      sym_colon_argument,
    STATE(12086), 1,
      sym__infix_type_choice,
    STATE(12245), 1,
      sym__type,
    STATE(12271), 1,
      sym_template_body,
    STATE(12623), 1,
      sym__non_null_literal,
    STATE(15068), 1,
      sym_parameter_types,
    STATE(15813), 1,
      sym_bindings,
    STATE(16788), 1,
      sym_stable_identifier,
    ACTIONS(4198), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4200), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4204), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2353), 2,
      sym_comment,
      sym_block_comment,
    STATE(7527), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(9034), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12493), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12519), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12654), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12239), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4186), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5053), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [435] = 40,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4152), 1,
      anon_sym_AT,
    ACTIONS(4154), 1,
      anon_sym_LPAREN,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4202), 1,
      sym__indent,
    ACTIONS(4206), 1,
      sym_operator_identifier,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(7530), 1,
      sym_colon_argument,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(9795), 1,
      sym_identifier,
    STATE(10144), 1,
      sym_wildcard,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(13459), 1,
      sym__type,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(15813), 1,
      sym_bindings,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2354), 2,
      sym_comment,
      sym_block_comment,
    STATE(7527), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13527), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [580] = 40,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4152), 1,
      anon_sym_AT,
    ACTIONS(4154), 1,
      anon_sym_LPAREN,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4208), 1,
      sym_operator_identifier,
    ACTIONS(4210), 1,
      sym__indent,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(6845), 1,
      sym_colon_argument,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(9749), 1,
      sym_identifier,
    STATE(9999), 1,
      sym_wildcard,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(13459), 1,
      sym__type,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(15969), 1,
      sym_stable_identifier,
    STATE(16354), 1,
      sym_bindings,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2355), 2,
      sym_comment,
      sym_block_comment,
    STATE(6846), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13527), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [725] = 40,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4212), 1,
      sym__alpha_identifier,
    ACTIONS(4214), 1,
      anon_sym_COLON,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4218), 1,
      anon_sym__,
    ACTIONS(4220), 1,
      anon_sym_EQ_GT,
    ACTIONS(4222), 1,
      anon_sym_LBRACK,
    ACTIONS(4226), 1,
      anon_sym_AT,
    ACTIONS(4228), 1,
      anon_sym_LPAREN,
    ACTIONS(4230), 1,
      sym__backquoted_id,
    ACTIONS(4232), 1,
      sym_operator_identifier,
    ACTIONS(4234), 1,
      sym_integer_literal,
    ACTIONS(4240), 1,
      sym__indent,
    STATE(4504), 1,
      sym__simple_type,
    STATE(4606), 1,
      sym__annotated_type,
    STATE(4929), 1,
      sym__soft_identifier,
    STATE(5041), 1,
      sym_identifier,
    STATE(5949), 1,
      sym_wildcard,
    STATE(6865), 1,
      sym_annotated_type,
    STATE(7922), 1,
      sym_colon_argument,
    STATE(10416), 1,
      sym_template_body,
    STATE(11029), 1,
      sym__non_null_literal,
    STATE(11948), 1,
      sym__type,
    STATE(12013), 1,
      sym__infix_type_choice,
    STATE(15078), 1,
      sym_parameter_types,
    STATE(16174), 1,
      sym_stable_identifier,
    STATE(16868), 1,
      sym_bindings,
    ACTIONS(4236), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4238), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4242), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2356), 2,
      sym_comment,
      sym_block_comment,
    STATE(7924), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(8740), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10819), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10870), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12432), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11034), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4224), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5291), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [870] = 40,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4152), 1,
      anon_sym_AT,
    ACTIONS(4154), 1,
      anon_sym_LPAREN,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4244), 1,
      sym_operator_identifier,
    ACTIONS(4246), 1,
      sym__indent,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(9005), 1,
      sym_colon_argument,
    STATE(9690), 1,
      sym_identifier,
    STATE(10070), 1,
      sym_wildcard,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(13459), 1,
      sym__type,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(15855), 1,
      sym_bindings,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2357), 2,
      sym_comment,
      sym_block_comment,
    STATE(9010), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13527), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [1015] = 40,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4152), 1,
      anon_sym_AT,
    ACTIONS(4154), 1,
      anon_sym_LPAREN,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4248), 1,
      sym_operator_identifier,
    ACTIONS(4250), 1,
      sym__indent,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(9240), 1,
      sym_colon_argument,
    STATE(9757), 1,
      sym_identifier,
    STATE(9985), 1,
      sym_wildcard,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(13459), 1,
      sym__type,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(15899), 1,
      sym_bindings,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2358), 2,
      sym_comment,
      sym_block_comment,
    STATE(9252), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13527), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [1160] = 40,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4152), 1,
      anon_sym_AT,
    ACTIONS(4154), 1,
      anon_sym_LPAREN,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4252), 1,
      sym_operator_identifier,
    ACTIONS(4254), 1,
      sym__indent,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(9728), 1,
      sym_identifier,
    STATE(9955), 1,
      sym_wildcard,
    STATE(10024), 1,
      sym_colon_argument,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(13459), 1,
      sym__type,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(15969), 1,
      sym_stable_identifier,
    STATE(16634), 1,
      sym_bindings,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2359), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10067), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13527), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [1305] = 40,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4152), 1,
      anon_sym_AT,
    ACTIONS(4154), 1,
      anon_sym_LPAREN,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4256), 1,
      sym_operator_identifier,
    ACTIONS(4258), 1,
      sym__indent,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(7931), 1,
      sym_colon_argument,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(9666), 1,
      sym_identifier,
    STATE(10045), 1,
      sym_wildcard,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(13459), 1,
      sym__type,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(15875), 1,
      sym_bindings,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2360), 2,
      sym_comment,
      sym_block_comment,
    STATE(7933), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13527), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [1450] = 40,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4152), 1,
      anon_sym_AT,
    ACTIONS(4154), 1,
      anon_sym_LPAREN,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4260), 1,
      sym_operator_identifier,
    ACTIONS(4262), 1,
      sym__indent,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(9704), 1,
      sym_identifier,
    STATE(10090), 1,
      sym_wildcard,
    STATE(10454), 1,
      sym_colon_argument,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(13459), 1,
      sym__type,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(15969), 1,
      sym_stable_identifier,
    STATE(16096), 1,
      sym_bindings,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2361), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10448), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13527), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [1595] = 40,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4264), 1,
      sym__alpha_identifier,
    ACTIONS(4266), 1,
      anon_sym_COLON,
    ACTIONS(4268), 1,
      anon_sym_LBRACE,
    ACTIONS(4270), 1,
      anon_sym__,
    ACTIONS(4272), 1,
      anon_sym_EQ_GT,
    ACTIONS(4274), 1,
      anon_sym_LBRACK,
    ACTIONS(4278), 1,
      anon_sym_AT,
    ACTIONS(4280), 1,
      anon_sym_LPAREN,
    ACTIONS(4282), 1,
      sym__backquoted_id,
    ACTIONS(4284), 1,
      sym_operator_identifier,
    ACTIONS(4286), 1,
      sym_integer_literal,
    ACTIONS(4292), 1,
      sym__indent,
    STATE(4280), 1,
      sym__annotated_type,
    STATE(4294), 1,
      sym__simple_type,
    STATE(4380), 1,
      sym__soft_identifier,
    STATE(4418), 1,
      sym_identifier,
    STATE(4532), 1,
      sym_wildcard,
    STATE(5238), 1,
      sym_annotated_type,
    STATE(5449), 1,
      sym_colon_argument,
    STATE(10724), 1,
      sym_template_body,
    STATE(10773), 1,
      sym__type,
    STATE(10963), 1,
      sym__non_null_literal,
    STATE(11919), 1,
      sym__infix_type_choice,
    STATE(15089), 1,
      sym_parameter_types,
    STATE(16037), 1,
      sym_bindings,
    STATE(16629), 1,
      sym_stable_identifier,
    ACTIONS(4288), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4290), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4294), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2362), 2,
      sym_comment,
      sym_block_comment,
    STATE(5446), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(7213), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10744), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10942), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11284), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(10958), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4276), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4409), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [1740] = 40,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4166), 1,
      sym__indent,
    ACTIONS(4296), 1,
      sym__alpha_identifier,
    ACTIONS(4298), 1,
      anon_sym_COLON,
    ACTIONS(4300), 1,
      anon_sym_LBRACE,
    ACTIONS(4302), 1,
      anon_sym__,
    ACTIONS(4304), 1,
      anon_sym_EQ_GT,
    ACTIONS(4306), 1,
      anon_sym_LBRACK,
    ACTIONS(4310), 1,
      anon_sym_AT,
    ACTIONS(4312), 1,
      anon_sym_LPAREN,
    ACTIONS(4314), 1,
      sym__backquoted_id,
    ACTIONS(4316), 1,
      sym_operator_identifier,
    ACTIONS(4318), 1,
      sym_integer_literal,
    STATE(6125), 1,
      sym__annotated_type,
    STATE(6476), 1,
      sym__simple_type,
    STATE(7067), 1,
      sym__soft_identifier,
    STATE(7572), 1,
      sym_identifier,
    STATE(8547), 1,
      sym_wildcard,
    STATE(9519), 1,
      sym_annotated_type,
    STATE(9682), 1,
      sym_colon_argument,
    STATE(11545), 1,
      sym_template_body,
    STATE(11584), 1,
      sym__non_null_literal,
    STATE(11706), 1,
      sym__type,
    STATE(11934), 1,
      sym__infix_type_choice,
    STATE(15435), 1,
      sym_parameter_types,
    STATE(16139), 1,
      sym_bindings,
    STATE(16618), 1,
      sym_stable_identifier,
    ACTIONS(4320), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4322), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4324), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2363), 2,
      sym_comment,
      sym_block_comment,
    STATE(9683), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10283), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11721), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11745), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11891), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11582), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4308), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7849), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [1885] = 40,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4152), 1,
      anon_sym_AT,
    ACTIONS(4154), 1,
      anon_sym_LPAREN,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4326), 1,
      sym_operator_identifier,
    ACTIONS(4328), 1,
      sym__indent,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(7302), 1,
      sym_identifier,
    STATE(7435), 1,
      sym_wildcard,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(9277), 1,
      sym_colon_argument,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(13459), 1,
      sym__type,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(15969), 1,
      sym_stable_identifier,
    STATE(16737), 1,
      sym_bindings,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2364), 2,
      sym_comment,
      sym_block_comment,
    STATE(9284), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13527), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [2030] = 40,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4152), 1,
      anon_sym_AT,
    ACTIONS(4154), 1,
      anon_sym_LPAREN,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4330), 1,
      sym_operator_identifier,
    ACTIONS(4332), 1,
      sym__indent,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(7228), 1,
      sym_colon_argument,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(9860), 1,
      sym_identifier,
    STATE(10110), 1,
      sym_wildcard,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(13459), 1,
      sym__type,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(15942), 1,
      sym_bindings,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2365), 2,
      sym_comment,
      sym_block_comment,
    STATE(7230), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13527), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [2175] = 40,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4334), 1,
      sym__alpha_identifier,
    ACTIONS(4336), 1,
      anon_sym_COLON,
    ACTIONS(4338), 1,
      anon_sym_LBRACE,
    ACTIONS(4340), 1,
      anon_sym__,
    ACTIONS(4342), 1,
      anon_sym_EQ_GT,
    ACTIONS(4344), 1,
      anon_sym_LBRACK,
    ACTIONS(4348), 1,
      anon_sym_AT,
    ACTIONS(4350), 1,
      anon_sym_LPAREN,
    ACTIONS(4352), 1,
      sym__backquoted_id,
    ACTIONS(4354), 1,
      sym_operator_identifier,
    ACTIONS(4356), 1,
      sym_integer_literal,
    ACTIONS(4362), 1,
      sym__indent,
    STATE(4334), 1,
      sym__simple_type,
    STATE(4355), 1,
      sym__annotated_type,
    STATE(4494), 1,
      sym__soft_identifier,
    STATE(4575), 1,
      sym_identifier,
    STATE(4815), 1,
      sym_wildcard,
    STATE(5740), 1,
      sym_annotated_type,
    STATE(6397), 1,
      sym_colon_argument,
    STATE(11037), 1,
      sym_template_body,
    STATE(11187), 1,
      sym__type,
    STATE(11210), 1,
      sym__non_null_literal,
    STATE(12211), 1,
      sym__infix_type_choice,
    STATE(15096), 1,
      sym_parameter_types,
    STATE(15845), 1,
      sym_bindings,
    STATE(16818), 1,
      sym_stable_identifier,
    ACTIONS(4358), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4360), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4364), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2366), 2,
      sym_comment,
      sym_block_comment,
    STATE(6398), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(7512), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11134), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11227), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11519), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11213), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4346), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4508), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [2320] = 40,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4298), 1,
      anon_sym_COLON,
    ACTIONS(4300), 1,
      anon_sym_LBRACE,
    ACTIONS(4310), 1,
      anon_sym_AT,
    ACTIONS(4318), 1,
      sym_integer_literal,
    ACTIONS(4366), 1,
      sym__alpha_identifier,
    ACTIONS(4368), 1,
      anon_sym__,
    ACTIONS(4370), 1,
      anon_sym_EQ_GT,
    ACTIONS(4372), 1,
      anon_sym_LBRACK,
    ACTIONS(4376), 1,
      anon_sym_LPAREN,
    ACTIONS(4378), 1,
      sym__backquoted_id,
    ACTIONS(4380), 1,
      sym_operator_identifier,
    ACTIONS(4382), 1,
      sym__indent,
    STATE(4417), 1,
      sym__annotated_type,
    STATE(4436), 1,
      sym__simple_type,
    STATE(4655), 1,
      sym__soft_identifier,
    STATE(4773), 1,
      sym_identifier,
    STATE(5236), 1,
      sym_wildcard,
    STATE(6289), 1,
      sym_annotated_type,
    STATE(7373), 1,
      sym_colon_argument,
    STATE(11545), 1,
      sym_template_body,
    STATE(11584), 1,
      sym__non_null_literal,
    STATE(11706), 1,
      sym__type,
    STATE(11865), 1,
      sym__infix_type_choice,
    STATE(15090), 1,
      sym_parameter_types,
    STATE(15989), 1,
      sym_bindings,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(4320), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4322), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4324), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2367), 2,
      sym_comment,
      sym_block_comment,
    STATE(7342), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(8197), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11721), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11745), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11891), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11582), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4374), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4887), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [2465] = 40,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4336), 1,
      anon_sym_COLON,
    ACTIONS(4338), 1,
      anon_sym_LBRACE,
    ACTIONS(4348), 1,
      anon_sym_AT,
    ACTIONS(4356), 1,
      sym_integer_literal,
    ACTIONS(4384), 1,
      sym__alpha_identifier,
    ACTIONS(4386), 1,
      anon_sym__,
    ACTIONS(4388), 1,
      anon_sym_EQ_GT,
    ACTIONS(4390), 1,
      anon_sym_LBRACK,
    ACTIONS(4394), 1,
      anon_sym_LPAREN,
    ACTIONS(4396), 1,
      sym__backquoted_id,
    ACTIONS(4398), 1,
      sym_operator_identifier,
    ACTIONS(4400), 1,
      sym__indent,
    STATE(5408), 1,
      sym__annotated_type,
    STATE(5891), 1,
      sym__simple_type,
    STATE(6027), 1,
      sym__soft_identifier,
    STATE(6882), 1,
      sym_identifier,
    STATE(7675), 1,
      sym_wildcard,
    STATE(8994), 1,
      sym_annotated_type,
    STATE(9379), 1,
      sym_colon_argument,
    STATE(11037), 1,
      sym_template_body,
    STATE(11187), 1,
      sym__type,
    STATE(11210), 1,
      sym__non_null_literal,
    STATE(12223), 1,
      sym__infix_type_choice,
    STATE(14602), 1,
      sym_parameter_types,
    STATE(15815), 1,
      sym_bindings,
    STATE(16812), 1,
      sym_stable_identifier,
    ACTIONS(4358), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4360), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4364), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2368), 2,
      sym_comment,
      sym_block_comment,
    STATE(9376), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10065), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11134), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11227), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11519), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11213), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4392), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6894), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [2610] = 40,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4172), 1,
      sym__indent,
    ACTIONS(4402), 1,
      sym__alpha_identifier,
    ACTIONS(4404), 1,
      anon_sym_COLON,
    ACTIONS(4406), 1,
      anon_sym_LBRACE,
    ACTIONS(4408), 1,
      anon_sym__,
    ACTIONS(4410), 1,
      anon_sym_EQ_GT,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(4416), 1,
      anon_sym_AT,
    ACTIONS(4418), 1,
      anon_sym_LPAREN,
    ACTIONS(4420), 1,
      sym__backquoted_id,
    ACTIONS(4422), 1,
      sym_operator_identifier,
    ACTIONS(4424), 1,
      sym_integer_literal,
    STATE(5901), 1,
      sym__simple_type,
    STATE(5902), 1,
      sym__annotated_type,
    STATE(6337), 1,
      sym__soft_identifier,
    STATE(7047), 1,
      sym_identifier,
    STATE(7504), 1,
      sym_wildcard,
    STATE(8794), 1,
      sym_annotated_type,
    STATE(9403), 1,
      sym_colon_argument,
    STATE(11306), 1,
      sym__type,
    STATE(11322), 1,
      sym_template_body,
    STATE(11323), 1,
      sym__non_null_literal,
    STATE(11946), 1,
      sym__infix_type_choice,
    STATE(14946), 1,
      sym_parameter_types,
    STATE(15828), 1,
      sym_stable_identifier,
    STATE(16660), 1,
      sym_bindings,
    ACTIONS(4426), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4428), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4430), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2369), 2,
      sym_comment,
      sym_block_comment,
    STATE(9398), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10128), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11237), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11347), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11426), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11319), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4414), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7175), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [2755] = 40,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4152), 1,
      anon_sym_AT,
    ACTIONS(4154), 1,
      anon_sym_LPAREN,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4432), 1,
      sym_operator_identifier,
    ACTIONS(4434), 1,
      sym__indent,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8289), 1,
      sym_colon_argument,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(9647), 1,
      sym_identifier,
    STATE(10027), 1,
      sym_wildcard,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(13459), 1,
      sym__type,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(15969), 1,
      sym_stable_identifier,
    STATE(16502), 1,
      sym_bindings,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2370), 2,
      sym_comment,
      sym_block_comment,
    STATE(8298), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13527), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [2900] = 40,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4152), 1,
      anon_sym_AT,
    ACTIONS(4154), 1,
      anon_sym_LPAREN,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4382), 1,
      sym__indent,
    ACTIONS(4436), 1,
      sym_operator_identifier,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(7373), 1,
      sym_colon_argument,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(9928), 1,
      sym_identifier,
    STATE(9935), 1,
      sym_wildcard,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(13459), 1,
      sym__type,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(15969), 1,
      sym_stable_identifier,
    STATE(15989), 1,
      sym_bindings,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2371), 2,
      sym_comment,
      sym_block_comment,
    STATE(7342), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13527), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [3045] = 40,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4438), 1,
      sym__alpha_identifier,
    ACTIONS(4440), 1,
      anon_sym_COLON,
    ACTIONS(4442), 1,
      anon_sym_LBRACE,
    ACTIONS(4444), 1,
      anon_sym__,
    ACTIONS(4446), 1,
      anon_sym_EQ_GT,
    ACTIONS(4448), 1,
      anon_sym_LBRACK,
    ACTIONS(4452), 1,
      anon_sym_AT,
    ACTIONS(4454), 1,
      anon_sym_LPAREN,
    ACTIONS(4456), 1,
      sym__backquoted_id,
    ACTIONS(4458), 1,
      sym_operator_identifier,
    ACTIONS(4460), 1,
      sym_integer_literal,
    ACTIONS(4466), 1,
      sym__indent,
    STATE(5059), 1,
      sym__simple_type,
    STATE(5250), 1,
      sym__annotated_type,
    STATE(5411), 1,
      sym__soft_identifier,
    STATE(6236), 1,
      sym_identifier,
    STATE(7126), 1,
      sym_wildcard,
    STATE(8328), 1,
      sym_annotated_type,
    STATE(9078), 1,
      sym_colon_argument,
    STATE(12154), 1,
      sym__infix_type_choice,
    STATE(13007), 1,
      sym__non_null_literal,
    STATE(13099), 1,
      sym_template_body,
    STATE(13239), 1,
      sym__type,
    STATE(14918), 1,
      sym_parameter_types,
    STATE(15785), 1,
      sym_bindings,
    STATE(16806), 1,
      sym_stable_identifier,
    ACTIONS(4462), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4464), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4468), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2372), 2,
      sym_comment,
      sym_block_comment,
    STATE(9053), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(9764), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13124), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13251), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13275), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(13012), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4450), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6556), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [3190] = 40,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4152), 1,
      anon_sym_AT,
    ACTIONS(4154), 1,
      anon_sym_LPAREN,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4240), 1,
      sym__indent,
    ACTIONS(4470), 1,
      sym_operator_identifier,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(7922), 1,
      sym_colon_argument,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(9650), 1,
      sym_identifier,
    STATE(10035), 1,
      sym_wildcard,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(13459), 1,
      sym__type,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(15969), 1,
      sym_stable_identifier,
    STATE(16868), 1,
      sym_bindings,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2373), 2,
      sym_comment,
      sym_block_comment,
    STATE(7924), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13527), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [3335] = 40,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4258), 1,
      sym__indent,
    ACTIONS(4472), 1,
      sym__alpha_identifier,
    ACTIONS(4474), 1,
      anon_sym_COLON,
    ACTIONS(4476), 1,
      anon_sym_LBRACE,
    ACTIONS(4478), 1,
      anon_sym__,
    ACTIONS(4480), 1,
      anon_sym_EQ_GT,
    ACTIONS(4482), 1,
      anon_sym_LBRACK,
    ACTIONS(4486), 1,
      anon_sym_AT,
    ACTIONS(4488), 1,
      anon_sym_LPAREN,
    ACTIONS(4490), 1,
      sym__backquoted_id,
    ACTIONS(4492), 1,
      sym_operator_identifier,
    ACTIONS(4494), 1,
      sym_integer_literal,
    STATE(4540), 1,
      sym__annotated_type,
    STATE(4671), 1,
      sym__simple_type,
    STATE(4750), 1,
      sym__soft_identifier,
    STATE(5029), 1,
      sym_identifier,
    STATE(5842), 1,
      sym_wildcard,
    STATE(6776), 1,
      sym_annotated_type,
    STATE(7931), 1,
      sym_colon_argument,
    STATE(12170), 1,
      sym__infix_type_choice,
    STATE(12323), 1,
      sym_template_body,
    STATE(12594), 1,
      sym__non_null_literal,
    STATE(12610), 1,
      sym__type,
    STATE(14520), 1,
      sym_parameter_types,
    STATE(15875), 1,
      sym_bindings,
    STATE(16830), 1,
      sym_stable_identifier,
    ACTIONS(4496), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4498), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4500), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2374), 2,
      sym_comment,
      sym_block_comment,
    STATE(7933), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(8806), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12576), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12599), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12641), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12588), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4484), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5107), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [3480] = 40,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4404), 1,
      anon_sym_COLON,
    ACTIONS(4406), 1,
      anon_sym_LBRACE,
    ACTIONS(4416), 1,
      anon_sym_AT,
    ACTIONS(4424), 1,
      sym_integer_literal,
    ACTIONS(4502), 1,
      sym__alpha_identifier,
    ACTIONS(4504), 1,
      anon_sym__,
    ACTIONS(4506), 1,
      anon_sym_EQ_GT,
    ACTIONS(4508), 1,
      anon_sym_LBRACK,
    ACTIONS(4512), 1,
      anon_sym_LPAREN,
    ACTIONS(4514), 1,
      sym__backquoted_id,
    ACTIONS(4516), 1,
      sym_operator_identifier,
    ACTIONS(4518), 1,
      sym__indent,
    STATE(4377), 1,
      sym__simple_type,
    STATE(4383), 1,
      sym__annotated_type,
    STATE(4419), 1,
      sym__soft_identifier,
    STATE(4501), 1,
      sym_identifier,
    STATE(4689), 1,
      sym_wildcard,
    STATE(5923), 1,
      sym_annotated_type,
    STATE(6630), 1,
      sym_colon_argument,
    STATE(11306), 1,
      sym__type,
    STATE(11322), 1,
      sym_template_body,
    STATE(11323), 1,
      sym__non_null_literal,
    STATE(11812), 1,
      sym__infix_type_choice,
    STATE(15083), 1,
      sym_parameter_types,
    STATE(15983), 1,
      sym_stable_identifier,
    STATE(16491), 1,
      sym_bindings,
    ACTIONS(4426), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4428), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4430), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2375), 2,
      sym_comment,
      sym_block_comment,
    STATE(6621), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(7642), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11237), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11347), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11426), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11319), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4510), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4621), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [3625] = 40,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4434), 1,
      sym__indent,
    ACTIONS(4520), 1,
      sym__alpha_identifier,
    ACTIONS(4522), 1,
      anon_sym_COLON,
    ACTIONS(4524), 1,
      anon_sym_LBRACE,
    ACTIONS(4526), 1,
      anon_sym__,
    ACTIONS(4528), 1,
      anon_sym_EQ_GT,
    ACTIONS(4530), 1,
      anon_sym_LBRACK,
    ACTIONS(4534), 1,
      anon_sym_AT,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(4538), 1,
      sym__backquoted_id,
    ACTIONS(4540), 1,
      sym_operator_identifier,
    ACTIONS(4542), 1,
      sym_integer_literal,
    STATE(4744), 1,
      sym__simple_type,
    STATE(4788), 1,
      sym__annotated_type,
    STATE(4974), 1,
      sym__soft_identifier,
    STATE(5904), 1,
      sym_identifier,
    STATE(6149), 1,
      sym_wildcard,
    STATE(7713), 1,
      sym_annotated_type,
    STATE(8289), 1,
      sym_colon_argument,
    STATE(12090), 1,
      sym__infix_type_choice,
    STATE(12715), 1,
      sym__non_null_literal,
    STATE(12842), 1,
      sym_template_body,
    STATE(12890), 1,
      sym__type,
    STATE(15216), 1,
      sym_parameter_types,
    STATE(16130), 1,
      sym_stable_identifier,
    STATE(16502), 1,
      sym_bindings,
    ACTIONS(4544), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4546), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4548), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2376), 2,
      sym_comment,
      sym_block_comment,
    STATE(8298), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(9562), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12661), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12905), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13024), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12714), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4532), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5932), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [3770] = 40,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4152), 1,
      anon_sym_AT,
    ACTIONS(4154), 1,
      anon_sym_LPAREN,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4362), 1,
      sym__indent,
    ACTIONS(4550), 1,
      sym_operator_identifier,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(6397), 1,
      sym_colon_argument,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(9753), 1,
      sym_identifier,
    STATE(9966), 1,
      sym_wildcard,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(13459), 1,
      sym__type,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(15845), 1,
      sym_bindings,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2377), 2,
      sym_comment,
      sym_block_comment,
    STATE(6398), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13527), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [3915] = 40,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4152), 1,
      anon_sym_AT,
    ACTIONS(4154), 1,
      anon_sym_LPAREN,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4292), 1,
      sym__indent,
    ACTIONS(4552), 1,
      sym_operator_identifier,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5449), 1,
      sym_colon_argument,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(9908), 1,
      sym_identifier,
    STATE(9987), 1,
      sym_wildcard,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(13459), 1,
      sym__type,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(15969), 1,
      sym_stable_identifier,
    STATE(16037), 1,
      sym_bindings,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2378), 2,
      sym_comment,
      sym_block_comment,
    STATE(5446), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13527), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [4060] = 40,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4554), 1,
      sym__alpha_identifier,
    ACTIONS(4556), 1,
      anon_sym_COLON,
    ACTIONS(4558), 1,
      anon_sym_LBRACE,
    ACTIONS(4560), 1,
      anon_sym__,
    ACTIONS(4562), 1,
      anon_sym_EQ_GT,
    ACTIONS(4564), 1,
      anon_sym_LBRACK,
    ACTIONS(4568), 1,
      anon_sym_AT,
    ACTIONS(4570), 1,
      anon_sym_LPAREN,
    ACTIONS(4572), 1,
      sym__backquoted_id,
    ACTIONS(4574), 1,
      sym_operator_identifier,
    ACTIONS(4576), 1,
      sym_integer_literal,
    ACTIONS(4582), 1,
      sym__indent,
    STATE(5588), 1,
      sym__simple_type,
    STATE(5823), 1,
      sym__annotated_type,
    STATE(6066), 1,
      sym__soft_identifier,
    STATE(7285), 1,
      sym_identifier,
    STATE(7926), 1,
      sym_wildcard,
    STATE(8722), 1,
      sym_annotated_type,
    STATE(9259), 1,
      sym_colon_argument,
    STATE(11604), 1,
      sym_template_body,
    STATE(12137), 1,
      sym__infix_type_choice,
    STATE(12480), 1,
      sym__non_null_literal,
    STATE(13355), 1,
      sym__type,
    STATE(14362), 1,
      sym_parameter_types,
    STATE(16171), 1,
      sym_stable_identifier,
    STATE(16460), 1,
      sym_bindings,
    ACTIONS(4578), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4580), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4584), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2379), 2,
      sym_comment,
      sym_block_comment,
    STATE(9414), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10022), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12384), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12412), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13631), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12479), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4566), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7119), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [4205] = 40,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4266), 1,
      anon_sym_COLON,
    ACTIONS(4268), 1,
      anon_sym_LBRACE,
    ACTIONS(4278), 1,
      anon_sym_AT,
    ACTIONS(4286), 1,
      sym_integer_literal,
    ACTIONS(4586), 1,
      sym__alpha_identifier,
    ACTIONS(4588), 1,
      anon_sym__,
    ACTIONS(4590), 1,
      anon_sym_EQ_GT,
    ACTIONS(4592), 1,
      anon_sym_LBRACK,
    ACTIONS(4596), 1,
      anon_sym_LPAREN,
    ACTIONS(4598), 1,
      sym__backquoted_id,
    ACTIONS(4600), 1,
      sym_operator_identifier,
    ACTIONS(4602), 1,
      sym__indent,
    STATE(4992), 1,
      sym__simple_type,
    STATE(5108), 1,
      sym__annotated_type,
    STATE(5551), 1,
      sym__soft_identifier,
    STATE(6421), 1,
      sym_identifier,
    STATE(6914), 1,
      sym_wildcard,
    STATE(8625), 1,
      sym_annotated_type,
    STATE(8935), 1,
      sym_colon_argument,
    STATE(10724), 1,
      sym_template_body,
    STATE(10773), 1,
      sym__type,
    STATE(10963), 1,
      sym__non_null_literal,
    STATE(11984), 1,
      sym__infix_type_choice,
    STATE(15454), 1,
      sym_parameter_types,
    STATE(16200), 1,
      sym_bindings,
    STATE(16585), 1,
      sym_stable_identifier,
    ACTIONS(4288), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4290), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4294), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2380), 2,
      sym_comment,
      sym_block_comment,
    STATE(8936), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(9916), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10744), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10942), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11284), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(10958), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4594), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6523), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [4350] = 40,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4152), 1,
      anon_sym_AT,
    ACTIONS(4154), 1,
      anon_sym_LPAREN,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4604), 1,
      sym_operator_identifier,
    ACTIONS(4606), 1,
      sym__indent,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8364), 1,
      sym_colon_argument,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(9632), 1,
      sym_identifier,
    STATE(9981), 1,
      sym_wildcard,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(13459), 1,
      sym__type,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(15902), 1,
      sym_bindings,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2381), 2,
      sym_comment,
      sym_block_comment,
    STATE(8363), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13527), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [4495] = 40,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4214), 1,
      anon_sym_COLON,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4226), 1,
      anon_sym_AT,
    ACTIONS(4234), 1,
      sym_integer_literal,
    ACTIONS(4254), 1,
      sym__indent,
    ACTIONS(4608), 1,
      sym__alpha_identifier,
    ACTIONS(4610), 1,
      anon_sym__,
    ACTIONS(4612), 1,
      anon_sym_EQ_GT,
    ACTIONS(4614), 1,
      anon_sym_LBRACK,
    ACTIONS(4618), 1,
      anon_sym_LPAREN,
    ACTIONS(4620), 1,
      sym__backquoted_id,
    ACTIONS(4622), 1,
      sym_operator_identifier,
    STATE(7146), 1,
      sym__simple_type,
    STATE(7164), 1,
      sym__annotated_type,
    STATE(7705), 1,
      sym__soft_identifier,
    STATE(8436), 1,
      sym_identifier,
    STATE(9220), 1,
      sym_wildcard,
    STATE(9756), 1,
      sym_annotated_type,
    STATE(10024), 1,
      sym_colon_argument,
    STATE(10416), 1,
      sym_template_body,
    STATE(11029), 1,
      sym__non_null_literal,
    STATE(11948), 1,
      sym__type,
    STATE(12093), 1,
      sym__infix_type_choice,
    STATE(14629), 1,
      sym_parameter_types,
    STATE(16333), 1,
      sym_stable_identifier,
    STATE(16634), 1,
      sym_bindings,
    ACTIONS(4236), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4238), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4242), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2382), 2,
      sym_comment,
      sym_block_comment,
    STATE(10067), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10504), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10819), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10870), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12432), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11034), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4616), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8234), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [4640] = 40,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4606), 1,
      sym__indent,
    ACTIONS(4624), 1,
      sym__alpha_identifier,
    ACTIONS(4626), 1,
      anon_sym_COLON,
    ACTIONS(4628), 1,
      anon_sym_LBRACE,
    ACTIONS(4630), 1,
      anon_sym__,
    ACTIONS(4632), 1,
      anon_sym_EQ_GT,
    ACTIONS(4634), 1,
      anon_sym_LBRACK,
    ACTIONS(4638), 1,
      anon_sym_AT,
    ACTIONS(4640), 1,
      anon_sym_LPAREN,
    ACTIONS(4642), 1,
      sym__backquoted_id,
    ACTIONS(4644), 1,
      sym_operator_identifier,
    ACTIONS(4646), 1,
      sym_integer_literal,
    STATE(4819), 1,
      sym__annotated_type,
    STATE(4940), 1,
      sym__simple_type,
    STATE(5260), 1,
      sym__soft_identifier,
    STATE(5940), 1,
      sym_identifier,
    STATE(6092), 1,
      sym_wildcard,
    STATE(7492), 1,
      sym_annotated_type,
    STATE(8364), 1,
      sym_colon_argument,
    STATE(11968), 1,
      sym__infix_type_choice,
    STATE(12698), 1,
      sym__non_null_literal,
    STATE(12725), 1,
      sym_template_body,
    STATE(12916), 1,
      sym__type,
    STATE(14853), 1,
      sym_parameter_types,
    STATE(15902), 1,
      sym_bindings,
    STATE(16896), 1,
      sym_stable_identifier,
    ACTIONS(4648), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4650), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4652), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2383), 2,
      sym_comment,
      sym_block_comment,
    STATE(8363), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(9588), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12849), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12928), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12975), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12876), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4636), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5732), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [4785] = 40,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4152), 1,
      anon_sym_AT,
    ACTIONS(4154), 1,
      anon_sym_LPAREN,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4654), 1,
      sym_operator_identifier,
    ACTIONS(4656), 1,
      sym__indent,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(9684), 1,
      sym_identifier,
    STATE(9744), 1,
      sym_colon_argument,
    STATE(10121), 1,
      sym_wildcard,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(13459), 1,
      sym__type,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(15969), 1,
      sym_stable_identifier,
    STATE(16408), 1,
      sym_bindings,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2384), 2,
      sym_comment,
      sym_block_comment,
    STATE(9717), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13527), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [4930] = 40,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4152), 1,
      anon_sym_AT,
    ACTIONS(4154), 1,
      anon_sym_LPAREN,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4602), 1,
      sym__indent,
    ACTIONS(4658), 1,
      sym_operator_identifier,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(8935), 1,
      sym_colon_argument,
    STATE(9862), 1,
      sym_identifier,
    STATE(10072), 1,
      sym_wildcard,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(13459), 1,
      sym__type,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(15969), 1,
      sym_stable_identifier,
    STATE(16200), 1,
      sym_bindings,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2385), 2,
      sym_comment,
      sym_block_comment,
    STATE(8936), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13527), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [5075] = 40,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4656), 1,
      sym__indent,
    ACTIONS(4660), 1,
      sym__alpha_identifier,
    ACTIONS(4662), 1,
      anon_sym_COLON,
    ACTIONS(4664), 1,
      anon_sym_LBRACE,
    ACTIONS(4666), 1,
      anon_sym__,
    ACTIONS(4668), 1,
      anon_sym_EQ_GT,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4674), 1,
      anon_sym_AT,
    ACTIONS(4676), 1,
      anon_sym_LPAREN,
    ACTIONS(4678), 1,
      sym__backquoted_id,
    ACTIONS(4680), 1,
      sym_operator_identifier,
    ACTIONS(4682), 1,
      sym_integer_literal,
    STATE(6162), 1,
      sym__annotated_type,
    STATE(6330), 1,
      sym__simple_type,
    STATE(7094), 1,
      sym__soft_identifier,
    STATE(8069), 1,
      sym_identifier,
    STATE(8081), 1,
      sym_wildcard,
    STATE(9377), 1,
      sym_annotated_type,
    STATE(9744), 1,
      sym_colon_argument,
    STATE(11655), 1,
      sym_template_body,
    STATE(11690), 1,
      sym__non_null_literal,
    STATE(11751), 1,
      sym__type,
    STATE(12178), 1,
      sym__infix_type_choice,
    STATE(15302), 1,
      sym_parameter_types,
    STATE(16211), 1,
      sym_stable_identifier,
    STATE(16408), 1,
      sym_bindings,
    ACTIONS(4684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2386), 2,
      sym_comment,
      sym_block_comment,
    STATE(9717), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10288), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11571), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11669), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12077), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11692), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4672), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8006), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [5220] = 40,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4210), 1,
      sym__indent,
    ACTIONS(4662), 1,
      anon_sym_COLON,
    ACTIONS(4664), 1,
      anon_sym_LBRACE,
    ACTIONS(4674), 1,
      anon_sym_AT,
    ACTIONS(4682), 1,
      sym_integer_literal,
    ACTIONS(4690), 1,
      sym__alpha_identifier,
    ACTIONS(4692), 1,
      anon_sym__,
    ACTIONS(4694), 1,
      anon_sym_EQ_GT,
    ACTIONS(4696), 1,
      anon_sym_LBRACK,
    ACTIONS(4700), 1,
      anon_sym_LPAREN,
    ACTIONS(4702), 1,
      sym__backquoted_id,
    ACTIONS(4704), 1,
      sym_operator_identifier,
    STATE(4403), 1,
      sym__annotated_type,
    STATE(4447), 1,
      sym__simple_type,
    STATE(4567), 1,
      sym__soft_identifier,
    STATE(4690), 1,
      sym_identifier,
    STATE(5354), 1,
      sym_wildcard,
    STATE(6394), 1,
      sym_annotated_type,
    STATE(6845), 1,
      sym_colon_argument,
    STATE(11655), 1,
      sym_template_body,
    STATE(11690), 1,
      sym__non_null_literal,
    STATE(11751), 1,
      sym__type,
    STATE(12216), 1,
      sym__infix_type_choice,
    STATE(15086), 1,
      sym_parameter_types,
    STATE(16329), 1,
      sym_stable_identifier,
    STATE(16354), 1,
      sym_bindings,
    ACTIONS(4684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2387), 2,
      sym_comment,
      sym_block_comment,
    STATE(6846), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(8155), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11571), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11669), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12077), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11692), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4698), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4730), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [5365] = 40,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4152), 1,
      anon_sym_AT,
    ACTIONS(4154), 1,
      anon_sym_LPAREN,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4706), 1,
      sym_operator_identifier,
    ACTIONS(4708), 1,
      sym__indent,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8398), 1,
      sym_colon_argument,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(9835), 1,
      sym_identifier,
    STATE(10143), 1,
      sym_wildcard,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(13459), 1,
      sym__type,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(15969), 1,
      sym_stable_identifier,
    STATE(16243), 1,
      sym_bindings,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2388), 2,
      sym_comment,
      sym_block_comment,
    STATE(8397), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13527), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [5510] = 40,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4152), 1,
      anon_sym_AT,
    ACTIONS(4154), 1,
      anon_sym_LPAREN,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4518), 1,
      sym__indent,
    ACTIONS(4710), 1,
      sym_operator_identifier,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(6630), 1,
      sym_colon_argument,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(9699), 1,
      sym_identifier,
    STATE(10140), 1,
      sym_wildcard,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(13459), 1,
      sym__type,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(15969), 1,
      sym_stable_identifier,
    STATE(16491), 1,
      sym_bindings,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2389), 2,
      sym_comment,
      sym_block_comment,
    STATE(6621), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13527), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [5655] = 40,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4152), 1,
      anon_sym_AT,
    ACTIONS(4154), 1,
      anon_sym_LPAREN,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4712), 1,
      sym_operator_identifier,
    ACTIONS(4714), 1,
      sym__indent,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8286), 1,
      sym_colon_argument,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(9801), 1,
      sym_identifier,
    STATE(10177), 1,
      sym_wildcard,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(13459), 1,
      sym__type,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(15969), 1,
      sym_stable_identifier,
    STATE(16302), 1,
      sym_bindings,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2390), 2,
      sym_comment,
      sym_block_comment,
    STATE(8285), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13527), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [5800] = 40,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4246), 1,
      sym__indent,
    ACTIONS(4716), 1,
      sym__alpha_identifier,
    ACTIONS(4718), 1,
      anon_sym_COLON,
    ACTIONS(4720), 1,
      anon_sym_LBRACE,
    ACTIONS(4722), 1,
      anon_sym__,
    ACTIONS(4724), 1,
      anon_sym_EQ_GT,
    ACTIONS(4726), 1,
      anon_sym_LBRACK,
    ACTIONS(4730), 1,
      anon_sym_AT,
    ACTIONS(4732), 1,
      anon_sym_LPAREN,
    ACTIONS(4734), 1,
      sym__backquoted_id,
    ACTIONS(4736), 1,
      sym_operator_identifier,
    ACTIONS(4738), 1,
      sym_integer_literal,
    STATE(5157), 1,
      sym__annotated_type,
    STATE(5280), 1,
      sym__simple_type,
    STATE(5457), 1,
      sym__soft_identifier,
    STATE(6462), 1,
      sym_identifier,
    STATE(6854), 1,
      sym_wildcard,
    STATE(8351), 1,
      sym_annotated_type,
    STATE(9005), 1,
      sym_colon_argument,
    STATE(11779), 1,
      sym__infix_type_choice,
    STATE(12963), 1,
      sym__non_null_literal,
    STATE(13087), 1,
      sym_template_body,
    STATE(13172), 1,
      sym__type,
    STATE(15167), 1,
      sym_parameter_types,
    STATE(15855), 1,
      sym_bindings,
    STATE(16686), 1,
      sym_stable_identifier,
    ACTIONS(4740), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4742), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4744), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2391), 2,
      sym_comment,
      sym_block_comment,
    STATE(9010), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(9919), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13182), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13212), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13325), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12960), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4728), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6031), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [5945] = 40,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4152), 1,
      anon_sym_AT,
    ACTIONS(4154), 1,
      anon_sym_LPAREN,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4466), 1,
      sym__indent,
    ACTIONS(4746), 1,
      sym_operator_identifier,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(9078), 1,
      sym_colon_argument,
    STATE(9875), 1,
      sym_identifier,
    STATE(10075), 1,
      sym_wildcard,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(13459), 1,
      sym__type,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(15785), 1,
      sym_bindings,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2392), 2,
      sym_comment,
      sym_block_comment,
    STATE(9053), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13527), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [6090] = 40,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4708), 1,
      sym__indent,
    ACTIONS(4748), 1,
      sym__alpha_identifier,
    ACTIONS(4750), 1,
      anon_sym_COLON,
    ACTIONS(4752), 1,
      anon_sym_LBRACE,
    ACTIONS(4754), 1,
      anon_sym__,
    ACTIONS(4756), 1,
      anon_sym_EQ_GT,
    ACTIONS(4758), 1,
      anon_sym_LBRACK,
    ACTIONS(4762), 1,
      anon_sym_AT,
    ACTIONS(4764), 1,
      anon_sym_LPAREN,
    ACTIONS(4766), 1,
      sym__backquoted_id,
    ACTIONS(4768), 1,
      sym_operator_identifier,
    ACTIONS(4770), 1,
      sym_integer_literal,
    STATE(4735), 1,
      sym__annotated_type,
    STATE(4838), 1,
      sym__simple_type,
    STATE(5217), 1,
      sym__soft_identifier,
    STATE(5630), 1,
      sym_identifier,
    STATE(6521), 1,
      sym_wildcard,
    STATE(7599), 1,
      sym_annotated_type,
    STATE(8398), 1,
      sym_colon_argument,
    STATE(12099), 1,
      sym__infix_type_choice,
    STATE(12629), 1,
      sym__type,
    STATE(12887), 1,
      sym__non_null_literal,
    STATE(12899), 1,
      sym_template_body,
    STATE(15382), 1,
      sym_parameter_types,
    STATE(16243), 1,
      sym_bindings,
    STATE(16527), 1,
      sym_stable_identifier,
    ACTIONS(4772), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4774), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4776), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2393), 2,
      sym_comment,
      sym_block_comment,
    STATE(8397), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(9479), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12723), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12886), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12947), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12893), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4760), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5492), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [6235] = 40,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4714), 1,
      sym__indent,
    ACTIONS(4778), 1,
      sym__alpha_identifier,
    ACTIONS(4780), 1,
      anon_sym_COLON,
    ACTIONS(4782), 1,
      anon_sym_LBRACE,
    ACTIONS(4784), 1,
      anon_sym__,
    ACTIONS(4786), 1,
      anon_sym_EQ_GT,
    ACTIONS(4788), 1,
      anon_sym_LBRACK,
    ACTIONS(4792), 1,
      anon_sym_AT,
    ACTIONS(4794), 1,
      anon_sym_LPAREN,
    ACTIONS(4796), 1,
      sym__backquoted_id,
    ACTIONS(4798), 1,
      sym_operator_identifier,
    ACTIONS(4800), 1,
      sym_integer_literal,
    STATE(4691), 1,
      sym__annotated_type,
    STATE(4771), 1,
      sym__simple_type,
    STATE(5184), 1,
      sym__soft_identifier,
    STATE(5706), 1,
      sym_identifier,
    STATE(6652), 1,
      sym_wildcard,
    STATE(7811), 1,
      sym_annotated_type,
    STATE(8286), 1,
      sym_colon_argument,
    STATE(12156), 1,
      sym__infix_type_choice,
    STATE(12690), 1,
      sym_template_body,
    STATE(12711), 1,
      sym__non_null_literal,
    STATE(12936), 1,
      sym__type,
    STATE(15348), 1,
      sym_parameter_types,
    STATE(16302), 1,
      sym_bindings,
    STATE(16403), 1,
      sym_stable_identifier,
    ACTIONS(4802), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4804), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4806), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2394), 2,
      sym_comment,
      sym_block_comment,
    STATE(8285), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(9309), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12644), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12730), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12944), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12713), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4790), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5538), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [6380] = 40,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4250), 1,
      sym__indent,
    ACTIONS(4808), 1,
      sym__alpha_identifier,
    ACTIONS(4810), 1,
      anon_sym_COLON,
    ACTIONS(4812), 1,
      anon_sym_LBRACE,
    ACTIONS(4814), 1,
      anon_sym__,
    ACTIONS(4816), 1,
      anon_sym_EQ_GT,
    ACTIONS(4818), 1,
      anon_sym_LBRACK,
    ACTIONS(4822), 1,
      anon_sym_AT,
    ACTIONS(4824), 1,
      anon_sym_LPAREN,
    ACTIONS(4826), 1,
      sym__backquoted_id,
    ACTIONS(4828), 1,
      sym_operator_identifier,
    ACTIONS(4830), 1,
      sym_integer_literal,
    STATE(5105), 1,
      sym__annotated_type,
    STATE(5307), 1,
      sym__simple_type,
    STATE(5480), 1,
      sym__soft_identifier,
    STATE(6150), 1,
      sym_identifier,
    STATE(7220), 1,
      sym_wildcard,
    STATE(8449), 1,
      sym_annotated_type,
    STATE(9240), 1,
      sym_colon_argument,
    STATE(11790), 1,
      sym__infix_type_choice,
    STATE(13033), 1,
      sym_template_body,
    STATE(13152), 1,
      sym__type,
    STATE(13246), 1,
      sym__non_null_literal,
    STATE(15254), 1,
      sym_parameter_types,
    STATE(15899), 1,
      sym_bindings,
    STATE(16674), 1,
      sym_stable_identifier,
    ACTIONS(4832), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4834), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4836), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2395), 2,
      sym_comment,
      sym_block_comment,
    STATE(9252), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(9745), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13159), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13235), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13332), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(13237), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4820), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6180), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [6525] = 40,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4152), 1,
      anon_sym_AT,
    ACTIONS(4154), 1,
      anon_sym_LPAREN,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4400), 1,
      sym__indent,
    ACTIONS(4838), 1,
      sym_operator_identifier,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(9379), 1,
      sym_colon_argument,
    STATE(9808), 1,
      sym_identifier,
    STATE(10123), 1,
      sym_wildcard,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(13459), 1,
      sym__type,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(15815), 1,
      sym_bindings,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2396), 2,
      sym_comment,
      sym_block_comment,
    STATE(9376), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13527), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [6670] = 40,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4152), 1,
      anon_sym_AT,
    ACTIONS(4154), 1,
      anon_sym_LPAREN,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4582), 1,
      sym__indent,
    ACTIONS(4840), 1,
      sym_operator_identifier,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(9259), 1,
      sym_colon_argument,
    STATE(9663), 1,
      sym_identifier,
    STATE(9979), 1,
      sym_wildcard,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(13459), 1,
      sym__type,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(15969), 1,
      sym_stable_identifier,
    STATE(16460), 1,
      sym_bindings,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2397), 2,
      sym_comment,
      sym_block_comment,
    STATE(9414), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13527), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [6815] = 40,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4332), 1,
      sym__indent,
    ACTIONS(4842), 1,
      sym__alpha_identifier,
    ACTIONS(4844), 1,
      anon_sym_COLON,
    ACTIONS(4846), 1,
      anon_sym_LBRACE,
    ACTIONS(4848), 1,
      anon_sym__,
    ACTIONS(4850), 1,
      anon_sym_EQ_GT,
    ACTIONS(4852), 1,
      anon_sym_LBRACK,
    ACTIONS(4856), 1,
      anon_sym_AT,
    ACTIONS(4858), 1,
      anon_sym_LPAREN,
    ACTIONS(4860), 1,
      sym__backquoted_id,
    ACTIONS(4862), 1,
      sym_operator_identifier,
    ACTIONS(4864), 1,
      sym_integer_literal,
    STATE(4401), 1,
      sym__simple_type,
    STATE(4468), 1,
      sym__annotated_type,
    STATE(4651), 1,
      sym__soft_identifier,
    STATE(4860), 1,
      sym_identifier,
    STATE(5111), 1,
      sym_wildcard,
    STATE(6342), 1,
      sym_annotated_type,
    STATE(7228), 1,
      sym_colon_argument,
    STATE(11850), 1,
      sym__infix_type_choice,
    STATE(11886), 1,
      sym_template_body,
    STATE(12148), 1,
      sym__non_null_literal,
    STATE(12221), 1,
      sym__type,
    STATE(15353), 1,
      sym_parameter_types,
    STATE(15942), 1,
      sym_bindings,
    STATE(16656), 1,
      sym_stable_identifier,
    ACTIONS(4866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4870), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2398), 2,
      sym_comment,
      sym_block_comment,
    STATE(7230), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(8158), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11935), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12136), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12249), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12143), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4854), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4909), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [6960] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2399), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4874), 9,
      sym__outdent,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4872), 50,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_object,
      anon_sym_import,
      anon_sym_export,
      anon_sym__,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_extension,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [7034] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2400), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4876), 8,
      sym__simple_multiline_string,
      sym__simple_string,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4878), 51,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_export,
      anon_sym__,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_extension,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [7108] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2401), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4874), 9,
      sym__indent,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4872), 50,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_object,
      anon_sym_import,
      anon_sym_export,
      anon_sym__,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_extension,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [7182] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2402), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4882), 9,
      sym__outdent,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4880), 50,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_object,
      anon_sym_import,
      anon_sym_export,
      anon_sym__,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_extension,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [7256] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2403), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4882), 9,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4880), 50,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_object,
      anon_sym_import,
      anon_sym_export,
      anon_sym__,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_extension,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [7330] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2404), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4886), 9,
      sym__outdent,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4884), 50,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_object,
      anon_sym_import,
      anon_sym_export,
      anon_sym__,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_extension,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [7404] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2405), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4886), 9,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4884), 50,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_object,
      anon_sym_import,
      anon_sym_export,
      anon_sym__,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_extension,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [7478] = 41,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4900), 1,
      anon_sym_AT,
    ACTIONS(4902), 1,
      anon_sym_implicit,
    ACTIONS(4904), 1,
      anon_sym_inline,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4908), 1,
      anon_sym_using,
    ACTIONS(4910), 1,
      anon_sym_RPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(4914), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(9520), 1,
      sym_identifier,
    STATE(9748), 1,
      sym_annotation,
    STATE(10968), 1,
      aux_sym_enum_definition_repeat1,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(12621), 1,
      sym_inline_modifier,
    STATE(15099), 1,
      sym_parameter,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15347), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2406), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    ACTIONS(4898), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [7623] = 40,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4900), 1,
      anon_sym_AT,
    ACTIONS(4916), 1,
      anon_sym_inline,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4920), 1,
      sym_operator_identifier,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(8904), 1,
      sym_identifier,
    STATE(9748), 1,
      sym_annotation,
    STATE(10968), 1,
      aux_sym_enum_definition_repeat1,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(12621), 1,
      sym_inline_modifier,
    STATE(14334), 1,
      sym__type,
    STATE(14490), 1,
      sym_parameter,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2407), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(14494), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    ACTIONS(4150), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [7766] = 40,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4900), 1,
      anon_sym_AT,
    ACTIONS(4916), 1,
      anon_sym_inline,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4920), 1,
      sym_operator_identifier,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(8904), 1,
      sym_identifier,
    STATE(9748), 1,
      sym_annotation,
    STATE(10968), 1,
      aux_sym_enum_definition_repeat1,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(12621), 1,
      sym_inline_modifier,
    STATE(14211), 1,
      sym__type,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(15325), 1,
      sym_parameter,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2408), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15326), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    ACTIONS(4150), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [7909] = 41,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4900), 1,
      anon_sym_AT,
    ACTIONS(4902), 1,
      anon_sym_implicit,
    ACTIONS(4904), 1,
      anon_sym_inline,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4908), 1,
      anon_sym_using,
    ACTIONS(4910), 1,
      anon_sym_RPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(4914), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(9520), 1,
      sym_identifier,
    STATE(9748), 1,
      sym_annotation,
    STATE(10968), 1,
      aux_sym_enum_definition_repeat1,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(12621), 1,
      sym_inline_modifier,
    STATE(15099), 1,
      sym_parameter,
    STATE(15100), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2409), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    ACTIONS(4898), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [8054] = 40,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4900), 1,
      anon_sym_AT,
    ACTIONS(4916), 1,
      anon_sym_inline,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4920), 1,
      sym_operator_identifier,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(8904), 1,
      sym_identifier,
    STATE(9748), 1,
      sym_annotation,
    STATE(10968), 1,
      aux_sym_enum_definition_repeat1,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(12621), 1,
      sym_inline_modifier,
    STATE(14231), 1,
      sym__type,
    STATE(14675), 1,
      sym_parameter,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2410), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(14677), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    ACTIONS(4150), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [8197] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2411), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4874), 8,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4872), 50,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_object,
      anon_sym_import,
      anon_sym_export,
      anon_sym__,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_extension,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [8270] = 37,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4922), 1,
      anon_sym_RPAREN,
    ACTIONS(4924), 1,
      sym_operator_identifier,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(8780), 1,
      sym_identifier,
    STATE(9341), 1,
      sym_wildcard,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(13923), 1,
      sym__type,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(14973), 1,
      sym_binding,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2412), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15320), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [8404] = 37,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4922), 1,
      anon_sym_RPAREN,
    ACTIONS(4924), 1,
      sym_operator_identifier,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(8780), 1,
      sym_identifier,
    STATE(9341), 1,
      sym_wildcard,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(13919), 1,
      sym__type,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(14973), 1,
      sym_binding,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2413), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15320), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [8538] = 37,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4922), 1,
      anon_sym_RPAREN,
    ACTIONS(4924), 1,
      sym_operator_identifier,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(8780), 1,
      sym_identifier,
    STATE(9341), 1,
      sym_wildcard,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(13917), 1,
      sym__type,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(14973), 1,
      sym_binding,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2414), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15320), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [8672] = 37,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4922), 1,
      anon_sym_RPAREN,
    ACTIONS(4924), 1,
      sym_operator_identifier,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(8780), 1,
      sym_identifier,
    STATE(9341), 1,
      sym_wildcard,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(13984), 1,
      sym__type,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(14973), 1,
      sym_binding,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2415), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15320), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [8806] = 37,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4922), 1,
      anon_sym_RPAREN,
    ACTIONS(4924), 1,
      sym_operator_identifier,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(8780), 1,
      sym_identifier,
    STATE(9341), 1,
      sym_wildcard,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(13802), 1,
      sym__type,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(14973), 1,
      sym_binding,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2416), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15320), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [8940] = 37,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4922), 1,
      anon_sym_RPAREN,
    ACTIONS(4924), 1,
      sym_operator_identifier,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(8780), 1,
      sym_identifier,
    STATE(9341), 1,
      sym_wildcard,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(13891), 1,
      sym__type,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(14973), 1,
      sym_binding,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2417), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15320), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [9074] = 37,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4922), 1,
      anon_sym_RPAREN,
    ACTIONS(4924), 1,
      sym_operator_identifier,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(8780), 1,
      sym_identifier,
    STATE(9341), 1,
      sym_wildcard,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(13826), 1,
      sym__type,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(14973), 1,
      sym_binding,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2418), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15320), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [9208] = 37,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4922), 1,
      anon_sym_RPAREN,
    ACTIONS(4924), 1,
      sym_operator_identifier,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(8780), 1,
      sym_identifier,
    STATE(9341), 1,
      sym_wildcard,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(13837), 1,
      sym__type,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(14973), 1,
      sym_binding,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2419), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15320), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [9342] = 37,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4922), 1,
      anon_sym_RPAREN,
    ACTIONS(4924), 1,
      sym_operator_identifier,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(8780), 1,
      sym_identifier,
    STATE(9341), 1,
      sym_wildcard,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(14020), 1,
      sym__type,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(14973), 1,
      sym_binding,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2420), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15320), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [9476] = 37,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4922), 1,
      anon_sym_RPAREN,
    ACTIONS(4924), 1,
      sym_operator_identifier,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(8780), 1,
      sym_identifier,
    STATE(9341), 1,
      sym_wildcard,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(13964), 1,
      sym__type,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(14973), 1,
      sym_binding,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2421), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15320), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [9610] = 37,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4922), 1,
      anon_sym_RPAREN,
    ACTIONS(4924), 1,
      sym_operator_identifier,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(8780), 1,
      sym_identifier,
    STATE(9341), 1,
      sym_wildcard,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(14016), 1,
      sym__type,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(14973), 1,
      sym_binding,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2422), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15320), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [9744] = 37,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4922), 1,
      anon_sym_RPAREN,
    ACTIONS(4924), 1,
      sym_operator_identifier,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(8780), 1,
      sym_identifier,
    STATE(9341), 1,
      sym_wildcard,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(13907), 1,
      sym__type,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(14973), 1,
      sym_binding,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2423), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15320), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [9878] = 37,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4922), 1,
      anon_sym_RPAREN,
    ACTIONS(4924), 1,
      sym_operator_identifier,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(8780), 1,
      sym_identifier,
    STATE(9341), 1,
      sym_wildcard,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(13834), 1,
      sym__type,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(14973), 1,
      sym_binding,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2424), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15320), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [10012] = 37,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4922), 1,
      anon_sym_RPAREN,
    ACTIONS(4924), 1,
      sym_operator_identifier,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(8780), 1,
      sym_identifier,
    STATE(9341), 1,
      sym_wildcard,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(13965), 1,
      sym__type,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(14973), 1,
      sym_binding,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2425), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15320), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [10146] = 37,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4922), 1,
      anon_sym_RPAREN,
    ACTIONS(4924), 1,
      sym_operator_identifier,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(8780), 1,
      sym_identifier,
    STATE(9341), 1,
      sym_wildcard,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(13944), 1,
      sym__type,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(14973), 1,
      sym_binding,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2426), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15320), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [10280] = 37,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4922), 1,
      anon_sym_RPAREN,
    ACTIONS(4924), 1,
      sym_operator_identifier,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(8780), 1,
      sym_identifier,
    STATE(9341), 1,
      sym_wildcard,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(13969), 1,
      sym__type,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(14973), 1,
      sym_binding,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2427), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15320), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [10414] = 37,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4922), 1,
      anon_sym_RPAREN,
    ACTIONS(4924), 1,
      sym_operator_identifier,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(8780), 1,
      sym_identifier,
    STATE(9341), 1,
      sym_wildcard,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(13823), 1,
      sym__type,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(14973), 1,
      sym_binding,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2428), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15320), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [10548] = 37,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4922), 1,
      anon_sym_RPAREN,
    ACTIONS(4924), 1,
      sym_operator_identifier,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(8780), 1,
      sym_identifier,
    STATE(9341), 1,
      sym_wildcard,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(14043), 1,
      sym__type,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(14973), 1,
      sym_binding,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2429), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15320), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [10682] = 37,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4922), 1,
      anon_sym_RPAREN,
    ACTIONS(4924), 1,
      sym_operator_identifier,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(8780), 1,
      sym_identifier,
    STATE(9341), 1,
      sym_wildcard,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(13859), 1,
      sym__type,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(14973), 1,
      sym_binding,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2430), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15320), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [10816] = 37,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4922), 1,
      anon_sym_RPAREN,
    ACTIONS(4924), 1,
      sym_operator_identifier,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(8780), 1,
      sym_identifier,
    STATE(9341), 1,
      sym_wildcard,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(14008), 1,
      sym__type,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(14973), 1,
      sym_binding,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2431), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15320), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [10950] = 37,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4922), 1,
      anon_sym_RPAREN,
    ACTIONS(4924), 1,
      sym_operator_identifier,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(8780), 1,
      sym_identifier,
    STATE(9341), 1,
      sym_wildcard,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(14026), 1,
      sym__type,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(14973), 1,
      sym_binding,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2432), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15320), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [11084] = 37,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4922), 1,
      anon_sym_RPAREN,
    ACTIONS(4924), 1,
      sym_operator_identifier,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(8780), 1,
      sym_identifier,
    STATE(9341), 1,
      sym_wildcard,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(13904), 1,
      sym__type,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(14973), 1,
      sym_binding,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2433), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15320), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [11218] = 37,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4922), 1,
      anon_sym_RPAREN,
    ACTIONS(4924), 1,
      sym_operator_identifier,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(8780), 1,
      sym_identifier,
    STATE(9341), 1,
      sym_wildcard,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(14007), 1,
      sym__type,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(14973), 1,
      sym_binding,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2434), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15320), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [11352] = 37,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4922), 1,
      anon_sym_RPAREN,
    ACTIONS(4924), 1,
      sym_operator_identifier,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(8780), 1,
      sym_identifier,
    STATE(9341), 1,
      sym_wildcard,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(13982), 1,
      sym__type,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(14973), 1,
      sym_binding,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2435), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15320), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [11486] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4926), 1,
      anon_sym_RPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(14970), 1,
      sym__type,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2436), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15685), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [11615] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    ACTIONS(4930), 1,
      anon_sym_RPAREN,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(14995), 1,
      sym__type,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2437), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15685), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [11744] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    ACTIONS(4932), 1,
      anon_sym_RPAREN,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(14995), 1,
      sym__type,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2438), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15685), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [11873] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    ACTIONS(4934), 1,
      anon_sym_RPAREN,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(14970), 1,
      sym__type,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2439), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15685), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [12002] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    ACTIONS(4936), 1,
      anon_sym_RPAREN,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(14995), 1,
      sym__type,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2440), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15685), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [12131] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    ACTIONS(4938), 1,
      anon_sym_RPAREN,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(13993), 1,
      sym__type,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2441), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15320), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [12260] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    ACTIONS(4940), 1,
      anon_sym_RPAREN,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(14970), 1,
      sym__type,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2442), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15685), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [12389] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    ACTIONS(4942), 1,
      anon_sym_RPAREN,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(14995), 1,
      sym__type,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2443), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15685), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [12518] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    ACTIONS(4938), 1,
      anon_sym_RPAREN,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(13937), 1,
      sym__type,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2444), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15320), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [12647] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    ACTIONS(4944), 1,
      anon_sym_RPAREN,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(14995), 1,
      sym__type,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2445), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15685), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [12776] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    ACTIONS(4946), 1,
      anon_sym_RPAREN,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(14995), 1,
      sym__type,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2446), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15685), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [12905] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    ACTIONS(4948), 1,
      anon_sym_RPAREN,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(14995), 1,
      sym__type,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2447), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15685), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [13034] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    ACTIONS(4950), 1,
      anon_sym_RPAREN,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(14995), 1,
      sym__type,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2448), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15685), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [13163] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    ACTIONS(4938), 1,
      anon_sym_RPAREN,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(13894), 1,
      sym__type,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2449), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15320), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [13292] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    ACTIONS(4952), 1,
      anon_sym_RPAREN,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(14995), 1,
      sym__type,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2450), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15685), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [13421] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    ACTIONS(4938), 1,
      anon_sym_RPAREN,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(14020), 1,
      sym__type,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2451), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15320), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [13550] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    ACTIONS(4938), 1,
      anon_sym_RPAREN,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(13887), 1,
      sym__type,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2452), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15320), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [13679] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    ACTIONS(4954), 1,
      anon_sym_RPAREN,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(14995), 1,
      sym__type,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2453), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15685), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [13808] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    ACTIONS(4938), 1,
      anon_sym_RPAREN,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(13916), 1,
      sym__type,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2454), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15320), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [13937] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    ACTIONS(4938), 1,
      anon_sym_RPAREN,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(13964), 1,
      sym__type,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2455), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15320), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [14066] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    ACTIONS(4938), 1,
      anon_sym_RPAREN,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(13881), 1,
      sym__type,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2456), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15320), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [14195] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    ACTIONS(4956), 1,
      anon_sym_RPAREN,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(14995), 1,
      sym__type,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2457), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15685), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [14324] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    ACTIONS(4958), 1,
      anon_sym_RPAREN,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(14995), 1,
      sym__type,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2458), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15685), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [14453] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    ACTIONS(4960), 1,
      anon_sym_RPAREN,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(14995), 1,
      sym__type,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2459), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15685), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [14582] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    ACTIONS(4962), 1,
      anon_sym_RPAREN,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(14995), 1,
      sym__type,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2460), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15685), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [14711] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    ACTIONS(4964), 1,
      anon_sym_RPAREN,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(14995), 1,
      sym__type,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2461), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15685), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [14840] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    ACTIONS(4938), 1,
      anon_sym_RPAREN,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(13845), 1,
      sym__type,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2462), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15320), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [14969] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    ACTIONS(4938), 1,
      anon_sym_RPAREN,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(13929), 1,
      sym__type,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2463), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15320), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [15098] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    ACTIONS(4938), 1,
      anon_sym_RPAREN,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(14036), 1,
      sym__type,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2464), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15320), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [15227] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    ACTIONS(4966), 1,
      anon_sym_RPAREN,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(14995), 1,
      sym__type,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2465), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15685), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [15356] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    ACTIONS(4968), 1,
      anon_sym_RPAREN,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(14995), 1,
      sym__type,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2466), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15685), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [15485] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    ACTIONS(4938), 1,
      anon_sym_RPAREN,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(13966), 1,
      sym__type,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2467), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15320), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [15614] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    ACTIONS(4970), 1,
      anon_sym_RPAREN,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(14995), 1,
      sym__type,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2468), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15685), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [15743] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    ACTIONS(4972), 1,
      anon_sym_RPAREN,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(14995), 1,
      sym__type,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2469), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15685), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [15872] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    ACTIONS(4938), 1,
      anon_sym_RPAREN,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(14047), 1,
      sym__type,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2470), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15320), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [16001] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    ACTIONS(4974), 1,
      anon_sym_RPAREN,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(14995), 1,
      sym__type,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2471), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15685), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [16130] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    ACTIONS(4976), 1,
      anon_sym_RPAREN,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(14995), 1,
      sym__type,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2472), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15685), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [16259] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    ACTIONS(4978), 1,
      anon_sym_RPAREN,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(14995), 1,
      sym__type,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2473), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15685), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [16388] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    ACTIONS(4938), 1,
      anon_sym_RPAREN,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(13923), 1,
      sym__type,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2474), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15320), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [16517] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    ACTIONS(4980), 1,
      anon_sym_RPAREN,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(14995), 1,
      sym__type,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2475), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15685), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [16646] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    ACTIONS(4982), 1,
      anon_sym_RPAREN,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(14995), 1,
      sym__type,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2476), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15685), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [16775] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    ACTIONS(4938), 1,
      anon_sym_RPAREN,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(13946), 1,
      sym__type,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2477), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15320), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [16904] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    ACTIONS(4984), 1,
      anon_sym_RPAREN,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(14995), 1,
      sym__type,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2478), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15685), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [17033] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    ACTIONS(4938), 1,
      anon_sym_RPAREN,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(13905), 1,
      sym__type,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2479), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15320), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [17162] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    ACTIONS(4986), 1,
      anon_sym_RPAREN,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(14995), 1,
      sym__type,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2480), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15685), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [17291] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    ACTIONS(4938), 1,
      anon_sym_RPAREN,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(13965), 1,
      sym__type,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2481), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15320), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [17420] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    ACTIONS(4988), 1,
      anon_sym_RPAREN,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(14995), 1,
      sym__type,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2482), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15685), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [17549] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    ACTIONS(4938), 1,
      anon_sym_RPAREN,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(13972), 1,
      sym__type,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2483), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15320), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [17678] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    ACTIONS(4990), 1,
      anon_sym_RPAREN,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(14995), 1,
      sym__type,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2484), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15685), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [17807] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    ACTIONS(4992), 1,
      anon_sym_RPAREN,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(14995), 1,
      sym__type,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2485), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15685), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [17936] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    ACTIONS(4938), 1,
      anon_sym_RPAREN,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(13891), 1,
      sym__type,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2486), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15320), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [18065] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    ACTIONS(4994), 1,
      anon_sym_RPAREN,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(14995), 1,
      sym__type,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2487), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15685), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [18194] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    ACTIONS(4996), 1,
      anon_sym_RPAREN,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(14995), 1,
      sym__type,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2488), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15685), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [18323] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    ACTIONS(4998), 1,
      anon_sym_RPAREN,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(14995), 1,
      sym__type,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2489), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15685), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [18452] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    ACTIONS(5000), 1,
      anon_sym_RPAREN,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(14995), 1,
      sym__type,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2490), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15685), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [18581] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    ACTIONS(5002), 1,
      anon_sym_RPAREN,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(14995), 1,
      sym__type,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2491), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15685), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [18710] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    ACTIONS(5004), 1,
      anon_sym_RPAREN,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(14995), 1,
      sym__type,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2492), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15685), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [18839] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    ACTIONS(4938), 1,
      anon_sym_RPAREN,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(13882), 1,
      sym__type,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2493), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15320), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [18968] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    ACTIONS(5006), 1,
      anon_sym_RPAREN,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(14995), 1,
      sym__type,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2494), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15685), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [19097] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    ACTIONS(4938), 1,
      anon_sym_RPAREN,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(13984), 1,
      sym__type,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2495), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15320), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [19226] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    ACTIONS(4938), 1,
      anon_sym_RPAREN,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(13911), 1,
      sym__type,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2496), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15320), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [19355] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    ACTIONS(5008), 1,
      anon_sym_RPAREN,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(14970), 1,
      sym__type,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2497), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15685), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [19484] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    ACTIONS(5010), 1,
      anon_sym_RPAREN,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(14995), 1,
      sym__type,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2498), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15685), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [19613] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    ACTIONS(4938), 1,
      anon_sym_RPAREN,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(13843), 1,
      sym__type,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2499), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15320), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [19742] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    ACTIONS(5012), 1,
      anon_sym_RPAREN,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(14995), 1,
      sym__type,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2500), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15685), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [19871] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    ACTIONS(4938), 1,
      anon_sym_RPAREN,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(13802), 1,
      sym__type,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2501), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15320), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [20000] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    ACTIONS(5014), 1,
      anon_sym_RPAREN,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(14995), 1,
      sym__type,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2502), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15685), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [20129] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    ACTIONS(4938), 1,
      anon_sym_RPAREN,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(13819), 1,
      sym__type,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2503), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15320), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [20258] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    ACTIONS(5016), 1,
      anon_sym_RPAREN,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(14995), 1,
      sym__type,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2504), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15685), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [20387] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    ACTIONS(5018), 1,
      anon_sym_RPAREN,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(14995), 1,
      sym__type,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2505), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15685), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [20516] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    ACTIONS(4938), 1,
      anon_sym_RPAREN,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(13963), 1,
      sym__type,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2506), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15320), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [20645] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    ACTIONS(5020), 1,
      anon_sym_RPAREN,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(14995), 1,
      sym__type,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2507), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15685), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [20774] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    ACTIONS(5022), 1,
      anon_sym_RPAREN,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(14995), 1,
      sym__type,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2508), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15685), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [20903] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    ACTIONS(4938), 1,
      anon_sym_RPAREN,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(13852), 1,
      sym__type,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2509), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15320), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [21032] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    ACTIONS(5024), 1,
      anon_sym_RPAREN,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(14995), 1,
      sym__type,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2510), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15685), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [21161] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    ACTIONS(4938), 1,
      anon_sym_RPAREN,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(14043), 1,
      sym__type,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2511), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15320), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [21290] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    ACTIONS(5026), 1,
      anon_sym_RPAREN,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(14995), 1,
      sym__type,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2512), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15685), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [21419] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    ACTIONS(5028), 1,
      anon_sym_RPAREN,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(14995), 1,
      sym__type,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2513), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15685), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [21548] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    ACTIONS(4938), 1,
      anon_sym_RPAREN,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(13826), 1,
      sym__type,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2514), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15320), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [21677] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    ACTIONS(5030), 1,
      anon_sym_RPAREN,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(14995), 1,
      sym__type,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2515), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15685), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [21806] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    ACTIONS(4938), 1,
      anon_sym_RPAREN,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(14013), 1,
      sym__type,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2516), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15320), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [21935] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    ACTIONS(4938), 1,
      anon_sym_RPAREN,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(13955), 1,
      sym__type,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2517), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15320), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [22064] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    ACTIONS(4938), 1,
      anon_sym_RPAREN,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(13837), 1,
      sym__type,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2518), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15320), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [22193] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    ACTIONS(4938), 1,
      anon_sym_RPAREN,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(13907), 1,
      sym__type,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2519), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15320), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [22322] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    ACTIONS(4938), 1,
      anon_sym_RPAREN,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(13834), 1,
      sym__type,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2520), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15320), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [22451] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    ACTIONS(5032), 1,
      anon_sym_RPAREN,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(14970), 1,
      sym__type,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2521), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15685), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [22580] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    ACTIONS(4938), 1,
      anon_sym_RPAREN,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(13859), 1,
      sym__type,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2522), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15320), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [22709] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    ACTIONS(4938), 1,
      anon_sym_RPAREN,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(13908), 1,
      sym__type,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2523), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15320), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [22838] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    ACTIONS(4938), 1,
      anon_sym_RPAREN,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(13919), 1,
      sym__type,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2524), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15320), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [22967] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    ACTIONS(4938), 1,
      anon_sym_RPAREN,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(13876), 1,
      sym__type,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2525), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15320), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [23096] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    ACTIONS(5034), 1,
      anon_sym_RPAREN,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(14995), 1,
      sym__type,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2526), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15685), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [23225] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    ACTIONS(4938), 1,
      anon_sym_RPAREN,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(13944), 1,
      sym__type,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2527), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15320), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [23354] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    ACTIONS(5036), 1,
      anon_sym_RPAREN,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(14970), 1,
      sym__type,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2528), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15685), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [23483] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    ACTIONS(5038), 1,
      anon_sym_RPAREN,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(14995), 1,
      sym__type,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2529), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15685), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [23612] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    ACTIONS(5040), 1,
      anon_sym_RPAREN,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(14995), 1,
      sym__type,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2530), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15685), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [23741] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    ACTIONS(5042), 1,
      anon_sym_RPAREN,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(14995), 1,
      sym__type,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2531), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15685), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [23870] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    ACTIONS(4938), 1,
      anon_sym_RPAREN,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(14007), 1,
      sym__type,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2532), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15320), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [23999] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    ACTIONS(5044), 1,
      anon_sym_RPAREN,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(14995), 1,
      sym__type,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2533), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15685), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [24128] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    ACTIONS(4938), 1,
      anon_sym_RPAREN,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(13892), 1,
      sym__type,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2534), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15320), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [24257] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    ACTIONS(5046), 1,
      anon_sym_RPAREN,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(14995), 1,
      sym__type,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2535), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15685), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [24386] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2536), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__interpolated_multiline_string_start,
    ACTIONS(4134), 7,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 12,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_DQUOTE,
      anon_sym_yield,
    ACTIONS(4130), 29,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [24459] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    ACTIONS(5048), 1,
      anon_sym_RPAREN,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(14995), 1,
      sym__type,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2537), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15685), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [24588] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    ACTIONS(4938), 1,
      anon_sym_RPAREN,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(14016), 1,
      sym__type,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2538), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15320), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [24717] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    ACTIONS(4938), 1,
      anon_sym_RPAREN,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(14033), 1,
      sym__type,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2539), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15320), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [24846] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    ACTIONS(4938), 1,
      anon_sym_RPAREN,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(14008), 1,
      sym__type,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2540), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15320), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [24975] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    ACTIONS(4938), 1,
      anon_sym_RPAREN,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(14026), 1,
      sym__type,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2541), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15320), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [25104] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    ACTIONS(4938), 1,
      anon_sym_RPAREN,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(13849), 1,
      sym__type,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2542), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15320), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [25233] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    ACTIONS(4938), 1,
      anon_sym_RPAREN,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(13934), 1,
      sym__type,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2543), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15320), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [25362] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    ACTIONS(4938), 1,
      anon_sym_RPAREN,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(13863), 1,
      sym__type,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2544), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15320), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [25491] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    ACTIONS(4938), 1,
      anon_sym_RPAREN,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(13950), 1,
      sym__type,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2545), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15320), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [25620] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    ACTIONS(4938), 1,
      anon_sym_RPAREN,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(13885), 1,
      sym__type,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2546), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15320), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [25749] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    ACTIONS(4938), 1,
      anon_sym_RPAREN,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(13995), 1,
      sym__type,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2547), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15320), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [25878] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    ACTIONS(4938), 1,
      anon_sym_RPAREN,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(13982), 1,
      sym__type,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2548), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15320), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [26007] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    ACTIONS(4938), 1,
      anon_sym_RPAREN,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(13917), 1,
      sym__type,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2549), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15320), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [26136] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    ACTIONS(5050), 1,
      anon_sym_RPAREN,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(14995), 1,
      sym__type,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2550), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15685), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [26265] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    ACTIONS(5052), 1,
      anon_sym_RPAREN,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(14970), 1,
      sym__type,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2551), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15685), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [26394] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    ACTIONS(5054), 1,
      anon_sym_RPAREN,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(14970), 1,
      sym__type,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2552), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15685), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [26523] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    ACTIONS(5056), 1,
      anon_sym_RPAREN,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(14995), 1,
      sym__type,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2553), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15685), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [26652] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    ACTIONS(4938), 1,
      anon_sym_RPAREN,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(13904), 1,
      sym__type,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2554), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15320), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [26781] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    ACTIONS(4938), 1,
      anon_sym_RPAREN,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(14040), 1,
      sym__type,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2555), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15320), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [26910] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    ACTIONS(5058), 1,
      anon_sym_RPAREN,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(14995), 1,
      sym__type,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2556), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15685), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [27039] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    ACTIONS(4938), 1,
      anon_sym_RPAREN,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(13969), 1,
      sym__type,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2557), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15320), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [27168] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    ACTIONS(4938), 1,
      anon_sym_RPAREN,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(13832), 1,
      sym__type,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2558), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15320), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [27297] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    ACTIONS(5060), 1,
      anon_sym_RPAREN,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(14995), 1,
      sym__type,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2559), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15685), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [27426] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    ACTIONS(4938), 1,
      anon_sym_RPAREN,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(13901), 1,
      sym__type,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2560), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15320), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [27555] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    ACTIONS(4938), 1,
      anon_sym_RPAREN,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(13823), 1,
      sym__type,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2561), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15320), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [27684] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    ACTIONS(5062), 1,
      anon_sym_RPAREN,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(14995), 1,
      sym__type,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2562), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15685), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [27813] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    ACTIONS(5064), 1,
      anon_sym_EQ_GT,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(14163), 1,
      sym__type,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2563), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(14691), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [27939] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    ACTIONS(5064), 1,
      anon_sym_EQ_GT,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(14076), 1,
      sym__type,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2564), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15308), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [28065] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    ACTIONS(5064), 1,
      anon_sym_EQ_GT,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(14206), 1,
      sym__type,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2565), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15117), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [28191] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    ACTIONS(5064), 1,
      anon_sym_EQ_GT,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(14316), 1,
      sym__type,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2566), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(14948), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [28317] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(15434), 1,
      sym__type,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2567), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15501), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [28443] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(15415), 1,
      sym__type,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2568), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15507), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [28569] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2569), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__interpolated_multiline_string_start,
    ACTIONS(4134), 7,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 11,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_DQUOTE,
      anon_sym_yield,
    ACTIONS(4130), 29,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [28641] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    ACTIONS(5064), 1,
      anon_sym_EQ_GT,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(14169), 1,
      sym__type,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2570), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(14404), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [28767] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(14970), 1,
      sym__type,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2571), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15685), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [28893] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    ACTIONS(5064), 1,
      anon_sym_EQ_GT,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(14217), 1,
      sym__type,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2572), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(14372), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [29019] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    ACTIONS(5064), 1,
      anon_sym_EQ_GT,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(14105), 1,
      sym__type,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2573), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(14383), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [29145] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2574), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__interpolated_multiline_string_start,
    ACTIONS(4134), 7,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 11,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_DQUOTE,
      anon_sym_yield,
    ACTIONS(4130), 29,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [29217] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2575), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__interpolated_multiline_string_start,
    ACTIONS(4134), 7,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 11,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_DQUOTE,
    ACTIONS(4130), 29,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [29288] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2576), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__interpolated_multiline_string_start,
    ACTIONS(4134), 7,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 10,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_DQUOTE,
      anon_sym_yield,
    ACTIONS(4130), 29,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [29359] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15659), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    ACTIONS(5066), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    STATE(2577), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [29482] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2578), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__interpolated_multiline_string_start,
    ACTIONS(4134), 7,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 10,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      anon_sym_DQUOTE,
      anon_sym_yield,
    ACTIONS(4130), 29,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [29553] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2579), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__interpolated_multiline_string_start,
    ACTIONS(4134), 7,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 11,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_DQUOTE,
    ACTIONS(4130), 29,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [29624] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5070), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2580), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [29746] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5072), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2581), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [29868] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5074), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2582), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [29990] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5076), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2583), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [30112] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5078), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2584), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [30234] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5080), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2585), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [30356] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5082), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2586), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [30478] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5084), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2587), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [30600] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5086), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2588), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [30722] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5088), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2589), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [30844] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5090), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2590), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [30966] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5092), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2591), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [31088] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5094), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2592), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [31210] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2593), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__interpolated_multiline_string_start,
    ACTIONS(4134), 7,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 10,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_DQUOTE,
    ACTIONS(4130), 29,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [31280] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5096), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2594), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [31402] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5098), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2595), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [31524] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5100), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2596), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [31646] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5102), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2597), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [31768] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5104), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2598), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [31890] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5106), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2599), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [32012] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5108), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2600), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [32134] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5110), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2601), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [32256] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5112), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2602), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [32378] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5114), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2603), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [32500] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5116), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2604), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [32622] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5118), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2605), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [32744] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5120), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2606), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [32866] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5122), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2607), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [32988] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5124), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2608), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [33110] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5126), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2609), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [33232] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5128), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2610), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [33354] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5130), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2611), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [33476] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5132), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2612), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [33598] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5134), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2613), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [33720] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5136), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2614), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [33842] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5138), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2615), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [33964] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5140), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2616), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [34086] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2617), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__interpolated_multiline_string_start,
    ACTIONS(4134), 7,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 10,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_DQUOTE,
    ACTIONS(4130), 29,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [34156] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5142), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2618), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [34278] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5144), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2619), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [34400] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5146), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2620), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [34522] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5148), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2621), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [34644] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5150), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2622), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [34766] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5152), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2623), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [34888] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5154), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2624), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [35010] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5156), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2625), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [35132] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5158), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2626), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [35254] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5160), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2627), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [35376] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5162), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2628), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [35498] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5164), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2629), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [35620] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5166), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2630), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [35742] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5168), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2631), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [35864] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5170), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2632), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [35986] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5172), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2633), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [36108] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5174), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2634), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [36230] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5176), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2635), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [36352] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5178), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2636), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [36474] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5180), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2637), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [36596] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5182), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2638), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [36718] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5184), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2639), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [36840] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5186), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2640), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [36962] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5188), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2641), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [37084] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5190), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2642), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [37206] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5192), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2643), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [37328] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5194), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2644), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [37450] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5196), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2645), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [37572] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5198), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2646), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [37694] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5200), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2647), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [37816] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5202), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2648), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [37938] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5204), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2649), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [38060] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5206), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2650), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [38182] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5208), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2651), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [38304] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5210), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2652), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [38426] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5212), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2653), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [38548] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5214), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2654), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [38670] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5216), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2655), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [38792] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5218), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2656), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [38914] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5220), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2657), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [39036] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5222), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2658), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [39158] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5224), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2659), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [39280] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5226), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2660), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [39402] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5228), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2661), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [39524] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5230), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2662), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [39646] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5232), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2663), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [39768] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5234), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2664), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [39890] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5236), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2665), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [40012] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5238), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2666), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [40134] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5240), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2667), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [40256] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5242), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2668), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [40378] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5244), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2669), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [40500] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5246), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2670), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [40622] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5248), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2671), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [40744] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5250), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2672), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [40866] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5252), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2673), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [40988] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5254), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2674), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [41110] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5256), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2675), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [41232] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5258), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2676), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [41354] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5260), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2677), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [41476] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5262), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2678), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [41598] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5264), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2679), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [41720] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5266), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2680), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [41842] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5268), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2681), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [41964] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5270), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2682), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [42086] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5272), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2683), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [42208] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5274), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2684), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [42330] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5276), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2685), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [42452] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2686), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__interpolated_multiline_string_start,
    ACTIONS(4134), 7,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 10,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_DQUOTE,
    ACTIONS(4130), 29,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [42522] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5278), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2687), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [42644] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5280), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2688), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [42766] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5282), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2689), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [42888] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5284), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2690), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [43010] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5286), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2691), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [43132] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5288), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2692), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [43254] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5290), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2693), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [43376] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5292), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2694), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [43498] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5294), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2695), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [43620] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5296), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2696), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [43742] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5298), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2697), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [43864] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5300), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2698), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [43986] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5302), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2699), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [44108] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5304), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2700), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [44230] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5306), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2701), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [44352] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5308), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2702), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [44474] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5310), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2703), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [44596] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5312), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2704), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [44718] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5314), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2705), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [44840] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5316), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2706), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [44962] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5318), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2707), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [45084] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5320), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2708), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [45206] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5322), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2709), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [45328] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5324), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2710), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [45450] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5326), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2711), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [45572] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5328), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2712), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [45694] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5330), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2713), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [45816] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5332), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2714), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [45938] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5334), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2715), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [46060] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5336), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2716), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [46182] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5338), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2717), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [46304] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5340), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2718), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [46426] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5342), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2719), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [46548] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5344), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2720), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [46670] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5346), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2721), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [46792] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5348), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2722), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [46914] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5350), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2723), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [47036] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5352), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2724), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [47158] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5354), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2725), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [47280] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5356), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2726), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [47402] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5358), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2727), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [47524] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5360), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2728), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [47646] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5362), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2729), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [47768] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5364), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2730), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [47890] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5366), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2731), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [48012] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5368), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2732), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [48134] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5370), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2733), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [48256] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5372), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2734), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [48378] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5374), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2735), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [48500] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5376), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2736), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [48622] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5378), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2737), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [48744] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5380), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2738), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [48866] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5382), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2739), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [48988] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5384), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2740), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [49110] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5386), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2741), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [49232] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5388), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2742), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [49354] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5390), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2743), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [49476] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5392), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2744), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [49598] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5394), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2745), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [49720] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5396), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2746), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [49842] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5398), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2747), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [49964] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5400), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2748), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [50086] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5402), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2749), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [50208] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5404), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2750), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [50330] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5406), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2751), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [50452] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5408), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2752), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [50574] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5410), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2753), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [50696] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5412), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2754), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [50818] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5414), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2755), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [50940] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5416), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2756), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [51062] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5418), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2757), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [51184] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5420), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2758), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [51306] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5422), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2759), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [51428] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5424), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2760), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [51550] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5426), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2761), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [51672] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5428), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2762), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [51794] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5430), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2763), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [51916] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5432), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2764), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [52038] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5434), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2765), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [52160] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5436), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2766), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [52282] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5438), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2767), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [52404] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5440), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2768), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [52526] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5442), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2769), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [52648] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5444), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2770), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [52770] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5446), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2771), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [52892] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5448), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2772), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [53014] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5450), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2773), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [53136] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5452), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2774), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [53258] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5454), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2775), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [53380] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5456), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2776), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [53502] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5458), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2777), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [53624] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5460), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2778), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [53746] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5462), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2779), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [53868] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5464), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2780), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [53990] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5466), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2781), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [54112] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5468), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2782), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [54234] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5470), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2783), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [54356] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5472), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2784), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [54478] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5474), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2785), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [54600] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5476), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2786), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [54722] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5478), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2787), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [54844] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5480), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2788), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [54966] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5482), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2789), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [55088] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5484), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2790), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [55210] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5486), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2791), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [55332] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5488), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2792), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [55454] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5490), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2793), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [55576] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5492), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2794), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [55698] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5494), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2795), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [55820] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5496), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2796), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [55942] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5498), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2797), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [56064] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5500), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2798), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [56186] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5502), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2799), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [56308] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5504), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2800), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [56430] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5506), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2801), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [56552] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5508), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2802), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [56674] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5510), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2803), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [56796] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5512), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2804), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [56918] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5514), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2805), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [57040] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5516), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2806), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [57162] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5518), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2807), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [57284] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5520), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2808), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [57406] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5522), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2809), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [57528] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5524), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2810), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [57650] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5526), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2811), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [57772] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5528), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2812), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [57894] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5530), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2813), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [58016] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5532), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2814), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [58138] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5534), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2815), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [58260] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5536), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2816), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [58382] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5538), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2817), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [58504] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5540), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2818), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [58626] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5542), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2819), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [58748] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5544), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2820), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [58870] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5546), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2821), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [58992] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5548), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2822), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [59114] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5550), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2823), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [59236] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5552), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2824), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [59358] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5554), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2825), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [59480] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5556), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2826), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [59602] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5558), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2827), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [59724] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5560), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2828), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [59846] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5562), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2829), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [59968] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5564), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2830), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [60090] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5566), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2831), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [60212] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5568), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2832), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [60334] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5570), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2833), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [60456] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5572), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2834), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [60578] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5574), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2835), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [60700] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5576), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2836), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [60822] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5578), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2837), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [60944] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5580), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2838), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [61066] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5582), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2839), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [61188] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5584), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2840), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [61310] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5586), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2841), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [61432] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5588), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2842), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [61554] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5590), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2843), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [61676] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5592), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2844), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [61798] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5594), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2845), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [61920] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5596), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2846), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [62042] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5598), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2847), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [62164] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5600), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2848), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [62286] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5602), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2849), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [62408] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5604), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2850), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [62530] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5606), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2851), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [62652] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5608), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2852), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [62774] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5610), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2853), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [62896] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5612), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2854), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [63018] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5614), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2855), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [63140] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5616), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2856), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [63262] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5618), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2857), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [63384] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5620), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2858), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [63506] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5622), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2859), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [63628] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5624), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2860), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [63750] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5626), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2861), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [63872] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5628), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2862), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [63994] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5630), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2863), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [64116] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5632), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2864), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [64238] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5634), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2865), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [64360] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5636), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2866), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [64482] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5638), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2867), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [64604] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5640), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2868), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [64726] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5642), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2869), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [64848] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5644), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2870), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [64970] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5646), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2871), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [65092] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5648), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2872), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [65214] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5650), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2873), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [65336] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5652), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2874), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [65458] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5654), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2875), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [65580] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5656), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2876), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [65702] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5658), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2877), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [65824] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5660), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2878), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [65946] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5662), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2879), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [66068] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5664), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2880), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [66190] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5666), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2881), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [66312] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5668), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2882), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [66434] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5670), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2883), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [66556] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5672), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2884), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [66678] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5674), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2885), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [66800] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5676), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2886), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [66922] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5678), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2887), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [67044] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5680), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2888), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [67166] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5682), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2889), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [67288] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5684), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2890), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [67410] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5686), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2891), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [67532] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5688), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2892), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [67654] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5690), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2893), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [67776] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5692), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2894), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [67898] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5694), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2895), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [68020] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5696), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2896), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [68142] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5698), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2897), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [68264] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5700), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2898), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [68386] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5702), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2899), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [68508] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5704), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2900), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [68630] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5706), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2901), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [68752] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5708), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2902), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [68874] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5710), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2903), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [68996] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5712), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2904), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [69118] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5714), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2905), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [69240] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5716), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2906), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [69362] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5718), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2907), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [69484] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5720), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2908), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [69606] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5722), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2909), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [69728] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5724), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2910), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [69850] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5726), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2911), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [69972] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5728), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2912), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [70094] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5730), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2913), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [70216] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5732), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2914), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [70338] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5734), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2915), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [70460] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5736), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2916), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [70582] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5738), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2917), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [70704] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5740), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2918), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [70826] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5742), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2919), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [70948] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5744), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2920), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [71070] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5746), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2921), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [71192] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5748), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2922), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [71314] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5750), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2923), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [71436] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5752), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2924), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [71558] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5754), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2925), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [71680] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5756), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2926), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [71802] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5758), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2927), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [71924] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5760), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2928), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [72046] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5762), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2929), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [72168] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5764), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2930), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [72290] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5766), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2931), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [72412] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5768), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2932), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [72534] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5770), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2933), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [72656] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5772), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2934), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [72778] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5774), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2935), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [72900] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5776), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2936), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [73022] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5778), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2937), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [73144] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5780), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2938), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [73266] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5782), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2939), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [73388] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5784), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2940), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [73510] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5786), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2941), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [73632] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5788), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2942), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [73754] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5790), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2943), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [73876] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5792), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2944), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [73998] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5794), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2945), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [74120] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5796), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2946), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [74242] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5798), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2947), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [74364] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5800), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2948), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [74486] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5802), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2949), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [74608] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5804), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2950), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [74730] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5806), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2951), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [74852] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5808), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2952), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [74974] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5810), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2953), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [75096] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5812), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2954), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [75218] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5814), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2955), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [75340] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5816), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2956), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [75462] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5818), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2957), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [75584] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5820), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2958), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [75706] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5822), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2959), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [75828] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5824), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2960), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [75950] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5826), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2961), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [76072] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5828), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2962), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [76194] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5830), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2963), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [76316] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5832), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2964), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [76438] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5834), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2965), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [76560] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5836), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2966), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [76682] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5838), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2967), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [76804] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5840), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2968), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [76926] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5842), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2969), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [77048] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5844), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2970), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [77170] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5846), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2971), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [77292] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5848), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2972), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [77414] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5850), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2973), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [77536] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5852), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2974), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [77658] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5854), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2975), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [77780] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5856), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2976), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [77902] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5858), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2977), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [78024] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5860), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2978), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [78146] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5862), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2979), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [78268] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5864), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2980), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [78390] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5866), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2981), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [78512] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5868), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2982), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [78634] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5870), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2983), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [78756] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5872), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2984), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [78878] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5874), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2985), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [79000] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5876), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2986), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [79122] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5878), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2987), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [79244] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5880), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2988), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [79366] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5882), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2989), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [79488] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5884), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2990), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [79610] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5886), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2991), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [79732] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5888), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2992), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [79854] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5890), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2993), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [79976] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5892), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2994), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [80098] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5894), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2995), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [80220] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5896), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2996), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [80342] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5898), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2997), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [80464] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5900), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2998), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [80586] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5902), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2999), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [80708] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5904), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3000), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [80830] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5906), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3001), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [80952] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5908), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3002), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [81074] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5910), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3003), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [81196] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5912), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3004), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [81318] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5914), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3005), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [81440] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5916), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3006), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [81562] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5918), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3007), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [81684] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5920), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3008), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [81806] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5922), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3009), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [81928] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5924), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3010), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [82050] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5926), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3011), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [82172] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5928), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3012), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [82294] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5930), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3013), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [82416] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5932), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3014), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [82538] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5934), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3015), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [82660] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5936), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3016), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [82782] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5938), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3017), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [82904] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5940), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3018), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [83026] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5942), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3019), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [83148] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5944), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3020), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [83270] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5946), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3021), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [83392] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5948), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3022), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [83514] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5950), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3023), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [83636] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5952), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3024), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [83758] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5954), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3025), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [83880] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5956), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3026), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [84002] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5958), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3027), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [84124] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5960), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3028), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [84246] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5962), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3029), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [84368] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3030), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__interpolated_multiline_string_start,
    ACTIONS(4134), 7,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 10,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_DQUOTE,
    ACTIONS(4130), 29,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [84438] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5964), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3031), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [84560] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5966), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3032), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [84682] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5968), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3033), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [84804] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5970), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3034), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [84926] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5972), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3035), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [85048] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5974), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3036), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [85170] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5976), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3037), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [85292] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5978), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3038), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [85414] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5980), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3039), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [85536] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5982), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3040), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [85658] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5984), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3041), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [85780] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5986), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3042), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [85902] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5988), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3043), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [86024] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5990), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3044), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [86146] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5992), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3045), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [86268] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5994), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3046), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [86390] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5996), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3047), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [86512] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(5998), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3048), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [86634] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(6000), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3049), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [86756] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(6002), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3050), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [86878] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(6004), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3051), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [87000] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(6006), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3052), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [87122] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(6008), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3053), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [87244] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(6010), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3054), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [87366] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(6012), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3055), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [87488] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(6014), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3056), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [87610] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(6016), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3057), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [87732] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(6018), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3058), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [87854] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(6020), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3059), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [87976] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(6022), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3060), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [88098] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(6024), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3061), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [88220] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(6026), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3062), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [88342] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(6028), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3063), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [88464] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(6030), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3064), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [88586] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(6032), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3065), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [88708] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(6034), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3066), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [88830] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(6036), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3067), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [88952] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(6038), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3068), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [89074] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(6040), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3069), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [89196] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(6042), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3070), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [89318] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(6044), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3071), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [89440] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(6046), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3072), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [89562] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(6048), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3073), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [89684] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(6050), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3074), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [89806] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(6052), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3075), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [89928] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(6054), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3076), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [90050] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(6056), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3077), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [90172] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(6058), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3078), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [90294] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(6060), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3079), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [90416] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(6062), 1,
      anon_sym_RBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3080), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [90538] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(6064), 1,
      anon_sym_RPAREN,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3081), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [90660] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4556), 1,
      anon_sym_COLON,
    ACTIONS(4558), 1,
      anon_sym_LBRACE,
    ACTIONS(4576), 1,
      sym_integer_literal,
    ACTIONS(6066), 1,
      sym__alpha_identifier,
    ACTIONS(6068), 1,
      anon_sym__,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6074), 1,
      anon_sym_LPAREN,
    ACTIONS(6076), 1,
      sym__backquoted_id,
    ACTIONS(6078), 1,
      sym_operator_identifier,
    STATE(5958), 1,
      sym__simple_type,
    STATE(6298), 1,
      sym_identifier,
    STATE(6423), 1,
      sym__soft_identifier,
    STATE(6909), 1,
      sym__annotated_type,
    STATE(8714), 1,
      sym_annotated_type,
    STATE(11604), 1,
      sym_template_body,
    STATE(12017), 1,
      sym__infix_type_choice,
    STATE(12480), 1,
      sym__non_null_literal,
    STATE(13713), 1,
      sym__type,
    STATE(15272), 1,
      sym_parameter_types,
    STATE(16539), 1,
      sym_stable_identifier,
    ACTIONS(4578), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4580), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4584), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3082), 2,
      sym_comment,
      sym_block_comment,
    STATE(9653), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12384), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12412), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12479), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6072), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7089), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [90779] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2110), 1,
      sym_integer_literal,
    ACTIONS(6080), 1,
      sym__alpha_identifier,
    ACTIONS(6082), 1,
      anon_sym_COLON,
    ACTIONS(6084), 1,
      anon_sym_LBRACE,
    ACTIONS(6086), 1,
      anon_sym__,
    ACTIONS(6088), 1,
      anon_sym_LBRACK,
    ACTIONS(6092), 1,
      anon_sym_LPAREN,
    ACTIONS(6094), 1,
      sym__backquoted_id,
    ACTIONS(6096), 1,
      sym_operator_identifier,
    STATE(6820), 1,
      sym__annotated_type,
    STATE(7242), 1,
      sym__simple_type,
    STATE(7449), 1,
      sym__soft_identifier,
    STATE(8071), 1,
      sym_identifier,
    STATE(9622), 1,
      sym_annotated_type,
    STATE(11545), 1,
      sym_template_body,
    STATE(11584), 1,
      sym__non_null_literal,
    STATE(11616), 1,
      sym__type,
    STATE(11908), 1,
      sym__infix_type_choice,
    STATE(15176), 1,
      sym_parameter_types,
    STATE(16728), 1,
      sym_stable_identifier,
    ACTIONS(2112), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(2114), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(2118), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3083), 2,
      sym_comment,
      sym_block_comment,
    STATE(6076), 2,
      sym_boolean_literal,
      sym_string,
    STATE(6133), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10527), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11582), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6090), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8489), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [90898] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4214), 1,
      anon_sym_COLON,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4234), 1,
      sym_integer_literal,
    ACTIONS(6098), 1,
      sym__alpha_identifier,
    ACTIONS(6100), 1,
      anon_sym__,
    ACTIONS(6102), 1,
      anon_sym_LBRACK,
    ACTIONS(6106), 1,
      anon_sym_LPAREN,
    ACTIONS(6108), 1,
      sym__backquoted_id,
    ACTIONS(6110), 1,
      sym_operator_identifier,
    STATE(5828), 1,
      sym__simple_type,
    STATE(5991), 1,
      sym__annotated_type,
    STATE(6096), 1,
      sym_identifier,
    STATE(6257), 1,
      sym__soft_identifier,
    STATE(9560), 1,
      sym_annotated_type,
    STATE(10416), 1,
      sym_template_body,
    STATE(10989), 1,
      sym__type,
    STATE(11029), 1,
      sym__non_null_literal,
    STATE(11776), 1,
      sym__infix_type_choice,
    STATE(15341), 1,
      sym_parameter_types,
    STATE(16025), 1,
      sym_stable_identifier,
    ACTIONS(4236), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4238), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4242), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3084), 2,
      sym_comment,
      sym_block_comment,
    STATE(10279), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10819), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10870), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11034), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6104), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6721), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [91017] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1964), 1,
      sym_integer_literal,
    ACTIONS(6112), 1,
      sym__alpha_identifier,
    ACTIONS(6114), 1,
      anon_sym_COLON,
    ACTIONS(6116), 1,
      anon_sym_LBRACE,
    ACTIONS(6118), 1,
      anon_sym__,
    ACTIONS(6120), 1,
      anon_sym_LBRACK,
    ACTIONS(6124), 1,
      anon_sym_LPAREN,
    ACTIONS(6126), 1,
      sym__backquoted_id,
    ACTIONS(6128), 1,
      sym_operator_identifier,
    STATE(5528), 1,
      sym__annotated_type,
    STATE(5736), 1,
      sym__simple_type,
    STATE(6052), 1,
      sym__soft_identifier,
    STATE(6458), 1,
      sym_identifier,
    STATE(9113), 1,
      sym_annotated_type,
    STATE(12076), 1,
      sym__infix_type_choice,
    STATE(13033), 1,
      sym_template_body,
    STATE(13246), 1,
      sym__non_null_literal,
    STATE(13262), 1,
      sym__type,
    STATE(15092), 1,
      sym_parameter_types,
    STATE(16776), 1,
      sym_stable_identifier,
    ACTIONS(1966), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1968), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1972), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3085), 2,
      sym_comment,
      sym_block_comment,
    STATE(8905), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9129), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10036), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13237), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6122), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7086), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [91136] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14923), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3086), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [91255] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(87), 1,
      sym_integer_literal,
    ACTIONS(6130), 1,
      sym__alpha_identifier,
    ACTIONS(6132), 1,
      anon_sym_COLON,
    ACTIONS(6134), 1,
      anon_sym_LBRACE,
    ACTIONS(6136), 1,
      anon_sym__,
    ACTIONS(6138), 1,
      anon_sym_LBRACK,
    ACTIONS(6142), 1,
      anon_sym_LPAREN,
    ACTIONS(6144), 1,
      sym__backquoted_id,
    ACTIONS(6146), 1,
      sym_operator_identifier,
    STATE(6664), 1,
      sym__simple_type,
    STATE(6871), 1,
      sym__annotated_type,
    STATE(7617), 1,
      sym_identifier,
    STATE(7635), 1,
      sym__soft_identifier,
    STATE(9838), 1,
      sym_annotated_type,
    STATE(10416), 1,
      sym_template_body,
    STATE(11029), 1,
      sym__non_null_literal,
    STATE(11924), 1,
      sym__infix_type_choice,
    STATE(13857), 1,
      sym__type,
    STATE(14979), 1,
      sym_parameter_types,
    STATE(15858), 1,
      sym_stable_identifier,
    ACTIONS(89), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(91), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(103), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3087), 2,
      sym_comment,
      sym_block_comment,
    STATE(6306), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7065), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10309), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11034), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6140), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8290), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [91374] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4214), 1,
      anon_sym_COLON,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4234), 1,
      sym_integer_literal,
    ACTIONS(6098), 1,
      sym__alpha_identifier,
    ACTIONS(6100), 1,
      anon_sym__,
    ACTIONS(6102), 1,
      anon_sym_LBRACK,
    ACTIONS(6106), 1,
      anon_sym_LPAREN,
    ACTIONS(6108), 1,
      sym__backquoted_id,
    ACTIONS(6110), 1,
      sym_operator_identifier,
    STATE(5828), 1,
      sym__simple_type,
    STATE(5991), 1,
      sym__annotated_type,
    STATE(6096), 1,
      sym_identifier,
    STATE(6257), 1,
      sym__soft_identifier,
    STATE(9560), 1,
      sym_annotated_type,
    STATE(10416), 1,
      sym_template_body,
    STATE(10817), 1,
      sym__type,
    STATE(11029), 1,
      sym__non_null_literal,
    STATE(11776), 1,
      sym__infix_type_choice,
    STATE(15341), 1,
      sym_parameter_types,
    STATE(16025), 1,
      sym_stable_identifier,
    ACTIONS(4236), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4238), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4242), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3088), 2,
      sym_comment,
      sym_block_comment,
    STATE(10279), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10819), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10870), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11034), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6104), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6721), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [91493] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14919), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3089), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [91612] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4214), 1,
      anon_sym_COLON,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4234), 1,
      sym_integer_literal,
    ACTIONS(6098), 1,
      sym__alpha_identifier,
    ACTIONS(6100), 1,
      anon_sym__,
    ACTIONS(6102), 1,
      anon_sym_LBRACK,
    ACTIONS(6106), 1,
      anon_sym_LPAREN,
    ACTIONS(6108), 1,
      sym__backquoted_id,
    ACTIONS(6110), 1,
      sym_operator_identifier,
    STATE(5828), 1,
      sym__simple_type,
    STATE(5991), 1,
      sym__annotated_type,
    STATE(6096), 1,
      sym_identifier,
    STATE(6257), 1,
      sym__soft_identifier,
    STATE(9560), 1,
      sym_annotated_type,
    STATE(10416), 1,
      sym_template_body,
    STATE(10964), 1,
      sym__type,
    STATE(11029), 1,
      sym__non_null_literal,
    STATE(11776), 1,
      sym__infix_type_choice,
    STATE(15341), 1,
      sym_parameter_types,
    STATE(16025), 1,
      sym_stable_identifier,
    ACTIONS(4236), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4238), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4242), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3090), 2,
      sym_comment,
      sym_block_comment,
    STATE(10279), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10819), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10870), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11034), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6104), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6721), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [91731] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4842), 1,
      sym__alpha_identifier,
    ACTIONS(4844), 1,
      anon_sym_COLON,
    ACTIONS(4846), 1,
      anon_sym_LBRACE,
    ACTIONS(4848), 1,
      anon_sym__,
    ACTIONS(4852), 1,
      anon_sym_LBRACK,
    ACTIONS(4860), 1,
      sym__backquoted_id,
    ACTIONS(4864), 1,
      sym_integer_literal,
    ACTIONS(6148), 1,
      anon_sym_LPAREN,
    ACTIONS(6150), 1,
      sym_operator_identifier,
    STATE(4401), 1,
      sym__simple_type,
    STATE(4468), 1,
      sym__annotated_type,
    STATE(4511), 1,
      sym_identifier,
    STATE(4651), 1,
      sym__soft_identifier,
    STATE(6342), 1,
      sym_annotated_type,
    STATE(11850), 1,
      sym__infix_type_choice,
    STATE(11886), 1,
      sym_template_body,
    STATE(12148), 1,
      sym__non_null_literal,
    STATE(12193), 1,
      sym__type,
    STATE(15353), 1,
      sym_parameter_types,
    STATE(16656), 1,
      sym_stable_identifier,
    ACTIONS(4866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4870), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3091), 2,
      sym_comment,
      sym_block_comment,
    STATE(8158), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11935), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12136), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12143), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4854), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4909), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [91850] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4214), 1,
      anon_sym_COLON,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4234), 1,
      sym_integer_literal,
    ACTIONS(6098), 1,
      sym__alpha_identifier,
    ACTIONS(6100), 1,
      anon_sym__,
    ACTIONS(6102), 1,
      anon_sym_LBRACK,
    ACTIONS(6106), 1,
      anon_sym_LPAREN,
    ACTIONS(6108), 1,
      sym__backquoted_id,
    ACTIONS(6110), 1,
      sym_operator_identifier,
    STATE(5828), 1,
      sym__simple_type,
    STATE(5991), 1,
      sym__annotated_type,
    STATE(6096), 1,
      sym_identifier,
    STATE(6257), 1,
      sym__soft_identifier,
    STATE(9560), 1,
      sym_annotated_type,
    STATE(10416), 1,
      sym_template_body,
    STATE(10965), 1,
      sym__type,
    STATE(11029), 1,
      sym__non_null_literal,
    STATE(11776), 1,
      sym__infix_type_choice,
    STATE(15341), 1,
      sym_parameter_types,
    STATE(16025), 1,
      sym_stable_identifier,
    ACTIONS(4236), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4238), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4242), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3092), 2,
      sym_comment,
      sym_block_comment,
    STATE(10279), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10819), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10870), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11034), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6104), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6721), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [91969] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15074), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3093), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [92088] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14939), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3094), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [92207] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3095), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__interpolated_multiline_string_start,
    ACTIONS(4134), 7,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 9,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_DQUOTE,
    ACTIONS(4130), 29,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [92276] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4214), 1,
      anon_sym_COLON,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4234), 1,
      sym_integer_literal,
    ACTIONS(6152), 1,
      sym__alpha_identifier,
    ACTIONS(6154), 1,
      anon_sym__,
    ACTIONS(6156), 1,
      anon_sym_LBRACK,
    ACTIONS(6160), 1,
      anon_sym_LPAREN,
    ACTIONS(6162), 1,
      sym__backquoted_id,
    ACTIONS(6164), 1,
      sym_operator_identifier,
    STATE(4589), 1,
      sym__simple_type,
    STATE(4743), 1,
      sym_identifier,
    STATE(4922), 1,
      sym__soft_identifier,
    STATE(6753), 1,
      sym_annotated_type,
    STATE(6893), 1,
      sym__annotated_type,
    STATE(10416), 1,
      sym_template_body,
    STATE(10817), 1,
      sym__type,
    STATE(11029), 1,
      sym__non_null_literal,
    STATE(11805), 1,
      sym__infix_type_choice,
    STATE(15375), 1,
      sym_parameter_types,
    STATE(16004), 1,
      sym_stable_identifier,
    ACTIONS(4236), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4238), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4242), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3096), 2,
      sym_comment,
      sym_block_comment,
    STATE(8537), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10819), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10870), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11034), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6158), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5252), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [92395] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4214), 1,
      anon_sym_COLON,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4234), 1,
      sym_integer_literal,
    ACTIONS(6152), 1,
      sym__alpha_identifier,
    ACTIONS(6154), 1,
      anon_sym__,
    ACTIONS(6156), 1,
      anon_sym_LBRACK,
    ACTIONS(6160), 1,
      anon_sym_LPAREN,
    ACTIONS(6162), 1,
      sym__backquoted_id,
    ACTIONS(6164), 1,
      sym_operator_identifier,
    STATE(4589), 1,
      sym__simple_type,
    STATE(4743), 1,
      sym_identifier,
    STATE(4922), 1,
      sym__soft_identifier,
    STATE(6753), 1,
      sym_annotated_type,
    STATE(6893), 1,
      sym__annotated_type,
    STATE(10416), 1,
      sym_template_body,
    STATE(10989), 1,
      sym__type,
    STATE(11029), 1,
      sym__non_null_literal,
    STATE(11805), 1,
      sym__infix_type_choice,
    STATE(15375), 1,
      sym_parameter_types,
    STATE(16004), 1,
      sym_stable_identifier,
    ACTIONS(4236), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4238), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4242), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3097), 2,
      sym_comment,
      sym_block_comment,
    STATE(8537), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10819), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10870), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11034), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6158), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5252), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [92514] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4214), 1,
      anon_sym_COLON,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4234), 1,
      sym_integer_literal,
    ACTIONS(6152), 1,
      sym__alpha_identifier,
    ACTIONS(6154), 1,
      anon_sym__,
    ACTIONS(6156), 1,
      anon_sym_LBRACK,
    ACTIONS(6160), 1,
      anon_sym_LPAREN,
    ACTIONS(6162), 1,
      sym__backquoted_id,
    ACTIONS(6164), 1,
      sym_operator_identifier,
    STATE(4589), 1,
      sym__simple_type,
    STATE(4743), 1,
      sym_identifier,
    STATE(4922), 1,
      sym__soft_identifier,
    STATE(6753), 1,
      sym_annotated_type,
    STATE(6893), 1,
      sym__annotated_type,
    STATE(10416), 1,
      sym_template_body,
    STATE(10966), 1,
      sym__type,
    STATE(11029), 1,
      sym__non_null_literal,
    STATE(11805), 1,
      sym__infix_type_choice,
    STATE(15375), 1,
      sym_parameter_types,
    STATE(16004), 1,
      sym_stable_identifier,
    ACTIONS(4236), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4238), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4242), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3098), 2,
      sym_comment,
      sym_block_comment,
    STATE(8537), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10819), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10870), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11034), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6158), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5252), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [92633] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1030), 1,
      sym_integer_literal,
    ACTIONS(6166), 1,
      sym__alpha_identifier,
    ACTIONS(6168), 1,
      anon_sym_COLON,
    ACTIONS(6170), 1,
      anon_sym_LBRACE,
    ACTIONS(6172), 1,
      anon_sym__,
    ACTIONS(6174), 1,
      anon_sym_LBRACK,
    ACTIONS(6178), 1,
      anon_sym_LPAREN,
    ACTIONS(6180), 1,
      sym__backquoted_id,
    ACTIONS(6182), 1,
      sym_operator_identifier,
    STATE(4578), 1,
      sym__simple_type,
    STATE(4608), 1,
      sym__annotated_type,
    STATE(4760), 1,
      sym__soft_identifier,
    STATE(4957), 1,
      sym_identifier,
    STATE(7264), 1,
      sym_annotated_type,
    STATE(11886), 1,
      sym_template_body,
    STATE(12037), 1,
      sym__infix_type_choice,
    STATE(12148), 1,
      sym__non_null_literal,
    STATE(12395), 1,
      sym__type,
    STATE(15091), 1,
      sym_parameter_types,
    STATE(16764), 1,
      sym_stable_identifier,
    ACTIONS(1032), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1034), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1038), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3099), 2,
      sym_comment,
      sym_block_comment,
    STATE(7206), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7301), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8857), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12143), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6176), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5018), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [92752] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4214), 1,
      anon_sym_COLON,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4234), 1,
      sym_integer_literal,
    ACTIONS(6152), 1,
      sym__alpha_identifier,
    ACTIONS(6154), 1,
      anon_sym__,
    ACTIONS(6160), 1,
      anon_sym_LPAREN,
    ACTIONS(6162), 1,
      sym__backquoted_id,
    ACTIONS(6164), 1,
      sym_operator_identifier,
    ACTIONS(6184), 1,
      anon_sym_LBRACK,
    STATE(4506), 1,
      sym__annotated_type,
    STATE(4589), 1,
      sym__simple_type,
    STATE(4743), 1,
      sym_identifier,
    STATE(4922), 1,
      sym__soft_identifier,
    STATE(6753), 1,
      sym_annotated_type,
    STATE(10416), 1,
      sym_template_body,
    STATE(10964), 1,
      sym__type,
    STATE(11029), 1,
      sym__non_null_literal,
    STATE(11795), 1,
      sym__infix_type_choice,
    STATE(15307), 1,
      sym_parameter_types,
    STATE(16004), 1,
      sym_stable_identifier,
    ACTIONS(4236), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4238), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4242), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3100), 2,
      sym_comment,
      sym_block_comment,
    STATE(8537), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10819), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10870), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11034), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6158), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5252), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [92871] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15069), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3101), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [92990] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4214), 1,
      anon_sym_COLON,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4234), 1,
      sym_integer_literal,
    ACTIONS(6152), 1,
      sym__alpha_identifier,
    ACTIONS(6154), 1,
      anon_sym__,
    ACTIONS(6160), 1,
      anon_sym_LPAREN,
    ACTIONS(6162), 1,
      sym__backquoted_id,
    ACTIONS(6164), 1,
      sym_operator_identifier,
    ACTIONS(6184), 1,
      anon_sym_LBRACK,
    STATE(4506), 1,
      sym__annotated_type,
    STATE(4589), 1,
      sym__simple_type,
    STATE(4743), 1,
      sym_identifier,
    STATE(4922), 1,
      sym__soft_identifier,
    STATE(6753), 1,
      sym_annotated_type,
    STATE(10416), 1,
      sym_template_body,
    STATE(10965), 1,
      sym__type,
    STATE(11029), 1,
      sym__non_null_literal,
    STATE(11795), 1,
      sym__infix_type_choice,
    STATE(15307), 1,
      sym_parameter_types,
    STATE(16004), 1,
      sym_stable_identifier,
    ACTIONS(4236), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4238), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4242), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3102), 2,
      sym_comment,
      sym_block_comment,
    STATE(8537), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10819), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10870), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11034), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6158), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5252), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [93109] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4214), 1,
      anon_sym_COLON,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4234), 1,
      sym_integer_literal,
    ACTIONS(6152), 1,
      sym__alpha_identifier,
    ACTIONS(6154), 1,
      anon_sym__,
    ACTIONS(6160), 1,
      anon_sym_LPAREN,
    ACTIONS(6162), 1,
      sym__backquoted_id,
    ACTIONS(6164), 1,
      sym_operator_identifier,
    ACTIONS(6184), 1,
      anon_sym_LBRACK,
    STATE(4506), 1,
      sym__annotated_type,
    STATE(4589), 1,
      sym__simple_type,
    STATE(4743), 1,
      sym_identifier,
    STATE(4922), 1,
      sym__soft_identifier,
    STATE(6753), 1,
      sym_annotated_type,
    STATE(10416), 1,
      sym_template_body,
    STATE(10966), 1,
      sym__type,
    STATE(11029), 1,
      sym__non_null_literal,
    STATE(11795), 1,
      sym__infix_type_choice,
    STATE(15307), 1,
      sym_parameter_types,
    STATE(16004), 1,
      sym_stable_identifier,
    ACTIONS(4236), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4238), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4242), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3103), 2,
      sym_comment,
      sym_block_comment,
    STATE(8537), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10819), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10870), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11034), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6158), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5252), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [93228] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4214), 1,
      anon_sym_COLON,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4234), 1,
      sym_integer_literal,
    ACTIONS(6152), 1,
      sym__alpha_identifier,
    ACTIONS(6154), 1,
      anon_sym__,
    ACTIONS(6160), 1,
      anon_sym_LPAREN,
    ACTIONS(6162), 1,
      sym__backquoted_id,
    ACTIONS(6164), 1,
      sym_operator_identifier,
    ACTIONS(6184), 1,
      anon_sym_LBRACK,
    STATE(4506), 1,
      sym__annotated_type,
    STATE(4589), 1,
      sym__simple_type,
    STATE(4743), 1,
      sym_identifier,
    STATE(4922), 1,
      sym__soft_identifier,
    STATE(6753), 1,
      sym_annotated_type,
    STATE(10416), 1,
      sym_template_body,
    STATE(10989), 1,
      sym__type,
    STATE(11029), 1,
      sym__non_null_literal,
    STATE(11795), 1,
      sym__infix_type_choice,
    STATE(15307), 1,
      sym_parameter_types,
    STATE(16004), 1,
      sym_stable_identifier,
    ACTIONS(4236), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4238), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4242), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3104), 2,
      sym_comment,
      sym_block_comment,
    STATE(8537), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10819), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10870), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11034), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6158), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5252), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [93347] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4214), 1,
      anon_sym_COLON,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4234), 1,
      sym_integer_literal,
    ACTIONS(6152), 1,
      sym__alpha_identifier,
    ACTIONS(6154), 1,
      anon_sym__,
    ACTIONS(6156), 1,
      anon_sym_LBRACK,
    ACTIONS(6160), 1,
      anon_sym_LPAREN,
    ACTIONS(6162), 1,
      sym__backquoted_id,
    ACTIONS(6164), 1,
      sym_operator_identifier,
    STATE(4589), 1,
      sym__simple_type,
    STATE(4743), 1,
      sym_identifier,
    STATE(4922), 1,
      sym__soft_identifier,
    STATE(6753), 1,
      sym_annotated_type,
    STATE(6893), 1,
      sym__annotated_type,
    STATE(10416), 1,
      sym_template_body,
    STATE(10965), 1,
      sym__type,
    STATE(11029), 1,
      sym__non_null_literal,
    STATE(11805), 1,
      sym__infix_type_choice,
    STATE(15375), 1,
      sym_parameter_types,
    STATE(16004), 1,
      sym_stable_identifier,
    ACTIONS(4236), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4238), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4242), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3105), 2,
      sym_comment,
      sym_block_comment,
    STATE(8537), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10819), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10870), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11034), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6158), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5252), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [93466] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4214), 1,
      anon_sym_COLON,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4234), 1,
      sym_integer_literal,
    ACTIONS(6152), 1,
      sym__alpha_identifier,
    ACTIONS(6154), 1,
      anon_sym__,
    ACTIONS(6156), 1,
      anon_sym_LBRACK,
    ACTIONS(6160), 1,
      anon_sym_LPAREN,
    ACTIONS(6162), 1,
      sym__backquoted_id,
    ACTIONS(6164), 1,
      sym_operator_identifier,
    STATE(4589), 1,
      sym__simple_type,
    STATE(4743), 1,
      sym_identifier,
    STATE(4922), 1,
      sym__soft_identifier,
    STATE(6753), 1,
      sym_annotated_type,
    STATE(6893), 1,
      sym__annotated_type,
    STATE(10416), 1,
      sym_template_body,
    STATE(10964), 1,
      sym__type,
    STATE(11029), 1,
      sym__non_null_literal,
    STATE(11805), 1,
      sym__infix_type_choice,
    STATE(15375), 1,
      sym_parameter_types,
    STATE(16004), 1,
      sym_stable_identifier,
    ACTIONS(4236), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4238), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4242), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3106), 2,
      sym_comment,
      sym_block_comment,
    STATE(8537), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10819), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10870), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11034), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6158), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5252), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [93585] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1608), 1,
      sym_integer_literal,
    ACTIONS(6186), 1,
      sym__alpha_identifier,
    ACTIONS(6188), 1,
      anon_sym_COLON,
    ACTIONS(6190), 1,
      anon_sym_LBRACE,
    ACTIONS(6192), 1,
      anon_sym__,
    ACTIONS(6194), 1,
      anon_sym_LBRACK,
    ACTIONS(6198), 1,
      anon_sym_LPAREN,
    ACTIONS(6200), 1,
      sym__backquoted_id,
    ACTIONS(6202), 1,
      sym_operator_identifier,
    STATE(5473), 1,
      sym__annotated_type,
    STATE(5850), 1,
      sym__simple_type,
    STATE(6040), 1,
      sym__soft_identifier,
    STATE(6255), 1,
      sym_identifier,
    STATE(9065), 1,
      sym_annotated_type,
    STATE(12117), 1,
      sym__infix_type_choice,
    STATE(12963), 1,
      sym__non_null_literal,
    STATE(13087), 1,
      sym_template_body,
    STATE(13298), 1,
      sym__type,
    STATE(15093), 1,
      sym_parameter_types,
    STATE(16794), 1,
      sym_stable_identifier,
    ACTIONS(1610), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1612), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1616), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3107), 2,
      sym_comment,
      sym_block_comment,
    STATE(8928), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9104), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10055), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12960), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6196), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6740), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [93704] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14927), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3108), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [93823] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4214), 1,
      anon_sym_COLON,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4234), 1,
      sym_integer_literal,
    ACTIONS(6130), 1,
      sym__alpha_identifier,
    ACTIONS(6136), 1,
      anon_sym__,
    ACTIONS(6142), 1,
      anon_sym_LPAREN,
    ACTIONS(6144), 1,
      sym__backquoted_id,
    ACTIONS(6146), 1,
      sym_operator_identifier,
    ACTIONS(6204), 1,
      anon_sym_LBRACK,
    STATE(6664), 1,
      sym__simple_type,
    STATE(7617), 1,
      sym_identifier,
    STATE(7635), 1,
      sym__soft_identifier,
    STATE(7736), 1,
      sym__annotated_type,
    STATE(9838), 1,
      sym_annotated_type,
    STATE(10416), 1,
      sym_template_body,
    STATE(11029), 1,
      sym__non_null_literal,
    STATE(11876), 1,
      sym__infix_type_choice,
    STATE(13567), 1,
      sym__type,
    STATE(15270), 1,
      sym_parameter_types,
    STATE(15858), 1,
      sym_stable_identifier,
    ACTIONS(4236), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4238), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4242), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3109), 2,
      sym_comment,
      sym_block_comment,
    STATE(10309), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10819), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10870), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11034), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6140), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8290), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [93942] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6206), 1,
      sym__alpha_identifier,
    ACTIONS(6208), 1,
      anon_sym_COLON,
    ACTIONS(6210), 1,
      anon_sym_LBRACE,
    ACTIONS(6212), 1,
      anon_sym__,
    ACTIONS(6214), 1,
      anon_sym_LBRACK,
    ACTIONS(6218), 1,
      anon_sym_LPAREN,
    ACTIONS(6220), 1,
      sym__backquoted_id,
    ACTIONS(6222), 1,
      sym_operator_identifier,
    ACTIONS(6224), 1,
      sym_integer_literal,
    STATE(5019), 1,
      sym__simple_type,
    STATE(5445), 1,
      sym_identifier,
    STATE(5461), 1,
      sym__annotated_type,
    STATE(5909), 1,
      sym__soft_identifier,
    STATE(9003), 1,
      sym_annotated_type,
    STATE(10447), 1,
      sym__type,
    STATE(10511), 1,
      sym__non_null_literal,
    STATE(10555), 1,
      sym_template_body,
    STATE(11856), 1,
      sym__infix_type_choice,
    STATE(15134), 1,
      sym_parameter_types,
    STATE(16046), 1,
      sym_stable_identifier,
    ACTIONS(6226), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6228), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6230), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3110), 2,
      sym_comment,
      sym_block_comment,
    STATE(9817), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10362), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10508), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6216), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6453), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [94061] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14915), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3111), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [94180] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6206), 1,
      sym__alpha_identifier,
    ACTIONS(6208), 1,
      anon_sym_COLON,
    ACTIONS(6210), 1,
      anon_sym_LBRACE,
    ACTIONS(6212), 1,
      anon_sym__,
    ACTIONS(6214), 1,
      anon_sym_LBRACK,
    ACTIONS(6218), 1,
      anon_sym_LPAREN,
    ACTIONS(6220), 1,
      sym__backquoted_id,
    ACTIONS(6222), 1,
      sym_operator_identifier,
    ACTIONS(6224), 1,
      sym_integer_literal,
    STATE(5019), 1,
      sym__simple_type,
    STATE(5445), 1,
      sym_identifier,
    STATE(5461), 1,
      sym__annotated_type,
    STATE(5909), 1,
      sym__soft_identifier,
    STATE(9003), 1,
      sym_annotated_type,
    STATE(10418), 1,
      sym__type,
    STATE(10511), 1,
      sym__non_null_literal,
    STATE(10555), 1,
      sym_template_body,
    STATE(11856), 1,
      sym__infix_type_choice,
    STATE(15134), 1,
      sym_parameter_types,
    STATE(16046), 1,
      sym_stable_identifier,
    ACTIONS(6226), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6228), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6230), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3112), 2,
      sym_comment,
      sym_block_comment,
    STATE(9817), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10362), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10508), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6216), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6453), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [94299] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6206), 1,
      sym__alpha_identifier,
    ACTIONS(6208), 1,
      anon_sym_COLON,
    ACTIONS(6210), 1,
      anon_sym_LBRACE,
    ACTIONS(6212), 1,
      anon_sym__,
    ACTIONS(6214), 1,
      anon_sym_LBRACK,
    ACTIONS(6218), 1,
      anon_sym_LPAREN,
    ACTIONS(6220), 1,
      sym__backquoted_id,
    ACTIONS(6222), 1,
      sym_operator_identifier,
    ACTIONS(6224), 1,
      sym_integer_literal,
    STATE(5019), 1,
      sym__simple_type,
    STATE(5445), 1,
      sym_identifier,
    STATE(5461), 1,
      sym__annotated_type,
    STATE(5909), 1,
      sym__soft_identifier,
    STATE(9003), 1,
      sym_annotated_type,
    STATE(10413), 1,
      sym__type,
    STATE(10511), 1,
      sym__non_null_literal,
    STATE(10555), 1,
      sym_template_body,
    STATE(11856), 1,
      sym__infix_type_choice,
    STATE(15134), 1,
      sym_parameter_types,
    STATE(16046), 1,
      sym_stable_identifier,
    ACTIONS(6226), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6228), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6230), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3113), 2,
      sym_comment,
      sym_block_comment,
    STATE(9817), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10362), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10508), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6216), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6453), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [94418] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4214), 1,
      anon_sym_COLON,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4234), 1,
      sym_integer_literal,
    ACTIONS(6152), 1,
      sym__alpha_identifier,
    ACTIONS(6154), 1,
      anon_sym__,
    ACTIONS(6160), 1,
      anon_sym_LPAREN,
    ACTIONS(6162), 1,
      sym__backquoted_id,
    ACTIONS(6164), 1,
      sym_operator_identifier,
    ACTIONS(6184), 1,
      anon_sym_LBRACK,
    STATE(4506), 1,
      sym__annotated_type,
    STATE(4589), 1,
      sym__simple_type,
    STATE(4743), 1,
      sym_identifier,
    STATE(4922), 1,
      sym__soft_identifier,
    STATE(6753), 1,
      sym_annotated_type,
    STATE(10416), 1,
      sym_template_body,
    STATE(10817), 1,
      sym__type,
    STATE(11029), 1,
      sym__non_null_literal,
    STATE(11795), 1,
      sym__infix_type_choice,
    STATE(15307), 1,
      sym_parameter_types,
    STATE(16004), 1,
      sym_stable_identifier,
    ACTIONS(4236), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4238), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4242), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3114), 2,
      sym_comment,
      sym_block_comment,
    STATE(8537), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10819), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10870), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11034), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6158), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5252), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [94537] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6206), 1,
      sym__alpha_identifier,
    ACTIONS(6208), 1,
      anon_sym_COLON,
    ACTIONS(6210), 1,
      anon_sym_LBRACE,
    ACTIONS(6212), 1,
      anon_sym__,
    ACTIONS(6214), 1,
      anon_sym_LBRACK,
    ACTIONS(6218), 1,
      anon_sym_LPAREN,
    ACTIONS(6220), 1,
      sym__backquoted_id,
    ACTIONS(6222), 1,
      sym_operator_identifier,
    ACTIONS(6224), 1,
      sym_integer_literal,
    STATE(5019), 1,
      sym__simple_type,
    STATE(5445), 1,
      sym_identifier,
    STATE(5461), 1,
      sym__annotated_type,
    STATE(5909), 1,
      sym__soft_identifier,
    STATE(9003), 1,
      sym_annotated_type,
    STATE(10412), 1,
      sym__type,
    STATE(10511), 1,
      sym__non_null_literal,
    STATE(10555), 1,
      sym_template_body,
    STATE(11856), 1,
      sym__infix_type_choice,
    STATE(15134), 1,
      sym_parameter_types,
    STATE(16046), 1,
      sym_stable_identifier,
    ACTIONS(6226), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6228), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6230), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3115), 2,
      sym_comment,
      sym_block_comment,
    STATE(9817), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10362), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10508), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6216), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6453), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [94656] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14931), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3116), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [94775] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6206), 1,
      sym__alpha_identifier,
    ACTIONS(6208), 1,
      anon_sym_COLON,
    ACTIONS(6210), 1,
      anon_sym_LBRACE,
    ACTIONS(6212), 1,
      anon_sym__,
    ACTIONS(6214), 1,
      anon_sym_LBRACK,
    ACTIONS(6218), 1,
      anon_sym_LPAREN,
    ACTIONS(6220), 1,
      sym__backquoted_id,
    ACTIONS(6222), 1,
      sym_operator_identifier,
    ACTIONS(6224), 1,
      sym_integer_literal,
    STATE(5019), 1,
      sym__simple_type,
    STATE(5445), 1,
      sym_identifier,
    STATE(5461), 1,
      sym__annotated_type,
    STATE(5909), 1,
      sym__soft_identifier,
    STATE(9003), 1,
      sym_annotated_type,
    STATE(10407), 1,
      sym__type,
    STATE(10511), 1,
      sym__non_null_literal,
    STATE(10555), 1,
      sym_template_body,
    STATE(11856), 1,
      sym__infix_type_choice,
    STATE(15134), 1,
      sym_parameter_types,
    STATE(16046), 1,
      sym_stable_identifier,
    ACTIONS(6226), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6228), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6230), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3117), 2,
      sym_comment,
      sym_block_comment,
    STATE(9817), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10362), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10508), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6216), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6453), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [94894] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1138), 1,
      sym_integer_literal,
    ACTIONS(6232), 1,
      sym__alpha_identifier,
    ACTIONS(6234), 1,
      anon_sym_COLON,
    ACTIONS(6236), 1,
      anon_sym_LBRACE,
    ACTIONS(6238), 1,
      anon_sym__,
    ACTIONS(6240), 1,
      anon_sym_LBRACK,
    ACTIONS(6244), 1,
      anon_sym_LPAREN,
    ACTIONS(6246), 1,
      sym__backquoted_id,
    ACTIONS(6248), 1,
      sym_operator_identifier,
    STATE(4784), 1,
      sym__annotated_type,
    STATE(4955), 1,
      sym__simple_type,
    STATE(5086), 1,
      sym_identifier,
    STATE(5254), 1,
      sym__soft_identifier,
    STATE(7531), 1,
      sym_annotated_type,
    STATE(12138), 1,
      sym__infix_type_choice,
    STATE(12271), 1,
      sym_template_body,
    STATE(12623), 1,
      sym__non_null_literal,
    STATE(12694), 1,
      sym__type,
    STATE(15094), 1,
      sym_parameter_types,
    STATE(16842), 1,
      sym_stable_identifier,
    ACTIONS(1140), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1142), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1146), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3118), 2,
      sym_comment,
      sym_block_comment,
    STATE(7501), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7707), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9471), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12239), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6242), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5895), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [95013] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4842), 1,
      sym__alpha_identifier,
    ACTIONS(4844), 1,
      anon_sym_COLON,
    ACTIONS(4846), 1,
      anon_sym_LBRACE,
    ACTIONS(4848), 1,
      anon_sym__,
    ACTIONS(4852), 1,
      anon_sym_LBRACK,
    ACTIONS(4860), 1,
      sym__backquoted_id,
    ACTIONS(4864), 1,
      sym_integer_literal,
    ACTIONS(6148), 1,
      anon_sym_LPAREN,
    ACTIONS(6150), 1,
      sym_operator_identifier,
    STATE(4401), 1,
      sym__simple_type,
    STATE(4468), 1,
      sym__annotated_type,
    STATE(4511), 1,
      sym_identifier,
    STATE(4651), 1,
      sym__soft_identifier,
    STATE(6342), 1,
      sym_annotated_type,
    STATE(11850), 1,
      sym__infix_type_choice,
    STATE(11886), 1,
      sym_template_body,
    STATE(12148), 1,
      sym__non_null_literal,
    STATE(12222), 1,
      sym__type,
    STATE(15353), 1,
      sym_parameter_types,
    STATE(16656), 1,
      sym_stable_identifier,
    ACTIONS(4866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4870), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3119), 2,
      sym_comment,
      sym_block_comment,
    STATE(8158), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11935), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12136), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12143), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4854), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4909), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [95132] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15014), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3120), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [95251] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14911), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3121), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [95370] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4842), 1,
      sym__alpha_identifier,
    ACTIONS(4844), 1,
      anon_sym_COLON,
    ACTIONS(4846), 1,
      anon_sym_LBRACE,
    ACTIONS(4848), 1,
      anon_sym__,
    ACTIONS(4852), 1,
      anon_sym_LBRACK,
    ACTIONS(4860), 1,
      sym__backquoted_id,
    ACTIONS(4864), 1,
      sym_integer_literal,
    ACTIONS(6148), 1,
      anon_sym_LPAREN,
    ACTIONS(6150), 1,
      sym_operator_identifier,
    STATE(4401), 1,
      sym__simple_type,
    STATE(4468), 1,
      sym__annotated_type,
    STATE(4511), 1,
      sym_identifier,
    STATE(4651), 1,
      sym__soft_identifier,
    STATE(6342), 1,
      sym_annotated_type,
    STATE(11850), 1,
      sym__infix_type_choice,
    STATE(11886), 1,
      sym_template_body,
    STATE(12148), 1,
      sym__non_null_literal,
    STATE(12194), 1,
      sym__type,
    STATE(15353), 1,
      sym_parameter_types,
    STATE(16656), 1,
      sym_stable_identifier,
    ACTIONS(4866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4870), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3122), 2,
      sym_comment,
      sym_block_comment,
    STATE(8158), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11935), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12136), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12143), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4854), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4909), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [95489] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(6250), 1,
      anon_sym_COLON,
    ACTIONS(6252), 1,
      anon_sym_LBRACE,
    ACTIONS(6254), 1,
      anon_sym_LBRACK,
    ACTIONS(6256), 1,
      sym_integer_literal,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(9775), 1,
      sym__annotated_type,
    STATE(11895), 1,
      sym__infix_type_choice,
    STATE(15164), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    STATE(17505), 1,
      sym_template_body,
    STATE(17508), 1,
      sym__non_null_literal,
    STATE(17511), 1,
      sym__type,
    ACTIONS(6258), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6260), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6262), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3123), 2,
      sym_comment,
      sym_block_comment,
    STATE(11972), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(17483), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(17494), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17507), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [95608] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15000), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3124), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [95727] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(6250), 1,
      anon_sym_COLON,
    ACTIONS(6252), 1,
      anon_sym_LBRACE,
    ACTIONS(6254), 1,
      anon_sym_LBRACK,
    ACTIONS(6256), 1,
      sym_integer_literal,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(9775), 1,
      sym__annotated_type,
    STATE(11895), 1,
      sym__infix_type_choice,
    STATE(15164), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    STATE(17101), 1,
      sym__type,
    STATE(17505), 1,
      sym_template_body,
    STATE(17508), 1,
      sym__non_null_literal,
    ACTIONS(6258), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6260), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6262), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3125), 2,
      sym_comment,
      sym_block_comment,
    STATE(11972), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(17483), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(17494), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17507), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [95846] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(6250), 1,
      anon_sym_COLON,
    ACTIONS(6252), 1,
      anon_sym_LBRACE,
    ACTIONS(6254), 1,
      anon_sym_LBRACK,
    ACTIONS(6256), 1,
      sym_integer_literal,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(9775), 1,
      sym__annotated_type,
    STATE(11895), 1,
      sym__infix_type_choice,
    STATE(15164), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    STATE(16862), 1,
      sym__type,
    STATE(17505), 1,
      sym_template_body,
    STATE(17508), 1,
      sym__non_null_literal,
    ACTIONS(6258), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6260), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6262), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3126), 2,
      sym_comment,
      sym_block_comment,
    STATE(11972), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(17483), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(17494), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17507), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [95965] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4842), 1,
      sym__alpha_identifier,
    ACTIONS(4844), 1,
      anon_sym_COLON,
    ACTIONS(4846), 1,
      anon_sym_LBRACE,
    ACTIONS(4848), 1,
      anon_sym__,
    ACTIONS(4852), 1,
      anon_sym_LBRACK,
    ACTIONS(4860), 1,
      sym__backquoted_id,
    ACTIONS(4864), 1,
      sym_integer_literal,
    ACTIONS(6148), 1,
      anon_sym_LPAREN,
    ACTIONS(6150), 1,
      sym_operator_identifier,
    STATE(4401), 1,
      sym__simple_type,
    STATE(4468), 1,
      sym__annotated_type,
    STATE(4511), 1,
      sym_identifier,
    STATE(4651), 1,
      sym__soft_identifier,
    STATE(6342), 1,
      sym_annotated_type,
    STATE(11850), 1,
      sym__infix_type_choice,
    STATE(11886), 1,
      sym_template_body,
    STATE(12148), 1,
      sym__non_null_literal,
    STATE(12201), 1,
      sym__type,
    STATE(15353), 1,
      sym_parameter_types,
    STATE(16656), 1,
      sym_stable_identifier,
    ACTIONS(4866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4870), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3127), 2,
      sym_comment,
      sym_block_comment,
    STATE(8158), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11935), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12136), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12143), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4854), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4909), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [96084] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(6250), 1,
      anon_sym_COLON,
    ACTIONS(6252), 1,
      anon_sym_LBRACE,
    ACTIONS(6254), 1,
      anon_sym_LBRACK,
    ACTIONS(6256), 1,
      sym_integer_literal,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(9775), 1,
      sym__annotated_type,
    STATE(11895), 1,
      sym__infix_type_choice,
    STATE(15164), 1,
      sym_parameter_types,
    STATE(16213), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    STATE(17505), 1,
      sym_template_body,
    STATE(17508), 1,
      sym__non_null_literal,
    ACTIONS(6258), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6260), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6262), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3128), 2,
      sym_comment,
      sym_block_comment,
    STATE(11972), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(17483), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(17494), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17507), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [96203] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(6250), 1,
      anon_sym_COLON,
    ACTIONS(6252), 1,
      anon_sym_LBRACE,
    ACTIONS(6254), 1,
      anon_sym_LBRACK,
    ACTIONS(6256), 1,
      sym_integer_literal,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(9775), 1,
      sym__annotated_type,
    STATE(11895), 1,
      sym__infix_type_choice,
    STATE(15164), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    STATE(17505), 1,
      sym_template_body,
    STATE(17506), 1,
      sym__type,
    STATE(17508), 1,
      sym__non_null_literal,
    ACTIONS(6258), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6260), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6262), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3129), 2,
      sym_comment,
      sym_block_comment,
    STATE(11972), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(17483), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(17494), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17507), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [96322] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1700), 1,
      sym_integer_literal,
    ACTIONS(6264), 1,
      sym__alpha_identifier,
    ACTIONS(6266), 1,
      anon_sym_COLON,
    ACTIONS(6268), 1,
      anon_sym_LBRACE,
    ACTIONS(6270), 1,
      anon_sym__,
    ACTIONS(6272), 1,
      anon_sym_LBRACK,
    ACTIONS(6276), 1,
      anon_sym_LPAREN,
    ACTIONS(6278), 1,
      sym__backquoted_id,
    ACTIONS(6280), 1,
      sym_operator_identifier,
    STATE(5564), 1,
      sym__annotated_type,
    STATE(5731), 1,
      sym__simple_type,
    STATE(6002), 1,
      sym__soft_identifier,
    STATE(6112), 1,
      sym_identifier,
    STATE(8743), 1,
      sym_annotated_type,
    STATE(12113), 1,
      sym__infix_type_choice,
    STATE(13007), 1,
      sym__non_null_literal,
    STATE(13099), 1,
      sym_template_body,
    STATE(13323), 1,
      sym__type,
    STATE(15095), 1,
      sym_parameter_types,
    STATE(16854), 1,
      sym_stable_identifier,
    ACTIONS(1702), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1704), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1708), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3130), 2,
      sym_comment,
      sym_block_comment,
    STATE(8798), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9060), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10160), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13012), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6274), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6976), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [96441] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14966), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3131), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [96560] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15898), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3132), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [96679] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14849), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3133), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [96798] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14935), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3134), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [96917] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(6282), 1,
      anon_sym_LBRACK,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(9039), 1,
      sym__annotated_type,
    STATE(11544), 1,
      sym__type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11942), 1,
      sym__infix_type_choice,
    STATE(15171), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3135), 2,
      sym_comment,
      sym_block_comment,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [97036] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2110), 1,
      sym_integer_literal,
    ACTIONS(6082), 1,
      anon_sym_COLON,
    ACTIONS(6084), 1,
      anon_sym_LBRACE,
    ACTIONS(6284), 1,
      sym__alpha_identifier,
    ACTIONS(6286), 1,
      anon_sym__,
    ACTIONS(6288), 1,
      anon_sym_LBRACK,
    ACTIONS(6292), 1,
      anon_sym_LPAREN,
    ACTIONS(6294), 1,
      sym__backquoted_id,
    ACTIONS(6296), 1,
      sym_operator_identifier,
    STATE(4569), 1,
      sym__simple_type,
    STATE(4636), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__soft_identifier,
    STATE(4948), 1,
      sym_identifier,
    STATE(7123), 1,
      sym_annotated_type,
    STATE(11545), 1,
      sym_template_body,
    STATE(11584), 1,
      sym__non_null_literal,
    STATE(11796), 1,
      sym__type,
    STATE(12010), 1,
      sym__infix_type_choice,
    STATE(15227), 1,
      sym_parameter_types,
    STATE(16752), 1,
      sym_stable_identifier,
    ACTIONS(2112), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(2114), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(2118), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3136), 2,
      sym_comment,
      sym_block_comment,
    STATE(6076), 2,
      sym_boolean_literal,
      sym_string,
    STATE(6133), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8742), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11582), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6290), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5000), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [97155] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4404), 1,
      anon_sym_COLON,
    ACTIONS(4406), 1,
      anon_sym_LBRACE,
    ACTIONS(4424), 1,
      sym_integer_literal,
    ACTIONS(4502), 1,
      sym__alpha_identifier,
    ACTIONS(4504), 1,
      anon_sym__,
    ACTIONS(4508), 1,
      anon_sym_LBRACK,
    ACTIONS(4514), 1,
      sym__backquoted_id,
    ACTIONS(6298), 1,
      anon_sym_LPAREN,
    ACTIONS(6300), 1,
      sym_operator_identifier,
    STATE(4377), 1,
      sym__simple_type,
    STATE(4383), 1,
      sym__annotated_type,
    STATE(4404), 1,
      sym_identifier,
    STATE(4419), 1,
      sym__soft_identifier,
    STATE(5923), 1,
      sym_annotated_type,
    STATE(11168), 1,
      sym__type,
    STATE(11322), 1,
      sym_template_body,
    STATE(11323), 1,
      sym__non_null_literal,
    STATE(11812), 1,
      sym__infix_type_choice,
    STATE(15083), 1,
      sym_parameter_types,
    STATE(15983), 1,
      sym_stable_identifier,
    ACTIONS(4426), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4428), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4430), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3137), 2,
      sym_comment,
      sym_block_comment,
    STATE(7642), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11237), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11347), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11319), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4510), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4621), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [97274] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4404), 1,
      anon_sym_COLON,
    ACTIONS(4406), 1,
      anon_sym_LBRACE,
    ACTIONS(4424), 1,
      sym_integer_literal,
    ACTIONS(4502), 1,
      sym__alpha_identifier,
    ACTIONS(4504), 1,
      anon_sym__,
    ACTIONS(4508), 1,
      anon_sym_LBRACK,
    ACTIONS(4514), 1,
      sym__backquoted_id,
    ACTIONS(6298), 1,
      anon_sym_LPAREN,
    ACTIONS(6300), 1,
      sym_operator_identifier,
    STATE(4377), 1,
      sym__simple_type,
    STATE(4383), 1,
      sym__annotated_type,
    STATE(4404), 1,
      sym_identifier,
    STATE(4419), 1,
      sym__soft_identifier,
    STATE(5923), 1,
      sym_annotated_type,
    STATE(11154), 1,
      sym__type,
    STATE(11322), 1,
      sym_template_body,
    STATE(11323), 1,
      sym__non_null_literal,
    STATE(11812), 1,
      sym__infix_type_choice,
    STATE(15083), 1,
      sym_parameter_types,
    STATE(15983), 1,
      sym_stable_identifier,
    ACTIONS(4426), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4428), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4430), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3138), 2,
      sym_comment,
      sym_block_comment,
    STATE(7642), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11237), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11347), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11319), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4510), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4621), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [97393] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4404), 1,
      anon_sym_COLON,
    ACTIONS(4406), 1,
      anon_sym_LBRACE,
    ACTIONS(4424), 1,
      sym_integer_literal,
    ACTIONS(4502), 1,
      sym__alpha_identifier,
    ACTIONS(4504), 1,
      anon_sym__,
    ACTIONS(4508), 1,
      anon_sym_LBRACK,
    ACTIONS(4514), 1,
      sym__backquoted_id,
    ACTIONS(6298), 1,
      anon_sym_LPAREN,
    ACTIONS(6300), 1,
      sym_operator_identifier,
    STATE(4377), 1,
      sym__simple_type,
    STATE(4383), 1,
      sym__annotated_type,
    STATE(4404), 1,
      sym_identifier,
    STATE(4419), 1,
      sym__soft_identifier,
    STATE(5923), 1,
      sym_annotated_type,
    STATE(11197), 1,
      sym__type,
    STATE(11322), 1,
      sym_template_body,
    STATE(11323), 1,
      sym__non_null_literal,
    STATE(11812), 1,
      sym__infix_type_choice,
    STATE(15083), 1,
      sym_parameter_types,
    STATE(15983), 1,
      sym_stable_identifier,
    ACTIONS(4426), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4428), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4430), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3139), 2,
      sym_comment,
      sym_block_comment,
    STATE(7642), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11237), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11347), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11319), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4510), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4621), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [97512] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4404), 1,
      anon_sym_COLON,
    ACTIONS(4406), 1,
      anon_sym_LBRACE,
    ACTIONS(4424), 1,
      sym_integer_literal,
    ACTIONS(4502), 1,
      sym__alpha_identifier,
    ACTIONS(4504), 1,
      anon_sym__,
    ACTIONS(4508), 1,
      anon_sym_LBRACK,
    ACTIONS(4514), 1,
      sym__backquoted_id,
    ACTIONS(6298), 1,
      anon_sym_LPAREN,
    ACTIONS(6300), 1,
      sym_operator_identifier,
    STATE(4377), 1,
      sym__simple_type,
    STATE(4383), 1,
      sym__annotated_type,
    STATE(4404), 1,
      sym_identifier,
    STATE(4419), 1,
      sym__soft_identifier,
    STATE(5923), 1,
      sym_annotated_type,
    STATE(11141), 1,
      sym__type,
    STATE(11322), 1,
      sym_template_body,
    STATE(11323), 1,
      sym__non_null_literal,
    STATE(11812), 1,
      sym__infix_type_choice,
    STATE(15083), 1,
      sym_parameter_types,
    STATE(15983), 1,
      sym_stable_identifier,
    ACTIONS(4426), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4428), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4430), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3140), 2,
      sym_comment,
      sym_block_comment,
    STATE(7642), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11237), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11347), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11319), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4510), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4621), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [97631] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4624), 1,
      sym__alpha_identifier,
    ACTIONS(4626), 1,
      anon_sym_COLON,
    ACTIONS(4628), 1,
      anon_sym_LBRACE,
    ACTIONS(4630), 1,
      anon_sym__,
    ACTIONS(4634), 1,
      anon_sym_LBRACK,
    ACTIONS(4642), 1,
      sym__backquoted_id,
    ACTIONS(4646), 1,
      sym_integer_literal,
    ACTIONS(6302), 1,
      anon_sym_LPAREN,
    ACTIONS(6304), 1,
      sym_operator_identifier,
    STATE(4819), 1,
      sym__annotated_type,
    STATE(4940), 1,
      sym__simple_type,
    STATE(5196), 1,
      sym_identifier,
    STATE(5260), 1,
      sym__soft_identifier,
    STATE(7492), 1,
      sym_annotated_type,
    STATE(11968), 1,
      sym__infix_type_choice,
    STATE(12698), 1,
      sym__non_null_literal,
    STATE(12725), 1,
      sym_template_body,
    STATE(12770), 1,
      sym__type,
    STATE(14853), 1,
      sym_parameter_types,
    STATE(16896), 1,
      sym_stable_identifier,
    ACTIONS(4648), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4650), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4652), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3141), 2,
      sym_comment,
      sym_block_comment,
    STATE(9588), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12849), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12928), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12876), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4636), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5732), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [97750] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14648), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3142), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [97869] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14943), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3143), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [97988] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14947), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3144), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [98107] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(6282), 1,
      anon_sym_LBRACK,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(9039), 1,
      sym__annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11713), 1,
      sym__type,
    STATE(11758), 1,
      sym_template_body,
    STATE(11942), 1,
      sym__infix_type_choice,
    STATE(15171), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3145), 2,
      sym_comment,
      sym_block_comment,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [98226] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(6282), 1,
      anon_sym_LBRACK,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(9039), 1,
      sym__annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11761), 1,
      sym__type,
    STATE(11942), 1,
      sym__infix_type_choice,
    STATE(15171), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3146), 2,
      sym_comment,
      sym_block_comment,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [98345] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(6282), 1,
      anon_sym_LBRACK,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(9039), 1,
      sym__annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11759), 1,
      sym__type,
    STATE(11942), 1,
      sym__infix_type_choice,
    STATE(15171), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3147), 2,
      sym_comment,
      sym_block_comment,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [98464] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4404), 1,
      anon_sym_COLON,
    ACTIONS(4406), 1,
      anon_sym_LBRACE,
    ACTIONS(4424), 1,
      sym_integer_literal,
    ACTIONS(4502), 1,
      sym__alpha_identifier,
    ACTIONS(4504), 1,
      anon_sym__,
    ACTIONS(4508), 1,
      anon_sym_LBRACK,
    ACTIONS(4514), 1,
      sym__backquoted_id,
    ACTIONS(6298), 1,
      anon_sym_LPAREN,
    ACTIONS(6300), 1,
      sym_operator_identifier,
    STATE(4377), 1,
      sym__simple_type,
    STATE(4383), 1,
      sym__annotated_type,
    STATE(4404), 1,
      sym_identifier,
    STATE(4419), 1,
      sym__soft_identifier,
    STATE(5923), 1,
      sym_annotated_type,
    STATE(11123), 1,
      sym__type,
    STATE(11322), 1,
      sym_template_body,
    STATE(11323), 1,
      sym__non_null_literal,
    STATE(11812), 1,
      sym__infix_type_choice,
    STATE(15083), 1,
      sym_parameter_types,
    STATE(15983), 1,
      sym_stable_identifier,
    ACTIONS(4426), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4428), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4430), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3148), 2,
      sym_comment,
      sym_block_comment,
    STATE(7642), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11237), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11347), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11319), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4510), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4621), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [98583] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15841), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3149), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [98702] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(6282), 1,
      anon_sym_LBRACK,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(9039), 1,
      sym__annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11756), 1,
      sym__type,
    STATE(11758), 1,
      sym_template_body,
    STATE(11942), 1,
      sym__infix_type_choice,
    STATE(15171), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3150), 2,
      sym_comment,
      sym_block_comment,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [98821] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14518), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3151), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [98940] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1470), 1,
      sym_integer_literal,
    ACTIONS(6306), 1,
      sym__alpha_identifier,
    ACTIONS(6308), 1,
      anon_sym_COLON,
    ACTIONS(6310), 1,
      anon_sym_LBRACE,
    ACTIONS(6312), 1,
      anon_sym__,
    ACTIONS(6314), 1,
      anon_sym_LBRACK,
    ACTIONS(6318), 1,
      anon_sym_LPAREN,
    ACTIONS(6320), 1,
      sym__backquoted_id,
    ACTIONS(6322), 1,
      sym_operator_identifier,
    STATE(6427), 1,
      sym__annotated_type,
    STATE(6449), 1,
      sym__simple_type,
    STATE(7277), 1,
      sym_identifier,
    STATE(7350), 1,
      sym__soft_identifier,
    STATE(9263), 1,
      sym_annotated_type,
    STATE(11037), 1,
      sym_template_body,
    STATE(11210), 1,
      sym__non_null_literal,
    STATE(11578), 1,
      sym__type,
    STATE(12025), 1,
      sym__infix_type_choice,
    STATE(15177), 1,
      sym_parameter_types,
    STATE(16866), 1,
      sym_stable_identifier,
    ACTIONS(1472), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1474), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1478), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3152), 2,
      sym_comment,
      sym_block_comment,
    STATE(5691), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(5971), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10319), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11213), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6316), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7958), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [99059] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1304), 1,
      sym_integer_literal,
    ACTIONS(6324), 1,
      sym__alpha_identifier,
    ACTIONS(6326), 1,
      anon_sym_COLON,
    ACTIONS(6328), 1,
      anon_sym_LBRACE,
    ACTIONS(6330), 1,
      anon_sym__,
    ACTIONS(6332), 1,
      anon_sym_LBRACK,
    ACTIONS(6336), 1,
      anon_sym_LPAREN,
    ACTIONS(6338), 1,
      sym__backquoted_id,
    ACTIONS(6340), 1,
      sym_operator_identifier,
    STATE(5038), 1,
      sym__simple_type,
    STATE(5160), 1,
      sym__annotated_type,
    STATE(5394), 1,
      sym__soft_identifier,
    STATE(5729), 1,
      sym_identifier,
    STATE(8556), 1,
      sym_annotated_type,
    STATE(11959), 1,
      sym__infix_type_choice,
    STATE(12698), 1,
      sym__non_null_literal,
    STATE(12725), 1,
      sym_template_body,
    STATE(12770), 1,
      sym__type,
    STATE(15098), 1,
      sym_parameter_types,
    STATE(16902), 1,
      sym_stable_identifier,
    ACTIONS(1306), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1308), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1312), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3153), 2,
      sym_comment,
      sym_block_comment,
    STATE(8242), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8470), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9641), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12876), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6334), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6655), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [99178] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8150), 1,
      sym__type,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3154), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [99297] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1304), 1,
      sym_integer_literal,
    ACTIONS(6324), 1,
      sym__alpha_identifier,
    ACTIONS(6326), 1,
      anon_sym_COLON,
    ACTIONS(6328), 1,
      anon_sym_LBRACE,
    ACTIONS(6330), 1,
      anon_sym__,
    ACTIONS(6332), 1,
      anon_sym_LBRACK,
    ACTIONS(6336), 1,
      anon_sym_LPAREN,
    ACTIONS(6338), 1,
      sym__backquoted_id,
    ACTIONS(6340), 1,
      sym_operator_identifier,
    STATE(5038), 1,
      sym__simple_type,
    STATE(5160), 1,
      sym__annotated_type,
    STATE(5394), 1,
      sym__soft_identifier,
    STATE(5729), 1,
      sym_identifier,
    STATE(8556), 1,
      sym_annotated_type,
    STATE(11959), 1,
      sym__infix_type_choice,
    STATE(12698), 1,
      sym__non_null_literal,
    STATE(12725), 1,
      sym_template_body,
    STATE(12781), 1,
      sym__type,
    STATE(15098), 1,
      sym_parameter_types,
    STATE(16902), 1,
      sym_stable_identifier,
    ACTIONS(1306), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1308), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1312), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3155), 2,
      sym_comment,
      sym_block_comment,
    STATE(8242), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8470), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9641), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12876), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6334), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6655), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [99416] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1304), 1,
      sym_integer_literal,
    ACTIONS(6324), 1,
      sym__alpha_identifier,
    ACTIONS(6326), 1,
      anon_sym_COLON,
    ACTIONS(6328), 1,
      anon_sym_LBRACE,
    ACTIONS(6330), 1,
      anon_sym__,
    ACTIONS(6332), 1,
      anon_sym_LBRACK,
    ACTIONS(6336), 1,
      anon_sym_LPAREN,
    ACTIONS(6338), 1,
      sym__backquoted_id,
    ACTIONS(6340), 1,
      sym_operator_identifier,
    STATE(5038), 1,
      sym__simple_type,
    STATE(5160), 1,
      sym__annotated_type,
    STATE(5394), 1,
      sym__soft_identifier,
    STATE(5729), 1,
      sym_identifier,
    STATE(8556), 1,
      sym_annotated_type,
    STATE(11959), 1,
      sym__infix_type_choice,
    STATE(12698), 1,
      sym__non_null_literal,
    STATE(12725), 1,
      sym_template_body,
    STATE(12807), 1,
      sym__type,
    STATE(15098), 1,
      sym_parameter_types,
    STATE(16902), 1,
      sym_stable_identifier,
    ACTIONS(1306), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1308), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1312), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3156), 2,
      sym_comment,
      sym_block_comment,
    STATE(8242), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8470), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9641), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12876), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6334), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6655), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [99535] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6342), 1,
      sym__alpha_identifier,
    ACTIONS(6344), 1,
      anon_sym_COLON,
    ACTIONS(6346), 1,
      anon_sym_LBRACE,
    ACTIONS(6348), 1,
      anon_sym__,
    ACTIONS(6350), 1,
      anon_sym_LBRACK,
    ACTIONS(6354), 1,
      anon_sym_LPAREN,
    ACTIONS(6356), 1,
      sym__backquoted_id,
    ACTIONS(6358), 1,
      sym_operator_identifier,
    ACTIONS(6360), 1,
      sym_integer_literal,
    STATE(8215), 1,
      sym__simple_type,
    STATE(8849), 1,
      sym_identifier,
    STATE(8992), 1,
      sym__soft_identifier,
    STATE(9022), 1,
      sym__annotated_type,
    STATE(10507), 1,
      sym_annotated_type,
    STATE(12200), 1,
      sym__infix_type_choice,
    STATE(14369), 1,
      sym_parameter_types,
    STATE(15743), 1,
      sym__type,
    STATE(15761), 1,
      sym__non_null_literal,
    STATE(15780), 1,
      sym_template_body,
    STATE(16824), 1,
      sym_stable_identifier,
    ACTIONS(6362), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6364), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6366), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3157), 2,
      sym_comment,
      sym_block_comment,
    STATE(11052), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11308), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(15779), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15764), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6352), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9542), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [99654] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1304), 1,
      sym_integer_literal,
    ACTIONS(6324), 1,
      sym__alpha_identifier,
    ACTIONS(6326), 1,
      anon_sym_COLON,
    ACTIONS(6328), 1,
      anon_sym_LBRACE,
    ACTIONS(6330), 1,
      anon_sym__,
    ACTIONS(6332), 1,
      anon_sym_LBRACK,
    ACTIONS(6336), 1,
      anon_sym_LPAREN,
    ACTIONS(6338), 1,
      sym__backquoted_id,
    ACTIONS(6340), 1,
      sym_operator_identifier,
    STATE(5038), 1,
      sym__simple_type,
    STATE(5160), 1,
      sym__annotated_type,
    STATE(5394), 1,
      sym__soft_identifier,
    STATE(5729), 1,
      sym_identifier,
    STATE(8556), 1,
      sym_annotated_type,
    STATE(11959), 1,
      sym__infix_type_choice,
    STATE(12698), 1,
      sym__non_null_literal,
    STATE(12725), 1,
      sym_template_body,
    STATE(12858), 1,
      sym__type,
    STATE(15098), 1,
      sym_parameter_types,
    STATE(16902), 1,
      sym_stable_identifier,
    ACTIONS(1306), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1308), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1312), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3158), 2,
      sym_comment,
      sym_block_comment,
    STATE(8242), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8470), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9641), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12876), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6334), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6655), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [99773] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1304), 1,
      sym_integer_literal,
    ACTIONS(6324), 1,
      sym__alpha_identifier,
    ACTIONS(6326), 1,
      anon_sym_COLON,
    ACTIONS(6328), 1,
      anon_sym_LBRACE,
    ACTIONS(6330), 1,
      anon_sym__,
    ACTIONS(6332), 1,
      anon_sym_LBRACK,
    ACTIONS(6336), 1,
      anon_sym_LPAREN,
    ACTIONS(6338), 1,
      sym__backquoted_id,
    ACTIONS(6340), 1,
      sym_operator_identifier,
    STATE(5038), 1,
      sym__simple_type,
    STATE(5160), 1,
      sym__annotated_type,
    STATE(5394), 1,
      sym__soft_identifier,
    STATE(5729), 1,
      sym_identifier,
    STATE(8556), 1,
      sym_annotated_type,
    STATE(11959), 1,
      sym__infix_type_choice,
    STATE(12698), 1,
      sym__non_null_literal,
    STATE(12725), 1,
      sym_template_body,
    STATE(12881), 1,
      sym__type,
    STATE(15098), 1,
      sym_parameter_types,
    STATE(16902), 1,
      sym_stable_identifier,
    ACTIONS(1306), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1308), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1312), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3159), 2,
      sym_comment,
      sym_block_comment,
    STATE(8242), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8470), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9641), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12876), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6334), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6655), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [99892] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4472), 1,
      sym__alpha_identifier,
    ACTIONS(4474), 1,
      anon_sym_COLON,
    ACTIONS(4476), 1,
      anon_sym_LBRACE,
    ACTIONS(4478), 1,
      anon_sym__,
    ACTIONS(4482), 1,
      anon_sym_LBRACK,
    ACTIONS(4490), 1,
      sym__backquoted_id,
    ACTIONS(4494), 1,
      sym_integer_literal,
    ACTIONS(6368), 1,
      anon_sym_LPAREN,
    ACTIONS(6370), 1,
      sym_operator_identifier,
    STATE(4540), 1,
      sym__annotated_type,
    STATE(4671), 1,
      sym__simple_type,
    STATE(4682), 1,
      sym_identifier,
    STATE(4750), 1,
      sym__soft_identifier,
    STATE(6776), 1,
      sym_annotated_type,
    STATE(12170), 1,
      sym__infix_type_choice,
    STATE(12294), 1,
      sym__type,
    STATE(12323), 1,
      sym_template_body,
    STATE(12594), 1,
      sym__non_null_literal,
    STATE(14520), 1,
      sym_parameter_types,
    STATE(16830), 1,
      sym_stable_identifier,
    ACTIONS(4496), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4498), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4500), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3160), 2,
      sym_comment,
      sym_block_comment,
    STATE(8806), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12576), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12599), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12588), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4484), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5107), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [100011] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4624), 1,
      sym__alpha_identifier,
    ACTIONS(4626), 1,
      anon_sym_COLON,
    ACTIONS(4628), 1,
      anon_sym_LBRACE,
    ACTIONS(4630), 1,
      anon_sym__,
    ACTIONS(4634), 1,
      anon_sym_LBRACK,
    ACTIONS(4642), 1,
      sym__backquoted_id,
    ACTIONS(4646), 1,
      sym_integer_literal,
    ACTIONS(6302), 1,
      anon_sym_LPAREN,
    ACTIONS(6304), 1,
      sym_operator_identifier,
    STATE(4819), 1,
      sym__annotated_type,
    STATE(4940), 1,
      sym__simple_type,
    STATE(5196), 1,
      sym_identifier,
    STATE(5260), 1,
      sym__soft_identifier,
    STATE(7492), 1,
      sym_annotated_type,
    STATE(11968), 1,
      sym__infix_type_choice,
    STATE(12698), 1,
      sym__non_null_literal,
    STATE(12725), 1,
      sym_template_body,
    STATE(12781), 1,
      sym__type,
    STATE(14853), 1,
      sym_parameter_types,
    STATE(16896), 1,
      sym_stable_identifier,
    ACTIONS(4648), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4650), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4652), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3161), 2,
      sym_comment,
      sym_block_comment,
    STATE(9588), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12849), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12928), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12876), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4636), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5732), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [100130] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14376), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3162), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [100249] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15787), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3163), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [100368] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4624), 1,
      sym__alpha_identifier,
    ACTIONS(4626), 1,
      anon_sym_COLON,
    ACTIONS(4628), 1,
      anon_sym_LBRACE,
    ACTIONS(4630), 1,
      anon_sym__,
    ACTIONS(4634), 1,
      anon_sym_LBRACK,
    ACTIONS(4642), 1,
      sym__backquoted_id,
    ACTIONS(4646), 1,
      sym_integer_literal,
    ACTIONS(6302), 1,
      anon_sym_LPAREN,
    ACTIONS(6304), 1,
      sym_operator_identifier,
    STATE(4819), 1,
      sym__annotated_type,
    STATE(4940), 1,
      sym__simple_type,
    STATE(5196), 1,
      sym_identifier,
    STATE(5260), 1,
      sym__soft_identifier,
    STATE(7492), 1,
      sym_annotated_type,
    STATE(11968), 1,
      sym__infix_type_choice,
    STATE(12698), 1,
      sym__non_null_literal,
    STATE(12725), 1,
      sym_template_body,
    STATE(12807), 1,
      sym__type,
    STATE(14853), 1,
      sym_parameter_types,
    STATE(16896), 1,
      sym_stable_identifier,
    ACTIONS(4648), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4650), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4652), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3164), 2,
      sym_comment,
      sym_block_comment,
    STATE(9588), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12849), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12928), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12876), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4636), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5732), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [100487] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(6372), 1,
      sym__alpha_identifier,
    ACTIONS(6374), 1,
      anon_sym__,
    ACTIONS(6376), 1,
      anon_sym_LBRACK,
    ACTIONS(6380), 1,
      anon_sym_LPAREN,
    ACTIONS(6382), 1,
      sym__backquoted_id,
    ACTIONS(6384), 1,
      sym_operator_identifier,
    STATE(8020), 1,
      sym__simple_type,
    STATE(8164), 1,
      sym__soft_identifier,
    STATE(8558), 1,
      sym_identifier,
    STATE(8588), 1,
      sym__annotated_type,
    STATE(10278), 1,
      sym_annotated_type,
    STATE(11544), 1,
      sym__type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11980), 1,
      sym__infix_type_choice,
    STATE(15222), 1,
      sym_parameter_types,
    STATE(16067), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3165), 2,
      sym_comment,
      sym_block_comment,
    STATE(10581), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6378), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8717), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [100606] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4624), 1,
      sym__alpha_identifier,
    ACTIONS(4626), 1,
      anon_sym_COLON,
    ACTIONS(4628), 1,
      anon_sym_LBRACE,
    ACTIONS(4630), 1,
      anon_sym__,
    ACTIONS(4634), 1,
      anon_sym_LBRACK,
    ACTIONS(4642), 1,
      sym__backquoted_id,
    ACTIONS(4646), 1,
      sym_integer_literal,
    ACTIONS(6302), 1,
      anon_sym_LPAREN,
    ACTIONS(6304), 1,
      sym_operator_identifier,
    STATE(4819), 1,
      sym__annotated_type,
    STATE(4940), 1,
      sym__simple_type,
    STATE(5196), 1,
      sym_identifier,
    STATE(5260), 1,
      sym__soft_identifier,
    STATE(7492), 1,
      sym_annotated_type,
    STATE(11968), 1,
      sym__infix_type_choice,
    STATE(12698), 1,
      sym__non_null_literal,
    STATE(12725), 1,
      sym_template_body,
    STATE(12858), 1,
      sym__type,
    STATE(14853), 1,
      sym_parameter_types,
    STATE(16896), 1,
      sym_stable_identifier,
    ACTIONS(4648), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4650), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4652), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3166), 2,
      sym_comment,
      sym_block_comment,
    STATE(9588), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12849), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12928), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12876), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4636), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5732), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [100725] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(6372), 1,
      sym__alpha_identifier,
    ACTIONS(6374), 1,
      anon_sym__,
    ACTIONS(6376), 1,
      anon_sym_LBRACK,
    ACTIONS(6380), 1,
      anon_sym_LPAREN,
    ACTIONS(6382), 1,
      sym__backquoted_id,
    ACTIONS(6384), 1,
      sym_operator_identifier,
    STATE(8020), 1,
      sym__simple_type,
    STATE(8164), 1,
      sym__soft_identifier,
    STATE(8558), 1,
      sym_identifier,
    STATE(8588), 1,
      sym__annotated_type,
    STATE(10278), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11713), 1,
      sym__type,
    STATE(11758), 1,
      sym_template_body,
    STATE(11980), 1,
      sym__infix_type_choice,
    STATE(15222), 1,
      sym_parameter_types,
    STATE(16067), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3167), 2,
      sym_comment,
      sym_block_comment,
    STATE(10581), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6378), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8717), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [100844] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(6372), 1,
      sym__alpha_identifier,
    ACTIONS(6374), 1,
      anon_sym__,
    ACTIONS(6376), 1,
      anon_sym_LBRACK,
    ACTIONS(6380), 1,
      anon_sym_LPAREN,
    ACTIONS(6382), 1,
      sym__backquoted_id,
    ACTIONS(6384), 1,
      sym_operator_identifier,
    STATE(8020), 1,
      sym__simple_type,
    STATE(8164), 1,
      sym__soft_identifier,
    STATE(8558), 1,
      sym_identifier,
    STATE(8588), 1,
      sym__annotated_type,
    STATE(10278), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11761), 1,
      sym__type,
    STATE(11980), 1,
      sym__infix_type_choice,
    STATE(15222), 1,
      sym_parameter_types,
    STATE(16067), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3168), 2,
      sym_comment,
      sym_block_comment,
    STATE(10581), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6378), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8717), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [100963] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14907), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3169), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [101082] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1232), 1,
      sym_integer_literal,
    ACTIONS(6386), 1,
      sym__alpha_identifier,
    ACTIONS(6388), 1,
      anon_sym_COLON,
    ACTIONS(6390), 1,
      anon_sym_LBRACE,
    ACTIONS(6392), 1,
      anon_sym__,
    ACTIONS(6394), 1,
      anon_sym_LBRACK,
    ACTIONS(6398), 1,
      anon_sym_LPAREN,
    ACTIONS(6400), 1,
      sym__backquoted_id,
    ACTIONS(6402), 1,
      sym_operator_identifier,
    STATE(4356), 1,
      sym__annotated_type,
    STATE(4390), 1,
      sym__simple_type,
    STATE(4449), 1,
      sym__soft_identifier,
    STATE(4490), 1,
      sym_identifier,
    STATE(5864), 1,
      sym_annotated_type,
    STATE(10724), 1,
      sym_template_body,
    STATE(10963), 1,
      sym__non_null_literal,
    STATE(11224), 1,
      sym__type,
    STATE(11965), 1,
      sym__infix_type_choice,
    STATE(15226), 1,
      sym_parameter_types,
    STATE(16746), 1,
      sym_stable_identifier,
    ACTIONS(1234), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1236), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1240), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3170), 2,
      sym_comment,
      sym_block_comment,
    STATE(5055), 2,
      sym_boolean_literal,
      sym_string,
    STATE(5088), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7855), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10958), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6396), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4611), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [101201] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(6404), 1,
      anon_sym_LBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11756), 1,
      sym__type,
    STATE(11758), 1,
      sym_template_body,
    STATE(11841), 1,
      sym__infix_type_choice,
    STATE(15082), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3171), 2,
      sym_comment,
      sym_block_comment,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [101320] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(6404), 1,
      anon_sym_LBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11759), 1,
      sym__type,
    STATE(11841), 1,
      sym__infix_type_choice,
    STATE(15082), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3172), 2,
      sym_comment,
      sym_block_comment,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [101439] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(6404), 1,
      anon_sym_LBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11761), 1,
      sym__type,
    STATE(11841), 1,
      sym__infix_type_choice,
    STATE(15082), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3173), 2,
      sym_comment,
      sym_block_comment,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [101558] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(6404), 1,
      anon_sym_LBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11713), 1,
      sym__type,
    STATE(11758), 1,
      sym_template_body,
    STATE(11841), 1,
      sym__infix_type_choice,
    STATE(15082), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3174), 2,
      sym_comment,
      sym_block_comment,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [101677] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(6372), 1,
      sym__alpha_identifier,
    ACTIONS(6374), 1,
      anon_sym__,
    ACTIONS(6376), 1,
      anon_sym_LBRACK,
    ACTIONS(6380), 1,
      anon_sym_LPAREN,
    ACTIONS(6382), 1,
      sym__backquoted_id,
    ACTIONS(6384), 1,
      sym_operator_identifier,
    STATE(8020), 1,
      sym__simple_type,
    STATE(8164), 1,
      sym__soft_identifier,
    STATE(8558), 1,
      sym_identifier,
    STATE(8588), 1,
      sym__annotated_type,
    STATE(10278), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11759), 1,
      sym__type,
    STATE(11980), 1,
      sym__infix_type_choice,
    STATE(15222), 1,
      sym_parameter_types,
    STATE(16067), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3175), 2,
      sym_comment,
      sym_block_comment,
    STATE(10581), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6378), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8717), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [101796] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(6372), 1,
      sym__alpha_identifier,
    ACTIONS(6374), 1,
      anon_sym__,
    ACTIONS(6376), 1,
      anon_sym_LBRACK,
    ACTIONS(6380), 1,
      anon_sym_LPAREN,
    ACTIONS(6382), 1,
      sym__backquoted_id,
    ACTIONS(6384), 1,
      sym_operator_identifier,
    STATE(8020), 1,
      sym__simple_type,
    STATE(8164), 1,
      sym__soft_identifier,
    STATE(8558), 1,
      sym_identifier,
    STATE(8588), 1,
      sym__annotated_type,
    STATE(10278), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11756), 1,
      sym__type,
    STATE(11758), 1,
      sym_template_body,
    STATE(11980), 1,
      sym__infix_type_choice,
    STATE(15222), 1,
      sym_parameter_types,
    STATE(16067), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3176), 2,
      sym_comment,
      sym_block_comment,
    STATE(10581), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6378), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8717), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [101915] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1470), 1,
      sym_integer_literal,
    ACTIONS(6308), 1,
      anon_sym_COLON,
    ACTIONS(6310), 1,
      anon_sym_LBRACE,
    ACTIONS(6406), 1,
      sym__alpha_identifier,
    ACTIONS(6408), 1,
      anon_sym__,
    ACTIONS(6410), 1,
      anon_sym_LBRACK,
    ACTIONS(6414), 1,
      anon_sym_LPAREN,
    ACTIONS(6416), 1,
      sym__backquoted_id,
    ACTIONS(6418), 1,
      sym_operator_identifier,
    STATE(4431), 1,
      sym__annotated_type,
    STATE(4488), 1,
      sym__simple_type,
    STATE(4562), 1,
      sym_identifier,
    STATE(4586), 1,
      sym__soft_identifier,
    STATE(6072), 1,
      sym_annotated_type,
    STATE(11037), 1,
      sym_template_body,
    STATE(11210), 1,
      sym__non_null_literal,
    STATE(11578), 1,
      sym__type,
    STATE(12002), 1,
      sym__infix_type_choice,
    STATE(15228), 1,
      sym_parameter_types,
    STATE(16878), 1,
      sym_stable_identifier,
    ACTIONS(1472), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1474), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1478), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3177), 2,
      sym_comment,
      sym_block_comment,
    STATE(5691), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(5971), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8576), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11213), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6412), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4832), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [102034] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4624), 1,
      sym__alpha_identifier,
    ACTIONS(4626), 1,
      anon_sym_COLON,
    ACTIONS(4628), 1,
      anon_sym_LBRACE,
    ACTIONS(4630), 1,
      anon_sym__,
    ACTIONS(4634), 1,
      anon_sym_LBRACK,
    ACTIONS(4642), 1,
      sym__backquoted_id,
    ACTIONS(4646), 1,
      sym_integer_literal,
    ACTIONS(6302), 1,
      anon_sym_LPAREN,
    ACTIONS(6304), 1,
      sym_operator_identifier,
    STATE(4819), 1,
      sym__annotated_type,
    STATE(4940), 1,
      sym__simple_type,
    STATE(5196), 1,
      sym_identifier,
    STATE(5260), 1,
      sym__soft_identifier,
    STATE(7492), 1,
      sym_annotated_type,
    STATE(11968), 1,
      sym__infix_type_choice,
    STATE(12698), 1,
      sym__non_null_literal,
    STATE(12725), 1,
      sym_template_body,
    STATE(12881), 1,
      sym__type,
    STATE(14853), 1,
      sym_parameter_types,
    STATE(16896), 1,
      sym_stable_identifier,
    ACTIONS(4648), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4650), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4652), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3178), 2,
      sym_comment,
      sym_block_comment,
    STATE(9588), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12849), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12928), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12876), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4636), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5732), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [102153] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1340), 1,
      sym_integer_literal,
    ACTIONS(6420), 1,
      sym__alpha_identifier,
    ACTIONS(6422), 1,
      anon_sym_COLON,
    ACTIONS(6424), 1,
      anon_sym_LBRACE,
    ACTIONS(6426), 1,
      anon_sym__,
    ACTIONS(6428), 1,
      anon_sym_LBRACK,
    ACTIONS(6432), 1,
      anon_sym_LPAREN,
    ACTIONS(6434), 1,
      sym__backquoted_id,
    ACTIONS(6436), 1,
      sym_operator_identifier,
    STATE(4810), 1,
      sym__annotated_type,
    STATE(4950), 1,
      sym__simple_type,
    STATE(5127), 1,
      sym_identifier,
    STATE(5256), 1,
      sym__soft_identifier,
    STATE(7447), 1,
      sym_annotated_type,
    STATE(11990), 1,
      sym__infix_type_choice,
    STATE(12323), 1,
      sym_template_body,
    STATE(12331), 1,
      sym__type,
    STATE(12594), 1,
      sym__non_null_literal,
    STATE(15097), 1,
      sym_parameter_types,
    STATE(16884), 1,
      sym_stable_identifier,
    ACTIONS(1342), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1344), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1348), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3179), 2,
      sym_comment,
      sym_block_comment,
    STATE(7946), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8055), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9570), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12588), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6430), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5789), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [102272] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14365), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3180), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [102391] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1340), 1,
      sym_integer_literal,
    ACTIONS(6420), 1,
      sym__alpha_identifier,
    ACTIONS(6422), 1,
      anon_sym_COLON,
    ACTIONS(6424), 1,
      anon_sym_LBRACE,
    ACTIONS(6426), 1,
      anon_sym__,
    ACTIONS(6428), 1,
      anon_sym_LBRACK,
    ACTIONS(6432), 1,
      anon_sym_LPAREN,
    ACTIONS(6434), 1,
      sym__backquoted_id,
    ACTIONS(6436), 1,
      sym_operator_identifier,
    STATE(4810), 1,
      sym__annotated_type,
    STATE(4950), 1,
      sym__simple_type,
    STATE(5127), 1,
      sym_identifier,
    STATE(5256), 1,
      sym__soft_identifier,
    STATE(7447), 1,
      sym_annotated_type,
    STATE(11990), 1,
      sym__infix_type_choice,
    STATE(12294), 1,
      sym__type,
    STATE(12323), 1,
      sym_template_body,
    STATE(12594), 1,
      sym__non_null_literal,
    STATE(15097), 1,
      sym_parameter_types,
    STATE(16884), 1,
      sym_stable_identifier,
    ACTIONS(1342), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1344), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1348), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3181), 2,
      sym_comment,
      sym_block_comment,
    STATE(7946), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8055), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9570), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12588), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6430), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5789), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [102510] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(6404), 1,
      anon_sym_LBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(11544), 1,
      sym__type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11841), 1,
      sym__infix_type_choice,
    STATE(15082), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3182), 2,
      sym_comment,
      sym_block_comment,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [102629] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4298), 1,
      anon_sym_COLON,
    ACTIONS(4300), 1,
      anon_sym_LBRACE,
    ACTIONS(4318), 1,
      sym_integer_literal,
    ACTIONS(4366), 1,
      sym__alpha_identifier,
    ACTIONS(4368), 1,
      anon_sym__,
    ACTIONS(4372), 1,
      anon_sym_LBRACK,
    ACTIONS(4378), 1,
      sym__backquoted_id,
    ACTIONS(6438), 1,
      anon_sym_LPAREN,
    ACTIONS(6440), 1,
      sym_operator_identifier,
    STATE(4417), 1,
      sym__annotated_type,
    STATE(4436), 1,
      sym__simple_type,
    STATE(4542), 1,
      sym_identifier,
    STATE(4655), 1,
      sym__soft_identifier,
    STATE(6289), 1,
      sym_annotated_type,
    STATE(11545), 1,
      sym_template_body,
    STATE(11584), 1,
      sym__non_null_literal,
    STATE(11592), 1,
      sym__type,
    STATE(11865), 1,
      sym__infix_type_choice,
    STATE(15090), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(4320), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4322), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4324), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3183), 2,
      sym_comment,
      sym_block_comment,
    STATE(8197), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11721), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11745), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11582), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4374), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4887), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [102748] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1340), 1,
      sym_integer_literal,
    ACTIONS(6420), 1,
      sym__alpha_identifier,
    ACTIONS(6422), 1,
      anon_sym_COLON,
    ACTIONS(6424), 1,
      anon_sym_LBRACE,
    ACTIONS(6426), 1,
      anon_sym__,
    ACTIONS(6428), 1,
      anon_sym_LBRACK,
    ACTIONS(6432), 1,
      anon_sym_LPAREN,
    ACTIONS(6434), 1,
      sym__backquoted_id,
    ACTIONS(6436), 1,
      sym_operator_identifier,
    STATE(4810), 1,
      sym__annotated_type,
    STATE(4950), 1,
      sym__simple_type,
    STATE(5127), 1,
      sym_identifier,
    STATE(5256), 1,
      sym__soft_identifier,
    STATE(7447), 1,
      sym_annotated_type,
    STATE(11990), 1,
      sym__infix_type_choice,
    STATE(12323), 1,
      sym_template_body,
    STATE(12377), 1,
      sym__type,
    STATE(12594), 1,
      sym__non_null_literal,
    STATE(15097), 1,
      sym_parameter_types,
    STATE(16884), 1,
      sym_stable_identifier,
    ACTIONS(1342), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1344), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1348), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3184), 2,
      sym_comment,
      sym_block_comment,
    STATE(7946), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8055), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9570), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12588), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6430), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5789), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [102867] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1340), 1,
      sym_integer_literal,
    ACTIONS(6420), 1,
      sym__alpha_identifier,
    ACTIONS(6422), 1,
      anon_sym_COLON,
    ACTIONS(6424), 1,
      anon_sym_LBRACE,
    ACTIONS(6426), 1,
      anon_sym__,
    ACTIONS(6428), 1,
      anon_sym_LBRACK,
    ACTIONS(6432), 1,
      anon_sym_LPAREN,
    ACTIONS(6434), 1,
      sym__backquoted_id,
    ACTIONS(6436), 1,
      sym_operator_identifier,
    STATE(4810), 1,
      sym__annotated_type,
    STATE(4950), 1,
      sym__simple_type,
    STATE(5127), 1,
      sym_identifier,
    STATE(5256), 1,
      sym__soft_identifier,
    STATE(7447), 1,
      sym_annotated_type,
    STATE(11990), 1,
      sym__infix_type_choice,
    STATE(12250), 1,
      sym__type,
    STATE(12323), 1,
      sym_template_body,
    STATE(12594), 1,
      sym__non_null_literal,
    STATE(15097), 1,
      sym_parameter_types,
    STATE(16884), 1,
      sym_stable_identifier,
    ACTIONS(1342), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1344), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1348), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3185), 2,
      sym_comment,
      sym_block_comment,
    STATE(7946), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8055), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9570), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12588), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6430), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5789), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [102986] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4298), 1,
      anon_sym_COLON,
    ACTIONS(4300), 1,
      anon_sym_LBRACE,
    ACTIONS(4318), 1,
      sym_integer_literal,
    ACTIONS(4366), 1,
      sym__alpha_identifier,
    ACTIONS(4368), 1,
      anon_sym__,
    ACTIONS(4372), 1,
      anon_sym_LBRACK,
    ACTIONS(4378), 1,
      sym__backquoted_id,
    ACTIONS(6438), 1,
      anon_sym_LPAREN,
    ACTIONS(6440), 1,
      sym_operator_identifier,
    STATE(4417), 1,
      sym__annotated_type,
    STATE(4436), 1,
      sym__simple_type,
    STATE(4542), 1,
      sym_identifier,
    STATE(4655), 1,
      sym__soft_identifier,
    STATE(6289), 1,
      sym_annotated_type,
    STATE(11545), 1,
      sym_template_body,
    STATE(11584), 1,
      sym__non_null_literal,
    STATE(11595), 1,
      sym__type,
    STATE(11865), 1,
      sym__infix_type_choice,
    STATE(15090), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(4320), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4322), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4324), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3186), 2,
      sym_comment,
      sym_block_comment,
    STATE(8197), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11721), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11745), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11582), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4374), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4887), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [103105] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14506), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3187), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [103224] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1340), 1,
      sym_integer_literal,
    ACTIONS(6420), 1,
      sym__alpha_identifier,
    ACTIONS(6422), 1,
      anon_sym_COLON,
    ACTIONS(6424), 1,
      anon_sym_LBRACE,
    ACTIONS(6426), 1,
      anon_sym__,
    ACTIONS(6428), 1,
      anon_sym_LBRACK,
    ACTIONS(6432), 1,
      anon_sym_LPAREN,
    ACTIONS(6434), 1,
      sym__backquoted_id,
    ACTIONS(6436), 1,
      sym_operator_identifier,
    STATE(4810), 1,
      sym__annotated_type,
    STATE(4950), 1,
      sym__simple_type,
    STATE(5127), 1,
      sym_identifier,
    STATE(5256), 1,
      sym__soft_identifier,
    STATE(7447), 1,
      sym_annotated_type,
    STATE(11990), 1,
      sym__infix_type_choice,
    STATE(12260), 1,
      sym__type,
    STATE(12323), 1,
      sym_template_body,
    STATE(12594), 1,
      sym__non_null_literal,
    STATE(15097), 1,
      sym_parameter_types,
    STATE(16884), 1,
      sym_stable_identifier,
    ACTIONS(1342), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1344), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1348), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3188), 2,
      sym_comment,
      sym_block_comment,
    STATE(7946), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8055), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9570), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12588), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6430), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5789), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [103343] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1470), 1,
      sym_integer_literal,
    ACTIONS(6308), 1,
      anon_sym_COLON,
    ACTIONS(6310), 1,
      anon_sym_LBRACE,
    ACTIONS(6406), 1,
      sym__alpha_identifier,
    ACTIONS(6408), 1,
      anon_sym__,
    ACTIONS(6410), 1,
      anon_sym_LBRACK,
    ACTIONS(6414), 1,
      anon_sym_LPAREN,
    ACTIONS(6416), 1,
      sym__backquoted_id,
    ACTIONS(6418), 1,
      sym_operator_identifier,
    STATE(4431), 1,
      sym__annotated_type,
    STATE(4488), 1,
      sym__simple_type,
    STATE(4562), 1,
      sym_identifier,
    STATE(4586), 1,
      sym__soft_identifier,
    STATE(6072), 1,
      sym_annotated_type,
    STATE(11037), 1,
      sym_template_body,
    STATE(11210), 1,
      sym__non_null_literal,
    STATE(11313), 1,
      sym__type,
    STATE(12002), 1,
      sym__infix_type_choice,
    STATE(15228), 1,
      sym_parameter_types,
    STATE(16878), 1,
      sym_stable_identifier,
    ACTIONS(1472), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1474), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1478), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3189), 2,
      sym_comment,
      sym_block_comment,
    STATE(5691), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(5971), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8576), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11213), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6412), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4832), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [103462] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(6442), 1,
      sym__alpha_identifier,
    ACTIONS(6444), 1,
      anon_sym__,
    ACTIONS(6446), 1,
      anon_sym_LBRACK,
    ACTIONS(6450), 1,
      anon_sym_LPAREN,
    ACTIONS(6452), 1,
      sym__backquoted_id,
    ACTIONS(6454), 1,
      sym_operator_identifier,
    STATE(7147), 1,
      sym__simple_type,
    STATE(7576), 1,
      sym__annotated_type,
    STATE(7639), 1,
      sym_identifier,
    STATE(7905), 1,
      sym__soft_identifier,
    STATE(10021), 1,
      sym_annotated_type,
    STATE(11544), 1,
      sym__type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(12044), 1,
      sym__infix_type_choice,
    STATE(15271), 1,
      sym_parameter_types,
    STATE(16088), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3190), 2,
      sym_comment,
      sym_block_comment,
    STATE(10385), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6448), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8251), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [103581] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1470), 1,
      sym_integer_literal,
    ACTIONS(6308), 1,
      anon_sym_COLON,
    ACTIONS(6310), 1,
      anon_sym_LBRACE,
    ACTIONS(6406), 1,
      sym__alpha_identifier,
    ACTIONS(6408), 1,
      anon_sym__,
    ACTIONS(6410), 1,
      anon_sym_LBRACK,
    ACTIONS(6414), 1,
      anon_sym_LPAREN,
    ACTIONS(6416), 1,
      sym__backquoted_id,
    ACTIONS(6418), 1,
      sym_operator_identifier,
    STATE(4431), 1,
      sym__annotated_type,
    STATE(4488), 1,
      sym__simple_type,
    STATE(4562), 1,
      sym_identifier,
    STATE(4586), 1,
      sym__soft_identifier,
    STATE(6072), 1,
      sym_annotated_type,
    STATE(11037), 1,
      sym_template_body,
    STATE(11210), 1,
      sym__non_null_literal,
    STATE(11263), 1,
      sym__type,
    STATE(12002), 1,
      sym__infix_type_choice,
    STATE(15228), 1,
      sym_parameter_types,
    STATE(16878), 1,
      sym_stable_identifier,
    ACTIONS(1472), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1474), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1478), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3191), 2,
      sym_comment,
      sym_block_comment,
    STATE(5691), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(5971), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8576), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11213), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6412), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4832), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [103700] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4298), 1,
      anon_sym_COLON,
    ACTIONS(4300), 1,
      anon_sym_LBRACE,
    ACTIONS(4318), 1,
      sym_integer_literal,
    ACTIONS(4366), 1,
      sym__alpha_identifier,
    ACTIONS(4368), 1,
      anon_sym__,
    ACTIONS(4372), 1,
      anon_sym_LBRACK,
    ACTIONS(4378), 1,
      sym__backquoted_id,
    ACTIONS(6438), 1,
      anon_sym_LPAREN,
    ACTIONS(6440), 1,
      sym_operator_identifier,
    STATE(4417), 1,
      sym__annotated_type,
    STATE(4436), 1,
      sym__simple_type,
    STATE(4542), 1,
      sym_identifier,
    STATE(4655), 1,
      sym__soft_identifier,
    STATE(6289), 1,
      sym_annotated_type,
    STATE(11545), 1,
      sym_template_body,
    STATE(11584), 1,
      sym__non_null_literal,
    STATE(11616), 1,
      sym__type,
    STATE(11865), 1,
      sym__infix_type_choice,
    STATE(15090), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(4320), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4322), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4324), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3192), 2,
      sym_comment,
      sym_block_comment,
    STATE(8197), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11721), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11745), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11582), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4374), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4887), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [103819] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1470), 1,
      sym_integer_literal,
    ACTIONS(6308), 1,
      anon_sym_COLON,
    ACTIONS(6310), 1,
      anon_sym_LBRACE,
    ACTIONS(6406), 1,
      sym__alpha_identifier,
    ACTIONS(6408), 1,
      anon_sym__,
    ACTIONS(6410), 1,
      anon_sym_LBRACK,
    ACTIONS(6414), 1,
      anon_sym_LPAREN,
    ACTIONS(6416), 1,
      sym__backquoted_id,
    ACTIONS(6418), 1,
      sym_operator_identifier,
    STATE(4431), 1,
      sym__annotated_type,
    STATE(4488), 1,
      sym__simple_type,
    STATE(4562), 1,
      sym_identifier,
    STATE(4586), 1,
      sym__soft_identifier,
    STATE(6072), 1,
      sym_annotated_type,
    STATE(11037), 1,
      sym_template_body,
    STATE(11210), 1,
      sym__non_null_literal,
    STATE(11247), 1,
      sym__type,
    STATE(12002), 1,
      sym__infix_type_choice,
    STATE(15228), 1,
      sym_parameter_types,
    STATE(16878), 1,
      sym_stable_identifier,
    ACTIONS(1472), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1474), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1478), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3193), 2,
      sym_comment,
      sym_block_comment,
    STATE(5691), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(5971), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8576), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11213), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6412), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4832), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [103938] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4298), 1,
      anon_sym_COLON,
    ACTIONS(4300), 1,
      anon_sym_LBRACE,
    ACTIONS(4318), 1,
      sym_integer_literal,
    ACTIONS(4366), 1,
      sym__alpha_identifier,
    ACTIONS(4368), 1,
      anon_sym__,
    ACTIONS(4372), 1,
      anon_sym_LBRACK,
    ACTIONS(4378), 1,
      sym__backquoted_id,
    ACTIONS(6438), 1,
      anon_sym_LPAREN,
    ACTIONS(6440), 1,
      sym_operator_identifier,
    STATE(4417), 1,
      sym__annotated_type,
    STATE(4436), 1,
      sym__simple_type,
    STATE(4542), 1,
      sym_identifier,
    STATE(4655), 1,
      sym__soft_identifier,
    STATE(6289), 1,
      sym_annotated_type,
    STATE(11545), 1,
      sym_template_body,
    STATE(11584), 1,
      sym__non_null_literal,
    STATE(11632), 1,
      sym__type,
    STATE(11865), 1,
      sym__infix_type_choice,
    STATE(15090), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(4320), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4322), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4324), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3194), 2,
      sym_comment,
      sym_block_comment,
    STATE(8197), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11721), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11745), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11582), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4374), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4887), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [104057] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(6442), 1,
      sym__alpha_identifier,
    ACTIONS(6444), 1,
      anon_sym__,
    ACTIONS(6446), 1,
      anon_sym_LBRACK,
    ACTIONS(6450), 1,
      anon_sym_LPAREN,
    ACTIONS(6452), 1,
      sym__backquoted_id,
    ACTIONS(6454), 1,
      sym_operator_identifier,
    STATE(7147), 1,
      sym__simple_type,
    STATE(7576), 1,
      sym__annotated_type,
    STATE(7639), 1,
      sym_identifier,
    STATE(7905), 1,
      sym__soft_identifier,
    STATE(10021), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11713), 1,
      sym__type,
    STATE(11758), 1,
      sym_template_body,
    STATE(12044), 1,
      sym__infix_type_choice,
    STATE(15271), 1,
      sym_parameter_types,
    STATE(16088), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3195), 2,
      sym_comment,
      sym_block_comment,
    STATE(10385), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6448), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8251), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [104176] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(6442), 1,
      sym__alpha_identifier,
    ACTIONS(6444), 1,
      anon_sym__,
    ACTIONS(6446), 1,
      anon_sym_LBRACK,
    ACTIONS(6450), 1,
      anon_sym_LPAREN,
    ACTIONS(6452), 1,
      sym__backquoted_id,
    ACTIONS(6454), 1,
      sym_operator_identifier,
    STATE(7147), 1,
      sym__simple_type,
    STATE(7576), 1,
      sym__annotated_type,
    STATE(7639), 1,
      sym_identifier,
    STATE(7905), 1,
      sym__soft_identifier,
    STATE(10021), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11761), 1,
      sym__type,
    STATE(12044), 1,
      sym__infix_type_choice,
    STATE(15271), 1,
      sym_parameter_types,
    STATE(16088), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3196), 2,
      sym_comment,
      sym_block_comment,
    STATE(10385), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6448), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8251), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [104295] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15829), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3197), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [104414] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(6442), 1,
      sym__alpha_identifier,
    ACTIONS(6444), 1,
      anon_sym__,
    ACTIONS(6446), 1,
      anon_sym_LBRACK,
    ACTIONS(6450), 1,
      anon_sym_LPAREN,
    ACTIONS(6452), 1,
      sym__backquoted_id,
    ACTIONS(6454), 1,
      sym_operator_identifier,
    STATE(7147), 1,
      sym__simple_type,
    STATE(7576), 1,
      sym__annotated_type,
    STATE(7639), 1,
      sym_identifier,
    STATE(7905), 1,
      sym__soft_identifier,
    STATE(10021), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11759), 1,
      sym__type,
    STATE(12044), 1,
      sym__infix_type_choice,
    STATE(15271), 1,
      sym_parameter_types,
    STATE(16088), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3198), 2,
      sym_comment,
      sym_block_comment,
    STATE(10385), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6448), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8251), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [104533] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15124), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3199), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [104652] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2110), 1,
      sym_integer_literal,
    ACTIONS(6080), 1,
      sym__alpha_identifier,
    ACTIONS(6082), 1,
      anon_sym_COLON,
    ACTIONS(6084), 1,
      anon_sym_LBRACE,
    ACTIONS(6086), 1,
      anon_sym__,
    ACTIONS(6088), 1,
      anon_sym_LBRACK,
    ACTIONS(6092), 1,
      anon_sym_LPAREN,
    ACTIONS(6094), 1,
      sym__backquoted_id,
    ACTIONS(6096), 1,
      sym_operator_identifier,
    STATE(6820), 1,
      sym__annotated_type,
    STATE(7242), 1,
      sym__simple_type,
    STATE(7449), 1,
      sym__soft_identifier,
    STATE(8071), 1,
      sym_identifier,
    STATE(9622), 1,
      sym_annotated_type,
    STATE(11545), 1,
      sym_template_body,
    STATE(11584), 1,
      sym__non_null_literal,
    STATE(11796), 1,
      sym__type,
    STATE(11908), 1,
      sym__infix_type_choice,
    STATE(15176), 1,
      sym_parameter_types,
    STATE(16728), 1,
      sym_stable_identifier,
    ACTIONS(2112), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(2114), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(2118), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3200), 2,
      sym_comment,
      sym_block_comment,
    STATE(6076), 2,
      sym_boolean_literal,
      sym_string,
    STATE(6133), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10527), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11582), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6090), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8489), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [104771] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6456), 1,
      sym__alpha_identifier,
    ACTIONS(6458), 1,
      anon_sym_COLON,
    ACTIONS(6460), 1,
      anon_sym_LBRACE,
    ACTIONS(6462), 1,
      anon_sym__,
    ACTIONS(6464), 1,
      anon_sym_LBRACK,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    ACTIONS(6470), 1,
      sym__backquoted_id,
    ACTIONS(6472), 1,
      sym_operator_identifier,
    ACTIONS(6474), 1,
      sym_integer_literal,
    STATE(5597), 1,
      sym__simple_type,
    STATE(6438), 1,
      sym__annotated_type,
    STATE(6507), 1,
      sym_identifier,
    STATE(6519), 1,
      sym__soft_identifier,
    STATE(9543), 1,
      sym_annotated_type,
    STATE(10604), 1,
      sym__type,
    STATE(10688), 1,
      sym__non_null_literal,
    STATE(10694), 1,
      sym_template_body,
    STATE(11854), 1,
      sym__infix_type_choice,
    STATE(15033), 1,
      sym_parameter_types,
    STATE(15913), 1,
      sym_stable_identifier,
    ACTIONS(6476), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6478), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6480), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3201), 2,
      sym_comment,
      sym_block_comment,
    STATE(10019), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10618), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10653), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10689), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6466), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7263), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [104890] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6456), 1,
      sym__alpha_identifier,
    ACTIONS(6458), 1,
      anon_sym_COLON,
    ACTIONS(6460), 1,
      anon_sym_LBRACE,
    ACTIONS(6462), 1,
      anon_sym__,
    ACTIONS(6464), 1,
      anon_sym_LBRACK,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    ACTIONS(6470), 1,
      sym__backquoted_id,
    ACTIONS(6472), 1,
      sym_operator_identifier,
    ACTIONS(6474), 1,
      sym_integer_literal,
    STATE(5597), 1,
      sym__simple_type,
    STATE(6438), 1,
      sym__annotated_type,
    STATE(6507), 1,
      sym_identifier,
    STATE(6519), 1,
      sym__soft_identifier,
    STATE(9543), 1,
      sym_annotated_type,
    STATE(10605), 1,
      sym__type,
    STATE(10688), 1,
      sym__non_null_literal,
    STATE(10694), 1,
      sym_template_body,
    STATE(11854), 1,
      sym__infix_type_choice,
    STATE(15033), 1,
      sym_parameter_types,
    STATE(15913), 1,
      sym_stable_identifier,
    ACTIONS(6476), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6478), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6480), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3202), 2,
      sym_comment,
      sym_block_comment,
    STATE(10019), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10618), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10653), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10689), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6466), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7263), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [105009] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6456), 1,
      sym__alpha_identifier,
    ACTIONS(6458), 1,
      anon_sym_COLON,
    ACTIONS(6460), 1,
      anon_sym_LBRACE,
    ACTIONS(6462), 1,
      anon_sym__,
    ACTIONS(6464), 1,
      anon_sym_LBRACK,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    ACTIONS(6470), 1,
      sym__backquoted_id,
    ACTIONS(6472), 1,
      sym_operator_identifier,
    ACTIONS(6474), 1,
      sym_integer_literal,
    STATE(5597), 1,
      sym__simple_type,
    STATE(6438), 1,
      sym__annotated_type,
    STATE(6507), 1,
      sym_identifier,
    STATE(6519), 1,
      sym__soft_identifier,
    STATE(9543), 1,
      sym_annotated_type,
    STATE(10606), 1,
      sym__type,
    STATE(10688), 1,
      sym__non_null_literal,
    STATE(10694), 1,
      sym_template_body,
    STATE(11854), 1,
      sym__infix_type_choice,
    STATE(15033), 1,
      sym_parameter_types,
    STATE(15913), 1,
      sym_stable_identifier,
    ACTIONS(6476), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6478), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6480), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3203), 2,
      sym_comment,
      sym_block_comment,
    STATE(10019), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10618), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10653), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10689), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6466), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7263), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [105128] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6456), 1,
      sym__alpha_identifier,
    ACTIONS(6458), 1,
      anon_sym_COLON,
    ACTIONS(6460), 1,
      anon_sym_LBRACE,
    ACTIONS(6462), 1,
      anon_sym__,
    ACTIONS(6464), 1,
      anon_sym_LBRACK,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    ACTIONS(6470), 1,
      sym__backquoted_id,
    ACTIONS(6472), 1,
      sym_operator_identifier,
    ACTIONS(6474), 1,
      sym_integer_literal,
    STATE(5597), 1,
      sym__simple_type,
    STATE(6438), 1,
      sym__annotated_type,
    STATE(6507), 1,
      sym_identifier,
    STATE(6519), 1,
      sym__soft_identifier,
    STATE(9543), 1,
      sym_annotated_type,
    STATE(10612), 1,
      sym__type,
    STATE(10688), 1,
      sym__non_null_literal,
    STATE(10694), 1,
      sym_template_body,
    STATE(11854), 1,
      sym__infix_type_choice,
    STATE(15033), 1,
      sym_parameter_types,
    STATE(15913), 1,
      sym_stable_identifier,
    ACTIONS(6476), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6478), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6480), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3204), 2,
      sym_comment,
      sym_block_comment,
    STATE(10019), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10618), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10653), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10689), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6466), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7263), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [105247] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(6442), 1,
      sym__alpha_identifier,
    ACTIONS(6444), 1,
      anon_sym__,
    ACTIONS(6446), 1,
      anon_sym_LBRACK,
    ACTIONS(6450), 1,
      anon_sym_LPAREN,
    ACTIONS(6452), 1,
      sym__backquoted_id,
    ACTIONS(6454), 1,
      sym_operator_identifier,
    STATE(7147), 1,
      sym__simple_type,
    STATE(7576), 1,
      sym__annotated_type,
    STATE(7639), 1,
      sym_identifier,
    STATE(7905), 1,
      sym__soft_identifier,
    STATE(10021), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11756), 1,
      sym__type,
    STATE(11758), 1,
      sym_template_body,
    STATE(12044), 1,
      sym__infix_type_choice,
    STATE(15271), 1,
      sym_parameter_types,
    STATE(16088), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3205), 2,
      sym_comment,
      sym_block_comment,
    STATE(10385), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6448), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8251), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [105366] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1340), 1,
      sym_integer_literal,
    ACTIONS(6420), 1,
      sym__alpha_identifier,
    ACTIONS(6422), 1,
      anon_sym_COLON,
    ACTIONS(6424), 1,
      anon_sym_LBRACE,
    ACTIONS(6426), 1,
      anon_sym__,
    ACTIONS(6428), 1,
      anon_sym_LBRACK,
    ACTIONS(6432), 1,
      anon_sym_LPAREN,
    ACTIONS(6434), 1,
      sym__backquoted_id,
    ACTIONS(6436), 1,
      sym_operator_identifier,
    STATE(4810), 1,
      sym__annotated_type,
    STATE(4950), 1,
      sym__simple_type,
    STATE(5127), 1,
      sym_identifier,
    STATE(5256), 1,
      sym__soft_identifier,
    STATE(7447), 1,
      sym_annotated_type,
    STATE(11990), 1,
      sym__infix_type_choice,
    STATE(12323), 1,
      sym_template_body,
    STATE(12594), 1,
      sym__non_null_literal,
    STATE(12740), 1,
      sym__type,
    STATE(15097), 1,
      sym_parameter_types,
    STATE(16884), 1,
      sym_stable_identifier,
    ACTIONS(1342), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1344), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1348), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3206), 2,
      sym_comment,
      sym_block_comment,
    STATE(7946), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8055), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9570), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12588), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6430), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5789), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [105485] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1470), 1,
      sym_integer_literal,
    ACTIONS(6308), 1,
      anon_sym_COLON,
    ACTIONS(6310), 1,
      anon_sym_LBRACE,
    ACTIONS(6406), 1,
      sym__alpha_identifier,
    ACTIONS(6408), 1,
      anon_sym__,
    ACTIONS(6410), 1,
      anon_sym_LBRACK,
    ACTIONS(6414), 1,
      anon_sym_LPAREN,
    ACTIONS(6416), 1,
      sym__backquoted_id,
    ACTIONS(6418), 1,
      sym_operator_identifier,
    STATE(4431), 1,
      sym__annotated_type,
    STATE(4488), 1,
      sym__simple_type,
    STATE(4562), 1,
      sym_identifier,
    STATE(4586), 1,
      sym__soft_identifier,
    STATE(6072), 1,
      sym_annotated_type,
    STATE(11037), 1,
      sym_template_body,
    STATE(11210), 1,
      sym__non_null_literal,
    STATE(11244), 1,
      sym__type,
    STATE(12002), 1,
      sym__infix_type_choice,
    STATE(15228), 1,
      sym_parameter_types,
    STATE(16878), 1,
      sym_stable_identifier,
    ACTIONS(1472), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1474), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1478), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3207), 2,
      sym_comment,
      sym_block_comment,
    STATE(5691), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(5971), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8576), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11213), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6412), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4832), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [105604] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15286), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3208), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [105723] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1470), 1,
      sym_integer_literal,
    ACTIONS(6308), 1,
      anon_sym_COLON,
    ACTIONS(6310), 1,
      anon_sym_LBRACE,
    ACTIONS(6406), 1,
      sym__alpha_identifier,
    ACTIONS(6408), 1,
      anon_sym__,
    ACTIONS(6410), 1,
      anon_sym_LBRACK,
    ACTIONS(6414), 1,
      anon_sym_LPAREN,
    ACTIONS(6416), 1,
      sym__backquoted_id,
    ACTIONS(6418), 1,
      sym_operator_identifier,
    STATE(4431), 1,
      sym__annotated_type,
    STATE(4488), 1,
      sym__simple_type,
    STATE(4562), 1,
      sym_identifier,
    STATE(4586), 1,
      sym__soft_identifier,
    STATE(6072), 1,
      sym_annotated_type,
    STATE(11037), 1,
      sym_template_body,
    STATE(11180), 1,
      sym__type,
    STATE(11210), 1,
      sym__non_null_literal,
    STATE(12002), 1,
      sym__infix_type_choice,
    STATE(15228), 1,
      sym_parameter_types,
    STATE(16878), 1,
      sym_stable_identifier,
    ACTIONS(1472), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1474), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1478), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3209), 2,
      sym_comment,
      sym_block_comment,
    STATE(5691), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(5971), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8576), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11213), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6412), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4832), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [105842] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14603), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3210), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [105961] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1470), 1,
      sym_integer_literal,
    ACTIONS(6306), 1,
      sym__alpha_identifier,
    ACTIONS(6308), 1,
      anon_sym_COLON,
    ACTIONS(6310), 1,
      anon_sym_LBRACE,
    ACTIONS(6312), 1,
      anon_sym__,
    ACTIONS(6314), 1,
      anon_sym_LBRACK,
    ACTIONS(6318), 1,
      anon_sym_LPAREN,
    ACTIONS(6320), 1,
      sym__backquoted_id,
    ACTIONS(6322), 1,
      sym_operator_identifier,
    STATE(6427), 1,
      sym__annotated_type,
    STATE(6449), 1,
      sym__simple_type,
    STATE(7277), 1,
      sym_identifier,
    STATE(7350), 1,
      sym__soft_identifier,
    STATE(9263), 1,
      sym_annotated_type,
    STATE(11037), 1,
      sym_template_body,
    STATE(11210), 1,
      sym__non_null_literal,
    STATE(11313), 1,
      sym__type,
    STATE(12025), 1,
      sym__infix_type_choice,
    STATE(15177), 1,
      sym_parameter_types,
    STATE(16866), 1,
      sym_stable_identifier,
    ACTIONS(1472), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1474), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1478), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3211), 2,
      sym_comment,
      sym_block_comment,
    STATE(5691), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(5971), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10319), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11213), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6316), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7958), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [106080] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6456), 1,
      sym__alpha_identifier,
    ACTIONS(6458), 1,
      anon_sym_COLON,
    ACTIONS(6460), 1,
      anon_sym_LBRACE,
    ACTIONS(6462), 1,
      anon_sym__,
    ACTIONS(6464), 1,
      anon_sym_LBRACK,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    ACTIONS(6470), 1,
      sym__backquoted_id,
    ACTIONS(6472), 1,
      sym_operator_identifier,
    ACTIONS(6474), 1,
      sym_integer_literal,
    STATE(5597), 1,
      sym__simple_type,
    STATE(6438), 1,
      sym__annotated_type,
    STATE(6507), 1,
      sym_identifier,
    STATE(6519), 1,
      sym__soft_identifier,
    STATE(9543), 1,
      sym_annotated_type,
    STATE(10623), 1,
      sym__type,
    STATE(10688), 1,
      sym__non_null_literal,
    STATE(10694), 1,
      sym_template_body,
    STATE(11854), 1,
      sym__infix_type_choice,
    STATE(15033), 1,
      sym_parameter_types,
    STATE(15913), 1,
      sym_stable_identifier,
    ACTIONS(6476), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6478), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6480), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3212), 2,
      sym_comment,
      sym_block_comment,
    STATE(10019), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10618), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10653), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10689), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6466), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7263), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [106199] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1470), 1,
      sym_integer_literal,
    ACTIONS(6306), 1,
      sym__alpha_identifier,
    ACTIONS(6308), 1,
      anon_sym_COLON,
    ACTIONS(6310), 1,
      anon_sym_LBRACE,
    ACTIONS(6312), 1,
      anon_sym__,
    ACTIONS(6314), 1,
      anon_sym_LBRACK,
    ACTIONS(6318), 1,
      anon_sym_LPAREN,
    ACTIONS(6320), 1,
      sym__backquoted_id,
    ACTIONS(6322), 1,
      sym_operator_identifier,
    STATE(6427), 1,
      sym__annotated_type,
    STATE(6449), 1,
      sym__simple_type,
    STATE(7277), 1,
      sym_identifier,
    STATE(7350), 1,
      sym__soft_identifier,
    STATE(9263), 1,
      sym_annotated_type,
    STATE(11037), 1,
      sym_template_body,
    STATE(11210), 1,
      sym__non_null_literal,
    STATE(11263), 1,
      sym__type,
    STATE(12025), 1,
      sym__infix_type_choice,
    STATE(15177), 1,
      sym_parameter_types,
    STATE(16866), 1,
      sym_stable_identifier,
    ACTIONS(1472), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1474), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1478), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3213), 2,
      sym_comment,
      sym_block_comment,
    STATE(5691), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(5971), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10319), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11213), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6316), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7958), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [106318] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14903), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3214), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [106437] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15139), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3215), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [106556] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1470), 1,
      sym_integer_literal,
    ACTIONS(6306), 1,
      sym__alpha_identifier,
    ACTIONS(6308), 1,
      anon_sym_COLON,
    ACTIONS(6310), 1,
      anon_sym_LBRACE,
    ACTIONS(6312), 1,
      anon_sym__,
    ACTIONS(6314), 1,
      anon_sym_LBRACK,
    ACTIONS(6318), 1,
      anon_sym_LPAREN,
    ACTIONS(6320), 1,
      sym__backquoted_id,
    ACTIONS(6322), 1,
      sym_operator_identifier,
    STATE(6427), 1,
      sym__annotated_type,
    STATE(6449), 1,
      sym__simple_type,
    STATE(7277), 1,
      sym_identifier,
    STATE(7350), 1,
      sym__soft_identifier,
    STATE(9263), 1,
      sym_annotated_type,
    STATE(11037), 1,
      sym_template_body,
    STATE(11210), 1,
      sym__non_null_literal,
    STATE(11244), 1,
      sym__type,
    STATE(12025), 1,
      sym__infix_type_choice,
    STATE(15177), 1,
      sym_parameter_types,
    STATE(16866), 1,
      sym_stable_identifier,
    ACTIONS(1472), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1474), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1478), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3216), 2,
      sym_comment,
      sym_block_comment,
    STATE(5691), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(5971), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10319), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11213), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6316), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7958), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [106675] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4298), 1,
      anon_sym_COLON,
    ACTIONS(4300), 1,
      anon_sym_LBRACE,
    ACTIONS(4318), 1,
      sym_integer_literal,
    ACTIONS(4366), 1,
      sym__alpha_identifier,
    ACTIONS(4368), 1,
      anon_sym__,
    ACTIONS(4372), 1,
      anon_sym_LBRACK,
    ACTIONS(4378), 1,
      sym__backquoted_id,
    ACTIONS(6438), 1,
      anon_sym_LPAREN,
    ACTIONS(6440), 1,
      sym_operator_identifier,
    STATE(4417), 1,
      sym__annotated_type,
    STATE(4436), 1,
      sym__simple_type,
    STATE(4542), 1,
      sym_identifier,
    STATE(4655), 1,
      sym__soft_identifier,
    STATE(6289), 1,
      sym_annotated_type,
    STATE(11545), 1,
      sym_template_body,
    STATE(11584), 1,
      sym__non_null_literal,
    STATE(11700), 1,
      sym__type,
    STATE(11865), 1,
      sym__infix_type_choice,
    STATE(15090), 1,
      sym_parameter_types,
    STATE(16650), 1,
      sym_stable_identifier,
    ACTIONS(4320), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4322), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4324), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3217), 2,
      sym_comment,
      sym_block_comment,
    STATE(8197), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11721), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11745), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11582), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4374), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4887), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [106794] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4520), 1,
      sym__alpha_identifier,
    ACTIONS(4522), 1,
      anon_sym_COLON,
    ACTIONS(4524), 1,
      anon_sym_LBRACE,
    ACTIONS(4526), 1,
      anon_sym__,
    ACTIONS(4530), 1,
      anon_sym_LBRACK,
    ACTIONS(4538), 1,
      sym__backquoted_id,
    ACTIONS(4542), 1,
      sym_integer_literal,
    ACTIONS(6482), 1,
      anon_sym_LPAREN,
    ACTIONS(6484), 1,
      sym_operator_identifier,
    STATE(4744), 1,
      sym__simple_type,
    STATE(4788), 1,
      sym__annotated_type,
    STATE(4974), 1,
      sym__soft_identifier,
    STATE(5203), 1,
      sym_identifier,
    STATE(7713), 1,
      sym_annotated_type,
    STATE(12090), 1,
      sym__infix_type_choice,
    STATE(12715), 1,
      sym__non_null_literal,
    STATE(12802), 1,
      sym__type,
    STATE(12842), 1,
      sym_template_body,
    STATE(15216), 1,
      sym_parameter_types,
    STATE(16130), 1,
      sym_stable_identifier,
    ACTIONS(4544), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4546), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4548), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3218), 2,
      sym_comment,
      sym_block_comment,
    STATE(9562), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12661), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12905), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12714), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4532), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5932), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [106913] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1470), 1,
      sym_integer_literal,
    ACTIONS(6306), 1,
      sym__alpha_identifier,
    ACTIONS(6308), 1,
      anon_sym_COLON,
    ACTIONS(6310), 1,
      anon_sym_LBRACE,
    ACTIONS(6312), 1,
      anon_sym__,
    ACTIONS(6314), 1,
      anon_sym_LBRACK,
    ACTIONS(6318), 1,
      anon_sym_LPAREN,
    ACTIONS(6320), 1,
      sym__backquoted_id,
    ACTIONS(6322), 1,
      sym_operator_identifier,
    STATE(6427), 1,
      sym__annotated_type,
    STATE(6449), 1,
      sym__simple_type,
    STATE(7277), 1,
      sym_identifier,
    STATE(7350), 1,
      sym__soft_identifier,
    STATE(9263), 1,
      sym_annotated_type,
    STATE(11037), 1,
      sym_template_body,
    STATE(11180), 1,
      sym__type,
    STATE(11210), 1,
      sym__non_null_literal,
    STATE(12025), 1,
      sym__infix_type_choice,
    STATE(15177), 1,
      sym_parameter_types,
    STATE(16866), 1,
      sym_stable_identifier,
    ACTIONS(1472), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1474), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1478), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3219), 2,
      sym_comment,
      sym_block_comment,
    STATE(5691), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(5971), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10319), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11213), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6316), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7958), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [107032] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4520), 1,
      sym__alpha_identifier,
    ACTIONS(4522), 1,
      anon_sym_COLON,
    ACTIONS(4524), 1,
      anon_sym_LBRACE,
    ACTIONS(4526), 1,
      anon_sym__,
    ACTIONS(4530), 1,
      anon_sym_LBRACK,
    ACTIONS(4538), 1,
      sym__backquoted_id,
    ACTIONS(4542), 1,
      sym_integer_literal,
    ACTIONS(6482), 1,
      anon_sym_LPAREN,
    ACTIONS(6484), 1,
      sym_operator_identifier,
    STATE(4744), 1,
      sym__simple_type,
    STATE(4788), 1,
      sym__annotated_type,
    STATE(4974), 1,
      sym__soft_identifier,
    STATE(5203), 1,
      sym_identifier,
    STATE(7713), 1,
      sym_annotated_type,
    STATE(12090), 1,
      sym__infix_type_choice,
    STATE(12715), 1,
      sym__non_null_literal,
    STATE(12818), 1,
      sym__type,
    STATE(12842), 1,
      sym_template_body,
    STATE(15216), 1,
      sym_parameter_types,
    STATE(16130), 1,
      sym_stable_identifier,
    ACTIONS(4544), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4546), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4548), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3220), 2,
      sym_comment,
      sym_block_comment,
    STATE(9562), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12661), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12905), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12714), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4532), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5932), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [107151] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3221), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__interpolated_multiline_string_start,
    ACTIONS(4134), 7,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 10,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_DQUOTE,
    ACTIONS(4130), 29,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [107220] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4520), 1,
      sym__alpha_identifier,
    ACTIONS(4522), 1,
      anon_sym_COLON,
    ACTIONS(4524), 1,
      anon_sym_LBRACE,
    ACTIONS(4526), 1,
      anon_sym__,
    ACTIONS(4530), 1,
      anon_sym_LBRACK,
    ACTIONS(4538), 1,
      sym__backquoted_id,
    ACTIONS(4542), 1,
      sym_integer_literal,
    ACTIONS(6482), 1,
      anon_sym_LPAREN,
    ACTIONS(6484), 1,
      sym_operator_identifier,
    STATE(4744), 1,
      sym__simple_type,
    STATE(4788), 1,
      sym__annotated_type,
    STATE(4974), 1,
      sym__soft_identifier,
    STATE(5203), 1,
      sym_identifier,
    STATE(7713), 1,
      sym_annotated_type,
    STATE(12090), 1,
      sym__infix_type_choice,
    STATE(12715), 1,
      sym__non_null_literal,
    STATE(12827), 1,
      sym__type,
    STATE(12842), 1,
      sym_template_body,
    STATE(15216), 1,
      sym_parameter_types,
    STATE(16130), 1,
      sym_stable_identifier,
    ACTIONS(4544), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4546), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4548), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3222), 2,
      sym_comment,
      sym_block_comment,
    STATE(9562), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12661), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12905), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12714), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4532), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5932), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [107339] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1520), 1,
      sym_integer_literal,
    ACTIONS(6486), 1,
      sym__alpha_identifier,
    ACTIONS(6488), 1,
      anon_sym_COLON,
    ACTIONS(6490), 1,
      anon_sym_LBRACE,
    ACTIONS(6492), 1,
      anon_sym__,
    ACTIONS(6494), 1,
      anon_sym_LBRACK,
    ACTIONS(6498), 1,
      anon_sym_LPAREN,
    ACTIONS(6500), 1,
      sym__backquoted_id,
    ACTIONS(6502), 1,
      sym_operator_identifier,
    STATE(5072), 1,
      sym__annotated_type,
    STATE(5353), 1,
      sym__simple_type,
    STATE(5485), 1,
      sym__soft_identifier,
    STATE(5556), 1,
      sym_identifier,
    STATE(8431), 1,
      sym_annotated_type,
    STATE(11809), 1,
      sym__infix_type_choice,
    STATE(12690), 1,
      sym_template_body,
    STATE(12711), 1,
      sym__non_null_literal,
    STATE(12782), 1,
      sym__type,
    STATE(15087), 1,
      sym_parameter_types,
    STATE(16662), 1,
      sym_stable_identifier,
    ACTIONS(1522), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1524), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1528), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3223), 2,
      sym_comment,
      sym_block_comment,
    STATE(8413), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8440), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9895), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12713), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6496), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6338), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [107458] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4520), 1,
      sym__alpha_identifier,
    ACTIONS(4522), 1,
      anon_sym_COLON,
    ACTIONS(4524), 1,
      anon_sym_LBRACE,
    ACTIONS(4526), 1,
      anon_sym__,
    ACTIONS(4530), 1,
      anon_sym_LBRACK,
    ACTIONS(4538), 1,
      sym__backquoted_id,
    ACTIONS(4542), 1,
      sym_integer_literal,
    ACTIONS(6482), 1,
      anon_sym_LPAREN,
    ACTIONS(6484), 1,
      sym_operator_identifier,
    STATE(4744), 1,
      sym__simple_type,
    STATE(4788), 1,
      sym__annotated_type,
    STATE(4974), 1,
      sym__soft_identifier,
    STATE(5203), 1,
      sym_identifier,
    STATE(7713), 1,
      sym_annotated_type,
    STATE(12090), 1,
      sym__infix_type_choice,
    STATE(12715), 1,
      sym__non_null_literal,
    STATE(12836), 1,
      sym__type,
    STATE(12842), 1,
      sym_template_body,
    STATE(15216), 1,
      sym_parameter_types,
    STATE(16130), 1,
      sym_stable_identifier,
    ACTIONS(4544), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4546), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4548), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3224), 2,
      sym_comment,
      sym_block_comment,
    STATE(9562), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12661), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12905), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12714), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4532), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5932), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [107577] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14894), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3225), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [107696] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4520), 1,
      sym__alpha_identifier,
    ACTIONS(4522), 1,
      anon_sym_COLON,
    ACTIONS(4524), 1,
      anon_sym_LBRACE,
    ACTIONS(4526), 1,
      anon_sym__,
    ACTIONS(4530), 1,
      anon_sym_LBRACK,
    ACTIONS(4538), 1,
      sym__backquoted_id,
    ACTIONS(4542), 1,
      sym_integer_literal,
    ACTIONS(6482), 1,
      anon_sym_LPAREN,
    ACTIONS(6484), 1,
      sym_operator_identifier,
    STATE(4744), 1,
      sym__simple_type,
    STATE(4788), 1,
      sym__annotated_type,
    STATE(4974), 1,
      sym__soft_identifier,
    STATE(5203), 1,
      sym_identifier,
    STATE(7713), 1,
      sym_annotated_type,
    STATE(12090), 1,
      sym__infix_type_choice,
    STATE(12715), 1,
      sym__non_null_literal,
    STATE(12842), 1,
      sym_template_body,
    STATE(12914), 1,
      sym__type,
    STATE(15216), 1,
      sym_parameter_types,
    STATE(16130), 1,
      sym_stable_identifier,
    ACTIONS(4544), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4546), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4548), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3226), 2,
      sym_comment,
      sym_block_comment,
    STATE(9562), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12661), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12905), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12714), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4532), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5932), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [107815] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1304), 1,
      sym_integer_literal,
    ACTIONS(6324), 1,
      sym__alpha_identifier,
    ACTIONS(6326), 1,
      anon_sym_COLON,
    ACTIONS(6328), 1,
      anon_sym_LBRACE,
    ACTIONS(6330), 1,
      anon_sym__,
    ACTIONS(6332), 1,
      anon_sym_LBRACK,
    ACTIONS(6336), 1,
      anon_sym_LPAREN,
    ACTIONS(6338), 1,
      sym__backquoted_id,
    ACTIONS(6340), 1,
      sym_operator_identifier,
    STATE(5038), 1,
      sym__simple_type,
    STATE(5160), 1,
      sym__annotated_type,
    STATE(5394), 1,
      sym__soft_identifier,
    STATE(5729), 1,
      sym_identifier,
    STATE(8556), 1,
      sym_annotated_type,
    STATE(11959), 1,
      sym__infix_type_choice,
    STATE(12698), 1,
      sym__non_null_literal,
    STATE(12725), 1,
      sym_template_body,
    STATE(13016), 1,
      sym__type,
    STATE(15098), 1,
      sym_parameter_types,
    STATE(16902), 1,
      sym_stable_identifier,
    ACTIONS(1306), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1308), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1312), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3227), 2,
      sym_comment,
      sym_block_comment,
    STATE(8242), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8470), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9641), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12876), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6334), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6655), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [107934] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1700), 1,
      sym_integer_literal,
    ACTIONS(6264), 1,
      sym__alpha_identifier,
    ACTIONS(6266), 1,
      anon_sym_COLON,
    ACTIONS(6268), 1,
      anon_sym_LBRACE,
    ACTIONS(6270), 1,
      anon_sym__,
    ACTIONS(6272), 1,
      anon_sym_LBRACK,
    ACTIONS(6276), 1,
      anon_sym_LPAREN,
    ACTIONS(6278), 1,
      sym__backquoted_id,
    ACTIONS(6280), 1,
      sym_operator_identifier,
    STATE(5564), 1,
      sym__annotated_type,
    STATE(5731), 1,
      sym__simple_type,
    STATE(6002), 1,
      sym__soft_identifier,
    STATE(6112), 1,
      sym_identifier,
    STATE(8743), 1,
      sym_annotated_type,
    STATE(12113), 1,
      sym__infix_type_choice,
    STATE(13007), 1,
      sym__non_null_literal,
    STATE(13094), 1,
      sym__type,
    STATE(13099), 1,
      sym_template_body,
    STATE(15095), 1,
      sym_parameter_types,
    STATE(16854), 1,
      sym_stable_identifier,
    ACTIONS(1702), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1704), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1708), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3228), 2,
      sym_comment,
      sym_block_comment,
    STATE(8798), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9060), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10160), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13012), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6274), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6976), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [108053] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15874), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3229), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [108172] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1700), 1,
      sym_integer_literal,
    ACTIONS(6264), 1,
      sym__alpha_identifier,
    ACTIONS(6266), 1,
      anon_sym_COLON,
    ACTIONS(6268), 1,
      anon_sym_LBRACE,
    ACTIONS(6270), 1,
      anon_sym__,
    ACTIONS(6272), 1,
      anon_sym_LBRACK,
    ACTIONS(6276), 1,
      anon_sym_LPAREN,
    ACTIONS(6278), 1,
      sym__backquoted_id,
    ACTIONS(6280), 1,
      sym_operator_identifier,
    STATE(5564), 1,
      sym__annotated_type,
    STATE(5731), 1,
      sym__simple_type,
    STATE(6002), 1,
      sym__soft_identifier,
    STATE(6112), 1,
      sym_identifier,
    STATE(8743), 1,
      sym_annotated_type,
    STATE(12113), 1,
      sym__infix_type_choice,
    STATE(13007), 1,
      sym__non_null_literal,
    STATE(13073), 1,
      sym__type,
    STATE(13099), 1,
      sym_template_body,
    STATE(15095), 1,
      sym_parameter_types,
    STATE(16854), 1,
      sym_stable_identifier,
    ACTIONS(1702), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1704), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1708), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3230), 2,
      sym_comment,
      sym_block_comment,
    STATE(8798), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9060), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10160), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13012), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6274), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6976), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [108291] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1232), 1,
      sym_integer_literal,
    ACTIONS(6388), 1,
      anon_sym_COLON,
    ACTIONS(6390), 1,
      anon_sym_LBRACE,
    ACTIONS(6504), 1,
      sym__alpha_identifier,
    ACTIONS(6506), 1,
      anon_sym__,
    ACTIONS(6508), 1,
      anon_sym_LBRACK,
    ACTIONS(6512), 1,
      anon_sym_LPAREN,
    ACTIONS(6514), 1,
      sym__backquoted_id,
    ACTIONS(6516), 1,
      sym_operator_identifier,
    STATE(5407), 1,
      sym__simple_type,
    STATE(5653), 1,
      sym__annotated_type,
    STATE(6108), 1,
      sym__soft_identifier,
    STATE(6447), 1,
      sym_identifier,
    STATE(9236), 1,
      sym_annotated_type,
    STATE(10724), 1,
      sym_template_body,
    STATE(10963), 1,
      sym__non_null_literal,
    STATE(11224), 1,
      sym__type,
    STATE(11885), 1,
      sym__infix_type_choice,
    STATE(15175), 1,
      sym_parameter_types,
    STATE(16716), 1,
      sym_stable_identifier,
    ACTIONS(1234), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1236), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1240), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3231), 2,
      sym_comment,
      sym_block_comment,
    STATE(5055), 2,
      sym_boolean_literal,
      sym_string,
    STATE(5088), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10146), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10958), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6510), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6709), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [108410] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15877), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3232), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [108529] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4214), 1,
      anon_sym_COLON,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4234), 1,
      sym_integer_literal,
    ACTIONS(6130), 1,
      sym__alpha_identifier,
    ACTIONS(6136), 1,
      anon_sym__,
    ACTIONS(6142), 1,
      anon_sym_LPAREN,
    ACTIONS(6144), 1,
      sym__backquoted_id,
    ACTIONS(6146), 1,
      sym_operator_identifier,
    ACTIONS(6204), 1,
      anon_sym_LBRACK,
    STATE(6664), 1,
      sym__simple_type,
    STATE(7617), 1,
      sym_identifier,
    STATE(7635), 1,
      sym__soft_identifier,
    STATE(7736), 1,
      sym__annotated_type,
    STATE(9838), 1,
      sym_annotated_type,
    STATE(10416), 1,
      sym_template_body,
    STATE(10964), 1,
      sym__type,
    STATE(11029), 1,
      sym__non_null_literal,
    STATE(11876), 1,
      sym__infix_type_choice,
    STATE(15270), 1,
      sym_parameter_types,
    STATE(15858), 1,
      sym_stable_identifier,
    ACTIONS(4236), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4238), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4242), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3233), 2,
      sym_comment,
      sym_block_comment,
    STATE(10309), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10819), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10870), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11034), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6140), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8290), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [108648] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4214), 1,
      anon_sym_COLON,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4234), 1,
      sym_integer_literal,
    ACTIONS(6130), 1,
      sym__alpha_identifier,
    ACTIONS(6136), 1,
      anon_sym__,
    ACTIONS(6142), 1,
      anon_sym_LPAREN,
    ACTIONS(6144), 1,
      sym__backquoted_id,
    ACTIONS(6146), 1,
      sym_operator_identifier,
    ACTIONS(6204), 1,
      anon_sym_LBRACK,
    STATE(6664), 1,
      sym__simple_type,
    STATE(7617), 1,
      sym_identifier,
    STATE(7635), 1,
      sym__soft_identifier,
    STATE(7736), 1,
      sym__annotated_type,
    STATE(9838), 1,
      sym_annotated_type,
    STATE(10416), 1,
      sym_template_body,
    STATE(10965), 1,
      sym__type,
    STATE(11029), 1,
      sym__non_null_literal,
    STATE(11876), 1,
      sym__infix_type_choice,
    STATE(15270), 1,
      sym_parameter_types,
    STATE(15858), 1,
      sym_stable_identifier,
    ACTIONS(4236), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4238), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4242), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3234), 2,
      sym_comment,
      sym_block_comment,
    STATE(10309), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10819), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10870), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11034), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6140), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8290), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [108767] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4214), 1,
      anon_sym_COLON,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4234), 1,
      sym_integer_literal,
    ACTIONS(6130), 1,
      sym__alpha_identifier,
    ACTIONS(6136), 1,
      anon_sym__,
    ACTIONS(6142), 1,
      anon_sym_LPAREN,
    ACTIONS(6144), 1,
      sym__backquoted_id,
    ACTIONS(6146), 1,
      sym_operator_identifier,
    ACTIONS(6204), 1,
      anon_sym_LBRACK,
    STATE(6664), 1,
      sym__simple_type,
    STATE(7617), 1,
      sym_identifier,
    STATE(7635), 1,
      sym__soft_identifier,
    STATE(7736), 1,
      sym__annotated_type,
    STATE(9838), 1,
      sym_annotated_type,
    STATE(10416), 1,
      sym_template_body,
    STATE(10966), 1,
      sym__type,
    STATE(11029), 1,
      sym__non_null_literal,
    STATE(11876), 1,
      sym__infix_type_choice,
    STATE(15270), 1,
      sym_parameter_types,
    STATE(15858), 1,
      sym_stable_identifier,
    ACTIONS(4236), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4238), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4242), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3235), 2,
      sym_comment,
      sym_block_comment,
    STATE(10309), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10819), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10870), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11034), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6140), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8290), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [108886] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4214), 1,
      anon_sym_COLON,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4234), 1,
      sym_integer_literal,
    ACTIONS(6130), 1,
      sym__alpha_identifier,
    ACTIONS(6136), 1,
      anon_sym__,
    ACTIONS(6142), 1,
      anon_sym_LPAREN,
    ACTIONS(6144), 1,
      sym__backquoted_id,
    ACTIONS(6146), 1,
      sym_operator_identifier,
    ACTIONS(6204), 1,
      anon_sym_LBRACK,
    STATE(6664), 1,
      sym__simple_type,
    STATE(7617), 1,
      sym_identifier,
    STATE(7635), 1,
      sym__soft_identifier,
    STATE(7736), 1,
      sym__annotated_type,
    STATE(9838), 1,
      sym_annotated_type,
    STATE(10416), 1,
      sym_template_body,
    STATE(10989), 1,
      sym__type,
    STATE(11029), 1,
      sym__non_null_literal,
    STATE(11876), 1,
      sym__infix_type_choice,
    STATE(15270), 1,
      sym_parameter_types,
    STATE(15858), 1,
      sym_stable_identifier,
    ACTIONS(4236), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4238), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4242), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3236), 2,
      sym_comment,
      sym_block_comment,
    STATE(10309), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10819), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10870), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11034), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6140), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8290), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [109005] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14926), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3237), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [109124] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15198), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3238), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [109243] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1700), 1,
      sym_integer_literal,
    ACTIONS(6264), 1,
      sym__alpha_identifier,
    ACTIONS(6266), 1,
      anon_sym_COLON,
    ACTIONS(6268), 1,
      anon_sym_LBRACE,
    ACTIONS(6270), 1,
      anon_sym__,
    ACTIONS(6272), 1,
      anon_sym_LBRACK,
    ACTIONS(6276), 1,
      anon_sym_LPAREN,
    ACTIONS(6278), 1,
      sym__backquoted_id,
    ACTIONS(6280), 1,
      sym_operator_identifier,
    STATE(5564), 1,
      sym__annotated_type,
    STATE(5731), 1,
      sym__simple_type,
    STATE(6002), 1,
      sym__soft_identifier,
    STATE(6112), 1,
      sym_identifier,
    STATE(8743), 1,
      sym_annotated_type,
    STATE(12113), 1,
      sym__infix_type_choice,
    STATE(13007), 1,
      sym__non_null_literal,
    STATE(13072), 1,
      sym__type,
    STATE(13099), 1,
      sym_template_body,
    STATE(15095), 1,
      sym_parameter_types,
    STATE(16854), 1,
      sym_stable_identifier,
    ACTIONS(1702), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1704), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1708), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3239), 2,
      sym_comment,
      sym_block_comment,
    STATE(8798), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9060), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10160), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13012), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6274), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6976), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [109362] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1700), 1,
      sym_integer_literal,
    ACTIONS(6264), 1,
      sym__alpha_identifier,
    ACTIONS(6266), 1,
      anon_sym_COLON,
    ACTIONS(6268), 1,
      anon_sym_LBRACE,
    ACTIONS(6270), 1,
      anon_sym__,
    ACTIONS(6272), 1,
      anon_sym_LBRACK,
    ACTIONS(6276), 1,
      anon_sym_LPAREN,
    ACTIONS(6278), 1,
      sym__backquoted_id,
    ACTIONS(6280), 1,
      sym_operator_identifier,
    STATE(5564), 1,
      sym__annotated_type,
    STATE(5731), 1,
      sym__simple_type,
    STATE(6002), 1,
      sym__soft_identifier,
    STATE(6112), 1,
      sym_identifier,
    STATE(8743), 1,
      sym_annotated_type,
    STATE(12113), 1,
      sym__infix_type_choice,
    STATE(13007), 1,
      sym__non_null_literal,
    STATE(13057), 1,
      sym__type,
    STATE(13099), 1,
      sym_template_body,
    STATE(15095), 1,
      sym_parameter_types,
    STATE(16854), 1,
      sym_stable_identifier,
    ACTIONS(1702), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1704), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1708), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3240), 2,
      sym_comment,
      sym_block_comment,
    STATE(8798), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9060), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10160), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13012), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6274), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6976), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [109481] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1700), 1,
      sym_integer_literal,
    ACTIONS(6264), 1,
      sym__alpha_identifier,
    ACTIONS(6266), 1,
      anon_sym_COLON,
    ACTIONS(6268), 1,
      anon_sym_LBRACE,
    ACTIONS(6270), 1,
      anon_sym__,
    ACTIONS(6272), 1,
      anon_sym_LBRACK,
    ACTIONS(6276), 1,
      anon_sym_LPAREN,
    ACTIONS(6278), 1,
      sym__backquoted_id,
    ACTIONS(6280), 1,
      sym_operator_identifier,
    STATE(5564), 1,
      sym__annotated_type,
    STATE(5731), 1,
      sym__simple_type,
    STATE(6002), 1,
      sym__soft_identifier,
    STATE(6112), 1,
      sym_identifier,
    STATE(8743), 1,
      sym_annotated_type,
    STATE(12113), 1,
      sym__infix_type_choice,
    STATE(13007), 1,
      sym__non_null_literal,
    STATE(13099), 1,
      sym_template_body,
    STATE(13137), 1,
      sym__type,
    STATE(15095), 1,
      sym_parameter_types,
    STATE(16854), 1,
      sym_stable_identifier,
    ACTIONS(1702), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1704), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1708), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3241), 2,
      sym_comment,
      sym_block_comment,
    STATE(8798), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9060), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10160), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13012), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6274), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6976), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [109600] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15209), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3242), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [109719] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(87), 1,
      sym_integer_literal,
    ACTIONS(6130), 1,
      sym__alpha_identifier,
    ACTIONS(6132), 1,
      anon_sym_COLON,
    ACTIONS(6134), 1,
      anon_sym_LBRACE,
    ACTIONS(6136), 1,
      anon_sym__,
    ACTIONS(6138), 1,
      anon_sym_LBRACK,
    ACTIONS(6142), 1,
      anon_sym_LPAREN,
    ACTIONS(6144), 1,
      sym__backquoted_id,
    ACTIONS(6146), 1,
      sym_operator_identifier,
    STATE(6664), 1,
      sym__simple_type,
    STATE(6871), 1,
      sym__annotated_type,
    STATE(7617), 1,
      sym_identifier,
    STATE(7635), 1,
      sym__soft_identifier,
    STATE(9838), 1,
      sym_annotated_type,
    STATE(10416), 1,
      sym_template_body,
    STATE(11029), 1,
      sym__non_null_literal,
    STATE(11924), 1,
      sym__infix_type_choice,
    STATE(13912), 1,
      sym__type,
    STATE(14979), 1,
      sym_parameter_types,
    STATE(15858), 1,
      sym_stable_identifier,
    ACTIONS(89), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(91), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(103), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3243), 2,
      sym_comment,
      sym_block_comment,
    STATE(6306), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7065), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10309), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11034), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6140), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8290), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [109838] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1138), 1,
      sym_integer_literal,
    ACTIONS(6232), 1,
      sym__alpha_identifier,
    ACTIONS(6234), 1,
      anon_sym_COLON,
    ACTIONS(6236), 1,
      anon_sym_LBRACE,
    ACTIONS(6238), 1,
      anon_sym__,
    ACTIONS(6240), 1,
      anon_sym_LBRACK,
    ACTIONS(6244), 1,
      anon_sym_LPAREN,
    ACTIONS(6246), 1,
      sym__backquoted_id,
    ACTIONS(6248), 1,
      sym_operator_identifier,
    STATE(4784), 1,
      sym__annotated_type,
    STATE(4955), 1,
      sym__simple_type,
    STATE(5086), 1,
      sym_identifier,
    STATE(5254), 1,
      sym__soft_identifier,
    STATE(7531), 1,
      sym_annotated_type,
    STATE(12138), 1,
      sym__infix_type_choice,
    STATE(12271), 1,
      sym_template_body,
    STATE(12477), 1,
      sym__type,
    STATE(12623), 1,
      sym__non_null_literal,
    STATE(15094), 1,
      sym_parameter_types,
    STATE(16842), 1,
      sym_stable_identifier,
    ACTIONS(1140), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1142), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1146), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3244), 2,
      sym_comment,
      sym_block_comment,
    STATE(7501), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7707), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9471), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12239), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6242), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5895), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [109957] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4214), 1,
      anon_sym_COLON,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4234), 1,
      sym_integer_literal,
    ACTIONS(6130), 1,
      sym__alpha_identifier,
    ACTIONS(6136), 1,
      anon_sym__,
    ACTIONS(6142), 1,
      anon_sym_LPAREN,
    ACTIONS(6144), 1,
      sym__backquoted_id,
    ACTIONS(6146), 1,
      sym_operator_identifier,
    ACTIONS(6204), 1,
      anon_sym_LBRACK,
    STATE(6664), 1,
      sym__simple_type,
    STATE(7617), 1,
      sym_identifier,
    STATE(7635), 1,
      sym__soft_identifier,
    STATE(7736), 1,
      sym__annotated_type,
    STATE(9838), 1,
      sym_annotated_type,
    STATE(10416), 1,
      sym_template_body,
    STATE(10817), 1,
      sym__type,
    STATE(11029), 1,
      sym__non_null_literal,
    STATE(11876), 1,
      sym__infix_type_choice,
    STATE(15270), 1,
      sym_parameter_types,
    STATE(15858), 1,
      sym_stable_identifier,
    ACTIONS(4236), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4238), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4242), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3245), 2,
      sym_comment,
      sym_block_comment,
    STATE(10309), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10819), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10870), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11034), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6140), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8290), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [110076] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4554), 1,
      sym__alpha_identifier,
    ACTIONS(4556), 1,
      anon_sym_COLON,
    ACTIONS(4558), 1,
      anon_sym_LBRACE,
    ACTIONS(4560), 1,
      anon_sym__,
    ACTIONS(4564), 1,
      anon_sym_LBRACK,
    ACTIONS(4572), 1,
      sym__backquoted_id,
    ACTIONS(4576), 1,
      sym_integer_literal,
    ACTIONS(6518), 1,
      anon_sym_LPAREN,
    ACTIONS(6520), 1,
      sym_operator_identifier,
    STATE(5588), 1,
      sym__simple_type,
    STATE(5823), 1,
      sym__annotated_type,
    STATE(6066), 1,
      sym__soft_identifier,
    STATE(6566), 1,
      sym_identifier,
    STATE(8722), 1,
      sym_annotated_type,
    STATE(11604), 1,
      sym_template_body,
    STATE(12137), 1,
      sym__infix_type_choice,
    STATE(12480), 1,
      sym__non_null_literal,
    STATE(12537), 1,
      sym__type,
    STATE(14362), 1,
      sym_parameter_types,
    STATE(16171), 1,
      sym_stable_identifier,
    ACTIONS(4578), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4580), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4584), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3246), 2,
      sym_comment,
      sym_block_comment,
    STATE(10022), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12384), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12412), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12479), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4566), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7119), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [110195] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1138), 1,
      sym_integer_literal,
    ACTIONS(6232), 1,
      sym__alpha_identifier,
    ACTIONS(6234), 1,
      anon_sym_COLON,
    ACTIONS(6236), 1,
      anon_sym_LBRACE,
    ACTIONS(6238), 1,
      anon_sym__,
    ACTIONS(6240), 1,
      anon_sym_LBRACK,
    ACTIONS(6244), 1,
      anon_sym_LPAREN,
    ACTIONS(6246), 1,
      sym__backquoted_id,
    ACTIONS(6248), 1,
      sym_operator_identifier,
    STATE(4784), 1,
      sym__annotated_type,
    STATE(4955), 1,
      sym__simple_type,
    STATE(5086), 1,
      sym_identifier,
    STATE(5254), 1,
      sym__soft_identifier,
    STATE(7531), 1,
      sym_annotated_type,
    STATE(12138), 1,
      sym__infix_type_choice,
    STATE(12271), 1,
      sym_template_body,
    STATE(12483), 1,
      sym__type,
    STATE(12623), 1,
      sym__non_null_literal,
    STATE(15094), 1,
      sym_parameter_types,
    STATE(16842), 1,
      sym_stable_identifier,
    ACTIONS(1140), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1142), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1146), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3247), 2,
      sym_comment,
      sym_block_comment,
    STATE(7501), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7707), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9471), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12239), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6242), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5895), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [110314] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1138), 1,
      sym_integer_literal,
    ACTIONS(6232), 1,
      sym__alpha_identifier,
    ACTIONS(6234), 1,
      anon_sym_COLON,
    ACTIONS(6236), 1,
      anon_sym_LBRACE,
    ACTIONS(6238), 1,
      anon_sym__,
    ACTIONS(6240), 1,
      anon_sym_LBRACK,
    ACTIONS(6244), 1,
      anon_sym_LPAREN,
    ACTIONS(6246), 1,
      sym__backquoted_id,
    ACTIONS(6248), 1,
      sym_operator_identifier,
    STATE(4784), 1,
      sym__annotated_type,
    STATE(4955), 1,
      sym__simple_type,
    STATE(5086), 1,
      sym_identifier,
    STATE(5254), 1,
      sym__soft_identifier,
    STATE(7531), 1,
      sym_annotated_type,
    STATE(12138), 1,
      sym__infix_type_choice,
    STATE(12271), 1,
      sym_template_body,
    STATE(12484), 1,
      sym__type,
    STATE(12623), 1,
      sym__non_null_literal,
    STATE(15094), 1,
      sym_parameter_types,
    STATE(16842), 1,
      sym_stable_identifier,
    ACTIONS(1140), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1142), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1146), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3248), 2,
      sym_comment,
      sym_block_comment,
    STATE(7501), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7707), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9471), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12239), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6242), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5895), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [110433] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1138), 1,
      sym_integer_literal,
    ACTIONS(6232), 1,
      sym__alpha_identifier,
    ACTIONS(6234), 1,
      anon_sym_COLON,
    ACTIONS(6236), 1,
      anon_sym_LBRACE,
    ACTIONS(6238), 1,
      anon_sym__,
    ACTIONS(6240), 1,
      anon_sym_LBRACK,
    ACTIONS(6244), 1,
      anon_sym_LPAREN,
    ACTIONS(6246), 1,
      sym__backquoted_id,
    ACTIONS(6248), 1,
      sym_operator_identifier,
    STATE(4784), 1,
      sym__annotated_type,
    STATE(4955), 1,
      sym__simple_type,
    STATE(5086), 1,
      sym_identifier,
    STATE(5254), 1,
      sym__soft_identifier,
    STATE(7531), 1,
      sym_annotated_type,
    STATE(12138), 1,
      sym__infix_type_choice,
    STATE(12271), 1,
      sym_template_body,
    STATE(12488), 1,
      sym__type,
    STATE(12623), 1,
      sym__non_null_literal,
    STATE(15094), 1,
      sym_parameter_types,
    STATE(16842), 1,
      sym_stable_identifier,
    ACTIONS(1140), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1142), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1146), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3249), 2,
      sym_comment,
      sym_block_comment,
    STATE(7501), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7707), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9471), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12239), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6242), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5895), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [110552] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1470), 1,
      sym_integer_literal,
    ACTIONS(6306), 1,
      sym__alpha_identifier,
    ACTIONS(6308), 1,
      anon_sym_COLON,
    ACTIONS(6310), 1,
      anon_sym_LBRACE,
    ACTIONS(6312), 1,
      anon_sym__,
    ACTIONS(6314), 1,
      anon_sym_LBRACK,
    ACTIONS(6318), 1,
      anon_sym_LPAREN,
    ACTIONS(6320), 1,
      sym__backquoted_id,
    ACTIONS(6322), 1,
      sym_operator_identifier,
    STATE(6427), 1,
      sym__annotated_type,
    STATE(6449), 1,
      sym__simple_type,
    STATE(7277), 1,
      sym_identifier,
    STATE(7350), 1,
      sym__soft_identifier,
    STATE(9263), 1,
      sym_annotated_type,
    STATE(11037), 1,
      sym_template_body,
    STATE(11210), 1,
      sym__non_null_literal,
    STATE(11247), 1,
      sym__type,
    STATE(12025), 1,
      sym__infix_type_choice,
    STATE(15177), 1,
      sym_parameter_types,
    STATE(16866), 1,
      sym_stable_identifier,
    ACTIONS(1472), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1474), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1478), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3250), 2,
      sym_comment,
      sym_block_comment,
    STATE(5691), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(5971), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10319), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11213), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6316), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7958), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [110671] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4554), 1,
      sym__alpha_identifier,
    ACTIONS(4556), 1,
      anon_sym_COLON,
    ACTIONS(4558), 1,
      anon_sym_LBRACE,
    ACTIONS(4560), 1,
      anon_sym__,
    ACTIONS(4564), 1,
      anon_sym_LBRACK,
    ACTIONS(4572), 1,
      sym__backquoted_id,
    ACTIONS(4576), 1,
      sym_integer_literal,
    ACTIONS(6518), 1,
      anon_sym_LPAREN,
    ACTIONS(6520), 1,
      sym_operator_identifier,
    STATE(5588), 1,
      sym__simple_type,
    STATE(5823), 1,
      sym__annotated_type,
    STATE(6066), 1,
      sym__soft_identifier,
    STATE(6566), 1,
      sym_identifier,
    STATE(8722), 1,
      sym_annotated_type,
    STATE(11604), 1,
      sym_template_body,
    STATE(12137), 1,
      sym__infix_type_choice,
    STATE(12480), 1,
      sym__non_null_literal,
    STATE(12550), 1,
      sym__type,
    STATE(14362), 1,
      sym_parameter_types,
    STATE(16171), 1,
      sym_stable_identifier,
    ACTIONS(4578), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4580), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4584), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3251), 2,
      sym_comment,
      sym_block_comment,
    STATE(10022), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12384), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12412), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12479), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4566), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7119), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [110790] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14899), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3252), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [110909] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15824), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3253), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [111028] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4554), 1,
      sym__alpha_identifier,
    ACTIONS(4556), 1,
      anon_sym_COLON,
    ACTIONS(4558), 1,
      anon_sym_LBRACE,
    ACTIONS(4560), 1,
      anon_sym__,
    ACTIONS(4564), 1,
      anon_sym_LBRACK,
    ACTIONS(4572), 1,
      sym__backquoted_id,
    ACTIONS(4576), 1,
      sym_integer_literal,
    ACTIONS(6518), 1,
      anon_sym_LPAREN,
    ACTIONS(6520), 1,
      sym_operator_identifier,
    STATE(5588), 1,
      sym__simple_type,
    STATE(5823), 1,
      sym__annotated_type,
    STATE(6066), 1,
      sym__soft_identifier,
    STATE(6566), 1,
      sym_identifier,
    STATE(8722), 1,
      sym_annotated_type,
    STATE(11604), 1,
      sym_template_body,
    STATE(12137), 1,
      sym__infix_type_choice,
    STATE(12480), 1,
      sym__non_null_literal,
    STATE(12556), 1,
      sym__type,
    STATE(14362), 1,
      sym_parameter_types,
    STATE(16171), 1,
      sym_stable_identifier,
    ACTIONS(4578), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4580), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4584), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3254), 2,
      sym_comment,
      sym_block_comment,
    STATE(10022), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12384), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12412), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12479), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4566), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7119), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [111147] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1792), 1,
      sym_integer_literal,
    ACTIONS(6522), 1,
      sym__alpha_identifier,
    ACTIONS(6524), 1,
      anon_sym_COLON,
    ACTIONS(6526), 1,
      anon_sym_LBRACE,
    ACTIONS(6528), 1,
      anon_sym__,
    ACTIONS(6530), 1,
      anon_sym_LBRACK,
    ACTIONS(6534), 1,
      anon_sym_LPAREN,
    ACTIONS(6536), 1,
      sym__backquoted_id,
    ACTIONS(6538), 1,
      sym_operator_identifier,
    STATE(4559), 1,
      sym__simple_type,
    STATE(4612), 1,
      sym__annotated_type,
    STATE(4776), 1,
      sym__soft_identifier,
    STATE(4779), 1,
      sym_identifier,
    STATE(7168), 1,
      sym_annotated_type,
    STATE(11371), 1,
      sym__type,
    STATE(11655), 1,
      sym_template_body,
    STATE(11690), 1,
      sym__non_null_literal,
    STATE(11881), 1,
      sym__infix_type_choice,
    STATE(15225), 1,
      sym_parameter_types,
    STATE(16640), 1,
      sym_stable_identifier,
    ACTIONS(1794), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1796), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1800), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3255), 2,
      sym_comment,
      sym_block_comment,
    STATE(6465), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(6572), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11692), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6532), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5109), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [111266] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1792), 1,
      sym_integer_literal,
    ACTIONS(6522), 1,
      sym__alpha_identifier,
    ACTIONS(6524), 1,
      anon_sym_COLON,
    ACTIONS(6526), 1,
      anon_sym_LBRACE,
    ACTIONS(6528), 1,
      anon_sym__,
    ACTIONS(6530), 1,
      anon_sym_LBRACK,
    ACTIONS(6534), 1,
      anon_sym_LPAREN,
    ACTIONS(6536), 1,
      sym__backquoted_id,
    ACTIONS(6538), 1,
      sym_operator_identifier,
    STATE(4559), 1,
      sym__simple_type,
    STATE(4612), 1,
      sym__annotated_type,
    STATE(4776), 1,
      sym__soft_identifier,
    STATE(4779), 1,
      sym_identifier,
    STATE(7168), 1,
      sym_annotated_type,
    STATE(11370), 1,
      sym__type,
    STATE(11655), 1,
      sym_template_body,
    STATE(11690), 1,
      sym__non_null_literal,
    STATE(11881), 1,
      sym__infix_type_choice,
    STATE(15225), 1,
      sym_parameter_types,
    STATE(16640), 1,
      sym_stable_identifier,
    ACTIONS(1794), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1796), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1800), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3256), 2,
      sym_comment,
      sym_block_comment,
    STATE(6465), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(6572), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11692), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6532), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5109), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [111385] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4554), 1,
      sym__alpha_identifier,
    ACTIONS(4556), 1,
      anon_sym_COLON,
    ACTIONS(4558), 1,
      anon_sym_LBRACE,
    ACTIONS(4560), 1,
      anon_sym__,
    ACTIONS(4564), 1,
      anon_sym_LBRACK,
    ACTIONS(4572), 1,
      sym__backquoted_id,
    ACTIONS(4576), 1,
      sym_integer_literal,
    ACTIONS(6518), 1,
      anon_sym_LPAREN,
    ACTIONS(6520), 1,
      sym_operator_identifier,
    STATE(5588), 1,
      sym__simple_type,
    STATE(5823), 1,
      sym__annotated_type,
    STATE(6066), 1,
      sym__soft_identifier,
    STATE(6566), 1,
      sym_identifier,
    STATE(8722), 1,
      sym_annotated_type,
    STATE(11604), 1,
      sym_template_body,
    STATE(12137), 1,
      sym__infix_type_choice,
    STATE(12480), 1,
      sym__non_null_literal,
    STATE(12557), 1,
      sym__type,
    STATE(14362), 1,
      sym_parameter_types,
    STATE(16171), 1,
      sym_stable_identifier,
    ACTIONS(4578), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4580), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4584), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3257), 2,
      sym_comment,
      sym_block_comment,
    STATE(10022), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12384), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12412), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12479), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4566), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7119), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [111504] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4554), 1,
      sym__alpha_identifier,
    ACTIONS(4556), 1,
      anon_sym_COLON,
    ACTIONS(4558), 1,
      anon_sym_LBRACE,
    ACTIONS(4560), 1,
      anon_sym__,
    ACTIONS(4564), 1,
      anon_sym_LBRACK,
    ACTIONS(4572), 1,
      sym__backquoted_id,
    ACTIONS(4576), 1,
      sym_integer_literal,
    ACTIONS(6518), 1,
      anon_sym_LPAREN,
    ACTIONS(6520), 1,
      sym_operator_identifier,
    STATE(5588), 1,
      sym__simple_type,
    STATE(5823), 1,
      sym__annotated_type,
    STATE(6066), 1,
      sym__soft_identifier,
    STATE(6566), 1,
      sym_identifier,
    STATE(8722), 1,
      sym_annotated_type,
    STATE(11604), 1,
      sym_template_body,
    STATE(12137), 1,
      sym__infix_type_choice,
    STATE(12480), 1,
      sym__non_null_literal,
    STATE(12558), 1,
      sym__type,
    STATE(14362), 1,
      sym_parameter_types,
    STATE(16171), 1,
      sym_stable_identifier,
    ACTIONS(4578), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4580), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4584), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3258), 2,
      sym_comment,
      sym_block_comment,
    STATE(10022), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12384), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12412), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12479), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4566), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7119), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [111623] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1138), 1,
      sym_integer_literal,
    ACTIONS(6232), 1,
      sym__alpha_identifier,
    ACTIONS(6234), 1,
      anon_sym_COLON,
    ACTIONS(6236), 1,
      anon_sym_LBRACE,
    ACTIONS(6238), 1,
      anon_sym__,
    ACTIONS(6240), 1,
      anon_sym_LBRACK,
    ACTIONS(6244), 1,
      anon_sym_LPAREN,
    ACTIONS(6246), 1,
      sym__backquoted_id,
    ACTIONS(6248), 1,
      sym_operator_identifier,
    STATE(4784), 1,
      sym__annotated_type,
    STATE(4955), 1,
      sym__simple_type,
    STATE(5086), 1,
      sym_identifier,
    STATE(5254), 1,
      sym__soft_identifier,
    STATE(7531), 1,
      sym_annotated_type,
    STATE(12138), 1,
      sym__infix_type_choice,
    STATE(12271), 1,
      sym_template_body,
    STATE(12287), 1,
      sym__type,
    STATE(12623), 1,
      sym__non_null_literal,
    STATE(15094), 1,
      sym_parameter_types,
    STATE(16842), 1,
      sym_stable_identifier,
    ACTIONS(1140), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1142), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1146), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3259), 2,
      sym_comment,
      sym_block_comment,
    STATE(7501), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7707), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9471), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12239), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6242), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5895), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [111742] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1792), 1,
      sym_integer_literal,
    ACTIONS(6522), 1,
      sym__alpha_identifier,
    ACTIONS(6524), 1,
      anon_sym_COLON,
    ACTIONS(6526), 1,
      anon_sym_LBRACE,
    ACTIONS(6528), 1,
      anon_sym__,
    ACTIONS(6530), 1,
      anon_sym_LBRACK,
    ACTIONS(6534), 1,
      anon_sym_LPAREN,
    ACTIONS(6536), 1,
      sym__backquoted_id,
    ACTIONS(6538), 1,
      sym_operator_identifier,
    STATE(4559), 1,
      sym__simple_type,
    STATE(4612), 1,
      sym__annotated_type,
    STATE(4776), 1,
      sym__soft_identifier,
    STATE(4779), 1,
      sym_identifier,
    STATE(7168), 1,
      sym_annotated_type,
    STATE(11369), 1,
      sym__type,
    STATE(11655), 1,
      sym_template_body,
    STATE(11690), 1,
      sym__non_null_literal,
    STATE(11881), 1,
      sym__infix_type_choice,
    STATE(15225), 1,
      sym_parameter_types,
    STATE(16640), 1,
      sym_stable_identifier,
    ACTIONS(1794), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1796), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1800), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3260), 2,
      sym_comment,
      sym_block_comment,
    STATE(6465), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(6572), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11692), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6532), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5109), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [111861] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4472), 1,
      sym__alpha_identifier,
    ACTIONS(4474), 1,
      anon_sym_COLON,
    ACTIONS(4476), 1,
      anon_sym_LBRACE,
    ACTIONS(4478), 1,
      anon_sym__,
    ACTIONS(4482), 1,
      anon_sym_LBRACK,
    ACTIONS(4490), 1,
      sym__backquoted_id,
    ACTIONS(4494), 1,
      sym_integer_literal,
    ACTIONS(6368), 1,
      anon_sym_LPAREN,
    ACTIONS(6370), 1,
      sym_operator_identifier,
    STATE(4540), 1,
      sym__annotated_type,
    STATE(4671), 1,
      sym__simple_type,
    STATE(4682), 1,
      sym_identifier,
    STATE(4750), 1,
      sym__soft_identifier,
    STATE(6776), 1,
      sym_annotated_type,
    STATE(12170), 1,
      sym__infix_type_choice,
    STATE(12323), 1,
      sym_template_body,
    STATE(12331), 1,
      sym__type,
    STATE(12594), 1,
      sym__non_null_literal,
    STATE(14520), 1,
      sym_parameter_types,
    STATE(16830), 1,
      sym_stable_identifier,
    ACTIONS(4496), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4498), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4500), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3261), 2,
      sym_comment,
      sym_block_comment,
    STATE(8806), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12576), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12599), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12588), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4484), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5107), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [111980] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1268), 1,
      sym_integer_literal,
    ACTIONS(6540), 1,
      sym__alpha_identifier,
    ACTIONS(6542), 1,
      anon_sym_COLON,
    ACTIONS(6544), 1,
      anon_sym_LBRACE,
    ACTIONS(6546), 1,
      anon_sym__,
    ACTIONS(6548), 1,
      anon_sym_LBRACK,
    ACTIONS(6552), 1,
      anon_sym_LPAREN,
    ACTIONS(6554), 1,
      sym__backquoted_id,
    ACTIONS(6556), 1,
      sym_operator_identifier,
    STATE(5209), 1,
      sym__annotated_type,
    STATE(5262), 1,
      sym__simple_type,
    STATE(5455), 1,
      sym__soft_identifier,
    STATE(5692), 1,
      sym_identifier,
    STATE(8248), 1,
      sym_annotated_type,
    STATE(11798), 1,
      sym__infix_type_choice,
    STATE(12887), 1,
      sym__non_null_literal,
    STATE(12899), 1,
      sym_template_body,
    STATE(13169), 1,
      sym__type,
    STATE(15088), 1,
      sym_parameter_types,
    STATE(16698), 1,
      sym_stable_identifier,
    ACTIONS(1270), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1272), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1276), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3262), 2,
      sym_comment,
      sym_block_comment,
    STATE(8269), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8516), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9766), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12893), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6550), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6161), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [112099] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15049), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3263), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [112218] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4214), 1,
      anon_sym_COLON,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4234), 1,
      sym_integer_literal,
    ACTIONS(6558), 1,
      sym__alpha_identifier,
    ACTIONS(6560), 1,
      anon_sym__,
    ACTIONS(6562), 1,
      anon_sym_LBRACK,
    ACTIONS(6566), 1,
      anon_sym_LPAREN,
    ACTIONS(6568), 1,
      sym__backquoted_id,
    ACTIONS(6570), 1,
      sym_operator_identifier,
    STATE(6535), 1,
      sym__simple_type,
    STATE(6678), 1,
      sym__annotated_type,
    STATE(6749), 1,
      sym_identifier,
    STATE(6863), 1,
      sym__soft_identifier,
    STATE(9893), 1,
      sym_annotated_type,
    STATE(10416), 1,
      sym_template_body,
    STATE(10964), 1,
      sym__type,
    STATE(11029), 1,
      sym__non_null_literal,
    STATE(11888), 1,
      sym__infix_type_choice,
    STATE(15221), 1,
      sym_parameter_types,
    STATE(15886), 1,
      sym_stable_identifier,
    ACTIONS(4236), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4238), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4242), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3264), 2,
      sym_comment,
      sym_block_comment,
    STATE(10485), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10819), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10870), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11034), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6564), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7663), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [112337] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4214), 1,
      anon_sym_COLON,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4234), 1,
      sym_integer_literal,
    ACTIONS(6558), 1,
      sym__alpha_identifier,
    ACTIONS(6560), 1,
      anon_sym__,
    ACTIONS(6562), 1,
      anon_sym_LBRACK,
    ACTIONS(6566), 1,
      anon_sym_LPAREN,
    ACTIONS(6568), 1,
      sym__backquoted_id,
    ACTIONS(6570), 1,
      sym_operator_identifier,
    STATE(6535), 1,
      sym__simple_type,
    STATE(6678), 1,
      sym__annotated_type,
    STATE(6749), 1,
      sym_identifier,
    STATE(6863), 1,
      sym__soft_identifier,
    STATE(9893), 1,
      sym_annotated_type,
    STATE(10416), 1,
      sym_template_body,
    STATE(10965), 1,
      sym__type,
    STATE(11029), 1,
      sym__non_null_literal,
    STATE(11888), 1,
      sym__infix_type_choice,
    STATE(15221), 1,
      sym_parameter_types,
    STATE(15886), 1,
      sym_stable_identifier,
    ACTIONS(4236), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4238), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4242), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3265), 2,
      sym_comment,
      sym_block_comment,
    STATE(10485), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10819), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10870), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11034), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6564), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7663), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [112456] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4214), 1,
      anon_sym_COLON,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4234), 1,
      sym_integer_literal,
    ACTIONS(6558), 1,
      sym__alpha_identifier,
    ACTIONS(6560), 1,
      anon_sym__,
    ACTIONS(6562), 1,
      anon_sym_LBRACK,
    ACTIONS(6566), 1,
      anon_sym_LPAREN,
    ACTIONS(6568), 1,
      sym__backquoted_id,
    ACTIONS(6570), 1,
      sym_operator_identifier,
    STATE(6535), 1,
      sym__simple_type,
    STATE(6678), 1,
      sym__annotated_type,
    STATE(6749), 1,
      sym_identifier,
    STATE(6863), 1,
      sym__soft_identifier,
    STATE(9893), 1,
      sym_annotated_type,
    STATE(10416), 1,
      sym_template_body,
    STATE(10966), 1,
      sym__type,
    STATE(11029), 1,
      sym__non_null_literal,
    STATE(11888), 1,
      sym__infix_type_choice,
    STATE(15221), 1,
      sym_parameter_types,
    STATE(15886), 1,
      sym_stable_identifier,
    ACTIONS(4236), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4238), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4242), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3266), 2,
      sym_comment,
      sym_block_comment,
    STATE(10485), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10819), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10870), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11034), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6564), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7663), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [112575] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4214), 1,
      anon_sym_COLON,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4234), 1,
      sym_integer_literal,
    ACTIONS(6558), 1,
      sym__alpha_identifier,
    ACTIONS(6560), 1,
      anon_sym__,
    ACTIONS(6562), 1,
      anon_sym_LBRACK,
    ACTIONS(6566), 1,
      anon_sym_LPAREN,
    ACTIONS(6568), 1,
      sym__backquoted_id,
    ACTIONS(6570), 1,
      sym_operator_identifier,
    STATE(6535), 1,
      sym__simple_type,
    STATE(6678), 1,
      sym__annotated_type,
    STATE(6749), 1,
      sym_identifier,
    STATE(6863), 1,
      sym__soft_identifier,
    STATE(9893), 1,
      sym_annotated_type,
    STATE(10416), 1,
      sym_template_body,
    STATE(10989), 1,
      sym__type,
    STATE(11029), 1,
      sym__non_null_literal,
    STATE(11888), 1,
      sym__infix_type_choice,
    STATE(15221), 1,
      sym_parameter_types,
    STATE(15886), 1,
      sym_stable_identifier,
    ACTIONS(4236), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4238), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4242), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3267), 2,
      sym_comment,
      sym_block_comment,
    STATE(10485), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10819), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10870), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11034), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6564), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7663), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [112694] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15943), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3268), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [112813] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4472), 1,
      sym__alpha_identifier,
    ACTIONS(4474), 1,
      anon_sym_COLON,
    ACTIONS(4476), 1,
      anon_sym_LBRACE,
    ACTIONS(4478), 1,
      anon_sym__,
    ACTIONS(4482), 1,
      anon_sym_LBRACK,
    ACTIONS(4490), 1,
      sym__backquoted_id,
    ACTIONS(4494), 1,
      sym_integer_literal,
    ACTIONS(6368), 1,
      anon_sym_LPAREN,
    ACTIONS(6370), 1,
      sym_operator_identifier,
    STATE(4540), 1,
      sym__annotated_type,
    STATE(4671), 1,
      sym__simple_type,
    STATE(4682), 1,
      sym_identifier,
    STATE(4750), 1,
      sym__soft_identifier,
    STATE(6776), 1,
      sym_annotated_type,
    STATE(12170), 1,
      sym__infix_type_choice,
    STATE(12323), 1,
      sym_template_body,
    STATE(12377), 1,
      sym__type,
    STATE(12594), 1,
      sym__non_null_literal,
    STATE(14520), 1,
      sym_parameter_types,
    STATE(16830), 1,
      sym_stable_identifier,
    ACTIONS(4496), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4498), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4500), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3269), 2,
      sym_comment,
      sym_block_comment,
    STATE(8806), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12576), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12599), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12588), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4484), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5107), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [112932] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4472), 1,
      sym__alpha_identifier,
    ACTIONS(4474), 1,
      anon_sym_COLON,
    ACTIONS(4476), 1,
      anon_sym_LBRACE,
    ACTIONS(4478), 1,
      anon_sym__,
    ACTIONS(4482), 1,
      anon_sym_LBRACK,
    ACTIONS(4490), 1,
      sym__backquoted_id,
    ACTIONS(4494), 1,
      sym_integer_literal,
    ACTIONS(6368), 1,
      anon_sym_LPAREN,
    ACTIONS(6370), 1,
      sym_operator_identifier,
    STATE(4540), 1,
      sym__annotated_type,
    STATE(4671), 1,
      sym__simple_type,
    STATE(4682), 1,
      sym_identifier,
    STATE(4750), 1,
      sym__soft_identifier,
    STATE(6776), 1,
      sym_annotated_type,
    STATE(12170), 1,
      sym__infix_type_choice,
    STATE(12250), 1,
      sym__type,
    STATE(12323), 1,
      sym_template_body,
    STATE(12594), 1,
      sym__non_null_literal,
    STATE(14520), 1,
      sym_parameter_types,
    STATE(16830), 1,
      sym_stable_identifier,
    ACTIONS(4496), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4498), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4500), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3270), 2,
      sym_comment,
      sym_block_comment,
    STATE(8806), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12576), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12599), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12588), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4484), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5107), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [113051] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15946), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3271), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [113170] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4472), 1,
      sym__alpha_identifier,
    ACTIONS(4474), 1,
      anon_sym_COLON,
    ACTIONS(4476), 1,
      anon_sym_LBRACE,
    ACTIONS(4478), 1,
      anon_sym__,
    ACTIONS(4482), 1,
      anon_sym_LBRACK,
    ACTIONS(4490), 1,
      sym__backquoted_id,
    ACTIONS(4494), 1,
      sym_integer_literal,
    ACTIONS(6368), 1,
      anon_sym_LPAREN,
    ACTIONS(6370), 1,
      sym_operator_identifier,
    STATE(4540), 1,
      sym__annotated_type,
    STATE(4671), 1,
      sym__simple_type,
    STATE(4682), 1,
      sym_identifier,
    STATE(4750), 1,
      sym__soft_identifier,
    STATE(6776), 1,
      sym_annotated_type,
    STATE(12170), 1,
      sym__infix_type_choice,
    STATE(12260), 1,
      sym__type,
    STATE(12323), 1,
      sym_template_body,
    STATE(12594), 1,
      sym__non_null_literal,
    STATE(14520), 1,
      sym_parameter_types,
    STATE(16830), 1,
      sym_stable_identifier,
    ACTIONS(4496), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4498), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4500), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3272), 2,
      sym_comment,
      sym_block_comment,
    STATE(8806), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12576), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12599), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12588), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4484), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5107), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [113289] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4660), 1,
      sym__alpha_identifier,
    ACTIONS(4662), 1,
      anon_sym_COLON,
    ACTIONS(4664), 1,
      anon_sym_LBRACE,
    ACTIONS(4666), 1,
      anon_sym__,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4678), 1,
      sym__backquoted_id,
    ACTIONS(4682), 1,
      sym_integer_literal,
    ACTIONS(6572), 1,
      anon_sym_LPAREN,
    ACTIONS(6574), 1,
      sym_operator_identifier,
    STATE(6162), 1,
      sym__annotated_type,
    STATE(6330), 1,
      sym__simple_type,
    STATE(7030), 1,
      sym_identifier,
    STATE(7094), 1,
      sym__soft_identifier,
    STATE(9377), 1,
      sym_annotated_type,
    STATE(11461), 1,
      sym__type,
    STATE(11655), 1,
      sym_template_body,
    STATE(11690), 1,
      sym__non_null_literal,
    STATE(12178), 1,
      sym__infix_type_choice,
    STATE(15302), 1,
      sym_parameter_types,
    STATE(16211), 1,
      sym_stable_identifier,
    ACTIONS(4684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3273), 2,
      sym_comment,
      sym_block_comment,
    STATE(10288), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11571), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11669), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11692), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4672), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8006), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [113408] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4174), 1,
      sym__alpha_identifier,
    ACTIONS(4176), 1,
      anon_sym_COLON,
    ACTIONS(4178), 1,
      anon_sym_LBRACE,
    ACTIONS(4180), 1,
      anon_sym__,
    ACTIONS(4184), 1,
      anon_sym_LBRACK,
    ACTIONS(4192), 1,
      sym__backquoted_id,
    ACTIONS(4196), 1,
      sym_integer_literal,
    ACTIONS(6576), 1,
      anon_sym_LPAREN,
    ACTIONS(6578), 1,
      sym_operator_identifier,
    STATE(4548), 1,
      sym__annotated_type,
    STATE(4619), 1,
      sym__simple_type,
    STATE(4754), 1,
      sym__soft_identifier,
    STATE(4834), 1,
      sym_identifier,
    STATE(6683), 1,
      sym_annotated_type,
    STATE(12086), 1,
      sym__infix_type_choice,
    STATE(12271), 1,
      sym_template_body,
    STATE(12287), 1,
      sym__type,
    STATE(12623), 1,
      sym__non_null_literal,
    STATE(15068), 1,
      sym_parameter_types,
    STATE(16788), 1,
      sym_stable_identifier,
    ACTIONS(4198), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4200), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4204), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3274), 2,
      sym_comment,
      sym_block_comment,
    STATE(9034), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12493), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12519), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12239), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4186), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5053), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [113527] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4214), 1,
      anon_sym_COLON,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4234), 1,
      sym_integer_literal,
    ACTIONS(6558), 1,
      sym__alpha_identifier,
    ACTIONS(6560), 1,
      anon_sym__,
    ACTIONS(6562), 1,
      anon_sym_LBRACK,
    ACTIONS(6566), 1,
      anon_sym_LPAREN,
    ACTIONS(6568), 1,
      sym__backquoted_id,
    ACTIONS(6570), 1,
      sym_operator_identifier,
    STATE(6535), 1,
      sym__simple_type,
    STATE(6678), 1,
      sym__annotated_type,
    STATE(6749), 1,
      sym_identifier,
    STATE(6863), 1,
      sym__soft_identifier,
    STATE(9893), 1,
      sym_annotated_type,
    STATE(10416), 1,
      sym_template_body,
    STATE(10817), 1,
      sym__type,
    STATE(11029), 1,
      sym__non_null_literal,
    STATE(11888), 1,
      sym__infix_type_choice,
    STATE(15221), 1,
      sym_parameter_types,
    STATE(15886), 1,
      sym_stable_identifier,
    ACTIONS(4236), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4238), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4242), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3275), 2,
      sym_comment,
      sym_block_comment,
    STATE(10485), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10819), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10870), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11034), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6564), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7663), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [113646] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6342), 1,
      sym__alpha_identifier,
    ACTIONS(6344), 1,
      anon_sym_COLON,
    ACTIONS(6346), 1,
      anon_sym_LBRACE,
    ACTIONS(6348), 1,
      anon_sym__,
    ACTIONS(6350), 1,
      anon_sym_LBRACK,
    ACTIONS(6354), 1,
      anon_sym_LPAREN,
    ACTIONS(6356), 1,
      sym__backquoted_id,
    ACTIONS(6358), 1,
      sym_operator_identifier,
    ACTIONS(6360), 1,
      sym_integer_literal,
    STATE(8215), 1,
      sym__simple_type,
    STATE(8849), 1,
      sym_identifier,
    STATE(8992), 1,
      sym__soft_identifier,
    STATE(9022), 1,
      sym__annotated_type,
    STATE(10507), 1,
      sym_annotated_type,
    STATE(12200), 1,
      sym__infix_type_choice,
    STATE(14369), 1,
      sym_parameter_types,
    STATE(15761), 1,
      sym__non_null_literal,
    STATE(15776), 1,
      sym__type,
    STATE(15780), 1,
      sym_template_body,
    STATE(16824), 1,
      sym_stable_identifier,
    ACTIONS(6362), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6364), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6366), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3276), 2,
      sym_comment,
      sym_block_comment,
    STATE(11052), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11308), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(15779), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15764), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6352), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9542), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [113765] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15070), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3277), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [113884] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1792), 1,
      sym_integer_literal,
    ACTIONS(6522), 1,
      sym__alpha_identifier,
    ACTIONS(6524), 1,
      anon_sym_COLON,
    ACTIONS(6526), 1,
      anon_sym_LBRACE,
    ACTIONS(6528), 1,
      anon_sym__,
    ACTIONS(6530), 1,
      anon_sym_LBRACK,
    ACTIONS(6534), 1,
      anon_sym_LPAREN,
    ACTIONS(6536), 1,
      sym__backquoted_id,
    ACTIONS(6538), 1,
      sym_operator_identifier,
    STATE(4559), 1,
      sym__simple_type,
    STATE(4612), 1,
      sym__annotated_type,
    STATE(4776), 1,
      sym__soft_identifier,
    STATE(4779), 1,
      sym_identifier,
    STATE(7168), 1,
      sym_annotated_type,
    STATE(11409), 1,
      sym__type,
    STATE(11655), 1,
      sym_template_body,
    STATE(11690), 1,
      sym__non_null_literal,
    STATE(11881), 1,
      sym__infix_type_choice,
    STATE(15225), 1,
      sym_parameter_types,
    STATE(16640), 1,
      sym_stable_identifier,
    ACTIONS(1794), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1796), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1800), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3278), 2,
      sym_comment,
      sym_block_comment,
    STATE(6465), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(6572), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11692), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6532), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5109), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [114003] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8125), 1,
      sym__type,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3279), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [114122] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1520), 1,
      sym_integer_literal,
    ACTIONS(6486), 1,
      sym__alpha_identifier,
    ACTIONS(6488), 1,
      anon_sym_COLON,
    ACTIONS(6490), 1,
      anon_sym_LBRACE,
    ACTIONS(6492), 1,
      anon_sym__,
    ACTIONS(6494), 1,
      anon_sym_LBRACK,
    ACTIONS(6498), 1,
      anon_sym_LPAREN,
    ACTIONS(6500), 1,
      sym__backquoted_id,
    ACTIONS(6502), 1,
      sym_operator_identifier,
    STATE(5072), 1,
      sym__annotated_type,
    STATE(5353), 1,
      sym__simple_type,
    STATE(5485), 1,
      sym__soft_identifier,
    STATE(5556), 1,
      sym_identifier,
    STATE(8431), 1,
      sym_annotated_type,
    STATE(11809), 1,
      sym__infix_type_choice,
    STATE(12690), 1,
      sym_template_body,
    STATE(12711), 1,
      sym__non_null_literal,
    STATE(12785), 1,
      sym__type,
    STATE(15087), 1,
      sym_parameter_types,
    STATE(16662), 1,
      sym_stable_identifier,
    ACTIONS(1522), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1524), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1528), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3280), 2,
      sym_comment,
      sym_block_comment,
    STATE(8413), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8440), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9895), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12713), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6496), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6338), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [114241] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8124), 1,
      sym__type,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3281), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [114360] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4660), 1,
      sym__alpha_identifier,
    ACTIONS(4662), 1,
      anon_sym_COLON,
    ACTIONS(4664), 1,
      anon_sym_LBRACE,
    ACTIONS(4666), 1,
      anon_sym__,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4678), 1,
      sym__backquoted_id,
    ACTIONS(4682), 1,
      sym_integer_literal,
    ACTIONS(6572), 1,
      anon_sym_LPAREN,
    ACTIONS(6574), 1,
      sym_operator_identifier,
    STATE(6162), 1,
      sym__annotated_type,
    STATE(6330), 1,
      sym__simple_type,
    STATE(7030), 1,
      sym_identifier,
    STATE(7094), 1,
      sym__soft_identifier,
    STATE(9377), 1,
      sym_annotated_type,
    STATE(11409), 1,
      sym__type,
    STATE(11655), 1,
      sym_template_body,
    STATE(11690), 1,
      sym__non_null_literal,
    STATE(12178), 1,
      sym__infix_type_choice,
    STATE(15302), 1,
      sym_parameter_types,
    STATE(16211), 1,
      sym_stable_identifier,
    ACTIONS(4684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3282), 2,
      sym_comment,
      sym_block_comment,
    STATE(10288), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11571), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11669), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11692), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4672), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8006), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [114479] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3283), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__interpolated_multiline_string_start,
    ACTIONS(4134), 7,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 9,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_DQUOTE,
    ACTIONS(4130), 29,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [114548] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4660), 1,
      sym__alpha_identifier,
    ACTIONS(4662), 1,
      anon_sym_COLON,
    ACTIONS(4664), 1,
      anon_sym_LBRACE,
    ACTIONS(4666), 1,
      anon_sym__,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4678), 1,
      sym__backquoted_id,
    ACTIONS(4682), 1,
      sym_integer_literal,
    ACTIONS(6572), 1,
      anon_sym_LPAREN,
    ACTIONS(6574), 1,
      sym_operator_identifier,
    STATE(6162), 1,
      sym__annotated_type,
    STATE(6330), 1,
      sym__simple_type,
    STATE(7030), 1,
      sym_identifier,
    STATE(7094), 1,
      sym__soft_identifier,
    STATE(9377), 1,
      sym_annotated_type,
    STATE(11369), 1,
      sym__type,
    STATE(11655), 1,
      sym_template_body,
    STATE(11690), 1,
      sym__non_null_literal,
    STATE(12178), 1,
      sym__infix_type_choice,
    STATE(15302), 1,
      sym_parameter_types,
    STATE(16211), 1,
      sym_stable_identifier,
    ACTIONS(4684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3284), 2,
      sym_comment,
      sym_block_comment,
    STATE(10288), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11571), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11669), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11692), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4672), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8006), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [114667] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4660), 1,
      sym__alpha_identifier,
    ACTIONS(4662), 1,
      anon_sym_COLON,
    ACTIONS(4664), 1,
      anon_sym_LBRACE,
    ACTIONS(4666), 1,
      anon_sym__,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4678), 1,
      sym__backquoted_id,
    ACTIONS(4682), 1,
      sym_integer_literal,
    ACTIONS(6572), 1,
      anon_sym_LPAREN,
    ACTIONS(6574), 1,
      sym_operator_identifier,
    STATE(6162), 1,
      sym__annotated_type,
    STATE(6330), 1,
      sym__simple_type,
    STATE(7030), 1,
      sym_identifier,
    STATE(7094), 1,
      sym__soft_identifier,
    STATE(9377), 1,
      sym_annotated_type,
    STATE(11370), 1,
      sym__type,
    STATE(11655), 1,
      sym_template_body,
    STATE(11690), 1,
      sym__non_null_literal,
    STATE(12178), 1,
      sym__infix_type_choice,
    STATE(15302), 1,
      sym_parameter_types,
    STATE(16211), 1,
      sym_stable_identifier,
    ACTIONS(4684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3285), 2,
      sym_comment,
      sym_block_comment,
    STATE(10288), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11571), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11669), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11692), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4672), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8006), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [114786] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1520), 1,
      sym_integer_literal,
    ACTIONS(6486), 1,
      sym__alpha_identifier,
    ACTIONS(6488), 1,
      anon_sym_COLON,
    ACTIONS(6490), 1,
      anon_sym_LBRACE,
    ACTIONS(6492), 1,
      anon_sym__,
    ACTIONS(6494), 1,
      anon_sym_LBRACK,
    ACTIONS(6498), 1,
      anon_sym_LPAREN,
    ACTIONS(6500), 1,
      sym__backquoted_id,
    ACTIONS(6502), 1,
      sym_operator_identifier,
    STATE(5072), 1,
      sym__annotated_type,
    STATE(5353), 1,
      sym__simple_type,
    STATE(5485), 1,
      sym__soft_identifier,
    STATE(5556), 1,
      sym_identifier,
    STATE(8431), 1,
      sym_annotated_type,
    STATE(11809), 1,
      sym__infix_type_choice,
    STATE(12690), 1,
      sym_template_body,
    STATE(12711), 1,
      sym__non_null_literal,
    STATE(12793), 1,
      sym__type,
    STATE(15087), 1,
      sym_parameter_types,
    STATE(16662), 1,
      sym_stable_identifier,
    ACTIONS(1522), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1524), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1528), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3286), 2,
      sym_comment,
      sym_block_comment,
    STATE(8413), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8440), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9895), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12713), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6496), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6338), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [114905] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15146), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3287), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [115024] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4660), 1,
      sym__alpha_identifier,
    ACTIONS(4662), 1,
      anon_sym_COLON,
    ACTIONS(4664), 1,
      anon_sym_LBRACE,
    ACTIONS(4666), 1,
      anon_sym__,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    ACTIONS(4678), 1,
      sym__backquoted_id,
    ACTIONS(4682), 1,
      sym_integer_literal,
    ACTIONS(6572), 1,
      anon_sym_LPAREN,
    ACTIONS(6574), 1,
      sym_operator_identifier,
    STATE(6162), 1,
      sym__annotated_type,
    STATE(6330), 1,
      sym__simple_type,
    STATE(7030), 1,
      sym_identifier,
    STATE(7094), 1,
      sym__soft_identifier,
    STATE(9377), 1,
      sym_annotated_type,
    STATE(11371), 1,
      sym__type,
    STATE(11655), 1,
      sym_template_body,
    STATE(11690), 1,
      sym__non_null_literal,
    STATE(12178), 1,
      sym__infix_type_choice,
    STATE(15302), 1,
      sym_parameter_types,
    STATE(16211), 1,
      sym_stable_identifier,
    ACTIONS(4684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3288), 2,
      sym_comment,
      sym_block_comment,
    STATE(10288), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11571), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11669), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11692), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4672), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8006), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [115143] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6342), 1,
      sym__alpha_identifier,
    ACTIONS(6344), 1,
      anon_sym_COLON,
    ACTIONS(6346), 1,
      anon_sym_LBRACE,
    ACTIONS(6348), 1,
      anon_sym__,
    ACTIONS(6350), 1,
      anon_sym_LBRACK,
    ACTIONS(6354), 1,
      anon_sym_LPAREN,
    ACTIONS(6356), 1,
      sym__backquoted_id,
    ACTIONS(6358), 1,
      sym_operator_identifier,
    ACTIONS(6360), 1,
      sym_integer_literal,
    STATE(8215), 1,
      sym__simple_type,
    STATE(8849), 1,
      sym_identifier,
    STATE(8992), 1,
      sym__soft_identifier,
    STATE(9022), 1,
      sym__annotated_type,
    STATE(10507), 1,
      sym_annotated_type,
    STATE(12200), 1,
      sym__infix_type_choice,
    STATE(14369), 1,
      sym_parameter_types,
    STATE(15761), 1,
      sym__non_null_literal,
    STATE(15775), 1,
      sym__type,
    STATE(15780), 1,
      sym_template_body,
    STATE(16824), 1,
      sym_stable_identifier,
    ACTIONS(6362), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6364), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6366), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3289), 2,
      sym_comment,
      sym_block_comment,
    STATE(11052), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11308), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(15779), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15764), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6352), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9542), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [115262] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16002), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3290), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [115381] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6342), 1,
      sym__alpha_identifier,
    ACTIONS(6344), 1,
      anon_sym_COLON,
    ACTIONS(6346), 1,
      anon_sym_LBRACE,
    ACTIONS(6348), 1,
      anon_sym__,
    ACTIONS(6350), 1,
      anon_sym_LBRACK,
    ACTIONS(6354), 1,
      anon_sym_LPAREN,
    ACTIONS(6356), 1,
      sym__backquoted_id,
    ACTIONS(6358), 1,
      sym_operator_identifier,
    ACTIONS(6360), 1,
      sym_integer_literal,
    STATE(8215), 1,
      sym__simple_type,
    STATE(8849), 1,
      sym_identifier,
    STATE(8992), 1,
      sym__soft_identifier,
    STATE(9022), 1,
      sym__annotated_type,
    STATE(10507), 1,
      sym_annotated_type,
    STATE(12200), 1,
      sym__infix_type_choice,
    STATE(14369), 1,
      sym_parameter_types,
    STATE(15761), 1,
      sym__non_null_literal,
    STATE(15774), 1,
      sym__type,
    STATE(15780), 1,
      sym_template_body,
    STATE(16824), 1,
      sym_stable_identifier,
    ACTIONS(6362), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6364), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6366), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3291), 2,
      sym_comment,
      sym_block_comment,
    STATE(11052), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11308), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(15779), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15764), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6352), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9542), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [115500] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6342), 1,
      sym__alpha_identifier,
    ACTIONS(6344), 1,
      anon_sym_COLON,
    ACTIONS(6346), 1,
      anon_sym_LBRACE,
    ACTIONS(6348), 1,
      anon_sym__,
    ACTIONS(6350), 1,
      anon_sym_LBRACK,
    ACTIONS(6354), 1,
      anon_sym_LPAREN,
    ACTIONS(6356), 1,
      sym__backquoted_id,
    ACTIONS(6358), 1,
      sym_operator_identifier,
    ACTIONS(6360), 1,
      sym_integer_literal,
    STATE(8215), 1,
      sym__simple_type,
    STATE(8849), 1,
      sym_identifier,
    STATE(8992), 1,
      sym__soft_identifier,
    STATE(9022), 1,
      sym__annotated_type,
    STATE(10507), 1,
      sym_annotated_type,
    STATE(12200), 1,
      sym__infix_type_choice,
    STATE(14369), 1,
      sym_parameter_types,
    STATE(15761), 1,
      sym__non_null_literal,
    STATE(15772), 1,
      sym__type,
    STATE(15780), 1,
      sym_template_body,
    STATE(16824), 1,
      sym_stable_identifier,
    ACTIONS(6362), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6364), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6366), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3292), 2,
      sym_comment,
      sym_block_comment,
    STATE(11052), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11308), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(15779), 2,
      sym_boolean_literal,
      sym_string,
    STATE(15764), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6352), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9542), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [115619] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4842), 1,
      sym__alpha_identifier,
    ACTIONS(4844), 1,
      anon_sym_COLON,
    ACTIONS(4846), 1,
      anon_sym_LBRACE,
    ACTIONS(4848), 1,
      anon_sym__,
    ACTIONS(4852), 1,
      anon_sym_LBRACK,
    ACTIONS(4860), 1,
      sym__backquoted_id,
    ACTIONS(4864), 1,
      sym_integer_literal,
    ACTIONS(6148), 1,
      anon_sym_LPAREN,
    ACTIONS(6150), 1,
      sym_operator_identifier,
    STATE(4401), 1,
      sym__simple_type,
    STATE(4468), 1,
      sym__annotated_type,
    STATE(4511), 1,
      sym_identifier,
    STATE(4651), 1,
      sym__soft_identifier,
    STATE(6342), 1,
      sym_annotated_type,
    STATE(11850), 1,
      sym__infix_type_choice,
    STATE(11886), 1,
      sym_template_body,
    STATE(12022), 1,
      sym__type,
    STATE(12148), 1,
      sym__non_null_literal,
    STATE(15353), 1,
      sym_parameter_types,
    STATE(16656), 1,
      sym_stable_identifier,
    ACTIONS(4866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4870), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3293), 2,
      sym_comment,
      sym_block_comment,
    STATE(8158), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11935), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12136), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12143), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4854), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4909), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [115738] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16006), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3294), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [115857] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15178), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3295), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [115976] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1520), 1,
      sym_integer_literal,
    ACTIONS(6486), 1,
      sym__alpha_identifier,
    ACTIONS(6488), 1,
      anon_sym_COLON,
    ACTIONS(6490), 1,
      anon_sym_LBRACE,
    ACTIONS(6492), 1,
      anon_sym__,
    ACTIONS(6494), 1,
      anon_sym_LBRACK,
    ACTIONS(6498), 1,
      anon_sym_LPAREN,
    ACTIONS(6500), 1,
      sym__backquoted_id,
    ACTIONS(6502), 1,
      sym_operator_identifier,
    STATE(5072), 1,
      sym__annotated_type,
    STATE(5353), 1,
      sym__simple_type,
    STATE(5485), 1,
      sym__soft_identifier,
    STATE(5556), 1,
      sym_identifier,
    STATE(8431), 1,
      sym_annotated_type,
    STATE(11809), 1,
      sym__infix_type_choice,
    STATE(12690), 1,
      sym_template_body,
    STATE(12711), 1,
      sym__non_null_literal,
    STATE(13089), 1,
      sym__type,
    STATE(15087), 1,
      sym_parameter_types,
    STATE(16662), 1,
      sym_stable_identifier,
    ACTIONS(1522), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1524), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1528), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3296), 2,
      sym_comment,
      sym_block_comment,
    STATE(8413), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8440), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9895), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12713), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6496), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6338), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [116095] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4214), 1,
      anon_sym_COLON,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4234), 1,
      sym_integer_literal,
    ACTIONS(6130), 1,
      sym__alpha_identifier,
    ACTIONS(6136), 1,
      anon_sym__,
    ACTIONS(6142), 1,
      anon_sym_LPAREN,
    ACTIONS(6144), 1,
      sym__backquoted_id,
    ACTIONS(6146), 1,
      sym_operator_identifier,
    ACTIONS(6580), 1,
      anon_sym_LBRACK,
    STATE(6664), 1,
      sym__simple_type,
    STATE(6871), 1,
      sym__annotated_type,
    STATE(7617), 1,
      sym_identifier,
    STATE(7635), 1,
      sym__soft_identifier,
    STATE(9838), 1,
      sym_annotated_type,
    STATE(10416), 1,
      sym_template_body,
    STATE(10964), 1,
      sym__type,
    STATE(11029), 1,
      sym__non_null_literal,
    STATE(11924), 1,
      sym__infix_type_choice,
    STATE(15170), 1,
      sym_parameter_types,
    STATE(15858), 1,
      sym_stable_identifier,
    ACTIONS(4236), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4238), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4242), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3297), 2,
      sym_comment,
      sym_block_comment,
    STATE(10309), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10819), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10870), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11034), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6140), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8290), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [116214] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4214), 1,
      anon_sym_COLON,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4234), 1,
      sym_integer_literal,
    ACTIONS(6130), 1,
      sym__alpha_identifier,
    ACTIONS(6136), 1,
      anon_sym__,
    ACTIONS(6142), 1,
      anon_sym_LPAREN,
    ACTIONS(6144), 1,
      sym__backquoted_id,
    ACTIONS(6146), 1,
      sym_operator_identifier,
    ACTIONS(6580), 1,
      anon_sym_LBRACK,
    STATE(6664), 1,
      sym__simple_type,
    STATE(6871), 1,
      sym__annotated_type,
    STATE(7617), 1,
      sym_identifier,
    STATE(7635), 1,
      sym__soft_identifier,
    STATE(9838), 1,
      sym_annotated_type,
    STATE(10416), 1,
      sym_template_body,
    STATE(10965), 1,
      sym__type,
    STATE(11029), 1,
      sym__non_null_literal,
    STATE(11924), 1,
      sym__infix_type_choice,
    STATE(15170), 1,
      sym_parameter_types,
    STATE(15858), 1,
      sym_stable_identifier,
    ACTIONS(4236), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4238), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4242), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3298), 2,
      sym_comment,
      sym_block_comment,
    STATE(10309), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10819), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10870), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11034), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6140), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8290), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [116333] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4214), 1,
      anon_sym_COLON,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4234), 1,
      sym_integer_literal,
    ACTIONS(6130), 1,
      sym__alpha_identifier,
    ACTIONS(6136), 1,
      anon_sym__,
    ACTIONS(6142), 1,
      anon_sym_LPAREN,
    ACTIONS(6144), 1,
      sym__backquoted_id,
    ACTIONS(6146), 1,
      sym_operator_identifier,
    ACTIONS(6580), 1,
      anon_sym_LBRACK,
    STATE(6664), 1,
      sym__simple_type,
    STATE(6871), 1,
      sym__annotated_type,
    STATE(7617), 1,
      sym_identifier,
    STATE(7635), 1,
      sym__soft_identifier,
    STATE(9838), 1,
      sym_annotated_type,
    STATE(10416), 1,
      sym_template_body,
    STATE(10966), 1,
      sym__type,
    STATE(11029), 1,
      sym__non_null_literal,
    STATE(11924), 1,
      sym__infix_type_choice,
    STATE(15170), 1,
      sym_parameter_types,
    STATE(15858), 1,
      sym_stable_identifier,
    ACTIONS(4236), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4238), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4242), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3299), 2,
      sym_comment,
      sym_block_comment,
    STATE(10309), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10819), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10870), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11034), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6140), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8290), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [116452] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1520), 1,
      sym_integer_literal,
    ACTIONS(6486), 1,
      sym__alpha_identifier,
    ACTIONS(6488), 1,
      anon_sym_COLON,
    ACTIONS(6490), 1,
      anon_sym_LBRACE,
    ACTIONS(6492), 1,
      anon_sym__,
    ACTIONS(6494), 1,
      anon_sym_LBRACK,
    ACTIONS(6498), 1,
      anon_sym_LPAREN,
    ACTIONS(6500), 1,
      sym__backquoted_id,
    ACTIONS(6502), 1,
      sym_operator_identifier,
    STATE(5072), 1,
      sym__annotated_type,
    STATE(5353), 1,
      sym__simple_type,
    STATE(5485), 1,
      sym__soft_identifier,
    STATE(5556), 1,
      sym_identifier,
    STATE(8431), 1,
      sym_annotated_type,
    STATE(11809), 1,
      sym__infix_type_choice,
    STATE(12690), 1,
      sym_template_body,
    STATE(12711), 1,
      sym__non_null_literal,
    STATE(12805), 1,
      sym__type,
    STATE(15087), 1,
      sym_parameter_types,
    STATE(16662), 1,
      sym_stable_identifier,
    ACTIONS(1522), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1524), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1528), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3300), 2,
      sym_comment,
      sym_block_comment,
    STATE(8413), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8440), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9895), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12713), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6496), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6338), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [116571] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4214), 1,
      anon_sym_COLON,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4234), 1,
      sym_integer_literal,
    ACTIONS(6130), 1,
      sym__alpha_identifier,
    ACTIONS(6136), 1,
      anon_sym__,
    ACTIONS(6142), 1,
      anon_sym_LPAREN,
    ACTIONS(6144), 1,
      sym__backquoted_id,
    ACTIONS(6146), 1,
      sym_operator_identifier,
    ACTIONS(6580), 1,
      anon_sym_LBRACK,
    STATE(6664), 1,
      sym__simple_type,
    STATE(6871), 1,
      sym__annotated_type,
    STATE(7617), 1,
      sym_identifier,
    STATE(7635), 1,
      sym__soft_identifier,
    STATE(9838), 1,
      sym_annotated_type,
    STATE(10416), 1,
      sym_template_body,
    STATE(10989), 1,
      sym__type,
    STATE(11029), 1,
      sym__non_null_literal,
    STATE(11924), 1,
      sym__infix_type_choice,
    STATE(15170), 1,
      sym_parameter_types,
    STATE(15858), 1,
      sym_stable_identifier,
    ACTIONS(4236), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4238), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4242), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3301), 2,
      sym_comment,
      sym_block_comment,
    STATE(10309), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10819), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10870), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11034), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6140), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8290), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [116690] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15243), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3302), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [116809] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1414), 1,
      sym_integer_literal,
    ACTIONS(6582), 1,
      sym__alpha_identifier,
    ACTIONS(6584), 1,
      anon_sym_COLON,
    ACTIONS(6586), 1,
      anon_sym_LBRACE,
    ACTIONS(6588), 1,
      anon_sym__,
    ACTIONS(6590), 1,
      anon_sym_LBRACK,
    ACTIONS(6594), 1,
      anon_sym_LPAREN,
    ACTIONS(6596), 1,
      sym__backquoted_id,
    ACTIONS(6598), 1,
      sym_operator_identifier,
    STATE(6307), 1,
      sym__annotated_type,
    STATE(6320), 1,
      sym__simple_type,
    STATE(6730), 1,
      sym__soft_identifier,
    STATE(7322), 1,
      sym_identifier,
    STATE(9482), 1,
      sym_annotated_type,
    STATE(11123), 1,
      sym__type,
    STATE(11322), 1,
      sym_template_body,
    STATE(11323), 1,
      sym__non_null_literal,
    STATE(12229), 1,
      sym__infix_type_choice,
    STATE(15172), 1,
      sym_parameter_types,
    STATE(16251), 1,
      sym_stable_identifier,
    ACTIONS(1416), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1418), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1422), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3303), 2,
      sym_comment,
      sym_block_comment,
    STATE(5592), 2,
      sym_boolean_literal,
      sym_string,
    STATE(5616), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10311), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11319), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6592), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7912), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [116928] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16057), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3304), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [117047] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4334), 1,
      sym__alpha_identifier,
    ACTIONS(4336), 1,
      anon_sym_COLON,
    ACTIONS(4338), 1,
      anon_sym_LBRACE,
    ACTIONS(4340), 1,
      anon_sym__,
    ACTIONS(4344), 1,
      anon_sym_LBRACK,
    ACTIONS(4352), 1,
      sym__backquoted_id,
    ACTIONS(4356), 1,
      sym_integer_literal,
    ACTIONS(6600), 1,
      anon_sym_LPAREN,
    ACTIONS(6602), 1,
      sym_operator_identifier,
    STATE(4334), 1,
      sym__simple_type,
    STATE(4355), 1,
      sym__annotated_type,
    STATE(4483), 1,
      sym_identifier,
    STATE(4494), 1,
      sym__soft_identifier,
    STATE(5740), 1,
      sym_annotated_type,
    STATE(11037), 1,
      sym_template_body,
    STATE(11180), 1,
      sym__type,
    STATE(11210), 1,
      sym__non_null_literal,
    STATE(12211), 1,
      sym__infix_type_choice,
    STATE(15096), 1,
      sym_parameter_types,
    STATE(16818), 1,
      sym_stable_identifier,
    ACTIONS(4358), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4360), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4364), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3305), 2,
      sym_comment,
      sym_block_comment,
    STATE(7512), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11134), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11227), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11213), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4346), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4508), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [117166] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16059), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3306), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [117285] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1414), 1,
      sym_integer_literal,
    ACTIONS(6582), 1,
      sym__alpha_identifier,
    ACTIONS(6584), 1,
      anon_sym_COLON,
    ACTIONS(6586), 1,
      anon_sym_LBRACE,
    ACTIONS(6588), 1,
      anon_sym__,
    ACTIONS(6590), 1,
      anon_sym_LBRACK,
    ACTIONS(6594), 1,
      anon_sym_LPAREN,
    ACTIONS(6596), 1,
      sym__backquoted_id,
    ACTIONS(6598), 1,
      sym_operator_identifier,
    STATE(6307), 1,
      sym__annotated_type,
    STATE(6320), 1,
      sym__simple_type,
    STATE(6730), 1,
      sym__soft_identifier,
    STATE(7322), 1,
      sym_identifier,
    STATE(9482), 1,
      sym_annotated_type,
    STATE(11141), 1,
      sym__type,
    STATE(11322), 1,
      sym_template_body,
    STATE(11323), 1,
      sym__non_null_literal,
    STATE(12229), 1,
      sym__infix_type_choice,
    STATE(15172), 1,
      sym_parameter_types,
    STATE(16251), 1,
      sym_stable_identifier,
    ACTIONS(1416), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1418), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1422), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3307), 2,
      sym_comment,
      sym_block_comment,
    STATE(5592), 2,
      sym_boolean_literal,
      sym_string,
    STATE(5616), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10311), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11319), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6592), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7912), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [117404] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1520), 1,
      sym_integer_literal,
    ACTIONS(6486), 1,
      sym__alpha_identifier,
    ACTIONS(6488), 1,
      anon_sym_COLON,
    ACTIONS(6490), 1,
      anon_sym_LBRACE,
    ACTIONS(6492), 1,
      anon_sym__,
    ACTIONS(6494), 1,
      anon_sym_LBRACK,
    ACTIONS(6498), 1,
      anon_sym_LPAREN,
    ACTIONS(6500), 1,
      sym__backquoted_id,
    ACTIONS(6502), 1,
      sym_operator_identifier,
    STATE(5072), 1,
      sym__annotated_type,
    STATE(5353), 1,
      sym__simple_type,
    STATE(5485), 1,
      sym__soft_identifier,
    STATE(5556), 1,
      sym_identifier,
    STATE(8431), 1,
      sym_annotated_type,
    STATE(11809), 1,
      sym__infix_type_choice,
    STATE(12690), 1,
      sym_template_body,
    STATE(12711), 1,
      sym__non_null_literal,
    STATE(12750), 1,
      sym__type,
    STATE(15087), 1,
      sym_parameter_types,
    STATE(16662), 1,
      sym_stable_identifier,
    ACTIONS(1522), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1524), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1528), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3308), 2,
      sym_comment,
      sym_block_comment,
    STATE(8413), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8440), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9895), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12713), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6496), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6338), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [117523] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4214), 1,
      anon_sym_COLON,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4234), 1,
      sym_integer_literal,
    ACTIONS(6130), 1,
      sym__alpha_identifier,
    ACTIONS(6136), 1,
      anon_sym__,
    ACTIONS(6142), 1,
      anon_sym_LPAREN,
    ACTIONS(6144), 1,
      sym__backquoted_id,
    ACTIONS(6146), 1,
      sym_operator_identifier,
    ACTIONS(6580), 1,
      anon_sym_LBRACK,
    STATE(6664), 1,
      sym__simple_type,
    STATE(6871), 1,
      sym__annotated_type,
    STATE(7617), 1,
      sym_identifier,
    STATE(7635), 1,
      sym__soft_identifier,
    STATE(9838), 1,
      sym_annotated_type,
    STATE(10416), 1,
      sym_template_body,
    STATE(10817), 1,
      sym__type,
    STATE(11029), 1,
      sym__non_null_literal,
    STATE(11924), 1,
      sym__infix_type_choice,
    STATE(15170), 1,
      sym_parameter_types,
    STATE(15858), 1,
      sym_stable_identifier,
    ACTIONS(4236), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4238), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4242), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3309), 2,
      sym_comment,
      sym_block_comment,
    STATE(10309), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10819), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10870), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11034), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6140), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8290), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [117642] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15347), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3310), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [117761] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1414), 1,
      sym_integer_literal,
    ACTIONS(6582), 1,
      sym__alpha_identifier,
    ACTIONS(6584), 1,
      anon_sym_COLON,
    ACTIONS(6586), 1,
      anon_sym_LBRACE,
    ACTIONS(6588), 1,
      anon_sym__,
    ACTIONS(6590), 1,
      anon_sym_LBRACK,
    ACTIONS(6594), 1,
      anon_sym_LPAREN,
    ACTIONS(6596), 1,
      sym__backquoted_id,
    ACTIONS(6598), 1,
      sym_operator_identifier,
    STATE(6307), 1,
      sym__annotated_type,
    STATE(6320), 1,
      sym__simple_type,
    STATE(6730), 1,
      sym__soft_identifier,
    STATE(7322), 1,
      sym_identifier,
    STATE(9482), 1,
      sym_annotated_type,
    STATE(11197), 1,
      sym__type,
    STATE(11322), 1,
      sym_template_body,
    STATE(11323), 1,
      sym__non_null_literal,
    STATE(12229), 1,
      sym__infix_type_choice,
    STATE(15172), 1,
      sym_parameter_types,
    STATE(16251), 1,
      sym_stable_identifier,
    ACTIONS(1416), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1418), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1422), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3311), 2,
      sym_comment,
      sym_block_comment,
    STATE(5592), 2,
      sym_boolean_literal,
      sym_string,
    STATE(5616), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10311), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11319), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6592), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7912), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [117880] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6604), 1,
      sym__alpha_identifier,
    ACTIONS(6606), 1,
      anon_sym_COLON,
    ACTIONS(6608), 1,
      anon_sym_LBRACE,
    ACTIONS(6610), 1,
      anon_sym__,
    ACTIONS(6612), 1,
      anon_sym_LBRACK,
    ACTIONS(6616), 1,
      anon_sym_LPAREN,
    ACTIONS(6618), 1,
      sym__backquoted_id,
    ACTIONS(6620), 1,
      sym_operator_identifier,
    ACTIONS(6622), 1,
      sym_integer_literal,
    STATE(5917), 1,
      sym__simple_type,
    STATE(6167), 1,
      sym__annotated_type,
    STATE(6430), 1,
      sym_identifier,
    STATE(6627), 1,
      sym__soft_identifier,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(9360), 1,
      sym_annotated_type,
    STATE(10619), 1,
      sym__type,
    STATE(12208), 1,
      sym__infix_type_choice,
    STATE(14999), 1,
      sym_parameter_types,
    STATE(16479), 1,
      sym_stable_identifier,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3312), 2,
      sym_comment,
      sym_block_comment,
    STATE(9976), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10676), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6614), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7355), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [117999] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1414), 1,
      sym_integer_literal,
    ACTIONS(6582), 1,
      sym__alpha_identifier,
    ACTIONS(6584), 1,
      anon_sym_COLON,
    ACTIONS(6586), 1,
      anon_sym_LBRACE,
    ACTIONS(6588), 1,
      anon_sym__,
    ACTIONS(6590), 1,
      anon_sym_LBRACK,
    ACTIONS(6594), 1,
      anon_sym_LPAREN,
    ACTIONS(6596), 1,
      sym__backquoted_id,
    ACTIONS(6598), 1,
      sym_operator_identifier,
    STATE(6307), 1,
      sym__annotated_type,
    STATE(6320), 1,
      sym__simple_type,
    STATE(6730), 1,
      sym__soft_identifier,
    STATE(7322), 1,
      sym_identifier,
    STATE(9482), 1,
      sym_annotated_type,
    STATE(11154), 1,
      sym__type,
    STATE(11322), 1,
      sym_template_body,
    STATE(11323), 1,
      sym__non_null_literal,
    STATE(12229), 1,
      sym__infix_type_choice,
    STATE(15172), 1,
      sym_parameter_types,
    STATE(16251), 1,
      sym_stable_identifier,
    ACTIONS(1416), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1418), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1422), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3313), 2,
      sym_comment,
      sym_block_comment,
    STATE(5592), 2,
      sym_boolean_literal,
      sym_string,
    STATE(5616), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10311), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11319), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6592), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7912), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [118118] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8112), 1,
      sym__type,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3314), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [118237] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1414), 1,
      sym_integer_literal,
    ACTIONS(6582), 1,
      sym__alpha_identifier,
    ACTIONS(6584), 1,
      anon_sym_COLON,
    ACTIONS(6586), 1,
      anon_sym_LBRACE,
    ACTIONS(6588), 1,
      anon_sym__,
    ACTIONS(6590), 1,
      anon_sym_LBRACK,
    ACTIONS(6594), 1,
      anon_sym_LPAREN,
    ACTIONS(6596), 1,
      sym__backquoted_id,
    ACTIONS(6598), 1,
      sym_operator_identifier,
    STATE(6307), 1,
      sym__annotated_type,
    STATE(6320), 1,
      sym__simple_type,
    STATE(6730), 1,
      sym__soft_identifier,
    STATE(7322), 1,
      sym_identifier,
    STATE(9482), 1,
      sym_annotated_type,
    STATE(11168), 1,
      sym__type,
    STATE(11322), 1,
      sym_template_body,
    STATE(11323), 1,
      sym__non_null_literal,
    STATE(12229), 1,
      sym__infix_type_choice,
    STATE(15172), 1,
      sym_parameter_types,
    STATE(16251), 1,
      sym_stable_identifier,
    ACTIONS(1416), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1418), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1422), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3315), 2,
      sym_comment,
      sym_block_comment,
    STATE(5592), 2,
      sym_boolean_literal,
      sym_string,
    STATE(5616), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10311), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11319), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6592), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7912), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [118356] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4264), 1,
      sym__alpha_identifier,
    ACTIONS(4266), 1,
      anon_sym_COLON,
    ACTIONS(4268), 1,
      anon_sym_LBRACE,
    ACTIONS(4270), 1,
      anon_sym__,
    ACTIONS(4274), 1,
      anon_sym_LBRACK,
    ACTIONS(4282), 1,
      sym__backquoted_id,
    ACTIONS(4286), 1,
      sym_integer_literal,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    ACTIONS(6632), 1,
      sym_operator_identifier,
    STATE(4280), 1,
      sym__annotated_type,
    STATE(4294), 1,
      sym__simple_type,
    STATE(4380), 1,
      sym__soft_identifier,
    STATE(4396), 1,
      sym_identifier,
    STATE(5238), 1,
      sym_annotated_type,
    STATE(10724), 1,
      sym_template_body,
    STATE(10900), 1,
      sym__type,
    STATE(10963), 1,
      sym__non_null_literal,
    STATE(11919), 1,
      sym__infix_type_choice,
    STATE(15089), 1,
      sym_parameter_types,
    STATE(16629), 1,
      sym_stable_identifier,
    ACTIONS(4288), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4290), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4294), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3316), 2,
      sym_comment,
      sym_block_comment,
    STATE(7213), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10744), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10942), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10958), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4276), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4409), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [118475] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4334), 1,
      sym__alpha_identifier,
    ACTIONS(4336), 1,
      anon_sym_COLON,
    ACTIONS(4338), 1,
      anon_sym_LBRACE,
    ACTIONS(4340), 1,
      anon_sym__,
    ACTIONS(4344), 1,
      anon_sym_LBRACK,
    ACTIONS(4352), 1,
      sym__backquoted_id,
    ACTIONS(4356), 1,
      sym_integer_literal,
    ACTIONS(6600), 1,
      anon_sym_LPAREN,
    ACTIONS(6602), 1,
      sym_operator_identifier,
    STATE(4334), 1,
      sym__simple_type,
    STATE(4355), 1,
      sym__annotated_type,
    STATE(4483), 1,
      sym_identifier,
    STATE(4494), 1,
      sym__soft_identifier,
    STATE(5740), 1,
      sym_annotated_type,
    STATE(11037), 1,
      sym_template_body,
    STATE(11210), 1,
      sym__non_null_literal,
    STATE(11313), 1,
      sym__type,
    STATE(12211), 1,
      sym__infix_type_choice,
    STATE(15096), 1,
      sym_parameter_types,
    STATE(16818), 1,
      sym_stable_identifier,
    ACTIONS(4358), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4360), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4364), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3317), 2,
      sym_comment,
      sym_block_comment,
    STATE(7512), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11134), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11227), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11213), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4346), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4508), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [118594] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15340), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3318), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [118713] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16119), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3319), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [118832] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16122), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3320), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [118951] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4334), 1,
      sym__alpha_identifier,
    ACTIONS(4336), 1,
      anon_sym_COLON,
    ACTIONS(4338), 1,
      anon_sym_LBRACE,
    ACTIONS(4340), 1,
      anon_sym__,
    ACTIONS(4344), 1,
      anon_sym_LBRACK,
    ACTIONS(4352), 1,
      sym__backquoted_id,
    ACTIONS(4356), 1,
      sym_integer_literal,
    ACTIONS(6600), 1,
      anon_sym_LPAREN,
    ACTIONS(6602), 1,
      sym_operator_identifier,
    STATE(4334), 1,
      sym__simple_type,
    STATE(4355), 1,
      sym__annotated_type,
    STATE(4483), 1,
      sym_identifier,
    STATE(4494), 1,
      sym__soft_identifier,
    STATE(5740), 1,
      sym_annotated_type,
    STATE(11037), 1,
      sym_template_body,
    STATE(11210), 1,
      sym__non_null_literal,
    STATE(11263), 1,
      sym__type,
    STATE(12211), 1,
      sym__infix_type_choice,
    STATE(15096), 1,
      sym_parameter_types,
    STATE(16818), 1,
      sym_stable_identifier,
    ACTIONS(4358), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4360), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4364), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3321), 2,
      sym_comment,
      sym_block_comment,
    STATE(7512), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11134), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11227), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11213), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4346), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4508), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [119070] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4334), 1,
      sym__alpha_identifier,
    ACTIONS(4336), 1,
      anon_sym_COLON,
    ACTIONS(4338), 1,
      anon_sym_LBRACE,
    ACTIONS(4340), 1,
      anon_sym__,
    ACTIONS(4344), 1,
      anon_sym_LBRACK,
    ACTIONS(4352), 1,
      sym__backquoted_id,
    ACTIONS(4356), 1,
      sym_integer_literal,
    ACTIONS(6600), 1,
      anon_sym_LPAREN,
    ACTIONS(6602), 1,
      sym_operator_identifier,
    STATE(4334), 1,
      sym__simple_type,
    STATE(4355), 1,
      sym__annotated_type,
    STATE(4483), 1,
      sym_identifier,
    STATE(4494), 1,
      sym__soft_identifier,
    STATE(5740), 1,
      sym_annotated_type,
    STATE(11037), 1,
      sym_template_body,
    STATE(11210), 1,
      sym__non_null_literal,
    STATE(11247), 1,
      sym__type,
    STATE(12211), 1,
      sym__infix_type_choice,
    STATE(15096), 1,
      sym_parameter_types,
    STATE(16818), 1,
      sym_stable_identifier,
    ACTIONS(4358), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4360), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4364), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3322), 2,
      sym_comment,
      sym_block_comment,
    STATE(7512), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11134), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11227), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11213), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4346), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4508), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [119189] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4334), 1,
      sym__alpha_identifier,
    ACTIONS(4336), 1,
      anon_sym_COLON,
    ACTIONS(4338), 1,
      anon_sym_LBRACE,
    ACTIONS(4340), 1,
      anon_sym__,
    ACTIONS(4344), 1,
      anon_sym_LBRACK,
    ACTIONS(4352), 1,
      sym__backquoted_id,
    ACTIONS(4356), 1,
      sym_integer_literal,
    ACTIONS(6600), 1,
      anon_sym_LPAREN,
    ACTIONS(6602), 1,
      sym_operator_identifier,
    STATE(4334), 1,
      sym__simple_type,
    STATE(4355), 1,
      sym__annotated_type,
    STATE(4483), 1,
      sym_identifier,
    STATE(4494), 1,
      sym__soft_identifier,
    STATE(5740), 1,
      sym_annotated_type,
    STATE(11037), 1,
      sym_template_body,
    STATE(11210), 1,
      sym__non_null_literal,
    STATE(11244), 1,
      sym__type,
    STATE(12211), 1,
      sym__infix_type_choice,
    STATE(15096), 1,
      sym_parameter_types,
    STATE(16818), 1,
      sym_stable_identifier,
    ACTIONS(4358), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4360), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4364), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3323), 2,
      sym_comment,
      sym_block_comment,
    STATE(7512), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11134), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11227), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11213), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4346), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4508), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [119308] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15255), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3324), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [119427] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4662), 1,
      anon_sym_COLON,
    ACTIONS(4664), 1,
      anon_sym_LBRACE,
    ACTIONS(4682), 1,
      sym_integer_literal,
    ACTIONS(4690), 1,
      sym__alpha_identifier,
    ACTIONS(4692), 1,
      anon_sym__,
    ACTIONS(4696), 1,
      anon_sym_LBRACK,
    ACTIONS(4702), 1,
      sym__backquoted_id,
    ACTIONS(6634), 1,
      anon_sym_LPAREN,
    ACTIONS(6636), 1,
      sym_operator_identifier,
    STATE(4403), 1,
      sym__annotated_type,
    STATE(4447), 1,
      sym__simple_type,
    STATE(4567), 1,
      sym__soft_identifier,
    STATE(4581), 1,
      sym_identifier,
    STATE(6394), 1,
      sym_annotated_type,
    STATE(11461), 1,
      sym__type,
    STATE(11655), 1,
      sym_template_body,
    STATE(11690), 1,
      sym__non_null_literal,
    STATE(12216), 1,
      sym__infix_type_choice,
    STATE(15086), 1,
      sym_parameter_types,
    STATE(16329), 1,
      sym_stable_identifier,
    ACTIONS(4684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3325), 2,
      sym_comment,
      sym_block_comment,
    STATE(8155), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11571), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11669), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11692), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4698), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4730), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [119546] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4662), 1,
      anon_sym_COLON,
    ACTIONS(4664), 1,
      anon_sym_LBRACE,
    ACTIONS(4682), 1,
      sym_integer_literal,
    ACTIONS(4690), 1,
      sym__alpha_identifier,
    ACTIONS(4692), 1,
      anon_sym__,
    ACTIONS(4696), 1,
      anon_sym_LBRACK,
    ACTIONS(4702), 1,
      sym__backquoted_id,
    ACTIONS(6634), 1,
      anon_sym_LPAREN,
    ACTIONS(6636), 1,
      sym_operator_identifier,
    STATE(4403), 1,
      sym__annotated_type,
    STATE(4447), 1,
      sym__simple_type,
    STATE(4567), 1,
      sym__soft_identifier,
    STATE(4581), 1,
      sym_identifier,
    STATE(6394), 1,
      sym_annotated_type,
    STATE(11409), 1,
      sym__type,
    STATE(11655), 1,
      sym_template_body,
    STATE(11690), 1,
      sym__non_null_literal,
    STATE(12216), 1,
      sym__infix_type_choice,
    STATE(15086), 1,
      sym_parameter_types,
    STATE(16329), 1,
      sym_stable_identifier,
    ACTIONS(4684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3326), 2,
      sym_comment,
      sym_block_comment,
    STATE(8155), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11571), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11669), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11692), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4698), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4730), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [119665] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15256), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3327), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [119784] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15284), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3328), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [119903] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4264), 1,
      sym__alpha_identifier,
    ACTIONS(4266), 1,
      anon_sym_COLON,
    ACTIONS(4268), 1,
      anon_sym_LBRACE,
    ACTIONS(4270), 1,
      anon_sym__,
    ACTIONS(4274), 1,
      anon_sym_LBRACK,
    ACTIONS(4282), 1,
      sym__backquoted_id,
    ACTIONS(4286), 1,
      sym_integer_literal,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    ACTIONS(6632), 1,
      sym_operator_identifier,
    STATE(4280), 1,
      sym__annotated_type,
    STATE(4294), 1,
      sym__simple_type,
    STATE(4380), 1,
      sym__soft_identifier,
    STATE(4396), 1,
      sym_identifier,
    STATE(5238), 1,
      sym_annotated_type,
    STATE(10724), 1,
      sym_template_body,
    STATE(10904), 1,
      sym__type,
    STATE(10963), 1,
      sym__non_null_literal,
    STATE(11919), 1,
      sym__infix_type_choice,
    STATE(15089), 1,
      sym_parameter_types,
    STATE(16629), 1,
      sym_stable_identifier,
    ACTIONS(4288), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4290), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4294), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3329), 2,
      sym_comment,
      sym_block_comment,
    STATE(7213), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10744), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10942), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10958), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4276), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4409), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [120022] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1792), 1,
      sym_integer_literal,
    ACTIONS(6522), 1,
      sym__alpha_identifier,
    ACTIONS(6524), 1,
      anon_sym_COLON,
    ACTIONS(6526), 1,
      anon_sym_LBRACE,
    ACTIONS(6528), 1,
      anon_sym__,
    ACTIONS(6530), 1,
      anon_sym_LBRACK,
    ACTIONS(6534), 1,
      anon_sym_LPAREN,
    ACTIONS(6536), 1,
      sym__backquoted_id,
    ACTIONS(6538), 1,
      sym_operator_identifier,
    STATE(4559), 1,
      sym__simple_type,
    STATE(4612), 1,
      sym__annotated_type,
    STATE(4776), 1,
      sym__soft_identifier,
    STATE(4779), 1,
      sym_identifier,
    STATE(7168), 1,
      sym_annotated_type,
    STATE(11655), 1,
      sym_template_body,
    STATE(11690), 1,
      sym__non_null_literal,
    STATE(11881), 1,
      sym__infix_type_choice,
    STATE(12029), 1,
      sym__type,
    STATE(15225), 1,
      sym_parameter_types,
    STATE(16640), 1,
      sym_stable_identifier,
    ACTIONS(1794), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1796), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1800), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3330), 2,
      sym_comment,
      sym_block_comment,
    STATE(6465), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(6572), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11692), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6532), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5109), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [120141] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4402), 1,
      sym__alpha_identifier,
    ACTIONS(4404), 1,
      anon_sym_COLON,
    ACTIONS(4406), 1,
      anon_sym_LBRACE,
    ACTIONS(4408), 1,
      anon_sym__,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(4420), 1,
      sym__backquoted_id,
    ACTIONS(4424), 1,
      sym_integer_literal,
    ACTIONS(6638), 1,
      anon_sym_LPAREN,
    ACTIONS(6640), 1,
      sym_operator_identifier,
    STATE(5901), 1,
      sym__simple_type,
    STATE(5902), 1,
      sym__annotated_type,
    STATE(6126), 1,
      sym_identifier,
    STATE(6337), 1,
      sym__soft_identifier,
    STATE(8794), 1,
      sym_annotated_type,
    STATE(11168), 1,
      sym__type,
    STATE(11322), 1,
      sym_template_body,
    STATE(11323), 1,
      sym__non_null_literal,
    STATE(11946), 1,
      sym__infix_type_choice,
    STATE(14946), 1,
      sym_parameter_types,
    STATE(15828), 1,
      sym_stable_identifier,
    ACTIONS(4426), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4428), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4430), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3331), 2,
      sym_comment,
      sym_block_comment,
    STATE(10128), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11237), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11347), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11319), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4414), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7175), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [120260] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4402), 1,
      sym__alpha_identifier,
    ACTIONS(4404), 1,
      anon_sym_COLON,
    ACTIONS(4406), 1,
      anon_sym_LBRACE,
    ACTIONS(4408), 1,
      anon_sym__,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(4420), 1,
      sym__backquoted_id,
    ACTIONS(4424), 1,
      sym_integer_literal,
    ACTIONS(6638), 1,
      anon_sym_LPAREN,
    ACTIONS(6640), 1,
      sym_operator_identifier,
    STATE(5901), 1,
      sym__simple_type,
    STATE(5902), 1,
      sym__annotated_type,
    STATE(6126), 1,
      sym_identifier,
    STATE(6337), 1,
      sym__soft_identifier,
    STATE(8794), 1,
      sym_annotated_type,
    STATE(11154), 1,
      sym__type,
    STATE(11322), 1,
      sym_template_body,
    STATE(11323), 1,
      sym__non_null_literal,
    STATE(11946), 1,
      sym__infix_type_choice,
    STATE(14946), 1,
      sym_parameter_types,
    STATE(15828), 1,
      sym_stable_identifier,
    ACTIONS(4426), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4428), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4430), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3332), 2,
      sym_comment,
      sym_block_comment,
    STATE(10128), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11237), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11347), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11319), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4414), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7175), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [120379] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4402), 1,
      sym__alpha_identifier,
    ACTIONS(4404), 1,
      anon_sym_COLON,
    ACTIONS(4406), 1,
      anon_sym_LBRACE,
    ACTIONS(4408), 1,
      anon_sym__,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(4420), 1,
      sym__backquoted_id,
    ACTIONS(4424), 1,
      sym_integer_literal,
    ACTIONS(6638), 1,
      anon_sym_LPAREN,
    ACTIONS(6640), 1,
      sym_operator_identifier,
    STATE(5901), 1,
      sym__simple_type,
    STATE(5902), 1,
      sym__annotated_type,
    STATE(6126), 1,
      sym_identifier,
    STATE(6337), 1,
      sym__soft_identifier,
    STATE(8794), 1,
      sym_annotated_type,
    STATE(11197), 1,
      sym__type,
    STATE(11322), 1,
      sym_template_body,
    STATE(11323), 1,
      sym__non_null_literal,
    STATE(11946), 1,
      sym__infix_type_choice,
    STATE(14946), 1,
      sym_parameter_types,
    STATE(15828), 1,
      sym_stable_identifier,
    ACTIONS(4426), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4428), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4430), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3333), 2,
      sym_comment,
      sym_block_comment,
    STATE(10128), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11237), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11347), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11319), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4414), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7175), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [120498] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4402), 1,
      sym__alpha_identifier,
    ACTIONS(4404), 1,
      anon_sym_COLON,
    ACTIONS(4406), 1,
      anon_sym_LBRACE,
    ACTIONS(4408), 1,
      anon_sym__,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(4420), 1,
      sym__backquoted_id,
    ACTIONS(4424), 1,
      sym_integer_literal,
    ACTIONS(6638), 1,
      anon_sym_LPAREN,
    ACTIONS(6640), 1,
      sym_operator_identifier,
    STATE(5901), 1,
      sym__simple_type,
    STATE(5902), 1,
      sym__annotated_type,
    STATE(6126), 1,
      sym_identifier,
    STATE(6337), 1,
      sym__soft_identifier,
    STATE(8794), 1,
      sym_annotated_type,
    STATE(11141), 1,
      sym__type,
    STATE(11322), 1,
      sym_template_body,
    STATE(11323), 1,
      sym__non_null_literal,
    STATE(11946), 1,
      sym__infix_type_choice,
    STATE(14946), 1,
      sym_parameter_types,
    STATE(15828), 1,
      sym_stable_identifier,
    ACTIONS(4426), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4428), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4430), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3334), 2,
      sym_comment,
      sym_block_comment,
    STATE(10128), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11237), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11347), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11319), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4414), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7175), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [120617] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4662), 1,
      anon_sym_COLON,
    ACTIONS(4664), 1,
      anon_sym_LBRACE,
    ACTIONS(4682), 1,
      sym_integer_literal,
    ACTIONS(4690), 1,
      sym__alpha_identifier,
    ACTIONS(4692), 1,
      anon_sym__,
    ACTIONS(4696), 1,
      anon_sym_LBRACK,
    ACTIONS(4702), 1,
      sym__backquoted_id,
    ACTIONS(6634), 1,
      anon_sym_LPAREN,
    ACTIONS(6636), 1,
      sym_operator_identifier,
    STATE(4403), 1,
      sym__annotated_type,
    STATE(4447), 1,
      sym__simple_type,
    STATE(4567), 1,
      sym__soft_identifier,
    STATE(4581), 1,
      sym_identifier,
    STATE(6394), 1,
      sym_annotated_type,
    STATE(11369), 1,
      sym__type,
    STATE(11655), 1,
      sym_template_body,
    STATE(11690), 1,
      sym__non_null_literal,
    STATE(12216), 1,
      sym__infix_type_choice,
    STATE(15086), 1,
      sym_parameter_types,
    STATE(16329), 1,
      sym_stable_identifier,
    ACTIONS(4684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3335), 2,
      sym_comment,
      sym_block_comment,
    STATE(8155), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11571), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11669), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11692), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4698), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4730), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [120736] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4264), 1,
      sym__alpha_identifier,
    ACTIONS(4266), 1,
      anon_sym_COLON,
    ACTIONS(4268), 1,
      anon_sym_LBRACE,
    ACTIONS(4270), 1,
      anon_sym__,
    ACTIONS(4274), 1,
      anon_sym_LBRACK,
    ACTIONS(4282), 1,
      sym__backquoted_id,
    ACTIONS(4286), 1,
      sym_integer_literal,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    ACTIONS(6632), 1,
      sym_operator_identifier,
    STATE(4280), 1,
      sym__annotated_type,
    STATE(4294), 1,
      sym__simple_type,
    STATE(4380), 1,
      sym__soft_identifier,
    STATE(4396), 1,
      sym_identifier,
    STATE(5238), 1,
      sym_annotated_type,
    STATE(10724), 1,
      sym_template_body,
    STATE(10906), 1,
      sym__type,
    STATE(10963), 1,
      sym__non_null_literal,
    STATE(11919), 1,
      sym__infix_type_choice,
    STATE(15089), 1,
      sym_parameter_types,
    STATE(16629), 1,
      sym_stable_identifier,
    ACTIONS(4288), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4290), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4294), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3336), 2,
      sym_comment,
      sym_block_comment,
    STATE(7213), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10744), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10942), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10958), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4276), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4409), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [120855] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4662), 1,
      anon_sym_COLON,
    ACTIONS(4664), 1,
      anon_sym_LBRACE,
    ACTIONS(4682), 1,
      sym_integer_literal,
    ACTIONS(4690), 1,
      sym__alpha_identifier,
    ACTIONS(4692), 1,
      anon_sym__,
    ACTIONS(4696), 1,
      anon_sym_LBRACK,
    ACTIONS(4702), 1,
      sym__backquoted_id,
    ACTIONS(6634), 1,
      anon_sym_LPAREN,
    ACTIONS(6636), 1,
      sym_operator_identifier,
    STATE(4403), 1,
      sym__annotated_type,
    STATE(4447), 1,
      sym__simple_type,
    STATE(4567), 1,
      sym__soft_identifier,
    STATE(4581), 1,
      sym_identifier,
    STATE(6394), 1,
      sym_annotated_type,
    STATE(11370), 1,
      sym__type,
    STATE(11655), 1,
      sym_template_body,
    STATE(11690), 1,
      sym__non_null_literal,
    STATE(12216), 1,
      sym__infix_type_choice,
    STATE(15086), 1,
      sym_parameter_types,
    STATE(16329), 1,
      sym_stable_identifier,
    ACTIONS(4684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3337), 2,
      sym_comment,
      sym_block_comment,
    STATE(8155), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11571), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11669), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11692), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4698), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4730), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [120974] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4662), 1,
      anon_sym_COLON,
    ACTIONS(4664), 1,
      anon_sym_LBRACE,
    ACTIONS(4682), 1,
      sym_integer_literal,
    ACTIONS(4690), 1,
      sym__alpha_identifier,
    ACTIONS(4692), 1,
      anon_sym__,
    ACTIONS(4696), 1,
      anon_sym_LBRACK,
    ACTIONS(4702), 1,
      sym__backquoted_id,
    ACTIONS(6634), 1,
      anon_sym_LPAREN,
    ACTIONS(6636), 1,
      sym_operator_identifier,
    STATE(4403), 1,
      sym__annotated_type,
    STATE(4447), 1,
      sym__simple_type,
    STATE(4567), 1,
      sym__soft_identifier,
    STATE(4581), 1,
      sym_identifier,
    STATE(6394), 1,
      sym_annotated_type,
    STATE(11371), 1,
      sym__type,
    STATE(11655), 1,
      sym_template_body,
    STATE(11690), 1,
      sym__non_null_literal,
    STATE(12216), 1,
      sym__infix_type_choice,
    STATE(15086), 1,
      sym_parameter_types,
    STATE(16329), 1,
      sym_stable_identifier,
    ACTIONS(4684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3338), 2,
      sym_comment,
      sym_block_comment,
    STATE(8155), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11571), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11669), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11692), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4698), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4730), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [121093] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4336), 1,
      anon_sym_COLON,
    ACTIONS(4338), 1,
      anon_sym_LBRACE,
    ACTIONS(4356), 1,
      sym_integer_literal,
    ACTIONS(4384), 1,
      sym__alpha_identifier,
    ACTIONS(4386), 1,
      anon_sym__,
    ACTIONS(4390), 1,
      anon_sym_LBRACK,
    ACTIONS(4396), 1,
      sym__backquoted_id,
    ACTIONS(6642), 1,
      anon_sym_LPAREN,
    ACTIONS(6644), 1,
      sym_operator_identifier,
    STATE(5408), 1,
      sym__annotated_type,
    STATE(5891), 1,
      sym__simple_type,
    STATE(6027), 1,
      sym__soft_identifier,
    STATE(6518), 1,
      sym_identifier,
    STATE(8994), 1,
      sym_annotated_type,
    STATE(11037), 1,
      sym_template_body,
    STATE(11180), 1,
      sym__type,
    STATE(11210), 1,
      sym__non_null_literal,
    STATE(12223), 1,
      sym__infix_type_choice,
    STATE(14602), 1,
      sym_parameter_types,
    STATE(16812), 1,
      sym_stable_identifier,
    ACTIONS(4358), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4360), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4364), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3339), 2,
      sym_comment,
      sym_block_comment,
    STATE(10065), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11134), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11227), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11213), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4392), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6894), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [121212] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15421), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3340), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [121331] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4336), 1,
      anon_sym_COLON,
    ACTIONS(4338), 1,
      anon_sym_LBRACE,
    ACTIONS(4356), 1,
      sym_integer_literal,
    ACTIONS(4384), 1,
      sym__alpha_identifier,
    ACTIONS(4386), 1,
      anon_sym__,
    ACTIONS(4390), 1,
      anon_sym_LBRACK,
    ACTIONS(4396), 1,
      sym__backquoted_id,
    ACTIONS(6642), 1,
      anon_sym_LPAREN,
    ACTIONS(6644), 1,
      sym_operator_identifier,
    STATE(5408), 1,
      sym__annotated_type,
    STATE(5891), 1,
      sym__simple_type,
    STATE(6027), 1,
      sym__soft_identifier,
    STATE(6518), 1,
      sym_identifier,
    STATE(8994), 1,
      sym_annotated_type,
    STATE(11037), 1,
      sym_template_body,
    STATE(11210), 1,
      sym__non_null_literal,
    STATE(11313), 1,
      sym__type,
    STATE(12223), 1,
      sym__infix_type_choice,
    STATE(14602), 1,
      sym_parameter_types,
    STATE(16812), 1,
      sym_stable_identifier,
    ACTIONS(4358), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4360), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4364), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3341), 2,
      sym_comment,
      sym_block_comment,
    STATE(10065), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11134), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11227), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11213), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4392), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6894), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [121450] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4402), 1,
      sym__alpha_identifier,
    ACTIONS(4404), 1,
      anon_sym_COLON,
    ACTIONS(4406), 1,
      anon_sym_LBRACE,
    ACTIONS(4408), 1,
      anon_sym__,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(4420), 1,
      sym__backquoted_id,
    ACTIONS(4424), 1,
      sym_integer_literal,
    ACTIONS(6638), 1,
      anon_sym_LPAREN,
    ACTIONS(6640), 1,
      sym_operator_identifier,
    STATE(5901), 1,
      sym__simple_type,
    STATE(5902), 1,
      sym__annotated_type,
    STATE(6126), 1,
      sym_identifier,
    STATE(6337), 1,
      sym__soft_identifier,
    STATE(8794), 1,
      sym_annotated_type,
    STATE(11123), 1,
      sym__type,
    STATE(11322), 1,
      sym_template_body,
    STATE(11323), 1,
      sym__non_null_literal,
    STATE(11946), 1,
      sym__infix_type_choice,
    STATE(14946), 1,
      sym_parameter_types,
    STATE(15828), 1,
      sym_stable_identifier,
    ACTIONS(4426), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4428), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4430), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3342), 2,
      sym_comment,
      sym_block_comment,
    STATE(10128), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11237), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11347), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11319), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4414), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7175), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [121569] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4336), 1,
      anon_sym_COLON,
    ACTIONS(4338), 1,
      anon_sym_LBRACE,
    ACTIONS(4356), 1,
      sym_integer_literal,
    ACTIONS(4384), 1,
      sym__alpha_identifier,
    ACTIONS(4386), 1,
      anon_sym__,
    ACTIONS(4390), 1,
      anon_sym_LBRACK,
    ACTIONS(4396), 1,
      sym__backquoted_id,
    ACTIONS(6642), 1,
      anon_sym_LPAREN,
    ACTIONS(6644), 1,
      sym_operator_identifier,
    STATE(5408), 1,
      sym__annotated_type,
    STATE(5891), 1,
      sym__simple_type,
    STATE(6027), 1,
      sym__soft_identifier,
    STATE(6518), 1,
      sym_identifier,
    STATE(8994), 1,
      sym_annotated_type,
    STATE(11037), 1,
      sym_template_body,
    STATE(11210), 1,
      sym__non_null_literal,
    STATE(11263), 1,
      sym__type,
    STATE(12223), 1,
      sym__infix_type_choice,
    STATE(14602), 1,
      sym_parameter_types,
    STATE(16812), 1,
      sym_stable_identifier,
    ACTIONS(4358), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4360), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4364), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3343), 2,
      sym_comment,
      sym_block_comment,
    STATE(10065), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11134), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11227), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11213), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4392), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6894), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [121688] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16181), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3344), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [121807] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4336), 1,
      anon_sym_COLON,
    ACTIONS(4338), 1,
      anon_sym_LBRACE,
    ACTIONS(4356), 1,
      sym_integer_literal,
    ACTIONS(4384), 1,
      sym__alpha_identifier,
    ACTIONS(4386), 1,
      anon_sym__,
    ACTIONS(4390), 1,
      anon_sym_LBRACK,
    ACTIONS(4396), 1,
      sym__backquoted_id,
    ACTIONS(6642), 1,
      anon_sym_LPAREN,
    ACTIONS(6644), 1,
      sym_operator_identifier,
    STATE(5408), 1,
      sym__annotated_type,
    STATE(5891), 1,
      sym__simple_type,
    STATE(6027), 1,
      sym__soft_identifier,
    STATE(6518), 1,
      sym_identifier,
    STATE(8994), 1,
      sym_annotated_type,
    STATE(11037), 1,
      sym_template_body,
    STATE(11210), 1,
      sym__non_null_literal,
    STATE(11247), 1,
      sym__type,
    STATE(12223), 1,
      sym__infix_type_choice,
    STATE(14602), 1,
      sym_parameter_types,
    STATE(16812), 1,
      sym_stable_identifier,
    ACTIONS(4358), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4360), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4364), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3345), 2,
      sym_comment,
      sym_block_comment,
    STATE(10065), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11134), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11227), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11213), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4392), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6894), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [121926] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16188), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3346), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [122045] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4336), 1,
      anon_sym_COLON,
    ACTIONS(4338), 1,
      anon_sym_LBRACE,
    ACTIONS(4356), 1,
      sym_integer_literal,
    ACTIONS(4384), 1,
      sym__alpha_identifier,
    ACTIONS(4386), 1,
      anon_sym__,
    ACTIONS(4390), 1,
      anon_sym_LBRACK,
    ACTIONS(4396), 1,
      sym__backquoted_id,
    ACTIONS(6642), 1,
      anon_sym_LPAREN,
    ACTIONS(6644), 1,
      sym_operator_identifier,
    STATE(5408), 1,
      sym__annotated_type,
    STATE(5891), 1,
      sym__simple_type,
    STATE(6027), 1,
      sym__soft_identifier,
    STATE(6518), 1,
      sym_identifier,
    STATE(8994), 1,
      sym_annotated_type,
    STATE(11037), 1,
      sym_template_body,
    STATE(11210), 1,
      sym__non_null_literal,
    STATE(11244), 1,
      sym__type,
    STATE(12223), 1,
      sym__infix_type_choice,
    STATE(14602), 1,
      sym_parameter_types,
    STATE(16812), 1,
      sym_stable_identifier,
    ACTIONS(4358), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4360), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4364), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3347), 2,
      sym_comment,
      sym_block_comment,
    STATE(10065), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11134), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11227), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11213), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4392), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6894), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [122164] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1414), 1,
      sym_integer_literal,
    ACTIONS(6584), 1,
      anon_sym_COLON,
    ACTIONS(6586), 1,
      anon_sym_LBRACE,
    ACTIONS(6646), 1,
      sym__alpha_identifier,
    ACTIONS(6648), 1,
      anon_sym__,
    ACTIONS(6650), 1,
      anon_sym_LBRACK,
    ACTIONS(6654), 1,
      anon_sym_LPAREN,
    ACTIONS(6656), 1,
      sym__backquoted_id,
    ACTIONS(6658), 1,
      sym_operator_identifier,
    STATE(4443), 1,
      sym__simple_type,
    STATE(4471), 1,
      sym__annotated_type,
    STATE(4596), 1,
      sym__soft_identifier,
    STATE(4659), 1,
      sym_identifier,
    STATE(6534), 1,
      sym_annotated_type,
    STATE(11123), 1,
      sym__type,
    STATE(11322), 1,
      sym_template_body,
    STATE(11323), 1,
      sym__non_null_literal,
    STATE(12175), 1,
      sym__infix_type_choice,
    STATE(15223), 1,
      sym_parameter_types,
    STATE(16367), 1,
      sym_stable_identifier,
    ACTIONS(1416), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1418), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1422), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3348), 2,
      sym_comment,
      sym_block_comment,
    STATE(5592), 2,
      sym_boolean_literal,
      sym_string,
    STATE(5616), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8140), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11319), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6652), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4714), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [122283] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1414), 1,
      sym_integer_literal,
    ACTIONS(6584), 1,
      anon_sym_COLON,
    ACTIONS(6586), 1,
      anon_sym_LBRACE,
    ACTIONS(6646), 1,
      sym__alpha_identifier,
    ACTIONS(6648), 1,
      anon_sym__,
    ACTIONS(6650), 1,
      anon_sym_LBRACK,
    ACTIONS(6654), 1,
      anon_sym_LPAREN,
    ACTIONS(6656), 1,
      sym__backquoted_id,
    ACTIONS(6658), 1,
      sym_operator_identifier,
    STATE(4443), 1,
      sym__simple_type,
    STATE(4471), 1,
      sym__annotated_type,
    STATE(4596), 1,
      sym__soft_identifier,
    STATE(4659), 1,
      sym_identifier,
    STATE(6534), 1,
      sym_annotated_type,
    STATE(11141), 1,
      sym__type,
    STATE(11322), 1,
      sym_template_body,
    STATE(11323), 1,
      sym__non_null_literal,
    STATE(12175), 1,
      sym__infix_type_choice,
    STATE(15223), 1,
      sym_parameter_types,
    STATE(16367), 1,
      sym_stable_identifier,
    ACTIONS(1416), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1418), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1422), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3349), 2,
      sym_comment,
      sym_block_comment,
    STATE(5592), 2,
      sym_boolean_literal,
      sym_string,
    STATE(5616), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8140), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11319), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6652), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4714), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [122402] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1414), 1,
      sym_integer_literal,
    ACTIONS(6584), 1,
      anon_sym_COLON,
    ACTIONS(6586), 1,
      anon_sym_LBRACE,
    ACTIONS(6646), 1,
      sym__alpha_identifier,
    ACTIONS(6648), 1,
      anon_sym__,
    ACTIONS(6650), 1,
      anon_sym_LBRACK,
    ACTIONS(6654), 1,
      anon_sym_LPAREN,
    ACTIONS(6656), 1,
      sym__backquoted_id,
    ACTIONS(6658), 1,
      sym_operator_identifier,
    STATE(4443), 1,
      sym__simple_type,
    STATE(4471), 1,
      sym__annotated_type,
    STATE(4596), 1,
      sym__soft_identifier,
    STATE(4659), 1,
      sym_identifier,
    STATE(6534), 1,
      sym_annotated_type,
    STATE(11197), 1,
      sym__type,
    STATE(11322), 1,
      sym_template_body,
    STATE(11323), 1,
      sym__non_null_literal,
    STATE(12175), 1,
      sym__infix_type_choice,
    STATE(15223), 1,
      sym_parameter_types,
    STATE(16367), 1,
      sym_stable_identifier,
    ACTIONS(1416), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1418), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1422), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3350), 2,
      sym_comment,
      sym_block_comment,
    STATE(5592), 2,
      sym_boolean_literal,
      sym_string,
    STATE(5616), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8140), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11319), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6652), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4714), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [122521] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(87), 1,
      sym_integer_literal,
    ACTIONS(6130), 1,
      sym__alpha_identifier,
    ACTIONS(6132), 1,
      anon_sym_COLON,
    ACTIONS(6134), 1,
      anon_sym_LBRACE,
    ACTIONS(6136), 1,
      anon_sym__,
    ACTIONS(6138), 1,
      anon_sym_LBRACK,
    ACTIONS(6142), 1,
      anon_sym_LPAREN,
    ACTIONS(6144), 1,
      sym__backquoted_id,
    ACTIONS(6146), 1,
      sym_operator_identifier,
    STATE(6664), 1,
      sym__simple_type,
    STATE(6871), 1,
      sym__annotated_type,
    STATE(7617), 1,
      sym_identifier,
    STATE(7635), 1,
      sym__soft_identifier,
    STATE(9838), 1,
      sym_annotated_type,
    STATE(10416), 1,
      sym_template_body,
    STATE(10964), 1,
      sym__type,
    STATE(11029), 1,
      sym__non_null_literal,
    STATE(11924), 1,
      sym__infix_type_choice,
    STATE(14979), 1,
      sym_parameter_types,
    STATE(15858), 1,
      sym_stable_identifier,
    ACTIONS(89), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(91), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(103), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3351), 2,
      sym_comment,
      sym_block_comment,
    STATE(6306), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7065), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10309), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11034), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6140), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8290), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [122640] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15363), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3352), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [122759] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1414), 1,
      sym_integer_literal,
    ACTIONS(6584), 1,
      anon_sym_COLON,
    ACTIONS(6586), 1,
      anon_sym_LBRACE,
    ACTIONS(6646), 1,
      sym__alpha_identifier,
    ACTIONS(6648), 1,
      anon_sym__,
    ACTIONS(6650), 1,
      anon_sym_LBRACK,
    ACTIONS(6654), 1,
      anon_sym_LPAREN,
    ACTIONS(6656), 1,
      sym__backquoted_id,
    ACTIONS(6658), 1,
      sym_operator_identifier,
    STATE(4443), 1,
      sym__simple_type,
    STATE(4471), 1,
      sym__annotated_type,
    STATE(4596), 1,
      sym__soft_identifier,
    STATE(4659), 1,
      sym_identifier,
    STATE(6534), 1,
      sym_annotated_type,
    STATE(11154), 1,
      sym__type,
    STATE(11322), 1,
      sym_template_body,
    STATE(11323), 1,
      sym__non_null_literal,
    STATE(12175), 1,
      sym__infix_type_choice,
    STATE(15223), 1,
      sym_parameter_types,
    STATE(16367), 1,
      sym_stable_identifier,
    ACTIONS(1416), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1418), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1422), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3353), 2,
      sym_comment,
      sym_block_comment,
    STATE(5592), 2,
      sym_boolean_literal,
      sym_string,
    STATE(5616), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8140), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11319), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6652), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4714), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [122878] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1414), 1,
      sym_integer_literal,
    ACTIONS(6584), 1,
      anon_sym_COLON,
    ACTIONS(6586), 1,
      anon_sym_LBRACE,
    ACTIONS(6646), 1,
      sym__alpha_identifier,
    ACTIONS(6648), 1,
      anon_sym__,
    ACTIONS(6650), 1,
      anon_sym_LBRACK,
    ACTIONS(6654), 1,
      anon_sym_LPAREN,
    ACTIONS(6656), 1,
      sym__backquoted_id,
    ACTIONS(6658), 1,
      sym_operator_identifier,
    STATE(4443), 1,
      sym__simple_type,
    STATE(4471), 1,
      sym__annotated_type,
    STATE(4596), 1,
      sym__soft_identifier,
    STATE(4659), 1,
      sym_identifier,
    STATE(6534), 1,
      sym_annotated_type,
    STATE(11168), 1,
      sym__type,
    STATE(11322), 1,
      sym_template_body,
    STATE(11323), 1,
      sym__non_null_literal,
    STATE(12175), 1,
      sym__infix_type_choice,
    STATE(15223), 1,
      sym_parameter_types,
    STATE(16367), 1,
      sym_stable_identifier,
    ACTIONS(1416), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1418), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1422), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3354), 2,
      sym_comment,
      sym_block_comment,
    STATE(5592), 2,
      sym_boolean_literal,
      sym_string,
    STATE(5616), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8140), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11319), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6652), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4714), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [122997] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4438), 1,
      sym__alpha_identifier,
    ACTIONS(4440), 1,
      anon_sym_COLON,
    ACTIONS(4442), 1,
      anon_sym_LBRACE,
    ACTIONS(4444), 1,
      anon_sym__,
    ACTIONS(4448), 1,
      anon_sym_LBRACK,
    ACTIONS(4456), 1,
      sym__backquoted_id,
    ACTIONS(4460), 1,
      sym_integer_literal,
    ACTIONS(6660), 1,
      anon_sym_LPAREN,
    ACTIONS(6662), 1,
      sym_operator_identifier,
    STATE(5059), 1,
      sym__simple_type,
    STATE(5250), 1,
      sym__annotated_type,
    STATE(5411), 1,
      sym__soft_identifier,
    STATE(5811), 1,
      sym_identifier,
    STATE(8328), 1,
      sym_annotated_type,
    STATE(12154), 1,
      sym__infix_type_choice,
    STATE(13007), 1,
      sym__non_null_literal,
    STATE(13099), 1,
      sym_template_body,
    STATE(13137), 1,
      sym__type,
    STATE(14918), 1,
      sym_parameter_types,
    STATE(16806), 1,
      sym_stable_identifier,
    ACTIONS(4462), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4464), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4468), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3355), 2,
      sym_comment,
      sym_block_comment,
    STATE(9764), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13124), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13251), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13012), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4450), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6556), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [123116] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4438), 1,
      sym__alpha_identifier,
    ACTIONS(4440), 1,
      anon_sym_COLON,
    ACTIONS(4442), 1,
      anon_sym_LBRACE,
    ACTIONS(4444), 1,
      anon_sym__,
    ACTIONS(4448), 1,
      anon_sym_LBRACK,
    ACTIONS(4456), 1,
      sym__backquoted_id,
    ACTIONS(4460), 1,
      sym_integer_literal,
    ACTIONS(6660), 1,
      anon_sym_LPAREN,
    ACTIONS(6662), 1,
      sym_operator_identifier,
    STATE(5059), 1,
      sym__simple_type,
    STATE(5250), 1,
      sym__annotated_type,
    STATE(5411), 1,
      sym__soft_identifier,
    STATE(5811), 1,
      sym_identifier,
    STATE(8328), 1,
      sym_annotated_type,
    STATE(12154), 1,
      sym__infix_type_choice,
    STATE(13007), 1,
      sym__non_null_literal,
    STATE(13094), 1,
      sym__type,
    STATE(13099), 1,
      sym_template_body,
    STATE(14918), 1,
      sym_parameter_types,
    STATE(16806), 1,
      sym_stable_identifier,
    ACTIONS(4462), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4464), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4468), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3356), 2,
      sym_comment,
      sym_block_comment,
    STATE(9764), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13124), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13251), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13012), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4450), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6556), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [123235] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4438), 1,
      sym__alpha_identifier,
    ACTIONS(4440), 1,
      anon_sym_COLON,
    ACTIONS(4442), 1,
      anon_sym_LBRACE,
    ACTIONS(4444), 1,
      anon_sym__,
    ACTIONS(4448), 1,
      anon_sym_LBRACK,
    ACTIONS(4456), 1,
      sym__backquoted_id,
    ACTIONS(4460), 1,
      sym_integer_literal,
    ACTIONS(6660), 1,
      anon_sym_LPAREN,
    ACTIONS(6662), 1,
      sym_operator_identifier,
    STATE(5059), 1,
      sym__simple_type,
    STATE(5250), 1,
      sym__annotated_type,
    STATE(5411), 1,
      sym__soft_identifier,
    STATE(5811), 1,
      sym_identifier,
    STATE(8328), 1,
      sym_annotated_type,
    STATE(12154), 1,
      sym__infix_type_choice,
    STATE(13007), 1,
      sym__non_null_literal,
    STATE(13073), 1,
      sym__type,
    STATE(13099), 1,
      sym_template_body,
    STATE(14918), 1,
      sym_parameter_types,
    STATE(16806), 1,
      sym_stable_identifier,
    ACTIONS(4462), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4464), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4468), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3357), 2,
      sym_comment,
      sym_block_comment,
    STATE(9764), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13124), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13251), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13012), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4450), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6556), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [123354] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4438), 1,
      sym__alpha_identifier,
    ACTIONS(4440), 1,
      anon_sym_COLON,
    ACTIONS(4442), 1,
      anon_sym_LBRACE,
    ACTIONS(4444), 1,
      anon_sym__,
    ACTIONS(4448), 1,
      anon_sym_LBRACK,
    ACTIONS(4456), 1,
      sym__backquoted_id,
    ACTIONS(4460), 1,
      sym_integer_literal,
    ACTIONS(6660), 1,
      anon_sym_LPAREN,
    ACTIONS(6662), 1,
      sym_operator_identifier,
    STATE(5059), 1,
      sym__simple_type,
    STATE(5250), 1,
      sym__annotated_type,
    STATE(5411), 1,
      sym__soft_identifier,
    STATE(5811), 1,
      sym_identifier,
    STATE(8328), 1,
      sym_annotated_type,
    STATE(12154), 1,
      sym__infix_type_choice,
    STATE(13007), 1,
      sym__non_null_literal,
    STATE(13072), 1,
      sym__type,
    STATE(13099), 1,
      sym_template_body,
    STATE(14918), 1,
      sym_parameter_types,
    STATE(16806), 1,
      sym_stable_identifier,
    ACTIONS(4462), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4464), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4468), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3358), 2,
      sym_comment,
      sym_block_comment,
    STATE(9764), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13124), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13251), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13012), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4450), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6556), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [123473] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1792), 1,
      sym_integer_literal,
    ACTIONS(6524), 1,
      anon_sym_COLON,
    ACTIONS(6526), 1,
      anon_sym_LBRACE,
    ACTIONS(6664), 1,
      sym__alpha_identifier,
    ACTIONS(6666), 1,
      anon_sym__,
    ACTIONS(6668), 1,
      anon_sym_LBRACK,
    ACTIONS(6672), 1,
      anon_sym_LPAREN,
    ACTIONS(6674), 1,
      sym__backquoted_id,
    ACTIONS(6676), 1,
      sym_operator_identifier,
    STATE(6942), 1,
      sym__simple_type,
    STATE(7314), 1,
      sym__annotated_type,
    STATE(7416), 1,
      sym_identifier,
    STATE(7573), 1,
      sym__soft_identifier,
    STATE(9874), 1,
      sym_annotated_type,
    STATE(11655), 1,
      sym_template_body,
    STATE(11690), 1,
      sym__non_null_literal,
    STATE(11954), 1,
      sym__infix_type_choice,
    STATE(12029), 1,
      sym__type,
    STATE(15174), 1,
      sym_parameter_types,
    STATE(16596), 1,
      sym_stable_identifier,
    ACTIONS(1794), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1796), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1800), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3359), 2,
      sym_comment,
      sym_block_comment,
    STATE(6465), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(6572), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10427), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11692), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6670), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8346), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [123592] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11756), 1,
      sym__type,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3360), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [123711] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11759), 1,
      sym__type,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3361), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [123830] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11761), 1,
      sym__type,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3362), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [123949] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11713), 1,
      sym__type,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3363), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [124068] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4438), 1,
      sym__alpha_identifier,
    ACTIONS(4440), 1,
      anon_sym_COLON,
    ACTIONS(4442), 1,
      anon_sym_LBRACE,
    ACTIONS(4444), 1,
      anon_sym__,
    ACTIONS(4448), 1,
      anon_sym_LBRACK,
    ACTIONS(4456), 1,
      sym__backquoted_id,
    ACTIONS(4460), 1,
      sym_integer_literal,
    ACTIONS(6660), 1,
      anon_sym_LPAREN,
    ACTIONS(6662), 1,
      sym_operator_identifier,
    STATE(5059), 1,
      sym__simple_type,
    STATE(5250), 1,
      sym__annotated_type,
    STATE(5411), 1,
      sym__soft_identifier,
    STATE(5811), 1,
      sym_identifier,
    STATE(8328), 1,
      sym_annotated_type,
    STATE(12154), 1,
      sym__infix_type_choice,
    STATE(13007), 1,
      sym__non_null_literal,
    STATE(13057), 1,
      sym__type,
    STATE(13099), 1,
      sym_template_body,
    STATE(14918), 1,
      sym_parameter_types,
    STATE(16806), 1,
      sym_stable_identifier,
    ACTIONS(4462), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4464), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4468), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3364), 2,
      sym_comment,
      sym_block_comment,
    STATE(9764), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13124), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13251), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13012), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4450), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6556), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [124187] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4264), 1,
      sym__alpha_identifier,
    ACTIONS(4266), 1,
      anon_sym_COLON,
    ACTIONS(4268), 1,
      anon_sym_LBRACE,
    ACTIONS(4270), 1,
      anon_sym__,
    ACTIONS(4274), 1,
      anon_sym_LBRACK,
    ACTIONS(4282), 1,
      sym__backquoted_id,
    ACTIONS(4286), 1,
      sym_integer_literal,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    ACTIONS(6632), 1,
      sym_operator_identifier,
    STATE(4280), 1,
      sym__annotated_type,
    STATE(4294), 1,
      sym__simple_type,
    STATE(4380), 1,
      sym__soft_identifier,
    STATE(4396), 1,
      sym_identifier,
    STATE(5238), 1,
      sym_annotated_type,
    STATE(10724), 1,
      sym_template_body,
    STATE(10914), 1,
      sym__type,
    STATE(10963), 1,
      sym__non_null_literal,
    STATE(11919), 1,
      sym__infix_type_choice,
    STATE(15089), 1,
      sym_parameter_types,
    STATE(16629), 1,
      sym_stable_identifier,
    ACTIONS(4288), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4290), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4294), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3365), 2,
      sym_comment,
      sym_block_comment,
    STATE(7213), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10744), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10942), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10958), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4276), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4409), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [124306] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4778), 1,
      sym__alpha_identifier,
    ACTIONS(4780), 1,
      anon_sym_COLON,
    ACTIONS(4782), 1,
      anon_sym_LBRACE,
    ACTIONS(4784), 1,
      anon_sym__,
    ACTIONS(4788), 1,
      anon_sym_LBRACK,
    ACTIONS(4796), 1,
      sym__backquoted_id,
    ACTIONS(4800), 1,
      sym_integer_literal,
    ACTIONS(6678), 1,
      anon_sym_LPAREN,
    ACTIONS(6680), 1,
      sym_operator_identifier,
    STATE(4691), 1,
      sym__annotated_type,
    STATE(4771), 1,
      sym__simple_type,
    STATE(4975), 1,
      sym_identifier,
    STATE(5184), 1,
      sym__soft_identifier,
    STATE(7811), 1,
      sym_annotated_type,
    STATE(12156), 1,
      sym__infix_type_choice,
    STATE(12690), 1,
      sym_template_body,
    STATE(12711), 1,
      sym__non_null_literal,
    STATE(12750), 1,
      sym__type,
    STATE(15348), 1,
      sym_parameter_types,
    STATE(16403), 1,
      sym_stable_identifier,
    ACTIONS(4802), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4804), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4806), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3366), 2,
      sym_comment,
      sym_block_comment,
    STATE(9309), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12644), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12730), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12713), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4790), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5538), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [124425] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1608), 1,
      sym_integer_literal,
    ACTIONS(6186), 1,
      sym__alpha_identifier,
    ACTIONS(6188), 1,
      anon_sym_COLON,
    ACTIONS(6190), 1,
      anon_sym_LBRACE,
    ACTIONS(6192), 1,
      anon_sym__,
    ACTIONS(6194), 1,
      anon_sym_LBRACK,
    ACTIONS(6198), 1,
      anon_sym_LPAREN,
    ACTIONS(6200), 1,
      sym__backquoted_id,
    ACTIONS(6202), 1,
      sym_operator_identifier,
    STATE(5473), 1,
      sym__annotated_type,
    STATE(5850), 1,
      sym__simple_type,
    STATE(6040), 1,
      sym__soft_identifier,
    STATE(6255), 1,
      sym_identifier,
    STATE(9065), 1,
      sym_annotated_type,
    STATE(12117), 1,
      sym__infix_type_choice,
    STATE(12963), 1,
      sym__non_null_literal,
    STATE(13087), 1,
      sym_template_body,
    STATE(13256), 1,
      sym__type,
    STATE(15093), 1,
      sym_parameter_types,
    STATE(16794), 1,
      sym_stable_identifier,
    ACTIONS(1610), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1612), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1616), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3367), 2,
      sym_comment,
      sym_block_comment,
    STATE(8928), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9104), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10055), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12960), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6196), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6740), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [124544] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4778), 1,
      sym__alpha_identifier,
    ACTIONS(4780), 1,
      anon_sym_COLON,
    ACTIONS(4782), 1,
      anon_sym_LBRACE,
    ACTIONS(4784), 1,
      anon_sym__,
    ACTIONS(4788), 1,
      anon_sym_LBRACK,
    ACTIONS(4796), 1,
      sym__backquoted_id,
    ACTIONS(4800), 1,
      sym_integer_literal,
    ACTIONS(6678), 1,
      anon_sym_LPAREN,
    ACTIONS(6680), 1,
      sym_operator_identifier,
    STATE(4691), 1,
      sym__annotated_type,
    STATE(4771), 1,
      sym__simple_type,
    STATE(4975), 1,
      sym_identifier,
    STATE(5184), 1,
      sym__soft_identifier,
    STATE(7811), 1,
      sym_annotated_type,
    STATE(12156), 1,
      sym__infix_type_choice,
    STATE(12690), 1,
      sym_template_body,
    STATE(12711), 1,
      sym__non_null_literal,
    STATE(12782), 1,
      sym__type,
    STATE(15348), 1,
      sym_parameter_types,
    STATE(16403), 1,
      sym_stable_identifier,
    ACTIONS(4802), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4804), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4806), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3368), 2,
      sym_comment,
      sym_block_comment,
    STATE(9309), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12644), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12730), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12713), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4790), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5538), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [124663] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4778), 1,
      sym__alpha_identifier,
    ACTIONS(4780), 1,
      anon_sym_COLON,
    ACTIONS(4782), 1,
      anon_sym_LBRACE,
    ACTIONS(4784), 1,
      anon_sym__,
    ACTIONS(4788), 1,
      anon_sym_LBRACK,
    ACTIONS(4796), 1,
      sym__backquoted_id,
    ACTIONS(4800), 1,
      sym_integer_literal,
    ACTIONS(6678), 1,
      anon_sym_LPAREN,
    ACTIONS(6680), 1,
      sym_operator_identifier,
    STATE(4691), 1,
      sym__annotated_type,
    STATE(4771), 1,
      sym__simple_type,
    STATE(4975), 1,
      sym_identifier,
    STATE(5184), 1,
      sym__soft_identifier,
    STATE(7811), 1,
      sym_annotated_type,
    STATE(12156), 1,
      sym__infix_type_choice,
    STATE(12690), 1,
      sym_template_body,
    STATE(12711), 1,
      sym__non_null_literal,
    STATE(12785), 1,
      sym__type,
    STATE(15348), 1,
      sym_parameter_types,
    STATE(16403), 1,
      sym_stable_identifier,
    ACTIONS(4802), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4804), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4806), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3369), 2,
      sym_comment,
      sym_block_comment,
    STATE(9309), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12644), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12730), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12713), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4790), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5538), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [124782] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4778), 1,
      sym__alpha_identifier,
    ACTIONS(4780), 1,
      anon_sym_COLON,
    ACTIONS(4782), 1,
      anon_sym_LBRACE,
    ACTIONS(4784), 1,
      anon_sym__,
    ACTIONS(4788), 1,
      anon_sym_LBRACK,
    ACTIONS(4796), 1,
      sym__backquoted_id,
    ACTIONS(4800), 1,
      sym_integer_literal,
    ACTIONS(6678), 1,
      anon_sym_LPAREN,
    ACTIONS(6680), 1,
      sym_operator_identifier,
    STATE(4691), 1,
      sym__annotated_type,
    STATE(4771), 1,
      sym__simple_type,
    STATE(4975), 1,
      sym_identifier,
    STATE(5184), 1,
      sym__soft_identifier,
    STATE(7811), 1,
      sym_annotated_type,
    STATE(12156), 1,
      sym__infix_type_choice,
    STATE(12690), 1,
      sym_template_body,
    STATE(12711), 1,
      sym__non_null_literal,
    STATE(12793), 1,
      sym__type,
    STATE(15348), 1,
      sym_parameter_types,
    STATE(16403), 1,
      sym_stable_identifier,
    ACTIONS(4802), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4804), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4806), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3370), 2,
      sym_comment,
      sym_block_comment,
    STATE(9309), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12644), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12730), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12713), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4790), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5538), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [124901] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5381), 1,
      sym__annotated_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(11544), 1,
      sym__type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11979), 1,
      sym__infix_type_choice,
    STATE(14865), 1,
      sym_parameter_types,
    STATE(15969), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3371), 2,
      sym_comment,
      sym_block_comment,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [125020] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4778), 1,
      sym__alpha_identifier,
    ACTIONS(4780), 1,
      anon_sym_COLON,
    ACTIONS(4782), 1,
      anon_sym_LBRACE,
    ACTIONS(4784), 1,
      anon_sym__,
    ACTIONS(4788), 1,
      anon_sym_LBRACK,
    ACTIONS(4796), 1,
      sym__backquoted_id,
    ACTIONS(4800), 1,
      sym_integer_literal,
    ACTIONS(6678), 1,
      anon_sym_LPAREN,
    ACTIONS(6680), 1,
      sym_operator_identifier,
    STATE(4691), 1,
      sym__annotated_type,
    STATE(4771), 1,
      sym__simple_type,
    STATE(4975), 1,
      sym_identifier,
    STATE(5184), 1,
      sym__soft_identifier,
    STATE(7811), 1,
      sym_annotated_type,
    STATE(12156), 1,
      sym__infix_type_choice,
    STATE(12690), 1,
      sym_template_body,
    STATE(12711), 1,
      sym__non_null_literal,
    STATE(12805), 1,
      sym__type,
    STATE(15348), 1,
      sym_parameter_types,
    STATE(16403), 1,
      sym_stable_identifier,
    ACTIONS(4802), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4804), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4806), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3372), 2,
      sym_comment,
      sym_block_comment,
    STATE(9309), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12644), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12730), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12713), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4790), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5538), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [125139] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4808), 1,
      sym__alpha_identifier,
    ACTIONS(4810), 1,
      anon_sym_COLON,
    ACTIONS(4812), 1,
      anon_sym_LBRACE,
    ACTIONS(4814), 1,
      anon_sym__,
    ACTIONS(4818), 1,
      anon_sym_LBRACK,
    ACTIONS(4826), 1,
      sym__backquoted_id,
    ACTIONS(4830), 1,
      sym_integer_literal,
    ACTIONS(6682), 1,
      anon_sym_LPAREN,
    ACTIONS(6684), 1,
      sym_operator_identifier,
    STATE(5105), 1,
      sym__annotated_type,
    STATE(5307), 1,
      sym__simple_type,
    STATE(5480), 1,
      sym__soft_identifier,
    STATE(5668), 1,
      sym_identifier,
    STATE(8449), 1,
      sym_annotated_type,
    STATE(11790), 1,
      sym__infix_type_choice,
    STATE(13033), 1,
      sym_template_body,
    STATE(13051), 1,
      sym__type,
    STATE(13246), 1,
      sym__non_null_literal,
    STATE(15254), 1,
      sym_parameter_types,
    STATE(16674), 1,
      sym_stable_identifier,
    ACTIONS(4832), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4834), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4836), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3373), 2,
      sym_comment,
      sym_block_comment,
    STATE(9745), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13159), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13235), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13237), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4820), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6180), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [125258] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4264), 1,
      sym__alpha_identifier,
    ACTIONS(4266), 1,
      anon_sym_COLON,
    ACTIONS(4268), 1,
      anon_sym_LBRACE,
    ACTIONS(4270), 1,
      anon_sym__,
    ACTIONS(4274), 1,
      anon_sym_LBRACK,
    ACTIONS(4282), 1,
      sym__backquoted_id,
    ACTIONS(4286), 1,
      sym_integer_literal,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    ACTIONS(6632), 1,
      sym_operator_identifier,
    STATE(4280), 1,
      sym__annotated_type,
    STATE(4294), 1,
      sym__simple_type,
    STATE(4380), 1,
      sym__soft_identifier,
    STATE(4396), 1,
      sym_identifier,
    STATE(5238), 1,
      sym_annotated_type,
    STATE(10724), 1,
      sym_template_body,
    STATE(10945), 1,
      sym__type,
    STATE(10963), 1,
      sym__non_null_literal,
    STATE(11919), 1,
      sym__infix_type_choice,
    STATE(15089), 1,
      sym_parameter_types,
    STATE(16629), 1,
      sym_stable_identifier,
    ACTIONS(4288), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4290), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4294), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3374), 2,
      sym_comment,
      sym_block_comment,
    STATE(7213), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10744), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10942), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10958), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4276), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4409), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [125377] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4808), 1,
      sym__alpha_identifier,
    ACTIONS(4810), 1,
      anon_sym_COLON,
    ACTIONS(4812), 1,
      anon_sym_LBRACE,
    ACTIONS(4814), 1,
      anon_sym__,
    ACTIONS(4818), 1,
      anon_sym_LBRACK,
    ACTIONS(4826), 1,
      sym__backquoted_id,
    ACTIONS(4830), 1,
      sym_integer_literal,
    ACTIONS(6682), 1,
      anon_sym_LPAREN,
    ACTIONS(6684), 1,
      sym_operator_identifier,
    STATE(5105), 1,
      sym__annotated_type,
    STATE(5307), 1,
      sym__simple_type,
    STATE(5480), 1,
      sym__soft_identifier,
    STATE(5668), 1,
      sym_identifier,
    STATE(8449), 1,
      sym_annotated_type,
    STATE(11790), 1,
      sym__infix_type_choice,
    STATE(13033), 1,
      sym_template_body,
    STATE(13045), 1,
      sym__type,
    STATE(13246), 1,
      sym__non_null_literal,
    STATE(15254), 1,
      sym_parameter_types,
    STATE(16674), 1,
      sym_stable_identifier,
    ACTIONS(4832), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4834), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4836), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3375), 2,
      sym_comment,
      sym_block_comment,
    STATE(9745), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13159), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13235), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13237), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4820), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6180), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [125496] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15463), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3376), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [125615] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1608), 1,
      sym_integer_literal,
    ACTIONS(6186), 1,
      sym__alpha_identifier,
    ACTIONS(6188), 1,
      anon_sym_COLON,
    ACTIONS(6190), 1,
      anon_sym_LBRACE,
    ACTIONS(6192), 1,
      anon_sym__,
    ACTIONS(6194), 1,
      anon_sym_LBRACK,
    ACTIONS(6198), 1,
      anon_sym_LPAREN,
    ACTIONS(6200), 1,
      sym__backquoted_id,
    ACTIONS(6202), 1,
      sym_operator_identifier,
    STATE(5473), 1,
      sym__annotated_type,
    STATE(5850), 1,
      sym__simple_type,
    STATE(6040), 1,
      sym__soft_identifier,
    STATE(6255), 1,
      sym_identifier,
    STATE(9065), 1,
      sym_annotated_type,
    STATE(12117), 1,
      sym__infix_type_choice,
    STATE(12963), 1,
      sym__non_null_literal,
    STATE(13087), 1,
      sym_template_body,
    STATE(13218), 1,
      sym__type,
    STATE(15093), 1,
      sym_parameter_types,
    STATE(16794), 1,
      sym_stable_identifier,
    ACTIONS(1610), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1612), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1616), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3377), 2,
      sym_comment,
      sym_block_comment,
    STATE(8928), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9104), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10055), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12960), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6196), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6740), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [125734] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16252), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3378), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [125853] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(87), 1,
      sym_integer_literal,
    ACTIONS(6130), 1,
      sym__alpha_identifier,
    ACTIONS(6132), 1,
      anon_sym_COLON,
    ACTIONS(6134), 1,
      anon_sym_LBRACE,
    ACTIONS(6136), 1,
      anon_sym__,
    ACTIONS(6138), 1,
      anon_sym_LBRACK,
    ACTIONS(6142), 1,
      anon_sym_LPAREN,
    ACTIONS(6144), 1,
      sym__backquoted_id,
    ACTIONS(6146), 1,
      sym_operator_identifier,
    STATE(6664), 1,
      sym__simple_type,
    STATE(6871), 1,
      sym__annotated_type,
    STATE(7617), 1,
      sym_identifier,
    STATE(7635), 1,
      sym__soft_identifier,
    STATE(9838), 1,
      sym_annotated_type,
    STATE(10416), 1,
      sym_template_body,
    STATE(10965), 1,
      sym__type,
    STATE(11029), 1,
      sym__non_null_literal,
    STATE(11924), 1,
      sym__infix_type_choice,
    STATE(14979), 1,
      sym_parameter_types,
    STATE(15858), 1,
      sym_stable_identifier,
    ACTIONS(89), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(91), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(103), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3379), 2,
      sym_comment,
      sym_block_comment,
    STATE(6306), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7065), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10309), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11034), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6140), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8290), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [125972] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1608), 1,
      sym_integer_literal,
    ACTIONS(6186), 1,
      sym__alpha_identifier,
    ACTIONS(6188), 1,
      anon_sym_COLON,
    ACTIONS(6190), 1,
      anon_sym_LBRACE,
    ACTIONS(6192), 1,
      anon_sym__,
    ACTIONS(6194), 1,
      anon_sym_LBRACK,
    ACTIONS(6198), 1,
      anon_sym_LPAREN,
    ACTIONS(6200), 1,
      sym__backquoted_id,
    ACTIONS(6202), 1,
      sym_operator_identifier,
    STATE(5473), 1,
      sym__annotated_type,
    STATE(5850), 1,
      sym__simple_type,
    STATE(6040), 1,
      sym__soft_identifier,
    STATE(6255), 1,
      sym_identifier,
    STATE(9065), 1,
      sym_annotated_type,
    STATE(12117), 1,
      sym__infix_type_choice,
    STATE(12963), 1,
      sym__non_null_literal,
    STATE(13087), 1,
      sym_template_body,
    STATE(13221), 1,
      sym__type,
    STATE(15093), 1,
      sym_parameter_types,
    STATE(16794), 1,
      sym_stable_identifier,
    ACTIONS(1610), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1612), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1616), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3380), 2,
      sym_comment,
      sym_block_comment,
    STATE(8928), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9104), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10055), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12960), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6196), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6740), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [126091] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(87), 1,
      sym_integer_literal,
    ACTIONS(6130), 1,
      sym__alpha_identifier,
    ACTIONS(6132), 1,
      anon_sym_COLON,
    ACTIONS(6134), 1,
      anon_sym_LBRACE,
    ACTIONS(6136), 1,
      anon_sym__,
    ACTIONS(6138), 1,
      anon_sym_LBRACK,
    ACTIONS(6142), 1,
      anon_sym_LPAREN,
    ACTIONS(6144), 1,
      sym__backquoted_id,
    ACTIONS(6146), 1,
      sym_operator_identifier,
    STATE(6664), 1,
      sym__simple_type,
    STATE(6871), 1,
      sym__annotated_type,
    STATE(7617), 1,
      sym_identifier,
    STATE(7635), 1,
      sym__soft_identifier,
    STATE(9838), 1,
      sym_annotated_type,
    STATE(10416), 1,
      sym_template_body,
    STATE(10966), 1,
      sym__type,
    STATE(11029), 1,
      sym__non_null_literal,
    STATE(11924), 1,
      sym__infix_type_choice,
    STATE(14979), 1,
      sym_parameter_types,
    STATE(15858), 1,
      sym_stable_identifier,
    ACTIONS(89), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(91), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(103), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3381), 2,
      sym_comment,
      sym_block_comment,
    STATE(6306), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7065), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10309), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11034), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6140), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8290), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [126210] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15441), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3382), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [126329] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1608), 1,
      sym_integer_literal,
    ACTIONS(6186), 1,
      sym__alpha_identifier,
    ACTIONS(6188), 1,
      anon_sym_COLON,
    ACTIONS(6190), 1,
      anon_sym_LBRACE,
    ACTIONS(6192), 1,
      anon_sym__,
    ACTIONS(6194), 1,
      anon_sym_LBRACK,
    ACTIONS(6198), 1,
      anon_sym_LPAREN,
    ACTIONS(6200), 1,
      sym__backquoted_id,
    ACTIONS(6202), 1,
      sym_operator_identifier,
    STATE(5473), 1,
      sym__annotated_type,
    STATE(5850), 1,
      sym__simple_type,
    STATE(6040), 1,
      sym__soft_identifier,
    STATE(6255), 1,
      sym_identifier,
    STATE(9065), 1,
      sym_annotated_type,
    STATE(12117), 1,
      sym__infix_type_choice,
    STATE(12963), 1,
      sym__non_null_literal,
    STATE(13087), 1,
      sym_template_body,
    STATE(13248), 1,
      sym__type,
    STATE(15093), 1,
      sym_parameter_types,
    STATE(16794), 1,
      sym_stable_identifier,
    ACTIONS(1610), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1612), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1616), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3383), 2,
      sym_comment,
      sym_block_comment,
    STATE(8928), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9104), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10055), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12960), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6196), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6740), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [126448] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1644), 1,
      sym_integer_literal,
    ACTIONS(6686), 1,
      sym__alpha_identifier,
    ACTIONS(6688), 1,
      anon_sym_COLON,
    ACTIONS(6690), 1,
      anon_sym_LBRACE,
    ACTIONS(6692), 1,
      anon_sym__,
    ACTIONS(6694), 1,
      anon_sym_LBRACK,
    ACTIONS(6698), 1,
      anon_sym_LPAREN,
    ACTIONS(6700), 1,
      sym__backquoted_id,
    ACTIONS(6702), 1,
      sym_operator_identifier,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5320), 1,
      sym__annotated_type,
    STATE(5638), 1,
      sym__soft_identifier,
    STATE(5657), 1,
      sym_identifier,
    STATE(8399), 1,
      sym_annotated_type,
    STATE(12141), 1,
      sym__infix_type_choice,
    STATE(12715), 1,
      sym__non_null_literal,
    STATE(12802), 1,
      sym__type,
    STATE(12842), 1,
      sym_template_body,
    STATE(15084), 1,
      sym_parameter_types,
    STATE(16439), 1,
      sym_stable_identifier,
    ACTIONS(1646), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1648), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1652), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3384), 2,
      sym_comment,
      sym_block_comment,
    STATE(8117), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8230), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9827), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12714), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6696), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6181), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [126567] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1644), 1,
      sym_integer_literal,
    ACTIONS(6686), 1,
      sym__alpha_identifier,
    ACTIONS(6688), 1,
      anon_sym_COLON,
    ACTIONS(6690), 1,
      anon_sym_LBRACE,
    ACTIONS(6692), 1,
      anon_sym__,
    ACTIONS(6694), 1,
      anon_sym_LBRACK,
    ACTIONS(6698), 1,
      anon_sym_LPAREN,
    ACTIONS(6700), 1,
      sym__backquoted_id,
    ACTIONS(6702), 1,
      sym_operator_identifier,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5320), 1,
      sym__annotated_type,
    STATE(5638), 1,
      sym__soft_identifier,
    STATE(5657), 1,
      sym_identifier,
    STATE(8399), 1,
      sym_annotated_type,
    STATE(12141), 1,
      sym__infix_type_choice,
    STATE(12715), 1,
      sym__non_null_literal,
    STATE(12818), 1,
      sym__type,
    STATE(12842), 1,
      sym_template_body,
    STATE(15084), 1,
      sym_parameter_types,
    STATE(16439), 1,
      sym_stable_identifier,
    ACTIONS(1646), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1648), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1652), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3385), 2,
      sym_comment,
      sym_block_comment,
    STATE(8117), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8230), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9827), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12714), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6696), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6181), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [126686] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1644), 1,
      sym_integer_literal,
    ACTIONS(6686), 1,
      sym__alpha_identifier,
    ACTIONS(6688), 1,
      anon_sym_COLON,
    ACTIONS(6690), 1,
      anon_sym_LBRACE,
    ACTIONS(6692), 1,
      anon_sym__,
    ACTIONS(6694), 1,
      anon_sym_LBRACK,
    ACTIONS(6698), 1,
      anon_sym_LPAREN,
    ACTIONS(6700), 1,
      sym__backquoted_id,
    ACTIONS(6702), 1,
      sym_operator_identifier,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5320), 1,
      sym__annotated_type,
    STATE(5638), 1,
      sym__soft_identifier,
    STATE(5657), 1,
      sym_identifier,
    STATE(8399), 1,
      sym_annotated_type,
    STATE(12141), 1,
      sym__infix_type_choice,
    STATE(12715), 1,
      sym__non_null_literal,
    STATE(12827), 1,
      sym__type,
    STATE(12842), 1,
      sym_template_body,
    STATE(15084), 1,
      sym_parameter_types,
    STATE(16439), 1,
      sym_stable_identifier,
    ACTIONS(1646), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1648), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1652), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3386), 2,
      sym_comment,
      sym_block_comment,
    STATE(8117), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8230), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9827), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12714), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6696), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6181), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [126805] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1644), 1,
      sym_integer_literal,
    ACTIONS(6686), 1,
      sym__alpha_identifier,
    ACTIONS(6688), 1,
      anon_sym_COLON,
    ACTIONS(6690), 1,
      anon_sym_LBRACE,
    ACTIONS(6692), 1,
      anon_sym__,
    ACTIONS(6694), 1,
      anon_sym_LBRACK,
    ACTIONS(6698), 1,
      anon_sym_LPAREN,
    ACTIONS(6700), 1,
      sym__backquoted_id,
    ACTIONS(6702), 1,
      sym_operator_identifier,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5320), 1,
      sym__annotated_type,
    STATE(5638), 1,
      sym__soft_identifier,
    STATE(5657), 1,
      sym_identifier,
    STATE(8399), 1,
      sym_annotated_type,
    STATE(12141), 1,
      sym__infix_type_choice,
    STATE(12715), 1,
      sym__non_null_literal,
    STATE(12836), 1,
      sym__type,
    STATE(12842), 1,
      sym_template_body,
    STATE(15084), 1,
      sym_parameter_types,
    STATE(16439), 1,
      sym_stable_identifier,
    ACTIONS(1646), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1648), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1652), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3387), 2,
      sym_comment,
      sym_block_comment,
    STATE(8117), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8230), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9827), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12714), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6696), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6181), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [126924] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1644), 1,
      sym_integer_literal,
    ACTIONS(6686), 1,
      sym__alpha_identifier,
    ACTIONS(6688), 1,
      anon_sym_COLON,
    ACTIONS(6690), 1,
      anon_sym_LBRACE,
    ACTIONS(6692), 1,
      anon_sym__,
    ACTIONS(6694), 1,
      anon_sym_LBRACK,
    ACTIONS(6698), 1,
      anon_sym_LPAREN,
    ACTIONS(6700), 1,
      sym__backquoted_id,
    ACTIONS(6702), 1,
      sym_operator_identifier,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5320), 1,
      sym__annotated_type,
    STATE(5638), 1,
      sym__soft_identifier,
    STATE(5657), 1,
      sym_identifier,
    STATE(8399), 1,
      sym_annotated_type,
    STATE(12141), 1,
      sym__infix_type_choice,
    STATE(12715), 1,
      sym__non_null_literal,
    STATE(12842), 1,
      sym_template_body,
    STATE(12914), 1,
      sym__type,
    STATE(15084), 1,
      sym_parameter_types,
    STATE(16439), 1,
      sym_stable_identifier,
    ACTIONS(1646), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1648), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1652), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3388), 2,
      sym_comment,
      sym_block_comment,
    STATE(8117), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8230), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9827), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12714), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6696), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6181), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [127043] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4808), 1,
      sym__alpha_identifier,
    ACTIONS(4810), 1,
      anon_sym_COLON,
    ACTIONS(4812), 1,
      anon_sym_LBRACE,
    ACTIONS(4814), 1,
      anon_sym__,
    ACTIONS(4818), 1,
      anon_sym_LBRACK,
    ACTIONS(4826), 1,
      sym__backquoted_id,
    ACTIONS(4830), 1,
      sym_integer_literal,
    ACTIONS(6682), 1,
      anon_sym_LPAREN,
    ACTIONS(6684), 1,
      sym_operator_identifier,
    STATE(5105), 1,
      sym__annotated_type,
    STATE(5307), 1,
      sym__simple_type,
    STATE(5480), 1,
      sym__soft_identifier,
    STATE(5668), 1,
      sym_identifier,
    STATE(8449), 1,
      sym_annotated_type,
    STATE(11790), 1,
      sym__infix_type_choice,
    STATE(13033), 1,
      sym_template_body,
    STATE(13048), 1,
      sym__type,
    STATE(13246), 1,
      sym__non_null_literal,
    STATE(15254), 1,
      sym_parameter_types,
    STATE(16674), 1,
      sym_stable_identifier,
    ACTIONS(4832), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4834), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4836), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3389), 2,
      sym_comment,
      sym_block_comment,
    STATE(9745), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13159), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13235), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13237), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4820), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6180), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [127162] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1608), 1,
      sym_integer_literal,
    ACTIONS(6186), 1,
      sym__alpha_identifier,
    ACTIONS(6188), 1,
      anon_sym_COLON,
    ACTIONS(6190), 1,
      anon_sym_LBRACE,
    ACTIONS(6192), 1,
      anon_sym__,
    ACTIONS(6194), 1,
      anon_sym_LBRACK,
    ACTIONS(6198), 1,
      anon_sym_LPAREN,
    ACTIONS(6200), 1,
      sym__backquoted_id,
    ACTIONS(6202), 1,
      sym_operator_identifier,
    STATE(5473), 1,
      sym__annotated_type,
    STATE(5850), 1,
      sym__simple_type,
    STATE(6040), 1,
      sym__soft_identifier,
    STATE(6255), 1,
      sym_identifier,
    STATE(9065), 1,
      sym_annotated_type,
    STATE(12117), 1,
      sym__infix_type_choice,
    STATE(12963), 1,
      sym__non_null_literal,
    STATE(13087), 1,
      sym_template_body,
    STATE(13202), 1,
      sym__type,
    STATE(15093), 1,
      sym_parameter_types,
    STATE(16794), 1,
      sym_stable_identifier,
    ACTIONS(1610), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1612), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1616), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3390), 2,
      sym_comment,
      sym_block_comment,
    STATE(8928), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9104), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10055), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12960), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6196), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6740), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [127281] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(541), 1,
      sym_integer_literal,
    ACTIONS(6066), 1,
      sym__alpha_identifier,
    ACTIONS(6068), 1,
      anon_sym__,
    ACTIONS(6074), 1,
      anon_sym_LPAREN,
    ACTIONS(6076), 1,
      sym__backquoted_id,
    ACTIONS(6078), 1,
      sym_operator_identifier,
    ACTIONS(6704), 1,
      anon_sym_COLON,
    ACTIONS(6706), 1,
      anon_sym_LBRACE,
    ACTIONS(6708), 1,
      anon_sym_LBRACK,
    STATE(5687), 1,
      sym__annotated_type,
    STATE(5958), 1,
      sym__simple_type,
    STATE(6298), 1,
      sym_identifier,
    STATE(6423), 1,
      sym__soft_identifier,
    STATE(8714), 1,
      sym_annotated_type,
    STATE(11604), 1,
      sym_template_body,
    STATE(12079), 1,
      sym__infix_type_choice,
    STATE(12480), 1,
      sym__non_null_literal,
    STATE(13565), 1,
      sym__type,
    STATE(15085), 1,
      sym_parameter_types,
    STATE(16539), 1,
      sym_stable_identifier,
    ACTIONS(543), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(545), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(555), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3391), 2,
      sym_comment,
      sym_block_comment,
    STATE(8874), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9548), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9653), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12479), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6072), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7089), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [127400] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4212), 1,
      sym__alpha_identifier,
    ACTIONS(4214), 1,
      anon_sym_COLON,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4218), 1,
      anon_sym__,
    ACTIONS(4222), 1,
      anon_sym_LBRACK,
    ACTIONS(4230), 1,
      sym__backquoted_id,
    ACTIONS(4234), 1,
      sym_integer_literal,
    ACTIONS(6710), 1,
      anon_sym_LPAREN,
    ACTIONS(6712), 1,
      sym_operator_identifier,
    STATE(4504), 1,
      sym__simple_type,
    STATE(4606), 1,
      sym__annotated_type,
    STATE(4875), 1,
      sym_identifier,
    STATE(4929), 1,
      sym__soft_identifier,
    STATE(6865), 1,
      sym_annotated_type,
    STATE(10416), 1,
      sym_template_body,
    STATE(10964), 1,
      sym__type,
    STATE(11029), 1,
      sym__non_null_literal,
    STATE(12013), 1,
      sym__infix_type_choice,
    STATE(15078), 1,
      sym_parameter_types,
    STATE(16174), 1,
      sym_stable_identifier,
    ACTIONS(4236), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4238), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4242), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3392), 2,
      sym_comment,
      sym_block_comment,
    STATE(8740), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10819), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10870), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11034), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4224), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5291), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [127519] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4212), 1,
      sym__alpha_identifier,
    ACTIONS(4214), 1,
      anon_sym_COLON,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4218), 1,
      anon_sym__,
    ACTIONS(4222), 1,
      anon_sym_LBRACK,
    ACTIONS(4230), 1,
      sym__backquoted_id,
    ACTIONS(4234), 1,
      sym_integer_literal,
    ACTIONS(6710), 1,
      anon_sym_LPAREN,
    ACTIONS(6712), 1,
      sym_operator_identifier,
    STATE(4504), 1,
      sym__simple_type,
    STATE(4606), 1,
      sym__annotated_type,
    STATE(4875), 1,
      sym_identifier,
    STATE(4929), 1,
      sym__soft_identifier,
    STATE(6865), 1,
      sym_annotated_type,
    STATE(10416), 1,
      sym_template_body,
    STATE(10965), 1,
      sym__type,
    STATE(11029), 1,
      sym__non_null_literal,
    STATE(12013), 1,
      sym__infix_type_choice,
    STATE(15078), 1,
      sym_parameter_types,
    STATE(16174), 1,
      sym_stable_identifier,
    ACTIONS(4236), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4238), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4242), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3393), 2,
      sym_comment,
      sym_block_comment,
    STATE(8740), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10819), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10870), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11034), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4224), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5291), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [127638] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4212), 1,
      sym__alpha_identifier,
    ACTIONS(4214), 1,
      anon_sym_COLON,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4218), 1,
      anon_sym__,
    ACTIONS(4222), 1,
      anon_sym_LBRACK,
    ACTIONS(4230), 1,
      sym__backquoted_id,
    ACTIONS(4234), 1,
      sym_integer_literal,
    ACTIONS(6710), 1,
      anon_sym_LPAREN,
    ACTIONS(6712), 1,
      sym_operator_identifier,
    STATE(4504), 1,
      sym__simple_type,
    STATE(4606), 1,
      sym__annotated_type,
    STATE(4875), 1,
      sym_identifier,
    STATE(4929), 1,
      sym__soft_identifier,
    STATE(6865), 1,
      sym_annotated_type,
    STATE(10416), 1,
      sym_template_body,
    STATE(10966), 1,
      sym__type,
    STATE(11029), 1,
      sym__non_null_literal,
    STATE(12013), 1,
      sym__infix_type_choice,
    STATE(15078), 1,
      sym_parameter_types,
    STATE(16174), 1,
      sym_stable_identifier,
    ACTIONS(4236), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4238), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4242), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3394), 2,
      sym_comment,
      sym_block_comment,
    STATE(8740), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10819), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10870), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11034), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4224), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5291), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [127757] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4212), 1,
      sym__alpha_identifier,
    ACTIONS(4214), 1,
      anon_sym_COLON,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4218), 1,
      anon_sym__,
    ACTIONS(4222), 1,
      anon_sym_LBRACK,
    ACTIONS(4230), 1,
      sym__backquoted_id,
    ACTIONS(4234), 1,
      sym_integer_literal,
    ACTIONS(6710), 1,
      anon_sym_LPAREN,
    ACTIONS(6712), 1,
      sym_operator_identifier,
    STATE(4504), 1,
      sym__simple_type,
    STATE(4606), 1,
      sym__annotated_type,
    STATE(4875), 1,
      sym_identifier,
    STATE(4929), 1,
      sym__soft_identifier,
    STATE(6865), 1,
      sym_annotated_type,
    STATE(10416), 1,
      sym_template_body,
    STATE(10989), 1,
      sym__type,
    STATE(11029), 1,
      sym__non_null_literal,
    STATE(12013), 1,
      sym__infix_type_choice,
    STATE(15078), 1,
      sym_parameter_types,
    STATE(16174), 1,
      sym_stable_identifier,
    ACTIONS(4236), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4238), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4242), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3395), 2,
      sym_comment,
      sym_block_comment,
    STATE(8740), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10819), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10870), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11034), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4224), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5291), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [127876] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4174), 1,
      sym__alpha_identifier,
    ACTIONS(4176), 1,
      anon_sym_COLON,
    ACTIONS(4178), 1,
      anon_sym_LBRACE,
    ACTIONS(4180), 1,
      anon_sym__,
    ACTIONS(4184), 1,
      anon_sym_LBRACK,
    ACTIONS(4192), 1,
      sym__backquoted_id,
    ACTIONS(4196), 1,
      sym_integer_literal,
    ACTIONS(6576), 1,
      anon_sym_LPAREN,
    ACTIONS(6578), 1,
      sym_operator_identifier,
    STATE(4548), 1,
      sym__annotated_type,
    STATE(4619), 1,
      sym__simple_type,
    STATE(4754), 1,
      sym__soft_identifier,
    STATE(4834), 1,
      sym_identifier,
    STATE(6683), 1,
      sym_annotated_type,
    STATE(12086), 1,
      sym__infix_type_choice,
    STATE(12271), 1,
      sym_template_body,
    STATE(12483), 1,
      sym__type,
    STATE(12623), 1,
      sym__non_null_literal,
    STATE(15068), 1,
      sym_parameter_types,
    STATE(16788), 1,
      sym_stable_identifier,
    ACTIONS(4198), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4200), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4204), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3396), 2,
      sym_comment,
      sym_block_comment,
    STATE(9034), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12493), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12519), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12239), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4186), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5053), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [127995] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4174), 1,
      sym__alpha_identifier,
    ACTIONS(4176), 1,
      anon_sym_COLON,
    ACTIONS(4178), 1,
      anon_sym_LBRACE,
    ACTIONS(4180), 1,
      anon_sym__,
    ACTIONS(4184), 1,
      anon_sym_LBRACK,
    ACTIONS(4192), 1,
      sym__backquoted_id,
    ACTIONS(4196), 1,
      sym_integer_literal,
    ACTIONS(6576), 1,
      anon_sym_LPAREN,
    ACTIONS(6578), 1,
      sym_operator_identifier,
    STATE(4548), 1,
      sym__annotated_type,
    STATE(4619), 1,
      sym__simple_type,
    STATE(4754), 1,
      sym__soft_identifier,
    STATE(4834), 1,
      sym_identifier,
    STATE(6683), 1,
      sym_annotated_type,
    STATE(12086), 1,
      sym__infix_type_choice,
    STATE(12271), 1,
      sym_template_body,
    STATE(12477), 1,
      sym__type,
    STATE(12623), 1,
      sym__non_null_literal,
    STATE(15068), 1,
      sym_parameter_types,
    STATE(16788), 1,
      sym_stable_identifier,
    ACTIONS(4198), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4200), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4204), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3397), 2,
      sym_comment,
      sym_block_comment,
    STATE(9034), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12493), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12519), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12239), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4186), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5053), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [128114] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(541), 1,
      sym_integer_literal,
    ACTIONS(6066), 1,
      sym__alpha_identifier,
    ACTIONS(6068), 1,
      anon_sym__,
    ACTIONS(6074), 1,
      anon_sym_LPAREN,
    ACTIONS(6076), 1,
      sym__backquoted_id,
    ACTIONS(6078), 1,
      sym_operator_identifier,
    ACTIONS(6704), 1,
      anon_sym_COLON,
    ACTIONS(6706), 1,
      anon_sym_LBRACE,
    ACTIONS(6708), 1,
      anon_sym_LBRACK,
    STATE(5687), 1,
      sym__annotated_type,
    STATE(5958), 1,
      sym__simple_type,
    STATE(6298), 1,
      sym_identifier,
    STATE(6423), 1,
      sym__soft_identifier,
    STATE(8714), 1,
      sym_annotated_type,
    STATE(11604), 1,
      sym_template_body,
    STATE(12079), 1,
      sym__infix_type_choice,
    STATE(12480), 1,
      sym__non_null_literal,
    STATE(12556), 1,
      sym__type,
    STATE(15085), 1,
      sym_parameter_types,
    STATE(16539), 1,
      sym_stable_identifier,
    ACTIONS(543), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(545), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(555), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3398), 2,
      sym_comment,
      sym_block_comment,
    STATE(8874), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9548), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9653), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12479), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6072), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7089), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [128233] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4174), 1,
      sym__alpha_identifier,
    ACTIONS(4176), 1,
      anon_sym_COLON,
    ACTIONS(4178), 1,
      anon_sym_LBRACE,
    ACTIONS(4180), 1,
      anon_sym__,
    ACTIONS(4184), 1,
      anon_sym_LBRACK,
    ACTIONS(4192), 1,
      sym__backquoted_id,
    ACTIONS(4196), 1,
      sym_integer_literal,
    ACTIONS(6576), 1,
      anon_sym_LPAREN,
    ACTIONS(6578), 1,
      sym_operator_identifier,
    STATE(4548), 1,
      sym__annotated_type,
    STATE(4619), 1,
      sym__simple_type,
    STATE(4754), 1,
      sym__soft_identifier,
    STATE(4834), 1,
      sym_identifier,
    STATE(6683), 1,
      sym_annotated_type,
    STATE(12086), 1,
      sym__infix_type_choice,
    STATE(12271), 1,
      sym_template_body,
    STATE(12484), 1,
      sym__type,
    STATE(12623), 1,
      sym__non_null_literal,
    STATE(15068), 1,
      sym_parameter_types,
    STATE(16788), 1,
      sym_stable_identifier,
    ACTIONS(4198), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4200), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4204), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3399), 2,
      sym_comment,
      sym_block_comment,
    STATE(9034), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12493), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12519), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12239), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4186), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5053), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [128352] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4174), 1,
      sym__alpha_identifier,
    ACTIONS(4176), 1,
      anon_sym_COLON,
    ACTIONS(4178), 1,
      anon_sym_LBRACE,
    ACTIONS(4180), 1,
      anon_sym__,
    ACTIONS(4184), 1,
      anon_sym_LBRACK,
    ACTIONS(4192), 1,
      sym__backquoted_id,
    ACTIONS(4196), 1,
      sym_integer_literal,
    ACTIONS(6576), 1,
      anon_sym_LPAREN,
    ACTIONS(6578), 1,
      sym_operator_identifier,
    STATE(4548), 1,
      sym__annotated_type,
    STATE(4619), 1,
      sym__simple_type,
    STATE(4754), 1,
      sym__soft_identifier,
    STATE(4834), 1,
      sym_identifier,
    STATE(6683), 1,
      sym_annotated_type,
    STATE(12086), 1,
      sym__infix_type_choice,
    STATE(12271), 1,
      sym_template_body,
    STATE(12488), 1,
      sym__type,
    STATE(12623), 1,
      sym__non_null_literal,
    STATE(15068), 1,
      sym_parameter_types,
    STATE(16788), 1,
      sym_stable_identifier,
    ACTIONS(4198), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4200), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4204), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3400), 2,
      sym_comment,
      sym_block_comment,
    STATE(9034), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12493), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12519), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12239), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4186), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5053), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [128471] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4748), 1,
      sym__alpha_identifier,
    ACTIONS(4750), 1,
      anon_sym_COLON,
    ACTIONS(4752), 1,
      anon_sym_LBRACE,
    ACTIONS(4754), 1,
      anon_sym__,
    ACTIONS(4758), 1,
      anon_sym_LBRACK,
    ACTIONS(4766), 1,
      sym__backquoted_id,
    ACTIONS(4770), 1,
      sym_integer_literal,
    ACTIONS(6714), 1,
      anon_sym_LPAREN,
    ACTIONS(6716), 1,
      sym_operator_identifier,
    STATE(4735), 1,
      sym__annotated_type,
    STATE(4838), 1,
      sym__simple_type,
    STATE(5002), 1,
      sym_identifier,
    STATE(5217), 1,
      sym__soft_identifier,
    STATE(7599), 1,
      sym_annotated_type,
    STATE(12099), 1,
      sym__infix_type_choice,
    STATE(12709), 1,
      sym__type,
    STATE(12887), 1,
      sym__non_null_literal,
    STATE(12899), 1,
      sym_template_body,
    STATE(15382), 1,
      sym_parameter_types,
    STATE(16527), 1,
      sym_stable_identifier,
    ACTIONS(4772), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4774), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4776), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3401), 2,
      sym_comment,
      sym_block_comment,
    STATE(9479), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12723), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12886), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12893), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4760), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5492), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [128590] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(541), 1,
      sym_integer_literal,
    ACTIONS(6066), 1,
      sym__alpha_identifier,
    ACTIONS(6068), 1,
      anon_sym__,
    ACTIONS(6074), 1,
      anon_sym_LPAREN,
    ACTIONS(6076), 1,
      sym__backquoted_id,
    ACTIONS(6078), 1,
      sym_operator_identifier,
    ACTIONS(6704), 1,
      anon_sym_COLON,
    ACTIONS(6706), 1,
      anon_sym_LBRACE,
    ACTIONS(6708), 1,
      anon_sym_LBRACK,
    STATE(5687), 1,
      sym__annotated_type,
    STATE(5958), 1,
      sym__simple_type,
    STATE(6298), 1,
      sym_identifier,
    STATE(6423), 1,
      sym__soft_identifier,
    STATE(8714), 1,
      sym_annotated_type,
    STATE(11604), 1,
      sym_template_body,
    STATE(12079), 1,
      sym__infix_type_choice,
    STATE(12480), 1,
      sym__non_null_literal,
    STATE(14290), 1,
      sym__type,
    STATE(15085), 1,
      sym_parameter_types,
    STATE(16539), 1,
      sym_stable_identifier,
    ACTIONS(543), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(545), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(555), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3402), 2,
      sym_comment,
      sym_block_comment,
    STATE(8874), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9548), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9653), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12479), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6072), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7089), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [128709] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4748), 1,
      sym__alpha_identifier,
    ACTIONS(4750), 1,
      anon_sym_COLON,
    ACTIONS(4752), 1,
      anon_sym_LBRACE,
    ACTIONS(4754), 1,
      anon_sym__,
    ACTIONS(4758), 1,
      anon_sym_LBRACK,
    ACTIONS(4766), 1,
      sym__backquoted_id,
    ACTIONS(4770), 1,
      sym_integer_literal,
    ACTIONS(6714), 1,
      anon_sym_LPAREN,
    ACTIONS(6716), 1,
      sym_operator_identifier,
    STATE(4735), 1,
      sym__annotated_type,
    STATE(4838), 1,
      sym__simple_type,
    STATE(5002), 1,
      sym_identifier,
    STATE(5217), 1,
      sym__soft_identifier,
    STATE(7599), 1,
      sym_annotated_type,
    STATE(12099), 1,
      sym__infix_type_choice,
    STATE(12786), 1,
      sym__type,
    STATE(12887), 1,
      sym__non_null_literal,
    STATE(12899), 1,
      sym_template_body,
    STATE(15382), 1,
      sym_parameter_types,
    STATE(16527), 1,
      sym_stable_identifier,
    ACTIONS(4772), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4774), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4776), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3403), 2,
      sym_comment,
      sym_block_comment,
    STATE(9479), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12723), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12886), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12893), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4760), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5492), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [128828] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4212), 1,
      sym__alpha_identifier,
    ACTIONS(4214), 1,
      anon_sym_COLON,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4218), 1,
      anon_sym__,
    ACTIONS(4222), 1,
      anon_sym_LBRACK,
    ACTIONS(4230), 1,
      sym__backquoted_id,
    ACTIONS(4234), 1,
      sym_integer_literal,
    ACTIONS(6710), 1,
      anon_sym_LPAREN,
    ACTIONS(6712), 1,
      sym_operator_identifier,
    STATE(4504), 1,
      sym__simple_type,
    STATE(4606), 1,
      sym__annotated_type,
    STATE(4875), 1,
      sym_identifier,
    STATE(4929), 1,
      sym__soft_identifier,
    STATE(6865), 1,
      sym_annotated_type,
    STATE(10416), 1,
      sym_template_body,
    STATE(10817), 1,
      sym__type,
    STATE(11029), 1,
      sym__non_null_literal,
    STATE(12013), 1,
      sym__infix_type_choice,
    STATE(15078), 1,
      sym_parameter_types,
    STATE(16174), 1,
      sym_stable_identifier,
    ACTIONS(4236), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4238), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4242), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3404), 2,
      sym_comment,
      sym_block_comment,
    STATE(8740), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10819), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10870), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11034), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4224), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5291), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [128947] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4748), 1,
      sym__alpha_identifier,
    ACTIONS(4750), 1,
      anon_sym_COLON,
    ACTIONS(4752), 1,
      anon_sym_LBRACE,
    ACTIONS(4754), 1,
      anon_sym__,
    ACTIONS(4758), 1,
      anon_sym_LBRACK,
    ACTIONS(4766), 1,
      sym__backquoted_id,
    ACTIONS(4770), 1,
      sym_integer_literal,
    ACTIONS(6714), 1,
      anon_sym_LPAREN,
    ACTIONS(6716), 1,
      sym_operator_identifier,
    STATE(4735), 1,
      sym__annotated_type,
    STATE(4838), 1,
      sym__simple_type,
    STATE(5002), 1,
      sym_identifier,
    STATE(5217), 1,
      sym__soft_identifier,
    STATE(7599), 1,
      sym_annotated_type,
    STATE(12099), 1,
      sym__infix_type_choice,
    STATE(12832), 1,
      sym__type,
    STATE(12887), 1,
      sym__non_null_literal,
    STATE(12899), 1,
      sym_template_body,
    STATE(15382), 1,
      sym_parameter_types,
    STATE(16527), 1,
      sym_stable_identifier,
    ACTIONS(4772), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4774), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4776), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3405), 2,
      sym_comment,
      sym_block_comment,
    STATE(9479), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12723), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12886), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12893), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4760), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5492), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [129066] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4808), 1,
      sym__alpha_identifier,
    ACTIONS(4810), 1,
      anon_sym_COLON,
    ACTIONS(4812), 1,
      anon_sym_LBRACE,
    ACTIONS(4814), 1,
      anon_sym__,
    ACTIONS(4818), 1,
      anon_sym_LBRACK,
    ACTIONS(4826), 1,
      sym__backquoted_id,
    ACTIONS(4830), 1,
      sym_integer_literal,
    ACTIONS(6682), 1,
      anon_sym_LPAREN,
    ACTIONS(6684), 1,
      sym_operator_identifier,
    STATE(5105), 1,
      sym__annotated_type,
    STATE(5307), 1,
      sym__simple_type,
    STATE(5480), 1,
      sym__soft_identifier,
    STATE(5668), 1,
      sym_identifier,
    STATE(8449), 1,
      sym_annotated_type,
    STATE(11790), 1,
      sym__infix_type_choice,
    STATE(13033), 1,
      sym_template_body,
    STATE(13043), 1,
      sym__type,
    STATE(13246), 1,
      sym__non_null_literal,
    STATE(15254), 1,
      sym_parameter_types,
    STATE(16674), 1,
      sym_stable_identifier,
    ACTIONS(4832), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4834), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4836), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3406), 2,
      sym_comment,
      sym_block_comment,
    STATE(9745), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13159), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13235), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13237), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4820), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6180), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [129185] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15417), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3407), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [129304] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16319), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3408), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [129423] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3409), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__interpolated_multiline_string_start,
    ACTIONS(4134), 7,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 9,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_DQUOTE,
    ACTIONS(4130), 29,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [129492] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16321), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3410), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [129611] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15453), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3411), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [129730] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4808), 1,
      sym__alpha_identifier,
    ACTIONS(4810), 1,
      anon_sym_COLON,
    ACTIONS(4812), 1,
      anon_sym_LBRACE,
    ACTIONS(4814), 1,
      anon_sym__,
    ACTIONS(4818), 1,
      anon_sym_LBRACK,
    ACTIONS(4826), 1,
      sym__backquoted_id,
    ACTIONS(4830), 1,
      sym_integer_literal,
    ACTIONS(6682), 1,
      anon_sym_LPAREN,
    ACTIONS(6684), 1,
      sym_operator_identifier,
    STATE(5105), 1,
      sym__annotated_type,
    STATE(5307), 1,
      sym__simple_type,
    STATE(5480), 1,
      sym__soft_identifier,
    STATE(5668), 1,
      sym_identifier,
    STATE(8449), 1,
      sym_annotated_type,
    STATE(11790), 1,
      sym__infix_type_choice,
    STATE(13033), 1,
      sym_template_body,
    STATE(13220), 1,
      sym__type,
    STATE(13246), 1,
      sym__non_null_literal,
    STATE(15254), 1,
      sym_parameter_types,
    STATE(16674), 1,
      sym_stable_identifier,
    ACTIONS(4832), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4834), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4836), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3412), 2,
      sym_comment,
      sym_block_comment,
    STATE(9745), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13159), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13235), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13237), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4820), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6180), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [129849] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15387), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3413), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [129968] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16370), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3414), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [130087] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16372), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3415), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [130206] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15410), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3416), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [130325] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4296), 1,
      sym__alpha_identifier,
    ACTIONS(4298), 1,
      anon_sym_COLON,
    ACTIONS(4300), 1,
      anon_sym_LBRACE,
    ACTIONS(4302), 1,
      anon_sym__,
    ACTIONS(4306), 1,
      anon_sym_LBRACK,
    ACTIONS(4314), 1,
      sym__backquoted_id,
    ACTIONS(4318), 1,
      sym_integer_literal,
    ACTIONS(6718), 1,
      anon_sym_LPAREN,
    ACTIONS(6720), 1,
      sym_operator_identifier,
    STATE(6125), 1,
      sym__annotated_type,
    STATE(6476), 1,
      sym__simple_type,
    STATE(7067), 1,
      sym__soft_identifier,
    STATE(7261), 1,
      sym_identifier,
    STATE(9519), 1,
      sym_annotated_type,
    STATE(11545), 1,
      sym_template_body,
    STATE(11584), 1,
      sym__non_null_literal,
    STATE(11592), 1,
      sym__type,
    STATE(11934), 1,
      sym__infix_type_choice,
    STATE(15435), 1,
      sym_parameter_types,
    STATE(16618), 1,
      sym_stable_identifier,
    ACTIONS(4320), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4322), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4324), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3417), 2,
      sym_comment,
      sym_block_comment,
    STATE(10283), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11721), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11745), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11582), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4308), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7849), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [130444] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4296), 1,
      sym__alpha_identifier,
    ACTIONS(4298), 1,
      anon_sym_COLON,
    ACTIONS(4300), 1,
      anon_sym_LBRACE,
    ACTIONS(4302), 1,
      anon_sym__,
    ACTIONS(4306), 1,
      anon_sym_LBRACK,
    ACTIONS(4314), 1,
      sym__backquoted_id,
    ACTIONS(4318), 1,
      sym_integer_literal,
    ACTIONS(6718), 1,
      anon_sym_LPAREN,
    ACTIONS(6720), 1,
      sym_operator_identifier,
    STATE(6125), 1,
      sym__annotated_type,
    STATE(6476), 1,
      sym__simple_type,
    STATE(7067), 1,
      sym__soft_identifier,
    STATE(7261), 1,
      sym_identifier,
    STATE(9519), 1,
      sym_annotated_type,
    STATE(11545), 1,
      sym_template_body,
    STATE(11584), 1,
      sym__non_null_literal,
    STATE(11595), 1,
      sym__type,
    STATE(11934), 1,
      sym__infix_type_choice,
    STATE(15435), 1,
      sym_parameter_types,
    STATE(16618), 1,
      sym_stable_identifier,
    ACTIONS(4320), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4322), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4324), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3418), 2,
      sym_comment,
      sym_block_comment,
    STATE(10283), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11721), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11745), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11582), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4308), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7849), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [130563] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14623), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3419), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [130682] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    STATE(17449), 1,
      sym__type,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3420), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [130801] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    STATE(17394), 1,
      sym__type,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3421), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [130920] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(87), 1,
      sym_integer_literal,
    ACTIONS(6130), 1,
      sym__alpha_identifier,
    ACTIONS(6132), 1,
      anon_sym_COLON,
    ACTIONS(6134), 1,
      anon_sym_LBRACE,
    ACTIONS(6136), 1,
      anon_sym__,
    ACTIONS(6138), 1,
      anon_sym_LBRACK,
    ACTIONS(6142), 1,
      anon_sym_LPAREN,
    ACTIONS(6144), 1,
      sym__backquoted_id,
    ACTIONS(6146), 1,
      sym_operator_identifier,
    STATE(6664), 1,
      sym__simple_type,
    STATE(6871), 1,
      sym__annotated_type,
    STATE(7617), 1,
      sym_identifier,
    STATE(7635), 1,
      sym__soft_identifier,
    STATE(9838), 1,
      sym_annotated_type,
    STATE(10416), 1,
      sym_template_body,
    STATE(10989), 1,
      sym__type,
    STATE(11029), 1,
      sym__non_null_literal,
    STATE(11924), 1,
      sym__infix_type_choice,
    STATE(14979), 1,
      sym_parameter_types,
    STATE(15858), 1,
      sym_stable_identifier,
    ACTIONS(89), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(91), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(103), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3422), 2,
      sym_comment,
      sym_block_comment,
    STATE(6306), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7065), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10309), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11034), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6140), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8290), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [131039] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14895), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3423), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [131158] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15314), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3424), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [131277] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1644), 1,
      sym_integer_literal,
    ACTIONS(6686), 1,
      sym__alpha_identifier,
    ACTIONS(6688), 1,
      anon_sym_COLON,
    ACTIONS(6690), 1,
      anon_sym_LBRACE,
    ACTIONS(6692), 1,
      anon_sym__,
    ACTIONS(6694), 1,
      anon_sym_LBRACK,
    ACTIONS(6698), 1,
      anon_sym_LPAREN,
    ACTIONS(6700), 1,
      sym__backquoted_id,
    ACTIONS(6702), 1,
      sym_operator_identifier,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5320), 1,
      sym__annotated_type,
    STATE(5638), 1,
      sym__soft_identifier,
    STATE(5657), 1,
      sym_identifier,
    STATE(8399), 1,
      sym_annotated_type,
    STATE(12141), 1,
      sym__infix_type_choice,
    STATE(12715), 1,
      sym__non_null_literal,
    STATE(12842), 1,
      sym_template_body,
    STATE(13120), 1,
      sym__type,
    STATE(15084), 1,
      sym_parameter_types,
    STATE(16439), 1,
      sym_stable_identifier,
    ACTIONS(1646), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1648), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1652), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3425), 2,
      sym_comment,
      sym_block_comment,
    STATE(8117), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8230), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9827), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12714), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6696), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6181), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [131396] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6722), 1,
      sym__alpha_identifier,
    ACTIONS(6724), 1,
      anon_sym_COLON,
    ACTIONS(6726), 1,
      anon_sym_LBRACE,
    ACTIONS(6728), 1,
      anon_sym__,
    ACTIONS(6730), 1,
      anon_sym_LBRACK,
    ACTIONS(6734), 1,
      anon_sym_LPAREN,
    ACTIONS(6736), 1,
      sym__backquoted_id,
    ACTIONS(6738), 1,
      sym_operator_identifier,
    ACTIONS(6740), 1,
      sym_integer_literal,
    STATE(5531), 1,
      sym__simple_type,
    STATE(6422), 1,
      sym_identifier,
    STATE(6611), 1,
      sym__soft_identifier,
    STATE(8463), 1,
      sym__annotated_type,
    STATE(9480), 1,
      sym_annotated_type,
    STATE(11048), 1,
      sym__non_null_literal,
    STATE(11150), 1,
      sym__type,
    STATE(11320), 1,
      sym_template_body,
    STATE(12073), 1,
      sym__infix_type_choice,
    STATE(14781), 1,
      sym_parameter_types,
    STATE(16387), 1,
      sym_stable_identifier,
    ACTIONS(6742), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6744), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6746), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3426), 2,
      sym_comment,
      sym_block_comment,
    STATE(10583), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11240), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11351), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11040), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6732), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6925), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [131515] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6722), 1,
      sym__alpha_identifier,
    ACTIONS(6724), 1,
      anon_sym_COLON,
    ACTIONS(6726), 1,
      anon_sym_LBRACE,
    ACTIONS(6728), 1,
      anon_sym__,
    ACTIONS(6730), 1,
      anon_sym_LBRACK,
    ACTIONS(6734), 1,
      anon_sym_LPAREN,
    ACTIONS(6736), 1,
      sym__backquoted_id,
    ACTIONS(6738), 1,
      sym_operator_identifier,
    ACTIONS(6740), 1,
      sym_integer_literal,
    STATE(5531), 1,
      sym__simple_type,
    STATE(6422), 1,
      sym_identifier,
    STATE(6611), 1,
      sym__soft_identifier,
    STATE(8463), 1,
      sym__annotated_type,
    STATE(9480), 1,
      sym_annotated_type,
    STATE(11048), 1,
      sym__non_null_literal,
    STATE(11157), 1,
      sym__type,
    STATE(11320), 1,
      sym_template_body,
    STATE(12073), 1,
      sym__infix_type_choice,
    STATE(14781), 1,
      sym_parameter_types,
    STATE(16387), 1,
      sym_stable_identifier,
    ACTIONS(6742), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6744), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6746), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3427), 2,
      sym_comment,
      sym_block_comment,
    STATE(10583), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11240), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11351), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11040), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6732), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6925), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [131634] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6722), 1,
      sym__alpha_identifier,
    ACTIONS(6724), 1,
      anon_sym_COLON,
    ACTIONS(6726), 1,
      anon_sym_LBRACE,
    ACTIONS(6728), 1,
      anon_sym__,
    ACTIONS(6730), 1,
      anon_sym_LBRACK,
    ACTIONS(6734), 1,
      anon_sym_LPAREN,
    ACTIONS(6736), 1,
      sym__backquoted_id,
    ACTIONS(6738), 1,
      sym_operator_identifier,
    ACTIONS(6740), 1,
      sym_integer_literal,
    STATE(5531), 1,
      sym__simple_type,
    STATE(6422), 1,
      sym_identifier,
    STATE(6611), 1,
      sym__soft_identifier,
    STATE(8463), 1,
      sym__annotated_type,
    STATE(9480), 1,
      sym_annotated_type,
    STATE(11048), 1,
      sym__non_null_literal,
    STATE(11159), 1,
      sym__type,
    STATE(11320), 1,
      sym_template_body,
    STATE(12073), 1,
      sym__infix_type_choice,
    STATE(14781), 1,
      sym_parameter_types,
    STATE(16387), 1,
      sym_stable_identifier,
    ACTIONS(6742), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6744), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6746), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3428), 2,
      sym_comment,
      sym_block_comment,
    STATE(10583), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11240), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11351), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11040), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6732), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6925), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [131753] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15356), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3429), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [131872] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6722), 1,
      sym__alpha_identifier,
    ACTIONS(6724), 1,
      anon_sym_COLON,
    ACTIONS(6726), 1,
      anon_sym_LBRACE,
    ACTIONS(6728), 1,
      anon_sym__,
    ACTIONS(6730), 1,
      anon_sym_LBRACK,
    ACTIONS(6734), 1,
      anon_sym_LPAREN,
    ACTIONS(6736), 1,
      sym__backquoted_id,
    ACTIONS(6738), 1,
      sym_operator_identifier,
    ACTIONS(6740), 1,
      sym_integer_literal,
    STATE(5531), 1,
      sym__simple_type,
    STATE(6422), 1,
      sym_identifier,
    STATE(6611), 1,
      sym__soft_identifier,
    STATE(8463), 1,
      sym__annotated_type,
    STATE(9480), 1,
      sym_annotated_type,
    STATE(11048), 1,
      sym__non_null_literal,
    STATE(11178), 1,
      sym__type,
    STATE(11320), 1,
      sym_template_body,
    STATE(12073), 1,
      sym__infix_type_choice,
    STATE(14781), 1,
      sym_parameter_types,
    STATE(16387), 1,
      sym_stable_identifier,
    ACTIONS(6742), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6744), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6746), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3430), 2,
      sym_comment,
      sym_block_comment,
    STATE(10583), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11240), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11351), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11040), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6732), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6925), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [131991] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4748), 1,
      sym__alpha_identifier,
    ACTIONS(4750), 1,
      anon_sym_COLON,
    ACTIONS(4752), 1,
      anon_sym_LBRACE,
    ACTIONS(4754), 1,
      anon_sym__,
    ACTIONS(4758), 1,
      anon_sym_LBRACK,
    ACTIONS(4766), 1,
      sym__backquoted_id,
    ACTIONS(4770), 1,
      sym_integer_literal,
    ACTIONS(6714), 1,
      anon_sym_LPAREN,
    ACTIONS(6716), 1,
      sym_operator_identifier,
    STATE(4735), 1,
      sym__annotated_type,
    STATE(4838), 1,
      sym__simple_type,
    STATE(5002), 1,
      sym_identifier,
    STATE(5217), 1,
      sym__soft_identifier,
    STATE(7599), 1,
      sym_annotated_type,
    STATE(12099), 1,
      sym__infix_type_choice,
    STATE(12841), 1,
      sym__type,
    STATE(12887), 1,
      sym__non_null_literal,
    STATE(12899), 1,
      sym_template_body,
    STATE(15382), 1,
      sym_parameter_types,
    STATE(16527), 1,
      sym_stable_identifier,
    ACTIONS(4772), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4774), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4776), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3431), 2,
      sym_comment,
      sym_block_comment,
    STATE(9479), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12723), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12886), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12893), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4760), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5492), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [132110] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14891), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3432), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [132229] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16420), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3433), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [132348] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4748), 1,
      sym__alpha_identifier,
    ACTIONS(4750), 1,
      anon_sym_COLON,
    ACTIONS(4752), 1,
      anon_sym_LBRACE,
    ACTIONS(4754), 1,
      anon_sym__,
    ACTIONS(4758), 1,
      anon_sym_LBRACK,
    ACTIONS(4766), 1,
      sym__backquoted_id,
    ACTIONS(4770), 1,
      sym_integer_literal,
    ACTIONS(6714), 1,
      anon_sym_LPAREN,
    ACTIONS(6716), 1,
      sym_operator_identifier,
    STATE(4735), 1,
      sym__annotated_type,
    STATE(4838), 1,
      sym__simple_type,
    STATE(5002), 1,
      sym_identifier,
    STATE(5217), 1,
      sym__soft_identifier,
    STATE(7599), 1,
      sym_annotated_type,
    STATE(12099), 1,
      sym__infix_type_choice,
    STATE(12861), 1,
      sym__type,
    STATE(12887), 1,
      sym__non_null_literal,
    STATE(12899), 1,
      sym_template_body,
    STATE(15382), 1,
      sym_parameter_types,
    STATE(16527), 1,
      sym_stable_identifier,
    ACTIONS(4772), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4774), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4776), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3434), 2,
      sym_comment,
      sym_block_comment,
    STATE(9479), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12723), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12886), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12893), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4760), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5492), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [132467] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1964), 1,
      sym_integer_literal,
    ACTIONS(6112), 1,
      sym__alpha_identifier,
    ACTIONS(6114), 1,
      anon_sym_COLON,
    ACTIONS(6116), 1,
      anon_sym_LBRACE,
    ACTIONS(6118), 1,
      anon_sym__,
    ACTIONS(6120), 1,
      anon_sym_LBRACK,
    ACTIONS(6124), 1,
      anon_sym_LPAREN,
    ACTIONS(6126), 1,
      sym__backquoted_id,
    ACTIONS(6128), 1,
      sym_operator_identifier,
    STATE(5528), 1,
      sym__annotated_type,
    STATE(5736), 1,
      sym__simple_type,
    STATE(6052), 1,
      sym__soft_identifier,
    STATE(6458), 1,
      sym_identifier,
    STATE(9113), 1,
      sym_annotated_type,
    STATE(12076), 1,
      sym__infix_type_choice,
    STATE(13033), 1,
      sym_template_body,
    STATE(13220), 1,
      sym__type,
    STATE(13246), 1,
      sym__non_null_literal,
    STATE(15092), 1,
      sym_parameter_types,
    STATE(16776), 1,
      sym_stable_identifier,
    ACTIONS(1966), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1968), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1972), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3435), 2,
      sym_comment,
      sym_block_comment,
    STATE(8905), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9129), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10036), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13237), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6122), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7086), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [132586] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1792), 1,
      sym_integer_literal,
    ACTIONS(6522), 1,
      sym__alpha_identifier,
    ACTIONS(6524), 1,
      anon_sym_COLON,
    ACTIONS(6526), 1,
      anon_sym_LBRACE,
    ACTIONS(6528), 1,
      anon_sym__,
    ACTIONS(6530), 1,
      anon_sym_LBRACK,
    ACTIONS(6534), 1,
      anon_sym_LPAREN,
    ACTIONS(6536), 1,
      sym__backquoted_id,
    ACTIONS(6538), 1,
      sym_operator_identifier,
    STATE(4559), 1,
      sym__simple_type,
    STATE(4612), 1,
      sym__annotated_type,
    STATE(4776), 1,
      sym__soft_identifier,
    STATE(4779), 1,
      sym_identifier,
    STATE(7168), 1,
      sym_annotated_type,
    STATE(11461), 1,
      sym__type,
    STATE(11655), 1,
      sym_template_body,
    STATE(11690), 1,
      sym__non_null_literal,
    STATE(11881), 1,
      sym__infix_type_choice,
    STATE(15225), 1,
      sym_parameter_types,
    STATE(16640), 1,
      sym_stable_identifier,
    ACTIONS(1794), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1796), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1800), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3436), 2,
      sym_comment,
      sym_block_comment,
    STATE(6465), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(6572), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11692), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6532), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5109), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [132705] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15334), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3437), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [132824] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14446), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3438), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [132943] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1964), 1,
      sym_integer_literal,
    ACTIONS(6112), 1,
      sym__alpha_identifier,
    ACTIONS(6114), 1,
      anon_sym_COLON,
    ACTIONS(6116), 1,
      anon_sym_LBRACE,
    ACTIONS(6118), 1,
      anon_sym__,
    ACTIONS(6120), 1,
      anon_sym_LBRACK,
    ACTIONS(6124), 1,
      anon_sym_LPAREN,
    ACTIONS(6126), 1,
      sym__backquoted_id,
    ACTIONS(6128), 1,
      sym_operator_identifier,
    STATE(5528), 1,
      sym__annotated_type,
    STATE(5736), 1,
      sym__simple_type,
    STATE(6052), 1,
      sym__soft_identifier,
    STATE(6458), 1,
      sym_identifier,
    STATE(9113), 1,
      sym_annotated_type,
    STATE(12076), 1,
      sym__infix_type_choice,
    STATE(13033), 1,
      sym_template_body,
    STATE(13043), 1,
      sym__type,
    STATE(13246), 1,
      sym__non_null_literal,
    STATE(15092), 1,
      sym_parameter_types,
    STATE(16776), 1,
      sym_stable_identifier,
    ACTIONS(1966), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1968), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1972), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3439), 2,
      sym_comment,
      sym_block_comment,
    STATE(8905), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9129), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10036), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13237), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6122), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7086), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [133062] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1964), 1,
      sym_integer_literal,
    ACTIONS(6112), 1,
      sym__alpha_identifier,
    ACTIONS(6114), 1,
      anon_sym_COLON,
    ACTIONS(6116), 1,
      anon_sym_LBRACE,
    ACTIONS(6118), 1,
      anon_sym__,
    ACTIONS(6120), 1,
      anon_sym_LBRACK,
    ACTIONS(6124), 1,
      anon_sym_LPAREN,
    ACTIONS(6126), 1,
      sym__backquoted_id,
    ACTIONS(6128), 1,
      sym_operator_identifier,
    STATE(5528), 1,
      sym__annotated_type,
    STATE(5736), 1,
      sym__simple_type,
    STATE(6052), 1,
      sym__soft_identifier,
    STATE(6458), 1,
      sym_identifier,
    STATE(9113), 1,
      sym_annotated_type,
    STATE(12076), 1,
      sym__infix_type_choice,
    STATE(13033), 1,
      sym_template_body,
    STATE(13048), 1,
      sym__type,
    STATE(13246), 1,
      sym__non_null_literal,
    STATE(15092), 1,
      sym_parameter_types,
    STATE(16776), 1,
      sym_stable_identifier,
    ACTIONS(1966), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1968), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1972), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3440), 2,
      sym_comment,
      sym_block_comment,
    STATE(8905), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9129), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10036), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13237), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6122), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7086), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [133181] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16423), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3441), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [133300] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15380), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3442), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [133419] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6722), 1,
      sym__alpha_identifier,
    ACTIONS(6724), 1,
      anon_sym_COLON,
    ACTIONS(6726), 1,
      anon_sym_LBRACE,
    ACTIONS(6728), 1,
      anon_sym__,
    ACTIONS(6730), 1,
      anon_sym_LBRACK,
    ACTIONS(6734), 1,
      anon_sym_LPAREN,
    ACTIONS(6736), 1,
      sym__backquoted_id,
    ACTIONS(6738), 1,
      sym_operator_identifier,
    ACTIONS(6740), 1,
      sym_integer_literal,
    STATE(5531), 1,
      sym__simple_type,
    STATE(6422), 1,
      sym_identifier,
    STATE(6611), 1,
      sym__soft_identifier,
    STATE(8463), 1,
      sym__annotated_type,
    STATE(9480), 1,
      sym_annotated_type,
    STATE(11048), 1,
      sym__non_null_literal,
    STATE(11273), 1,
      sym__type,
    STATE(11320), 1,
      sym_template_body,
    STATE(12073), 1,
      sym__infix_type_choice,
    STATE(14781), 1,
      sym_parameter_types,
    STATE(16387), 1,
      sym_stable_identifier,
    ACTIONS(6742), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6744), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6746), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3443), 2,
      sym_comment,
      sym_block_comment,
    STATE(10583), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11240), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11351), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11040), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6732), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6925), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [133538] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1964), 1,
      sym_integer_literal,
    ACTIONS(6112), 1,
      sym__alpha_identifier,
    ACTIONS(6114), 1,
      anon_sym_COLON,
    ACTIONS(6116), 1,
      anon_sym_LBRACE,
    ACTIONS(6118), 1,
      anon_sym__,
    ACTIONS(6120), 1,
      anon_sym_LBRACK,
    ACTIONS(6124), 1,
      anon_sym_LPAREN,
    ACTIONS(6126), 1,
      sym__backquoted_id,
    ACTIONS(6128), 1,
      sym_operator_identifier,
    STATE(5528), 1,
      sym__annotated_type,
    STATE(5736), 1,
      sym__simple_type,
    STATE(6052), 1,
      sym__soft_identifier,
    STATE(6458), 1,
      sym_identifier,
    STATE(9113), 1,
      sym_annotated_type,
    STATE(12076), 1,
      sym__infix_type_choice,
    STATE(13033), 1,
      sym_template_body,
    STATE(13045), 1,
      sym__type,
    STATE(13246), 1,
      sym__non_null_literal,
    STATE(15092), 1,
      sym_parameter_types,
    STATE(16776), 1,
      sym_stable_identifier,
    ACTIONS(1966), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1968), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1972), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3444), 2,
      sym_comment,
      sym_block_comment,
    STATE(8905), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9129), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10036), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13237), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6122), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7086), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [133657] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4296), 1,
      sym__alpha_identifier,
    ACTIONS(4298), 1,
      anon_sym_COLON,
    ACTIONS(4300), 1,
      anon_sym_LBRACE,
    ACTIONS(4302), 1,
      anon_sym__,
    ACTIONS(4306), 1,
      anon_sym_LBRACK,
    ACTIONS(4314), 1,
      sym__backquoted_id,
    ACTIONS(4318), 1,
      sym_integer_literal,
    ACTIONS(6718), 1,
      anon_sym_LPAREN,
    ACTIONS(6720), 1,
      sym_operator_identifier,
    STATE(6125), 1,
      sym__annotated_type,
    STATE(6476), 1,
      sym__simple_type,
    STATE(7067), 1,
      sym__soft_identifier,
    STATE(7261), 1,
      sym_identifier,
    STATE(9519), 1,
      sym_annotated_type,
    STATE(11545), 1,
      sym_template_body,
    STATE(11584), 1,
      sym__non_null_literal,
    STATE(11632), 1,
      sym__type,
    STATE(11934), 1,
      sym__infix_type_choice,
    STATE(15435), 1,
      sym_parameter_types,
    STATE(16618), 1,
      sym_stable_identifier,
    ACTIONS(4320), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4322), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4324), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3445), 2,
      sym_comment,
      sym_block_comment,
    STATE(10283), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11721), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11745), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11582), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4308), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7849), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [133776] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6722), 1,
      sym__alpha_identifier,
    ACTIONS(6728), 1,
      anon_sym__,
    ACTIONS(6734), 1,
      anon_sym_LPAREN,
    ACTIONS(6736), 1,
      sym__backquoted_id,
    ACTIONS(6738), 1,
      sym_operator_identifier,
    ACTIONS(6748), 1,
      anon_sym_COLON,
    ACTIONS(6750), 1,
      anon_sym_LBRACE,
    ACTIONS(6752), 1,
      anon_sym_LBRACK,
    ACTIONS(6754), 1,
      sym_integer_literal,
    STATE(5531), 1,
      sym__simple_type,
    STATE(6422), 1,
      sym_identifier,
    STATE(6611), 1,
      sym__soft_identifier,
    STATE(7085), 1,
      sym__annotated_type,
    STATE(9480), 1,
      sym_annotated_type,
    STATE(10812), 1,
      sym__non_null_literal,
    STATE(10894), 1,
      sym_template_body,
    STATE(11677), 1,
      sym__type,
    STATE(12134), 1,
      sym__infix_type_choice,
    STATE(14419), 1,
      sym_parameter_types,
    STATE(16387), 1,
      sym_stable_identifier,
    ACTIONS(6756), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6758), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6760), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3446), 2,
      sym_comment,
      sym_block_comment,
    STATE(10280), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10829), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10839), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10811), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6732), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6925), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [133895] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4296), 1,
      sym__alpha_identifier,
    ACTIONS(4298), 1,
      anon_sym_COLON,
    ACTIONS(4300), 1,
      anon_sym_LBRACE,
    ACTIONS(4302), 1,
      anon_sym__,
    ACTIONS(4306), 1,
      anon_sym_LBRACK,
    ACTIONS(4314), 1,
      sym__backquoted_id,
    ACTIONS(4318), 1,
      sym_integer_literal,
    ACTIONS(6718), 1,
      anon_sym_LPAREN,
    ACTIONS(6720), 1,
      sym_operator_identifier,
    STATE(6125), 1,
      sym__annotated_type,
    STATE(6476), 1,
      sym__simple_type,
    STATE(7067), 1,
      sym__soft_identifier,
    STATE(7261), 1,
      sym_identifier,
    STATE(9519), 1,
      sym_annotated_type,
    STATE(11545), 1,
      sym_template_body,
    STATE(11584), 1,
      sym__non_null_literal,
    STATE(11700), 1,
      sym__type,
    STATE(11934), 1,
      sym__infix_type_choice,
    STATE(15435), 1,
      sym_parameter_types,
    STATE(16618), 1,
      sym_stable_identifier,
    ACTIONS(4320), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4322), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4324), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3447), 2,
      sym_comment,
      sym_block_comment,
    STATE(10283), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11721), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11745), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11582), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4308), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7849), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [134014] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(6404), 1,
      anon_sym_LBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11841), 1,
      sym__infix_type_choice,
    STATE(15082), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    STATE(17323), 1,
      sym__type,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3448), 2,
      sym_comment,
      sym_block_comment,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [134133] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6722), 1,
      sym__alpha_identifier,
    ACTIONS(6728), 1,
      anon_sym__,
    ACTIONS(6734), 1,
      anon_sym_LPAREN,
    ACTIONS(6736), 1,
      sym__backquoted_id,
    ACTIONS(6738), 1,
      sym_operator_identifier,
    ACTIONS(6748), 1,
      anon_sym_COLON,
    ACTIONS(6750), 1,
      anon_sym_LBRACE,
    ACTIONS(6752), 1,
      anon_sym_LBRACK,
    ACTIONS(6754), 1,
      sym_integer_literal,
    STATE(5531), 1,
      sym__simple_type,
    STATE(6422), 1,
      sym_identifier,
    STATE(6611), 1,
      sym__soft_identifier,
    STATE(7085), 1,
      sym__annotated_type,
    STATE(9480), 1,
      sym_annotated_type,
    STATE(10812), 1,
      sym__non_null_literal,
    STATE(10894), 1,
      sym_template_body,
    STATE(11675), 1,
      sym__type,
    STATE(12134), 1,
      sym__infix_type_choice,
    STATE(14419), 1,
      sym_parameter_types,
    STATE(16387), 1,
      sym_stable_identifier,
    ACTIONS(6756), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6758), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6760), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3449), 2,
      sym_comment,
      sym_block_comment,
    STATE(10280), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10829), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10839), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10811), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6732), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6925), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [134252] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(6404), 1,
      anon_sym_LBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11841), 1,
      sym__infix_type_choice,
    STATE(15082), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    STATE(17321), 1,
      sym__type,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3450), 2,
      sym_comment,
      sym_block_comment,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [134371] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4716), 1,
      sym__alpha_identifier,
    ACTIONS(4718), 1,
      anon_sym_COLON,
    ACTIONS(4720), 1,
      anon_sym_LBRACE,
    ACTIONS(4722), 1,
      anon_sym__,
    ACTIONS(4726), 1,
      anon_sym_LBRACK,
    ACTIONS(4734), 1,
      sym__backquoted_id,
    ACTIONS(4738), 1,
      sym_integer_literal,
    ACTIONS(6762), 1,
      anon_sym_LPAREN,
    ACTIONS(6764), 1,
      sym_operator_identifier,
    STATE(5157), 1,
      sym__annotated_type,
    STATE(5280), 1,
      sym__simple_type,
    STATE(5457), 1,
      sym__soft_identifier,
    STATE(5890), 1,
      sym_identifier,
    STATE(8351), 1,
      sym_annotated_type,
    STATE(11779), 1,
      sym__infix_type_choice,
    STATE(12963), 1,
      sym__non_null_literal,
    STATE(13087), 1,
      sym_template_body,
    STATE(13248), 1,
      sym__type,
    STATE(15167), 1,
      sym_parameter_types,
    STATE(16686), 1,
      sym_stable_identifier,
    ACTIONS(4740), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4742), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4744), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3451), 2,
      sym_comment,
      sym_block_comment,
    STATE(9919), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13182), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13212), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12960), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4728), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6031), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [134490] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1964), 1,
      sym_integer_literal,
    ACTIONS(6112), 1,
      sym__alpha_identifier,
    ACTIONS(6114), 1,
      anon_sym_COLON,
    ACTIONS(6116), 1,
      anon_sym_LBRACE,
    ACTIONS(6118), 1,
      anon_sym__,
    ACTIONS(6120), 1,
      anon_sym_LBRACK,
    ACTIONS(6124), 1,
      anon_sym_LPAREN,
    ACTIONS(6126), 1,
      sym__backquoted_id,
    ACTIONS(6128), 1,
      sym_operator_identifier,
    STATE(5528), 1,
      sym__annotated_type,
    STATE(5736), 1,
      sym__simple_type,
    STATE(6052), 1,
      sym__soft_identifier,
    STATE(6458), 1,
      sym_identifier,
    STATE(9113), 1,
      sym_annotated_type,
    STATE(12076), 1,
      sym__infix_type_choice,
    STATE(13033), 1,
      sym_template_body,
    STATE(13051), 1,
      sym__type,
    STATE(13246), 1,
      sym__non_null_literal,
    STATE(15092), 1,
      sym_parameter_types,
    STATE(16776), 1,
      sym_stable_identifier,
    ACTIONS(1966), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1968), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1972), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3452), 2,
      sym_comment,
      sym_block_comment,
    STATE(8905), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9129), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10036), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13237), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6122), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7086), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [134609] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4716), 1,
      sym__alpha_identifier,
    ACTIONS(4718), 1,
      anon_sym_COLON,
    ACTIONS(4720), 1,
      anon_sym_LBRACE,
    ACTIONS(4722), 1,
      anon_sym__,
    ACTIONS(4726), 1,
      anon_sym_LBRACK,
    ACTIONS(4734), 1,
      sym__backquoted_id,
    ACTIONS(4738), 1,
      sym_integer_literal,
    ACTIONS(6762), 1,
      anon_sym_LPAREN,
    ACTIONS(6764), 1,
      sym_operator_identifier,
    STATE(5157), 1,
      sym__annotated_type,
    STATE(5280), 1,
      sym__simple_type,
    STATE(5457), 1,
      sym__soft_identifier,
    STATE(5890), 1,
      sym_identifier,
    STATE(8351), 1,
      sym_annotated_type,
    STATE(11779), 1,
      sym__infix_type_choice,
    STATE(12963), 1,
      sym__non_null_literal,
    STATE(13087), 1,
      sym_template_body,
    STATE(13221), 1,
      sym__type,
    STATE(15167), 1,
      sym_parameter_types,
    STATE(16686), 1,
      sym_stable_identifier,
    ACTIONS(4740), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4742), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4744), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3453), 2,
      sym_comment,
      sym_block_comment,
    STATE(9919), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13182), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13212), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12960), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4728), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6031), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [134728] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4716), 1,
      sym__alpha_identifier,
    ACTIONS(4718), 1,
      anon_sym_COLON,
    ACTIONS(4720), 1,
      anon_sym_LBRACE,
    ACTIONS(4722), 1,
      anon_sym__,
    ACTIONS(4726), 1,
      anon_sym_LBRACK,
    ACTIONS(4734), 1,
      sym__backquoted_id,
    ACTIONS(4738), 1,
      sym_integer_literal,
    ACTIONS(6762), 1,
      anon_sym_LPAREN,
    ACTIONS(6764), 1,
      sym_operator_identifier,
    STATE(5157), 1,
      sym__annotated_type,
    STATE(5280), 1,
      sym__simple_type,
    STATE(5457), 1,
      sym__soft_identifier,
    STATE(5890), 1,
      sym_identifier,
    STATE(8351), 1,
      sym_annotated_type,
    STATE(11779), 1,
      sym__infix_type_choice,
    STATE(12963), 1,
      sym__non_null_literal,
    STATE(13087), 1,
      sym_template_body,
    STATE(13218), 1,
      sym__type,
    STATE(15167), 1,
      sym_parameter_types,
    STATE(16686), 1,
      sym_stable_identifier,
    ACTIONS(4740), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4742), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4744), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3454), 2,
      sym_comment,
      sym_block_comment,
    STATE(9919), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13182), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13212), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12960), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4728), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6031), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [134847] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15313), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3455), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [134966] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16482), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3456), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [135085] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16484), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3457), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [135204] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15386), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3458), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [135323] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4716), 1,
      sym__alpha_identifier,
    ACTIONS(4718), 1,
      anon_sym_COLON,
    ACTIONS(4720), 1,
      anon_sym_LBRACE,
    ACTIONS(4722), 1,
      anon_sym__,
    ACTIONS(4726), 1,
      anon_sym_LBRACK,
    ACTIONS(4734), 1,
      sym__backquoted_id,
    ACTIONS(4738), 1,
      sym_integer_literal,
    ACTIONS(6762), 1,
      anon_sym_LPAREN,
    ACTIONS(6764), 1,
      sym_operator_identifier,
    STATE(5157), 1,
      sym__annotated_type,
    STATE(5280), 1,
      sym__simple_type,
    STATE(5457), 1,
      sym__soft_identifier,
    STATE(5890), 1,
      sym_identifier,
    STATE(8351), 1,
      sym_annotated_type,
    STATE(11779), 1,
      sym__infix_type_choice,
    STATE(12963), 1,
      sym__non_null_literal,
    STATE(13087), 1,
      sym_template_body,
    STATE(13202), 1,
      sym__type,
    STATE(15167), 1,
      sym_parameter_types,
    STATE(16686), 1,
      sym_stable_identifier,
    ACTIONS(4740), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4742), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4744), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3459), 2,
      sym_comment,
      sym_block_comment,
    STATE(9919), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13182), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13212), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12960), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4728), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6031), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [135442] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15393), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3460), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [135561] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4716), 1,
      sym__alpha_identifier,
    ACTIONS(4718), 1,
      anon_sym_COLON,
    ACTIONS(4720), 1,
      anon_sym_LBRACE,
    ACTIONS(4722), 1,
      anon_sym__,
    ACTIONS(4726), 1,
      anon_sym_LBRACK,
    ACTIONS(4734), 1,
      sym__backquoted_id,
    ACTIONS(4738), 1,
      sym_integer_literal,
    ACTIONS(6762), 1,
      anon_sym_LPAREN,
    ACTIONS(6764), 1,
      sym_operator_identifier,
    STATE(5157), 1,
      sym__annotated_type,
    STATE(5280), 1,
      sym__simple_type,
    STATE(5457), 1,
      sym__soft_identifier,
    STATE(5890), 1,
      sym_identifier,
    STATE(8351), 1,
      sym_annotated_type,
    STATE(11779), 1,
      sym__infix_type_choice,
    STATE(12963), 1,
      sym__non_null_literal,
    STATE(13087), 1,
      sym_template_body,
    STATE(13256), 1,
      sym__type,
    STATE(15167), 1,
      sym_parameter_types,
    STATE(16686), 1,
      sym_stable_identifier,
    ACTIONS(4740), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4742), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4744), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3461), 2,
      sym_comment,
      sym_block_comment,
    STATE(9919), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13182), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13212), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12960), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4728), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6031), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [135680] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(6404), 1,
      anon_sym_LBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11841), 1,
      sym__infix_type_choice,
    STATE(13290), 1,
      sym__type,
    STATE(15082), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3462), 2,
      sym_comment,
      sym_block_comment,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [135799] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15293), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3463), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [135918] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15447), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3464), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [136037] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15464), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3465), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [136156] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4214), 1,
      anon_sym_COLON,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4234), 1,
      sym_integer_literal,
    ACTIONS(4608), 1,
      sym__alpha_identifier,
    ACTIONS(4610), 1,
      anon_sym__,
    ACTIONS(4614), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      sym__backquoted_id,
    ACTIONS(6766), 1,
      anon_sym_LPAREN,
    ACTIONS(6768), 1,
      sym_operator_identifier,
    STATE(7146), 1,
      sym__simple_type,
    STATE(7164), 1,
      sym__annotated_type,
    STATE(7705), 1,
      sym__soft_identifier,
    STATE(8002), 1,
      sym_identifier,
    STATE(9756), 1,
      sym_annotated_type,
    STATE(10416), 1,
      sym_template_body,
    STATE(10964), 1,
      sym__type,
    STATE(11029), 1,
      sym__non_null_literal,
    STATE(12093), 1,
      sym__infix_type_choice,
    STATE(14629), 1,
      sym_parameter_types,
    STATE(16333), 1,
      sym_stable_identifier,
    ACTIONS(4236), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4238), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4242), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3466), 2,
      sym_comment,
      sym_block_comment,
    STATE(10504), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10819), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10870), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11034), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4616), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8234), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [136275] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4214), 1,
      anon_sym_COLON,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4234), 1,
      sym_integer_literal,
    ACTIONS(4608), 1,
      sym__alpha_identifier,
    ACTIONS(4610), 1,
      anon_sym__,
    ACTIONS(4614), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      sym__backquoted_id,
    ACTIONS(6766), 1,
      anon_sym_LPAREN,
    ACTIONS(6768), 1,
      sym_operator_identifier,
    STATE(7146), 1,
      sym__simple_type,
    STATE(7164), 1,
      sym__annotated_type,
    STATE(7705), 1,
      sym__soft_identifier,
    STATE(8002), 1,
      sym_identifier,
    STATE(9756), 1,
      sym_annotated_type,
    STATE(10416), 1,
      sym_template_body,
    STATE(10965), 1,
      sym__type,
    STATE(11029), 1,
      sym__non_null_literal,
    STATE(12093), 1,
      sym__infix_type_choice,
    STATE(14629), 1,
      sym_parameter_types,
    STATE(16333), 1,
      sym_stable_identifier,
    ACTIONS(4236), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4238), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4242), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3467), 2,
      sym_comment,
      sym_block_comment,
    STATE(10504), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10819), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10870), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11034), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4616), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8234), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [136394] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4214), 1,
      anon_sym_COLON,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4234), 1,
      sym_integer_literal,
    ACTIONS(4608), 1,
      sym__alpha_identifier,
    ACTIONS(4610), 1,
      anon_sym__,
    ACTIONS(4614), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      sym__backquoted_id,
    ACTIONS(6766), 1,
      anon_sym_LPAREN,
    ACTIONS(6768), 1,
      sym_operator_identifier,
    STATE(7146), 1,
      sym__simple_type,
    STATE(7164), 1,
      sym__annotated_type,
    STATE(7705), 1,
      sym__soft_identifier,
    STATE(8002), 1,
      sym_identifier,
    STATE(9756), 1,
      sym_annotated_type,
    STATE(10416), 1,
      sym_template_body,
    STATE(10966), 1,
      sym__type,
    STATE(11029), 1,
      sym__non_null_literal,
    STATE(12093), 1,
      sym__infix_type_choice,
    STATE(14629), 1,
      sym_parameter_types,
    STATE(16333), 1,
      sym_stable_identifier,
    ACTIONS(4236), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4238), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4242), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3468), 2,
      sym_comment,
      sym_block_comment,
    STATE(10504), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10819), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10870), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11034), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4616), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8234), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [136513] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1792), 1,
      sym_integer_literal,
    ACTIONS(6524), 1,
      anon_sym_COLON,
    ACTIONS(6526), 1,
      anon_sym_LBRACE,
    ACTIONS(6664), 1,
      sym__alpha_identifier,
    ACTIONS(6666), 1,
      anon_sym__,
    ACTIONS(6668), 1,
      anon_sym_LBRACK,
    ACTIONS(6672), 1,
      anon_sym_LPAREN,
    ACTIONS(6674), 1,
      sym__backquoted_id,
    ACTIONS(6676), 1,
      sym_operator_identifier,
    STATE(6942), 1,
      sym__simple_type,
    STATE(7314), 1,
      sym__annotated_type,
    STATE(7416), 1,
      sym_identifier,
    STATE(7573), 1,
      sym__soft_identifier,
    STATE(9874), 1,
      sym_annotated_type,
    STATE(11371), 1,
      sym__type,
    STATE(11655), 1,
      sym_template_body,
    STATE(11690), 1,
      sym__non_null_literal,
    STATE(11954), 1,
      sym__infix_type_choice,
    STATE(15174), 1,
      sym_parameter_types,
    STATE(16596), 1,
      sym_stable_identifier,
    ACTIONS(1794), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1796), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1800), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3469), 2,
      sym_comment,
      sym_block_comment,
    STATE(6465), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(6572), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10427), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11692), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6670), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8346), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [136632] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4214), 1,
      anon_sym_COLON,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4234), 1,
      sym_integer_literal,
    ACTIONS(4608), 1,
      sym__alpha_identifier,
    ACTIONS(4610), 1,
      anon_sym__,
    ACTIONS(4614), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      sym__backquoted_id,
    ACTIONS(6766), 1,
      anon_sym_LPAREN,
    ACTIONS(6768), 1,
      sym_operator_identifier,
    STATE(7146), 1,
      sym__simple_type,
    STATE(7164), 1,
      sym__annotated_type,
    STATE(7705), 1,
      sym__soft_identifier,
    STATE(8002), 1,
      sym_identifier,
    STATE(9756), 1,
      sym_annotated_type,
    STATE(10416), 1,
      sym_template_body,
    STATE(10989), 1,
      sym__type,
    STATE(11029), 1,
      sym__non_null_literal,
    STATE(12093), 1,
      sym__infix_type_choice,
    STATE(14629), 1,
      sym_parameter_types,
    STATE(16333), 1,
      sym_stable_identifier,
    ACTIONS(4236), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4238), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4242), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3470), 2,
      sym_comment,
      sym_block_comment,
    STATE(10504), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10819), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10870), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11034), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4616), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8234), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [136751] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15467), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3471), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [136870] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14885), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3472), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [136989] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16254), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3473), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [137108] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15461), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3474), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [137227] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1792), 1,
      sym_integer_literal,
    ACTIONS(6524), 1,
      anon_sym_COLON,
    ACTIONS(6526), 1,
      anon_sym_LBRACE,
    ACTIONS(6664), 1,
      sym__alpha_identifier,
    ACTIONS(6666), 1,
      anon_sym__,
    ACTIONS(6668), 1,
      anon_sym_LBRACK,
    ACTIONS(6672), 1,
      anon_sym_LPAREN,
    ACTIONS(6674), 1,
      sym__backquoted_id,
    ACTIONS(6676), 1,
      sym_operator_identifier,
    STATE(6942), 1,
      sym__simple_type,
    STATE(7314), 1,
      sym__annotated_type,
    STATE(7416), 1,
      sym_identifier,
    STATE(7573), 1,
      sym__soft_identifier,
    STATE(9874), 1,
      sym_annotated_type,
    STATE(11370), 1,
      sym__type,
    STATE(11655), 1,
      sym_template_body,
    STATE(11690), 1,
      sym__non_null_literal,
    STATE(11954), 1,
      sym__infix_type_choice,
    STATE(15174), 1,
      sym_parameter_types,
    STATE(16596), 1,
      sym_stable_identifier,
    ACTIONS(1794), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1796), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1800), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3475), 2,
      sym_comment,
      sym_block_comment,
    STATE(6465), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(6572), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10427), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11692), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6670), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8346), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [137346] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1030), 1,
      sym_integer_literal,
    ACTIONS(6166), 1,
      sym__alpha_identifier,
    ACTIONS(6168), 1,
      anon_sym_COLON,
    ACTIONS(6170), 1,
      anon_sym_LBRACE,
    ACTIONS(6172), 1,
      anon_sym__,
    ACTIONS(6174), 1,
      anon_sym_LBRACK,
    ACTIONS(6178), 1,
      anon_sym_LPAREN,
    ACTIONS(6180), 1,
      sym__backquoted_id,
    ACTIONS(6182), 1,
      sym_operator_identifier,
    STATE(4578), 1,
      sym__simple_type,
    STATE(4608), 1,
      sym__annotated_type,
    STATE(4760), 1,
      sym__soft_identifier,
    STATE(4957), 1,
      sym_identifier,
    STATE(7264), 1,
      sym_annotated_type,
    STATE(11886), 1,
      sym_template_body,
    STATE(12022), 1,
      sym__type,
    STATE(12037), 1,
      sym__infix_type_choice,
    STATE(12148), 1,
      sym__non_null_literal,
    STATE(15091), 1,
      sym_parameter_types,
    STATE(16764), 1,
      sym_stable_identifier,
    ACTIONS(1032), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1034), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1038), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3476), 2,
      sym_comment,
      sym_block_comment,
    STATE(7206), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7301), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8857), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12143), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6176), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5018), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [137465] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1792), 1,
      sym_integer_literal,
    ACTIONS(6524), 1,
      anon_sym_COLON,
    ACTIONS(6526), 1,
      anon_sym_LBRACE,
    ACTIONS(6664), 1,
      sym__alpha_identifier,
    ACTIONS(6666), 1,
      anon_sym__,
    ACTIONS(6668), 1,
      anon_sym_LBRACK,
    ACTIONS(6672), 1,
      anon_sym_LPAREN,
    ACTIONS(6674), 1,
      sym__backquoted_id,
    ACTIONS(6676), 1,
      sym_operator_identifier,
    STATE(6942), 1,
      sym__simple_type,
    STATE(7314), 1,
      sym__annotated_type,
    STATE(7416), 1,
      sym_identifier,
    STATE(7573), 1,
      sym__soft_identifier,
    STATE(9874), 1,
      sym_annotated_type,
    STATE(11369), 1,
      sym__type,
    STATE(11655), 1,
      sym_template_body,
    STATE(11690), 1,
      sym__non_null_literal,
    STATE(11954), 1,
      sym__infix_type_choice,
    STATE(15174), 1,
      sym_parameter_types,
    STATE(16596), 1,
      sym_stable_identifier,
    ACTIONS(1794), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1796), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1800), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3477), 2,
      sym_comment,
      sym_block_comment,
    STATE(6465), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(6572), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10427), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11692), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6670), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8346), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [137584] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1792), 1,
      sym_integer_literal,
    ACTIONS(6524), 1,
      anon_sym_COLON,
    ACTIONS(6526), 1,
      anon_sym_LBRACE,
    ACTIONS(6664), 1,
      sym__alpha_identifier,
    ACTIONS(6666), 1,
      anon_sym__,
    ACTIONS(6668), 1,
      anon_sym_LBRACK,
    ACTIONS(6672), 1,
      anon_sym_LPAREN,
    ACTIONS(6674), 1,
      sym__backquoted_id,
    ACTIONS(6676), 1,
      sym_operator_identifier,
    STATE(6942), 1,
      sym__simple_type,
    STATE(7314), 1,
      sym__annotated_type,
    STATE(7416), 1,
      sym_identifier,
    STATE(7573), 1,
      sym__soft_identifier,
    STATE(9874), 1,
      sym_annotated_type,
    STATE(11409), 1,
      sym__type,
    STATE(11655), 1,
      sym_template_body,
    STATE(11690), 1,
      sym__non_null_literal,
    STATE(11954), 1,
      sym__infix_type_choice,
    STATE(15174), 1,
      sym_parameter_types,
    STATE(16596), 1,
      sym_stable_identifier,
    ACTIONS(1794), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1796), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1800), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3478), 2,
      sym_comment,
      sym_block_comment,
    STATE(6465), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(6572), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10427), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11692), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6670), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8346), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [137703] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15446), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3479), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [137822] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(541), 1,
      sym_integer_literal,
    ACTIONS(6066), 1,
      sym__alpha_identifier,
    ACTIONS(6068), 1,
      anon_sym__,
    ACTIONS(6074), 1,
      anon_sym_LPAREN,
    ACTIONS(6076), 1,
      sym__backquoted_id,
    ACTIONS(6078), 1,
      sym_operator_identifier,
    ACTIONS(6704), 1,
      anon_sym_COLON,
    ACTIONS(6706), 1,
      anon_sym_LBRACE,
    ACTIONS(6708), 1,
      anon_sym_LBRACK,
    STATE(5687), 1,
      sym__annotated_type,
    STATE(5958), 1,
      sym__simple_type,
    STATE(6298), 1,
      sym_identifier,
    STATE(6423), 1,
      sym__soft_identifier,
    STATE(8714), 1,
      sym_annotated_type,
    STATE(11604), 1,
      sym_template_body,
    STATE(12079), 1,
      sym__infix_type_choice,
    STATE(12480), 1,
      sym__non_null_literal,
    STATE(12537), 1,
      sym__type,
    STATE(15085), 1,
      sym_parameter_types,
    STATE(16539), 1,
      sym_stable_identifier,
    ACTIONS(543), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(545), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(555), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3480), 2,
      sym_comment,
      sym_block_comment,
    STATE(8874), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9548), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9653), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12479), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6072), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7089), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [137941] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15440), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3481), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [138060] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1792), 1,
      sym_integer_literal,
    ACTIONS(6524), 1,
      anon_sym_COLON,
    ACTIONS(6526), 1,
      anon_sym_LBRACE,
    ACTIONS(6664), 1,
      sym__alpha_identifier,
    ACTIONS(6666), 1,
      anon_sym__,
    ACTIONS(6668), 1,
      anon_sym_LBRACK,
    ACTIONS(6672), 1,
      anon_sym_LPAREN,
    ACTIONS(6674), 1,
      sym__backquoted_id,
    ACTIONS(6676), 1,
      sym_operator_identifier,
    STATE(6942), 1,
      sym__simple_type,
    STATE(7314), 1,
      sym__annotated_type,
    STATE(7416), 1,
      sym_identifier,
    STATE(7573), 1,
      sym__soft_identifier,
    STATE(9874), 1,
      sym_annotated_type,
    STATE(11461), 1,
      sym__type,
    STATE(11655), 1,
      sym_template_body,
    STATE(11690), 1,
      sym__non_null_literal,
    STATE(11954), 1,
      sym__infix_type_choice,
    STATE(15174), 1,
      sym_parameter_types,
    STATE(16596), 1,
      sym_stable_identifier,
    ACTIONS(1794), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1796), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1800), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3482), 2,
      sym_comment,
      sym_block_comment,
    STATE(6465), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(6572), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10427), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11692), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6670), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8346), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [138179] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1268), 1,
      sym_integer_literal,
    ACTIONS(6540), 1,
      sym__alpha_identifier,
    ACTIONS(6542), 1,
      anon_sym_COLON,
    ACTIONS(6544), 1,
      anon_sym_LBRACE,
    ACTIONS(6546), 1,
      anon_sym__,
    ACTIONS(6548), 1,
      anon_sym_LBRACK,
    ACTIONS(6552), 1,
      anon_sym_LPAREN,
    ACTIONS(6554), 1,
      sym__backquoted_id,
    ACTIONS(6556), 1,
      sym_operator_identifier,
    STATE(5209), 1,
      sym__annotated_type,
    STATE(5262), 1,
      sym__simple_type,
    STATE(5455), 1,
      sym__soft_identifier,
    STATE(5692), 1,
      sym_identifier,
    STATE(8248), 1,
      sym_annotated_type,
    STATE(11798), 1,
      sym__infix_type_choice,
    STATE(12786), 1,
      sym__type,
    STATE(12887), 1,
      sym__non_null_literal,
    STATE(12899), 1,
      sym_template_body,
    STATE(15088), 1,
      sym_parameter_types,
    STATE(16698), 1,
      sym_stable_identifier,
    ACTIONS(1270), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1272), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1276), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3483), 2,
      sym_comment,
      sym_block_comment,
    STATE(8269), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8516), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9766), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12893), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6550), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6161), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [138298] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(541), 1,
      sym_integer_literal,
    ACTIONS(6066), 1,
      sym__alpha_identifier,
    ACTIONS(6068), 1,
      anon_sym__,
    ACTIONS(6074), 1,
      anon_sym_LPAREN,
    ACTIONS(6076), 1,
      sym__backquoted_id,
    ACTIONS(6078), 1,
      sym_operator_identifier,
    ACTIONS(6704), 1,
      anon_sym_COLON,
    ACTIONS(6706), 1,
      anon_sym_LBRACE,
    ACTIONS(6708), 1,
      anon_sym_LBRACK,
    STATE(5687), 1,
      sym__annotated_type,
    STATE(5958), 1,
      sym__simple_type,
    STATE(6298), 1,
      sym_identifier,
    STATE(6423), 1,
      sym__soft_identifier,
    STATE(8714), 1,
      sym_annotated_type,
    STATE(11604), 1,
      sym_template_body,
    STATE(12079), 1,
      sym__infix_type_choice,
    STATE(12480), 1,
      sym__non_null_literal,
    STATE(14129), 1,
      sym__type,
    STATE(15085), 1,
      sym_parameter_types,
    STATE(16539), 1,
      sym_stable_identifier,
    ACTIONS(543), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(545), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(555), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3484), 2,
      sym_comment,
      sym_block_comment,
    STATE(8874), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9548), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9653), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12479), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6072), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7089), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [138417] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1268), 1,
      sym_integer_literal,
    ACTIONS(6540), 1,
      sym__alpha_identifier,
    ACTIONS(6542), 1,
      anon_sym_COLON,
    ACTIONS(6544), 1,
      anon_sym_LBRACE,
    ACTIONS(6546), 1,
      anon_sym__,
    ACTIONS(6548), 1,
      anon_sym_LBRACK,
    ACTIONS(6552), 1,
      anon_sym_LPAREN,
    ACTIONS(6554), 1,
      sym__backquoted_id,
    ACTIONS(6556), 1,
      sym_operator_identifier,
    STATE(5209), 1,
      sym__annotated_type,
    STATE(5262), 1,
      sym__simple_type,
    STATE(5455), 1,
      sym__soft_identifier,
    STATE(5692), 1,
      sym_identifier,
    STATE(8248), 1,
      sym_annotated_type,
    STATE(11798), 1,
      sym__infix_type_choice,
    STATE(12832), 1,
      sym__type,
    STATE(12887), 1,
      sym__non_null_literal,
    STATE(12899), 1,
      sym_template_body,
    STATE(15088), 1,
      sym_parameter_types,
    STATE(16698), 1,
      sym_stable_identifier,
    ACTIONS(1270), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1272), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1276), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3485), 2,
      sym_comment,
      sym_block_comment,
    STATE(8269), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8516), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9766), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12893), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6550), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6161), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [138536] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15266), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3486), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [138655] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15418), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3487), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [138774] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6770), 1,
      sym__alpha_identifier,
    ACTIONS(6772), 1,
      anon_sym_COLON,
    ACTIONS(6774), 1,
      anon_sym_LBRACE,
    ACTIONS(6776), 1,
      anon_sym__,
    ACTIONS(6778), 1,
      anon_sym_LBRACK,
    ACTIONS(6782), 1,
      anon_sym_LPAREN,
    ACTIONS(6784), 1,
      sym__backquoted_id,
    ACTIONS(6786), 1,
      sym_operator_identifier,
    ACTIONS(6788), 1,
      sym_integer_literal,
    STATE(5022), 1,
      sym__simple_type,
    STATE(5479), 1,
      sym_identifier,
    STATE(5580), 1,
      sym__soft_identifier,
    STATE(5912), 1,
      sym__annotated_type,
    STATE(8787), 1,
      sym_annotated_type,
    STATE(10356), 1,
      sym__non_null_literal,
    STATE(10437), 1,
      sym__type,
    STATE(10475), 1,
      sym_template_body,
    STATE(12006), 1,
      sym__infix_type_choice,
    STATE(15411), 1,
      sym_parameter_types,
    STATE(16563), 1,
      sym_stable_identifier,
    ACTIONS(6790), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6792), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6794), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3488), 2,
      sym_comment,
      sym_block_comment,
    STATE(9787), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10483), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10518), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10357), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6780), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6415), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [138893] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6770), 1,
      sym__alpha_identifier,
    ACTIONS(6772), 1,
      anon_sym_COLON,
    ACTIONS(6774), 1,
      anon_sym_LBRACE,
    ACTIONS(6776), 1,
      anon_sym__,
    ACTIONS(6778), 1,
      anon_sym_LBRACK,
    ACTIONS(6782), 1,
      anon_sym_LPAREN,
    ACTIONS(6784), 1,
      sym__backquoted_id,
    ACTIONS(6786), 1,
      sym_operator_identifier,
    ACTIONS(6788), 1,
      sym_integer_literal,
    STATE(5022), 1,
      sym__simple_type,
    STATE(5479), 1,
      sym_identifier,
    STATE(5580), 1,
      sym__soft_identifier,
    STATE(5912), 1,
      sym__annotated_type,
    STATE(8787), 1,
      sym_annotated_type,
    STATE(10356), 1,
      sym__non_null_literal,
    STATE(10436), 1,
      sym__type,
    STATE(10475), 1,
      sym_template_body,
    STATE(12006), 1,
      sym__infix_type_choice,
    STATE(15411), 1,
      sym_parameter_types,
    STATE(16563), 1,
      sym_stable_identifier,
    ACTIONS(6790), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6792), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6794), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3489), 2,
      sym_comment,
      sym_block_comment,
    STATE(9787), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10483), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10518), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10357), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6780), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6415), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [139012] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4214), 1,
      anon_sym_COLON,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4234), 1,
      sym_integer_literal,
    ACTIONS(4608), 1,
      sym__alpha_identifier,
    ACTIONS(4610), 1,
      anon_sym__,
    ACTIONS(4614), 1,
      anon_sym_LBRACK,
    ACTIONS(4620), 1,
      sym__backquoted_id,
    ACTIONS(6766), 1,
      anon_sym_LPAREN,
    ACTIONS(6768), 1,
      sym_operator_identifier,
    STATE(7146), 1,
      sym__simple_type,
    STATE(7164), 1,
      sym__annotated_type,
    STATE(7705), 1,
      sym__soft_identifier,
    STATE(8002), 1,
      sym_identifier,
    STATE(9756), 1,
      sym_annotated_type,
    STATE(10416), 1,
      sym_template_body,
    STATE(10817), 1,
      sym__type,
    STATE(11029), 1,
      sym__non_null_literal,
    STATE(12093), 1,
      sym__infix_type_choice,
    STATE(14629), 1,
      sym_parameter_types,
    STATE(16333), 1,
      sym_stable_identifier,
    ACTIONS(4236), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4238), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4242), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3490), 2,
      sym_comment,
      sym_block_comment,
    STATE(10504), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10819), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10870), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11034), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4616), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8234), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [139131] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(541), 1,
      sym_integer_literal,
    ACTIONS(6066), 1,
      sym__alpha_identifier,
    ACTIONS(6068), 1,
      anon_sym__,
    ACTIONS(6074), 1,
      anon_sym_LPAREN,
    ACTIONS(6076), 1,
      sym__backquoted_id,
    ACTIONS(6078), 1,
      sym_operator_identifier,
    ACTIONS(6704), 1,
      anon_sym_COLON,
    ACTIONS(6706), 1,
      anon_sym_LBRACE,
    ACTIONS(6708), 1,
      anon_sym_LBRACK,
    STATE(5687), 1,
      sym__annotated_type,
    STATE(5958), 1,
      sym__simple_type,
    STATE(6298), 1,
      sym_identifier,
    STATE(6423), 1,
      sym__soft_identifier,
    STATE(8714), 1,
      sym_annotated_type,
    STATE(11604), 1,
      sym_template_body,
    STATE(12079), 1,
      sym__infix_type_choice,
    STATE(12480), 1,
      sym__non_null_literal,
    STATE(12550), 1,
      sym__type,
    STATE(15085), 1,
      sym_parameter_types,
    STATE(16539), 1,
      sym_stable_identifier,
    ACTIONS(543), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(545), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(555), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3491), 2,
      sym_comment,
      sym_block_comment,
    STATE(8874), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9548), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9653), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12479), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6072), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7089), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [139250] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15414), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3492), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [139369] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15389), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3493), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [139488] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15384), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3494), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [139607] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6206), 1,
      sym__alpha_identifier,
    ACTIONS(6208), 1,
      anon_sym_COLON,
    ACTIONS(6210), 1,
      anon_sym_LBRACE,
    ACTIONS(6212), 1,
      anon_sym__,
    ACTIONS(6214), 1,
      anon_sym_LBRACK,
    ACTIONS(6218), 1,
      anon_sym_LPAREN,
    ACTIONS(6220), 1,
      sym__backquoted_id,
    ACTIONS(6222), 1,
      sym_operator_identifier,
    ACTIONS(6224), 1,
      sym_integer_literal,
    STATE(5019), 1,
      sym__simple_type,
    STATE(5445), 1,
      sym_identifier,
    STATE(5461), 1,
      sym__annotated_type,
    STATE(5909), 1,
      sym__soft_identifier,
    STATE(9003), 1,
      sym_annotated_type,
    STATE(10450), 1,
      sym__type,
    STATE(10511), 1,
      sym__non_null_literal,
    STATE(10555), 1,
      sym_template_body,
    STATE(11856), 1,
      sym__infix_type_choice,
    STATE(15134), 1,
      sym_parameter_types,
    STATE(16046), 1,
      sym_stable_identifier,
    ACTIONS(6226), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6228), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6230), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3495), 2,
      sym_comment,
      sym_block_comment,
    STATE(9817), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10362), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10508), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6216), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6453), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [139726] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6206), 1,
      sym__alpha_identifier,
    ACTIONS(6208), 1,
      anon_sym_COLON,
    ACTIONS(6210), 1,
      anon_sym_LBRACE,
    ACTIONS(6212), 1,
      anon_sym__,
    ACTIONS(6214), 1,
      anon_sym_LBRACK,
    ACTIONS(6218), 1,
      anon_sym_LPAREN,
    ACTIONS(6220), 1,
      sym__backquoted_id,
    ACTIONS(6222), 1,
      sym_operator_identifier,
    ACTIONS(6224), 1,
      sym_integer_literal,
    STATE(5019), 1,
      sym__simple_type,
    STATE(5445), 1,
      sym_identifier,
    STATE(5461), 1,
      sym__annotated_type,
    STATE(5909), 1,
      sym__soft_identifier,
    STATE(9003), 1,
      sym_annotated_type,
    STATE(10452), 1,
      sym__type,
    STATE(10511), 1,
      sym__non_null_literal,
    STATE(10555), 1,
      sym_template_body,
    STATE(11856), 1,
      sym__infix_type_choice,
    STATE(15134), 1,
      sym_parameter_types,
    STATE(16046), 1,
      sym_stable_identifier,
    ACTIONS(6226), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6228), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6230), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3496), 2,
      sym_comment,
      sym_block_comment,
    STATE(9817), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10362), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10508), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6216), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6453), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [139845] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4556), 1,
      anon_sym_COLON,
    ACTIONS(4558), 1,
      anon_sym_LBRACE,
    ACTIONS(4576), 1,
      sym_integer_literal,
    ACTIONS(6796), 1,
      sym__alpha_identifier,
    ACTIONS(6798), 1,
      anon_sym__,
    ACTIONS(6800), 1,
      anon_sym_LBRACK,
    ACTIONS(6804), 1,
      anon_sym_LPAREN,
    ACTIONS(6806), 1,
      sym__backquoted_id,
    ACTIONS(6808), 1,
      sym_operator_identifier,
    STATE(5929), 1,
      sym__simple_type,
    STATE(6232), 1,
      sym_identifier,
    STATE(6412), 1,
      sym__soft_identifier,
    STATE(6588), 1,
      sym__annotated_type,
    STATE(9308), 1,
      sym_annotated_type,
    STATE(11604), 1,
      sym_template_body,
    STATE(12056), 1,
      sym__infix_type_choice,
    STATE(12480), 1,
      sym__non_null_literal,
    STATE(13671), 1,
      sym__type,
    STATE(15224), 1,
      sym_parameter_types,
    STATE(16551), 1,
      sym_stable_identifier,
    ACTIONS(4578), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4580), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4584), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3497), 2,
      sym_comment,
      sym_block_comment,
    STATE(10277), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12384), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12412), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12479), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6802), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7011), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [139964] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4556), 1,
      anon_sym_COLON,
    ACTIONS(4558), 1,
      anon_sym_LBRACE,
    ACTIONS(4576), 1,
      sym_integer_literal,
    ACTIONS(6066), 1,
      sym__alpha_identifier,
    ACTIONS(6068), 1,
      anon_sym__,
    ACTIONS(6074), 1,
      anon_sym_LPAREN,
    ACTIONS(6076), 1,
      sym__backquoted_id,
    ACTIONS(6078), 1,
      sym_operator_identifier,
    ACTIONS(6810), 1,
      anon_sym_LBRACK,
    STATE(5687), 1,
      sym__annotated_type,
    STATE(5958), 1,
      sym__simple_type,
    STATE(6298), 1,
      sym_identifier,
    STATE(6423), 1,
      sym__soft_identifier,
    STATE(8714), 1,
      sym_annotated_type,
    STATE(11604), 1,
      sym_template_body,
    STATE(12079), 1,
      sym__infix_type_choice,
    STATE(12480), 1,
      sym__non_null_literal,
    STATE(13796), 1,
      sym__type,
    STATE(15173), 1,
      sym_parameter_types,
    STATE(16539), 1,
      sym_stable_identifier,
    ACTIONS(4578), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4580), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4584), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3498), 2,
      sym_comment,
      sym_block_comment,
    STATE(9653), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12384), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12412), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12479), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6072), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7089), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [140083] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4296), 1,
      sym__alpha_identifier,
    ACTIONS(4298), 1,
      anon_sym_COLON,
    ACTIONS(4300), 1,
      anon_sym_LBRACE,
    ACTIONS(4302), 1,
      anon_sym__,
    ACTIONS(4306), 1,
      anon_sym_LBRACK,
    ACTIONS(4314), 1,
      sym__backquoted_id,
    ACTIONS(4318), 1,
      sym_integer_literal,
    ACTIONS(6718), 1,
      anon_sym_LPAREN,
    ACTIONS(6720), 1,
      sym_operator_identifier,
    STATE(6125), 1,
      sym__annotated_type,
    STATE(6476), 1,
      sym__simple_type,
    STATE(7067), 1,
      sym__soft_identifier,
    STATE(7261), 1,
      sym_identifier,
    STATE(9519), 1,
      sym_annotated_type,
    STATE(11545), 1,
      sym_template_body,
    STATE(11584), 1,
      sym__non_null_literal,
    STATE(11616), 1,
      sym__type,
    STATE(11934), 1,
      sym__infix_type_choice,
    STATE(15435), 1,
      sym_parameter_types,
    STATE(16618), 1,
      sym_stable_identifier,
    ACTIONS(4320), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4322), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4324), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3499), 2,
      sym_comment,
      sym_block_comment,
    STATE(10283), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11721), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11745), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11582), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4308), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7849), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [140202] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16554), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3500), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [140321] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16556), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3501), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [140440] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15360), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3502), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [140559] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14878), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3503), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [140678] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15355), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3504), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [140797] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14871), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3505), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [140916] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14864), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3506), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [141035] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1268), 1,
      sym_integer_literal,
    ACTIONS(6540), 1,
      sym__alpha_identifier,
    ACTIONS(6542), 1,
      anon_sym_COLON,
    ACTIONS(6544), 1,
      anon_sym_LBRACE,
    ACTIONS(6546), 1,
      anon_sym__,
    ACTIONS(6548), 1,
      anon_sym_LBRACK,
    ACTIONS(6552), 1,
      anon_sym_LPAREN,
    ACTIONS(6554), 1,
      sym__backquoted_id,
    ACTIONS(6556), 1,
      sym_operator_identifier,
    STATE(5209), 1,
      sym__annotated_type,
    STATE(5262), 1,
      sym__simple_type,
    STATE(5455), 1,
      sym__soft_identifier,
    STATE(5692), 1,
      sym_identifier,
    STATE(8248), 1,
      sym_annotated_type,
    STATE(11798), 1,
      sym__infix_type_choice,
    STATE(12861), 1,
      sym__type,
    STATE(12887), 1,
      sym__non_null_literal,
    STATE(12899), 1,
      sym_template_body,
    STATE(15088), 1,
      sym_parameter_types,
    STATE(16698), 1,
      sym_stable_identifier,
    ACTIONS(1270), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1272), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1276), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3507), 2,
      sym_comment,
      sym_block_comment,
    STATE(8269), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8516), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9766), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12893), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6550), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6161), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [141154] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15333), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3508), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [141273] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14418), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3509), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [141392] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15327), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3510), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [141511] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4214), 1,
      anon_sym_COLON,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4234), 1,
      sym_integer_literal,
    ACTIONS(6098), 1,
      sym__alpha_identifier,
    ACTIONS(6100), 1,
      anon_sym__,
    ACTIONS(6102), 1,
      anon_sym_LBRACK,
    ACTIONS(6106), 1,
      anon_sym_LPAREN,
    ACTIONS(6108), 1,
      sym__backquoted_id,
    ACTIONS(6110), 1,
      sym_operator_identifier,
    STATE(5828), 1,
      sym__simple_type,
    STATE(5991), 1,
      sym__annotated_type,
    STATE(6096), 1,
      sym_identifier,
    STATE(6257), 1,
      sym__soft_identifier,
    STATE(9560), 1,
      sym_annotated_type,
    STATE(10416), 1,
      sym_template_body,
    STATE(10966), 1,
      sym__type,
    STATE(11029), 1,
      sym__non_null_literal,
    STATE(11776), 1,
      sym__infix_type_choice,
    STATE(15341), 1,
      sym_parameter_types,
    STATE(16025), 1,
      sym_stable_identifier,
    ACTIONS(4236), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4238), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4242), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3511), 2,
      sym_comment,
      sym_block_comment,
    STATE(10279), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10819), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10870), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11034), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6104), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6721), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [141630] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4266), 1,
      anon_sym_COLON,
    ACTIONS(4268), 1,
      anon_sym_LBRACE,
    ACTIONS(4286), 1,
      sym_integer_literal,
    ACTIONS(4586), 1,
      sym__alpha_identifier,
    ACTIONS(4588), 1,
      anon_sym__,
    ACTIONS(4592), 1,
      anon_sym_LBRACK,
    ACTIONS(4598), 1,
      sym__backquoted_id,
    ACTIONS(6812), 1,
      anon_sym_LPAREN,
    ACTIONS(6814), 1,
      sym_operator_identifier,
    STATE(4992), 1,
      sym__simple_type,
    STATE(5108), 1,
      sym__annotated_type,
    STATE(5427), 1,
      sym_identifier,
    STATE(5551), 1,
      sym__soft_identifier,
    STATE(8625), 1,
      sym_annotated_type,
    STATE(10724), 1,
      sym_template_body,
    STATE(10900), 1,
      sym__type,
    STATE(10963), 1,
      sym__non_null_literal,
    STATE(11984), 1,
      sym__infix_type_choice,
    STATE(15454), 1,
      sym_parameter_types,
    STATE(16585), 1,
      sym_stable_identifier,
    ACTIONS(4288), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4290), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4294), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3512), 2,
      sym_comment,
      sym_block_comment,
    STATE(9916), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10744), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10942), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10958), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4594), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6523), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [141749] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4214), 1,
      anon_sym_COLON,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4234), 1,
      sym_integer_literal,
    ACTIONS(6130), 1,
      sym__alpha_identifier,
    ACTIONS(6136), 1,
      anon_sym__,
    ACTIONS(6142), 1,
      anon_sym_LPAREN,
    ACTIONS(6144), 1,
      sym__backquoted_id,
    ACTIONS(6146), 1,
      sym_operator_identifier,
    ACTIONS(6204), 1,
      anon_sym_LBRACK,
    STATE(6664), 1,
      sym__simple_type,
    STATE(7617), 1,
      sym_identifier,
    STATE(7635), 1,
      sym__soft_identifier,
    STATE(7736), 1,
      sym__annotated_type,
    STATE(9838), 1,
      sym_annotated_type,
    STATE(10416), 1,
      sym_template_body,
    STATE(11029), 1,
      sym__non_null_literal,
    STATE(11876), 1,
      sym__infix_type_choice,
    STATE(13593), 1,
      sym__type,
    STATE(15270), 1,
      sym_parameter_types,
    STATE(15858), 1,
      sym_stable_identifier,
    ACTIONS(4236), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4238), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4242), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3513), 2,
      sym_comment,
      sym_block_comment,
    STATE(10309), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10819), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10870), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11034), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6140), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8290), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [141868] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(87), 1,
      sym_integer_literal,
    ACTIONS(6130), 1,
      sym__alpha_identifier,
    ACTIONS(6132), 1,
      anon_sym_COLON,
    ACTIONS(6134), 1,
      anon_sym_LBRACE,
    ACTIONS(6136), 1,
      anon_sym__,
    ACTIONS(6138), 1,
      anon_sym_LBRACK,
    ACTIONS(6142), 1,
      anon_sym_LPAREN,
    ACTIONS(6144), 1,
      sym__backquoted_id,
    ACTIONS(6146), 1,
      sym_operator_identifier,
    STATE(6664), 1,
      sym__simple_type,
    STATE(6871), 1,
      sym__annotated_type,
    STATE(7617), 1,
      sym_identifier,
    STATE(7635), 1,
      sym__soft_identifier,
    STATE(9838), 1,
      sym_annotated_type,
    STATE(10416), 1,
      sym_template_body,
    STATE(11029), 1,
      sym__non_null_literal,
    STATE(11924), 1,
      sym__infix_type_choice,
    STATE(13814), 1,
      sym__type,
    STATE(14979), 1,
      sym_parameter_types,
    STATE(15858), 1,
      sym_stable_identifier,
    ACTIONS(89), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(91), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(103), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3514), 2,
      sym_comment,
      sym_block_comment,
    STATE(6306), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7065), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10309), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11034), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6140), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8290), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [141987] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14777), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3515), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [142106] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15262), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3516), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [142225] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    STATE(17215), 1,
      sym__type,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3517), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [142344] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    STATE(17209), 1,
      sym__type,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3518), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [142463] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(87), 1,
      sym_integer_literal,
    ACTIONS(6130), 1,
      sym__alpha_identifier,
    ACTIONS(6132), 1,
      anon_sym_COLON,
    ACTIONS(6134), 1,
      anon_sym_LBRACE,
    ACTIONS(6136), 1,
      anon_sym__,
    ACTIONS(6138), 1,
      anon_sym_LBRACK,
    ACTIONS(6142), 1,
      anon_sym_LPAREN,
    ACTIONS(6144), 1,
      sym__backquoted_id,
    ACTIONS(6146), 1,
      sym_operator_identifier,
    STATE(6664), 1,
      sym__simple_type,
    STATE(6871), 1,
      sym__annotated_type,
    STATE(7617), 1,
      sym_identifier,
    STATE(7635), 1,
      sym__soft_identifier,
    STATE(9838), 1,
      sym_annotated_type,
    STATE(10416), 1,
      sym_template_body,
    STATE(11029), 1,
      sym__non_null_literal,
    STATE(11924), 1,
      sym__infix_type_choice,
    STATE(13816), 1,
      sym__type,
    STATE(14979), 1,
      sym_parameter_types,
    STATE(15858), 1,
      sym_stable_identifier,
    ACTIONS(89), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(91), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(103), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3519), 2,
      sym_comment,
      sym_block_comment,
    STATE(6306), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7065), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10309), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11034), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6140), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8290), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [142582] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14855), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3520), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [142701] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14844), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3521), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [142820] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(87), 1,
      sym_integer_literal,
    ACTIONS(6130), 1,
      sym__alpha_identifier,
    ACTIONS(6132), 1,
      anon_sym_COLON,
    ACTIONS(6134), 1,
      anon_sym_LBRACE,
    ACTIONS(6136), 1,
      anon_sym__,
    ACTIONS(6138), 1,
      anon_sym_LBRACK,
    ACTIONS(6142), 1,
      anon_sym_LPAREN,
    ACTIONS(6144), 1,
      sym__backquoted_id,
    ACTIONS(6146), 1,
      sym_operator_identifier,
    STATE(6664), 1,
      sym__simple_type,
    STATE(6871), 1,
      sym__annotated_type,
    STATE(7617), 1,
      sym_identifier,
    STATE(7635), 1,
      sym__soft_identifier,
    STATE(9838), 1,
      sym_annotated_type,
    STATE(10416), 1,
      sym_template_body,
    STATE(11029), 1,
      sym__non_null_literal,
    STATE(11924), 1,
      sym__infix_type_choice,
    STATE(13817), 1,
      sym__type,
    STATE(14979), 1,
      sym_parameter_types,
    STATE(15858), 1,
      sym_stable_identifier,
    ACTIONS(89), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(91), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(103), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3522), 2,
      sym_comment,
      sym_block_comment,
    STATE(6306), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7065), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10309), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11034), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6140), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8290), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [142939] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15312), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3523), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [143058] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14833), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3524), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [143177] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15305), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3525), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [143296] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(87), 1,
      sym_integer_literal,
    ACTIONS(6130), 1,
      sym__alpha_identifier,
    ACTIONS(6132), 1,
      anon_sym_COLON,
    ACTIONS(6134), 1,
      anon_sym_LBRACE,
    ACTIONS(6136), 1,
      anon_sym__,
    ACTIONS(6138), 1,
      anon_sym_LBRACK,
    ACTIONS(6142), 1,
      anon_sym_LPAREN,
    ACTIONS(6144), 1,
      sym__backquoted_id,
    ACTIONS(6146), 1,
      sym_operator_identifier,
    STATE(6664), 1,
      sym__simple_type,
    STATE(6871), 1,
      sym__annotated_type,
    STATE(7617), 1,
      sym_identifier,
    STATE(7635), 1,
      sym__soft_identifier,
    STATE(9838), 1,
      sym_annotated_type,
    STATE(10416), 1,
      sym_template_body,
    STATE(11029), 1,
      sym__non_null_literal,
    STATE(11924), 1,
      sym__infix_type_choice,
    STATE(13824), 1,
      sym__type,
    STATE(14979), 1,
      sym_parameter_types,
    STATE(15858), 1,
      sym_stable_identifier,
    ACTIONS(89), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(91), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(103), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3526), 2,
      sym_comment,
      sym_block_comment,
    STATE(6306), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7065), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10309), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11034), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6140), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8290), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [143415] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4266), 1,
      anon_sym_COLON,
    ACTIONS(4268), 1,
      anon_sym_LBRACE,
    ACTIONS(4286), 1,
      sym_integer_literal,
    ACTIONS(4586), 1,
      sym__alpha_identifier,
    ACTIONS(4588), 1,
      anon_sym__,
    ACTIONS(4592), 1,
      anon_sym_LBRACK,
    ACTIONS(4598), 1,
      sym__backquoted_id,
    ACTIONS(6812), 1,
      anon_sym_LPAREN,
    ACTIONS(6814), 1,
      sym_operator_identifier,
    STATE(4992), 1,
      sym__simple_type,
    STATE(5108), 1,
      sym__annotated_type,
    STATE(5427), 1,
      sym_identifier,
    STATE(5551), 1,
      sym__soft_identifier,
    STATE(8625), 1,
      sym_annotated_type,
    STATE(10724), 1,
      sym_template_body,
    STATE(10904), 1,
      sym__type,
    STATE(10963), 1,
      sym__non_null_literal,
    STATE(11984), 1,
      sym__infix_type_choice,
    STATE(15454), 1,
      sym_parameter_types,
    STATE(16585), 1,
      sym_stable_identifier,
    ACTIONS(4288), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4290), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4294), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3527), 2,
      sym_comment,
      sym_block_comment,
    STATE(9916), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10744), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10942), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10958), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4594), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6523), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [143534] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(87), 1,
      sym_integer_literal,
    ACTIONS(6130), 1,
      sym__alpha_identifier,
    ACTIONS(6132), 1,
      anon_sym_COLON,
    ACTIONS(6134), 1,
      anon_sym_LBRACE,
    ACTIONS(6136), 1,
      anon_sym__,
    ACTIONS(6138), 1,
      anon_sym_LBRACK,
    ACTIONS(6142), 1,
      anon_sym_LPAREN,
    ACTIONS(6144), 1,
      sym__backquoted_id,
    ACTIONS(6146), 1,
      sym_operator_identifier,
    STATE(6664), 1,
      sym__simple_type,
    STATE(6871), 1,
      sym__annotated_type,
    STATE(7617), 1,
      sym_identifier,
    STATE(7635), 1,
      sym__soft_identifier,
    STATE(9838), 1,
      sym_annotated_type,
    STATE(10416), 1,
      sym_template_body,
    STATE(11029), 1,
      sym__non_null_literal,
    STATE(11924), 1,
      sym__infix_type_choice,
    STATE(13854), 1,
      sym__type,
    STATE(14979), 1,
      sym_parameter_types,
    STATE(15858), 1,
      sym_stable_identifier,
    ACTIONS(89), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(91), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(103), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3528), 2,
      sym_comment,
      sym_block_comment,
    STATE(6306), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7065), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10309), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11034), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6140), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8290), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [143653] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14652), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3529), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [143772] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1414), 1,
      sym_integer_literal,
    ACTIONS(6584), 1,
      anon_sym_COLON,
    ACTIONS(6586), 1,
      anon_sym_LBRACE,
    ACTIONS(6646), 1,
      sym__alpha_identifier,
    ACTIONS(6648), 1,
      anon_sym__,
    ACTIONS(6650), 1,
      anon_sym_LBRACK,
    ACTIONS(6654), 1,
      anon_sym_LPAREN,
    ACTIONS(6656), 1,
      sym__backquoted_id,
    ACTIONS(6658), 1,
      sym_operator_identifier,
    STATE(4443), 1,
      sym__simple_type,
    STATE(4471), 1,
      sym__annotated_type,
    STATE(4596), 1,
      sym__soft_identifier,
    STATE(4659), 1,
      sym_identifier,
    STATE(6534), 1,
      sym_annotated_type,
    STATE(11322), 1,
      sym_template_body,
    STATE(11323), 1,
      sym__non_null_literal,
    STATE(11657), 1,
      sym__type,
    STATE(12175), 1,
      sym__infix_type_choice,
    STATE(15223), 1,
      sym_parameter_types,
    STATE(16367), 1,
      sym_stable_identifier,
    ACTIONS(1416), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1418), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1422), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3530), 2,
      sym_comment,
      sym_block_comment,
    STATE(5592), 2,
      sym_boolean_literal,
      sym_string,
    STATE(5616), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8140), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11319), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6652), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4714), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [143891] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15282), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3531), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [144010] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6722), 1,
      sym__alpha_identifier,
    ACTIONS(6728), 1,
      anon_sym__,
    ACTIONS(6734), 1,
      anon_sym_LPAREN,
    ACTIONS(6736), 1,
      sym__backquoted_id,
    ACTIONS(6738), 1,
      sym_operator_identifier,
    ACTIONS(6748), 1,
      anon_sym_COLON,
    ACTIONS(6750), 1,
      anon_sym_LBRACE,
    ACTIONS(6752), 1,
      anon_sym_LBRACK,
    ACTIONS(6754), 1,
      sym_integer_literal,
    STATE(5531), 1,
      sym__simple_type,
    STATE(6422), 1,
      sym_identifier,
    STATE(6611), 1,
      sym__soft_identifier,
    STATE(7085), 1,
      sym__annotated_type,
    STATE(9480), 1,
      sym_annotated_type,
    STATE(10812), 1,
      sym__non_null_literal,
    STATE(10894), 1,
      sym_template_body,
    STATE(10938), 1,
      sym__type,
    STATE(12134), 1,
      sym__infix_type_choice,
    STATE(14419), 1,
      sym_parameter_types,
    STATE(16387), 1,
      sym_stable_identifier,
    ACTIONS(6756), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6758), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6760), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3532), 2,
      sym_comment,
      sym_block_comment,
    STATE(10280), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10829), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10839), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10811), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6732), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6925), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [144129] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6722), 1,
      sym__alpha_identifier,
    ACTIONS(6728), 1,
      anon_sym__,
    ACTIONS(6734), 1,
      anon_sym_LPAREN,
    ACTIONS(6736), 1,
      sym__backquoted_id,
    ACTIONS(6738), 1,
      sym_operator_identifier,
    ACTIONS(6748), 1,
      anon_sym_COLON,
    ACTIONS(6750), 1,
      anon_sym_LBRACE,
    ACTIONS(6752), 1,
      anon_sym_LBRACK,
    ACTIONS(6754), 1,
      sym_integer_literal,
    STATE(5531), 1,
      sym__simple_type,
    STATE(6422), 1,
      sym_identifier,
    STATE(6611), 1,
      sym__soft_identifier,
    STATE(7085), 1,
      sym__annotated_type,
    STATE(9480), 1,
      sym_annotated_type,
    STATE(10812), 1,
      sym__non_null_literal,
    STATE(10894), 1,
      sym_template_body,
    STATE(10936), 1,
      sym__type,
    STATE(12134), 1,
      sym__infix_type_choice,
    STATE(14419), 1,
      sym_parameter_types,
    STATE(16387), 1,
      sym_stable_identifier,
    ACTIONS(6756), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6758), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6760), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3533), 2,
      sym_comment,
      sym_block_comment,
    STATE(10280), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10829), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10839), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10811), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6732), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6925), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [144248] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6722), 1,
      sym__alpha_identifier,
    ACTIONS(6728), 1,
      anon_sym__,
    ACTIONS(6734), 1,
      anon_sym_LPAREN,
    ACTIONS(6736), 1,
      sym__backquoted_id,
    ACTIONS(6738), 1,
      sym_operator_identifier,
    ACTIONS(6748), 1,
      anon_sym_COLON,
    ACTIONS(6750), 1,
      anon_sym_LBRACE,
    ACTIONS(6752), 1,
      anon_sym_LBRACK,
    ACTIONS(6754), 1,
      sym_integer_literal,
    STATE(5531), 1,
      sym__simple_type,
    STATE(6422), 1,
      sym_identifier,
    STATE(6611), 1,
      sym__soft_identifier,
    STATE(7085), 1,
      sym__annotated_type,
    STATE(9480), 1,
      sym_annotated_type,
    STATE(10812), 1,
      sym__non_null_literal,
    STATE(10894), 1,
      sym_template_body,
    STATE(10932), 1,
      sym__type,
    STATE(12134), 1,
      sym__infix_type_choice,
    STATE(14419), 1,
      sym_parameter_types,
    STATE(16387), 1,
      sym_stable_identifier,
    ACTIONS(6756), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6758), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6760), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3534), 2,
      sym_comment,
      sym_block_comment,
    STATE(10280), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10829), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10839), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10811), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6732), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6925), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [144367] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15279), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3535), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [144486] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4266), 1,
      anon_sym_COLON,
    ACTIONS(4268), 1,
      anon_sym_LBRACE,
    ACTIONS(4286), 1,
      sym_integer_literal,
    ACTIONS(4586), 1,
      sym__alpha_identifier,
    ACTIONS(4588), 1,
      anon_sym__,
    ACTIONS(4592), 1,
      anon_sym_LBRACK,
    ACTIONS(4598), 1,
      sym__backquoted_id,
    ACTIONS(6812), 1,
      anon_sym_LPAREN,
    ACTIONS(6814), 1,
      sym_operator_identifier,
    STATE(4992), 1,
      sym__simple_type,
    STATE(5108), 1,
      sym__annotated_type,
    STATE(5427), 1,
      sym_identifier,
    STATE(5551), 1,
      sym__soft_identifier,
    STATE(8625), 1,
      sym_annotated_type,
    STATE(10724), 1,
      sym_template_body,
    STATE(10906), 1,
      sym__type,
    STATE(10963), 1,
      sym__non_null_literal,
    STATE(11984), 1,
      sym__infix_type_choice,
    STATE(15454), 1,
      sym_parameter_types,
    STATE(16585), 1,
      sym_stable_identifier,
    ACTIONS(4288), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4290), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4294), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3536), 2,
      sym_comment,
      sym_block_comment,
    STATE(9916), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10744), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10942), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10958), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4594), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6523), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [144605] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15253), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3537), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [144724] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4266), 1,
      anon_sym_COLON,
    ACTIONS(4268), 1,
      anon_sym_LBRACE,
    ACTIONS(4286), 1,
      sym_integer_literal,
    ACTIONS(4586), 1,
      sym__alpha_identifier,
    ACTIONS(4588), 1,
      anon_sym__,
    ACTIONS(4592), 1,
      anon_sym_LBRACK,
    ACTIONS(4598), 1,
      sym__backquoted_id,
    ACTIONS(6812), 1,
      anon_sym_LPAREN,
    ACTIONS(6814), 1,
      sym_operator_identifier,
    STATE(4992), 1,
      sym__simple_type,
    STATE(5108), 1,
      sym__annotated_type,
    STATE(5427), 1,
      sym_identifier,
    STATE(5551), 1,
      sym__soft_identifier,
    STATE(8625), 1,
      sym_annotated_type,
    STATE(10724), 1,
      sym_template_body,
    STATE(10914), 1,
      sym__type,
    STATE(10963), 1,
      sym__non_null_literal,
    STATE(11984), 1,
      sym__infix_type_choice,
    STATE(15454), 1,
      sym_parameter_types,
    STATE(16585), 1,
      sym_stable_identifier,
    ACTIONS(4288), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4290), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4294), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3538), 2,
      sym_comment,
      sym_block_comment,
    STATE(9916), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10744), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10942), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10958), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4594), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6523), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [144843] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4556), 1,
      anon_sym_COLON,
    ACTIONS(4558), 1,
      anon_sym_LBRACE,
    ACTIONS(4576), 1,
      sym_integer_literal,
    ACTIONS(6066), 1,
      sym__alpha_identifier,
    ACTIONS(6068), 1,
      anon_sym__,
    ACTIONS(6074), 1,
      anon_sym_LPAREN,
    ACTIONS(6076), 1,
      sym__backquoted_id,
    ACTIONS(6078), 1,
      sym_operator_identifier,
    ACTIONS(6810), 1,
      anon_sym_LBRACK,
    STATE(5687), 1,
      sym__annotated_type,
    STATE(5958), 1,
      sym__simple_type,
    STATE(6298), 1,
      sym_identifier,
    STATE(6423), 1,
      sym__soft_identifier,
    STATE(8714), 1,
      sym_annotated_type,
    STATE(11604), 1,
      sym_template_body,
    STATE(12079), 1,
      sym__infix_type_choice,
    STATE(12480), 1,
      sym__non_null_literal,
    STATE(12557), 1,
      sym__type,
    STATE(15173), 1,
      sym_parameter_types,
    STATE(16539), 1,
      sym_stable_identifier,
    ACTIONS(4578), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4580), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4584), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3539), 2,
      sym_comment,
      sym_block_comment,
    STATE(9653), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12384), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12412), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12479), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6072), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7089), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [144962] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6722), 1,
      sym__alpha_identifier,
    ACTIONS(6728), 1,
      anon_sym__,
    ACTIONS(6734), 1,
      anon_sym_LPAREN,
    ACTIONS(6736), 1,
      sym__backquoted_id,
    ACTIONS(6738), 1,
      sym_operator_identifier,
    ACTIONS(6748), 1,
      anon_sym_COLON,
    ACTIONS(6750), 1,
      anon_sym_LBRACE,
    ACTIONS(6752), 1,
      anon_sym_LBRACK,
    ACTIONS(6754), 1,
      sym_integer_literal,
    STATE(5531), 1,
      sym__simple_type,
    STATE(6422), 1,
      sym_identifier,
    STATE(6611), 1,
      sym__soft_identifier,
    STATE(7085), 1,
      sym__annotated_type,
    STATE(9480), 1,
      sym_annotated_type,
    STATE(10812), 1,
      sym__non_null_literal,
    STATE(10894), 1,
      sym_template_body,
    STATE(10913), 1,
      sym__type,
    STATE(12134), 1,
      sym__infix_type_choice,
    STATE(14419), 1,
      sym_parameter_types,
    STATE(16387), 1,
      sym_stable_identifier,
    ACTIONS(6756), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6758), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6760), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3540), 2,
      sym_comment,
      sym_block_comment,
    STATE(10280), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10829), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10839), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10811), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6732), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6925), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [145081] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15250), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3541), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [145200] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4266), 1,
      anon_sym_COLON,
    ACTIONS(4268), 1,
      anon_sym_LBRACE,
    ACTIONS(4286), 1,
      sym_integer_literal,
    ACTIONS(4586), 1,
      sym__alpha_identifier,
    ACTIONS(4588), 1,
      anon_sym__,
    ACTIONS(4592), 1,
      anon_sym_LBRACK,
    ACTIONS(4598), 1,
      sym__backquoted_id,
    ACTIONS(6812), 1,
      anon_sym_LPAREN,
    ACTIONS(6814), 1,
      sym_operator_identifier,
    STATE(4992), 1,
      sym__simple_type,
    STATE(5108), 1,
      sym__annotated_type,
    STATE(5427), 1,
      sym_identifier,
    STATE(5551), 1,
      sym__soft_identifier,
    STATE(8625), 1,
      sym_annotated_type,
    STATE(10724), 1,
      sym_template_body,
    STATE(10945), 1,
      sym__type,
    STATE(10963), 1,
      sym__non_null_literal,
    STATE(11984), 1,
      sym__infix_type_choice,
    STATE(15454), 1,
      sym_parameter_types,
    STATE(16585), 1,
      sym_stable_identifier,
    ACTIONS(4288), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4290), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4294), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3542), 2,
      sym_comment,
      sym_block_comment,
    STATE(9916), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10744), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10942), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10958), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4594), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6523), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [145319] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15233), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3543), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [145438] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6722), 1,
      sym__alpha_identifier,
    ACTIONS(6728), 1,
      anon_sym__,
    ACTIONS(6734), 1,
      anon_sym_LPAREN,
    ACTIONS(6736), 1,
      sym__backquoted_id,
    ACTIONS(6738), 1,
      sym_operator_identifier,
    ACTIONS(6748), 1,
      anon_sym_COLON,
    ACTIONS(6750), 1,
      anon_sym_LBRACE,
    ACTIONS(6752), 1,
      anon_sym_LBRACK,
    ACTIONS(6754), 1,
      sym_integer_literal,
    STATE(5531), 1,
      sym__simple_type,
    STATE(6422), 1,
      sym_identifier,
    STATE(6611), 1,
      sym__soft_identifier,
    STATE(7085), 1,
      sym__annotated_type,
    STATE(9480), 1,
      sym_annotated_type,
    STATE(10812), 1,
      sym__non_null_literal,
    STATE(10894), 1,
      sym_template_body,
    STATE(11599), 1,
      sym__type,
    STATE(12134), 1,
      sym__infix_type_choice,
    STATE(14419), 1,
      sym_parameter_types,
    STATE(16387), 1,
      sym_stable_identifier,
    ACTIONS(6756), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6758), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6760), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3544), 2,
      sym_comment,
      sym_block_comment,
    STATE(10280), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10829), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10839), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10811), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6732), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6925), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [145557] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15230), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3545), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [145676] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1268), 1,
      sym_integer_literal,
    ACTIONS(6540), 1,
      sym__alpha_identifier,
    ACTIONS(6542), 1,
      anon_sym_COLON,
    ACTIONS(6544), 1,
      anon_sym_LBRACE,
    ACTIONS(6546), 1,
      anon_sym__,
    ACTIONS(6548), 1,
      anon_sym_LBRACK,
    ACTIONS(6552), 1,
      anon_sym_LPAREN,
    ACTIONS(6554), 1,
      sym__backquoted_id,
    ACTIONS(6556), 1,
      sym_operator_identifier,
    STATE(5209), 1,
      sym__annotated_type,
    STATE(5262), 1,
      sym__simple_type,
    STATE(5455), 1,
      sym__soft_identifier,
    STATE(5692), 1,
      sym_identifier,
    STATE(8248), 1,
      sym_annotated_type,
    STATE(11798), 1,
      sym__infix_type_choice,
    STATE(12709), 1,
      sym__type,
    STATE(12887), 1,
      sym__non_null_literal,
    STATE(12899), 1,
      sym_template_body,
    STATE(15088), 1,
      sym_parameter_types,
    STATE(16698), 1,
      sym_stable_identifier,
    ACTIONS(1270), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1272), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1276), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3546), 2,
      sym_comment,
      sym_block_comment,
    STATE(8269), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8516), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9766), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12893), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6550), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6161), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [145795] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(6404), 1,
      anon_sym_LBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11841), 1,
      sym__infix_type_choice,
    STATE(15082), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    STATE(17168), 1,
      sym__type,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3547), 2,
      sym_comment,
      sym_block_comment,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [145914] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1030), 1,
      sym_integer_literal,
    ACTIONS(6166), 1,
      sym__alpha_identifier,
    ACTIONS(6168), 1,
      anon_sym_COLON,
    ACTIONS(6170), 1,
      anon_sym_LBRACE,
    ACTIONS(6172), 1,
      anon_sym__,
    ACTIONS(6174), 1,
      anon_sym_LBRACK,
    ACTIONS(6178), 1,
      anon_sym_LPAREN,
    ACTIONS(6180), 1,
      sym__backquoted_id,
    ACTIONS(6182), 1,
      sym_operator_identifier,
    STATE(4578), 1,
      sym__simple_type,
    STATE(4608), 1,
      sym__annotated_type,
    STATE(4760), 1,
      sym__soft_identifier,
    STATE(4957), 1,
      sym_identifier,
    STATE(7264), 1,
      sym_annotated_type,
    STATE(11886), 1,
      sym_template_body,
    STATE(12037), 1,
      sym__infix_type_choice,
    STATE(12148), 1,
      sym__non_null_literal,
    STATE(12193), 1,
      sym__type,
    STATE(15091), 1,
      sym_parameter_types,
    STATE(16764), 1,
      sym_stable_identifier,
    ACTIONS(1032), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1034), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1038), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3548), 2,
      sym_comment,
      sym_block_comment,
    STATE(7206), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7301), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8857), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12143), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6176), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5018), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [146033] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6722), 1,
      sym__alpha_identifier,
    ACTIONS(6728), 1,
      anon_sym__,
    ACTIONS(6734), 1,
      anon_sym_LPAREN,
    ACTIONS(6736), 1,
      sym__backquoted_id,
    ACTIONS(6738), 1,
      sym_operator_identifier,
    ACTIONS(6748), 1,
      anon_sym_COLON,
    ACTIONS(6750), 1,
      anon_sym_LBRACE,
    ACTIONS(6752), 1,
      anon_sym_LBRACK,
    ACTIONS(6754), 1,
      sym_integer_literal,
    STATE(5531), 1,
      sym__simple_type,
    STATE(6422), 1,
      sym_identifier,
    STATE(6611), 1,
      sym__soft_identifier,
    STATE(7085), 1,
      sym__annotated_type,
    STATE(9480), 1,
      sym_annotated_type,
    STATE(10812), 1,
      sym__non_null_literal,
    STATE(10894), 1,
      sym_template_body,
    STATE(11602), 1,
      sym__type,
    STATE(12134), 1,
      sym__infix_type_choice,
    STATE(14419), 1,
      sym_parameter_types,
    STATE(16387), 1,
      sym_stable_identifier,
    ACTIONS(6756), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6758), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6760), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3549), 2,
      sym_comment,
      sym_block_comment,
    STATE(10280), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10829), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10839), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10811), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6732), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6925), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [146152] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15231), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3550), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [146271] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(541), 1,
      sym_integer_literal,
    ACTIONS(6066), 1,
      sym__alpha_identifier,
    ACTIONS(6068), 1,
      anon_sym__,
    ACTIONS(6074), 1,
      anon_sym_LPAREN,
    ACTIONS(6076), 1,
      sym__backquoted_id,
    ACTIONS(6078), 1,
      sym_operator_identifier,
    ACTIONS(6704), 1,
      anon_sym_COLON,
    ACTIONS(6706), 1,
      anon_sym_LBRACE,
    ACTIONS(6708), 1,
      anon_sym_LBRACK,
    STATE(5687), 1,
      sym__annotated_type,
    STATE(5958), 1,
      sym__simple_type,
    STATE(6298), 1,
      sym_identifier,
    STATE(6423), 1,
      sym__soft_identifier,
    STATE(8714), 1,
      sym_annotated_type,
    STATE(11604), 1,
      sym_template_body,
    STATE(12079), 1,
      sym__infix_type_choice,
    STATE(12480), 1,
      sym__non_null_literal,
    STATE(12557), 1,
      sym__type,
    STATE(15085), 1,
      sym_parameter_types,
    STATE(16539), 1,
      sym_stable_identifier,
    ACTIONS(543), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(545), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(555), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3551), 2,
      sym_comment,
      sym_block_comment,
    STATE(8874), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9548), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9653), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12479), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6072), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7089), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [146390] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(541), 1,
      sym_integer_literal,
    ACTIONS(6066), 1,
      sym__alpha_identifier,
    ACTIONS(6068), 1,
      anon_sym__,
    ACTIONS(6074), 1,
      anon_sym_LPAREN,
    ACTIONS(6076), 1,
      sym__backquoted_id,
    ACTIONS(6078), 1,
      sym_operator_identifier,
    ACTIONS(6704), 1,
      anon_sym_COLON,
    ACTIONS(6706), 1,
      anon_sym_LBRACE,
    ACTIONS(6708), 1,
      anon_sym_LBRACK,
    STATE(5687), 1,
      sym__annotated_type,
    STATE(5958), 1,
      sym__simple_type,
    STATE(6298), 1,
      sym_identifier,
    STATE(6423), 1,
      sym__soft_identifier,
    STATE(8714), 1,
      sym_annotated_type,
    STATE(11604), 1,
      sym_template_body,
    STATE(12079), 1,
      sym__infix_type_choice,
    STATE(12480), 1,
      sym__non_null_literal,
    STATE(12558), 1,
      sym__type,
    STATE(15085), 1,
      sym_parameter_types,
    STATE(16539), 1,
      sym_stable_identifier,
    ACTIONS(543), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(545), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(555), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3552), 2,
      sym_comment,
      sym_block_comment,
    STATE(8874), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9548), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9653), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12479), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6072), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7089), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [146509] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15200), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3553), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [146628] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1030), 1,
      sym_integer_literal,
    ACTIONS(6166), 1,
      sym__alpha_identifier,
    ACTIONS(6168), 1,
      anon_sym_COLON,
    ACTIONS(6170), 1,
      anon_sym_LBRACE,
    ACTIONS(6172), 1,
      anon_sym__,
    ACTIONS(6174), 1,
      anon_sym_LBRACK,
    ACTIONS(6178), 1,
      anon_sym_LPAREN,
    ACTIONS(6180), 1,
      sym__backquoted_id,
    ACTIONS(6182), 1,
      sym_operator_identifier,
    STATE(4578), 1,
      sym__simple_type,
    STATE(4608), 1,
      sym__annotated_type,
    STATE(4760), 1,
      sym__soft_identifier,
    STATE(4957), 1,
      sym_identifier,
    STATE(7264), 1,
      sym_annotated_type,
    STATE(11886), 1,
      sym_template_body,
    STATE(12037), 1,
      sym__infix_type_choice,
    STATE(12148), 1,
      sym__non_null_literal,
    STATE(12222), 1,
      sym__type,
    STATE(15091), 1,
      sym_parameter_types,
    STATE(16764), 1,
      sym_stable_identifier,
    ACTIONS(1032), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1034), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1038), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3554), 2,
      sym_comment,
      sym_block_comment,
    STATE(7206), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7301), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8857), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12143), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6176), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5018), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [146747] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15196), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3555), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [146866] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(6404), 1,
      anon_sym_LBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11841), 1,
      sym__infix_type_choice,
    STATE(15082), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    STATE(17167), 1,
      sym__type,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3556), 2,
      sym_comment,
      sym_block_comment,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [146985] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(541), 1,
      sym_integer_literal,
    ACTIONS(6066), 1,
      sym__alpha_identifier,
    ACTIONS(6068), 1,
      anon_sym__,
    ACTIONS(6074), 1,
      anon_sym_LPAREN,
    ACTIONS(6076), 1,
      sym__backquoted_id,
    ACTIONS(6078), 1,
      sym_operator_identifier,
    ACTIONS(6704), 1,
      anon_sym_COLON,
    ACTIONS(6706), 1,
      anon_sym_LBRACE,
    ACTIONS(6708), 1,
      anon_sym_LBRACK,
    STATE(5687), 1,
      sym__annotated_type,
    STATE(5958), 1,
      sym__simple_type,
    STATE(6298), 1,
      sym_identifier,
    STATE(6423), 1,
      sym__soft_identifier,
    STATE(8714), 1,
      sym_annotated_type,
    STATE(11604), 1,
      sym_template_body,
    STATE(12079), 1,
      sym__infix_type_choice,
    STATE(12480), 1,
      sym__non_null_literal,
    STATE(14301), 1,
      sym__type,
    STATE(15085), 1,
      sym_parameter_types,
    STATE(16539), 1,
      sym_stable_identifier,
    ACTIONS(543), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(545), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(555), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3557), 2,
      sym_comment,
      sym_block_comment,
    STATE(8874), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9548), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9653), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12479), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6072), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7089), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [147104] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    STATE(16632), 1,
      sym__type,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3558), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [147223] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6770), 1,
      sym__alpha_identifier,
    ACTIONS(6772), 1,
      anon_sym_COLON,
    ACTIONS(6774), 1,
      anon_sym_LBRACE,
    ACTIONS(6776), 1,
      anon_sym__,
    ACTIONS(6778), 1,
      anon_sym_LBRACK,
    ACTIONS(6782), 1,
      anon_sym_LPAREN,
    ACTIONS(6784), 1,
      sym__backquoted_id,
    ACTIONS(6786), 1,
      sym_operator_identifier,
    ACTIONS(6788), 1,
      sym_integer_literal,
    STATE(5022), 1,
      sym__simple_type,
    STATE(5479), 1,
      sym_identifier,
    STATE(5580), 1,
      sym__soft_identifier,
    STATE(5912), 1,
      sym__annotated_type,
    STATE(8787), 1,
      sym_annotated_type,
    STATE(10356), 1,
      sym__non_null_literal,
    STATE(10475), 1,
      sym_template_body,
    STATE(10529), 1,
      sym__type,
    STATE(12006), 1,
      sym__infix_type_choice,
    STATE(15411), 1,
      sym_parameter_types,
    STATE(16563), 1,
      sym_stable_identifier,
    ACTIONS(6790), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6792), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6794), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3559), 2,
      sym_comment,
      sym_block_comment,
    STATE(9787), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10483), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10518), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10357), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6780), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6415), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [147342] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1030), 1,
      sym_integer_literal,
    ACTIONS(6166), 1,
      sym__alpha_identifier,
    ACTIONS(6168), 1,
      anon_sym_COLON,
    ACTIONS(6170), 1,
      anon_sym_LBRACE,
    ACTIONS(6172), 1,
      anon_sym__,
    ACTIONS(6174), 1,
      anon_sym_LBRACK,
    ACTIONS(6178), 1,
      anon_sym_LPAREN,
    ACTIONS(6180), 1,
      sym__backquoted_id,
    ACTIONS(6182), 1,
      sym_operator_identifier,
    STATE(4578), 1,
      sym__simple_type,
    STATE(4608), 1,
      sym__annotated_type,
    STATE(4760), 1,
      sym__soft_identifier,
    STATE(4957), 1,
      sym_identifier,
    STATE(7264), 1,
      sym_annotated_type,
    STATE(11886), 1,
      sym_template_body,
    STATE(12037), 1,
      sym__infix_type_choice,
    STATE(12148), 1,
      sym__non_null_literal,
    STATE(12194), 1,
      sym__type,
    STATE(15091), 1,
      sym_parameter_types,
    STATE(16764), 1,
      sym_stable_identifier,
    ACTIONS(1032), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1034), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1038), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3560), 2,
      sym_comment,
      sym_block_comment,
    STATE(7206), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7301), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8857), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12143), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6176), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5018), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [147461] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4556), 1,
      anon_sym_COLON,
    ACTIONS(4558), 1,
      anon_sym_LBRACE,
    ACTIONS(4576), 1,
      sym_integer_literal,
    ACTIONS(6066), 1,
      sym__alpha_identifier,
    ACTIONS(6068), 1,
      anon_sym__,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6074), 1,
      anon_sym_LPAREN,
    ACTIONS(6076), 1,
      sym__backquoted_id,
    ACTIONS(6078), 1,
      sym_operator_identifier,
    STATE(5958), 1,
      sym__simple_type,
    STATE(6298), 1,
      sym_identifier,
    STATE(6423), 1,
      sym__soft_identifier,
    STATE(6909), 1,
      sym__annotated_type,
    STATE(8714), 1,
      sym_annotated_type,
    STATE(11604), 1,
      sym_template_body,
    STATE(12017), 1,
      sym__infix_type_choice,
    STATE(12480), 1,
      sym__non_null_literal,
    STATE(13658), 1,
      sym__type,
    STATE(15272), 1,
      sym_parameter_types,
    STATE(16539), 1,
      sym_stable_identifier,
    ACTIONS(4578), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4580), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4584), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3561), 2,
      sym_comment,
      sym_block_comment,
    STATE(9653), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12384), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12412), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12479), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6072), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7089), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [147580] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15179), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3562), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [147699] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1030), 1,
      sym_integer_literal,
    ACTIONS(6166), 1,
      sym__alpha_identifier,
    ACTIONS(6168), 1,
      anon_sym_COLON,
    ACTIONS(6170), 1,
      anon_sym_LBRACE,
    ACTIONS(6172), 1,
      anon_sym__,
    ACTIONS(6174), 1,
      anon_sym_LBRACK,
    ACTIONS(6178), 1,
      anon_sym_LPAREN,
    ACTIONS(6180), 1,
      sym__backquoted_id,
    ACTIONS(6182), 1,
      sym_operator_identifier,
    STATE(4578), 1,
      sym__simple_type,
    STATE(4608), 1,
      sym__annotated_type,
    STATE(4760), 1,
      sym__soft_identifier,
    STATE(4957), 1,
      sym_identifier,
    STATE(7264), 1,
      sym_annotated_type,
    STATE(11886), 1,
      sym_template_body,
    STATE(12037), 1,
      sym__infix_type_choice,
    STATE(12148), 1,
      sym__non_null_literal,
    STATE(12201), 1,
      sym__type,
    STATE(15091), 1,
      sym_parameter_types,
    STATE(16764), 1,
      sym_stable_identifier,
    ACTIONS(1032), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1034), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1038), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3563), 2,
      sym_comment,
      sym_block_comment,
    STATE(7206), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7301), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8857), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12143), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6176), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5018), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [147818] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15168), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3564), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [147937] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6722), 1,
      sym__alpha_identifier,
    ACTIONS(6728), 1,
      anon_sym__,
    ACTIONS(6734), 1,
      anon_sym_LPAREN,
    ACTIONS(6736), 1,
      sym__backquoted_id,
    ACTIONS(6738), 1,
      sym_operator_identifier,
    ACTIONS(6748), 1,
      anon_sym_COLON,
    ACTIONS(6750), 1,
      anon_sym_LBRACE,
    ACTIONS(6752), 1,
      anon_sym_LBRACK,
    ACTIONS(6754), 1,
      sym_integer_literal,
    STATE(5531), 1,
      sym__simple_type,
    STATE(6422), 1,
      sym_identifier,
    STATE(6611), 1,
      sym__soft_identifier,
    STATE(7085), 1,
      sym__annotated_type,
    STATE(9480), 1,
      sym_annotated_type,
    STATE(10812), 1,
      sym__non_null_literal,
    STATE(10878), 1,
      sym__type,
    STATE(10894), 1,
      sym_template_body,
    STATE(12134), 1,
      sym__infix_type_choice,
    STATE(14419), 1,
      sym_parameter_types,
    STATE(16387), 1,
      sym_stable_identifier,
    ACTIONS(6756), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6758), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6760), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3565), 2,
      sym_comment,
      sym_block_comment,
    STATE(10280), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10829), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10839), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10811), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6732), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6925), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [148056] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    STATE(16635), 1,
      sym__type,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3566), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [148175] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4556), 1,
      anon_sym_COLON,
    ACTIONS(4558), 1,
      anon_sym_LBRACE,
    ACTIONS(4576), 1,
      sym_integer_literal,
    ACTIONS(6066), 1,
      sym__alpha_identifier,
    ACTIONS(6068), 1,
      anon_sym__,
    ACTIONS(6074), 1,
      anon_sym_LPAREN,
    ACTIONS(6076), 1,
      sym__backquoted_id,
    ACTIONS(6078), 1,
      sym_operator_identifier,
    ACTIONS(6810), 1,
      anon_sym_LBRACK,
    STATE(5687), 1,
      sym__annotated_type,
    STATE(5958), 1,
      sym__simple_type,
    STATE(6298), 1,
      sym_identifier,
    STATE(6423), 1,
      sym__soft_identifier,
    STATE(8714), 1,
      sym_annotated_type,
    STATE(11604), 1,
      sym_template_body,
    STATE(12079), 1,
      sym__infix_type_choice,
    STATE(12480), 1,
      sym__non_null_literal,
    STATE(12537), 1,
      sym__type,
    STATE(15173), 1,
      sym_parameter_types,
    STATE(16539), 1,
      sym_stable_identifier,
    ACTIONS(4578), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4580), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4584), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3567), 2,
      sym_comment,
      sym_block_comment,
    STATE(9653), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12384), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12412), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12479), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6072), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7089), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [148294] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6770), 1,
      sym__alpha_identifier,
    ACTIONS(6772), 1,
      anon_sym_COLON,
    ACTIONS(6774), 1,
      anon_sym_LBRACE,
    ACTIONS(6776), 1,
      anon_sym__,
    ACTIONS(6778), 1,
      anon_sym_LBRACK,
    ACTIONS(6782), 1,
      anon_sym_LPAREN,
    ACTIONS(6784), 1,
      sym__backquoted_id,
    ACTIONS(6786), 1,
      sym_operator_identifier,
    ACTIONS(6788), 1,
      sym_integer_literal,
    STATE(5022), 1,
      sym__simple_type,
    STATE(5479), 1,
      sym_identifier,
    STATE(5580), 1,
      sym__soft_identifier,
    STATE(5912), 1,
      sym__annotated_type,
    STATE(8787), 1,
      sym_annotated_type,
    STATE(10356), 1,
      sym__non_null_literal,
    STATE(10475), 1,
      sym_template_body,
    STATE(10510), 1,
      sym__type,
    STATE(12006), 1,
      sym__infix_type_choice,
    STATE(15411), 1,
      sym_parameter_types,
    STATE(16563), 1,
      sym_stable_identifier,
    ACTIONS(6790), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6792), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6794), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3568), 2,
      sym_comment,
      sym_block_comment,
    STATE(9787), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10483), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10518), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10357), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6780), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6415), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [148413] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15143), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3569), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [148532] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15215), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3570), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [148651] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6770), 1,
      sym__alpha_identifier,
    ACTIONS(6772), 1,
      anon_sym_COLON,
    ACTIONS(6774), 1,
      anon_sym_LBRACE,
    ACTIONS(6776), 1,
      anon_sym__,
    ACTIONS(6778), 1,
      anon_sym_LBRACK,
    ACTIONS(6782), 1,
      anon_sym_LPAREN,
    ACTIONS(6784), 1,
      sym__backquoted_id,
    ACTIONS(6786), 1,
      sym_operator_identifier,
    ACTIONS(6788), 1,
      sym_integer_literal,
    STATE(5022), 1,
      sym__simple_type,
    STATE(5479), 1,
      sym_identifier,
    STATE(5580), 1,
      sym__soft_identifier,
    STATE(5912), 1,
      sym__annotated_type,
    STATE(8787), 1,
      sym_annotated_type,
    STATE(10356), 1,
      sym__non_null_literal,
    STATE(10475), 1,
      sym_template_body,
    STATE(10683), 1,
      sym__type,
    STATE(12006), 1,
      sym__infix_type_choice,
    STATE(15411), 1,
      sym_parameter_types,
    STATE(16563), 1,
      sym_stable_identifier,
    ACTIONS(6790), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6792), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6794), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3571), 2,
      sym_comment,
      sym_block_comment,
    STATE(9787), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10483), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10518), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10357), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6780), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6415), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [148770] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6770), 1,
      sym__alpha_identifier,
    ACTIONS(6772), 1,
      anon_sym_COLON,
    ACTIONS(6774), 1,
      anon_sym_LBRACE,
    ACTIONS(6776), 1,
      anon_sym__,
    ACTIONS(6778), 1,
      anon_sym_LBRACK,
    ACTIONS(6782), 1,
      anon_sym_LPAREN,
    ACTIONS(6784), 1,
      sym__backquoted_id,
    ACTIONS(6786), 1,
      sym_operator_identifier,
    ACTIONS(6788), 1,
      sym_integer_literal,
    STATE(5022), 1,
      sym__simple_type,
    STATE(5479), 1,
      sym_identifier,
    STATE(5580), 1,
      sym__soft_identifier,
    STATE(5912), 1,
      sym__annotated_type,
    STATE(8787), 1,
      sym_annotated_type,
    STATE(10356), 1,
      sym__non_null_literal,
    STATE(10475), 1,
      sym_template_body,
    STATE(10718), 1,
      sym__type,
    STATE(12006), 1,
      sym__infix_type_choice,
    STATE(15411), 1,
      sym_parameter_types,
    STATE(16563), 1,
      sym_stable_identifier,
    ACTIONS(6790), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6792), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6794), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3572), 2,
      sym_comment,
      sym_block_comment,
    STATE(9787), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10483), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10518), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10357), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6780), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6415), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [148889] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15140), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3573), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [149008] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6770), 1,
      sym__alpha_identifier,
    ACTIONS(6772), 1,
      anon_sym_COLON,
    ACTIONS(6774), 1,
      anon_sym_LBRACE,
    ACTIONS(6776), 1,
      anon_sym__,
    ACTIONS(6778), 1,
      anon_sym_LBRACK,
    ACTIONS(6782), 1,
      anon_sym_LPAREN,
    ACTIONS(6784), 1,
      sym__backquoted_id,
    ACTIONS(6786), 1,
      sym_operator_identifier,
    ACTIONS(6788), 1,
      sym_integer_literal,
    STATE(5022), 1,
      sym__simple_type,
    STATE(5479), 1,
      sym_identifier,
    STATE(5580), 1,
      sym__soft_identifier,
    STATE(5912), 1,
      sym__annotated_type,
    STATE(8787), 1,
      sym_annotated_type,
    STATE(10356), 1,
      sym__non_null_literal,
    STATE(10475), 1,
      sym_template_body,
    STATE(10503), 1,
      sym__type,
    STATE(12006), 1,
      sym__infix_type_choice,
    STATE(15411), 1,
      sym_parameter_types,
    STATE(16563), 1,
      sym_stable_identifier,
    ACTIONS(6790), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6792), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6794), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3574), 2,
      sym_comment,
      sym_block_comment,
    STATE(9787), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10483), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10518), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10357), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6780), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6415), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [149127] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14822), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3575), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [149246] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4556), 1,
      anon_sym_COLON,
    ACTIONS(4558), 1,
      anon_sym_LBRACE,
    ACTIONS(4576), 1,
      sym_integer_literal,
    ACTIONS(6066), 1,
      sym__alpha_identifier,
    ACTIONS(6068), 1,
      anon_sym__,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6074), 1,
      anon_sym_LPAREN,
    ACTIONS(6076), 1,
      sym__backquoted_id,
    ACTIONS(6078), 1,
      sym_operator_identifier,
    STATE(5958), 1,
      sym__simple_type,
    STATE(6298), 1,
      sym_identifier,
    STATE(6423), 1,
      sym__soft_identifier,
    STATE(6909), 1,
      sym__annotated_type,
    STATE(8714), 1,
      sym_annotated_type,
    STATE(11604), 1,
      sym_template_body,
    STATE(12017), 1,
      sym__infix_type_choice,
    STATE(12480), 1,
      sym__non_null_literal,
    STATE(13792), 1,
      sym__type,
    STATE(15272), 1,
      sym_parameter_types,
    STATE(16539), 1,
      sym_stable_identifier,
    ACTIONS(4578), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4580), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4584), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3576), 2,
      sym_comment,
      sym_block_comment,
    STATE(9653), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12384), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12412), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12479), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6072), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7089), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [149365] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(6442), 1,
      sym__alpha_identifier,
    ACTIONS(6444), 1,
      anon_sym__,
    ACTIONS(6446), 1,
      anon_sym_LBRACK,
    ACTIONS(6450), 1,
      anon_sym_LPAREN,
    ACTIONS(6452), 1,
      sym__backquoted_id,
    ACTIONS(6454), 1,
      sym_operator_identifier,
    STATE(7147), 1,
      sym__simple_type,
    STATE(7576), 1,
      sym__annotated_type,
    STATE(7639), 1,
      sym_identifier,
    STATE(7905), 1,
      sym__soft_identifier,
    STATE(10021), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(12044), 1,
      sym__infix_type_choice,
    STATE(13848), 1,
      sym__type,
    STATE(15271), 1,
      sym_parameter_types,
    STATE(16088), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3577), 2,
      sym_comment,
      sym_block_comment,
    STATE(10385), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6448), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8251), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [149484] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(6372), 1,
      sym__alpha_identifier,
    ACTIONS(6374), 1,
      anon_sym__,
    ACTIONS(6376), 1,
      anon_sym_LBRACK,
    ACTIONS(6380), 1,
      anon_sym_LPAREN,
    ACTIONS(6382), 1,
      sym__backquoted_id,
    ACTIONS(6384), 1,
      sym_operator_identifier,
    STATE(8020), 1,
      sym__simple_type,
    STATE(8164), 1,
      sym__soft_identifier,
    STATE(8558), 1,
      sym_identifier,
    STATE(8588), 1,
      sym__annotated_type,
    STATE(10278), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11980), 1,
      sym__infix_type_choice,
    STATE(14310), 1,
      sym__type,
    STATE(15222), 1,
      sym_parameter_types,
    STATE(16067), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3578), 2,
      sym_comment,
      sym_block_comment,
    STATE(10581), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6378), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8717), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [149603] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1268), 1,
      sym_integer_literal,
    ACTIONS(6540), 1,
      sym__alpha_identifier,
    ACTIONS(6542), 1,
      anon_sym_COLON,
    ACTIONS(6544), 1,
      anon_sym_LBRACE,
    ACTIONS(6546), 1,
      anon_sym__,
    ACTIONS(6548), 1,
      anon_sym_LBRACK,
    ACTIONS(6552), 1,
      anon_sym_LPAREN,
    ACTIONS(6554), 1,
      sym__backquoted_id,
    ACTIONS(6556), 1,
      sym_operator_identifier,
    STATE(5209), 1,
      sym__annotated_type,
    STATE(5262), 1,
      sym__simple_type,
    STATE(5455), 1,
      sym__soft_identifier,
    STATE(5692), 1,
      sym_identifier,
    STATE(8248), 1,
      sym_annotated_type,
    STATE(11798), 1,
      sym__infix_type_choice,
    STATE(12841), 1,
      sym__type,
    STATE(12887), 1,
      sym__non_null_literal,
    STATE(12899), 1,
      sym_template_body,
    STATE(15088), 1,
      sym_parameter_types,
    STATE(16698), 1,
      sym_stable_identifier,
    ACTIONS(1270), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1272), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1276), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3579), 2,
      sym_comment,
      sym_block_comment,
    STATE(8269), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8516), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9766), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12893), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6550), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6161), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [149722] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15125), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3580), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [149841] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15122), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3581), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [149960] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14811), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3582), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [150079] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6770), 1,
      sym__alpha_identifier,
    ACTIONS(6772), 1,
      anon_sym_COLON,
    ACTIONS(6774), 1,
      anon_sym_LBRACE,
    ACTIONS(6776), 1,
      anon_sym__,
    ACTIONS(6778), 1,
      anon_sym_LBRACK,
    ACTIONS(6782), 1,
      anon_sym_LPAREN,
    ACTIONS(6784), 1,
      sym__backquoted_id,
    ACTIONS(6786), 1,
      sym_operator_identifier,
    ACTIONS(6788), 1,
      sym_integer_literal,
    STATE(5022), 1,
      sym__simple_type,
    STATE(5479), 1,
      sym_identifier,
    STATE(5580), 1,
      sym__soft_identifier,
    STATE(5912), 1,
      sym__annotated_type,
    STATE(8787), 1,
      sym_annotated_type,
    STATE(10356), 1,
      sym__non_null_literal,
    STATE(10475), 1,
      sym_template_body,
    STATE(10490), 1,
      sym__type,
    STATE(12006), 1,
      sym__infix_type_choice,
    STATE(15411), 1,
      sym_parameter_types,
    STATE(16563), 1,
      sym_stable_identifier,
    ACTIONS(6790), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6792), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6794), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3583), 2,
      sym_comment,
      sym_block_comment,
    STATE(9787), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10483), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10518), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10357), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6780), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6415), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [150198] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15104), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3584), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [150317] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15101), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3585), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [150436] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1232), 1,
      sym_integer_literal,
    ACTIONS(6388), 1,
      anon_sym_COLON,
    ACTIONS(6390), 1,
      anon_sym_LBRACE,
    ACTIONS(6504), 1,
      sym__alpha_identifier,
    ACTIONS(6506), 1,
      anon_sym__,
    ACTIONS(6508), 1,
      anon_sym_LBRACK,
    ACTIONS(6512), 1,
      anon_sym_LPAREN,
    ACTIONS(6514), 1,
      sym__backquoted_id,
    ACTIONS(6516), 1,
      sym_operator_identifier,
    STATE(5407), 1,
      sym__simple_type,
    STATE(5653), 1,
      sym__annotated_type,
    STATE(6108), 1,
      sym__soft_identifier,
    STATE(6447), 1,
      sym_identifier,
    STATE(9236), 1,
      sym_annotated_type,
    STATE(10724), 1,
      sym_template_body,
    STATE(10906), 1,
      sym__type,
    STATE(10963), 1,
      sym__non_null_literal,
    STATE(11885), 1,
      sym__infix_type_choice,
    STATE(15175), 1,
      sym_parameter_types,
    STATE(16716), 1,
      sym_stable_identifier,
    ACTIONS(1234), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1236), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1240), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3586), 2,
      sym_comment,
      sym_block_comment,
    STATE(5055), 2,
      sym_boolean_literal,
      sym_string,
    STATE(5088), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10146), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10958), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6510), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6709), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [150555] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15066), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3587), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [150674] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6722), 1,
      sym__alpha_identifier,
    ACTIONS(6728), 1,
      anon_sym__,
    ACTIONS(6734), 1,
      anon_sym_LPAREN,
    ACTIONS(6736), 1,
      sym__backquoted_id,
    ACTIONS(6738), 1,
      sym_operator_identifier,
    ACTIONS(6748), 1,
      anon_sym_COLON,
    ACTIONS(6750), 1,
      anon_sym_LBRACE,
    ACTIONS(6752), 1,
      anon_sym_LBRACK,
    ACTIONS(6754), 1,
      sym_integer_literal,
    STATE(5531), 1,
      sym__simple_type,
    STATE(6422), 1,
      sym_identifier,
    STATE(6611), 1,
      sym__soft_identifier,
    STATE(7085), 1,
      sym__annotated_type,
    STATE(9480), 1,
      sym_annotated_type,
    STATE(10743), 1,
      sym__type,
    STATE(10812), 1,
      sym__non_null_literal,
    STATE(10894), 1,
      sym_template_body,
    STATE(12134), 1,
      sym__infix_type_choice,
    STATE(14419), 1,
      sym_parameter_types,
    STATE(16387), 1,
      sym_stable_identifier,
    ACTIONS(6756), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6758), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6760), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3588), 2,
      sym_comment,
      sym_block_comment,
    STATE(10280), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10829), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10839), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10811), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6732), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6925), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [150793] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15063), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3589), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [150912] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1232), 1,
      sym_integer_literal,
    ACTIONS(6388), 1,
      anon_sym_COLON,
    ACTIONS(6390), 1,
      anon_sym_LBRACE,
    ACTIONS(6504), 1,
      sym__alpha_identifier,
    ACTIONS(6506), 1,
      anon_sym__,
    ACTIONS(6508), 1,
      anon_sym_LBRACK,
    ACTIONS(6512), 1,
      anon_sym_LPAREN,
    ACTIONS(6514), 1,
      sym__backquoted_id,
    ACTIONS(6516), 1,
      sym_operator_identifier,
    STATE(5407), 1,
      sym__simple_type,
    STATE(5653), 1,
      sym__annotated_type,
    STATE(6108), 1,
      sym__soft_identifier,
    STATE(6447), 1,
      sym_identifier,
    STATE(9236), 1,
      sym_annotated_type,
    STATE(10724), 1,
      sym_template_body,
    STATE(10904), 1,
      sym__type,
    STATE(10963), 1,
      sym__non_null_literal,
    STATE(11885), 1,
      sym__infix_type_choice,
    STATE(15175), 1,
      sym_parameter_types,
    STATE(16716), 1,
      sym_stable_identifier,
    ACTIONS(1234), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1236), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1240), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3590), 2,
      sym_comment,
      sym_block_comment,
    STATE(5055), 2,
      sym_boolean_literal,
      sym_string,
    STATE(5088), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10146), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10958), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6510), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6709), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [151031] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8235), 1,
      sym__type,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3591), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [151150] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6770), 1,
      sym__alpha_identifier,
    ACTIONS(6772), 1,
      anon_sym_COLON,
    ACTIONS(6774), 1,
      anon_sym_LBRACE,
    ACTIONS(6776), 1,
      anon_sym__,
    ACTIONS(6778), 1,
      anon_sym_LBRACK,
    ACTIONS(6782), 1,
      anon_sym_LPAREN,
    ACTIONS(6784), 1,
      sym__backquoted_id,
    ACTIONS(6786), 1,
      sym_operator_identifier,
    ACTIONS(6788), 1,
      sym_integer_literal,
    STATE(5022), 1,
      sym__simple_type,
    STATE(5479), 1,
      sym_identifier,
    STATE(5580), 1,
      sym__soft_identifier,
    STATE(5912), 1,
      sym__annotated_type,
    STATE(8787), 1,
      sym_annotated_type,
    STATE(10356), 1,
      sym__non_null_literal,
    STATE(10463), 1,
      sym__type,
    STATE(10475), 1,
      sym_template_body,
    STATE(12006), 1,
      sym__infix_type_choice,
    STATE(15411), 1,
      sym_parameter_types,
    STATE(16563), 1,
      sym_stable_identifier,
    ACTIONS(6790), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6792), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6794), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3592), 2,
      sym_comment,
      sym_block_comment,
    STATE(9787), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10483), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10518), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10357), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6780), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6415), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [151269] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1232), 1,
      sym_integer_literal,
    ACTIONS(6388), 1,
      anon_sym_COLON,
    ACTIONS(6390), 1,
      anon_sym_LBRACE,
    ACTIONS(6504), 1,
      sym__alpha_identifier,
    ACTIONS(6506), 1,
      anon_sym__,
    ACTIONS(6508), 1,
      anon_sym_LBRACK,
    ACTIONS(6512), 1,
      anon_sym_LPAREN,
    ACTIONS(6514), 1,
      sym__backquoted_id,
    ACTIONS(6516), 1,
      sym_operator_identifier,
    STATE(5407), 1,
      sym__simple_type,
    STATE(5653), 1,
      sym__annotated_type,
    STATE(6108), 1,
      sym__soft_identifier,
    STATE(6447), 1,
      sym_identifier,
    STATE(9236), 1,
      sym_annotated_type,
    STATE(10724), 1,
      sym_template_body,
    STATE(10900), 1,
      sym__type,
    STATE(10963), 1,
      sym__non_null_literal,
    STATE(11885), 1,
      sym__infix_type_choice,
    STATE(15175), 1,
      sym_parameter_types,
    STATE(16716), 1,
      sym_stable_identifier,
    ACTIONS(1234), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1236), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1240), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3593), 2,
      sym_comment,
      sym_block_comment,
    STATE(5055), 2,
      sym_boolean_literal,
      sym_string,
    STATE(5088), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10146), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10958), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6510), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6709), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [151388] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15046), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3594), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [151507] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14930), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3595), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [151626] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15100), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3596), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [151745] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15040), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3597), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [151864] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    STATE(17079), 1,
      sym__type,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3598), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [151983] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6722), 1,
      sym__alpha_identifier,
    ACTIONS(6724), 1,
      anon_sym_COLON,
    ACTIONS(6726), 1,
      anon_sym_LBRACE,
    ACTIONS(6728), 1,
      anon_sym__,
    ACTIONS(6730), 1,
      anon_sym_LBRACK,
    ACTIONS(6734), 1,
      anon_sym_LPAREN,
    ACTIONS(6736), 1,
      sym__backquoted_id,
    ACTIONS(6738), 1,
      sym_operator_identifier,
    ACTIONS(6740), 1,
      sym_integer_literal,
    STATE(5531), 1,
      sym__simple_type,
    STATE(6422), 1,
      sym_identifier,
    STATE(6611), 1,
      sym__soft_identifier,
    STATE(8463), 1,
      sym__annotated_type,
    STATE(9480), 1,
      sym_annotated_type,
    STATE(11048), 1,
      sym__non_null_literal,
    STATE(11320), 1,
      sym_template_body,
    STATE(11363), 1,
      sym__type,
    STATE(12073), 1,
      sym__infix_type_choice,
    STATE(14781), 1,
      sym_parameter_types,
    STATE(16387), 1,
      sym_stable_identifier,
    ACTIONS(6742), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6744), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6746), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3599), 2,
      sym_comment,
      sym_block_comment,
    STATE(10583), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11240), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11351), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11040), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6732), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6925), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [152102] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14800), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3600), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [152221] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14786), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3601), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [152340] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    STATE(17076), 1,
      sym__type,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3602), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [152459] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14799), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3603), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [152578] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1232), 1,
      sym_integer_literal,
    ACTIONS(6388), 1,
      anon_sym_COLON,
    ACTIONS(6390), 1,
      anon_sym_LBRACE,
    ACTIONS(6504), 1,
      sym__alpha_identifier,
    ACTIONS(6506), 1,
      anon_sym__,
    ACTIONS(6508), 1,
      anon_sym_LBRACK,
    ACTIONS(6512), 1,
      anon_sym_LPAREN,
    ACTIONS(6514), 1,
      sym__backquoted_id,
    ACTIONS(6516), 1,
      sym_operator_identifier,
    STATE(5407), 1,
      sym__simple_type,
    STATE(5653), 1,
      sym__annotated_type,
    STATE(6108), 1,
      sym__soft_identifier,
    STATE(6447), 1,
      sym_identifier,
    STATE(9236), 1,
      sym_annotated_type,
    STATE(10724), 1,
      sym_template_body,
    STATE(10945), 1,
      sym__type,
    STATE(10963), 1,
      sym__non_null_literal,
    STATE(11885), 1,
      sym__infix_type_choice,
    STATE(15175), 1,
      sym_parameter_types,
    STATE(16716), 1,
      sym_stable_identifier,
    ACTIONS(1234), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1236), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1240), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3604), 2,
      sym_comment,
      sym_block_comment,
    STATE(5055), 2,
      sym_boolean_literal,
      sym_string,
    STATE(5088), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10146), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10958), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6510), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6709), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [152697] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2110), 1,
      sym_integer_literal,
    ACTIONS(6082), 1,
      anon_sym_COLON,
    ACTIONS(6084), 1,
      anon_sym_LBRACE,
    ACTIONS(6284), 1,
      sym__alpha_identifier,
    ACTIONS(6286), 1,
      anon_sym__,
    ACTIONS(6288), 1,
      anon_sym_LBRACK,
    ACTIONS(6292), 1,
      anon_sym_LPAREN,
    ACTIONS(6294), 1,
      sym__backquoted_id,
    ACTIONS(6296), 1,
      sym_operator_identifier,
    STATE(4569), 1,
      sym__simple_type,
    STATE(4636), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__soft_identifier,
    STATE(4948), 1,
      sym_identifier,
    STATE(7123), 1,
      sym_annotated_type,
    STATE(11545), 1,
      sym_template_body,
    STATE(11584), 1,
      sym__non_null_literal,
    STATE(11700), 1,
      sym__type,
    STATE(12010), 1,
      sym__infix_type_choice,
    STATE(15227), 1,
      sym_parameter_types,
    STATE(16752), 1,
      sym_stable_identifier,
    ACTIONS(2112), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(2114), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(2118), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3605), 2,
      sym_comment,
      sym_block_comment,
    STATE(6076), 2,
      sym_boolean_literal,
      sym_string,
    STATE(6133), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8742), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11582), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6290), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5000), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [152816] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15184), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3606), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [152935] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6722), 1,
      sym__alpha_identifier,
    ACTIONS(6728), 1,
      anon_sym__,
    ACTIONS(6734), 1,
      anon_sym_LPAREN,
    ACTIONS(6736), 1,
      sym__backquoted_id,
    ACTIONS(6738), 1,
      sym_operator_identifier,
    ACTIONS(6748), 1,
      anon_sym_COLON,
    ACTIONS(6750), 1,
      anon_sym_LBRACE,
    ACTIONS(6752), 1,
      anon_sym_LBRACK,
    ACTIONS(6754), 1,
      sym_integer_literal,
    STATE(5531), 1,
      sym__simple_type,
    STATE(6422), 1,
      sym_identifier,
    STATE(6611), 1,
      sym__soft_identifier,
    STATE(7085), 1,
      sym__annotated_type,
    STATE(9480), 1,
      sym_annotated_type,
    STATE(10812), 1,
      sym__non_null_literal,
    STATE(10894), 1,
      sym_template_body,
    STATE(11619), 1,
      sym__type,
    STATE(12134), 1,
      sym__infix_type_choice,
    STATE(14419), 1,
      sym_parameter_types,
    STATE(16387), 1,
      sym_stable_identifier,
    ACTIONS(6756), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6758), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6760), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3607), 2,
      sym_comment,
      sym_block_comment,
    STATE(10280), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10829), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10839), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10811), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6732), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6925), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [153054] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(6404), 1,
      anon_sym_LBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11841), 1,
      sym__infix_type_choice,
    STATE(15082), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    STATE(17051), 1,
      sym__type,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3608), 2,
      sym_comment,
      sym_block_comment,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [153173] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6722), 1,
      sym__alpha_identifier,
    ACTIONS(6728), 1,
      anon_sym__,
    ACTIONS(6734), 1,
      anon_sym_LPAREN,
    ACTIONS(6736), 1,
      sym__backquoted_id,
    ACTIONS(6738), 1,
      sym_operator_identifier,
    ACTIONS(6748), 1,
      anon_sym_COLON,
    ACTIONS(6750), 1,
      anon_sym_LBRACE,
    ACTIONS(6752), 1,
      anon_sym_LBRACK,
    ACTIONS(6754), 1,
      sym_integer_literal,
    STATE(5531), 1,
      sym__simple_type,
    STATE(6422), 1,
      sym_identifier,
    STATE(6611), 1,
      sym__soft_identifier,
    STATE(7085), 1,
      sym__annotated_type,
    STATE(9480), 1,
      sym_annotated_type,
    STATE(10812), 1,
      sym__non_null_literal,
    STATE(10894), 1,
      sym_template_body,
    STATE(11618), 1,
      sym__type,
    STATE(12134), 1,
      sym__infix_type_choice,
    STATE(14419), 1,
      sym_parameter_types,
    STATE(16387), 1,
      sym_stable_identifier,
    ACTIONS(6756), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6758), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6760), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3609), 2,
      sym_comment,
      sym_block_comment,
    STATE(10280), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10829), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10839), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10811), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6732), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6925), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [153292] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(6404), 1,
      anon_sym_LBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11841), 1,
      sym__infix_type_choice,
    STATE(15082), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    STATE(17050), 1,
      sym__type,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3610), 2,
      sym_comment,
      sym_block_comment,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [153411] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14785), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3611), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [153530] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    STATE(16696), 1,
      sym__type,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3612), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [153649] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4556), 1,
      anon_sym_COLON,
    ACTIONS(4558), 1,
      anon_sym_LBRACE,
    ACTIONS(4576), 1,
      sym_integer_literal,
    ACTIONS(6066), 1,
      sym__alpha_identifier,
    ACTIONS(6068), 1,
      anon_sym__,
    ACTIONS(6074), 1,
      anon_sym_LPAREN,
    ACTIONS(6076), 1,
      sym__backquoted_id,
    ACTIONS(6078), 1,
      sym_operator_identifier,
    ACTIONS(6810), 1,
      anon_sym_LBRACK,
    STATE(5687), 1,
      sym__annotated_type,
    STATE(5958), 1,
      sym__simple_type,
    STATE(6298), 1,
      sym_identifier,
    STATE(6423), 1,
      sym__soft_identifier,
    STATE(8714), 1,
      sym_annotated_type,
    STATE(11604), 1,
      sym_template_body,
    STATE(12079), 1,
      sym__infix_type_choice,
    STATE(12480), 1,
      sym__non_null_literal,
    STATE(12550), 1,
      sym__type,
    STATE(15173), 1,
      sym_parameter_types,
    STATE(16539), 1,
      sym_stable_identifier,
    ACTIONS(4578), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4580), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4584), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3613), 2,
      sym_comment,
      sym_block_comment,
    STATE(9653), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12384), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12412), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12479), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6072), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7089), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [153768] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15020), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3614), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [153887] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14770), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3615), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [154006] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    STATE(16694), 1,
      sym__type,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3616), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [154125] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15017), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3617), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [154244] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4556), 1,
      anon_sym_COLON,
    ACTIONS(4558), 1,
      anon_sym_LBRACE,
    ACTIONS(4576), 1,
      sym_integer_literal,
    ACTIONS(6066), 1,
      sym__alpha_identifier,
    ACTIONS(6068), 1,
      anon_sym__,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6074), 1,
      anon_sym_LPAREN,
    ACTIONS(6076), 1,
      sym__backquoted_id,
    ACTIONS(6078), 1,
      sym_operator_identifier,
    STATE(5958), 1,
      sym__simple_type,
    STATE(6298), 1,
      sym_identifier,
    STATE(6423), 1,
      sym__soft_identifier,
    STATE(6909), 1,
      sym__annotated_type,
    STATE(8714), 1,
      sym_annotated_type,
    STATE(11604), 1,
      sym_template_body,
    STATE(12017), 1,
      sym__infix_type_choice,
    STATE(12480), 1,
      sym__non_null_literal,
    STATE(12558), 1,
      sym__type,
    STATE(15272), 1,
      sym_parameter_types,
    STATE(16539), 1,
      sym_stable_identifier,
    ACTIONS(4578), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4580), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4584), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3618), 2,
      sym_comment,
      sym_block_comment,
    STATE(9653), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12384), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12412), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12479), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6072), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7089), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [154363] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14768), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3619), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [154482] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(6372), 1,
      sym__alpha_identifier,
    ACTIONS(6374), 1,
      anon_sym__,
    ACTIONS(6376), 1,
      anon_sym_LBRACK,
    ACTIONS(6380), 1,
      anon_sym_LPAREN,
    ACTIONS(6382), 1,
      sym__backquoted_id,
    ACTIONS(6384), 1,
      sym_operator_identifier,
    STATE(8020), 1,
      sym__simple_type,
    STATE(8164), 1,
      sym__soft_identifier,
    STATE(8558), 1,
      sym_identifier,
    STATE(8588), 1,
      sym__annotated_type,
    STATE(10278), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11980), 1,
      sym__infix_type_choice,
    STATE(14079), 1,
      sym__type,
    STATE(15222), 1,
      sym_parameter_types,
    STATE(16067), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3620), 2,
      sym_comment,
      sym_block_comment,
    STATE(10581), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6378), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8717), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [154601] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(6282), 1,
      anon_sym_LBRACK,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(9039), 1,
      sym__annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11942), 1,
      sym__infix_type_choice,
    STATE(15171), 1,
      sym_parameter_types,
    STATE(15385), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3621), 2,
      sym_comment,
      sym_block_comment,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [154720] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14997), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3622), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [154839] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14753), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3623), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [154958] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    STATE(16697), 1,
      sym__type,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3624), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [155077] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14994), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3625), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [155196] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4556), 1,
      anon_sym_COLON,
    ACTIONS(4558), 1,
      anon_sym_LBRACE,
    ACTIONS(4576), 1,
      sym_integer_literal,
    ACTIONS(6066), 1,
      sym__alpha_identifier,
    ACTIONS(6068), 1,
      anon_sym__,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6074), 1,
      anon_sym_LPAREN,
    ACTIONS(6076), 1,
      sym__backquoted_id,
    ACTIONS(6078), 1,
      sym_operator_identifier,
    STATE(5958), 1,
      sym__simple_type,
    STATE(6298), 1,
      sym_identifier,
    STATE(6423), 1,
      sym__soft_identifier,
    STATE(6909), 1,
      sym__annotated_type,
    STATE(8714), 1,
      sym_annotated_type,
    STATE(11604), 1,
      sym_template_body,
    STATE(12017), 1,
      sym__infix_type_choice,
    STATE(12480), 1,
      sym__non_null_literal,
    STATE(12557), 1,
      sym__type,
    STATE(15272), 1,
      sym_parameter_types,
    STATE(16539), 1,
      sym_stable_identifier,
    ACTIONS(4578), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4580), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4584), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3626), 2,
      sym_comment,
      sym_block_comment,
    STATE(9653), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12384), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12412), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12479), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6072), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7089), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [155315] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14750), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3627), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [155434] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(6250), 1,
      anon_sym_COLON,
    ACTIONS(6252), 1,
      anon_sym_LBRACE,
    ACTIONS(6254), 1,
      anon_sym_LBRACK,
    ACTIONS(6256), 1,
      sym_integer_literal,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(9775), 1,
      sym__annotated_type,
    STATE(11895), 1,
      sym__infix_type_choice,
    STATE(15164), 1,
      sym_parameter_types,
    STATE(16155), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    STATE(17505), 1,
      sym_template_body,
    STATE(17508), 1,
      sym__non_null_literal,
    ACTIONS(6258), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6260), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6262), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3628), 2,
      sym_comment,
      sym_block_comment,
    STATE(11972), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(17483), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(17494), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17507), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [155553] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(13290), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3629), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [155672] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14735), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3630), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [155791] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14732), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3631), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [155910] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14978), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3632), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [156029] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14975), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3633), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [156148] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4556), 1,
      anon_sym_COLON,
    ACTIONS(4558), 1,
      anon_sym_LBRACE,
    ACTIONS(4576), 1,
      sym_integer_literal,
    ACTIONS(6066), 1,
      sym__alpha_identifier,
    ACTIONS(6068), 1,
      anon_sym__,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6074), 1,
      anon_sym_LPAREN,
    ACTIONS(6076), 1,
      sym__backquoted_id,
    ACTIONS(6078), 1,
      sym_operator_identifier,
    STATE(5958), 1,
      sym__simple_type,
    STATE(6298), 1,
      sym_identifier,
    STATE(6423), 1,
      sym__soft_identifier,
    STATE(6909), 1,
      sym__annotated_type,
    STATE(8714), 1,
      sym_annotated_type,
    STATE(11604), 1,
      sym_template_body,
    STATE(12017), 1,
      sym__infix_type_choice,
    STATE(12480), 1,
      sym__non_null_literal,
    STATE(12556), 1,
      sym__type,
    STATE(15272), 1,
      sym_parameter_types,
    STATE(16539), 1,
      sym_stable_identifier,
    ACTIONS(4578), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4580), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4584), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3634), 2,
      sym_comment,
      sym_block_comment,
    STATE(9653), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12384), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12412), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12479), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6072), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7089), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [156267] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14961), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3635), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [156386] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14863), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3636), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [156505] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(541), 1,
      sym_integer_literal,
    ACTIONS(6066), 1,
      sym__alpha_identifier,
    ACTIONS(6068), 1,
      anon_sym__,
    ACTIONS(6074), 1,
      anon_sym_LPAREN,
    ACTIONS(6076), 1,
      sym__backquoted_id,
    ACTIONS(6078), 1,
      sym_operator_identifier,
    ACTIONS(6704), 1,
      anon_sym_COLON,
    ACTIONS(6706), 1,
      anon_sym_LBRACE,
    ACTIONS(6708), 1,
      anon_sym_LBRACK,
    STATE(5687), 1,
      sym__annotated_type,
    STATE(5958), 1,
      sym__simple_type,
    STATE(6298), 1,
      sym_identifier,
    STATE(6423), 1,
      sym__soft_identifier,
    STATE(8714), 1,
      sym_annotated_type,
    STATE(11604), 1,
      sym_template_body,
    STATE(12079), 1,
      sym__infix_type_choice,
    STATE(12480), 1,
      sym__non_null_literal,
    STATE(14279), 1,
      sym__type,
    STATE(15085), 1,
      sym_parameter_types,
    STATE(16539), 1,
      sym_stable_identifier,
    ACTIONS(543), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(545), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(555), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3637), 2,
      sym_comment,
      sym_block_comment,
    STATE(8874), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9548), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9653), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12479), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6072), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7089), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [156624] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(541), 1,
      sym_integer_literal,
    ACTIONS(6066), 1,
      sym__alpha_identifier,
    ACTIONS(6068), 1,
      anon_sym__,
    ACTIONS(6074), 1,
      anon_sym_LPAREN,
    ACTIONS(6076), 1,
      sym__backquoted_id,
    ACTIONS(6078), 1,
      sym_operator_identifier,
    ACTIONS(6704), 1,
      anon_sym_COLON,
    ACTIONS(6706), 1,
      anon_sym_LBRACE,
    ACTIONS(6708), 1,
      anon_sym_LBRACK,
    STATE(5687), 1,
      sym__annotated_type,
    STATE(5958), 1,
      sym__simple_type,
    STATE(6298), 1,
      sym_identifier,
    STATE(6423), 1,
      sym__soft_identifier,
    STATE(8714), 1,
      sym_annotated_type,
    STATE(11604), 1,
      sym_template_body,
    STATE(12079), 1,
      sym__infix_type_choice,
    STATE(12480), 1,
      sym__non_null_literal,
    STATE(14309), 1,
      sym__type,
    STATE(15085), 1,
      sym_parameter_types,
    STATE(16539), 1,
      sym_stable_identifier,
    ACTIONS(543), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(545), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(555), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3638), 2,
      sym_comment,
      sym_block_comment,
    STATE(8874), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9548), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9653), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12479), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6072), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7089), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [156743] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(541), 1,
      sym_integer_literal,
    ACTIONS(6066), 1,
      sym__alpha_identifier,
    ACTIONS(6068), 1,
      anon_sym__,
    ACTIONS(6074), 1,
      anon_sym_LPAREN,
    ACTIONS(6076), 1,
      sym__backquoted_id,
    ACTIONS(6078), 1,
      sym_operator_identifier,
    ACTIONS(6704), 1,
      anon_sym_COLON,
    ACTIONS(6706), 1,
      anon_sym_LBRACE,
    ACTIONS(6708), 1,
      anon_sym_LBRACK,
    STATE(5687), 1,
      sym__annotated_type,
    STATE(5958), 1,
      sym__simple_type,
    STATE(6298), 1,
      sym_identifier,
    STATE(6423), 1,
      sym__soft_identifier,
    STATE(8714), 1,
      sym_annotated_type,
    STATE(11604), 1,
      sym_template_body,
    STATE(12079), 1,
      sym__infix_type_choice,
    STATE(12480), 1,
      sym__non_null_literal,
    STATE(14311), 1,
      sym__type,
    STATE(15085), 1,
      sym_parameter_types,
    STATE(16539), 1,
      sym_stable_identifier,
    ACTIONS(543), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(545), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(555), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3639), 2,
      sym_comment,
      sym_block_comment,
    STATE(8874), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9548), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9653), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12479), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6072), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7089), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [156862] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    STATE(16996), 1,
      sym__type,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3640), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [156981] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(541), 1,
      sym_integer_literal,
    ACTIONS(6066), 1,
      sym__alpha_identifier,
    ACTIONS(6068), 1,
      anon_sym__,
    ACTIONS(6074), 1,
      anon_sym_LPAREN,
    ACTIONS(6076), 1,
      sym__backquoted_id,
    ACTIONS(6078), 1,
      sym_operator_identifier,
    ACTIONS(6704), 1,
      anon_sym_COLON,
    ACTIONS(6706), 1,
      anon_sym_LBRACE,
    ACTIONS(6708), 1,
      anon_sym_LBRACK,
    STATE(5687), 1,
      sym__annotated_type,
    STATE(5958), 1,
      sym__simple_type,
    STATE(6298), 1,
      sym_identifier,
    STATE(6423), 1,
      sym__soft_identifier,
    STATE(8714), 1,
      sym_annotated_type,
    STATE(11604), 1,
      sym_template_body,
    STATE(12079), 1,
      sym__infix_type_choice,
    STATE(12480), 1,
      sym__non_null_literal,
    STATE(14344), 1,
      sym__type,
    STATE(15085), 1,
      sym_parameter_types,
    STATE(16539), 1,
      sym_stable_identifier,
    ACTIONS(543), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(545), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(555), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3641), 2,
      sym_comment,
      sym_block_comment,
    STATE(8874), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9548), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9653), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12479), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6072), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7089), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [157100] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(541), 1,
      sym_integer_literal,
    ACTIONS(6066), 1,
      sym__alpha_identifier,
    ACTIONS(6068), 1,
      anon_sym__,
    ACTIONS(6074), 1,
      anon_sym_LPAREN,
    ACTIONS(6076), 1,
      sym__backquoted_id,
    ACTIONS(6078), 1,
      sym_operator_identifier,
    ACTIONS(6704), 1,
      anon_sym_COLON,
    ACTIONS(6706), 1,
      anon_sym_LBRACE,
    ACTIONS(6708), 1,
      anon_sym_LBRACK,
    STATE(5687), 1,
      sym__annotated_type,
    STATE(5958), 1,
      sym__simple_type,
    STATE(6298), 1,
      sym_identifier,
    STATE(6423), 1,
      sym__soft_identifier,
    STATE(8714), 1,
      sym_annotated_type,
    STATE(11604), 1,
      sym_template_body,
    STATE(12079), 1,
      sym__infix_type_choice,
    STATE(12480), 1,
      sym__non_null_literal,
    STATE(14354), 1,
      sym__type,
    STATE(15085), 1,
      sym_parameter_types,
    STATE(16539), 1,
      sym_stable_identifier,
    ACTIONS(543), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(545), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(555), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3642), 2,
      sym_comment,
      sym_block_comment,
    STATE(8874), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9548), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9653), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12479), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6072), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7089), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [157219] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14717), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3643), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [157338] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    STATE(16994), 1,
      sym__type,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3644), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [157457] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14877), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3645), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [157576] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4556), 1,
      anon_sym_COLON,
    ACTIONS(4558), 1,
      anon_sym_LBRACE,
    ACTIONS(4576), 1,
      sym_integer_literal,
    ACTIONS(6066), 1,
      sym__alpha_identifier,
    ACTIONS(6068), 1,
      anon_sym__,
    ACTIONS(6074), 1,
      anon_sym_LPAREN,
    ACTIONS(6076), 1,
      sym__backquoted_id,
    ACTIONS(6078), 1,
      sym_operator_identifier,
    ACTIONS(6810), 1,
      anon_sym_LBRACK,
    STATE(5687), 1,
      sym__annotated_type,
    STATE(5958), 1,
      sym__simple_type,
    STATE(6298), 1,
      sym_identifier,
    STATE(6423), 1,
      sym__soft_identifier,
    STATE(8714), 1,
      sym_annotated_type,
    STATE(11604), 1,
      sym_template_body,
    STATE(12079), 1,
      sym__infix_type_choice,
    STATE(12480), 1,
      sym__non_null_literal,
    STATE(12556), 1,
      sym__type,
    STATE(15173), 1,
      sym_parameter_types,
    STATE(16539), 1,
      sym_stable_identifier,
    ACTIONS(4578), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4580), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4584), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3646), 2,
      sym_comment,
      sym_block_comment,
    STATE(9653), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12384), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12412), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12479), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6072), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7089), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [157695] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6722), 1,
      sym__alpha_identifier,
    ACTIONS(6728), 1,
      anon_sym__,
    ACTIONS(6734), 1,
      anon_sym_LPAREN,
    ACTIONS(6736), 1,
      sym__backquoted_id,
    ACTIONS(6738), 1,
      sym_operator_identifier,
    ACTIONS(6748), 1,
      anon_sym_COLON,
    ACTIONS(6750), 1,
      anon_sym_LBRACE,
    ACTIONS(6752), 1,
      anon_sym_LBRACK,
    ACTIONS(6754), 1,
      sym_integer_literal,
    STATE(5531), 1,
      sym__simple_type,
    STATE(6422), 1,
      sym_identifier,
    STATE(6611), 1,
      sym__soft_identifier,
    STATE(7085), 1,
      sym__annotated_type,
    STATE(9480), 1,
      sym_annotated_type,
    STATE(10812), 1,
      sym__non_null_literal,
    STATE(10894), 1,
      sym_template_body,
    STATE(11425), 1,
      sym__type,
    STATE(12134), 1,
      sym__infix_type_choice,
    STATE(14419), 1,
      sym_parameter_types,
    STATE(16387), 1,
      sym_stable_identifier,
    ACTIONS(6756), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6758), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6760), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3647), 2,
      sym_comment,
      sym_block_comment,
    STATE(10280), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10829), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10839), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10811), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6732), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6925), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [157814] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(87), 1,
      sym_integer_literal,
    ACTIONS(6132), 1,
      anon_sym_COLON,
    ACTIONS(6134), 1,
      anon_sym_LBRACE,
    ACTIONS(6152), 1,
      sym__alpha_identifier,
    ACTIONS(6154), 1,
      anon_sym__,
    ACTIONS(6160), 1,
      anon_sym_LPAREN,
    ACTIONS(6162), 1,
      sym__backquoted_id,
    ACTIONS(6164), 1,
      sym_operator_identifier,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    STATE(4506), 1,
      sym__annotated_type,
    STATE(4589), 1,
      sym__simple_type,
    STATE(4743), 1,
      sym_identifier,
    STATE(4922), 1,
      sym__soft_identifier,
    STATE(6753), 1,
      sym_annotated_type,
    STATE(10416), 1,
      sym_template_body,
    STATE(10964), 1,
      sym__type,
    STATE(11029), 1,
      sym__non_null_literal,
    STATE(11795), 1,
      sym__infix_type_choice,
    STATE(15067), 1,
      sym_parameter_types,
    STATE(16004), 1,
      sym_stable_identifier,
    ACTIONS(89), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(91), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(103), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3648), 2,
      sym_comment,
      sym_block_comment,
    STATE(6306), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7065), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8537), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11034), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6158), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5252), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [157933] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(87), 1,
      sym_integer_literal,
    ACTIONS(6132), 1,
      anon_sym_COLON,
    ACTIONS(6134), 1,
      anon_sym_LBRACE,
    ACTIONS(6152), 1,
      sym__alpha_identifier,
    ACTIONS(6154), 1,
      anon_sym__,
    ACTIONS(6160), 1,
      anon_sym_LPAREN,
    ACTIONS(6162), 1,
      sym__backquoted_id,
    ACTIONS(6164), 1,
      sym_operator_identifier,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    STATE(4506), 1,
      sym__annotated_type,
    STATE(4589), 1,
      sym__simple_type,
    STATE(4743), 1,
      sym_identifier,
    STATE(4922), 1,
      sym__soft_identifier,
    STATE(6753), 1,
      sym_annotated_type,
    STATE(10416), 1,
      sym_template_body,
    STATE(10965), 1,
      sym__type,
    STATE(11029), 1,
      sym__non_null_literal,
    STATE(11795), 1,
      sym__infix_type_choice,
    STATE(15067), 1,
      sym_parameter_types,
    STATE(16004), 1,
      sym_stable_identifier,
    ACTIONS(89), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(91), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(103), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3649), 2,
      sym_comment,
      sym_block_comment,
    STATE(6306), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7065), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8537), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11034), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6158), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5252), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [158052] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(87), 1,
      sym_integer_literal,
    ACTIONS(6132), 1,
      anon_sym_COLON,
    ACTIONS(6134), 1,
      anon_sym_LBRACE,
    ACTIONS(6152), 1,
      sym__alpha_identifier,
    ACTIONS(6154), 1,
      anon_sym__,
    ACTIONS(6160), 1,
      anon_sym_LPAREN,
    ACTIONS(6162), 1,
      sym__backquoted_id,
    ACTIONS(6164), 1,
      sym_operator_identifier,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    STATE(4506), 1,
      sym__annotated_type,
    STATE(4589), 1,
      sym__simple_type,
    STATE(4743), 1,
      sym_identifier,
    STATE(4922), 1,
      sym__soft_identifier,
    STATE(6753), 1,
      sym_annotated_type,
    STATE(10416), 1,
      sym_template_body,
    STATE(10966), 1,
      sym__type,
    STATE(11029), 1,
      sym__non_null_literal,
    STATE(11795), 1,
      sym__infix_type_choice,
    STATE(15067), 1,
      sym_parameter_types,
    STATE(16004), 1,
      sym_stable_identifier,
    ACTIONS(89), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(91), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(103), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3650), 2,
      sym_comment,
      sym_block_comment,
    STATE(6306), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7065), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8537), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11034), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6158), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5252), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [158171] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14957), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3651), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [158290] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(87), 1,
      sym_integer_literal,
    ACTIONS(6132), 1,
      anon_sym_COLON,
    ACTIONS(6134), 1,
      anon_sym_LBRACE,
    ACTIONS(6152), 1,
      sym__alpha_identifier,
    ACTIONS(6154), 1,
      anon_sym__,
    ACTIONS(6160), 1,
      anon_sym_LPAREN,
    ACTIONS(6162), 1,
      sym__backquoted_id,
    ACTIONS(6164), 1,
      sym_operator_identifier,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    STATE(4506), 1,
      sym__annotated_type,
    STATE(4589), 1,
      sym__simple_type,
    STATE(4743), 1,
      sym_identifier,
    STATE(4922), 1,
      sym__soft_identifier,
    STATE(6753), 1,
      sym_annotated_type,
    STATE(10416), 1,
      sym_template_body,
    STATE(10989), 1,
      sym__type,
    STATE(11029), 1,
      sym__non_null_literal,
    STATE(11795), 1,
      sym__infix_type_choice,
    STATE(15067), 1,
      sym_parameter_types,
    STATE(16004), 1,
      sym_stable_identifier,
    ACTIONS(89), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(91), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(103), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3652), 2,
      sym_comment,
      sym_block_comment,
    STATE(6306), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7065), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8537), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11034), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6158), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5252), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [158409] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(6404), 1,
      anon_sym_LBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11841), 1,
      sym__infix_type_choice,
    STATE(15082), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    STATE(16978), 1,
      sym__type,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3653), 2,
      sym_comment,
      sym_block_comment,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [158528] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(87), 1,
      sym_integer_literal,
    ACTIONS(6132), 1,
      anon_sym_COLON,
    ACTIONS(6134), 1,
      anon_sym_LBRACE,
    ACTIONS(6152), 1,
      sym__alpha_identifier,
    ACTIONS(6154), 1,
      anon_sym__,
    ACTIONS(6160), 1,
      anon_sym_LPAREN,
    ACTIONS(6162), 1,
      sym__backquoted_id,
    ACTIONS(6164), 1,
      sym_operator_identifier,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    STATE(4506), 1,
      sym__annotated_type,
    STATE(4589), 1,
      sym__simple_type,
    STATE(4743), 1,
      sym_identifier,
    STATE(4922), 1,
      sym__soft_identifier,
    STATE(6753), 1,
      sym_annotated_type,
    STATE(10416), 1,
      sym_template_body,
    STATE(10817), 1,
      sym__type,
    STATE(11029), 1,
      sym__non_null_literal,
    STATE(11795), 1,
      sym__infix_type_choice,
    STATE(15067), 1,
      sym_parameter_types,
    STATE(16004), 1,
      sym_stable_identifier,
    ACTIONS(89), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(91), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(103), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3654), 2,
      sym_comment,
      sym_block_comment,
    STATE(6306), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7065), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8537), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11034), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6158), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5252), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [158647] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1414), 1,
      sym_integer_literal,
    ACTIONS(6582), 1,
      sym__alpha_identifier,
    ACTIONS(6584), 1,
      anon_sym_COLON,
    ACTIONS(6586), 1,
      anon_sym_LBRACE,
    ACTIONS(6588), 1,
      anon_sym__,
    ACTIONS(6590), 1,
      anon_sym_LBRACK,
    ACTIONS(6594), 1,
      anon_sym_LPAREN,
    ACTIONS(6596), 1,
      sym__backquoted_id,
    ACTIONS(6598), 1,
      sym_operator_identifier,
    STATE(6307), 1,
      sym__annotated_type,
    STATE(6320), 1,
      sym__simple_type,
    STATE(6730), 1,
      sym__soft_identifier,
    STATE(7322), 1,
      sym_identifier,
    STATE(9482), 1,
      sym_annotated_type,
    STATE(11322), 1,
      sym_template_body,
    STATE(11323), 1,
      sym__non_null_literal,
    STATE(11657), 1,
      sym__type,
    STATE(12229), 1,
      sym__infix_type_choice,
    STATE(15172), 1,
      sym_parameter_types,
    STATE(16251), 1,
      sym_stable_identifier,
    ACTIONS(1416), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1418), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1422), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3655), 2,
      sym_comment,
      sym_block_comment,
    STATE(5592), 2,
      sym_boolean_literal,
      sym_string,
    STATE(5616), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10311), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11319), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6592), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7912), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [158766] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4556), 1,
      anon_sym_COLON,
    ACTIONS(4558), 1,
      anon_sym_LBRACE,
    ACTIONS(4576), 1,
      sym_integer_literal,
    ACTIONS(6066), 1,
      sym__alpha_identifier,
    ACTIONS(6068), 1,
      anon_sym__,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6074), 1,
      anon_sym_LPAREN,
    ACTIONS(6076), 1,
      sym__backquoted_id,
    ACTIONS(6078), 1,
      sym_operator_identifier,
    STATE(5958), 1,
      sym__simple_type,
    STATE(6298), 1,
      sym_identifier,
    STATE(6423), 1,
      sym__soft_identifier,
    STATE(6909), 1,
      sym__annotated_type,
    STATE(8714), 1,
      sym_annotated_type,
    STATE(11604), 1,
      sym_template_body,
    STATE(12017), 1,
      sym__infix_type_choice,
    STATE(12480), 1,
      sym__non_null_literal,
    STATE(12550), 1,
      sym__type,
    STATE(15272), 1,
      sym_parameter_types,
    STATE(16539), 1,
      sym_stable_identifier,
    ACTIONS(4578), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4580), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4584), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3656), 2,
      sym_comment,
      sym_block_comment,
    STATE(9653), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12384), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12412), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12479), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6072), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7089), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [158885] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14951), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3657), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [159004] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6722), 1,
      sym__alpha_identifier,
    ACTIONS(6728), 1,
      anon_sym__,
    ACTIONS(6734), 1,
      anon_sym_LPAREN,
    ACTIONS(6736), 1,
      sym__backquoted_id,
    ACTIONS(6738), 1,
      sym_operator_identifier,
    ACTIONS(6748), 1,
      anon_sym_COLON,
    ACTIONS(6750), 1,
      anon_sym_LBRACE,
    ACTIONS(6752), 1,
      anon_sym_LBRACK,
    ACTIONS(6754), 1,
      sym_integer_literal,
    STATE(5531), 1,
      sym__simple_type,
    STATE(6422), 1,
      sym_identifier,
    STATE(6611), 1,
      sym__soft_identifier,
    STATE(7085), 1,
      sym__annotated_type,
    STATE(9480), 1,
      sym_annotated_type,
    STATE(10812), 1,
      sym__non_null_literal,
    STATE(10894), 1,
      sym_template_body,
    STATE(11421), 1,
      sym__type,
    STATE(12134), 1,
      sym__infix_type_choice,
    STATE(14419), 1,
      sym_parameter_types,
    STATE(16387), 1,
      sym_stable_identifier,
    ACTIONS(6756), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6758), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6760), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3658), 2,
      sym_comment,
      sym_block_comment,
    STATE(10280), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10829), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10839), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10811), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6732), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6925), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [159123] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14950), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3659), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [159242] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6604), 1,
      sym__alpha_identifier,
    ACTIONS(6606), 1,
      anon_sym_COLON,
    ACTIONS(6608), 1,
      anon_sym_LBRACE,
    ACTIONS(6610), 1,
      anon_sym__,
    ACTIONS(6612), 1,
      anon_sym_LBRACK,
    ACTIONS(6616), 1,
      anon_sym_LPAREN,
    ACTIONS(6618), 1,
      sym__backquoted_id,
    ACTIONS(6620), 1,
      sym_operator_identifier,
    ACTIONS(6622), 1,
      sym_integer_literal,
    STATE(5917), 1,
      sym__simple_type,
    STATE(6167), 1,
      sym__annotated_type,
    STATE(6430), 1,
      sym_identifier,
    STATE(6627), 1,
      sym__soft_identifier,
    STATE(8096), 1,
      sym_template_body,
    STATE(8112), 1,
      sym__type,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(9360), 1,
      sym_annotated_type,
    STATE(12208), 1,
      sym__infix_type_choice,
    STATE(14999), 1,
      sym_parameter_types,
    STATE(16479), 1,
      sym_stable_identifier,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3660), 2,
      sym_comment,
      sym_block_comment,
    STATE(9976), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10676), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6614), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7355), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [159361] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2110), 1,
      sym_integer_literal,
    ACTIONS(6080), 1,
      sym__alpha_identifier,
    ACTIONS(6082), 1,
      anon_sym_COLON,
    ACTIONS(6084), 1,
      anon_sym_LBRACE,
    ACTIONS(6086), 1,
      anon_sym__,
    ACTIONS(6088), 1,
      anon_sym_LBRACK,
    ACTIONS(6092), 1,
      anon_sym_LPAREN,
    ACTIONS(6094), 1,
      sym__backquoted_id,
    ACTIONS(6096), 1,
      sym_operator_identifier,
    STATE(6820), 1,
      sym__annotated_type,
    STATE(7242), 1,
      sym__simple_type,
    STATE(7449), 1,
      sym__soft_identifier,
    STATE(8071), 1,
      sym_identifier,
    STATE(9622), 1,
      sym_annotated_type,
    STATE(11545), 1,
      sym_template_body,
    STATE(11584), 1,
      sym__non_null_literal,
    STATE(11632), 1,
      sym__type,
    STATE(11908), 1,
      sym__infix_type_choice,
    STATE(15176), 1,
      sym_parameter_types,
    STATE(16728), 1,
      sym_stable_identifier,
    ACTIONS(2112), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(2114), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(2118), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3661), 2,
      sym_comment,
      sym_block_comment,
    STATE(6076), 2,
      sym_boolean_literal,
      sym_string,
    STATE(6133), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10527), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11582), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6090), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8489), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [159480] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14932), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3662), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [159599] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14714), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3663), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [159718] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6604), 1,
      sym__alpha_identifier,
    ACTIONS(6606), 1,
      anon_sym_COLON,
    ACTIONS(6608), 1,
      anon_sym_LBRACE,
    ACTIONS(6610), 1,
      anon_sym__,
    ACTIONS(6612), 1,
      anon_sym_LBRACK,
    ACTIONS(6616), 1,
      anon_sym_LPAREN,
    ACTIONS(6618), 1,
      sym__backquoted_id,
    ACTIONS(6620), 1,
      sym_operator_identifier,
    ACTIONS(6622), 1,
      sym_integer_literal,
    STATE(5917), 1,
      sym__simple_type,
    STATE(6167), 1,
      sym__annotated_type,
    STATE(6430), 1,
      sym_identifier,
    STATE(6627), 1,
      sym__soft_identifier,
    STATE(8096), 1,
      sym_template_body,
    STATE(8124), 1,
      sym__type,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(9360), 1,
      sym_annotated_type,
    STATE(12208), 1,
      sym__infix_type_choice,
    STATE(14999), 1,
      sym_parameter_types,
    STATE(16479), 1,
      sym_stable_identifier,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3664), 2,
      sym_comment,
      sym_block_comment,
    STATE(9976), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10676), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6614), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7355), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [159837] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6604), 1,
      sym__alpha_identifier,
    ACTIONS(6606), 1,
      anon_sym_COLON,
    ACTIONS(6608), 1,
      anon_sym_LBRACE,
    ACTIONS(6610), 1,
      anon_sym__,
    ACTIONS(6612), 1,
      anon_sym_LBRACK,
    ACTIONS(6616), 1,
      anon_sym_LPAREN,
    ACTIONS(6618), 1,
      sym__backquoted_id,
    ACTIONS(6620), 1,
      sym_operator_identifier,
    ACTIONS(6622), 1,
      sym_integer_literal,
    STATE(5917), 1,
      sym__simple_type,
    STATE(6167), 1,
      sym__annotated_type,
    STATE(6430), 1,
      sym_identifier,
    STATE(6627), 1,
      sym__soft_identifier,
    STATE(8096), 1,
      sym_template_body,
    STATE(8125), 1,
      sym__type,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(9360), 1,
      sym_annotated_type,
    STATE(12208), 1,
      sym__infix_type_choice,
    STATE(14999), 1,
      sym_parameter_types,
    STATE(16479), 1,
      sym_stable_identifier,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3665), 2,
      sym_comment,
      sym_block_comment,
    STATE(9976), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10676), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6614), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7355), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [159956] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14553), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3666), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [160075] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14699), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3667), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [160194] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1232), 1,
      sym_integer_literal,
    ACTIONS(6388), 1,
      anon_sym_COLON,
    ACTIONS(6390), 1,
      anon_sym_LBRACE,
    ACTIONS(6504), 1,
      sym__alpha_identifier,
    ACTIONS(6506), 1,
      anon_sym__,
    ACTIONS(6508), 1,
      anon_sym_LBRACK,
    ACTIONS(6512), 1,
      anon_sym_LPAREN,
    ACTIONS(6514), 1,
      sym__backquoted_id,
    ACTIONS(6516), 1,
      sym_operator_identifier,
    STATE(5407), 1,
      sym__simple_type,
    STATE(5653), 1,
      sym__annotated_type,
    STATE(6108), 1,
      sym__soft_identifier,
    STATE(6447), 1,
      sym_identifier,
    STATE(9236), 1,
      sym_annotated_type,
    STATE(10724), 1,
      sym_template_body,
    STATE(10914), 1,
      sym__type,
    STATE(10963), 1,
      sym__non_null_literal,
    STATE(11885), 1,
      sym__infix_type_choice,
    STATE(15175), 1,
      sym_parameter_types,
    STATE(16716), 1,
      sym_stable_identifier,
    ACTIONS(1234), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1236), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1240), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3668), 2,
      sym_comment,
      sym_block_comment,
    STATE(5055), 2,
      sym_boolean_literal,
      sym_string,
    STATE(5088), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10146), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10958), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6510), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6709), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [160313] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(87), 1,
      sym_integer_literal,
    ACTIONS(6132), 1,
      anon_sym_COLON,
    ACTIONS(6134), 1,
      anon_sym_LBRACE,
    ACTIONS(6152), 1,
      sym__alpha_identifier,
    ACTIONS(6154), 1,
      anon_sym__,
    ACTIONS(6160), 1,
      anon_sym_LPAREN,
    ACTIONS(6162), 1,
      sym__backquoted_id,
    ACTIONS(6164), 1,
      sym_operator_identifier,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    STATE(4506), 1,
      sym__annotated_type,
    STATE(4589), 1,
      sym__simple_type,
    STATE(4743), 1,
      sym_identifier,
    STATE(4922), 1,
      sym__soft_identifier,
    STATE(6753), 1,
      sym_annotated_type,
    STATE(10416), 1,
      sym_template_body,
    STATE(11029), 1,
      sym__non_null_literal,
    STATE(11795), 1,
      sym__infix_type_choice,
    STATE(13912), 1,
      sym__type,
    STATE(15067), 1,
      sym_parameter_types,
    STATE(16004), 1,
      sym_stable_identifier,
    ACTIONS(89), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(91), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(103), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3669), 2,
      sym_comment,
      sym_block_comment,
    STATE(6306), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7065), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8537), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11034), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6158), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5252), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [160432] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(6404), 1,
      anon_sym_LBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11841), 1,
      sym__infix_type_choice,
    STATE(15082), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    STATE(16976), 1,
      sym__type,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3670), 2,
      sym_comment,
      sym_block_comment,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [160551] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15162), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3671), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [160670] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4556), 1,
      anon_sym_COLON,
    ACTIONS(4558), 1,
      anon_sym_LBRACE,
    ACTIONS(4576), 1,
      sym_integer_literal,
    ACTIONS(6796), 1,
      sym__alpha_identifier,
    ACTIONS(6798), 1,
      anon_sym__,
    ACTIONS(6800), 1,
      anon_sym_LBRACK,
    ACTIONS(6804), 1,
      anon_sym_LPAREN,
    ACTIONS(6806), 1,
      sym__backquoted_id,
    ACTIONS(6808), 1,
      sym_operator_identifier,
    STATE(5929), 1,
      sym__simple_type,
    STATE(6232), 1,
      sym_identifier,
    STATE(6412), 1,
      sym__soft_identifier,
    STATE(6588), 1,
      sym__annotated_type,
    STATE(9308), 1,
      sym_annotated_type,
    STATE(11604), 1,
      sym_template_body,
    STATE(12056), 1,
      sym__infix_type_choice,
    STATE(12480), 1,
      sym__non_null_literal,
    STATE(12556), 1,
      sym__type,
    STATE(15224), 1,
      sym_parameter_types,
    STATE(16551), 1,
      sym_stable_identifier,
    ACTIONS(4578), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4580), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4584), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3672), 2,
      sym_comment,
      sym_block_comment,
    STATE(10277), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12384), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12412), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12479), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6802), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7011), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [160789] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4556), 1,
      anon_sym_COLON,
    ACTIONS(4558), 1,
      anon_sym_LBRACE,
    ACTIONS(4576), 1,
      sym_integer_literal,
    ACTIONS(6066), 1,
      sym__alpha_identifier,
    ACTIONS(6068), 1,
      anon_sym__,
    ACTIONS(6074), 1,
      anon_sym_LPAREN,
    ACTIONS(6076), 1,
      sym__backquoted_id,
    ACTIONS(6078), 1,
      sym_operator_identifier,
    ACTIONS(6810), 1,
      anon_sym_LBRACK,
    STATE(5687), 1,
      sym__annotated_type,
    STATE(5958), 1,
      sym__simple_type,
    STATE(6298), 1,
      sym_identifier,
    STATE(6423), 1,
      sym__soft_identifier,
    STATE(8714), 1,
      sym_annotated_type,
    STATE(11604), 1,
      sym_template_body,
    STATE(12079), 1,
      sym__infix_type_choice,
    STATE(12480), 1,
      sym__non_null_literal,
    STATE(12558), 1,
      sym__type,
    STATE(15173), 1,
      sym_parameter_types,
    STATE(16539), 1,
      sym_stable_identifier,
    ACTIONS(4578), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4580), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4584), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3673), 2,
      sym_comment,
      sym_block_comment,
    STATE(9653), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12384), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12412), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12479), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6072), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7089), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [160908] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6604), 1,
      sym__alpha_identifier,
    ACTIONS(6606), 1,
      anon_sym_COLON,
    ACTIONS(6608), 1,
      anon_sym_LBRACE,
    ACTIONS(6610), 1,
      anon_sym__,
    ACTIONS(6612), 1,
      anon_sym_LBRACK,
    ACTIONS(6616), 1,
      anon_sym_LPAREN,
    ACTIONS(6618), 1,
      sym__backquoted_id,
    ACTIONS(6620), 1,
      sym_operator_identifier,
    ACTIONS(6622), 1,
      sym_integer_literal,
    STATE(5917), 1,
      sym__simple_type,
    STATE(6167), 1,
      sym__annotated_type,
    STATE(6430), 1,
      sym_identifier,
    STATE(6627), 1,
      sym__soft_identifier,
    STATE(8096), 1,
      sym_template_body,
    STATE(8150), 1,
      sym__type,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(9360), 1,
      sym_annotated_type,
    STATE(12208), 1,
      sym__infix_type_choice,
    STATE(14999), 1,
      sym_parameter_types,
    STATE(16479), 1,
      sym_stable_identifier,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3674), 2,
      sym_comment,
      sym_block_comment,
    STATE(9976), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10676), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6614), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7355), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [161027] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14914), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3675), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [161146] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14912), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3676), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [161265] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14892), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3677), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [161384] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14890), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3678), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [161503] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4214), 1,
      anon_sym_COLON,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4234), 1,
      sym_integer_literal,
    ACTIONS(6152), 1,
      sym__alpha_identifier,
    ACTIONS(6154), 1,
      anon_sym__,
    ACTIONS(6156), 1,
      anon_sym_LBRACK,
    ACTIONS(6160), 1,
      anon_sym_LPAREN,
    ACTIONS(6162), 1,
      sym__backquoted_id,
    ACTIONS(6164), 1,
      sym_operator_identifier,
    STATE(4589), 1,
      sym__simple_type,
    STATE(4743), 1,
      sym_identifier,
    STATE(4922), 1,
      sym__soft_identifier,
    STATE(6753), 1,
      sym_annotated_type,
    STATE(6893), 1,
      sym__annotated_type,
    STATE(10416), 1,
      sym_template_body,
    STATE(11029), 1,
      sym__non_null_literal,
    STATE(11805), 1,
      sym__infix_type_choice,
    STATE(13567), 1,
      sym__type,
    STATE(15375), 1,
      sym_parameter_types,
    STATE(16004), 1,
      sym_stable_identifier,
    ACTIONS(4236), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4238), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4242), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3679), 2,
      sym_comment,
      sym_block_comment,
    STATE(8537), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10819), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10870), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11034), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6158), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5252), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [161622] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2110), 1,
      sym_integer_literal,
    ACTIONS(6082), 1,
      anon_sym_COLON,
    ACTIONS(6084), 1,
      anon_sym_LBRACE,
    ACTIONS(6284), 1,
      sym__alpha_identifier,
    ACTIONS(6286), 1,
      anon_sym__,
    ACTIONS(6288), 1,
      anon_sym_LBRACK,
    ACTIONS(6292), 1,
      anon_sym_LPAREN,
    ACTIONS(6294), 1,
      sym__backquoted_id,
    ACTIONS(6296), 1,
      sym_operator_identifier,
    STATE(4569), 1,
      sym__simple_type,
    STATE(4636), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__soft_identifier,
    STATE(4948), 1,
      sym_identifier,
    STATE(7123), 1,
      sym_annotated_type,
    STATE(11545), 1,
      sym_template_body,
    STATE(11584), 1,
      sym__non_null_literal,
    STATE(11592), 1,
      sym__type,
    STATE(12010), 1,
      sym__infix_type_choice,
    STATE(15227), 1,
      sym_parameter_types,
    STATE(16752), 1,
      sym_stable_identifier,
    ACTIONS(2112), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(2114), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(2118), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3680), 2,
      sym_comment,
      sym_block_comment,
    STATE(6076), 2,
      sym_boolean_literal,
      sym_string,
    STATE(6133), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8742), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11582), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6290), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5000), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [161741] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(87), 1,
      sym_integer_literal,
    ACTIONS(6132), 1,
      anon_sym_COLON,
    ACTIONS(6134), 1,
      anon_sym_LBRACE,
    ACTIONS(6152), 1,
      sym__alpha_identifier,
    ACTIONS(6154), 1,
      anon_sym__,
    ACTIONS(6160), 1,
      anon_sym_LPAREN,
    ACTIONS(6162), 1,
      sym__backquoted_id,
    ACTIONS(6164), 1,
      sym_operator_identifier,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    STATE(4506), 1,
      sym__annotated_type,
    STATE(4589), 1,
      sym__simple_type,
    STATE(4743), 1,
      sym_identifier,
    STATE(4922), 1,
      sym__soft_identifier,
    STATE(6753), 1,
      sym_annotated_type,
    STATE(10416), 1,
      sym_template_body,
    STATE(11029), 1,
      sym__non_null_literal,
    STATE(11795), 1,
      sym__infix_type_choice,
    STATE(13857), 1,
      sym__type,
    STATE(15067), 1,
      sym_parameter_types,
    STATE(16004), 1,
      sym_stable_identifier,
    ACTIONS(89), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(91), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(103), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3681), 2,
      sym_comment,
      sym_block_comment,
    STATE(6306), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7065), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8537), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11034), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6158), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5252), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [161860] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14870), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3682), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [161979] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14869), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3683), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [162098] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2110), 1,
      sym_integer_literal,
    ACTIONS(6082), 1,
      anon_sym_COLON,
    ACTIONS(6084), 1,
      anon_sym_LBRACE,
    ACTIONS(6284), 1,
      sym__alpha_identifier,
    ACTIONS(6286), 1,
      anon_sym__,
    ACTIONS(6288), 1,
      anon_sym_LBRACK,
    ACTIONS(6292), 1,
      anon_sym_LPAREN,
    ACTIONS(6294), 1,
      sym__backquoted_id,
    ACTIONS(6296), 1,
      sym_operator_identifier,
    STATE(4569), 1,
      sym__simple_type,
    STATE(4636), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__soft_identifier,
    STATE(4948), 1,
      sym_identifier,
    STATE(7123), 1,
      sym_annotated_type,
    STATE(11545), 1,
      sym_template_body,
    STATE(11584), 1,
      sym__non_null_literal,
    STATE(11595), 1,
      sym__type,
    STATE(12010), 1,
      sym__infix_type_choice,
    STATE(15227), 1,
      sym_parameter_types,
    STATE(16752), 1,
      sym_stable_identifier,
    ACTIONS(2112), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(2114), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(2118), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3684), 2,
      sym_comment,
      sym_block_comment,
    STATE(6076), 2,
      sym_boolean_literal,
      sym_string,
    STATE(6133), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8742), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11582), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6290), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5000), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [162217] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2110), 1,
      sym_integer_literal,
    ACTIONS(6082), 1,
      anon_sym_COLON,
    ACTIONS(6084), 1,
      anon_sym_LBRACE,
    ACTIONS(6284), 1,
      sym__alpha_identifier,
    ACTIONS(6286), 1,
      anon_sym__,
    ACTIONS(6288), 1,
      anon_sym_LBRACK,
    ACTIONS(6292), 1,
      anon_sym_LPAREN,
    ACTIONS(6294), 1,
      sym__backquoted_id,
    ACTIONS(6296), 1,
      sym_operator_identifier,
    STATE(4569), 1,
      sym__simple_type,
    STATE(4636), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__soft_identifier,
    STATE(4948), 1,
      sym_identifier,
    STATE(7123), 1,
      sym_annotated_type,
    STATE(11545), 1,
      sym_template_body,
    STATE(11584), 1,
      sym__non_null_literal,
    STATE(11616), 1,
      sym__type,
    STATE(12010), 1,
      sym__infix_type_choice,
    STATE(15227), 1,
      sym_parameter_types,
    STATE(16752), 1,
      sym_stable_identifier,
    ACTIONS(2112), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(2114), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(2118), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3685), 2,
      sym_comment,
      sym_block_comment,
    STATE(6076), 2,
      sym_boolean_literal,
      sym_string,
    STATE(6133), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8742), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11582), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6290), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5000), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [162336] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2110), 1,
      sym_integer_literal,
    ACTIONS(6082), 1,
      anon_sym_COLON,
    ACTIONS(6084), 1,
      anon_sym_LBRACE,
    ACTIONS(6284), 1,
      sym__alpha_identifier,
    ACTIONS(6286), 1,
      anon_sym__,
    ACTIONS(6288), 1,
      anon_sym_LBRACK,
    ACTIONS(6292), 1,
      anon_sym_LPAREN,
    ACTIONS(6294), 1,
      sym__backquoted_id,
    ACTIONS(6296), 1,
      sym_operator_identifier,
    STATE(4569), 1,
      sym__simple_type,
    STATE(4636), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__soft_identifier,
    STATE(4948), 1,
      sym_identifier,
    STATE(7123), 1,
      sym_annotated_type,
    STATE(11545), 1,
      sym_template_body,
    STATE(11584), 1,
      sym__non_null_literal,
    STATE(11632), 1,
      sym__type,
    STATE(12010), 1,
      sym__infix_type_choice,
    STATE(15227), 1,
      sym_parameter_types,
    STATE(16752), 1,
      sym_stable_identifier,
    ACTIONS(2112), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(2114), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(2118), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3686), 2,
      sym_comment,
      sym_block_comment,
    STATE(6076), 2,
      sym_boolean_literal,
      sym_string,
    STATE(6133), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8742), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11582), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6290), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5000), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [162455] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14847), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3687), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [162574] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14842), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3688), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [162693] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14820), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3689), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [162812] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14819), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3690), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [162931] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14797), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3691), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [163050] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14796), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3692), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [163169] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14779), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3693), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [163288] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14775), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3694), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [163407] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14758), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3695), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [163526] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14756), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3696), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [163645] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4214), 1,
      anon_sym_COLON,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4234), 1,
      sym_integer_literal,
    ACTIONS(6152), 1,
      sym__alpha_identifier,
    ACTIONS(6154), 1,
      anon_sym__,
    ACTIONS(6156), 1,
      anon_sym_LBRACK,
    ACTIONS(6160), 1,
      anon_sym_LPAREN,
    ACTIONS(6162), 1,
      sym__backquoted_id,
    ACTIONS(6164), 1,
      sym_operator_identifier,
    STATE(4589), 1,
      sym__simple_type,
    STATE(4743), 1,
      sym_identifier,
    STATE(4922), 1,
      sym__soft_identifier,
    STATE(6753), 1,
      sym_annotated_type,
    STATE(6893), 1,
      sym__annotated_type,
    STATE(10416), 1,
      sym_template_body,
    STATE(11029), 1,
      sym__non_null_literal,
    STATE(11805), 1,
      sym__infix_type_choice,
    STATE(13593), 1,
      sym__type,
    STATE(15375), 1,
      sym_parameter_types,
    STATE(16004), 1,
      sym_stable_identifier,
    ACTIONS(4236), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4238), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4242), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3697), 2,
      sym_comment,
      sym_block_comment,
    STATE(8537), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10819), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10870), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11034), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6158), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5252), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [163764] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(87), 1,
      sym_integer_literal,
    ACTIONS(6132), 1,
      anon_sym_COLON,
    ACTIONS(6134), 1,
      anon_sym_LBRACE,
    ACTIONS(6152), 1,
      sym__alpha_identifier,
    ACTIONS(6154), 1,
      anon_sym__,
    ACTIONS(6160), 1,
      anon_sym_LPAREN,
    ACTIONS(6162), 1,
      sym__backquoted_id,
    ACTIONS(6164), 1,
      sym_operator_identifier,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    STATE(4506), 1,
      sym__annotated_type,
    STATE(4589), 1,
      sym__simple_type,
    STATE(4743), 1,
      sym_identifier,
    STATE(4922), 1,
      sym__soft_identifier,
    STATE(6753), 1,
      sym_annotated_type,
    STATE(10416), 1,
      sym_template_body,
    STATE(11029), 1,
      sym__non_null_literal,
    STATE(11795), 1,
      sym__infix_type_choice,
    STATE(13814), 1,
      sym__type,
    STATE(15067), 1,
      sym_parameter_types,
    STATE(16004), 1,
      sym_stable_identifier,
    ACTIONS(89), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(91), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(103), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3698), 2,
      sym_comment,
      sym_block_comment,
    STATE(6306), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7065), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8537), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11034), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6158), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5252), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [163883] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(87), 1,
      sym_integer_literal,
    ACTIONS(6132), 1,
      anon_sym_COLON,
    ACTIONS(6134), 1,
      anon_sym_LBRACE,
    ACTIONS(6152), 1,
      sym__alpha_identifier,
    ACTIONS(6154), 1,
      anon_sym__,
    ACTIONS(6160), 1,
      anon_sym_LPAREN,
    ACTIONS(6162), 1,
      sym__backquoted_id,
    ACTIONS(6164), 1,
      sym_operator_identifier,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    STATE(4506), 1,
      sym__annotated_type,
    STATE(4589), 1,
      sym__simple_type,
    STATE(4743), 1,
      sym_identifier,
    STATE(4922), 1,
      sym__soft_identifier,
    STATE(6753), 1,
      sym_annotated_type,
    STATE(10416), 1,
      sym_template_body,
    STATE(11029), 1,
      sym__non_null_literal,
    STATE(11795), 1,
      sym__infix_type_choice,
    STATE(13816), 1,
      sym__type,
    STATE(15067), 1,
      sym_parameter_types,
    STATE(16004), 1,
      sym_stable_identifier,
    ACTIONS(89), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(91), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(103), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3699), 2,
      sym_comment,
      sym_block_comment,
    STATE(6306), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7065), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8537), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11034), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6158), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5252), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [164002] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2110), 1,
      sym_integer_literal,
    ACTIONS(6080), 1,
      sym__alpha_identifier,
    ACTIONS(6082), 1,
      anon_sym_COLON,
    ACTIONS(6084), 1,
      anon_sym_LBRACE,
    ACTIONS(6086), 1,
      anon_sym__,
    ACTIONS(6088), 1,
      anon_sym_LBRACK,
    ACTIONS(6092), 1,
      anon_sym_LPAREN,
    ACTIONS(6094), 1,
      sym__backquoted_id,
    ACTIONS(6096), 1,
      sym_operator_identifier,
    STATE(6820), 1,
      sym__annotated_type,
    STATE(7242), 1,
      sym__simple_type,
    STATE(7449), 1,
      sym__soft_identifier,
    STATE(8071), 1,
      sym_identifier,
    STATE(9622), 1,
      sym_annotated_type,
    STATE(11545), 1,
      sym_template_body,
    STATE(11584), 1,
      sym__non_null_literal,
    STATE(11595), 1,
      sym__type,
    STATE(11908), 1,
      sym__infix_type_choice,
    STATE(15176), 1,
      sym_parameter_types,
    STATE(16728), 1,
      sym_stable_identifier,
    ACTIONS(2112), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(2114), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(2118), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3700), 2,
      sym_comment,
      sym_block_comment,
    STATE(6076), 2,
      sym_boolean_literal,
      sym_string,
    STATE(6133), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10527), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11582), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6090), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8489), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [164121] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(87), 1,
      sym_integer_literal,
    ACTIONS(6132), 1,
      anon_sym_COLON,
    ACTIONS(6134), 1,
      anon_sym_LBRACE,
    ACTIONS(6152), 1,
      sym__alpha_identifier,
    ACTIONS(6154), 1,
      anon_sym__,
    ACTIONS(6160), 1,
      anon_sym_LPAREN,
    ACTIONS(6162), 1,
      sym__backquoted_id,
    ACTIONS(6164), 1,
      sym_operator_identifier,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    STATE(4506), 1,
      sym__annotated_type,
    STATE(4589), 1,
      sym__simple_type,
    STATE(4743), 1,
      sym_identifier,
    STATE(4922), 1,
      sym__soft_identifier,
    STATE(6753), 1,
      sym_annotated_type,
    STATE(10416), 1,
      sym_template_body,
    STATE(11029), 1,
      sym__non_null_literal,
    STATE(11795), 1,
      sym__infix_type_choice,
    STATE(13817), 1,
      sym__type,
    STATE(15067), 1,
      sym_parameter_types,
    STATE(16004), 1,
      sym_stable_identifier,
    ACTIONS(89), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(91), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(103), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3701), 2,
      sym_comment,
      sym_block_comment,
    STATE(6306), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7065), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8537), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11034), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6158), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5252), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [164240] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(87), 1,
      sym_integer_literal,
    ACTIONS(6130), 1,
      sym__alpha_identifier,
    ACTIONS(6132), 1,
      anon_sym_COLON,
    ACTIONS(6134), 1,
      anon_sym_LBRACE,
    ACTIONS(6136), 1,
      anon_sym__,
    ACTIONS(6138), 1,
      anon_sym_LBRACK,
    ACTIONS(6142), 1,
      anon_sym_LPAREN,
    ACTIONS(6144), 1,
      sym__backquoted_id,
    ACTIONS(6146), 1,
      sym_operator_identifier,
    STATE(6664), 1,
      sym__simple_type,
    STATE(6871), 1,
      sym__annotated_type,
    STATE(7617), 1,
      sym_identifier,
    STATE(7635), 1,
      sym__soft_identifier,
    STATE(9838), 1,
      sym_annotated_type,
    STATE(10416), 1,
      sym_template_body,
    STATE(11029), 1,
      sym__non_null_literal,
    STATE(11924), 1,
      sym__infix_type_choice,
    STATE(12521), 1,
      sym__type,
    STATE(14979), 1,
      sym_parameter_types,
    STATE(15858), 1,
      sym_stable_identifier,
    ACTIONS(89), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(91), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(103), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3702), 2,
      sym_comment,
      sym_block_comment,
    STATE(6306), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7065), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10309), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11034), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6140), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8290), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [164359] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(87), 1,
      sym_integer_literal,
    ACTIONS(6132), 1,
      anon_sym_COLON,
    ACTIONS(6134), 1,
      anon_sym_LBRACE,
    ACTIONS(6152), 1,
      sym__alpha_identifier,
    ACTIONS(6154), 1,
      anon_sym__,
    ACTIONS(6160), 1,
      anon_sym_LPAREN,
    ACTIONS(6162), 1,
      sym__backquoted_id,
    ACTIONS(6164), 1,
      sym_operator_identifier,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    STATE(4506), 1,
      sym__annotated_type,
    STATE(4589), 1,
      sym__simple_type,
    STATE(4743), 1,
      sym_identifier,
    STATE(4922), 1,
      sym__soft_identifier,
    STATE(6753), 1,
      sym_annotated_type,
    STATE(10416), 1,
      sym_template_body,
    STATE(11029), 1,
      sym__non_null_literal,
    STATE(11795), 1,
      sym__infix_type_choice,
    STATE(13824), 1,
      sym__type,
    STATE(15067), 1,
      sym_parameter_types,
    STATE(16004), 1,
      sym_stable_identifier,
    ACTIONS(89), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(91), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(103), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3703), 2,
      sym_comment,
      sym_block_comment,
    STATE(6306), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7065), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8537), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11034), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6158), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5252), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [164478] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(87), 1,
      sym_integer_literal,
    ACTIONS(6132), 1,
      anon_sym_COLON,
    ACTIONS(6134), 1,
      anon_sym_LBRACE,
    ACTIONS(6152), 1,
      sym__alpha_identifier,
    ACTIONS(6154), 1,
      anon_sym__,
    ACTIONS(6160), 1,
      anon_sym_LPAREN,
    ACTIONS(6162), 1,
      sym__backquoted_id,
    ACTIONS(6164), 1,
      sym_operator_identifier,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    STATE(4506), 1,
      sym__annotated_type,
    STATE(4589), 1,
      sym__simple_type,
    STATE(4743), 1,
      sym_identifier,
    STATE(4922), 1,
      sym__soft_identifier,
    STATE(6753), 1,
      sym_annotated_type,
    STATE(10416), 1,
      sym_template_body,
    STATE(11029), 1,
      sym__non_null_literal,
    STATE(11795), 1,
      sym__infix_type_choice,
    STATE(13854), 1,
      sym__type,
    STATE(15067), 1,
      sym_parameter_types,
    STATE(16004), 1,
      sym_stable_identifier,
    ACTIONS(89), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(91), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(103), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3704), 2,
      sym_comment,
      sym_block_comment,
    STATE(6306), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7065), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8537), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11034), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6158), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5252), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [164597] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14938), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3705), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [164716] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    STATE(16944), 1,
      sym__type,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3706), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [164835] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    STATE(16941), 1,
      sym__type,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3707), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [164954] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14953), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3708), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [165073] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6604), 1,
      sym__alpha_identifier,
    ACTIONS(6606), 1,
      anon_sym_COLON,
    ACTIONS(6608), 1,
      anon_sym_LBRACE,
    ACTIONS(6610), 1,
      anon_sym__,
    ACTIONS(6612), 1,
      anon_sym_LBRACK,
    ACTIONS(6616), 1,
      anon_sym_LPAREN,
    ACTIONS(6618), 1,
      sym__backquoted_id,
    ACTIONS(6620), 1,
      sym_operator_identifier,
    ACTIONS(6622), 1,
      sym_integer_literal,
    STATE(5917), 1,
      sym__simple_type,
    STATE(6167), 1,
      sym__annotated_type,
    STATE(6430), 1,
      sym_identifier,
    STATE(6627), 1,
      sym__soft_identifier,
    STATE(8096), 1,
      sym_template_body,
    STATE(8235), 1,
      sym__type,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(9360), 1,
      sym_annotated_type,
    STATE(12208), 1,
      sym__infix_type_choice,
    STATE(14999), 1,
      sym_parameter_types,
    STATE(16479), 1,
      sym_stable_identifier,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3709), 2,
      sym_comment,
      sym_block_comment,
    STATE(9976), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10676), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6614), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7355), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [165192] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14740), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3710), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [165311] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14738), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3711), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [165430] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14722), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3712), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [165549] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14720), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3713), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [165668] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1232), 1,
      sym_integer_literal,
    ACTIONS(6386), 1,
      sym__alpha_identifier,
    ACTIONS(6388), 1,
      anon_sym_COLON,
    ACTIONS(6390), 1,
      anon_sym_LBRACE,
    ACTIONS(6392), 1,
      anon_sym__,
    ACTIONS(6394), 1,
      anon_sym_LBRACK,
    ACTIONS(6398), 1,
      anon_sym_LPAREN,
    ACTIONS(6400), 1,
      sym__backquoted_id,
    ACTIONS(6402), 1,
      sym_operator_identifier,
    STATE(4356), 1,
      sym__annotated_type,
    STATE(4390), 1,
      sym__simple_type,
    STATE(4449), 1,
      sym__soft_identifier,
    STATE(4490), 1,
      sym_identifier,
    STATE(5864), 1,
      sym_annotated_type,
    STATE(10724), 1,
      sym_template_body,
    STATE(10945), 1,
      sym__type,
    STATE(10963), 1,
      sym__non_null_literal,
    STATE(11965), 1,
      sym__infix_type_choice,
    STATE(15226), 1,
      sym_parameter_types,
    STATE(16746), 1,
      sym_stable_identifier,
    ACTIONS(1234), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1236), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1240), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3714), 2,
      sym_comment,
      sym_block_comment,
    STATE(5055), 2,
      sym_boolean_literal,
      sym_string,
    STATE(5088), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7855), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10958), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6396), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4611), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [165787] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14626), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3715), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [165906] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(87), 1,
      sym_integer_literal,
    ACTIONS(6132), 1,
      anon_sym_COLON,
    ACTIONS(6134), 1,
      anon_sym_LBRACE,
    ACTIONS(6152), 1,
      sym__alpha_identifier,
    ACTIONS(6154), 1,
      anon_sym__,
    ACTIONS(6160), 1,
      anon_sym_LPAREN,
    ACTIONS(6162), 1,
      sym__backquoted_id,
    ACTIONS(6164), 1,
      sym_operator_identifier,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    STATE(4506), 1,
      sym__annotated_type,
    STATE(4589), 1,
      sym__simple_type,
    STATE(4743), 1,
      sym_identifier,
    STATE(4922), 1,
      sym__soft_identifier,
    STATE(6753), 1,
      sym_annotated_type,
    STATE(10416), 1,
      sym_template_body,
    STATE(11029), 1,
      sym__non_null_literal,
    STATE(11795), 1,
      sym__infix_type_choice,
    STATE(12521), 1,
      sym__type,
    STATE(15067), 1,
      sym_parameter_types,
    STATE(16004), 1,
      sym_stable_identifier,
    ACTIONS(89), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(91), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(103), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3716), 2,
      sym_comment,
      sym_block_comment,
    STATE(6306), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7065), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8537), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11034), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6158), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5252), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [166025] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4556), 1,
      anon_sym_COLON,
    ACTIONS(4558), 1,
      anon_sym_LBRACE,
    ACTIONS(4576), 1,
      sym_integer_literal,
    ACTIONS(6796), 1,
      sym__alpha_identifier,
    ACTIONS(6798), 1,
      anon_sym__,
    ACTIONS(6800), 1,
      anon_sym_LBRACK,
    ACTIONS(6804), 1,
      anon_sym_LPAREN,
    ACTIONS(6806), 1,
      sym__backquoted_id,
    ACTIONS(6808), 1,
      sym_operator_identifier,
    STATE(5929), 1,
      sym__simple_type,
    STATE(6232), 1,
      sym_identifier,
    STATE(6412), 1,
      sym__soft_identifier,
    STATE(6588), 1,
      sym__annotated_type,
    STATE(9308), 1,
      sym_annotated_type,
    STATE(11604), 1,
      sym_template_body,
    STATE(12056), 1,
      sym__infix_type_choice,
    STATE(12480), 1,
      sym__non_null_literal,
    STATE(12537), 1,
      sym__type,
    STATE(15224), 1,
      sym_parameter_types,
    STATE(16551), 1,
      sym_stable_identifier,
    ACTIONS(4578), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4580), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4584), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3717), 2,
      sym_comment,
      sym_block_comment,
    STATE(10277), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12384), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12412), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12479), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6802), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7011), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [166144] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14698), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3718), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [166263] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6206), 1,
      sym__alpha_identifier,
    ACTIONS(6208), 1,
      anon_sym_COLON,
    ACTIONS(6210), 1,
      anon_sym_LBRACE,
    ACTIONS(6212), 1,
      anon_sym__,
    ACTIONS(6214), 1,
      anon_sym_LBRACK,
    ACTIONS(6218), 1,
      anon_sym_LPAREN,
    ACTIONS(6220), 1,
      sym__backquoted_id,
    ACTIONS(6222), 1,
      sym_operator_identifier,
    ACTIONS(6224), 1,
      sym_integer_literal,
    STATE(5019), 1,
      sym__simple_type,
    STATE(5445), 1,
      sym_identifier,
    STATE(5461), 1,
      sym__annotated_type,
    STATE(5909), 1,
      sym__soft_identifier,
    STATE(9003), 1,
      sym_annotated_type,
    STATE(10511), 1,
      sym__non_null_literal,
    STATE(10555), 1,
      sym_template_body,
    STATE(10590), 1,
      sym__type,
    STATE(11856), 1,
      sym__infix_type_choice,
    STATE(15134), 1,
      sym_parameter_types,
    STATE(16046), 1,
      sym_stable_identifier,
    ACTIONS(6226), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6228), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6230), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3719), 2,
      sym_comment,
      sym_block_comment,
    STATE(9817), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10362), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10508), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6216), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6453), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [166382] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6206), 1,
      sym__alpha_identifier,
    ACTIONS(6208), 1,
      anon_sym_COLON,
    ACTIONS(6210), 1,
      anon_sym_LBRACE,
    ACTIONS(6212), 1,
      anon_sym__,
    ACTIONS(6214), 1,
      anon_sym_LBRACK,
    ACTIONS(6218), 1,
      anon_sym_LPAREN,
    ACTIONS(6220), 1,
      sym__backquoted_id,
    ACTIONS(6222), 1,
      sym_operator_identifier,
    ACTIONS(6224), 1,
      sym_integer_literal,
    STATE(5019), 1,
      sym__simple_type,
    STATE(5445), 1,
      sym_identifier,
    STATE(5461), 1,
      sym__annotated_type,
    STATE(5909), 1,
      sym__soft_identifier,
    STATE(9003), 1,
      sym_annotated_type,
    STATE(10511), 1,
      sym__non_null_literal,
    STATE(10555), 1,
      sym_template_body,
    STATE(10592), 1,
      sym__type,
    STATE(11856), 1,
      sym__infix_type_choice,
    STATE(15134), 1,
      sym_parameter_types,
    STATE(16046), 1,
      sym_stable_identifier,
    ACTIONS(6226), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6228), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6230), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3720), 2,
      sym_comment,
      sym_block_comment,
    STATE(9817), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10362), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10508), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6216), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6453), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [166501] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4214), 1,
      anon_sym_COLON,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4234), 1,
      sym_integer_literal,
    ACTIONS(6152), 1,
      sym__alpha_identifier,
    ACTIONS(6154), 1,
      anon_sym__,
    ACTIONS(6156), 1,
      anon_sym_LBRACK,
    ACTIONS(6160), 1,
      anon_sym_LPAREN,
    ACTIONS(6162), 1,
      sym__backquoted_id,
    ACTIONS(6164), 1,
      sym_operator_identifier,
    STATE(4589), 1,
      sym__simple_type,
    STATE(4743), 1,
      sym_identifier,
    STATE(4922), 1,
      sym__soft_identifier,
    STATE(6753), 1,
      sym_annotated_type,
    STATE(6893), 1,
      sym__annotated_type,
    STATE(10416), 1,
      sym_template_body,
    STATE(11029), 1,
      sym__non_null_literal,
    STATE(11805), 1,
      sym__infix_type_choice,
    STATE(13471), 1,
      sym__type,
    STATE(15375), 1,
      sym_parameter_types,
    STATE(16004), 1,
      sym_stable_identifier,
    ACTIONS(4236), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4238), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4242), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3721), 2,
      sym_comment,
      sym_block_comment,
    STATE(8537), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10819), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10870), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11034), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6158), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5252), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [166620] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4214), 1,
      anon_sym_COLON,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4234), 1,
      sym_integer_literal,
    ACTIONS(6098), 1,
      sym__alpha_identifier,
    ACTIONS(6100), 1,
      anon_sym__,
    ACTIONS(6102), 1,
      anon_sym_LBRACK,
    ACTIONS(6106), 1,
      anon_sym_LPAREN,
    ACTIONS(6108), 1,
      sym__backquoted_id,
    ACTIONS(6110), 1,
      sym_operator_identifier,
    STATE(5828), 1,
      sym__simple_type,
    STATE(5991), 1,
      sym__annotated_type,
    STATE(6096), 1,
      sym_identifier,
    STATE(6257), 1,
      sym__soft_identifier,
    STATE(9560), 1,
      sym_annotated_type,
    STATE(10416), 1,
      sym_template_body,
    STATE(11029), 1,
      sym__non_null_literal,
    STATE(11776), 1,
      sym__infix_type_choice,
    STATE(13469), 1,
      sym__type,
    STATE(15341), 1,
      sym_parameter_types,
    STATE(16025), 1,
      sym_stable_identifier,
    ACTIONS(4236), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4238), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4242), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3722), 2,
      sym_comment,
      sym_block_comment,
    STATE(10279), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10819), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10870), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11034), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6104), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6721), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [166739] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4214), 1,
      anon_sym_COLON,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4234), 1,
      sym_integer_literal,
    ACTIONS(6152), 1,
      sym__alpha_identifier,
    ACTIONS(6154), 1,
      anon_sym__,
    ACTIONS(6160), 1,
      anon_sym_LPAREN,
    ACTIONS(6162), 1,
      sym__backquoted_id,
    ACTIONS(6164), 1,
      sym_operator_identifier,
    ACTIONS(6184), 1,
      anon_sym_LBRACK,
    STATE(4506), 1,
      sym__annotated_type,
    STATE(4589), 1,
      sym__simple_type,
    STATE(4743), 1,
      sym_identifier,
    STATE(4922), 1,
      sym__soft_identifier,
    STATE(6753), 1,
      sym_annotated_type,
    STATE(10416), 1,
      sym_template_body,
    STATE(11029), 1,
      sym__non_null_literal,
    STATE(11795), 1,
      sym__infix_type_choice,
    STATE(13669), 1,
      sym__type,
    STATE(15307), 1,
      sym_parameter_types,
    STATE(16004), 1,
      sym_stable_identifier,
    ACTIONS(4236), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4238), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4242), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3723), 2,
      sym_comment,
      sym_block_comment,
    STATE(8537), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10819), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10870), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11034), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6158), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5252), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [166858] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(87), 1,
      sym_integer_literal,
    ACTIONS(6132), 1,
      anon_sym_COLON,
    ACTIONS(6134), 1,
      anon_sym_LBRACE,
    ACTIONS(6152), 1,
      sym__alpha_identifier,
    ACTIONS(6154), 1,
      anon_sym__,
    ACTIONS(6160), 1,
      anon_sym_LPAREN,
    ACTIONS(6162), 1,
      sym__backquoted_id,
    ACTIONS(6164), 1,
      sym_operator_identifier,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    STATE(4506), 1,
      sym__annotated_type,
    STATE(4589), 1,
      sym__simple_type,
    STATE(4743), 1,
      sym_identifier,
    STATE(4922), 1,
      sym__soft_identifier,
    STATE(6753), 1,
      sym_annotated_type,
    STATE(10416), 1,
      sym_template_body,
    STATE(11029), 1,
      sym__non_null_literal,
    STATE(11795), 1,
      sym__infix_type_choice,
    STATE(13830), 1,
      sym__type,
    STATE(15067), 1,
      sym_parameter_types,
    STATE(16004), 1,
      sym_stable_identifier,
    ACTIONS(89), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(91), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(103), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3724), 2,
      sym_comment,
      sym_block_comment,
    STATE(6306), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7065), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8537), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11034), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6158), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5252), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [166977] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14680), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3725), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [167096] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14679), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3726), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [167215] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(6404), 1,
      anon_sym_LBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11841), 1,
      sym__infix_type_choice,
    STATE(15082), 1,
      sym_parameter_types,
    STATE(16275), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3727), 2,
      sym_comment,
      sym_block_comment,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [167334] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15065), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3728), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [167453] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2110), 1,
      sym_integer_literal,
    ACTIONS(6080), 1,
      sym__alpha_identifier,
    ACTIONS(6082), 1,
      anon_sym_COLON,
    ACTIONS(6084), 1,
      anon_sym_LBRACE,
    ACTIONS(6086), 1,
      anon_sym__,
    ACTIONS(6088), 1,
      anon_sym_LBRACK,
    ACTIONS(6092), 1,
      anon_sym_LPAREN,
    ACTIONS(6094), 1,
      sym__backquoted_id,
    ACTIONS(6096), 1,
      sym_operator_identifier,
    STATE(6820), 1,
      sym__annotated_type,
    STATE(7242), 1,
      sym__simple_type,
    STATE(7449), 1,
      sym__soft_identifier,
    STATE(8071), 1,
      sym_identifier,
    STATE(9622), 1,
      sym_annotated_type,
    STATE(11545), 1,
      sym_template_body,
    STATE(11584), 1,
      sym__non_null_literal,
    STATE(11592), 1,
      sym__type,
    STATE(11908), 1,
      sym__infix_type_choice,
    STATE(15176), 1,
      sym_parameter_types,
    STATE(16728), 1,
      sym_stable_identifier,
    ACTIONS(2112), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(2114), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(2118), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3729), 2,
      sym_comment,
      sym_block_comment,
    STATE(6076), 2,
      sym_boolean_literal,
      sym_string,
    STATE(6133), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10527), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11582), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6090), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8489), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [167572] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14661), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3730), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [167691] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    STATE(16689), 1,
      sym__type,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3731), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [167810] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6722), 1,
      sym__alpha_identifier,
    ACTIONS(6728), 1,
      anon_sym__,
    ACTIONS(6734), 1,
      anon_sym_LPAREN,
    ACTIONS(6736), 1,
      sym__backquoted_id,
    ACTIONS(6738), 1,
      sym_operator_identifier,
    ACTIONS(6748), 1,
      anon_sym_COLON,
    ACTIONS(6750), 1,
      anon_sym_LBRACE,
    ACTIONS(6752), 1,
      anon_sym_LBRACK,
    ACTIONS(6754), 1,
      sym_integer_literal,
    STATE(5531), 1,
      sym__simple_type,
    STATE(6422), 1,
      sym_identifier,
    STATE(6611), 1,
      sym__soft_identifier,
    STATE(7085), 1,
      sym__annotated_type,
    STATE(9480), 1,
      sym_annotated_type,
    STATE(10812), 1,
      sym__non_null_literal,
    STATE(10894), 1,
      sym_template_body,
    STATE(11733), 1,
      sym__type,
    STATE(12134), 1,
      sym__infix_type_choice,
    STATE(14419), 1,
      sym_parameter_types,
    STATE(16387), 1,
      sym_stable_identifier,
    ACTIONS(6756), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6758), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6760), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3732), 2,
      sym_comment,
      sym_block_comment,
    STATE(10280), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10829), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10839), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10811), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6732), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6925), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [167929] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14658), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3733), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [168048] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6456), 1,
      sym__alpha_identifier,
    ACTIONS(6458), 1,
      anon_sym_COLON,
    ACTIONS(6460), 1,
      anon_sym_LBRACE,
    ACTIONS(6462), 1,
      anon_sym__,
    ACTIONS(6464), 1,
      anon_sym_LBRACK,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    ACTIONS(6470), 1,
      sym__backquoted_id,
    ACTIONS(6472), 1,
      sym_operator_identifier,
    ACTIONS(6474), 1,
      sym_integer_literal,
    STATE(5597), 1,
      sym__simple_type,
    STATE(6438), 1,
      sym__annotated_type,
    STATE(6507), 1,
      sym_identifier,
    STATE(6519), 1,
      sym__soft_identifier,
    STATE(9543), 1,
      sym_annotated_type,
    STATE(10585), 1,
      sym__type,
    STATE(10688), 1,
      sym__non_null_literal,
    STATE(10694), 1,
      sym_template_body,
    STATE(11854), 1,
      sym__infix_type_choice,
    STATE(15033), 1,
      sym_parameter_types,
    STATE(15913), 1,
      sym_stable_identifier,
    ACTIONS(6476), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6478), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6480), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3734), 2,
      sym_comment,
      sym_block_comment,
    STATE(10019), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10618), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10653), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10689), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6466), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7263), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [168167] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(6404), 1,
      anon_sym_LBRACK,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(11550), 1,
      sym__non_null_literal,
    STATE(11758), 1,
      sym_template_body,
    STATE(11841), 1,
      sym__infix_type_choice,
    STATE(15082), 1,
      sym_parameter_types,
    STATE(16279), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3735), 2,
      sym_comment,
      sym_block_comment,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11617), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [168286] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6722), 1,
      sym__alpha_identifier,
    ACTIONS(6728), 1,
      anon_sym__,
    ACTIONS(6734), 1,
      anon_sym_LPAREN,
    ACTIONS(6736), 1,
      sym__backquoted_id,
    ACTIONS(6738), 1,
      sym_operator_identifier,
    ACTIONS(6748), 1,
      anon_sym_COLON,
    ACTIONS(6750), 1,
      anon_sym_LBRACE,
    ACTIONS(6752), 1,
      anon_sym_LBRACK,
    ACTIONS(6754), 1,
      sym_integer_literal,
    STATE(5531), 1,
      sym__simple_type,
    STATE(6422), 1,
      sym_identifier,
    STATE(6611), 1,
      sym__soft_identifier,
    STATE(7085), 1,
      sym__annotated_type,
    STATE(9480), 1,
      sym_annotated_type,
    STATE(10812), 1,
      sym__non_null_literal,
    STATE(10894), 1,
      sym_template_body,
    STATE(11752), 1,
      sym__type,
    STATE(12134), 1,
      sym__infix_type_choice,
    STATE(14419), 1,
      sym_parameter_types,
    STATE(16387), 1,
      sym_stable_identifier,
    ACTIONS(6756), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6758), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6760), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3736), 2,
      sym_comment,
      sym_block_comment,
    STATE(10280), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10829), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10839), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10811), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6732), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6925), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [168405] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6722), 1,
      sym__alpha_identifier,
    ACTIONS(6724), 1,
      anon_sym_COLON,
    ACTIONS(6726), 1,
      anon_sym_LBRACE,
    ACTIONS(6728), 1,
      anon_sym__,
    ACTIONS(6730), 1,
      anon_sym_LBRACK,
    ACTIONS(6734), 1,
      anon_sym_LPAREN,
    ACTIONS(6736), 1,
      sym__backquoted_id,
    ACTIONS(6738), 1,
      sym_operator_identifier,
    ACTIONS(6740), 1,
      sym_integer_literal,
    STATE(5531), 1,
      sym__simple_type,
    STATE(6422), 1,
      sym_identifier,
    STATE(6611), 1,
      sym__soft_identifier,
    STATE(8463), 1,
      sym__annotated_type,
    STATE(9480), 1,
      sym_annotated_type,
    STATE(11048), 1,
      sym__non_null_literal,
    STATE(11212), 1,
      sym__type,
    STATE(11320), 1,
      sym_template_body,
    STATE(12073), 1,
      sym__infix_type_choice,
    STATE(14781), 1,
      sym_parameter_types,
    STATE(16387), 1,
      sym_stable_identifier,
    ACTIONS(6742), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6744), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6746), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3737), 2,
      sym_comment,
      sym_block_comment,
    STATE(10583), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11240), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11351), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11040), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6732), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6925), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [168524] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14643), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3738), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [168643] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6456), 1,
      sym__alpha_identifier,
    ACTIONS(6458), 1,
      anon_sym_COLON,
    ACTIONS(6460), 1,
      anon_sym_LBRACE,
    ACTIONS(6462), 1,
      anon_sym__,
    ACTIONS(6464), 1,
      anon_sym_LBRACK,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    ACTIONS(6470), 1,
      sym__backquoted_id,
    ACTIONS(6472), 1,
      sym_operator_identifier,
    ACTIONS(6474), 1,
      sym_integer_literal,
    STATE(5597), 1,
      sym__simple_type,
    STATE(6438), 1,
      sym__annotated_type,
    STATE(6507), 1,
      sym_identifier,
    STATE(6519), 1,
      sym__soft_identifier,
    STATE(9543), 1,
      sym_annotated_type,
    STATE(10573), 1,
      sym__type,
    STATE(10688), 1,
      sym__non_null_literal,
    STATE(10694), 1,
      sym_template_body,
    STATE(11854), 1,
      sym__infix_type_choice,
    STATE(15033), 1,
      sym_parameter_types,
    STATE(15913), 1,
      sym_stable_identifier,
    ACTIONS(6476), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6478), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6480), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3739), 2,
      sym_comment,
      sym_block_comment,
    STATE(10019), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10618), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10653), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10689), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6466), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7263), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [168762] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14640), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3740), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [168881] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14625), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3741), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [169000] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14977), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3742), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [169119] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14622), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3743), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [169238] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    STATE(16905), 1,
      sym__type,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3744), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [169357] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14607), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3745), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [169476] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    STATE(16903), 1,
      sym__type,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3746), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [169595] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14985), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3747), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [169714] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14604), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3748), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [169833] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2110), 1,
      sym_integer_literal,
    ACTIONS(6080), 1,
      sym__alpha_identifier,
    ACTIONS(6082), 1,
      anon_sym_COLON,
    ACTIONS(6084), 1,
      anon_sym_LBRACE,
    ACTIONS(6086), 1,
      anon_sym__,
    ACTIONS(6088), 1,
      anon_sym_LBRACK,
    ACTIONS(6092), 1,
      anon_sym_LPAREN,
    ACTIONS(6094), 1,
      sym__backquoted_id,
    ACTIONS(6096), 1,
      sym_operator_identifier,
    STATE(6820), 1,
      sym__annotated_type,
    STATE(7242), 1,
      sym__simple_type,
    STATE(7449), 1,
      sym__soft_identifier,
    STATE(8071), 1,
      sym_identifier,
    STATE(9622), 1,
      sym_annotated_type,
    STATE(11545), 1,
      sym_template_body,
    STATE(11584), 1,
      sym__non_null_literal,
    STATE(11700), 1,
      sym__type,
    STATE(11908), 1,
      sym__infix_type_choice,
    STATE(15176), 1,
      sym_parameter_types,
    STATE(16728), 1,
      sym_stable_identifier,
    ACTIONS(2112), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(2114), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(2118), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3749), 2,
      sym_comment,
      sym_block_comment,
    STATE(6076), 2,
      sym_boolean_literal,
      sym_string,
    STATE(6133), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10527), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11582), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6090), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8489), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [169952] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14589), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3750), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [170071] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1232), 1,
      sym_integer_literal,
    ACTIONS(6386), 1,
      sym__alpha_identifier,
    ACTIONS(6388), 1,
      anon_sym_COLON,
    ACTIONS(6390), 1,
      anon_sym_LBRACE,
    ACTIONS(6392), 1,
      anon_sym__,
    ACTIONS(6394), 1,
      anon_sym_LBRACK,
    ACTIONS(6398), 1,
      anon_sym_LPAREN,
    ACTIONS(6400), 1,
      sym__backquoted_id,
    ACTIONS(6402), 1,
      sym_operator_identifier,
    STATE(4356), 1,
      sym__annotated_type,
    STATE(4390), 1,
      sym__simple_type,
    STATE(4449), 1,
      sym__soft_identifier,
    STATE(4490), 1,
      sym_identifier,
    STATE(5864), 1,
      sym_annotated_type,
    STATE(10724), 1,
      sym_template_body,
    STATE(10900), 1,
      sym__type,
    STATE(10963), 1,
      sym__non_null_literal,
    STATE(11965), 1,
      sym__infix_type_choice,
    STATE(15226), 1,
      sym_parameter_types,
    STATE(16746), 1,
      sym_stable_identifier,
    ACTIONS(1234), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1236), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1240), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3751), 2,
      sym_comment,
      sym_block_comment,
    STATE(5055), 2,
      sym_boolean_literal,
      sym_string,
    STATE(5088), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7855), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10958), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6396), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4611), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [170190] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1232), 1,
      sym_integer_literal,
    ACTIONS(6386), 1,
      sym__alpha_identifier,
    ACTIONS(6388), 1,
      anon_sym_COLON,
    ACTIONS(6390), 1,
      anon_sym_LBRACE,
    ACTIONS(6392), 1,
      anon_sym__,
    ACTIONS(6394), 1,
      anon_sym_LBRACK,
    ACTIONS(6398), 1,
      anon_sym_LPAREN,
    ACTIONS(6400), 1,
      sym__backquoted_id,
    ACTIONS(6402), 1,
      sym_operator_identifier,
    STATE(4356), 1,
      sym__annotated_type,
    STATE(4390), 1,
      sym__simple_type,
    STATE(4449), 1,
      sym__soft_identifier,
    STATE(4490), 1,
      sym_identifier,
    STATE(5864), 1,
      sym_annotated_type,
    STATE(10724), 1,
      sym_template_body,
    STATE(10904), 1,
      sym__type,
    STATE(10963), 1,
      sym__non_null_literal,
    STATE(11965), 1,
      sym__infix_type_choice,
    STATE(15226), 1,
      sym_parameter_types,
    STATE(16746), 1,
      sym_stable_identifier,
    ACTIONS(1234), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1236), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1240), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3752), 2,
      sym_comment,
      sym_block_comment,
    STATE(5055), 2,
      sym_boolean_literal,
      sym_string,
    STATE(5088), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7855), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10958), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6396), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4611), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [170309] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6722), 1,
      sym__alpha_identifier,
    ACTIONS(6728), 1,
      anon_sym__,
    ACTIONS(6734), 1,
      anon_sym_LPAREN,
    ACTIONS(6736), 1,
      sym__backquoted_id,
    ACTIONS(6738), 1,
      sym_operator_identifier,
    ACTIONS(6748), 1,
      anon_sym_COLON,
    ACTIONS(6750), 1,
      anon_sym_LBRACE,
    ACTIONS(6752), 1,
      anon_sym_LBRACK,
    ACTIONS(6754), 1,
      sym_integer_literal,
    STATE(5531), 1,
      sym__simple_type,
    STATE(6422), 1,
      sym_identifier,
    STATE(6611), 1,
      sym__soft_identifier,
    STATE(7085), 1,
      sym__annotated_type,
    STATE(9480), 1,
      sym_annotated_type,
    STATE(10812), 1,
      sym__non_null_literal,
    STATE(10894), 1,
      sym_template_body,
    STATE(11004), 1,
      sym__type,
    STATE(12134), 1,
      sym__infix_type_choice,
    STATE(14419), 1,
      sym_parameter_types,
    STATE(16387), 1,
      sym_stable_identifier,
    ACTIONS(6756), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6758), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6760), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3753), 2,
      sym_comment,
      sym_block_comment,
    STATE(10280), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10829), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10839), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10811), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6732), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6925), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [170428] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3754), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__interpolated_multiline_string_start,
    ACTIONS(4134), 7,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 9,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      anon_sym_DQUOTE,
    ACTIONS(4130), 29,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [170497] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15141), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3755), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [170616] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    STATE(16745), 1,
      sym__type,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3756), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [170735] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    STATE(16726), 1,
      sym__type,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3757), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [170854] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14586), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3758), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [170973] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15133), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3759), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [171092] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14696), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3760), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [171211] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14681), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3761), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [171330] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4556), 1,
      anon_sym_COLON,
    ACTIONS(4558), 1,
      anon_sym_LBRACE,
    ACTIONS(4576), 1,
      sym_integer_literal,
    ACTIONS(6066), 1,
      sym__alpha_identifier,
    ACTIONS(6068), 1,
      anon_sym__,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6074), 1,
      anon_sym_LPAREN,
    ACTIONS(6076), 1,
      sym__backquoted_id,
    ACTIONS(6078), 1,
      sym_operator_identifier,
    STATE(5958), 1,
      sym__simple_type,
    STATE(6298), 1,
      sym_identifier,
    STATE(6423), 1,
      sym__soft_identifier,
    STATE(6909), 1,
      sym__annotated_type,
    STATE(8714), 1,
      sym_annotated_type,
    STATE(11604), 1,
      sym_template_body,
    STATE(12017), 1,
      sym__infix_type_choice,
    STATE(12480), 1,
      sym__non_null_literal,
    STATE(12537), 1,
      sym__type,
    STATE(15272), 1,
      sym_parameter_types,
    STATE(16539), 1,
      sym_stable_identifier,
    ACTIONS(4578), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4580), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4584), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3762), 2,
      sym_comment,
      sym_block_comment,
    STATE(9653), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12384), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12412), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12479), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6072), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7089), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [171449] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4214), 1,
      anon_sym_COLON,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4234), 1,
      sym_integer_literal,
    ACTIONS(6130), 1,
      sym__alpha_identifier,
    ACTIONS(6136), 1,
      anon_sym__,
    ACTIONS(6142), 1,
      anon_sym_LPAREN,
    ACTIONS(6144), 1,
      sym__backquoted_id,
    ACTIONS(6146), 1,
      sym_operator_identifier,
    ACTIONS(6204), 1,
      anon_sym_LBRACK,
    STATE(6664), 1,
      sym__simple_type,
    STATE(7617), 1,
      sym_identifier,
    STATE(7635), 1,
      sym__soft_identifier,
    STATE(7736), 1,
      sym__annotated_type,
    STATE(9838), 1,
      sym_annotated_type,
    STATE(10416), 1,
      sym_template_body,
    STATE(11029), 1,
      sym__non_null_literal,
    STATE(11876), 1,
      sym__infix_type_choice,
    STATE(13471), 1,
      sym__type,
    STATE(15270), 1,
      sym_parameter_types,
    STATE(15858), 1,
      sym_stable_identifier,
    ACTIONS(4236), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4238), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4242), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3763), 2,
      sym_comment,
      sym_block_comment,
    STATE(10309), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10819), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10870), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11034), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6140), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8290), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [171568] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14571), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3764), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [171687] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14568), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3765), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [171806] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4214), 1,
      anon_sym_COLON,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4234), 1,
      sym_integer_literal,
    ACTIONS(6558), 1,
      sym__alpha_identifier,
    ACTIONS(6560), 1,
      anon_sym__,
    ACTIONS(6562), 1,
      anon_sym_LBRACK,
    ACTIONS(6566), 1,
      anon_sym_LPAREN,
    ACTIONS(6568), 1,
      sym__backquoted_id,
    ACTIONS(6570), 1,
      sym_operator_identifier,
    STATE(6535), 1,
      sym__simple_type,
    STATE(6678), 1,
      sym__annotated_type,
    STATE(6749), 1,
      sym_identifier,
    STATE(6863), 1,
      sym__soft_identifier,
    STATE(9893), 1,
      sym_annotated_type,
    STATE(10416), 1,
      sym_template_body,
    STATE(11029), 1,
      sym__non_null_literal,
    STATE(11888), 1,
      sym__infix_type_choice,
    STATE(13469), 1,
      sym__type,
    STATE(15221), 1,
      sym_parameter_types,
    STATE(15886), 1,
      sym_stable_identifier,
    ACTIONS(4236), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4238), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4242), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3766), 2,
      sym_comment,
      sym_block_comment,
    STATE(10485), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10819), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10870), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11034), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6564), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7663), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [171925] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15031), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3767), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [172044] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    STATE(16849), 1,
      sym__type,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3768), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [172163] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    STATE(16845), 1,
      sym__type,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3769), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [172282] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4214), 1,
      anon_sym_COLON,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4234), 1,
      sym_integer_literal,
    ACTIONS(6130), 1,
      sym__alpha_identifier,
    ACTIONS(6136), 1,
      anon_sym__,
    ACTIONS(6142), 1,
      anon_sym_LPAREN,
    ACTIONS(6144), 1,
      sym__backquoted_id,
    ACTIONS(6146), 1,
      sym_operator_identifier,
    ACTIONS(6580), 1,
      anon_sym_LBRACK,
    STATE(6664), 1,
      sym__simple_type,
    STATE(6871), 1,
      sym__annotated_type,
    STATE(7617), 1,
      sym_identifier,
    STATE(7635), 1,
      sym__soft_identifier,
    STATE(9838), 1,
      sym_annotated_type,
    STATE(10416), 1,
      sym_template_body,
    STATE(11029), 1,
      sym__non_null_literal,
    STATE(11924), 1,
      sym__infix_type_choice,
    STATE(13669), 1,
      sym__type,
    STATE(15170), 1,
      sym_parameter_types,
    STATE(15858), 1,
      sym_stable_identifier,
    ACTIONS(4236), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4238), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4242), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3770), 2,
      sym_comment,
      sym_block_comment,
    STATE(10309), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10819), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10870), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11034), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6140), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8290), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [172401] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(87), 1,
      sym_integer_literal,
    ACTIONS(6130), 1,
      sym__alpha_identifier,
    ACTIONS(6132), 1,
      anon_sym_COLON,
    ACTIONS(6134), 1,
      anon_sym_LBRACE,
    ACTIONS(6136), 1,
      anon_sym__,
    ACTIONS(6138), 1,
      anon_sym_LBRACK,
    ACTIONS(6142), 1,
      anon_sym_LPAREN,
    ACTIONS(6144), 1,
      sym__backquoted_id,
    ACTIONS(6146), 1,
      sym_operator_identifier,
    STATE(6664), 1,
      sym__simple_type,
    STATE(6871), 1,
      sym__annotated_type,
    STATE(7617), 1,
      sym_identifier,
    STATE(7635), 1,
      sym__soft_identifier,
    STATE(9838), 1,
      sym_annotated_type,
    STATE(10416), 1,
      sym_template_body,
    STATE(11029), 1,
      sym__non_null_literal,
    STATE(11924), 1,
      sym__infix_type_choice,
    STATE(13830), 1,
      sym__type,
    STATE(14979), 1,
      sym_parameter_types,
    STATE(15858), 1,
      sym_stable_identifier,
    ACTIONS(89), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(91), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(103), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3771), 2,
      sym_comment,
      sym_block_comment,
    STATE(6306), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7065), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10309), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11034), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6140), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8290), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [172520] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15039), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3772), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [172639] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4556), 1,
      anon_sym_COLON,
    ACTIONS(4558), 1,
      anon_sym_LBRACE,
    ACTIONS(4576), 1,
      sym_integer_literal,
    ACTIONS(6796), 1,
      sym__alpha_identifier,
    ACTIONS(6798), 1,
      anon_sym__,
    ACTIONS(6800), 1,
      anon_sym_LBRACK,
    ACTIONS(6804), 1,
      anon_sym_LPAREN,
    ACTIONS(6806), 1,
      sym__backquoted_id,
    ACTIONS(6808), 1,
      sym_operator_identifier,
    STATE(5929), 1,
      sym__simple_type,
    STATE(6232), 1,
      sym_identifier,
    STATE(6412), 1,
      sym__soft_identifier,
    STATE(6588), 1,
      sym__annotated_type,
    STATE(9308), 1,
      sym_annotated_type,
    STATE(11604), 1,
      sym_template_body,
    STATE(12056), 1,
      sym__infix_type_choice,
    STATE(12480), 1,
      sym__non_null_literal,
    STATE(12550), 1,
      sym__type,
    STATE(15224), 1,
      sym_parameter_types,
    STATE(16551), 1,
      sym_stable_identifier,
    ACTIONS(4578), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4580), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4584), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3773), 2,
      sym_comment,
      sym_block_comment,
    STATE(10277), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12384), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12412), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12479), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6802), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7011), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [172758] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14550), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3774), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [172877] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14555), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3775), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [172996] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(15207), 1,
      sym__type,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3776), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [173115] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14663), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3777), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [173234] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14535), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3778), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [173353] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14660), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3779), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [173472] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14532), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3780), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [173591] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14517), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3781), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [173710] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14514), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3782), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [173829] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14499), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3783), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [173948] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14645), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3784), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [174067] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14496), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3785), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [174186] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6604), 1,
      sym__alpha_identifier,
    ACTIONS(6606), 1,
      anon_sym_COLON,
    ACTIONS(6608), 1,
      anon_sym_LBRACE,
    ACTIONS(6610), 1,
      anon_sym__,
    ACTIONS(6612), 1,
      anon_sym_LBRACK,
    ACTIONS(6616), 1,
      anon_sym_LPAREN,
    ACTIONS(6618), 1,
      sym__backquoted_id,
    ACTIONS(6620), 1,
      sym_operator_identifier,
    ACTIONS(6622), 1,
      sym_integer_literal,
    STATE(5917), 1,
      sym__simple_type,
    STATE(6167), 1,
      sym__annotated_type,
    STATE(6430), 1,
      sym_identifier,
    STATE(6627), 1,
      sym__soft_identifier,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(9360), 1,
      sym_annotated_type,
    STATE(10646), 1,
      sym__type,
    STATE(12208), 1,
      sym__infix_type_choice,
    STATE(14999), 1,
      sym_parameter_types,
    STATE(16479), 1,
      sym_stable_identifier,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3786), 2,
      sym_comment,
      sym_block_comment,
    STATE(9976), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10676), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6614), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7355), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [174305] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14642), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3787), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [174424] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14481), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3788), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [174543] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14478), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3789), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [174662] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14463), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3790), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [174781] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(87), 1,
      sym_integer_literal,
    ACTIONS(6130), 1,
      sym__alpha_identifier,
    ACTIONS(6132), 1,
      anon_sym_COLON,
    ACTIONS(6134), 1,
      anon_sym_LBRACE,
    ACTIONS(6136), 1,
      anon_sym__,
    ACTIONS(6138), 1,
      anon_sym_LBRACK,
    ACTIONS(6142), 1,
      anon_sym_LPAREN,
    ACTIONS(6144), 1,
      sym__backquoted_id,
    ACTIONS(6146), 1,
      sym_operator_identifier,
    STATE(6664), 1,
      sym__simple_type,
    STATE(6871), 1,
      sym__annotated_type,
    STATE(7617), 1,
      sym_identifier,
    STATE(7635), 1,
      sym__soft_identifier,
    STATE(9838), 1,
      sym_annotated_type,
    STATE(10416), 1,
      sym_template_body,
    STATE(10817), 1,
      sym__type,
    STATE(11029), 1,
      sym__non_null_literal,
    STATE(11924), 1,
      sym__infix_type_choice,
    STATE(14979), 1,
      sym_parameter_types,
    STATE(15858), 1,
      sym_stable_identifier,
    ACTIONS(89), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(91), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(103), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3791), 2,
      sym_comment,
      sym_block_comment,
    STATE(6306), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7065), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10309), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11034), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6140), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8290), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [174900] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14460), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3792), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [175019] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1232), 1,
      sym_integer_literal,
    ACTIONS(6386), 1,
      sym__alpha_identifier,
    ACTIONS(6388), 1,
      anon_sym_COLON,
    ACTIONS(6390), 1,
      anon_sym_LBRACE,
    ACTIONS(6392), 1,
      anon_sym__,
    ACTIONS(6394), 1,
      anon_sym_LBRACK,
    ACTIONS(6398), 1,
      anon_sym_LPAREN,
    ACTIONS(6400), 1,
      sym__backquoted_id,
    ACTIONS(6402), 1,
      sym_operator_identifier,
    STATE(4356), 1,
      sym__annotated_type,
    STATE(4390), 1,
      sym__simple_type,
    STATE(4449), 1,
      sym__soft_identifier,
    STATE(4490), 1,
      sym_identifier,
    STATE(5864), 1,
      sym_annotated_type,
    STATE(10724), 1,
      sym_template_body,
    STATE(10914), 1,
      sym__type,
    STATE(10963), 1,
      sym__non_null_literal,
    STATE(11965), 1,
      sym__infix_type_choice,
    STATE(15226), 1,
      sym_parameter_types,
    STATE(16746), 1,
      sym_stable_identifier,
    ACTIONS(1234), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1236), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1240), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3793), 2,
      sym_comment,
      sym_block_comment,
    STATE(5055), 2,
      sym_boolean_literal,
      sym_string,
    STATE(5088), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7855), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10958), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6396), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4611), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [175138] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14388), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3794), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [175257] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14627), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3795), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [175376] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14624), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3796), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [175495] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1232), 1,
      sym_integer_literal,
    ACTIONS(6386), 1,
      sym__alpha_identifier,
    ACTIONS(6388), 1,
      anon_sym_COLON,
    ACTIONS(6390), 1,
      anon_sym_LBRACE,
    ACTIONS(6392), 1,
      anon_sym__,
    ACTIONS(6394), 1,
      anon_sym_LBRACK,
    ACTIONS(6398), 1,
      anon_sym_LPAREN,
    ACTIONS(6400), 1,
      sym__backquoted_id,
    ACTIONS(6402), 1,
      sym_operator_identifier,
    STATE(4356), 1,
      sym__annotated_type,
    STATE(4390), 1,
      sym__simple_type,
    STATE(4449), 1,
      sym__soft_identifier,
    STATE(4490), 1,
      sym_identifier,
    STATE(5864), 1,
      sym_annotated_type,
    STATE(10724), 1,
      sym_template_body,
    STATE(10906), 1,
      sym__type,
    STATE(10963), 1,
      sym__non_null_literal,
    STATE(11965), 1,
      sym__infix_type_choice,
    STATE(15226), 1,
      sym_parameter_types,
    STATE(16746), 1,
      sym_stable_identifier,
    ACTIONS(1234), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1236), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1240), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3797), 2,
      sym_comment,
      sym_block_comment,
    STATE(5055), 2,
      sym_boolean_literal,
      sym_string,
    STATE(5088), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7855), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10958), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6396), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4611), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [175614] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14442), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3798), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [175733] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14427), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3799), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [175852] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14424), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3800), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [175971] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3801), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__interpolated_multiline_string_start,
    ACTIONS(4134), 7,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 9,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_DQUOTE,
    ACTIONS(4130), 29,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [176040] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14409), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3802), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [176159] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14609), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3803), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [176278] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14406), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3804), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [176397] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14391), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3805), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [176516] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14384), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3806), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [176635] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14368), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3807), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [176754] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14606), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3808), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [176873] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15102), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3809), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [176992] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14591), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3810), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [177111] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14374), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3811), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [177230] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14371), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3812), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [177349] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14375), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3813), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [177468] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14588), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3814), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [177587] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14390), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3815), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [177706] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14393), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3816), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [177825] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14408), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3817), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [177944] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    STATE(16796), 1,
      sym__type,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3818), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [178063] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14573), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3819), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [178182] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14411), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3820), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [178301] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    STATE(16798), 1,
      sym__type,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3821), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [178420] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14570), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3822), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [178539] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14678), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3823), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [178658] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14552), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3824), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [178777] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14426), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3825), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [178896] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4556), 1,
      anon_sym_COLON,
    ACTIONS(4558), 1,
      anon_sym_LBRACE,
    ACTIONS(4576), 1,
      sym_integer_literal,
    ACTIONS(6796), 1,
      sym__alpha_identifier,
    ACTIONS(6798), 1,
      anon_sym__,
    ACTIONS(6800), 1,
      anon_sym_LBRACK,
    ACTIONS(6804), 1,
      anon_sym_LPAREN,
    ACTIONS(6806), 1,
      sym__backquoted_id,
    ACTIONS(6808), 1,
      sym_operator_identifier,
    STATE(5929), 1,
      sym__simple_type,
    STATE(6232), 1,
      sym_identifier,
    STATE(6412), 1,
      sym__soft_identifier,
    STATE(6588), 1,
      sym__annotated_type,
    STATE(9308), 1,
      sym_annotated_type,
    STATE(11604), 1,
      sym_template_body,
    STATE(12056), 1,
      sym__infix_type_choice,
    STATE(12480), 1,
      sym__non_null_literal,
    STATE(12558), 1,
      sym__type,
    STATE(15224), 1,
      sym_parameter_types,
    STATE(16551), 1,
      sym_stable_identifier,
    ACTIONS(4578), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4580), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4584), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3826), 2,
      sym_comment,
      sym_block_comment,
    STATE(10277), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12384), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12412), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12479), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6802), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7011), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [179015] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14429), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3827), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [179134] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4556), 1,
      anon_sym_COLON,
    ACTIONS(4558), 1,
      anon_sym_LBRACE,
    ACTIONS(4576), 1,
      sym_integer_literal,
    ACTIONS(6796), 1,
      sym__alpha_identifier,
    ACTIONS(6798), 1,
      anon_sym__,
    ACTIONS(6800), 1,
      anon_sym_LBRACK,
    ACTIONS(6804), 1,
      anon_sym_LPAREN,
    ACTIONS(6806), 1,
      sym__backquoted_id,
    ACTIONS(6808), 1,
      sym_operator_identifier,
    STATE(5929), 1,
      sym__simple_type,
    STATE(6232), 1,
      sym_identifier,
    STATE(6412), 1,
      sym__soft_identifier,
    STATE(6588), 1,
      sym__annotated_type,
    STATE(9308), 1,
      sym_annotated_type,
    STATE(11604), 1,
      sym_template_body,
    STATE(12056), 1,
      sym__infix_type_choice,
    STATE(12480), 1,
      sym__non_null_literal,
    STATE(12557), 1,
      sym__type,
    STATE(15224), 1,
      sym_parameter_types,
    STATE(16551), 1,
      sym_stable_identifier,
    ACTIONS(4578), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4580), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4584), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3828), 2,
      sym_comment,
      sym_block_comment,
    STATE(10277), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12384), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12412), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12479), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6802), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7011), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [179253] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14537), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3829), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [179372] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14444), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3830), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [179491] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14534), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3831), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [179610] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14519), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3832), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [179729] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14447), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3833), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [179848] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14462), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3834), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [179967] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14465), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3835), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [180086] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14480), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3836), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [180205] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14516), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3837), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [180324] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14483), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3838), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [180443] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14498), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3839), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [180562] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    STATE(4795), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8096), 1,
      sym_template_body,
    STATE(8469), 1,
      sym__non_null_literal,
    STATE(11771), 1,
      sym__infix_type_choice,
    STATE(14501), 1,
      sym__type,
    STATE(15105), 1,
      sym_parameter_types,
    STATE(16621), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3840), 2,
      sym_comment,
      sym_block_comment,
    STATE(8503), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8472), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [180681] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3841), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__interpolated_multiline_string_start,
    ACTIONS(4134), 7,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 8,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      anon_sym_DQUOTE,
    ACTIONS(4130), 29,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [180749] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3842), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__interpolated_multiline_string_start,
    ACTIONS(4134), 7,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 8,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_DQUOTE,
    ACTIONS(4130), 29,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [180817] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3843), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__interpolated_multiline_string_start,
    ACTIONS(4134), 7,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 8,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      anon_sym_DQUOTE,
    ACTIONS(4130), 29,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [180885] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3844), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__interpolated_multiline_string_start,
    ACTIONS(4134), 7,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 8,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      anon_sym_DQUOTE,
    ACTIONS(4130), 29,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [180953] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3845), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__interpolated_multiline_string_start,
    ACTIONS(4134), 7,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 9,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_DQUOTE,
    ACTIONS(4130), 29,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [181021] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6820), 1,
      anon_sym_LBRACE,
    ACTIONS(6822), 1,
      anon_sym_case,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6832), 1,
      anon_sym_LPAREN,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6838), 1,
      sym_operator_identifier,
    ACTIONS(6840), 1,
      sym_null_literal,
    ACTIONS(6842), 1,
      sym__indent,
    STATE(8519), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(10438), 1,
      sym_stable_identifier,
    STATE(10443), 1,
      sym_wildcard,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(14028), 1,
      sym_enumerator,
    STATE(15491), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3846), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10643), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [181136] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6822), 1,
      anon_sym_case,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6838), 1,
      sym_operator_identifier,
    ACTIONS(6840), 1,
      sym_null_literal,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(6844), 1,
      anon_sym_LBRACE,
    ACTIONS(6846), 1,
      anon_sym_LPAREN,
    STATE(8519), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(10438), 1,
      sym_stable_identifier,
    STATE(10443), 1,
      sym_wildcard,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(14028), 1,
      sym_enumerator,
    STATE(15564), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3847), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10643), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [181251] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6822), 1,
      anon_sym_case,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6838), 1,
      sym_operator_identifier,
    ACTIONS(6840), 1,
      sym_null_literal,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(6848), 1,
      anon_sym_LBRACE,
    ACTIONS(6850), 1,
      anon_sym_LPAREN,
    STATE(8519), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(10438), 1,
      sym_stable_identifier,
    STATE(10443), 1,
      sym_wildcard,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(14028), 1,
      sym_enumerator,
    STATE(15524), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3848), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10643), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [181366] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6822), 1,
      anon_sym_case,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6838), 1,
      sym_operator_identifier,
    ACTIONS(6840), 1,
      sym_null_literal,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(6852), 1,
      anon_sym_LBRACE,
    ACTIONS(6854), 1,
      anon_sym_LPAREN,
    STATE(8519), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(10438), 1,
      sym_stable_identifier,
    STATE(10443), 1,
      sym_wildcard,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(14028), 1,
      sym_enumerator,
    STATE(15626), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3849), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10643), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [181481] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6822), 1,
      anon_sym_case,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6838), 1,
      sym_operator_identifier,
    ACTIONS(6840), 1,
      sym_null_literal,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(6856), 1,
      anon_sym_LBRACE,
    ACTIONS(6858), 1,
      anon_sym_LPAREN,
    STATE(8519), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(10438), 1,
      sym_stable_identifier,
    STATE(10443), 1,
      sym_wildcard,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(14028), 1,
      sym_enumerator,
    STATE(15510), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3850), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10643), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [181596] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6822), 1,
      anon_sym_case,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6838), 1,
      sym_operator_identifier,
    ACTIONS(6840), 1,
      sym_null_literal,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(6860), 1,
      anon_sym_LBRACE,
    ACTIONS(6862), 1,
      anon_sym_LPAREN,
    STATE(8519), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(10438), 1,
      sym_stable_identifier,
    STATE(10443), 1,
      sym_wildcard,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(14028), 1,
      sym_enumerator,
    STATE(15551), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3851), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10643), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [181711] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6822), 1,
      anon_sym_case,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6838), 1,
      sym_operator_identifier,
    ACTIONS(6840), 1,
      sym_null_literal,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(6864), 1,
      anon_sym_LBRACE,
    ACTIONS(6866), 1,
      anon_sym_LPAREN,
    STATE(8519), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(10438), 1,
      sym_stable_identifier,
    STATE(10443), 1,
      sym_wildcard,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(14028), 1,
      sym_enumerator,
    STATE(15702), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3852), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10643), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [181826] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6822), 1,
      anon_sym_case,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6838), 1,
      sym_operator_identifier,
    ACTIONS(6840), 1,
      sym_null_literal,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(6868), 1,
      anon_sym_LBRACE,
    ACTIONS(6870), 1,
      anon_sym_LPAREN,
    STATE(8519), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(10438), 1,
      sym_stable_identifier,
    STATE(10443), 1,
      sym_wildcard,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(14028), 1,
      sym_enumerator,
    STATE(15756), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3853), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10643), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [181941] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6822), 1,
      anon_sym_case,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6838), 1,
      sym_operator_identifier,
    ACTIONS(6840), 1,
      sym_null_literal,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(6872), 1,
      anon_sym_LBRACE,
    ACTIONS(6874), 1,
      anon_sym_LPAREN,
    STATE(8519), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(10438), 1,
      sym_stable_identifier,
    STATE(10443), 1,
      sym_wildcard,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(14028), 1,
      sym_enumerator,
    STATE(15525), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3854), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10643), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [182056] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6822), 1,
      anon_sym_case,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6838), 1,
      sym_operator_identifier,
    ACTIONS(6840), 1,
      sym_null_literal,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(6876), 1,
      anon_sym_LBRACE,
    ACTIONS(6878), 1,
      anon_sym_LPAREN,
    STATE(8519), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(10438), 1,
      sym_stable_identifier,
    STATE(10443), 1,
      sym_wildcard,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(14028), 1,
      sym_enumerator,
    STATE(15653), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3855), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10643), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [182171] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6822), 1,
      anon_sym_case,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6838), 1,
      sym_operator_identifier,
    ACTIONS(6840), 1,
      sym_null_literal,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(6880), 1,
      anon_sym_LBRACE,
    ACTIONS(6882), 1,
      anon_sym_LPAREN,
    STATE(8519), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(10438), 1,
      sym_stable_identifier,
    STATE(10443), 1,
      sym_wildcard,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(14028), 1,
      sym_enumerator,
    STATE(15624), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3856), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10643), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [182286] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6822), 1,
      anon_sym_case,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6838), 1,
      sym_operator_identifier,
    ACTIONS(6840), 1,
      sym_null_literal,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(6884), 1,
      anon_sym_LBRACE,
    ACTIONS(6886), 1,
      anon_sym_LPAREN,
    STATE(8519), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(10438), 1,
      sym_stable_identifier,
    STATE(10443), 1,
      sym_wildcard,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(14028), 1,
      sym_enumerator,
    STATE(15603), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3857), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10643), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [182401] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6822), 1,
      anon_sym_case,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6838), 1,
      sym_operator_identifier,
    ACTIONS(6840), 1,
      sym_null_literal,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(6888), 1,
      anon_sym_LBRACE,
    ACTIONS(6890), 1,
      anon_sym_LPAREN,
    STATE(8519), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(10438), 1,
      sym_stable_identifier,
    STATE(10443), 1,
      sym_wildcard,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(14028), 1,
      sym_enumerator,
    STATE(15494), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3858), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10643), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [182516] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6822), 1,
      anon_sym_case,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6838), 1,
      sym_operator_identifier,
    ACTIONS(6840), 1,
      sym_null_literal,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(6892), 1,
      anon_sym_LBRACE,
    ACTIONS(6894), 1,
      anon_sym_LPAREN,
    STATE(8519), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(10438), 1,
      sym_stable_identifier,
    STATE(10443), 1,
      sym_wildcard,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(14028), 1,
      sym_enumerator,
    STATE(15613), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3859), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10643), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [182631] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6822), 1,
      anon_sym_case,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6838), 1,
      sym_operator_identifier,
    ACTIONS(6840), 1,
      sym_null_literal,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(6896), 1,
      anon_sym_LBRACE,
    ACTIONS(6898), 1,
      anon_sym_LPAREN,
    STATE(8519), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(10438), 1,
      sym_stable_identifier,
    STATE(10443), 1,
      sym_wildcard,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(14028), 1,
      sym_enumerator,
    STATE(15690), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3860), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10643), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [182746] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6822), 1,
      anon_sym_case,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6838), 1,
      sym_operator_identifier,
    ACTIONS(6840), 1,
      sym_null_literal,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(6900), 1,
      anon_sym_LBRACE,
    ACTIONS(6902), 1,
      anon_sym_LPAREN,
    STATE(8519), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(10438), 1,
      sym_stable_identifier,
    STATE(10443), 1,
      sym_wildcard,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(14028), 1,
      sym_enumerator,
    STATE(15712), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3861), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10643), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [182861] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6822), 1,
      anon_sym_case,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6838), 1,
      sym_operator_identifier,
    ACTIONS(6840), 1,
      sym_null_literal,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(6904), 1,
      anon_sym_LBRACE,
    ACTIONS(6906), 1,
      anon_sym_LPAREN,
    STATE(8519), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(10438), 1,
      sym_stable_identifier,
    STATE(10443), 1,
      sym_wildcard,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(14028), 1,
      sym_enumerator,
    STATE(15497), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3862), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10643), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [182976] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6822), 1,
      anon_sym_case,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6838), 1,
      sym_operator_identifier,
    ACTIONS(6840), 1,
      sym_null_literal,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(6908), 1,
      anon_sym_LBRACE,
    ACTIONS(6910), 1,
      anon_sym_LPAREN,
    STATE(8519), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(10438), 1,
      sym_stable_identifier,
    STATE(10443), 1,
      sym_wildcard,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(14028), 1,
      sym_enumerator,
    STATE(15484), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3863), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10643), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [183091] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6822), 1,
      anon_sym_case,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6838), 1,
      sym_operator_identifier,
    ACTIONS(6840), 1,
      sym_null_literal,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(6912), 1,
      anon_sym_LBRACE,
    ACTIONS(6914), 1,
      anon_sym_LPAREN,
    STATE(8519), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(10438), 1,
      sym_stable_identifier,
    STATE(10443), 1,
      sym_wildcard,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(14028), 1,
      sym_enumerator,
    STATE(15681), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3864), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10643), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [183206] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6822), 1,
      anon_sym_case,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6838), 1,
      sym_operator_identifier,
    ACTIONS(6840), 1,
      sym_null_literal,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(6916), 1,
      anon_sym_LBRACE,
    ACTIONS(6918), 1,
      anon_sym_LPAREN,
    STATE(8519), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(10438), 1,
      sym_stable_identifier,
    STATE(10443), 1,
      sym_wildcard,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(14028), 1,
      sym_enumerator,
    STATE(15676), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3865), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10643), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [183321] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6822), 1,
      anon_sym_case,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6838), 1,
      sym_operator_identifier,
    ACTIONS(6840), 1,
      sym_null_literal,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(6920), 1,
      anon_sym_LBRACE,
    ACTIONS(6922), 1,
      anon_sym_LPAREN,
    STATE(8519), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(10438), 1,
      sym_stable_identifier,
    STATE(10443), 1,
      sym_wildcard,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(14028), 1,
      sym_enumerator,
    STATE(15481), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3866), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10643), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [183436] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6822), 1,
      anon_sym_case,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6838), 1,
      sym_operator_identifier,
    ACTIONS(6840), 1,
      sym_null_literal,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(6924), 1,
      anon_sym_LBRACE,
    ACTIONS(6926), 1,
      anon_sym_LPAREN,
    STATE(8519), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(10438), 1,
      sym_stable_identifier,
    STATE(10443), 1,
      sym_wildcard,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(14028), 1,
      sym_enumerator,
    STATE(15527), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3867), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10643), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [183551] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6822), 1,
      anon_sym_case,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6838), 1,
      sym_operator_identifier,
    ACTIONS(6840), 1,
      sym_null_literal,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(6928), 1,
      anon_sym_LBRACE,
    ACTIONS(6930), 1,
      anon_sym_LPAREN,
    STATE(8519), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(10438), 1,
      sym_stable_identifier,
    STATE(10443), 1,
      sym_wildcard,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(14028), 1,
      sym_enumerator,
    STATE(15667), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3868), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10643), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [183666] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6822), 1,
      anon_sym_case,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6838), 1,
      sym_operator_identifier,
    ACTIONS(6840), 1,
      sym_null_literal,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(6932), 1,
      anon_sym_LBRACE,
    ACTIONS(6934), 1,
      anon_sym_LPAREN,
    STATE(8519), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(10438), 1,
      sym_stable_identifier,
    STATE(10443), 1,
      sym_wildcard,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(14028), 1,
      sym_enumerator,
    STATE(15694), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3869), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10643), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [183781] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6822), 1,
      anon_sym_case,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6838), 1,
      sym_operator_identifier,
    ACTIONS(6840), 1,
      sym_null_literal,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(6936), 1,
      anon_sym_LBRACE,
    ACTIONS(6938), 1,
      anon_sym_LPAREN,
    STATE(8519), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(10438), 1,
      sym_stable_identifier,
    STATE(10443), 1,
      sym_wildcard,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(14028), 1,
      sym_enumerator,
    STATE(15563), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3870), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10643), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [183896] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6822), 1,
      anon_sym_case,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6838), 1,
      sym_operator_identifier,
    ACTIONS(6840), 1,
      sym_null_literal,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(6940), 1,
      anon_sym_LBRACE,
    ACTIONS(6942), 1,
      anon_sym_LPAREN,
    STATE(8519), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(10438), 1,
      sym_stable_identifier,
    STATE(10443), 1,
      sym_wildcard,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(14028), 1,
      sym_enumerator,
    STATE(15584), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3871), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10643), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [184011] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6822), 1,
      anon_sym_case,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6838), 1,
      sym_operator_identifier,
    ACTIONS(6840), 1,
      sym_null_literal,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(6944), 1,
      anon_sym_LBRACE,
    ACTIONS(6946), 1,
      anon_sym_LPAREN,
    STATE(8519), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(10438), 1,
      sym_stable_identifier,
    STATE(10443), 1,
      sym_wildcard,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(14028), 1,
      sym_enumerator,
    STATE(15505), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3872), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10643), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [184126] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6822), 1,
      anon_sym_case,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6838), 1,
      sym_operator_identifier,
    ACTIONS(6840), 1,
      sym_null_literal,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(6948), 1,
      anon_sym_LBRACE,
    ACTIONS(6950), 1,
      anon_sym_LPAREN,
    STATE(8519), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(10438), 1,
      sym_stable_identifier,
    STATE(10443), 1,
      sym_wildcard,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(14028), 1,
      sym_enumerator,
    STATE(15637), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3873), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10643), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [184241] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6822), 1,
      anon_sym_case,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6838), 1,
      sym_operator_identifier,
    ACTIONS(6840), 1,
      sym_null_literal,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(6952), 1,
      anon_sym_LBRACE,
    ACTIONS(6954), 1,
      anon_sym_LPAREN,
    STATE(8519), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(10438), 1,
      sym_stable_identifier,
    STATE(10443), 1,
      sym_wildcard,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(14028), 1,
      sym_enumerator,
    STATE(15539), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3874), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10643), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [184356] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6822), 1,
      anon_sym_case,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6838), 1,
      sym_operator_identifier,
    ACTIONS(6840), 1,
      sym_null_literal,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(6956), 1,
      anon_sym_LBRACE,
    ACTIONS(6958), 1,
      anon_sym_LPAREN,
    STATE(8519), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(10438), 1,
      sym_stable_identifier,
    STATE(10443), 1,
      sym_wildcard,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(14028), 1,
      sym_enumerator,
    STATE(15574), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3875), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10643), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [184471] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6822), 1,
      anon_sym_case,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6838), 1,
      sym_operator_identifier,
    ACTIONS(6840), 1,
      sym_null_literal,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(6960), 1,
      anon_sym_LBRACE,
    ACTIONS(6962), 1,
      anon_sym_LPAREN,
    STATE(8519), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(10438), 1,
      sym_stable_identifier,
    STATE(10443), 1,
      sym_wildcard,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(14028), 1,
      sym_enumerator,
    STATE(15740), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3876), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10643), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [184586] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6822), 1,
      anon_sym_case,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6838), 1,
      sym_operator_identifier,
    ACTIONS(6840), 1,
      sym_null_literal,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(6964), 1,
      anon_sym_LBRACE,
    ACTIONS(6966), 1,
      anon_sym_LPAREN,
    STATE(8519), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(10438), 1,
      sym_stable_identifier,
    STATE(10443), 1,
      sym_wildcard,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(14028), 1,
      sym_enumerator,
    STATE(15516), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3877), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10643), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [184701] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6822), 1,
      anon_sym_case,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6838), 1,
      sym_operator_identifier,
    ACTIONS(6840), 1,
      sym_null_literal,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(6968), 1,
      anon_sym_LBRACE,
    ACTIONS(6970), 1,
      anon_sym_LPAREN,
    STATE(8519), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(10438), 1,
      sym_stable_identifier,
    STATE(10443), 1,
      sym_wildcard,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(14028), 1,
      sym_enumerator,
    STATE(15579), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3878), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10643), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [184816] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6822), 1,
      anon_sym_case,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6838), 1,
      sym_operator_identifier,
    ACTIONS(6840), 1,
      sym_null_literal,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(6972), 1,
      anon_sym_LBRACE,
    ACTIONS(6974), 1,
      anon_sym_LPAREN,
    STATE(8519), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(10438), 1,
      sym_stable_identifier,
    STATE(10443), 1,
      sym_wildcard,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(14028), 1,
      sym_enumerator,
    STATE(15600), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3879), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10643), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [184931] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3880), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 12,
      sym__automatic_semicolon,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 36,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
      anon_sym_yield,
  [184994] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6822), 1,
      anon_sym_case,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6838), 1,
      sym_operator_identifier,
    ACTIONS(6840), 1,
      sym_null_literal,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(6976), 1,
      anon_sym_LBRACE,
    ACTIONS(6978), 1,
      anon_sym_LPAREN,
    STATE(8519), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(10438), 1,
      sym_stable_identifier,
    STATE(10443), 1,
      sym_wildcard,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(14028), 1,
      sym_enumerator,
    STATE(15661), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3881), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10643), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [185109] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6822), 1,
      anon_sym_case,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6838), 1,
      sym_operator_identifier,
    ACTIONS(6840), 1,
      sym_null_literal,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(6980), 1,
      anon_sym_LBRACE,
    ACTIONS(6982), 1,
      anon_sym_LPAREN,
    STATE(8519), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(10438), 1,
      sym_stable_identifier,
    STATE(10443), 1,
      sym_wildcard,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(14028), 1,
      sym_enumerator,
    STATE(15749), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3882), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10643), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [185224] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6822), 1,
      anon_sym_case,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6838), 1,
      sym_operator_identifier,
    ACTIONS(6840), 1,
      sym_null_literal,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(6984), 1,
      anon_sym_LBRACE,
    ACTIONS(6986), 1,
      anon_sym_LPAREN,
    STATE(8519), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(10438), 1,
      sym_stable_identifier,
    STATE(10443), 1,
      sym_wildcard,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(14028), 1,
      sym_enumerator,
    STATE(15657), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3883), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10643), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [185339] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6822), 1,
      anon_sym_case,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6838), 1,
      sym_operator_identifier,
    ACTIONS(6840), 1,
      sym_null_literal,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(6988), 1,
      anon_sym_LBRACE,
    ACTIONS(6990), 1,
      anon_sym_LPAREN,
    STATE(8519), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(10438), 1,
      sym_stable_identifier,
    STATE(10443), 1,
      sym_wildcard,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(14028), 1,
      sym_enumerator,
    STATE(15671), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3884), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10643), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [185454] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6822), 1,
      anon_sym_case,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6838), 1,
      sym_operator_identifier,
    ACTIONS(6840), 1,
      sym_null_literal,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(6992), 1,
      anon_sym_LBRACE,
    ACTIONS(6994), 1,
      anon_sym_LPAREN,
    STATE(8519), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(10438), 1,
      sym_stable_identifier,
    STATE(10443), 1,
      sym_wildcard,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(14028), 1,
      sym_enumerator,
    STATE(15616), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3885), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10643), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [185569] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6822), 1,
      anon_sym_case,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6838), 1,
      sym_operator_identifier,
    ACTIONS(6840), 1,
      sym_null_literal,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(6996), 1,
      anon_sym_LBRACE,
    ACTIONS(6998), 1,
      anon_sym_LPAREN,
    STATE(8519), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(10438), 1,
      sym_stable_identifier,
    STATE(10443), 1,
      sym_wildcard,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(14028), 1,
      sym_enumerator,
    STATE(15716), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3886), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10643), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [185684] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3887), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__interpolated_multiline_string_start,
    ACTIONS(4134), 7,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 8,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_DQUOTE,
    ACTIONS(4130), 29,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [185751] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3888), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 12,
      sym__automatic_semicolon,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7000), 36,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
      anon_sym_yield,
  [185814] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6822), 1,
      anon_sym_case,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6838), 1,
      sym_operator_identifier,
    ACTIONS(6840), 1,
      sym_null_literal,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(7004), 1,
      anon_sym_LBRACE,
    ACTIONS(7006), 1,
      anon_sym_LPAREN,
    STATE(8519), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(10438), 1,
      sym_stable_identifier,
    STATE(10443), 1,
      sym_wildcard,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(14028), 1,
      sym_enumerator,
    STATE(15570), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3889), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10643), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [185929] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6822), 1,
      anon_sym_case,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6838), 1,
      sym_operator_identifier,
    ACTIONS(6840), 1,
      sym_null_literal,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(7008), 1,
      anon_sym_LBRACE,
    ACTIONS(7010), 1,
      anon_sym_LPAREN,
    STATE(8519), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(10438), 1,
      sym_stable_identifier,
    STATE(10443), 1,
      sym_wildcard,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(14028), 1,
      sym_enumerator,
    STATE(15576), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3890), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10643), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [186044] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6822), 1,
      anon_sym_case,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6838), 1,
      sym_operator_identifier,
    ACTIONS(6840), 1,
      sym_null_literal,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(7012), 1,
      anon_sym_LBRACE,
    ACTIONS(7014), 1,
      anon_sym_LPAREN,
    STATE(8519), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(10438), 1,
      sym_stable_identifier,
    STATE(10443), 1,
      sym_wildcard,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(14028), 1,
      sym_enumerator,
    STATE(15532), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3891), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10643), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [186159] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6822), 1,
      anon_sym_case,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6838), 1,
      sym_operator_identifier,
    ACTIONS(6840), 1,
      sym_null_literal,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(7016), 1,
      anon_sym_LBRACE,
    ACTIONS(7018), 1,
      anon_sym_LPAREN,
    STATE(8519), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(10438), 1,
      sym_stable_identifier,
    STATE(10443), 1,
      sym_wildcard,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(14028), 1,
      sym_enumerator,
    STATE(15727), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3892), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10643), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [186274] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6822), 1,
      anon_sym_case,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6838), 1,
      sym_operator_identifier,
    ACTIONS(6840), 1,
      sym_null_literal,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(7020), 1,
      anon_sym_LBRACE,
    ACTIONS(7022), 1,
      anon_sym_LPAREN,
    STATE(8519), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(10438), 1,
      sym_stable_identifier,
    STATE(10443), 1,
      sym_wildcard,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(14028), 1,
      sym_enumerator,
    STATE(15643), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3893), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10643), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [186389] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6822), 1,
      anon_sym_case,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6838), 1,
      sym_operator_identifier,
    ACTIONS(6840), 1,
      sym_null_literal,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(7024), 1,
      anon_sym_LBRACE,
    ACTIONS(7026), 1,
      anon_sym_LPAREN,
    STATE(8519), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(10438), 1,
      sym_stable_identifier,
    STATE(10443), 1,
      sym_wildcard,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(14028), 1,
      sym_enumerator,
    STATE(15691), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3894), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10643), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [186504] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6822), 1,
      anon_sym_case,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6838), 1,
      sym_operator_identifier,
    ACTIONS(6840), 1,
      sym_null_literal,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(7028), 1,
      anon_sym_LBRACE,
    ACTIONS(7030), 1,
      anon_sym_LPAREN,
    STATE(8519), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(10438), 1,
      sym_stable_identifier,
    STATE(10443), 1,
      sym_wildcard,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(14028), 1,
      sym_enumerator,
    STATE(15731), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3895), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10643), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [186619] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6822), 1,
      anon_sym_case,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6838), 1,
      sym_operator_identifier,
    ACTIONS(6840), 1,
      sym_null_literal,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(7032), 1,
      anon_sym_LBRACE,
    ACTIONS(7034), 1,
      anon_sym_LPAREN,
    STATE(8519), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(10438), 1,
      sym_stable_identifier,
    STATE(10443), 1,
      sym_wildcard,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(14028), 1,
      sym_enumerator,
    STATE(15767), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3896), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10643), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [186734] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6822), 1,
      anon_sym_case,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6838), 1,
      sym_operator_identifier,
    ACTIONS(6840), 1,
      sym_null_literal,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(7036), 1,
      anon_sym_LBRACE,
    ACTIONS(7038), 1,
      anon_sym_LPAREN,
    STATE(8519), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(10438), 1,
      sym_stable_identifier,
    STATE(10443), 1,
      sym_wildcard,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(14028), 1,
      sym_enumerator,
    STATE(15700), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3897), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10643), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [186849] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6822), 1,
      anon_sym_case,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6838), 1,
      sym_operator_identifier,
    ACTIONS(6840), 1,
      sym_null_literal,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(7040), 1,
      anon_sym_LBRACE,
    ACTIONS(7042), 1,
      anon_sym_LPAREN,
    STATE(8519), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(10438), 1,
      sym_stable_identifier,
    STATE(10443), 1,
      sym_wildcard,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(14028), 1,
      sym_enumerator,
    STATE(15605), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3898), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10643), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [186964] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6822), 1,
      anon_sym_case,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6838), 1,
      sym_operator_identifier,
    ACTIONS(6840), 1,
      sym_null_literal,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(7044), 1,
      anon_sym_LBRACE,
    ACTIONS(7046), 1,
      anon_sym_LPAREN,
    STATE(8519), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(10438), 1,
      sym_stable_identifier,
    STATE(10443), 1,
      sym_wildcard,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(14028), 1,
      sym_enumerator,
    STATE(15591), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3899), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10643), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [187079] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6822), 1,
      anon_sym_case,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6838), 1,
      sym_operator_identifier,
    ACTIONS(6840), 1,
      sym_null_literal,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(7048), 1,
      anon_sym_LBRACE,
    ACTIONS(7050), 1,
      anon_sym_LPAREN,
    STATE(8519), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(10438), 1,
      sym_stable_identifier,
    STATE(10443), 1,
      sym_wildcard,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(14028), 1,
      sym_enumerator,
    STATE(15623), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3900), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10643), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [187194] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6822), 1,
      anon_sym_case,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6838), 1,
      sym_operator_identifier,
    ACTIONS(6840), 1,
      sym_null_literal,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(7052), 1,
      anon_sym_LBRACE,
    ACTIONS(7054), 1,
      anon_sym_LPAREN,
    STATE(8519), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(10438), 1,
      sym_stable_identifier,
    STATE(10443), 1,
      sym_wildcard,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(14028), 1,
      sym_enumerator,
    STATE(15561), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3901), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10643), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [187309] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6822), 1,
      anon_sym_case,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6838), 1,
      sym_operator_identifier,
    ACTIONS(6840), 1,
      sym_null_literal,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(7056), 1,
      anon_sym_LBRACE,
    ACTIONS(7058), 1,
      anon_sym_LPAREN,
    STATE(8519), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(10438), 1,
      sym_stable_identifier,
    STATE(10443), 1,
      sym_wildcard,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(14028), 1,
      sym_enumerator,
    STATE(15547), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3902), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10643), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [187424] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6822), 1,
      anon_sym_case,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6838), 1,
      sym_operator_identifier,
    ACTIONS(6840), 1,
      sym_null_literal,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(7060), 1,
      anon_sym_LBRACE,
    ACTIONS(7062), 1,
      anon_sym_LPAREN,
    STATE(8519), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(10438), 1,
      sym_stable_identifier,
    STATE(10443), 1,
      sym_wildcard,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(14028), 1,
      sym_enumerator,
    STATE(15620), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3903), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10643), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [187539] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6822), 1,
      anon_sym_case,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6838), 1,
      sym_operator_identifier,
    ACTIONS(6840), 1,
      sym_null_literal,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(7064), 1,
      anon_sym_LBRACE,
    ACTIONS(7066), 1,
      anon_sym_LPAREN,
    STATE(8519), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(10438), 1,
      sym_stable_identifier,
    STATE(10443), 1,
      sym_wildcard,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(14028), 1,
      sym_enumerator,
    STATE(15650), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3904), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10643), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [187654] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(7068), 1,
      anon_sym_case,
    ACTIONS(7070), 1,
      anon_sym_LPAREN,
    ACTIONS(7072), 1,
      sym_operator_identifier,
    ACTIONS(7074), 1,
      sym_null_literal,
    STATE(5989), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(9639), 1,
      sym_wildcard,
    STATE(9648), 1,
      sym_stable_identifier,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(13967), 1,
      sym_enumerator,
    STATE(15950), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3905), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10044), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [187766] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(7068), 1,
      anon_sym_case,
    ACTIONS(7070), 1,
      anon_sym_LPAREN,
    ACTIONS(7072), 1,
      sym_operator_identifier,
    ACTIONS(7074), 1,
      sym_null_literal,
    STATE(5989), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(9639), 1,
      sym_wildcard,
    STATE(9648), 1,
      sym_stable_identifier,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(13967), 1,
      sym_enumerator,
    STATE(17085), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3906), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10044), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [187878] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(7068), 1,
      anon_sym_case,
    ACTIONS(7070), 1,
      anon_sym_LPAREN,
    ACTIONS(7076), 1,
      sym_operator_identifier,
    ACTIONS(7078), 1,
      sym_null_literal,
    STATE(8376), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(10394), 1,
      sym_wildcard,
    STATE(10399), 1,
      sym_stable_identifier,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(13967), 1,
      sym_enumerator,
    STATE(16566), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3907), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10663), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [187990] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(7068), 1,
      anon_sym_case,
    ACTIONS(7070), 1,
      anon_sym_LPAREN,
    ACTIONS(7076), 1,
      sym_operator_identifier,
    ACTIONS(7078), 1,
      sym_null_literal,
    STATE(8376), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(10394), 1,
      sym_wildcard,
    STATE(10399), 1,
      sym_stable_identifier,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(13967), 1,
      sym_enumerator,
    STATE(16644), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3908), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10663), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [188102] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(7068), 1,
      anon_sym_case,
    ACTIONS(7070), 1,
      anon_sym_LPAREN,
    ACTIONS(7072), 1,
      sym_operator_identifier,
    ACTIONS(7074), 1,
      sym_null_literal,
    STATE(5989), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(9639), 1,
      sym_wildcard,
    STATE(9648), 1,
      sym_stable_identifier,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(13967), 1,
      sym_enumerator,
    STATE(16565), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3909), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10044), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [188214] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(7068), 1,
      anon_sym_case,
    ACTIONS(7070), 1,
      anon_sym_LPAREN,
    ACTIONS(7072), 1,
      sym_operator_identifier,
    ACTIONS(7074), 1,
      sym_null_literal,
    STATE(5989), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(9639), 1,
      sym_wildcard,
    STATE(9648), 1,
      sym_stable_identifier,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(13967), 1,
      sym_enumerator,
    STATE(16368), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3910), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10044), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [188326] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(7068), 1,
      anon_sym_case,
    ACTIONS(7070), 1,
      anon_sym_LPAREN,
    ACTIONS(7076), 1,
      sym_operator_identifier,
    ACTIONS(7078), 1,
      sym_null_literal,
    STATE(8376), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(10394), 1,
      sym_wildcard,
    STATE(10399), 1,
      sym_stable_identifier,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(13967), 1,
      sym_enumerator,
    STATE(16486), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3911), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10663), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [188438] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(7068), 1,
      anon_sym_case,
    ACTIONS(7070), 1,
      anon_sym_LPAREN,
    ACTIONS(7072), 1,
      sym_operator_identifier,
    ACTIONS(7074), 1,
      sym_null_literal,
    STATE(5989), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(9639), 1,
      sym_wildcard,
    STATE(9648), 1,
      sym_stable_identifier,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(13967), 1,
      sym_enumerator,
    STATE(17222), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3912), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10044), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [188550] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(7068), 1,
      anon_sym_case,
    ACTIONS(7070), 1,
      anon_sym_LPAREN,
    ACTIONS(7072), 1,
      sym_operator_identifier,
    ACTIONS(7074), 1,
      sym_null_literal,
    STATE(5989), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(9639), 1,
      sym_wildcard,
    STATE(9648), 1,
      sym_stable_identifier,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(13967), 1,
      sym_enumerator,
    STATE(15833), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3913), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10044), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [188662] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(7068), 1,
      anon_sym_case,
    ACTIONS(7070), 1,
      anon_sym_LPAREN,
    ACTIONS(7076), 1,
      sym_operator_identifier,
    ACTIONS(7078), 1,
      sym_null_literal,
    STATE(8376), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(10394), 1,
      sym_wildcard,
    STATE(10399), 1,
      sym_stable_identifier,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(13967), 1,
      sym_enumerator,
    STATE(15834), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3914), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10663), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [188774] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(7068), 1,
      anon_sym_case,
    ACTIONS(7070), 1,
      anon_sym_LPAREN,
    ACTIONS(7076), 1,
      sym_operator_identifier,
    ACTIONS(7078), 1,
      sym_null_literal,
    STATE(8376), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(10394), 1,
      sym_wildcard,
    STATE(10399), 1,
      sym_stable_identifier,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(13967), 1,
      sym_enumerator,
    STATE(16158), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3915), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10663), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [188886] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(7068), 1,
      anon_sym_case,
    ACTIONS(7070), 1,
      anon_sym_LPAREN,
    ACTIONS(7072), 1,
      sym_operator_identifier,
    ACTIONS(7074), 1,
      sym_null_literal,
    STATE(5989), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(9639), 1,
      sym_wildcard,
    STATE(9648), 1,
      sym_stable_identifier,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(13967), 1,
      sym_enumerator,
    STATE(16706), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3916), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10044), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [188998] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(7068), 1,
      anon_sym_case,
    ACTIONS(7070), 1,
      anon_sym_LPAREN,
    ACTIONS(7076), 1,
      sym_operator_identifier,
    ACTIONS(7078), 1,
      sym_null_literal,
    STATE(8376), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(10394), 1,
      sym_wildcard,
    STATE(10399), 1,
      sym_stable_identifier,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(13967), 1,
      sym_enumerator,
    STATE(16768), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3917), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10663), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [189110] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(7068), 1,
      anon_sym_case,
    ACTIONS(7070), 1,
      anon_sym_LPAREN,
    ACTIONS(7076), 1,
      sym_operator_identifier,
    ACTIONS(7078), 1,
      sym_null_literal,
    STATE(8376), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(10394), 1,
      sym_wildcard,
    STATE(10399), 1,
      sym_stable_identifier,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(13967), 1,
      sym_enumerator,
    STATE(15994), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3918), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10663), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [189222] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(7068), 1,
      anon_sym_case,
    ACTIONS(7070), 1,
      anon_sym_LPAREN,
    ACTIONS(7076), 1,
      sym_operator_identifier,
    ACTIONS(7078), 1,
      sym_null_literal,
    STATE(8376), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(10394), 1,
      sym_wildcard,
    STATE(10399), 1,
      sym_stable_identifier,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(13967), 1,
      sym_enumerator,
    STATE(16113), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3919), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10663), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [189334] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(7068), 1,
      anon_sym_case,
    ACTIONS(7070), 1,
      anon_sym_LPAREN,
    ACTIONS(7076), 1,
      sym_operator_identifier,
    ACTIONS(7078), 1,
      sym_null_literal,
    STATE(8376), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(10394), 1,
      sym_wildcard,
    STATE(10399), 1,
      sym_stable_identifier,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(13967), 1,
      sym_enumerator,
    STATE(17135), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3920), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10663), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [189446] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(7068), 1,
      anon_sym_case,
    ACTIONS(7070), 1,
      anon_sym_LPAREN,
    ACTIONS(7072), 1,
      sym_operator_identifier,
    ACTIONS(7074), 1,
      sym_null_literal,
    STATE(5989), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(9639), 1,
      sym_wildcard,
    STATE(9648), 1,
      sym_stable_identifier,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(13967), 1,
      sym_enumerator,
    STATE(16463), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3921), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10044), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [189558] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(7068), 1,
      anon_sym_case,
    ACTIONS(7070), 1,
      anon_sym_LPAREN,
    ACTIONS(7072), 1,
      sym_operator_identifier,
    ACTIONS(7074), 1,
      sym_null_literal,
    STATE(5989), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(9639), 1,
      sym_wildcard,
    STATE(9648), 1,
      sym_stable_identifier,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(13967), 1,
      sym_enumerator,
    STATE(16700), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3922), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10044), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [189670] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(7068), 1,
      anon_sym_case,
    ACTIONS(7070), 1,
      anon_sym_LPAREN,
    ACTIONS(7072), 1,
      sym_operator_identifier,
    ACTIONS(7074), 1,
      sym_null_literal,
    STATE(5989), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(9639), 1,
      sym_wildcard,
    STATE(9648), 1,
      sym_stable_identifier,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(13967), 1,
      sym_enumerator,
    STATE(16795), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3923), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10044), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [189782] = 29,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6822), 1,
      anon_sym_case,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6838), 1,
      sym_operator_identifier,
    ACTIONS(6840), 1,
      sym_null_literal,
    ACTIONS(7070), 1,
      anon_sym_LPAREN,
    STATE(8519), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(10438), 1,
      sym_stable_identifier,
    STATE(10443), 1,
      sym_wildcard,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(13674), 1,
      sym_enumerator,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    ACTIONS(7080), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(3924), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10643), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [189892] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(7068), 1,
      anon_sym_case,
    ACTIONS(7070), 1,
      anon_sym_LPAREN,
    ACTIONS(7072), 1,
      sym_operator_identifier,
    ACTIONS(7074), 1,
      sym_null_literal,
    STATE(5989), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(9639), 1,
      sym_wildcard,
    STATE(9648), 1,
      sym_stable_identifier,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(13967), 1,
      sym_enumerator,
    STATE(16676), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3925), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10044), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [190004] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(7068), 1,
      anon_sym_case,
    ACTIONS(7070), 1,
      anon_sym_LPAREN,
    ACTIONS(7076), 1,
      sym_operator_identifier,
    ACTIONS(7078), 1,
      sym_null_literal,
    STATE(8376), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(10394), 1,
      sym_wildcard,
    STATE(10399), 1,
      sym_stable_identifier,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(13967), 1,
      sym_enumerator,
    STATE(16044), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3926), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10663), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [190116] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(7068), 1,
      anon_sym_case,
    ACTIONS(7070), 1,
      anon_sym_LPAREN,
    ACTIONS(7076), 1,
      sym_operator_identifier,
    ACTIONS(7078), 1,
      sym_null_literal,
    STATE(8376), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(10394), 1,
      sym_wildcard,
    STATE(10399), 1,
      sym_stable_identifier,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(13967), 1,
      sym_enumerator,
    STATE(16428), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3927), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10663), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [190228] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(7068), 1,
      anon_sym_case,
    ACTIONS(7070), 1,
      anon_sym_LPAREN,
    ACTIONS(7072), 1,
      sym_operator_identifier,
    ACTIONS(7074), 1,
      sym_null_literal,
    STATE(5989), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(9639), 1,
      sym_wildcard,
    STATE(9648), 1,
      sym_stable_identifier,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(13967), 1,
      sym_enumerator,
    STATE(16048), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3928), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10044), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [190340] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(7068), 1,
      anon_sym_case,
    ACTIONS(7070), 1,
      anon_sym_LPAREN,
    ACTIONS(7076), 1,
      sym_operator_identifier,
    ACTIONS(7078), 1,
      sym_null_literal,
    STATE(8376), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(10394), 1,
      sym_wildcard,
    STATE(10399), 1,
      sym_stable_identifier,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(13967), 1,
      sym_enumerator,
    STATE(16755), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3929), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10663), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [190452] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(7068), 1,
      anon_sym_case,
    ACTIONS(7070), 1,
      anon_sym_LPAREN,
    ACTIONS(7072), 1,
      sym_operator_identifier,
    ACTIONS(7074), 1,
      sym_null_literal,
    STATE(5989), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(9639), 1,
      sym_wildcard,
    STATE(9648), 1,
      sym_stable_identifier,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(13967), 1,
      sym_enumerator,
    STATE(15887), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3930), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10044), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [190564] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(7068), 1,
      anon_sym_case,
    ACTIONS(7070), 1,
      anon_sym_LPAREN,
    ACTIONS(7076), 1,
      sym_operator_identifier,
    ACTIONS(7078), 1,
      sym_null_literal,
    STATE(8376), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(10394), 1,
      sym_wildcard,
    STATE(10399), 1,
      sym_stable_identifier,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(13967), 1,
      sym_enumerator,
    STATE(16077), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3931), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10663), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [190676] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(7068), 1,
      anon_sym_case,
    ACTIONS(7070), 1,
      anon_sym_LPAREN,
    ACTIONS(7076), 1,
      sym_operator_identifier,
    ACTIONS(7078), 1,
      sym_null_literal,
    STATE(8376), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(10394), 1,
      sym_wildcard,
    STATE(10399), 1,
      sym_stable_identifier,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(13967), 1,
      sym_enumerator,
    STATE(15889), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3932), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10663), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [190788] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(7068), 1,
      anon_sym_case,
    ACTIONS(7070), 1,
      anon_sym_LPAREN,
    ACTIONS(7072), 1,
      sym_operator_identifier,
    ACTIONS(7074), 1,
      sym_null_literal,
    STATE(5989), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(9639), 1,
      sym_wildcard,
    STATE(9648), 1,
      sym_stable_identifier,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(13967), 1,
      sym_enumerator,
    STATE(16753), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3933), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10044), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [190900] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(7068), 1,
      anon_sym_case,
    ACTIONS(7070), 1,
      anon_sym_LPAREN,
    ACTIONS(7072), 1,
      sym_operator_identifier,
    ACTIONS(7074), 1,
      sym_null_literal,
    STATE(5989), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(9639), 1,
      sym_wildcard,
    STATE(9648), 1,
      sym_stable_identifier,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(13967), 1,
      sym_enumerator,
    STATE(15965), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3934), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10044), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [191012] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(7068), 1,
      anon_sym_case,
    ACTIONS(7070), 1,
      anon_sym_LPAREN,
    ACTIONS(7076), 1,
      sym_operator_identifier,
    ACTIONS(7078), 1,
      sym_null_literal,
    STATE(8376), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(10394), 1,
      sym_wildcard,
    STATE(10399), 1,
      sym_stable_identifier,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(13967), 1,
      sym_enumerator,
    STATE(16791), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3935), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10663), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [191124] = 29,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6822), 1,
      anon_sym_case,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6838), 1,
      sym_operator_identifier,
    ACTIONS(6840), 1,
      sym_null_literal,
    ACTIONS(7070), 1,
      anon_sym_LPAREN,
    STATE(8519), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(10438), 1,
      sym_stable_identifier,
    STATE(10443), 1,
      sym_wildcard,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(13674), 1,
      sym_enumerator,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    ACTIONS(7082), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(3936), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10643), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [191234] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(7068), 1,
      anon_sym_case,
    ACTIONS(7070), 1,
      anon_sym_LPAREN,
    ACTIONS(7072), 1,
      sym_operator_identifier,
    ACTIONS(7074), 1,
      sym_null_literal,
    STATE(5989), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(9639), 1,
      sym_wildcard,
    STATE(9648), 1,
      sym_stable_identifier,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(13967), 1,
      sym_enumerator,
    STATE(16732), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3937), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10044), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [191346] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(7068), 1,
      anon_sym_case,
    ACTIONS(7070), 1,
      anon_sym_LPAREN,
    ACTIONS(7072), 1,
      sym_operator_identifier,
    ACTIONS(7074), 1,
      sym_null_literal,
    STATE(5989), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(9639), 1,
      sym_wildcard,
    STATE(9648), 1,
      sym_stable_identifier,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(13967), 1,
      sym_enumerator,
    STATE(16792), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3938), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10044), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [191458] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(7068), 1,
      anon_sym_case,
    ACTIONS(7070), 1,
      anon_sym_LPAREN,
    ACTIONS(7072), 1,
      sym_operator_identifier,
    ACTIONS(7074), 1,
      sym_null_literal,
    STATE(5989), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(9639), 1,
      sym_wildcard,
    STATE(9648), 1,
      sym_stable_identifier,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(13967), 1,
      sym_enumerator,
    STATE(16414), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3939), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10044), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [191570] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(7068), 1,
      anon_sym_case,
    ACTIONS(7070), 1,
      anon_sym_LPAREN,
    ACTIONS(7076), 1,
      sym_operator_identifier,
    ACTIONS(7078), 1,
      sym_null_literal,
    STATE(8376), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(10394), 1,
      sym_wildcard,
    STATE(10399), 1,
      sym_stable_identifier,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(13967), 1,
      sym_enumerator,
    STATE(16331), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3940), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10663), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [191682] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(7068), 1,
      anon_sym_case,
    ACTIONS(7070), 1,
      anon_sym_LPAREN,
    ACTIONS(7076), 1,
      sym_operator_identifier,
    ACTIONS(7078), 1,
      sym_null_literal,
    STATE(8376), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(10394), 1,
      sym_wildcard,
    STATE(10399), 1,
      sym_stable_identifier,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(13967), 1,
      sym_enumerator,
    STATE(16413), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3941), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10663), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [191794] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(7068), 1,
      anon_sym_case,
    ACTIONS(7070), 1,
      anon_sym_LPAREN,
    ACTIONS(7072), 1,
      sym_operator_identifier,
    ACTIONS(7074), 1,
      sym_null_literal,
    STATE(5989), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(9639), 1,
      sym_wildcard,
    STATE(9648), 1,
      sym_stable_identifier,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(13967), 1,
      sym_enumerator,
    STATE(16853), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3942), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10044), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [191906] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(7068), 1,
      anon_sym_case,
    ACTIONS(7070), 1,
      anon_sym_LPAREN,
    ACTIONS(7072), 1,
      sym_operator_identifier,
    ACTIONS(7074), 1,
      sym_null_literal,
    STATE(5989), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(9639), 1,
      sym_wildcard,
    STATE(9648), 1,
      sym_stable_identifier,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(13967), 1,
      sym_enumerator,
    STATE(16330), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3943), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10044), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [192018] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(7068), 1,
      anon_sym_case,
    ACTIONS(7070), 1,
      anon_sym_LPAREN,
    ACTIONS(7076), 1,
      sym_operator_identifier,
    ACTIONS(7078), 1,
      sym_null_literal,
    STATE(8376), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(10394), 1,
      sym_wildcard,
    STATE(10399), 1,
      sym_stable_identifier,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(13967), 1,
      sym_enumerator,
    STATE(16814), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3944), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10663), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [192130] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(7068), 1,
      anon_sym_case,
    ACTIONS(7070), 1,
      anon_sym_LPAREN,
    ACTIONS(7072), 1,
      sym_operator_identifier,
    ACTIONS(7074), 1,
      sym_null_literal,
    STATE(5989), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(9639), 1,
      sym_wildcard,
    STATE(9648), 1,
      sym_stable_identifier,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(13967), 1,
      sym_enumerator,
    STATE(16427), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3945), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10044), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [192242] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(7068), 1,
      anon_sym_case,
    ACTIONS(7070), 1,
      anon_sym_LPAREN,
    ACTIONS(7076), 1,
      sym_operator_identifier,
    ACTIONS(7078), 1,
      sym_null_literal,
    STATE(8376), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(10394), 1,
      sym_wildcard,
    STATE(10399), 1,
      sym_stable_identifier,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(13967), 1,
      sym_enumerator,
    STATE(15951), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3946), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10663), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [192354] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(7068), 1,
      anon_sym_case,
    ACTIONS(7070), 1,
      anon_sym_LPAREN,
    ACTIONS(7072), 1,
      sym_operator_identifier,
    ACTIONS(7074), 1,
      sym_null_literal,
    STATE(5989), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(9639), 1,
      sym_wildcard,
    STATE(9648), 1,
      sym_stable_identifier,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(13967), 1,
      sym_enumerator,
    STATE(15995), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3947), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10044), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [192466] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(7068), 1,
      anon_sym_case,
    ACTIONS(7070), 1,
      anon_sym_LPAREN,
    ACTIONS(7072), 1,
      sym_operator_identifier,
    ACTIONS(7074), 1,
      sym_null_literal,
    STATE(5989), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(9639), 1,
      sym_wildcard,
    STATE(9648), 1,
      sym_stable_identifier,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(13967), 1,
      sym_enumerator,
    STATE(16816), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3948), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10044), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [192578] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(7068), 1,
      anon_sym_case,
    ACTIONS(7070), 1,
      anon_sym_LPAREN,
    ACTIONS(7072), 1,
      sym_operator_identifier,
    ACTIONS(7074), 1,
      sym_null_literal,
    STATE(5989), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(9639), 1,
      sym_wildcard,
    STATE(9648), 1,
      sym_stable_identifier,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(13967), 1,
      sym_enumerator,
    STATE(15784), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3949), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10044), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [192690] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(7068), 1,
      anon_sym_case,
    ACTIONS(7070), 1,
      anon_sym_LPAREN,
    ACTIONS(7076), 1,
      sym_operator_identifier,
    ACTIONS(7078), 1,
      sym_null_literal,
    STATE(8376), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(10394), 1,
      sym_wildcard,
    STATE(10399), 1,
      sym_stable_identifier,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(13967), 1,
      sym_enumerator,
    STATE(16855), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3950), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10663), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [192802] = 29,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(7068), 1,
      anon_sym_case,
    ACTIONS(7070), 1,
      anon_sym_LPAREN,
    ACTIONS(7076), 1,
      sym_operator_identifier,
    ACTIONS(7078), 1,
      sym_null_literal,
    STATE(8376), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(10394), 1,
      sym_wildcard,
    STATE(10399), 1,
      sym_stable_identifier,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(13674), 1,
      sym_enumerator,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    ACTIONS(7084), 2,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
    STATE(3951), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10663), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [192912] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(7068), 1,
      anon_sym_case,
    ACTIONS(7070), 1,
      anon_sym_LPAREN,
    ACTIONS(7072), 1,
      sym_operator_identifier,
    ACTIONS(7074), 1,
      sym_null_literal,
    STATE(5989), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(9639), 1,
      sym_wildcard,
    STATE(9648), 1,
      sym_stable_identifier,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(13967), 1,
      sym_enumerator,
    STATE(16374), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3952), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10044), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [193024] = 29,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(7068), 1,
      anon_sym_case,
    ACTIONS(7070), 1,
      anon_sym_LPAREN,
    ACTIONS(7076), 1,
      sym_operator_identifier,
    ACTIONS(7078), 1,
      sym_null_literal,
    STATE(8376), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(10394), 1,
      sym_wildcard,
    STATE(10399), 1,
      sym_stable_identifier,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(13674), 1,
      sym_enumerator,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    ACTIONS(7086), 2,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
    STATE(3953), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10663), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [193134] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3954), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 12,
      sym__automatic_semicolon,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7000), 35,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
      anon_sym_yield,
  [193196] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(7068), 1,
      anon_sym_case,
    ACTIONS(7070), 1,
      anon_sym_LPAREN,
    ACTIONS(7072), 1,
      sym_operator_identifier,
    ACTIONS(7074), 1,
      sym_null_literal,
    STATE(5989), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(9639), 1,
      sym_wildcard,
    STATE(9648), 1,
      sym_stable_identifier,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(13967), 1,
      sym_enumerator,
    STATE(16744), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3955), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10044), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [193308] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(7068), 1,
      anon_sym_case,
    ACTIONS(7070), 1,
      anon_sym_LPAREN,
    ACTIONS(7076), 1,
      sym_operator_identifier,
    ACTIONS(7078), 1,
      sym_null_literal,
    STATE(8376), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(10394), 1,
      sym_wildcard,
    STATE(10399), 1,
      sym_stable_identifier,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(13967), 1,
      sym_enumerator,
    STATE(16369), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3956), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10663), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [193420] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(7068), 1,
      anon_sym_case,
    ACTIONS(7070), 1,
      anon_sym_LPAREN,
    ACTIONS(7076), 1,
      sym_operator_identifier,
    ACTIONS(7078), 1,
      sym_null_literal,
    STATE(8376), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(10394), 1,
      sym_wildcard,
    STATE(10399), 1,
      sym_stable_identifier,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(13967), 1,
      sym_enumerator,
    STATE(16748), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3957), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10663), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [193532] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(7068), 1,
      anon_sym_case,
    ACTIONS(7070), 1,
      anon_sym_LPAREN,
    ACTIONS(7076), 1,
      sym_operator_identifier,
    ACTIONS(7078), 1,
      sym_null_literal,
    STATE(8376), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(10394), 1,
      sym_wildcard,
    STATE(10399), 1,
      sym_stable_identifier,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(13967), 1,
      sym_enumerator,
    STATE(16743), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3958), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10663), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [193644] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(7068), 1,
      anon_sym_case,
    ACTIONS(7070), 1,
      anon_sym_LPAREN,
    ACTIONS(7072), 1,
      sym_operator_identifier,
    ACTIONS(7074), 1,
      sym_null_literal,
    STATE(5989), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(9639), 1,
      sym_wildcard,
    STATE(9648), 1,
      sym_stable_identifier,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(13967), 1,
      sym_enumerator,
    STATE(16013), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3959), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10044), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [193756] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(7068), 1,
      anon_sym_case,
    ACTIONS(7070), 1,
      anon_sym_LPAREN,
    ACTIONS(7076), 1,
      sym_operator_identifier,
    ACTIONS(7078), 1,
      sym_null_literal,
    STATE(8376), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(10394), 1,
      sym_wildcard,
    STATE(10399), 1,
      sym_stable_identifier,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(13967), 1,
      sym_enumerator,
    STATE(16014), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3960), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10663), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [193868] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(7068), 1,
      anon_sym_case,
    ACTIONS(7070), 1,
      anon_sym_LPAREN,
    ACTIONS(7076), 1,
      sym_operator_identifier,
    ACTIONS(7078), 1,
      sym_null_literal,
    STATE(8376), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(10394), 1,
      sym_wildcard,
    STATE(10399), 1,
      sym_stable_identifier,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(13967), 1,
      sym_enumerator,
    STATE(16675), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3961), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10663), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [193980] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(7068), 1,
      anon_sym_case,
    ACTIONS(7070), 1,
      anon_sym_LPAREN,
    ACTIONS(7076), 1,
      sym_operator_identifier,
    ACTIONS(7078), 1,
      sym_null_literal,
    STATE(8376), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(10394), 1,
      sym_wildcard,
    STATE(10399), 1,
      sym_stable_identifier,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(13967), 1,
      sym_enumerator,
    STATE(15832), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3962), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10663), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [194092] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3963), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 12,
      sym__automatic_semicolon,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7000), 35,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
      anon_sym_yield,
  [194154] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(7068), 1,
      anon_sym_case,
    ACTIONS(7070), 1,
      anon_sym_LPAREN,
    ACTIONS(7072), 1,
      sym_operator_identifier,
    ACTIONS(7074), 1,
      sym_null_literal,
    STATE(5989), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(9639), 1,
      sym_wildcard,
    STATE(9648), 1,
      sym_stable_identifier,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(13967), 1,
      sym_enumerator,
    STATE(16106), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3964), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10044), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [194266] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(7068), 1,
      anon_sym_case,
    ACTIONS(7070), 1,
      anon_sym_LPAREN,
    ACTIONS(7072), 1,
      sym_operator_identifier,
    ACTIONS(7074), 1,
      sym_null_literal,
    STATE(5989), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(9639), 1,
      sym_wildcard,
    STATE(9648), 1,
      sym_stable_identifier,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(13967), 1,
      sym_enumerator,
    STATE(15836), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3965), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10044), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [194378] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(7068), 1,
      anon_sym_case,
    ACTIONS(7070), 1,
      anon_sym_LPAREN,
    ACTIONS(7076), 1,
      sym_operator_identifier,
    ACTIONS(7078), 1,
      sym_null_literal,
    STATE(8376), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(10394), 1,
      sym_wildcard,
    STATE(10399), 1,
      sym_stable_identifier,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(13967), 1,
      sym_enumerator,
    STATE(16528), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3966), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10663), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [194490] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(7068), 1,
      anon_sym_case,
    ACTIONS(7070), 1,
      anon_sym_LPAREN,
    ACTIONS(7076), 1,
      sym_operator_identifier,
    ACTIONS(7078), 1,
      sym_null_literal,
    STATE(8376), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(10394), 1,
      sym_wildcard,
    STATE(10399), 1,
      sym_stable_identifier,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(13967), 1,
      sym_enumerator,
    STATE(16840), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3967), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10663), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [194602] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(7068), 1,
      anon_sym_case,
    ACTIONS(7070), 1,
      anon_sym_LPAREN,
    ACTIONS(7076), 1,
      sym_operator_identifier,
    ACTIONS(7078), 1,
      sym_null_literal,
    STATE(8376), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(10394), 1,
      sym_wildcard,
    STATE(10399), 1,
      sym_stable_identifier,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(13967), 1,
      sym_enumerator,
    STATE(16707), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3968), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10663), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [194714] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(7068), 1,
      anon_sym_case,
    ACTIONS(7070), 1,
      anon_sym_LPAREN,
    ACTIONS(7072), 1,
      sym_operator_identifier,
    ACTIONS(7074), 1,
      sym_null_literal,
    STATE(5989), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(9639), 1,
      sym_wildcard,
    STATE(9648), 1,
      sym_stable_identifier,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(13967), 1,
      sym_enumerator,
    STATE(16318), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3969), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10044), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [194826] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(7068), 1,
      anon_sym_case,
    ACTIONS(7070), 1,
      anon_sym_LPAREN,
    ACTIONS(7076), 1,
      sym_operator_identifier,
    ACTIONS(7078), 1,
      sym_null_literal,
    STATE(8376), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(10394), 1,
      sym_wildcard,
    STATE(10399), 1,
      sym_stable_identifier,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(13967), 1,
      sym_enumerator,
    STATE(16317), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3970), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10663), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [194938] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(7068), 1,
      anon_sym_case,
    ACTIONS(7070), 1,
      anon_sym_LPAREN,
    ACTIONS(7072), 1,
      sym_operator_identifier,
    ACTIONS(7074), 1,
      sym_null_literal,
    STATE(5989), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(9639), 1,
      sym_wildcard,
    STATE(9648), 1,
      sym_stable_identifier,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(13967), 1,
      sym_enumerator,
    STATE(16068), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3971), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10044), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [195050] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(7068), 1,
      anon_sym_case,
    ACTIONS(7070), 1,
      anon_sym_LPAREN,
    ACTIONS(7076), 1,
      sym_operator_identifier,
    ACTIONS(7078), 1,
      sym_null_literal,
    STATE(8376), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(10394), 1,
      sym_wildcard,
    STATE(10399), 1,
      sym_stable_identifier,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(13967), 1,
      sym_enumerator,
    STATE(16069), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3972), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10663), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [195162] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3973), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 12,
      sym__automatic_semicolon,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 35,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
      anon_sym_yield,
  [195224] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(7068), 1,
      anon_sym_case,
    ACTIONS(7070), 1,
      anon_sym_LPAREN,
    ACTIONS(7076), 1,
      sym_operator_identifier,
    ACTIONS(7078), 1,
      sym_null_literal,
    STATE(8376), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(10394), 1,
      sym_wildcard,
    STATE(10399), 1,
      sym_stable_identifier,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(13967), 1,
      sym_enumerator,
    STATE(16461), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3974), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10663), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [195336] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(7068), 1,
      anon_sym_case,
    ACTIONS(7070), 1,
      anon_sym_LPAREN,
    ACTIONS(7072), 1,
      sym_operator_identifier,
    ACTIONS(7074), 1,
      sym_null_literal,
    STATE(5989), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(9639), 1,
      sym_wildcard,
    STATE(9648), 1,
      sym_stable_identifier,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(13967), 1,
      sym_enumerator,
    STATE(16843), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3975), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10044), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [195448] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(7068), 1,
      anon_sym_case,
    ACTIONS(7070), 1,
      anon_sym_LPAREN,
    ACTIONS(7076), 1,
      sym_operator_identifier,
    ACTIONS(7078), 1,
      sym_null_literal,
    STATE(8376), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(10394), 1,
      sym_wildcard,
    STATE(10399), 1,
      sym_stable_identifier,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(13967), 1,
      sym_enumerator,
    STATE(15853), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3976), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10663), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [195560] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(7068), 1,
      anon_sym_case,
    ACTIONS(7070), 1,
      anon_sym_LPAREN,
    ACTIONS(7072), 1,
      sym_operator_identifier,
    ACTIONS(7074), 1,
      sym_null_literal,
    STATE(5989), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(9639), 1,
      sym_wildcard,
    STATE(9648), 1,
      sym_stable_identifier,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(13967), 1,
      sym_enumerator,
    STATE(16909), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3977), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10044), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [195672] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(7068), 1,
      anon_sym_case,
    ACTIONS(7070), 1,
      anon_sym_LPAREN,
    ACTIONS(7072), 1,
      sym_operator_identifier,
    ACTIONS(7074), 1,
      sym_null_literal,
    STATE(5989), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(9639), 1,
      sym_wildcard,
    STATE(9648), 1,
      sym_stable_identifier,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(13967), 1,
      sym_enumerator,
    STATE(16292), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3978), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10044), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [195784] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(7068), 1,
      anon_sym_case,
    ACTIONS(7070), 1,
      anon_sym_LPAREN,
    ACTIONS(7076), 1,
      sym_operator_identifier,
    ACTIONS(7078), 1,
      sym_null_literal,
    STATE(8376), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(10394), 1,
      sym_wildcard,
    STATE(10399), 1,
      sym_stable_identifier,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(13967), 1,
      sym_enumerator,
    STATE(16289), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3979), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10663), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [195896] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(7068), 1,
      anon_sym_case,
    ACTIONS(7070), 1,
      anon_sym_LPAREN,
    ACTIONS(7076), 1,
      sym_operator_identifier,
    ACTIONS(7078), 1,
      sym_null_literal,
    STATE(8376), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(10394), 1,
      sym_wildcard,
    STATE(10399), 1,
      sym_stable_identifier,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(13967), 1,
      sym_enumerator,
    STATE(16910), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3980), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10663), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [196008] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(7068), 1,
      anon_sym_case,
    ACTIONS(7070), 1,
      anon_sym_LPAREN,
    ACTIONS(7072), 1,
      sym_operator_identifier,
    ACTIONS(7074), 1,
      sym_null_literal,
    STATE(5989), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(9639), 1,
      sym_wildcard,
    STATE(9648), 1,
      sym_stable_identifier,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(13967), 1,
      sym_enumerator,
    STATE(16530), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3981), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10044), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [196120] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(7068), 1,
      anon_sym_case,
    ACTIONS(7070), 1,
      anon_sym_LPAREN,
    ACTIONS(7076), 1,
      sym_operator_identifier,
    ACTIONS(7078), 1,
      sym_null_literal,
    STATE(8376), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(10394), 1,
      sym_wildcard,
    STATE(10399), 1,
      sym_stable_identifier,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(13967), 1,
      sym_enumerator,
    STATE(16587), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3982), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10663), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [196232] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(7068), 1,
      anon_sym_case,
    ACTIONS(7070), 1,
      anon_sym_LPAREN,
    ACTIONS(7072), 1,
      sym_operator_identifier,
    ACTIONS(7074), 1,
      sym_null_literal,
    STATE(5989), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(9639), 1,
      sym_wildcard,
    STATE(9648), 1,
      sym_stable_identifier,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(13967), 1,
      sym_enumerator,
    STATE(16589), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3983), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10044), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [196344] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(7068), 1,
      anon_sym_case,
    ACTIONS(7070), 1,
      anon_sym_LPAREN,
    ACTIONS(7076), 1,
      sym_operator_identifier,
    ACTIONS(7078), 1,
      sym_null_literal,
    STATE(8376), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(10394), 1,
      sym_wildcard,
    STATE(10399), 1,
      sym_stable_identifier,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(13967), 1,
      sym_enumerator,
    STATE(17086), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3984), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10663), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [196456] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(7068), 1,
      anon_sym_case,
    ACTIONS(7070), 1,
      anon_sym_LPAREN,
    ACTIONS(7072), 1,
      sym_operator_identifier,
    ACTIONS(7074), 1,
      sym_null_literal,
    STATE(5989), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(9639), 1,
      sym_wildcard,
    STATE(9648), 1,
      sym_stable_identifier,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(13967), 1,
      sym_enumerator,
    STATE(16095), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3985), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10044), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [196568] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(7068), 1,
      anon_sym_case,
    ACTIONS(7070), 1,
      anon_sym_LPAREN,
    ACTIONS(7076), 1,
      sym_operator_identifier,
    ACTIONS(7078), 1,
      sym_null_literal,
    STATE(8376), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(10394), 1,
      sym_wildcard,
    STATE(10399), 1,
      sym_stable_identifier,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(13967), 1,
      sym_enumerator,
    STATE(15879), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3986), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10663), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [196680] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(7068), 1,
      anon_sym_case,
    ACTIONS(7070), 1,
      anon_sym_LPAREN,
    ACTIONS(7076), 1,
      sym_operator_identifier,
    ACTIONS(7078), 1,
      sym_null_literal,
    STATE(8376), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(10394), 1,
      sym_wildcard,
    STATE(10399), 1,
      sym_stable_identifier,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(13967), 1,
      sym_enumerator,
    STATE(16394), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3987), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10663), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [196792] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(7068), 1,
      anon_sym_case,
    ACTIONS(7070), 1,
      anon_sym_LPAREN,
    ACTIONS(7072), 1,
      sym_operator_identifier,
    ACTIONS(7074), 1,
      sym_null_literal,
    STATE(5989), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(9639), 1,
      sym_wildcard,
    STATE(9648), 1,
      sym_stable_identifier,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(13967), 1,
      sym_enumerator,
    STATE(16114), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3988), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10044), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [196904] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(7068), 1,
      anon_sym_case,
    ACTIONS(7070), 1,
      anon_sym_LPAREN,
    ACTIONS(7072), 1,
      sym_operator_identifier,
    ACTIONS(7074), 1,
      sym_null_literal,
    STATE(5989), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(9639), 1,
      sym_wildcard,
    STATE(9648), 1,
      sym_stable_identifier,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(13967), 1,
      sym_enumerator,
    STATE(16249), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3989), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10044), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [197016] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(7068), 1,
      anon_sym_case,
    ACTIONS(7070), 1,
      anon_sym_LPAREN,
    ACTIONS(7072), 1,
      sym_operator_identifier,
    ACTIONS(7074), 1,
      sym_null_literal,
    STATE(5989), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(9639), 1,
      sym_wildcard,
    STATE(9648), 1,
      sym_stable_identifier,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(13967), 1,
      sym_enumerator,
    STATE(16132), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3990), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10044), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [197128] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(7068), 1,
      anon_sym_case,
    ACTIONS(7070), 1,
      anon_sym_LPAREN,
    ACTIONS(7076), 1,
      sym_operator_identifier,
    ACTIONS(7078), 1,
      sym_null_literal,
    STATE(8376), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(10394), 1,
      sym_wildcard,
    STATE(10399), 1,
      sym_stable_identifier,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(13967), 1,
      sym_enumerator,
    STATE(16133), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3991), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10663), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [197240] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(7068), 1,
      anon_sym_case,
    ACTIONS(7070), 1,
      anon_sym_LPAREN,
    ACTIONS(7072), 1,
      sym_operator_identifier,
    ACTIONS(7074), 1,
      sym_null_literal,
    STATE(5989), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(9639), 1,
      sym_wildcard,
    STATE(9648), 1,
      sym_stable_identifier,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(13967), 1,
      sym_enumerator,
    STATE(16643), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3992), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10044), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [197352] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(7068), 1,
      anon_sym_case,
    ACTIONS(7070), 1,
      anon_sym_LPAREN,
    ACTIONS(7076), 1,
      sym_operator_identifier,
    ACTIONS(7078), 1,
      sym_null_literal,
    STATE(8376), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(10394), 1,
      sym_wildcard,
    STATE(10399), 1,
      sym_stable_identifier,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(13967), 1,
      sym_enumerator,
    STATE(15964), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3993), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10663), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [197464] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(7068), 1,
      anon_sym_case,
    ACTIONS(7070), 1,
      anon_sym_LPAREN,
    ACTIONS(7076), 1,
      sym_operator_identifier,
    ACTIONS(7078), 1,
      sym_null_literal,
    STATE(8376), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(10394), 1,
      sym_wildcard,
    STATE(10399), 1,
      sym_stable_identifier,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(13967), 1,
      sym_enumerator,
    STATE(16870), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3994), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10663), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [197576] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(7068), 1,
      anon_sym_case,
    ACTIONS(7070), 1,
      anon_sym_LPAREN,
    ACTIONS(7076), 1,
      sym_operator_identifier,
    ACTIONS(7078), 1,
      sym_null_literal,
    STATE(8376), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(10394), 1,
      sym_wildcard,
    STATE(10399), 1,
      sym_stable_identifier,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(13967), 1,
      sym_enumerator,
    STATE(16248), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3995), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10663), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [197688] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(7068), 1,
      anon_sym_case,
    ACTIONS(7070), 1,
      anon_sym_LPAREN,
    ACTIONS(7072), 1,
      sym_operator_identifier,
    ACTIONS(7074), 1,
      sym_null_literal,
    STATE(5989), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(9639), 1,
      sym_wildcard,
    STATE(9648), 1,
      sym_stable_identifier,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(13967), 1,
      sym_enumerator,
    STATE(16871), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3996), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10044), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [197800] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(7068), 1,
      anon_sym_case,
    ACTIONS(7070), 1,
      anon_sym_LPAREN,
    ACTIONS(7072), 1,
      sym_operator_identifier,
    ACTIONS(7074), 1,
      sym_null_literal,
    STATE(5989), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(9639), 1,
      sym_wildcard,
    STATE(9648), 1,
      sym_stable_identifier,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(13967), 1,
      sym_enumerator,
    STATE(17457), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3997), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10044), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [197912] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(7068), 1,
      anon_sym_case,
    ACTIONS(7070), 1,
      anon_sym_LPAREN,
    ACTIONS(7076), 1,
      sym_operator_identifier,
    ACTIONS(7078), 1,
      sym_null_literal,
    STATE(8376), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(10394), 1,
      sym_wildcard,
    STATE(10399), 1,
      sym_stable_identifier,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(13967), 1,
      sym_enumerator,
    STATE(17004), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3998), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10663), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [198024] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(7068), 1,
      anon_sym_case,
    ACTIONS(7070), 1,
      anon_sym_LPAREN,
    ACTIONS(7072), 1,
      sym_operator_identifier,
    ACTIONS(7074), 1,
      sym_null_literal,
    STATE(5989), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(9639), 1,
      sym_wildcard,
    STATE(9648), 1,
      sym_stable_identifier,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(13967), 1,
      sym_enumerator,
    STATE(15891), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3999), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10044), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [198136] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(7068), 1,
      anon_sym_case,
    ACTIONS(7070), 1,
      anon_sym_LPAREN,
    ACTIONS(7076), 1,
      sym_operator_identifier,
    ACTIONS(7078), 1,
      sym_null_literal,
    STATE(8376), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(10394), 1,
      sym_wildcard,
    STATE(10399), 1,
      sym_stable_identifier,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(13967), 1,
      sym_enumerator,
    STATE(16624), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4000), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10663), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [198248] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(7068), 1,
      anon_sym_case,
    ACTIONS(7070), 1,
      anon_sym_LPAREN,
    ACTIONS(7076), 1,
      sym_operator_identifier,
    ACTIONS(7078), 1,
      sym_null_literal,
    STATE(8376), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(10394), 1,
      sym_wildcard,
    STATE(10399), 1,
      sym_stable_identifier,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(13967), 1,
      sym_enumerator,
    STATE(16892), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4001), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10663), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [198360] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(7068), 1,
      anon_sym_case,
    ACTIONS(7070), 1,
      anon_sym_LPAREN,
    ACTIONS(7072), 1,
      sym_operator_identifier,
    ACTIONS(7074), 1,
      sym_null_literal,
    STATE(5989), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(9639), 1,
      sym_wildcard,
    STATE(9648), 1,
      sym_stable_identifier,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(13967), 1,
      sym_enumerator,
    STATE(16209), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4002), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10044), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [198472] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(7068), 1,
      anon_sym_case,
    ACTIONS(7070), 1,
      anon_sym_LPAREN,
    ACTIONS(7072), 1,
      sym_operator_identifier,
    ACTIONS(7074), 1,
      sym_null_literal,
    STATE(5989), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(9639), 1,
      sym_wildcard,
    STATE(9648), 1,
      sym_stable_identifier,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(13967), 1,
      sym_enumerator,
    STATE(16492), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4003), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10044), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [198584] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(7068), 1,
      anon_sym_case,
    ACTIONS(7070), 1,
      anon_sym_LPAREN,
    ACTIONS(7072), 1,
      sym_operator_identifier,
    ACTIONS(7074), 1,
      sym_null_literal,
    STATE(5989), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(9639), 1,
      sym_wildcard,
    STATE(9648), 1,
      sym_stable_identifier,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(13967), 1,
      sym_enumerator,
    STATE(16893), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4004), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10044), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [198696] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(7068), 1,
      anon_sym_case,
    ACTIONS(7070), 1,
      anon_sym_LPAREN,
    ACTIONS(7072), 1,
      sym_operator_identifier,
    ACTIONS(7074), 1,
      sym_null_literal,
    STATE(5989), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(9639), 1,
      sym_wildcard,
    STATE(9648), 1,
      sym_stable_identifier,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(13967), 1,
      sym_enumerator,
    STATE(16194), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4005), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10044), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [198808] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(7068), 1,
      anon_sym_case,
    ACTIONS(7070), 1,
      anon_sym_LPAREN,
    ACTIONS(7076), 1,
      sym_operator_identifier,
    ACTIONS(7078), 1,
      sym_null_literal,
    STATE(8376), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(10394), 1,
      sym_wildcard,
    STATE(10399), 1,
      sym_stable_identifier,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(13967), 1,
      sym_enumerator,
    STATE(16195), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4006), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10663), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [198920] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4007), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 12,
      sym__automatic_semicolon,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 35,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
      anon_sym_yield,
  [198982] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(7068), 1,
      anon_sym_case,
    ACTIONS(7070), 1,
      anon_sym_LPAREN,
    ACTIONS(7072), 1,
      sym_operator_identifier,
    ACTIONS(7074), 1,
      sym_null_literal,
    STATE(5989), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(9639), 1,
      sym_wildcard,
    STATE(9648), 1,
      sym_stable_identifier,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(13967), 1,
      sym_enumerator,
    STATE(16630), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4008), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10044), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [199094] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(7068), 1,
      anon_sym_case,
    ACTIONS(7070), 1,
      anon_sym_LPAREN,
    ACTIONS(7076), 1,
      sym_operator_identifier,
    ACTIONS(7078), 1,
      sym_null_literal,
    STATE(8376), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(10394), 1,
      sym_wildcard,
    STATE(10399), 1,
      sym_stable_identifier,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(13967), 1,
      sym_enumerator,
    STATE(16208), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4009), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10663), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [199206] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(7068), 1,
      anon_sym_case,
    ACTIONS(7070), 1,
      anon_sym_LPAREN,
    ACTIONS(7076), 1,
      sym_operator_identifier,
    ACTIONS(7078), 1,
      sym_null_literal,
    STATE(8376), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(10394), 1,
      sym_wildcard,
    STATE(10399), 1,
      sym_stable_identifier,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(13967), 1,
      sym_enumerator,
    STATE(15924), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4010), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10663), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [199318] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(7068), 1,
      anon_sym_case,
    ACTIONS(7070), 1,
      anon_sym_LPAREN,
    ACTIONS(7072), 1,
      sym_operator_identifier,
    ACTIONS(7074), 1,
      sym_null_literal,
    STATE(5989), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(9639), 1,
      sym_wildcard,
    STATE(9648), 1,
      sym_stable_identifier,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(13967), 1,
      sym_enumerator,
    STATE(16948), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4011), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10044), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [199430] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(7068), 1,
      anon_sym_case,
    ACTIONS(7070), 1,
      anon_sym_LPAREN,
    ACTIONS(7072), 1,
      sym_operator_identifier,
    ACTIONS(7074), 1,
      sym_null_literal,
    STATE(5989), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(9639), 1,
      sym_wildcard,
    STATE(9648), 1,
      sym_stable_identifier,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(13967), 1,
      sym_enumerator,
    STATE(15925), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4012), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10044), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [199542] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(7068), 1,
      anon_sym_case,
    ACTIONS(7070), 1,
      anon_sym_LPAREN,
    ACTIONS(7076), 1,
      sym_operator_identifier,
    ACTIONS(7078), 1,
      sym_null_literal,
    STATE(8376), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(10394), 1,
      sym_wildcard,
    STATE(10399), 1,
      sym_stable_identifier,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(13967), 1,
      sym_enumerator,
    STATE(16949), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4013), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10663), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [199654] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(7068), 1,
      anon_sym_case,
    ACTIONS(7070), 1,
      anon_sym_LPAREN,
    ACTIONS(7072), 1,
      sym_operator_identifier,
    ACTIONS(7074), 1,
      sym_null_literal,
    STATE(5989), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(9639), 1,
      sym_wildcard,
    STATE(9648), 1,
      sym_stable_identifier,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(13967), 1,
      sym_enumerator,
    STATE(16805), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4014), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10044), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [199766] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(7068), 1,
      anon_sym_case,
    ACTIONS(7070), 1,
      anon_sym_LPAREN,
    ACTIONS(7072), 1,
      sym_operator_identifier,
    ACTIONS(7074), 1,
      sym_null_literal,
    STATE(5989), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(9639), 1,
      sym_wildcard,
    STATE(9648), 1,
      sym_stable_identifier,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(13967), 1,
      sym_enumerator,
    STATE(16916), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4015), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10044), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [199878] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(7068), 1,
      anon_sym_case,
    ACTIONS(7070), 1,
      anon_sym_LPAREN,
    ACTIONS(7072), 1,
      sym_operator_identifier,
    ACTIONS(7074), 1,
      sym_null_literal,
    STATE(5989), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(9639), 1,
      sym_wildcard,
    STATE(9648), 1,
      sym_stable_identifier,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(13967), 1,
      sym_enumerator,
    STATE(17002), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4016), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10044), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [199990] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(7068), 1,
      anon_sym_case,
    ACTIONS(7070), 1,
      anon_sym_LPAREN,
    ACTIONS(7076), 1,
      sym_operator_identifier,
    ACTIONS(7078), 1,
      sym_null_literal,
    STATE(8376), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(10394), 1,
      sym_wildcard,
    STATE(10399), 1,
      sym_stable_identifier,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(13967), 1,
      sym_enumerator,
    STATE(16915), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4017), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10663), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [200102] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(7068), 1,
      anon_sym_case,
    ACTIONS(7070), 1,
      anon_sym_LPAREN,
    ACTIONS(7076), 1,
      sym_operator_identifier,
    ACTIONS(7078), 1,
      sym_null_literal,
    STATE(8376), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(10394), 1,
      sym_wildcard,
    STATE(10399), 1,
      sym_stable_identifier,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(13967), 1,
      sym_enumerator,
    STATE(17458), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4018), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10663), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [200214] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(7068), 1,
      anon_sym_case,
    ACTIONS(7070), 1,
      anon_sym_LPAREN,
    ACTIONS(7072), 1,
      sym_operator_identifier,
    ACTIONS(7074), 1,
      sym_null_literal,
    STATE(5989), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(9639), 1,
      sym_wildcard,
    STATE(9648), 1,
      sym_stable_identifier,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(13967), 1,
      sym_enumerator,
    STATE(16260), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4019), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10044), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [200326] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(7068), 1,
      anon_sym_case,
    ACTIONS(7070), 1,
      anon_sym_LPAREN,
    ACTIONS(7076), 1,
      sym_operator_identifier,
    ACTIONS(7078), 1,
      sym_null_literal,
    STATE(8376), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(10394), 1,
      sym_wildcard,
    STATE(10399), 1,
      sym_stable_identifier,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(13967), 1,
      sym_enumerator,
    STATE(16261), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4020), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10663), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [200438] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(7068), 1,
      anon_sym_case,
    ACTIONS(7070), 1,
      anon_sym_LPAREN,
    ACTIONS(7076), 1,
      sym_operator_identifier,
    ACTIONS(7078), 1,
      sym_null_literal,
    STATE(8376), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(10394), 1,
      sym_wildcard,
    STATE(10399), 1,
      sym_stable_identifier,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(13967), 1,
      sym_enumerator,
    STATE(16699), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4021), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10663), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [200550] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(7068), 1,
      anon_sym_case,
    ACTIONS(7070), 1,
      anon_sym_LPAREN,
    ACTIONS(7076), 1,
      sym_operator_identifier,
    ACTIONS(7078), 1,
      sym_null_literal,
    STATE(8376), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(10394), 1,
      sym_wildcard,
    STATE(10399), 1,
      sym_stable_identifier,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(13967), 1,
      sym_enumerator,
    STATE(16807), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4022), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10663), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [200662] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(7068), 1,
      anon_sym_case,
    ACTIONS(7070), 1,
      anon_sym_LPAREN,
    ACTIONS(7072), 1,
      sym_operator_identifier,
    ACTIONS(7074), 1,
      sym_null_literal,
    STATE(5989), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(9639), 1,
      sym_wildcard,
    STATE(9648), 1,
      sym_stable_identifier,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(13967), 1,
      sym_enumerator,
    STATE(16375), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4023), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10044), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [200774] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6842), 1,
      sym__indent,
    ACTIONS(7068), 1,
      anon_sym_case,
    ACTIONS(7070), 1,
      anon_sym_LPAREN,
    ACTIONS(7076), 1,
      sym_operator_identifier,
    ACTIONS(7078), 1,
      sym_null_literal,
    STATE(8376), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(10394), 1,
      sym_wildcard,
    STATE(10399), 1,
      sym_stable_identifier,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(13967), 1,
      sym_enumerator,
    STATE(16376), 1,
      sym_enumerators,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4024), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10663), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [200886] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4025), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 11,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7000), 35,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [200947] = 29,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(7070), 1,
      anon_sym_LPAREN,
    ACTIONS(7088), 1,
      anon_sym_case,
    ACTIONS(7090), 1,
      anon_sym_if,
    ACTIONS(7092), 1,
      sym_operator_identifier,
    ACTIONS(7094), 1,
      sym_null_literal,
    ACTIONS(7096), 1,
      sym__outdent,
    STATE(8447), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(10560), 1,
      sym_wildcard,
    STATE(10563), 1,
      sym_stable_identifier,
    STATE(13656), 1,
      aux_sym_enumerator_repeat1,
    STATE(14278), 1,
      sym_guard,
    STATE(15296), 1,
      sym_enumerator,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4026), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10574), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [201056] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4027), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 11,
      sym__automatic_semicolon,
      sym__outdent,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 35,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [201117] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4028), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 11,
      sym__automatic_semicolon,
      sym__outdent,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7000), 35,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [201178] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4029), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 11,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 35,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [201239] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4030), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 12,
      sym__automatic_semicolon,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 34,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
      anon_sym_yield,
  [201300] = 29,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(7070), 1,
      anon_sym_LPAREN,
    ACTIONS(7088), 1,
      anon_sym_case,
    ACTIONS(7090), 1,
      anon_sym_if,
    ACTIONS(7092), 1,
      sym_operator_identifier,
    ACTIONS(7094), 1,
      sym_null_literal,
    ACTIONS(7098), 1,
      sym__outdent,
    STATE(8447), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(10560), 1,
      sym_wildcard,
    STATE(10563), 1,
      sym_stable_identifier,
    STATE(13656), 1,
      aux_sym_enumerator_repeat1,
    STATE(14278), 1,
      sym_guard,
    STATE(15296), 1,
      sym_enumerator,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4031), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10574), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [201409] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4032), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 12,
      sym__automatic_semicolon,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7000), 34,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
      anon_sym_yield,
  [201470] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4033), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 12,
      sym__automatic_semicolon,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7000), 34,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
      anon_sym_yield,
  [201531] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4034), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 12,
      sym__automatic_semicolon,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 34,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
      anon_sym_yield,
  [201592] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4035), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 11,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7000), 34,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [201652] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4036), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 12,
      sym__automatic_semicolon,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 33,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
      anon_sym_yield,
  [201712] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4037), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 12,
      sym__automatic_semicolon,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7000), 33,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
      anon_sym_yield,
  [201772] = 28,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(7068), 1,
      anon_sym_case,
    ACTIONS(7070), 1,
      anon_sym_LPAREN,
    ACTIONS(7076), 1,
      sym_operator_identifier,
    ACTIONS(7078), 1,
      sym_null_literal,
    STATE(8376), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(10394), 1,
      sym_wildcard,
    STATE(10399), 1,
      sym_stable_identifier,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(13674), 1,
      sym_enumerator,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4038), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10663), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [201878] = 28,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(7070), 1,
      anon_sym_LPAREN,
    ACTIONS(7088), 1,
      anon_sym_case,
    ACTIONS(7090), 1,
      anon_sym_if,
    ACTIONS(7092), 1,
      sym_operator_identifier,
    ACTIONS(7094), 1,
      sym_null_literal,
    STATE(8447), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(10560), 1,
      sym_wildcard,
    STATE(10563), 1,
      sym_stable_identifier,
    STATE(13656), 1,
      aux_sym_enumerator_repeat1,
    STATE(14239), 1,
      sym_enumerator,
    STATE(14278), 1,
      sym_guard,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4039), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10574), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [201984] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4040), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 11,
      sym__automatic_semicolon,
      sym__simple_multiline_string,
      sym__simple_string,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 34,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [202044] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4041), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 11,
      sym__automatic_semicolon,
      sym__outdent,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7000), 34,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [202104] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4042), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 11,
      sym__automatic_semicolon,
      sym__simple_multiline_string,
      sym__simple_string,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7000), 34,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [202164] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4043), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 11,
      sym__automatic_semicolon,
      sym__outdent,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 34,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [202224] = 28,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6822), 1,
      anon_sym_case,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6830), 1,
      anon_sym_if,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(6838), 1,
      sym_operator_identifier,
    ACTIONS(6840), 1,
      sym_null_literal,
    ACTIONS(7070), 1,
      anon_sym_LPAREN,
    STATE(8519), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(10438), 1,
      sym_stable_identifier,
    STATE(10443), 1,
      sym_wildcard,
    STATE(12964), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(13674), 1,
      sym_enumerator,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4044), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10643), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [202330] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4045), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 11,
      sym__automatic_semicolon,
      sym__outdent,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7000), 34,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [202390] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4046), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 11,
      sym__automatic_semicolon,
      sym__outdent,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 34,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [202450] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4047), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 11,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 34,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [202510] = 28,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(7070), 1,
      anon_sym_LPAREN,
    ACTIONS(7088), 1,
      anon_sym_case,
    ACTIONS(7090), 1,
      anon_sym_if,
    ACTIONS(7092), 1,
      sym_operator_identifier,
    ACTIONS(7094), 1,
      sym_null_literal,
    STATE(8447), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(10560), 1,
      sym_wildcard,
    STATE(10563), 1,
      sym_stable_identifier,
    STATE(13656), 1,
      aux_sym_enumerator_repeat1,
    STATE(14278), 1,
      sym_guard,
    STATE(15296), 1,
      sym_enumerator,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4048), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10574), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [202616] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4049), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 10,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7000), 34,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [202675] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4050), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 11,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7000), 33,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [202734] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4051), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 11,
      sym__automatic_semicolon,
      sym__outdent,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7000), 33,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [202793] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4052), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 11,
      sym__automatic_semicolon,
      sym__outdent,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 33,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [202852] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4053), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 11,
      sym__automatic_semicolon,
      sym__simple_multiline_string,
      sym__simple_string,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 33,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [202911] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4054), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 10,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 34,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [202970] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4055), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 11,
      sym__automatic_semicolon,
      sym__outdent,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 33,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [203029] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4056), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 44,
      anon_sym_enum,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_object,
      anon_sym_given,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT_COLON,
      anon_sym_GT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_while,
      anon_sym_match,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_do,
  [203086] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4057), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 11,
      sym__automatic_semicolon,
      sym__simple_multiline_string,
      sym__simple_string,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7000), 33,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [203145] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4058), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 11,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 33,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [203204] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4059), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 11,
      sym__automatic_semicolon,
      sym__outdent,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7000), 33,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [203263] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4060), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 44,
      anon_sym_enum,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_object,
      anon_sym_given,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT_COLON,
      anon_sym_GT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_while,
      anon_sym_match,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_do,
  [203320] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4061), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 11,
      sym__automatic_semicolon,
      sym__simple_multiline_string,
      sym__simple_string,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 33,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [203379] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4062), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 11,
      sym__automatic_semicolon,
      sym__simple_multiline_string,
      sym__simple_string,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7000), 33,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [203438] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4063), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 10,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 33,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [203496] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4064), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 10,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7000), 33,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [203554] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2520), 1,
      anon_sym_LBRACK,
    STATE(4065), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7103), 3,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(2515), 5,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_then,
    ACTIONS(7108), 5,
      sym__indent,
      sym__simple_multiline_string,
      sym__simple_string,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7100), 8,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
    ACTIONS(7106), 21,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_implicit,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [203620] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4066), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7112), 9,
      sym__indent,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7110), 34,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [203678] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4067), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 11,
      sym__automatic_semicolon,
      sym__simple_multiline_string,
      sym__simple_string,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 32,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [203736] = 26,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6740), 1,
      sym_integer_literal,
    ACTIONS(7114), 1,
      sym__alpha_identifier,
    ACTIONS(7116), 1,
      anon_sym_object,
    ACTIONS(7118), 1,
      anon_sym__,
    ACTIONS(7120), 1,
      anon_sym_given,
    ACTIONS(7122), 1,
      anon_sym_class,
    ACTIONS(7126), 1,
      anon_sym_LPAREN,
    ACTIONS(7128), 1,
      anon_sym_SQUOTE,
    ACTIONS(7130), 1,
      sym__backquoted_id,
    ACTIONS(7132), 1,
      sym_operator_identifier,
    ACTIONS(7134), 1,
      sym_null_literal,
    STATE(203), 1,
      sym__case_pattern,
    STATE(7384), 1,
      sym_identifier,
    STATE(10161), 1,
      sym__soft_identifier,
    STATE(10249), 1,
      sym_stable_identifier,
    STATE(10325), 1,
      sym_wildcard,
    ACTIONS(6742), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6744), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6746), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4068), 2,
      sym_comment,
      sym_block_comment,
    STATE(11240), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16774), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7124), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10546), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [203836] = 26,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6740), 1,
      sym_integer_literal,
    ACTIONS(7114), 1,
      sym__alpha_identifier,
    ACTIONS(7118), 1,
      anon_sym__,
    ACTIONS(7120), 1,
      anon_sym_given,
    ACTIONS(7126), 1,
      anon_sym_LPAREN,
    ACTIONS(7128), 1,
      anon_sym_SQUOTE,
    ACTIONS(7130), 1,
      sym__backquoted_id,
    ACTIONS(7136), 1,
      anon_sym_object,
    ACTIONS(7138), 1,
      anon_sym_class,
    ACTIONS(7140), 1,
      sym_operator_identifier,
    ACTIONS(7142), 1,
      sym_null_literal,
    STATE(267), 1,
      sym__case_pattern,
    STATE(7638), 1,
      sym_identifier,
    STATE(10161), 1,
      sym__soft_identifier,
    STATE(10320), 1,
      sym_stable_identifier,
    STATE(10322), 1,
      sym_wildcard,
    ACTIONS(6742), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6744), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6746), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4069), 2,
      sym_comment,
      sym_block_comment,
    STATE(11240), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16774), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7124), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10558), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [203936] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4070), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 11,
      sym__automatic_semicolon,
      sym__simple_multiline_string,
      sym__simple_string,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7000), 32,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [203994] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4071), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 11,
      sym__automatic_semicolon,
      sym__simple_multiline_string,
      sym__simple_string,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 32,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [204052] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4072), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 11,
      sym__automatic_semicolon,
      sym__outdent,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7000), 32,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [204110] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4073), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 11,
      sym__automatic_semicolon,
      sym__simple_multiline_string,
      sym__simple_string,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7000), 32,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [204168] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4074), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 11,
      sym__automatic_semicolon,
      sym__outdent,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 32,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [204226] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4075), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 11,
      sym__automatic_semicolon,
      sym__simple_multiline_string,
      sym__simple_string,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7000), 31,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [204283] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4076), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 10,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 32,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [204340] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4077), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 10,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7000), 32,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [204397] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4078), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 11,
      sym__automatic_semicolon,
      sym__simple_multiline_string,
      sym__simple_string,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 31,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [204454] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6740), 1,
      sym_integer_literal,
    ACTIONS(7114), 1,
      sym__alpha_identifier,
    ACTIONS(7118), 1,
      anon_sym__,
    ACTIONS(7120), 1,
      anon_sym_given,
    ACTIONS(7126), 1,
      anon_sym_LPAREN,
    ACTIONS(7128), 1,
      anon_sym_SQUOTE,
    ACTIONS(7130), 1,
      sym__backquoted_id,
    ACTIONS(7140), 1,
      sym_operator_identifier,
    ACTIONS(7142), 1,
      sym_null_literal,
    STATE(2034), 1,
      sym__case_pattern,
    STATE(7638), 1,
      sym_identifier,
    STATE(10161), 1,
      sym__soft_identifier,
    STATE(10320), 1,
      sym_stable_identifier,
    STATE(10322), 1,
      sym_wildcard,
    ACTIONS(6742), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6744), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6746), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4079), 2,
      sym_comment,
      sym_block_comment,
    STATE(11240), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16774), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7124), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10558), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [204548] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6740), 1,
      sym_integer_literal,
    ACTIONS(7114), 1,
      sym__alpha_identifier,
    ACTIONS(7118), 1,
      anon_sym__,
    ACTIONS(7120), 1,
      anon_sym_given,
    ACTIONS(7126), 1,
      anon_sym_LPAREN,
    ACTIONS(7128), 1,
      anon_sym_SQUOTE,
    ACTIONS(7130), 1,
      sym__backquoted_id,
    ACTIONS(7140), 1,
      sym_operator_identifier,
    ACTIONS(7142), 1,
      sym_null_literal,
    STATE(2260), 1,
      sym__case_pattern,
    STATE(7638), 1,
      sym_identifier,
    STATE(10161), 1,
      sym__soft_identifier,
    STATE(10320), 1,
      sym_stable_identifier,
    STATE(10322), 1,
      sym_wildcard,
    ACTIONS(6742), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6744), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6746), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4080), 2,
      sym_comment,
      sym_block_comment,
    STATE(11240), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16774), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7124), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10558), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [204642] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6740), 1,
      sym_integer_literal,
    ACTIONS(7114), 1,
      sym__alpha_identifier,
    ACTIONS(7118), 1,
      anon_sym__,
    ACTIONS(7120), 1,
      anon_sym_given,
    ACTIONS(7126), 1,
      anon_sym_LPAREN,
    ACTIONS(7128), 1,
      anon_sym_SQUOTE,
    ACTIONS(7130), 1,
      sym__backquoted_id,
    ACTIONS(7140), 1,
      sym_operator_identifier,
    ACTIONS(7142), 1,
      sym_null_literal,
    STATE(2135), 1,
      sym__case_pattern,
    STATE(7638), 1,
      sym_identifier,
    STATE(10161), 1,
      sym__soft_identifier,
    STATE(10320), 1,
      sym_stable_identifier,
    STATE(10322), 1,
      sym_wildcard,
    ACTIONS(6742), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6744), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6746), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4081), 2,
      sym_comment,
      sym_block_comment,
    STATE(11240), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16774), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7124), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10558), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [204736] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6740), 1,
      sym_integer_literal,
    ACTIONS(7114), 1,
      sym__alpha_identifier,
    ACTIONS(7118), 1,
      anon_sym__,
    ACTIONS(7120), 1,
      anon_sym_given,
    ACTIONS(7126), 1,
      anon_sym_LPAREN,
    ACTIONS(7128), 1,
      anon_sym_SQUOTE,
    ACTIONS(7130), 1,
      sym__backquoted_id,
    ACTIONS(7140), 1,
      sym_operator_identifier,
    ACTIONS(7142), 1,
      sym_null_literal,
    STATE(2151), 1,
      sym__case_pattern,
    STATE(7638), 1,
      sym_identifier,
    STATE(10161), 1,
      sym__soft_identifier,
    STATE(10320), 1,
      sym_stable_identifier,
    STATE(10322), 1,
      sym_wildcard,
    ACTIONS(6742), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6744), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6746), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4082), 2,
      sym_comment,
      sym_block_comment,
    STATE(11240), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16774), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7124), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10558), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [204830] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6740), 1,
      sym_integer_literal,
    ACTIONS(7114), 1,
      sym__alpha_identifier,
    ACTIONS(7118), 1,
      anon_sym__,
    ACTIONS(7120), 1,
      anon_sym_given,
    ACTIONS(7126), 1,
      anon_sym_LPAREN,
    ACTIONS(7128), 1,
      anon_sym_SQUOTE,
    ACTIONS(7130), 1,
      sym__backquoted_id,
    ACTIONS(7140), 1,
      sym_operator_identifier,
    ACTIONS(7142), 1,
      sym_null_literal,
    STATE(2173), 1,
      sym__case_pattern,
    STATE(7638), 1,
      sym_identifier,
    STATE(10161), 1,
      sym__soft_identifier,
    STATE(10320), 1,
      sym_stable_identifier,
    STATE(10322), 1,
      sym_wildcard,
    ACTIONS(6742), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6744), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6746), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4083), 2,
      sym_comment,
      sym_block_comment,
    STATE(11240), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16774), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7124), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10558), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [204924] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6754), 1,
      sym_integer_literal,
    ACTIONS(7144), 1,
      sym__alpha_identifier,
    ACTIONS(7146), 1,
      anon_sym__,
    ACTIONS(7148), 1,
      anon_sym_given,
    ACTIONS(7152), 1,
      anon_sym_LPAREN,
    ACTIONS(7154), 1,
      anon_sym_SQUOTE,
    ACTIONS(7156), 1,
      sym__backquoted_id,
    ACTIONS(7158), 1,
      sym_operator_identifier,
    ACTIONS(7160), 1,
      sym_null_literal,
    STATE(7588), 1,
      sym_identifier,
    STATE(9849), 1,
      sym__soft_identifier,
    STATE(10706), 1,
      sym_wildcard,
    STATE(10711), 1,
      sym_stable_identifier,
    STATE(15709), 1,
      sym_identifiers,
    ACTIONS(6756), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6758), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6760), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4084), 2,
      sym_comment,
      sym_block_comment,
    STATE(10839), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16919), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10757), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [205018] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6740), 1,
      sym_integer_literal,
    ACTIONS(7114), 1,
      sym__alpha_identifier,
    ACTIONS(7118), 1,
      anon_sym__,
    ACTIONS(7120), 1,
      anon_sym_given,
    ACTIONS(7126), 1,
      anon_sym_LPAREN,
    ACTIONS(7128), 1,
      anon_sym_SQUOTE,
    ACTIONS(7130), 1,
      sym__backquoted_id,
    ACTIONS(7140), 1,
      sym_operator_identifier,
    ACTIONS(7142), 1,
      sym_null_literal,
    STATE(2265), 1,
      sym__case_pattern,
    STATE(7638), 1,
      sym_identifier,
    STATE(10161), 1,
      sym__soft_identifier,
    STATE(10320), 1,
      sym_stable_identifier,
    STATE(10322), 1,
      sym_wildcard,
    ACTIONS(6742), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6744), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6746), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4085), 2,
      sym_comment,
      sym_block_comment,
    STATE(11240), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16774), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7124), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10558), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [205112] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6754), 1,
      sym_integer_literal,
    ACTIONS(7144), 1,
      sym__alpha_identifier,
    ACTIONS(7146), 1,
      anon_sym__,
    ACTIONS(7148), 1,
      anon_sym_given,
    ACTIONS(7152), 1,
      anon_sym_LPAREN,
    ACTIONS(7154), 1,
      anon_sym_SQUOTE,
    ACTIONS(7156), 1,
      sym__backquoted_id,
    ACTIONS(7162), 1,
      sym_operator_identifier,
    ACTIONS(7164), 1,
      sym_null_literal,
    STATE(7587), 1,
      sym_identifier,
    STATE(9849), 1,
      sym__soft_identifier,
    STATE(10714), 1,
      sym_wildcard,
    STATE(10716), 1,
      sym_stable_identifier,
    STATE(15708), 1,
      sym_identifiers,
    ACTIONS(6756), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6758), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6760), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4086), 2,
      sym_comment,
      sym_block_comment,
    STATE(10839), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16919), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10751), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [205206] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6740), 1,
      sym_integer_literal,
    ACTIONS(7114), 1,
      sym__alpha_identifier,
    ACTIONS(7118), 1,
      anon_sym__,
    ACTIONS(7120), 1,
      anon_sym_given,
    ACTIONS(7126), 1,
      anon_sym_LPAREN,
    ACTIONS(7128), 1,
      anon_sym_SQUOTE,
    ACTIONS(7130), 1,
      sym__backquoted_id,
    ACTIONS(7132), 1,
      sym_operator_identifier,
    ACTIONS(7134), 1,
      sym_null_literal,
    STATE(203), 1,
      sym__case_pattern,
    STATE(7384), 1,
      sym_identifier,
    STATE(10161), 1,
      sym__soft_identifier,
    STATE(10249), 1,
      sym_stable_identifier,
    STATE(10325), 1,
      sym_wildcard,
    ACTIONS(6742), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6744), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6746), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4087), 2,
      sym_comment,
      sym_block_comment,
    STATE(11240), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16774), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7124), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10546), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [205300] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6740), 1,
      sym_integer_literal,
    ACTIONS(7114), 1,
      sym__alpha_identifier,
    ACTIONS(7118), 1,
      anon_sym__,
    ACTIONS(7120), 1,
      anon_sym_given,
    ACTIONS(7126), 1,
      anon_sym_LPAREN,
    ACTIONS(7128), 1,
      anon_sym_SQUOTE,
    ACTIONS(7130), 1,
      sym__backquoted_id,
    ACTIONS(7140), 1,
      sym_operator_identifier,
    ACTIONS(7142), 1,
      sym_null_literal,
    STATE(2282), 1,
      sym__case_pattern,
    STATE(7638), 1,
      sym_identifier,
    STATE(10161), 1,
      sym__soft_identifier,
    STATE(10320), 1,
      sym_stable_identifier,
    STATE(10322), 1,
      sym_wildcard,
    ACTIONS(6742), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6744), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6746), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4088), 2,
      sym_comment,
      sym_block_comment,
    STATE(11240), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16774), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7124), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10558), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [205394] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6754), 1,
      sym_integer_literal,
    ACTIONS(7144), 1,
      sym__alpha_identifier,
    ACTIONS(7146), 1,
      anon_sym__,
    ACTIONS(7148), 1,
      anon_sym_given,
    ACTIONS(7152), 1,
      anon_sym_LPAREN,
    ACTIONS(7154), 1,
      anon_sym_SQUOTE,
    ACTIONS(7156), 1,
      sym__backquoted_id,
    ACTIONS(7166), 1,
      sym_operator_identifier,
    ACTIONS(7168), 1,
      sym_null_literal,
    STATE(7631), 1,
      sym_identifier,
    STATE(9849), 1,
      sym__soft_identifier,
    STATE(10596), 1,
      sym_wildcard,
    STATE(10598), 1,
      sym_stable_identifier,
    STATE(15687), 1,
      sym_identifiers,
    ACTIONS(6756), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6758), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6760), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4089), 2,
      sym_comment,
      sym_block_comment,
    STATE(10839), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16919), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10974), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [205488] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6754), 1,
      sym_integer_literal,
    ACTIONS(7144), 1,
      sym__alpha_identifier,
    ACTIONS(7146), 1,
      anon_sym__,
    ACTIONS(7148), 1,
      anon_sym_given,
    ACTIONS(7152), 1,
      anon_sym_LPAREN,
    ACTIONS(7154), 1,
      anon_sym_SQUOTE,
    ACTIONS(7156), 1,
      sym__backquoted_id,
    ACTIONS(7170), 1,
      anon_sym_RPAREN,
    ACTIONS(7172), 1,
      sym_operator_identifier,
    ACTIONS(7174), 1,
      sym_null_literal,
    STATE(8212), 1,
      sym_identifier,
    STATE(9849), 1,
      sym__soft_identifier,
    STATE(10459), 1,
      sym_wildcard,
    STATE(10512), 1,
      sym_stable_identifier,
    ACTIONS(6756), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6758), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6760), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4090), 2,
      sym_comment,
      sym_block_comment,
    STATE(10839), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16919), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10710), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [205582] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6740), 1,
      sym_integer_literal,
    ACTIONS(7114), 1,
      sym__alpha_identifier,
    ACTIONS(7118), 1,
      anon_sym__,
    ACTIONS(7120), 1,
      anon_sym_given,
    ACTIONS(7126), 1,
      anon_sym_LPAREN,
    ACTIONS(7128), 1,
      anon_sym_SQUOTE,
    ACTIONS(7130), 1,
      sym__backquoted_id,
    ACTIONS(7140), 1,
      sym_operator_identifier,
    ACTIONS(7142), 1,
      sym_null_literal,
    STATE(2104), 1,
      sym__case_pattern,
    STATE(7638), 1,
      sym_identifier,
    STATE(10161), 1,
      sym__soft_identifier,
    STATE(10320), 1,
      sym_stable_identifier,
    STATE(10322), 1,
      sym_wildcard,
    ACTIONS(6742), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6744), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6746), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4091), 2,
      sym_comment,
      sym_block_comment,
    STATE(11240), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16774), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7124), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10558), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [205676] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6740), 1,
      sym_integer_literal,
    ACTIONS(7114), 1,
      sym__alpha_identifier,
    ACTIONS(7118), 1,
      anon_sym__,
    ACTIONS(7120), 1,
      anon_sym_given,
    ACTIONS(7126), 1,
      anon_sym_LPAREN,
    ACTIONS(7128), 1,
      anon_sym_SQUOTE,
    ACTIONS(7130), 1,
      sym__backquoted_id,
    ACTIONS(7140), 1,
      sym_operator_identifier,
    ACTIONS(7142), 1,
      sym_null_literal,
    STATE(2237), 1,
      sym__case_pattern,
    STATE(7638), 1,
      sym_identifier,
    STATE(10161), 1,
      sym__soft_identifier,
    STATE(10320), 1,
      sym_stable_identifier,
    STATE(10322), 1,
      sym_wildcard,
    ACTIONS(6742), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6744), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6746), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4092), 2,
      sym_comment,
      sym_block_comment,
    STATE(11240), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16774), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7124), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10558), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [205770] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6740), 1,
      sym_integer_literal,
    ACTIONS(7114), 1,
      sym__alpha_identifier,
    ACTIONS(7118), 1,
      anon_sym__,
    ACTIONS(7120), 1,
      anon_sym_given,
    ACTIONS(7126), 1,
      anon_sym_LPAREN,
    ACTIONS(7128), 1,
      anon_sym_SQUOTE,
    ACTIONS(7130), 1,
      sym__backquoted_id,
    ACTIONS(7140), 1,
      sym_operator_identifier,
    ACTIONS(7142), 1,
      sym_null_literal,
    STATE(2286), 1,
      sym__case_pattern,
    STATE(7638), 1,
      sym_identifier,
    STATE(10161), 1,
      sym__soft_identifier,
    STATE(10320), 1,
      sym_stable_identifier,
    STATE(10322), 1,
      sym_wildcard,
    ACTIONS(6742), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6744), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6746), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4093), 2,
      sym_comment,
      sym_block_comment,
    STATE(11240), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16774), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7124), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10558), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [205864] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6740), 1,
      sym_integer_literal,
    ACTIONS(7114), 1,
      sym__alpha_identifier,
    ACTIONS(7118), 1,
      anon_sym__,
    ACTIONS(7120), 1,
      anon_sym_given,
    ACTIONS(7126), 1,
      anon_sym_LPAREN,
    ACTIONS(7128), 1,
      anon_sym_SQUOTE,
    ACTIONS(7130), 1,
      sym__backquoted_id,
    ACTIONS(7140), 1,
      sym_operator_identifier,
    ACTIONS(7142), 1,
      sym_null_literal,
    STATE(2069), 1,
      sym__case_pattern,
    STATE(7638), 1,
      sym_identifier,
    STATE(10161), 1,
      sym__soft_identifier,
    STATE(10320), 1,
      sym_stable_identifier,
    STATE(10322), 1,
      sym_wildcard,
    ACTIONS(6742), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6744), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6746), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4094), 2,
      sym_comment,
      sym_block_comment,
    STATE(11240), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16774), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7124), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10558), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [205958] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6740), 1,
      sym_integer_literal,
    ACTIONS(7114), 1,
      sym__alpha_identifier,
    ACTIONS(7118), 1,
      anon_sym__,
    ACTIONS(7120), 1,
      anon_sym_given,
    ACTIONS(7126), 1,
      anon_sym_LPAREN,
    ACTIONS(7128), 1,
      anon_sym_SQUOTE,
    ACTIONS(7130), 1,
      sym__backquoted_id,
    ACTIONS(7140), 1,
      sym_operator_identifier,
    ACTIONS(7142), 1,
      sym_null_literal,
    STATE(267), 1,
      sym__case_pattern,
    STATE(7638), 1,
      sym_identifier,
    STATE(10161), 1,
      sym__soft_identifier,
    STATE(10320), 1,
      sym_stable_identifier,
    STATE(10322), 1,
      sym_wildcard,
    ACTIONS(6742), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6744), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6746), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4095), 2,
      sym_comment,
      sym_block_comment,
    STATE(11240), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16774), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7124), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10558), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [206052] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6740), 1,
      sym_integer_literal,
    ACTIONS(7114), 1,
      sym__alpha_identifier,
    ACTIONS(7118), 1,
      anon_sym__,
    ACTIONS(7120), 1,
      anon_sym_given,
    ACTIONS(7126), 1,
      anon_sym_LPAREN,
    ACTIONS(7128), 1,
      anon_sym_SQUOTE,
    ACTIONS(7130), 1,
      sym__backquoted_id,
    ACTIONS(7140), 1,
      sym_operator_identifier,
    ACTIONS(7142), 1,
      sym_null_literal,
    STATE(2156), 1,
      sym__case_pattern,
    STATE(7638), 1,
      sym_identifier,
    STATE(10161), 1,
      sym__soft_identifier,
    STATE(10320), 1,
      sym_stable_identifier,
    STATE(10322), 1,
      sym_wildcard,
    ACTIONS(6742), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6744), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6746), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4096), 2,
      sym_comment,
      sym_block_comment,
    STATE(11240), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16774), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7124), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10558), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [206146] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4097), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7112), 8,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7110), 33,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [206202] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6754), 1,
      sym_integer_literal,
    ACTIONS(7144), 1,
      sym__alpha_identifier,
    ACTIONS(7146), 1,
      anon_sym__,
    ACTIONS(7148), 1,
      anon_sym_given,
    ACTIONS(7152), 1,
      anon_sym_LPAREN,
    ACTIONS(7154), 1,
      anon_sym_SQUOTE,
    ACTIONS(7156), 1,
      sym__backquoted_id,
    ACTIONS(7172), 1,
      sym_operator_identifier,
    ACTIONS(7174), 1,
      sym_null_literal,
    ACTIONS(7176), 1,
      anon_sym_RPAREN,
    STATE(8212), 1,
      sym_identifier,
    STATE(9849), 1,
      sym__soft_identifier,
    STATE(10459), 1,
      sym_wildcard,
    STATE(10512), 1,
      sym_stable_identifier,
    ACTIONS(6756), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6758), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6760), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4098), 2,
      sym_comment,
      sym_block_comment,
    STATE(10839), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16919), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10710), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [206296] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6740), 1,
      sym_integer_literal,
    ACTIONS(7114), 1,
      sym__alpha_identifier,
    ACTIONS(7118), 1,
      anon_sym__,
    ACTIONS(7120), 1,
      anon_sym_given,
    ACTIONS(7126), 1,
      anon_sym_LPAREN,
    ACTIONS(7128), 1,
      anon_sym_SQUOTE,
    ACTIONS(7130), 1,
      sym__backquoted_id,
    ACTIONS(7140), 1,
      sym_operator_identifier,
    ACTIONS(7142), 1,
      sym_null_literal,
    STATE(2169), 1,
      sym__case_pattern,
    STATE(7638), 1,
      sym_identifier,
    STATE(10161), 1,
      sym__soft_identifier,
    STATE(10320), 1,
      sym_stable_identifier,
    STATE(10322), 1,
      sym_wildcard,
    ACTIONS(6742), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6744), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6746), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4099), 2,
      sym_comment,
      sym_block_comment,
    STATE(11240), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16774), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7124), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10558), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [206390] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6754), 1,
      sym_integer_literal,
    ACTIONS(7144), 1,
      sym__alpha_identifier,
    ACTIONS(7146), 1,
      anon_sym__,
    ACTIONS(7148), 1,
      anon_sym_given,
    ACTIONS(7152), 1,
      anon_sym_LPAREN,
    ACTIONS(7154), 1,
      anon_sym_SQUOTE,
    ACTIONS(7156), 1,
      sym__backquoted_id,
    ACTIONS(7172), 1,
      sym_operator_identifier,
    ACTIONS(7174), 1,
      sym_null_literal,
    ACTIONS(7178), 1,
      anon_sym_RPAREN,
    STATE(8212), 1,
      sym_identifier,
    STATE(9849), 1,
      sym__soft_identifier,
    STATE(10459), 1,
      sym_wildcard,
    STATE(10512), 1,
      sym_stable_identifier,
    ACTIONS(6756), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6758), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6760), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4100), 2,
      sym_comment,
      sym_block_comment,
    STATE(10839), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16919), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10710), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [206484] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6740), 1,
      sym_integer_literal,
    ACTIONS(7114), 1,
      sym__alpha_identifier,
    ACTIONS(7118), 1,
      anon_sym__,
    ACTIONS(7120), 1,
      anon_sym_given,
    ACTIONS(7126), 1,
      anon_sym_LPAREN,
    ACTIONS(7128), 1,
      anon_sym_SQUOTE,
    ACTIONS(7130), 1,
      sym__backquoted_id,
    ACTIONS(7140), 1,
      sym_operator_identifier,
    ACTIONS(7142), 1,
      sym_null_literal,
    STATE(2140), 1,
      sym__case_pattern,
    STATE(7638), 1,
      sym_identifier,
    STATE(10161), 1,
      sym__soft_identifier,
    STATE(10320), 1,
      sym_stable_identifier,
    STATE(10322), 1,
      sym_wildcard,
    ACTIONS(6742), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6744), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6746), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4101), 2,
      sym_comment,
      sym_block_comment,
    STATE(11240), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16774), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7124), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10558), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [206578] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6740), 1,
      sym_integer_literal,
    ACTIONS(7114), 1,
      sym__alpha_identifier,
    ACTIONS(7118), 1,
      anon_sym__,
    ACTIONS(7120), 1,
      anon_sym_given,
    ACTIONS(7126), 1,
      anon_sym_LPAREN,
    ACTIONS(7128), 1,
      anon_sym_SQUOTE,
    ACTIONS(7130), 1,
      sym__backquoted_id,
    ACTIONS(7140), 1,
      sym_operator_identifier,
    ACTIONS(7142), 1,
      sym_null_literal,
    STATE(2302), 1,
      sym__case_pattern,
    STATE(7638), 1,
      sym_identifier,
    STATE(10161), 1,
      sym__soft_identifier,
    STATE(10320), 1,
      sym_stable_identifier,
    STATE(10322), 1,
      sym_wildcard,
    ACTIONS(6742), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6744), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6746), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4102), 2,
      sym_comment,
      sym_block_comment,
    STATE(11240), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16774), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7124), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10558), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [206672] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6740), 1,
      sym_integer_literal,
    ACTIONS(7114), 1,
      sym__alpha_identifier,
    ACTIONS(7118), 1,
      anon_sym__,
    ACTIONS(7120), 1,
      anon_sym_given,
    ACTIONS(7126), 1,
      anon_sym_LPAREN,
    ACTIONS(7128), 1,
      anon_sym_SQUOTE,
    ACTIONS(7130), 1,
      sym__backquoted_id,
    ACTIONS(7140), 1,
      sym_operator_identifier,
    ACTIONS(7142), 1,
      sym_null_literal,
    STATE(2124), 1,
      sym__case_pattern,
    STATE(7638), 1,
      sym_identifier,
    STATE(10161), 1,
      sym__soft_identifier,
    STATE(10320), 1,
      sym_stable_identifier,
    STATE(10322), 1,
      sym_wildcard,
    ACTIONS(6742), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6744), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6746), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4103), 2,
      sym_comment,
      sym_block_comment,
    STATE(11240), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16774), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7124), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10558), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [206766] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6740), 1,
      sym_integer_literal,
    ACTIONS(7114), 1,
      sym__alpha_identifier,
    ACTIONS(7118), 1,
      anon_sym__,
    ACTIONS(7120), 1,
      anon_sym_given,
    ACTIONS(7126), 1,
      anon_sym_LPAREN,
    ACTIONS(7128), 1,
      anon_sym_SQUOTE,
    ACTIONS(7130), 1,
      sym__backquoted_id,
    ACTIONS(7140), 1,
      sym_operator_identifier,
    ACTIONS(7142), 1,
      sym_null_literal,
    STATE(2249), 1,
      sym__case_pattern,
    STATE(7638), 1,
      sym_identifier,
    STATE(10161), 1,
      sym__soft_identifier,
    STATE(10320), 1,
      sym_stable_identifier,
    STATE(10322), 1,
      sym_wildcard,
    ACTIONS(6742), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6744), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6746), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4104), 2,
      sym_comment,
      sym_block_comment,
    STATE(11240), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16774), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7124), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10558), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [206860] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6740), 1,
      sym_integer_literal,
    ACTIONS(7114), 1,
      sym__alpha_identifier,
    ACTIONS(7118), 1,
      anon_sym__,
    ACTIONS(7120), 1,
      anon_sym_given,
    ACTIONS(7126), 1,
      anon_sym_LPAREN,
    ACTIONS(7128), 1,
      anon_sym_SQUOTE,
    ACTIONS(7130), 1,
      sym__backquoted_id,
    ACTIONS(7140), 1,
      sym_operator_identifier,
    ACTIONS(7142), 1,
      sym_null_literal,
    STATE(2079), 1,
      sym__case_pattern,
    STATE(7638), 1,
      sym_identifier,
    STATE(10161), 1,
      sym__soft_identifier,
    STATE(10320), 1,
      sym_stable_identifier,
    STATE(10322), 1,
      sym_wildcard,
    ACTIONS(6742), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6744), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6746), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4105), 2,
      sym_comment,
      sym_block_comment,
    STATE(11240), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16774), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7124), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10558), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [206954] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6740), 1,
      sym_integer_literal,
    ACTIONS(7114), 1,
      sym__alpha_identifier,
    ACTIONS(7118), 1,
      anon_sym__,
    ACTIONS(7120), 1,
      anon_sym_given,
    ACTIONS(7126), 1,
      anon_sym_LPAREN,
    ACTIONS(7128), 1,
      anon_sym_SQUOTE,
    ACTIONS(7130), 1,
      sym__backquoted_id,
    ACTIONS(7140), 1,
      sym_operator_identifier,
    ACTIONS(7142), 1,
      sym_null_literal,
    STATE(2228), 1,
      sym__case_pattern,
    STATE(7638), 1,
      sym_identifier,
    STATE(10161), 1,
      sym__soft_identifier,
    STATE(10320), 1,
      sym_stable_identifier,
    STATE(10322), 1,
      sym_wildcard,
    ACTIONS(6742), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6744), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6746), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4106), 2,
      sym_comment,
      sym_block_comment,
    STATE(11240), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16774), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7124), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10558), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [207048] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6740), 1,
      sym_integer_literal,
    ACTIONS(7114), 1,
      sym__alpha_identifier,
    ACTIONS(7118), 1,
      anon_sym__,
    ACTIONS(7120), 1,
      anon_sym_given,
    ACTIONS(7126), 1,
      anon_sym_LPAREN,
    ACTIONS(7128), 1,
      anon_sym_SQUOTE,
    ACTIONS(7130), 1,
      sym__backquoted_id,
    ACTIONS(7140), 1,
      sym_operator_identifier,
    ACTIONS(7142), 1,
      sym_null_literal,
    STATE(2129), 1,
      sym__case_pattern,
    STATE(7638), 1,
      sym_identifier,
    STATE(10161), 1,
      sym__soft_identifier,
    STATE(10320), 1,
      sym_stable_identifier,
    STATE(10322), 1,
      sym_wildcard,
    ACTIONS(6742), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6744), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6746), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4107), 2,
      sym_comment,
      sym_block_comment,
    STATE(11240), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16774), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7124), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10558), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [207142] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6740), 1,
      sym_integer_literal,
    ACTIONS(7114), 1,
      sym__alpha_identifier,
    ACTIONS(7118), 1,
      anon_sym__,
    ACTIONS(7120), 1,
      anon_sym_given,
    ACTIONS(7126), 1,
      anon_sym_LPAREN,
    ACTIONS(7128), 1,
      anon_sym_SQUOTE,
    ACTIONS(7130), 1,
      sym__backquoted_id,
    ACTIONS(7140), 1,
      sym_operator_identifier,
    ACTIONS(7142), 1,
      sym_null_literal,
    STATE(2203), 1,
      sym__case_pattern,
    STATE(7638), 1,
      sym_identifier,
    STATE(10161), 1,
      sym__soft_identifier,
    STATE(10320), 1,
      sym_stable_identifier,
    STATE(10322), 1,
      sym_wildcard,
    ACTIONS(6742), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6744), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6746), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4108), 2,
      sym_comment,
      sym_block_comment,
    STATE(11240), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16774), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7124), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10558), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [207236] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6754), 1,
      sym_integer_literal,
    ACTIONS(7144), 1,
      sym__alpha_identifier,
    ACTIONS(7146), 1,
      anon_sym__,
    ACTIONS(7148), 1,
      anon_sym_given,
    ACTIONS(7152), 1,
      anon_sym_LPAREN,
    ACTIONS(7154), 1,
      anon_sym_SQUOTE,
    ACTIONS(7156), 1,
      sym__backquoted_id,
    ACTIONS(7180), 1,
      sym_operator_identifier,
    ACTIONS(7182), 1,
      sym_null_literal,
    STATE(7387), 1,
      sym_identifier,
    STATE(9849), 1,
      sym__soft_identifier,
    STATE(10580), 1,
      sym_wildcard,
    STATE(10582), 1,
      sym_stable_identifier,
    STATE(15754), 1,
      sym_identifiers,
    ACTIONS(6756), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6758), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6760), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4109), 2,
      sym_comment,
      sym_block_comment,
    STATE(10839), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16919), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10996), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [207330] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6740), 1,
      sym_integer_literal,
    ACTIONS(7114), 1,
      sym__alpha_identifier,
    ACTIONS(7118), 1,
      anon_sym__,
    ACTIONS(7120), 1,
      anon_sym_given,
    ACTIONS(7126), 1,
      anon_sym_LPAREN,
    ACTIONS(7128), 1,
      anon_sym_SQUOTE,
    ACTIONS(7130), 1,
      sym__backquoted_id,
    ACTIONS(7140), 1,
      sym_operator_identifier,
    ACTIONS(7142), 1,
      sym_null_literal,
    STATE(2112), 1,
      sym__case_pattern,
    STATE(7638), 1,
      sym_identifier,
    STATE(10161), 1,
      sym__soft_identifier,
    STATE(10320), 1,
      sym_stable_identifier,
    STATE(10322), 1,
      sym_wildcard,
    ACTIONS(6742), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6744), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6746), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4110), 2,
      sym_comment,
      sym_block_comment,
    STATE(11240), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16774), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7124), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10558), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [207424] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6740), 1,
      sym_integer_literal,
    ACTIONS(7114), 1,
      sym__alpha_identifier,
    ACTIONS(7118), 1,
      anon_sym__,
    ACTIONS(7120), 1,
      anon_sym_given,
    ACTIONS(7126), 1,
      anon_sym_LPAREN,
    ACTIONS(7128), 1,
      anon_sym_SQUOTE,
    ACTIONS(7130), 1,
      sym__backquoted_id,
    ACTIONS(7140), 1,
      sym_operator_identifier,
    ACTIONS(7142), 1,
      sym_null_literal,
    STATE(2214), 1,
      sym__case_pattern,
    STATE(7638), 1,
      sym_identifier,
    STATE(10161), 1,
      sym__soft_identifier,
    STATE(10320), 1,
      sym_stable_identifier,
    STATE(10322), 1,
      sym_wildcard,
    ACTIONS(6742), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6744), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6746), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4111), 2,
      sym_comment,
      sym_block_comment,
    STATE(11240), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16774), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7124), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10558), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [207518] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6754), 1,
      sym_integer_literal,
    ACTIONS(7144), 1,
      sym__alpha_identifier,
    ACTIONS(7146), 1,
      anon_sym__,
    ACTIONS(7148), 1,
      anon_sym_given,
    ACTIONS(7152), 1,
      anon_sym_LPAREN,
    ACTIONS(7154), 1,
      anon_sym_SQUOTE,
    ACTIONS(7156), 1,
      sym__backquoted_id,
    ACTIONS(7184), 1,
      anon_sym_RPAREN,
    ACTIONS(7186), 1,
      sym_operator_identifier,
    ACTIONS(7188), 1,
      sym_null_literal,
    STATE(7417), 1,
      sym_identifier,
    STATE(9849), 1,
      sym__soft_identifier,
    STATE(10264), 1,
      sym_wildcard,
    STATE(10265), 1,
      sym_stable_identifier,
    ACTIONS(6756), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6758), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6760), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4112), 2,
      sym_comment,
      sym_block_comment,
    STATE(10839), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16919), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10524), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [207612] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6754), 1,
      sym_integer_literal,
    ACTIONS(7144), 1,
      sym__alpha_identifier,
    ACTIONS(7146), 1,
      anon_sym__,
    ACTIONS(7148), 1,
      anon_sym_given,
    ACTIONS(7152), 1,
      anon_sym_LPAREN,
    ACTIONS(7154), 1,
      anon_sym_SQUOTE,
    ACTIONS(7156), 1,
      sym__backquoted_id,
    ACTIONS(7190), 1,
      sym_operator_identifier,
    ACTIONS(7192), 1,
      sym_null_literal,
    STATE(7632), 1,
      sym_identifier,
    STATE(9849), 1,
      sym__soft_identifier,
    STATE(10589), 1,
      sym_wildcard,
    STATE(10593), 1,
      sym_stable_identifier,
    STATE(15682), 1,
      sym_identifiers,
    ACTIONS(6756), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6758), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6760), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4113), 2,
      sym_comment,
      sym_block_comment,
    STATE(10839), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16919), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10983), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [207706] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6740), 1,
      sym_integer_literal,
    ACTIONS(7114), 1,
      sym__alpha_identifier,
    ACTIONS(7118), 1,
      anon_sym__,
    ACTIONS(7120), 1,
      anon_sym_given,
    ACTIONS(7126), 1,
      anon_sym_LPAREN,
    ACTIONS(7128), 1,
      anon_sym_SQUOTE,
    ACTIONS(7130), 1,
      sym__backquoted_id,
    ACTIONS(7140), 1,
      sym_operator_identifier,
    ACTIONS(7142), 1,
      sym_null_literal,
    STATE(2061), 1,
      sym__case_pattern,
    STATE(7638), 1,
      sym_identifier,
    STATE(10161), 1,
      sym__soft_identifier,
    STATE(10320), 1,
      sym_stable_identifier,
    STATE(10322), 1,
      sym_wildcard,
    ACTIONS(6742), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6744), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6746), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4114), 2,
      sym_comment,
      sym_block_comment,
    STATE(11240), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16774), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7124), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10558), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [207800] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6754), 1,
      sym_integer_literal,
    ACTIONS(7144), 1,
      sym__alpha_identifier,
    ACTIONS(7146), 1,
      anon_sym__,
    ACTIONS(7148), 1,
      anon_sym_given,
    ACTIONS(7152), 1,
      anon_sym_LPAREN,
    ACTIONS(7154), 1,
      anon_sym_SQUOTE,
    ACTIONS(7156), 1,
      sym__backquoted_id,
    ACTIONS(7172), 1,
      sym_operator_identifier,
    ACTIONS(7174), 1,
      sym_null_literal,
    ACTIONS(7194), 1,
      anon_sym_RPAREN,
    STATE(8212), 1,
      sym_identifier,
    STATE(9849), 1,
      sym__soft_identifier,
    STATE(10459), 1,
      sym_wildcard,
    STATE(10512), 1,
      sym_stable_identifier,
    ACTIONS(6756), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6758), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6760), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4115), 2,
      sym_comment,
      sym_block_comment,
    STATE(10839), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16919), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10710), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [207894] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6740), 1,
      sym_integer_literal,
    ACTIONS(7114), 1,
      sym__alpha_identifier,
    ACTIONS(7118), 1,
      anon_sym__,
    ACTIONS(7120), 1,
      anon_sym_given,
    ACTIONS(7126), 1,
      anon_sym_LPAREN,
    ACTIONS(7128), 1,
      anon_sym_SQUOTE,
    ACTIONS(7130), 1,
      sym__backquoted_id,
    ACTIONS(7140), 1,
      sym_operator_identifier,
    ACTIONS(7142), 1,
      sym_null_literal,
    STATE(2204), 1,
      sym__case_pattern,
    STATE(7638), 1,
      sym_identifier,
    STATE(10161), 1,
      sym__soft_identifier,
    STATE(10320), 1,
      sym_stable_identifier,
    STATE(10322), 1,
      sym_wildcard,
    ACTIONS(6742), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6744), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6746), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4116), 2,
      sym_comment,
      sym_block_comment,
    STATE(11240), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16774), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7124), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10558), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [207988] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6740), 1,
      sym_integer_literal,
    ACTIONS(7114), 1,
      sym__alpha_identifier,
    ACTIONS(7118), 1,
      anon_sym__,
    ACTIONS(7120), 1,
      anon_sym_given,
    ACTIONS(7126), 1,
      anon_sym_LPAREN,
    ACTIONS(7128), 1,
      anon_sym_SQUOTE,
    ACTIONS(7130), 1,
      sym__backquoted_id,
    ACTIONS(7140), 1,
      sym_operator_identifier,
    ACTIONS(7142), 1,
      sym_null_literal,
    STATE(2162), 1,
      sym__case_pattern,
    STATE(7638), 1,
      sym_identifier,
    STATE(10161), 1,
      sym__soft_identifier,
    STATE(10320), 1,
      sym_stable_identifier,
    STATE(10322), 1,
      sym_wildcard,
    ACTIONS(6742), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6744), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6746), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4117), 2,
      sym_comment,
      sym_block_comment,
    STATE(11240), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16774), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7124), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10558), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [208082] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6740), 1,
      sym_integer_literal,
    ACTIONS(7114), 1,
      sym__alpha_identifier,
    ACTIONS(7118), 1,
      anon_sym__,
    ACTIONS(7120), 1,
      anon_sym_given,
    ACTIONS(7126), 1,
      anon_sym_LPAREN,
    ACTIONS(7128), 1,
      anon_sym_SQUOTE,
    ACTIONS(7130), 1,
      sym__backquoted_id,
    ACTIONS(7140), 1,
      sym_operator_identifier,
    ACTIONS(7142), 1,
      sym_null_literal,
    STATE(2091), 1,
      sym__case_pattern,
    STATE(7638), 1,
      sym_identifier,
    STATE(10161), 1,
      sym__soft_identifier,
    STATE(10320), 1,
      sym_stable_identifier,
    STATE(10322), 1,
      sym_wildcard,
    ACTIONS(6742), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6744), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6746), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4118), 2,
      sym_comment,
      sym_block_comment,
    STATE(11240), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16774), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7124), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10558), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [208176] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6754), 1,
      sym_integer_literal,
    ACTIONS(7144), 1,
      sym__alpha_identifier,
    ACTIONS(7146), 1,
      anon_sym__,
    ACTIONS(7148), 1,
      anon_sym_given,
    ACTIONS(7152), 1,
      anon_sym_LPAREN,
    ACTIONS(7154), 1,
      anon_sym_SQUOTE,
    ACTIONS(7156), 1,
      sym__backquoted_id,
    ACTIONS(7196), 1,
      sym_operator_identifier,
    ACTIONS(7198), 1,
      sym_null_literal,
    STATE(7487), 1,
      sym_identifier,
    STATE(9849), 1,
      sym__soft_identifier,
    STATE(10698), 1,
      sym_stable_identifier,
    STATE(10704), 1,
      sym_wildcard,
    STATE(15737), 1,
      sym_identifiers,
    ACTIONS(6756), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6758), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6760), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4119), 2,
      sym_comment,
      sym_block_comment,
    STATE(10839), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16919), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10780), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [208270] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6754), 1,
      sym_integer_literal,
    ACTIONS(7144), 1,
      sym__alpha_identifier,
    ACTIONS(7146), 1,
      anon_sym__,
    ACTIONS(7148), 1,
      anon_sym_given,
    ACTIONS(7152), 1,
      anon_sym_LPAREN,
    ACTIONS(7154), 1,
      anon_sym_SQUOTE,
    ACTIONS(7156), 1,
      sym__backquoted_id,
    ACTIONS(7200), 1,
      anon_sym_RPAREN,
    ACTIONS(7202), 1,
      sym_operator_identifier,
    ACTIONS(7204), 1,
      sym_null_literal,
    STATE(7768), 1,
      sym_identifier,
    STATE(9849), 1,
      sym__soft_identifier,
    STATE(10262), 1,
      sym_stable_identifier,
    STATE(10305), 1,
      sym_wildcard,
    ACTIONS(6756), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6758), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6760), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4120), 2,
      sym_comment,
      sym_block_comment,
    STATE(10839), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16919), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10378), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [208364] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6740), 1,
      sym_integer_literal,
    ACTIONS(7114), 1,
      sym__alpha_identifier,
    ACTIONS(7118), 1,
      anon_sym__,
    ACTIONS(7120), 1,
      anon_sym_given,
    ACTIONS(7126), 1,
      anon_sym_LPAREN,
    ACTIONS(7128), 1,
      anon_sym_SQUOTE,
    ACTIONS(7130), 1,
      sym__backquoted_id,
    ACTIONS(7140), 1,
      sym_operator_identifier,
    ACTIONS(7142), 1,
      sym_null_literal,
    STATE(2185), 1,
      sym__case_pattern,
    STATE(7638), 1,
      sym_identifier,
    STATE(10161), 1,
      sym__soft_identifier,
    STATE(10320), 1,
      sym_stable_identifier,
    STATE(10322), 1,
      sym_wildcard,
    ACTIONS(6742), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6744), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6746), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4121), 2,
      sym_comment,
      sym_block_comment,
    STATE(11240), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16774), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7124), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10558), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [208458] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6754), 1,
      sym_integer_literal,
    ACTIONS(7144), 1,
      sym__alpha_identifier,
    ACTIONS(7146), 1,
      anon_sym__,
    ACTIONS(7148), 1,
      anon_sym_given,
    ACTIONS(7152), 1,
      anon_sym_LPAREN,
    ACTIONS(7154), 1,
      anon_sym_SQUOTE,
    ACTIONS(7156), 1,
      sym__backquoted_id,
    ACTIONS(7172), 1,
      sym_operator_identifier,
    ACTIONS(7174), 1,
      sym_null_literal,
    ACTIONS(7206), 1,
      anon_sym_RPAREN,
    STATE(8212), 1,
      sym_identifier,
    STATE(9849), 1,
      sym__soft_identifier,
    STATE(10459), 1,
      sym_wildcard,
    STATE(10512), 1,
      sym_stable_identifier,
    ACTIONS(6756), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6758), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6760), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4122), 2,
      sym_comment,
      sym_block_comment,
    STATE(10839), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16919), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10710), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [208552] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6754), 1,
      sym_integer_literal,
    ACTIONS(7144), 1,
      sym__alpha_identifier,
    ACTIONS(7146), 1,
      anon_sym__,
    ACTIONS(7148), 1,
      anon_sym_given,
    ACTIONS(7152), 1,
      anon_sym_LPAREN,
    ACTIONS(7154), 1,
      anon_sym_SQUOTE,
    ACTIONS(7156), 1,
      sym__backquoted_id,
    ACTIONS(7208), 1,
      sym_operator_identifier,
    ACTIONS(7210), 1,
      sym_null_literal,
    STATE(7386), 1,
      sym_identifier,
    STATE(9849), 1,
      sym__soft_identifier,
    STATE(10576), 1,
      sym_wildcard,
    STATE(10577), 1,
      sym_stable_identifier,
    STATE(15753), 1,
      sym_identifiers,
    ACTIONS(6756), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6758), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6760), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4123), 2,
      sym_comment,
      sym_block_comment,
    STATE(10839), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16919), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11005), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [208646] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6754), 1,
      sym_integer_literal,
    ACTIONS(7144), 1,
      sym__alpha_identifier,
    ACTIONS(7146), 1,
      anon_sym__,
    ACTIONS(7148), 1,
      anon_sym_given,
    ACTIONS(7152), 1,
      anon_sym_LPAREN,
    ACTIONS(7154), 1,
      anon_sym_SQUOTE,
    ACTIONS(7156), 1,
      sym__backquoted_id,
    ACTIONS(7212), 1,
      sym_operator_identifier,
    ACTIONS(7214), 1,
      sym_null_literal,
    STATE(7485), 1,
      sym_identifier,
    STATE(9849), 1,
      sym__soft_identifier,
    STATE(10691), 1,
      sym_stable_identifier,
    STATE(10693), 1,
      sym_wildcard,
    STATE(15738), 1,
      sym_identifiers,
    ACTIONS(6756), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6758), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6760), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4124), 2,
      sym_comment,
      sym_block_comment,
    STATE(10839), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16919), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10787), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [208740] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6754), 1,
      sym_integer_literal,
    ACTIONS(7144), 1,
      sym__alpha_identifier,
    ACTIONS(7146), 1,
      anon_sym__,
    ACTIONS(7148), 1,
      anon_sym_given,
    ACTIONS(7152), 1,
      anon_sym_LPAREN,
    ACTIONS(7154), 1,
      anon_sym_SQUOTE,
    ACTIONS(7156), 1,
      sym__backquoted_id,
    ACTIONS(7216), 1,
      anon_sym_RPAREN,
    ACTIONS(7218), 1,
      sym_operator_identifier,
    ACTIONS(7220), 1,
      sym_null_literal,
    STATE(7515), 1,
      sym_identifier,
    STATE(9849), 1,
      sym__soft_identifier,
    STATE(10183), 1,
      sym_stable_identifier,
    STATE(10184), 1,
      sym_wildcard,
    ACTIONS(6756), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6758), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6760), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4125), 2,
      sym_comment,
      sym_block_comment,
    STATE(10839), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16919), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10431), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [208834] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6754), 1,
      sym_integer_literal,
    ACTIONS(7144), 1,
      sym__alpha_identifier,
    ACTIONS(7146), 1,
      anon_sym__,
    ACTIONS(7148), 1,
      anon_sym_given,
    ACTIONS(7152), 1,
      anon_sym_LPAREN,
    ACTIONS(7154), 1,
      anon_sym_SQUOTE,
    ACTIONS(7156), 1,
      sym__backquoted_id,
    ACTIONS(7172), 1,
      sym_operator_identifier,
    ACTIONS(7174), 1,
      sym_null_literal,
    ACTIONS(7222), 1,
      anon_sym_RPAREN,
    STATE(8212), 1,
      sym_identifier,
    STATE(9849), 1,
      sym__soft_identifier,
    STATE(10459), 1,
      sym_wildcard,
    STATE(10512), 1,
      sym_stable_identifier,
    ACTIONS(6756), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6758), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6760), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4126), 2,
      sym_comment,
      sym_block_comment,
    STATE(10839), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16919), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10710), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [208928] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6740), 1,
      sym_integer_literal,
    ACTIONS(7114), 1,
      sym__alpha_identifier,
    ACTIONS(7118), 1,
      anon_sym__,
    ACTIONS(7120), 1,
      anon_sym_given,
    ACTIONS(7126), 1,
      anon_sym_LPAREN,
    ACTIONS(7128), 1,
      anon_sym_SQUOTE,
    ACTIONS(7130), 1,
      sym__backquoted_id,
    ACTIONS(7140), 1,
      sym_operator_identifier,
    ACTIONS(7142), 1,
      sym_null_literal,
    STATE(2240), 1,
      sym__case_pattern,
    STATE(7638), 1,
      sym_identifier,
    STATE(10161), 1,
      sym__soft_identifier,
    STATE(10320), 1,
      sym_stable_identifier,
    STATE(10322), 1,
      sym_wildcard,
    ACTIONS(6742), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6744), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6746), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4127), 2,
      sym_comment,
      sym_block_comment,
    STATE(11240), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16774), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7124), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10558), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [209022] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6740), 1,
      sym_integer_literal,
    ACTIONS(7114), 1,
      sym__alpha_identifier,
    ACTIONS(7118), 1,
      anon_sym__,
    ACTIONS(7120), 1,
      anon_sym_given,
    ACTIONS(7126), 1,
      anon_sym_LPAREN,
    ACTIONS(7128), 1,
      anon_sym_SQUOTE,
    ACTIONS(7130), 1,
      sym__backquoted_id,
    ACTIONS(7140), 1,
      sym_operator_identifier,
    ACTIONS(7142), 1,
      sym_null_literal,
    STATE(2176), 1,
      sym__case_pattern,
    STATE(7638), 1,
      sym_identifier,
    STATE(10161), 1,
      sym__soft_identifier,
    STATE(10320), 1,
      sym_stable_identifier,
    STATE(10322), 1,
      sym_wildcard,
    ACTIONS(6742), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6744), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6746), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4128), 2,
      sym_comment,
      sym_block_comment,
    STATE(11240), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16774), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7124), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10558), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [209116] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6740), 1,
      sym_integer_literal,
    ACTIONS(7114), 1,
      sym__alpha_identifier,
    ACTIONS(7118), 1,
      anon_sym__,
    ACTIONS(7120), 1,
      anon_sym_given,
    ACTIONS(7126), 1,
      anon_sym_LPAREN,
    ACTIONS(7128), 1,
      anon_sym_SQUOTE,
    ACTIONS(7130), 1,
      sym__backquoted_id,
    ACTIONS(7140), 1,
      sym_operator_identifier,
    ACTIONS(7142), 1,
      sym_null_literal,
    STATE(2042), 1,
      sym__case_pattern,
    STATE(7638), 1,
      sym_identifier,
    STATE(10161), 1,
      sym__soft_identifier,
    STATE(10320), 1,
      sym_stable_identifier,
    STATE(10322), 1,
      sym_wildcard,
    ACTIONS(6742), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6744), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6746), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4129), 2,
      sym_comment,
      sym_block_comment,
    STATE(11240), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16774), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7124), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10558), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [209210] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6740), 1,
      sym_integer_literal,
    ACTIONS(7114), 1,
      sym__alpha_identifier,
    ACTIONS(7118), 1,
      anon_sym__,
    ACTIONS(7120), 1,
      anon_sym_given,
    ACTIONS(7126), 1,
      anon_sym_LPAREN,
    ACTIONS(7128), 1,
      anon_sym_SQUOTE,
    ACTIONS(7130), 1,
      sym__backquoted_id,
    ACTIONS(7140), 1,
      sym_operator_identifier,
    ACTIONS(7142), 1,
      sym_null_literal,
    STATE(2093), 1,
      sym__case_pattern,
    STATE(7638), 1,
      sym_identifier,
    STATE(10161), 1,
      sym__soft_identifier,
    STATE(10320), 1,
      sym_stable_identifier,
    STATE(10322), 1,
      sym_wildcard,
    ACTIONS(6742), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6744), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6746), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4130), 2,
      sym_comment,
      sym_block_comment,
    STATE(11240), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16774), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7124), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10558), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [209304] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6754), 1,
      sym_integer_literal,
    ACTIONS(7144), 1,
      sym__alpha_identifier,
    ACTIONS(7146), 1,
      anon_sym__,
    ACTIONS(7148), 1,
      anon_sym_given,
    ACTIONS(7152), 1,
      anon_sym_LPAREN,
    ACTIONS(7154), 1,
      anon_sym_SQUOTE,
    ACTIONS(7156), 1,
      sym__backquoted_id,
    ACTIONS(7224), 1,
      sym_operator_identifier,
    ACTIONS(7226), 1,
      sym_null_literal,
    STATE(7562), 1,
      sym_identifier,
    STATE(9849), 1,
      sym__soft_identifier,
    STATE(10611), 1,
      sym_stable_identifier,
    STATE(10614), 1,
      sym_wildcard,
    STATE(15724), 1,
      sym_identifiers,
    ACTIONS(6756), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6758), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6760), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4131), 2,
      sym_comment,
      sym_block_comment,
    STATE(10839), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16919), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10933), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [209398] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6740), 1,
      sym_integer_literal,
    ACTIONS(7114), 1,
      sym__alpha_identifier,
    ACTIONS(7118), 1,
      anon_sym__,
    ACTIONS(7120), 1,
      anon_sym_given,
    ACTIONS(7126), 1,
      anon_sym_LPAREN,
    ACTIONS(7128), 1,
      anon_sym_SQUOTE,
    ACTIONS(7130), 1,
      sym__backquoted_id,
    ACTIONS(7140), 1,
      sym_operator_identifier,
    ACTIONS(7142), 1,
      sym_null_literal,
    STATE(2188), 1,
      sym__case_pattern,
    STATE(7638), 1,
      sym_identifier,
    STATE(10161), 1,
      sym__soft_identifier,
    STATE(10320), 1,
      sym_stable_identifier,
    STATE(10322), 1,
      sym_wildcard,
    ACTIONS(6742), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6744), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6746), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4132), 2,
      sym_comment,
      sym_block_comment,
    STATE(11240), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16774), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7124), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10558), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [209492] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6754), 1,
      sym_integer_literal,
    ACTIONS(7144), 1,
      sym__alpha_identifier,
    ACTIONS(7146), 1,
      anon_sym__,
    ACTIONS(7148), 1,
      anon_sym_given,
    ACTIONS(7152), 1,
      anon_sym_LPAREN,
    ACTIONS(7154), 1,
      anon_sym_SQUOTE,
    ACTIONS(7156), 1,
      sym__backquoted_id,
    ACTIONS(7228), 1,
      sym_operator_identifier,
    ACTIONS(7230), 1,
      sym_null_literal,
    STATE(7558), 1,
      sym_identifier,
    STATE(9849), 1,
      sym__soft_identifier,
    STATE(10607), 1,
      sym_stable_identifier,
    STATE(10609), 1,
      sym_wildcard,
    STATE(15725), 1,
      sym_identifiers,
    ACTIONS(6756), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6758), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6760), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4133), 2,
      sym_comment,
      sym_block_comment,
    STATE(10839), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16919), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10940), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [209586] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6740), 1,
      sym_integer_literal,
    ACTIONS(7114), 1,
      sym__alpha_identifier,
    ACTIONS(7118), 1,
      anon_sym__,
    ACTIONS(7120), 1,
      anon_sym_given,
    ACTIONS(7126), 1,
      anon_sym_LPAREN,
    ACTIONS(7128), 1,
      anon_sym_SQUOTE,
    ACTIONS(7130), 1,
      sym__backquoted_id,
    ACTIONS(7140), 1,
      sym_operator_identifier,
    ACTIONS(7142), 1,
      sym_null_literal,
    STATE(2045), 1,
      sym__case_pattern,
    STATE(7638), 1,
      sym_identifier,
    STATE(10161), 1,
      sym__soft_identifier,
    STATE(10320), 1,
      sym_stable_identifier,
    STATE(10322), 1,
      sym_wildcard,
    ACTIONS(6742), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6744), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6746), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4134), 2,
      sym_comment,
      sym_block_comment,
    STATE(11240), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16774), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7124), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10558), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [209680] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6740), 1,
      sym_integer_literal,
    ACTIONS(7114), 1,
      sym__alpha_identifier,
    ACTIONS(7118), 1,
      anon_sym__,
    ACTIONS(7120), 1,
      anon_sym_given,
    ACTIONS(7126), 1,
      anon_sym_LPAREN,
    ACTIONS(7128), 1,
      anon_sym_SQUOTE,
    ACTIONS(7130), 1,
      sym__backquoted_id,
    ACTIONS(7140), 1,
      sym_operator_identifier,
    ACTIONS(7142), 1,
      sym_null_literal,
    STATE(2141), 1,
      sym__case_pattern,
    STATE(7638), 1,
      sym_identifier,
    STATE(10161), 1,
      sym__soft_identifier,
    STATE(10320), 1,
      sym_stable_identifier,
    STATE(10322), 1,
      sym_wildcard,
    ACTIONS(6742), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6744), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6746), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4135), 2,
      sym_comment,
      sym_block_comment,
    STATE(11240), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16774), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7124), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10558), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [209774] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6740), 1,
      sym_integer_literal,
    ACTIONS(7114), 1,
      sym__alpha_identifier,
    ACTIONS(7118), 1,
      anon_sym__,
    ACTIONS(7120), 1,
      anon_sym_given,
    ACTIONS(7126), 1,
      anon_sym_LPAREN,
    ACTIONS(7128), 1,
      anon_sym_SQUOTE,
    ACTIONS(7130), 1,
      sym__backquoted_id,
    ACTIONS(7140), 1,
      sym_operator_identifier,
    ACTIONS(7142), 1,
      sym_null_literal,
    STATE(2222), 1,
      sym__case_pattern,
    STATE(7638), 1,
      sym_identifier,
    STATE(10161), 1,
      sym__soft_identifier,
    STATE(10320), 1,
      sym_stable_identifier,
    STATE(10322), 1,
      sym_wildcard,
    ACTIONS(6742), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6744), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6746), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4136), 2,
      sym_comment,
      sym_block_comment,
    STATE(11240), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16774), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7124), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10558), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [209868] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7232), 1,
      sym__alpha_identifier,
    ACTIONS(7234), 1,
      anon_sym_COLON,
    ACTIONS(7236), 1,
      anon_sym_LBRACE,
    ACTIONS(7238), 1,
      anon_sym__,
    ACTIONS(7240), 1,
      anon_sym_LBRACK,
    ACTIONS(7244), 1,
      anon_sym_LPAREN,
    ACTIONS(7246), 1,
      sym__backquoted_id,
    ACTIONS(7248), 1,
      sym_operator_identifier,
    ACTIONS(7250), 1,
      sym__automatic_semicolon,
    STATE(4276), 1,
      sym__given_constructor,
    STATE(10302), 1,
      sym_identifier,
    STATE(10330), 1,
      sym__simple_type,
    STATE(10954), 1,
      sym__soft_identifier,
    STATE(11166), 1,
      sym__annotated_type,
    STATE(12438), 1,
      sym_annotated_type,
    STATE(13068), 1,
      sym__using_parameters_clause,
    STATE(13070), 1,
      sym_parameters,
    STATE(13748), 1,
      aux_sym__function_constructor_repeat1,
    STATE(13757), 1,
      sym_type_parameters,
    STATE(13935), 1,
      sym__structural_instance,
    STATE(14896), 1,
      sym_compound_type,
    STATE(16972), 1,
      sym_stable_identifier,
    STATE(16974), 1,
      sym__structural_type,
    STATE(16997), 1,
      sym__constructor_application,
    STATE(17007), 1,
      sym_template_body,
    STATE(4137), 2,
      sym_comment,
      sym_block_comment,
    STATE(15707), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7242), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11316), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [209975] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4138), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4132), 9,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
    ACTIONS(4136), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(7252), 22,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [210032] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7234), 1,
      anon_sym_COLON,
    ACTIONS(7236), 1,
      anon_sym_LBRACE,
    ACTIONS(7240), 1,
      anon_sym_LBRACK,
    ACTIONS(7250), 1,
      sym__automatic_semicolon,
    ACTIONS(7254), 1,
      sym__alpha_identifier,
    ACTIONS(7256), 1,
      anon_sym__,
    ACTIONS(7260), 1,
      anon_sym_LPAREN,
    ACTIONS(7262), 1,
      sym__backquoted_id,
    ACTIONS(7264), 1,
      sym_operator_identifier,
    STATE(4220), 1,
      sym__given_constructor,
    STATE(10337), 1,
      sym_identifier,
    STATE(10637), 1,
      sym__simple_type,
    STATE(11065), 1,
      sym__soft_identifier,
    STATE(11163), 1,
      sym__annotated_type,
    STATE(12720), 1,
      sym_annotated_type,
    STATE(13068), 1,
      sym__using_parameters_clause,
    STATE(13070), 1,
      sym_parameters,
    STATE(13748), 1,
      aux_sym__function_constructor_repeat1,
    STATE(13757), 1,
      sym_type_parameters,
    STATE(14094), 1,
      sym__structural_instance,
    STATE(14896), 1,
      sym_compound_type,
    STATE(15838), 1,
      sym_stable_identifier,
    STATE(16929), 1,
      sym__constructor_application,
    STATE(16974), 1,
      sym__structural_type,
    STATE(17007), 1,
      sym_template_body,
    STATE(4139), 2,
      sym_comment,
      sym_block_comment,
    STATE(15707), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7258), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11454), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [210139] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7232), 1,
      sym__alpha_identifier,
    ACTIONS(7234), 1,
      anon_sym_COLON,
    ACTIONS(7236), 1,
      anon_sym_LBRACE,
    ACTIONS(7238), 1,
      anon_sym__,
    ACTIONS(7240), 1,
      anon_sym_LBRACK,
    ACTIONS(7244), 1,
      anon_sym_LPAREN,
    ACTIONS(7246), 1,
      sym__backquoted_id,
    ACTIONS(7248), 1,
      sym_operator_identifier,
    ACTIONS(7250), 1,
      sym__automatic_semicolon,
    STATE(4269), 1,
      sym__given_constructor,
    STATE(10302), 1,
      sym_identifier,
    STATE(10330), 1,
      sym__simple_type,
    STATE(10954), 1,
      sym__soft_identifier,
    STATE(11046), 1,
      sym__annotated_type,
    STATE(12438), 1,
      sym_annotated_type,
    STATE(13068), 1,
      sym__using_parameters_clause,
    STATE(13070), 1,
      sym_parameters,
    STATE(13748), 1,
      aux_sym__function_constructor_repeat1,
    STATE(13757), 1,
      sym_type_parameters,
    STATE(14038), 1,
      sym__structural_instance,
    STATE(14896), 1,
      sym_compound_type,
    STATE(16972), 1,
      sym_stable_identifier,
    STATE(16974), 1,
      sym__structural_type,
    STATE(16997), 1,
      sym__constructor_application,
    STATE(17007), 1,
      sym_template_body,
    STATE(4140), 2,
      sym_comment,
      sym_block_comment,
    STATE(15707), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7242), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11316), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [210246] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4141), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4132), 9,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
    ACTIONS(4136), 9,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(7266), 22,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [210303] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6740), 1,
      sym_integer_literal,
    ACTIONS(7114), 1,
      sym__alpha_identifier,
    ACTIONS(7118), 1,
      anon_sym__,
    ACTIONS(7120), 1,
      anon_sym_given,
    ACTIONS(7126), 1,
      anon_sym_LPAREN,
    ACTIONS(7128), 1,
      anon_sym_SQUOTE,
    ACTIONS(7130), 1,
      sym__backquoted_id,
    ACTIONS(7268), 1,
      sym_operator_identifier,
    ACTIONS(7270), 1,
      sym_null_literal,
    STATE(8617), 1,
      sym_identifier,
    STATE(10161), 1,
      sym__soft_identifier,
    STATE(10380), 1,
      sym_wildcard,
    STATE(10478), 1,
      sym_stable_identifier,
    ACTIONS(6742), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6744), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6746), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4142), 2,
      sym_comment,
      sym_block_comment,
    STATE(11240), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16774), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7124), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10721), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [210394] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6754), 1,
      sym_integer_literal,
    ACTIONS(7144), 1,
      sym__alpha_identifier,
    ACTIONS(7146), 1,
      anon_sym__,
    ACTIONS(7148), 1,
      anon_sym_given,
    ACTIONS(7152), 1,
      anon_sym_LPAREN,
    ACTIONS(7154), 1,
      anon_sym_SQUOTE,
    ACTIONS(7156), 1,
      sym__backquoted_id,
    ACTIONS(7272), 1,
      sym_operator_identifier,
    ACTIONS(7274), 1,
      sym_null_literal,
    STATE(7685), 1,
      sym_identifier,
    STATE(9849), 1,
      sym__soft_identifier,
    STATE(10289), 1,
      sym_wildcard,
    STATE(10312), 1,
      sym_stable_identifier,
    ACTIONS(6756), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6758), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6760), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4143), 2,
      sym_comment,
      sym_block_comment,
    STATE(10839), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16919), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10530), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [210485] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(7070), 1,
      anon_sym_LPAREN,
    ACTIONS(7276), 1,
      sym_operator_identifier,
    ACTIONS(7278), 1,
      sym_null_literal,
    STATE(8454), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(10469), 1,
      sym_stable_identifier,
    STATE(10474), 1,
      sym_wildcard,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4144), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10616), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [210576] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6740), 1,
      sym_integer_literal,
    ACTIONS(7114), 1,
      sym__alpha_identifier,
    ACTIONS(7118), 1,
      anon_sym__,
    ACTIONS(7120), 1,
      anon_sym_given,
    ACTIONS(7126), 1,
      anon_sym_LPAREN,
    ACTIONS(7128), 1,
      anon_sym_SQUOTE,
    ACTIONS(7130), 1,
      sym__backquoted_id,
    ACTIONS(7280), 1,
      sym_operator_identifier,
    ACTIONS(7282), 1,
      sym_null_literal,
    STATE(8620), 1,
      sym_identifier,
    STATE(10161), 1,
      sym__soft_identifier,
    STATE(10440), 1,
      sym_stable_identifier,
    STATE(10520), 1,
      sym_wildcard,
    ACTIONS(6742), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6744), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6746), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4145), 2,
      sym_comment,
      sym_block_comment,
    STATE(11240), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16774), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7124), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10723), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [210667] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7234), 1,
      anon_sym_COLON,
    ACTIONS(7236), 1,
      anon_sym_LBRACE,
    ACTIONS(7240), 1,
      anon_sym_LBRACK,
    ACTIONS(7250), 1,
      sym__automatic_semicolon,
    ACTIONS(7254), 1,
      sym__alpha_identifier,
    ACTIONS(7256), 1,
      anon_sym__,
    ACTIONS(7260), 1,
      anon_sym_LPAREN,
    ACTIONS(7262), 1,
      sym__backquoted_id,
    ACTIONS(7264), 1,
      sym_operator_identifier,
    STATE(4216), 1,
      sym__given_constructor,
    STATE(10337), 1,
      sym_identifier,
    STATE(10637), 1,
      sym__simple_type,
    STATE(11065), 1,
      sym__soft_identifier,
    STATE(11219), 1,
      sym__annotated_type,
    STATE(12720), 1,
      sym_annotated_type,
    STATE(13068), 1,
      sym__using_parameters_clause,
    STATE(13070), 1,
      sym_parameters,
    STATE(13748), 1,
      aux_sym__function_constructor_repeat1,
    STATE(13757), 1,
      sym_type_parameters,
    STATE(14102), 1,
      sym__structural_instance,
    STATE(14896), 1,
      sym_compound_type,
    STATE(15838), 1,
      sym_stable_identifier,
    STATE(16929), 1,
      sym__constructor_application,
    STATE(16974), 1,
      sym__structural_type,
    STATE(17007), 1,
      sym_template_body,
    STATE(4146), 2,
      sym_comment,
      sym_block_comment,
    STATE(15707), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7258), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11454), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [210774] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7234), 1,
      anon_sym_COLON,
    ACTIONS(7236), 1,
      anon_sym_LBRACE,
    ACTIONS(7240), 1,
      anon_sym_LBRACK,
    ACTIONS(7250), 1,
      sym__automatic_semicolon,
    ACTIONS(7254), 1,
      sym__alpha_identifier,
    ACTIONS(7256), 1,
      anon_sym__,
    ACTIONS(7260), 1,
      anon_sym_LPAREN,
    ACTIONS(7262), 1,
      sym__backquoted_id,
    ACTIONS(7264), 1,
      sym_operator_identifier,
    STATE(4282), 1,
      sym__given_constructor,
    STATE(10337), 1,
      sym_identifier,
    STATE(10637), 1,
      sym__simple_type,
    STATE(11065), 1,
      sym__soft_identifier,
    STATE(11250), 1,
      sym__annotated_type,
    STATE(12720), 1,
      sym_annotated_type,
    STATE(13068), 1,
      sym__using_parameters_clause,
    STATE(13070), 1,
      sym_parameters,
    STATE(13748), 1,
      aux_sym__function_constructor_repeat1,
    STATE(13757), 1,
      sym_type_parameters,
    STATE(14304), 1,
      sym__structural_instance,
    STATE(14896), 1,
      sym_compound_type,
    STATE(15838), 1,
      sym_stable_identifier,
    STATE(16929), 1,
      sym__constructor_application,
    STATE(16974), 1,
      sym__structural_type,
    STATE(17007), 1,
      sym_template_body,
    STATE(4147), 2,
      sym_comment,
      sym_block_comment,
    STATE(15707), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7258), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11454), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [210881] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7234), 1,
      anon_sym_COLON,
    ACTIONS(7236), 1,
      anon_sym_LBRACE,
    ACTIONS(7240), 1,
      anon_sym_LBRACK,
    ACTIONS(7250), 1,
      sym__automatic_semicolon,
    ACTIONS(7254), 1,
      sym__alpha_identifier,
    ACTIONS(7256), 1,
      anon_sym__,
    ACTIONS(7260), 1,
      anon_sym_LPAREN,
    ACTIONS(7262), 1,
      sym__backquoted_id,
    ACTIONS(7264), 1,
      sym_operator_identifier,
    STATE(4277), 1,
      sym__given_constructor,
    STATE(10337), 1,
      sym_identifier,
    STATE(10637), 1,
      sym__simple_type,
    STATE(10897), 1,
      sym__annotated_type,
    STATE(11065), 1,
      sym__soft_identifier,
    STATE(12720), 1,
      sym_annotated_type,
    STATE(13068), 1,
      sym__using_parameters_clause,
    STATE(13070), 1,
      sym_parameters,
    STATE(13748), 1,
      aux_sym__function_constructor_repeat1,
    STATE(13757), 1,
      sym_type_parameters,
    STATE(14304), 1,
      sym__structural_instance,
    STATE(14896), 1,
      sym_compound_type,
    STATE(15838), 1,
      sym_stable_identifier,
    STATE(16929), 1,
      sym__constructor_application,
    STATE(16974), 1,
      sym__structural_type,
    STATE(17007), 1,
      sym_template_body,
    STATE(4148), 2,
      sym_comment,
      sym_block_comment,
    STATE(15707), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7258), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11454), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [210988] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7232), 1,
      sym__alpha_identifier,
    ACTIONS(7234), 1,
      anon_sym_COLON,
    ACTIONS(7236), 1,
      anon_sym_LBRACE,
    ACTIONS(7238), 1,
      anon_sym__,
    ACTIONS(7240), 1,
      anon_sym_LBRACK,
    ACTIONS(7244), 1,
      anon_sym_LPAREN,
    ACTIONS(7246), 1,
      sym__backquoted_id,
    ACTIONS(7248), 1,
      sym_operator_identifier,
    ACTIONS(7250), 1,
      sym__automatic_semicolon,
    STATE(4215), 1,
      sym__given_constructor,
    STATE(10302), 1,
      sym_identifier,
    STATE(10330), 1,
      sym__simple_type,
    STATE(10954), 1,
      sym__soft_identifier,
    STATE(11329), 1,
      sym__annotated_type,
    STATE(12438), 1,
      sym_annotated_type,
    STATE(13068), 1,
      sym__using_parameters_clause,
    STATE(13070), 1,
      sym_parameters,
    STATE(13748), 1,
      aux_sym__function_constructor_repeat1,
    STATE(13757), 1,
      sym_type_parameters,
    STATE(14038), 1,
      sym__structural_instance,
    STATE(14896), 1,
      sym_compound_type,
    STATE(16972), 1,
      sym_stable_identifier,
    STATE(16974), 1,
      sym__structural_type,
    STATE(16997), 1,
      sym__constructor_application,
    STATE(17007), 1,
      sym_template_body,
    STATE(4149), 2,
      sym_comment,
      sym_block_comment,
    STATE(15707), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7242), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11316), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [211095] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7232), 1,
      sym__alpha_identifier,
    ACTIONS(7234), 1,
      anon_sym_COLON,
    ACTIONS(7236), 1,
      anon_sym_LBRACE,
    ACTIONS(7238), 1,
      anon_sym__,
    ACTIONS(7240), 1,
      anon_sym_LBRACK,
    ACTIONS(7244), 1,
      anon_sym_LPAREN,
    ACTIONS(7246), 1,
      sym__backquoted_id,
    ACTIONS(7248), 1,
      sym_operator_identifier,
    ACTIONS(7250), 1,
      sym__automatic_semicolon,
    STATE(4308), 1,
      sym__given_constructor,
    STATE(10302), 1,
      sym_identifier,
    STATE(10330), 1,
      sym__simple_type,
    STATE(10954), 1,
      sym__soft_identifier,
    STATE(11120), 1,
      sym__annotated_type,
    STATE(12438), 1,
      sym_annotated_type,
    STATE(13068), 1,
      sym__using_parameters_clause,
    STATE(13070), 1,
      sym_parameters,
    STATE(13748), 1,
      aux_sym__function_constructor_repeat1,
    STATE(13757), 1,
      sym_type_parameters,
    STATE(13935), 1,
      sym__structural_instance,
    STATE(14896), 1,
      sym_compound_type,
    STATE(16972), 1,
      sym_stable_identifier,
    STATE(16974), 1,
      sym__structural_type,
    STATE(16997), 1,
      sym__constructor_application,
    STATE(17007), 1,
      sym_template_body,
    STATE(4150), 2,
      sym_comment,
      sym_block_comment,
    STATE(15707), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7242), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11316), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [211202] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7232), 1,
      sym__alpha_identifier,
    ACTIONS(7234), 1,
      anon_sym_COLON,
    ACTIONS(7236), 1,
      anon_sym_LBRACE,
    ACTIONS(7238), 1,
      anon_sym__,
    ACTIONS(7240), 1,
      anon_sym_LBRACK,
    ACTIONS(7244), 1,
      anon_sym_LPAREN,
    ACTIONS(7246), 1,
      sym__backquoted_id,
    ACTIONS(7248), 1,
      sym_operator_identifier,
    ACTIONS(7250), 1,
      sym__automatic_semicolon,
    STATE(4240), 1,
      sym__given_constructor,
    STATE(10302), 1,
      sym_identifier,
    STATE(10330), 1,
      sym__simple_type,
    STATE(10954), 1,
      sym__soft_identifier,
    STATE(11114), 1,
      sym__annotated_type,
    STATE(12438), 1,
      sym_annotated_type,
    STATE(13068), 1,
      sym__using_parameters_clause,
    STATE(13070), 1,
      sym_parameters,
    STATE(13748), 1,
      aux_sym__function_constructor_repeat1,
    STATE(13757), 1,
      sym_type_parameters,
    STATE(13954), 1,
      sym__structural_instance,
    STATE(14896), 1,
      sym_compound_type,
    STATE(16972), 1,
      sym_stable_identifier,
    STATE(16974), 1,
      sym__structural_type,
    STATE(16997), 1,
      sym__constructor_application,
    STATE(17007), 1,
      sym_template_body,
    STATE(4151), 2,
      sym_comment,
      sym_block_comment,
    STATE(15707), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7242), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11316), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [211309] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(7070), 1,
      anon_sym_LPAREN,
    ACTIONS(7284), 1,
      sym_operator_identifier,
    ACTIONS(7286), 1,
      sym_null_literal,
    STATE(8359), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(10329), 1,
      sym_stable_identifier,
    STATE(10331), 1,
      sym_wildcard,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4152), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10680), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [211400] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7232), 1,
      sym__alpha_identifier,
    ACTIONS(7234), 1,
      anon_sym_COLON,
    ACTIONS(7236), 1,
      anon_sym_LBRACE,
    ACTIONS(7238), 1,
      anon_sym__,
    ACTIONS(7240), 1,
      anon_sym_LBRACK,
    ACTIONS(7244), 1,
      anon_sym_LPAREN,
    ACTIONS(7246), 1,
      sym__backquoted_id,
    ACTIONS(7248), 1,
      sym_operator_identifier,
    ACTIONS(7250), 1,
      sym__automatic_semicolon,
    STATE(4266), 1,
      sym__given_constructor,
    STATE(10302), 1,
      sym_identifier,
    STATE(10330), 1,
      sym__simple_type,
    STATE(10828), 1,
      sym__annotated_type,
    STATE(10954), 1,
      sym__soft_identifier,
    STATE(12438), 1,
      sym_annotated_type,
    STATE(13068), 1,
      sym__using_parameters_clause,
    STATE(13070), 1,
      sym_parameters,
    STATE(13748), 1,
      aux_sym__function_constructor_repeat1,
    STATE(13757), 1,
      sym_type_parameters,
    STATE(13935), 1,
      sym__structural_instance,
    STATE(14896), 1,
      sym_compound_type,
    STATE(16972), 1,
      sym_stable_identifier,
    STATE(16974), 1,
      sym__structural_type,
    STATE(16997), 1,
      sym__constructor_application,
    STATE(17007), 1,
      sym_template_body,
    STATE(4153), 2,
      sym_comment,
      sym_block_comment,
    STATE(15707), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7242), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11316), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [211507] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4154), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4132), 9,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
    ACTIONS(4136), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(7252), 22,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [211564] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6740), 1,
      sym_integer_literal,
    ACTIONS(7114), 1,
      sym__alpha_identifier,
    ACTIONS(7118), 1,
      anon_sym__,
    ACTIONS(7120), 1,
      anon_sym_given,
    ACTIONS(7126), 1,
      anon_sym_LPAREN,
    ACTIONS(7128), 1,
      anon_sym_SQUOTE,
    ACTIONS(7130), 1,
      sym__backquoted_id,
    ACTIONS(7288), 1,
      sym_operator_identifier,
    ACTIONS(7290), 1,
      sym_null_literal,
    STATE(8623), 1,
      sym_identifier,
    STATE(10161), 1,
      sym__soft_identifier,
    STATE(10347), 1,
      sym_wildcard,
    STATE(10403), 1,
      sym_stable_identifier,
    ACTIONS(6742), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6744), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6746), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4155), 2,
      sym_comment,
      sym_block_comment,
    STATE(11240), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16774), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7124), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10707), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [211655] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4156), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4132), 9,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
    ACTIONS(4136), 9,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(7252), 22,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [211712] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4157), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4132), 9,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
    ACTIONS(4136), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(7266), 22,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [211769] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4158), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 32,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [211824] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4159), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4132), 9,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
    ACTIONS(4136), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(7292), 22,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [211881] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6754), 1,
      sym_integer_literal,
    ACTIONS(7144), 1,
      sym__alpha_identifier,
    ACTIONS(7146), 1,
      anon_sym__,
    ACTIONS(7148), 1,
      anon_sym_given,
    ACTIONS(7152), 1,
      anon_sym_LPAREN,
    ACTIONS(7154), 1,
      anon_sym_SQUOTE,
    ACTIONS(7156), 1,
      sym__backquoted_id,
    ACTIONS(7294), 1,
      sym_operator_identifier,
    ACTIONS(7296), 1,
      sym_null_literal,
    STATE(7862), 1,
      sym_identifier,
    STATE(9849), 1,
      sym__soft_identifier,
    STATE(10211), 1,
      sym_wildcard,
    STATE(10212), 1,
      sym_stable_identifier,
    ACTIONS(6756), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6758), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6760), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4160), 2,
      sym_comment,
      sym_block_comment,
    STATE(10839), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16919), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10408), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [211972] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(7070), 1,
      anon_sym_LPAREN,
    ACTIONS(7298), 1,
      sym_operator_identifier,
    ACTIONS(7300), 1,
      sym_null_literal,
    STATE(6734), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(10061), 1,
      sym_wildcard,
    STATE(10107), 1,
      sym_stable_identifier,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4161), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10223), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [212063] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4162), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 8,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7000), 32,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [212118] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(7070), 1,
      anon_sym_LPAREN,
    ACTIONS(7302), 1,
      sym_operator_identifier,
    ACTIONS(7304), 1,
      sym_null_literal,
    STATE(6736), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(10155), 1,
      sym_wildcard,
    STATE(10157), 1,
      sym_stable_identifier,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4163), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10190), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [212209] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7232), 1,
      sym__alpha_identifier,
    ACTIONS(7234), 1,
      anon_sym_COLON,
    ACTIONS(7236), 1,
      anon_sym_LBRACE,
    ACTIONS(7238), 1,
      anon_sym__,
    ACTIONS(7240), 1,
      anon_sym_LBRACK,
    ACTIONS(7244), 1,
      anon_sym_LPAREN,
    ACTIONS(7246), 1,
      sym__backquoted_id,
    ACTIONS(7248), 1,
      sym_operator_identifier,
    ACTIONS(7250), 1,
      sym__automatic_semicolon,
    STATE(4246), 1,
      sym__given_constructor,
    STATE(10302), 1,
      sym_identifier,
    STATE(10330), 1,
      sym__simple_type,
    STATE(10730), 1,
      sym__annotated_type,
    STATE(10954), 1,
      sym__soft_identifier,
    STATE(12438), 1,
      sym_annotated_type,
    STATE(13068), 1,
      sym__using_parameters_clause,
    STATE(13070), 1,
      sym_parameters,
    STATE(13748), 1,
      aux_sym__function_constructor_repeat1,
    STATE(13757), 1,
      sym_type_parameters,
    STATE(14038), 1,
      sym__structural_instance,
    STATE(14896), 1,
      sym_compound_type,
    STATE(16972), 1,
      sym_stable_identifier,
    STATE(16974), 1,
      sym__structural_type,
    STATE(16997), 1,
      sym__constructor_application,
    STATE(17007), 1,
      sym_template_body,
    STATE(4164), 2,
      sym_comment,
      sym_block_comment,
    STATE(15707), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7242), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11316), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [212316] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4165), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4132), 9,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
    ACTIONS(4136), 9,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(7292), 22,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [212373] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7234), 1,
      anon_sym_COLON,
    ACTIONS(7236), 1,
      anon_sym_LBRACE,
    ACTIONS(7240), 1,
      anon_sym_LBRACK,
    ACTIONS(7250), 1,
      sym__automatic_semicolon,
    ACTIONS(7254), 1,
      sym__alpha_identifier,
    ACTIONS(7256), 1,
      anon_sym__,
    ACTIONS(7260), 1,
      anon_sym_LPAREN,
    ACTIONS(7262), 1,
      sym__backquoted_id,
    ACTIONS(7264), 1,
      sym_operator_identifier,
    STATE(4272), 1,
      sym__given_constructor,
    STATE(10337), 1,
      sym_identifier,
    STATE(10637), 1,
      sym__simple_type,
    STATE(10879), 1,
      sym__annotated_type,
    STATE(11065), 1,
      sym__soft_identifier,
    STATE(12720), 1,
      sym_annotated_type,
    STATE(13068), 1,
      sym__using_parameters_clause,
    STATE(13070), 1,
      sym_parameters,
    STATE(13748), 1,
      aux_sym__function_constructor_repeat1,
    STATE(13757), 1,
      sym_type_parameters,
    STATE(14094), 1,
      sym__structural_instance,
    STATE(14896), 1,
      sym_compound_type,
    STATE(15838), 1,
      sym_stable_identifier,
    STATE(16929), 1,
      sym__constructor_application,
    STATE(16974), 1,
      sym__structural_type,
    STATE(17007), 1,
      sym_template_body,
    STATE(4166), 2,
      sym_comment,
      sym_block_comment,
    STATE(15707), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7258), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11454), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [212480] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6754), 1,
      sym_integer_literal,
    ACTIONS(7144), 1,
      sym__alpha_identifier,
    ACTIONS(7146), 1,
      anon_sym__,
    ACTIONS(7148), 1,
      anon_sym_given,
    ACTIONS(7152), 1,
      anon_sym_LPAREN,
    ACTIONS(7154), 1,
      anon_sym_SQUOTE,
    ACTIONS(7156), 1,
      sym__backquoted_id,
    ACTIONS(7306), 1,
      sym_operator_identifier,
    ACTIONS(7308), 1,
      sym_null_literal,
    STATE(7848), 1,
      sym_identifier,
    STATE(9849), 1,
      sym__soft_identifier,
    STATE(10185), 1,
      sym_stable_identifier,
    STATE(10187), 1,
      sym_wildcard,
    ACTIONS(6756), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6758), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6760), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4167), 2,
      sym_comment,
      sym_block_comment,
    STATE(10839), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16919), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10421), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [212571] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7234), 1,
      anon_sym_COLON,
    ACTIONS(7236), 1,
      anon_sym_LBRACE,
    ACTIONS(7240), 1,
      anon_sym_LBRACK,
    ACTIONS(7250), 1,
      sym__automatic_semicolon,
    ACTIONS(7254), 1,
      sym__alpha_identifier,
    ACTIONS(7256), 1,
      anon_sym__,
    ACTIONS(7260), 1,
      anon_sym_LPAREN,
    ACTIONS(7262), 1,
      sym__backquoted_id,
    ACTIONS(7264), 1,
      sym_operator_identifier,
    STATE(4278), 1,
      sym__given_constructor,
    STATE(10337), 1,
      sym_identifier,
    STATE(10637), 1,
      sym__simple_type,
    STATE(10886), 1,
      sym__annotated_type,
    STATE(11065), 1,
      sym__soft_identifier,
    STATE(12720), 1,
      sym_annotated_type,
    STATE(13068), 1,
      sym__using_parameters_clause,
    STATE(13070), 1,
      sym_parameters,
    STATE(13748), 1,
      aux_sym__function_constructor_repeat1,
    STATE(13757), 1,
      sym_type_parameters,
    STATE(14102), 1,
      sym__structural_instance,
    STATE(14896), 1,
      sym_compound_type,
    STATE(15838), 1,
      sym_stable_identifier,
    STATE(16929), 1,
      sym__constructor_application,
    STATE(16974), 1,
      sym__structural_type,
    STATE(17007), 1,
      sym_template_body,
    STATE(4168), 2,
      sym_comment,
      sym_block_comment,
    STATE(15707), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7258), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11454), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [212678] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6754), 1,
      sym_integer_literal,
    ACTIONS(7144), 1,
      sym__alpha_identifier,
    ACTIONS(7146), 1,
      anon_sym__,
    ACTIONS(7148), 1,
      anon_sym_given,
    ACTIONS(7152), 1,
      anon_sym_LPAREN,
    ACTIONS(7154), 1,
      anon_sym_SQUOTE,
    ACTIONS(7156), 1,
      sym__backquoted_id,
    ACTIONS(7172), 1,
      sym_operator_identifier,
    ACTIONS(7174), 1,
      sym_null_literal,
    STATE(8212), 1,
      sym_identifier,
    STATE(9849), 1,
      sym__soft_identifier,
    STATE(10459), 1,
      sym_wildcard,
    STATE(10512), 1,
      sym_stable_identifier,
    ACTIONS(6756), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6758), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6760), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4169), 2,
      sym_comment,
      sym_block_comment,
    STATE(10839), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16919), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10710), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [212769] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(7070), 1,
      anon_sym_LPAREN,
    ACTIONS(7310), 1,
      sym_operator_identifier,
    ACTIONS(7312), 1,
      sym_null_literal,
    STATE(8422), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(10494), 1,
      sym_wildcard,
    STATE(10513), 1,
      sym_stable_identifier,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4170), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10584), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [212860] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6754), 1,
      sym_integer_literal,
    ACTIONS(7144), 1,
      sym__alpha_identifier,
    ACTIONS(7146), 1,
      anon_sym__,
    ACTIONS(7148), 1,
      anon_sym_given,
    ACTIONS(7152), 1,
      anon_sym_LPAREN,
    ACTIONS(7154), 1,
      anon_sym_SQUOTE,
    ACTIONS(7156), 1,
      sym__backquoted_id,
    ACTIONS(7314), 1,
      sym_operator_identifier,
    ACTIONS(7316), 1,
      sym_null_literal,
    STATE(7502), 1,
      sym_identifier,
    STATE(9849), 1,
      sym__soft_identifier,
    STATE(10237), 1,
      sym_wildcard,
    STATE(10238), 1,
      sym_stable_identifier,
    ACTIONS(6756), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6758), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6760), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4171), 2,
      sym_comment,
      sym_block_comment,
    STATE(10839), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16919), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10393), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [212951] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6754), 1,
      sym_integer_literal,
    ACTIONS(7144), 1,
      sym__alpha_identifier,
    ACTIONS(7146), 1,
      anon_sym__,
    ACTIONS(7148), 1,
      anon_sym_given,
    ACTIONS(7152), 1,
      anon_sym_LPAREN,
    ACTIONS(7154), 1,
      anon_sym_SQUOTE,
    ACTIONS(7156), 1,
      sym__backquoted_id,
    ACTIONS(7318), 1,
      sym_operator_identifier,
    ACTIONS(7320), 1,
      sym_null_literal,
    STATE(7846), 1,
      sym_identifier,
    STATE(9849), 1,
      sym__soft_identifier,
    STATE(10201), 1,
      sym_stable_identifier,
    STATE(10210), 1,
      sym_wildcard,
    ACTIONS(6756), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6758), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6760), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4172), 2,
      sym_comment,
      sym_block_comment,
    STATE(10839), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16919), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10442), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [213042] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7232), 1,
      sym__alpha_identifier,
    ACTIONS(7234), 1,
      anon_sym_COLON,
    ACTIONS(7236), 1,
      anon_sym_LBRACE,
    ACTIONS(7238), 1,
      anon_sym__,
    ACTIONS(7240), 1,
      anon_sym_LBRACK,
    ACTIONS(7244), 1,
      anon_sym_LPAREN,
    ACTIONS(7246), 1,
      sym__backquoted_id,
    ACTIONS(7248), 1,
      sym_operator_identifier,
    ACTIONS(7250), 1,
      sym__automatic_semicolon,
    STATE(4279), 1,
      sym__given_constructor,
    STATE(10302), 1,
      sym_identifier,
    STATE(10330), 1,
      sym__simple_type,
    STATE(10800), 1,
      sym__annotated_type,
    STATE(10954), 1,
      sym__soft_identifier,
    STATE(12438), 1,
      sym_annotated_type,
    STATE(13068), 1,
      sym__using_parameters_clause,
    STATE(13070), 1,
      sym_parameters,
    STATE(13748), 1,
      aux_sym__function_constructor_repeat1,
    STATE(13757), 1,
      sym_type_parameters,
    STATE(13954), 1,
      sym__structural_instance,
    STATE(14896), 1,
      sym_compound_type,
    STATE(16972), 1,
      sym_stable_identifier,
    STATE(16974), 1,
      sym__structural_type,
    STATE(16997), 1,
      sym__constructor_application,
    STATE(17007), 1,
      sym_template_body,
    STATE(4173), 2,
      sym_comment,
      sym_block_comment,
    STATE(15707), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7242), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11316), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [213149] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6754), 1,
      sym_integer_literal,
    ACTIONS(7144), 1,
      sym__alpha_identifier,
    ACTIONS(7146), 1,
      anon_sym__,
    ACTIONS(7148), 1,
      anon_sym_given,
    ACTIONS(7152), 1,
      anon_sym_LPAREN,
    ACTIONS(7154), 1,
      anon_sym_SQUOTE,
    ACTIONS(7156), 1,
      sym__backquoted_id,
    ACTIONS(7322), 1,
      sym_operator_identifier,
    ACTIONS(7324), 1,
      sym_null_literal,
    STATE(7413), 1,
      sym_identifier,
    STATE(9849), 1,
      sym__soft_identifier,
    STATE(10295), 1,
      sym_wildcard,
    STATE(10298), 1,
      sym_stable_identifier,
    ACTIONS(6756), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6758), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6760), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4174), 2,
      sym_comment,
      sym_block_comment,
    STATE(10839), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16919), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10548), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [213240] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6622), 1,
      sym_integer_literal,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_given,
    ACTIONS(6834), 1,
      anon_sym_SQUOTE,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(7070), 1,
      anon_sym_LPAREN,
    ACTIONS(7326), 1,
      sym_operator_identifier,
    ACTIONS(7328), 1,
      sym_null_literal,
    STATE(6741), 1,
      sym_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(10000), 1,
      sym_wildcard,
    STATE(10148), 1,
      sym_stable_identifier,
    ACTIONS(6624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4175), 2,
      sym_comment,
      sym_block_comment,
    STATE(10696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16951), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10206), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [213331] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4176), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4132), 9,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
    ACTIONS(4136), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(7266), 22,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [213388] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7232), 1,
      sym__alpha_identifier,
    ACTIONS(7234), 1,
      anon_sym_COLON,
    ACTIONS(7236), 1,
      anon_sym_LBRACE,
    ACTIONS(7238), 1,
      anon_sym__,
    ACTIONS(7240), 1,
      anon_sym_LBRACK,
    ACTIONS(7244), 1,
      anon_sym_LPAREN,
    ACTIONS(7246), 1,
      sym__backquoted_id,
    ACTIONS(7248), 1,
      sym_operator_identifier,
    ACTIONS(7250), 1,
      sym__automatic_semicolon,
    STATE(4285), 1,
      sym__given_constructor,
    STATE(10302), 1,
      sym_identifier,
    STATE(10330), 1,
      sym__simple_type,
    STATE(10954), 1,
      sym__soft_identifier,
    STATE(11293), 1,
      sym__annotated_type,
    STATE(12438), 1,
      sym_annotated_type,
    STATE(13068), 1,
      sym__using_parameters_clause,
    STATE(13070), 1,
      sym_parameters,
    STATE(13748), 1,
      aux_sym__function_constructor_repeat1,
    STATE(13757), 1,
      sym_type_parameters,
    STATE(13954), 1,
      sym__structural_instance,
    STATE(14896), 1,
      sym_compound_type,
    STATE(16972), 1,
      sym_stable_identifier,
    STATE(16974), 1,
      sym__structural_type,
    STATE(16997), 1,
      sym__constructor_application,
    STATE(17007), 1,
      sym_template_body,
    STATE(4177), 2,
      sym_comment,
      sym_block_comment,
    STATE(15707), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7242), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11316), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [213495] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4178), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4132), 9,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
    ACTIONS(4136), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(7292), 22,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [213552] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4179), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7330), 39,
      anon_sym_enum,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_object,
      anon_sym_given,
      anon_sym_EQ_GT,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT_COLON,
      anon_sym_GT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_while,
      anon_sym_match,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_do,
  [213604] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4180), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7334), 8,
      sym__indent,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7332), 29,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [213656] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7338), 1,
      anon_sym_DOT,
    STATE(4181), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 35,
      anon_sym_enum,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_do,
  [213707] = 26,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7340), 1,
      anon_sym_LBRACE,
    ACTIONS(7342), 1,
      anon_sym_LBRACK,
    ACTIONS(7344), 1,
      anon_sym_AT,
    ACTIONS(7346), 1,
      anon_sym_def,
    ACTIONS(7352), 1,
      anon_sym_inline,
    ACTIONS(7354), 1,
      anon_sym_infix,
    ACTIONS(7356), 1,
      anon_sym_open,
    ACTIONS(7358), 1,
      anon_sym_transparent,
    ACTIONS(7360), 1,
      anon_sym_LPAREN,
    ACTIONS(7362), 1,
      sym__indent,
    STATE(4281), 1,
      sym_type_parameters,
    STATE(4283), 1,
      aux_sym_extension_definition_repeat1,
    STATE(5366), 1,
      aux_sym_modifiers_repeat1,
    STATE(7509), 1,
      sym_annotation,
    STATE(8659), 1,
      aux_sym_enum_definition_repeat1,
    STATE(10457), 1,
      sym_parameters,
    STATE(10506), 1,
      sym__using_parameters_clause,
    STATE(13573), 1,
      sym__function_declaration,
    STATE(17448), 1,
      sym_modifiers,
    ACTIONS(7350), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4182), 2,
      sym_comment,
      sym_block_comment,
    STATE(14015), 3,
      sym__extension_template_body,
      sym_function_definition,
      sym_function_declaration,
    STATE(6204), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(7348), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [213799] = 26,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7342), 1,
      anon_sym_LBRACK,
    ACTIONS(7344), 1,
      anon_sym_AT,
    ACTIONS(7352), 1,
      anon_sym_inline,
    ACTIONS(7354), 1,
      anon_sym_infix,
    ACTIONS(7356), 1,
      anon_sym_open,
    ACTIONS(7358), 1,
      anon_sym_transparent,
    ACTIONS(7360), 1,
      anon_sym_LPAREN,
    ACTIONS(7364), 1,
      anon_sym_LBRACE,
    ACTIONS(7366), 1,
      anon_sym_def,
    ACTIONS(7368), 1,
      sym__indent,
    STATE(4296), 1,
      sym_type_parameters,
    STATE(4297), 1,
      aux_sym_extension_definition_repeat1,
    STATE(5366), 1,
      aux_sym_modifiers_repeat1,
    STATE(7509), 1,
      sym_annotation,
    STATE(8680), 1,
      aux_sym_enum_definition_repeat1,
    STATE(10457), 1,
      sym_parameters,
    STATE(10506), 1,
      sym__using_parameters_clause,
    STATE(13729), 1,
      sym__function_declaration,
    STATE(17475), 1,
      sym_modifiers,
    ACTIONS(7350), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4183), 2,
      sym_comment,
      sym_block_comment,
    STATE(14312), 3,
      sym__extension_template_body,
      sym_function_definition,
      sym_function_declaration,
    STATE(6204), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(7348), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [213891] = 26,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7340), 1,
      anon_sym_LBRACE,
    ACTIONS(7342), 1,
      anon_sym_LBRACK,
    ACTIONS(7344), 1,
      anon_sym_AT,
    ACTIONS(7352), 1,
      anon_sym_inline,
    ACTIONS(7354), 1,
      anon_sym_infix,
    ACTIONS(7356), 1,
      anon_sym_open,
    ACTIONS(7358), 1,
      anon_sym_transparent,
    ACTIONS(7360), 1,
      anon_sym_LPAREN,
    ACTIONS(7362), 1,
      sym__indent,
    ACTIONS(7370), 1,
      anon_sym_def,
    STATE(4212), 1,
      aux_sym_extension_definition_repeat1,
    STATE(4270), 1,
      sym_type_parameters,
    STATE(5366), 1,
      aux_sym_modifiers_repeat1,
    STATE(7509), 1,
      sym_annotation,
    STATE(8510), 1,
      aux_sym_enum_definition_repeat1,
    STATE(10457), 1,
      sym_parameters,
    STATE(10506), 1,
      sym__using_parameters_clause,
    STATE(13672), 1,
      sym__function_declaration,
    STATE(16931), 1,
      sym_modifiers,
    ACTIONS(7350), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4184), 2,
      sym_comment,
      sym_block_comment,
    STATE(14015), 3,
      sym__extension_template_body,
      sym_function_definition,
      sym_function_declaration,
    STATE(6204), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(7348), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [213983] = 26,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7342), 1,
      anon_sym_LBRACK,
    ACTIONS(7344), 1,
      anon_sym_AT,
    ACTIONS(7352), 1,
      anon_sym_inline,
    ACTIONS(7354), 1,
      anon_sym_infix,
    ACTIONS(7356), 1,
      anon_sym_open,
    ACTIONS(7358), 1,
      anon_sym_transparent,
    ACTIONS(7360), 1,
      anon_sym_LPAREN,
    ACTIONS(7364), 1,
      anon_sym_LBRACE,
    ACTIONS(7366), 1,
      anon_sym_def,
    ACTIONS(7368), 1,
      sym__indent,
    STATE(4293), 1,
      sym_type_parameters,
    STATE(4295), 1,
      aux_sym_extension_definition_repeat1,
    STATE(5366), 1,
      aux_sym_modifiers_repeat1,
    STATE(7509), 1,
      sym_annotation,
    STATE(8680), 1,
      aux_sym_enum_definition_repeat1,
    STATE(10457), 1,
      sym_parameters,
    STATE(10506), 1,
      sym__using_parameters_clause,
    STATE(13546), 1,
      sym__function_declaration,
    STATE(17475), 1,
      sym_modifiers,
    ACTIONS(7350), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4185), 2,
      sym_comment,
      sym_block_comment,
    STATE(14312), 3,
      sym__extension_template_body,
      sym_function_definition,
      sym_function_declaration,
    STATE(6204), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(7348), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [214075] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4186), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7372), 35,
      anon_sym_enum,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_do,
  [214123] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(473), 1,
      sym__alpha_identifier,
    ACTIONS(537), 1,
      sym__backquoted_id,
    ACTIONS(7376), 1,
      sym_operator_identifier,
    STATE(5636), 1,
      sym__soft_identifier,
    STATE(9565), 1,
      sym_identifier,
    STATE(4187), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(659), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(4132), 6,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      anon_sym_DQUOTE,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__interpolated_multiline_string_start,
    ACTIONS(7374), 10,
      anon_sym_given,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_this,
      anon_sym_extension,
      anon_sym_val,
  [214187] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9), 1,
      sym__alpha_identifier,
    ACTIONS(83), 1,
      sym__backquoted_id,
    ACTIONS(7382), 1,
      sym_operator_identifier,
    STATE(4482), 1,
      sym__soft_identifier,
    STATE(6995), 1,
      sym_identifier,
    STATE(4188), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4132), 6,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      anon_sym_DQUOTE,
    ACTIONS(7380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__interpolated_multiline_string_start,
    ACTIONS(7378), 10,
      anon_sym_given,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_this,
      anon_sym_extension,
      anon_sym_val,
  [214251] = 26,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7340), 1,
      anon_sym_LBRACE,
    ACTIONS(7342), 1,
      anon_sym_LBRACK,
    ACTIONS(7344), 1,
      anon_sym_AT,
    ACTIONS(7346), 1,
      anon_sym_def,
    ACTIONS(7352), 1,
      anon_sym_inline,
    ACTIONS(7354), 1,
      anon_sym_infix,
    ACTIONS(7356), 1,
      anon_sym_open,
    ACTIONS(7358), 1,
      anon_sym_transparent,
    ACTIONS(7360), 1,
      anon_sym_LPAREN,
    ACTIONS(7362), 1,
      sym__indent,
    STATE(4273), 1,
      aux_sym_extension_definition_repeat1,
    STATE(4274), 1,
      sym_type_parameters,
    STATE(5366), 1,
      aux_sym_modifiers_repeat1,
    STATE(7509), 1,
      sym_annotation,
    STATE(8659), 1,
      aux_sym_enum_definition_repeat1,
    STATE(10457), 1,
      sym_parameters,
    STATE(10506), 1,
      sym__using_parameters_clause,
    STATE(13742), 1,
      sym__function_declaration,
    STATE(17448), 1,
      sym_modifiers,
    ACTIONS(7350), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4189), 2,
      sym_comment,
      sym_block_comment,
    STATE(14015), 3,
      sym__extension_template_body,
      sym_function_definition,
      sym_function_declaration,
    STATE(6204), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(7348), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [214343] = 26,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4900), 1,
      anon_sym_AT,
    ACTIONS(7384), 1,
      sym__alpha_identifier,
    ACTIONS(7390), 1,
      anon_sym_implicit,
    ACTIONS(7392), 1,
      anon_sym_inline,
    ACTIONS(7394), 1,
      anon_sym_infix,
    ACTIONS(7396), 1,
      anon_sym_open,
    ACTIONS(7398), 1,
      anon_sym_transparent,
    ACTIONS(7400), 1,
      anon_sym_using,
    ACTIONS(7402), 1,
      anon_sym_RPAREN,
    ACTIONS(7404), 1,
      sym__backquoted_id,
    ACTIONS(7406), 1,
      sym_operator_identifier,
    STATE(4461), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7040), 1,
      aux_sym_modifiers_repeat1,
    STATE(9748), 1,
      sym_annotation,
    STATE(11434), 1,
      sym_modifiers,
    STATE(14173), 1,
      sym__soft_identifier,
    STATE(14338), 1,
      sym_identifier,
    STATE(14536), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(7386), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(7388), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4190), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(61), 5,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_lazy,
      anon_sym_override,
    STATE(6204), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
  [214434] = 27,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7344), 1,
      anon_sym_AT,
    ACTIONS(7352), 1,
      anon_sym_inline,
    ACTIONS(7354), 1,
      anon_sym_infix,
    ACTIONS(7356), 1,
      anon_sym_open,
    ACTIONS(7358), 1,
      anon_sym_transparent,
    ACTIONS(7408), 1,
      anon_sym_enum,
    ACTIONS(7410), 1,
      anon_sym_case,
    ACTIONS(7412), 1,
      anon_sym_object,
    ACTIONS(7414), 1,
      anon_sym_given,
    ACTIONS(7416), 1,
      anon_sym_class,
    ACTIONS(7418), 1,
      anon_sym_trait,
    ACTIONS(7420), 1,
      anon_sym_val,
    ACTIONS(7422), 1,
      anon_sym_var,
    ACTIONS(7424), 1,
      anon_sym_type,
    ACTIONS(7426), 1,
      anon_sym_def,
    ACTIONS(7428), 1,
      anon_sym_opaque,
    STATE(5366), 1,
      aux_sym_modifiers_repeat1,
    STATE(6407), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7509), 1,
      sym_annotation,
    STATE(12572), 1,
      sym_modifiers,
    STATE(16880), 1,
      sym_opaque_modifier,
    ACTIONS(7350), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4191), 2,
      sym_comment,
      sym_block_comment,
    STATE(6204), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(7348), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [214527] = 27,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7344), 1,
      anon_sym_AT,
    ACTIONS(7352), 1,
      anon_sym_inline,
    ACTIONS(7354), 1,
      anon_sym_infix,
    ACTIONS(7356), 1,
      anon_sym_open,
    ACTIONS(7358), 1,
      anon_sym_transparent,
    ACTIONS(7420), 1,
      anon_sym_val,
    ACTIONS(7422), 1,
      anon_sym_var,
    ACTIONS(7428), 1,
      anon_sym_opaque,
    ACTIONS(7430), 1,
      anon_sym_enum,
    ACTIONS(7432), 1,
      anon_sym_case,
    ACTIONS(7434), 1,
      anon_sym_object,
    ACTIONS(7436), 1,
      anon_sym_given,
    ACTIONS(7438), 1,
      anon_sym_class,
    ACTIONS(7440), 1,
      anon_sym_trait,
    ACTIONS(7442), 1,
      anon_sym_type,
    ACTIONS(7444), 1,
      anon_sym_def,
    STATE(5366), 1,
      aux_sym_modifiers_repeat1,
    STATE(6407), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7509), 1,
      sym_annotation,
    STATE(12277), 1,
      sym_modifiers,
    STATE(17470), 1,
      sym_opaque_modifier,
    ACTIONS(7350), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4192), 2,
      sym_comment,
      sym_block_comment,
    STATE(6204), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(7348), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [214620] = 26,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4900), 1,
      anon_sym_AT,
    ACTIONS(7384), 1,
      sym__alpha_identifier,
    ACTIONS(7392), 1,
      anon_sym_inline,
    ACTIONS(7394), 1,
      anon_sym_infix,
    ACTIONS(7396), 1,
      anon_sym_open,
    ACTIONS(7398), 1,
      anon_sym_transparent,
    ACTIONS(7404), 1,
      sym__backquoted_id,
    ACTIONS(7406), 1,
      sym_operator_identifier,
    ACTIONS(7446), 1,
      anon_sym_implicit,
    ACTIONS(7448), 1,
      anon_sym_using,
    ACTIONS(7450), 1,
      anon_sym_RPAREN,
    STATE(4461), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7040), 1,
      aux_sym_modifiers_repeat1,
    STATE(9748), 1,
      sym_annotation,
    STATE(11434), 1,
      sym_modifiers,
    STATE(14173), 1,
      sym__soft_identifier,
    STATE(14338), 1,
      sym_identifier,
    STATE(14533), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(7386), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(7388), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4193), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(61), 5,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_lazy,
      anon_sym_override,
    STATE(6204), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
  [214711] = 27,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7344), 1,
      anon_sym_AT,
    ACTIONS(7352), 1,
      anon_sym_inline,
    ACTIONS(7354), 1,
      anon_sym_infix,
    ACTIONS(7356), 1,
      anon_sym_open,
    ACTIONS(7358), 1,
      anon_sym_transparent,
    ACTIONS(7408), 1,
      anon_sym_enum,
    ACTIONS(7410), 1,
      anon_sym_case,
    ACTIONS(7412), 1,
      anon_sym_object,
    ACTIONS(7416), 1,
      anon_sym_class,
    ACTIONS(7418), 1,
      anon_sym_trait,
    ACTIONS(7420), 1,
      anon_sym_val,
    ACTIONS(7422), 1,
      anon_sym_var,
    ACTIONS(7428), 1,
      anon_sym_opaque,
    ACTIONS(7452), 1,
      anon_sym_given,
    ACTIONS(7454), 1,
      anon_sym_type,
    ACTIONS(7456), 1,
      anon_sym_def,
    STATE(5366), 1,
      aux_sym_modifiers_repeat1,
    STATE(6407), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7509), 1,
      sym_annotation,
    STATE(12440), 1,
      sym_modifiers,
    STATE(16979), 1,
      sym_opaque_modifier,
    ACTIONS(7350), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4194), 2,
      sym_comment,
      sym_block_comment,
    STATE(6204), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(7348), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [214804] = 26,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4900), 1,
      anon_sym_AT,
    ACTIONS(7384), 1,
      sym__alpha_identifier,
    ACTIONS(7392), 1,
      anon_sym_inline,
    ACTIONS(7394), 1,
      anon_sym_infix,
    ACTIONS(7396), 1,
      anon_sym_open,
    ACTIONS(7398), 1,
      anon_sym_transparent,
    ACTIONS(7404), 1,
      sym__backquoted_id,
    ACTIONS(7406), 1,
      sym_operator_identifier,
    ACTIONS(7458), 1,
      anon_sym_implicit,
    ACTIONS(7460), 1,
      anon_sym_using,
    ACTIONS(7462), 1,
      anon_sym_RPAREN,
    STATE(4461), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7040), 1,
      aux_sym_modifiers_repeat1,
    STATE(9748), 1,
      sym_annotation,
    STATE(11434), 1,
      sym_modifiers,
    STATE(14173), 1,
      sym__soft_identifier,
    STATE(14338), 1,
      sym_identifier,
    STATE(15460), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(7386), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(7388), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4195), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(61), 5,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_lazy,
      anon_sym_override,
    STATE(6204), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
  [214895] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7468), 1,
      anon_sym_LBRACK,
    ACTIONS(7470), 1,
      anon_sym_AT,
    ACTIONS(7472), 1,
      anon_sym_LPAREN,
    ACTIONS(7474), 1,
      anon_sym_POUND,
    STATE(4416), 1,
      aux_sym_enum_definition_repeat1,
    STATE(4517), 1,
      sym_type_arguments,
    STATE(4878), 1,
      sym_annotation,
    STATE(5402), 1,
      sym_arguments,
    STATE(4196), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [214960] = 27,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7344), 1,
      anon_sym_AT,
    ACTIONS(7352), 1,
      anon_sym_inline,
    ACTIONS(7354), 1,
      anon_sym_infix,
    ACTIONS(7356), 1,
      anon_sym_open,
    ACTIONS(7358), 1,
      anon_sym_transparent,
    ACTIONS(7420), 1,
      anon_sym_val,
    ACTIONS(7422), 1,
      anon_sym_var,
    ACTIONS(7428), 1,
      anon_sym_opaque,
    ACTIONS(7430), 1,
      anon_sym_enum,
    ACTIONS(7434), 1,
      anon_sym_object,
    ACTIONS(7438), 1,
      anon_sym_class,
    ACTIONS(7440), 1,
      anon_sym_trait,
    ACTIONS(7442), 1,
      anon_sym_type,
    ACTIONS(7444), 1,
      anon_sym_def,
    ACTIONS(7476), 1,
      anon_sym_case,
    ACTIONS(7478), 1,
      anon_sym_given,
    STATE(5366), 1,
      aux_sym_modifiers_repeat1,
    STATE(6407), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7509), 1,
      sym_annotation,
    STATE(12436), 1,
      sym_modifiers,
    STATE(17470), 1,
      sym_opaque_modifier,
    ACTIONS(7350), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4197), 2,
      sym_comment,
      sym_block_comment,
    STATE(6204), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(7348), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [215053] = 27,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7344), 1,
      anon_sym_AT,
    ACTIONS(7352), 1,
      anon_sym_inline,
    ACTIONS(7354), 1,
      anon_sym_infix,
    ACTIONS(7356), 1,
      anon_sym_open,
    ACTIONS(7358), 1,
      anon_sym_transparent,
    ACTIONS(7408), 1,
      anon_sym_enum,
    ACTIONS(7412), 1,
      anon_sym_object,
    ACTIONS(7416), 1,
      anon_sym_class,
    ACTIONS(7418), 1,
      anon_sym_trait,
    ACTIONS(7420), 1,
      anon_sym_val,
    ACTIONS(7422), 1,
      anon_sym_var,
    ACTIONS(7428), 1,
      anon_sym_opaque,
    ACTIONS(7452), 1,
      anon_sym_given,
    ACTIONS(7454), 1,
      anon_sym_type,
    ACTIONS(7456), 1,
      anon_sym_def,
    ACTIONS(7480), 1,
      anon_sym_case,
    STATE(5366), 1,
      aux_sym_modifiers_repeat1,
    STATE(6407), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7509), 1,
      sym_annotation,
    STATE(12440), 1,
      sym_modifiers,
    STATE(16979), 1,
      sym_opaque_modifier,
    ACTIONS(7350), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4198), 2,
      sym_comment,
      sym_block_comment,
    STATE(6204), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(7348), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [215146] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7482), 1,
      anon_sym_DOT,
    STATE(4199), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 33,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_do,
  [215195] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9), 1,
      sym__alpha_identifier,
    ACTIONS(83), 1,
      sym__backquoted_id,
    ACTIONS(7382), 1,
      sym_operator_identifier,
    STATE(4482), 1,
      sym__soft_identifier,
    STATE(6995), 1,
      sym_identifier,
    STATE(4200), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4132), 5,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      anon_sym_DQUOTE,
    ACTIONS(7380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__interpolated_multiline_string_start,
    ACTIONS(7378), 10,
      anon_sym_given,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_this,
      anon_sym_extension,
      anon_sym_val,
  [215258] = 26,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4900), 1,
      anon_sym_AT,
    ACTIONS(7384), 1,
      sym__alpha_identifier,
    ACTIONS(7392), 1,
      anon_sym_inline,
    ACTIONS(7394), 1,
      anon_sym_infix,
    ACTIONS(7396), 1,
      anon_sym_open,
    ACTIONS(7398), 1,
      anon_sym_transparent,
    ACTIONS(7404), 1,
      sym__backquoted_id,
    ACTIONS(7406), 1,
      sym_operator_identifier,
    ACTIONS(7484), 1,
      anon_sym_implicit,
    ACTIONS(7486), 1,
      anon_sym_using,
    ACTIONS(7488), 1,
      anon_sym_RPAREN,
    STATE(4461), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7040), 1,
      aux_sym_modifiers_repeat1,
    STATE(9748), 1,
      sym_annotation,
    STATE(11434), 1,
      sym_modifiers,
    STATE(14173), 1,
      sym__soft_identifier,
    STATE(14338), 1,
      sym_identifier,
    STATE(15445), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(7386), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(7388), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4201), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(61), 5,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_lazy,
      anon_sym_override,
    STATE(6204), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
  [215349] = 26,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4900), 1,
      anon_sym_AT,
    ACTIONS(7384), 1,
      sym__alpha_identifier,
    ACTIONS(7392), 1,
      anon_sym_inline,
    ACTIONS(7394), 1,
      anon_sym_infix,
    ACTIONS(7396), 1,
      anon_sym_open,
    ACTIONS(7398), 1,
      anon_sym_transparent,
    ACTIONS(7404), 1,
      sym__backquoted_id,
    ACTIONS(7406), 1,
      sym_operator_identifier,
    ACTIONS(7490), 1,
      anon_sym_implicit,
    ACTIONS(7492), 1,
      anon_sym_using,
    ACTIONS(7494), 1,
      anon_sym_RPAREN,
    STATE(4461), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7040), 1,
      aux_sym_modifiers_repeat1,
    STATE(9748), 1,
      sym_annotation,
    STATE(11434), 1,
      sym_modifiers,
    STATE(14173), 1,
      sym__soft_identifier,
    STATE(14338), 1,
      sym_identifier,
    STATE(14468), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(7386), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(7388), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4202), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(61), 5,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_lazy,
      anon_sym_override,
    STATE(6204), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
  [215440] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7500), 1,
      anon_sym_with,
    STATE(4263), 1,
      aux_sym_compound_type_repeat1,
    STATE(5402), 1,
      sym_arguments,
    STATE(5882), 1,
      sym__refinement,
    STATE(5883), 1,
      sym_template_body,
    STATE(4203), 2,
      sym_comment,
      sym_block_comment,
    STATE(5672), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7498), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7496), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [215501] = 26,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4900), 1,
      anon_sym_AT,
    ACTIONS(7384), 1,
      sym__alpha_identifier,
    ACTIONS(7392), 1,
      anon_sym_inline,
    ACTIONS(7394), 1,
      anon_sym_infix,
    ACTIONS(7396), 1,
      anon_sym_open,
    ACTIONS(7398), 1,
      anon_sym_transparent,
    ACTIONS(7404), 1,
      sym__backquoted_id,
    ACTIONS(7406), 1,
      sym_operator_identifier,
    ACTIONS(7502), 1,
      anon_sym_implicit,
    ACTIONS(7504), 1,
      anon_sym_using,
    ACTIONS(7506), 1,
      anon_sym_RPAREN,
    STATE(4461), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7040), 1,
      aux_sym_modifiers_repeat1,
    STATE(9748), 1,
      sym_annotation,
    STATE(11434), 1,
      sym_modifiers,
    STATE(14173), 1,
      sym__soft_identifier,
    STATE(14338), 1,
      sym_identifier,
    STATE(14806), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(7386), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(7388), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4204), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(61), 5,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_lazy,
      anon_sym_override,
    STATE(6204), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
  [215592] = 26,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4900), 1,
      anon_sym_AT,
    ACTIONS(7384), 1,
      sym__alpha_identifier,
    ACTIONS(7392), 1,
      anon_sym_inline,
    ACTIONS(7394), 1,
      anon_sym_infix,
    ACTIONS(7396), 1,
      anon_sym_open,
    ACTIONS(7398), 1,
      anon_sym_transparent,
    ACTIONS(7404), 1,
      sym__backquoted_id,
    ACTIONS(7406), 1,
      sym_operator_identifier,
    ACTIONS(7508), 1,
      anon_sym_implicit,
    ACTIONS(7510), 1,
      anon_sym_using,
    ACTIONS(7512), 1,
      anon_sym_RPAREN,
    STATE(4461), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7040), 1,
      aux_sym_modifiers_repeat1,
    STATE(9748), 1,
      sym_annotation,
    STATE(11434), 1,
      sym_modifiers,
    STATE(14173), 1,
      sym__soft_identifier,
    STATE(14338), 1,
      sym_identifier,
    STATE(14662), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(7386), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(7388), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4205), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(61), 5,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_lazy,
      anon_sym_override,
    STATE(6204), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
  [215683] = 26,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4900), 1,
      anon_sym_AT,
    ACTIONS(7384), 1,
      sym__alpha_identifier,
    ACTIONS(7392), 1,
      anon_sym_inline,
    ACTIONS(7394), 1,
      anon_sym_infix,
    ACTIONS(7396), 1,
      anon_sym_open,
    ACTIONS(7398), 1,
      anon_sym_transparent,
    ACTIONS(7404), 1,
      sym__backquoted_id,
    ACTIONS(7406), 1,
      sym_operator_identifier,
    ACTIONS(7514), 1,
      anon_sym_implicit,
    ACTIONS(7516), 1,
      anon_sym_using,
    ACTIONS(7518), 1,
      anon_sym_RPAREN,
    STATE(4461), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7040), 1,
      aux_sym_modifiers_repeat1,
    STATE(9748), 1,
      sym_annotation,
    STATE(11434), 1,
      sym_modifiers,
    STATE(14173), 1,
      sym__soft_identifier,
    STATE(14338), 1,
      sym_identifier,
    STATE(14827), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(7386), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(7388), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4206), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(61), 5,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_lazy,
      anon_sym_override,
    STATE(6204), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
  [215774] = 27,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7344), 1,
      anon_sym_AT,
    ACTIONS(7352), 1,
      anon_sym_inline,
    ACTIONS(7354), 1,
      anon_sym_infix,
    ACTIONS(7356), 1,
      anon_sym_open,
    ACTIONS(7358), 1,
      anon_sym_transparent,
    ACTIONS(7408), 1,
      anon_sym_enum,
    ACTIONS(7410), 1,
      anon_sym_case,
    ACTIONS(7412), 1,
      anon_sym_object,
    ACTIONS(7416), 1,
      anon_sym_class,
    ACTIONS(7418), 1,
      anon_sym_trait,
    ACTIONS(7420), 1,
      anon_sym_val,
    ACTIONS(7422), 1,
      anon_sym_var,
    ACTIONS(7428), 1,
      anon_sym_opaque,
    ACTIONS(7454), 1,
      anon_sym_type,
    ACTIONS(7456), 1,
      anon_sym_def,
    ACTIONS(7520), 1,
      anon_sym_given,
    STATE(5366), 1,
      aux_sym_modifiers_repeat1,
    STATE(6407), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7509), 1,
      sym_annotation,
    STATE(12428), 1,
      sym_modifiers,
    STATE(16979), 1,
      sym_opaque_modifier,
    ACTIONS(7350), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4207), 2,
      sym_comment,
      sym_block_comment,
    STATE(6204), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(7348), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [215867] = 26,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4900), 1,
      anon_sym_AT,
    ACTIONS(7384), 1,
      sym__alpha_identifier,
    ACTIONS(7392), 1,
      anon_sym_inline,
    ACTIONS(7394), 1,
      anon_sym_infix,
    ACTIONS(7396), 1,
      anon_sym_open,
    ACTIONS(7398), 1,
      anon_sym_transparent,
    ACTIONS(7404), 1,
      sym__backquoted_id,
    ACTIONS(7406), 1,
      sym_operator_identifier,
    ACTIONS(7522), 1,
      anon_sym_implicit,
    ACTIONS(7524), 1,
      anon_sym_using,
    ACTIONS(7526), 1,
      anon_sym_RPAREN,
    STATE(4461), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7040), 1,
      aux_sym_modifiers_repeat1,
    STATE(9748), 1,
      sym_annotation,
    STATE(11434), 1,
      sym_modifiers,
    STATE(14173), 1,
      sym__soft_identifier,
    STATE(14338), 1,
      sym_identifier,
    STATE(15252), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(7386), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(7388), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4208), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(61), 5,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_lazy,
      anon_sym_override,
    STATE(6204), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
  [215958] = 27,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7344), 1,
      anon_sym_AT,
    ACTIONS(7352), 1,
      anon_sym_inline,
    ACTIONS(7354), 1,
      anon_sym_infix,
    ACTIONS(7356), 1,
      anon_sym_open,
    ACTIONS(7358), 1,
      anon_sym_transparent,
    ACTIONS(7420), 1,
      anon_sym_val,
    ACTIONS(7422), 1,
      anon_sym_var,
    ACTIONS(7428), 1,
      anon_sym_opaque,
    ACTIONS(7430), 1,
      anon_sym_enum,
    ACTIONS(7434), 1,
      anon_sym_object,
    ACTIONS(7436), 1,
      anon_sym_given,
    ACTIONS(7438), 1,
      anon_sym_class,
    ACTIONS(7440), 1,
      anon_sym_trait,
    ACTIONS(7442), 1,
      anon_sym_type,
    ACTIONS(7444), 1,
      anon_sym_def,
    ACTIONS(7476), 1,
      anon_sym_case,
    STATE(5366), 1,
      aux_sym_modifiers_repeat1,
    STATE(6407), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7509), 1,
      sym_annotation,
    STATE(12277), 1,
      sym_modifiers,
    STATE(17470), 1,
      sym_opaque_modifier,
    ACTIONS(7350), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4209), 2,
      sym_comment,
      sym_block_comment,
    STATE(6204), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(7348), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [216051] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7532), 1,
      anon_sym_LBRACK,
    ACTIONS(7534), 1,
      anon_sym_LPAREN,
    ACTIONS(7536), 1,
      anon_sym_POUND,
    STATE(4324), 1,
      aux_sym_annotation_repeat1,
    STATE(4489), 1,
      sym_type_arguments,
    STATE(4681), 1,
      sym_arguments,
    STATE(4210), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7530), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7528), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [216112] = 26,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4900), 1,
      anon_sym_AT,
    ACTIONS(7384), 1,
      sym__alpha_identifier,
    ACTIONS(7392), 1,
      anon_sym_inline,
    ACTIONS(7394), 1,
      anon_sym_infix,
    ACTIONS(7396), 1,
      anon_sym_open,
    ACTIONS(7398), 1,
      anon_sym_transparent,
    ACTIONS(7404), 1,
      sym__backquoted_id,
    ACTIONS(7406), 1,
      sym_operator_identifier,
    ACTIONS(7538), 1,
      anon_sym_implicit,
    ACTIONS(7540), 1,
      anon_sym_using,
    ACTIONS(7542), 1,
      anon_sym_RPAREN,
    STATE(4461), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7040), 1,
      aux_sym_modifiers_repeat1,
    STATE(9748), 1,
      sym_annotation,
    STATE(11434), 1,
      sym_modifiers,
    STATE(14173), 1,
      sym__soft_identifier,
    STATE(14338), 1,
      sym_identifier,
    STATE(14708), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(7386), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(7388), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4211), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(61), 5,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_lazy,
      anon_sym_override,
    STATE(6204), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
  [216203] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7340), 1,
      anon_sym_LBRACE,
    ACTIONS(7344), 1,
      anon_sym_AT,
    ACTIONS(7352), 1,
      anon_sym_inline,
    ACTIONS(7354), 1,
      anon_sym_infix,
    ACTIONS(7356), 1,
      anon_sym_open,
    ACTIONS(7358), 1,
      anon_sym_transparent,
    ACTIONS(7360), 1,
      anon_sym_LPAREN,
    ACTIONS(7362), 1,
      sym__indent,
    ACTIONS(7370), 1,
      anon_sym_def,
    STATE(5366), 1,
      aux_sym_modifiers_repeat1,
    STATE(7509), 1,
      sym_annotation,
    STATE(8510), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9783), 1,
      aux_sym_extension_definition_repeat1,
    STATE(10457), 1,
      sym_parameters,
    STATE(10506), 1,
      sym__using_parameters_clause,
    STATE(13672), 1,
      sym__function_declaration,
    STATE(16931), 1,
      sym_modifiers,
    ACTIONS(7350), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4212), 2,
      sym_comment,
      sym_block_comment,
    STATE(13970), 3,
      sym__extension_template_body,
      sym_function_definition,
      sym_function_declaration,
    STATE(6204), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(7348), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [216289] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7544), 1,
      anon_sym_LBRACK,
    ACTIONS(7546), 1,
      anon_sym_AT,
    ACTIONS(7548), 1,
      anon_sym_LPAREN,
    ACTIONS(7550), 1,
      anon_sym_POUND,
    STATE(4640), 1,
      aux_sym_enum_definition_repeat1,
    STATE(4727), 1,
      sym_type_arguments,
    STATE(5294), 1,
      sym_annotation,
    STATE(6051), 1,
      sym_arguments,
    STATE(4213), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [216353] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4214), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7552), 33,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_do,
  [216399] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7232), 1,
      sym__alpha_identifier,
    ACTIONS(7236), 1,
      anon_sym_LBRACE,
    ACTIONS(7238), 1,
      anon_sym__,
    ACTIONS(7246), 1,
      sym__backquoted_id,
    ACTIONS(7554), 1,
      anon_sym_COLON,
    ACTIONS(7556), 1,
      anon_sym_LPAREN,
    ACTIONS(7558), 1,
      sym_operator_identifier,
    STATE(10330), 1,
      sym__simple_type,
    STATE(10729), 1,
      sym_identifier,
    STATE(10954), 1,
      sym__soft_identifier,
    STATE(11083), 1,
      sym__annotated_type,
    STATE(12438), 1,
      sym_annotated_type,
    STATE(13897), 1,
      sym__structural_instance,
    STATE(14896), 1,
      sym_compound_type,
    STATE(16972), 1,
      sym_stable_identifier,
    STATE(16974), 1,
      sym__structural_type,
    STATE(16997), 1,
      sym__constructor_application,
    STATE(17007), 1,
      sym_template_body,
    STATE(4215), 2,
      sym_comment,
      sym_block_comment,
    STATE(15707), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7242), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11316), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [216485] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7236), 1,
      anon_sym_LBRACE,
    ACTIONS(7254), 1,
      sym__alpha_identifier,
    ACTIONS(7256), 1,
      anon_sym__,
    ACTIONS(7262), 1,
      sym__backquoted_id,
    ACTIONS(7554), 1,
      anon_sym_COLON,
    ACTIONS(7560), 1,
      anon_sym_LPAREN,
    ACTIONS(7562), 1,
      sym_operator_identifier,
    STATE(10637), 1,
      sym__simple_type,
    STATE(11061), 1,
      sym__annotated_type,
    STATE(11065), 1,
      sym__soft_identifier,
    STATE(11271), 1,
      sym_identifier,
    STATE(12720), 1,
      sym_annotated_type,
    STATE(14353), 1,
      sym__structural_instance,
    STATE(14896), 1,
      sym_compound_type,
    STATE(15838), 1,
      sym_stable_identifier,
    STATE(16929), 1,
      sym__constructor_application,
    STATE(16974), 1,
      sym__structural_type,
    STATE(17007), 1,
      sym_template_body,
    STATE(4216), 2,
      sym_comment,
      sym_block_comment,
    STATE(15707), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7258), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11454), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [216571] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7468), 1,
      anon_sym_LBRACK,
    ACTIONS(7474), 1,
      anon_sym_POUND,
    ACTIONS(7564), 1,
      anon_sym_LPAREN,
    STATE(4484), 1,
      aux_sym_annotation_repeat1,
    STATE(4517), 1,
      sym_type_arguments,
    STATE(4755), 1,
      sym_arguments,
    STATE(4217), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7530), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7528), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [216631] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4900), 1,
      anon_sym_AT,
    ACTIONS(7384), 1,
      sym__alpha_identifier,
    ACTIONS(7392), 1,
      anon_sym_inline,
    ACTIONS(7394), 1,
      anon_sym_infix,
    ACTIONS(7396), 1,
      anon_sym_open,
    ACTIONS(7398), 1,
      anon_sym_transparent,
    ACTIONS(7402), 1,
      anon_sym_RPAREN,
    ACTIONS(7404), 1,
      sym__backquoted_id,
    ACTIONS(7406), 1,
      sym_operator_identifier,
    STATE(4461), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7040), 1,
      aux_sym_modifiers_repeat1,
    STATE(9748), 1,
      sym_annotation,
    STATE(11434), 1,
      sym_modifiers,
    STATE(14173), 1,
      sym__soft_identifier,
    STATE(14338), 1,
      sym_identifier,
    STATE(14536), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(7386), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(7388), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4218), 2,
      sym_comment,
      sym_block_comment,
    STATE(6204), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [216717] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4900), 1,
      anon_sym_AT,
    ACTIONS(7384), 1,
      sym__alpha_identifier,
    ACTIONS(7392), 1,
      anon_sym_inline,
    ACTIONS(7394), 1,
      anon_sym_infix,
    ACTIONS(7396), 1,
      anon_sym_open,
    ACTIONS(7398), 1,
      anon_sym_transparent,
    ACTIONS(7402), 1,
      anon_sym_RPAREN,
    ACTIONS(7404), 1,
      sym__backquoted_id,
    ACTIONS(7406), 1,
      sym_operator_identifier,
    STATE(4461), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7040), 1,
      aux_sym_modifiers_repeat1,
    STATE(9748), 1,
      sym_annotation,
    STATE(11434), 1,
      sym_modifiers,
    STATE(14173), 1,
      sym__soft_identifier,
    STATE(14338), 1,
      sym_identifier,
    STATE(14536), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(7386), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(7388), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4219), 2,
      sym_comment,
      sym_block_comment,
    STATE(6204), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [216803] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7236), 1,
      anon_sym_LBRACE,
    ACTIONS(7254), 1,
      sym__alpha_identifier,
    ACTIONS(7256), 1,
      anon_sym__,
    ACTIONS(7262), 1,
      sym__backquoted_id,
    ACTIONS(7554), 1,
      anon_sym_COLON,
    ACTIONS(7560), 1,
      anon_sym_LPAREN,
    ACTIONS(7562), 1,
      sym_operator_identifier,
    STATE(10637), 1,
      sym__simple_type,
    STATE(11065), 1,
      sym__soft_identifier,
    STATE(11271), 1,
      sym_identifier,
    STATE(11301), 1,
      sym__annotated_type,
    STATE(12720), 1,
      sym_annotated_type,
    STATE(14120), 1,
      sym__structural_instance,
    STATE(14896), 1,
      sym_compound_type,
    STATE(15838), 1,
      sym_stable_identifier,
    STATE(16929), 1,
      sym__constructor_application,
    STATE(16974), 1,
      sym__structural_type,
    STATE(17007), 1,
      sym_template_body,
    STATE(4220), 2,
      sym_comment,
      sym_block_comment,
    STATE(15707), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7258), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11454), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [216889] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7254), 1,
      sym__alpha_identifier,
    ACTIONS(7256), 1,
      anon_sym__,
    ACTIONS(7262), 1,
      sym__backquoted_id,
    ACTIONS(7560), 1,
      anon_sym_LPAREN,
    ACTIONS(7562), 1,
      sym_operator_identifier,
    ACTIONS(7566), 1,
      anon_sym_COLON,
    ACTIONS(7568), 1,
      anon_sym_LBRACE,
    STATE(10766), 1,
      sym__simple_type,
    STATE(11065), 1,
      sym__soft_identifier,
    STATE(11271), 1,
      sym_identifier,
    STATE(11314), 1,
      sym__annotated_type,
    STATE(12720), 1,
      sym_annotated_type,
    STATE(13454), 1,
      sym__constructor_application,
    STATE(13586), 1,
      sym_compound_type,
    STATE(13652), 1,
      sym_template_body,
    STATE(13667), 1,
      sym__constructor_applications,
    STATE(13781), 1,
      sym__structural_type,
    STATE(15838), 1,
      sym_stable_identifier,
    STATE(4221), 2,
      sym_comment,
      sym_block_comment,
    STATE(13724), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7258), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11454), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [216975] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4900), 1,
      anon_sym_AT,
    ACTIONS(7384), 1,
      sym__alpha_identifier,
    ACTIONS(7392), 1,
      anon_sym_inline,
    ACTIONS(7394), 1,
      anon_sym_infix,
    ACTIONS(7396), 1,
      anon_sym_open,
    ACTIONS(7398), 1,
      anon_sym_transparent,
    ACTIONS(7404), 1,
      sym__backquoted_id,
    ACTIONS(7406), 1,
      sym_operator_identifier,
    ACTIONS(7570), 1,
      anon_sym_RPAREN,
    STATE(4461), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7040), 1,
      aux_sym_modifiers_repeat1,
    STATE(9748), 1,
      sym_annotation,
    STATE(11434), 1,
      sym_modifiers,
    STATE(14173), 1,
      sym__soft_identifier,
    STATE(14338), 1,
      sym_identifier,
    STATE(14566), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(7386), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(7388), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4222), 2,
      sym_comment,
      sym_block_comment,
    STATE(6204), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [217061] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4900), 1,
      anon_sym_AT,
    ACTIONS(7384), 1,
      sym__alpha_identifier,
    ACTIONS(7392), 1,
      anon_sym_inline,
    ACTIONS(7394), 1,
      anon_sym_infix,
    ACTIONS(7396), 1,
      anon_sym_open,
    ACTIONS(7398), 1,
      anon_sym_transparent,
    ACTIONS(7404), 1,
      sym__backquoted_id,
    ACTIONS(7406), 1,
      sym_operator_identifier,
    ACTIONS(7570), 1,
      anon_sym_RPAREN,
    STATE(4461), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7040), 1,
      aux_sym_modifiers_repeat1,
    STATE(9748), 1,
      sym_annotation,
    STATE(11434), 1,
      sym_modifiers,
    STATE(14173), 1,
      sym__soft_identifier,
    STATE(14338), 1,
      sym_identifier,
    STATE(14566), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(7386), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(7388), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4223), 2,
      sym_comment,
      sym_block_comment,
    STATE(6204), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [217147] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4900), 1,
      anon_sym_AT,
    ACTIONS(7384), 1,
      sym__alpha_identifier,
    ACTIONS(7392), 1,
      anon_sym_inline,
    ACTIONS(7394), 1,
      anon_sym_infix,
    ACTIONS(7396), 1,
      anon_sym_open,
    ACTIONS(7398), 1,
      anon_sym_transparent,
    ACTIONS(7404), 1,
      sym__backquoted_id,
    ACTIONS(7406), 1,
      sym_operator_identifier,
    ACTIONS(7572), 1,
      anon_sym_RPAREN,
    STATE(4461), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7040), 1,
      aux_sym_modifiers_repeat1,
    STATE(9748), 1,
      sym_annotation,
    STATE(11434), 1,
      sym_modifiers,
    STATE(14173), 1,
      sym__soft_identifier,
    STATE(14338), 1,
      sym_identifier,
    STATE(15635), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(7386), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(7388), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4224), 2,
      sym_comment,
      sym_block_comment,
    STATE(6204), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [217233] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7576), 1,
      anon_sym_COLON,
    ACTIONS(7578), 1,
      anon_sym_LBRACE,
    ACTIONS(7582), 1,
      anon_sym_with,
    STATE(4286), 1,
      aux_sym_compound_type_repeat1,
    STATE(7151), 1,
      sym__refinement,
    STATE(7152), 1,
      sym_template_body,
    STATE(4225), 2,
      sym_comment,
      sym_block_comment,
    STATE(7014), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7580), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7574), 19,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [217295] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4226), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7584), 33,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_do,
  [217341] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7232), 1,
      sym__alpha_identifier,
    ACTIONS(7238), 1,
      anon_sym__,
    ACTIONS(7246), 1,
      sym__backquoted_id,
    ACTIONS(7556), 1,
      anon_sym_LPAREN,
    ACTIONS(7558), 1,
      sym_operator_identifier,
    ACTIONS(7586), 1,
      anon_sym_COLON,
    ACTIONS(7588), 1,
      anon_sym_LBRACE,
    STATE(10729), 1,
      sym_identifier,
    STATE(10954), 1,
      sym__soft_identifier,
    STATE(10992), 1,
      sym__simple_type,
    STATE(11047), 1,
      sym__annotated_type,
    STATE(12438), 1,
      sym_annotated_type,
    STATE(13270), 1,
      sym__constructor_application,
    STATE(13627), 1,
      sym_compound_type,
    STATE(13719), 1,
      sym__structural_type,
    STATE(13739), 1,
      sym_template_body,
    STATE(13743), 1,
      sym__constructor_applications,
    STATE(16972), 1,
      sym_stable_identifier,
    STATE(4227), 2,
      sym_comment,
      sym_block_comment,
    STATE(13786), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7242), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11316), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [217427] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4900), 1,
      anon_sym_AT,
    ACTIONS(7384), 1,
      sym__alpha_identifier,
    ACTIONS(7392), 1,
      anon_sym_inline,
    ACTIONS(7394), 1,
      anon_sym_infix,
    ACTIONS(7396), 1,
      anon_sym_open,
    ACTIONS(7398), 1,
      anon_sym_transparent,
    ACTIONS(7404), 1,
      sym__backquoted_id,
    ACTIONS(7406), 1,
      sym_operator_identifier,
    ACTIONS(7488), 1,
      anon_sym_RPAREN,
    STATE(4461), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7040), 1,
      aux_sym_modifiers_repeat1,
    STATE(9748), 1,
      sym_annotation,
    STATE(11434), 1,
      sym_modifiers,
    STATE(14173), 1,
      sym__soft_identifier,
    STATE(14338), 1,
      sym_identifier,
    STATE(15445), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(7386), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(7388), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4228), 2,
      sym_comment,
      sym_block_comment,
    STATE(6204), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [217513] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4900), 1,
      anon_sym_AT,
    ACTIONS(7384), 1,
      sym__alpha_identifier,
    ACTIONS(7392), 1,
      anon_sym_inline,
    ACTIONS(7394), 1,
      anon_sym_infix,
    ACTIONS(7396), 1,
      anon_sym_open,
    ACTIONS(7398), 1,
      anon_sym_transparent,
    ACTIONS(7404), 1,
      sym__backquoted_id,
    ACTIONS(7406), 1,
      sym_operator_identifier,
    ACTIONS(7590), 1,
      anon_sym_RPAREN,
    STATE(4461), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7040), 1,
      aux_sym_modifiers_repeat1,
    STATE(9748), 1,
      sym_annotation,
    STATE(11434), 1,
      sym_modifiers,
    STATE(14173), 1,
      sym__soft_identifier,
    STATE(14338), 1,
      sym_identifier,
    STATE(15635), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(7386), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(7388), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4229), 2,
      sym_comment,
      sym_block_comment,
    STATE(6204), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [217599] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4900), 1,
      anon_sym_AT,
    ACTIONS(7384), 1,
      sym__alpha_identifier,
    ACTIONS(7392), 1,
      anon_sym_inline,
    ACTIONS(7394), 1,
      anon_sym_infix,
    ACTIONS(7396), 1,
      anon_sym_open,
    ACTIONS(7398), 1,
      anon_sym_transparent,
    ACTIONS(7404), 1,
      sym__backquoted_id,
    ACTIONS(7406), 1,
      sym_operator_identifier,
    ACTIONS(7488), 1,
      anon_sym_RPAREN,
    STATE(4461), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7040), 1,
      aux_sym_modifiers_repeat1,
    STATE(9748), 1,
      sym_annotation,
    STATE(11434), 1,
      sym_modifiers,
    STATE(14173), 1,
      sym__soft_identifier,
    STATE(14338), 1,
      sym_identifier,
    STATE(15445), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(7386), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(7388), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4230), 2,
      sym_comment,
      sym_block_comment,
    STATE(6204), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [217685] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4900), 1,
      anon_sym_AT,
    ACTIONS(7384), 1,
      sym__alpha_identifier,
    ACTIONS(7392), 1,
      anon_sym_inline,
    ACTIONS(7394), 1,
      anon_sym_infix,
    ACTIONS(7396), 1,
      anon_sym_open,
    ACTIONS(7398), 1,
      anon_sym_transparent,
    ACTIONS(7404), 1,
      sym__backquoted_id,
    ACTIONS(7406), 1,
      sym_operator_identifier,
    ACTIONS(7590), 1,
      anon_sym_RPAREN,
    STATE(4461), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7040), 1,
      aux_sym_modifiers_repeat1,
    STATE(9748), 1,
      sym_annotation,
    STATE(11434), 1,
      sym_modifiers,
    STATE(14173), 1,
      sym__soft_identifier,
    STATE(14338), 1,
      sym_identifier,
    STATE(14581), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(7386), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(7388), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4231), 2,
      sym_comment,
      sym_block_comment,
    STATE(6204), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [217771] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4900), 1,
      anon_sym_AT,
    ACTIONS(7384), 1,
      sym__alpha_identifier,
    ACTIONS(7392), 1,
      anon_sym_inline,
    ACTIONS(7394), 1,
      anon_sym_infix,
    ACTIONS(7396), 1,
      anon_sym_open,
    ACTIONS(7398), 1,
      anon_sym_transparent,
    ACTIONS(7404), 1,
      sym__backquoted_id,
    ACTIONS(7406), 1,
      sym_operator_identifier,
    ACTIONS(7590), 1,
      anon_sym_RPAREN,
    STATE(4461), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7040), 1,
      aux_sym_modifiers_repeat1,
    STATE(9748), 1,
      sym_annotation,
    STATE(11434), 1,
      sym_modifiers,
    STATE(14173), 1,
      sym__soft_identifier,
    STATE(14338), 1,
      sym_identifier,
    STATE(14581), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(7386), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(7388), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4232), 2,
      sym_comment,
      sym_block_comment,
    STATE(6204), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [217857] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4900), 1,
      anon_sym_AT,
    ACTIONS(7384), 1,
      sym__alpha_identifier,
    ACTIONS(7392), 1,
      anon_sym_inline,
    ACTIONS(7394), 1,
      anon_sym_infix,
    ACTIONS(7396), 1,
      anon_sym_open,
    ACTIONS(7398), 1,
      anon_sym_transparent,
    ACTIONS(7404), 1,
      sym__backquoted_id,
    ACTIONS(7406), 1,
      sym_operator_identifier,
    ACTIONS(7592), 1,
      anon_sym_RPAREN,
    STATE(4461), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7040), 1,
      aux_sym_modifiers_repeat1,
    STATE(9748), 1,
      sym_annotation,
    STATE(11434), 1,
      sym_modifiers,
    STATE(14173), 1,
      sym__soft_identifier,
    STATE(14338), 1,
      sym_identifier,
    STATE(15635), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(7386), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(7388), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4233), 2,
      sym_comment,
      sym_block_comment,
    STATE(6204), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [217943] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4900), 1,
      anon_sym_AT,
    ACTIONS(7384), 1,
      sym__alpha_identifier,
    ACTIONS(7392), 1,
      anon_sym_inline,
    ACTIONS(7394), 1,
      anon_sym_infix,
    ACTIONS(7396), 1,
      anon_sym_open,
    ACTIONS(7398), 1,
      anon_sym_transparent,
    ACTIONS(7404), 1,
      sym__backquoted_id,
    ACTIONS(7406), 1,
      sym_operator_identifier,
    ACTIONS(7594), 1,
      anon_sym_RPAREN,
    STATE(4461), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7040), 1,
      aux_sym_modifiers_repeat1,
    STATE(9748), 1,
      sym_annotation,
    STATE(11434), 1,
      sym_modifiers,
    STATE(14173), 1,
      sym__soft_identifier,
    STATE(14338), 1,
      sym_identifier,
    STATE(15635), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(7386), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(7388), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4234), 2,
      sym_comment,
      sym_block_comment,
    STATE(6204), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [218029] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4900), 1,
      anon_sym_AT,
    ACTIONS(7384), 1,
      sym__alpha_identifier,
    ACTIONS(7392), 1,
      anon_sym_inline,
    ACTIONS(7394), 1,
      anon_sym_infix,
    ACTIONS(7396), 1,
      anon_sym_open,
    ACTIONS(7398), 1,
      anon_sym_transparent,
    ACTIONS(7404), 1,
      sym__backquoted_id,
    ACTIONS(7406), 1,
      sym_operator_identifier,
    ACTIONS(7572), 1,
      anon_sym_RPAREN,
    STATE(4461), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7040), 1,
      aux_sym_modifiers_repeat1,
    STATE(9748), 1,
      sym_annotation,
    STATE(11434), 1,
      sym_modifiers,
    STATE(14173), 1,
      sym__soft_identifier,
    STATE(14338), 1,
      sym_identifier,
    STATE(14737), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(7386), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(7388), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4235), 2,
      sym_comment,
      sym_block_comment,
    STATE(6204), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [218115] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4900), 1,
      anon_sym_AT,
    ACTIONS(7384), 1,
      sym__alpha_identifier,
    ACTIONS(7392), 1,
      anon_sym_inline,
    ACTIONS(7394), 1,
      anon_sym_infix,
    ACTIONS(7396), 1,
      anon_sym_open,
    ACTIONS(7398), 1,
      anon_sym_transparent,
    ACTIONS(7404), 1,
      sym__backquoted_id,
    ACTIONS(7406), 1,
      sym_operator_identifier,
    ACTIONS(7572), 1,
      anon_sym_RPAREN,
    STATE(4461), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7040), 1,
      aux_sym_modifiers_repeat1,
    STATE(9748), 1,
      sym_annotation,
    STATE(11434), 1,
      sym_modifiers,
    STATE(14173), 1,
      sym__soft_identifier,
    STATE(14338), 1,
      sym_identifier,
    STATE(14737), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(7386), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(7388), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4236), 2,
      sym_comment,
      sym_block_comment,
    STATE(6204), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [218201] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4900), 1,
      anon_sym_AT,
    ACTIONS(7384), 1,
      sym__alpha_identifier,
    ACTIONS(7392), 1,
      anon_sym_inline,
    ACTIONS(7394), 1,
      anon_sym_infix,
    ACTIONS(7396), 1,
      anon_sym_open,
    ACTIONS(7398), 1,
      anon_sym_transparent,
    ACTIONS(7404), 1,
      sym__backquoted_id,
    ACTIONS(7406), 1,
      sym_operator_identifier,
    ACTIONS(7596), 1,
      anon_sym_RPAREN,
    STATE(4461), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7040), 1,
      aux_sym_modifiers_repeat1,
    STATE(9748), 1,
      sym_annotation,
    STATE(11434), 1,
      sym_modifiers,
    STATE(14173), 1,
      sym__soft_identifier,
    STATE(14338), 1,
      sym_identifier,
    STATE(15635), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(7386), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(7388), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4237), 2,
      sym_comment,
      sym_block_comment,
    STATE(6204), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [218287] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4900), 1,
      anon_sym_AT,
    ACTIONS(7384), 1,
      sym__alpha_identifier,
    ACTIONS(7392), 1,
      anon_sym_inline,
    ACTIONS(7394), 1,
      anon_sym_infix,
    ACTIONS(7396), 1,
      anon_sym_open,
    ACTIONS(7398), 1,
      anon_sym_transparent,
    ACTIONS(7404), 1,
      sym__backquoted_id,
    ACTIONS(7406), 1,
      sym_operator_identifier,
    ACTIONS(7598), 1,
      anon_sym_RPAREN,
    STATE(4461), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7040), 1,
      aux_sym_modifiers_repeat1,
    STATE(9748), 1,
      sym_annotation,
    STATE(11434), 1,
      sym_modifiers,
    STATE(14173), 1,
      sym__soft_identifier,
    STATE(14338), 1,
      sym_identifier,
    STATE(14780), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(7386), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(7388), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4238), 2,
      sym_comment,
      sym_block_comment,
    STATE(6204), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [218373] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7600), 1,
      anon_sym_with,
    STATE(4398), 1,
      aux_sym_compound_type_repeat1,
    STATE(6051), 1,
      sym_arguments,
    STATE(6526), 1,
      sym__refinement,
    STATE(6531), 1,
      sym_template_body,
    STATE(4239), 2,
      sym_comment,
      sym_block_comment,
    STATE(6176), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7498), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7496), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [218433] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7232), 1,
      sym__alpha_identifier,
    ACTIONS(7236), 1,
      anon_sym_LBRACE,
    ACTIONS(7238), 1,
      anon_sym__,
    ACTIONS(7246), 1,
      sym__backquoted_id,
    ACTIONS(7554), 1,
      anon_sym_COLON,
    ACTIONS(7556), 1,
      anon_sym_LPAREN,
    ACTIONS(7558), 1,
      sym_operator_identifier,
    STATE(10330), 1,
      sym__simple_type,
    STATE(10729), 1,
      sym_identifier,
    STATE(10954), 1,
      sym__soft_identifier,
    STATE(11072), 1,
      sym__annotated_type,
    STATE(12438), 1,
      sym_annotated_type,
    STATE(13813), 1,
      sym__structural_instance,
    STATE(14896), 1,
      sym_compound_type,
    STATE(16972), 1,
      sym_stable_identifier,
    STATE(16974), 1,
      sym__structural_type,
    STATE(16997), 1,
      sym__constructor_application,
    STATE(17007), 1,
      sym_template_body,
    STATE(4240), 2,
      sym_comment,
      sym_block_comment,
    STATE(15707), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7242), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11316), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [218519] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4900), 1,
      anon_sym_AT,
    ACTIONS(7384), 1,
      sym__alpha_identifier,
    ACTIONS(7392), 1,
      anon_sym_inline,
    ACTIONS(7394), 1,
      anon_sym_infix,
    ACTIONS(7396), 1,
      anon_sym_open,
    ACTIONS(7398), 1,
      anon_sym_transparent,
    ACTIONS(7404), 1,
      sym__backquoted_id,
    ACTIONS(7406), 1,
      sym_operator_identifier,
    ACTIONS(7598), 1,
      anon_sym_RPAREN,
    STATE(4461), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7040), 1,
      aux_sym_modifiers_repeat1,
    STATE(9748), 1,
      sym_annotation,
    STATE(11434), 1,
      sym_modifiers,
    STATE(14173), 1,
      sym__soft_identifier,
    STATE(14338), 1,
      sym_identifier,
    STATE(14780), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(7386), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(7388), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4241), 2,
      sym_comment,
      sym_block_comment,
    STATE(6204), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [218605] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4242), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 33,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_do,
  [218651] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4900), 1,
      anon_sym_AT,
    ACTIONS(7384), 1,
      sym__alpha_identifier,
    ACTIONS(7392), 1,
      anon_sym_inline,
    ACTIONS(7394), 1,
      anon_sym_infix,
    ACTIONS(7396), 1,
      anon_sym_open,
    ACTIONS(7398), 1,
      anon_sym_transparent,
    ACTIONS(7404), 1,
      sym__backquoted_id,
    ACTIONS(7406), 1,
      sym_operator_identifier,
    ACTIONS(7604), 1,
      anon_sym_RPAREN,
    STATE(4461), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7040), 1,
      aux_sym_modifiers_repeat1,
    STATE(9748), 1,
      sym_annotation,
    STATE(11434), 1,
      sym_modifiers,
    STATE(14173), 1,
      sym__soft_identifier,
    STATE(14338), 1,
      sym_identifier,
    STATE(15635), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(7386), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(7388), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4243), 2,
      sym_comment,
      sym_block_comment,
    STATE(6204), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [218737] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4900), 1,
      anon_sym_AT,
    ACTIONS(7384), 1,
      sym__alpha_identifier,
    ACTIONS(7392), 1,
      anon_sym_inline,
    ACTIONS(7394), 1,
      anon_sym_infix,
    ACTIONS(7396), 1,
      anon_sym_open,
    ACTIONS(7398), 1,
      anon_sym_transparent,
    ACTIONS(7404), 1,
      sym__backquoted_id,
    ACTIONS(7406), 1,
      sym_operator_identifier,
    ACTIONS(7606), 1,
      anon_sym_RPAREN,
    STATE(4461), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7040), 1,
      aux_sym_modifiers_repeat1,
    STATE(9748), 1,
      sym_annotation,
    STATE(11434), 1,
      sym_modifiers,
    STATE(14173), 1,
      sym__soft_identifier,
    STATE(14338), 1,
      sym_identifier,
    STATE(15635), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(7386), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(7388), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4244), 2,
      sym_comment,
      sym_block_comment,
    STATE(6204), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [218823] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4900), 1,
      anon_sym_AT,
    ACTIONS(7384), 1,
      sym__alpha_identifier,
    ACTIONS(7392), 1,
      anon_sym_inline,
    ACTIONS(7394), 1,
      anon_sym_infix,
    ACTIONS(7396), 1,
      anon_sym_open,
    ACTIONS(7398), 1,
      anon_sym_transparent,
    ACTIONS(7404), 1,
      sym__backquoted_id,
    ACTIONS(7406), 1,
      sym_operator_identifier,
    ACTIONS(7608), 1,
      anon_sym_RPAREN,
    STATE(4461), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7040), 1,
      aux_sym_modifiers_repeat1,
    STATE(9748), 1,
      sym_annotation,
    STATE(11434), 1,
      sym_modifiers,
    STATE(14173), 1,
      sym__soft_identifier,
    STATE(14338), 1,
      sym_identifier,
    STATE(15635), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(7386), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(7388), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4245), 2,
      sym_comment,
      sym_block_comment,
    STATE(6204), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [218909] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7232), 1,
      sym__alpha_identifier,
    ACTIONS(7236), 1,
      anon_sym_LBRACE,
    ACTIONS(7238), 1,
      anon_sym__,
    ACTIONS(7246), 1,
      sym__backquoted_id,
    ACTIONS(7554), 1,
      anon_sym_COLON,
    ACTIONS(7556), 1,
      anon_sym_LPAREN,
    ACTIONS(7558), 1,
      sym_operator_identifier,
    STATE(10330), 1,
      sym__simple_type,
    STATE(10729), 1,
      sym_identifier,
    STATE(10805), 1,
      sym__annotated_type,
    STATE(10954), 1,
      sym__soft_identifier,
    STATE(12438), 1,
      sym_annotated_type,
    STATE(13897), 1,
      sym__structural_instance,
    STATE(14896), 1,
      sym_compound_type,
    STATE(16972), 1,
      sym_stable_identifier,
    STATE(16974), 1,
      sym__structural_type,
    STATE(16997), 1,
      sym__constructor_application,
    STATE(17007), 1,
      sym_template_body,
    STATE(4246), 2,
      sym_comment,
      sym_block_comment,
    STATE(15707), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7242), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11316), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [218995] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4900), 1,
      anon_sym_AT,
    ACTIONS(7384), 1,
      sym__alpha_identifier,
    ACTIONS(7392), 1,
      anon_sym_inline,
    ACTIONS(7394), 1,
      anon_sym_infix,
    ACTIONS(7396), 1,
      anon_sym_open,
    ACTIONS(7398), 1,
      anon_sym_transparent,
    ACTIONS(7404), 1,
      sym__backquoted_id,
    ACTIONS(7406), 1,
      sym_operator_identifier,
    ACTIONS(7610), 1,
      anon_sym_RPAREN,
    STATE(4461), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7040), 1,
      aux_sym_modifiers_repeat1,
    STATE(9748), 1,
      sym_annotation,
    STATE(11434), 1,
      sym_modifiers,
    STATE(14173), 1,
      sym__soft_identifier,
    STATE(14338), 1,
      sym_identifier,
    STATE(15635), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(7386), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(7388), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4247), 2,
      sym_comment,
      sym_block_comment,
    STATE(6204), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [219081] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4900), 1,
      anon_sym_AT,
    ACTIONS(7384), 1,
      sym__alpha_identifier,
    ACTIONS(7392), 1,
      anon_sym_inline,
    ACTIONS(7394), 1,
      anon_sym_infix,
    ACTIONS(7396), 1,
      anon_sym_open,
    ACTIONS(7398), 1,
      anon_sym_transparent,
    ACTIONS(7404), 1,
      sym__backquoted_id,
    ACTIONS(7406), 1,
      sym_operator_identifier,
    ACTIONS(7612), 1,
      anon_sym_RPAREN,
    STATE(4461), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7040), 1,
      aux_sym_modifiers_repeat1,
    STATE(9748), 1,
      sym_annotation,
    STATE(11434), 1,
      sym_modifiers,
    STATE(14173), 1,
      sym__soft_identifier,
    STATE(14338), 1,
      sym_identifier,
    STATE(15635), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(7386), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(7388), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4248), 2,
      sym_comment,
      sym_block_comment,
    STATE(6204), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [219167] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7340), 1,
      anon_sym_LBRACE,
    ACTIONS(7344), 1,
      anon_sym_AT,
    ACTIONS(7346), 1,
      anon_sym_def,
    ACTIONS(7352), 1,
      anon_sym_inline,
    ACTIONS(7354), 1,
      anon_sym_infix,
    ACTIONS(7356), 1,
      anon_sym_open,
    ACTIONS(7358), 1,
      anon_sym_transparent,
    ACTIONS(7360), 1,
      anon_sym_LPAREN,
    ACTIONS(7362), 1,
      sym__indent,
    STATE(5366), 1,
      aux_sym_modifiers_repeat1,
    STATE(7509), 1,
      sym_annotation,
    STATE(8659), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9783), 1,
      aux_sym_extension_definition_repeat1,
    STATE(10457), 1,
      sym_parameters,
    STATE(10506), 1,
      sym__using_parameters_clause,
    STATE(13742), 1,
      sym__function_declaration,
    STATE(17448), 1,
      sym_modifiers,
    ACTIONS(7350), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4249), 2,
      sym_comment,
      sym_block_comment,
    STATE(13820), 3,
      sym__extension_template_body,
      sym_function_definition,
      sym_function_declaration,
    STATE(6204), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(7348), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [219253] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7614), 1,
      anon_sym_LBRACK,
    ACTIONS(7616), 1,
      anon_sym_LPAREN,
    ACTIONS(7618), 1,
      anon_sym_POUND,
    STATE(4441), 1,
      aux_sym_annotation_repeat1,
    STATE(4601), 1,
      sym_type_arguments,
    STATE(4927), 1,
      sym_arguments,
    STATE(4250), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7530), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7528), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [219313] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4251), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 33,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_do,
  [219359] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4900), 1,
      anon_sym_AT,
    ACTIONS(7384), 1,
      sym__alpha_identifier,
    ACTIONS(7392), 1,
      anon_sym_inline,
    ACTIONS(7394), 1,
      anon_sym_infix,
    ACTIONS(7396), 1,
      anon_sym_open,
    ACTIONS(7398), 1,
      anon_sym_transparent,
    ACTIONS(7404), 1,
      sym__backquoted_id,
    ACTIONS(7406), 1,
      sym_operator_identifier,
    ACTIONS(7620), 1,
      anon_sym_RPAREN,
    STATE(4461), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7040), 1,
      aux_sym_modifiers_repeat1,
    STATE(9748), 1,
      sym_annotation,
    STATE(11434), 1,
      sym_modifiers,
    STATE(14173), 1,
      sym__soft_identifier,
    STATE(14338), 1,
      sym_identifier,
    STATE(15635), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(7386), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(7388), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4252), 2,
      sym_comment,
      sym_block_comment,
    STATE(6204), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [219445] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7622), 1,
      sym__alpha_identifier,
    ACTIONS(7624), 1,
      anon_sym_COLON,
    ACTIONS(7626), 1,
      anon_sym_LBRACE,
    ACTIONS(7628), 1,
      anon_sym__,
    ACTIONS(7632), 1,
      anon_sym_LPAREN,
    ACTIONS(7634), 1,
      sym__backquoted_id,
    ACTIONS(7636), 1,
      sym_operator_identifier,
    STATE(10323), 1,
      sym__simple_type,
    STATE(10377), 1,
      sym__annotated_type,
    STATE(10818), 1,
      sym_identifier,
    STATE(10971), 1,
      sym__soft_identifier,
    STATE(11441), 1,
      sym__constructor_application,
    STATE(11808), 1,
      sym_compound_type,
    STATE(12301), 1,
      sym_template_body,
    STATE(12450), 1,
      sym_annotated_type,
    STATE(12586), 1,
      sym__structural_type,
    STATE(12909), 1,
      sym__constructor_applications,
    STATE(16115), 1,
      sym_stable_identifier,
    STATE(4253), 2,
      sym_comment,
      sym_block_comment,
    STATE(12419), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7630), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11092), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [219531] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7640), 1,
      anon_sym_DQUOTE,
    ACTIONS(7642), 1,
      sym__interpolated_multiline_string_start,
    STATE(5860), 1,
      sym_interpolated_string,
    STATE(15452), 1,
      sym__interpolated_string_start,
    ACTIONS(7638), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4254), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [219589] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4900), 1,
      anon_sym_AT,
    ACTIONS(7384), 1,
      sym__alpha_identifier,
    ACTIONS(7392), 1,
      anon_sym_inline,
    ACTIONS(7394), 1,
      anon_sym_infix,
    ACTIONS(7396), 1,
      anon_sym_open,
    ACTIONS(7398), 1,
      anon_sym_transparent,
    ACTIONS(7404), 1,
      sym__backquoted_id,
    ACTIONS(7406), 1,
      sym_operator_identifier,
    ACTIONS(7644), 1,
      anon_sym_RPAREN,
    STATE(4461), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7040), 1,
      aux_sym_modifiers_repeat1,
    STATE(9748), 1,
      sym_annotation,
    STATE(11434), 1,
      sym_modifiers,
    STATE(14173), 1,
      sym__soft_identifier,
    STATE(14338), 1,
      sym_identifier,
    STATE(15635), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(7386), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(7388), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4255), 2,
      sym_comment,
      sym_block_comment,
    STATE(6204), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [219675] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4900), 1,
      anon_sym_AT,
    ACTIONS(7384), 1,
      sym__alpha_identifier,
    ACTIONS(7392), 1,
      anon_sym_inline,
    ACTIONS(7394), 1,
      anon_sym_infix,
    ACTIONS(7396), 1,
      anon_sym_open,
    ACTIONS(7398), 1,
      anon_sym_transparent,
    ACTIONS(7404), 1,
      sym__backquoted_id,
    ACTIONS(7406), 1,
      sym_operator_identifier,
    ACTIONS(7646), 1,
      anon_sym_RPAREN,
    STATE(4461), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7040), 1,
      aux_sym_modifiers_repeat1,
    STATE(9748), 1,
      sym_annotation,
    STATE(11434), 1,
      sym_modifiers,
    STATE(14173), 1,
      sym__soft_identifier,
    STATE(14338), 1,
      sym_identifier,
    STATE(15635), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(7386), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(7388), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4256), 2,
      sym_comment,
      sym_block_comment,
    STATE(6204), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [219761] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4900), 1,
      anon_sym_AT,
    ACTIONS(7384), 1,
      sym__alpha_identifier,
    ACTIONS(7392), 1,
      anon_sym_inline,
    ACTIONS(7394), 1,
      anon_sym_infix,
    ACTIONS(7396), 1,
      anon_sym_open,
    ACTIONS(7398), 1,
      anon_sym_transparent,
    ACTIONS(7404), 1,
      sym__backquoted_id,
    ACTIONS(7406), 1,
      sym_operator_identifier,
    ACTIONS(7648), 1,
      anon_sym_RPAREN,
    STATE(4461), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7040), 1,
      aux_sym_modifiers_repeat1,
    STATE(9748), 1,
      sym_annotation,
    STATE(11434), 1,
      sym_modifiers,
    STATE(14173), 1,
      sym__soft_identifier,
    STATE(14338), 1,
      sym_identifier,
    STATE(15635), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(7386), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(7388), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4257), 2,
      sym_comment,
      sym_block_comment,
    STATE(6204), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [219847] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4258), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 33,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_do,
  [219893] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7652), 1,
      anon_sym_LBRACK,
    ACTIONS(7654), 1,
      anon_sym_LPAREN,
    ACTIONS(7656), 1,
      anon_sym_POUND,
    STATE(4427), 1,
      aux_sym_annotation_repeat1,
    STATE(4512), 1,
      sym_type_arguments,
    STATE(4855), 1,
      sym_arguments,
    STATE(4259), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7530), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7528), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [219953] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4900), 1,
      anon_sym_AT,
    ACTIONS(7384), 1,
      sym__alpha_identifier,
    ACTIONS(7392), 1,
      anon_sym_inline,
    ACTIONS(7394), 1,
      anon_sym_infix,
    ACTIONS(7396), 1,
      anon_sym_open,
    ACTIONS(7398), 1,
      anon_sym_transparent,
    ACTIONS(7404), 1,
      sym__backquoted_id,
    ACTIONS(7406), 1,
      sym_operator_identifier,
    ACTIONS(7542), 1,
      anon_sym_RPAREN,
    STATE(4461), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7040), 1,
      aux_sym_modifiers_repeat1,
    STATE(9748), 1,
      sym_annotation,
    STATE(11434), 1,
      sym_modifiers,
    STATE(14173), 1,
      sym__soft_identifier,
    STATE(14338), 1,
      sym_identifier,
    STATE(14708), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(7386), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(7388), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4260), 2,
      sym_comment,
      sym_block_comment,
    STATE(6204), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [220039] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7254), 1,
      sym__alpha_identifier,
    ACTIONS(7256), 1,
      anon_sym__,
    ACTIONS(7262), 1,
      sym__backquoted_id,
    ACTIONS(7560), 1,
      anon_sym_LPAREN,
    ACTIONS(7562), 1,
      sym_operator_identifier,
    ACTIONS(7566), 1,
      anon_sym_COLON,
    ACTIONS(7568), 1,
      anon_sym_LBRACE,
    STATE(10766), 1,
      sym__simple_type,
    STATE(11065), 1,
      sym__soft_identifier,
    STATE(11271), 1,
      sym_identifier,
    STATE(11314), 1,
      sym__annotated_type,
    STATE(12720), 1,
      sym_annotated_type,
    STATE(13359), 1,
      sym__constructor_application,
    STATE(13586), 1,
      sym_compound_type,
    STATE(13652), 1,
      sym_template_body,
    STATE(13667), 1,
      sym__constructor_applications,
    STATE(13781), 1,
      sym__structural_type,
    STATE(15838), 1,
      sym_stable_identifier,
    STATE(4261), 2,
      sym_comment,
      sym_block_comment,
    STATE(13724), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7258), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11454), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [220125] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7658), 1,
      anon_sym_LBRACK,
    ACTIONS(7660), 1,
      anon_sym_AT,
    ACTIONS(7662), 1,
      anon_sym_LPAREN,
    ACTIONS(7664), 1,
      anon_sym_POUND,
    STATE(4660), 1,
      aux_sym_enum_definition_repeat1,
    STATE(4963), 1,
      sym_type_arguments,
    STATE(5044), 1,
      sym_annotation,
    STATE(6661), 1,
      sym_arguments,
    STATE(4262), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [220189] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7500), 1,
      anon_sym_with,
    STATE(4946), 1,
      aux_sym_compound_type_repeat1,
    STATE(5877), 1,
      sym__refinement,
    STATE(5883), 1,
      sym_template_body,
    STATE(4263), 2,
      sym_comment,
      sym_block_comment,
    STATE(5672), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7668), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7666), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [220247] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7670), 1,
      anon_sym_LBRACK,
    ACTIONS(7672), 1,
      anon_sym_LPAREN,
    ACTIONS(7674), 1,
      anon_sym_POUND,
    STATE(4429), 1,
      aux_sym_annotation_repeat1,
    STATE(4616), 1,
      sym_type_arguments,
    STATE(4868), 1,
      sym_arguments,
    STATE(4264), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7530), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7528), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [220307] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4900), 1,
      anon_sym_AT,
    ACTIONS(7384), 1,
      sym__alpha_identifier,
    ACTIONS(7392), 1,
      anon_sym_inline,
    ACTIONS(7394), 1,
      anon_sym_infix,
    ACTIONS(7396), 1,
      anon_sym_open,
    ACTIONS(7398), 1,
      anon_sym_transparent,
    ACTIONS(7404), 1,
      sym__backquoted_id,
    ACTIONS(7406), 1,
      sym_operator_identifier,
    ACTIONS(7542), 1,
      anon_sym_RPAREN,
    STATE(4461), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7040), 1,
      aux_sym_modifiers_repeat1,
    STATE(9748), 1,
      sym_annotation,
    STATE(11434), 1,
      sym_modifiers,
    STATE(14173), 1,
      sym__soft_identifier,
    STATE(14338), 1,
      sym_identifier,
    STATE(14708), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(7386), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(7388), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4265), 2,
      sym_comment,
      sym_block_comment,
    STATE(6204), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [220393] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7232), 1,
      sym__alpha_identifier,
    ACTIONS(7236), 1,
      anon_sym_LBRACE,
    ACTIONS(7238), 1,
      anon_sym__,
    ACTIONS(7246), 1,
      sym__backquoted_id,
    ACTIONS(7554), 1,
      anon_sym_COLON,
    ACTIONS(7556), 1,
      anon_sym_LPAREN,
    ACTIONS(7558), 1,
      sym_operator_identifier,
    STATE(10330), 1,
      sym__simple_type,
    STATE(10729), 1,
      sym_identifier,
    STATE(10873), 1,
      sym__annotated_type,
    STATE(10954), 1,
      sym__soft_identifier,
    STATE(12438), 1,
      sym_annotated_type,
    STATE(13961), 1,
      sym__structural_instance,
    STATE(14896), 1,
      sym_compound_type,
    STATE(16972), 1,
      sym_stable_identifier,
    STATE(16974), 1,
      sym__structural_type,
    STATE(16997), 1,
      sym__constructor_application,
    STATE(17007), 1,
      sym_template_body,
    STATE(4266), 2,
      sym_comment,
      sym_block_comment,
    STATE(15707), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7242), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11316), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [220479] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7344), 1,
      anon_sym_AT,
    ACTIONS(7352), 1,
      anon_sym_inline,
    ACTIONS(7354), 1,
      anon_sym_infix,
    ACTIONS(7356), 1,
      anon_sym_open,
    ACTIONS(7358), 1,
      anon_sym_transparent,
    ACTIONS(7360), 1,
      anon_sym_LPAREN,
    ACTIONS(7364), 1,
      anon_sym_LBRACE,
    ACTIONS(7366), 1,
      anon_sym_def,
    ACTIONS(7368), 1,
      sym__indent,
    STATE(5366), 1,
      aux_sym_modifiers_repeat1,
    STATE(7509), 1,
      sym_annotation,
    STATE(8680), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9783), 1,
      aux_sym_extension_definition_repeat1,
    STATE(10457), 1,
      sym_parameters,
    STATE(10506), 1,
      sym__using_parameters_clause,
    STATE(13729), 1,
      sym__function_declaration,
    STATE(17475), 1,
      sym_modifiers,
    ACTIONS(7350), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4267), 2,
      sym_comment,
      sym_block_comment,
    STATE(14296), 3,
      sym__extension_template_body,
      sym_function_definition,
      sym_function_declaration,
    STATE(6204), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(7348), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [220565] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7676), 1,
      sym__alpha_identifier,
    ACTIONS(7678), 1,
      anon_sym_COLON,
    ACTIONS(7680), 1,
      anon_sym_LBRACE,
    ACTIONS(7682), 1,
      anon_sym__,
    ACTIONS(7686), 1,
      anon_sym_LPAREN,
    ACTIONS(7688), 1,
      sym__backquoted_id,
    ACTIONS(7690), 1,
      sym_operator_identifier,
    STATE(11412), 1,
      sym__simple_type,
    STATE(12157), 1,
      sym__annotated_type,
    STATE(12651), 1,
      sym__soft_identifier,
    STATE(12912), 1,
      sym_identifier,
    STATE(13456), 1,
      sym__constructor_application,
    STATE(13553), 1,
      sym_compound_type,
    STATE(13677), 1,
      sym_template_body,
    STATE(13740), 1,
      sym_annotated_type,
    STATE(13762), 1,
      sym__structural_type,
    STATE(13841), 1,
      sym__constructor_applications,
    STATE(16278), 1,
      sym_stable_identifier,
    STATE(4268), 2,
      sym_comment,
      sym_block_comment,
    STATE(13755), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7684), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(13194), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [220651] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7232), 1,
      sym__alpha_identifier,
    ACTIONS(7236), 1,
      anon_sym_LBRACE,
    ACTIONS(7238), 1,
      anon_sym__,
    ACTIONS(7246), 1,
      sym__backquoted_id,
    ACTIONS(7554), 1,
      anon_sym_COLON,
    ACTIONS(7556), 1,
      anon_sym_LPAREN,
    ACTIONS(7558), 1,
      sym_operator_identifier,
    STATE(10330), 1,
      sym__simple_type,
    STATE(10729), 1,
      sym_identifier,
    STATE(10954), 1,
      sym__soft_identifier,
    STATE(11145), 1,
      sym__annotated_type,
    STATE(12438), 1,
      sym_annotated_type,
    STATE(13897), 1,
      sym__structural_instance,
    STATE(14896), 1,
      sym_compound_type,
    STATE(16972), 1,
      sym_stable_identifier,
    STATE(16974), 1,
      sym__structural_type,
    STATE(16997), 1,
      sym__constructor_application,
    STATE(17007), 1,
      sym_template_body,
    STATE(4269), 2,
      sym_comment,
      sym_block_comment,
    STATE(15707), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7242), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11316), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [220737] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7340), 1,
      anon_sym_LBRACE,
    ACTIONS(7344), 1,
      anon_sym_AT,
    ACTIONS(7352), 1,
      anon_sym_inline,
    ACTIONS(7354), 1,
      anon_sym_infix,
    ACTIONS(7356), 1,
      anon_sym_open,
    ACTIONS(7358), 1,
      anon_sym_transparent,
    ACTIONS(7360), 1,
      anon_sym_LPAREN,
    ACTIONS(7362), 1,
      sym__indent,
    ACTIONS(7370), 1,
      anon_sym_def,
    STATE(4310), 1,
      aux_sym_extension_definition_repeat1,
    STATE(5366), 1,
      aux_sym_modifiers_repeat1,
    STATE(7509), 1,
      sym_annotation,
    STATE(8510), 1,
      aux_sym_enum_definition_repeat1,
    STATE(10457), 1,
      sym_parameters,
    STATE(10506), 1,
      sym__using_parameters_clause,
    STATE(13672), 1,
      sym__function_declaration,
    STATE(16931), 1,
      sym_modifiers,
    ACTIONS(7350), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4270), 2,
      sym_comment,
      sym_block_comment,
    STATE(13947), 3,
      sym__extension_template_body,
      sym_function_definition,
      sym_function_declaration,
    STATE(6204), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(7348), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [220823] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4900), 1,
      anon_sym_AT,
    ACTIONS(7384), 1,
      sym__alpha_identifier,
    ACTIONS(7392), 1,
      anon_sym_inline,
    ACTIONS(7394), 1,
      anon_sym_infix,
    ACTIONS(7396), 1,
      anon_sym_open,
    ACTIONS(7398), 1,
      anon_sym_transparent,
    ACTIONS(7404), 1,
      sym__backquoted_id,
    ACTIONS(7406), 1,
      sym_operator_identifier,
    ACTIONS(7692), 1,
      anon_sym_RPAREN,
    STATE(4461), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7040), 1,
      aux_sym_modifiers_repeat1,
    STATE(9748), 1,
      sym_annotation,
    STATE(11434), 1,
      sym_modifiers,
    STATE(14173), 1,
      sym__soft_identifier,
    STATE(14338), 1,
      sym_identifier,
    STATE(15635), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(7386), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(7388), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4271), 2,
      sym_comment,
      sym_block_comment,
    STATE(6204), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [220909] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7236), 1,
      anon_sym_LBRACE,
    ACTIONS(7254), 1,
      sym__alpha_identifier,
    ACTIONS(7256), 1,
      anon_sym__,
    ACTIONS(7262), 1,
      sym__backquoted_id,
    ACTIONS(7554), 1,
      anon_sym_COLON,
    ACTIONS(7560), 1,
      anon_sym_LPAREN,
    ACTIONS(7562), 1,
      sym_operator_identifier,
    STATE(10637), 1,
      sym__simple_type,
    STATE(10875), 1,
      sym__annotated_type,
    STATE(11065), 1,
      sym__soft_identifier,
    STATE(11271), 1,
      sym_identifier,
    STATE(12720), 1,
      sym_annotated_type,
    STATE(14120), 1,
      sym__structural_instance,
    STATE(14896), 1,
      sym_compound_type,
    STATE(15838), 1,
      sym_stable_identifier,
    STATE(16929), 1,
      sym__constructor_application,
    STATE(16974), 1,
      sym__structural_type,
    STATE(17007), 1,
      sym_template_body,
    STATE(4272), 2,
      sym_comment,
      sym_block_comment,
    STATE(15707), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7258), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11454), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [220995] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7340), 1,
      anon_sym_LBRACE,
    ACTIONS(7344), 1,
      anon_sym_AT,
    ACTIONS(7346), 1,
      anon_sym_def,
    ACTIONS(7352), 1,
      anon_sym_inline,
    ACTIONS(7354), 1,
      anon_sym_infix,
    ACTIONS(7356), 1,
      anon_sym_open,
    ACTIONS(7358), 1,
      anon_sym_transparent,
    ACTIONS(7360), 1,
      anon_sym_LPAREN,
    ACTIONS(7362), 1,
      sym__indent,
    STATE(5366), 1,
      aux_sym_modifiers_repeat1,
    STATE(7509), 1,
      sym_annotation,
    STATE(8659), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9783), 1,
      aux_sym_extension_definition_repeat1,
    STATE(10457), 1,
      sym_parameters,
    STATE(10506), 1,
      sym__using_parameters_clause,
    STATE(13742), 1,
      sym__function_declaration,
    STATE(17448), 1,
      sym_modifiers,
    ACTIONS(7350), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4273), 2,
      sym_comment,
      sym_block_comment,
    STATE(13970), 3,
      sym__extension_template_body,
      sym_function_definition,
      sym_function_declaration,
    STATE(6204), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(7348), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [221081] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7340), 1,
      anon_sym_LBRACE,
    ACTIONS(7344), 1,
      anon_sym_AT,
    ACTIONS(7346), 1,
      anon_sym_def,
    ACTIONS(7352), 1,
      anon_sym_inline,
    ACTIONS(7354), 1,
      anon_sym_infix,
    ACTIONS(7356), 1,
      anon_sym_open,
    ACTIONS(7358), 1,
      anon_sym_transparent,
    ACTIONS(7360), 1,
      anon_sym_LPAREN,
    ACTIONS(7362), 1,
      sym__indent,
    STATE(4249), 1,
      aux_sym_extension_definition_repeat1,
    STATE(5366), 1,
      aux_sym_modifiers_repeat1,
    STATE(7509), 1,
      sym_annotation,
    STATE(8659), 1,
      aux_sym_enum_definition_repeat1,
    STATE(10457), 1,
      sym_parameters,
    STATE(10506), 1,
      sym__using_parameters_clause,
    STATE(13742), 1,
      sym__function_declaration,
    STATE(17448), 1,
      sym_modifiers,
    ACTIONS(7350), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4274), 2,
      sym_comment,
      sym_block_comment,
    STATE(13947), 3,
      sym__extension_template_body,
      sym_function_definition,
      sym_function_declaration,
    STATE(6204), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(7348), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [221167] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7468), 1,
      anon_sym_LBRACK,
    ACTIONS(7470), 1,
      anon_sym_AT,
    ACTIONS(7474), 1,
      anon_sym_POUND,
    STATE(4416), 1,
      aux_sym_enum_definition_repeat1,
    STATE(4517), 1,
      sym_type_arguments,
    STATE(4878), 1,
      sym_annotation,
    STATE(4275), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [221227] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7232), 1,
      sym__alpha_identifier,
    ACTIONS(7236), 1,
      anon_sym_LBRACE,
    ACTIONS(7238), 1,
      anon_sym__,
    ACTIONS(7246), 1,
      sym__backquoted_id,
    ACTIONS(7554), 1,
      anon_sym_COLON,
    ACTIONS(7556), 1,
      anon_sym_LPAREN,
    ACTIONS(7558), 1,
      sym_operator_identifier,
    STATE(10330), 1,
      sym__simple_type,
    STATE(10729), 1,
      sym_identifier,
    STATE(10954), 1,
      sym__soft_identifier,
    STATE(11218), 1,
      sym__annotated_type,
    STATE(12438), 1,
      sym_annotated_type,
    STATE(13961), 1,
      sym__structural_instance,
    STATE(14896), 1,
      sym_compound_type,
    STATE(16972), 1,
      sym_stable_identifier,
    STATE(16974), 1,
      sym__structural_type,
    STATE(16997), 1,
      sym__constructor_application,
    STATE(17007), 1,
      sym_template_body,
    STATE(4276), 2,
      sym_comment,
      sym_block_comment,
    STATE(15707), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7242), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11316), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [221313] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7236), 1,
      anon_sym_LBRACE,
    ACTIONS(7254), 1,
      sym__alpha_identifier,
    ACTIONS(7256), 1,
      anon_sym__,
    ACTIONS(7262), 1,
      sym__backquoted_id,
    ACTIONS(7554), 1,
      anon_sym_COLON,
    ACTIONS(7560), 1,
      anon_sym_LPAREN,
    ACTIONS(7562), 1,
      sym_operator_identifier,
    STATE(10637), 1,
      sym__simple_type,
    STATE(10888), 1,
      sym__annotated_type,
    STATE(11065), 1,
      sym__soft_identifier,
    STATE(11271), 1,
      sym_identifier,
    STATE(12720), 1,
      sym_annotated_type,
    STATE(14226), 1,
      sym__structural_instance,
    STATE(14896), 1,
      sym_compound_type,
    STATE(15838), 1,
      sym_stable_identifier,
    STATE(16929), 1,
      sym__constructor_application,
    STATE(16974), 1,
      sym__structural_type,
    STATE(17007), 1,
      sym_template_body,
    STATE(4277), 2,
      sym_comment,
      sym_block_comment,
    STATE(15707), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7258), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11454), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [221399] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7236), 1,
      anon_sym_LBRACE,
    ACTIONS(7254), 1,
      sym__alpha_identifier,
    ACTIONS(7256), 1,
      anon_sym__,
    ACTIONS(7262), 1,
      sym__backquoted_id,
    ACTIONS(7554), 1,
      anon_sym_COLON,
    ACTIONS(7560), 1,
      anon_sym_LPAREN,
    ACTIONS(7562), 1,
      sym_operator_identifier,
    STATE(10637), 1,
      sym__simple_type,
    STATE(10884), 1,
      sym__annotated_type,
    STATE(11065), 1,
      sym__soft_identifier,
    STATE(11271), 1,
      sym_identifier,
    STATE(12720), 1,
      sym_annotated_type,
    STATE(14353), 1,
      sym__structural_instance,
    STATE(14896), 1,
      sym_compound_type,
    STATE(15838), 1,
      sym_stable_identifier,
    STATE(16929), 1,
      sym__constructor_application,
    STATE(16974), 1,
      sym__structural_type,
    STATE(17007), 1,
      sym_template_body,
    STATE(4278), 2,
      sym_comment,
      sym_block_comment,
    STATE(15707), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7258), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11454), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [221485] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7232), 1,
      sym__alpha_identifier,
    ACTIONS(7236), 1,
      anon_sym_LBRACE,
    ACTIONS(7238), 1,
      anon_sym__,
    ACTIONS(7246), 1,
      sym__backquoted_id,
    ACTIONS(7554), 1,
      anon_sym_COLON,
    ACTIONS(7556), 1,
      anon_sym_LPAREN,
    ACTIONS(7558), 1,
      sym_operator_identifier,
    STATE(10330), 1,
      sym__simple_type,
    STATE(10729), 1,
      sym_identifier,
    STATE(10756), 1,
      sym__annotated_type,
    STATE(10954), 1,
      sym__soft_identifier,
    STATE(12438), 1,
      sym_annotated_type,
    STATE(13813), 1,
      sym__structural_instance,
    STATE(14896), 1,
      sym_compound_type,
    STATE(16972), 1,
      sym_stable_identifier,
    STATE(16974), 1,
      sym__structural_type,
    STATE(16997), 1,
      sym__constructor_application,
    STATE(17007), 1,
      sym_template_body,
    STATE(4279), 2,
      sym_comment,
      sym_block_comment,
    STATE(15707), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7242), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11316), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [221571] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7576), 1,
      anon_sym_COLON,
    ACTIONS(7578), 1,
      anon_sym_LBRACE,
    ACTIONS(7580), 1,
      sym__backquoted_id,
    ACTIONS(7582), 1,
      anon_sym_with,
    STATE(4286), 1,
      aux_sym_compound_type_repeat1,
    STATE(7151), 1,
      sym__refinement,
    STATE(7152), 1,
      sym_template_body,
    ACTIONS(7698), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4280), 2,
      sym_comment,
      sym_block_comment,
    STATE(7014), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7694), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(7696), 8,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(7574), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [221639] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7340), 1,
      anon_sym_LBRACE,
    ACTIONS(7344), 1,
      anon_sym_AT,
    ACTIONS(7346), 1,
      anon_sym_def,
    ACTIONS(7352), 1,
      anon_sym_inline,
    ACTIONS(7354), 1,
      anon_sym_infix,
    ACTIONS(7356), 1,
      anon_sym_open,
    ACTIONS(7358), 1,
      anon_sym_transparent,
    ACTIONS(7360), 1,
      anon_sym_LPAREN,
    ACTIONS(7362), 1,
      sym__indent,
    STATE(4306), 1,
      aux_sym_extension_definition_repeat1,
    STATE(5366), 1,
      aux_sym_modifiers_repeat1,
    STATE(7509), 1,
      sym_annotation,
    STATE(8659), 1,
      aux_sym_enum_definition_repeat1,
    STATE(10457), 1,
      sym_parameters,
    STATE(10506), 1,
      sym__using_parameters_clause,
    STATE(13573), 1,
      sym__function_declaration,
    STATE(17448), 1,
      sym_modifiers,
    ACTIONS(7350), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4281), 2,
      sym_comment,
      sym_block_comment,
    STATE(13947), 3,
      sym__extension_template_body,
      sym_function_definition,
      sym_function_declaration,
    STATE(6204), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(7348), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [221725] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7236), 1,
      anon_sym_LBRACE,
    ACTIONS(7254), 1,
      sym__alpha_identifier,
    ACTIONS(7256), 1,
      anon_sym__,
    ACTIONS(7262), 1,
      sym__backquoted_id,
    ACTIONS(7554), 1,
      anon_sym_COLON,
    ACTIONS(7560), 1,
      anon_sym_LPAREN,
    ACTIONS(7562), 1,
      sym_operator_identifier,
    STATE(10637), 1,
      sym__simple_type,
    STATE(11065), 1,
      sym__soft_identifier,
    STATE(11147), 1,
      sym__annotated_type,
    STATE(11271), 1,
      sym_identifier,
    STATE(12720), 1,
      sym_annotated_type,
    STATE(14226), 1,
      sym__structural_instance,
    STATE(14896), 1,
      sym_compound_type,
    STATE(15838), 1,
      sym_stable_identifier,
    STATE(16929), 1,
      sym__constructor_application,
    STATE(16974), 1,
      sym__structural_type,
    STATE(17007), 1,
      sym_template_body,
    STATE(4282), 2,
      sym_comment,
      sym_block_comment,
    STATE(15707), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7258), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11454), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [221811] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7340), 1,
      anon_sym_LBRACE,
    ACTIONS(7344), 1,
      anon_sym_AT,
    ACTIONS(7346), 1,
      anon_sym_def,
    ACTIONS(7352), 1,
      anon_sym_inline,
    ACTIONS(7354), 1,
      anon_sym_infix,
    ACTIONS(7356), 1,
      anon_sym_open,
    ACTIONS(7358), 1,
      anon_sym_transparent,
    ACTIONS(7360), 1,
      anon_sym_LPAREN,
    ACTIONS(7362), 1,
      sym__indent,
    STATE(5366), 1,
      aux_sym_modifiers_repeat1,
    STATE(7509), 1,
      sym_annotation,
    STATE(8659), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9783), 1,
      aux_sym_extension_definition_repeat1,
    STATE(10457), 1,
      sym_parameters,
    STATE(10506), 1,
      sym__using_parameters_clause,
    STATE(13573), 1,
      sym__function_declaration,
    STATE(17448), 1,
      sym_modifiers,
    ACTIONS(7350), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4283), 2,
      sym_comment,
      sym_block_comment,
    STATE(13970), 3,
      sym__extension_template_body,
      sym_function_definition,
      sym_function_declaration,
    STATE(6204), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(7348), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [221897] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4900), 1,
      anon_sym_AT,
    ACTIONS(7384), 1,
      sym__alpha_identifier,
    ACTIONS(7392), 1,
      anon_sym_inline,
    ACTIONS(7394), 1,
      anon_sym_infix,
    ACTIONS(7396), 1,
      anon_sym_open,
    ACTIONS(7398), 1,
      anon_sym_transparent,
    ACTIONS(7404), 1,
      sym__backquoted_id,
    ACTIONS(7406), 1,
      sym_operator_identifier,
    ACTIONS(7700), 1,
      anon_sym_RPAREN,
    STATE(4461), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7040), 1,
      aux_sym_modifiers_repeat1,
    STATE(9748), 1,
      sym_annotation,
    STATE(11434), 1,
      sym_modifiers,
    STATE(14173), 1,
      sym__soft_identifier,
    STATE(14338), 1,
      sym_identifier,
    STATE(15635), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(7386), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(7388), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4284), 2,
      sym_comment,
      sym_block_comment,
    STATE(6204), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [221983] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7232), 1,
      sym__alpha_identifier,
    ACTIONS(7236), 1,
      anon_sym_LBRACE,
    ACTIONS(7238), 1,
      anon_sym__,
    ACTIONS(7246), 1,
      sym__backquoted_id,
    ACTIONS(7554), 1,
      anon_sym_COLON,
    ACTIONS(7556), 1,
      anon_sym_LPAREN,
    ACTIONS(7558), 1,
      sym_operator_identifier,
    STATE(10330), 1,
      sym__simple_type,
    STATE(10729), 1,
      sym_identifier,
    STATE(10954), 1,
      sym__soft_identifier,
    STATE(11192), 1,
      sym__annotated_type,
    STATE(12438), 1,
      sym_annotated_type,
    STATE(13813), 1,
      sym__structural_instance,
    STATE(14896), 1,
      sym_compound_type,
    STATE(16972), 1,
      sym_stable_identifier,
    STATE(16974), 1,
      sym__structural_type,
    STATE(16997), 1,
      sym__constructor_application,
    STATE(17007), 1,
      sym_template_body,
    STATE(4285), 2,
      sym_comment,
      sym_block_comment,
    STATE(15707), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7242), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11316), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [222069] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7576), 1,
      anon_sym_COLON,
    ACTIONS(7578), 1,
      anon_sym_LBRACE,
    ACTIONS(7582), 1,
      anon_sym_with,
    STATE(4766), 1,
      aux_sym_compound_type_repeat1,
    STATE(7132), 1,
      sym__refinement,
    STATE(7152), 1,
      sym_template_body,
    STATE(4286), 2,
      sym_comment,
      sym_block_comment,
    STATE(7014), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7668), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7666), 19,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [222131] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4900), 1,
      anon_sym_AT,
    ACTIONS(7384), 1,
      sym__alpha_identifier,
    ACTIONS(7392), 1,
      anon_sym_inline,
    ACTIONS(7394), 1,
      anon_sym_infix,
    ACTIONS(7396), 1,
      anon_sym_open,
    ACTIONS(7398), 1,
      anon_sym_transparent,
    ACTIONS(7404), 1,
      sym__backquoted_id,
    ACTIONS(7406), 1,
      sym_operator_identifier,
    ACTIONS(7702), 1,
      anon_sym_RPAREN,
    STATE(4461), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7040), 1,
      aux_sym_modifiers_repeat1,
    STATE(9748), 1,
      sym_annotation,
    STATE(11434), 1,
      sym_modifiers,
    STATE(14173), 1,
      sym__soft_identifier,
    STATE(14338), 1,
      sym_identifier,
    STATE(15635), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(7386), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(7388), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4287), 2,
      sym_comment,
      sym_block_comment,
    STATE(6204), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [222217] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4288), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7704), 33,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_do,
  [222263] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4900), 1,
      anon_sym_AT,
    ACTIONS(7384), 1,
      sym__alpha_identifier,
    ACTIONS(7392), 1,
      anon_sym_inline,
    ACTIONS(7394), 1,
      anon_sym_infix,
    ACTIONS(7396), 1,
      anon_sym_open,
    ACTIONS(7398), 1,
      anon_sym_transparent,
    ACTIONS(7404), 1,
      sym__backquoted_id,
    ACTIONS(7406), 1,
      sym_operator_identifier,
    ACTIONS(7706), 1,
      anon_sym_RPAREN,
    STATE(4461), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7040), 1,
      aux_sym_modifiers_repeat1,
    STATE(9748), 1,
      sym_annotation,
    STATE(11434), 1,
      sym_modifiers,
    STATE(14173), 1,
      sym__soft_identifier,
    STATE(14338), 1,
      sym_identifier,
    STATE(15635), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(7386), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(7388), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4289), 2,
      sym_comment,
      sym_block_comment,
    STATE(6204), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [222349] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4900), 1,
      anon_sym_AT,
    ACTIONS(7384), 1,
      sym__alpha_identifier,
    ACTIONS(7392), 1,
      anon_sym_inline,
    ACTIONS(7394), 1,
      anon_sym_infix,
    ACTIONS(7396), 1,
      anon_sym_open,
    ACTIONS(7398), 1,
      anon_sym_transparent,
    ACTIONS(7404), 1,
      sym__backquoted_id,
    ACTIONS(7406), 1,
      sym_operator_identifier,
    ACTIONS(7708), 1,
      anon_sym_RPAREN,
    STATE(4461), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7040), 1,
      aux_sym_modifiers_repeat1,
    STATE(9748), 1,
      sym_annotation,
    STATE(11434), 1,
      sym_modifiers,
    STATE(14173), 1,
      sym__soft_identifier,
    STATE(14338), 1,
      sym_identifier,
    STATE(14835), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(7386), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(7388), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4290), 2,
      sym_comment,
      sym_block_comment,
    STATE(6204), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [222435] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4900), 1,
      anon_sym_AT,
    ACTIONS(7384), 1,
      sym__alpha_identifier,
    ACTIONS(7392), 1,
      anon_sym_inline,
    ACTIONS(7394), 1,
      anon_sym_infix,
    ACTIONS(7396), 1,
      anon_sym_open,
    ACTIONS(7398), 1,
      anon_sym_transparent,
    ACTIONS(7404), 1,
      sym__backquoted_id,
    ACTIONS(7406), 1,
      sym_operator_identifier,
    ACTIONS(7708), 1,
      anon_sym_RPAREN,
    STATE(4461), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7040), 1,
      aux_sym_modifiers_repeat1,
    STATE(9748), 1,
      sym_annotation,
    STATE(11434), 1,
      sym_modifiers,
    STATE(14173), 1,
      sym__soft_identifier,
    STATE(14338), 1,
      sym_identifier,
    STATE(14835), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(7386), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(7388), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4291), 2,
      sym_comment,
      sym_block_comment,
    STATE(6204), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [222521] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4292), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7710), 33,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_do,
  [222567] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7344), 1,
      anon_sym_AT,
    ACTIONS(7352), 1,
      anon_sym_inline,
    ACTIONS(7354), 1,
      anon_sym_infix,
    ACTIONS(7356), 1,
      anon_sym_open,
    ACTIONS(7358), 1,
      anon_sym_transparent,
    ACTIONS(7360), 1,
      anon_sym_LPAREN,
    ACTIONS(7364), 1,
      anon_sym_LBRACE,
    ACTIONS(7366), 1,
      anon_sym_def,
    ACTIONS(7368), 1,
      sym__indent,
    STATE(4301), 1,
      aux_sym_extension_definition_repeat1,
    STATE(5366), 1,
      aux_sym_modifiers_repeat1,
    STATE(7509), 1,
      sym_annotation,
    STATE(8680), 1,
      aux_sym_enum_definition_repeat1,
    STATE(10457), 1,
      sym_parameters,
    STATE(10506), 1,
      sym__using_parameters_clause,
    STATE(13546), 1,
      sym__function_declaration,
    STATE(17475), 1,
      sym_modifiers,
    ACTIONS(7350), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4293), 2,
      sym_comment,
      sym_block_comment,
    STATE(14052), 3,
      sym__extension_template_body,
      sym_function_definition,
      sym_function_declaration,
    STATE(6204), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(7348), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [222653] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7532), 1,
      anon_sym_LBRACK,
    ACTIONS(7536), 1,
      anon_sym_POUND,
    ACTIONS(7712), 1,
      anon_sym_AT,
    STATE(4415), 1,
      aux_sym_enum_definition_repeat1,
    STATE(4489), 1,
      sym_type_arguments,
    STATE(4786), 1,
      sym_annotation,
    STATE(4294), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [222713] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7344), 1,
      anon_sym_AT,
    ACTIONS(7352), 1,
      anon_sym_inline,
    ACTIONS(7354), 1,
      anon_sym_infix,
    ACTIONS(7356), 1,
      anon_sym_open,
    ACTIONS(7358), 1,
      anon_sym_transparent,
    ACTIONS(7360), 1,
      anon_sym_LPAREN,
    ACTIONS(7364), 1,
      anon_sym_LBRACE,
    ACTIONS(7366), 1,
      anon_sym_def,
    ACTIONS(7368), 1,
      sym__indent,
    STATE(5366), 1,
      aux_sym_modifiers_repeat1,
    STATE(7509), 1,
      sym_annotation,
    STATE(8680), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9783), 1,
      aux_sym_extension_definition_repeat1,
    STATE(10457), 1,
      sym_parameters,
    STATE(10506), 1,
      sym__using_parameters_clause,
    STATE(13546), 1,
      sym__function_declaration,
    STATE(17475), 1,
      sym_modifiers,
    ACTIONS(7350), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4295), 2,
      sym_comment,
      sym_block_comment,
    STATE(14161), 3,
      sym__extension_template_body,
      sym_function_definition,
      sym_function_declaration,
    STATE(6204), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(7348), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [222799] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7344), 1,
      anon_sym_AT,
    ACTIONS(7352), 1,
      anon_sym_inline,
    ACTIONS(7354), 1,
      anon_sym_infix,
    ACTIONS(7356), 1,
      anon_sym_open,
    ACTIONS(7358), 1,
      anon_sym_transparent,
    ACTIONS(7360), 1,
      anon_sym_LPAREN,
    ACTIONS(7364), 1,
      anon_sym_LBRACE,
    ACTIONS(7366), 1,
      anon_sym_def,
    ACTIONS(7368), 1,
      sym__indent,
    STATE(4267), 1,
      aux_sym_extension_definition_repeat1,
    STATE(5366), 1,
      aux_sym_modifiers_repeat1,
    STATE(7509), 1,
      sym_annotation,
    STATE(8680), 1,
      aux_sym_enum_definition_repeat1,
    STATE(10457), 1,
      sym_parameters,
    STATE(10506), 1,
      sym__using_parameters_clause,
    STATE(13729), 1,
      sym__function_declaration,
    STATE(17475), 1,
      sym_modifiers,
    ACTIONS(7350), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4296), 2,
      sym_comment,
      sym_block_comment,
    STATE(14052), 3,
      sym__extension_template_body,
      sym_function_definition,
      sym_function_declaration,
    STATE(6204), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(7348), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [222885] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7344), 1,
      anon_sym_AT,
    ACTIONS(7352), 1,
      anon_sym_inline,
    ACTIONS(7354), 1,
      anon_sym_infix,
    ACTIONS(7356), 1,
      anon_sym_open,
    ACTIONS(7358), 1,
      anon_sym_transparent,
    ACTIONS(7360), 1,
      anon_sym_LPAREN,
    ACTIONS(7364), 1,
      anon_sym_LBRACE,
    ACTIONS(7366), 1,
      anon_sym_def,
    ACTIONS(7368), 1,
      sym__indent,
    STATE(5366), 1,
      aux_sym_modifiers_repeat1,
    STATE(7509), 1,
      sym_annotation,
    STATE(8680), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9783), 1,
      aux_sym_extension_definition_repeat1,
    STATE(10457), 1,
      sym_parameters,
    STATE(10506), 1,
      sym__using_parameters_clause,
    STATE(13729), 1,
      sym__function_declaration,
    STATE(17475), 1,
      sym_modifiers,
    ACTIONS(7350), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4297), 2,
      sym_comment,
      sym_block_comment,
    STATE(14161), 3,
      sym__extension_template_body,
      sym_function_definition,
      sym_function_declaration,
    STATE(6204), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(7348), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [222971] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4298), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7714), 33,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_do,
  [223017] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4299), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7716), 33,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_do,
  [223063] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4900), 1,
      anon_sym_AT,
    ACTIONS(7384), 1,
      sym__alpha_identifier,
    ACTIONS(7392), 1,
      anon_sym_inline,
    ACTIONS(7394), 1,
      anon_sym_infix,
    ACTIONS(7396), 1,
      anon_sym_open,
    ACTIONS(7398), 1,
      anon_sym_transparent,
    ACTIONS(7404), 1,
      sym__backquoted_id,
    ACTIONS(7406), 1,
      sym_operator_identifier,
    ACTIONS(7718), 1,
      anon_sym_RPAREN,
    STATE(4461), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7040), 1,
      aux_sym_modifiers_repeat1,
    STATE(9748), 1,
      sym_annotation,
    STATE(11434), 1,
      sym_modifiers,
    STATE(14173), 1,
      sym__soft_identifier,
    STATE(14338), 1,
      sym_identifier,
    STATE(15635), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(7386), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(7388), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4300), 2,
      sym_comment,
      sym_block_comment,
    STATE(6204), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [223149] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7344), 1,
      anon_sym_AT,
    ACTIONS(7352), 1,
      anon_sym_inline,
    ACTIONS(7354), 1,
      anon_sym_infix,
    ACTIONS(7356), 1,
      anon_sym_open,
    ACTIONS(7358), 1,
      anon_sym_transparent,
    ACTIONS(7360), 1,
      anon_sym_LPAREN,
    ACTIONS(7364), 1,
      anon_sym_LBRACE,
    ACTIONS(7366), 1,
      anon_sym_def,
    ACTIONS(7368), 1,
      sym__indent,
    STATE(5366), 1,
      aux_sym_modifiers_repeat1,
    STATE(7509), 1,
      sym_annotation,
    STATE(8680), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9783), 1,
      aux_sym_extension_definition_repeat1,
    STATE(10457), 1,
      sym_parameters,
    STATE(10506), 1,
      sym__using_parameters_clause,
    STATE(13546), 1,
      sym__function_declaration,
    STATE(17475), 1,
      sym_modifiers,
    ACTIONS(7350), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4301), 2,
      sym_comment,
      sym_block_comment,
    STATE(14296), 3,
      sym__extension_template_body,
      sym_function_definition,
      sym_function_declaration,
    STATE(6204), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(7348), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [223235] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7232), 1,
      sym__alpha_identifier,
    ACTIONS(7238), 1,
      anon_sym__,
    ACTIONS(7246), 1,
      sym__backquoted_id,
    ACTIONS(7556), 1,
      anon_sym_LPAREN,
    ACTIONS(7558), 1,
      sym_operator_identifier,
    ACTIONS(7586), 1,
      anon_sym_COLON,
    ACTIONS(7588), 1,
      anon_sym_LBRACE,
    STATE(10729), 1,
      sym_identifier,
    STATE(10954), 1,
      sym__soft_identifier,
    STATE(10992), 1,
      sym__simple_type,
    STATE(11047), 1,
      sym__annotated_type,
    STATE(12438), 1,
      sym_annotated_type,
    STATE(13410), 1,
      sym__constructor_application,
    STATE(13627), 1,
      sym_compound_type,
    STATE(13719), 1,
      sym__structural_type,
    STATE(13739), 1,
      sym_template_body,
    STATE(13743), 1,
      sym__constructor_applications,
    STATE(16972), 1,
      sym_stable_identifier,
    STATE(4302), 2,
      sym_comment,
      sym_block_comment,
    STATE(13786), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7242), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11316), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [223321] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4303), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7720), 33,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_do,
  [223367] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4304), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 33,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_do,
  [223413] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4900), 1,
      anon_sym_AT,
    ACTIONS(7384), 1,
      sym__alpha_identifier,
    ACTIONS(7392), 1,
      anon_sym_inline,
    ACTIONS(7394), 1,
      anon_sym_infix,
    ACTIONS(7396), 1,
      anon_sym_open,
    ACTIONS(7398), 1,
      anon_sym_transparent,
    ACTIONS(7404), 1,
      sym__backquoted_id,
    ACTIONS(7406), 1,
      sym_operator_identifier,
    ACTIONS(7724), 1,
      anon_sym_RPAREN,
    STATE(4461), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7040), 1,
      aux_sym_modifiers_repeat1,
    STATE(9748), 1,
      sym_annotation,
    STATE(11434), 1,
      sym_modifiers,
    STATE(14173), 1,
      sym__soft_identifier,
    STATE(14338), 1,
      sym_identifier,
    STATE(15635), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(7386), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(7388), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4305), 2,
      sym_comment,
      sym_block_comment,
    STATE(6204), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [223499] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7340), 1,
      anon_sym_LBRACE,
    ACTIONS(7344), 1,
      anon_sym_AT,
    ACTIONS(7346), 1,
      anon_sym_def,
    ACTIONS(7352), 1,
      anon_sym_inline,
    ACTIONS(7354), 1,
      anon_sym_infix,
    ACTIONS(7356), 1,
      anon_sym_open,
    ACTIONS(7358), 1,
      anon_sym_transparent,
    ACTIONS(7360), 1,
      anon_sym_LPAREN,
    ACTIONS(7362), 1,
      sym__indent,
    STATE(5366), 1,
      aux_sym_modifiers_repeat1,
    STATE(7509), 1,
      sym_annotation,
    STATE(8659), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9783), 1,
      aux_sym_extension_definition_repeat1,
    STATE(10457), 1,
      sym_parameters,
    STATE(10506), 1,
      sym__using_parameters_clause,
    STATE(13573), 1,
      sym__function_declaration,
    STATE(17448), 1,
      sym_modifiers,
    ACTIONS(7350), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4306), 2,
      sym_comment,
      sym_block_comment,
    STATE(13820), 3,
      sym__extension_template_body,
      sym_function_definition,
      sym_function_declaration,
    STATE(6204), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(7348), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [223585] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7726), 1,
      sym__alpha_identifier,
    ACTIONS(7728), 1,
      anon_sym_COLON,
    ACTIONS(7730), 1,
      anon_sym_LBRACE,
    ACTIONS(7732), 1,
      anon_sym__,
    ACTIONS(7736), 1,
      anon_sym_LPAREN,
    ACTIONS(7738), 1,
      sym__backquoted_id,
    ACTIONS(7740), 1,
      sym_operator_identifier,
    STATE(10542), 1,
      sym__simple_type,
    STATE(10708), 1,
      sym__annotated_type,
    STATE(11238), 1,
      sym_identifier,
    STATE(11270), 1,
      sym__soft_identifier,
    STATE(11971), 1,
      sym__constructor_application,
    STATE(12608), 1,
      sym_compound_type,
    STATE(12684), 1,
      sym__structural_type,
    STATE(12734), 1,
      sym_template_body,
    STATE(12784), 1,
      sym_annotated_type,
    STATE(12969), 1,
      sym__constructor_applications,
    STATE(16475), 1,
      sym_stable_identifier,
    STATE(4307), 2,
      sym_comment,
      sym_block_comment,
    STATE(12702), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7734), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11678), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [223671] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7232), 1,
      sym__alpha_identifier,
    ACTIONS(7236), 1,
      anon_sym_LBRACE,
    ACTIONS(7238), 1,
      anon_sym__,
    ACTIONS(7246), 1,
      sym__backquoted_id,
    ACTIONS(7554), 1,
      anon_sym_COLON,
    ACTIONS(7556), 1,
      anon_sym_LPAREN,
    ACTIONS(7558), 1,
      sym_operator_identifier,
    STATE(10330), 1,
      sym__simple_type,
    STATE(10729), 1,
      sym_identifier,
    STATE(10954), 1,
      sym__soft_identifier,
    STATE(11216), 1,
      sym__annotated_type,
    STATE(12438), 1,
      sym_annotated_type,
    STATE(13961), 1,
      sym__structural_instance,
    STATE(14896), 1,
      sym_compound_type,
    STATE(16972), 1,
      sym_stable_identifier,
    STATE(16974), 1,
      sym__structural_type,
    STATE(16997), 1,
      sym__constructor_application,
    STATE(17007), 1,
      sym_template_body,
    STATE(4308), 2,
      sym_comment,
      sym_block_comment,
    STATE(15707), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7242), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11316), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [223757] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4900), 1,
      anon_sym_AT,
    ACTIONS(7384), 1,
      sym__alpha_identifier,
    ACTIONS(7392), 1,
      anon_sym_inline,
    ACTIONS(7394), 1,
      anon_sym_infix,
    ACTIONS(7396), 1,
      anon_sym_open,
    ACTIONS(7398), 1,
      anon_sym_transparent,
    ACTIONS(7404), 1,
      sym__backquoted_id,
    ACTIONS(7406), 1,
      sym_operator_identifier,
    ACTIONS(7518), 1,
      anon_sym_RPAREN,
    STATE(4461), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7040), 1,
      aux_sym_modifiers_repeat1,
    STATE(9748), 1,
      sym_annotation,
    STATE(11434), 1,
      sym_modifiers,
    STATE(14173), 1,
      sym__soft_identifier,
    STATE(14338), 1,
      sym_identifier,
    STATE(14827), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(7386), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(7388), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4309), 2,
      sym_comment,
      sym_block_comment,
    STATE(6204), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [223843] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7340), 1,
      anon_sym_LBRACE,
    ACTIONS(7344), 1,
      anon_sym_AT,
    ACTIONS(7352), 1,
      anon_sym_inline,
    ACTIONS(7354), 1,
      anon_sym_infix,
    ACTIONS(7356), 1,
      anon_sym_open,
    ACTIONS(7358), 1,
      anon_sym_transparent,
    ACTIONS(7360), 1,
      anon_sym_LPAREN,
    ACTIONS(7362), 1,
      sym__indent,
    ACTIONS(7370), 1,
      anon_sym_def,
    STATE(5366), 1,
      aux_sym_modifiers_repeat1,
    STATE(7509), 1,
      sym_annotation,
    STATE(8510), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9783), 1,
      aux_sym_extension_definition_repeat1,
    STATE(10457), 1,
      sym_parameters,
    STATE(10506), 1,
      sym__using_parameters_clause,
    STATE(13672), 1,
      sym__function_declaration,
    STATE(16931), 1,
      sym_modifiers,
    ACTIONS(7350), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4310), 2,
      sym_comment,
      sym_block_comment,
    STATE(13820), 3,
      sym__extension_template_body,
      sym_function_definition,
      sym_function_declaration,
    STATE(6204), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(7348), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [223929] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7742), 1,
      anon_sym_with,
    STATE(4353), 1,
      aux_sym_compound_type_repeat1,
    STATE(6241), 1,
      sym__refinement,
    STATE(6243), 1,
      sym_template_body,
    STATE(6661), 1,
      sym_arguments,
    STATE(4311), 2,
      sym_comment,
      sym_block_comment,
    STATE(6388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7498), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7496), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [223989] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4900), 1,
      anon_sym_AT,
    ACTIONS(7384), 1,
      sym__alpha_identifier,
    ACTIONS(7392), 1,
      anon_sym_inline,
    ACTIONS(7394), 1,
      anon_sym_infix,
    ACTIONS(7396), 1,
      anon_sym_open,
    ACTIONS(7398), 1,
      anon_sym_transparent,
    ACTIONS(7404), 1,
      sym__backquoted_id,
    ACTIONS(7406), 1,
      sym_operator_identifier,
    ACTIONS(7708), 1,
      anon_sym_RPAREN,
    STATE(4461), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7040), 1,
      aux_sym_modifiers_repeat1,
    STATE(9748), 1,
      sym_annotation,
    STATE(11434), 1,
      sym_modifiers,
    STATE(14173), 1,
      sym__soft_identifier,
    STATE(14338), 1,
      sym_identifier,
    STATE(15635), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(7386), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(7388), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4312), 2,
      sym_comment,
      sym_block_comment,
    STATE(6204), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [224075] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4900), 1,
      anon_sym_AT,
    ACTIONS(7384), 1,
      sym__alpha_identifier,
    ACTIONS(7392), 1,
      anon_sym_inline,
    ACTIONS(7394), 1,
      anon_sym_infix,
    ACTIONS(7396), 1,
      anon_sym_open,
    ACTIONS(7398), 1,
      anon_sym_transparent,
    ACTIONS(7404), 1,
      sym__backquoted_id,
    ACTIONS(7406), 1,
      sym_operator_identifier,
    ACTIONS(7598), 1,
      anon_sym_RPAREN,
    STATE(4461), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7040), 1,
      aux_sym_modifiers_repeat1,
    STATE(9748), 1,
      sym_annotation,
    STATE(11434), 1,
      sym_modifiers,
    STATE(14173), 1,
      sym__soft_identifier,
    STATE(14338), 1,
      sym_identifier,
    STATE(15635), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(7386), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(7388), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4313), 2,
      sym_comment,
      sym_block_comment,
    STATE(6204), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [224161] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4900), 1,
      anon_sym_AT,
    ACTIONS(7384), 1,
      sym__alpha_identifier,
    ACTIONS(7392), 1,
      anon_sym_inline,
    ACTIONS(7394), 1,
      anon_sym_infix,
    ACTIONS(7396), 1,
      anon_sym_open,
    ACTIONS(7398), 1,
      anon_sym_transparent,
    ACTIONS(7404), 1,
      sym__backquoted_id,
    ACTIONS(7406), 1,
      sym_operator_identifier,
    ACTIONS(7518), 1,
      anon_sym_RPAREN,
    STATE(4461), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7040), 1,
      aux_sym_modifiers_repeat1,
    STATE(9748), 1,
      sym_annotation,
    STATE(11434), 1,
      sym_modifiers,
    STATE(14173), 1,
      sym__soft_identifier,
    STATE(14338), 1,
      sym_identifier,
    STATE(14827), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(7386), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(7388), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4314), 2,
      sym_comment,
      sym_block_comment,
    STATE(6204), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [224247] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4900), 1,
      anon_sym_AT,
    ACTIONS(7384), 1,
      sym__alpha_identifier,
    ACTIONS(7392), 1,
      anon_sym_inline,
    ACTIONS(7394), 1,
      anon_sym_infix,
    ACTIONS(7396), 1,
      anon_sym_open,
    ACTIONS(7398), 1,
      anon_sym_transparent,
    ACTIONS(7404), 1,
      sym__backquoted_id,
    ACTIONS(7406), 1,
      sym_operator_identifier,
    ACTIONS(7744), 1,
      anon_sym_RPAREN,
    STATE(4461), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7040), 1,
      aux_sym_modifiers_repeat1,
    STATE(9748), 1,
      sym_annotation,
    STATE(11434), 1,
      sym_modifiers,
    STATE(14173), 1,
      sym__soft_identifier,
    STATE(14338), 1,
      sym_identifier,
    STATE(15128), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(7386), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(7388), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4315), 2,
      sym_comment,
      sym_block_comment,
    STATE(6204), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [224333] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4900), 1,
      anon_sym_AT,
    ACTIONS(7384), 1,
      sym__alpha_identifier,
    ACTIONS(7392), 1,
      anon_sym_inline,
    ACTIONS(7394), 1,
      anon_sym_infix,
    ACTIONS(7396), 1,
      anon_sym_open,
    ACTIONS(7398), 1,
      anon_sym_transparent,
    ACTIONS(7404), 1,
      sym__backquoted_id,
    ACTIONS(7406), 1,
      sym_operator_identifier,
    ACTIONS(7744), 1,
      anon_sym_RPAREN,
    STATE(4461), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7040), 1,
      aux_sym_modifiers_repeat1,
    STATE(9748), 1,
      sym_annotation,
    STATE(11434), 1,
      sym_modifiers,
    STATE(14173), 1,
      sym__soft_identifier,
    STATE(14338), 1,
      sym_identifier,
    STATE(15128), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(7386), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(7388), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4316), 2,
      sym_comment,
      sym_block_comment,
    STATE(6204), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [224419] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7746), 1,
      sym__alpha_identifier,
    ACTIONS(7748), 1,
      anon_sym_COLON,
    ACTIONS(7750), 1,
      anon_sym_LBRACE,
    ACTIONS(7752), 1,
      anon_sym__,
    ACTIONS(7756), 1,
      anon_sym_LPAREN,
    ACTIONS(7758), 1,
      sym__backquoted_id,
    ACTIONS(7760), 1,
      sym_operator_identifier,
    STATE(4213), 1,
      sym__simple_type,
    STATE(4239), 1,
      sym__annotated_type,
    STATE(4687), 1,
      sym__constructor_application,
    STATE(4703), 1,
      sym_identifier,
    STATE(4858), 1,
      sym__soft_identifier,
    STATE(5648), 1,
      sym_annotated_type,
    STATE(5981), 1,
      sym_compound_type,
    STATE(6010), 1,
      sym__structural_type,
    STATE(6618), 1,
      sym_template_body,
    STATE(16228), 1,
      sym_stable_identifier,
    STATE(4317), 2,
      sym_comment,
      sym_block_comment,
    STATE(6176), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4713), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [224502] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4318), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7764), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7762), 25,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [224549] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7766), 1,
      anon_sym_LBRACK,
    ACTIONS(7768), 1,
      anon_sym_AT,
    ACTIONS(7770), 1,
      anon_sym_LPAREN,
    ACTIONS(7772), 1,
      anon_sym_POUND,
    STATE(4902), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5328), 1,
      sym_type_arguments,
    STATE(5698), 1,
      sym_annotation,
    STATE(7162), 1,
      sym_arguments,
    STATE(4319), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [224612] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7726), 1,
      sym__alpha_identifier,
    ACTIONS(7728), 1,
      anon_sym_COLON,
    ACTIONS(7730), 1,
      anon_sym_LBRACE,
    ACTIONS(7732), 1,
      anon_sym__,
    ACTIONS(7736), 1,
      anon_sym_LPAREN,
    ACTIONS(7738), 1,
      sym__backquoted_id,
    ACTIONS(7740), 1,
      sym_operator_identifier,
    STATE(10542), 1,
      sym__simple_type,
    STATE(10708), 1,
      sym__annotated_type,
    STATE(11238), 1,
      sym_identifier,
    STATE(11270), 1,
      sym__soft_identifier,
    STATE(12608), 1,
      sym_compound_type,
    STATE(12684), 1,
      sym__structural_type,
    STATE(12734), 1,
      sym_template_body,
    STATE(12784), 1,
      sym_annotated_type,
    STATE(13010), 1,
      sym__constructor_application,
    STATE(16475), 1,
      sym_stable_identifier,
    STATE(4320), 2,
      sym_comment,
      sym_block_comment,
    STATE(12702), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7734), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11678), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [224695] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6524), 1,
      anon_sym_COLON,
    ACTIONS(6526), 1,
      anon_sym_LBRACE,
    ACTIONS(7774), 1,
      sym__alpha_identifier,
    ACTIONS(7776), 1,
      anon_sym__,
    ACTIONS(7780), 1,
      anon_sym_LPAREN,
    ACTIONS(7782), 1,
      sym__backquoted_id,
    ACTIONS(7784), 1,
      sym_operator_identifier,
    STATE(5610), 1,
      sym__simple_type,
    STATE(5744), 1,
      sym__annotated_type,
    STATE(8121), 1,
      sym__constructor_application,
    STATE(8610), 1,
      sym_identifier,
    STATE(8668), 1,
      sym__soft_identifier,
    STATE(9441), 1,
      sym_compound_type,
    STATE(9605), 1,
      sym_annotated_type,
    STATE(9883), 1,
      sym__structural_type,
    STATE(9897), 1,
      sym_template_body,
    STATE(15798), 1,
      sym_stable_identifier,
    STATE(4321), 2,
      sym_comment,
      sym_block_comment,
    STATE(6465), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7778), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8184), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [224778] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7790), 1,
      anon_sym_LPAREN,
    STATE(4681), 1,
      sym_arguments,
    STATE(4322), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(7788), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7786), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [224829] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7801), 1,
      anon_sym_inline,
    ACTIONS(7804), 1,
      anon_sym_infix,
    ACTIONS(7807), 1,
      anon_sym_open,
    ACTIONS(7810), 1,
      anon_sym_transparent,
    ACTIONS(7813), 1,
      sym__backquoted_id,
    ACTIONS(7798), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4323), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_modifiers_repeat1,
    STATE(6204), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(7795), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
    ACTIONS(7793), 13,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_end,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      sym__alpha_identifier,
      sym_operator_identifier,
  [224890] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7534), 1,
      anon_sym_LPAREN,
    STATE(4322), 1,
      aux_sym_annotation_repeat1,
    STATE(4681), 1,
      sym_arguments,
    STATE(4324), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7817), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7815), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [224943] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6168), 1,
      anon_sym_COLON,
    ACTIONS(6170), 1,
      anon_sym_LBRACE,
    ACTIONS(7819), 1,
      sym__alpha_identifier,
    ACTIONS(7821), 1,
      anon_sym__,
    ACTIONS(7825), 1,
      anon_sym_LPAREN,
    ACTIONS(7827), 1,
      sym__backquoted_id,
    ACTIONS(7829), 1,
      sym_operator_identifier,
    STATE(4372), 1,
      sym__simple_type,
    STATE(4388), 1,
      sym__annotated_type,
    STATE(5039), 1,
      sym__constructor_application,
    STATE(5145), 1,
      sym_identifier,
    STATE(5167), 1,
      sym__soft_identifier,
    STATE(6550), 1,
      sym_compound_type,
    STATE(6604), 1,
      sym_annotated_type,
    STATE(6761), 1,
      sym__structural_type,
    STATE(7033), 1,
      sym_template_body,
    STATE(16385), 1,
      sym_stable_identifier,
    STATE(4325), 2,
      sym_comment,
      sym_block_comment,
    STATE(7206), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7823), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5309), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [225026] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7831), 1,
      anon_sym_COLON,
    ACTIONS(7833), 1,
      anon_sym_LBRACE,
    ACTIONS(7835), 1,
      anon_sym_with,
    STATE(4386), 1,
      aux_sym_compound_type_repeat1,
    STATE(7583), 1,
      sym__refinement,
    STATE(7585), 1,
      sym_template_body,
    STATE(4326), 2,
      sym_comment,
      sym_block_comment,
    STATE(7798), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7580), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7574), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [225087] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7837), 1,
      sym__alpha_identifier,
    ACTIONS(7839), 1,
      anon_sym_COLON,
    ACTIONS(7841), 1,
      anon_sym_LBRACE,
    ACTIONS(7843), 1,
      anon_sym__,
    ACTIONS(7847), 1,
      anon_sym_LPAREN,
    ACTIONS(7849), 1,
      sym__backquoted_id,
    ACTIONS(7851), 1,
      sym_operator_identifier,
    STATE(4262), 1,
      sym__simple_type,
    STATE(4311), 1,
      sym__annotated_type,
    STATE(4772), 1,
      sym__soft_identifier,
    STATE(4895), 1,
      sym__constructor_application,
    STATE(4934), 1,
      sym_identifier,
    STATE(5674), 1,
      sym_compound_type,
    STATE(5846), 1,
      sym_annotated_type,
    STATE(6502), 1,
      sym_template_body,
    STATE(6600), 1,
      sym__structural_type,
    STATE(16740), 1,
      sym_stable_identifier,
    STATE(4327), 2,
      sym_comment,
      sym_block_comment,
    STATE(6388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7845), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4683), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [225170] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7853), 1,
      anon_sym_COLON,
    ACTIONS(7855), 1,
      anon_sym_LBRACE,
    ACTIONS(7857), 1,
      anon_sym_with,
    STATE(4351), 1,
      aux_sym_compound_type_repeat1,
    STATE(7974), 1,
      sym_template_body,
    STATE(7976), 1,
      sym__refinement,
    STATE(4328), 2,
      sym_comment,
      sym_block_comment,
    STATE(7751), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7580), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7574), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [225231] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6704), 1,
      anon_sym_COLON,
    ACTIONS(6706), 1,
      anon_sym_LBRACE,
    ACTIONS(7859), 1,
      sym__alpha_identifier,
    ACTIONS(7861), 1,
      anon_sym__,
    ACTIONS(7865), 1,
      anon_sym_LPAREN,
    ACTIONS(7867), 1,
      sym__backquoted_id,
    ACTIONS(7869), 1,
      sym_operator_identifier,
    STATE(5336), 1,
      sym__simple_type,
    STATE(5360), 1,
      sym__annotated_type,
    STATE(7563), 1,
      sym__soft_identifier,
    STATE(7644), 1,
      sym_identifier,
    STATE(7895), 1,
      sym__constructor_application,
    STATE(8233), 1,
      sym_compound_type,
    STATE(8922), 1,
      sym__structural_type,
    STATE(9128), 1,
      sym_annotated_type,
    STATE(9352), 1,
      sym_template_body,
    STATE(15795), 1,
      sym_stable_identifier,
    STATE(4329), 2,
      sym_comment,
      sym_block_comment,
    STATE(8874), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7863), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7750), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [225314] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7871), 1,
      anon_sym_LBRACK,
    ACTIONS(7873), 1,
      anon_sym_LPAREN,
    ACTIONS(7875), 1,
      anon_sym_POUND,
    STATE(4665), 1,
      aux_sym_annotation_repeat1,
    STATE(4896), 1,
      sym_type_arguments,
    STATE(5014), 1,
      sym_arguments,
    STATE(4330), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7530), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7528), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [225373] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6388), 1,
      anon_sym_COLON,
    ACTIONS(6390), 1,
      anon_sym_LBRACE,
    ACTIONS(7877), 1,
      sym__alpha_identifier,
    ACTIONS(7879), 1,
      anon_sym__,
    ACTIONS(7883), 1,
      anon_sym_LPAREN,
    ACTIONS(7885), 1,
      sym__backquoted_id,
    ACTIONS(7887), 1,
      sym_operator_identifier,
    STATE(4729), 1,
      sym__annotated_type,
    STATE(4812), 1,
      sym__simple_type,
    STATE(6879), 1,
      sym__constructor_application,
    STATE(7163), 1,
      sym_identifier,
    STATE(7248), 1,
      sym__soft_identifier,
    STATE(8252), 1,
      sym_annotated_type,
    STATE(8683), 1,
      sym_compound_type,
    STATE(8934), 1,
      sym__structural_type,
    STATE(9069), 1,
      sym_template_body,
    STATE(16191), 1,
      sym_stable_identifier,
    STATE(4331), 2,
      sym_comment,
      sym_block_comment,
    STATE(5088), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7881), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7042), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [225456] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4332), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(7000), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
      anon_sym_yield,
  [225503] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7544), 1,
      anon_sym_LBRACK,
    ACTIONS(7546), 1,
      anon_sym_AT,
    ACTIONS(7550), 1,
      anon_sym_POUND,
    STATE(4640), 1,
      aux_sym_enum_definition_repeat1,
    STATE(4727), 1,
      sym_type_arguments,
    STATE(5294), 1,
      sym_annotation,
    STATE(4333), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [225562] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7652), 1,
      anon_sym_LBRACK,
    ACTIONS(7656), 1,
      anon_sym_POUND,
    ACTIONS(7889), 1,
      anon_sym_AT,
    STATE(4512), 1,
      sym_type_arguments,
    STATE(4641), 1,
      aux_sym_enum_definition_repeat1,
    STATE(4978), 1,
      sym_annotation,
    STATE(4334), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [225621] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7891), 1,
      anon_sym_LBRACK,
    ACTIONS(7893), 1,
      anon_sym_LPAREN,
    ACTIONS(7895), 1,
      anon_sym_POUND,
    STATE(4509), 1,
      aux_sym_annotation_repeat1,
    STATE(4715), 1,
      sym_type_arguments,
    STATE(5248), 1,
      sym_arguments,
    STATE(4335), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7530), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7528), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [225680] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6422), 1,
      anon_sym_COLON,
    ACTIONS(6424), 1,
      anon_sym_LBRACE,
    ACTIONS(7897), 1,
      sym__alpha_identifier,
    ACTIONS(7899), 1,
      anon_sym__,
    ACTIONS(7903), 1,
      anon_sym_LPAREN,
    ACTIONS(7905), 1,
      sym__backquoted_id,
    ACTIONS(7907), 1,
      sym_operator_identifier,
    STATE(4438), 1,
      sym__simple_type,
    STATE(4478), 1,
      sym__annotated_type,
    STATE(5429), 1,
      sym__soft_identifier,
    STATE(5874), 1,
      sym_identifier,
    STATE(5946), 1,
      sym__constructor_application,
    STATE(6714), 1,
      sym_compound_type,
    STATE(7207), 1,
      sym_annotated_type,
    STATE(7716), 1,
      sym__structural_type,
    STATE(8012), 1,
      sym_template_body,
    STATE(16758), 1,
      sym_stable_identifier,
    STATE(4336), 2,
      sym_comment,
      sym_block_comment,
    STATE(7946), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7901), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5428), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [225763] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6132), 1,
      anon_sym_COLON,
    ACTIONS(6134), 1,
      anon_sym_LBRACE,
    ACTIONS(7232), 1,
      sym__alpha_identifier,
    ACTIONS(7238), 1,
      anon_sym__,
    ACTIONS(7246), 1,
      sym__backquoted_id,
    ACTIONS(7556), 1,
      anon_sym_LPAREN,
    ACTIONS(7558), 1,
      sym_operator_identifier,
    STATE(9087), 1,
      sym_compound_type,
    STATE(9608), 1,
      sym__structural_type,
    STATE(10416), 1,
      sym_template_body,
    STATE(10729), 1,
      sym_identifier,
    STATE(10795), 1,
      sym__simple_type,
    STATE(10954), 1,
      sym__soft_identifier,
    STATE(11294), 1,
      sym__annotated_type,
    STATE(12438), 1,
      sym_annotated_type,
    STATE(13867), 1,
      sym__constructor_application,
    STATE(16972), 1,
      sym_stable_identifier,
    STATE(4337), 2,
      sym_comment,
      sym_block_comment,
    STATE(6306), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7242), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11316), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [225846] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7909), 1,
      sym__alpha_identifier,
    ACTIONS(7911), 1,
      anon_sym_COLON,
    ACTIONS(7913), 1,
      anon_sym_LBRACE,
    ACTIONS(7915), 1,
      anon_sym__,
    ACTIONS(7919), 1,
      anon_sym_LPAREN,
    ACTIONS(7921), 1,
      sym__backquoted_id,
    ACTIONS(7923), 1,
      sym_operator_identifier,
    STATE(4319), 1,
      sym__simple_type,
    STATE(4387), 1,
      sym__annotated_type,
    STATE(4987), 1,
      sym_identifier,
    STATE(5132), 1,
      sym__soft_identifier,
    STATE(5158), 1,
      sym__constructor_application,
    STATE(6113), 1,
      sym_compound_type,
    STATE(6464), 1,
      sym_annotated_type,
    STATE(6788), 1,
      sym_template_body,
    STATE(7259), 1,
      sym__structural_type,
    STATE(16348), 1,
      sym_stable_identifier,
    STATE(4338), 2,
      sym_comment,
      sym_block_comment,
    STATE(6713), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7917), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5370), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [225929] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7622), 1,
      sym__alpha_identifier,
    ACTIONS(7628), 1,
      anon_sym__,
    ACTIONS(7632), 1,
      anon_sym_LPAREN,
    ACTIONS(7634), 1,
      sym__backquoted_id,
    ACTIONS(7636), 1,
      sym_operator_identifier,
    ACTIONS(7925), 1,
      anon_sym_COLON,
    ACTIONS(7927), 1,
      anon_sym_LBRACE,
    STATE(10213), 1,
      sym__simple_type,
    STATE(10353), 1,
      sym__annotated_type,
    STATE(10818), 1,
      sym_identifier,
    STATE(10971), 1,
      sym__soft_identifier,
    STATE(12450), 1,
      sym_annotated_type,
    STATE(12498), 1,
      sym_compound_type,
    STATE(12685), 1,
      sym__constructor_application,
    STATE(12875), 1,
      sym_template_body,
    STATE(12930), 1,
      sym__structural_type,
    STATE(16115), 1,
      sym_stable_identifier,
    STATE(4339), 2,
      sym_comment,
      sym_block_comment,
    STATE(12897), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7630), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11092), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [226012] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7640), 1,
      anon_sym_DQUOTE,
    ACTIONS(7929), 1,
      sym__interpolated_multiline_string_start,
    STATE(6210), 1,
      sym_interpolated_string,
    STATE(15026), 1,
      sym__interpolated_string_start,
    ACTIONS(7638), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4340), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [226069] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7622), 1,
      sym__alpha_identifier,
    ACTIONS(7624), 1,
      anon_sym_COLON,
    ACTIONS(7626), 1,
      anon_sym_LBRACE,
    ACTIONS(7628), 1,
      anon_sym__,
    ACTIONS(7632), 1,
      anon_sym_LPAREN,
    ACTIONS(7634), 1,
      sym__backquoted_id,
    ACTIONS(7636), 1,
      sym_operator_identifier,
    STATE(10323), 1,
      sym__simple_type,
    STATE(10377), 1,
      sym__annotated_type,
    STATE(10818), 1,
      sym_identifier,
    STATE(10971), 1,
      sym__soft_identifier,
    STATE(11808), 1,
      sym_compound_type,
    STATE(12301), 1,
      sym_template_body,
    STATE(12450), 1,
      sym_annotated_type,
    STATE(12586), 1,
      sym__structural_type,
    STATE(12691), 1,
      sym__constructor_application,
    STATE(16115), 1,
      sym_stable_identifier,
    STATE(4341), 2,
      sym_comment,
      sym_block_comment,
    STATE(12419), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7630), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11092), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [226152] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7726), 1,
      sym__alpha_identifier,
    ACTIONS(7732), 1,
      anon_sym__,
    ACTIONS(7736), 1,
      anon_sym_LPAREN,
    ACTIONS(7738), 1,
      sym__backquoted_id,
    ACTIONS(7740), 1,
      sym_operator_identifier,
    ACTIONS(7931), 1,
      anon_sym_COLON,
    ACTIONS(7933), 1,
      anon_sym_LBRACE,
    STATE(10359), 1,
      sym__simple_type,
    STATE(10632), 1,
      sym__annotated_type,
    STATE(11238), 1,
      sym_identifier,
    STATE(11270), 1,
      sym__soft_identifier,
    STATE(12669), 1,
      sym_compound_type,
    STATE(12784), 1,
      sym_annotated_type,
    STATE(13005), 1,
      sym__constructor_application,
    STATE(13054), 1,
      sym__structural_type,
    STATE(13242), 1,
      sym_template_body,
    STATE(16475), 1,
      sym_stable_identifier,
    STATE(4342), 2,
      sym_comment,
      sym_block_comment,
    STATE(13119), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7734), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11678), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [226235] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7232), 1,
      sym__alpha_identifier,
    ACTIONS(7238), 1,
      anon_sym__,
    ACTIONS(7246), 1,
      sym__backquoted_id,
    ACTIONS(7556), 1,
      anon_sym_LPAREN,
    ACTIONS(7558), 1,
      sym_operator_identifier,
    ACTIONS(7586), 1,
      anon_sym_COLON,
    ACTIONS(7588), 1,
      anon_sym_LBRACE,
    STATE(10729), 1,
      sym_identifier,
    STATE(10954), 1,
      sym__soft_identifier,
    STATE(10992), 1,
      sym__simple_type,
    STATE(11047), 1,
      sym__annotated_type,
    STATE(12438), 1,
      sym_annotated_type,
    STATE(13627), 1,
      sym_compound_type,
    STATE(13719), 1,
      sym__structural_type,
    STATE(13739), 1,
      sym_template_body,
    STATE(13771), 1,
      sym__constructor_application,
    STATE(16972), 1,
      sym_stable_identifier,
    STATE(4343), 2,
      sym_comment,
      sym_block_comment,
    STATE(13786), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7242), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11316), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [226318] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4344), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 23,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [226365] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6114), 1,
      anon_sym_COLON,
    ACTIONS(6116), 1,
      anon_sym_LBRACE,
    ACTIONS(7935), 1,
      sym__alpha_identifier,
    ACTIONS(7937), 1,
      anon_sym__,
    ACTIONS(7941), 1,
      anon_sym_LPAREN,
    ACTIONS(7943), 1,
      sym__backquoted_id,
    ACTIONS(7945), 1,
      sym_operator_identifier,
    STATE(4758), 1,
      sym__simple_type,
    STATE(4769), 1,
      sym__annotated_type,
    STATE(6676), 1,
      sym_identifier,
    STATE(6711), 1,
      sym__soft_identifier,
    STATE(7215), 1,
      sym__constructor_application,
    STATE(8191), 1,
      sym_compound_type,
    STATE(8355), 1,
      sym_annotated_type,
    STATE(9147), 1,
      sym_template_body,
    STATE(9190), 1,
      sym__structural_type,
    STATE(16421), 1,
      sym_stable_identifier,
    STATE(4345), 2,
      sym_comment,
      sym_block_comment,
    STATE(9129), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7939), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7142), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [226448] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6132), 1,
      anon_sym_COLON,
    ACTIONS(6134), 1,
      anon_sym_LBRACE,
    ACTIONS(7947), 1,
      sym__alpha_identifier,
    ACTIONS(7949), 1,
      anon_sym__,
    ACTIONS(7953), 1,
      anon_sym_LPAREN,
    ACTIONS(7955), 1,
      sym__backquoted_id,
    ACTIONS(7957), 1,
      sym_operator_identifier,
    STATE(6293), 1,
      sym__simple_type,
    STATE(6364), 1,
      sym__annotated_type,
    STATE(8833), 1,
      sym_identifier,
    STATE(8835), 1,
      sym__constructor_application,
    STATE(9087), 1,
      sym_compound_type,
    STATE(9188), 1,
      sym__soft_identifier,
    STATE(9608), 1,
      sym__structural_type,
    STATE(9620), 1,
      sym_annotated_type,
    STATE(10141), 1,
      sym_template_body,
    STATE(16927), 1,
      sym_stable_identifier,
    STATE(4346), 2,
      sym_comment,
      sym_block_comment,
    STATE(6306), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7951), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9056), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [226531] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7676), 1,
      sym__alpha_identifier,
    ACTIONS(7682), 1,
      anon_sym__,
    ACTIONS(7686), 1,
      anon_sym_LPAREN,
    ACTIONS(7688), 1,
      sym__backquoted_id,
    ACTIONS(7690), 1,
      sym_operator_identifier,
    ACTIONS(7959), 1,
      anon_sym_COLON,
    ACTIONS(7961), 1,
      anon_sym_LBRACE,
    STATE(11419), 1,
      sym__simple_type,
    STATE(11996), 1,
      sym__annotated_type,
    STATE(12651), 1,
      sym__soft_identifier,
    STATE(12912), 1,
      sym_identifier,
    STATE(13657), 1,
      sym_compound_type,
    STATE(13740), 1,
      sym_annotated_type,
    STATE(13812), 1,
      sym__constructor_application,
    STATE(13860), 1,
      sym__structural_type,
    STATE(13925), 1,
      sym_template_body,
    STATE(16278), 1,
      sym_stable_identifier,
    STATE(4347), 2,
      sym_comment,
      sym_block_comment,
    STATE(13818), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7684), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(13194), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [226614] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7676), 1,
      sym__alpha_identifier,
    ACTIONS(7678), 1,
      anon_sym_COLON,
    ACTIONS(7680), 1,
      anon_sym_LBRACE,
    ACTIONS(7682), 1,
      anon_sym__,
    ACTIONS(7686), 1,
      anon_sym_LPAREN,
    ACTIONS(7688), 1,
      sym__backquoted_id,
    ACTIONS(7690), 1,
      sym_operator_identifier,
    STATE(11412), 1,
      sym__simple_type,
    STATE(12157), 1,
      sym__annotated_type,
    STATE(12651), 1,
      sym__soft_identifier,
    STATE(12912), 1,
      sym_identifier,
    STATE(13553), 1,
      sym_compound_type,
    STATE(13677), 1,
      sym_template_body,
    STATE(13740), 1,
      sym_annotated_type,
    STATE(13762), 1,
      sym__structural_type,
    STATE(13811), 1,
      sym__constructor_application,
    STATE(16278), 1,
      sym_stable_identifier,
    STATE(4348), 2,
      sym_comment,
      sym_block_comment,
    STATE(13755), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7684), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(13194), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [226697] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7963), 1,
      sym__alpha_identifier,
    ACTIONS(7965), 1,
      anon_sym_COLON,
    ACTIONS(7967), 1,
      anon_sym_LBRACE,
    ACTIONS(7969), 1,
      anon_sym__,
    ACTIONS(7973), 1,
      anon_sym_LPAREN,
    ACTIONS(7975), 1,
      sym__backquoted_id,
    ACTIONS(7977), 1,
      sym_operator_identifier,
    STATE(4422), 1,
      sym__simple_type,
    STATE(4463), 1,
      sym__annotated_type,
    STATE(5542), 1,
      sym_identifier,
    STATE(5709), 1,
      sym__soft_identifier,
    STATE(5880), 1,
      sym__constructor_application,
    STATE(6977), 1,
      sym_annotated_type,
    STATE(6989), 1,
      sym_compound_type,
    STATE(7601), 1,
      sym__structural_type,
    STATE(8066), 1,
      sym_template_body,
    STATE(16687), 1,
      sym_stable_identifier,
    STATE(4349), 2,
      sym_comment,
      sym_block_comment,
    STATE(7608), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7971), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5474), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [226780] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7658), 1,
      anon_sym_LBRACK,
    ACTIONS(7660), 1,
      anon_sym_AT,
    ACTIONS(7664), 1,
      anon_sym_POUND,
    STATE(4660), 1,
      aux_sym_enum_definition_repeat1,
    STATE(4963), 1,
      sym_type_arguments,
    STATE(5044), 1,
      sym_annotation,
    STATE(4350), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [226839] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7853), 1,
      anon_sym_COLON,
    ACTIONS(7855), 1,
      anon_sym_LBRACE,
    ACTIONS(7857), 1,
      anon_sym_with,
    STATE(5006), 1,
      aux_sym_compound_type_repeat1,
    STATE(7974), 1,
      sym_template_body,
    STATE(8027), 1,
      sym__refinement,
    STATE(4351), 2,
      sym_comment,
      sym_block_comment,
    STATE(7751), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7668), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7666), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [226900] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6542), 1,
      anon_sym_COLON,
    ACTIONS(6544), 1,
      anon_sym_LBRACE,
    ACTIONS(7979), 1,
      sym__alpha_identifier,
    ACTIONS(7981), 1,
      anon_sym__,
    ACTIONS(7985), 1,
      anon_sym_LPAREN,
    ACTIONS(7987), 1,
      sym__backquoted_id,
    ACTIONS(7989), 1,
      sym_operator_identifier,
    STATE(4524), 1,
      sym__annotated_type,
    STATE(4541), 1,
      sym__simple_type,
    STATE(6444), 1,
      sym_identifier,
    STATE(6463), 1,
      sym__soft_identifier,
    STATE(6545), 1,
      sym__constructor_application,
    STATE(7498), 1,
      sym_compound_type,
    STATE(7752), 1,
      sym_annotated_type,
    STATE(8366), 1,
      sym_template_body,
    STATE(8586), 1,
      sym__structural_type,
    STATE(16151), 1,
      sym_stable_identifier,
    STATE(4352), 2,
      sym_comment,
      sym_block_comment,
    STATE(8516), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7983), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6185), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [226983] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7742), 1,
      anon_sym_with,
    STATE(5064), 1,
      aux_sym_compound_type_repeat1,
    STATE(6206), 1,
      sym__refinement,
    STATE(6243), 1,
      sym_template_body,
    STATE(4353), 2,
      sym_comment,
      sym_block_comment,
    STATE(6388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7668), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7666), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [227040] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7991), 1,
      anon_sym_LBRACK,
    ACTIONS(7993), 1,
      anon_sym_LPAREN,
    ACTIONS(7995), 1,
      anon_sym_POUND,
    STATE(4661), 1,
      aux_sym_annotation_repeat1,
    STATE(4913), 1,
      sym_type_arguments,
    STATE(5011), 1,
      sym_arguments,
    STATE(4354), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7530), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7528), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [227099] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7580), 1,
      sym__backquoted_id,
    ACTIONS(7831), 1,
      anon_sym_COLON,
    ACTIONS(7833), 1,
      anon_sym_LBRACE,
    ACTIONS(7835), 1,
      anon_sym_with,
    STATE(4386), 1,
      aux_sym_compound_type_repeat1,
    STATE(7583), 1,
      sym__refinement,
    STATE(7585), 1,
      sym_template_body,
    ACTIONS(7698), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4355), 2,
      sym_comment,
      sym_block_comment,
    STATE(7798), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7694), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(7696), 7,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(7574), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [227166] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7580), 1,
      sym__backquoted_id,
    ACTIONS(7997), 1,
      anon_sym_COLON,
    ACTIONS(7999), 1,
      anon_sym_LBRACE,
    ACTIONS(8001), 1,
      anon_sym_with,
    STATE(4361), 1,
      aux_sym_compound_type_repeat1,
    STATE(7981), 1,
      sym__refinement,
    STATE(7982), 1,
      sym_template_body,
    ACTIONS(7698), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4356), 2,
      sym_comment,
      sym_block_comment,
    STATE(7427), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7694), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(7696), 7,
      anon_sym_case,
      anon_sym_if,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(7574), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [227233] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6082), 1,
      anon_sym_COLON,
    ACTIONS(6084), 1,
      anon_sym_LBRACE,
    ACTIONS(8003), 1,
      sym__alpha_identifier,
    ACTIONS(8005), 1,
      anon_sym__,
    ACTIONS(8009), 1,
      anon_sym_LPAREN,
    ACTIONS(8011), 1,
      sym__backquoted_id,
    ACTIONS(8013), 1,
      sym_operator_identifier,
    STATE(5389), 1,
      sym__annotated_type,
    STATE(5604), 1,
      sym__simple_type,
    STATE(8250), 1,
      sym_identifier,
    STATE(8497), 1,
      sym__soft_identifier,
    STATE(8534), 1,
      sym__constructor_application,
    STATE(9384), 1,
      sym_compound_type,
    STATE(9435), 1,
      sym_annotated_type,
    STATE(9708), 1,
      sym_template_body,
    STATE(9794), 1,
      sym__structural_type,
    STATE(16231), 1,
      sym_stable_identifier,
    STATE(4357), 2,
      sym_comment,
      sym_block_comment,
    STATE(6133), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8007), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8161), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [227316] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6326), 1,
      anon_sym_COLON,
    ACTIONS(6328), 1,
      anon_sym_LBRACE,
    ACTIONS(8015), 1,
      sym__alpha_identifier,
    ACTIONS(8017), 1,
      anon_sym__,
    ACTIONS(8021), 1,
      anon_sym_LPAREN,
    ACTIONS(8023), 1,
      sym__backquoted_id,
    ACTIONS(8025), 1,
      sym_operator_identifier,
    STATE(4600), 1,
      sym__annotated_type,
    STATE(4678), 1,
      sym__simple_type,
    STATE(6019), 1,
      sym__soft_identifier,
    STATE(6199), 1,
      sym__constructor_application,
    STATE(6480), 1,
      sym_identifier,
    STATE(7596), 1,
      sym_annotated_type,
    STATE(7803), 1,
      sym_compound_type,
    STATE(8299), 1,
      sym_template_body,
    STATE(8301), 1,
      sym__structural_type,
    STATE(16836), 1,
      sym_stable_identifier,
    STATE(4358), 2,
      sym_comment,
      sym_block_comment,
    STATE(8470), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8019), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6090), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [227399] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4900), 1,
      anon_sym_AT,
    ACTIONS(7384), 1,
      sym__alpha_identifier,
    ACTIONS(7392), 1,
      anon_sym_inline,
    ACTIONS(7394), 1,
      anon_sym_infix,
    ACTIONS(7396), 1,
      anon_sym_open,
    ACTIONS(7398), 1,
      anon_sym_transparent,
    ACTIONS(7404), 1,
      sym__backquoted_id,
    ACTIONS(7406), 1,
      sym_operator_identifier,
    STATE(4461), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7040), 1,
      aux_sym_modifiers_repeat1,
    STATE(9748), 1,
      sym_annotation,
    STATE(11434), 1,
      sym_modifiers,
    STATE(14173), 1,
      sym__soft_identifier,
    STATE(14338), 1,
      sym_identifier,
    STATE(15635), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(7386), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(7388), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4359), 2,
      sym_comment,
      sym_block_comment,
    STATE(6204), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [227482] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4360), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8027), 32,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [227527] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7997), 1,
      anon_sym_COLON,
    ACTIONS(7999), 1,
      anon_sym_LBRACE,
    ACTIONS(8001), 1,
      anon_sym_with,
    STATE(5046), 1,
      aux_sym_compound_type_repeat1,
    STATE(7970), 1,
      sym__refinement,
    STATE(7982), 1,
      sym_template_body,
    STATE(4361), 2,
      sym_comment,
      sym_block_comment,
    STATE(7427), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7668), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7666), 18,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [227588] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8029), 1,
      anon_sym_LBRACK,
    ACTIONS(8031), 1,
      anon_sym_LPAREN,
    ACTIONS(8033), 1,
      anon_sym_POUND,
    STATE(4622), 1,
      aux_sym_annotation_repeat1,
    STATE(4826), 1,
      sym_type_arguments,
    STATE(5174), 1,
      sym_arguments,
    STATE(4362), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7530), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7528), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [227647] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8035), 1,
      sym__alpha_identifier,
    ACTIONS(8037), 1,
      anon_sym_COLON,
    ACTIONS(8039), 1,
      anon_sym_LBRACE,
    ACTIONS(8041), 1,
      anon_sym__,
    ACTIONS(8045), 1,
      anon_sym_LPAREN,
    ACTIONS(8047), 1,
      sym__backquoted_id,
    ACTIONS(8049), 1,
      sym_operator_identifier,
    STATE(4368), 1,
      sym__annotated_type,
    STATE(4369), 1,
      sym__simple_type,
    STATE(5146), 1,
      sym__soft_identifier,
    STATE(5147), 1,
      sym_identifier,
    STATE(5361), 1,
      sym__constructor_application,
    STATE(6229), 1,
      sym_annotated_type,
    STATE(6460), 1,
      sym_compound_type,
    STATE(6869), 1,
      sym__structural_type,
    STATE(6906), 1,
      sym_template_body,
    STATE(15960), 1,
      sym_stable_identifier,
    STATE(4363), 2,
      sym_comment,
      sym_block_comment,
    STATE(6718), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8043), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5329), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [227730] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(892), 1,
      anon_sym_LBRACE,
    ACTIONS(7472), 1,
      anon_sym_LPAREN,
    ACTIONS(8051), 1,
      sym__alpha_identifier,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8059), 1,
      anon_sym_DOT,
    ACTIONS(8063), 1,
      anon_sym_EQ,
    ACTIONS(8065), 1,
      sym__backquoted_id,
    ACTIONS(8067), 1,
      sym_operator_identifier,
    STATE(1685), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(4364), 2,
      sym_comment,
      sym_block_comment,
    STATE(5396), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8055), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8061), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(8057), 8,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [227801] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6688), 1,
      anon_sym_COLON,
    ACTIONS(6690), 1,
      anon_sym_LBRACE,
    ACTIONS(8069), 1,
      sym__alpha_identifier,
    ACTIONS(8071), 1,
      anon_sym__,
    ACTIONS(8075), 1,
      anon_sym_LPAREN,
    ACTIONS(8077), 1,
      sym__backquoted_id,
    ACTIONS(8079), 1,
      sym_operator_identifier,
    STATE(4549), 1,
      sym__simple_type,
    STATE(4602), 1,
      sym__annotated_type,
    STATE(6140), 1,
      sym_identifier,
    STATE(6403), 1,
      sym__constructor_application,
    STATE(6650), 1,
      sym__soft_identifier,
    STATE(7868), 1,
      sym_annotated_type,
    STATE(7997), 1,
      sym_compound_type,
    STATE(8129), 1,
      sym__structural_type,
    STATE(8353), 1,
      sym_template_body,
    STATE(15870), 1,
      sym_stable_identifier,
    STATE(4365), 2,
      sym_comment,
      sym_block_comment,
    STATE(8230), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8073), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6134), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [227884] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(8081), 1,
      sym__alpha_identifier,
    ACTIONS(8083), 1,
      anon_sym__,
    ACTIONS(8087), 1,
      anon_sym_LPAREN,
    ACTIONS(8089), 1,
      sym__backquoted_id,
    ACTIONS(8091), 1,
      sym_operator_identifier,
    STATE(5325), 1,
      sym__annotated_type,
    STATE(5339), 1,
      sym__simple_type,
    STATE(7582), 1,
      sym__constructor_application,
    STATE(7646), 1,
      sym_identifier,
    STATE(7814), 1,
      sym__soft_identifier,
    STATE(8986), 1,
      sym_annotated_type,
    STATE(9061), 1,
      sym_compound_type,
    STATE(9584), 1,
      sym__structural_type,
    STATE(9590), 1,
      sym_template_body,
    STATE(16533), 1,
      sym_stable_identifier,
    STATE(4366), 2,
      sym_comment,
      sym_block_comment,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8085), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7747), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [227967] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4367), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8095), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8093), 25,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [228014] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8097), 1,
      anon_sym_with,
    STATE(4448), 1,
      aux_sym_compound_type_repeat1,
    STATE(6689), 1,
      sym__refinement,
    STATE(6692), 1,
      sym_template_body,
    STATE(6898), 1,
      sym_arguments,
    STATE(4368), 2,
      sym_comment,
      sym_block_comment,
    STATE(6718), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7498), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7496), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [228073] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8099), 1,
      anon_sym_LBRACK,
    ACTIONS(8101), 1,
      anon_sym_AT,
    ACTIONS(8103), 1,
      anon_sym_LPAREN,
    ACTIONS(8105), 1,
      anon_sym_POUND,
    STATE(4924), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5317), 1,
      sym_type_arguments,
    STATE(5478), 1,
      sym_annotation,
    STATE(6898), 1,
      sym_arguments,
    STATE(4369), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [228136] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7254), 1,
      sym__alpha_identifier,
    ACTIONS(7256), 1,
      anon_sym__,
    ACTIONS(7262), 1,
      sym__backquoted_id,
    ACTIONS(7560), 1,
      anon_sym_LPAREN,
    ACTIONS(7562), 1,
      sym_operator_identifier,
    ACTIONS(7566), 1,
      anon_sym_COLON,
    ACTIONS(7568), 1,
      anon_sym_LBRACE,
    STATE(10766), 1,
      sym__simple_type,
    STATE(11065), 1,
      sym__soft_identifier,
    STATE(11271), 1,
      sym_identifier,
    STATE(11314), 1,
      sym__annotated_type,
    STATE(12720), 1,
      sym_annotated_type,
    STATE(13586), 1,
      sym_compound_type,
    STATE(13652), 1,
      sym_template_body,
    STATE(13691), 1,
      sym__constructor_application,
    STATE(13781), 1,
      sym__structural_type,
    STATE(15838), 1,
      sym_stable_identifier,
    STATE(4370), 2,
      sym_comment,
      sym_block_comment,
    STATE(13724), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7258), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11454), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [228219] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6308), 1,
      anon_sym_COLON,
    ACTIONS(6310), 1,
      anon_sym_LBRACE,
    ACTIONS(8107), 1,
      sym__alpha_identifier,
    ACTIONS(8109), 1,
      anon_sym__,
    ACTIONS(8113), 1,
      anon_sym_LPAREN,
    ACTIONS(8115), 1,
      sym__backquoted_id,
    ACTIONS(8117), 1,
      sym_operator_identifier,
    STATE(5356), 1,
      sym__simple_type,
    STATE(5359), 1,
      sym__annotated_type,
    STATE(7458), 1,
      sym__soft_identifier,
    STATE(7758), 1,
      sym__constructor_application,
    STATE(7930), 1,
      sym_identifier,
    STATE(9155), 1,
      sym_compound_type,
    STATE(9212), 1,
      sym_annotated_type,
    STATE(9461), 1,
      sym__structural_type,
    STATE(9571), 1,
      sym_template_body,
    STATE(16710), 1,
      sym_stable_identifier,
    STATE(4371), 2,
      sym_comment,
      sym_block_comment,
    STATE(5691), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8111), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7743), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [228302] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8119), 1,
      anon_sym_LBRACK,
    ACTIONS(8121), 1,
      anon_sym_AT,
    ACTIONS(8123), 1,
      anon_sym_LPAREN,
    ACTIONS(8125), 1,
      anon_sym_POUND,
    STATE(4825), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5313), 1,
      sym_type_arguments,
    STATE(5629), 1,
      sym_annotation,
    STATE(6685), 1,
      sym_arguments,
    STATE(4372), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [228365] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8127), 1,
      sym__alpha_identifier,
    ACTIONS(8129), 1,
      anon_sym_COLON,
    ACTIONS(8131), 1,
      anon_sym_LBRACE,
    ACTIONS(8133), 1,
      anon_sym__,
    ACTIONS(8137), 1,
      anon_sym_LPAREN,
    ACTIONS(8139), 1,
      sym__backquoted_id,
    ACTIONS(8141), 1,
      sym_operator_identifier,
    STATE(7574), 1,
      sym__annotated_type,
    STATE(7929), 1,
      sym__simple_type,
    STATE(9712), 1,
      sym__soft_identifier,
    STATE(9735), 1,
      sym__constructor_application,
    STATE(9770), 1,
      sym_identifier,
    STATE(10228), 1,
      sym_compound_type,
    STATE(10252), 1,
      sym_annotated_type,
    STATE(10332), 1,
      sym_template_body,
    STATE(10477), 1,
      sym__structural_type,
    STATE(16291), 1,
      sym_stable_identifier,
    STATE(4373), 2,
      sym_comment,
      sym_block_comment,
    STATE(10397), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8135), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9736), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [228448] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6704), 1,
      anon_sym_COLON,
    ACTIONS(6706), 1,
      anon_sym_LBRACE,
    ACTIONS(7254), 1,
      sym__alpha_identifier,
    ACTIONS(7256), 1,
      anon_sym__,
    ACTIONS(7262), 1,
      sym__backquoted_id,
    ACTIONS(7560), 1,
      anon_sym_LPAREN,
    ACTIONS(7562), 1,
      sym_operator_identifier,
    STATE(8233), 1,
      sym_compound_type,
    STATE(8922), 1,
      sym__structural_type,
    STATE(10991), 1,
      sym__simple_type,
    STATE(11065), 1,
      sym__soft_identifier,
    STATE(11177), 1,
      sym__annotated_type,
    STATE(11271), 1,
      sym_identifier,
    STATE(11604), 1,
      sym_template_body,
    STATE(12720), 1,
      sym_annotated_type,
    STATE(13968), 1,
      sym__constructor_application,
    STATE(15838), 1,
      sym_stable_identifier,
    STATE(4374), 2,
      sym_comment,
      sym_block_comment,
    STATE(8874), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7258), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11454), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [228531] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6266), 1,
      anon_sym_COLON,
    ACTIONS(6268), 1,
      anon_sym_LBRACE,
    ACTIONS(8143), 1,
      sym__alpha_identifier,
    ACTIONS(8145), 1,
      anon_sym__,
    ACTIONS(8149), 1,
      anon_sym_LPAREN,
    ACTIONS(8151), 1,
      sym__backquoted_id,
    ACTIONS(8153), 1,
      sym_operator_identifier,
    STATE(4688), 1,
      sym__annotated_type,
    STATE(4749), 1,
      sym__simple_type,
    STATE(6727), 1,
      sym_identifier,
    STATE(6960), 1,
      sym__constructor_application,
    STATE(7241), 1,
      sym__soft_identifier,
    STATE(8304), 1,
      sym_annotated_type,
    STATE(8635), 1,
      sym_compound_type,
    STATE(8864), 1,
      sym_template_body,
    STATE(9023), 1,
      sym__structural_type,
    STATE(16692), 1,
      sym_stable_identifier,
    STATE(4375), 2,
      sym_comment,
      sym_block_comment,
    STATE(9060), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8147), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7335), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [228614] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7640), 1,
      anon_sym_DQUOTE,
    ACTIONS(8155), 1,
      sym__interpolated_multiline_string_start,
    STATE(6527), 1,
      sym_interpolated_string,
    STATE(14364), 1,
      sym__interpolated_string_start,
    ACTIONS(7638), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4376), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [228671] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7670), 1,
      anon_sym_LBRACK,
    ACTIONS(7674), 1,
      anon_sym_POUND,
    ACTIONS(8157), 1,
      anon_sym_AT,
    STATE(4616), 1,
      sym_type_arguments,
    STATE(4634), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5365), 1,
      sym_annotation,
    STATE(4377), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [228730] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7338), 1,
      anon_sym_DOT,
    STATE(4378), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 23,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [228779] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6188), 1,
      anon_sym_COLON,
    ACTIONS(6190), 1,
      anon_sym_LBRACE,
    ACTIONS(8161), 1,
      sym__alpha_identifier,
    ACTIONS(8163), 1,
      anon_sym__,
    ACTIONS(8167), 1,
      anon_sym_LPAREN,
    ACTIONS(8169), 1,
      sym__backquoted_id,
    ACTIONS(8171), 1,
      sym_operator_identifier,
    STATE(4942), 1,
      sym__annotated_type,
    STATE(4949), 1,
      sym__simple_type,
    STATE(6841), 1,
      sym__soft_identifier,
    STATE(6948), 1,
      sym__constructor_application,
    STATE(7013), 1,
      sym_identifier,
    STATE(8288), 1,
      sym_compound_type,
    STATE(8501), 1,
      sym_annotated_type,
    STATE(8707), 1,
      sym__structural_type,
    STATE(9081), 1,
      sym_template_body,
    STATE(16511), 1,
      sym_stable_identifier,
    STATE(4379), 2,
      sym_comment,
      sym_block_comment,
    STATE(9104), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8165), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7256), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [228862] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4380), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7000), 23,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [228909] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4381), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(4132), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
      anon_sym_yield,
  [228956] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8173), 1,
      sym__alpha_identifier,
    ACTIONS(8175), 1,
      anon_sym_COLON,
    ACTIONS(8177), 1,
      anon_sym_LBRACE,
    ACTIONS(8179), 1,
      anon_sym__,
    ACTIONS(8183), 1,
      anon_sym_LPAREN,
    ACTIONS(8185), 1,
      sym__backquoted_id,
    ACTIONS(8187), 1,
      sym_operator_identifier,
    STATE(4196), 1,
      sym__simple_type,
    STATE(4203), 1,
      sym__annotated_type,
    STATE(4546), 1,
      sym__soft_identifier,
    STATE(4561), 1,
      sym__constructor_application,
    STATE(4635), 1,
      sym_identifier,
    STATE(4976), 1,
      sym_annotated_type,
    STATE(5200), 1,
      sym_compound_type,
    STATE(5391), 1,
      sym_template_body,
    STATE(5621), 1,
      sym__structural_type,
    STATE(16310), 1,
      sym_stable_identifier,
    STATE(4382), 2,
      sym_comment,
      sym_block_comment,
    STATE(5672), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8181), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4521), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [229039] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7580), 1,
      sym__backquoted_id,
    ACTIONS(7853), 1,
      anon_sym_COLON,
    ACTIONS(7855), 1,
      anon_sym_LBRACE,
    ACTIONS(7857), 1,
      anon_sym_with,
    STATE(4351), 1,
      aux_sym_compound_type_repeat1,
    STATE(7974), 1,
      sym_template_body,
    STATE(7976), 1,
      sym__refinement,
    ACTIONS(7698), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4383), 2,
      sym_comment,
      sym_block_comment,
    STATE(7751), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7694), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(7696), 7,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(7574), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [229106] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6488), 1,
      anon_sym_COLON,
    ACTIONS(6490), 1,
      anon_sym_LBRACE,
    ACTIONS(8189), 1,
      sym__alpha_identifier,
    ACTIONS(8191), 1,
      anon_sym__,
    ACTIONS(8195), 1,
      anon_sym_LPAREN,
    ACTIONS(8197), 1,
      sym__backquoted_id,
    ACTIONS(8199), 1,
      sym_operator_identifier,
    STATE(4557), 1,
      sym__annotated_type,
    STATE(4614), 1,
      sym__simple_type,
    STATE(6131), 1,
      sym__soft_identifier,
    STATE(6605), 1,
      sym__constructor_application,
    STATE(6607), 1,
      sym_identifier,
    STATE(7597), 1,
      sym_compound_type,
    STATE(7682), 1,
      sym_annotated_type,
    STATE(8245), 1,
      sym_template_body,
    STATE(8532), 1,
      sym__structural_type,
    STATE(16109), 1,
      sym_stable_identifier,
    STATE(4384), 2,
      sym_comment,
      sym_block_comment,
    STATE(8440), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8193), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6045), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [229189] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6234), 1,
      anon_sym_COLON,
    ACTIONS(6236), 1,
      anon_sym_LBRACE,
    ACTIONS(8201), 1,
      sym__alpha_identifier,
    ACTIONS(8203), 1,
      anon_sym__,
    ACTIONS(8207), 1,
      anon_sym_LPAREN,
    ACTIONS(8209), 1,
      sym__backquoted_id,
    ACTIONS(8211), 1,
      sym_operator_identifier,
    STATE(4469), 1,
      sym__simple_type,
    STATE(4476), 1,
      sym__annotated_type,
    STATE(5464), 1,
      sym__constructor_application,
    STATE(5475), 1,
      sym__soft_identifier,
    STATE(5632), 1,
      sym_identifier,
    STATE(6803), 1,
      sym_annotated_type,
    STATE(7252), 1,
      sym_compound_type,
    STATE(7450), 1,
      sym__structural_type,
    STATE(7466), 1,
      sym_template_body,
    STATE(16680), 1,
      sym_stable_identifier,
    STATE(4385), 2,
      sym_comment,
      sym_block_comment,
    STATE(7501), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8205), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5935), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [229272] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7831), 1,
      anon_sym_COLON,
    ACTIONS(7833), 1,
      anon_sym_LBRACE,
    ACTIONS(7835), 1,
      anon_sym_with,
    STATE(4971), 1,
      aux_sym_compound_type_repeat1,
    STATE(7551), 1,
      sym__refinement,
    STATE(7585), 1,
      sym_template_body,
    STATE(4386), 2,
      sym_comment,
      sym_block_comment,
    STATE(7798), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7668), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7666), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [229333] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8213), 1,
      anon_sym_with,
    STATE(4465), 1,
      aux_sym_compound_type_repeat1,
    STATE(6935), 1,
      sym__refinement,
    STATE(6936), 1,
      sym_template_body,
    STATE(7162), 1,
      sym_arguments,
    STATE(4387), 2,
      sym_comment,
      sym_block_comment,
    STATE(6713), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7498), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7496), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [229392] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8215), 1,
      anon_sym_with,
    STATE(4459), 1,
      aux_sym_compound_type_repeat1,
    STATE(6685), 1,
      sym_arguments,
    STATE(6706), 1,
      sym__refinement,
    STATE(6707), 1,
      sym_template_body,
    STATE(4388), 2,
      sym_comment,
      sym_block_comment,
    STATE(7206), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7498), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7496), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [229451] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8217), 1,
      anon_sym_LBRACK,
    ACTIONS(8219), 1,
      anon_sym_LPAREN,
    ACTIONS(8221), 1,
      anon_sym_POUND,
    STATE(4537), 1,
      aux_sym_annotation_repeat1,
    STATE(4712), 1,
      sym_type_arguments,
    STATE(5237), 1,
      sym_arguments,
    STATE(4389), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7530), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7528), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [229510] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7614), 1,
      anon_sym_LBRACK,
    ACTIONS(7618), 1,
      anon_sym_POUND,
    ACTIONS(8223), 1,
      anon_sym_AT,
    STATE(4601), 1,
      sym_type_arguments,
    STATE(4666), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5036), 1,
      sym_annotation,
    STATE(4390), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [229569] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7997), 1,
      anon_sym_COLON,
    ACTIONS(7999), 1,
      anon_sym_LBRACE,
    ACTIONS(8001), 1,
      anon_sym_with,
    STATE(4361), 1,
      aux_sym_compound_type_repeat1,
    STATE(7981), 1,
      sym__refinement,
    STATE(7982), 1,
      sym_template_body,
    STATE(4391), 2,
      sym_comment,
      sym_block_comment,
    STATE(7427), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7580), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7574), 18,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [229630] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4392), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8227), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8225), 25,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [229677] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(892), 1,
      anon_sym_LBRACE,
    ACTIONS(7472), 1,
      anon_sym_LPAREN,
    ACTIONS(8059), 1,
      anon_sym_DOT,
    ACTIONS(8063), 1,
      anon_sym_EQ,
    STATE(621), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(4393), 2,
      sym_comment,
      sym_block_comment,
    STATE(5396), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8231), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8229), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [229738] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7544), 1,
      anon_sym_LBRACK,
    ACTIONS(7550), 1,
      anon_sym_POUND,
    ACTIONS(8233), 1,
      anon_sym_LPAREN,
    STATE(4576), 1,
      aux_sym_annotation_repeat1,
    STATE(4727), 1,
      sym_type_arguments,
    STATE(5035), 1,
      sym_arguments,
    STATE(4394), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7530), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7528), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [229797] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7658), 1,
      anon_sym_LBRACK,
    ACTIONS(7664), 1,
      anon_sym_POUND,
    ACTIONS(8235), 1,
      anon_sym_LPAREN,
    STATE(4535), 1,
      aux_sym_annotation_repeat1,
    STATE(4963), 1,
      sym_type_arguments,
    STATE(5040), 1,
      sym_arguments,
    STATE(4395), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7530), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7528), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [229856] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8237), 1,
      anon_sym_DOT,
    STATE(4396), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 23,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [229905] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(892), 1,
      anon_sym_LBRACE,
    ACTIONS(7472), 1,
      anon_sym_LPAREN,
    ACTIONS(8059), 1,
      anon_sym_DOT,
    STATE(621), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(4397), 2,
      sym_comment,
      sym_block_comment,
    STATE(5396), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8241), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8239), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [229964] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7600), 1,
      anon_sym_with,
    STATE(5331), 1,
      aux_sym_compound_type_repeat1,
    STATE(6517), 1,
      sym__refinement,
    STATE(6531), 1,
      sym_template_body,
    STATE(4398), 2,
      sym_comment,
      sym_block_comment,
    STATE(6176), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7668), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7666), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [230021] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6584), 1,
      anon_sym_COLON,
    ACTIONS(6586), 1,
      anon_sym_LBRACE,
    ACTIONS(8243), 1,
      sym__alpha_identifier,
    ACTIONS(8245), 1,
      anon_sym__,
    ACTIONS(8249), 1,
      anon_sym_LPAREN,
    ACTIONS(8251), 1,
      sym__backquoted_id,
    ACTIONS(8253), 1,
      sym_operator_identifier,
    STATE(5344), 1,
      sym__annotated_type,
    STATE(5363), 1,
      sym__simple_type,
    STATE(7424), 1,
      sym__soft_identifier,
    STATE(7461), 1,
      sym__constructor_application,
    STATE(7894), 1,
      sym_identifier,
    STATE(8782), 1,
      sym_annotated_type,
    STATE(8981), 1,
      sym_compound_type,
    STATE(9496), 1,
      sym_template_body,
    STATE(9524), 1,
      sym__structural_type,
    STATE(16438), 1,
      sym_stable_identifier,
    STATE(4399), 2,
      sym_comment,
      sym_block_comment,
    STATE(5616), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8247), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8001), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [230104] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8119), 1,
      anon_sym_LBRACK,
    ACTIONS(8121), 1,
      anon_sym_AT,
    ACTIONS(8125), 1,
      anon_sym_POUND,
    STATE(4825), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5313), 1,
      sym_type_arguments,
    STATE(5629), 1,
      sym_annotation,
    STATE(4400), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [230162] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7991), 1,
      anon_sym_LBRACK,
    ACTIONS(7995), 1,
      anon_sym_POUND,
    ACTIONS(8255), 1,
      anon_sym_AT,
    STATE(4790), 1,
      aux_sym_enum_definition_repeat1,
    STATE(4913), 1,
      sym_type_arguments,
    STATE(5628), 1,
      sym_annotation,
    STATE(4401), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [230220] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(936), 1,
      anon_sym_LBRACE,
    ACTIONS(7662), 1,
      anon_sym_LPAREN,
    ACTIONS(8257), 1,
      anon_sym_DOT,
    STATE(621), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(4402), 2,
      sym_comment,
      sym_block_comment,
    STATE(6472), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8241), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8239), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [230278] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7580), 1,
      sym__backquoted_id,
    ACTIONS(8259), 1,
      anon_sym_COLON,
    ACTIONS(8261), 1,
      anon_sym_LBRACE,
    ACTIONS(8263), 1,
      anon_sym_with,
    STATE(4442), 1,
      aux_sym_compound_type_repeat1,
    STATE(8080), 1,
      sym__refinement,
    STATE(8091), 1,
      sym_template_body,
    ACTIONS(7698), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4403), 2,
      sym_comment,
      sym_block_comment,
    STATE(8573), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7694), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(7696), 6,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(7574), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [230344] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8265), 1,
      anon_sym_DOT,
    STATE(4404), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [230392] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4405), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(4132), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
      anon_sym_yield,
  [230438] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4406), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [230484] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4407), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8267), 23,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [230530] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8119), 1,
      anon_sym_LBRACK,
    ACTIONS(8125), 1,
      anon_sym_POUND,
    ACTIONS(8269), 1,
      anon_sym_LPAREN,
    STATE(4782), 1,
      aux_sym_annotation_repeat1,
    STATE(5313), 1,
      sym_type_arguments,
    STATE(5501), 1,
      sym_arguments,
    STATE(4408), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7530), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7528), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [230588] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4409), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8271), 23,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [230634] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7338), 1,
      anon_sym_DOT,
    STATE(4410), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [230682] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7338), 1,
      anon_sym_DOT,
    STATE(4411), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [230730] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(972), 1,
      anon_sym_LBRACE,
    ACTIONS(7548), 1,
      anon_sym_LPAREN,
    ACTIONS(8273), 1,
      anon_sym_DOT,
    STATE(621), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(4412), 2,
      sym_comment,
      sym_block_comment,
    STATE(6528), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8241), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8239), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [230788] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8275), 1,
      anon_sym_COLON,
    ACTIONS(8277), 1,
      anon_sym_LBRACE,
    ACTIONS(8279), 1,
      anon_sym_with,
    STATE(4423), 1,
      aux_sym_compound_type_repeat1,
    STATE(8163), 1,
      sym_template_body,
    STATE(8165), 1,
      sym__refinement,
    STATE(4413), 2,
      sym_comment,
      sym_block_comment,
    STATE(8593), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7580), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7574), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [230848] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8285), 1,
      anon_sym_AT,
    STATE(4786), 1,
      sym_annotation,
    STATE(4414), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8283), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8281), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [230898] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7712), 1,
      anon_sym_AT,
    STATE(4414), 1,
      aux_sym_enum_definition_repeat1,
    STATE(4786), 1,
      sym_annotation,
    STATE(4415), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8288), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [230950] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7470), 1,
      anon_sym_AT,
    STATE(4439), 1,
      aux_sym_enum_definition_repeat1,
    STATE(4878), 1,
      sym_annotation,
    STATE(4416), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8288), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [231002] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7580), 1,
      sym__backquoted_id,
    ACTIONS(8292), 1,
      anon_sym_COLON,
    ACTIONS(8294), 1,
      anon_sym_LBRACE,
    ACTIONS(8296), 1,
      anon_sym_with,
    STATE(4452), 1,
      aux_sym_compound_type_repeat1,
    STATE(8520), 1,
      sym__refinement,
    STATE(8522), 1,
      sym_template_body,
    ACTIONS(7698), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4417), 2,
      sym_comment,
      sym_block_comment,
    STATE(8127), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7694), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(7696), 6,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(7574), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [231068] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8237), 1,
      anon_sym_DOT,
    ACTIONS(8298), 1,
      anon_sym_EQ_GT,
    STATE(4418), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [231118] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4419), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7000), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [231164] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(936), 1,
      anon_sym_LBRACE,
    ACTIONS(7662), 1,
      anon_sym_LPAREN,
    ACTIONS(8051), 1,
      sym__alpha_identifier,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8063), 1,
      anon_sym_EQ,
    ACTIONS(8065), 1,
      sym__backquoted_id,
    ACTIONS(8257), 1,
      anon_sym_DOT,
    ACTIONS(8300), 1,
      sym_operator_identifier,
    STATE(1721), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(4420), 2,
      sym_comment,
      sym_block_comment,
    STATE(6472), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8055), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8061), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(8057), 7,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [231234] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8302), 1,
      anon_sym_COLON,
    ACTIONS(8304), 1,
      anon_sym_LBRACE,
    ACTIONS(8306), 1,
      anon_sym_with,
    STATE(4460), 1,
      aux_sym_compound_type_repeat1,
    STATE(8544), 1,
      sym__refinement,
    STATE(8546), 1,
      sym_template_body,
    STATE(4421), 2,
      sym_comment,
      sym_block_comment,
    STATE(8109), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7580), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7574), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [231294] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8308), 1,
      anon_sym_LBRACK,
    ACTIONS(8310), 1,
      anon_sym_AT,
    ACTIONS(8312), 1,
      anon_sym_LPAREN,
    ACTIONS(8314), 1,
      anon_sym_POUND,
    STATE(5327), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5498), 1,
      sym_type_arguments,
    STATE(6515), 1,
      sym_annotation,
    STATE(7514), 1,
      sym_arguments,
    STATE(4422), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [231356] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8275), 1,
      anon_sym_COLON,
    ACTIONS(8277), 1,
      anon_sym_LBRACE,
    ACTIONS(8279), 1,
      anon_sym_with,
    STATE(5835), 1,
      aux_sym_compound_type_repeat1,
    STATE(8163), 1,
      sym_template_body,
    STATE(8177), 1,
      sym__refinement,
    STATE(4423), 2,
      sym_comment,
      sym_block_comment,
    STATE(8593), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7668), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7666), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [231416] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4424), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7704), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8316), 23,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [231462] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7766), 1,
      anon_sym_LBRACK,
    ACTIONS(7768), 1,
      anon_sym_AT,
    ACTIONS(7772), 1,
      anon_sym_POUND,
    STATE(4902), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5328), 1,
      sym_type_arguments,
    STATE(5698), 1,
      sym_annotation,
    STATE(4425), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [231520] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8318), 1,
      anon_sym_LPAREN,
    STATE(4868), 1,
      sym_arguments,
    STATE(4426), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(7788), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7786), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [231570] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7654), 1,
      anon_sym_LPAREN,
    STATE(4428), 1,
      aux_sym_annotation_repeat1,
    STATE(4855), 1,
      sym_arguments,
    STATE(4427), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7817), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7815), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [231622] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8321), 1,
      anon_sym_LPAREN,
    STATE(4855), 1,
      sym_arguments,
    STATE(4428), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(7788), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7786), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [231672] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7672), 1,
      anon_sym_LPAREN,
    STATE(4426), 1,
      aux_sym_annotation_repeat1,
    STATE(4868), 1,
      sym_arguments,
    STATE(4429), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7817), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7815), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [231724] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4430), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7716), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8324), 23,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [231770] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7580), 1,
      sym__backquoted_id,
    ACTIONS(8302), 1,
      anon_sym_COLON,
    ACTIONS(8304), 1,
      anon_sym_LBRACE,
    ACTIONS(8306), 1,
      anon_sym_with,
    STATE(4460), 1,
      aux_sym_compound_type_repeat1,
    STATE(8544), 1,
      sym__refinement,
    STATE(8546), 1,
      sym_template_body,
    ACTIONS(7698), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4431), 2,
      sym_comment,
      sym_block_comment,
    STATE(8109), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7694), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(7696), 6,
      anon_sym_case,
      anon_sym_if,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(7574), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [231836] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4432), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7552), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8326), 23,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [231882] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      anon_sym_COLON,
    ACTIONS(8294), 1,
      anon_sym_LBRACE,
    ACTIONS(8296), 1,
      anon_sym_with,
    STATE(4452), 1,
      aux_sym_compound_type_repeat1,
    STATE(8520), 1,
      sym__refinement,
    STATE(8522), 1,
      sym_template_body,
    STATE(4433), 2,
      sym_comment,
      sym_block_comment,
    STATE(8127), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7580), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7574), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [231942] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(972), 1,
      anon_sym_LBRACE,
    ACTIONS(7548), 1,
      anon_sym_LPAREN,
    ACTIONS(8051), 1,
      sym__alpha_identifier,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8063), 1,
      anon_sym_EQ,
    ACTIONS(8065), 1,
      sym__backquoted_id,
    ACTIONS(8273), 1,
      anon_sym_DOT,
    ACTIONS(8328), 1,
      sym_operator_identifier,
    STATE(1761), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(4434), 2,
      sym_comment,
      sym_block_comment,
    STATE(6528), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8055), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8061), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(8057), 7,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [232012] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8330), 1,
      anon_sym_LBRACK,
    ACTIONS(8332), 1,
      anon_sym_LPAREN,
    ACTIONS(8334), 1,
      anon_sym_POUND,
    STATE(4850), 1,
      aux_sym_annotation_repeat1,
    STATE(5113), 1,
      sym_type_arguments,
    STATE(5847), 1,
      sym_arguments,
    STATE(4435), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7530), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7528), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [232070] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7871), 1,
      anon_sym_LBRACK,
    ACTIONS(7875), 1,
      anon_sym_POUND,
    ACTIONS(8336), 1,
      anon_sym_AT,
    STATE(4785), 1,
      aux_sym_enum_definition_repeat1,
    STATE(4896), 1,
      sym_type_arguments,
    STATE(5611), 1,
      sym_annotation,
    STATE(4436), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [232128] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4437), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 10,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(4132), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
      anon_sym_yield,
  [232174] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8338), 1,
      anon_sym_LBRACK,
    ACTIONS(8340), 1,
      anon_sym_AT,
    ACTIONS(8342), 1,
      anon_sym_LPAREN,
    ACTIONS(8344), 1,
      anon_sym_POUND,
    STATE(5037), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5399), 1,
      sym_type_arguments,
    STATE(5993), 1,
      sym_annotation,
    STATE(7724), 1,
      sym_arguments,
    STATE(4438), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [232236] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8346), 1,
      anon_sym_AT,
    STATE(4878), 1,
      sym_annotation,
    STATE(4439), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8283), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8281), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [232286] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4440), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 23,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [232332] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7616), 1,
      anon_sym_LPAREN,
    STATE(4446), 1,
      aux_sym_annotation_repeat1,
    STATE(4927), 1,
      sym_arguments,
    STATE(4441), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7817), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7815), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [232384] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8259), 1,
      anon_sym_COLON,
    ACTIONS(8261), 1,
      anon_sym_LBRACE,
    ACTIONS(8263), 1,
      anon_sym_with,
    STATE(5875), 1,
      aux_sym_compound_type_repeat1,
    STATE(8091), 1,
      sym_template_body,
    STATE(8105), 1,
      sym__refinement,
    STATE(4442), 2,
      sym_comment,
      sym_block_comment,
    STATE(8573), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7668), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7666), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [232444] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8217), 1,
      anon_sym_LBRACK,
    ACTIONS(8221), 1,
      anon_sym_POUND,
    ACTIONS(8349), 1,
      anon_sym_AT,
    STATE(4712), 1,
      sym_type_arguments,
    STATE(4863), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5661), 1,
      sym_annotation,
    STATE(4443), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [232502] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4444), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [232548] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7766), 1,
      anon_sym_LBRACK,
    ACTIONS(7772), 1,
      anon_sym_POUND,
    ACTIONS(8351), 1,
      anon_sym_LPAREN,
    STATE(4761), 1,
      aux_sym_annotation_repeat1,
    STATE(5328), 1,
      sym_type_arguments,
    STATE(5417), 1,
      sym_arguments,
    STATE(4445), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7530), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7528), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [232606] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8353), 1,
      anon_sym_LPAREN,
    STATE(4927), 1,
      sym_arguments,
    STATE(4446), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(7788), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7786), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [232656] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7891), 1,
      anon_sym_LBRACK,
    ACTIONS(7895), 1,
      anon_sym_POUND,
    ACTIONS(8356), 1,
      anon_sym_AT,
    STATE(4715), 1,
      sym_type_arguments,
    STATE(4931), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5749), 1,
      sym_annotation,
    STATE(4447), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [232714] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8097), 1,
      anon_sym_with,
    STATE(5735), 1,
      aux_sym_compound_type_repeat1,
    STATE(6692), 1,
      sym_template_body,
    STATE(6699), 1,
      sym__refinement,
    STATE(4448), 2,
      sym_comment,
      sym_block_comment,
    STATE(6718), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7668), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7666), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [232770] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4449), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7000), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [232816] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4450), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7584), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 23,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [232862] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4451), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7330), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8360), 23,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [232908] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      anon_sym_COLON,
    ACTIONS(8294), 1,
      anon_sym_LBRACE,
    ACTIONS(8296), 1,
      anon_sym_with,
    STATE(5505), 1,
      aux_sym_compound_type_repeat1,
    STATE(8507), 1,
      sym__refinement,
    STATE(8522), 1,
      sym_template_body,
    STATE(4452), 2,
      sym_comment,
      sym_block_comment,
    STATE(8127), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7668), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7666), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [232968] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8362), 1,
      anon_sym_COLON,
    ACTIONS(8364), 1,
      anon_sym_LBRACE,
    ACTIONS(8366), 1,
      anon_sym_with,
    STATE(4466), 1,
      aux_sym_compound_type_repeat1,
    STATE(8479), 1,
      sym__refinement,
    STATE(8480), 1,
      sym_template_body,
    STATE(4453), 2,
      sym_comment,
      sym_block_comment,
    STATE(8207), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7580), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7574), 18,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [233028] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8368), 1,
      anon_sym_LBRACK,
    ACTIONS(8370), 1,
      anon_sym_LPAREN,
    ACTIONS(8372), 1,
      anon_sym_POUND,
    STATE(4893), 1,
      aux_sym_annotation_repeat1,
    STATE(5272), 1,
      sym_type_arguments,
    STATE(5833), 1,
      sym_arguments,
    STATE(4454), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7530), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7528), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [233086] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4455), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 10,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(7000), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
      anon_sym_yield,
  [233132] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8259), 1,
      anon_sym_COLON,
    ACTIONS(8261), 1,
      anon_sym_LBRACE,
    ACTIONS(8263), 1,
      anon_sym_with,
    STATE(4442), 1,
      aux_sym_compound_type_repeat1,
    STATE(8080), 1,
      sym__refinement,
    STATE(8091), 1,
      sym_template_body,
    STATE(4456), 2,
      sym_comment,
      sym_block_comment,
    STATE(8573), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7580), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7574), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [233192] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8374), 1,
      anon_sym_LBRACK,
    ACTIONS(8376), 1,
      anon_sym_LPAREN,
    ACTIONS(8378), 1,
      anon_sym_POUND,
    STATE(4869), 1,
      aux_sym_annotation_repeat1,
    STATE(5061), 1,
      sym_type_arguments,
    STATE(5900), 1,
      sym_arguments,
    STATE(4457), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7530), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7528), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [233250] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8380), 1,
      anon_sym_LBRACK,
    ACTIONS(8382), 1,
      anon_sym_LPAREN,
    ACTIONS(8384), 1,
      anon_sym_POUND,
    STATE(4916), 1,
      aux_sym_annotation_repeat1,
    STATE(5004), 1,
      sym_type_arguments,
    STATE(5650), 1,
      sym_arguments,
    STATE(4458), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7530), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7528), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [233308] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8215), 1,
      anon_sym_with,
    STATE(5810), 1,
      aux_sym_compound_type_repeat1,
    STATE(6673), 1,
      sym__refinement,
    STATE(6707), 1,
      sym_template_body,
    STATE(4459), 2,
      sym_comment,
      sym_block_comment,
    STATE(7206), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7668), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7666), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [233364] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8302), 1,
      anon_sym_COLON,
    ACTIONS(8304), 1,
      anon_sym_LBRACE,
    ACTIONS(8306), 1,
      anon_sym_with,
    STATE(5434), 1,
      aux_sym_compound_type_repeat1,
    STATE(8527), 1,
      sym__refinement,
    STATE(8546), 1,
      sym_template_body,
    STATE(4460), 2,
      sym_comment,
      sym_block_comment,
    STATE(8109), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7668), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7666), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [233424] = 22,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4900), 1,
      anon_sym_AT,
    ACTIONS(7384), 1,
      sym__alpha_identifier,
    ACTIONS(7392), 1,
      anon_sym_inline,
    ACTIONS(7394), 1,
      anon_sym_infix,
    ACTIONS(7396), 1,
      anon_sym_open,
    ACTIONS(7398), 1,
      anon_sym_transparent,
    ACTIONS(7404), 1,
      sym__backquoted_id,
    ACTIONS(8388), 1,
      sym_operator_identifier,
    STATE(7040), 1,
      aux_sym_modifiers_repeat1,
    STATE(9124), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9748), 1,
      sym_annotation,
    STATE(11683), 1,
      sym_modifiers,
    STATE(14165), 1,
      sym_identifier,
    STATE(14173), 1,
      sym__soft_identifier,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(7386), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8386), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4461), 2,
      sym_comment,
      sym_block_comment,
    STATE(6204), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [233504] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4462), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(7000), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
      anon_sym_yield,
  [233550] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8390), 1,
      anon_sym_with,
    STATE(4577), 1,
      aux_sym_compound_type_repeat1,
    STATE(7514), 1,
      sym_arguments,
    STATE(7522), 1,
      sym__refinement,
    STATE(7546), 1,
      sym_template_body,
    STATE(4463), 2,
      sym_comment,
      sym_block_comment,
    STATE(7608), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7498), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7496), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [233608] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4464), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8392), 23,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [233654] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8213), 1,
      anon_sym_with,
    STATE(5856), 1,
      aux_sym_compound_type_repeat1,
    STATE(6912), 1,
      sym__refinement,
    STATE(6936), 1,
      sym_template_body,
    STATE(4465), 2,
      sym_comment,
      sym_block_comment,
    STATE(6713), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7668), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7666), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [233710] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8362), 1,
      anon_sym_COLON,
    ACTIONS(8364), 1,
      anon_sym_LBRACE,
    ACTIONS(8366), 1,
      anon_sym_with,
    STATE(5544), 1,
      aux_sym_compound_type_repeat1,
    STATE(8466), 1,
      sym__refinement,
    STATE(8480), 1,
      sym_template_body,
    STATE(4466), 2,
      sym_comment,
      sym_block_comment,
    STATE(8207), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7668), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7666), 18,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [233770] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8099), 1,
      anon_sym_LBRACK,
    ACTIONS(8101), 1,
      anon_sym_AT,
    ACTIONS(8105), 1,
      anon_sym_POUND,
    STATE(4924), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5317), 1,
      sym_type_arguments,
    STATE(5478), 1,
      sym_annotation,
    STATE(4467), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [233828] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7580), 1,
      sym__backquoted_id,
    ACTIONS(8362), 1,
      anon_sym_COLON,
    ACTIONS(8364), 1,
      anon_sym_LBRACE,
    ACTIONS(8366), 1,
      anon_sym_with,
    STATE(4466), 1,
      aux_sym_compound_type_repeat1,
    STATE(8479), 1,
      sym__refinement,
    STATE(8480), 1,
      sym_template_body,
    ACTIONS(7698), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4468), 2,
      sym_comment,
      sym_block_comment,
    STATE(8207), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7694), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(7696), 7,
      anon_sym_STAR,
      anon_sym_while,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(7574), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [233894] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8394), 1,
      anon_sym_LBRACK,
    ACTIONS(8396), 1,
      anon_sym_AT,
    ACTIONS(8398), 1,
      anon_sym_LPAREN,
    ACTIONS(8400), 1,
      anon_sym_POUND,
    STATE(5115), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5941), 1,
      sym_type_arguments,
    STATE(6629), 1,
      sym_annotation,
    STATE(7390), 1,
      sym_arguments,
    STATE(4469), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [233956] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4470), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7372), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8402), 23,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [234002] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7580), 1,
      sym__backquoted_id,
    ACTIONS(8275), 1,
      anon_sym_COLON,
    ACTIONS(8277), 1,
      anon_sym_LBRACE,
    ACTIONS(8279), 1,
      anon_sym_with,
    STATE(4423), 1,
      aux_sym_compound_type_repeat1,
    STATE(8163), 1,
      sym_template_body,
    STATE(8165), 1,
      sym__refinement,
    ACTIONS(7698), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4471), 2,
      sym_comment,
      sym_block_comment,
    STATE(8593), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7694), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(7696), 6,
      anon_sym_case,
      anon_sym_if,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(7574), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [234068] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4472), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7710), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8404), 23,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [234114] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4473), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7714), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8406), 23,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [234160] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4474), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(4132), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
      anon_sym_yield,
  [234206] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8099), 1,
      anon_sym_LBRACK,
    ACTIONS(8105), 1,
      anon_sym_POUND,
    ACTIONS(8408), 1,
      anon_sym_LPAREN,
    STATE(4846), 1,
      aux_sym_annotation_repeat1,
    STATE(5317), 1,
      sym_type_arguments,
    STATE(5925), 1,
      sym_arguments,
    STATE(4475), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7530), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7528), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [234264] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8410), 1,
      anon_sym_with,
    STATE(4620), 1,
      aux_sym_compound_type_repeat1,
    STATE(7390), 1,
      sym_arguments,
    STATE(7775), 1,
      sym_template_body,
    STATE(7776), 1,
      sym__refinement,
    STATE(4476), 2,
      sym_comment,
      sym_block_comment,
    STATE(7501), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7498), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7496), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [234322] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7640), 1,
      anon_sym_DQUOTE,
    ACTIONS(8412), 1,
      sym__interpolated_multiline_string_start,
    STATE(7075), 1,
      sym_interpolated_string,
    STATE(15449), 1,
      sym__interpolated_string_start,
    ACTIONS(7638), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4477), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [234378] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8414), 1,
      anon_sym_with,
    STATE(4648), 1,
      aux_sym_compound_type_repeat1,
    STATE(7724), 1,
      sym_arguments,
    STATE(7896), 1,
      sym__refinement,
    STATE(7899), 1,
      sym_template_body,
    STATE(4478), 2,
      sym_comment,
      sym_block_comment,
    STATE(7946), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7498), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7496), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [234436] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8416), 1,
      anon_sym_LPAREN,
    STATE(4755), 1,
      sym_arguments,
    STATE(4479), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(7788), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7786), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [234486] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4480), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [234532] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(972), 1,
      anon_sym_LBRACE,
    ACTIONS(7548), 1,
      anon_sym_LPAREN,
    ACTIONS(8063), 1,
      anon_sym_EQ,
    ACTIONS(8273), 1,
      anon_sym_DOT,
    STATE(621), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(4481), 2,
      sym_comment,
      sym_block_comment,
    STATE(6528), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8231), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8229), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [234592] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4482), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(7000), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
      anon_sym_yield,
  [234638] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8419), 1,
      anon_sym_DOT,
    STATE(4483), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [234686] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7564), 1,
      anon_sym_LPAREN,
    STATE(4479), 1,
      aux_sym_annotation_repeat1,
    STATE(4755), 1,
      sym_arguments,
    STATE(4484), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7817), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7815), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [234738] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4485), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(7000), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
      anon_sym_yield,
  [234784] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8421), 1,
      anon_sym_LBRACK,
    ACTIONS(8423), 1,
      anon_sym_LPAREN,
    ACTIONS(8425), 1,
      anon_sym_POUND,
    STATE(4899), 1,
      aux_sym_annotation_repeat1,
    STATE(5240), 1,
      sym_type_arguments,
    STATE(5953), 1,
      sym_arguments,
    STATE(4486), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7530), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7528), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [234842] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8427), 1,
      anon_sym_LBRACK,
    ACTIONS(8429), 1,
      anon_sym_LPAREN,
    ACTIONS(8431), 1,
      anon_sym_POUND,
    STATE(4883), 1,
      aux_sym_annotation_repeat1,
    STATE(5025), 1,
      sym_type_arguments,
    STATE(5801), 1,
      sym_arguments,
    STATE(4487), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7530), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7528), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [234900] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8029), 1,
      anon_sym_LBRACK,
    ACTIONS(8033), 1,
      anon_sym_POUND,
    ACTIONS(8433), 1,
      anon_sym_AT,
    STATE(4826), 1,
      sym_type_arguments,
    STATE(4947), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5527), 1,
      sym_annotation,
    STATE(4488), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [234958] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4489), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7720), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8435), 23,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [235004] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8437), 1,
      anon_sym_DOT,
    STATE(4490), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [235052] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7640), 1,
      anon_sym_DQUOTE,
    ACTIONS(8439), 1,
      sym__interpolated_multiline_string_start,
    STATE(6891), 1,
      sym_interpolated_string,
    STATE(15213), 1,
      sym__interpolated_string_start,
    ACTIONS(7638), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4491), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [235108] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8441), 1,
      anon_sym_LBRACK,
    ACTIONS(8443), 1,
      anon_sym_LPAREN,
    ACTIONS(8445), 1,
      anon_sym_POUND,
    STATE(4937), 1,
      aux_sym_annotation_repeat1,
    STATE(5101), 1,
      sym_type_arguments,
    STATE(5978), 1,
      sym_arguments,
    STATE(4492), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7530), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7528), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [235166] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(936), 1,
      anon_sym_LBRACE,
    ACTIONS(7662), 1,
      anon_sym_LPAREN,
    ACTIONS(8063), 1,
      anon_sym_EQ,
    ACTIONS(8257), 1,
      anon_sym_DOT,
    STATE(621), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(4493), 2,
      sym_comment,
      sym_block_comment,
    STATE(6472), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8231), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8229), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [235226] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4494), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7000), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [235272] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7640), 1,
      anon_sym_DQUOTE,
    ACTIONS(8447), 1,
      sym__interpolated_multiline_string_start,
    STATE(7201), 1,
      sym_interpolated_string,
    STATE(15365), 1,
      sym__interpolated_string_start,
    ACTIONS(7638), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4495), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [235328] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7338), 1,
      anon_sym_DOT,
    STATE(4496), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [235376] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4497), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7552), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8326), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [235421] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4498), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8267), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [235466] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4499), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8267), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [235511] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4500), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7372), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8402), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [235556] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8265), 1,
      anon_sym_DOT,
    ACTIONS(8449), 1,
      anon_sym_EQ_GT,
    STATE(4501), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [235605] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4502), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7714), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8406), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [235650] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4503), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7710), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8404), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [235695] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8368), 1,
      anon_sym_LBRACK,
    ACTIONS(8372), 1,
      anon_sym_POUND,
    ACTIONS(8451), 1,
      anon_sym_AT,
    STATE(5272), 1,
      sym_type_arguments,
    STATE(5323), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6007), 1,
      sym_annotation,
    STATE(4504), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [235752] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8338), 1,
      anon_sym_LBRACK,
    ACTIONS(8344), 1,
      anon_sym_POUND,
    ACTIONS(8453), 1,
      anon_sym_LPAREN,
    STATE(5075), 1,
      aux_sym_annotation_repeat1,
    STATE(5399), 1,
      sym_type_arguments,
    STATE(6641), 1,
      sym_arguments,
    STATE(4505), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7530), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7528), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [235809] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7580), 1,
      sym__backquoted_id,
    ACTIONS(8455), 1,
      anon_sym_COLON,
    ACTIONS(8457), 1,
      anon_sym_LBRACE,
    ACTIONS(8459), 1,
      anon_sym_with,
    STATE(4623), 1,
      aux_sym_compound_type_repeat1,
    STATE(8153), 1,
      sym_template_body,
    STATE(8154), 1,
      sym__refinement,
    ACTIONS(7698), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4506), 2,
      sym_comment,
      sym_block_comment,
    STATE(8307), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7694), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(7696), 5,
      anon_sym_case,
      anon_sym_if,
      anon_sym_EQ,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(7574), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [235874] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4507), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 10,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(7000), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
      anon_sym_yield,
  [235919] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4508), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8271), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [235964] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7893), 1,
      anon_sym_LPAREN,
    STATE(4513), 1,
      aux_sym_annotation_repeat1,
    STATE(5248), 1,
      sym_arguments,
    STATE(4509), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7817), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7815), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [236015] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4510), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [236060] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8461), 1,
      anon_sym_DOT,
    STATE(4511), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 22,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [236107] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4512), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7720), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8435), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [236152] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8463), 1,
      anon_sym_LPAREN,
    STATE(5248), 1,
      sym_arguments,
    STATE(4513), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(7788), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7786), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [236201] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4514), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7710), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8404), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [236246] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7640), 1,
      anon_sym_DQUOTE,
    ACTIONS(8466), 1,
      sym__interpolated_multiline_string_start,
    STATE(8031), 1,
      sym_interpolated_string,
    STATE(14410), 1,
      sym__interpolated_string_start,
    ACTIONS(7638), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4515), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [236301] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4516), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7714), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8406), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [236346] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4517), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7720), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8435), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [236391] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4518), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7710), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8404), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [236436] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8468), 1,
      anon_sym_COLON,
    ACTIONS(8470), 1,
      anon_sym_LBRACE,
    ACTIONS(8472), 1,
      anon_sym_with,
    STATE(4573), 1,
      aux_sym_compound_type_repeat1,
    STATE(9045), 1,
      sym_template_body,
    STATE(9051), 1,
      sym__refinement,
    STATE(4519), 2,
      sym_comment,
      sym_block_comment,
    STATE(9174), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7580), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7574), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [236495] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4520), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7704), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8316), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [236540] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4521), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8271), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [236585] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4522), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8392), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [236630] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8474), 1,
      anon_sym_COLON,
    ACTIONS(8476), 1,
      anon_sym_LBRACE,
    ACTIONS(8478), 1,
      anon_sym_with,
    STATE(4536), 1,
      aux_sym_compound_type_repeat1,
    STATE(8733), 1,
      sym__refinement,
    STATE(8738), 1,
      sym_template_body,
    STATE(4523), 2,
      sym_comment,
      sym_block_comment,
    STATE(9071), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7580), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7574), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [236689] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8480), 1,
      anon_sym_with,
    STATE(4839), 1,
      aux_sym_compound_type_repeat1,
    STATE(8442), 1,
      sym__refinement,
    STATE(8443), 1,
      sym_template_body,
    STATE(8637), 1,
      sym_arguments,
    STATE(4524), 2,
      sym_comment,
      sym_block_comment,
    STATE(8516), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7498), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7496), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [236746] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1008), 1,
      anon_sym_LBRACE,
    ACTIONS(8123), 1,
      anon_sym_LPAREN,
    ACTIONS(8482), 1,
      anon_sym_DOT,
    STATE(621), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(4525), 2,
      sym_comment,
      sym_block_comment,
    STATE(7185), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8241), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8239), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [236803] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4526), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7584), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [236848] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4527), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [236893] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8484), 1,
      anon_sym_LPAREN,
    STATE(5040), 1,
      sym_arguments,
    STATE(4528), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(7788), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7786), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [236942] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4529), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8392), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [236987] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4530), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 10,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(4132), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
      anon_sym_yield,
  [237032] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8487), 1,
      anon_sym_COLON,
    ACTIONS(8489), 1,
      anon_sym_LBRACE,
    ACTIONS(8491), 1,
      anon_sym_with,
    STATE(6406), 1,
      aux_sym_compound_type_repeat1,
    STATE(8908), 1,
      sym__refinement,
    STATE(8995), 1,
      sym_template_body,
    STATE(4531), 2,
      sym_comment,
      sym_block_comment,
    STATE(9119), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7668), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7666), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [237091] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8298), 1,
      anon_sym_EQ_GT,
    STATE(4532), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8271), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [237138] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4533), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(4132), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
      anon_sym_yield,
  [237183] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4534), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8392), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [237228] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8235), 1,
      anon_sym_LPAREN,
    STATE(4528), 1,
      aux_sym_annotation_repeat1,
    STATE(5040), 1,
      sym_arguments,
    STATE(4535), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7817), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7815), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [237279] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8474), 1,
      anon_sym_COLON,
    ACTIONS(8476), 1,
      anon_sym_LBRACE,
    ACTIONS(8478), 1,
      anon_sym_with,
    STATE(6399), 1,
      aux_sym_compound_type_repeat1,
    STATE(8726), 1,
      sym__refinement,
    STATE(8738), 1,
      sym_template_body,
    STATE(4536), 2,
      sym_comment,
      sym_block_comment,
    STATE(9071), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7668), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7666), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [237338] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8219), 1,
      anon_sym_LPAREN,
    STATE(4539), 1,
      aux_sym_annotation_repeat1,
    STATE(5237), 1,
      sym_arguments,
    STATE(4537), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7817), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7815), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [237389] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7338), 1,
      anon_sym_DOT,
    STATE(4538), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [237436] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8493), 1,
      anon_sym_LPAREN,
    STATE(5237), 1,
      sym_arguments,
    STATE(4539), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(7788), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7786), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [237485] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7580), 1,
      sym__backquoted_id,
    ACTIONS(8474), 1,
      anon_sym_COLON,
    ACTIONS(8476), 1,
      anon_sym_LBRACE,
    ACTIONS(8478), 1,
      anon_sym_with,
    STATE(4536), 1,
      aux_sym_compound_type_repeat1,
    STATE(8733), 1,
      sym__refinement,
    STATE(8738), 1,
      sym_template_body,
    ACTIONS(7698), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4540), 2,
      sym_comment,
      sym_block_comment,
    STATE(9071), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7694), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(7696), 6,
      anon_sym_STAR,
      anon_sym_while,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(7574), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [237550] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8496), 1,
      anon_sym_LBRACK,
    ACTIONS(8498), 1,
      anon_sym_AT,
    ACTIONS(8500), 1,
      anon_sym_LPAREN,
    ACTIONS(8502), 1,
      anon_sym_POUND,
    STATE(5845), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6201), 1,
      sym_type_arguments,
    STATE(7329), 1,
      sym_annotation,
    STATE(8637), 1,
      sym_arguments,
    STATE(4541), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [237611] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8504), 1,
      anon_sym_DOT,
    STATE(4542), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [237658] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4543), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7714), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8406), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [237703] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1044), 1,
      anon_sym_LBRACE,
    ACTIONS(7770), 1,
      anon_sym_LPAREN,
    ACTIONS(8063), 1,
      anon_sym_EQ,
    ACTIONS(8506), 1,
      anon_sym_DOT,
    STATE(621), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(4544), 2,
      sym_comment,
      sym_block_comment,
    STATE(6851), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8231), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8229), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [237762] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4545), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(7000), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
      anon_sym_yield,
  [237807] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4546), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7000), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [237852] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4547), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8267), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [237897] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7580), 1,
      sym__backquoted_id,
    ACTIONS(8508), 1,
      anon_sym_COLON,
    ACTIONS(8510), 1,
      anon_sym_LBRACE,
    ACTIONS(8512), 1,
      anon_sym_with,
    STATE(4617), 1,
      aux_sym_compound_type_repeat1,
    STATE(8893), 1,
      sym__refinement,
    STATE(8988), 1,
      sym_template_body,
    ACTIONS(7698), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4548), 2,
      sym_comment,
      sym_block_comment,
    STATE(8917), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7694), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(7696), 6,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(7574), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [237962] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8514), 1,
      anon_sym_LBRACK,
    ACTIONS(8516), 1,
      anon_sym_AT,
    ACTIONS(8518), 1,
      anon_sym_LPAREN,
    ACTIONS(8520), 1,
      anon_sym_POUND,
    STATE(5855), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6222), 1,
      sym_type_arguments,
    STATE(6790), 1,
      sym_annotation,
    STATE(8159), 1,
      sym_arguments,
    STATE(4549), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7464), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [238023] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8308), 1,
      anon_sym_LBRACK,
    ACTIONS(8310), 1,
      anon_sym_AT,
    ACTIONS(8314), 1,
      anon_sym_POUND,
    STATE(5327), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5498), 1,
      sym_type_arguments,
    STATE(6515), 1,
      sym_annotation,
    STATE(4550), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [238080] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4551), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [238125] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1080), 1,
      anon_sym_LBRACE,
    ACTIONS(8103), 1,
      anon_sym_LPAREN,
    ACTIONS(8522), 1,
      anon_sym_DOT,
    STATE(621), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(4552), 2,
      sym_comment,
      sym_block_comment,
    STATE(6872), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8241), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8239), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [238182] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8524), 1,
      anon_sym_LBRACK,
    ACTIONS(8526), 1,
      anon_sym_LPAREN,
    ACTIONS(8528), 1,
      anon_sym_POUND,
    STATE(5225), 1,
      aux_sym_annotation_repeat1,
    STATE(5525), 1,
      sym_type_arguments,
    STATE(6378), 1,
      sym_arguments,
    STATE(4553), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7530), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7528), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [238239] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4554), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7330), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8360), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [238284] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4555), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(7000), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
      anon_sym_yield,
  [238329] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8308), 1,
      anon_sym_LBRACK,
    ACTIONS(8314), 1,
      anon_sym_POUND,
    ACTIONS(8530), 1,
      anon_sym_LPAREN,
    STATE(5374), 1,
      aux_sym_annotation_repeat1,
    STATE(5498), 1,
      sym_type_arguments,
    STATE(6251), 1,
      sym_arguments,
    STATE(4556), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7530), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7528), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [238386] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8532), 1,
      anon_sym_with,
    STATE(4794), 1,
      aux_sym_compound_type_repeat1,
    STATE(8542), 1,
      sym_arguments,
    STATE(8551), 1,
      sym__refinement,
    STATE(8552), 1,
      sym_template_body,
    STATE(4557), 2,
      sym_comment,
      sym_block_comment,
    STATE(8440), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7498), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7496), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [238443] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7640), 1,
      anon_sym_DQUOTE,
    ACTIONS(7642), 1,
      sym__interpolated_multiline_string_start,
    STATE(5860), 1,
      sym_interpolated_string,
    STATE(15452), 1,
      sym__interpolated_string_start,
    ACTIONS(8534), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4558), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [238498] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8441), 1,
      anon_sym_LBRACK,
    ACTIONS(8445), 1,
      anon_sym_POUND,
    ACTIONS(8536), 1,
      anon_sym_AT,
    STATE(5101), 1,
      sym_type_arguments,
    STATE(5226), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6408), 1,
      sym_annotation,
    STATE(4559), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [238555] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8538), 1,
      anon_sym_AT,
    STATE(5294), 1,
      sym_annotation,
    STATE(4560), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8283), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8281), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [238604] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8543), 1,
      anon_sym_COLON,
    ACTIONS(8546), 1,
      anon_sym_LBRACE,
    STATE(5424), 1,
      sym_template_body,
    STATE(4561), 2,
      sym_comment,
      sym_block_comment,
    STATE(5672), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8549), 8,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8541), 17,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [238657] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8551), 1,
      anon_sym_DOT,
    STATE(4562), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [238704] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4563), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7716), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8324), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [238749] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4564), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8267), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [238794] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1044), 1,
      anon_sym_LBRACE,
    ACTIONS(7770), 1,
      anon_sym_LPAREN,
    ACTIONS(8051), 1,
      sym__alpha_identifier,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8063), 1,
      anon_sym_EQ,
    ACTIONS(8065), 1,
      sym__backquoted_id,
    ACTIONS(8506), 1,
      anon_sym_DOT,
    ACTIONS(8553), 1,
      sym_operator_identifier,
    STATE(1699), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(4565), 2,
      sym_comment,
      sym_block_comment,
    STATE(6851), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8055), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8057), 6,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8061), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [238863] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4566), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7584), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [238908] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4567), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7000), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [238953] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8555), 1,
      anon_sym_LBRACK,
    ACTIONS(8557), 1,
      anon_sym_LPAREN,
    ACTIONS(8559), 1,
      anon_sym_POUND,
    STATE(5357), 1,
      aux_sym_annotation_repeat1,
    STATE(5658), 1,
      sym_type_arguments,
    STATE(6477), 1,
      sym_arguments,
    STATE(4568), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7530), 6,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7528), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [239010] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8380), 1,
      anon_sym_LBRACK,
    ACTIONS(8384), 1,
      anon_sym_POUND,
    ACTIONS(8561), 1,
      anon_sym_AT,
    STATE(5004), 1,
      sym_type_arguments,
    STATE(5045), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6038), 1,
      sym_annotation,
    STATE(4569), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [239067] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1080), 1,
      anon_sym_LBRACE,
    ACTIONS(8051), 1,
      sym__alpha_identifier,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8063), 1,
      anon_sym_EQ,
    ACTIONS(8065), 1,
      sym__backquoted_id,
    ACTIONS(8103), 1,
      anon_sym_LPAREN,
    ACTIONS(8522), 1,
      anon_sym_DOT,
    ACTIONS(8563), 1,
      sym_operator_identifier,
    STATE(1779), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(4570), 2,
      sym_comment,
      sym_block_comment,
    STATE(6872), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8055), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8057), 6,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8061), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [239136] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4571), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(4132), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
      anon_sym_yield,
  [239181] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4572), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7552), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8326), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [239226] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8468), 1,
      anon_sym_COLON,
    ACTIONS(8470), 1,
      anon_sym_LBRACE,
    ACTIONS(8472), 1,
      anon_sym_with,
    STATE(6179), 1,
      aux_sym_compound_type_repeat1,
    STATE(9045), 1,
      sym_template_body,
    STATE(9057), 1,
      sym__refinement,
    STATE(4573), 2,
      sym_comment,
      sym_block_comment,
    STATE(9174), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7668), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7666), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [239285] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8338), 1,
      anon_sym_LBRACK,
    ACTIONS(8340), 1,
      anon_sym_AT,
    ACTIONS(8344), 1,
      anon_sym_POUND,
    STATE(5037), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5399), 1,
      sym_type_arguments,
    STATE(5993), 1,
      sym_annotation,
    STATE(4574), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [239342] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8419), 1,
      anon_sym_DOT,
    ACTIONS(8565), 1,
      anon_sym_EQ_GT,
    STATE(4575), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [239391] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8233), 1,
      anon_sym_LPAREN,
    STATE(4675), 1,
      aux_sym_annotation_repeat1,
    STATE(5035), 1,
      sym_arguments,
    STATE(4576), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7817), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7815), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [239442] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8390), 1,
      anon_sym_with,
    STATE(6177), 1,
      aux_sym_compound_type_repeat1,
    STATE(7465), 1,
      sym__refinement,
    STATE(7546), 1,
      sym_template_body,
    STATE(4577), 2,
      sym_comment,
      sym_block_comment,
    STATE(7608), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7668), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7666), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [239497] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8427), 1,
      anon_sym_LBRACK,
    ACTIONS(8431), 1,
      anon_sym_POUND,
    ACTIONS(8567), 1,
      anon_sym_AT,
    STATE(5025), 1,
      sym_type_arguments,
    STATE(5095), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6143), 1,
      sym_annotation,
    STATE(4578), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [239554] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4579), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7372), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8402), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [239599] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4580), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7584), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [239644] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8569), 1,
      anon_sym_DOT,
    STATE(4581), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [239691] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4582), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7584), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [239736] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4583), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [239781] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4584), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8392), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [239826] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4585), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7704), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8316), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [239871] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4586), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7000), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [239916] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1080), 1,
      anon_sym_LBRACE,
    ACTIONS(8063), 1,
      anon_sym_EQ,
    ACTIONS(8103), 1,
      anon_sym_LPAREN,
    ACTIONS(8522), 1,
      anon_sym_DOT,
    STATE(621), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(4587), 2,
      sym_comment,
      sym_block_comment,
    STATE(6872), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8231), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8229), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [239975] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8508), 1,
      anon_sym_COLON,
    ACTIONS(8510), 1,
      anon_sym_LBRACE,
    ACTIONS(8512), 1,
      anon_sym_with,
    STATE(4617), 1,
      aux_sym_compound_type_repeat1,
    STATE(8893), 1,
      sym__refinement,
    STATE(8988), 1,
      sym_template_body,
    STATE(4588), 2,
      sym_comment,
      sym_block_comment,
    STATE(8917), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7580), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7574), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [240034] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8421), 1,
      anon_sym_LBRACK,
    ACTIONS(8425), 1,
      anon_sym_POUND,
    ACTIONS(8571), 1,
      anon_sym_AT,
    STATE(5240), 1,
      sym_type_arguments,
    STATE(5286), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6354), 1,
      sym_annotation,
    STATE(4589), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [240091] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8573), 1,
      anon_sym_LBRACK,
    ACTIONS(8575), 1,
      anon_sym_LPAREN,
    ACTIONS(8577), 1,
      anon_sym_POUND,
    STATE(5149), 1,
      aux_sym_annotation_repeat1,
    STATE(5889), 1,
      sym_type_arguments,
    STATE(6497), 1,
      sym_arguments,
    STATE(4590), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7530), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7528), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [240148] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4591), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [240193] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4592), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [240238] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8579), 1,
      anon_sym_AT,
    STATE(5365), 1,
      sym_annotation,
    STATE(4593), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8283), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8281), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [240287] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4594), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7710), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8404), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [240332] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4595), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7716), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8324), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [240377] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4596), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7000), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [240422] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4597), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7714), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8406), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [240467] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7338), 1,
      anon_sym_DOT,
    STATE(4598), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [240514] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1008), 1,
      anon_sym_LBRACE,
    ACTIONS(8051), 1,
      sym__alpha_identifier,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8063), 1,
      anon_sym_EQ,
    ACTIONS(8065), 1,
      sym__backquoted_id,
    ACTIONS(8123), 1,
      anon_sym_LPAREN,
    ACTIONS(8482), 1,
      anon_sym_DOT,
    ACTIONS(8582), 1,
      sym_operator_identifier,
    STATE(1763), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(4599), 2,
      sym_comment,
      sym_block_comment,
    STATE(7185), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8055), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8061), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(8057), 7,
      anon_sym_while,
      anon_sym_match,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [240583] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8584), 1,
      anon_sym_with,
    STATE(4928), 1,
      aux_sym_compound_type_repeat1,
    STATE(8292), 1,
      sym_arguments,
    STATE(8656), 1,
      sym_template_body,
    STATE(8657), 1,
      sym__refinement,
    STATE(4600), 2,
      sym_comment,
      sym_block_comment,
    STATE(8470), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7498), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7496), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [240640] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4601), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7720), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8435), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [240685] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8586), 1,
      anon_sym_with,
    STATE(4752), 1,
      aux_sym_compound_type_repeat1,
    STATE(8159), 1,
      sym_arguments,
    STATE(8665), 1,
      sym__refinement,
    STATE(8666), 1,
      sym_template_body,
    STATE(4602), 2,
      sym_comment,
      sym_block_comment,
    STATE(8230), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7498), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7496), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [240742] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1044), 1,
      anon_sym_LBRACE,
    ACTIONS(7770), 1,
      anon_sym_LPAREN,
    ACTIONS(8506), 1,
      anon_sym_DOT,
    STATE(621), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(4603), 2,
      sym_comment,
      sym_block_comment,
    STATE(6851), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8241), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8239), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [240799] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1008), 1,
      anon_sym_LBRACE,
    ACTIONS(8063), 1,
      anon_sym_EQ,
    ACTIONS(8123), 1,
      anon_sym_LPAREN,
    ACTIONS(8482), 1,
      anon_sym_DOT,
    STATE(621), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(4604), 2,
      sym_comment,
      sym_block_comment,
    STATE(7185), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8231), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8229), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [240858] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7640), 1,
      anon_sym_DQUOTE,
    ACTIONS(8588), 1,
      sym__interpolated_multiline_string_start,
    STATE(7433), 1,
      sym_interpolated_string,
    STATE(14464), 1,
      sym__interpolated_string_start,
    ACTIONS(7638), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4605), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [240913] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7580), 1,
      sym__backquoted_id,
    ACTIONS(8487), 1,
      anon_sym_COLON,
    ACTIONS(8489), 1,
      anon_sym_LBRACE,
    ACTIONS(8491), 1,
      anon_sym_with,
    STATE(4531), 1,
      aux_sym_compound_type_repeat1,
    STATE(8991), 1,
      sym__refinement,
    STATE(8995), 1,
      sym_template_body,
    ACTIONS(7698), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4606), 2,
      sym_comment,
      sym_block_comment,
    STATE(9119), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7694), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(7696), 5,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(7574), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [240978] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4607), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7330), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8360), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [241023] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7580), 1,
      sym__backquoted_id,
    ACTIONS(8590), 1,
      anon_sym_COLON,
    ACTIONS(8592), 1,
      anon_sym_LBRACE,
    ACTIONS(8594), 1,
      anon_sym_with,
    STATE(4644), 1,
      aux_sym_compound_type_repeat1,
    STATE(9089), 1,
      sym__refinement,
    STATE(9090), 1,
      sym_template_body,
    ACTIONS(7698), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4608), 2,
      sym_comment,
      sym_block_comment,
    STATE(8807), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7694), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(7696), 6,
      anon_sym_while,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(7574), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [241088] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8596), 1,
      anon_sym_LBRACK,
    ACTIONS(8598), 1,
      anon_sym_LPAREN,
    ACTIONS(8600), 1,
      anon_sym_POUND,
    STATE(5135), 1,
      aux_sym_annotation_repeat1,
    STATE(5497), 1,
      sym_type_arguments,
    STATE(6554), 1,
      sym_arguments,
    STATE(4609), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7530), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7528), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [241145] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4610), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [241190] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4611), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8271), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [241235] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7580), 1,
      sym__backquoted_id,
    ACTIONS(8468), 1,
      anon_sym_COLON,
    ACTIONS(8470), 1,
      anon_sym_LBRACE,
    ACTIONS(8472), 1,
      anon_sym_with,
    STATE(4573), 1,
      aux_sym_compound_type_repeat1,
    STATE(9045), 1,
      sym_template_body,
    STATE(9051), 1,
      sym__refinement,
    ACTIONS(7698), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4612), 2,
      sym_comment,
      sym_block_comment,
    STATE(9174), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7694), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(7696), 5,
      anon_sym_case,
      anon_sym_if,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(7574), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [241300] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4613), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [241345] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8602), 1,
      anon_sym_LBRACK,
    ACTIONS(8604), 1,
      anon_sym_AT,
    ACTIONS(8606), 1,
      anon_sym_LPAREN,
    ACTIONS(8608), 1,
      anon_sym_POUND,
    STATE(5695), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6061), 1,
      sym_type_arguments,
    STATE(7131), 1,
      sym_annotation,
    STATE(8542), 1,
      sym_arguments,
    STATE(4614), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [241406] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4615), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7372), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8402), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [241451] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4616), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7720), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8435), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [241496] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8508), 1,
      anon_sym_COLON,
    ACTIONS(8510), 1,
      anon_sym_LBRACE,
    ACTIONS(8512), 1,
      anon_sym_with,
    STATE(6101), 1,
      aux_sym_compound_type_repeat1,
    STATE(8957), 1,
      sym__refinement,
    STATE(8988), 1,
      sym_template_body,
    STATE(4617), 2,
      sym_comment,
      sym_block_comment,
    STATE(8917), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7668), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7666), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [241555] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8610), 1,
      anon_sym_AT,
    STATE(4978), 1,
      sym_annotation,
    STATE(4618), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8283), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8281), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [241604] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8374), 1,
      anon_sym_LBRACK,
    ACTIONS(8378), 1,
      anon_sym_POUND,
    ACTIONS(8613), 1,
      anon_sym_AT,
    STATE(5016), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5061), 1,
      sym_type_arguments,
    STATE(6495), 1,
      sym_annotation,
    STATE(4619), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [241661] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8410), 1,
      anon_sym_with,
    STATE(6514), 1,
      aux_sym_compound_type_repeat1,
    STATE(7775), 1,
      sym_template_body,
    STATE(7789), 1,
      sym__refinement,
    STATE(4620), 2,
      sym_comment,
      sym_block_comment,
    STATE(7501), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7668), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7666), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [241716] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4621), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8271), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [241761] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8031), 1,
      anon_sym_LPAREN,
    STATE(4624), 1,
      aux_sym_annotation_repeat1,
    STATE(5174), 1,
      sym_arguments,
    STATE(4622), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7817), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7815), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [241812] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8455), 1,
      anon_sym_COLON,
    ACTIONS(8457), 1,
      anon_sym_LBRACE,
    ACTIONS(8459), 1,
      anon_sym_with,
    STATE(6060), 1,
      aux_sym_compound_type_repeat1,
    STATE(8153), 1,
      sym_template_body,
    STATE(8193), 1,
      sym__refinement,
    STATE(4623), 2,
      sym_comment,
      sym_block_comment,
    STATE(8307), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7668), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7666), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [241871] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8615), 1,
      anon_sym_LPAREN,
    STATE(5174), 1,
      sym_arguments,
    STATE(4624), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(7788), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7786), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [241920] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4625), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7704), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8316), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [241965] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4626), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7716), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8324), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [242010] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7640), 1,
      anon_sym_DQUOTE,
    ACTIONS(8618), 1,
      sym__interpolated_multiline_string_start,
    STATE(7955), 1,
      sym_interpolated_string,
    STATE(15071), 1,
      sym__interpolated_string_start,
    ACTIONS(7638), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4627), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [242065] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4628), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7764), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7762), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [242110] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7338), 1,
      anon_sym_DOT,
    STATE(4629), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [242157] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8620), 1,
      anon_sym_LBRACK,
    ACTIONS(8622), 1,
      anon_sym_LPAREN,
    ACTIONS(8624), 1,
      anon_sym_POUND,
    STATE(5122), 1,
      aux_sym_annotation_repeat1,
    STATE(5926), 1,
      sym_type_arguments,
    STATE(6557), 1,
      sym_arguments,
    STATE(4630), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7530), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7528), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [242214] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4631), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7552), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8326), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [242259] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4632), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8095), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8093), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [242304] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8626), 1,
      anon_sym_LBRACK,
    ACTIONS(8628), 1,
      anon_sym_LPAREN,
    ACTIONS(8630), 1,
      anon_sym_POUND,
    STATE(4969), 1,
      aux_sym_annotation_repeat1,
    STATE(5784), 1,
      sym_type_arguments,
    STATE(6634), 1,
      sym_arguments,
    STATE(4633), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7530), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7528), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [242361] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8157), 1,
      anon_sym_AT,
    STATE(4593), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5365), 1,
      sym_annotation,
    STATE(4634), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8288), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [242412] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8632), 1,
      anon_sym_DOT,
    STATE(4635), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [242459] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7580), 1,
      sym__backquoted_id,
    ACTIONS(8634), 1,
      anon_sym_COLON,
    ACTIONS(8636), 1,
      anon_sym_LBRACE,
    ACTIONS(8638), 1,
      anon_sym_with,
    STATE(4649), 1,
      aux_sym_compound_type_repeat1,
    STATE(9135), 1,
      sym__refinement,
    STATE(9137), 1,
      sym_template_body,
    ACTIONS(7698), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4636), 2,
      sym_comment,
      sym_block_comment,
    STATE(8702), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7694), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(7696), 5,
      anon_sym_case,
      anon_sym_if,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(7574), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [242524] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7338), 1,
      anon_sym_DOT,
    STATE(4637), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [242571] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4638), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8227), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8225), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [242616] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4639), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7330), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8360), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [242661] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7546), 1,
      anon_sym_AT,
    STATE(4560), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5294), 1,
      sym_annotation,
    STATE(4640), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8288), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [242712] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7889), 1,
      anon_sym_AT,
    STATE(4618), 1,
      aux_sym_enum_definition_repeat1,
    STATE(4978), 1,
      sym_annotation,
    STATE(4641), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8288), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [242763] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4642), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7372), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8402), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [242808] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8640), 1,
      anon_sym_LBRACK,
    ACTIONS(8642), 1,
      anon_sym_LPAREN,
    ACTIONS(8644), 1,
      anon_sym_POUND,
    STATE(5185), 1,
      aux_sym_annotation_repeat1,
    STATE(5724), 1,
      sym_type_arguments,
    STATE(5990), 1,
      sym_arguments,
    STATE(4643), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7530), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7528), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [242865] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8590), 1,
      anon_sym_COLON,
    ACTIONS(8592), 1,
      anon_sym_LBRACE,
    ACTIONS(8594), 1,
      anon_sym_with,
    STATE(6065), 1,
      aux_sym_compound_type_repeat1,
    STATE(9080), 1,
      sym__refinement,
    STATE(9090), 1,
      sym_template_body,
    STATE(4644), 2,
      sym_comment,
      sym_block_comment,
    STATE(8807), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7668), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7666), 17,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [242924] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8394), 1,
      anon_sym_LBRACK,
    ACTIONS(8400), 1,
      anon_sym_POUND,
    ACTIONS(8646), 1,
      anon_sym_LPAREN,
    STATE(4989), 1,
      aux_sym_annotation_repeat1,
    STATE(5941), 1,
      sym_type_arguments,
    STATE(6635), 1,
      sym_arguments,
    STATE(4645), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7530), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7528), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [242981] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7640), 1,
      anon_sym_DQUOTE,
    ACTIONS(7642), 1,
      sym__interpolated_multiline_string_start,
    STATE(5860), 1,
      sym_interpolated_string,
    STATE(15452), 1,
      sym__interpolated_string_start,
    ACTIONS(8648), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4646), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [243036] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4647), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8392), 23,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [243081] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8414), 1,
      anon_sym_with,
    STATE(6136), 1,
      aux_sym_compound_type_repeat1,
    STATE(7882), 1,
      sym__refinement,
    STATE(7899), 1,
      sym_template_body,
    STATE(4648), 2,
      sym_comment,
      sym_block_comment,
    STATE(7946), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7668), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7666), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [243136] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8634), 1,
      anon_sym_COLON,
    ACTIONS(8636), 1,
      anon_sym_LBRACE,
    ACTIONS(8638), 1,
      anon_sym_with,
    STATE(6205), 1,
      aux_sym_compound_type_repeat1,
    STATE(9132), 1,
      sym__refinement,
    STATE(9137), 1,
      sym_template_body,
    STATE(4649), 2,
      sym_comment,
      sym_block_comment,
    STATE(8702), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7668), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7666), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [243195] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8590), 1,
      anon_sym_COLON,
    ACTIONS(8592), 1,
      anon_sym_LBRACE,
    ACTIONS(8594), 1,
      anon_sym_with,
    STATE(4644), 1,
      aux_sym_compound_type_repeat1,
    STATE(9089), 1,
      sym__refinement,
    STATE(9090), 1,
      sym_template_body,
    STATE(4650), 2,
      sym_comment,
      sym_block_comment,
    STATE(8807), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7580), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7574), 17,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [243254] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4651), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7000), 22,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [243299] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8650), 1,
      anon_sym_LBRACK,
    ACTIONS(8652), 1,
      anon_sym_LPAREN,
    ACTIONS(8654), 1,
      anon_sym_POUND,
    STATE(4303), 1,
      sym_type_arguments,
    STATE(4360), 1,
      sym_arguments,
    STATE(5618), 1,
      aux_sym_annotation_repeat1,
    STATE(4652), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7530), 24,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [243354] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4653), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8267), 23,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [243399] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4654), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 22,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [243444] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4655), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7000), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [243489] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4656), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [243534] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8656), 1,
      anon_sym_LPAREN,
    STATE(5011), 1,
      sym_arguments,
    STATE(4657), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(7788), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7786), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [243583] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8487), 1,
      anon_sym_COLON,
    ACTIONS(8489), 1,
      anon_sym_LBRACE,
    ACTIONS(8491), 1,
      anon_sym_with,
    STATE(4531), 1,
      aux_sym_compound_type_repeat1,
    STATE(8991), 1,
      sym__refinement,
    STATE(8995), 1,
      sym_template_body,
    STATE(4658), 2,
      sym_comment,
      sym_block_comment,
    STATE(9119), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7580), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7574), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [243642] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8659), 1,
      anon_sym_DOT,
    STATE(4659), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [243689] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7660), 1,
      anon_sym_AT,
    STATE(4672), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5044), 1,
      sym_annotation,
    STATE(4660), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8288), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [243740] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7993), 1,
      anon_sym_LPAREN,
    STATE(4657), 1,
      aux_sym_annotation_repeat1,
    STATE(5011), 1,
      sym_arguments,
    STATE(4661), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7817), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7815), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [243791] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8394), 1,
      anon_sym_LBRACK,
    ACTIONS(8396), 1,
      anon_sym_AT,
    ACTIONS(8400), 1,
      anon_sym_POUND,
    STATE(5115), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5941), 1,
      sym_type_arguments,
    STATE(6629), 1,
      sym_annotation,
    STATE(4662), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [243848] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8455), 1,
      anon_sym_COLON,
    ACTIONS(8457), 1,
      anon_sym_LBRACE,
    ACTIONS(8459), 1,
      anon_sym_with,
    STATE(4623), 1,
      aux_sym_compound_type_repeat1,
    STATE(8153), 1,
      sym_template_body,
    STATE(8154), 1,
      sym__refinement,
    STATE(4663), 2,
      sym_comment,
      sym_block_comment,
    STATE(8307), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7580), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7574), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [243907] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8661), 1,
      anon_sym_LPAREN,
    STATE(5014), 1,
      sym_arguments,
    STATE(4664), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(7788), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7786), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [243956] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7873), 1,
      anon_sym_LPAREN,
    STATE(4664), 1,
      aux_sym_annotation_repeat1,
    STATE(5014), 1,
      sym_arguments,
    STATE(4665), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7817), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7815), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [244007] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8223), 1,
      anon_sym_AT,
    STATE(4676), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5036), 1,
      sym_annotation,
    STATE(4666), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8288), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [244058] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4667), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 10,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(7000), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
      anon_sym_yield,
  [244103] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4668), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7330), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8360), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [244148] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7338), 1,
      anon_sym_DOT,
    STATE(4669), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [244195] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4670), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 10,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(4132), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
      anon_sym_yield,
  [244240] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8330), 1,
      anon_sym_LBRACK,
    ACTIONS(8334), 1,
      anon_sym_POUND,
    ACTIONS(8664), 1,
      anon_sym_AT,
    STATE(4977), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5113), 1,
      sym_type_arguments,
    STATE(6187), 1,
      sym_annotation,
    STATE(4671), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [244297] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8666), 1,
      anon_sym_AT,
    STATE(5044), 1,
      sym_annotation,
    STATE(4672), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8283), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8281), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [244346] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8634), 1,
      anon_sym_COLON,
    ACTIONS(8636), 1,
      anon_sym_LBRACE,
    ACTIONS(8638), 1,
      anon_sym_with,
    STATE(4649), 1,
      aux_sym_compound_type_repeat1,
    STATE(9135), 1,
      sym__refinement,
    STATE(9137), 1,
      sym_template_body,
    STATE(4673), 2,
      sym_comment,
      sym_block_comment,
    STATE(8702), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7580), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7574), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [244405] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7338), 1,
      anon_sym_DOT,
    STATE(4674), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 22,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [244452] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8669), 1,
      anon_sym_LPAREN,
    STATE(5035), 1,
      sym_arguments,
    STATE(4675), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(7788), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7786), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [244501] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8672), 1,
      anon_sym_AT,
    STATE(5036), 1,
      sym_annotation,
    STATE(4676), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8283), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8281), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [244550] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4677), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7704), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8316), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [244595] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8675), 1,
      anon_sym_LBRACK,
    ACTIONS(8677), 1,
      anon_sym_AT,
    ACTIONS(8679), 1,
      anon_sym_LPAREN,
    ACTIONS(8681), 1,
      anon_sym_POUND,
    STATE(5546), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6109), 1,
      sym_type_arguments,
    STATE(7306), 1,
      sym_annotation,
    STATE(8292), 1,
      sym_arguments,
    STATE(4678), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [244656] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4679), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7716), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8324), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [244701] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4680), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7552), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8326), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [244746] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4681), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8027), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8683), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [244791] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8685), 1,
      anon_sym_DOT,
    STATE(4682), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [244837] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4683), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8271), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [244881] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8687), 1,
      anon_sym_AT,
    STATE(5478), 1,
      sym_annotation,
    STATE(4684), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8283), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8281), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [244929] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4685), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [244973] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7640), 1,
      anon_sym_DQUOTE,
    ACTIONS(7642), 1,
      sym__interpolated_multiline_string_start,
    STATE(5860), 1,
      sym_interpolated_string,
    STATE(15452), 1,
      sym__interpolated_string_start,
    ACTIONS(8690), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4686), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [245027] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8692), 1,
      anon_sym_COLON,
    ACTIONS(8695), 1,
      anon_sym_LBRACE,
    STATE(6584), 1,
      sym_template_body,
    STATE(4687), 2,
      sym_comment,
      sym_block_comment,
    STATE(6176), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8549), 8,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8541), 16,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [245079] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8698), 1,
      anon_sym_with,
    STATE(5067), 1,
      aux_sym_compound_type_repeat1,
    STATE(9101), 1,
      sym_arguments,
    STATE(9195), 1,
      sym_template_body,
    STATE(9196), 1,
      sym__refinement,
    STATE(4688), 2,
      sym_comment,
      sym_block_comment,
    STATE(9060), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7498), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7496), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [245135] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8449), 1,
      anon_sym_EQ_GT,
    STATE(4689), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8271), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [245181] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8569), 1,
      anon_sym_DOT,
    ACTIONS(8700), 1,
      anon_sym_EQ_GT,
    STATE(4690), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [245229] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7580), 1,
      sym__backquoted_id,
    ACTIONS(8702), 1,
      anon_sym_COLON,
    ACTIONS(8704), 1,
      anon_sym_LBRACE,
    ACTIONS(8706), 1,
      anon_sym_with,
    STATE(4704), 1,
      aux_sym_compound_type_repeat1,
    STATE(9292), 1,
      sym__refinement,
    STATE(9301), 1,
      sym_template_body,
    ACTIONS(7698), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4691), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7694), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(7696), 5,
      anon_sym_STAR,
      anon_sym_while,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
    ACTIONS(7574), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [245293] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4692), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8267), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [245337] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4693), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7584), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [245381] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7640), 1,
      anon_sym_DQUOTE,
    ACTIONS(8708), 1,
      sym__interpolated_multiline_string_start,
    STATE(8640), 1,
      sym_interpolated_string,
    STATE(15291), 1,
      sym__interpolated_string_start,
    ACTIONS(7638), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4694), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [245435] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4695), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8392), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [245479] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4696), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7710), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8404), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [245523] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8710), 1,
      anon_sym_COLON,
    ACTIONS(8712), 1,
      anon_sym_LBRACE,
    ACTIONS(8714), 1,
      anon_sym_with,
    STATE(7092), 1,
      aux_sym_compound_type_repeat1,
    STATE(9149), 1,
      sym__refinement,
    STATE(9254), 1,
      sym_template_body,
    STATE(4697), 2,
      sym_comment,
      sym_block_comment,
    STATE(9159), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7668), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7666), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [245581] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4698), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7584), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [245625] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4699), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8392), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [245669] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8716), 1,
      anon_sym_COLON,
    ACTIONS(8718), 1,
      anon_sym_LBRACE,
    ACTIONS(8720), 1,
      anon_sym_with,
    STATE(4747), 1,
      aux_sym_compound_type_repeat1,
    STATE(9349), 1,
      sym__refinement,
    STATE(9350), 1,
      sym_template_body,
    STATE(4700), 2,
      sym_comment,
      sym_block_comment,
    STATE(9260), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7580), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7574), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [245727] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4701), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8392), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [245771] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4702), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7714), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8406), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [245815] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8722), 1,
      anon_sym_DOT,
    STATE(4703), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [245861] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8702), 1,
      anon_sym_COLON,
    ACTIONS(8704), 1,
      anon_sym_LBRACE,
    ACTIONS(8706), 1,
      anon_sym_with,
    STATE(6752), 1,
      aux_sym_compound_type_repeat1,
    STATE(9272), 1,
      sym__refinement,
    STATE(9301), 1,
      sym_template_body,
    STATE(4704), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7668), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7666), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [245919] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4705), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7710), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8404), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [245963] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4706), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7372), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8402), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [246007] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4707), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7714), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8406), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [246051] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4708), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8267), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [246095] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8702), 1,
      anon_sym_COLON,
    ACTIONS(8704), 1,
      anon_sym_LBRACE,
    ACTIONS(8706), 1,
      anon_sym_with,
    STATE(4704), 1,
      aux_sym_compound_type_repeat1,
    STATE(9292), 1,
      sym__refinement,
    STATE(9301), 1,
      sym_template_body,
    STATE(4709), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7580), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7574), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [246153] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8602), 1,
      anon_sym_LBRACK,
    ACTIONS(8604), 1,
      anon_sym_AT,
    ACTIONS(8608), 1,
      anon_sym_POUND,
    STATE(5695), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6061), 1,
      sym_type_arguments,
    STATE(7131), 1,
      sym_annotation,
    STATE(4710), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [246209] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7640), 1,
      anon_sym_DQUOTE,
    ACTIONS(8724), 1,
      sym__interpolated_multiline_string_start,
    STATE(8152), 1,
      sym_interpolated_string,
    STATE(15062), 1,
      sym__interpolated_string_start,
    ACTIONS(7638), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4711), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(2515), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [246263] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4712), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7720), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8435), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [246307] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4713), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8271), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [246351] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4714), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8271), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [246395] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4715), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7720), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8435), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [246439] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4716), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7714), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8406), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [246483] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4717), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7372), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8402), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [246527] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8726), 1,
      anon_sym_AT,
    STATE(5629), 1,
      sym_annotation,
    STATE(4718), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8283), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8281), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [246575] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4719), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7710), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8404), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [246619] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4720), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [246663] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7640), 1,
      anon_sym_DQUOTE,
    ACTIONS(8155), 1,
      sym__interpolated_multiline_string_start,
    STATE(6527), 1,
      sym_interpolated_string,
    STATE(14364), 1,
      sym__interpolated_string_start,
    ACTIONS(8729), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4721), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [246717] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(892), 1,
      anon_sym_LBRACE,
    ACTIONS(7472), 1,
      anon_sym_LPAREN,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8059), 1,
      anon_sym_DOT,
    ACTIONS(8731), 1,
      sym__alpha_identifier,
    ACTIONS(8739), 1,
      anon_sym_EQ,
    ACTIONS(8741), 1,
      sym__backquoted_id,
    ACTIONS(8743), 1,
      sym_operator_identifier,
    STATE(529), 1,
      sym_identifier,
    STATE(3888), 1,
      sym__soft_identifier,
    STATE(4722), 2,
      sym_comment,
      sym_block_comment,
    STATE(5396), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8733), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8737), 5,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(8735), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [246785] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7640), 1,
      anon_sym_DQUOTE,
    ACTIONS(7929), 1,
      sym__interpolated_multiline_string_start,
    STATE(6210), 1,
      sym_interpolated_string,
    STATE(15026), 1,
      sym__interpolated_string_start,
    ACTIONS(8745), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4723), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [246839] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7638), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4724), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [246885] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4725), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8392), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [246929] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4726), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7584), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [246973] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4727), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7720), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8435), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [247017] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4728), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8267), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [247061] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8747), 1,
      anon_sym_with,
    STATE(5078), 1,
      aux_sym_compound_type_repeat1,
    STATE(8764), 1,
      sym__refinement,
    STATE(8766), 1,
      sym_template_body,
    STATE(8989), 1,
      sym_arguments,
    STATE(4729), 2,
      sym_comment,
      sym_block_comment,
    STATE(5088), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7498), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7496), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [247117] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4730), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8271), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [247161] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7640), 1,
      anon_sym_DQUOTE,
    ACTIONS(8155), 1,
      sym__interpolated_multiline_string_start,
    STATE(6527), 1,
      sym_interpolated_string,
    STATE(14364), 1,
      sym__interpolated_string_start,
    ACTIONS(8749), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4731), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [247215] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8751), 1,
      anon_sym_COLON,
    ACTIONS(8753), 1,
      anon_sym_LBRACE,
    ACTIONS(8755), 1,
      anon_sym_with,
    STATE(4802), 1,
      aux_sym_compound_type_repeat1,
    STATE(9533), 1,
      sym__refinement,
    STATE(9535), 1,
      sym_template_body,
    STATE(4732), 2,
      sym_comment,
      sym_block_comment,
    STATE(9351), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7580), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7574), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [247273] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4733), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8392), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [247317] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7640), 1,
      anon_sym_DQUOTE,
    ACTIONS(8618), 1,
      sym__interpolated_multiline_string_start,
    STATE(7955), 1,
      sym_interpolated_string,
    STATE(15071), 1,
      sym__interpolated_string_start,
    ACTIONS(8757), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4734), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [247371] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7580), 1,
      sym__backquoted_id,
    ACTIONS(8716), 1,
      anon_sym_COLON,
    ACTIONS(8718), 1,
      anon_sym_LBRACE,
    ACTIONS(8720), 1,
      anon_sym_with,
    STATE(4747), 1,
      aux_sym_compound_type_repeat1,
    STATE(9349), 1,
      sym__refinement,
    STATE(9350), 1,
      sym_template_body,
    ACTIONS(7698), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4735), 2,
      sym_comment,
      sym_block_comment,
    STATE(9260), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7694), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(7696), 5,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(7574), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [247435] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(892), 1,
      anon_sym_LBRACE,
    ACTIONS(7472), 1,
      anon_sym_LPAREN,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8059), 1,
      anon_sym_DOT,
    ACTIONS(8731), 1,
      sym__alpha_identifier,
    ACTIONS(8741), 1,
      sym__backquoted_id,
    ACTIONS(8743), 1,
      sym_operator_identifier,
    ACTIONS(8759), 1,
      anon_sym_EQ,
    STATE(529), 1,
      sym_identifier,
    STATE(3888), 1,
      sym__soft_identifier,
    STATE(4736), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8733), 3,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    STATE(5396), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8735), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(8737), 7,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [247503] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4737), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8227), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8225), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [247547] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7640), 1,
      anon_sym_DQUOTE,
    ACTIONS(7929), 1,
      sym__interpolated_multiline_string_start,
    STATE(6210), 1,
      sym_interpolated_string,
    STATE(15026), 1,
      sym__interpolated_string_start,
    ACTIONS(8761), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4738), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [247601] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4739), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8095), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8093), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [247645] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4740), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7764), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7762), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [247689] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1116), 1,
      anon_sym_LBRACE,
    ACTIONS(8063), 1,
      anon_sym_EQ,
    ACTIONS(8398), 1,
      anon_sym_LPAREN,
    ACTIONS(8763), 1,
      anon_sym_DOT,
    STATE(621), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(4741), 2,
      sym_comment,
      sym_block_comment,
    STATE(7484), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8231), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8229), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [247747] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8496), 1,
      anon_sym_LBRACK,
    ACTIONS(8498), 1,
      anon_sym_AT,
    ACTIONS(8502), 1,
      anon_sym_POUND,
    STATE(5845), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6201), 1,
      sym_type_arguments,
    STATE(7329), 1,
      sym_annotation,
    STATE(4742), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [247803] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8765), 1,
      anon_sym_DOT,
    STATE(4743), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [247849] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8620), 1,
      anon_sym_LBRACK,
    ACTIONS(8624), 1,
      anon_sym_POUND,
    ACTIONS(8767), 1,
      anon_sym_AT,
    STATE(5770), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5926), 1,
      sym_type_arguments,
    STATE(7327), 1,
      sym_annotation,
    STATE(4744), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7464), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [247905] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4745), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [247949] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8773), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4746), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8771), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8769), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [247995] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8716), 1,
      anon_sym_COLON,
    ACTIONS(8718), 1,
      anon_sym_LBRACE,
    ACTIONS(8720), 1,
      anon_sym_with,
    STATE(6910), 1,
      aux_sym_compound_type_repeat1,
    STATE(9313), 1,
      sym__refinement,
    STATE(9350), 1,
      sym_template_body,
    STATE(4747), 2,
      sym_comment,
      sym_block_comment,
    STATE(9260), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7668), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7666), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [248053] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8775), 1,
      anon_sym_LBRACK,
    ACTIONS(8777), 1,
      anon_sym_LPAREN,
    ACTIONS(8779), 1,
      anon_sym_POUND,
    STATE(5494), 1,
      aux_sym_annotation_repeat1,
    STATE(6405), 1,
      sym_type_arguments,
    STATE(7149), 1,
      sym_arguments,
    STATE(4748), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7530), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7528), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [248109] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8781), 1,
      anon_sym_LBRACK,
    ACTIONS(8783), 1,
      anon_sym_AT,
    ACTIONS(8785), 1,
      anon_sym_LPAREN,
    ACTIONS(8787), 1,
      anon_sym_POUND,
    STATE(6648), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7299), 1,
      sym_type_arguments,
    STATE(7925), 1,
      sym_annotation,
    STATE(9101), 1,
      sym_arguments,
    STATE(4749), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [248169] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4750), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7000), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [248213] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1116), 1,
      anon_sym_LBRACE,
    ACTIONS(8398), 1,
      anon_sym_LPAREN,
    ACTIONS(8763), 1,
      anon_sym_DOT,
    STATE(621), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(4751), 2,
      sym_comment,
      sym_block_comment,
    STATE(7484), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8241), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8239), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [248269] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8586), 1,
      anon_sym_with,
    STATE(7083), 1,
      aux_sym_compound_type_repeat1,
    STATE(8500), 1,
      sym__refinement,
    STATE(8666), 1,
      sym_template_body,
    STATE(4752), 2,
      sym_comment,
      sym_block_comment,
    STATE(8230), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7668), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7666), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [248323] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4753), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [248367] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4754), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7000), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [248411] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4755), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8027), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8683), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [248455] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4756), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7764), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7762), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [248499] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(107), 1,
      anon_sym_LBRACE,
    ACTIONS(8312), 1,
      anon_sym_LPAREN,
    ACTIONS(8789), 1,
      anon_sym_DOT,
    STATE(621), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(4757), 2,
      sym_comment,
      sym_block_comment,
    STATE(8038), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8241), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8239), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [248555] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8791), 1,
      anon_sym_LBRACK,
    ACTIONS(8793), 1,
      anon_sym_AT,
    ACTIONS(8795), 1,
      anon_sym_LPAREN,
    ACTIONS(8797), 1,
      anon_sym_POUND,
    STATE(6551), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7158), 1,
      sym_type_arguments,
    STATE(7636), 1,
      sym_annotation,
    STATE(9231), 1,
      sym_arguments,
    STATE(4758), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7464), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [248615] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4759), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [248659] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4760), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7000), 21,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [248703] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8351), 1,
      anon_sym_LPAREN,
    STATE(4768), 1,
      aux_sym_annotation_repeat1,
    STATE(5417), 1,
      sym_arguments,
    STATE(4761), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7817), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7815), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [248753] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8799), 1,
      anon_sym_AT,
    STATE(5661), 1,
      sym_annotation,
    STATE(4762), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8283), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8281), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [248801] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8710), 1,
      anon_sym_COLON,
    ACTIONS(8712), 1,
      anon_sym_LBRACE,
    ACTIONS(8714), 1,
      anon_sym_with,
    STATE(4697), 1,
      aux_sym_compound_type_repeat1,
    STATE(9254), 1,
      sym_template_body,
    STATE(9258), 1,
      sym__refinement,
    STATE(4763), 2,
      sym_comment,
      sym_block_comment,
    STATE(9159), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7580), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7574), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [248859] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4764), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 21,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [248903] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4765), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7000), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [248947] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8806), 1,
      anon_sym_with,
    STATE(4766), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(8804), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8802), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [248993] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4767), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [249037] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8809), 1,
      anon_sym_LPAREN,
    STATE(5417), 1,
      sym_arguments,
    STATE(4768), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(7788), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7786), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [249085] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8812), 1,
      anon_sym_with,
    STATE(5243), 1,
      aux_sym_compound_type_repeat1,
    STATE(8863), 1,
      sym_template_body,
    STATE(8873), 1,
      sym__refinement,
    STATE(9231), 1,
      sym_arguments,
    STATE(4769), 2,
      sym_comment,
      sym_block_comment,
    STATE(9129), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7498), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7496), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [249141] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8514), 1,
      anon_sym_LBRACK,
    ACTIONS(8520), 1,
      anon_sym_POUND,
    ACTIONS(8814), 1,
      anon_sym_LPAREN,
    STATE(5694), 1,
      aux_sym_annotation_repeat1,
    STATE(6222), 1,
      sym_type_arguments,
    STATE(6675), 1,
      sym_arguments,
    STATE(4770), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7530), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7528), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [249197] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8524), 1,
      anon_sym_LBRACK,
    ACTIONS(8528), 1,
      anon_sym_POUND,
    ACTIONS(8816), 1,
      anon_sym_AT,
    STATE(5525), 1,
      sym_type_arguments,
    STATE(5689), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6873), 1,
      sym_annotation,
    STATE(4771), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [249253] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4772), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7000), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [249297] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8504), 1,
      anon_sym_DOT,
    ACTIONS(8818), 1,
      anon_sym_EQ_GT,
    STATE(4773), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [249345] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7640), 1,
      anon_sym_DQUOTE,
    ACTIONS(8820), 1,
      sym__interpolated_multiline_string_start,
    STATE(8624), 1,
      sym_interpolated_string,
    STATE(14840), 1,
      sym__interpolated_string_start,
    ACTIONS(7638), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4774), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [249399] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4775), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [249443] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4776), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7000), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [249487] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4777), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7330), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8360), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [249531] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8822), 1,
      anon_sym_COLON,
    ACTIONS(8824), 1,
      anon_sym_LBRACE,
    ACTIONS(8826), 1,
      anon_sym_with,
    STATE(4920), 1,
      aux_sym_compound_type_repeat1,
    STATE(9283), 1,
      sym_template_body,
    STATE(9285), 1,
      sym__refinement,
    STATE(4778), 2,
      sym_comment,
      sym_block_comment,
    STATE(9514), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7580), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7574), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [249589] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8828), 1,
      anon_sym_DOT,
    STATE(4779), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [249635] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4780), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7552), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8326), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [249679] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4781), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7716), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8324), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [249723] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8269), 1,
      anon_sym_LPAREN,
    STATE(4783), 1,
      aux_sym_annotation_repeat1,
    STATE(5501), 1,
      sym_arguments,
    STATE(4782), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7817), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7815), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [249773] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8830), 1,
      anon_sym_LPAREN,
    STATE(5501), 1,
      sym_arguments,
    STATE(4783), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(7788), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7786), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [249821] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7580), 1,
      sym__backquoted_id,
    ACTIONS(8822), 1,
      anon_sym_COLON,
    ACTIONS(8824), 1,
      anon_sym_LBRACE,
    ACTIONS(8826), 1,
      anon_sym_with,
    STATE(4920), 1,
      aux_sym_compound_type_repeat1,
    STATE(9283), 1,
      sym_template_body,
    STATE(9285), 1,
      sym__refinement,
    ACTIONS(7698), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4784), 2,
      sym_comment,
      sym_block_comment,
    STATE(9514), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7694), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(7696), 5,
      anon_sym_case,
      anon_sym_if,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(7574), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [249885] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8336), 1,
      anon_sym_AT,
    STATE(4800), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5611), 1,
      sym_annotation,
    STATE(4785), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8288), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [249935] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4786), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8835), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8833), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [249979] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4787), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7372), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8402), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [250023] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7580), 1,
      sym__backquoted_id,
    ACTIONS(8751), 1,
      anon_sym_COLON,
    ACTIONS(8753), 1,
      anon_sym_LBRACE,
    ACTIONS(8755), 1,
      anon_sym_with,
    STATE(4802), 1,
      aux_sym_compound_type_repeat1,
    STATE(9533), 1,
      sym__refinement,
    STATE(9535), 1,
      sym_template_body,
    ACTIONS(7698), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4788), 2,
      sym_comment,
      sym_block_comment,
    STATE(9351), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7694), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(7696), 6,
      anon_sym_STAR,
      anon_sym_while,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(7574), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [250087] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1116), 1,
      anon_sym_LBRACE,
    ACTIONS(8051), 1,
      sym__alpha_identifier,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8063), 1,
      anon_sym_EQ,
    ACTIONS(8065), 1,
      sym__backquoted_id,
    ACTIONS(8398), 1,
      anon_sym_LPAREN,
    ACTIONS(8763), 1,
      anon_sym_DOT,
    ACTIONS(8837), 1,
      sym_operator_identifier,
    STATE(1665), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(4789), 2,
      sym_comment,
      sym_block_comment,
    STATE(7484), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8055), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8057), 6,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(8061), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [250155] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8255), 1,
      anon_sym_AT,
    STATE(4807), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5628), 1,
      sym_annotation,
    STATE(4790), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8288), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [250205] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4791), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7704), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8316), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [250249] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4792), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [250293] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8514), 1,
      anon_sym_LBRACK,
    ACTIONS(8516), 1,
      anon_sym_AT,
    ACTIONS(8520), 1,
      anon_sym_POUND,
    STATE(5855), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6222), 1,
      sym_type_arguments,
    STATE(6790), 1,
      sym_annotation,
    STATE(4793), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7464), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [250349] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8532), 1,
      anon_sym_with,
    STATE(7008), 1,
      aux_sym_compound_type_repeat1,
    STATE(8531), 1,
      sym__refinement,
    STATE(8552), 1,
      sym_template_body,
    STATE(4794), 2,
      sym_comment,
      sym_block_comment,
    STATE(8440), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7668), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7666), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [250403] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7580), 1,
      sym__backquoted_id,
    ACTIONS(8710), 1,
      anon_sym_COLON,
    ACTIONS(8712), 1,
      anon_sym_LBRACE,
    ACTIONS(8714), 1,
      anon_sym_with,
    STATE(4697), 1,
      aux_sym_compound_type_repeat1,
    STATE(9254), 1,
      sym_template_body,
    STATE(9258), 1,
      sym__refinement,
    ACTIONS(7698), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4795), 2,
      sym_comment,
      sym_block_comment,
    STATE(9159), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7696), 4,
      anon_sym_while,
      anon_sym_EQ,
      anon_sym_then,
      anon_sym_do,
    ACTIONS(7694), 5,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
    ACTIONS(7574), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [250467] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8839), 1,
      anon_sym_AT,
    STATE(5698), 1,
      sym_annotation,
    STATE(4796), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8283), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8281), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [250515] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8842), 1,
      anon_sym_COLON,
    ACTIONS(8844), 1,
      anon_sym_LBRACE,
    ACTIONS(8846), 1,
      anon_sym_with,
    STATE(4870), 1,
      aux_sym_compound_type_repeat1,
    STATE(9412), 1,
      sym_template_body,
    STATE(9415), 1,
      sym__refinement,
    STATE(4797), 2,
      sym_comment,
      sym_block_comment,
    STATE(9303), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7580), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7574), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [250573] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8555), 1,
      anon_sym_LBRACK,
    ACTIONS(8559), 1,
      anon_sym_POUND,
    ACTIONS(8848), 1,
      anon_sym_AT,
    STATE(5499), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5658), 1,
      sym_type_arguments,
    STATE(7372), 1,
      sym_annotation,
    STATE(4798), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 6,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7464), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [250629] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8850), 1,
      anon_sym_LBRACK,
    ACTIONS(8852), 1,
      anon_sym_LPAREN,
    ACTIONS(8854), 1,
      anon_sym_POUND,
    STATE(5673), 1,
      aux_sym_annotation_repeat1,
    STATE(6660), 1,
      sym_type_arguments,
    STATE(6715), 1,
      sym_arguments,
    STATE(4799), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7530), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7528), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [250685] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8856), 1,
      anon_sym_AT,
    STATE(5611), 1,
      sym_annotation,
    STATE(4800), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8283), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8281), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [250733] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4801), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 10,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(4132), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
      anon_sym_yield,
  [250777] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8751), 1,
      anon_sym_COLON,
    ACTIONS(8753), 1,
      anon_sym_LBRACE,
    ACTIONS(8755), 1,
      anon_sym_with,
    STATE(6793), 1,
      aux_sym_compound_type_repeat1,
    STATE(9511), 1,
      sym__refinement,
    STATE(9535), 1,
      sym_template_body,
    STATE(4802), 2,
      sym_comment,
      sym_block_comment,
    STATE(9351), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7668), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7666), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [250835] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8859), 1,
      anon_sym_COLON,
    ACTIONS(8861), 1,
      anon_sym_LBRACE,
    ACTIONS(8863), 1,
      anon_sym_with,
    STATE(4866), 1,
      aux_sym_compound_type_repeat1,
    STATE(9455), 1,
      sym_template_body,
    STATE(9456), 1,
      sym__refinement,
    STATE(4803), 2,
      sym_comment,
      sym_block_comment,
    STATE(9278), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7580), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7574), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [250893] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4804), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7330), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8360), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [250937] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8865), 1,
      anon_sym_LBRACK,
    ACTIONS(8867), 1,
      anon_sym_LPAREN,
    ACTIONS(8869), 1,
      anon_sym_POUND,
    STATE(5642), 1,
      aux_sym_annotation_repeat1,
    STATE(6166), 1,
      sym_type_arguments,
    STATE(6778), 1,
      sym_arguments,
    STATE(4805), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7530), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7528), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [250993] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4806), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8267), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [251037] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8871), 1,
      anon_sym_AT,
    STATE(5628), 1,
      sym_annotation,
    STATE(4807), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8283), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8281), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [251085] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4808), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7330), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8360), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [251129] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4809), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7552), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8326), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [251173] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7580), 1,
      sym__backquoted_id,
    ACTIONS(8842), 1,
      anon_sym_COLON,
    ACTIONS(8844), 1,
      anon_sym_LBRACE,
    ACTIONS(8846), 1,
      anon_sym_with,
    STATE(4870), 1,
      aux_sym_compound_type_repeat1,
    STATE(9412), 1,
      sym_template_body,
    STATE(9415), 1,
      sym__refinement,
    ACTIONS(7698), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4810), 2,
      sym_comment,
      sym_block_comment,
    STATE(9303), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7694), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(7696), 5,
      anon_sym_while,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(7574), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [251237] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4811), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7716), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8324), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [251281] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8874), 1,
      anon_sym_LBRACK,
    ACTIONS(8876), 1,
      anon_sym_AT,
    ACTIONS(8878), 1,
      anon_sym_LPAREN,
    ACTIONS(8880), 1,
      anon_sym_POUND,
    STATE(5999), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7019), 1,
      sym_type_arguments,
    STATE(7991), 1,
      sym_annotation,
    STATE(8989), 1,
      sym_arguments,
    STATE(4812), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [251341] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4813), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7704), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8316), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [251385] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4814), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8267), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [251429] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8565), 1,
      anon_sym_EQ_GT,
    STATE(4815), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8271), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [251475] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4816), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7584), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [251519] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4817), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8392), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [251563] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4818), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7710), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8404), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [251607] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7580), 1,
      sym__backquoted_id,
    ACTIONS(8859), 1,
      anon_sym_COLON,
    ACTIONS(8861), 1,
      anon_sym_LBRACE,
    ACTIONS(8863), 1,
      anon_sym_with,
    STATE(4866), 1,
      aux_sym_compound_type_repeat1,
    STATE(9455), 1,
      sym_template_body,
    STATE(9456), 1,
      sym__refinement,
    ACTIONS(7698), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4819), 2,
      sym_comment,
      sym_block_comment,
    STATE(9278), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7694), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(7696), 5,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(7574), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [251671] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4820), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8227), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8225), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [251715] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4821), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8267), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [251759] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4822), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8095), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8093), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [251803] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4823), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7704), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8316), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [251847] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4824), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7714), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8406), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [251891] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8121), 1,
      anon_sym_AT,
    STATE(4718), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5629), 1,
      sym_annotation,
    STATE(4825), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8288), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [251941] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4826), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7720), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8435), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [251985] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4827), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 10,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(7000), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
      anon_sym_yield,
  [252029] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4828), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [252073] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4829), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [252117] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4830), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8267), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [252161] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8882), 1,
      anon_sym_AT,
    STATE(5749), 1,
      sym_annotation,
    STATE(4831), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8283), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8281), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [252209] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4832), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8271), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [252253] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4833), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7372), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8402), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [252297] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8885), 1,
      anon_sym_DOT,
    STATE(4834), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [252343] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4835), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7704), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8316), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [252387] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8496), 1,
      anon_sym_LBRACK,
    ACTIONS(8502), 1,
      anon_sym_POUND,
    ACTIONS(8887), 1,
      anon_sym_LPAREN,
    STATE(5733), 1,
      aux_sym_annotation_repeat1,
    STATE(6201), 1,
      sym_type_arguments,
    STATE(6696), 1,
      sym_arguments,
    STATE(4836), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7530), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7528), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [252443] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4837), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7764), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7762), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [252487] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8596), 1,
      anon_sym_LBRACK,
    ACTIONS(8600), 1,
      anon_sym_POUND,
    ACTIONS(8889), 1,
      anon_sym_AT,
    STATE(5497), 1,
      sym_type_arguments,
    STATE(5554), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7202), 1,
      sym_annotation,
    STATE(4838), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [252543] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8480), 1,
      anon_sym_with,
    STATE(6666), 1,
      aux_sym_compound_type_repeat1,
    STATE(8430), 1,
      sym__refinement,
    STATE(8443), 1,
      sym_template_body,
    STATE(4839), 2,
      sym_comment,
      sym_block_comment,
    STATE(8516), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7668), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7666), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [252597] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4840), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8095), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8093), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [252641] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4841), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8227), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8225), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [252685] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4842), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7704), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8316), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [252729] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4843), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7716), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8324), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [252773] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4844), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7552), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8326), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [252817] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4845), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 10,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(4132), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
      anon_sym_yield,
  [252861] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8408), 1,
      anon_sym_LPAREN,
    STATE(4849), 1,
      aux_sym_annotation_repeat1,
    STATE(5925), 1,
      sym_arguments,
    STATE(4846), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7817), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7815), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [252911] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8675), 1,
      anon_sym_LBRACK,
    ACTIONS(8681), 1,
      anon_sym_POUND,
    ACTIONS(8891), 1,
      anon_sym_LPAREN,
    STATE(5829), 1,
      aux_sym_annotation_repeat1,
    STATE(6109), 1,
      sym_type_arguments,
    STATE(6900), 1,
      sym_arguments,
    STATE(4847), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7530), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7528), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [252967] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7338), 1,
      anon_sym_DOT,
    STATE(4848), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [253013] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8893), 1,
      anon_sym_LPAREN,
    STATE(5925), 1,
      sym_arguments,
    STATE(4849), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(7788), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7786), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [253061] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8332), 1,
      anon_sym_LPAREN,
    STATE(4856), 1,
      aux_sym_annotation_repeat1,
    STATE(5847), 1,
      sym_arguments,
    STATE(4850), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7817), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7815), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [253111] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4851), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7372), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8402), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [253155] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4852), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7716), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8324), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [253199] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7338), 1,
      anon_sym_DOT,
    STATE(4853), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [253245] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8896), 1,
      anon_sym_LPAREN,
    STATE(5833), 1,
      sym_arguments,
    STATE(4854), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(7788), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7786), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [253293] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4855), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8027), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8683), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [253337] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8899), 1,
      anon_sym_LPAREN,
    STATE(5847), 1,
      sym_arguments,
    STATE(4856), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(7788), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7786), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [253385] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4857), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7330), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8360), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [253429] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4858), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7000), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [253473] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4859), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7552), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8326), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [253517] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8461), 1,
      anon_sym_DOT,
    ACTIONS(8902), 1,
      anon_sym_EQ_GT,
    STATE(4860), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [253565] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7640), 1,
      anon_sym_DQUOTE,
    ACTIONS(8618), 1,
      sym__interpolated_multiline_string_start,
    STATE(7955), 1,
      sym_interpolated_string,
    STATE(15071), 1,
      sym__interpolated_string_start,
    ACTIONS(8904), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4861), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [253619] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8906), 1,
      anon_sym_LBRACK,
    ACTIONS(8908), 1,
      anon_sym_LPAREN,
    ACTIONS(8910), 1,
      anon_sym_POUND,
    STATE(5988), 1,
      aux_sym_annotation_repeat1,
    STATE(6539), 1,
      sym_type_arguments,
    STATE(7365), 1,
      sym_arguments,
    STATE(4862), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7530), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7528), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [253675] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8349), 1,
      anon_sym_AT,
    STATE(4762), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5661), 1,
      sym_annotation,
    STATE(4863), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8288), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [253725] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4864), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7330), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8360), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [253769] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7338), 1,
      anon_sym_DOT,
    STATE(4865), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [253815] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8859), 1,
      anon_sym_COLON,
    ACTIONS(8861), 1,
      anon_sym_LBRACE,
    ACTIONS(8863), 1,
      anon_sym_with,
    STATE(7118), 1,
      aux_sym_compound_type_repeat1,
    STATE(9455), 1,
      sym_template_body,
    STATE(9470), 1,
      sym__refinement,
    STATE(4866), 2,
      sym_comment,
      sym_block_comment,
    STATE(9278), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7668), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7666), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [253873] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8912), 1,
      anon_sym_LPAREN,
    STATE(5900), 1,
      sym_arguments,
    STATE(4867), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(7788), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7786), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [253921] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4868), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8027), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8683), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [253965] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8376), 1,
      anon_sym_LPAREN,
    STATE(4867), 1,
      aux_sym_annotation_repeat1,
    STATE(5900), 1,
      sym_arguments,
    STATE(4869), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7817), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7815), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [254015] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8842), 1,
      anon_sym_COLON,
    ACTIONS(8844), 1,
      anon_sym_LBRACE,
    ACTIONS(8846), 1,
      anon_sym_with,
    STATE(7189), 1,
      aux_sym_compound_type_repeat1,
    STATE(9412), 1,
      sym_template_body,
    STATE(9428), 1,
      sym__refinement,
    STATE(4870), 2,
      sym_comment,
      sym_block_comment,
    STATE(9303), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7668), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7666), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [254073] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4871), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7372), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8402), 22,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [254117] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4872), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7330), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8360), 22,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [254161] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4873), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7764), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7762), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [254205] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4874), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8095), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8093), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [254249] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8915), 1,
      anon_sym_DOT,
    STATE(4875), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [254295] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4876), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7716), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8324), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [254339] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8917), 1,
      anon_sym_LPAREN,
    STATE(5801), 1,
      sym_arguments,
    STATE(4877), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(7788), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7786), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [254387] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4878), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8835), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8833), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [254431] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7640), 1,
      anon_sym_DQUOTE,
    ACTIONS(8920), 1,
      sym__interpolated_multiline_string_start,
    STATE(8568), 1,
      sym_interpolated_string,
    STATE(15261), 1,
      sym__interpolated_string_start,
    ACTIONS(7638), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4879), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [254485] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4880), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7552), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8326), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [254529] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7338), 1,
      anon_sym_DOT,
    STATE(4881), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [254575] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4882), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8227), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8225), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [254619] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8429), 1,
      anon_sym_LPAREN,
    STATE(4877), 1,
      aux_sym_annotation_repeat1,
    STATE(5801), 1,
      sym_arguments,
    STATE(4883), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7817), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7815), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [254669] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4884), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 10,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(7000), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
      anon_sym_yield,
  [254713] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4885), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8392), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [254757] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4886), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [254801] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4887), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8271), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [254845] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4888), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7552), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8326), 22,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [254889] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4889), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [254933] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4890), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7716), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8324), 22,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [254977] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4891), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8267), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [255021] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4892), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7704), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8316), 22,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [255065] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8370), 1,
      anon_sym_LPAREN,
    STATE(4854), 1,
      aux_sym_annotation_repeat1,
    STATE(5833), 1,
      sym_arguments,
    STATE(4893), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7817), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7815), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [255115] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4894), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7330), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8360), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [255159] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8922), 1,
      anon_sym_COLON,
    ACTIONS(8925), 1,
      anon_sym_LBRACE,
    STATE(6414), 1,
      sym_template_body,
    STATE(4895), 2,
      sym_comment,
      sym_block_comment,
    STATE(6388), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8549), 8,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8541), 16,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [255211] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4896), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7720), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8435), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [255255] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4897), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7714), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8406), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [255299] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4898), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7710), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8404), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [255343] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8423), 1,
      anon_sym_LPAREN,
    STATE(4904), 1,
      aux_sym_annotation_repeat1,
    STATE(5953), 1,
      sym_arguments,
    STATE(4899), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7817), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7815), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [255393] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1318), 1,
      anon_sym_LBRACE,
    ACTIONS(8051), 1,
      sym__alpha_identifier,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8063), 1,
      anon_sym_EQ,
    ACTIONS(8065), 1,
      sym__backquoted_id,
    ACTIONS(8342), 1,
      anon_sym_LPAREN,
    ACTIONS(8928), 1,
      anon_sym_DOT,
    ACTIONS(8930), 1,
      sym_operator_identifier,
    STATE(1734), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(4900), 2,
      sym_comment,
      sym_block_comment,
    STATE(7988), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8055), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8057), 6,
      anon_sym_while,
      anon_sym_match,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(8061), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [255461] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4901), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7552), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8326), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [255505] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7768), 1,
      anon_sym_AT,
    STATE(4796), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5698), 1,
      sym_annotation,
    STATE(4902), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8288), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [255555] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4903), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8392), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [255599] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8932), 1,
      anon_sym_LPAREN,
    STATE(5953), 1,
      sym_arguments,
    STATE(4904), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(7788), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7786), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [255647] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4905), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7716), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8324), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [255691] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4906), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7584), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [255735] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4907), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7704), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8316), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [255779] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4908), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7330), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8360), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [255823] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4909), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8271), 22,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [255867] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8935), 1,
      anon_sym_LBRACK,
    ACTIONS(8937), 1,
      anon_sym_LPAREN,
    ACTIONS(8939), 1,
      anon_sym_POUND,
    STATE(6376), 1,
      aux_sym_annotation_repeat1,
    STATE(6432), 1,
      sym_type_arguments,
    STATE(8021), 1,
      sym_arguments,
    STATE(4910), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7530), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7528), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [255923] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4911), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 22,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [255967] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8941), 1,
      anon_sym_LPAREN,
    STATE(5650), 1,
      sym_arguments,
    STATE(4912), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(7788), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7786), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [256015] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4913), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7720), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8435), 22,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [256059] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1318), 1,
      anon_sym_LBRACE,
    ACTIONS(8063), 1,
      anon_sym_EQ,
    ACTIONS(8342), 1,
      anon_sym_LPAREN,
    ACTIONS(8928), 1,
      anon_sym_DOT,
    STATE(621), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(4914), 2,
      sym_comment,
      sym_block_comment,
    STATE(7988), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8231), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8229), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [256117] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4915), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7714), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8406), 22,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [256161] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8382), 1,
      anon_sym_LPAREN,
    STATE(4912), 1,
      aux_sym_annotation_repeat1,
    STATE(5650), 1,
      sym_arguments,
    STATE(4916), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7817), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7815), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [256211] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4917), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7710), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8404), 22,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [256255] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4918), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8392), 22,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [256299] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4919), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7584), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 22,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [256343] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8822), 1,
      anon_sym_COLON,
    ACTIONS(8824), 1,
      anon_sym_LBRACE,
    ACTIONS(8826), 1,
      anon_sym_with,
    STATE(7145), 1,
      aux_sym_compound_type_repeat1,
    STATE(9283), 1,
      sym_template_body,
    STATE(9288), 1,
      sym__refinement,
    STATE(4920), 2,
      sym_comment,
      sym_block_comment,
    STATE(9514), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7668), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7666), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [256401] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4921), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [256445] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4922), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7000), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [256489] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8944), 1,
      anon_sym_LBRACK,
    ACTIONS(8946), 1,
      anon_sym_LPAREN,
    ACTIONS(8948), 1,
      anon_sym_POUND,
    STATE(5869), 1,
      aux_sym_annotation_repeat1,
    STATE(6536), 1,
      sym_type_arguments,
    STATE(7061), 1,
      sym_arguments,
    STATE(4923), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7530), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7528), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [256545] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8101), 1,
      anon_sym_AT,
    STATE(4684), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5478), 1,
      sym_annotation,
    STATE(4924), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8288), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [256595] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7338), 1,
      anon_sym_DOT,
    STATE(4925), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 21,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [256641] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7338), 1,
      anon_sym_DOT,
    STATE(4926), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [256687] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4927), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8027), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8683), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [256731] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8584), 1,
      anon_sym_with,
    STATE(7078), 1,
      aux_sym_compound_type_repeat1,
    STATE(8656), 1,
      sym_template_body,
    STATE(8670), 1,
      sym__refinement,
    STATE(4928), 2,
      sym_comment,
      sym_block_comment,
    STATE(8470), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7668), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7666), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [256785] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4929), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7000), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [256829] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8950), 1,
      anon_sym_AT,
    STATE(5527), 1,
      sym_annotation,
    STATE(4930), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8283), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8281), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [256877] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8356), 1,
      anon_sym_AT,
    STATE(4831), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5749), 1,
      sym_annotation,
    STATE(4931), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8288), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [256927] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7338), 1,
      anon_sym_DOT,
    STATE(4932), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [256973] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4933), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 9,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(4132), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
  [257017] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8953), 1,
      anon_sym_DOT,
    STATE(4934), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [257063] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8675), 1,
      anon_sym_LBRACK,
    ACTIONS(8677), 1,
      anon_sym_AT,
    ACTIONS(8681), 1,
      anon_sym_POUND,
    STATE(5546), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6109), 1,
      sym_type_arguments,
    STATE(7306), 1,
      sym_annotation,
    STATE(4935), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [257119] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8955), 1,
      anon_sym_LBRACK,
    ACTIONS(8957), 1,
      anon_sym_LPAREN,
    ACTIONS(8959), 1,
      anon_sym_POUND,
    STATE(6208), 1,
      aux_sym_annotation_repeat1,
    STATE(6393), 1,
      sym_type_arguments,
    STATE(8018), 1,
      sym_arguments,
    STATE(4936), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7530), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7528), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [257175] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8443), 1,
      anon_sym_LPAREN,
    STATE(4941), 1,
      aux_sym_annotation_repeat1,
    STATE(5978), 1,
      sym_arguments,
    STATE(4937), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7817), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7815), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [257225] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8602), 1,
      anon_sym_LBRACK,
    ACTIONS(8608), 1,
      anon_sym_POUND,
    ACTIONS(8961), 1,
      anon_sym_LPAREN,
    STATE(5837), 1,
      aux_sym_annotation_repeat1,
    STATE(6061), 1,
      sym_type_arguments,
    STATE(6922), 1,
      sym_arguments,
    STATE(4938), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7530), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7528), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [257281] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(107), 1,
      anon_sym_LBRACE,
    ACTIONS(8063), 1,
      anon_sym_EQ,
    ACTIONS(8312), 1,
      anon_sym_LPAREN,
    ACTIONS(8789), 1,
      anon_sym_DOT,
    STATE(621), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(4939), 2,
      sym_comment,
      sym_block_comment,
    STATE(8038), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8231), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8229), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [257339] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8640), 1,
      anon_sym_LBRACK,
    ACTIONS(8644), 1,
      anon_sym_POUND,
    ACTIONS(8963), 1,
      anon_sym_AT,
    STATE(5510), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5724), 1,
      sym_type_arguments,
    STATE(6804), 1,
      sym_annotation,
    STATE(4940), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [257395] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8965), 1,
      anon_sym_LPAREN,
    STATE(5978), 1,
      sym_arguments,
    STATE(4941), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(7788), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7786), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [257443] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8968), 1,
      anon_sym_with,
    STATE(5275), 1,
      aux_sym_compound_type_repeat1,
    STATE(8763), 1,
      sym_arguments,
    STATE(8870), 1,
      sym__refinement,
    STATE(8871), 1,
      sym_template_body,
    STATE(4942), 2,
      sym_comment,
      sym_block_comment,
    STATE(9104), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7498), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7496), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [257499] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4943), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 9,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(7000), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
  [257543] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7338), 1,
      anon_sym_DOT,
    STATE(4944), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [257589] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1318), 1,
      anon_sym_LBRACE,
    ACTIONS(8342), 1,
      anon_sym_LPAREN,
    ACTIONS(8928), 1,
      anon_sym_DOT,
    STATE(621), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(4945), 2,
      sym_comment,
      sym_block_comment,
    STATE(7988), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8241), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8239), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [257645] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8970), 1,
      anon_sym_with,
    STATE(4946), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(8804), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8802), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [257691] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8433), 1,
      anon_sym_AT,
    STATE(4930), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5527), 1,
      sym_annotation,
    STATE(4947), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8288), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [257741] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8973), 1,
      anon_sym_DOT,
    STATE(4948), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [257787] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8975), 1,
      anon_sym_LBRACK,
    ACTIONS(8977), 1,
      anon_sym_AT,
    ACTIONS(8979), 1,
      anon_sym_LPAREN,
    ACTIONS(8981), 1,
      anon_sym_POUND,
    STATE(6384), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7231), 1,
      sym_type_arguments,
    STATE(7523), 1,
      sym_annotation,
    STATE(8763), 1,
      sym_arguments,
    STATE(4949), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [257847] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8626), 1,
      anon_sym_LBRACK,
    ACTIONS(8630), 1,
      anon_sym_POUND,
    ACTIONS(8983), 1,
      anon_sym_AT,
    STATE(5469), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5784), 1,
      sym_type_arguments,
    STATE(6885), 1,
      sym_annotation,
    STATE(4950), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [257903] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7640), 1,
      anon_sym_DQUOTE,
    ACTIONS(8447), 1,
      sym__interpolated_multiline_string_start,
    STATE(7201), 1,
      sym_interpolated_string,
    STATE(15365), 1,
      sym__interpolated_string_start,
    ACTIONS(8985), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4951), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [257957] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8987), 1,
      anon_sym_LBRACK,
    ACTIONS(8989), 1,
      anon_sym_LPAREN,
    ACTIONS(8991), 1,
      anon_sym_POUND,
    STATE(5454), 1,
      aux_sym_annotation_repeat1,
    STATE(6100), 1,
      sym_type_arguments,
    STATE(7120), 1,
      sym_arguments,
    STATE(4952), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7530), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7528), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [258013] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8993), 1,
      anon_sym_LBRACK,
    ACTIONS(8995), 1,
      anon_sym_LPAREN,
    ACTIONS(8997), 1,
      anon_sym_POUND,
    STATE(5854), 1,
      aux_sym_annotation_repeat1,
    STATE(6318), 1,
      sym_type_arguments,
    STATE(6996), 1,
      sym_arguments,
    STATE(4953), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7530), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7528), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [258069] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4954), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7584), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [258113] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8573), 1,
      anon_sym_LBRACK,
    ACTIONS(8577), 1,
      anon_sym_POUND,
    ACTIONS(8999), 1,
      anon_sym_AT,
    STATE(5511), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5889), 1,
      sym_type_arguments,
    STATE(7034), 1,
      sym_annotation,
    STATE(4955), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [258169] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4956), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8392), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [258213] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9001), 1,
      anon_sym_DOT,
    STATE(4957), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 21,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [258259] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9003), 1,
      anon_sym_LBRACK,
    ACTIONS(9005), 1,
      anon_sym_LPAREN,
    ACTIONS(9007), 1,
      anon_sym_POUND,
    STATE(5783), 1,
      aux_sym_annotation_repeat1,
    STATE(6152), 1,
      sym_type_arguments,
    STATE(6751), 1,
      sym_arguments,
    STATE(4958), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7530), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7528), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [258315] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4959), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7710), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8404), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [258359] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7338), 1,
      anon_sym_DOT,
    STATE(4960), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [258405] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4961), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7714), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8406), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [258449] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4962), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8267), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [258493] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4963), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7720), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8435), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [258537] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9009), 1,
      anon_sym_LBRACK,
    ACTIONS(9011), 1,
      anon_sym_LPAREN,
    ACTIONS(9013), 1,
      anon_sym_POUND,
    STATE(5595), 1,
      aux_sym_annotation_repeat1,
    STATE(6020), 1,
      sym_type_arguments,
    STATE(6908), 1,
      sym_arguments,
    STATE(4964), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7530), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7528), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [258593] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4965), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [258637] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4966), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8267), 22,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [258681] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4967), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7372), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8402), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [258725] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4968), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8392), 21,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [258768] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8628), 1,
      anon_sym_LPAREN,
    STATE(5178), 1,
      aux_sym_annotation_repeat1,
    STATE(6634), 1,
      sym_arguments,
    STATE(4969), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7817), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7815), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [258817] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4970), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8267), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [258860] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9015), 1,
      anon_sym_with,
    STATE(4971), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(8804), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8802), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [258905] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9018), 1,
      anon_sym_LPAREN,
    STATE(6635), 1,
      sym_arguments,
    STATE(4972), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(7788), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7786), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [258952] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4973), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9021), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9023), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [258995] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4974), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7000), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [259038] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9025), 1,
      anon_sym_DOT,
    STATE(4975), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [259083] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4976), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [259126] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8664), 1,
      anon_sym_AT,
    STATE(4997), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6187), 1,
      sym_annotation,
    STATE(4977), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8288), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [259175] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4978), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8835), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8833), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [259218] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8781), 1,
      anon_sym_LBRACK,
    ACTIONS(8787), 1,
      anon_sym_POUND,
    ACTIONS(9027), 1,
      anon_sym_LPAREN,
    STATE(6322), 1,
      aux_sym_annotation_repeat1,
    STATE(7299), 1,
      sym_type_arguments,
    STATE(7581), 1,
      sym_arguments,
    STATE(4979), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7530), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7528), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [259273] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4980), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8227), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8225), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [259316] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4981), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8095), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8093), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [259359] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4982), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7716), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8324), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [259402] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4983), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7764), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7762), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [259445] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4984), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9029), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9031), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [259488] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4985), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8227), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8225), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [259531] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4986), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7552), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8326), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [259574] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9033), 1,
      anon_sym_DOT,
    STATE(4987), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [259619] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4988), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7372), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8402), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [259662] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8646), 1,
      anon_sym_LPAREN,
    STATE(4972), 1,
      aux_sym_annotation_repeat1,
    STATE(6635), 1,
      sym_arguments,
    STATE(4989), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7817), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7815), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [259711] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8781), 1,
      anon_sym_LBRACK,
    ACTIONS(8783), 1,
      anon_sym_AT,
    ACTIONS(8787), 1,
      anon_sym_POUND,
    STATE(6648), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7299), 1,
      sym_type_arguments,
    STATE(7925), 1,
      sym_annotation,
    STATE(4990), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [259766] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4991), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8095), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8093), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [259809] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8944), 1,
      anon_sym_LBRACK,
    ACTIONS(8948), 1,
      anon_sym_POUND,
    ACTIONS(9035), 1,
      anon_sym_AT,
    STATE(6082), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6536), 1,
      sym_type_arguments,
    STATE(7452), 1,
      sym_annotation,
    STATE(4992), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [259864] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9037), 1,
      anon_sym_AT,
    STATE(6495), 1,
      sym_annotation,
    STATE(4993), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8283), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8281), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [259911] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4994), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7764), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7762), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [259954] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4995), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(4132), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [259997] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7338), 1,
      anon_sym_DOT,
    STATE(4996), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8159), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [260042] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9040), 1,
      anon_sym_AT,
    STATE(6187), 1,
      sym_annotation,
    STATE(4997), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8283), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8281), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [260089] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9043), 1,
      anon_sym_COLON,
    ACTIONS(9045), 1,
      anon_sym_LBRACE,
    ACTIONS(9047), 1,
      anon_sym_with,
    STATE(7765), 1,
      aux_sym_compound_type_repeat1,
    STATE(9890), 1,
      sym__refinement,
    STATE(9927), 1,
      sym_template_body,
    STATE(4998), 2,
      sym_comment,
      sym_block_comment,
    STATE(9814), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7668), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7666), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [260146] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7640), 1,
      anon_sym_DQUOTE,
    ACTIONS(8588), 1,
      sym__interpolated_multiline_string_start,
    STATE(7433), 1,
      sym_interpolated_string,
    STATE(14464), 1,
      sym__interpolated_string_start,
    ACTIONS(9049), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4999), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [260199] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5000), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8271), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [260242] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5001), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7714), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8406), 21,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [260285] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9051), 1,
      anon_sym_DOT,
    STATE(5002), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [260330] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5003), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [260373] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5004), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7720), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8435), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [260416] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5005), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7714), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8406), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [260459] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9053), 1,
      anon_sym_with,
    STATE(5006), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(8804), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8802), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [260504] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5007), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7372), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8402), 21,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [260547] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5008), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7710), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8404), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [260590] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5009), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8392), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [260633] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5010), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7584), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [260676] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5011), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8027), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8683), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [260719] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9056), 1,
      anon_sym_COLON,
    ACTIONS(9058), 1,
      anon_sym_LBRACE,
    ACTIONS(9060), 1,
      anon_sym_with,
    STATE(5142), 1,
      aux_sym_compound_type_repeat1,
    STATE(9621), 1,
      sym__refinement,
    STATE(9623), 1,
      sym_template_body,
    STATE(5012), 2,
      sym_comment,
      sym_block_comment,
    STATE(9657), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7580), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7574), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [260776] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9062), 1,
      anon_sym_AT,
    STATE(6143), 1,
      sym_annotation,
    STATE(5013), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8283), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8281), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [260823] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5014), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8027), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8683), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [260866] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5015), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9067), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9065), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [260909] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8613), 1,
      anon_sym_AT,
    STATE(4993), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6495), 1,
      sym_annotation,
    STATE(5016), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8288), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [260958] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9069), 1,
      anon_sym_AT,
    STATE(5993), 1,
      sym_annotation,
    STATE(5017), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8283), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8281), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [261005] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5018), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8271), 21,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [261048] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8955), 1,
      anon_sym_LBRACK,
    ACTIONS(8959), 1,
      anon_sym_POUND,
    ACTIONS(9072), 1,
      anon_sym_AT,
    STATE(6393), 1,
      sym_type_arguments,
    STATE(7236), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8450), 1,
      sym_annotation,
    STATE(5019), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [261103] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9074), 1,
      anon_sym_LBRACK,
    ACTIONS(9076), 1,
      anon_sym_LPAREN,
    ACTIONS(9078), 1,
      anon_sym_POUND,
    STATE(6171), 1,
      aux_sym_annotation_repeat1,
    STATE(6679), 1,
      sym_type_arguments,
    STATE(7464), 1,
      sym_arguments,
    STATE(5020), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7530), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7528), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [261158] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5021), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 21,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [261201] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8935), 1,
      anon_sym_LBRACK,
    ACTIONS(8939), 1,
      anon_sym_POUND,
    ACTIONS(9080), 1,
      anon_sym_AT,
    STATE(6432), 1,
      sym_type_arguments,
    STATE(7222), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8667), 1,
      sym_annotation,
    STATE(5022), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [261256] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5023), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9082), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9084), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [261299] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7640), 1,
      anon_sym_DQUOTE,
    ACTIONS(9086), 1,
      sym__interpolated_multiline_string_start,
    STATE(8912), 1,
      sym_interpolated_string,
    STATE(14962), 1,
      sym__interpolated_string_start,
    ACTIONS(7638), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5024), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [261352] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5025), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7720), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8435), 21,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [261395] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9088), 1,
      anon_sym_LBRACK,
    ACTIONS(9090), 1,
      anon_sym_LPAREN,
    ACTIONS(9092), 1,
      anon_sym_POUND,
    STATE(6114), 1,
      aux_sym_annotation_repeat1,
    STATE(6952), 1,
      sym_type_arguments,
    STATE(7942), 1,
      sym_arguments,
    STATE(5026), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7530), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7528), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [261450] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1282), 1,
      anon_sym_LBRACE,
    ACTIONS(8051), 1,
      sym__alpha_identifier,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8063), 1,
      anon_sym_EQ,
    ACTIONS(8065), 1,
      sym__backquoted_id,
    ACTIONS(8679), 1,
      anon_sym_LPAREN,
    ACTIONS(9094), 1,
      anon_sym_DOT,
    ACTIONS(9096), 1,
      sym_operator_identifier,
    STATE(1751), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(5027), 2,
      sym_comment,
      sym_block_comment,
    STATE(8320), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8055), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8057), 5,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(8061), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [261517] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5028), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7552), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8326), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [261560] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8685), 1,
      anon_sym_DOT,
    ACTIONS(9098), 1,
      anon_sym_EQ_GT,
    STATE(5029), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [261607] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5030), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7710), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8404), 21,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [261650] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7640), 1,
      anon_sym_DQUOTE,
    ACTIONS(8155), 1,
      sym__interpolated_multiline_string_start,
    STATE(6527), 1,
      sym_interpolated_string,
    STATE(14364), 1,
      sym__interpolated_string_start,
    ACTIONS(9100), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5031), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [261703] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5032), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8392), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [261746] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5033), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7584), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 21,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [261789] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9102), 1,
      anon_sym_AT,
    STATE(6038), 1,
      sym_annotation,
    STATE(5034), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8283), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8281), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [261836] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5035), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8027), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8683), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [261879] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5036), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8835), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8833), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [261922] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8340), 1,
      anon_sym_AT,
    STATE(5017), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5993), 1,
      sym_annotation,
    STATE(5037), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8288), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [261971] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8850), 1,
      anon_sym_LBRACK,
    ACTIONS(8854), 1,
      anon_sym_POUND,
    ACTIONS(9105), 1,
      anon_sym_AT,
    STATE(6329), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6660), 1,
      sym_type_arguments,
    STATE(7676), 1,
      sym_annotation,
    STATE(5038), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [262026] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9107), 1,
      anon_sym_COLON,
    ACTIONS(9110), 1,
      anon_sym_LBRACE,
    STATE(7336), 1,
      sym_template_body,
    STATE(5039), 2,
      sym_comment,
      sym_block_comment,
    STATE(7206), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8549), 7,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8541), 16,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [262077] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5040), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8027), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8683), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [262120] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8915), 1,
      anon_sym_DOT,
    ACTIONS(9113), 1,
      anon_sym_EQ_GT,
    STATE(5041), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [262167] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5042), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7372), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8402), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [262210] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5043), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7330), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8360), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [262253] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5044), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8835), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8833), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [262296] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8561), 1,
      anon_sym_AT,
    STATE(5034), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6038), 1,
      sym_annotation,
    STATE(5045), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8288), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [262345] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9115), 1,
      anon_sym_with,
    STATE(5046), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(8804), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8802), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [262390] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7640), 1,
      anon_sym_DQUOTE,
    ACTIONS(9120), 1,
      sym__interpolated_multiline_string_start,
    STATE(8974), 1,
      sym_interpolated_string,
    STATE(15345), 1,
      sym__interpolated_string_start,
    ACTIONS(9118), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5047), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [262443] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5048), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7704), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8316), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [262486] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5049), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7716), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8324), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [262529] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5050), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7552), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8326), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [262572] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(892), 1,
      anon_sym_LBRACE,
    ACTIONS(7472), 1,
      anon_sym_LPAREN,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8059), 1,
      anon_sym_DOT,
    ACTIONS(8731), 1,
      sym__alpha_identifier,
    ACTIONS(8741), 1,
      sym__backquoted_id,
    ACTIONS(8743), 1,
      sym_operator_identifier,
    ACTIONS(9122), 1,
      anon_sym_EQ,
    STATE(529), 1,
      sym_identifier,
    STATE(3888), 1,
      sym__soft_identifier,
    STATE(5051), 2,
      sym_comment,
      sym_block_comment,
    STATE(5396), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8733), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8737), 5,
      anon_sym_case,
      anon_sym_match,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(8735), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [262639] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9124), 1,
      anon_sym_COLON,
    ACTIONS(9126), 1,
      anon_sym_LBRACE,
    ACTIONS(9128), 1,
      anon_sym_with,
    STATE(7831), 1,
      aux_sym_compound_type_repeat1,
    STATE(9649), 1,
      sym_template_body,
    STATE(9742), 1,
      sym__refinement,
    STATE(5052), 2,
      sym_comment,
      sym_block_comment,
    STATE(9856), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7668), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7666), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [262696] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5053), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8271), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [262739] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5054), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9130), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9132), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [262782] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5055), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9134), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9136), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [262825] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5056), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [262868] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9138), 1,
      anon_sym_LBRACK,
    ACTIONS(9140), 1,
      anon_sym_LPAREN,
    ACTIONS(9142), 1,
      anon_sym_POUND,
    STATE(6693), 1,
      sym_type_arguments,
    STATE(7250), 1,
      aux_sym_annotation_repeat1,
    STATE(8151), 1,
      sym_arguments,
    STATE(5057), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7530), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7528), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [262923] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5058), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9144), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9146), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [262966] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8906), 1,
      anon_sym_LBRACK,
    ACTIONS(8910), 1,
      anon_sym_POUND,
    ACTIONS(9148), 1,
      anon_sym_AT,
    STATE(6357), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6539), 1,
      sym_type_arguments,
    STATE(7687), 1,
      sym_annotation,
    STATE(5059), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [263021] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5060), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7330), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8360), 20,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [263064] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5061), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7720), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8435), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [263107] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9150), 1,
      anon_sym_COLON,
    ACTIONS(9152), 1,
      anon_sym_LBRACE,
    ACTIONS(9154), 1,
      anon_sym_with,
    STATE(5137), 1,
      aux_sym_compound_type_repeat1,
    STATE(9768), 1,
      sym_template_body,
    STATE(9788), 1,
      sym__refinement,
    STATE(5062), 2,
      sym_comment,
      sym_block_comment,
    STATE(9654), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7580), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7574), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [263164] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5063), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7714), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8406), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [263207] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9156), 1,
      anon_sym_with,
    STATE(5064), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(8804), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8802), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [263252] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5065), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7710), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8404), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [263295] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5066), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9159), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9161), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [263338] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8698), 1,
      anon_sym_with,
    STATE(7790), 1,
      aux_sym_compound_type_repeat1,
    STATE(9195), 1,
      sym_template_body,
    STATE(9206), 1,
      sym__refinement,
    STATE(5067), 2,
      sym_comment,
      sym_block_comment,
    STATE(9060), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7668), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7666), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [263391] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5068), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8392), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [263434] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5069), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7552), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8326), 20,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [263477] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5070), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7716), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8324), 20,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [263520] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5071), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7584), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [263563] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7580), 1,
      sym__backquoted_id,
    ACTIONS(9056), 1,
      anon_sym_COLON,
    ACTIONS(9058), 1,
      anon_sym_LBRACE,
    ACTIONS(9060), 1,
      anon_sym_with,
    STATE(5142), 1,
      aux_sym_compound_type_repeat1,
    STATE(9621), 1,
      sym__refinement,
    STATE(9623), 1,
      sym_template_body,
    ACTIONS(7698), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5072), 2,
      sym_comment,
      sym_block_comment,
    STATE(9657), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7694), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(7696), 4,
      anon_sym_while,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
    ACTIONS(7574), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [263626] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5073), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7330), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8360), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [263669] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5074), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7704), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8316), 20,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [263712] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8453), 1,
      anon_sym_LPAREN,
    STATE(5076), 1,
      aux_sym_annotation_repeat1,
    STATE(6641), 1,
      sym_arguments,
    STATE(5075), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7817), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7815), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [263761] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9163), 1,
      anon_sym_LPAREN,
    STATE(6641), 1,
      sym_arguments,
    STATE(5076), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(7788), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7786), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [263808] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8773), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5077), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8771), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8769), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [263853] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8747), 1,
      anon_sym_with,
    STATE(7772), 1,
      aux_sym_compound_type_repeat1,
    STATE(8753), 1,
      sym__refinement,
    STATE(8766), 1,
      sym_template_body,
    STATE(5078), 2,
      sym_comment,
      sym_block_comment,
    STATE(5088), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7668), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7666), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [263906] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5079), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8227), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8225), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [263949] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5080), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8267), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [263992] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9166), 1,
      anon_sym_COLON,
    ACTIONS(9168), 1,
      anon_sym_LBRACE,
    ACTIONS(9170), 1,
      anon_sym_with,
    STATE(7748), 1,
      aux_sym_compound_type_repeat1,
    STATE(9613), 1,
      sym__refinement,
    STATE(9899), 1,
      sym_template_body,
    STATE(5081), 2,
      sym_comment,
      sym_block_comment,
    STATE(9879), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7668), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7666), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [264049] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5082), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8095), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8093), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [264092] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8975), 1,
      anon_sym_LBRACK,
    ACTIONS(8977), 1,
      anon_sym_AT,
    ACTIONS(8981), 1,
      anon_sym_POUND,
    STATE(6384), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7231), 1,
      sym_type_arguments,
    STATE(7523), 1,
      sym_annotation,
    STATE(5083), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [264147] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5084), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7764), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7762), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [264190] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9166), 1,
      anon_sym_COLON,
    ACTIONS(9168), 1,
      anon_sym_LBRACE,
    ACTIONS(9170), 1,
      anon_sym_with,
    STATE(5081), 1,
      aux_sym_compound_type_repeat1,
    STATE(9884), 1,
      sym__refinement,
    STATE(9899), 1,
      sym_template_body,
    STATE(5085), 2,
      sym_comment,
      sym_block_comment,
    STATE(9879), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7580), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7574), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [264247] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9172), 1,
      anon_sym_DOT,
    STATE(5086), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [264292] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9174), 1,
      anon_sym_LBRACK,
    ACTIONS(9176), 1,
      anon_sym_LPAREN,
    ACTIONS(9178), 1,
      anon_sym_POUND,
    STATE(6907), 1,
      aux_sym_annotation_repeat1,
    STATE(6985), 1,
      sym_type_arguments,
    STATE(8138), 1,
      sym_arguments,
    STATE(5087), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7530), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7528), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [264347] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5088), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9180), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9182), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [264390] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7638), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5089), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [264435] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5090), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8392), 22,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [264478] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5091), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7330), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8360), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [264521] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5092), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7584), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [264564] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5093), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8392), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [264607] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5094), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8267), 22,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [264650] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8567), 1,
      anon_sym_AT,
    STATE(5013), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6143), 1,
      sym_annotation,
    STATE(5095), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8288), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [264699] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9184), 1,
      anon_sym_LBRACK,
    ACTIONS(9186), 1,
      anon_sym_LPAREN,
    ACTIONS(9188), 1,
      anon_sym_POUND,
    STATE(6386), 1,
      aux_sym_annotation_repeat1,
    STATE(7054), 1,
      sym_type_arguments,
    STATE(7766), 1,
      sym_arguments,
    STATE(5096), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7530), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7528), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [264754] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5097), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8267), 21,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [264797] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5098), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7710), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8404), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [264840] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5099), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7714), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8406), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [264883] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5100), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7372), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8402), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [264926] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5101), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7720), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8435), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [264969] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5102), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [265012] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9190), 1,
      anon_sym_LBRACK,
    ACTIONS(9192), 1,
      anon_sym_LPAREN,
    ACTIONS(9194), 1,
      anon_sym_POUND,
    STATE(6094), 1,
      aux_sym_annotation_repeat1,
    STATE(6688), 1,
      sym_type_arguments,
    STATE(7835), 1,
      sym_arguments,
    STATE(5103), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7530), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7528), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [265067] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9196), 1,
      anon_sym_LBRACK,
    ACTIONS(9198), 1,
      anon_sym_LPAREN,
    ACTIONS(9200), 1,
      anon_sym_POUND,
    STATE(6490), 1,
      aux_sym_annotation_repeat1,
    STATE(7069), 1,
      sym_type_arguments,
    STATE(7941), 1,
      sym_arguments,
    STATE(5104), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7530), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7528), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [265122] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7580), 1,
      sym__backquoted_id,
    ACTIONS(9150), 1,
      anon_sym_COLON,
    ACTIONS(9152), 1,
      anon_sym_LBRACE,
    ACTIONS(9154), 1,
      anon_sym_with,
    STATE(5137), 1,
      aux_sym_compound_type_repeat1,
    STATE(9768), 1,
      sym_template_body,
    STATE(9788), 1,
      sym__refinement,
    ACTIONS(7698), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5105), 2,
      sym_comment,
      sym_block_comment,
    STATE(9654), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7694), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(7696), 5,
      anon_sym_STAR,
      anon_sym_while,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(7574), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [265185] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5106), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8267), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [265228] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5107), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8271), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [265271] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7580), 1,
      sym__backquoted_id,
    ACTIONS(9202), 1,
      anon_sym_COLON,
    ACTIONS(9204), 1,
      anon_sym_LBRACE,
    ACTIONS(9206), 1,
      anon_sym_with,
    STATE(5227), 1,
      aux_sym_compound_type_repeat1,
    STATE(9778), 1,
      sym_template_body,
    STATE(9789), 1,
      sym__refinement,
    ACTIONS(7698), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5108), 2,
      sym_comment,
      sym_block_comment,
    STATE(9851), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7694), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(7696), 4,
      anon_sym_STAR,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(7574), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [265334] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5109), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8271), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [265377] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5110), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [265420] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8902), 1,
      anon_sym_EQ_GT,
    STATE(5111), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8271), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [265465] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9208), 1,
      anon_sym_COLON,
    ACTIONS(9210), 1,
      anon_sym_LBRACE,
    ACTIONS(9212), 1,
      anon_sym_with,
    STATE(7598), 1,
      aux_sym_compound_type_repeat1,
    STATE(9898), 1,
      sym__refinement,
    STATE(9924), 1,
      sym_template_body,
    STATE(5112), 2,
      sym_comment,
      sym_block_comment,
    STATE(9679), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7668), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7666), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [265522] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5113), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7720), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8435), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [265565] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5114), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7714), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8406), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [265608] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8396), 1,
      anon_sym_AT,
    STATE(5144), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6629), 1,
      sym_annotation,
    STATE(5115), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8288), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [265657] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5116), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7710), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8404), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [265700] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5117), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7764), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7762), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [265743] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5118), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7716), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8324), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [265786] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5119), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8392), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [265829] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5120), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8095), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8093), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [265872] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5121), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7584), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [265915] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8622), 1,
      anon_sym_LPAREN,
    STATE(5130), 1,
      aux_sym_annotation_repeat1,
    STATE(6557), 1,
      sym_arguments,
    STATE(5122), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7817), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7815), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [265964] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5123), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8392), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [266007] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5124), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8392), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [266050] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5125), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [266093] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5126), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7704), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8316), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [266136] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9214), 1,
      anon_sym_DOT,
    STATE(5127), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [266181] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9216), 1,
      anon_sym_LPAREN,
    STATE(6554), 1,
      sym_arguments,
    STATE(5128), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(7788), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7786), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [266228] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5129), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8267), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [266271] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9219), 1,
      anon_sym_LPAREN,
    STATE(6557), 1,
      sym_arguments,
    STATE(5130), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(7788), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7786), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [266318] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5131), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7330), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8360), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [266361] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5132), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7000), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [266404] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5133), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8227), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8225), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [266447] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5134), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8267), 20,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [266490] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8598), 1,
      anon_sym_LPAREN,
    STATE(5128), 1,
      aux_sym_annotation_repeat1,
    STATE(6554), 1,
      sym_arguments,
    STATE(5135), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7817), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7815), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [266539] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9124), 1,
      anon_sym_COLON,
    ACTIONS(9126), 1,
      anon_sym_LBRACE,
    ACTIONS(9128), 1,
      anon_sym_with,
    STATE(5052), 1,
      aux_sym_compound_type_repeat1,
    STATE(9649), 1,
      sym_template_body,
    STATE(9774), 1,
      sym__refinement,
    STATE(5136), 2,
      sym_comment,
      sym_block_comment,
    STATE(9856), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7580), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7574), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [266596] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9150), 1,
      anon_sym_COLON,
    ACTIONS(9152), 1,
      anon_sym_LBRACE,
    ACTIONS(9154), 1,
      anon_sym_with,
    STATE(7664), 1,
      aux_sym_compound_type_repeat1,
    STATE(9768), 1,
      sym_template_body,
    STATE(9809), 1,
      sym__refinement,
    STATE(5137), 2,
      sym_comment,
      sym_block_comment,
    STATE(9654), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7668), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7666), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [266653] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5138), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8267), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [266696] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7338), 1,
      anon_sym_DOT,
    STATE(5139), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [266741] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5140), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7372), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8402), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [266784] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5141), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8267), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [266827] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9056), 1,
      anon_sym_COLON,
    ACTIONS(9058), 1,
      anon_sym_LBRACE,
    ACTIONS(9060), 1,
      anon_sym_with,
    STATE(7621), 1,
      aux_sym_compound_type_repeat1,
    STATE(9623), 1,
      sym_template_body,
    STATE(9667), 1,
      sym__refinement,
    STATE(5142), 2,
      sym_comment,
      sym_block_comment,
    STATE(9657), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7668), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7666), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [266884] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1282), 1,
      anon_sym_LBRACE,
    ACTIONS(8679), 1,
      anon_sym_LPAREN,
    ACTIONS(9094), 1,
      anon_sym_DOT,
    STATE(621), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(5143), 2,
      sym_comment,
      sym_block_comment,
    STATE(8320), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8241), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8239), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [266939] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9222), 1,
      anon_sym_AT,
    STATE(6629), 1,
      sym_annotation,
    STATE(5144), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8283), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8281), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [266986] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9225), 1,
      anon_sym_DOT,
    STATE(5145), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 20,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [267031] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5146), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7000), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [267074] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9227), 1,
      anon_sym_DOT,
    STATE(5147), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [267119] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5148), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 20,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [267162] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8575), 1,
      anon_sym_LPAREN,
    STATE(5150), 1,
      aux_sym_annotation_repeat1,
    STATE(6497), 1,
      sym_arguments,
    STATE(5149), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7817), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7815), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [267211] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9229), 1,
      anon_sym_LPAREN,
    STATE(6497), 1,
      sym_arguments,
    STATE(5150), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(7788), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7786), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [267258] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5151), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7764), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7762), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [267301] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5152), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8095), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8093), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [267344] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7640), 1,
      anon_sym_DQUOTE,
    ACTIONS(9232), 1,
      sym__interpolated_multiline_string_start,
    STATE(8759), 1,
      sym_interpolated_string,
    STATE(15181), 1,
      sym__interpolated_string_start,
    ACTIONS(7638), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5153), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [267397] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5154), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [267440] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9234), 1,
      anon_sym_LBRACK,
    ACTIONS(9236), 1,
      anon_sym_LPAREN,
    ACTIONS(9238), 1,
      anon_sym_POUND,
    STATE(6522), 1,
      aux_sym_annotation_repeat1,
    STATE(6961), 1,
      sym_type_arguments,
    STATE(7916), 1,
      sym_arguments,
    STATE(5155), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7530), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7528), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [267495] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5156), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8227), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8225), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [267538] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7580), 1,
      sym__backquoted_id,
    ACTIONS(9166), 1,
      anon_sym_COLON,
    ACTIONS(9168), 1,
      anon_sym_LBRACE,
    ACTIONS(9170), 1,
      anon_sym_with,
    STATE(5081), 1,
      aux_sym_compound_type_repeat1,
    STATE(9884), 1,
      sym__refinement,
    STATE(9899), 1,
      sym_template_body,
    ACTIONS(7698), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5157), 2,
      sym_comment,
      sym_block_comment,
    STATE(9879), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7694), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(7696), 4,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_else,
    ACTIONS(7574), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [267601] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9240), 1,
      anon_sym_COLON,
    ACTIONS(9243), 1,
      anon_sym_LBRACE,
    STATE(7090), 1,
      sym_template_body,
    STATE(5158), 2,
      sym_comment,
      sym_block_comment,
    STATE(6713), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8549), 8,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8541), 15,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [267652] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8791), 1,
      anon_sym_LBRACK,
    ACTIONS(8793), 1,
      anon_sym_AT,
    ACTIONS(8797), 1,
      anon_sym_POUND,
    STATE(6551), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7158), 1,
      sym_type_arguments,
    STATE(7636), 1,
      sym_annotation,
    STATE(5159), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7464), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [267707] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7580), 1,
      sym__backquoted_id,
    ACTIONS(9208), 1,
      anon_sym_COLON,
    ACTIONS(9210), 1,
      anon_sym_LBRACE,
    ACTIONS(9212), 1,
      anon_sym_with,
    STATE(5112), 1,
      aux_sym_compound_type_repeat1,
    STATE(9920), 1,
      sym__refinement,
    STATE(9924), 1,
      sym_template_body,
    ACTIONS(7698), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5160), 2,
      sym_comment,
      sym_block_comment,
    STATE(9679), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7694), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(7696), 4,
      anon_sym_case,
      anon_sym_if,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(7574), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [267770] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5161), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7764), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7762), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [267813] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8975), 1,
      anon_sym_LBRACK,
    ACTIONS(8981), 1,
      anon_sym_POUND,
    ACTIONS(9246), 1,
      anon_sym_LPAREN,
    STATE(6643), 1,
      aux_sym_annotation_repeat1,
    STATE(7231), 1,
      sym_type_arguments,
    STATE(7821), 1,
      sym_arguments,
    STATE(5162), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7530), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7528), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [267868] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5163), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [267911] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5164), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7704), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8316), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [267954] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9202), 1,
      anon_sym_COLON,
    ACTIONS(9204), 1,
      anon_sym_LBRACE,
    ACTIONS(9206), 1,
      anon_sym_with,
    STATE(5227), 1,
      aux_sym_compound_type_repeat1,
    STATE(9778), 1,
      sym_template_body,
    STATE(9789), 1,
      sym__refinement,
    STATE(5165), 2,
      sym_comment,
      sym_block_comment,
    STATE(9851), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7580), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7574), 15,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [268011] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5166), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8095), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8093), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [268054] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5167), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7000), 20,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [268097] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9208), 1,
      anon_sym_COLON,
    ACTIONS(9210), 1,
      anon_sym_LBRACE,
    ACTIONS(9212), 1,
      anon_sym_with,
    STATE(5112), 1,
      aux_sym_compound_type_repeat1,
    STATE(9920), 1,
      sym__refinement,
    STATE(9924), 1,
      sym_template_body,
    STATE(5168), 2,
      sym_comment,
      sym_block_comment,
    STATE(9679), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7580), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7574), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [268154] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5169), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 9,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7000), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [268197] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5170), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8227), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8225), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [268240] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8885), 1,
      anon_sym_DOT,
    ACTIONS(9248), 1,
      anon_sym_EQ_GT,
    STATE(5171), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [268287] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5172), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7716), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8324), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [268330] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5173), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [268373] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5174), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8027), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8683), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [268416] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5175), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7552), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8326), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [268459] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1008), 1,
      anon_sym_LBRACE,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8123), 1,
      anon_sym_LPAREN,
    ACTIONS(8482), 1,
      anon_sym_DOT,
    ACTIONS(9250), 1,
      sym__alpha_identifier,
    ACTIONS(9254), 1,
      anon_sym_EQ,
    ACTIONS(9256), 1,
      sym__backquoted_id,
    ACTIONS(9258), 1,
      sym_operator_identifier,
    STATE(532), 1,
      sym_identifier,
    STATE(4025), 1,
      sym__soft_identifier,
    STATE(5176), 2,
      sym_comment,
      sym_block_comment,
    STATE(7185), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8733), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8737), 5,
      anon_sym_match,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(9252), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [268526] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5177), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7704), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8316), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [268569] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9260), 1,
      anon_sym_LPAREN,
    STATE(6634), 1,
      sym_arguments,
    STATE(5178), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(7788), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7786), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [268616] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5179), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7704), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8316), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [268659] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7640), 1,
      anon_sym_DQUOTE,
    ACTIONS(8820), 1,
      sym__interpolated_multiline_string_start,
    STATE(8624), 1,
      sym_interpolated_string,
    STATE(14840), 1,
      sym__interpolated_string_start,
    ACTIONS(9263), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5180), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [268712] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8865), 1,
      anon_sym_LBRACK,
    ACTIONS(8869), 1,
      anon_sym_POUND,
    ACTIONS(9265), 1,
      anon_sym_AT,
    STATE(6166), 1,
      sym_type_arguments,
    STATE(6510), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7600), 1,
      sym_annotation,
    STATE(5181), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7464), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [268767] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5182), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7716), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8324), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [268810] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5183), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7552), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8326), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [268853] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5184), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7000), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [268896] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8642), 1,
      anon_sym_LPAREN,
    STATE(5192), 1,
      aux_sym_annotation_repeat1,
    STATE(5990), 1,
      sym_arguments,
    STATE(5185), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7817), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7815), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [268945] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9267), 1,
      anon_sym_LBRACK,
    ACTIONS(9269), 1,
      anon_sym_LPAREN,
    ACTIONS(9271), 1,
      anon_sym_POUND,
    STATE(6966), 1,
      aux_sym_annotation_repeat1,
    STATE(7353), 1,
      sym_type_arguments,
    STATE(8347), 1,
      sym_arguments,
    STATE(5186), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7530), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7528), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [269000] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5187), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8227), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8225), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [269043] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1282), 1,
      anon_sym_LBRACE,
    ACTIONS(8063), 1,
      anon_sym_EQ,
    ACTIONS(8679), 1,
      anon_sym_LPAREN,
    ACTIONS(9094), 1,
      anon_sym_DOT,
    STATE(621), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(5188), 2,
      sym_comment,
      sym_block_comment,
    STATE(8320), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8231), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8229), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [269100] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7338), 1,
      anon_sym_DOT,
    STATE(5189), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [269145] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7640), 1,
      anon_sym_DQUOTE,
    ACTIONS(9273), 1,
      sym__interpolated_multiline_string_start,
    STATE(8847), 1,
      sym_interpolated_string,
    STATE(15258), 1,
      sym__interpolated_string_start,
    ACTIONS(7638), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5190), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(2515), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [269198] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7338), 1,
      anon_sym_DOT,
    STATE(5191), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [269243] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9275), 1,
      anon_sym_LPAREN,
    STATE(5990), 1,
      sym_arguments,
    STATE(5192), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(7788), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7786), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [269290] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5193), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8095), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8093), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [269333] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5194), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7764), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7762), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [269376] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5195), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7330), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8360), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [269419] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9278), 1,
      anon_sym_DOT,
    STATE(5196), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [269464] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5197), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 9,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(4132), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [269507] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5198), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7704), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8316), 21,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [269550] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5199), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7716), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8324), 21,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [269593] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5402), 1,
      sym_arguments,
    STATE(5200), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7498), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7496), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [269638] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7338), 1,
      anon_sym_DOT,
    STATE(5201), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [269683] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5202), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8267), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [269726] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9280), 1,
      anon_sym_DOT,
    STATE(5203), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8159), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [269771] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5204), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7552), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8326), 21,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [269814] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7338), 1,
      anon_sym_DOT,
    STATE(5205), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [269859] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5206), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7330), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8360), 21,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [269902] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5207), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(4132), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
  [269945] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5208), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7704), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8316), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [269988] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7580), 1,
      sym__backquoted_id,
    ACTIONS(9124), 1,
      anon_sym_COLON,
    ACTIONS(9126), 1,
      anon_sym_LBRACE,
    ACTIONS(9128), 1,
      anon_sym_with,
    STATE(5052), 1,
      aux_sym_compound_type_repeat1,
    STATE(9649), 1,
      sym_template_body,
    STATE(9774), 1,
      sym__refinement,
    ACTIONS(7698), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5209), 2,
      sym_comment,
      sym_block_comment,
    STATE(9856), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7694), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(7696), 4,
      anon_sym_case,
      anon_sym_if,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(7574), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [270051] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9282), 1,
      anon_sym_AT,
    STATE(6408), 1,
      sym_annotation,
    STATE(5210), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8283), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8281), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [270098] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5211), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7716), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8324), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [270141] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5212), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7552), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8326), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [270184] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5213), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(7000), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
  [270227] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5214), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [270270] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5215), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7330), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8360), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [270313] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5216), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [270356] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5217), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7000), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [270399] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5218), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7704), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8316), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [270442] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5219), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7716), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8324), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [270485] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5220), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7552), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8326), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [270528] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5221), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7584), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [270571] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5222), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [270614] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8791), 1,
      anon_sym_LBRACK,
    ACTIONS(8797), 1,
      anon_sym_POUND,
    ACTIONS(9285), 1,
      anon_sym_LPAREN,
    STATE(6435), 1,
      aux_sym_annotation_repeat1,
    STATE(7158), 1,
      sym_type_arguments,
    STATE(7654), 1,
      sym_arguments,
    STATE(5223), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7530), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7528), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [270669] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9287), 1,
      anon_sym_LPAREN,
    STATE(6378), 1,
      sym_arguments,
    STATE(5224), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(7788), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7786), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [270716] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8526), 1,
      anon_sym_LPAREN,
    STATE(5224), 1,
      aux_sym_annotation_repeat1,
    STATE(6378), 1,
      sym_arguments,
    STATE(5225), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7817), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7815), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [270765] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8536), 1,
      anon_sym_AT,
    STATE(5210), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6408), 1,
      sym_annotation,
    STATE(5226), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8288), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [270814] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9202), 1,
      anon_sym_COLON,
    ACTIONS(9204), 1,
      anon_sym_LBRACE,
    ACTIONS(9206), 1,
      anon_sym_with,
    STATE(7499), 1,
      aux_sym_compound_type_repeat1,
    STATE(9778), 1,
      sym_template_body,
    STATE(9825), 1,
      sym__refinement,
    STATE(5227), 2,
      sym_comment,
      sym_block_comment,
    STATE(9851), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7668), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7666), 15,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [270871] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5228), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8392), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [270914] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5229), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7330), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8360), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [270957] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5230), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 9,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(4132), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
  [271000] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5549), 1,
      sym__end_marker,
    STATE(5231), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9292), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9290), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [271045] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5232), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7710), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8404), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [271088] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5233), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7714), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8406), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [271131] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5234), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 9,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(7000), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
  [271174] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5235), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8267), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [271217] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8818), 1,
      anon_sym_EQ_GT,
    STATE(5236), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8271), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [271262] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5237), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8027), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8683), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [271305] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5238), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [271348] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5239), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8392), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [271391] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5240), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7720), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8435), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [271434] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5241), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8267), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [271477] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5242), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7330), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8360), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [271520] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8812), 1,
      anon_sym_with,
    STATE(7840), 1,
      aux_sym_compound_type_repeat1,
    STATE(8863), 1,
      sym_template_body,
    STATE(8969), 1,
      sym__refinement,
    STATE(5243), 2,
      sym_comment,
      sym_block_comment,
    STATE(9129), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7668), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7666), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [271573] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9294), 1,
      anon_sym_LBRACK,
    ACTIONS(9296), 1,
      anon_sym_LPAREN,
    ACTIONS(9298), 1,
      anon_sym_POUND,
    STATE(6547), 1,
      aux_sym_annotation_repeat1,
    STATE(7106), 1,
      sym_type_arguments,
    STATE(7749), 1,
      sym_arguments,
    STATE(5244), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7530), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7528), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [271628] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5245), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9067), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9065), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [271671] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5246), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8267), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [271714] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(107), 1,
      anon_sym_LBRACE,
    ACTIONS(8051), 1,
      sym__alpha_identifier,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8063), 1,
      anon_sym_EQ,
    ACTIONS(8065), 1,
      sym__backquoted_id,
    ACTIONS(8312), 1,
      anon_sym_LPAREN,
    ACTIONS(8789), 1,
      anon_sym_DOT,
    ACTIONS(9300), 1,
      sym_operator_identifier,
    STATE(1749), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(5247), 2,
      sym_comment,
      sym_block_comment,
    STATE(8038), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8057), 4,
      anon_sym_if,
      anon_sym_match,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8055), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8061), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [271781] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5248), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8027), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8683), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [271824] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8874), 1,
      anon_sym_LBRACK,
    ACTIONS(8876), 1,
      anon_sym_AT,
    ACTIONS(8880), 1,
      anon_sym_POUND,
    STATE(5999), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7019), 1,
      sym_type_arguments,
    STATE(7991), 1,
      sym_annotation,
    STATE(5249), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [271879] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7580), 1,
      sym__backquoted_id,
    ACTIONS(9043), 1,
      anon_sym_COLON,
    ACTIONS(9045), 1,
      anon_sym_LBRACE,
    ACTIONS(9047), 1,
      anon_sym_with,
    STATE(4998), 1,
      aux_sym_compound_type_repeat1,
    STATE(9923), 1,
      sym__refinement,
    STATE(9927), 1,
      sym_template_body,
    ACTIONS(7698), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5250), 2,
      sym_comment,
      sym_block_comment,
    STATE(9814), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7694), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(7696), 4,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_finally,
    ACTIONS(7574), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [271942] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5251), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7372), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8402), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [271985] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5252), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8271), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [272028] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5253), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [272071] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5254), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7000), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [272114] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5255), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [272157] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5256), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7000), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [272200] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5257), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7584), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [272243] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9302), 1,
      anon_sym_AT,
    STATE(6007), 1,
      sym_annotation,
    STATE(5258), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8283), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8281), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [272290] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7338), 1,
      anon_sym_DOT,
    STATE(5259), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 20,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [272335] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5260), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7000), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [272378] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1116), 1,
      anon_sym_LBRACE,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8398), 1,
      anon_sym_LPAREN,
    ACTIONS(8763), 1,
      anon_sym_DOT,
    ACTIONS(9305), 1,
      sym__alpha_identifier,
    ACTIONS(9309), 1,
      anon_sym_EQ,
    ACTIONS(9311), 1,
      sym__backquoted_id,
    ACTIONS(9313), 1,
      sym_operator_identifier,
    STATE(535), 1,
      sym_identifier,
    STATE(4028), 1,
      sym__soft_identifier,
    STATE(5261), 2,
      sym_comment,
      sym_block_comment,
    STATE(7484), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8733), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8737), 5,
      anon_sym_case,
      anon_sym_match,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(9307), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [272445] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8987), 1,
      anon_sym_LBRACK,
    ACTIONS(8991), 1,
      anon_sym_POUND,
    ACTIONS(9315), 1,
      anon_sym_AT,
    STATE(6100), 1,
      sym_type_arguments,
    STATE(6609), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7965), 1,
      sym_annotation,
    STATE(5262), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [272500] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7640), 1,
      anon_sym_DQUOTE,
    ACTIONS(8708), 1,
      sym__interpolated_multiline_string_start,
    STATE(8640), 1,
      sym_interpolated_string,
    STATE(15291), 1,
      sym__interpolated_string_start,
    ACTIONS(9317), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5263), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [272553] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7338), 1,
      anon_sym_DOT,
    STATE(5264), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [272598] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9321), 1,
      anon_sym_end,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(9325), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15573), 1,
      sym_identifier,
    STATE(5265), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(834), 22,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [272651] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5266), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8392), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [272694] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5267), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7710), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8404), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [272737] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5268), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7372), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8402), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [272780] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5269), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7714), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8406), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [272823] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5270), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7112), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7110), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [272866] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9321), 1,
      anon_sym_end,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(9327), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15768), 1,
      sym_identifier,
    STATE(5271), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(834), 22,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [272919] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5272), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7720), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8435), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [272962] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9329), 1,
      anon_sym_COLON,
    ACTIONS(9331), 1,
      anon_sym_LBRACE,
    ACTIONS(9333), 1,
      anon_sym_with,
    STATE(7426), 1,
      aux_sym_compound_type_repeat1,
    STATE(9786), 1,
      sym_template_body,
    STATE(9841), 1,
      sym__refinement,
    STATE(5273), 2,
      sym_comment,
      sym_block_comment,
    STATE(9819), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7668), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7666), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [273019] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(972), 1,
      anon_sym_LBRACE,
    ACTIONS(7548), 1,
      anon_sym_LPAREN,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8273), 1,
      anon_sym_DOT,
    ACTIONS(9335), 1,
      sym__alpha_identifier,
    ACTIONS(9339), 1,
      anon_sym_EQ,
    ACTIONS(9341), 1,
      sym__backquoted_id,
    ACTIONS(9343), 1,
      sym_operator_identifier,
    STATE(531), 1,
      sym_identifier,
    STATE(3954), 1,
      sym__soft_identifier,
    STATE(5274), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8733), 3,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    STATE(6528), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8737), 6,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(9337), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [273086] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8968), 1,
      anon_sym_with,
    STATE(7692), 1,
      aux_sym_compound_type_repeat1,
    STATE(8841), 1,
      sym__refinement,
    STATE(8871), 1,
      sym_template_body,
    STATE(5275), 2,
      sym_comment,
      sym_block_comment,
    STATE(9104), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7668), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7666), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [273139] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7640), 1,
      anon_sym_DQUOTE,
    ACTIONS(8439), 1,
      sym__interpolated_multiline_string_start,
    STATE(6891), 1,
      sym_interpolated_string,
    STATE(15213), 1,
      sym__interpolated_string_start,
    ACTIONS(9345), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5276), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [273192] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7640), 1,
      anon_sym_DQUOTE,
    ACTIONS(8708), 1,
      sym__interpolated_multiline_string_start,
    STATE(8640), 1,
      sym_interpolated_string,
    STATE(15291), 1,
      sym__interpolated_string_start,
    ACTIONS(9347), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5277), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [273245] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7338), 1,
      anon_sym_DOT,
    STATE(5278), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [273290] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1116), 1,
      anon_sym_LBRACE,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8398), 1,
      anon_sym_LPAREN,
    ACTIONS(8763), 1,
      anon_sym_DOT,
    ACTIONS(9305), 1,
      sym__alpha_identifier,
    ACTIONS(9311), 1,
      sym__backquoted_id,
    ACTIONS(9313), 1,
      sym_operator_identifier,
    ACTIONS(9349), 1,
      anon_sym_EQ,
    STATE(535), 1,
      sym_identifier,
    STATE(4028), 1,
      sym__soft_identifier,
    STATE(5279), 2,
      sym_comment,
      sym_block_comment,
    STATE(7484), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8733), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8737), 5,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(9307), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [273357] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9009), 1,
      anon_sym_LBRACK,
    ACTIONS(9013), 1,
      anon_sym_POUND,
    ACTIONS(9351), 1,
      anon_sym_AT,
    STATE(6020), 1,
      sym_type_arguments,
    STATE(6599), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7885), 1,
      sym_annotation,
    STATE(5280), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [273412] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7640), 1,
      anon_sym_DQUOTE,
    ACTIONS(8412), 1,
      sym__interpolated_multiline_string_start,
    STATE(7075), 1,
      sym_interpolated_string,
    STATE(15449), 1,
      sym__interpolated_string_start,
    ACTIONS(9353), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5281), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [273465] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(936), 1,
      anon_sym_LBRACE,
    ACTIONS(7662), 1,
      anon_sym_LPAREN,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8257), 1,
      anon_sym_DOT,
    ACTIONS(9355), 1,
      sym__alpha_identifier,
    ACTIONS(9359), 1,
      anon_sym_EQ,
    ACTIONS(9361), 1,
      sym__backquoted_id,
    ACTIONS(9363), 1,
      sym_operator_identifier,
    STATE(530), 1,
      sym_identifier,
    STATE(3963), 1,
      sym__soft_identifier,
    STATE(5282), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8733), 3,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    STATE(6472), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8737), 6,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(9357), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [273532] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5283), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 20,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [273575] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5284), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [273618] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9365), 1,
      anon_sym_LBRACK,
    ACTIONS(9367), 1,
      anon_sym_LPAREN,
    ACTIONS(9369), 1,
      anon_sym_POUND,
    STATE(6512), 1,
      aux_sym_annotation_repeat1,
    STATE(7260), 1,
      sym_type_arguments,
    STATE(7649), 1,
      sym_arguments,
    STATE(5285), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7530), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7528), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [273673] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8571), 1,
      anon_sym_AT,
    STATE(5321), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6354), 1,
      sym_annotation,
    STATE(5286), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8288), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [273722] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5287), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7584), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 20,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [273765] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7640), 1,
      anon_sym_DQUOTE,
    ACTIONS(8820), 1,
      sym__interpolated_multiline_string_start,
    STATE(8624), 1,
      sym_interpolated_string,
    STATE(14840), 1,
      sym__interpolated_string_start,
    ACTIONS(9371), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5288), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [273818] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9373), 1,
      anon_sym_LBRACK,
    ACTIONS(9375), 1,
      anon_sym_LPAREN,
    ACTIONS(9377), 1,
      anon_sym_POUND,
    STATE(6864), 1,
      sym_type_arguments,
    STATE(7300), 1,
      aux_sym_annotation_repeat1,
    STATE(8654), 1,
      sym_arguments,
    STATE(5289), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7530), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7528), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [273873] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5290), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8392), 20,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [273916] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5291), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8271), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [273959] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5292), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 10,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(4132), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
      anon_sym_yield,
  [274002] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5293), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8392), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [274045] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5294), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8835), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8833), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [274088] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8874), 1,
      anon_sym_LBRACK,
    ACTIONS(8880), 1,
      anon_sym_POUND,
    ACTIONS(9379), 1,
      anon_sym_LPAREN,
    STATE(6501), 1,
      aux_sym_annotation_repeat1,
    STATE(7019), 1,
      sym_type_arguments,
    STATE(7698), 1,
      sym_arguments,
    STATE(5295), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7530), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7528), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [274143] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5296), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7764), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7762), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [274186] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(972), 1,
      anon_sym_LBRACE,
    ACTIONS(7548), 1,
      anon_sym_LPAREN,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8273), 1,
      anon_sym_DOT,
    ACTIONS(9335), 1,
      sym__alpha_identifier,
    ACTIONS(9341), 1,
      sym__backquoted_id,
    ACTIONS(9343), 1,
      sym_operator_identifier,
    ACTIONS(9381), 1,
      anon_sym_EQ,
    STATE(531), 1,
      sym_identifier,
    STATE(3954), 1,
      sym__soft_identifier,
    STATE(5297), 2,
      sym_comment,
      sym_block_comment,
    STATE(6528), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8737), 4,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(8733), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(9337), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [274253] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5298), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7710), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8404), 20,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [274296] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5299), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7714), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8406), 20,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [274339] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7640), 1,
      anon_sym_DQUOTE,
    ACTIONS(8439), 1,
      sym__interpolated_multiline_string_start,
    STATE(6891), 1,
      sym_interpolated_string,
    STATE(15213), 1,
      sym__interpolated_string_start,
    ACTIONS(9383), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5300), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [274392] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5301), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7584), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [274435] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9043), 1,
      anon_sym_COLON,
    ACTIONS(9045), 1,
      anon_sym_LBRACE,
    ACTIONS(9047), 1,
      anon_sym_with,
    STATE(4998), 1,
      aux_sym_compound_type_repeat1,
    STATE(9923), 1,
      sym__refinement,
    STATE(9927), 1,
      sym_template_body,
    STATE(5302), 2,
      sym_comment,
      sym_block_comment,
    STATE(9814), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7580), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7574), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [274492] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7640), 1,
      anon_sym_DQUOTE,
    ACTIONS(8412), 1,
      sym__interpolated_multiline_string_start,
    STATE(7075), 1,
      sym_interpolated_string,
    STATE(15449), 1,
      sym__interpolated_string_start,
    ACTIONS(9385), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5303), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [274545] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(936), 1,
      anon_sym_LBRACE,
    ACTIONS(7662), 1,
      anon_sym_LPAREN,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8257), 1,
      anon_sym_DOT,
    ACTIONS(9355), 1,
      sym__alpha_identifier,
    ACTIONS(9361), 1,
      sym__backquoted_id,
    ACTIONS(9363), 1,
      sym_operator_identifier,
    ACTIONS(9387), 1,
      anon_sym_EQ,
    STATE(530), 1,
      sym_identifier,
    STATE(3963), 1,
      sym__soft_identifier,
    STATE(5304), 2,
      sym_comment,
      sym_block_comment,
    STATE(6472), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8737), 4,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(8733), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(9357), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [274612] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5305), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8392), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [274655] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9389), 1,
      anon_sym_COLON,
    ACTIONS(9391), 1,
      anon_sym_LBRACE,
    ACTIONS(9393), 1,
      anon_sym_with,
    STATE(7731), 1,
      aux_sym_compound_type_repeat1,
    STATE(9668), 1,
      sym_template_body,
    STATE(9830), 1,
      sym__refinement,
    STATE(5306), 2,
      sym_comment,
      sym_block_comment,
    STATE(9750), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7668), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7666), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [274712] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9003), 1,
      anon_sym_LBRACK,
    ACTIONS(9007), 1,
      anon_sym_POUND,
    ACTIONS(9395), 1,
      anon_sym_AT,
    STATE(6152), 1,
      sym_type_arguments,
    STATE(6500), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7804), 1,
      sym_annotation,
    STATE(5307), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7464), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [274767] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9321), 1,
      anon_sym_end,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(9397), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15655), 1,
      sym_identifier,
    STATE(5308), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(834), 22,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [274820] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5309), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8271), 20,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [274863] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5310), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7710), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8404), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [274906] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5311), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7372), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8402), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [274949] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5312), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7714), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8406), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [274992] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5313), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7720), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8435), 20,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [275035] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5314), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 10,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(7000), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
      anon_sym_yield,
  [275078] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5315), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8227), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8225), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [275121] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5316), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8267), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [275164] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5317), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7720), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8435), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [275207] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9321), 1,
      anon_sym_end,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(9399), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15755), 1,
      sym_identifier,
    STATE(5318), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(834), 22,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [275260] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5319), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [275303] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7580), 1,
      sym__backquoted_id,
    ACTIONS(9389), 1,
      anon_sym_COLON,
    ACTIONS(9391), 1,
      anon_sym_LBRACE,
    ACTIONS(9393), 1,
      anon_sym_with,
    STATE(5306), 1,
      aux_sym_compound_type_repeat1,
    STATE(9668), 1,
      sym_template_body,
    STATE(9681), 1,
      sym__refinement,
    ACTIONS(7698), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5320), 2,
      sym_comment,
      sym_block_comment,
    STATE(9750), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7694), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(7696), 5,
      anon_sym_while,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(7574), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [275366] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9401), 1,
      anon_sym_AT,
    STATE(6354), 1,
      sym_annotation,
    STATE(5321), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8283), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8281), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [275413] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5322), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8095), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8093), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [275456] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8451), 1,
      anon_sym_AT,
    STATE(5258), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6007), 1,
      sym_annotation,
    STATE(5323), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8288), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [275505] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5324), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9404), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9406), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [275548] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9408), 1,
      anon_sym_with,
    STATE(5654), 1,
      aux_sym_compound_type_repeat1,
    STATE(9271), 1,
      sym_arguments,
    STATE(9491), 1,
      sym__refinement,
    STATE(9492), 1,
      sym_template_body,
    STATE(5325), 2,
      sym_comment,
      sym_block_comment,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7498), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7496), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [275603] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5326), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8267), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [275646] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8310), 1,
      anon_sym_AT,
    STATE(5384), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6515), 1,
      sym_annotation,
    STATE(5327), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8288), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [275695] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5328), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7720), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8435), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [275738] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5329), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8271), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [275781] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5330), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7330), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8360), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [275824] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9410), 1,
      anon_sym_with,
    STATE(5331), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(8804), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8802), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [275869] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1246), 1,
      anon_sym_LBRACE,
    ACTIONS(8063), 1,
      anon_sym_EQ,
    ACTIONS(8500), 1,
      anon_sym_LPAREN,
    ACTIONS(9413), 1,
      anon_sym_DOT,
    STATE(621), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(5332), 2,
      sym_comment,
      sym_block_comment,
    STATE(8374), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8231), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8229), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [275926] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1246), 1,
      anon_sym_LBRACE,
    ACTIONS(8051), 1,
      sym__alpha_identifier,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8063), 1,
      anon_sym_EQ,
    ACTIONS(8065), 1,
      sym__backquoted_id,
    ACTIONS(8500), 1,
      anon_sym_LPAREN,
    ACTIONS(9413), 1,
      anon_sym_DOT,
    ACTIONS(9415), 1,
      sym_operator_identifier,
    STATE(1716), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(5333), 2,
      sym_comment,
      sym_block_comment,
    STATE(8374), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8055), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8057), 5,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(8061), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [275993] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9417), 1,
      anon_sym_LBRACK,
    ACTIONS(9419), 1,
      anon_sym_LPAREN,
    ACTIONS(9421), 1,
      anon_sym_POUND,
    STATE(6801), 1,
      aux_sym_annotation_repeat1,
    STATE(7312), 1,
      sym_type_arguments,
    STATE(8395), 1,
      sym_arguments,
    STATE(5334), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7530), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7528), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [276048] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1246), 1,
      anon_sym_LBRACE,
    ACTIONS(8500), 1,
      anon_sym_LPAREN,
    ACTIONS(9413), 1,
      anon_sym_DOT,
    STATE(621), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(5335), 2,
      sym_comment,
      sym_block_comment,
    STATE(8374), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8241), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8239), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [276103] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9423), 1,
      anon_sym_LBRACK,
    ACTIONS(9425), 1,
      anon_sym_AT,
    ACTIONS(9427), 1,
      anon_sym_LPAREN,
    ACTIONS(9429), 1,
      anon_sym_POUND,
    STATE(6937), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7806), 1,
      sym_type_arguments,
    STATE(8523), 1,
      sym_annotation,
    STATE(8843), 1,
      sym_arguments,
    STATE(5336), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [276162] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7638), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5337), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [276207] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1498), 1,
      anon_sym_LBRACE,
    ACTIONS(8606), 1,
      anon_sym_LPAREN,
    ACTIONS(9431), 1,
      anon_sym_DOT,
    STATE(621), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(5338), 2,
      sym_comment,
      sym_block_comment,
    STATE(8257), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8241), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8239), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [276262] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9433), 1,
      anon_sym_LBRACK,
    ACTIONS(9435), 1,
      anon_sym_AT,
    ACTIONS(9437), 1,
      anon_sym_LPAREN,
    ACTIONS(9439), 1,
      anon_sym_POUND,
    STATE(6735), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7788), 1,
      sym_type_arguments,
    STATE(8094), 1,
      sym_annotation,
    STATE(9271), 1,
      sym_arguments,
    STATE(5339), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7464), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [276321] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1498), 1,
      anon_sym_LBRACE,
    ACTIONS(8063), 1,
      anon_sym_EQ,
    ACTIONS(8606), 1,
      anon_sym_LPAREN,
    ACTIONS(9431), 1,
      anon_sym_DOT,
    STATE(621), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(5340), 2,
      sym_comment,
      sym_block_comment,
    STATE(8257), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8231), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8229), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [276378] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5341), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7584), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [276421] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5342), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7704), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8316), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [276464] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1498), 1,
      anon_sym_LBRACE,
    ACTIONS(8051), 1,
      sym__alpha_identifier,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8063), 1,
      anon_sym_EQ,
    ACTIONS(8065), 1,
      sym__backquoted_id,
    ACTIONS(8606), 1,
      anon_sym_LPAREN,
    ACTIONS(9431), 1,
      anon_sym_DOT,
    ACTIONS(9441), 1,
      sym_operator_identifier,
    STATE(1725), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(5343), 2,
      sym_comment,
      sym_block_comment,
    STATE(8257), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8055), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8057), 5,
      anon_sym_while,
      anon_sym_match,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
    ACTIONS(8061), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [276531] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      anon_sym_with,
    STATE(5959), 1,
      aux_sym_compound_type_repeat1,
    STATE(9397), 1,
      sym_template_body,
    STATE(9442), 1,
      sym__refinement,
    STATE(9490), 1,
      sym_arguments,
    STATE(5344), 2,
      sym_comment,
      sym_block_comment,
    STATE(5616), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7498), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7496), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [276586] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5345), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9447), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [276629] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5346), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9449), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9451), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [276672] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7640), 1,
      anon_sym_DQUOTE,
    ACTIONS(7929), 1,
      sym__interpolated_multiline_string_start,
    STATE(6210), 1,
      sym_interpolated_string,
    STATE(15026), 1,
      sym__interpolated_string_start,
    ACTIONS(9453), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5347), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [276725] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5348), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9455), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9457), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [276768] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9459), 1,
      anon_sym_LPAREN,
    STATE(6477), 1,
      sym_arguments,
    STATE(5349), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(7788), 7,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7786), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [276815] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5350), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9462), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9464), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [276858] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5351), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7330), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8360), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [276901] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5352), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7716), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8324), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [276944] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8993), 1,
      anon_sym_LBRACK,
    ACTIONS(8997), 1,
      anon_sym_POUND,
    ACTIONS(9466), 1,
      anon_sym_AT,
    STATE(6318), 1,
      sym_type_arguments,
    STATE(6434), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7763), 1,
      sym_annotation,
    STATE(5353), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [276999] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8700), 1,
      anon_sym_EQ_GT,
    STATE(5354), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8271), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [277044] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5355), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7552), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8326), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [277087] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9468), 1,
      anon_sym_LBRACK,
    ACTIONS(9470), 1,
      anon_sym_AT,
    ACTIONS(9472), 1,
      anon_sym_LPAREN,
    ACTIONS(9474), 1,
      anon_sym_POUND,
    STATE(6759), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7737), 1,
      sym_type_arguments,
    STATE(8123), 1,
      sym_annotation,
    STATE(9497), 1,
      sym_arguments,
    STATE(5356), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [277146] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8557), 1,
      anon_sym_LPAREN,
    STATE(5349), 1,
      aux_sym_annotation_repeat1,
    STATE(6477), 1,
      sym_arguments,
    STATE(5357), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7817), 7,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7815), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [277195] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5358), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7714), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8406), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [277238] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9476), 1,
      anon_sym_with,
    STATE(5892), 1,
      aux_sym_compound_type_repeat1,
    STATE(9316), 1,
      sym__refinement,
    STATE(9318), 1,
      sym_template_body,
    STATE(9497), 1,
      sym_arguments,
    STATE(5359), 2,
      sym_comment,
      sym_block_comment,
    STATE(5691), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7498), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7496), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [277293] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9478), 1,
      anon_sym_with,
    STATE(5851), 1,
      aux_sym_compound_type_repeat1,
    STATE(8843), 1,
      sym_arguments,
    STATE(9226), 1,
      sym__refinement,
    STATE(9234), 1,
      sym_template_body,
    STATE(5360), 2,
      sym_comment,
      sym_block_comment,
    STATE(8874), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7498), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7496), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [277348] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9480), 1,
      anon_sym_COLON,
    ACTIONS(9483), 1,
      anon_sym_LBRACE,
    STATE(6861), 1,
      sym_template_body,
    STATE(5361), 2,
      sym_comment,
      sym_block_comment,
    STATE(6718), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8549), 8,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8541), 15,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [277399] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5362), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7372), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8402), 20,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [277442] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9486), 1,
      anon_sym_LBRACK,
    ACTIONS(9488), 1,
      anon_sym_AT,
    ACTIONS(9490), 1,
      anon_sym_LPAREN,
    ACTIONS(9492), 1,
      anon_sym_POUND,
    STATE(7309), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8032), 1,
      sym_type_arguments,
    STATE(8172), 1,
      sym_annotation,
    STATE(9490), 1,
      sym_arguments,
    STATE(5363), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [277501] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7640), 1,
      anon_sym_DQUOTE,
    ACTIONS(9120), 1,
      sym__interpolated_multiline_string_start,
    STATE(8974), 1,
      sym_interpolated_string,
    STATE(15345), 1,
      sym__interpolated_string_start,
    ACTIONS(7638), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5364), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [277554] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5365), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8835), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8833), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [277597] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7352), 1,
      anon_sym_inline,
    ACTIONS(7354), 1,
      anon_sym_infix,
    ACTIONS(7356), 1,
      anon_sym_open,
    ACTIONS(7358), 1,
      anon_sym_transparent,
    STATE(4323), 1,
      aux_sym_modifiers_repeat1,
    ACTIONS(7350), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(5366), 2,
      sym_comment,
      sym_block_comment,
    STATE(6204), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(7348), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
    ACTIONS(9494), 10,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
  [277654] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(107), 1,
      anon_sym_LBRACE,
    ACTIONS(8063), 1,
      anon_sym_EQ,
    ACTIONS(8312), 1,
      anon_sym_LPAREN,
    ACTIONS(8733), 1,
      anon_sym_LBRACK,
    ACTIONS(8737), 1,
      anon_sym_match,
    ACTIONS(8789), 1,
      anon_sym_DOT,
    ACTIONS(9496), 1,
      sym__alpha_identifier,
    ACTIONS(9502), 1,
      sym__backquoted_id,
    ACTIONS(9504), 1,
      sym_operator_identifier,
    STATE(546), 1,
      sym_identifier,
    STATE(4037), 1,
      sym__soft_identifier,
    STATE(5367), 2,
      sym_comment,
      sym_block_comment,
    STATE(8038), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8053), 4,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(9498), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(9500), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [277723] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5368), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7710), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8404), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [277766] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8773), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5369), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8771), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8769), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [277811] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5370), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8271), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [277854] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9506), 1,
      anon_sym_LPAREN,
    STATE(6251), 1,
      sym_arguments,
    STATE(5371), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(7788), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7786), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [277901] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7338), 1,
      anon_sym_DOT,
    STATE(5372), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 8,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8159), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [277946] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1622), 1,
      anon_sym_LBRACE,
    ACTIONS(8518), 1,
      anon_sym_LPAREN,
    ACTIONS(9509), 1,
      anon_sym_DOT,
    STATE(621), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(5373), 2,
      sym_comment,
      sym_block_comment,
    STATE(8339), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8241), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8239), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [278001] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8530), 1,
      anon_sym_LPAREN,
    STATE(5371), 1,
      aux_sym_annotation_repeat1,
    STATE(6251), 1,
      sym_arguments,
    STATE(5374), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7817), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7815), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [278050] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9511), 1,
      anon_sym_DOT,
    STATE(5375), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 8,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8159), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [278095] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9329), 1,
      anon_sym_COLON,
    ACTIONS(9331), 1,
      anon_sym_LBRACE,
    ACTIONS(9333), 1,
      anon_sym_with,
    STATE(5273), 1,
      aux_sym_compound_type_repeat1,
    STATE(9786), 1,
      sym_template_body,
    STATE(9802), 1,
      sym__refinement,
    STATE(5376), 2,
      sym_comment,
      sym_block_comment,
    STATE(9819), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7580), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7574), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [278152] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1622), 1,
      anon_sym_LBRACE,
    ACTIONS(8051), 1,
      sym__alpha_identifier,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8063), 1,
      anon_sym_EQ,
    ACTIONS(8065), 1,
      sym__backquoted_id,
    ACTIONS(8518), 1,
      anon_sym_LPAREN,
    ACTIONS(9509), 1,
      anon_sym_DOT,
    ACTIONS(9513), 1,
      sym_operator_identifier,
    STATE(1668), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(5377), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8055), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    STATE(8339), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8057), 6,
      anon_sym_while,
      anon_sym_match,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(8061), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [278219] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9517), 1,
      anon_sym_LBRACK,
    ACTIONS(9519), 1,
      sym__backquoted_id,
    STATE(6385), 1,
      sym_access_qualifier,
    STATE(5378), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9515), 25,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_end,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [278266] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9321), 1,
      anon_sym_end,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(9521), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15696), 1,
      sym_identifier,
    STATE(5379), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(834), 22,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [278319] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8775), 1,
      anon_sym_LBRACK,
    ACTIONS(8779), 1,
      anon_sym_POUND,
    ACTIONS(9523), 1,
      anon_sym_AT,
    STATE(6069), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6405), 1,
      sym_type_arguments,
    STATE(7658), 1,
      sym_annotation,
    STATE(5380), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7464), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [278374] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7580), 1,
      sym__backquoted_id,
    ACTIONS(9329), 1,
      anon_sym_COLON,
    ACTIONS(9331), 1,
      anon_sym_LBRACE,
    ACTIONS(9333), 1,
      anon_sym_with,
    STATE(5273), 1,
      aux_sym_compound_type_repeat1,
    STATE(9786), 1,
      sym_template_body,
    STATE(9802), 1,
      sym__refinement,
    ACTIONS(7698), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5381), 2,
      sym_comment,
      sym_block_comment,
    STATE(9819), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7694), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(7696), 5,
      anon_sym_STAR,
      anon_sym_while,
      anon_sym_EQ,
      anon_sym_then,
      anon_sym_do,
    ACTIONS(7574), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [278437] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5382), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7372), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8402), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [278480] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1622), 1,
      anon_sym_LBRACE,
    ACTIONS(8063), 1,
      anon_sym_EQ,
    ACTIONS(8518), 1,
      anon_sym_LPAREN,
    ACTIONS(9509), 1,
      anon_sym_DOT,
    STATE(621), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(5383), 2,
      sym_comment,
      sym_block_comment,
    STATE(8339), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8231), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8229), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [278537] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9525), 1,
      anon_sym_AT,
    STATE(6515), 1,
      sym_annotation,
    STATE(5384), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8283), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8281), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [278584] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9389), 1,
      anon_sym_COLON,
    ACTIONS(9391), 1,
      anon_sym_LBRACE,
    ACTIONS(9393), 1,
      anon_sym_with,
    STATE(5306), 1,
      aux_sym_compound_type_repeat1,
    STATE(9668), 1,
      sym_template_body,
    STATE(9681), 1,
      sym__refinement,
    STATE(5385), 2,
      sym_comment,
      sym_block_comment,
    STATE(9750), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7580), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7574), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [278641] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1586), 1,
      anon_sym_LBRACE,
    ACTIONS(8979), 1,
      anon_sym_LPAREN,
    ACTIONS(9528), 1,
      anon_sym_DOT,
    STATE(621), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(5386), 2,
      sym_comment,
      sym_block_comment,
    STATE(9044), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8241), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8239), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [278695] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5387), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9462), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9464), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [278737] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5388), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9404), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9406), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [278779] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9530), 1,
      anon_sym_with,
    STATE(6200), 1,
      aux_sym_compound_type_repeat1,
    STATE(9697), 1,
      sym_template_body,
    STATE(9701), 1,
      sym__refinement,
    STATE(9762), 1,
      sym_arguments,
    STATE(5389), 2,
      sym_comment,
      sym_block_comment,
    STATE(6133), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7498), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7496), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [278833] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5390), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [278875] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5391), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9534), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9532), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [278917] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5392), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9538), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9536), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [278959] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5393), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7704), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8316), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [279001] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5394), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7000), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [279043] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5395), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7552), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8326), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [279085] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5396), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9542), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9540), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [279127] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5397), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9546), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9544), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [279169] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5398), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9462), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9464), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [279211] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5399), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7720), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8435), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [279253] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5400), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9550), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9548), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [279295] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5401), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8392), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [279337] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5402), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9554), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9552), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [279379] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5403), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [279421] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5404), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7716), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8324), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [279463] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5405), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7714), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8406), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [279505] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5406), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9455), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9457), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [279547] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9074), 1,
      anon_sym_LBRACK,
    ACTIONS(9078), 1,
      anon_sym_POUND,
    ACTIONS(9556), 1,
      anon_sym_AT,
    STATE(6679), 1,
      sym_type_arguments,
    STATE(6840), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8099), 1,
      sym_annotation,
    STATE(5407), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [279601] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7580), 1,
      sym__backquoted_id,
    ACTIONS(9558), 1,
      anon_sym_COLON,
    ACTIONS(9560), 1,
      anon_sym_LBRACE,
    ACTIONS(9562), 1,
      anon_sym_with,
    STATE(5414), 1,
      aux_sym_compound_type_repeat1,
    STATE(10111), 1,
      sym_template_body,
    STATE(10119), 1,
      sym__refinement,
    ACTIONS(7698), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5408), 2,
      sym_comment,
      sym_block_comment,
    STATE(10032), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7696), 3,
      anon_sym_STAR,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(7694), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(7574), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [279663] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5409), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7710), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8404), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [279705] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5410), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9566), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9564), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [279747] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5411), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7000), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [279789] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6604), 1,
      sym__alpha_identifier,
    ACTIONS(6610), 1,
      anon_sym__,
    ACTIONS(6618), 1,
      sym__backquoted_id,
    ACTIONS(6620), 1,
      sym_operator_identifier,
    ACTIONS(9568), 1,
      anon_sym_LPAREN,
    STATE(5917), 1,
      sym__simple_type,
    STATE(6430), 1,
      sym_identifier,
    STATE(6485), 1,
      sym__annotated_type,
    STATE(6627), 1,
      sym__soft_identifier,
    STATE(9359), 1,
      sym__infix_type_choice,
    STATE(9360), 1,
      sym_annotated_type,
    STATE(16479), 1,
      sym_stable_identifier,
    STATE(5412), 2,
      sym_comment,
      sym_block_comment,
    STATE(10014), 2,
      sym_compound_type,
      sym_infix_type,
    ACTIONS(6614), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7355), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [279857] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9570), 1,
      anon_sym_AT,
    STATE(7034), 1,
      sym_annotation,
    STATE(5413), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8283), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8281), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [279903] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9558), 1,
      anon_sym_COLON,
    ACTIONS(9560), 1,
      anon_sym_LBRACE,
    ACTIONS(9562), 1,
      anon_sym_with,
    STATE(8391), 1,
      aux_sym_compound_type_repeat1,
    STATE(10111), 1,
      sym_template_body,
    STATE(10134), 1,
      sym__refinement,
    STATE(5414), 2,
      sym_comment,
      sym_block_comment,
    STATE(10032), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7668), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7666), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [279959] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5415), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [280001] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9573), 1,
      anon_sym_AT,
    STATE(7306), 1,
      sym_annotation,
    STATE(5416), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8283), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8281), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [280047] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5417), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8027), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8683), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [280089] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5418), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [280131] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5419), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(7000), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
  [280173] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5420), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(4132), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
  [280215] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9468), 1,
      anon_sym_LBRACK,
    ACTIONS(9474), 1,
      anon_sym_POUND,
    ACTIONS(9576), 1,
      anon_sym_LPAREN,
    STATE(7339), 1,
      aux_sym_annotation_repeat1,
    STATE(7737), 1,
      sym_type_arguments,
    STATE(8661), 1,
      sym_arguments,
    STATE(5421), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7530), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7528), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [280269] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7338), 1,
      anon_sym_DOT,
    STATE(5422), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8159), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [280313] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6491), 1,
      sym__end_marker,
    STATE(5423), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9292), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9290), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [280357] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5424), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9580), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9578), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [280399] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5425), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7112), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7110), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [280441] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9248), 1,
      anon_sym_EQ_GT,
    STATE(5426), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8271), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [280485] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9582), 1,
      anon_sym_DOT,
    STATE(5427), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [280529] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5428), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8271), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [280571] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5429), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7000), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [280613] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5430), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(7000), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
  [280655] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5431), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8267), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [280697] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5432), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [280739] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7638), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5433), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [280783] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9584), 1,
      anon_sym_with,
    STATE(5434), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(8804), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8802), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [280827] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1586), 1,
      anon_sym_LBRACE,
    ACTIONS(8063), 1,
      anon_sym_EQ,
    ACTIONS(8979), 1,
      anon_sym_LPAREN,
    ACTIONS(9528), 1,
      anon_sym_DOT,
    STATE(621), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(5435), 2,
      sym_comment,
      sym_block_comment,
    STATE(9044), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8231), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8229), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [280883] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5436), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9589), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9587), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [280925] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9591), 1,
      anon_sym_COLON,
    ACTIONS(9593), 1,
      anon_sym_LBRACE,
    ACTIONS(9595), 1,
      anon_sym_with,
    STATE(8514), 1,
      aux_sym_compound_type_repeat1,
    STATE(9635), 1,
      sym__refinement,
    STATE(9850), 1,
      sym_template_body,
    STATE(5437), 2,
      sym_comment,
      sym_block_comment,
    STATE(9631), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7668), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7666), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [280981] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1080), 1,
      anon_sym_LBRACE,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8103), 1,
      anon_sym_LPAREN,
    ACTIONS(8522), 1,
      anon_sym_DOT,
    ACTIONS(9597), 1,
      sym__alpha_identifier,
    ACTIONS(9601), 1,
      anon_sym_EQ,
    ACTIONS(9603), 1,
      sym__backquoted_id,
    ACTIONS(9605), 1,
      sym_operator_identifier,
    STATE(534), 1,
      sym_identifier,
    STATE(4033), 1,
      sym__soft_identifier,
    STATE(5438), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8733), 3,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    STATE(6872), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8737), 5,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(9599), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [281047] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5439), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7584), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [281089] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1246), 1,
      anon_sym_LBRACE,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8500), 1,
      anon_sym_LPAREN,
    ACTIONS(9413), 1,
      anon_sym_DOT,
    ACTIONS(9607), 1,
      sym__alpha_identifier,
    ACTIONS(9611), 1,
      anon_sym_EQ,
    ACTIONS(9613), 1,
      sym__backquoted_id,
    ACTIONS(9615), 1,
      sym_operator_identifier,
    STATE(540), 1,
      sym_identifier,
    STATE(4041), 1,
      sym__soft_identifier,
    STATE(5440), 2,
      sym_comment,
      sym_block_comment,
    STATE(8374), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8733), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8737), 4,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(9609), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [281155] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5441), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(4132), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
  [281197] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7640), 1,
      anon_sym_DQUOTE,
    ACTIONS(9619), 1,
      sym__interpolated_multiline_string_start,
    STATE(9505), 1,
      sym_interpolated_string,
    STATE(14856), 1,
      sym__interpolated_string_start,
    ACTIONS(9617), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5442), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [281249] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9621), 1,
      anon_sym_LPAREN,
    STATE(7120), 1,
      sym_arguments,
    STATE(5443), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(7788), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7786), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [281295] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1044), 1,
      anon_sym_LBRACE,
    ACTIONS(7770), 1,
      anon_sym_LPAREN,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8506), 1,
      anon_sym_DOT,
    ACTIONS(9624), 1,
      sym__alpha_identifier,
    ACTIONS(9628), 1,
      anon_sym_EQ,
    ACTIONS(9630), 1,
      sym__backquoted_id,
    ACTIONS(9632), 1,
      sym_operator_identifier,
    STATE(533), 1,
      sym_identifier,
    STATE(4032), 1,
      sym__soft_identifier,
    STATE(5444), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8733), 3,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    STATE(6851), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8737), 5,
      anon_sym_if,
      anon_sym_match,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(9626), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [281361] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9634), 1,
      anon_sym_DOT,
    STATE(5445), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [281405] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5446), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9638), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9636), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [281447] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5447), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7330), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8360), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [281489] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5448), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7372), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8402), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [281531] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5449), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9642), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9640), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [281573] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5450), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7330), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8360), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [281615] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5451), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9449), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9451), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [281657] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5452), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9447), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [281699] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9558), 1,
      anon_sym_COLON,
    ACTIONS(9560), 1,
      anon_sym_LBRACE,
    ACTIONS(9562), 1,
      anon_sym_with,
    STATE(5414), 1,
      aux_sym_compound_type_repeat1,
    STATE(10111), 1,
      sym_template_body,
    STATE(10119), 1,
      sym__refinement,
    STATE(5453), 2,
      sym_comment,
      sym_block_comment,
    STATE(10032), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7580), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7574), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [281755] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8989), 1,
      anon_sym_LPAREN,
    STATE(5443), 1,
      aux_sym_annotation_repeat1,
    STATE(7120), 1,
      sym_arguments,
    STATE(5454), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7817), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7815), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [281803] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5455), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7000), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [281845] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5456), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [281887] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5457), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7000), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [281929] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7640), 1,
      anon_sym_DQUOTE,
    ACTIONS(8447), 1,
      sym__interpolated_multiline_string_start,
    STATE(7201), 1,
      sym_interpolated_string,
    STATE(15365), 1,
      sym__interpolated_string_start,
    ACTIONS(9644), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5458), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 6,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [281981] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5459), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9449), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9451), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [282023] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5460), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9447), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [282065] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7580), 1,
      sym__backquoted_id,
    ACTIONS(9646), 1,
      anon_sym_COLON,
    ACTIONS(9649), 1,
      anon_sym_LBRACE,
    ACTIONS(9651), 1,
      anon_sym_with,
    STATE(5462), 1,
      aux_sym_compound_type_repeat1,
    STATE(9781), 1,
      sym__refinement,
    STATE(9784), 1,
      sym_template_body,
    ACTIONS(7698), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5461), 2,
      sym_comment,
      sym_block_comment,
    STATE(9780), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7694), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(7696), 4,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_PIPE,
    ACTIONS(7574), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [282127] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9649), 1,
      anon_sym_LBRACE,
    ACTIONS(9651), 1,
      anon_sym_with,
    STATE(8518), 1,
      aux_sym_compound_type_repeat1,
    STATE(9677), 1,
      sym__refinement,
    STATE(9784), 1,
      sym_template_body,
    STATE(5462), 2,
      sym_comment,
      sym_block_comment,
    STATE(9780), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7668), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7666), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [282181] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9653), 1,
      anon_sym_LBRACE,
    ACTIONS(9655), 1,
      anon_sym_with,
    STATE(8561), 1,
      aux_sym_compound_type_repeat1,
    STATE(9743), 1,
      sym_template_body,
    STATE(9752), 1,
      sym__refinement,
    STATE(5463), 2,
      sym_comment,
      sym_block_comment,
    STATE(9871), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7668), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7666), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [282235] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9657), 1,
      anon_sym_COLON,
    ACTIONS(9660), 1,
      anon_sym_LBRACE,
    STATE(7513), 1,
      sym_template_body,
    STATE(5464), 2,
      sym_comment,
      sym_block_comment,
    STATE(7501), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8549), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8541), 15,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [282285] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5465), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8267), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [282327] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5466), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [282369] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7640), 1,
      anon_sym_DQUOTE,
    ACTIONS(9232), 1,
      sym__interpolated_multiline_string_start,
    STATE(8759), 1,
      sym_interpolated_string,
    STATE(15181), 1,
      sym__interpolated_string_start,
    ACTIONS(9663), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5467), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [282421] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1282), 1,
      anon_sym_LBRACE,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8679), 1,
      anon_sym_LPAREN,
    ACTIONS(9094), 1,
      anon_sym_DOT,
    ACTIONS(9665), 1,
      sym__alpha_identifier,
    ACTIONS(9669), 1,
      anon_sym_EQ,
    ACTIONS(9671), 1,
      sym__backquoted_id,
    ACTIONS(9673), 1,
      sym_operator_identifier,
    STATE(541), 1,
      sym_identifier,
    STATE(4045), 1,
      sym__soft_identifier,
    STATE(5468), 2,
      sym_comment,
      sym_block_comment,
    STATE(8320), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8733), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8737), 4,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(9667), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [282487] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8983), 1,
      anon_sym_AT,
    STATE(5609), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6885), 1,
      sym_annotation,
    STATE(5469), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8288), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [282535] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1678), 1,
      anon_sym_LBRACE,
    ACTIONS(8051), 1,
      sym__alpha_identifier,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8063), 1,
      anon_sym_EQ,
    ACTIONS(8065), 1,
      sym__backquoted_id,
    ACTIONS(8785), 1,
      anon_sym_LPAREN,
    ACTIONS(9675), 1,
      anon_sym_DOT,
    ACTIONS(9677), 1,
      sym_operator_identifier,
    STATE(1692), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(5470), 2,
      sym_comment,
      sym_block_comment,
    STATE(8898), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8055), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8057), 4,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_finally,
    ACTIONS(8061), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [282601] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1282), 1,
      anon_sym_LBRACE,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8679), 1,
      anon_sym_LPAREN,
    ACTIONS(9094), 1,
      anon_sym_DOT,
    ACTIONS(9665), 1,
      sym__alpha_identifier,
    ACTIONS(9671), 1,
      sym__backquoted_id,
    ACTIONS(9673), 1,
      sym_operator_identifier,
    ACTIONS(9679), 1,
      anon_sym_EQ,
    STATE(541), 1,
      sym_identifier,
    STATE(4045), 1,
      sym__soft_identifier,
    STATE(5471), 2,
      sym_comment,
      sym_block_comment,
    STATE(8320), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8733), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8737), 4,
      anon_sym_case,
      anon_sym_match,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(9667), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [282667] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7640), 1,
      anon_sym_DQUOTE,
    ACTIONS(9086), 1,
      sym__interpolated_multiline_string_start,
    STATE(8912), 1,
      sym_interpolated_string,
    STATE(14962), 1,
      sym__interpolated_string_start,
    ACTIONS(9681), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5472), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [282719] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7580), 1,
      sym__backquoted_id,
    ACTIONS(9683), 1,
      anon_sym_COLON,
    ACTIONS(9685), 1,
      anon_sym_LBRACE,
    ACTIONS(9687), 1,
      anon_sym_with,
    STATE(5512), 1,
      aux_sym_compound_type_repeat1,
    STATE(10018), 1,
      sym__refinement,
    STATE(10023), 1,
      sym_template_body,
    ACTIONS(7698), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5473), 2,
      sym_comment,
      sym_block_comment,
    STATE(10054), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7696), 3,
      anon_sym_case,
      anon_sym_if,
      anon_sym_else,
    ACTIONS(7694), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(7574), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [282781] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5474), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8271), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [282823] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5475), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7000), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [282865] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9689), 1,
      anon_sym_AT,
    STATE(7202), 1,
      sym_annotation,
    STATE(5476), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8283), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8281), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [282911] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5477), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7372), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8402), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [282953] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5478), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8835), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8833), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [282995] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9692), 1,
      anon_sym_DOT,
    STATE(5479), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [283039] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5480), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7000), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [283081] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5481), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8392), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [283123] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5482), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7764), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7762), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [283165] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5483), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [283207] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5484), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(4132), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [283249] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5485), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7000), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [283291] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5486), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8267), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [283333] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5487), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8095), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8093), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [283375] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5488), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9404), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9406), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [283417] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5489), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7330), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8360), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [283459] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7640), 1,
      anon_sym_DQUOTE,
    ACTIONS(9694), 1,
      sym__interpolated_multiline_string_start,
    STATE(9454), 1,
      sym_interpolated_string,
    STATE(15132), 1,
      sym__interpolated_string_start,
    ACTIONS(7638), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5490), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [283511] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5491), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8227), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8225), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [283553] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5492), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8271), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [283595] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6722), 1,
      sym__alpha_identifier,
    ACTIONS(6728), 1,
      anon_sym__,
    ACTIONS(6736), 1,
      sym__backquoted_id,
    ACTIONS(6738), 1,
      sym_operator_identifier,
    ACTIONS(9696), 1,
      anon_sym_LPAREN,
    STATE(5531), 1,
      sym__simple_type,
    STATE(6046), 1,
      sym__annotated_type,
    STATE(6422), 1,
      sym_identifier,
    STATE(6611), 1,
      sym__soft_identifier,
    STATE(9480), 1,
      sym_annotated_type,
    STATE(9587), 1,
      sym__infix_type_choice,
    STATE(16387), 1,
      sym_stable_identifier,
    STATE(5493), 2,
      sym_comment,
      sym_block_comment,
    STATE(10151), 2,
      sym_compound_type,
      sym_infix_type,
    ACTIONS(6732), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6925), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [283663] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8777), 1,
      anon_sym_LPAREN,
    STATE(5534), 1,
      aux_sym_annotation_repeat1,
    STATE(7149), 1,
      sym_arguments,
    STATE(5494), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7817), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7815), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [283711] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5495), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [283753] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9698), 1,
      anon_sym_LBRACK,
    ACTIONS(9700), 1,
      anon_sym_LPAREN,
    ACTIONS(9702), 1,
      anon_sym_POUND,
    STATE(7165), 1,
      aux_sym_annotation_repeat1,
    STATE(7903), 1,
      sym_type_arguments,
    STATE(8582), 1,
      sym_arguments,
    STATE(5496), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7530), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7528), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [283807] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5497), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7720), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8435), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [283849] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5498), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7720), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8435), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [283891] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8848), 1,
      anon_sym_AT,
    STATE(5964), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7372), 1,
      sym_annotation,
    STATE(5499), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 7,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8288), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [283939] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5500), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [283981] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5501), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8027), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8683), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [284023] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5502), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7714), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8406), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [284065] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5503), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7552), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8326), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [284107] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5504), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7584), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [284149] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9704), 1,
      anon_sym_with,
    STATE(5505), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(8804), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8802), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [284193] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5506), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7710), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8404), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [284235] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5507), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7716), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8324), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [284277] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9683), 1,
      anon_sym_COLON,
    ACTIONS(9685), 1,
      anon_sym_LBRACE,
    ACTIONS(9687), 1,
      anon_sym_with,
    STATE(5512), 1,
      aux_sym_compound_type_repeat1,
    STATE(10018), 1,
      sym__refinement,
    STATE(10023), 1,
      sym_template_body,
    STATE(5508), 2,
      sym_comment,
      sym_block_comment,
    STATE(10054), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7580), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7574), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [284333] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5509), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8392), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [284375] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8963), 1,
      anon_sym_AT,
    STATE(5645), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6804), 1,
      sym_annotation,
    STATE(5510), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8288), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [284423] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8999), 1,
      anon_sym_AT,
    STATE(5413), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7034), 1,
      sym_annotation,
    STATE(5511), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8288), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [284471] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9683), 1,
      anon_sym_COLON,
    ACTIONS(9685), 1,
      anon_sym_LBRACE,
    ACTIONS(9687), 1,
      anon_sym_with,
    STATE(8311), 1,
      aux_sym_compound_type_repeat1,
    STATE(9983), 1,
      sym__refinement,
    STATE(10023), 1,
      sym_template_body,
    STATE(5512), 2,
      sym_comment,
      sym_block_comment,
    STATE(10054), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7668), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7666), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [284527] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5513), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8392), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [284569] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5514), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 8,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8267), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [284611] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9707), 1,
      anon_sym_COLON,
    ACTIONS(9709), 1,
      anon_sym_LBRACE,
    ACTIONS(9711), 1,
      anon_sym_with,
    STATE(5700), 1,
      aux_sym_compound_type_repeat1,
    STATE(10073), 1,
      sym_template_body,
    STATE(10078), 1,
      sym__refinement,
    STATE(5515), 2,
      sym_comment,
      sym_block_comment,
    STATE(10004), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7580), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7574), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [284667] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5516), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7704), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8316), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [284709] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5517), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7710), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8404), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [284751] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5518), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7714), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8406), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [284793] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5519), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8267), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [284835] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1080), 1,
      anon_sym_LBRACE,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8103), 1,
      anon_sym_LPAREN,
    ACTIONS(8522), 1,
      anon_sym_DOT,
    ACTIONS(9597), 1,
      sym__alpha_identifier,
    ACTIONS(9603), 1,
      sym__backquoted_id,
    ACTIONS(9605), 1,
      sym_operator_identifier,
    ACTIONS(9713), 1,
      anon_sym_EQ,
    STATE(534), 1,
      sym_identifier,
    STATE(4033), 1,
      sym__soft_identifier,
    STATE(5520), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8737), 3,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
    STATE(6872), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8733), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(9599), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [284901] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5521), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7714), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8406), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [284943] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5522), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7584), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [284985] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5523), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7372), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8402), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [285027] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1044), 1,
      anon_sym_LBRACE,
    ACTIONS(7770), 1,
      anon_sym_LPAREN,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8506), 1,
      anon_sym_DOT,
    ACTIONS(9624), 1,
      sym__alpha_identifier,
    ACTIONS(9630), 1,
      sym__backquoted_id,
    ACTIONS(9632), 1,
      sym_operator_identifier,
    ACTIONS(9715), 1,
      anon_sym_EQ,
    STATE(533), 1,
      sym_identifier,
    STATE(4032), 1,
      sym__soft_identifier,
    STATE(5524), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8737), 3,
      anon_sym_if,
      anon_sym_match,
      anon_sym_finally,
    STATE(6851), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8733), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(9626), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [285093] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5525), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7720), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8435), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [285135] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5526), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7330), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8360), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [285177] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5527), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8835), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8833), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [285219] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7580), 1,
      sym__backquoted_id,
    ACTIONS(9717), 1,
      anon_sym_COLON,
    ACTIONS(9719), 1,
      anon_sym_LBRACE,
    ACTIONS(9721), 1,
      anon_sym_with,
    STATE(5652), 1,
      aux_sym_compound_type_repeat1,
    STATE(10063), 1,
      sym_template_body,
    STATE(10101), 1,
      sym__refinement,
    ACTIONS(7698), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5528), 2,
      sym_comment,
      sym_block_comment,
    STATE(10117), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7694), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(7696), 4,
      anon_sym_while,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(7574), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [285281] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5529), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7710), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8404), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [285323] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7640), 1,
      anon_sym_DQUOTE,
    ACTIONS(8447), 1,
      sym__interpolated_multiline_string_start,
    STATE(7201), 1,
      sym_interpolated_string,
    STATE(15365), 1,
      sym__interpolated_string_start,
    ACTIONS(9723), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5530), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 6,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [285375] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9373), 1,
      anon_sym_LBRACK,
    ACTIONS(9377), 1,
      anon_sym_POUND,
    ACTIONS(9725), 1,
      anon_sym_AT,
    STATE(6864), 1,
      sym_type_arguments,
    STATE(7727), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8860), 1,
      sym_annotation,
    STATE(5531), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7464), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [285429] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9727), 1,
      anon_sym_AT,
    STATE(6790), 1,
      sym_annotation,
    STATE(5532), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8283), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8281), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [285475] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5533), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9462), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9464), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [285517] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9730), 1,
      anon_sym_LPAREN,
    STATE(7149), 1,
      sym_arguments,
    STATE(5534), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(7788), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7786), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [285563] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5535), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [285605] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1942), 1,
      anon_sym_LBRACE,
    ACTIONS(8051), 1,
      sym__alpha_identifier,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8063), 1,
      anon_sym_EQ,
    ACTIONS(8065), 1,
      sym__backquoted_id,
    ACTIONS(8795), 1,
      anon_sym_LPAREN,
    ACTIONS(9733), 1,
      anon_sym_DOT,
    ACTIONS(9735), 1,
      sym_operator_identifier,
    STATE(1787), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(5536), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8055), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    STATE(9198), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8057), 5,
      anon_sym_while,
      anon_sym_match,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(8061), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [285671] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5537), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7552), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8326), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [285713] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5538), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8271), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [285755] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5539), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7716), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8324), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [285797] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8773), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5540), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8771), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8769), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [285841] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5541), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7704), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8316), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [285883] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9737), 1,
      anon_sym_DOT,
    STATE(5542), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [285927] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5543), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7764), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7762), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [285969] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9739), 1,
      anon_sym_with,
    STATE(5544), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(8804), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8802), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [286013] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4608), 1,
      sym__alpha_identifier,
    ACTIONS(4610), 1,
      anon_sym__,
    ACTIONS(4620), 1,
      sym__backquoted_id,
    ACTIONS(6768), 1,
      sym_operator_identifier,
    ACTIONS(9742), 1,
      anon_sym_LPAREN,
    STATE(7050), 1,
      sym__annotated_type,
    STATE(7146), 1,
      sym__simple_type,
    STATE(7705), 1,
      sym__soft_identifier,
    STATE(8002), 1,
      sym_identifier,
    STATE(9756), 1,
      sym_annotated_type,
    STATE(9990), 1,
      sym__infix_type_choice,
    STATE(16333), 1,
      sym_stable_identifier,
    STATE(5545), 2,
      sym_comment,
      sym_block_comment,
    STATE(10528), 2,
      sym_compound_type,
      sym_infix_type,
    ACTIONS(4616), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8234), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [286081] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8677), 1,
      anon_sym_AT,
    STATE(5416), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7306), 1,
      sym_annotation,
    STATE(5546), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8288), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [286129] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5547), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8095), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8093), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [286171] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5548), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8392), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [286213] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5549), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9455), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9457), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [286255] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7640), 1,
      anon_sym_DQUOTE,
    ACTIONS(8466), 1,
      sym__interpolated_multiline_string_start,
    STATE(8031), 1,
      sym_interpolated_string,
    STATE(14410), 1,
      sym__interpolated_string_start,
    ACTIONS(9744), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5550), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [286307] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5551), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7000), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [286349] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5552), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8227), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8225), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [286391] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5553), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7330), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8360), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [286433] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8889), 1,
      anon_sym_AT,
    STATE(5476), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7202), 1,
      sym_annotation,
    STATE(5554), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8288), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [286481] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4212), 1,
      sym__alpha_identifier,
    ACTIONS(4218), 1,
      anon_sym__,
    ACTIONS(4230), 1,
      sym__backquoted_id,
    ACTIONS(6712), 1,
      sym_operator_identifier,
    ACTIONS(9746), 1,
      anon_sym_LPAREN,
    STATE(4504), 1,
      sym__simple_type,
    STATE(4658), 1,
      sym__annotated_type,
    STATE(4875), 1,
      sym_identifier,
    STATE(4929), 1,
      sym__soft_identifier,
    STATE(6865), 1,
      sym_annotated_type,
    STATE(7719), 1,
      sym__infix_type_choice,
    STATE(16174), 1,
      sym_stable_identifier,
    STATE(5555), 2,
      sym_comment,
      sym_block_comment,
    STATE(8834), 2,
      sym_compound_type,
      sym_infix_type,
    ACTIONS(4224), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5291), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [286549] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9748), 1,
      anon_sym_DOT,
    STATE(5556), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [286593] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7640), 1,
      anon_sym_DQUOTE,
    ACTIONS(8466), 1,
      sym__interpolated_multiline_string_start,
    STATE(8031), 1,
      sym_interpolated_string,
    STATE(14410), 1,
      sym__interpolated_string_start,
    ACTIONS(9750), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5557), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [286645] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5558), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(4132), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
  [286687] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7338), 1,
      anon_sym_DOT,
    STATE(5559), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [286731] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5560), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9754), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9752), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [286773] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6324), 1,
      sym__alpha_identifier,
    ACTIONS(6330), 1,
      anon_sym__,
    ACTIONS(6338), 1,
      sym__backquoted_id,
    ACTIONS(6340), 1,
      sym_operator_identifier,
    ACTIONS(9756), 1,
      anon_sym_LPAREN,
    STATE(5038), 1,
      sym__simple_type,
    STATE(5168), 1,
      sym__annotated_type,
    STATE(5394), 1,
      sym__soft_identifier,
    STATE(5729), 1,
      sym_identifier,
    STATE(8556), 1,
      sym_annotated_type,
    STATE(9059), 1,
      sym__infix_type_choice,
    STATE(16902), 1,
      sym_stable_identifier,
    STATE(5561), 2,
      sym_comment,
      sym_block_comment,
    STATE(9662), 2,
      sym_compound_type,
      sym_infix_type,
    ACTIONS(6334), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6655), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [286841] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1210), 1,
      anon_sym_LBRACE,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8878), 1,
      anon_sym_LPAREN,
    ACTIONS(9758), 1,
      sym__alpha_identifier,
    ACTIONS(9760), 1,
      anon_sym_DOT,
    ACTIONS(9764), 1,
      anon_sym_EQ,
    ACTIONS(9766), 1,
      sym__backquoted_id,
    ACTIONS(9768), 1,
      sym_operator_identifier,
    STATE(539), 1,
      sym_identifier,
    STATE(4042), 1,
      sym__soft_identifier,
    STATE(5562), 2,
      sym_comment,
      sym_block_comment,
    STATE(9014), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8733), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8737), 4,
      anon_sym_match,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(9762), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [286907] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5563), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(7000), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
  [286949] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7580), 1,
      sym__backquoted_id,
    ACTIONS(9707), 1,
      anon_sym_COLON,
    ACTIONS(9709), 1,
      anon_sym_LBRACE,
    ACTIONS(9711), 1,
      anon_sym_with,
    STATE(5700), 1,
      aux_sym_compound_type_repeat1,
    STATE(10073), 1,
      sym_template_body,
    STATE(10078), 1,
      sym__refinement,
    ACTIONS(7698), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5564), 2,
      sym_comment,
      sym_block_comment,
    STATE(10004), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7696), 3,
      anon_sym_case,
      anon_sym_if,
      anon_sym_finally,
    ACTIONS(7694), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(7574), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [287011] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5565), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7552), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8326), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [287053] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5566), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7716), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8324), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [287095] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5567), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7330), 8,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8360), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [287137] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      anon_sym_COLON,
    ACTIONS(9719), 1,
      anon_sym_LBRACE,
    ACTIONS(9721), 1,
      anon_sym_with,
    STATE(5652), 1,
      aux_sym_compound_type_repeat1,
    STATE(10063), 1,
      sym_template_body,
    STATE(10101), 1,
      sym__refinement,
    STATE(5568), 2,
      sym_comment,
      sym_block_comment,
    STATE(10117), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7580), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7574), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [287193] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5569), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7704), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8316), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [287235] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5570), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7764), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7762), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [287277] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9591), 1,
      anon_sym_COLON,
    ACTIONS(9593), 1,
      anon_sym_LBRACE,
    ACTIONS(9595), 1,
      anon_sym_with,
    STATE(5437), 1,
      aux_sym_compound_type_repeat1,
    STATE(9615), 1,
      sym__refinement,
    STATE(9850), 1,
      sym_template_body,
    STATE(5571), 2,
      sym_comment,
      sym_block_comment,
    STATE(9631), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7580), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7574), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [287333] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5572), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7372), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8402), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [287375] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    ACTIONS(9770), 1,
      anon_sym_LPAREN,
    STATE(5376), 1,
      sym__annotated_type,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(8737), 1,
      sym__infix_type_choice,
    STATE(15969), 1,
      sym_stable_identifier,
    STATE(5573), 2,
      sym_comment,
      sym_block_comment,
    STATE(9676), 2,
      sym_compound_type,
      sym_infix_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [287443] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5574), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [287485] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5575), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8095), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8093), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [287527] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5576), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7584), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [287569] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5577), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8392), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [287611] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4624), 1,
      sym__alpha_identifier,
    ACTIONS(4630), 1,
      anon_sym__,
    ACTIONS(4642), 1,
      sym__backquoted_id,
    ACTIONS(6304), 1,
      sym_operator_identifier,
    ACTIONS(9772), 1,
      anon_sym_LPAREN,
    STATE(4803), 1,
      sym__annotated_type,
    STATE(4940), 1,
      sym__simple_type,
    STATE(5196), 1,
      sym_identifier,
    STATE(5260), 1,
      sym__soft_identifier,
    STATE(7492), 1,
      sym_annotated_type,
    STATE(8562), 1,
      sym__infix_type_choice,
    STATE(16896), 1,
      sym_stable_identifier,
    STATE(5578), 2,
      sym_comment,
      sym_block_comment,
    STATE(9563), 2,
      sym_compound_type,
      sym_infix_type,
    ACTIONS(4636), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5732), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [287679] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7640), 1,
      anon_sym_DQUOTE,
    ACTIONS(9774), 1,
      sym__interpolated_multiline_string_start,
    STATE(9549), 1,
      sym_interpolated_string,
    STATE(14612), 1,
      sym__interpolated_string_start,
    ACTIONS(7638), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5579), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(2515), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [287731] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5580), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7000), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [287773] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5581), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8267), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [287815] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9776), 1,
      anon_sym_LPAREN,
    STATE(6908), 1,
      sym_arguments,
    STATE(5582), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(7788), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7786), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [287861] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9779), 1,
      anon_sym_LBRACK,
    ACTIONS(9781), 1,
      anon_sym_LPAREN,
    ACTIONS(9783), 1,
      anon_sym_POUND,
    STATE(6967), 1,
      aux_sym_annotation_repeat1,
    STATE(8000), 1,
      sym_type_arguments,
    STATE(8509), 1,
      sym_arguments,
    STATE(5583), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7530), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7528), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [287915] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4402), 1,
      sym__alpha_identifier,
    ACTIONS(4408), 1,
      anon_sym__,
    ACTIONS(4420), 1,
      sym__backquoted_id,
    ACTIONS(6640), 1,
      sym_operator_identifier,
    ACTIONS(9785), 1,
      anon_sym_LPAREN,
    STATE(5901), 1,
      sym__simple_type,
    STATE(5927), 1,
      sym__annotated_type,
    STATE(6126), 1,
      sym_identifier,
    STATE(6337), 1,
      sym__soft_identifier,
    STATE(8794), 1,
      sym_annotated_type,
    STATE(9448), 1,
      sym__infix_type_choice,
    STATE(15828), 1,
      sym_stable_identifier,
    STATE(5584), 2,
      sym_comment,
      sym_block_comment,
    STATE(10008), 2,
      sym_compound_type,
      sym_infix_type,
    ACTIONS(4414), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7175), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [287983] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1210), 1,
      anon_sym_LBRACE,
    ACTIONS(8063), 1,
      anon_sym_EQ,
    ACTIONS(8878), 1,
      anon_sym_LPAREN,
    ACTIONS(9760), 1,
      anon_sym_DOT,
    STATE(621), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(5585), 2,
      sym_comment,
      sym_block_comment,
    STATE(9014), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8231), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8229), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [288039] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5586), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9789), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9787), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [288081] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5587), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9144), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9146), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [288123] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9294), 1,
      anon_sym_LBRACK,
    ACTIONS(9298), 1,
      anon_sym_POUND,
    ACTIONS(9791), 1,
      anon_sym_AT,
    STATE(7106), 1,
      sym_type_arguments,
    STATE(7229), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8171), 1,
      sym_annotation,
    STATE(5588), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [288177] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6130), 1,
      sym__alpha_identifier,
    ACTIONS(6136), 1,
      anon_sym__,
    ACTIONS(6144), 1,
      sym__backquoted_id,
    ACTIONS(6146), 1,
      sym_operator_identifier,
    ACTIONS(9793), 1,
      anon_sym_LPAREN,
    STATE(6664), 1,
      sym__simple_type,
    STATE(7058), 1,
      sym__annotated_type,
    STATE(7617), 1,
      sym_identifier,
    STATE(7635), 1,
      sym__soft_identifier,
    STATE(9838), 1,
      sym_annotated_type,
    STATE(10120), 1,
      sym__infix_type_choice,
    STATE(15858), 1,
      sym_stable_identifier,
    STATE(5589), 2,
      sym_comment,
      sym_block_comment,
    STATE(10296), 2,
      sym_compound_type,
      sym_infix_type,
    ACTIONS(6140), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8290), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [288245] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6420), 1,
      sym__alpha_identifier,
    ACTIONS(6426), 1,
      anon_sym__,
    ACTIONS(6434), 1,
      sym__backquoted_id,
    ACTIONS(6436), 1,
      sym_operator_identifier,
    ACTIONS(9795), 1,
      anon_sym_LPAREN,
    STATE(4797), 1,
      sym__annotated_type,
    STATE(4950), 1,
      sym__simple_type,
    STATE(5127), 1,
      sym_identifier,
    STATE(5256), 1,
      sym__soft_identifier,
    STATE(7447), 1,
      sym_annotated_type,
    STATE(8589), 1,
      sym__infix_type_choice,
    STATE(16884), 1,
      sym_stable_identifier,
    STATE(5590), 2,
      sym_comment,
      sym_block_comment,
    STATE(9558), 2,
      sym_compound_type,
      sym_infix_type,
    ACTIONS(6430), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5789), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [288313] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5591), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8227), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8225), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [288355] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5592), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9134), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9136), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [288397] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5593), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [288439] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5594), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9447), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [288481] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9011), 1,
      anon_sym_LPAREN,
    STATE(5582), 1,
      aux_sym_annotation_repeat1,
    STATE(6908), 1,
      sym_arguments,
    STATE(5595), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7817), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7815), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [288529] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6558), 1,
      sym__alpha_identifier,
    ACTIONS(6560), 1,
      anon_sym__,
    ACTIONS(6568), 1,
      sym__backquoted_id,
    ACTIONS(6570), 1,
      sym_operator_identifier,
    ACTIONS(9797), 1,
      anon_sym_LPAREN,
    STATE(6535), 1,
      sym__simple_type,
    STATE(6749), 1,
      sym_identifier,
    STATE(6791), 1,
      sym__annotated_type,
    STATE(6863), 1,
      sym__soft_identifier,
    STATE(9893), 1,
      sym_annotated_type,
    STATE(10156), 1,
      sym__infix_type_choice,
    STATE(15886), 1,
      sym_stable_identifier,
    STATE(5596), 2,
      sym_comment,
      sym_block_comment,
    STATE(10387), 2,
      sym_compound_type,
      sym_infix_type,
    ACTIONS(6564), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7663), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [288597] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9267), 1,
      anon_sym_LBRACK,
    ACTIONS(9271), 1,
      anon_sym_POUND,
    ACTIONS(9799), 1,
      anon_sym_AT,
    STATE(7353), 1,
      sym_type_arguments,
    STATE(7993), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9079), 1,
      sym_annotation,
    STATE(5597), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [288651] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1210), 1,
      anon_sym_LBRACE,
    ACTIONS(8051), 1,
      sym__alpha_identifier,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8063), 1,
      anon_sym_EQ,
    ACTIONS(8065), 1,
      sym__backquoted_id,
    ACTIONS(8878), 1,
      anon_sym_LPAREN,
    ACTIONS(9760), 1,
      anon_sym_DOT,
    ACTIONS(9801), 1,
      sym_operator_identifier,
    STATE(1750), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(5598), 2,
      sym_comment,
      sym_block_comment,
    STATE(9014), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8055), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8057), 4,
      anon_sym_match,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(8061), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [288717] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9803), 1,
      anon_sym_AT,
    STATE(6873), 1,
      sym_annotation,
    STATE(5599), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8283), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8281), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [288763] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5600), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9130), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9132), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [288805] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1678), 1,
      anon_sym_LBRACE,
    ACTIONS(8063), 1,
      anon_sym_EQ,
    ACTIONS(8785), 1,
      anon_sym_LPAREN,
    ACTIONS(9675), 1,
      anon_sym_DOT,
    STATE(621), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(5601), 2,
      sym_comment,
      sym_block_comment,
    STATE(8898), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8231), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8229), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [288861] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9486), 1,
      anon_sym_LBRACK,
    ACTIONS(9492), 1,
      anon_sym_POUND,
    ACTIONS(9806), 1,
      anon_sym_LPAREN,
    STATE(6911), 1,
      aux_sym_annotation_repeat1,
    STATE(8032), 1,
      sym_type_arguments,
    STATE(8481), 1,
      sym_arguments,
    STATE(5602), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7530), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7528), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [288915] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5603), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9449), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9451), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [288957] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9808), 1,
      anon_sym_LBRACK,
    ACTIONS(9810), 1,
      anon_sym_AT,
    ACTIONS(9812), 1,
      anon_sym_LPAREN,
    ACTIONS(9814), 1,
      anon_sym_POUND,
    STATE(7963), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8167), 1,
      sym_type_arguments,
    STATE(9118), 1,
      sym_annotation,
    STATE(9762), 1,
      sym_arguments,
    STATE(5604), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [289015] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6130), 1,
      sym__alpha_identifier,
    ACTIONS(6136), 1,
      anon_sym__,
    ACTIONS(6144), 1,
      sym__backquoted_id,
    ACTIONS(6146), 1,
      sym_operator_identifier,
    ACTIONS(9793), 1,
      anon_sym_LPAREN,
    STATE(6664), 1,
      sym__simple_type,
    STATE(7617), 1,
      sym_identifier,
    STATE(7635), 1,
      sym__soft_identifier,
    STATE(7786), 1,
      sym__annotated_type,
    STATE(9838), 1,
      sym_annotated_type,
    STATE(10167), 1,
      sym__infix_type_choice,
    STATE(15858), 1,
      sym_stable_identifier,
    STATE(5605), 2,
      sym_comment,
      sym_block_comment,
    STATE(10296), 2,
      sym_compound_type,
      sym_infix_type,
    ACTIONS(6140), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8290), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [289083] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5606), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(4132), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
  [289125] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1210), 1,
      anon_sym_LBRACE,
    ACTIONS(8878), 1,
      anon_sym_LPAREN,
    ACTIONS(9760), 1,
      anon_sym_DOT,
    STATE(621), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(5607), 2,
      sym_comment,
      sym_block_comment,
    STATE(9014), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8241), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8239), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [289179] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(972), 1,
      anon_sym_LBRACE,
    ACTIONS(7548), 1,
      anon_sym_LPAREN,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8273), 1,
      anon_sym_DOT,
    ACTIONS(9335), 1,
      sym__alpha_identifier,
    ACTIONS(9341), 1,
      sym__backquoted_id,
    ACTIONS(9343), 1,
      sym_operator_identifier,
    ACTIONS(9816), 1,
      anon_sym_EQ,
    STATE(531), 1,
      sym_identifier,
    STATE(3954), 1,
      sym__soft_identifier,
    STATE(5608), 2,
      sym_comment,
      sym_block_comment,
    STATE(6528), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8733), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8737), 4,
      anon_sym_case,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(9337), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [289245] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9818), 1,
      anon_sym_AT,
    STATE(6885), 1,
      sym_annotation,
    STATE(5609), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8283), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8281), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [289291] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9821), 1,
      anon_sym_LBRACK,
    ACTIONS(9823), 1,
      anon_sym_AT,
    ACTIONS(9825), 1,
      anon_sym_LPAREN,
    ACTIONS(9827), 1,
      anon_sym_POUND,
    STATE(7469), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8137), 1,
      sym_type_arguments,
    STATE(8996), 1,
      sym_annotation,
    STATE(9738), 1,
      sym_arguments,
    STATE(5610), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [289349] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5611), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8835), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8833), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [289391] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5612), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 10,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(4132), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
  [289433] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7640), 1,
      anon_sym_DQUOTE,
    ACTIONS(8920), 1,
      sym__interpolated_multiline_string_start,
    STATE(8568), 1,
      sym_interpolated_string,
    STATE(15261), 1,
      sym__interpolated_string_start,
    ACTIONS(9829), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5613), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
  [289485] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6406), 1,
      sym__alpha_identifier,
    ACTIONS(6408), 1,
      anon_sym__,
    ACTIONS(6416), 1,
      sym__backquoted_id,
    ACTIONS(6418), 1,
      sym_operator_identifier,
    ACTIONS(9831), 1,
      anon_sym_LPAREN,
    STATE(4421), 1,
      sym__annotated_type,
    STATE(4488), 1,
      sym__simple_type,
    STATE(4562), 1,
      sym_identifier,
    STATE(4586), 1,
      sym__soft_identifier,
    STATE(6072), 1,
      sym_annotated_type,
    STATE(7293), 1,
      sym__infix_type_choice,
    STATE(16878), 1,
      sym_stable_identifier,
    STATE(5614), 2,
      sym_comment,
      sym_block_comment,
    STATE(8638), 2,
      sym_compound_type,
      sym_infix_type,
    ACTIONS(6412), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4832), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [289553] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1246), 1,
      anon_sym_LBRACE,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8500), 1,
      anon_sym_LPAREN,
    ACTIONS(9413), 1,
      anon_sym_DOT,
    ACTIONS(9607), 1,
      sym__alpha_identifier,
    ACTIONS(9613), 1,
      sym__backquoted_id,
    ACTIONS(9615), 1,
      sym_operator_identifier,
    ACTIONS(9833), 1,
      anon_sym_EQ,
    STATE(540), 1,
      sym_identifier,
    STATE(4041), 1,
      sym__soft_identifier,
    STATE(5615), 2,
      sym_comment,
      sym_block_comment,
    STATE(8374), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8733), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8737), 4,
      anon_sym_case,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(9609), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [289619] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5616), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9180), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9182), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [289661] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5617), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 8,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8271), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [289703] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8652), 1,
      anon_sym_LPAREN,
    STATE(4360), 1,
      sym_arguments,
    STATE(5680), 1,
      aux_sym_annotation_repeat1,
    STATE(5618), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7817), 24,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [289749] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5619), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7330), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8360), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [289791] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6456), 1,
      sym__alpha_identifier,
    ACTIONS(6462), 1,
      anon_sym__,
    ACTIONS(6470), 1,
      sym__backquoted_id,
    ACTIONS(6472), 1,
      sym_operator_identifier,
    ACTIONS(9835), 1,
      anon_sym_LPAREN,
    STATE(5597), 1,
      sym__simple_type,
    STATE(6504), 1,
      sym__annotated_type,
    STATE(6507), 1,
      sym_identifier,
    STATE(6519), 1,
      sym__soft_identifier,
    STATE(9300), 1,
      sym__infix_type_choice,
    STATE(9543), 1,
      sym_annotated_type,
    STATE(15913), 1,
      sym_stable_identifier,
    STATE(5620), 2,
      sym_comment,
      sym_block_comment,
    STATE(10051), 2,
      sym_compound_type,
      sym_infix_type,
    ACTIONS(6466), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7263), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [289859] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5621), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7498), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7496), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [289901] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6306), 1,
      sym__alpha_identifier,
    ACTIONS(6312), 1,
      anon_sym__,
    ACTIONS(6320), 1,
      sym__backquoted_id,
    ACTIONS(6322), 1,
      sym_operator_identifier,
    ACTIONS(9837), 1,
      anon_sym_LPAREN,
    STATE(6325), 1,
      sym__annotated_type,
    STATE(6449), 1,
      sym__simple_type,
    STATE(7277), 1,
      sym_identifier,
    STATE(7350), 1,
      sym__soft_identifier,
    STATE(9263), 1,
      sym_annotated_type,
    STATE(9858), 1,
      sym__infix_type_choice,
    STATE(16866), 1,
      sym_stable_identifier,
    STATE(5622), 2,
      sym_comment,
      sym_block_comment,
    STATE(10241), 2,
      sym_compound_type,
      sym_infix_type,
    ACTIONS(6316), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7958), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [289969] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1678), 1,
      anon_sym_LBRACE,
    ACTIONS(8785), 1,
      anon_sym_LPAREN,
    ACTIONS(9675), 1,
      anon_sym_DOT,
    STATE(621), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(5623), 2,
      sym_comment,
      sym_block_comment,
    STATE(8898), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8241), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8239), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [290023] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4502), 1,
      sym__alpha_identifier,
    ACTIONS(4504), 1,
      anon_sym__,
    ACTIONS(4514), 1,
      sym__backquoted_id,
    ACTIONS(6300), 1,
      sym_operator_identifier,
    ACTIONS(9839), 1,
      anon_sym_LPAREN,
    STATE(4328), 1,
      sym__annotated_type,
    STATE(4377), 1,
      sym__simple_type,
    STATE(4404), 1,
      sym_identifier,
    STATE(4419), 1,
      sym__soft_identifier,
    STATE(5923), 1,
      sym_annotated_type,
    STATE(6492), 1,
      sym__infix_type_choice,
    STATE(15983), 1,
      sym_stable_identifier,
    STATE(5624), 2,
      sym_comment,
      sym_block_comment,
    STATE(7694), 2,
      sym_compound_type,
      sym_infix_type,
    ACTIONS(4510), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4621), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [290091] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9841), 1,
      anon_sym_COLON,
    ACTIONS(9843), 1,
      anon_sym_LBRACE,
    ACTIONS(9845), 1,
      anon_sym_with,
    STATE(5977), 1,
      aux_sym_compound_type_repeat1,
    STATE(10168), 1,
      sym__refinement,
    STATE(10170), 1,
      sym_template_body,
    STATE(5625), 2,
      sym_comment,
      sym_block_comment,
    STATE(10173), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7580), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7574), 14,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [290147] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5626), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9067), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9065), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [290189] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6152), 1,
      sym__alpha_identifier,
    ACTIONS(6154), 1,
      anon_sym__,
    ACTIONS(6162), 1,
      sym__backquoted_id,
    ACTIONS(6164), 1,
      sym_operator_identifier,
    ACTIONS(9847), 1,
      anon_sym_LPAREN,
    STATE(4589), 1,
      sym__simple_type,
    STATE(4663), 1,
      sym__annotated_type,
    STATE(4743), 1,
      sym_identifier,
    STATE(4922), 1,
      sym__soft_identifier,
    STATE(6753), 1,
      sym_annotated_type,
    STATE(7618), 1,
      sym__infix_type_choice,
    STATE(16004), 1,
      sym_stable_identifier,
    STATE(5627), 2,
      sym_comment,
      sym_block_comment,
    STATE(8505), 2,
      sym_compound_type,
      sym_infix_type,
    ACTIONS(6158), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5252), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [290257] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5628), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8835), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8833), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [290299] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5629), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8835), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8833), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [290341] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9051), 1,
      anon_sym_DOT,
    ACTIONS(9849), 1,
      anon_sym_EQ_GT,
    STATE(5630), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [290387] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5631), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7330), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8360), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [290429] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9851), 1,
      anon_sym_DOT,
    STATE(5632), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [290473] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5633), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8392), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [290515] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6098), 1,
      sym__alpha_identifier,
    ACTIONS(6100), 1,
      anon_sym__,
    ACTIONS(6108), 1,
      sym__backquoted_id,
    ACTIONS(6110), 1,
      sym_operator_identifier,
    ACTIONS(9853), 1,
      anon_sym_LPAREN,
    STATE(5828), 1,
      sym__simple_type,
    STATE(6039), 1,
      sym__annotated_type,
    STATE(6096), 1,
      sym_identifier,
    STATE(6257), 1,
      sym__soft_identifier,
    STATE(9560), 1,
      sym_annotated_type,
    STATE(9670), 1,
      sym__infix_type_choice,
    STATE(16025), 1,
      sym_stable_identifier,
    STATE(5634), 2,
      sym_comment,
      sym_block_comment,
    STATE(10242), 2,
      sym_compound_type,
      sym_infix_type,
    ACTIONS(6104), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6721), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [290583] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(9855), 1,
      anon_sym_LPAREN,
    STATE(4763), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8239), 1,
      sym__infix_type_choice,
    STATE(16621), 1,
      sym_stable_identifier,
    STATE(5635), 2,
      sym_comment,
      sym_block_comment,
    STATE(8918), 2,
      sym_compound_type,
      sym_infix_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [290651] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5636), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(7000), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
  [290693] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5637), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9134), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9136), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [290735] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5638), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7000), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [290777] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5639), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9130), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9132), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [290819] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5640), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8267), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [290861] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7640), 1,
      anon_sym_DQUOTE,
    ACTIONS(8412), 1,
      sym__interpolated_multiline_string_start,
    STATE(7075), 1,
      sym_interpolated_string,
    STATE(15449), 1,
      sym__interpolated_string_start,
    ACTIONS(9857), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5641), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [290913] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8867), 1,
      anon_sym_LPAREN,
    STATE(5649), 1,
      aux_sym_annotation_repeat1,
    STATE(6778), 1,
      sym_arguments,
    STATE(5642), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7817), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7815), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [290961] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6264), 1,
      sym__alpha_identifier,
    ACTIONS(6270), 1,
      anon_sym__,
    ACTIONS(6278), 1,
      sym__backquoted_id,
    ACTIONS(6280), 1,
      sym_operator_identifier,
    ACTIONS(9859), 1,
      anon_sym_LPAREN,
    STATE(5515), 1,
      sym__annotated_type,
    STATE(5731), 1,
      sym__simple_type,
    STATE(6002), 1,
      sym__soft_identifier,
    STATE(6112), 1,
      sym_identifier,
    STATE(8743), 1,
      sym_annotated_type,
    STATE(9408), 1,
      sym__infix_type_choice,
    STATE(16854), 1,
      sym_stable_identifier,
    STATE(5643), 2,
      sym_comment,
      sym_block_comment,
    STATE(10012), 2,
      sym_compound_type,
      sym_infix_type,
    ACTIONS(6274), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6976), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [291029] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7338), 1,
      anon_sym_DOT,
    STATE(5644), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [291073] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9861), 1,
      anon_sym_AT,
    STATE(6804), 1,
      sym_annotation,
    STATE(5645), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8283), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8281), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [291119] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9423), 1,
      anon_sym_LBRACK,
    ACTIONS(9429), 1,
      anon_sym_POUND,
    ACTIONS(9864), 1,
      anon_sym_LPAREN,
    STATE(6884), 1,
      aux_sym_annotation_repeat1,
    STATE(7806), 1,
      sym_type_arguments,
    STATE(8495), 1,
      sym_arguments,
    STATE(5646), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7530), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7528), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [291173] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6152), 1,
      sym__alpha_identifier,
    ACTIONS(6154), 1,
      anon_sym__,
    ACTIONS(6162), 1,
      sym__backquoted_id,
    ACTIONS(6164), 1,
      sym_operator_identifier,
    ACTIONS(9847), 1,
      anon_sym_LPAREN,
    STATE(4589), 1,
      sym__simple_type,
    STATE(4743), 1,
      sym_identifier,
    STATE(4922), 1,
      sym__soft_identifier,
    STATE(6753), 1,
      sym_annotated_type,
    STATE(6824), 1,
      sym__annotated_type,
    STATE(9823), 1,
      sym__infix_type_choice,
    STATE(16004), 1,
      sym_stable_identifier,
    STATE(5647), 2,
      sym_comment,
      sym_block_comment,
    STATE(8505), 2,
      sym_compound_type,
      sym_infix_type,
    ACTIONS(6158), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5252), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [291241] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5648), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [291283] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9866), 1,
      anon_sym_LPAREN,
    STATE(6778), 1,
      sym_arguments,
    STATE(5649), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(7788), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7786), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [291329] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5650), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8027), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8683), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [291371] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5651), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9159), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9161), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [291413] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      anon_sym_COLON,
    ACTIONS(9719), 1,
      anon_sym_LBRACE,
    ACTIONS(9721), 1,
      anon_sym_with,
    STATE(8231), 1,
      aux_sym_compound_type_repeat1,
    STATE(10063), 1,
      sym_template_body,
    STATE(10171), 1,
      sym__refinement,
    STATE(5652), 2,
      sym_comment,
      sym_block_comment,
    STATE(10117), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7668), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7666), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [291469] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7580), 1,
      sym__backquoted_id,
    ACTIONS(9869), 1,
      anon_sym_COLON,
    ACTIONS(9871), 1,
      anon_sym_LBRACE,
    ACTIONS(9873), 1,
      anon_sym_with,
    STATE(5916), 1,
      aux_sym_compound_type_repeat1,
    STATE(9936), 1,
      sym__refinement,
    STATE(9941), 1,
      sym_template_body,
    ACTIONS(7698), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5653), 2,
      sym_comment,
      sym_block_comment,
    STATE(9997), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7696), 3,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(7694), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(7574), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [291531] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9408), 1,
      anon_sym_with,
    STATE(8432), 1,
      aux_sym_compound_type_repeat1,
    STATE(9438), 1,
      sym__refinement,
    STATE(9492), 1,
      sym_template_body,
    STATE(5654), 2,
      sym_comment,
      sym_block_comment,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7668), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7666), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [291583] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6232), 1,
      sym__alpha_identifier,
    ACTIONS(6238), 1,
      anon_sym__,
    ACTIONS(6246), 1,
      sym__backquoted_id,
    ACTIONS(6248), 1,
      sym_operator_identifier,
    ACTIONS(9875), 1,
      anon_sym_LPAREN,
    STATE(4778), 1,
      sym__annotated_type,
    STATE(4955), 1,
      sym__simple_type,
    STATE(5086), 1,
      sym_identifier,
    STATE(5254), 1,
      sym__soft_identifier,
    STATE(7531), 1,
      sym_annotated_type,
    STATE(8616), 1,
      sym__infix_type_choice,
    STATE(16842), 1,
      sym_stable_identifier,
    STATE(5655), 2,
      sym_comment,
      sym_block_comment,
    STATE(9357), 2,
      sym_compound_type,
      sym_infix_type,
    ACTIONS(6242), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5895), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [291651] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9468), 1,
      anon_sym_LBRACK,
    ACTIONS(9470), 1,
      anon_sym_AT,
    ACTIONS(9474), 1,
      anon_sym_POUND,
    STATE(6759), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7737), 1,
      sym_type_arguments,
    STATE(8123), 1,
      sym_annotation,
    STATE(5656), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [291705] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9877), 1,
      anon_sym_DOT,
    STATE(5657), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8159), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [291749] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5658), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7720), 8,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8435), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [291791] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5659), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(4132), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [291833] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5660), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7330), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8360), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [291875] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5661), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8835), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8833), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [291917] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5662), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9881), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9879), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [291959] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7638), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5663), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [292003] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6206), 1,
      sym__alpha_identifier,
    ACTIONS(6212), 1,
      anon_sym__,
    ACTIONS(6220), 1,
      sym__backquoted_id,
    ACTIONS(6222), 1,
      sym_operator_identifier,
    ACTIONS(9883), 1,
      anon_sym_LPAREN,
    STATE(5019), 1,
      sym__simple_type,
    STATE(5445), 1,
      sym_identifier,
    STATE(5780), 1,
      sym__annotated_type,
    STATE(5909), 1,
      sym__soft_identifier,
    STATE(8876), 1,
      sym__infix_type_choice,
    STATE(9003), 1,
      sym_annotated_type,
    STATE(16046), 1,
      sym_stable_identifier,
    STATE(5664), 2,
      sym_comment,
      sym_block_comment,
    STATE(9902), 2,
      sym_compound_type,
      sym_infix_type,
    ACTIONS(6216), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6453), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [292071] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5665), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7552), 8,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8326), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [292113] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5666), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7112), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7110), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [292155] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4472), 1,
      sym__alpha_identifier,
    ACTIONS(4478), 1,
      anon_sym__,
    ACTIONS(4490), 1,
      sym__backquoted_id,
    ACTIONS(6370), 1,
      sym_operator_identifier,
    ACTIONS(9885), 1,
      anon_sym_LPAREN,
    STATE(4523), 1,
      sym__annotated_type,
    STATE(4671), 1,
      sym__simple_type,
    STATE(4682), 1,
      sym_identifier,
    STATE(4750), 1,
      sym__soft_identifier,
    STATE(6776), 1,
      sym_annotated_type,
    STATE(7493), 1,
      sym__infix_type_choice,
    STATE(16830), 1,
      sym_stable_identifier,
    STATE(5667), 2,
      sym_comment,
      sym_block_comment,
    STATE(8768), 2,
      sym_compound_type,
      sym_infix_type,
    ACTIONS(4484), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5107), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [292223] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9887), 1,
      anon_sym_DOT,
    STATE(5668), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8159), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [292267] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7640), 1,
      anon_sym_DQUOTE,
    ACTIONS(9232), 1,
      sym__interpolated_multiline_string_start,
    STATE(8759), 1,
      sym_interpolated_string,
    STATE(15181), 1,
      sym__interpolated_string_start,
    ACTIONS(9889), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5669), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [292319] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9891), 1,
      anon_sym_LPAREN,
    STATE(6715), 1,
      sym_arguments,
    STATE(5670), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(7788), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7786), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [292365] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5671), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9144), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9146), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [292407] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5672), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9180), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9182), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [292449] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8852), 1,
      anon_sym_LPAREN,
    STATE(5670), 1,
      aux_sym_annotation_repeat1,
    STATE(6715), 1,
      sym_arguments,
    STATE(5673), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7817), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7815), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [292497] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6661), 1,
      sym_arguments,
    STATE(5674), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7498), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7496), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [292541] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5675), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7716), 8,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8324), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [292583] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5676), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9896), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9894), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [292625] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5677), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9404), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9406), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [292667] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5678), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7552), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8326), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [292709] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1318), 1,
      anon_sym_LBRACE,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8342), 1,
      anon_sym_LPAREN,
    ACTIONS(8928), 1,
      anon_sym_DOT,
    ACTIONS(9898), 1,
      sym__alpha_identifier,
    ACTIONS(9902), 1,
      anon_sym_EQ,
    ACTIONS(9904), 1,
      sym__backquoted_id,
    ACTIONS(9906), 1,
      sym_operator_identifier,
    STATE(542), 1,
      sym_identifier,
    STATE(4035), 1,
      sym__soft_identifier,
    STATE(5679), 2,
      sym_comment,
      sym_block_comment,
    STATE(7988), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8733), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8737), 4,
      anon_sym_match,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
    ACTIONS(9900), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [292775] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9908), 1,
      anon_sym_LPAREN,
    STATE(4360), 1,
      sym_arguments,
    STATE(5680), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(7788), 24,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [292819] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9433), 1,
      anon_sym_LBRACK,
    ACTIONS(9435), 1,
      anon_sym_AT,
    ACTIONS(9439), 1,
      anon_sym_POUND,
    STATE(6735), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7788), 1,
      sym_type_arguments,
    STATE(8094), 1,
      sym_annotation,
    STATE(5681), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7464), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [292873] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5682), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7716), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8324), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [292915] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5683), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7704), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8316), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [292957] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5684), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7330), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8360), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [292999] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(9855), 1,
      anon_sym_LPAREN,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(8933), 1,
      sym__annotated_type,
    STATE(10480), 1,
      sym__infix_type_choice,
    STATE(16621), 1,
      sym_stable_identifier,
    STATE(5685), 2,
      sym_comment,
      sym_block_comment,
    STATE(8918), 2,
      sym_compound_type,
      sym_infix_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [293067] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5686), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9159), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9161), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [293109] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7580), 1,
      sym__backquoted_id,
    ACTIONS(9591), 1,
      anon_sym_COLON,
    ACTIONS(9593), 1,
      anon_sym_LBRACE,
    ACTIONS(9595), 1,
      anon_sym_with,
    STATE(5437), 1,
      aux_sym_compound_type_repeat1,
    STATE(9615), 1,
      sym__refinement,
    STATE(9850), 1,
      sym_template_body,
    ACTIONS(7698), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5687), 2,
      sym_comment,
      sym_block_comment,
    STATE(9631), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7696), 3,
      anon_sym_case,
      anon_sym_if,
      anon_sym_EQ,
    ACTIONS(7694), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(7574), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [293171] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5688), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7704), 8,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8316), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [293213] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8816), 1,
      anon_sym_AT,
    STATE(5599), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6873), 1,
      sym_annotation,
    STATE(5689), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8288), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [293261] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5690), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8267), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [293303] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5691), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9180), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9182), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [293345] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9911), 1,
      anon_sym_DOT,
    STATE(5692), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [293389] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6372), 1,
      sym__alpha_identifier,
    ACTIONS(6374), 1,
      anon_sym__,
    ACTIONS(6382), 1,
      sym__backquoted_id,
    ACTIONS(6384), 1,
      sym_operator_identifier,
    ACTIONS(9913), 1,
      anon_sym_LPAREN,
    STATE(8020), 1,
      sym__simple_type,
    STATE(8164), 1,
      sym__soft_identifier,
    STATE(8247), 1,
      sym__annotated_type,
    STATE(8558), 1,
      sym_identifier,
    STATE(10189), 1,
      sym__infix_type_choice,
    STATE(10278), 1,
      sym_annotated_type,
    STATE(16067), 1,
      sym_stable_identifier,
    STATE(5693), 2,
      sym_comment,
      sym_block_comment,
    STATE(10630), 2,
      sym_compound_type,
      sym_infix_type,
    ACTIONS(6378), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8717), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [293457] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8814), 1,
      anon_sym_LPAREN,
    STATE(5737), 1,
      aux_sym_annotation_repeat1,
    STATE(6675), 1,
      sym_arguments,
    STATE(5694), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7817), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7815), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [293505] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8604), 1,
      anon_sym_AT,
    STATE(5910), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7131), 1,
      sym_annotation,
    STATE(5695), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8288), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [293553] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5696), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9082), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9084), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [293595] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6342), 1,
      sym__alpha_identifier,
    ACTIONS(6348), 1,
      anon_sym__,
    ACTIONS(6356), 1,
      sym__backquoted_id,
    ACTIONS(6358), 1,
      sym_operator_identifier,
    ACTIONS(9915), 1,
      anon_sym_LPAREN,
    STATE(8215), 1,
      sym__simple_type,
    STATE(8849), 1,
      sym_identifier,
    STATE(8955), 1,
      sym__annotated_type,
    STATE(8992), 1,
      sym__soft_identifier,
    STATE(10507), 1,
      sym_annotated_type,
    STATE(10570), 1,
      sym__infix_type_choice,
    STATE(16824), 1,
      sym_stable_identifier,
    STATE(5697), 2,
      sym_comment,
      sym_block_comment,
    STATE(11041), 2,
      sym_compound_type,
      sym_infix_type,
    ACTIONS(6352), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9542), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [293663] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5698), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8835), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8833), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [293705] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5699), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9159), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9161), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [293747] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9707), 1,
      anon_sym_COLON,
    ACTIONS(9709), 1,
      anon_sym_LBRACE,
    ACTIONS(9711), 1,
      anon_sym_with,
    STATE(8631), 1,
      aux_sym_compound_type_repeat1,
    STATE(10073), 1,
      sym_template_body,
    STATE(10165), 1,
      sym__refinement,
    STATE(5700), 2,
      sym_comment,
      sym_block_comment,
    STATE(10004), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7668), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7666), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [293803] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5701), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7584), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [293845] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5702), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8227), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8225), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [293887] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5703), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8392), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [293929] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5704), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9082), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9084), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [293971] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5705), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7372), 8,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8402), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [294013] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9025), 1,
      anon_sym_DOT,
    ACTIONS(9917), 1,
      anon_sym_EQ_GT,
    STATE(5706), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [294059] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5707), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8392), 21,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [294101] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5708), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9082), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9084), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [294143] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5709), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7000), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [294185] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5710), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9067), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9065), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [294227] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7338), 1,
      anon_sym_DOT,
    STATE(5711), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [294271] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7338), 1,
      anon_sym_DOT,
    STATE(5712), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [294315] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5713), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7710), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8404), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [294357] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5714), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7714), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8406), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [294399] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9869), 1,
      anon_sym_COLON,
    ACTIONS(9871), 1,
      anon_sym_LBRACE,
    ACTIONS(9873), 1,
      anon_sym_with,
    STATE(5916), 1,
      aux_sym_compound_type_repeat1,
    STATE(9936), 1,
      sym__refinement,
    STATE(9941), 1,
      sym_template_body,
    STATE(5715), 2,
      sym_comment,
      sym_block_comment,
    STATE(9997), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7580), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7574), 14,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [294455] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6442), 1,
      sym__alpha_identifier,
    ACTIONS(6444), 1,
      anon_sym__,
    ACTIONS(6452), 1,
      sym__backquoted_id,
    ACTIONS(6454), 1,
      sym_operator_identifier,
    ACTIONS(9919), 1,
      anon_sym_LPAREN,
    STATE(7147), 1,
      sym__simple_type,
    STATE(7381), 1,
      sym__annotated_type,
    STATE(7639), 1,
      sym_identifier,
    STATE(7905), 1,
      sym__soft_identifier,
    STATE(10021), 1,
      sym_annotated_type,
    STATE(10137), 1,
      sym__infix_type_choice,
    STATE(16088), 1,
      sym_stable_identifier,
    STATE(5716), 2,
      sym_comment,
      sym_block_comment,
    STATE(10449), 2,
      sym_compound_type,
      sym_infix_type,
    ACTIONS(6448), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8251), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [294523] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5717), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7710), 8,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8404), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [294565] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5718), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8267), 21,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [294607] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5719), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9021), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9023), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [294649] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5720), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8267), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [294691] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5721), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7764), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7762), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [294733] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9921), 1,
      anon_sym_LPAREN,
    STATE(6696), 1,
      sym_arguments,
    STATE(5722), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(7788), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7786), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [294779] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5723), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9021), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9023), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [294821] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5724), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7720), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8435), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [294863] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4334), 1,
      sym__alpha_identifier,
    ACTIONS(4340), 1,
      anon_sym__,
    ACTIONS(4352), 1,
      sym__backquoted_id,
    ACTIONS(6602), 1,
      sym_operator_identifier,
    ACTIONS(9924), 1,
      anon_sym_LPAREN,
    STATE(4326), 1,
      sym__annotated_type,
    STATE(4334), 1,
      sym__simple_type,
    STATE(4483), 1,
      sym_identifier,
    STATE(4494), 1,
      sym__soft_identifier,
    STATE(5740), 1,
      sym_annotated_type,
    STATE(6319), 1,
      sym__infix_type_choice,
    STATE(16818), 1,
      sym_stable_identifier,
    STATE(5725), 2,
      sym_comment,
      sym_block_comment,
    STATE(7575), 2,
      sym_compound_type,
      sym_infix_type,
    ACTIONS(4346), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4508), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [294931] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5726), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9029), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9031), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [294973] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7338), 1,
      anon_sym_DOT,
    STATE(5727), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8159), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [295017] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5728), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [295059] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9926), 1,
      anon_sym_DOT,
    STATE(5729), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [295103] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5730), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9029), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9031), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [295145] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9234), 1,
      anon_sym_LBRACK,
    ACTIONS(9238), 1,
      anon_sym_POUND,
    ACTIONS(9928), 1,
      anon_sym_AT,
    STATE(6961), 1,
      sym_type_arguments,
    STATE(7245), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8630), 1,
      sym_annotation,
    STATE(5731), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [295199] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5732), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8271), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [295241] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8887), 1,
      anon_sym_LPAREN,
    STATE(5722), 1,
      aux_sym_annotation_repeat1,
    STATE(6696), 1,
      sym_arguments,
    STATE(5733), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7817), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7815), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [295289] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5734), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8095), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8093), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [295331] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9930), 1,
      anon_sym_with,
    STATE(5735), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(8804), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8802), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [295375] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9184), 1,
      anon_sym_LBRACK,
    ACTIONS(9188), 1,
      anon_sym_POUND,
    ACTIONS(9933), 1,
      anon_sym_AT,
    STATE(7054), 1,
      sym_type_arguments,
    STATE(7349), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8325), 1,
      sym_annotation,
    STATE(5736), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7464), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [295429] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9935), 1,
      anon_sym_LPAREN,
    STATE(6675), 1,
      sym_arguments,
    STATE(5737), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(7788), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7786), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [295475] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7638), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5738), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [295519] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5739), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [295561] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5740), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [295603] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4384), 1,
      sym__alpha_identifier,
    ACTIONS(4386), 1,
      anon_sym__,
    ACTIONS(4396), 1,
      sym__backquoted_id,
    ACTIONS(6644), 1,
      sym_operator_identifier,
    ACTIONS(9938), 1,
      anon_sym_LPAREN,
    STATE(5453), 1,
      sym__annotated_type,
    STATE(5891), 1,
      sym__simple_type,
    STATE(6027), 1,
      sym__soft_identifier,
    STATE(6518), 1,
      sym_identifier,
    STATE(8994), 1,
      sym_annotated_type,
    STATE(9406), 1,
      sym__infix_type_choice,
    STATE(16812), 1,
      sym_stable_identifier,
    STATE(5741), 2,
      sym_comment,
      sym_block_comment,
    STATE(10130), 2,
      sym_compound_type,
      sym_infix_type,
    ACTIONS(4392), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6894), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [295671] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9433), 1,
      anon_sym_LBRACK,
    ACTIONS(9439), 1,
      anon_sym_POUND,
    ACTIONS(9940), 1,
      anon_sym_LPAREN,
    STATE(6671), 1,
      aux_sym_annotation_repeat1,
    STATE(7788), 1,
      sym_type_arguments,
    STATE(8278), 1,
      sym_arguments,
    STATE(5742), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7530), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7528), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [295725] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5743), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9021), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9023), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [295767] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9942), 1,
      anon_sym_with,
    STATE(5998), 1,
      aux_sym_compound_type_repeat1,
    STATE(9634), 1,
      sym__refinement,
    STATE(9637), 1,
      sym_template_body,
    STATE(9738), 1,
      sym_arguments,
    STATE(5744), 2,
      sym_comment,
      sym_block_comment,
    STATE(6465), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7498), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7496), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [295821] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5745), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8267), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [295863] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5746), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 8,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8392), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [295905] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4520), 1,
      sym__alpha_identifier,
    ACTIONS(4526), 1,
      anon_sym__,
    ACTIONS(4538), 1,
      sym__backquoted_id,
    ACTIONS(6484), 1,
      sym_operator_identifier,
    ACTIONS(9944), 1,
      anon_sym_LPAREN,
    STATE(4732), 1,
      sym__annotated_type,
    STATE(4744), 1,
      sym__simple_type,
    STATE(4974), 1,
      sym__soft_identifier,
    STATE(5203), 1,
      sym_identifier,
    STATE(7713), 1,
      sym_annotated_type,
    STATE(8420), 1,
      sym__infix_type_choice,
    STATE(16130), 1,
      sym_stable_identifier,
    STATE(5747), 2,
      sym_comment,
      sym_block_comment,
    STATE(9489), 2,
      sym_compound_type,
      sym_infix_type,
    ACTIONS(4532), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5932), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [295973] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5748), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7552), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8326), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [296015] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5749), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8835), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8833), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [296057] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5750), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8227), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8225), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [296099] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5751), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8267), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [296141] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5752), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 9,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(7000), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
  [296183] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5753), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7716), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8324), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [296225] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7338), 1,
      anon_sym_DOT,
    STATE(5754), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [296269] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9946), 1,
      anon_sym_LBRACK,
    ACTIONS(9948), 1,
      anon_sym_LPAREN,
    ACTIONS(9950), 1,
      anon_sym_POUND,
    STATE(7640), 1,
      sym_type_arguments,
    STATE(7728), 1,
      aux_sym_annotation_repeat1,
    STATE(8820), 1,
      sym_arguments,
    STATE(5755), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7530), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7528), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [296323] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5756), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7584), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [296365] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4438), 1,
      sym__alpha_identifier,
    ACTIONS(4444), 1,
      anon_sym__,
    ACTIONS(4456), 1,
      sym__backquoted_id,
    ACTIONS(6662), 1,
      sym_operator_identifier,
    ACTIONS(9952), 1,
      anon_sym_LPAREN,
    STATE(5059), 1,
      sym__simple_type,
    STATE(5302), 1,
      sym__annotated_type,
    STATE(5411), 1,
      sym__soft_identifier,
    STATE(5811), 1,
      sym_identifier,
    STATE(8328), 1,
      sym_annotated_type,
    STATE(8921), 1,
      sym__infix_type_choice,
    STATE(16806), 1,
      sym_stable_identifier,
    STATE(5757), 2,
      sym_comment,
      sym_block_comment,
    STATE(9917), 2,
      sym_compound_type,
      sym_infix_type,
    ACTIONS(4450), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6556), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [296433] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5758), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7552), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8326), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [296475] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5759), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8095), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8093), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [296517] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5760), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8392), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [296559] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5761), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8392), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [296601] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5762), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7764), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7762), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [296643] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5763), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7764), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7762), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [296685] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5764), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7716), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8324), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [296727] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5765), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7714), 8,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8406), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [296769] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5766), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8392), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [296811] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5767), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8095), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8093), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [296853] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5768), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7704), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8316), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [296895] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5769), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7764), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7762), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [296937] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8767), 1,
      anon_sym_AT,
    STATE(5983), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7327), 1,
      sym_annotation,
    STATE(5770), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8288), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [296985] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9954), 1,
      anon_sym_LPAREN,
    STATE(6751), 1,
      sym_arguments,
    STATE(5771), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(7788), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7786), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [297031] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5772), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7710), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8404), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [297073] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5773), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7584), 8,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8358), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [297115] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5774), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9959), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9957), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [297157] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6186), 1,
      sym__alpha_identifier,
    ACTIONS(6192), 1,
      anon_sym__,
    ACTIONS(6200), 1,
      sym__backquoted_id,
    ACTIONS(6202), 1,
      sym_operator_identifier,
    ACTIONS(9961), 1,
      anon_sym_LPAREN,
    STATE(5508), 1,
      sym__annotated_type,
    STATE(5850), 1,
      sym__simple_type,
    STATE(6040), 1,
      sym__soft_identifier,
    STATE(6255), 1,
      sym_identifier,
    STATE(9065), 1,
      sym_annotated_type,
    STATE(9476), 1,
      sym__infix_type_choice,
    STATE(16794), 1,
      sym_stable_identifier,
    STATE(5775), 2,
      sym_comment,
      sym_block_comment,
    STATE(10002), 2,
      sym_compound_type,
      sym_infix_type,
    ACTIONS(6196), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6740), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [297225] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5776), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8267), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [297267] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5777), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8095), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8093), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [297309] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5778), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7704), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8316), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [297351] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7640), 1,
      anon_sym_DQUOTE,
    ACTIONS(8439), 1,
      sym__interpolated_multiline_string_start,
    STATE(6891), 1,
      sym_interpolated_string,
    STATE(15213), 1,
      sym__interpolated_string_start,
    ACTIONS(9963), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5779), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [297403] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9649), 1,
      anon_sym_LBRACE,
    ACTIONS(9651), 1,
      anon_sym_with,
    STATE(5462), 1,
      aux_sym_compound_type_repeat1,
    STATE(9781), 1,
      sym__refinement,
    STATE(9784), 1,
      sym_template_body,
    STATE(5780), 2,
      sym_comment,
      sym_block_comment,
    STATE(9780), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7580), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7574), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [297457] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5781), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7372), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8402), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [297499] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5782), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7714), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8406), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [297541] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9005), 1,
      anon_sym_LPAREN,
    STATE(5771), 1,
      aux_sym_annotation_repeat1,
    STATE(6751), 1,
      sym_arguments,
    STATE(5783), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7817), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7815), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [297589] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5784), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7720), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8435), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [297631] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5785), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 10,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(7000), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
  [297673] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5786), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8227), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8225), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [297715] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5787), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [297757] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9965), 1,
      anon_sym_LBRACK,
    ACTIONS(9967), 1,
      anon_sym_LPAREN,
    ACTIONS(9969), 1,
      anon_sym_POUND,
    STATE(6755), 1,
      aux_sym_annotation_repeat1,
    STATE(7956), 1,
      sym_type_arguments,
    STATE(8223), 1,
      sym_arguments,
    STATE(5788), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7530), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7528), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [297811] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5789), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8271), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [297853] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4174), 1,
      sym__alpha_identifier,
    ACTIONS(4180), 1,
      anon_sym__,
    ACTIONS(4192), 1,
      sym__backquoted_id,
    ACTIONS(6578), 1,
      sym_operator_identifier,
    ACTIONS(9971), 1,
      anon_sym_LPAREN,
    STATE(4588), 1,
      sym__annotated_type,
    STATE(4619), 1,
      sym__simple_type,
    STATE(4754), 1,
      sym__soft_identifier,
    STATE(4834), 1,
      sym_identifier,
    STATE(6683), 1,
      sym_annotated_type,
    STATE(7734), 1,
      sym__infix_type_choice,
    STATE(16788), 1,
      sym_stable_identifier,
    STATE(5790), 2,
      sym_comment,
      sym_block_comment,
    STATE(9025), 2,
      sym_compound_type,
      sym_infix_type,
    ACTIONS(4186), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5053), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [297921] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4554), 1,
      sym__alpha_identifier,
    ACTIONS(4560), 1,
      anon_sym__,
    ACTIONS(4572), 1,
      sym__backquoted_id,
    ACTIONS(6520), 1,
      sym_operator_identifier,
    ACTIONS(9973), 1,
      anon_sym_LPAREN,
    STATE(5588), 1,
      sym__simple_type,
    STATE(5625), 1,
      sym__annotated_type,
    STATE(6066), 1,
      sym__soft_identifier,
    STATE(6566), 1,
      sym_identifier,
    STATE(8722), 1,
      sym_annotated_type,
    STATE(9422), 1,
      sym__infix_type_choice,
    STATE(16171), 1,
      sym_stable_identifier,
    STATE(5791), 2,
      sym_comment,
      sym_block_comment,
    STATE(10114), 2,
      sym_compound_type,
      sym_infix_type,
    ACTIONS(4566), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7119), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [297989] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5792), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7552), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8326), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [298031] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5793), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7716), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8324), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [298073] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5794), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9977), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9975), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [298115] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9979), 1,
      anon_sym_DOT,
    STATE(5795), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8159), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [298159] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5796), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 9,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(4132), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
  [298201] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9653), 1,
      anon_sym_LBRACE,
    ACTIONS(9655), 1,
      anon_sym_with,
    STATE(5463), 1,
      aux_sym_compound_type_repeat1,
    STATE(9743), 1,
      sym_template_body,
    STATE(9746), 1,
      sym__refinement,
    STATE(5797), 2,
      sym_comment,
      sym_block_comment,
    STATE(9871), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7580), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7574), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [298255] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4660), 1,
      sym__alpha_identifier,
    ACTIONS(4666), 1,
      anon_sym__,
    ACTIONS(4678), 1,
      sym__backquoted_id,
    ACTIONS(6574), 1,
      sym_operator_identifier,
    ACTIONS(9981), 1,
      anon_sym_LPAREN,
    STATE(6330), 1,
      sym__simple_type,
    STATE(6598), 1,
      sym__annotated_type,
    STATE(7030), 1,
      sym_identifier,
    STATE(7094), 1,
      sym__soft_identifier,
    STATE(9377), 1,
      sym_annotated_type,
    STATE(9921), 1,
      sym__infix_type_choice,
    STATE(16211), 1,
      sym_stable_identifier,
    STATE(5798), 2,
      sym_comment,
      sym_block_comment,
    STATE(10195), 2,
      sym_compound_type,
      sym_infix_type,
    ACTIONS(4672), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8006), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [298323] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5931), 1,
      sym_identifier,
    STATE(8951), 1,
      sym__soft_identifier,
    STATE(5799), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9985), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9983), 19,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [298369] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5800), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7704), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8316), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [298411] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5801), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8027), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8683), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [298453] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8773), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5802), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8771), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8769), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [298497] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6582), 1,
      sym__alpha_identifier,
    ACTIONS(6588), 1,
      anon_sym__,
    ACTIONS(6596), 1,
      sym__backquoted_id,
    ACTIONS(6598), 1,
      sym_operator_identifier,
    ACTIONS(9987), 1,
      anon_sym_LPAREN,
    STATE(6320), 1,
      sym__simple_type,
    STATE(6326), 1,
      sym__annotated_type,
    STATE(6730), 1,
      sym__soft_identifier,
    STATE(7322), 1,
      sym_identifier,
    STATE(9482), 1,
      sym_annotated_type,
    STATE(9689), 1,
      sym__infix_type_choice,
    STATE(16251), 1,
      sym_stable_identifier,
    STATE(5803), 2,
      sym_comment,
      sym_block_comment,
    STATE(10203), 2,
      sym_compound_type,
      sym_infix_type,
    ACTIONS(6592), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7912), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [298565] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5804), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7764), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7762), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [298607] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5805), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8095), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8093), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [298649] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5806), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9455), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9457), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [298691] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5807), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7372), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8402), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [298733] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5808), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8267), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [298775] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5809), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8227), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8225), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [298817] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9989), 1,
      anon_sym_with,
    STATE(5810), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(8804), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8802), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [298861] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9992), 1,
      anon_sym_DOT,
    STATE(5811), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [298905] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7640), 1,
      anon_sym_DQUOTE,
    ACTIONS(8724), 1,
      sym__interpolated_multiline_string_start,
    STATE(8152), 1,
      sym_interpolated_string,
    STATE(15062), 1,
      sym__interpolated_string_start,
    ACTIONS(9994), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5812), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(2515), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [298957] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5813), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8227), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8225), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [298999] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(9855), 1,
      anon_sym_LPAREN,
    STATE(4763), 1,
      sym__annotated_type,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(11321), 1,
      sym__infix_type_choice,
    STATE(16621), 1,
      sym_stable_identifier,
    STATE(5814), 2,
      sym_comment,
      sym_block_comment,
    STATE(8918), 2,
      sym_compound_type,
      sym_infix_type,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [299067] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5815), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8267), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [299109] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5816), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9998), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9996), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [299151] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(936), 1,
      anon_sym_LBRACE,
    ACTIONS(7662), 1,
      anon_sym_LPAREN,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8257), 1,
      anon_sym_DOT,
    ACTIONS(9355), 1,
      sym__alpha_identifier,
    ACTIONS(9361), 1,
      sym__backquoted_id,
    ACTIONS(9363), 1,
      sym_operator_identifier,
    ACTIONS(10000), 1,
      anon_sym_EQ,
    STATE(530), 1,
      sym_identifier,
    STATE(3963), 1,
      sym__soft_identifier,
    STATE(5817), 2,
      sym_comment,
      sym_block_comment,
    STATE(6472), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8733), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8737), 4,
      anon_sym_case,
      anon_sym_match,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(9357), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [299217] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6112), 1,
      sym__alpha_identifier,
    ACTIONS(6118), 1,
      anon_sym__,
    ACTIONS(6126), 1,
      sym__backquoted_id,
    ACTIONS(6128), 1,
      sym_operator_identifier,
    ACTIONS(10002), 1,
      anon_sym_LPAREN,
    STATE(5568), 1,
      sym__annotated_type,
    STATE(5736), 1,
      sym__simple_type,
    STATE(6052), 1,
      sym__soft_identifier,
    STATE(6458), 1,
      sym_identifier,
    STATE(9113), 1,
      sym_annotated_type,
    STATE(9317), 1,
      sym__infix_type_choice,
    STATE(16776), 1,
      sym_stable_identifier,
    STATE(5818), 2,
      sym_comment,
      sym_block_comment,
    STATE(9953), 2,
      sym_compound_type,
      sym_infix_type,
    ACTIONS(6122), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7086), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [299285] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4690), 1,
      sym__alpha_identifier,
    ACTIONS(4692), 1,
      anon_sym__,
    ACTIONS(4702), 1,
      sym__backquoted_id,
    ACTIONS(6636), 1,
      sym_operator_identifier,
    ACTIONS(10004), 1,
      anon_sym_LPAREN,
    STATE(4447), 1,
      sym__simple_type,
    STATE(4456), 1,
      sym__annotated_type,
    STATE(4567), 1,
      sym__soft_identifier,
    STATE(4581), 1,
      sym_identifier,
    STATE(6394), 1,
      sym_annotated_type,
    STATE(6821), 1,
      sym__infix_type_choice,
    STATE(16329), 1,
      sym_stable_identifier,
    STATE(5819), 2,
      sym_comment,
      sym_block_comment,
    STATE(8419), 2,
      sym_compound_type,
      sym_infix_type,
    ACTIONS(4698), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4730), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [299353] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5820), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8095), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8093), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [299395] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5821), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7764), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7762), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [299437] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7640), 1,
      anon_sym_DQUOTE,
    ACTIONS(10006), 1,
      sym__interpolated_multiline_string_start,
    STATE(9304), 1,
      sym_interpolated_string,
    STATE(14632), 1,
      sym__interpolated_string_start,
    ACTIONS(7638), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5822), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [299489] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7580), 1,
      sym__backquoted_id,
    ACTIONS(9841), 1,
      anon_sym_COLON,
    ACTIONS(9843), 1,
      anon_sym_LBRACE,
    ACTIONS(9845), 1,
      anon_sym_with,
    STATE(5977), 1,
      aux_sym_compound_type_repeat1,
    STATE(10168), 1,
      sym__refinement,
    STATE(10170), 1,
      sym_template_body,
    ACTIONS(7698), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5823), 2,
      sym_comment,
      sym_block_comment,
    STATE(10173), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7696), 3,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
    ACTIONS(7694), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(7574), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [299551] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5824), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7000), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [299593] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1942), 1,
      anon_sym_LBRACE,
    ACTIONS(8063), 1,
      anon_sym_EQ,
    ACTIONS(8795), 1,
      anon_sym_LPAREN,
    ACTIONS(9733), 1,
      anon_sym_DOT,
    STATE(621), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(5825), 2,
      sym_comment,
      sym_block_comment,
    STATE(9198), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8231), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8229), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [299649] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10008), 1,
      anon_sym_LPAREN,
    STATE(6900), 1,
      sym_arguments,
    STATE(5826), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(7788), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7786), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [299695] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6646), 1,
      sym__alpha_identifier,
    ACTIONS(6648), 1,
      anon_sym__,
    ACTIONS(6656), 1,
      sym__backquoted_id,
    ACTIONS(6658), 1,
      sym_operator_identifier,
    ACTIONS(10011), 1,
      anon_sym_LPAREN,
    STATE(4413), 1,
      sym__annotated_type,
    STATE(4443), 1,
      sym__simple_type,
    STATE(4596), 1,
      sym__soft_identifier,
    STATE(4659), 1,
      sym_identifier,
    STATE(6534), 1,
      sym_annotated_type,
    STATE(6732), 1,
      sym__infix_type_choice,
    STATE(16367), 1,
      sym_stable_identifier,
    STATE(5827), 2,
      sym_comment,
      sym_block_comment,
    STATE(8204), 2,
      sym_compound_type,
      sym_infix_type,
    ACTIONS(6652), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4714), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [299763] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9138), 1,
      anon_sym_LBRACK,
    ACTIONS(9142), 1,
      anon_sym_POUND,
    ACTIONS(10013), 1,
      anon_sym_AT,
    STATE(6693), 1,
      sym_type_arguments,
    STATE(7524), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9013), 1,
      sym_annotation,
    STATE(5828), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [299817] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8891), 1,
      anon_sym_LPAREN,
    STATE(5826), 1,
      aux_sym_annotation_repeat1,
    STATE(6900), 1,
      sym_arguments,
    STATE(5829), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7817), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7815), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [299865] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5830), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8227), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8225), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [299907] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8773), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5831), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8771), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8769), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [299951] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10015), 1,
      anon_sym_LPAREN,
    STATE(6922), 1,
      sym_arguments,
    STATE(5832), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(7788), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7786), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [299997] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5833), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8027), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8683), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [300039] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6003), 1,
      sym__end_marker,
    STATE(5834), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9292), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9290), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [300083] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10018), 1,
      anon_sym_with,
    STATE(5835), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(8804), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8802), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [300127] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10021), 1,
      anon_sym_LPAREN,
    STATE(6996), 1,
      sym_arguments,
    STATE(5836), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(7788), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7786), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [300173] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8961), 1,
      anon_sym_LPAREN,
    STATE(5832), 1,
      aux_sym_annotation_repeat1,
    STATE(6922), 1,
      sym_arguments,
    STATE(5837), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7817), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7815), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [300221] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10024), 1,
      anon_sym_COLON,
    ACTIONS(10026), 1,
      anon_sym_LBRACE,
    ACTIONS(10028), 1,
      anon_sym_with,
    STATE(8189), 1,
      aux_sym_compound_type_repeat1,
    STATE(9944), 1,
      sym_template_body,
    STATE(10016), 1,
      sym__refinement,
    STATE(5838), 2,
      sym_comment,
      sym_block_comment,
    STATE(9989), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7668), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7666), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [300277] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4778), 1,
      sym__alpha_identifier,
    ACTIONS(4784), 1,
      anon_sym__,
    ACTIONS(4796), 1,
      sym__backquoted_id,
    ACTIONS(6680), 1,
      sym_operator_identifier,
    ACTIONS(10030), 1,
      anon_sym_LPAREN,
    STATE(4709), 1,
      sym__annotated_type,
    STATE(4771), 1,
      sym__simple_type,
    STATE(4975), 1,
      sym_identifier,
    STATE(5184), 1,
      sym__soft_identifier,
    STATE(7811), 1,
      sym_annotated_type,
    STATE(8079), 1,
      sym__infix_type_choice,
    STATE(16403), 1,
      sym_stable_identifier,
    STATE(5839), 2,
      sym_comment,
      sym_block_comment,
    STATE(9522), 2,
      sym_compound_type,
      sym_infix_type,
    ACTIONS(4790), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5538), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [300345] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5840), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9029), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9031), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [300387] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5841), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [300429] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9098), 1,
      anon_sym_EQ_GT,
    STATE(5842), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8271), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [300473] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7640), 1,
      anon_sym_DQUOTE,
    ACTIONS(9619), 1,
      sym__interpolated_multiline_string_start,
    STATE(9505), 1,
      sym_interpolated_string,
    STATE(14856), 1,
      sym__interpolated_string_start,
    ACTIONS(7638), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5843), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [300525] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5844), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(4132), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [300567] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8498), 1,
      anon_sym_AT,
    STATE(5960), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7329), 1,
      sym_annotation,
    STATE(5845), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8288), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [300615] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5846), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [300657] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5847), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8027), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8683), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [300699] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7338), 1,
      anon_sym_DOT,
    STATE(5848), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [300743] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6166), 1,
      sym__alpha_identifier,
    ACTIONS(6172), 1,
      anon_sym__,
    ACTIONS(6180), 1,
      sym__backquoted_id,
    ACTIONS(6182), 1,
      sym_operator_identifier,
    ACTIONS(10032), 1,
      anon_sym_LPAREN,
    STATE(4578), 1,
      sym__simple_type,
    STATE(4650), 1,
      sym__annotated_type,
    STATE(4760), 1,
      sym__soft_identifier,
    STATE(4957), 1,
      sym_identifier,
    STATE(7264), 1,
      sym_annotated_type,
    STATE(7830), 1,
      sym__infix_type_choice,
    STATE(16764), 1,
      sym_stable_identifier,
    STATE(5849), 2,
      sym_comment,
      sym_block_comment,
    STATE(8839), 2,
      sym_compound_type,
      sym_infix_type,
    ACTIONS(6176), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5018), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [300811] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9190), 1,
      anon_sym_LBRACK,
    ACTIONS(9194), 1,
      anon_sym_POUND,
    ACTIONS(10034), 1,
      anon_sym_AT,
    STATE(6688), 1,
      sym_type_arguments,
    STATE(7160), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8405), 1,
      sym_annotation,
    STATE(5850), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [300865] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9478), 1,
      anon_sym_with,
    STATE(8280), 1,
      aux_sym_compound_type_repeat1,
    STATE(9074), 1,
      sym__refinement,
    STATE(9234), 1,
      sym_template_body,
    STATE(5851), 2,
      sym_comment,
      sym_block_comment,
    STATE(8874), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7668), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7666), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [300917] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5852), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9067), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9065), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [300959] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5853), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9067), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9065), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [301001] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8995), 1,
      anon_sym_LPAREN,
    STATE(5836), 1,
      aux_sym_annotation_repeat1,
    STATE(6996), 1,
      sym_arguments,
    STATE(5854), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7817), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7815), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [301049] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8516), 1,
      anon_sym_AT,
    STATE(5532), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6790), 1,
      sym_annotation,
    STATE(5855), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8288), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [301097] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10036), 1,
      anon_sym_with,
    STATE(5856), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(8804), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8802), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [301141] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5857), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7704), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8316), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [301183] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5858), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7716), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8324), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [301225] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5859), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8227), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8225), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [301267] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5860), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10041), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10039), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [301309] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5861), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7552), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8326), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [301351] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6686), 1,
      sym__alpha_identifier,
    ACTIONS(6692), 1,
      anon_sym__,
    ACTIONS(6700), 1,
      sym__backquoted_id,
    ACTIONS(6702), 1,
      sym_operator_identifier,
    ACTIONS(10043), 1,
      anon_sym_LPAREN,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5385), 1,
      sym__annotated_type,
    STATE(5638), 1,
      sym__soft_identifier,
    STATE(5657), 1,
      sym_identifier,
    STATE(8399), 1,
      sym_annotated_type,
    STATE(8786), 1,
      sym__infix_type_choice,
    STATE(16439), 1,
      sym_stable_identifier,
    STATE(5862), 2,
      sym_comment,
      sym_block_comment,
    STATE(9737), 2,
      sym_compound_type,
      sym_infix_type,
    ACTIONS(6696), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6181), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [301419] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5863), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [301461] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5864), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [301503] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5865), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7584), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [301545] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5866), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10047), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10045), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [301587] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5867), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8095), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8093), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [301629] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5868), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8392), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [301671] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8946), 1,
      anon_sym_LPAREN,
    STATE(5878), 1,
      aux_sym_annotation_repeat1,
    STATE(7061), 1,
      sym_arguments,
    STATE(5869), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7817), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7815), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [301719] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5870), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8267), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [301761] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4748), 1,
      sym__alpha_identifier,
    ACTIONS(4754), 1,
      anon_sym__,
    ACTIONS(4766), 1,
      sym__backquoted_id,
    ACTIONS(6716), 1,
      sym_operator_identifier,
    ACTIONS(10049), 1,
      anon_sym_LPAREN,
    STATE(4700), 1,
      sym__annotated_type,
    STATE(4838), 1,
      sym__simple_type,
    STATE(5002), 1,
      sym_identifier,
    STATE(5217), 1,
      sym__soft_identifier,
    STATE(7599), 1,
      sym_annotated_type,
    STATE(8415), 1,
      sym__infix_type_choice,
    STATE(16527), 1,
      sym_stable_identifier,
    STATE(5871), 2,
      sym_comment,
      sym_block_comment,
    STATE(9417), 2,
      sym_compound_type,
      sym_infix_type,
    ACTIONS(4760), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5492), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [301829] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5872), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9067), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9065), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [301871] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5873), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7710), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8404), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [301913] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10051), 1,
      anon_sym_DOT,
    STATE(5874), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [301957] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10053), 1,
      anon_sym_with,
    STATE(5875), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(8804), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8802), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [302001] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5876), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7764), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7762), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [302043] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5877), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10058), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [302085] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10060), 1,
      anon_sym_LPAREN,
    STATE(7061), 1,
      sym_arguments,
    STATE(5878), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(7788), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7786), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [302131] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6066), 1,
      sym__alpha_identifier,
    ACTIONS(6068), 1,
      anon_sym__,
    ACTIONS(6076), 1,
      sym__backquoted_id,
    ACTIONS(6078), 1,
      sym_operator_identifier,
    ACTIONS(10063), 1,
      anon_sym_LPAREN,
    STATE(5571), 1,
      sym__annotated_type,
    STATE(5958), 1,
      sym__simple_type,
    STATE(6298), 1,
      sym_identifier,
    STATE(6423), 1,
      sym__soft_identifier,
    STATE(8714), 1,
      sym_annotated_type,
    STATE(9486), 1,
      sym__infix_type_choice,
    STATE(16539), 1,
      sym_stable_identifier,
    STATE(5879), 2,
      sym_comment,
      sym_block_comment,
    STATE(9907), 2,
      sym_compound_type,
      sym_infix_type,
    ACTIONS(6072), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7089), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [302199] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10065), 1,
      anon_sym_COLON,
    ACTIONS(10068), 1,
      anon_sym_LBRACE,
    STATE(7953), 1,
      sym_template_body,
    STATE(5880), 2,
      sym_comment,
      sym_block_comment,
    STATE(7608), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8549), 8,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8541), 14,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [302249] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5881), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8392), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [302291] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5882), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10073), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10071), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [302333] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5883), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10075), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [302375] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5884), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7330), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8360), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [302417] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6284), 1,
      sym__alpha_identifier,
    ACTIONS(6286), 1,
      anon_sym__,
    ACTIONS(6294), 1,
      sym__backquoted_id,
    ACTIONS(6296), 1,
      sym_operator_identifier,
    ACTIONS(10079), 1,
      anon_sym_LPAREN,
    STATE(4569), 1,
      sym__simple_type,
    STATE(4673), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__soft_identifier,
    STATE(4948), 1,
      sym_identifier,
    STATE(7123), 1,
      sym_annotated_type,
    STATE(7880), 1,
      sym__infix_type_choice,
    STATE(16752), 1,
      sym_stable_identifier,
    STATE(5885), 2,
      sym_comment,
      sym_block_comment,
    STATE(8932), 2,
      sym_compound_type,
      sym_infix_type,
    ACTIONS(6290), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5000), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [302485] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6796), 1,
      sym__alpha_identifier,
    ACTIONS(6798), 1,
      anon_sym__,
    ACTIONS(6806), 1,
      sym__backquoted_id,
    ACTIONS(6808), 1,
      sym_operator_identifier,
    ACTIONS(10081), 1,
      anon_sym_LPAREN,
    STATE(5929), 1,
      sym__simple_type,
    STATE(6232), 1,
      sym_identifier,
    STATE(6412), 1,
      sym__soft_identifier,
    STATE(6546), 1,
      sym__annotated_type,
    STATE(9308), 1,
      sym_annotated_type,
    STATE(9771), 1,
      sym__infix_type_choice,
    STATE(16551), 1,
      sym_stable_identifier,
    STATE(5886), 2,
      sym_comment,
      sym_block_comment,
    STATE(10291), 2,
      sym_compound_type,
      sym_infix_type,
    ACTIONS(6802), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7011), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [302553] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5887), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7330), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8360), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [302595] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5888), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7714), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8406), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [302637] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5889), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7720), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8435), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [302679] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10083), 1,
      anon_sym_DOT,
    STATE(5890), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [302723] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9088), 1,
      anon_sym_LBRACK,
    ACTIONS(9092), 1,
      anon_sym_POUND,
    ACTIONS(10085), 1,
      anon_sym_AT,
    STATE(6756), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6952), 1,
      sym_type_arguments,
    STATE(8485), 1,
      sym_annotation,
    STATE(5891), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [302777] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9476), 1,
      anon_sym_with,
    STATE(8237), 1,
      aux_sym_compound_type_repeat1,
    STATE(9296), 1,
      sym__refinement,
    STATE(9318), 1,
      sym_template_body,
    STATE(5691), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(5892), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7668), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7666), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [302829] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5893), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [302871] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1586), 1,
      anon_sym_LBRACE,
    ACTIONS(8051), 1,
      sym__alpha_identifier,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8063), 1,
      anon_sym_EQ,
    ACTIONS(8065), 1,
      sym__backquoted_id,
    ACTIONS(8979), 1,
      anon_sym_LPAREN,
    ACTIONS(9528), 1,
      anon_sym_DOT,
    ACTIONS(10087), 1,
      sym_operator_identifier,
    STATE(1731), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(5894), 2,
      sym_comment,
      sym_block_comment,
    STATE(9044), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8055), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8057), 4,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
    ACTIONS(8061), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [302937] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5895), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8271), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [302979] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7338), 1,
      anon_sym_DOT,
    STATE(5896), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [303023] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6066), 1,
      sym__alpha_identifier,
    ACTIONS(6068), 1,
      anon_sym__,
    ACTIONS(6076), 1,
      sym__backquoted_id,
    ACTIONS(6078), 1,
      sym_operator_identifier,
    ACTIONS(10063), 1,
      anon_sym_LPAREN,
    STATE(5958), 1,
      sym__simple_type,
    STATE(6298), 1,
      sym_identifier,
    STATE(6423), 1,
      sym__soft_identifier,
    STATE(6677), 1,
      sym__annotated_type,
    STATE(8714), 1,
      sym_annotated_type,
    STATE(9822), 1,
      sym__infix_type_choice,
    STATE(16539), 1,
      sym_stable_identifier,
    STATE(5897), 2,
      sym_comment,
      sym_block_comment,
    STATE(9907), 2,
      sym_compound_type,
      sym_infix_type,
    ACTIONS(6072), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7089), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [303091] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5898), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7000), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [303133] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5899), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8267), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [303175] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5900), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8027), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8683), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [303217] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9365), 1,
      anon_sym_LBRACK,
    ACTIONS(9369), 1,
      anon_sym_POUND,
    ACTIONS(10089), 1,
      anon_sym_AT,
    STATE(7157), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7260), 1,
      sym_type_arguments,
    STATE(8201), 1,
      sym_annotation,
    STATE(5901), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [303271] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7580), 1,
      sym__backquoted_id,
    ACTIONS(10024), 1,
      anon_sym_COLON,
    ACTIONS(10026), 1,
      anon_sym_LBRACE,
    ACTIONS(10028), 1,
      anon_sym_with,
    STATE(5838), 1,
      aux_sym_compound_type_repeat1,
    STATE(9944), 1,
      sym_template_body,
    STATE(9964), 1,
      sym__refinement,
    ACTIONS(7698), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5902), 2,
      sym_comment,
      sym_block_comment,
    STATE(9989), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7696), 3,
      anon_sym_STAR,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(7694), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(7574), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [303333] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5903), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7372), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8402), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [303375] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9280), 1,
      anon_sym_DOT,
    ACTIONS(10091), 1,
      anon_sym_EQ_GT,
    STATE(5904), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8159), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [303421] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6386), 1,
      sym__alpha_identifier,
    ACTIONS(6392), 1,
      anon_sym__,
    ACTIONS(6400), 1,
      sym__backquoted_id,
    ACTIONS(6402), 1,
      sym_operator_identifier,
    ACTIONS(10093), 1,
      anon_sym_LPAREN,
    STATE(4390), 1,
      sym__simple_type,
    STATE(4391), 1,
      sym__annotated_type,
    STATE(4449), 1,
      sym__soft_identifier,
    STATE(4490), 1,
      sym_identifier,
    STATE(5864), 1,
      sym_annotated_type,
    STATE(6511), 1,
      sym__infix_type_choice,
    STATE(16746), 1,
      sym_stable_identifier,
    STATE(5905), 2,
      sym_comment,
      sym_block_comment,
    STATE(7932), 2,
      sym_compound_type,
      sym_infix_type,
    ACTIONS(6396), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4611), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [303489] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6770), 1,
      sym__alpha_identifier,
    ACTIONS(6776), 1,
      anon_sym__,
    ACTIONS(6784), 1,
      sym__backquoted_id,
    ACTIONS(6786), 1,
      sym_operator_identifier,
    ACTIONS(10095), 1,
      anon_sym_LPAREN,
    STATE(5022), 1,
      sym__simple_type,
    STATE(5479), 1,
      sym_identifier,
    STATE(5580), 1,
      sym__soft_identifier,
    STATE(5797), 1,
      sym__annotated_type,
    STATE(8787), 1,
      sym_annotated_type,
    STATE(9243), 1,
      sym__infix_type_choice,
    STATE(16563), 1,
      sym_stable_identifier,
    STATE(5906), 2,
      sym_comment,
      sym_block_comment,
    STATE(9713), 2,
      sym_compound_type,
      sym_infix_type,
    ACTIONS(6780), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6415), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [303557] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5907), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7764), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7762), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [303599] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5908), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8159), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [303641] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5909), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7000), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [303683] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10097), 1,
      anon_sym_AT,
    STATE(7131), 1,
      sym_annotation,
    STATE(5910), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8283), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8281), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [303729] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5911), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8095), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8093), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [303771] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7580), 1,
      sym__backquoted_id,
    ACTIONS(9653), 1,
      anon_sym_LBRACE,
    ACTIONS(9655), 1,
      anon_sym_with,
    ACTIONS(10100), 1,
      anon_sym_COLON,
    STATE(5463), 1,
      aux_sym_compound_type_repeat1,
    STATE(9743), 1,
      sym_template_body,
    STATE(9746), 1,
      sym__refinement,
    ACTIONS(7698), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5912), 2,
      sym_comment,
      sym_block_comment,
    STATE(9871), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7694), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
    ACTIONS(7696), 4,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_PIPE,
    ACTIONS(7574), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [303833] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4586), 1,
      sym__alpha_identifier,
    ACTIONS(4588), 1,
      anon_sym__,
    ACTIONS(4598), 1,
      sym__backquoted_id,
    ACTIONS(6814), 1,
      sym_operator_identifier,
    ACTIONS(10103), 1,
      anon_sym_LPAREN,
    STATE(4992), 1,
      sym__simple_type,
    STATE(5165), 1,
      sym__annotated_type,
    STATE(5427), 1,
      sym_identifier,
    STATE(5551), 1,
      sym__soft_identifier,
    STATE(8625), 1,
      sym_annotated_type,
    STATE(9054), 1,
      sym__infix_type_choice,
    STATE(16585), 1,
      sym_stable_identifier,
    STATE(5913), 2,
      sym_comment,
      sym_block_comment,
    STATE(9674), 2,
      sym_compound_type,
      sym_infix_type,
    ACTIONS(4594), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6523), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [303901] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10105), 1,
      anon_sym_LBRACK,
    ACTIONS(10107), 1,
      anon_sym_LPAREN,
    ACTIONS(10109), 1,
      anon_sym_POUND,
    STATE(7243), 1,
      aux_sym_annotation_repeat1,
    STATE(7859), 1,
      sym_type_arguments,
    STATE(8141), 1,
      sym_arguments,
    STATE(5914), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7530), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7528), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [303955] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5915), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7584), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8358), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [303997] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9869), 1,
      anon_sym_COLON,
    ACTIONS(9871), 1,
      anon_sym_LBRACE,
    ACTIONS(9873), 1,
      anon_sym_with,
    STATE(8200), 1,
      aux_sym_compound_type_repeat1,
    STATE(9941), 1,
      sym_template_body,
    STATE(10076), 1,
      sym__refinement,
    STATE(5916), 2,
      sym_comment,
      sym_block_comment,
    STATE(9997), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7668), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7666), 14,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [304053] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9417), 1,
      anon_sym_LBRACK,
    ACTIONS(9421), 1,
      anon_sym_POUND,
    ACTIONS(10111), 1,
      anon_sym_AT,
    STATE(7312), 1,
      sym_type_arguments,
    STATE(7793), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9194), 1,
      sym_annotation,
    STATE(5917), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7464), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [304107] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9486), 1,
      anon_sym_LBRACK,
    ACTIONS(9488), 1,
      anon_sym_AT,
    ACTIONS(9492), 1,
      anon_sym_POUND,
    STATE(7309), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8032), 1,
      sym_type_arguments,
    STATE(8172), 1,
      sym_annotation,
    STATE(5918), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [304161] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5919), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8392), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [304203] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5920), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7710), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8404), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [304245] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6664), 1,
      sym__alpha_identifier,
    ACTIONS(6666), 1,
      anon_sym__,
    ACTIONS(6674), 1,
      sym__backquoted_id,
    ACTIONS(6676), 1,
      sym_operator_identifier,
    ACTIONS(10113), 1,
      anon_sym_LPAREN,
    STATE(6942), 1,
      sym__simple_type,
    STATE(7288), 1,
      sym__annotated_type,
    STATE(7416), 1,
      sym_identifier,
    STATE(7573), 1,
      sym__soft_identifier,
    STATE(9874), 1,
      sym_annotated_type,
    STATE(10062), 1,
      sym__infix_type_choice,
    STATE(16596), 1,
      sym_stable_identifier,
    STATE(5921), 2,
      sym_comment,
      sym_block_comment,
    STATE(10498), 2,
      sym_compound_type,
      sym_infix_type,
    ACTIONS(6670), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8346), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [304313] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5922), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7714), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8406), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [304355] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5923), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [304397] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4296), 1,
      sym__alpha_identifier,
    ACTIONS(4302), 1,
      anon_sym__,
    ACTIONS(4314), 1,
      sym__backquoted_id,
    ACTIONS(6720), 1,
      sym_operator_identifier,
    ACTIONS(10115), 1,
      anon_sym_LPAREN,
    STATE(6021), 1,
      sym__annotated_type,
    STATE(6476), 1,
      sym__simple_type,
    STATE(7067), 1,
      sym__soft_identifier,
    STATE(7261), 1,
      sym_identifier,
    STATE(9519), 1,
      sym_annotated_type,
    STATE(9866), 1,
      sym__infix_type_choice,
    STATE(16618), 1,
      sym_stable_identifier,
    STATE(5924), 2,
      sym_comment,
      sym_block_comment,
    STATE(10250), 2,
      sym_compound_type,
      sym_infix_type,
    ACTIONS(4308), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7849), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [304465] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5925), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8027), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8683), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [304507] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5926), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7720), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8435), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [304549] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10024), 1,
      anon_sym_COLON,
    ACTIONS(10026), 1,
      anon_sym_LBRACE,
    ACTIONS(10028), 1,
      anon_sym_with,
    STATE(5838), 1,
      aux_sym_compound_type_repeat1,
    STATE(9944), 1,
      sym_template_body,
    STATE(9964), 1,
      sym__refinement,
    STATE(5927), 2,
      sym_comment,
      sym_block_comment,
    STATE(9989), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7580), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7574), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [304605] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5928), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8227), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8225), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [304647] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9174), 1,
      anon_sym_LBRACK,
    ACTIONS(9178), 1,
      anon_sym_POUND,
    ACTIONS(10117), 1,
      anon_sym_AT,
    STATE(6985), 1,
      sym_type_arguments,
    STATE(7506), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8872), 1,
      sym_annotation,
    STATE(5929), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [304701] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5930), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8227), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8225), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [304743] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4264), 1,
      sym__alpha_identifier,
    ACTIONS(4270), 1,
      anon_sym__,
    ACTIONS(4282), 1,
      sym__backquoted_id,
    ACTIONS(6632), 1,
      sym_operator_identifier,
    ACTIONS(10119), 1,
      anon_sym_LPAREN,
    STATE(4225), 1,
      sym__annotated_type,
    STATE(4294), 1,
      sym__simple_type,
    STATE(4380), 1,
      sym__soft_identifier,
    STATE(4396), 1,
      sym_identifier,
    STATE(5238), 1,
      sym_annotated_type,
    STATE(5799), 1,
      sym__infix_type_choice,
    STATE(16629), 1,
      sym_stable_identifier,
    STATE(5931), 2,
      sym_comment,
      sym_block_comment,
    STATE(6787), 2,
      sym_compound_type,
      sym_infix_type,
    ACTIONS(4276), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4409), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [304811] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5932), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8271), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [304853] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5933), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7112), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7110), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [304895] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7640), 1,
      anon_sym_DQUOTE,
    ACTIONS(10006), 1,
      sym__interpolated_multiline_string_start,
    STATE(9304), 1,
      sym_interpolated_string,
    STATE(14632), 1,
      sym__interpolated_string_start,
    ACTIONS(10121), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5934), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [304947] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5935), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8271), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [304989] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6080), 1,
      sym__alpha_identifier,
    ACTIONS(6086), 1,
      anon_sym__,
    ACTIONS(6094), 1,
      sym__backquoted_id,
    ACTIONS(6096), 1,
      sym_operator_identifier,
    ACTIONS(10123), 1,
      anon_sym_LPAREN,
    STATE(6717), 1,
      sym__annotated_type,
    STATE(7242), 1,
      sym__simple_type,
    STATE(7449), 1,
      sym__soft_identifier,
    STATE(8071), 1,
      sym_identifier,
    STATE(9622), 1,
      sym_annotated_type,
    STATE(10162), 1,
      sym__infix_type_choice,
    STATE(16728), 1,
      sym_stable_identifier,
    STATE(5936), 2,
      sym_comment,
      sym_block_comment,
    STATE(10433), 2,
      sym_compound_type,
      sym_infix_type,
    ACTIONS(6090), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8489), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [305057] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5937), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [305099] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1942), 1,
      anon_sym_LBRACE,
    ACTIONS(8795), 1,
      anon_sym_LPAREN,
    ACTIONS(9733), 1,
      anon_sym_DOT,
    STATE(621), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(5938), 2,
      sym_comment,
      sym_block_comment,
    STATE(9198), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8241), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8239), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [305153] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7338), 1,
      anon_sym_DOT,
    STATE(5939), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [305197] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9278), 1,
      anon_sym_DOT,
    ACTIONS(10125), 1,
      anon_sym_EQ_GT,
    STATE(5940), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [305243] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5941), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7720), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8435), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [305285] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6522), 1,
      sym__alpha_identifier,
    ACTIONS(6528), 1,
      anon_sym__,
    ACTIONS(6536), 1,
      sym__backquoted_id,
    ACTIONS(6538), 1,
      sym_operator_identifier,
    ACTIONS(10127), 1,
      anon_sym_LPAREN,
    STATE(4519), 1,
      sym__annotated_type,
    STATE(4559), 1,
      sym__simple_type,
    STATE(4776), 1,
      sym__soft_identifier,
    STATE(4779), 1,
      sym_identifier,
    STATE(7168), 1,
      sym_annotated_type,
    STATE(7781), 1,
      sym__infix_type_choice,
    STATE(16640), 1,
      sym_stable_identifier,
    STATE(5942), 2,
      sym_comment,
      sym_block_comment,
    STATE(8715), 2,
      sym_compound_type,
      sym_infix_type,
    ACTIONS(6532), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5109), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [305353] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5943), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8095), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8093), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [305395] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7338), 1,
      anon_sym_DOT,
    STATE(5944), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8159), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [305439] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5945), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7714), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8406), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [305481] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10129), 1,
      anon_sym_COLON,
    ACTIONS(10132), 1,
      anon_sym_LBRACE,
    STATE(7952), 1,
      sym_template_body,
    STATE(5946), 2,
      sym_comment,
      sym_block_comment,
    STATE(7946), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8549), 7,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8541), 15,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [305531] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7338), 1,
      anon_sym_DOT,
    STATE(5947), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [305575] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5948), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8227), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8225), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [305617] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9113), 1,
      anon_sym_EQ_GT,
    STATE(5949), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8271), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [305661] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7338), 1,
      anon_sym_DOT,
    STATE(5950), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [305705] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7338), 1,
      anon_sym_DOT,
    STATE(5951), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [305749] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5952), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7330), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8360), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [305791] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5953), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8027), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8683), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [305833] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5954), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7764), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7762), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [305875] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4366), 1,
      sym__alpha_identifier,
    ACTIONS(4368), 1,
      anon_sym__,
    ACTIONS(4378), 1,
      sym__backquoted_id,
    ACTIONS(6440), 1,
      sym_operator_identifier,
    ACTIONS(10135), 1,
      anon_sym_LPAREN,
    STATE(4433), 1,
      sym__annotated_type,
    STATE(4436), 1,
      sym__simple_type,
    STATE(4542), 1,
      sym_identifier,
    STATE(4655), 1,
      sym__soft_identifier,
    STATE(6289), 1,
      sym_annotated_type,
    STATE(7291), 1,
      sym__infix_type_choice,
    STATE(16650), 1,
      sym_stable_identifier,
    STATE(5955), 2,
      sym_comment,
      sym_block_comment,
    STATE(8265), 2,
      sym_compound_type,
      sym_infix_type,
    ACTIONS(4374), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4887), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [305943] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5956), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7710), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8404), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [305985] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6504), 1,
      sym__alpha_identifier,
    ACTIONS(6506), 1,
      anon_sym__,
    ACTIONS(6514), 1,
      sym__backquoted_id,
    ACTIONS(6516), 1,
      sym_operator_identifier,
    ACTIONS(10137), 1,
      anon_sym_LPAREN,
    STATE(5407), 1,
      sym__simple_type,
    STATE(5715), 1,
      sym__annotated_type,
    STATE(6108), 1,
      sym__soft_identifier,
    STATE(6447), 1,
      sym_identifier,
    STATE(9236), 1,
      sym_annotated_type,
    STATE(9418), 1,
      sym__infix_type_choice,
    STATE(16716), 1,
      sym_stable_identifier,
    STATE(5957), 2,
      sym_comment,
      sym_block_comment,
    STATE(9930), 2,
      sym_compound_type,
      sym_infix_type,
    ACTIONS(6510), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6709), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [306053] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9196), 1,
      anon_sym_LBRACK,
    ACTIONS(9200), 1,
      anon_sym_POUND,
    ACTIONS(10139), 1,
      anon_sym_AT,
    STATE(7069), 1,
      sym_type_arguments,
    STATE(7095), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8621), 1,
      sym_annotation,
    STATE(5958), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [306107] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      anon_sym_with,
    STATE(8139), 1,
      aux_sym_compound_type_repeat1,
    STATE(9397), 1,
      sym_template_body,
    STATE(9433), 1,
      sym__refinement,
    STATE(5616), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(5959), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7668), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7666), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [306159] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10141), 1,
      anon_sym_AT,
    STATE(7329), 1,
      sym_annotation,
    STATE(5960), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8283), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8281), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [306205] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5961), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8392), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [306247] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5962), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7584), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [306289] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4842), 1,
      sym__alpha_identifier,
    ACTIONS(4848), 1,
      anon_sym__,
    ACTIONS(4860), 1,
      sym__backquoted_id,
    ACTIONS(6150), 1,
      sym_operator_identifier,
    ACTIONS(10144), 1,
      anon_sym_LPAREN,
    STATE(4401), 1,
      sym__simple_type,
    STATE(4453), 1,
      sym__annotated_type,
    STATE(4511), 1,
      sym_identifier,
    STATE(4651), 1,
      sym__soft_identifier,
    STATE(6342), 1,
      sym_annotated_type,
    STATE(7347), 1,
      sym__infix_type_choice,
    STATE(16656), 1,
      sym_stable_identifier,
    STATE(5963), 2,
      sym_comment,
      sym_block_comment,
    STATE(8219), 2,
      sym_compound_type,
      sym_infix_type,
    ACTIONS(4854), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4909), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [306357] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10146), 1,
      anon_sym_AT,
    STATE(7372), 1,
      sym_annotation,
    STATE(5964), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8283), 7,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8281), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [306403] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5965), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7704), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8316), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [306445] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5966), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8095), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8093), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [306487] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6540), 1,
      sym__alpha_identifier,
    ACTIONS(6546), 1,
      anon_sym__,
    ACTIONS(6554), 1,
      sym__backquoted_id,
    ACTIONS(6556), 1,
      sym_operator_identifier,
    ACTIONS(10149), 1,
      anon_sym_LPAREN,
    STATE(5136), 1,
      sym__annotated_type,
    STATE(5262), 1,
      sym__simple_type,
    STATE(5455), 1,
      sym__soft_identifier,
    STATE(5692), 1,
      sym_identifier,
    STATE(8248), 1,
      sym_annotated_type,
    STATE(9100), 1,
      sym__infix_type_choice,
    STATE(16698), 1,
      sym_stable_identifier,
    STATE(5967), 2,
      sym_comment,
      sym_block_comment,
    STATE(9614), 2,
      sym_compound_type,
      sym_infix_type,
    ACTIONS(6550), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6161), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [306555] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7640), 1,
      anon_sym_DQUOTE,
    ACTIONS(9086), 1,
      sym__interpolated_multiline_string_start,
    STATE(8912), 1,
      sym_interpolated_string,
    STATE(14962), 1,
      sym__interpolated_string_start,
    ACTIONS(10151), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5968), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [306607] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5969), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7716), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8324), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [306649] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5970), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9130), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9132), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [306691] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5971), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9134), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9136), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [306733] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5972), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9144), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9146), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [306775] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5973), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7764), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7762), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [306817] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5974), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7552), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8326), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [306859] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10153), 1,
      anon_sym_LPAREN,
    STATE(7365), 1,
      sym_arguments,
    STATE(5975), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(7788), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7786), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [306905] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5976), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 8,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8159), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [306947] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9841), 1,
      anon_sym_COLON,
    ACTIONS(9843), 1,
      anon_sym_LBRACE,
    ACTIONS(9845), 1,
      anon_sym_with,
    STATE(8381), 1,
      aux_sym_compound_type_repeat1,
    STATE(10127), 1,
      sym__refinement,
    STATE(10170), 1,
      sym_template_body,
    STATE(5977), 2,
      sym_comment,
      sym_block_comment,
    STATE(10173), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7668), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7666), 14,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [307003] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5978), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8027), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8683), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [307045] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6486), 1,
      sym__alpha_identifier,
    ACTIONS(6492), 1,
      anon_sym__,
    ACTIONS(6500), 1,
      sym__backquoted_id,
    ACTIONS(6502), 1,
      sym_operator_identifier,
    ACTIONS(10156), 1,
      anon_sym_LPAREN,
    STATE(5012), 1,
      sym__annotated_type,
    STATE(5353), 1,
      sym__simple_type,
    STATE(5485), 1,
      sym__soft_identifier,
    STATE(5556), 1,
      sym_identifier,
    STATE(8431), 1,
      sym_annotated_type,
    STATE(8856), 1,
      sym__infix_type_choice,
    STATE(16662), 1,
      sym_stable_identifier,
    STATE(5979), 2,
      sym_comment,
      sym_block_comment,
    STATE(9852), 2,
      sym_compound_type,
      sym_infix_type,
    ACTIONS(6496), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6338), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [307113] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5980), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7372), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8402), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [307155] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6051), 1,
      sym_arguments,
    STATE(5981), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7498), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7496), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [307199] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5982), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7372), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8402), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [307241] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10158), 1,
      anon_sym_AT,
    STATE(7327), 1,
      sym_annotation,
    STATE(5983), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8283), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8281), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [307287] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4716), 1,
      sym__alpha_identifier,
    ACTIONS(4722), 1,
      anon_sym__,
    ACTIONS(4734), 1,
      sym__backquoted_id,
    ACTIONS(6764), 1,
      sym_operator_identifier,
    ACTIONS(10161), 1,
      anon_sym_LPAREN,
    STATE(5085), 1,
      sym__annotated_type,
    STATE(5280), 1,
      sym__simple_type,
    STATE(5457), 1,
      sym__soft_identifier,
    STATE(5890), 1,
      sym_identifier,
    STATE(8351), 1,
      sym_annotated_type,
    STATE(8976), 1,
      sym__infix_type_choice,
    STATE(16686), 1,
      sym_stable_identifier,
    STATE(5984), 2,
      sym_comment,
      sym_block_comment,
    STATE(9840), 2,
      sym_compound_type,
      sym_infix_type,
    ACTIONS(4728), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6031), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [307355] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5985), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [307397] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9423), 1,
      anon_sym_LBRACK,
    ACTIONS(9425), 1,
      anon_sym_AT,
    ACTIONS(9429), 1,
      anon_sym_POUND,
    STATE(6937), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7806), 1,
      sym_type_arguments,
    STATE(8523), 1,
      sym_annotation,
    STATE(5986), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [307451] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4808), 1,
      sym__alpha_identifier,
    ACTIONS(4814), 1,
      anon_sym__,
    ACTIONS(4826), 1,
      sym__backquoted_id,
    ACTIONS(6684), 1,
      sym_operator_identifier,
    ACTIONS(10163), 1,
      anon_sym_LPAREN,
    STATE(5062), 1,
      sym__annotated_type,
    STATE(5307), 1,
      sym__simple_type,
    STATE(5480), 1,
      sym__soft_identifier,
    STATE(5668), 1,
      sym_identifier,
    STATE(8449), 1,
      sym_annotated_type,
    STATE(8899), 1,
      sym__infix_type_choice,
    STATE(16674), 1,
      sym_stable_identifier,
    STATE(5987), 2,
      sym_comment,
      sym_block_comment,
    STATE(9868), 2,
      sym_compound_type,
      sym_infix_type,
    ACTIONS(4820), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6180), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [307519] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8908), 1,
      anon_sym_LPAREN,
    STATE(5975), 1,
      aux_sym_annotation_repeat1,
    STATE(7365), 1,
      sym_arguments,
    STATE(5988), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7817), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7815), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [307567] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7336), 1,
      anon_sym_LPAREN,
    ACTIONS(7640), 1,
      anon_sym_DQUOTE,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10167), 1,
      anon_sym_COLON,
    ACTIONS(10169), 1,
      anon_sym_COMMA,
    ACTIONS(10171), 1,
      anon_sym_DOT,
    ACTIONS(10173), 1,
      anon_sym_STAR,
    ACTIONS(10177), 1,
      anon_sym_AT,
    ACTIONS(10181), 1,
      anon_sym_RPAREN,
    ACTIONS(10183), 1,
      anon_sym_PIPE,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10187), 1,
      sym_operator_identifier,
    ACTIONS(10189), 1,
      sym__interpolated_multiline_string_start,
    STATE(4161), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    STATE(10702), 1,
      sym_interpolated_string,
    STATE(14767), 1,
      sym__interpolated_string_start,
    STATE(15370), 1,
      aux_sym_case_class_pattern_repeat1,
    ACTIONS(10179), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(5989), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [307644] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5990), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8027), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8683), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [307685] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7580), 1,
      sym__backquoted_id,
    ACTIONS(10191), 1,
      anon_sym_COLON,
    ACTIONS(10193), 1,
      anon_sym_LBRACE,
    ACTIONS(10195), 1,
      anon_sym_with,
    STATE(6455), 1,
      aux_sym_compound_type_repeat1,
    STATE(10229), 1,
      sym__refinement,
    STATE(10236), 1,
      sym_template_body,
    ACTIONS(7698), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5991), 2,
      sym_comment,
      sym_block_comment,
    STATE(10208), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7694), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(7696), 3,
      anon_sym_case,
      anon_sym_LT_COLON,
      anon_sym_EQ,
    ACTIONS(7574), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [307746] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5992), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7330), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8360), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [307787] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5993), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8835), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8833), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [307828] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5994), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7330), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8360), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [307869] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10197), 1,
      anon_sym_LBRACK,
    ACTIONS(10199), 1,
      anon_sym_LPAREN,
    ACTIONS(10201), 1,
      anon_sym_POUND,
    STATE(7431), 1,
      aux_sym_annotation_repeat1,
    STATE(8274), 1,
      sym_type_arguments,
    STATE(9008), 1,
      sym_arguments,
    STATE(5995), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7530), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7528), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [307922] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5996), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8227), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8225), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [307963] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5997), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7584), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [308004] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9942), 1,
      anon_sym_with,
    STATE(8775), 1,
      aux_sym_compound_type_repeat1,
    STATE(9637), 1,
      sym_template_body,
    STATE(9723), 1,
      sym__refinement,
    STATE(5998), 2,
      sym_comment,
      sym_block_comment,
    STATE(6465), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7668), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7666), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [308055] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8876), 1,
      anon_sym_AT,
    STATE(6193), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7991), 1,
      sym_annotation,
    STATE(5999), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8288), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [308102] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6000), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8392), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [308143] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6001), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [308184] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6002), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7000), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [308225] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6003), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9455), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9457), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [308266] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6004), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9067), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9065), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [308307] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6005), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7764), 8,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7762), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [308348] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6006), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7710), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8404), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [308389] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6007), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8835), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8833), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [308430] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6008), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7372), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8402), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [308471] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7338), 1,
      anon_sym_DOT,
    STATE(6009), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [308514] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6010), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7498), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7496), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [308555] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6011), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7764), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7762), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [308596] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6012), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7704), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8316), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [308637] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6013), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7714), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8406), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [308678] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(477), 1,
      anon_sym_LBRACE,
    ACTIONS(9427), 1,
      anon_sym_LPAREN,
    ACTIONS(10203), 1,
      anon_sym_DOT,
    STATE(621), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(6014), 2,
      sym_comment,
      sym_block_comment,
    STATE(9375), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8241), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8239), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [308731] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6015), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8267), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [308772] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7640), 1,
      anon_sym_DQUOTE,
    ACTIONS(10207), 1,
      sym__interpolated_multiline_string_start,
    STATE(9630), 1,
      sym_interpolated_string,
    STATE(15379), 1,
      sym__interpolated_string_start,
    ACTIONS(10205), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6016), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [308823] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6017), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8095), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8093), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [308864] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9808), 1,
      anon_sym_LBRACK,
    ACTIONS(9810), 1,
      anon_sym_AT,
    ACTIONS(9814), 1,
      anon_sym_POUND,
    STATE(7963), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8167), 1,
      sym_type_arguments,
    STATE(9118), 1,
      sym_annotation,
    STATE(6018), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [308917] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6019), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7000), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [308958] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6020), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7720), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8435), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [308999] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10209), 1,
      anon_sym_COLON,
    ACTIONS(10211), 1,
      anon_sym_LBRACE,
    ACTIONS(10213), 1,
      anon_sym_with,
    STATE(6363), 1,
      aux_sym_compound_type_repeat1,
    STATE(10200), 1,
      sym_template_body,
    STATE(10202), 1,
      sym__refinement,
    STATE(6021), 2,
      sym_comment,
      sym_block_comment,
    STATE(10261), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7580), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7574), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [309054] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7338), 1,
      anon_sym_DOT,
    STATE(6022), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [309097] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10215), 1,
      anon_sym_COLON,
    ACTIONS(10217), 1,
      anon_sym_LBRACE,
    ACTIONS(10219), 1,
      anon_sym_with,
    STATE(8754), 1,
      aux_sym_compound_type_repeat1,
    STATE(10244), 1,
      sym_template_body,
    STATE(10258), 1,
      sym__refinement,
    STATE(6023), 2,
      sym_comment,
      sym_block_comment,
    STATE(10317), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7668), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7666), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [309152] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6024), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [309193] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6025), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9082), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9084), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [309234] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6026), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [309275] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6027), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7000), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [309316] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6028), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8267), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [309357] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6029), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7372), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8402), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [309398] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6030), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [309439] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6031), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8271), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [309480] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6032), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7716), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8324), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [309521] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6033), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7704), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8316), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [309562] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6034), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7000), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [309603] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6035), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [309644] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6036), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7764), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7762), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [309685] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1044), 1,
      anon_sym_LBRACE,
    ACTIONS(7770), 1,
      anon_sym_LPAREN,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8506), 1,
      anon_sym_DOT,
    ACTIONS(9624), 1,
      sym__alpha_identifier,
    ACTIONS(9630), 1,
      sym__backquoted_id,
    ACTIONS(9632), 1,
      sym_operator_identifier,
    ACTIONS(10221), 1,
      anon_sym_EQ,
    STATE(533), 1,
      sym_identifier,
    STATE(4032), 1,
      sym__soft_identifier,
    STATE(6037), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8737), 3,
      anon_sym_case,
      anon_sym_match,
      anon_sym_finally,
    STATE(6851), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8733), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9626), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [309750] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6038), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8835), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8833), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [309791] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10191), 1,
      anon_sym_COLON,
    ACTIONS(10193), 1,
      anon_sym_LBRACE,
    ACTIONS(10195), 1,
      anon_sym_with,
    STATE(6455), 1,
      aux_sym_compound_type_repeat1,
    STATE(10229), 1,
      sym__refinement,
    STATE(10236), 1,
      sym_template_body,
    STATE(6039), 2,
      sym_comment,
      sym_block_comment,
    STATE(10208), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7580), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7574), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [309846] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6040), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7000), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [309887] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6041), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [309928] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6042), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7716), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8324), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [309969] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6043), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [310010] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6044), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7330), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8360), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [310051] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6045), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8271), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [310092] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10223), 1,
      anon_sym_LBRACE,
    ACTIONS(10225), 1,
      anon_sym_with,
    STATE(6230), 1,
      aux_sym_compound_type_repeat1,
    STATE(10152), 1,
      sym_template_body,
    STATE(10163), 1,
      sym__refinement,
    STATE(6046), 2,
      sym_comment,
      sym_block_comment,
    STATE(10080), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7580), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7574), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [310145] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6047), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8095), 8,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8093), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [310186] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6048), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7764), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7762), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [310227] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6049), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7552), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8326), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [310268] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6050), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9462), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9464), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [310309] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6051), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9554), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9552), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [310350] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6052), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7000), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [310391] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6053), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(4132), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [310432] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10227), 1,
      anon_sym_LPAREN,
    STATE(7835), 1,
      sym_arguments,
    STATE(6054), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(7788), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7786), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [310477] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6055), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8267), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [310518] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7638), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6056), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [310561] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6057), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8095), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8093), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [310602] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6058), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8227), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8225), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [310643] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7640), 1,
      anon_sym_DQUOTE,
    ACTIONS(9694), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(10230), 1,
      anon_sym_COLON,
    ACTIONS(10233), 1,
      anon_sym_EQ_GT,
    ACTIONS(10235), 1,
      anon_sym_QMARK_EQ_GT,
    STATE(9454), 1,
      sym_interpolated_string,
    STATE(15132), 1,
      sym__interpolated_string_start,
    STATE(17191), 1,
      sym__self_type_ascription,
    STATE(6059), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 10,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [310700] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10237), 1,
      anon_sym_with,
    STATE(6060), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(8804), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8802), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [310743] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6061), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7720), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8435), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [310784] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6062), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7552), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8326), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [310825] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6063), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7372), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8402), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [310866] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6064), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7112), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7110), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [310907] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10240), 1,
      anon_sym_with,
    STATE(6065), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(8804), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8802), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [310950] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6066), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7000), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [310991] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6067), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7552), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8326), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [311032] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7338), 1,
      anon_sym_DOT,
    STATE(6068), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8159), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [311075] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9523), 1,
      anon_sym_AT,
    STATE(6191), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7658), 1,
      sym_annotation,
    STATE(6069), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8288), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [311122] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6070), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7112), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7110), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [311163] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6071), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9130), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9132), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [311204] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6072), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [311245] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6073), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7714), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8406), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [311286] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6074), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9977), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9975), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [311327] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6075), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7372), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8402), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [311368] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6076), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9134), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9136), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [311409] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6077), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7716), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8324), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [311450] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6078), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8227), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8225), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [311491] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6079), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7710), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8404), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [311532] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6080), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8095), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8093), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [311573] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7640), 1,
      anon_sym_DQUOTE,
    ACTIONS(9694), 1,
      sym__interpolated_multiline_string_start,
    STATE(9454), 1,
      sym_interpolated_string,
    STATE(15132), 1,
      sym__interpolated_string_start,
    ACTIONS(10243), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6081), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 12,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [311624] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9035), 1,
      anon_sym_AT,
    STATE(6137), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7452), 1,
      sym_annotation,
    STATE(6082), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8288), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [311671] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6083), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8267), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [311712] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(477), 1,
      anon_sym_LBRACE,
    ACTIONS(8063), 1,
      anon_sym_EQ,
    ACTIONS(9427), 1,
      anon_sym_LPAREN,
    ACTIONS(10203), 1,
      anon_sym_DOT,
    STATE(621), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(6084), 2,
      sym_comment,
      sym_block_comment,
    STATE(9375), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8231), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8229), 12,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [311767] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1392), 1,
      anon_sym_LBRACE,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(9490), 1,
      anon_sym_LPAREN,
    ACTIONS(10245), 1,
      sym__alpha_identifier,
    ACTIONS(10247), 1,
      anon_sym_DOT,
    ACTIONS(10251), 1,
      anon_sym_EQ,
    ACTIONS(10253), 1,
      sym__backquoted_id,
    ACTIONS(10255), 1,
      sym_operator_identifier,
    STATE(545), 1,
      sym_identifier,
    STATE(4057), 1,
      sym__soft_identifier,
    STATE(6085), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8737), 3,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
    STATE(9382), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8733), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(10249), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [311832] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6086), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7000), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [311873] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6087), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7704), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8316), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [311914] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6088), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8392), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [311955] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6089), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8227), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8225), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [311996] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6090), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8271), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [312037] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8063), 1,
      anon_sym_EQ,
    STATE(621), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(6091), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8231), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8229), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [312084] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10125), 1,
      anon_sym_EQ_GT,
    STATE(6092), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8271), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [312127] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6093), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8159), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [312168] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9192), 1,
      anon_sym_LPAREN,
    STATE(6054), 1,
      aux_sym_annotation_repeat1,
    STATE(7835), 1,
      sym_arguments,
    STATE(6094), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7817), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7815), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [312215] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6095), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [312256] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10257), 1,
      anon_sym_DOT,
    STATE(6096), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [312299] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1008), 1,
      anon_sym_LBRACE,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8123), 1,
      anon_sym_LPAREN,
    ACTIONS(8482), 1,
      anon_sym_DOT,
    ACTIONS(9250), 1,
      sym__alpha_identifier,
    ACTIONS(9256), 1,
      sym__backquoted_id,
    ACTIONS(9258), 1,
      sym_operator_identifier,
    ACTIONS(10259), 1,
      anon_sym_EQ,
    STATE(532), 1,
      sym_identifier,
    STATE(4025), 1,
      sym__soft_identifier,
    ACTIONS(8733), 2,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    STATE(6097), 2,
      sym_comment,
      sym_block_comment,
    STATE(7185), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8737), 5,
      anon_sym_match,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(9252), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [312364] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9821), 1,
      anon_sym_LBRACK,
    ACTIONS(9827), 1,
      anon_sym_POUND,
    ACTIONS(10261), 1,
      anon_sym_LPAREN,
    STATE(7463), 1,
      aux_sym_annotation_repeat1,
    STATE(8137), 1,
      sym_type_arguments,
    STATE(9166), 1,
      sym_arguments,
    STATE(6098), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7530), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7528), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [312417] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6099), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7584), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [312458] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6100), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7720), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8435), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [312499] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10263), 1,
      anon_sym_with,
    STATE(6101), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(8804), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8802), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [312542] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6102), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8267), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [312583] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6103), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [312624] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6104), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8271), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [312665] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7640), 1,
      anon_sym_DQUOTE,
    ACTIONS(9273), 1,
      sym__interpolated_multiline_string_start,
    STATE(8847), 1,
      sym_interpolated_string,
    STATE(15258), 1,
      sym__interpolated_string_start,
    ACTIONS(10266), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6105), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(2515), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [312716] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6959), 1,
      sym__end_marker,
    STATE(6106), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9292), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9290), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [312759] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8534), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6107), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [312802] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6108), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7000), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [312843] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6109), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7720), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8435), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [312884] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6110), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [312925] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1586), 1,
      anon_sym_LBRACE,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8979), 1,
      anon_sym_LPAREN,
    ACTIONS(9528), 1,
      anon_sym_DOT,
    ACTIONS(10268), 1,
      sym__alpha_identifier,
    ACTIONS(10272), 1,
      anon_sym_EQ,
    ACTIONS(10274), 1,
      sym__backquoted_id,
    ACTIONS(10276), 1,
      sym_operator_identifier,
    STATE(554), 1,
      sym_identifier,
    STATE(4051), 1,
      sym__soft_identifier,
    STATE(6111), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8737), 3,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
    STATE(9044), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8733), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(10270), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [312990] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10278), 1,
      anon_sym_DOT,
    STATE(6112), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [313033] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7162), 1,
      sym_arguments,
    STATE(6113), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7498), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7496), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [313076] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9090), 1,
      anon_sym_LPAREN,
    STATE(6164), 1,
      aux_sym_annotation_repeat1,
    STATE(7942), 1,
      sym_arguments,
    STATE(6114), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7817), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7815), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [313123] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6115), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7372), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8402), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [313164] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6116), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(4132), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [313205] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6117), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7330), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8360), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [313246] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6118), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8095), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8093), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [313287] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6119), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [313328] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6120), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7552), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8326), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [313369] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6121), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7584), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8358), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [313410] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6122), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7584), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8358), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [313451] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6123), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8392), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [313492] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6124), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8267), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [313533] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7580), 1,
      sym__backquoted_id,
    ACTIONS(10209), 1,
      anon_sym_COLON,
    ACTIONS(10211), 1,
      anon_sym_LBRACE,
    ACTIONS(10213), 1,
      anon_sym_with,
    STATE(6363), 1,
      aux_sym_compound_type_repeat1,
    STATE(10200), 1,
      sym_template_body,
    STATE(10202), 1,
      sym__refinement,
    ACTIONS(7696), 2,
      anon_sym_STAR,
      anon_sym_finally,
    ACTIONS(7698), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6125), 2,
      sym_comment,
      sym_block_comment,
    STATE(10261), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7694), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(7574), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [313594] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10280), 1,
      anon_sym_DOT,
    STATE(6126), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [313637] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6127), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8392), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [313678] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6128), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7716), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8324), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [313719] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6129), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7552), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8326), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [313760] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10282), 1,
      anon_sym_COLON,
    ACTIONS(10284), 1,
      anon_sym_LBRACE,
    ACTIONS(10286), 1,
      anon_sym_with,
    STATE(8694), 1,
      aux_sym_compound_type_repeat1,
    STATE(10263), 1,
      sym_template_body,
    STATE(10292), 1,
      sym__refinement,
    STATE(6130), 2,
      sym_comment,
      sym_block_comment,
    STATE(10294), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7668), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7666), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [313815] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6131), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7000), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [313856] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6132), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7714), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8406), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [313897] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6133), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9180), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9182), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [313938] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6134), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8271), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [313979] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6135), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7710), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8404), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [314020] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10288), 1,
      anon_sym_with,
    STATE(6136), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(8804), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8802), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [314063] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10291), 1,
      anon_sym_AT,
    STATE(7452), 1,
      sym_annotation,
    STATE(6137), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8283), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8281), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [314108] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1678), 1,
      anon_sym_LBRACE,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8785), 1,
      anon_sym_LPAREN,
    ACTIONS(9675), 1,
      anon_sym_DOT,
    ACTIONS(10294), 1,
      sym__alpha_identifier,
    ACTIONS(10298), 1,
      anon_sym_EQ,
    ACTIONS(10300), 1,
      sym__backquoted_id,
    ACTIONS(10302), 1,
      sym_operator_identifier,
    STATE(557), 1,
      sym_identifier,
    STATE(4059), 1,
      sym__soft_identifier,
    STATE(6138), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8737), 3,
      anon_sym_if,
      anon_sym_match,
      anon_sym_finally,
    STATE(8898), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8733), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(10296), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [314173] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6139), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7372), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8402), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [314214] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10304), 1,
      anon_sym_DOT,
    STATE(6140), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8159), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [314257] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6141), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7764), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7762), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [314298] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6142), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7714), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8406), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [314339] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6143), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8835), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8833), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [314380] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6144), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8392), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [314421] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6145), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8267), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [314462] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1392), 1,
      anon_sym_LBRACE,
    ACTIONS(9490), 1,
      anon_sym_LPAREN,
    ACTIONS(10247), 1,
      anon_sym_DOT,
    STATE(621), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(6146), 2,
      sym_comment,
      sym_block_comment,
    STATE(9382), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8241), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8239), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [314515] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6147), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7704), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8316), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [314556] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6148), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9144), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9146), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [314597] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10091), 1,
      anon_sym_EQ_GT,
    STATE(6149), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8271), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [314640] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9887), 1,
      anon_sym_DOT,
    ACTIONS(10306), 1,
      anon_sym_EQ_GT,
    STATE(6150), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8159), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [314685] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6151), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7710), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8404), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [314726] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6152), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7720), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8435), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [314767] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6153), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7710), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8404), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [314808] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6154), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7714), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8406), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [314849] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6155), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9144), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9146), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [314890] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6156), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9134), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9136), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [314931] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7530), 1,
      sym__backquoted_id,
    ACTIONS(9437), 1,
      anon_sym_LPAREN,
    ACTIONS(10308), 1,
      anon_sym_LBRACK,
    ACTIONS(10310), 1,
      anon_sym_POUND,
    STATE(8590), 1,
      aux_sym_annotation_repeat1,
    STATE(8677), 1,
      sym_type_arguments,
    STATE(9332), 1,
      sym_arguments,
    STATE(6157), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7528), 19,
      anon_sym_end,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [314984] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6158), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8227), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8225), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [315025] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6159), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7764), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7762), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [315066] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6160), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9130), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9132), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [315107] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6161), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8271), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [315148] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7580), 1,
      sym__backquoted_id,
    ACTIONS(10282), 1,
      anon_sym_COLON,
    ACTIONS(10284), 1,
      anon_sym_LBRACE,
    ACTIONS(10286), 1,
      anon_sym_with,
    STATE(6130), 1,
      aux_sym_compound_type_repeat1,
    STATE(10263), 1,
      sym_template_body,
    STATE(10267), 1,
      sym__refinement,
    ACTIONS(7696), 2,
      anon_sym_STAR,
      anon_sym_else,
    ACTIONS(7698), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6162), 2,
      sym_comment,
      sym_block_comment,
    STATE(10294), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7694), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(7574), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [315209] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6163), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7716), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8324), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [315250] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10312), 1,
      anon_sym_LPAREN,
    STATE(7942), 1,
      sym_arguments,
    STATE(6164), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(7788), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7786), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [315295] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8773), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6165), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8771), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8769), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [315338] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6166), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7720), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8435), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [315379] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7580), 1,
      sym__backquoted_id,
    ACTIONS(10315), 1,
      anon_sym_COLON,
    ACTIONS(10318), 1,
      anon_sym_LBRACE,
    ACTIONS(10320), 1,
      anon_sym_with,
    STATE(6296), 1,
      aux_sym_compound_type_repeat1,
    STATE(10088), 1,
      sym__refinement,
    STATE(10103), 1,
      sym_template_body,
    ACTIONS(7694), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(7698), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6167), 2,
      sym_comment,
      sym_block_comment,
    STATE(9954), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7696), 4,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
    ACTIONS(7574), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [315440] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7640), 1,
      anon_sym_DQUOTE,
    ACTIONS(8588), 1,
      sym__interpolated_multiline_string_start,
    STATE(7433), 1,
      sym_interpolated_string,
    STATE(14464), 1,
      sym__interpolated_string_start,
    ACTIONS(10322), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6168), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 6,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [315491] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6169), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [315532] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7640), 1,
      anon_sym_DQUOTE,
    ACTIONS(10326), 1,
      sym__interpolated_multiline_string_start,
    STATE(9806), 1,
      sym_interpolated_string,
    STATE(15159), 1,
      sym__interpolated_string_start,
    ACTIONS(10324), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6170), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [315583] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9076), 1,
      anon_sym_LPAREN,
    STATE(6207), 1,
      aux_sym_annotation_repeat1,
    STATE(7464), 1,
      sym_arguments,
    STATE(6171), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7817), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7815), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [315630] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7640), 1,
      anon_sym_DQUOTE,
    ACTIONS(9694), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(10230), 1,
      anon_sym_COLON,
    ACTIONS(10235), 1,
      anon_sym_QMARK_EQ_GT,
    ACTIONS(10328), 1,
      anon_sym_EQ_GT,
    STATE(9454), 1,
      sym_interpolated_string,
    STATE(15132), 1,
      sym__interpolated_string_start,
    STATE(17349), 1,
      sym__self_type_ascription,
    STATE(6172), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 10,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [315687] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7338), 1,
      anon_sym_DOT,
    STATE(6173), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [315730] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6174), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8159), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [315771] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6175), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8095), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8093), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [315812] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6176), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9180), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9182), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [315853] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10330), 1,
      anon_sym_with,
    STATE(6177), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(8804), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8802), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [315896] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6178), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9159), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9161), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [315937] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10333), 1,
      anon_sym_with,
    STATE(6179), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(8804), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8802), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [315980] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6180), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8271), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [316021] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6181), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8271), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [316062] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6182), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7704), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8316), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [316103] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8051), 1,
      sym__alpha_identifier,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8063), 1,
      anon_sym_EQ,
    ACTIONS(8065), 1,
      sym__backquoted_id,
    ACTIONS(8067), 1,
      sym_operator_identifier,
    STATE(1685), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(6183), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8055), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8061), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(8057), 8,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [316160] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6184), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7704), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8316), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [316201] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6185), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8271), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [316242] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6186), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8095), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8093), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [316283] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6187), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8835), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8833), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [316324] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6188), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7552), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8326), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [316365] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6189), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8267), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [316406] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6190), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8392), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [316447] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10336), 1,
      anon_sym_AT,
    STATE(7658), 1,
      sym_annotation,
    STATE(6191), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8283), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8281), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [316492] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8773), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6192), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8771), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8769), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [316535] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10339), 1,
      anon_sym_AT,
    STATE(7991), 1,
      sym_annotation,
    STATE(6193), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8283), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8281), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [316580] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6194), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7716), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8324), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [316621] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6195), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7716), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8324), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [316662] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6196), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8227), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8225), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [316703] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6197), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7764), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7762), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [316744] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6198), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10047), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10045), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [316785] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10342), 1,
      anon_sym_COLON,
    ACTIONS(10345), 1,
      anon_sym_LBRACE,
    STATE(8352), 1,
      sym_template_body,
    STATE(6199), 2,
      sym_comment,
      sym_block_comment,
    STATE(8470), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8549), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8541), 14,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [316834] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9530), 1,
      anon_sym_with,
    STATE(8785), 1,
      aux_sym_compound_type_repeat1,
    STATE(9697), 1,
      sym_template_body,
    STATE(9733), 1,
      sym__refinement,
    STATE(6133), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(6200), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7668), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7666), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [316885] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6201), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7720), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8435), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [316926] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6202), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7584), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [316967] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6203), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7704), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8316), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [317008] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10348), 1,
      sym__backquoted_id,
    STATE(6204), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(834), 25,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_end,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [317049] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10350), 1,
      anon_sym_with,
    STATE(6205), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(8804), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8802), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [317092] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6206), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10058), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [317133] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10353), 1,
      anon_sym_LPAREN,
    STATE(7464), 1,
      sym_arguments,
    STATE(6207), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(7788), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7786), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [317178] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8957), 1,
      anon_sym_LPAREN,
    STATE(6223), 1,
      aux_sym_annotation_repeat1,
    STATE(8018), 1,
      sym_arguments,
    STATE(6208), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7817), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7815), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [317225] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6209), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9447), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [317266] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6210), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10041), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10039), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [317307] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6211), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8392), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [317348] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6212), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7552), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8326), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [317389] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6213), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7714), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8406), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [317430] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6214), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [317471] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6215), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7330), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8360), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [317512] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6216), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9449), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9451), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [317553] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6217), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9404), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9406), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [317594] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6218), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [317635] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6219), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7710), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8404), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [317676] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6220), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7552), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8326), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [317717] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6221), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9159), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9161), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [317758] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6222), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7720), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8435), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [317799] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10356), 1,
      anon_sym_LPAREN,
    STATE(8018), 1,
      sym_arguments,
    STATE(6223), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(7788), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7786), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [317844] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6224), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7330), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8360), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [317885] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6225), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7716), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8324), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [317926] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6226), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7704), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8316), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [317967] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10359), 1,
      anon_sym_AT,
    STATE(7523), 1,
      sym_annotation,
    STATE(6227), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8283), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8281), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [318012] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6228), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8392), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [318053] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6229), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [318094] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10223), 1,
      anon_sym_LBRACE,
    ACTIONS(10225), 1,
      anon_sym_with,
    STATE(9042), 1,
      aux_sym_compound_type_repeat1,
    STATE(10074), 1,
      sym__refinement,
    STATE(10152), 1,
      sym_template_body,
    STATE(6230), 2,
      sym_comment,
      sym_block_comment,
    STATE(10080), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7668), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7666), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [318147] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6231), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7372), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8402), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [318188] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10362), 1,
      anon_sym_DOT,
    STATE(6232), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [318231] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6233), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8267), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [318272] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6234), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7714), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8406), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [318313] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(832), 1,
      anon_sym_LBRACE,
    ACTIONS(8063), 1,
      anon_sym_EQ,
    ACTIONS(9437), 1,
      anon_sym_LPAREN,
    ACTIONS(10364), 1,
      anon_sym_DOT,
    STATE(621), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(6235), 2,
      sym_comment,
      sym_block_comment,
    STATE(9275), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8231), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8229), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [318368] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9992), 1,
      anon_sym_DOT,
    ACTIONS(10366), 1,
      anon_sym_EQ_GT,
    STATE(6236), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [318413] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6237), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9067), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9065), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [318454] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6238), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8227), 8,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8225), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [318495] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6239), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7584), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [318536] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10368), 1,
      anon_sym_LBRACK,
    ACTIONS(10370), 1,
      anon_sym_LPAREN,
    ACTIONS(10372), 1,
      anon_sym_POUND,
    STATE(7507), 1,
      aux_sym_annotation_repeat1,
    STATE(8499), 1,
      sym_type_arguments,
    STATE(8781), 1,
      sym_arguments,
    STATE(6240), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7530), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7528), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [318589] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6241), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10073), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10071), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [318630] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6242), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9144), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9146), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [318671] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6243), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10075), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [318712] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1392), 1,
      anon_sym_LBRACE,
    ACTIONS(8063), 1,
      anon_sym_EQ,
    ACTIONS(9490), 1,
      anon_sym_LPAREN,
    ACTIONS(10247), 1,
      anon_sym_DOT,
    STATE(621), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(6244), 2,
      sym_comment,
      sym_block_comment,
    STATE(9382), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8231), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8229), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [318767] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6245), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7710), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8404), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [318808] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6246), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9134), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9136), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [318849] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6247), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9130), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9132), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [318890] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10374), 1,
      anon_sym_LBRACK,
    ACTIONS(10376), 1,
      anon_sym_LPAREN,
    ACTIONS(10378), 1,
      anon_sym_POUND,
    STATE(8037), 1,
      aux_sym_annotation_repeat1,
    STATE(8336), 1,
      sym_type_arguments,
    STATE(9164), 1,
      sym_arguments,
    STATE(6248), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7530), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7528), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [318943] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1448), 1,
      anon_sym_LBRACE,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(9472), 1,
      anon_sym_LPAREN,
    ACTIONS(10380), 1,
      sym__alpha_identifier,
    ACTIONS(10382), 1,
      anon_sym_DOT,
    ACTIONS(10386), 1,
      anon_sym_EQ,
    ACTIONS(10388), 1,
      sym__backquoted_id,
    ACTIONS(10390), 1,
      sym_operator_identifier,
    STATE(548), 1,
      sym_identifier,
    STATE(4062), 1,
      sym__soft_identifier,
    STATE(6249), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8737), 3,
      anon_sym_match,
      anon_sym_else,
      anon_sym_finally,
    STATE(9328), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8733), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(10384), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [319008] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6250), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8267), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [319049] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6251), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8027), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8683), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [319090] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(107), 1,
      anon_sym_LBRACE,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8312), 1,
      anon_sym_LPAREN,
    ACTIONS(8789), 1,
      anon_sym_DOT,
    ACTIONS(9496), 1,
      sym__alpha_identifier,
    ACTIONS(9502), 1,
      sym__backquoted_id,
    ACTIONS(9504), 1,
      sym_operator_identifier,
    ACTIONS(10392), 1,
      anon_sym_EQ,
    STATE(546), 1,
      sym_identifier,
    STATE(4037), 1,
      sym__soft_identifier,
    STATE(6252), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8733), 3,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    STATE(8038), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8737), 4,
      anon_sym_if,
      anon_sym_match,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(9500), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [319155] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1392), 1,
      anon_sym_LBRACE,
    ACTIONS(8051), 1,
      sym__alpha_identifier,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8063), 1,
      anon_sym_EQ,
    ACTIONS(8065), 1,
      sym__backquoted_id,
    ACTIONS(9490), 1,
      anon_sym_LPAREN,
    ACTIONS(10247), 1,
      anon_sym_DOT,
    ACTIONS(10394), 1,
      sym_operator_identifier,
    STATE(1708), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(6253), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8057), 3,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
    STATE(9382), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8055), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8061), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [319220] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7640), 1,
      anon_sym_DQUOTE,
    ACTIONS(8466), 1,
      sym__interpolated_multiline_string_start,
    STATE(8031), 1,
      sym_interpolated_string,
    STATE(14410), 1,
      sym__interpolated_string_start,
    ACTIONS(10396), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6254), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 12,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [319271] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10398), 1,
      anon_sym_DOT,
    STATE(6255), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [319314] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6256), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8267), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [319355] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6257), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7000), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [319396] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7640), 1,
      anon_sym_DQUOTE,
    ACTIONS(10207), 1,
      sym__interpolated_multiline_string_start,
    STATE(9630), 1,
      sym_interpolated_string,
    STATE(15379), 1,
      sym__interpolated_string_start,
    ACTIONS(7638), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6258), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [319447] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6259), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [319488] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8773), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6260), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8771), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8769), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [319531] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6261), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8392), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [319572] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6262), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7714), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8406), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [319613] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6263), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7704), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8316), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [319654] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6264), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7372), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8402), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [319695] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6265), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7584), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [319736] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6266), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7330), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8360), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [319777] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7640), 1,
      anon_sym_DQUOTE,
    ACTIONS(9694), 1,
      sym__interpolated_multiline_string_start,
    STATE(9454), 1,
      sym_interpolated_string,
    STATE(15132), 1,
      sym__interpolated_string_start,
    ACTIONS(10400), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6267), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [319828] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6268), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7584), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [319869] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6269), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [319910] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10402), 1,
      anon_sym_COLON,
    ACTIONS(10404), 1,
      anon_sym_LBRACE,
    ACTIONS(10406), 1,
      anon_sym_with,
    STATE(8844), 1,
      aux_sym_compound_type_repeat1,
    STATE(10193), 1,
      sym_template_body,
    STATE(10221), 1,
      sym__refinement,
    STATE(6270), 2,
      sym_comment,
      sym_block_comment,
    STATE(10218), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7668), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7666), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [319965] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6271), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8392), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [320006] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6272), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9998), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9996), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [320047] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6273), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7330), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8360), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [320088] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6274), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7584), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [320129] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6275), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9082), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9084), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [320170] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6276), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7716), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8324), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [320211] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6277), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8392), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [320252] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6278), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7330), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8360), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [320293] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6279), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7552), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8326), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [320334] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6280), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8159), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [320375] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6281), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7330), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8360), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [320416] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6282), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7710), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8404), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [320457] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1008), 1,
      anon_sym_LBRACE,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8123), 1,
      anon_sym_LPAREN,
    ACTIONS(8482), 1,
      anon_sym_DOT,
    ACTIONS(9250), 1,
      sym__alpha_identifier,
    ACTIONS(9256), 1,
      sym__backquoted_id,
    ACTIONS(9258), 1,
      sym_operator_identifier,
    ACTIONS(10408), 1,
      anon_sym_EQ,
    STATE(532), 1,
      sym_identifier,
    STATE(4025), 1,
      sym__soft_identifier,
    ACTIONS(8733), 2,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    STATE(6283), 2,
      sym_comment,
      sym_block_comment,
    STATE(7185), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8737), 5,
      anon_sym_while,
      anon_sym_match,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(9252), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [320522] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7338), 1,
      anon_sym_DOT,
    STATE(6284), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [320565] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6285), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(4132), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
  [320606] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6286), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9067), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9065), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [320647] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8648), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6287), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [320690] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6288), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9538), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9536), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [320731] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6289), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [320772] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6290), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7710), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8404), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [320813] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6291), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9159), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9161), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [320854] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6292), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9977), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9975), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [320895] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10410), 1,
      anon_sym_LBRACK,
    ACTIONS(10412), 1,
      anon_sym_AT,
    ACTIONS(10414), 1,
      anon_sym_LPAREN,
    ACTIONS(10416), 1,
      anon_sym_POUND,
    STATE(8148), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8890), 1,
      sym_type_arguments,
    STATE(9462), 1,
      sym_arguments,
    STATE(9538), 1,
      sym_annotation,
    STATE(6293), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [320952] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6294), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9462), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9464), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [320993] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6295), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7704), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8316), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [321034] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10318), 1,
      anon_sym_LBRACE,
    ACTIONS(10320), 1,
      anon_sym_with,
    STATE(8695), 1,
      aux_sym_compound_type_repeat1,
    STATE(9957), 1,
      sym__refinement,
    STATE(10103), 1,
      sym_template_body,
    STATE(6296), 2,
      sym_comment,
      sym_block_comment,
    STATE(9954), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7668), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7666), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [321087] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10418), 1,
      anon_sym_LPAREN,
    STATE(7581), 1,
      sym_arguments,
    STATE(6297), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(7788), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7786), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [321132] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10421), 1,
      anon_sym_DOT,
    STATE(6298), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [321175] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6299), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7372), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8402), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [321216] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6300), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9959), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9957), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [321257] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6301), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9021), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9023), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [321298] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6302), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8392), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [321339] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6303), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9896), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9894), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [321380] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6304), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7704), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8316), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [321421] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6305), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7714), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8406), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [321462] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6306), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9180), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9182), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [321503] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7580), 1,
      sym__backquoted_id,
    ACTIONS(10402), 1,
      anon_sym_COLON,
    ACTIONS(10404), 1,
      anon_sym_LBRACE,
    ACTIONS(10406), 1,
      anon_sym_with,
    STATE(6270), 1,
      aux_sym_compound_type_repeat1,
    STATE(10193), 1,
      sym_template_body,
    STATE(10198), 1,
      sym__refinement,
    ACTIONS(7696), 2,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(7698), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6307), 2,
      sym_comment,
      sym_block_comment,
    STATE(10218), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7694), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(7574), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [321564] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7640), 1,
      anon_sym_DQUOTE,
    ACTIONS(8588), 1,
      sym__interpolated_multiline_string_start,
    STATE(7433), 1,
      sym_interpolated_string,
    STATE(14464), 1,
      sym__interpolated_string_start,
    ACTIONS(10423), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6308), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 6,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [321615] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7338), 1,
      anon_sym_DOT,
    STATE(6309), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [321658] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6310), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9881), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9879), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [321699] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6311), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8267), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [321740] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6312), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7330), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8360), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [321781] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(832), 1,
      anon_sym_LBRACE,
    ACTIONS(8051), 1,
      sym__alpha_identifier,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8063), 1,
      anon_sym_EQ,
    ACTIONS(8065), 1,
      sym__backquoted_id,
    ACTIONS(9437), 1,
      anon_sym_LPAREN,
    ACTIONS(10364), 1,
      anon_sym_DOT,
    ACTIONS(10425), 1,
      sym_operator_identifier,
    STATE(621), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(6313), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8055), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    STATE(9275), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8057), 4,
      anon_sym_while,
      anon_sym_match,
      anon_sym_then,
      anon_sym_do,
    ACTIONS(8061), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [321846] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6314), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8392), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [321887] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7638), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6315), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [321930] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6316), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9067), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9065), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [321971] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6317), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8392), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [322012] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6318), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7720), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8435), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [322053] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5725), 1,
      sym_identifier,
    STATE(8951), 1,
      sym__soft_identifier,
    STATE(6319), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9985), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9983), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [322098] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9698), 1,
      anon_sym_LBRACK,
    ACTIONS(9702), 1,
      anon_sym_POUND,
    ACTIONS(10427), 1,
      anon_sym_AT,
    STATE(7903), 1,
      sym_type_arguments,
    STATE(8009), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9189), 1,
      sym_annotation,
    STATE(6320), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [322151] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6321), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7716), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8324), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [322192] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9027), 1,
      anon_sym_LPAREN,
    STATE(6297), 1,
      aux_sym_annotation_repeat1,
    STATE(7581), 1,
      sym_arguments,
    STATE(6322), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7817), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7815), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [322239] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(107), 1,
      anon_sym_LBRACE,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8312), 1,
      anon_sym_LPAREN,
    ACTIONS(8789), 1,
      anon_sym_DOT,
    ACTIONS(9496), 1,
      sym__alpha_identifier,
    ACTIONS(9502), 1,
      sym__backquoted_id,
    ACTIONS(9504), 1,
      sym_operator_identifier,
    ACTIONS(10429), 1,
      anon_sym_EQ,
    STATE(546), 1,
      sym_identifier,
    STATE(4037), 1,
      sym__soft_identifier,
    ACTIONS(8737), 2,
      anon_sym_if,
      anon_sym_match,
    STATE(6323), 2,
      sym_comment,
      sym_block_comment,
    STATE(8038), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8733), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(9500), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [322304] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6324), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9959), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9957), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [322345] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10431), 1,
      anon_sym_COLON,
    ACTIONS(10433), 1,
      anon_sym_LBRACE,
    ACTIONS(10435), 1,
      anon_sym_with,
    STATE(6579), 1,
      aux_sym_compound_type_repeat1,
    STATE(10297), 1,
      sym_template_body,
    STATE(10299), 1,
      sym__refinement,
    STATE(6325), 2,
      sym_comment,
      sym_block_comment,
    STATE(10225), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7580), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7574), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [322400] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10402), 1,
      anon_sym_COLON,
    ACTIONS(10404), 1,
      anon_sym_LBRACE,
    ACTIONS(10406), 1,
      anon_sym_with,
    STATE(6270), 1,
      aux_sym_compound_type_repeat1,
    STATE(10193), 1,
      sym_template_body,
    STATE(10198), 1,
      sym__refinement,
    STATE(6326), 2,
      sym_comment,
      sym_block_comment,
    STATE(10218), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7580), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7574), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [322455] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6327), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9404), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9406), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [322496] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10437), 1,
      anon_sym_LBRACK,
    ACTIONS(10439), 1,
      anon_sym_LPAREN,
    ACTIONS(10441), 1,
      anon_sym_POUND,
    STATE(8128), 1,
      aux_sym_annotation_repeat1,
    STATE(8241), 1,
      sym_type_arguments,
    STATE(9451), 1,
      sym_arguments,
    STATE(6328), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7530), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(7528), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [322549] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9105), 1,
      anon_sym_AT,
    STATE(6658), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7676), 1,
      sym_annotation,
    STATE(6329), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8288), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [322596] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9779), 1,
      anon_sym_LBRACK,
    ACTIONS(9783), 1,
      anon_sym_POUND,
    ACTIONS(10443), 1,
      anon_sym_AT,
    STATE(7915), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8000), 1,
      sym_type_arguments,
    STATE(8987), 1,
      sym_annotation,
    STATE(6330), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [322649] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6331), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8267), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [322690] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6332), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [322731] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6333), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7552), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8326), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [322772] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6334), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7584), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8358), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [322813] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6335), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7716), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8324), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [322854] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9821), 1,
      anon_sym_LBRACK,
    ACTIONS(9823), 1,
      anon_sym_AT,
    ACTIONS(9827), 1,
      anon_sym_POUND,
    STATE(7469), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8137), 1,
      sym_type_arguments,
    STATE(8996), 1,
      sym_annotation,
    STATE(6336), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [322907] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6337), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7000), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [322948] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6338), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8271), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [322989] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10445), 1,
      anon_sym_AT,
    STATE(7600), 1,
      sym_annotation,
    STATE(6339), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8283), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8281), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [323034] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6340), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9029), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9031), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [323075] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9808), 1,
      anon_sym_LBRACK,
    ACTIONS(9814), 1,
      anon_sym_POUND,
    ACTIONS(10448), 1,
      anon_sym_LPAREN,
    STATE(7378), 1,
      aux_sym_annotation_repeat1,
    STATE(8167), 1,
      sym_type_arguments,
    STATE(8770), 1,
      sym_arguments,
    STATE(6341), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7530), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7528), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [323128] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6342), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [323169] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10450), 1,
      anon_sym_LPAREN,
    STATE(7766), 1,
      sym_arguments,
    STATE(6343), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(7788), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7786), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [323214] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6344), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9754), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9752), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [323255] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6345), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9789), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9787), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [323296] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6346), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7552), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8326), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [323337] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(832), 1,
      anon_sym_LBRACE,
    ACTIONS(9437), 1,
      anon_sym_LPAREN,
    ACTIONS(10364), 1,
      anon_sym_DOT,
    STATE(621), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(6347), 2,
      sym_comment,
      sym_block_comment,
    STATE(9275), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8241), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8239), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [323390] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6348), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7330), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8360), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [323431] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6349), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7710), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8404), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [323472] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7338), 1,
      anon_sym_DOT,
    STATE(6350), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [323515] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6351), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9029), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9031), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [323556] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6352), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7552), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8326), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [323597] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1586), 1,
      anon_sym_LBRACE,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8979), 1,
      anon_sym_LPAREN,
    ACTIONS(9528), 1,
      anon_sym_DOT,
    ACTIONS(10268), 1,
      sym__alpha_identifier,
    ACTIONS(10274), 1,
      sym__backquoted_id,
    ACTIONS(10276), 1,
      sym_operator_identifier,
    ACTIONS(10453), 1,
      anon_sym_EQ,
    STATE(554), 1,
      sym_identifier,
    STATE(4051), 1,
      sym__soft_identifier,
    STATE(6353), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8737), 3,
      anon_sym_case,
      anon_sym_match,
      anon_sym_else,
    STATE(9044), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8733), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(10270), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [323662] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6354), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8835), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8833), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [323703] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6355), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9021), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9023), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [323744] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6356), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9067), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9065), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [323785] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9148), 1,
      anon_sym_AT,
    STATE(6577), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7687), 1,
      sym_annotation,
    STATE(6357), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8288), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [323832] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6358), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7764), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7762), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [323873] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6359), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7716), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8324), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [323914] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10455), 1,
      anon_sym_LPAREN,
    STATE(8021), 1,
      sym_arguments,
    STATE(6360), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(7788), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7786), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [323959] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6361), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7714), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8406), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [324000] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6362), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7552), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8326), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [324041] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10209), 1,
      anon_sym_COLON,
    ACTIONS(10211), 1,
      anon_sym_LBRACE,
    ACTIONS(10213), 1,
      anon_sym_with,
    STATE(8827), 1,
      aux_sym_compound_type_repeat1,
    STATE(10200), 1,
      sym_template_body,
    STATE(10240), 1,
      sym__refinement,
    STATE(6363), 2,
      sym_comment,
      sym_block_comment,
    STATE(10261), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7668), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7666), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [324096] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10458), 1,
      anon_sym_with,
    STATE(7244), 1,
      aux_sym_compound_type_repeat1,
    STATE(9462), 1,
      sym_arguments,
    STATE(9463), 1,
      sym__refinement,
    STATE(9465), 1,
      sym_template_body,
    STATE(6306), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(6364), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7498), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7496), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [324149] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6365), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8267), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [324190] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6366), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7330), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8360), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [324231] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6367), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8095), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8093), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [324272] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6368), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7704), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8316), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [324313] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6369), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8267), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [324354] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4134), 1,
      sym__backquoted_id,
    STATE(6370), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4130), 25,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_end,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [324395] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6371), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7330), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8360), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [324436] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10460), 1,
      sym__backquoted_id,
    STATE(6372), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7252), 25,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_end,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [324477] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10462), 1,
      sym__backquoted_id,
    STATE(6373), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7266), 25,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_end,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [324518] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6374), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9082), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9084), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [324559] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10464), 1,
      sym__backquoted_id,
    STATE(6375), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7292), 25,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_end,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [324600] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8937), 1,
      anon_sym_LPAREN,
    STATE(6360), 1,
      aux_sym_annotation_repeat1,
    STATE(8021), 1,
      sym_arguments,
    STATE(6376), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7817), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7815), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [324647] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6377), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7716), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8324), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [324688] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6378), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8027), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8683), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [324729] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6379), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8267), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [324770] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6380), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8227), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8225), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [324811] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6381), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7704), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8316), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [324852] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6382), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9029), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9031), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [324893] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6383), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9159), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9161), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [324934] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8977), 1,
      anon_sym_AT,
    STATE(6227), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7523), 1,
      sym_annotation,
    STATE(6384), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8288), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [324981] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10468), 1,
      sym__backquoted_id,
    STATE(6385), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10466), 25,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_end,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [325022] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9186), 1,
      anon_sym_LPAREN,
    STATE(6343), 1,
      aux_sym_annotation_repeat1,
    STATE(7766), 1,
      sym_arguments,
    STATE(6386), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7817), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7815), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [325069] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6387), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7372), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8402), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [325110] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6388), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9180), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9182), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [325151] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6389), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7552), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8326), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [325192] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6390), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7716), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8324), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [325233] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6391), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [325274] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6392), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9021), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9023), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [325315] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6393), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7720), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8435), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [325356] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6394), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [325397] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10470), 1,
      anon_sym_AT,
    STATE(7636), 1,
      sym_annotation,
    STATE(6395), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8283), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8281), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [325442] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1448), 1,
      anon_sym_LBRACE,
    ACTIONS(8051), 1,
      sym__alpha_identifier,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8063), 1,
      anon_sym_EQ,
    ACTIONS(8065), 1,
      sym__backquoted_id,
    ACTIONS(9472), 1,
      anon_sym_LPAREN,
    ACTIONS(10382), 1,
      anon_sym_DOT,
    ACTIONS(10473), 1,
      sym_operator_identifier,
    STATE(1702), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(6396), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8057), 3,
      anon_sym_match,
      anon_sym_else,
      anon_sym_finally,
    STATE(9328), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8055), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8061), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [325507] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6397), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9642), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9640), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [325548] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6398), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9638), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9636), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [325589] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10475), 1,
      anon_sym_with,
    STATE(6399), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(8804), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8802), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [325632] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6400), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9021), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9023), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [325673] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6401), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7704), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8316), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [325714] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6402), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9589), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9587), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [325755] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10478), 1,
      anon_sym_COLON,
    ACTIONS(10481), 1,
      anon_sym_LBRACE,
    STATE(8314), 1,
      sym_template_body,
    STATE(6403), 2,
      sym_comment,
      sym_block_comment,
    STATE(8230), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8549), 6,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8541), 15,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [325804] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6404), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7330), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8360), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [325845] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6405), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7720), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8435), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [325886] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10484), 1,
      anon_sym_with,
    STATE(6406), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(8804), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8802), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [325929] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10487), 1,
      anon_sym_AT,
    STATE(7509), 1,
      sym_annotation,
    STATE(6407), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8283), 23,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [325972] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6408), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8835), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8833), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [326013] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6409), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [326054] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7338), 1,
      anon_sym_DOT,
    STATE(6410), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [326097] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6411), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7764), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7762), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [326138] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6412), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7000), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [326179] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6413), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8095), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8093), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [326220] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6414), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9580), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9578), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [326261] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6415), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8271), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [326302] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6416), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9998), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9996), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [326343] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7338), 1,
      anon_sym_DOT,
    STATE(6417), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8159), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [326386] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6418), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(4132), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [326427] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6419), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9082), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9084), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [326468] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6420), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7372), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8402), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [326509] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9582), 1,
      anon_sym_DOT,
    ACTIONS(10490), 1,
      anon_sym_EQ_GT,
    STATE(6421), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [326554] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10492), 1,
      anon_sym_DOT,
    STATE(6422), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8159), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [326597] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6423), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7000), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [326638] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7338), 1,
      anon_sym_DOT,
    STATE(6424), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [326681] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6425), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8227), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8225), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [326722] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6426), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9067), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9065), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [326763] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7580), 1,
      sym__backquoted_id,
    ACTIONS(10431), 1,
      anon_sym_COLON,
    ACTIONS(10433), 1,
      anon_sym_LBRACE,
    ACTIONS(10435), 1,
      anon_sym_with,
    STATE(6579), 1,
      aux_sym_compound_type_repeat1,
    STATE(10297), 1,
      sym_template_body,
    STATE(10299), 1,
      sym__refinement,
    ACTIONS(7696), 2,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(7698), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6427), 2,
      sym_comment,
      sym_block_comment,
    STATE(10225), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7694), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(7574), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [326824] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7640), 1,
      anon_sym_DQUOTE,
    ACTIONS(8466), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(10230), 1,
      anon_sym_COLON,
    ACTIONS(10494), 1,
      anon_sym_EQ_GT,
    ACTIONS(10496), 1,
      anon_sym_QMARK_EQ_GT,
    STATE(8031), 1,
      sym_interpolated_string,
    STATE(14410), 1,
      sym__interpolated_string_start,
    STATE(16503), 1,
      sym__self_type_ascription,
    STATE(6428), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 10,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [326881] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6429), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [326922] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10498), 1,
      anon_sym_DOT,
    STATE(6430), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8159), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [326965] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6431), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9447), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [327006] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6432), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7720), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8435), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [327047] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6433), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7112), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7110), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [327088] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9466), 1,
      anon_sym_AT,
    STATE(6589), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7763), 1,
      sym_annotation,
    STATE(6434), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8288), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [327135] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9285), 1,
      anon_sym_LPAREN,
    STATE(6443), 1,
      aux_sym_annotation_repeat1,
    STATE(7654), 1,
      sym_arguments,
    STATE(6435), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7817), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7815), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [327182] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6436), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [327223] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6437), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7714), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8406), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [327264] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7580), 1,
      sym__backquoted_id,
    ACTIONS(10500), 1,
      anon_sym_COLON,
    ACTIONS(10503), 1,
      anon_sym_LBRACE,
    ACTIONS(10505), 1,
      anon_sym_with,
    STATE(6662), 1,
      aux_sym_compound_type_repeat1,
    STATE(10064), 1,
      sym_template_body,
    STATE(10085), 1,
      sym__refinement,
    ACTIONS(7698), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6438), 2,
      sym_comment,
      sym_block_comment,
    STATE(10108), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7694), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    ACTIONS(7696), 3,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_PIPE,
    ACTIONS(7574), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [327325] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6439), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9159), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9161), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [327366] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6440), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7372), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8402), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [327407] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6441), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7710), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8404), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [327448] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10507), 1,
      anon_sym_AT,
    STATE(7965), 1,
      sym_annotation,
    STATE(6442), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8283), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8281), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [327493] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10510), 1,
      anon_sym_LPAREN,
    STATE(7654), 1,
      sym_arguments,
    STATE(6443), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(7788), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7786), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [327538] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10513), 1,
      anon_sym_DOT,
    STATE(6444), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [327581] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6445), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9449), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9451), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [327622] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6446), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(7000), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
  [327663] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10515), 1,
      anon_sym_DOT,
    STATE(6447), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [327706] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6448), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8392), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [327747] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9965), 1,
      anon_sym_LBRACK,
    ACTIONS(9969), 1,
      anon_sym_POUND,
    ACTIONS(10517), 1,
      anon_sym_AT,
    STATE(7407), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7956), 1,
      sym_type_arguments,
    STATE(8765), 1,
      sym_annotation,
    STATE(6449), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [327800] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6450), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [327841] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6451), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7330), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8360), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [327882] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6452), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9447), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [327923] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6453), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8271), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [327964] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6454), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7552), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8326), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [328005] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10191), 1,
      anon_sym_COLON,
    ACTIONS(10193), 1,
      anon_sym_LBRACE,
    ACTIONS(10195), 1,
      anon_sym_with,
    STATE(8811), 1,
      aux_sym_compound_type_repeat1,
    STATE(10232), 1,
      sym__refinement,
    STATE(10236), 1,
      sym_template_body,
    STATE(6455), 2,
      sym_comment,
      sym_block_comment,
    STATE(10208), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7668), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7666), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [328060] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6456), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9449), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9451), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [328101] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6457), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7584), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [328142] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10519), 1,
      anon_sym_DOT,
    STATE(6458), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8159), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [328185] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6459), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7584), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [328226] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6898), 1,
      sym_arguments,
    STATE(6460), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7498), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7496), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [328269] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6461), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8267), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [328310] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10083), 1,
      anon_sym_DOT,
    ACTIONS(10521), 1,
      anon_sym_EQ_GT,
    STATE(6462), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [328355] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6463), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7000), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [328396] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6464), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [328437] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6465), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9180), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9182), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [328478] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6466), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9404), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9406), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [328519] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6467), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9566), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9564), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [328560] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6468), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7716), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8324), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [328601] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6469), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8392), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [328642] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6470), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(7000), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
  [328683] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10523), 1,
      anon_sym_LPAREN,
    STATE(7941), 1,
      sym_arguments,
    STATE(6471), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(7788), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7786), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [328728] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6472), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9542), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9540), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [328769] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6473), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7704), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8316), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [328810] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6474), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7552), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8326), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [328851] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6475), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9546), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9544), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [328892] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10105), 1,
      anon_sym_LBRACK,
    ACTIONS(10109), 1,
      anon_sym_POUND,
    ACTIONS(10526), 1,
      anon_sym_AT,
    STATE(7411), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7859), 1,
      sym_type_arguments,
    STATE(9043), 1,
      sym_annotation,
    STATE(6476), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [328945] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6477), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8027), 8,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8683), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [328986] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6478), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7716), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8324), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [329027] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6479), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [329068] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10528), 1,
      anon_sym_DOT,
    STATE(6480), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [329111] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6481), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9455), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9457), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [329152] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6482), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9550), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9548), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [329193] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6483), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9082), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9084), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [329234] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10530), 1,
      anon_sym_LPAREN,
    STATE(7698), 1,
      sym_arguments,
    STATE(6484), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(7788), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7786), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [329279] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10318), 1,
      anon_sym_LBRACE,
    ACTIONS(10320), 1,
      anon_sym_with,
    STATE(6296), 1,
      aux_sym_compound_type_repeat1,
    STATE(10088), 1,
      sym__refinement,
    STATE(10103), 1,
      sym_template_body,
    STATE(6485), 2,
      sym_comment,
      sym_block_comment,
    STATE(9954), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7580), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7574), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [329332] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6486), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7704), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8316), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [329373] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6487), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 7,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8392), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [329414] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6488), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8392), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [329455] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6489), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(4132), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
  [329496] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9198), 1,
      anon_sym_LPAREN,
    STATE(6471), 1,
      aux_sym_annotation_repeat1,
    STATE(7941), 1,
      sym_arguments,
    STATE(6490), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7817), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7815), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [329543] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6491), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9455), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9457), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [329584] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5624), 1,
      sym_identifier,
    STATE(8951), 1,
      sym__soft_identifier,
    STATE(6492), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9985), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9983), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [329629] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6493), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8227), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8225), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [329670] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7338), 1,
      anon_sym_DOT,
    STATE(6494), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [329713] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6495), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8835), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8833), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [329754] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6496), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9067), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9065), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [329795] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6497), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8027), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8683), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [329836] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6498), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7330), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8360), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [329877] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1622), 1,
      anon_sym_LBRACE,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8518), 1,
      anon_sym_LPAREN,
    ACTIONS(9509), 1,
      anon_sym_DOT,
    ACTIONS(10533), 1,
      sym__alpha_identifier,
    ACTIONS(10537), 1,
      anon_sym_EQ,
    ACTIONS(10539), 1,
      sym__backquoted_id,
    ACTIONS(10541), 1,
      sym_operator_identifier,
    STATE(555), 1,
      sym_identifier,
    STATE(4049), 1,
      sym__soft_identifier,
    STATE(6499), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8733), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    STATE(8339), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8737), 4,
      anon_sym_match,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(10535), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [329942] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9395), 1,
      anon_sym_AT,
    STATE(6654), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7804), 1,
      sym_annotation,
    STATE(6500), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8288), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [329989] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9379), 1,
      anon_sym_LPAREN,
    STATE(6484), 1,
      aux_sym_annotation_repeat1,
    STATE(7698), 1,
      sym_arguments,
    STATE(6501), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7817), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7815), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [330036] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6502), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9534), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9532), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [330077] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6503), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7710), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8404), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [330118] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10503), 1,
      anon_sym_LBRACE,
    ACTIONS(10505), 1,
      anon_sym_with,
    STATE(6662), 1,
      aux_sym_compound_type_repeat1,
    STATE(10064), 1,
      sym_template_body,
    STATE(10085), 1,
      sym__refinement,
    STATE(6504), 2,
      sym_comment,
      sym_block_comment,
    STATE(10108), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7580), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7574), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [330171] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6505), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7714), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8406), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [330212] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7338), 1,
      anon_sym_DOT,
    STATE(6506), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [330255] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10543), 1,
      anon_sym_DOT,
    STATE(6507), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [330298] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10545), 1,
      anon_sym_AT,
    STATE(7925), 1,
      sym_annotation,
    STATE(6508), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8283), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8281), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [330343] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6509), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7714), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8406), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [330384] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9265), 1,
      anon_sym_AT,
    STATE(6339), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7600), 1,
      sym_annotation,
    STATE(6510), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8288), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [330431] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5905), 1,
      sym_identifier,
    STATE(8951), 1,
      sym__soft_identifier,
    STATE(6511), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9985), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9983), 18,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [330476] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9367), 1,
      anon_sym_LPAREN,
    STATE(6532), 1,
      aux_sym_annotation_repeat1,
    STATE(7649), 1,
      sym_arguments,
    STATE(6512), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7817), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7815), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [330523] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6513), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9462), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9464), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [330564] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10548), 1,
      anon_sym_with,
    STATE(6514), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(8804), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8802), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [330607] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6515), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8835), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8833), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [330648] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6516), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7710), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8404), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [330689] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6517), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10058), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [330730] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10551), 1,
      anon_sym_DOT,
    STATE(6518), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [330773] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6519), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7000), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [330814] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6520), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9550), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9548), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [330855] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9849), 1,
      anon_sym_EQ_GT,
    STATE(6521), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8271), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [330898] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9236), 1,
      anon_sym_LPAREN,
    STATE(6538), 1,
      aux_sym_annotation_repeat1,
    STATE(7916), 1,
      sym_arguments,
    STATE(6522), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7817), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7815), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [330945] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6523), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8271), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [330986] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6524), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [331027] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6525), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9546), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9544), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [331068] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6526), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10073), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10071), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [331109] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6527), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10041), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10039), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [331150] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6528), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9542), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9540), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [331191] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6529), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9566), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9564), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [331232] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6530), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10047), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10045), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [331273] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6531), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10075), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [331314] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10553), 1,
      anon_sym_LPAREN,
    STATE(7649), 1,
      sym_arguments,
    STATE(6532), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(7788), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7786), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [331359] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6533), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7764), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7762), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [331400] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6534), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [331441] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9946), 1,
      anon_sym_LBRACK,
    ACTIONS(9950), 1,
      anon_sym_POUND,
    ACTIONS(10556), 1,
      anon_sym_AT,
    STATE(7640), 1,
      sym_type_arguments,
    STATE(8225), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9267), 1,
      sym_annotation,
    STATE(6535), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [331494] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6536), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7720), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8435), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [331535] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1678), 1,
      anon_sym_LBRACE,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8785), 1,
      anon_sym_LPAREN,
    ACTIONS(9675), 1,
      anon_sym_DOT,
    ACTIONS(10294), 1,
      sym__alpha_identifier,
    ACTIONS(10300), 1,
      sym__backquoted_id,
    ACTIONS(10302), 1,
      sym_operator_identifier,
    ACTIONS(10558), 1,
      anon_sym_EQ,
    STATE(557), 1,
      sym_identifier,
    STATE(4059), 1,
      sym__soft_identifier,
    STATE(6537), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8737), 3,
      anon_sym_case,
      anon_sym_match,
      anon_sym_finally,
    STATE(8898), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8733), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(10296), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [331600] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10560), 1,
      anon_sym_LPAREN,
    STATE(7916), 1,
      sym_arguments,
    STATE(6538), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(7788), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7786), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [331645] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6539), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7720), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8435), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [331686] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6540), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [331727] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10563), 1,
      anon_sym_LPAREN,
    STATE(7749), 1,
      sym_arguments,
    STATE(6541), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(7788), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7786), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [331772] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6542), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7704), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8316), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [331813] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6543), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7714), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8406), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [331854] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7338), 1,
      anon_sym_DOT,
    STATE(6544), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [331897] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10566), 1,
      anon_sym_COLON,
    ACTIONS(10569), 1,
      anon_sym_LBRACE,
    STATE(8390), 1,
      sym_template_body,
    STATE(6545), 2,
      sym_comment,
      sym_block_comment,
    STATE(8516), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8549), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8541), 14,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [331946] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10215), 1,
      anon_sym_COLON,
    ACTIONS(10217), 1,
      anon_sym_LBRACE,
    ACTIONS(10219), 1,
      anon_sym_with,
    STATE(6023), 1,
      aux_sym_compound_type_repeat1,
    STATE(10186), 1,
      sym__refinement,
    STATE(10244), 1,
      sym_template_body,
    STATE(6546), 2,
      sym_comment,
      sym_block_comment,
    STATE(10317), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7580), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7574), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [332001] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9296), 1,
      anon_sym_LPAREN,
    STATE(6541), 1,
      aux_sym_annotation_repeat1,
    STATE(7749), 1,
      sym_arguments,
    STATE(6547), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7817), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7815), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [332048] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6548), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9538), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9536), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [332089] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6549), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9447), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [332130] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6685), 1,
      sym_arguments,
    STATE(6550), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7498), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7496), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [332173] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8793), 1,
      anon_sym_AT,
    STATE(6395), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7636), 1,
      sym_annotation,
    STATE(6551), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8288), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [332220] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6552), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7710), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8404), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [332261] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6553), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [332302] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6554), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8027), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8683), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [332343] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6555), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9449), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9451), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [332384] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6556), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8271), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [332425] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6557), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8027), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8683), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [332466] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6558), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9404), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9406), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [332507] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6817), 1,
      sym__end_marker,
    STATE(6559), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9292), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9290), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [332550] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6560), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7716), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8324), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [332591] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1498), 1,
      anon_sym_LBRACE,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8606), 1,
      anon_sym_LPAREN,
    ACTIONS(9431), 1,
      anon_sym_DOT,
    ACTIONS(10572), 1,
      sym__alpha_identifier,
    ACTIONS(10576), 1,
      anon_sym_EQ,
    ACTIONS(10578), 1,
      sym__backquoted_id,
    ACTIONS(10580), 1,
      sym_operator_identifier,
    STATE(550), 1,
      sym_identifier,
    STATE(4050), 1,
      sym__soft_identifier,
    STATE(6561), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8737), 3,
      anon_sym_match,
      anon_sym_else,
      anon_sym_then,
    STATE(8257), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8733), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(10574), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [332656] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10582), 1,
      anon_sym_AT,
    STATE(7885), 1,
      sym_annotation,
    STATE(6562), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8283), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8281), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [332701] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1448), 1,
      anon_sym_LBRACE,
    ACTIONS(9472), 1,
      anon_sym_LPAREN,
    ACTIONS(10382), 1,
      anon_sym_DOT,
    STATE(621), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(6563), 2,
      sym_comment,
      sym_block_comment,
    STATE(9328), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8241), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8239), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [332754] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6564), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7764), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7762), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [332795] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6565), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8227), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8225), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [332836] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10585), 1,
      anon_sym_DOT,
    STATE(6566), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [332879] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1080), 1,
      anon_sym_LBRACE,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8103), 1,
      anon_sym_LPAREN,
    ACTIONS(8522), 1,
      anon_sym_DOT,
    ACTIONS(9597), 1,
      sym__alpha_identifier,
    ACTIONS(9603), 1,
      sym__backquoted_id,
    ACTIONS(9605), 1,
      sym_operator_identifier,
    ACTIONS(10587), 1,
      anon_sym_EQ,
    STATE(534), 1,
      sym_identifier,
    STATE(4033), 1,
      sym__soft_identifier,
    STATE(6567), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8737), 3,
      anon_sym_case,
      anon_sym_match,
      anon_sym_else,
    STATE(6872), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8733), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9599), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [332944] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6568), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8095), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8093), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [332985] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6569), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8392), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [333026] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6570), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9130), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9132), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [333067] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6571), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7330), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8360), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [333108] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6572), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9134), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9136), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [333149] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6573), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7764), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7762), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [333190] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6574), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8227), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8225), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [333231] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6575), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7552), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8326), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [333272] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6576), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8159), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [333313] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10589), 1,
      anon_sym_AT,
    STATE(7687), 1,
      sym_annotation,
    STATE(6577), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8283), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8281), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [333358] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6578), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7584), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [333399] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10431), 1,
      anon_sym_COLON,
    ACTIONS(10433), 1,
      anon_sym_LBRACE,
    ACTIONS(10435), 1,
      anon_sym_with,
    STATE(8699), 1,
      aux_sym_compound_type_repeat1,
    STATE(10297), 1,
      sym_template_body,
    STATE(10313), 1,
      sym__refinement,
    STATE(6579), 2,
      sym_comment,
      sym_block_comment,
    STATE(10225), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7668), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7666), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [333454] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6580), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9144), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9146), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [333495] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6581), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(7000), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
  [333536] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6582), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8095), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8093), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [333577] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6583), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7764), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7762), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [333618] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6584), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9580), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9578), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [333659] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6585), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8095), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8093), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [333700] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6586), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9896), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9894), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [333741] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6587), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8392), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [333782] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7580), 1,
      sym__backquoted_id,
    ACTIONS(10215), 1,
      anon_sym_COLON,
    ACTIONS(10217), 1,
      anon_sym_LBRACE,
    ACTIONS(10219), 1,
      anon_sym_with,
    STATE(6023), 1,
      aux_sym_compound_type_repeat1,
    STATE(10186), 1,
      sym__refinement,
    STATE(10244), 1,
      sym_template_body,
    ACTIONS(7698), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6588), 2,
      sym_comment,
      sym_block_comment,
    STATE(10317), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7694), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
    ACTIONS(7696), 3,
      anon_sym_case,
      anon_sym_LT_COLON,
      anon_sym_EQ,
    ACTIONS(7574), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [333843] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10592), 1,
      anon_sym_AT,
    STATE(7763), 1,
      sym_annotation,
    STATE(6589), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8283), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8281), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [333888] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6590), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7764), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7762), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [333929] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6591), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9881), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9879), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [333970] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6592), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9589), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9587), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [334011] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6593), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9021), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9023), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [334052] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6594), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8267), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [334093] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7638), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6595), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [334136] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6596), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8267), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [334177] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6597), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8227), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8225), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [334218] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10282), 1,
      anon_sym_COLON,
    ACTIONS(10284), 1,
      anon_sym_LBRACE,
    ACTIONS(10286), 1,
      anon_sym_with,
    STATE(6130), 1,
      aux_sym_compound_type_repeat1,
    STATE(10263), 1,
      sym_template_body,
    STATE(10267), 1,
      sym__refinement,
    STATE(6598), 2,
      sym_comment,
      sym_block_comment,
    STATE(10294), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7580), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7574), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [334273] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9351), 1,
      anon_sym_AT,
    STATE(6562), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7885), 1,
      sym_annotation,
    STATE(6599), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8288), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [334320] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6600), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7498), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7496), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [334361] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6601), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7764), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7762), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [334402] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6602), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(4132), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [334443] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6603), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [334484] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6604), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [334525] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10595), 1,
      anon_sym_COLON,
    ACTIONS(10598), 1,
      anon_sym_LBRACE,
    STATE(8277), 1,
      sym_template_body,
    STATE(6605), 2,
      sym_comment,
      sym_block_comment,
    STATE(8440), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8549), 7,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8541), 14,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [334574] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6606), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8267), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [334615] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10601), 1,
      anon_sym_DOT,
    STATE(6607), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [334658] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6608), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 7,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8267), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [334699] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9315), 1,
      anon_sym_AT,
    STATE(6442), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7965), 1,
      sym_annotation,
    STATE(6609), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8288), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [334746] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6610), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8095), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8093), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [334787] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6611), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7000), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [334828] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6612), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9455), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9457), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [334869] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6613), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(4132), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
  [334910] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7640), 1,
      anon_sym_DQUOTE,
    ACTIONS(10326), 1,
      sym__interpolated_multiline_string_start,
    STATE(9806), 1,
      sym_interpolated_string,
    STATE(15159), 1,
      sym__interpolated_string_start,
    ACTIONS(7638), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6614), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [334961] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10603), 1,
      anon_sym_LBRACK,
    ACTIONS(10605), 1,
      anon_sym_LPAREN,
    ACTIONS(10607), 1,
      anon_sym_POUND,
    STATE(7693), 1,
      aux_sym_annotation_repeat1,
    STATE(8350), 1,
      sym_type_arguments,
    STATE(8892), 1,
      sym_arguments,
    STATE(6615), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7530), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7528), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [335014] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7338), 1,
      anon_sym_DOT,
    STATE(6616), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [335057] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6617), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7372), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8402), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [335098] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6618), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9534), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9532), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [335139] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6619), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7584), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [335180] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6746), 1,
      sym__end_marker,
    STATE(6620), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9292), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9290), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [335223] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6621), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9638), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9636), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [335264] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6622), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8392), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [335305] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6623), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7710), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8404), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [335346] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6624), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7714), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8406), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [335387] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6625), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9067), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9065), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [335428] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10611), 1,
      sym__backquoted_id,
    STATE(6626), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10609), 25,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_end,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [335469] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6627), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7000), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [335510] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6628), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8095), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8093), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [335551] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6629), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8835), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8833), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [335592] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6630), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9642), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9640), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [335633] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6631), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9754), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9752), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [335674] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6632), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9789), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9787), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [335715] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6633), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7372), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8402), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [335756] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6634), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8027), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8683), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [335797] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6635), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8027), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8683), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [335838] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10613), 1,
      anon_sym_LPAREN,
    STATE(7821), 1,
      sym_arguments,
    STATE(6636), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(7788), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7786), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [335883] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6637), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8267), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [335924] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7338), 1,
      anon_sym_DOT,
    STATE(6638), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8159), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [335967] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6639), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9029), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9031), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [336008] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6640), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8392), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [336049] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6641), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8027), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8683), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [336090] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6642), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7112), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7110), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [336131] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9246), 1,
      anon_sym_LPAREN,
    STATE(6636), 1,
      aux_sym_annotation_repeat1,
    STATE(7821), 1,
      sym_arguments,
    STATE(6643), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7817), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7815), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [336178] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6644), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7372), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8402), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [336219] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6645), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8227), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8225), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [336260] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7338), 1,
      anon_sym_DOT,
    STATE(6646), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [336303] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1448), 1,
      anon_sym_LBRACE,
    ACTIONS(8063), 1,
      anon_sym_EQ,
    ACTIONS(9472), 1,
      anon_sym_LPAREN,
    ACTIONS(10382), 1,
      anon_sym_DOT,
    STATE(621), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(6647), 2,
      sym_comment,
      sym_block_comment,
    STATE(9328), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8231), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8229), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [336358] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8783), 1,
      anon_sym_AT,
    STATE(6508), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7925), 1,
      sym_annotation,
    STATE(6648), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8288), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [336405] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6649), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8227), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8225), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [336446] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6650), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7000), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [336487] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6651), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7584), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8358), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [336528] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9917), 1,
      anon_sym_EQ_GT,
    STATE(6652), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8271), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [336571] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6653), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9029), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9031), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [336612] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10616), 1,
      anon_sym_AT,
    STATE(7804), 1,
      sym_annotation,
    STATE(6654), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8283), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8281), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [336657] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6655), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8271), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [336698] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6656), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [336739] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7338), 1,
      anon_sym_DOT,
    STATE(6657), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8159), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [336782] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10619), 1,
      anon_sym_AT,
    STATE(7676), 1,
      sym_annotation,
    STATE(6658), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8283), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8281), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [336827] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6659), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8095), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8093), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [336868] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6660), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7720), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8435), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [336909] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6661), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9554), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9552), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [336950] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10503), 1,
      anon_sym_LBRACE,
    ACTIONS(10505), 1,
      anon_sym_with,
    STATE(9131), 1,
      aux_sym_compound_type_repeat1,
    STATE(10064), 1,
      sym_template_body,
    STATE(10172), 1,
      sym__refinement,
    STATE(6662), 2,
      sym_comment,
      sym_block_comment,
    STATE(10108), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7668), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7666), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [337003] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6663), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9462), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9464), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [337044] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10603), 1,
      anon_sym_LBRACK,
    ACTIONS(10607), 1,
      anon_sym_POUND,
    ACTIONS(10622), 1,
      anon_sym_AT,
    STATE(8350), 1,
      sym_type_arguments,
    STATE(8468), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9527), 1,
      sym_annotation,
    STATE(6664), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [337096] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6665), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9447), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [337136] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10624), 1,
      anon_sym_with,
    STATE(6666), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(8804), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8802), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [337178] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6667), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7710), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8404), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [337218] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6668), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7704), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8316), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [337258] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10627), 1,
      anon_sym_AT,
    STATE(8172), 1,
      sym_annotation,
    STATE(6669), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8283), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8281), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [337302] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6670), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8392), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [337342] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9940), 1,
      anon_sym_LPAREN,
    STATE(6687), 1,
      aux_sym_annotation_repeat1,
    STATE(8278), 1,
      sym_arguments,
    STATE(6671), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7817), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7815), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [337388] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6672), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9462), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9464), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [337428] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6673), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10058), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [337468] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6674), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7716), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8324), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [337508] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6675), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8027), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8683), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [337548] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10630), 1,
      anon_sym_DOT,
    STATE(6676), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8159), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [337590] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9591), 1,
      anon_sym_COLON,
    ACTIONS(9595), 1,
      anon_sym_with,
    STATE(7344), 1,
      aux_sym_compound_type_repeat1,
    STATE(9615), 1,
      sym__refinement,
    STATE(9850), 1,
      sym_template_body,
    STATE(6677), 2,
      sym_comment,
      sym_block_comment,
    STATE(9631), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7580), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7574), 13,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [337642] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7580), 1,
      sym__backquoted_id,
    ACTIONS(10632), 1,
      anon_sym_COLON,
    ACTIONS(10634), 1,
      anon_sym_LBRACE,
    ACTIONS(10636), 1,
      anon_sym_with,
    STATE(7161), 1,
      aux_sym_compound_type_repeat1,
    STATE(10373), 1,
      sym_template_body,
    STATE(10409), 1,
      sym__refinement,
    ACTIONS(7696), 2,
      anon_sym_LT_COLON,
      anon_sym_EQ,
    ACTIONS(7698), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6678), 2,
      sym_comment,
      sym_block_comment,
    STATE(10424), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7694), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    ACTIONS(7574), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [337702] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6679), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7720), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8435), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [337742] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6680), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7714), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8406), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [337782] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6681), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9896), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9894), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [337822] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6682), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [337862] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6683), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [337902] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6684), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7714), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8406), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [337942] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6685), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9554), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9552), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [337982] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7338), 1,
      anon_sym_DOT,
    STATE(6686), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [338024] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10638), 1,
      anon_sym_LPAREN,
    STATE(8278), 1,
      sym_arguments,
    STATE(6687), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(7788), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7786), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [338068] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6688), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7720), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8435), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [338108] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6689), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10073), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10071), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [338148] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6690), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7584), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [338188] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6691), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7552), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8326), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [338228] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6692), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10075), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [338268] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6693), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7720), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8435), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [338308] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10641), 1,
      anon_sym_AT,
    STATE(8405), 1,
      sym_annotation,
    STATE(6694), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8283), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8281), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [338352] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6695), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [338392] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6696), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8027), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8683), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [338432] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6697), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(4132), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [338472] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6698), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7552), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8326), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [338512] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6699), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10058), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [338552] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10644), 1,
      anon_sym_AT,
    STATE(8450), 1,
      sym_annotation,
    STATE(6700), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8283), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8281), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [338596] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6701), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8267), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [338636] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6702), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7330), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8360), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [338676] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6703), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [338716] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8063), 1,
      anon_sym_EQ,
    STATE(621), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(6704), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8231), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8229), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [338762] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8773), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6705), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8771), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8769), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [338804] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6706), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10073), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10071), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [338844] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6707), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10075), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [338884] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6708), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8392), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [338924] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6709), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8271), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [338964] = 20,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10649), 1,
      anon_sym_RBRACK,
    ACTIONS(10651), 1,
      anon_sym_PLUS,
    ACTIONS(10653), 1,
      anon_sym_DASH,
    ACTIONS(10655), 1,
      anon_sym_AT,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(8478), 1,
      aux_sym_enum_definition_repeat1,
    STATE(11328), 1,
      sym_annotation,
    STATE(15537), 1,
      sym__variant_type_parameter,
    STATE(15641), 1,
      sym__type_parameter,
    STATE(6710), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    STATE(15646), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [339034] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6711), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7000), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [339074] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6712), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7704), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8316), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [339114] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6713), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9180), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9182), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [339154] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7724), 1,
      sym_arguments,
    STATE(6714), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7498), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7496), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [339196] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6715), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8027), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8683), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [339236] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6716), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9566), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9564), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [339276] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10659), 1,
      anon_sym_COLON,
    ACTIONS(10661), 1,
      anon_sym_LBRACE,
    ACTIONS(10663), 1,
      anon_sym_with,
    STATE(7273), 1,
      aux_sym_compound_type_repeat1,
    STATE(10350), 1,
      sym__refinement,
    STATE(10423), 1,
      sym_template_body,
    STATE(6717), 2,
      sym_comment,
      sym_block_comment,
    STATE(10453), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7580), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7574), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [339330] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6718), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9180), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9182), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [339370] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6719), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7584), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [339410] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6720), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [339450] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6721), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8271), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [339490] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6722), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7000), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [339530] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6723), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7716), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8324), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [339570] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6724), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9455), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9457), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [339610] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6725), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9881), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9879), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [339650] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6726), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9159), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9161), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [339690] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10665), 1,
      anon_sym_DOT,
    STATE(6727), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [339732] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6728), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9029), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9031), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [339772] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6729), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7552), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8326), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [339812] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6730), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7000), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [339852] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6731), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7716), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8324), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [339892] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5827), 1,
      sym_identifier,
    STATE(8951), 1,
      sym__soft_identifier,
    STATE(6732), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9985), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9983), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [339936] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7638), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6733), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [339978] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7336), 1,
      anon_sym_LPAREN,
    ACTIONS(7640), 1,
      anon_sym_DQUOTE,
    ACTIONS(10171), 1,
      anon_sym_DOT,
    ACTIONS(10177), 1,
      anon_sym_AT,
    ACTIONS(10189), 1,
      sym__interpolated_multiline_string_start,
    STATE(4161), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    STATE(10702), 1,
      sym_interpolated_string,
    STATE(14767), 1,
      sym__interpolated_string_start,
    STATE(6734), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10669), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10667), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [340036] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9435), 1,
      anon_sym_AT,
    STATE(7182), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8094), 1,
      sym_annotation,
    STATE(6735), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8288), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [340082] = 20,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7336), 1,
      anon_sym_LPAREN,
    ACTIONS(7640), 1,
      anon_sym_DQUOTE,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10167), 1,
      anon_sym_COLON,
    ACTIONS(10171), 1,
      anon_sym_DOT,
    ACTIONS(10173), 1,
      anon_sym_STAR,
    ACTIONS(10177), 1,
      anon_sym_AT,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10187), 1,
      sym_operator_identifier,
    ACTIONS(10189), 1,
      sym__interpolated_multiline_string_start,
    STATE(4161), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    STATE(10702), 1,
      sym_interpolated_string,
    STATE(14767), 1,
      sym__interpolated_string_start,
    ACTIONS(10671), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(6736), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10673), 3,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [340152] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6737), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7372), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8402), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [340192] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6738), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [340232] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8051), 1,
      sym__alpha_identifier,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8063), 1,
      anon_sym_EQ,
    ACTIONS(8065), 1,
      sym__backquoted_id,
    ACTIONS(8300), 1,
      sym_operator_identifier,
    STATE(1721), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(6739), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8055), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8061), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(8057), 7,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [340288] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6740), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8271), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [340328] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7336), 1,
      anon_sym_LPAREN,
    ACTIONS(7640), 1,
      anon_sym_DQUOTE,
    ACTIONS(10171), 1,
      anon_sym_DOT,
    ACTIONS(10177), 1,
      anon_sym_AT,
    ACTIONS(10189), 1,
      sym__interpolated_multiline_string_start,
    STATE(4161), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    STATE(10702), 1,
      sym_interpolated_string,
    STATE(14767), 1,
      sym__interpolated_string_start,
    STATE(6741), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10677), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10675), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [340386] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10679), 1,
      anon_sym_LPAREN,
    STATE(8223), 1,
      sym_arguments,
    STATE(6742), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(7788), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7786), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [340430] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6743), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7372), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8402), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [340470] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7338), 1,
      anon_sym_DOT,
    STATE(6744), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [340512] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6745), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7000), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [340552] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6746), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9455), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9457), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [340592] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6747), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9082), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9084), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [340632] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6748), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7714), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8406), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [340672] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10682), 1,
      anon_sym_DOT,
    STATE(6749), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [340714] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7338), 1,
      anon_sym_DOT,
    STATE(6750), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [340756] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6751), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8027), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8683), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [340796] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10684), 1,
      anon_sym_with,
    STATE(6752), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(8804), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8802), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [340838] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6753), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [340878] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7338), 1,
      anon_sym_DOT,
    STATE(6754), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [340920] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9967), 1,
      anon_sym_LPAREN,
    STATE(6742), 1,
      aux_sym_annotation_repeat1,
    STATE(8223), 1,
      sym_arguments,
    STATE(6755), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7817), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7815), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [340966] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10085), 1,
      anon_sym_AT,
    STATE(6876), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8485), 1,
      sym_annotation,
    STATE(6756), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8288), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [341012] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6757), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7710), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8404), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [341052] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6758), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7704), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8316), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [341092] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9470), 1,
      anon_sym_AT,
    STATE(6962), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8123), 1,
      sym_annotation,
    STATE(6759), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8288), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [341138] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6760), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9881), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9879), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [341178] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6761), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7498), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7496), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [341218] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6762), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9449), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9451), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [341258] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6763), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9144), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9146), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [341298] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6764), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7584), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8358), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [341338] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6765), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8227), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8225), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [341378] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6766), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9447), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [341418] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6767), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9896), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9894), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [341458] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6768), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7764), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7762), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [341498] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6769), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8095), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8093), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [341538] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6770), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8159), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [341578] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8773), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6771), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8771), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8769), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [341620] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7338), 1,
      anon_sym_DOT,
    STATE(6772), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [341662] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6773), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9021), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9023), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [341702] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6774), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7704), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8316), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [341742] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6775), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8095), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8093), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [341782] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6776), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [341822] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7638), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6777), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [341864] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6778), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8027), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8683), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [341904] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6779), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7716), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8324), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [341944] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6780), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9134), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9136), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [341984] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6781), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9130), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9132), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [342024] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6782), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7764), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7762), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [342064] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6783), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9881), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9879), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [342104] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6784), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8392), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [342144] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6785), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7552), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8326), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [342184] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6786), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [342224] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6787), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7574), 19,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [342264] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6788), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9534), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9532), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [342304] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6789), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7716), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8324), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [342344] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6790), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8835), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8833), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [342384] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10632), 1,
      anon_sym_COLON,
    ACTIONS(10634), 1,
      anon_sym_LBRACE,
    ACTIONS(10636), 1,
      anon_sym_with,
    STATE(7161), 1,
      aux_sym_compound_type_repeat1,
    STATE(10373), 1,
      sym_template_body,
    STATE(10409), 1,
      sym__refinement,
    STATE(6791), 2,
      sym_comment,
      sym_block_comment,
    STATE(10424), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7580), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7574), 13,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [342438] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6792), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8392), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [342478] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10687), 1,
      anon_sym_with,
    STATE(6793), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(8804), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8802), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [342520] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6794), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8267), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [342560] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6795), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [342600] = 20,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10651), 1,
      anon_sym_PLUS,
    ACTIONS(10653), 1,
      anon_sym_DASH,
    ACTIONS(10655), 1,
      anon_sym_AT,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(10690), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(8478), 1,
      aux_sym_enum_definition_repeat1,
    STATE(11328), 1,
      sym_annotation,
    STATE(15537), 1,
      sym__variant_type_parameter,
    STATE(15641), 1,
      sym__type_parameter,
    STATE(6796), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    STATE(15646), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [342670] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6797), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8227), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8225), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [342710] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6798), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7372), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8402), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [342750] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6799), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9896), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9894), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [342790] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7338), 1,
      anon_sym_DOT,
    STATE(6800), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [342832] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9419), 1,
      anon_sym_LPAREN,
    STATE(6822), 1,
      aux_sym_annotation_repeat1,
    STATE(8395), 1,
      sym_arguments,
    STATE(6801), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7817), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7815), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [342878] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6802), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7112), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7110), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [342918] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6803), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [342958] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6804), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8835), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8833), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [342998] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6805), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7330), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8360), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [343038] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8731), 1,
      sym__alpha_identifier,
    ACTIONS(8741), 1,
      sym__backquoted_id,
    ACTIONS(8743), 1,
      sym_operator_identifier,
    STATE(529), 1,
      sym_identifier,
    STATE(3888), 1,
      sym__soft_identifier,
    STATE(6806), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8733), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8735), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(8737), 8,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [343092] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6807), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7704), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8316), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [343132] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6808), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7330), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8360), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [343172] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6809), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9754), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9752), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [343212] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6810), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7552), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8326), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [343252] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6811), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9789), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9787), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [343292] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8051), 1,
      sym__alpha_identifier,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8063), 1,
      anon_sym_EQ,
    ACTIONS(8065), 1,
      sym__backquoted_id,
    ACTIONS(8328), 1,
      sym_operator_identifier,
    STATE(1761), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(6812), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8055), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8061), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(8057), 7,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [343348] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6813), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [343388] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6814), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7704), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8316), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [343428] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6815), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7716), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8324), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [343468] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6816), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9021), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9023), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [343508] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6817), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9455), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9457), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [343548] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6818), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [343588] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6819), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7710), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8404), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [343628] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7580), 1,
      sym__backquoted_id,
    ACTIONS(7696), 1,
      anon_sym_finally,
    ACTIONS(10659), 1,
      anon_sym_COLON,
    ACTIONS(10661), 1,
      anon_sym_LBRACE,
    ACTIONS(10663), 1,
      anon_sym_with,
    STATE(7273), 1,
      aux_sym_compound_type_repeat1,
    STATE(10350), 1,
      sym__refinement,
    STATE(10423), 1,
      sym_template_body,
    ACTIONS(7698), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6820), 2,
      sym_comment,
      sym_block_comment,
    STATE(10453), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7694), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(7574), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [343688] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5819), 1,
      sym_identifier,
    STATE(8951), 1,
      sym__soft_identifier,
    STATE(6821), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9985), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9983), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [343732] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10692), 1,
      anon_sym_LPAREN,
    STATE(8395), 1,
      sym_arguments,
    STATE(6822), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(7788), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7786), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [343776] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6823), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9067), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9065), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [343816] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8455), 1,
      anon_sym_COLON,
    ACTIONS(8459), 1,
      anon_sym_with,
    STATE(7356), 1,
      aux_sym_compound_type_repeat1,
    STATE(8153), 1,
      sym_template_body,
    STATE(8154), 1,
      sym__refinement,
    STATE(6824), 2,
      sym_comment,
      sym_block_comment,
    STATE(8307), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7580), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7574), 13,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [343868] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6825), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7330), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8360), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [343908] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6826), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9029), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9031), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [343948] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6827), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7584), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [343988] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6828), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8227), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8225), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [344028] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6829), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7716), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8324), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [344068] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6830), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7704), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8316), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [344108] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6831), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9550), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9548), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [344148] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6832), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8095), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8093), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [344188] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6833), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7000), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [344228] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6834), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7716), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8324), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [344268] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6835), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7714), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8406), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [344308] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6836), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7764), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7762), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [344348] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7879), 1,
      sym__end_marker,
    STATE(6837), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9292), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9290), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [344390] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6838), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7704), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8316), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [344430] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6839), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7552), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8326), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [344470] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9556), 1,
      anon_sym_AT,
    STATE(7043), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8099), 1,
      sym_annotation,
    STATE(6840), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8288), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [344516] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6841), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7000), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [344556] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6842), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8267), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [344596] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6843), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7330), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8360), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [344636] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6844), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7372), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8402), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [344676] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6845), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9642), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9640), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [344716] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6846), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9638), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9636), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [344756] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6847), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9589), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9587), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [344796] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6848), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9462), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9464), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [344836] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6849), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9546), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9544), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [344876] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6850), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7330), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8360), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [344916] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6851), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9542), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9540), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [344956] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6852), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9566), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9564), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [344996] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6853), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8267), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [345036] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10521), 1,
      anon_sym_EQ_GT,
    STATE(6854), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8271), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [345078] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6855), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7112), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7110), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [345118] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6856), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7704), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8316), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [345158] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6857), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7552), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8326), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [345198] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6858), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7716), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8324), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [345238] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6859), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7552), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8326), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [345278] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6860), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7330), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8360), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [345318] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6861), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9580), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9578), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [345358] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10695), 1,
      anon_sym_AT,
    STATE(8201), 1,
      sym_annotation,
    STATE(6862), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8283), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8281), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [345402] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6863), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7000), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [345442] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6864), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7720), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8435), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [345482] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6865), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [345522] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6866), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7716), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8324), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [345562] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10698), 1,
      anon_sym_COLON,
    ACTIONS(10700), 1,
      anon_sym_LBRACE,
    ACTIONS(10702), 1,
      anon_sym_with,
    STATE(9426), 1,
      aux_sym_compound_type_repeat1,
    STATE(10456), 1,
      sym__refinement,
    STATE(10556), 1,
      sym_template_body,
    STATE(6867), 2,
      sym_comment,
      sym_block_comment,
    STATE(10540), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7668), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7666), 12,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [345616] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6868), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7764), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7762), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [345656] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6869), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7498), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7496), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [345696] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10410), 1,
      anon_sym_LBRACK,
    ACTIONS(10412), 1,
      anon_sym_AT,
    ACTIONS(10416), 1,
      anon_sym_POUND,
    STATE(8148), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8890), 1,
      sym_type_arguments,
    STATE(9538), 1,
      sym_annotation,
    STATE(6870), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [345748] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7580), 1,
      sym__backquoted_id,
    ACTIONS(7696), 1,
      anon_sym_EQ,
    ACTIONS(10704), 1,
      anon_sym_COLON,
    ACTIONS(10706), 1,
      anon_sym_LBRACE,
    ACTIONS(10708), 1,
      anon_sym_with,
    STATE(7226), 1,
      aux_sym_compound_type_repeat1,
    STATE(10270), 1,
      sym_template_body,
    STATE(10285), 1,
      sym__refinement,
    ACTIONS(7698), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6871), 2,
      sym_comment,
      sym_block_comment,
    STATE(10180), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7694), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(7574), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [345808] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6872), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9542), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9540), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [345848] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6873), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8835), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8833), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [345888] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6874), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9404), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9406), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [345928] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6875), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7552), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8326), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [345968] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10710), 1,
      anon_sym_AT,
    STATE(8485), 1,
      sym_annotation,
    STATE(6876), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8283), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8281), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [346012] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6877), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9538), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9536), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [346052] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7640), 1,
      anon_sym_DQUOTE,
    ACTIONS(10713), 1,
      sym__interpolated_multiline_string_start,
    STATE(9977), 1,
      sym_interpolated_string,
    STATE(15018), 1,
      sym__interpolated_string_start,
    ACTIONS(7638), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6878), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [346102] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10715), 1,
      anon_sym_COLON,
    ACTIONS(10718), 1,
      anon_sym_LBRACE,
    STATE(8971), 1,
      sym_template_body,
    STATE(5088), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(6879), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8549), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8541), 13,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [346150] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6880), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9538), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9536), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [346190] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6881), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7716), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8324), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [346230] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10551), 1,
      anon_sym_DOT,
    ACTIONS(10721), 1,
      anon_sym_EQ_GT,
    STATE(6882), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [346274] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6883), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9404), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9406), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [346314] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9864), 1,
      anon_sym_LPAREN,
    STATE(7006), 1,
      aux_sym_annotation_repeat1,
    STATE(8495), 1,
      sym_arguments,
    STATE(6884), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7817), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7815), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [346360] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6885), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8835), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8833), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [346400] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6886), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7704), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8316), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [346440] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6887), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9546), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9544), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [346480] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10723), 1,
      anon_sym_type,
    STATE(6888), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(4132), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
  [346522] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6889), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9159), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9161), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [346562] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6890), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10047), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10045), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [346602] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6891), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10041), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10039), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [346642] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6892), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9550), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9548), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [346682] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7580), 1,
      sym__backquoted_id,
    ACTIONS(8455), 1,
      anon_sym_COLON,
    ACTIONS(8459), 1,
      anon_sym_with,
    ACTIONS(10725), 1,
      anon_sym_LBRACE,
    STATE(7356), 1,
      aux_sym_compound_type_repeat1,
    STATE(8153), 1,
      sym_template_body,
    STATE(8154), 1,
      sym__refinement,
    ACTIONS(7696), 2,
      anon_sym_case,
      anon_sym_EQ,
    ACTIONS(7698), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6893), 2,
      sym_comment,
      sym_block_comment,
    STATE(8307), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7694), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(7574), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [346742] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6894), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8271), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [346782] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6895), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8227), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8225), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [346822] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7338), 1,
      anon_sym_DOT,
    STATE(6896), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [346864] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6897), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [346904] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6898), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9554), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9552), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [346944] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6899), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7584), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8358), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [346984] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6900), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8027), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8683), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [347024] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6901), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7112), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7110), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [347064] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6902), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8095), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8093), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [347104] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6903), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8159), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [347144] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6904), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8267), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [347184] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6905), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7330), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8360), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [347224] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6906), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9534), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9532), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [347264] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9176), 1,
      anon_sym_LPAREN,
    STATE(6927), 1,
      aux_sym_annotation_repeat1,
    STATE(8138), 1,
      sym_arguments,
    STATE(6907), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7817), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7815), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [347310] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6908), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8027), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8683), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [347350] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7580), 1,
      sym__backquoted_id,
    ACTIONS(9591), 1,
      anon_sym_COLON,
    ACTIONS(9595), 1,
      anon_sym_with,
    ACTIONS(10728), 1,
      anon_sym_LBRACE,
    STATE(7344), 1,
      aux_sym_compound_type_repeat1,
    STATE(9615), 1,
      sym__refinement,
    STATE(9850), 1,
      sym_template_body,
    ACTIONS(7696), 2,
      anon_sym_case,
      anon_sym_EQ,
    ACTIONS(7698), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6909), 2,
      sym_comment,
      sym_block_comment,
    STATE(9631), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7694), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
    ACTIONS(7574), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [347410] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10731), 1,
      anon_sym_with,
    STATE(6910), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(8804), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8802), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [347452] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9806), 1,
      anon_sym_LPAREN,
    STATE(6939), 1,
      aux_sym_annotation_repeat1,
    STATE(8481), 1,
      sym_arguments,
    STATE(6911), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7817), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7815), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [347498] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6912), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10058), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [347538] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6913), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7584), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [347578] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10490), 1,
      anon_sym_EQ_GT,
    STATE(6914), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8271), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [347620] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6915), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7704), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8316), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [347660] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6916), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [347700] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6917), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9998), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9996), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [347740] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6918), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8267), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [347780] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7338), 1,
      anon_sym_DOT,
    STATE(6919), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [347822] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6920), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8392), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [347862] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6921), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [347902] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6922), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8027), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8683), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [347942] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6923), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7764), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7762), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [347982] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6924), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9589), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9587), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [348022] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6925), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8271), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [348062] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6926), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7716), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8324), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [348102] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10734), 1,
      anon_sym_LPAREN,
    STATE(8138), 1,
      sym_arguments,
    STATE(6927), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(7788), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7786), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [348146] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6928), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9067), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9065), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [348186] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6929), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8392), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [348226] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6930), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9404), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9406), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [348266] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6931), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9067), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9065), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [348306] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6932), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7552), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8326), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [348346] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6933), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7710), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8404), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [348386] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10737), 1,
      anon_sym_AT,
    STATE(8523), 1,
      sym_annotation,
    STATE(6934), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8283), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8281), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [348430] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6935), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10073), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10071), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [348470] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6936), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10075), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [348510] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9425), 1,
      anon_sym_AT,
    STATE(6934), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8523), 1,
      sym_annotation,
    STATE(6937), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8288), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [348556] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6938), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9462), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9464), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [348596] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10740), 1,
      anon_sym_LPAREN,
    STATE(8481), 1,
      sym_arguments,
    STATE(6939), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(7788), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7786), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [348640] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6940), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7330), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8360), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [348680] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6941), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9977), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9975), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [348720] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10374), 1,
      anon_sym_LBRACK,
    ACTIONS(10378), 1,
      anon_sym_POUND,
    ACTIONS(10743), 1,
      anon_sym_AT,
    STATE(8336), 1,
      sym_type_arguments,
    STATE(8663), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9559), 1,
      sym_annotation,
    STATE(6942), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [348772] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6943), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7584), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [348812] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6944), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9959), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9957), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [348852] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6945), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9566), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9564), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [348892] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8773), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6946), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8771), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8769), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [348934] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6947), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8392), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [348974] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10745), 1,
      anon_sym_COLON,
    ACTIONS(10748), 1,
      anon_sym_LBRACE,
    STATE(9019), 1,
      sym_template_body,
    STATE(6948), 2,
      sym_comment,
      sym_block_comment,
    STATE(9104), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8549), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8541), 13,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [349022] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8063), 1,
      anon_sym_EQ,
    STATE(621), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(6949), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8231), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8229), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [349068] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6950), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8392), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [349108] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6951), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [349148] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6952), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7720), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8435), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [349188] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6953), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7714), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8406), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [349228] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6954), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [349268] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6955), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7710), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8404), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [349308] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6956), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8267), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [349348] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6957), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7372), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8402), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [349388] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6958), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7372), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8402), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [349428] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6959), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9455), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9457), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [349468] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10751), 1,
      anon_sym_COLON,
    ACTIONS(10754), 1,
      anon_sym_LBRACE,
    STATE(9006), 1,
      sym_template_body,
    STATE(6960), 2,
      sym_comment,
      sym_block_comment,
    STATE(9060), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8549), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8541), 13,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [349516] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6961), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7720), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8435), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [349556] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10757), 1,
      anon_sym_AT,
    STATE(8123), 1,
      sym_annotation,
    STATE(6962), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8283), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8281), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [349600] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6963), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7714), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8406), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [349640] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6964), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9447), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [349680] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6965), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8392), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [349720] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9269), 1,
      anon_sym_LPAREN,
    STATE(7056), 1,
      aux_sym_annotation_repeat1,
    STATE(8347), 1,
      sym_arguments,
    STATE(6966), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7817), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7815), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [349766] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9781), 1,
      anon_sym_LPAREN,
    STATE(6981), 1,
      aux_sym_annotation_repeat1,
    STATE(8509), 1,
      sym_arguments,
    STATE(6967), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7817), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7815), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [349812] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6968), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9449), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9451), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [349852] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6969), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7552), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8326), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [349892] = 20,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10651), 1,
      anon_sym_PLUS,
    ACTIONS(10653), 1,
      anon_sym_DASH,
    ACTIONS(10655), 1,
      anon_sym_AT,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(10760), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(8478), 1,
      aux_sym_enum_definition_repeat1,
    STATE(11328), 1,
      sym_annotation,
    STATE(15537), 1,
      sym__variant_type_parameter,
    STATE(15641), 1,
      sym__type_parameter,
    STATE(6970), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    STATE(15646), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [349962] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6971), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [350002] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6972), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7584), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [350042] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6973), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8095), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8093), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [350082] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10410), 1,
      anon_sym_LBRACK,
    ACTIONS(10416), 1,
      anon_sym_POUND,
    ACTIONS(10762), 1,
      anon_sym_LPAREN,
    STATE(8312), 1,
      aux_sym_annotation_repeat1,
    STATE(8890), 1,
      sym_type_arguments,
    STATE(9294), 1,
      sym_arguments,
    STATE(6974), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7530), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7528), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [350134] = 20,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10651), 1,
      anon_sym_PLUS,
    ACTIONS(10653), 1,
      anon_sym_DASH,
    ACTIONS(10655), 1,
      anon_sym_AT,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(10764), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(8478), 1,
      aux_sym_enum_definition_repeat1,
    STATE(11328), 1,
      sym_annotation,
    STATE(15537), 1,
      sym__variant_type_parameter,
    STATE(15641), 1,
      sym__type_parameter,
    STATE(6975), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    STATE(15646), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [350204] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6976), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8271), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [350244] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6977), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [350284] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6978), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8095), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8093), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [350324] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6979), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7372), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8402), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [350364] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6980), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8227), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8225), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [350404] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10766), 1,
      anon_sym_LPAREN,
    STATE(8509), 1,
      sym_arguments,
    STATE(6981), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(7788), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7786), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [350448] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10723), 1,
      anon_sym_type,
    STATE(6982), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(4132), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
  [350490] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6983), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8392), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [350530] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6984), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [350570] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6985), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7720), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8435), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [350610] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6986), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7704), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8316), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [350650] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6987), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8267), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [350690] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6988), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9144), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9146), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [350730] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7514), 1,
      sym_arguments,
    STATE(6989), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7498), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7496), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [350772] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6990), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7764), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7762), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [350812] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6991), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7330), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8360), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [350852] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7638), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6992), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(2515), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [350894] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1770), 1,
      anon_sym_LBRACE,
    ACTIONS(8063), 1,
      anon_sym_EQ,
    ACTIONS(9825), 1,
      anon_sym_LPAREN,
    ACTIONS(10769), 1,
      anon_sym_DOT,
    STATE(621), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(6993), 2,
      sym_comment,
      sym_block_comment,
    STATE(9867), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8231), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8229), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [350948] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6994), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7710), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8404), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [350988] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6995), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9447), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [351028] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6996), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8027), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8683), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [351068] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6997), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9134), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9136), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [351108] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6998), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8227), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8225), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [351148] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6999), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7714), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8406), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [351188] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7000), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9130), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9132), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [351228] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7001), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7330), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8360), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [351268] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7002), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7710), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8404), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [351308] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7003), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9449), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9451), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [351348] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7004), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7330), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8360), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [351388] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7005), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [351428] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10771), 1,
      anon_sym_LPAREN,
    STATE(8495), 1,
      sym_arguments,
    STATE(7006), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(7788), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7786), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [351472] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7007), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7330), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8360), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [351512] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10774), 1,
      anon_sym_with,
    STATE(7008), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(8804), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8802), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [351554] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7009), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7714), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8406), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [351594] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7010), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8227), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8225), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [351634] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7011), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8271), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [351674] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7012), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7710), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8404), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [351714] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10777), 1,
      anon_sym_DOT,
    STATE(7013), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [351756] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7014), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9180), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9182), 19,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [351796] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8690), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7015), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [351838] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7016), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [351878] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7017), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10047), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10045), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [351918] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2088), 1,
      anon_sym_LBRACE,
    ACTIONS(9812), 1,
      anon_sym_LPAREN,
    ACTIONS(10779), 1,
      anon_sym_DOT,
    STATE(621), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(7018), 2,
      sym_comment,
      sym_block_comment,
    STATE(9709), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8241), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8239), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [351970] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7019), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7720), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8435), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [352010] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7020), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9449), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9451), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [352050] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7021), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7710), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8404), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [352090] = 20,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10651), 1,
      anon_sym_PLUS,
    ACTIONS(10653), 1,
      anon_sym_DASH,
    ACTIONS(10655), 1,
      anon_sym_AT,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(10781), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(8478), 1,
      aux_sym_enum_definition_repeat1,
    STATE(11328), 1,
      sym_annotation,
    STATE(15537), 1,
      sym__variant_type_parameter,
    STATE(15641), 1,
      sym__type_parameter,
    STATE(7022), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    STATE(15646), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [352160] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10783), 1,
      anon_sym_AT,
    STATE(8325), 1,
      sym_annotation,
    STATE(7023), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8283), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8281), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [352204] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7024), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9754), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9752), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [352244] = 20,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10651), 1,
      anon_sym_PLUS,
    ACTIONS(10653), 1,
      anon_sym_DASH,
    ACTIONS(10655), 1,
      anon_sym_AT,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(10786), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(8478), 1,
      aux_sym_enum_definition_repeat1,
    STATE(11328), 1,
      sym_annotation,
    STATE(15537), 1,
      sym__variant_type_parameter,
    STATE(15641), 1,
      sym__type_parameter,
    STATE(7025), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    STATE(15646), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [352314] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2088), 1,
      anon_sym_LBRACE,
    ACTIONS(8051), 1,
      sym__alpha_identifier,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8063), 1,
      anon_sym_EQ,
    ACTIONS(8065), 1,
      sym__backquoted_id,
    ACTIONS(9812), 1,
      anon_sym_LPAREN,
    ACTIONS(10779), 1,
      anon_sym_DOT,
    ACTIONS(10788), 1,
      sym_operator_identifier,
    STATE(1794), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    ACTIONS(8057), 2,
      anon_sym_match,
      anon_sym_finally,
    STATE(7026), 2,
      sym_comment,
      sym_block_comment,
    STATE(9709), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8055), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8061), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [352378] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7027), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7330), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8360), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [352418] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7028), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8095), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8093), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [352458] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7029), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7552), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8326), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [352498] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10790), 1,
      anon_sym_DOT,
    STATE(7030), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [352540] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7031), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7584), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [352580] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7032), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8392), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [352620] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7033), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9534), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9532), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [352660] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7034), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8835), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8833), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [352700] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7035), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7716), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8324), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [352740] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7640), 1,
      anon_sym_DQUOTE,
    ACTIONS(8466), 1,
      sym__interpolated_multiline_string_start,
    STATE(8031), 1,
      sym_interpolated_string,
    STATE(14410), 1,
      sym__interpolated_string_start,
    ACTIONS(10496), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7036), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [352790] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7037), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [352830] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7038), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9789), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9787), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [352870] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7039), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7704), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8316), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [352910] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9494), 1,
      sym__backquoted_id,
    STATE(4323), 1,
      aux_sym_modifiers_repeat1,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(7040), 2,
      sym_comment,
      sym_block_comment,
    STATE(6204), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
    ACTIONS(10792), 10,
      anon_sym_end,
      anon_sym_val,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [352958] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7041), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7372), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8402), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [352998] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7042), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8271), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [353038] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10794), 1,
      anon_sym_AT,
    STATE(8099), 1,
      sym_annotation,
    STATE(7043), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8283), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8281), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [353082] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7044), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8392), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [353122] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7045), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8267), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [353162] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7046), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7716), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8324), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [353202] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10280), 1,
      anon_sym_DOT,
    ACTIONS(10797), 1,
      anon_sym_EQ_GT,
    STATE(7047), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [353246] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7048), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7704), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8316), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [353286] = 20,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10651), 1,
      anon_sym_PLUS,
    ACTIONS(10653), 1,
      anon_sym_DASH,
    ACTIONS(10655), 1,
      anon_sym_AT,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(10799), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(8478), 1,
      aux_sym_enum_definition_repeat1,
    STATE(11328), 1,
      sym_annotation,
    STATE(15537), 1,
      sym__variant_type_parameter,
    STATE(15641), 1,
      sym__type_parameter,
    STATE(7049), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    STATE(15646), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [353356] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10698), 1,
      anon_sym_COLON,
    ACTIONS(10700), 1,
      anon_sym_LBRACE,
    ACTIONS(10702), 1,
      anon_sym_with,
    STATE(6867), 1,
      aux_sym_compound_type_repeat1,
    STATE(10556), 1,
      sym_template_body,
    STATE(10561), 1,
      sym__refinement,
    STATE(7050), 2,
      sym_comment,
      sym_block_comment,
    STATE(10540), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7580), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7574), 12,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [353410] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7051), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7552), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8326), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [353450] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7052), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7710), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8404), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [353490] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2088), 1,
      anon_sym_LBRACE,
    ACTIONS(8063), 1,
      anon_sym_EQ,
    ACTIONS(9812), 1,
      anon_sym_LPAREN,
    ACTIONS(10779), 1,
      anon_sym_DOT,
    STATE(621), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(7053), 2,
      sym_comment,
      sym_block_comment,
    STATE(9709), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8231), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8229), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [353544] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7054), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7720), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8435), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [353584] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7055), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9159), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9161), 19,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [353624] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10801), 1,
      anon_sym_LPAREN,
    STATE(8347), 1,
      sym_arguments,
    STATE(7056), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(7788), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7786), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [353668] = 20,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10651), 1,
      anon_sym_PLUS,
    ACTIONS(10653), 1,
      anon_sym_DASH,
    ACTIONS(10655), 1,
      anon_sym_AT,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(10804), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(8478), 1,
      aux_sym_enum_definition_repeat1,
    STATE(11328), 1,
      sym_annotation,
    STATE(15537), 1,
      sym__variant_type_parameter,
    STATE(15641), 1,
      sym__type_parameter,
    STATE(7057), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    STATE(15646), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [353738] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10704), 1,
      anon_sym_COLON,
    ACTIONS(10706), 1,
      anon_sym_LBRACE,
    ACTIONS(10708), 1,
      anon_sym_with,
    STATE(7226), 1,
      aux_sym_compound_type_repeat1,
    STATE(10270), 1,
      sym_template_body,
    STATE(10285), 1,
      sym__refinement,
    STATE(7058), 2,
      sym_comment,
      sym_block_comment,
    STATE(10180), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7580), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7574), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [353792] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7059), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8392), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [353832] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7060), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7372), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8402), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [353872] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7061), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8027), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8683), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [353912] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7062), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [353952] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7063), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7714), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8406), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [353992] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7064), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9959), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9957), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [354032] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7065), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9134), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9136), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [354072] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7066), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7330), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8360), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [354112] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7067), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7000), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [354152] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7068), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7330), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8360), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [354192] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7069), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7720), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8435), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [354232] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7640), 1,
      anon_sym_DQUOTE,
    ACTIONS(10713), 1,
      sym__interpolated_multiline_string_start,
    STATE(9977), 1,
      sym_interpolated_string,
    STATE(15018), 1,
      sym__interpolated_string_start,
    ACTIONS(10806), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7070), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [354282] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10808), 1,
      anon_sym_COLON,
    ACTIONS(10810), 1,
      anon_sym_LBRACE,
    ACTIONS(10812), 1,
      anon_sym_with,
    STATE(9355), 1,
      aux_sym_compound_type_repeat1,
    STATE(10537), 1,
      sym__refinement,
    STATE(10550), 1,
      sym_template_body,
    STATE(7071), 2,
      sym_comment,
      sym_block_comment,
    STATE(10415), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7668), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7666), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [354336] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7072), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8227), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8225), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [354376] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7073), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9082), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9084), 19,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [354416] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7074), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7584), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [354456] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7075), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10041), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10039), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [354496] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8729), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7076), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [354538] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1318), 1,
      anon_sym_LBRACE,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8342), 1,
      anon_sym_LPAREN,
    ACTIONS(8928), 1,
      anon_sym_DOT,
    ACTIONS(9898), 1,
      sym__alpha_identifier,
    ACTIONS(9904), 1,
      sym__backquoted_id,
    ACTIONS(9906), 1,
      sym_operator_identifier,
    ACTIONS(10814), 1,
      anon_sym_EQ,
    STATE(542), 1,
      sym_identifier,
    STATE(4035), 1,
      sym__soft_identifier,
    ACTIONS(8733), 2,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    STATE(7077), 2,
      sym_comment,
      sym_block_comment,
    STATE(7988), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8737), 4,
      anon_sym_while,
      anon_sym_match,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(9900), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [354602] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10816), 1,
      anon_sym_with,
    STATE(7078), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(8804), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8802), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [354644] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7079), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9977), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9975), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [354684] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7080), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8392), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [354724] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7081), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8159), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [354764] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7082), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8392), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [354804] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10819), 1,
      anon_sym_with,
    STATE(7083), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(8804), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8802), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [354846] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7084), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8267), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [354886] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7580), 1,
      sym__backquoted_id,
    ACTIONS(10223), 1,
      anon_sym_LBRACE,
    ACTIONS(10225), 1,
      anon_sym_with,
    ACTIONS(10822), 1,
      anon_sym_COLON,
    STATE(6230), 1,
      aux_sym_compound_type_repeat1,
    STATE(10152), 1,
      sym_template_body,
    STATE(10163), 1,
      sym__refinement,
    ACTIONS(7694), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(7698), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7085), 2,
      sym_comment,
      sym_block_comment,
    STATE(10080), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7696), 3,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_PIPE,
    ACTIONS(7574), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [354946] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7086), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8271), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [354986] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7087), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7764), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7762), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [355026] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7088), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [355066] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7089), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8271), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [355106] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7090), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9580), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9578), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [355146] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7091), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7710), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8404), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [355186] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10825), 1,
      anon_sym_with,
    STATE(7092), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(8804), 7,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8802), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [355228] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7093), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7584), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [355268] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7094), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7000), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [355308] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10139), 1,
      anon_sym_AT,
    STATE(7276), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8621), 1,
      sym_annotation,
    STATE(7095), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8288), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [355354] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7096), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7714), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8406), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [355394] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7097), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8267), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [355434] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7098), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7704), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8316), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [355474] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7099), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8095), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8093), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [355514] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7640), 1,
      anon_sym_DQUOTE,
    ACTIONS(8920), 1,
      sym__interpolated_multiline_string_start,
    STATE(8568), 1,
      sym_interpolated_string,
    STATE(15261), 1,
      sym__interpolated_string_start,
    ACTIONS(10828), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7100), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 6,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [355564] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7101), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7552), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8326), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [355604] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7102), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9021), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9023), 19,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [355644] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7103), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7716), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8324), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [355684] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7104), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7764), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7762), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [355724] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7105), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7764), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7762), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [355764] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7106), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7720), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8435), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [355804] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7107), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7552), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8326), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [355844] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7108), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9029), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9031), 19,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [355884] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(477), 1,
      anon_sym_LBRACE,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(9427), 1,
      anon_sym_LPAREN,
    ACTIONS(10203), 1,
      anon_sym_DOT,
    ACTIONS(10830), 1,
      sym__alpha_identifier,
    ACTIONS(10834), 1,
      anon_sym_EQ,
    ACTIONS(10836), 1,
      sym__backquoted_id,
    ACTIONS(10838), 1,
      sym_operator_identifier,
    STATE(625), 1,
      sym_identifier,
    STATE(4072), 1,
      sym__soft_identifier,
    ACTIONS(8737), 2,
      anon_sym_if,
      anon_sym_match,
    STATE(7109), 2,
      sym_comment,
      sym_block_comment,
    STATE(9375), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8733), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(10832), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [355948] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7640), 1,
      anon_sym_DQUOTE,
    ACTIONS(8724), 1,
      sym__interpolated_multiline_string_start,
    STATE(8152), 1,
      sym_interpolated_string,
    STATE(15062), 1,
      sym__interpolated_string_start,
    ACTIONS(10840), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7110), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(2515), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [355998] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7111), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7716), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8324), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [356038] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7112), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7716), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8324), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [356078] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7113), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7552), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8326), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [356118] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8985), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7114), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [356160] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8745), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7115), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [356202] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10842), 1,
      anon_sym_LBRACK,
    ACTIONS(10844), 1,
      anon_sym_LPAREN,
    ACTIONS(10846), 1,
      anon_sym_POUND,
    STATE(8708), 1,
      sym_type_arguments,
    STATE(9035), 1,
      aux_sym_annotation_repeat1,
    STATE(9721), 1,
      sym_arguments,
    STATE(7116), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7530), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(7528), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [356254] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7117), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7372), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8402), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [356294] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10848), 1,
      anon_sym_with,
    STATE(7118), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(8804), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8802), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [356336] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7119), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8271), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [356376] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7120), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8027), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8683), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [356416] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7121), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8267), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [356456] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7122), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7704), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8316), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [356496] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7123), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [356536] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7124), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8095), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8093), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [356576] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7125), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9998), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9996), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [356616] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10366), 1,
      anon_sym_EQ_GT,
    STATE(7126), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8271), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [356658] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7127), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7704), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8316), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [356698] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7128), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9550), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9548), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [356738] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7129), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8267), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [356778] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7130), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9754), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9752), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [356818] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7131), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8835), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8833), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [356858] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7132), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10058), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 19,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [356898] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7133), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8392), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [356938] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7134), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7372), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8402), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [356978] = 20,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10651), 1,
      anon_sym_PLUS,
    ACTIONS(10653), 1,
      anon_sym_DASH,
    ACTIONS(10655), 1,
      anon_sym_AT,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(10851), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(8478), 1,
      aux_sym_enum_definition_repeat1,
    STATE(11328), 1,
      sym_annotation,
    STATE(15537), 1,
      sym__variant_type_parameter,
    STATE(15641), 1,
      sym__type_parameter,
    STATE(7135), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    STATE(15646), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [357048] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7136), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9029), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9031), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [357088] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7137), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9789), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9787), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [357128] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7138), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8392), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [357168] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7139), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8227), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8225), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [357208] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8773), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7140), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8771), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8769), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [357250] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7141), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7764), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7762), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [357290] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7142), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8271), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [357330] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7143), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7764), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7762), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [357370] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7144), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8227), 25,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
  [357408] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10853), 1,
      anon_sym_with,
    STATE(7145), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(8804), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8802), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [357450] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10197), 1,
      anon_sym_LBRACK,
    ACTIONS(10201), 1,
      anon_sym_POUND,
    ACTIONS(10856), 1,
      anon_sym_AT,
    STATE(8162), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8274), 1,
      sym_type_arguments,
    STATE(9564), 1,
      sym_annotation,
    STATE(7146), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 14,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [357502] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10437), 1,
      anon_sym_LBRACK,
    ACTIONS(10441), 1,
      anon_sym_POUND,
    ACTIONS(10858), 1,
      anon_sym_AT,
    STATE(8241), 1,
      sym_type_arguments,
    STATE(8978), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9759), 1,
      sym_annotation,
    STATE(7147), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(7464), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [357554] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7148), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7552), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8326), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [357594] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7149), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8027), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8683), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [357634] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7150), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7714), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8406), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [357674] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7151), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10073), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10071), 19,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [357714] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7152), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10075), 19,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [357754] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7638), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7153), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [357796] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7154), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8267), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [357836] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7155), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [357876] = 20,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10651), 1,
      anon_sym_PLUS,
    ACTIONS(10653), 1,
      anon_sym_DASH,
    ACTIONS(10655), 1,
      anon_sym_AT,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(10860), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(8478), 1,
      aux_sym_enum_definition_repeat1,
    STATE(11328), 1,
      sym_annotation,
    STATE(15537), 1,
      sym__variant_type_parameter,
    STATE(15641), 1,
      sym__type_parameter,
    STATE(7156), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    STATE(15646), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [357946] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10089), 1,
      anon_sym_AT,
    STATE(6862), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8201), 1,
      sym_annotation,
    STATE(7157), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8288), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [357992] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7158), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7720), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8435), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [358032] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7159), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9021), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9023), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [358072] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10034), 1,
      anon_sym_AT,
    STATE(6694), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8405), 1,
      sym_annotation,
    STATE(7160), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8288), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [358118] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10632), 1,
      anon_sym_COLON,
    ACTIONS(10634), 1,
      anon_sym_LBRACE,
    ACTIONS(10636), 1,
      anon_sym_with,
    STATE(9363), 1,
      aux_sym_compound_type_repeat1,
    STATE(10373), 1,
      sym_template_body,
    STATE(10562), 1,
      sym__refinement,
    STATE(7161), 2,
      sym_comment,
      sym_block_comment,
    STATE(10424), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7668), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7666), 13,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [358172] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7162), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9554), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9552), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [358212] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10862), 1,
      anon_sym_DOT,
    STATE(7163), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [358254] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7580), 1,
      sym__backquoted_id,
    ACTIONS(7696), 1,
      anon_sym_STAR,
    ACTIONS(10698), 1,
      anon_sym_COLON,
    ACTIONS(10700), 1,
      anon_sym_LBRACE,
    ACTIONS(10702), 1,
      anon_sym_with,
    STATE(6867), 1,
      aux_sym_compound_type_repeat1,
    STATE(10556), 1,
      sym_template_body,
    STATE(10561), 1,
      sym__refinement,
    ACTIONS(7698), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7164), 2,
      sym_comment,
      sym_block_comment,
    STATE(10540), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7694), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(7574), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [358314] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9700), 1,
      anon_sym_LPAREN,
    STATE(7179), 1,
      aux_sym_annotation_repeat1,
    STATE(8582), 1,
      sym_arguments,
    STATE(7165), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7817), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7815), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [358360] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(477), 1,
      anon_sym_LBRACE,
    ACTIONS(8063), 1,
      anon_sym_EQ,
    ACTIONS(8733), 1,
      anon_sym_LBRACK,
    ACTIONS(8737), 1,
      anon_sym_match,
    ACTIONS(9427), 1,
      anon_sym_LPAREN,
    ACTIONS(10203), 1,
      anon_sym_DOT,
    ACTIONS(10830), 1,
      sym__alpha_identifier,
    ACTIONS(10836), 1,
      sym__backquoted_id,
    ACTIONS(10838), 1,
      sym_operator_identifier,
    STATE(625), 1,
      sym_identifier,
    STATE(4072), 1,
      sym__soft_identifier,
    ACTIONS(8053), 2,
      anon_sym_COLON,
      anon_sym_if,
    STATE(7166), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9498), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
    STATE(9375), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(10832), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [358426] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7167), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8267), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [358466] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7168), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [358506] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7706), 1,
      sym__end_marker,
    STATE(7169), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9292), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9290), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [358548] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7170), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7714), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8406), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [358588] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7171), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9130), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9132), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [358628] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7172), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9546), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9544), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [358668] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7173), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8095), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8093), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [358708] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7174), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7330), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8360), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [358748] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7175), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8271), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [358788] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7176), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7710), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8404), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [358828] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7177), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7372), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8402), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [358868] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7178), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7584), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [358908] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10864), 1,
      anon_sym_LPAREN,
    STATE(8582), 1,
      sym_arguments,
    STATE(7179), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(7788), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7786), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [358952] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7180), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7704), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8316), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [358992] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7181), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8095), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8093), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [359032] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10867), 1,
      anon_sym_AT,
    STATE(8094), 1,
      sym_annotation,
    STATE(7182), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8283), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8281), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [359076] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7183), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9082), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9084), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [359116] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7184), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8392), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [359156] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7185), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9542), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9540), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [359196] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7186), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9067), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9065), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [359236] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7187), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7552), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8326), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [359276] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1770), 1,
      anon_sym_LBRACE,
    ACTIONS(8051), 1,
      sym__alpha_identifier,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8063), 1,
      anon_sym_EQ,
    ACTIONS(8065), 1,
      sym__backquoted_id,
    ACTIONS(9825), 1,
      anon_sym_LPAREN,
    ACTIONS(10769), 1,
      anon_sym_DOT,
    ACTIONS(10870), 1,
      sym_operator_identifier,
    STATE(1766), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    ACTIONS(8057), 2,
      anon_sym_match,
      anon_sym_else,
    STATE(7188), 2,
      sym_comment,
      sym_block_comment,
    STATE(9867), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8055), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8061), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [359340] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10872), 1,
      anon_sym_with,
    STATE(7189), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(8804), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8802), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [359382] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7190), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7372), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8402), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [359422] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7191), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7716), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8324), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [359462] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7192), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9159), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9161), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [359502] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7193), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8392), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [359542] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7194), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9067), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9065), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [359582] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7195), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7584), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8358), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [359622] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7196), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7716), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8324), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [359662] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7197), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7552), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8326), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [359702] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7198), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8267), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [359742] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7199), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7330), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8360), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [359782] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8051), 1,
      sym__alpha_identifier,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8065), 1,
      sym__backquoted_id,
    ACTIONS(8067), 1,
      sym_operator_identifier,
    STATE(1685), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(7200), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8055), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8061), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(8057), 8,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [359836] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7201), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10041), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10039), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [359876] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7202), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8835), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8833), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [359916] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1770), 1,
      anon_sym_LBRACE,
    ACTIONS(9825), 1,
      anon_sym_LPAREN,
    ACTIONS(10769), 1,
      anon_sym_DOT,
    STATE(621), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(7203), 2,
      sym_comment,
      sym_block_comment,
    STATE(9867), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8241), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8239), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [359968] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7204), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7710), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8404), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [360008] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7205), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9462), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9464), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [360048] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7206), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9180), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9182), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [360088] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7207), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [360128] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7208), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [360168] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7209), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9067), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9065), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [360208] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7210), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8159), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [360248] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7211), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10047), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10045), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [360288] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7212), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7704), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8316), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [360328] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7580), 1,
      sym__backquoted_id,
    ACTIONS(7698), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7213), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7694), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(7696), 8,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(7574), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [360374] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7214), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8227), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8225), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [360414] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10875), 1,
      anon_sym_COLON,
    ACTIONS(10878), 1,
      anon_sym_LBRACE,
    STATE(9242), 1,
      sym_template_body,
    STATE(7215), 2,
      sym_comment,
      sym_block_comment,
    STATE(9129), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8549), 6,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8541), 14,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [360462] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7216), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7714), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8406), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [360502] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7217), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8267), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [360542] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7218), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7552), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8326), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [360582] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8749), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7219), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [360624] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10306), 1,
      anon_sym_EQ_GT,
    STATE(7220), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8271), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [360666] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7221), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8392), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [360706] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9080), 1,
      anon_sym_AT,
    STATE(7368), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8667), 1,
      sym_annotation,
    STATE(7222), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8288), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [360752] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7223), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8227), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8225), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [360792] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1770), 1,
      anon_sym_LBRACE,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(9825), 1,
      anon_sym_LPAREN,
    ACTIONS(10769), 1,
      anon_sym_DOT,
    ACTIONS(10881), 1,
      sym__alpha_identifier,
    ACTIONS(10885), 1,
      anon_sym_EQ,
    ACTIONS(10887), 1,
      sym__backquoted_id,
    ACTIONS(10889), 1,
      sym_operator_identifier,
    STATE(562), 1,
      sym_identifier,
    STATE(4070), 1,
      sym__soft_identifier,
    ACTIONS(8737), 2,
      anon_sym_match,
      anon_sym_else,
    STATE(7224), 2,
      sym_comment,
      sym_block_comment,
    STATE(9867), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8733), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(10883), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [360856] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7225), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7716), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8324), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [360896] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10704), 1,
      anon_sym_COLON,
    ACTIONS(10706), 1,
      anon_sym_LBRACE,
    ACTIONS(10708), 1,
      anon_sym_with,
    STATE(9529), 1,
      aux_sym_compound_type_repeat1,
    STATE(10227), 1,
      sym__refinement,
    STATE(10270), 1,
      sym_template_body,
    STATE(7226), 2,
      sym_comment,
      sym_block_comment,
    STATE(10180), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7668), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7666), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [360950] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8757), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7227), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [360992] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7228), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9642), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9640), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [361032] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9791), 1,
      anon_sym_AT,
    STATE(7258), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8171), 1,
      sym_annotation,
    STATE(7229), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8288), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [361078] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7230), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9638), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9636), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [361118] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7231), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7720), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8435), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [361158] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7232), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9538), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9536), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [361198] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7233), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8267), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [361238] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7234), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9404), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9406), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [361278] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1318), 1,
      anon_sym_LBRACE,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8342), 1,
      anon_sym_LPAREN,
    ACTIONS(8928), 1,
      anon_sym_DOT,
    ACTIONS(9898), 1,
      sym__alpha_identifier,
    ACTIONS(9904), 1,
      sym__backquoted_id,
    ACTIONS(9906), 1,
      sym_operator_identifier,
    ACTIONS(10891), 1,
      anon_sym_EQ,
    STATE(542), 1,
      sym_identifier,
    STATE(4035), 1,
      sym__soft_identifier,
    ACTIONS(8733), 2,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    STATE(7235), 2,
      sym_comment,
      sym_block_comment,
    STATE(7988), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8737), 4,
      anon_sym_match,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(9900), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [361342] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9072), 1,
      anon_sym_AT,
    STATE(6700), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8450), 1,
      sym_annotation,
    STATE(7236), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8288), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [361388] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7237), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [361428] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10893), 1,
      anon_sym_AT,
    STATE(8630), 1,
      sym_annotation,
    STATE(7238), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8283), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8281), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [361472] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7239), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7704), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8316), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [361512] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10896), 1,
      anon_sym_LPAREN,
    STATE(8151), 1,
      sym_arguments,
    STATE(7240), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(7788), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7786), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [361556] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7241), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7000), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [361596] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10368), 1,
      anon_sym_LBRACK,
    ACTIONS(10372), 1,
      anon_sym_POUND,
    ACTIONS(10899), 1,
      anon_sym_AT,
    STATE(8142), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8499), 1,
      sym_type_arguments,
    STATE(9553), 1,
      sym_annotation,
    STATE(7242), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [361648] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10107), 1,
      anon_sym_LPAREN,
    STATE(7254), 1,
      aux_sym_annotation_repeat1,
    STATE(8141), 1,
      sym_arguments,
    STATE(7243), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7817), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7815), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [361694] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10458), 1,
      anon_sym_with,
    STATE(9333), 1,
      aux_sym_compound_type_repeat1,
    STATE(9335), 1,
      sym__refinement,
    STATE(9465), 1,
      sym_template_body,
    STATE(6306), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7244), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7668), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7666), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [361744] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9928), 1,
      anon_sym_AT,
    STATE(7238), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8630), 1,
      sym_annotation,
    STATE(7245), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8288), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [361790] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7246), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7584), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8358), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [361830] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7247), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7372), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8402), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [361870] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7248), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7000), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [361910] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7249), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8392), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [361950] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9140), 1,
      anon_sym_LPAREN,
    STATE(7240), 1,
      aux_sym_annotation_repeat1,
    STATE(8151), 1,
      sym_arguments,
    STATE(7250), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7817), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7815), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [361996] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7251), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8227), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8225), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [362036] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7390), 1,
      sym_arguments,
    STATE(7252), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7498), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7496), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [362078] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7253), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9067), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9065), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [362118] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10901), 1,
      anon_sym_LPAREN,
    STATE(8141), 1,
      sym_arguments,
    STATE(7254), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(7788), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7786), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [362162] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7255), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8392), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [362202] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7256), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8271), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [362242] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7257), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7584), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [362282] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10904), 1,
      anon_sym_AT,
    STATE(8171), 1,
      sym_annotation,
    STATE(7258), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8283), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8281), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [362326] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7259), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7498), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7496), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [362366] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7260), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7720), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8435), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [362406] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10907), 1,
      anon_sym_DOT,
    STATE(7261), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [362448] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7262), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8392), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [362488] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7263), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8271), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [362528] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7264), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [362568] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7265), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7330), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8360), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [362608] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7266), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7710), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8404), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [362648] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7844), 1,
      sym__end_marker,
    STATE(7267), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9292), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9290), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [362690] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7268), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7710), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8404), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [362730] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7269), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7372), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8402), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [362770] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7270), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8392), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [362810] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7271), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7714), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8406), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [362850] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7272), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9589), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9587), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [362890] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10659), 1,
      anon_sym_COLON,
    ACTIONS(10661), 1,
      anon_sym_LBRACE,
    ACTIONS(10663), 1,
      anon_sym_with,
    STATE(9291), 1,
      aux_sym_compound_type_repeat1,
    STATE(10404), 1,
      sym__refinement,
    STATE(10423), 1,
      sym_template_body,
    STATE(7273), 2,
      sym_comment,
      sym_block_comment,
    STATE(10453), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7668), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7666), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [362944] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7274), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [362984] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7275), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7112), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7110), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [363024] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10909), 1,
      anon_sym_AT,
    STATE(8621), 1,
      sym_annotation,
    STATE(7276), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8283), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8281), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [363068] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10912), 1,
      anon_sym_DOT,
    STATE(7277), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [363110] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7640), 1,
      anon_sym_DQUOTE,
    ACTIONS(8920), 1,
      sym__interpolated_multiline_string_start,
    STATE(8568), 1,
      sym_interpolated_string,
    STATE(15261), 1,
      sym__interpolated_string_start,
    ACTIONS(10914), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7278), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 6,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [363160] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7279), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7714), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8406), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [363200] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7280), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7764), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7762), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [363240] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7281), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8095), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8093), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [363280] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7282), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8267), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [363320] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7283), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8267), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [363360] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(477), 1,
      anon_sym_LBRACE,
    ACTIONS(8051), 1,
      sym__alpha_identifier,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8063), 1,
      anon_sym_EQ,
    ACTIONS(8065), 1,
      sym__backquoted_id,
    ACTIONS(9427), 1,
      anon_sym_LPAREN,
    ACTIONS(10203), 1,
      anon_sym_DOT,
    ACTIONS(10916), 1,
      sym_operator_identifier,
    STATE(1769), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    ACTIONS(8057), 2,
      anon_sym_case,
      anon_sym_match,
    STATE(7284), 2,
      sym_comment,
      sym_block_comment,
    STATE(9375), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8055), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8061), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [363424] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10585), 1,
      anon_sym_DOT,
    ACTIONS(10918), 1,
      anon_sym_EQ_GT,
    STATE(7285), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [363468] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1942), 1,
      anon_sym_LBRACE,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8795), 1,
      anon_sym_LPAREN,
    ACTIONS(9733), 1,
      anon_sym_DOT,
    ACTIONS(10920), 1,
      sym__alpha_identifier,
    ACTIONS(10924), 1,
      anon_sym_EQ,
    ACTIONS(10926), 1,
      sym__backquoted_id,
    ACTIONS(10928), 1,
      sym_operator_identifier,
    STATE(571), 1,
      sym_identifier,
    STATE(4064), 1,
      sym__soft_identifier,
    STATE(7286), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8733), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(8737), 3,
      anon_sym_match,
      anon_sym_then,
      anon_sym_finally,
    STATE(9198), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(10922), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [363532] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7287), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8267), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [363572] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10808), 1,
      anon_sym_COLON,
    ACTIONS(10810), 1,
      anon_sym_LBRACE,
    ACTIONS(10812), 1,
      anon_sym_with,
    STATE(7071), 1,
      aux_sym_compound_type_repeat1,
    STATE(10550), 1,
      sym_template_body,
    STATE(10551), 1,
      sym__refinement,
    STATE(7288), 2,
      sym_comment,
      sym_block_comment,
    STATE(10415), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7580), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7574), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [363626] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(477), 1,
      anon_sym_LBRACE,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(9427), 1,
      anon_sym_LPAREN,
    ACTIONS(10203), 1,
      anon_sym_DOT,
    ACTIONS(10830), 1,
      sym__alpha_identifier,
    ACTIONS(10836), 1,
      sym__backquoted_id,
    ACTIONS(10930), 1,
      anon_sym_EQ,
    ACTIONS(10932), 1,
      sym_operator_identifier,
    STATE(566), 1,
      sym_identifier,
    STATE(4072), 1,
      sym__soft_identifier,
    ACTIONS(8737), 2,
      anon_sym_case,
      anon_sym_match,
    STATE(7289), 2,
      sym_comment,
      sym_block_comment,
    STATE(9375), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8733), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(10832), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [363690] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7640), 1,
      anon_sym_DQUOTE,
    ACTIONS(8724), 1,
      sym__interpolated_multiline_string_start,
    STATE(8152), 1,
      sym_interpolated_string,
    STATE(15062), 1,
      sym__interpolated_string_start,
    ACTIONS(10934), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7290), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(2515), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [363740] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5955), 1,
      sym_identifier,
    STATE(8951), 1,
      sym__soft_identifier,
    STATE(7291), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9985), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9983), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [363784] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7292), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7764), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7762), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [363824] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5614), 1,
      sym_identifier,
    STATE(8951), 1,
      sym__soft_identifier,
    STATE(7293), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9985), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9983), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [363868] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7294), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7372), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8402), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [363908] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7295), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9130), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9132), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [363948] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7296), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9067), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9065), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [363988] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7297), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7714), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8406), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [364028] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8761), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7298), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [364070] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7299), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7720), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8435), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [364110] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9375), 1,
      anon_sym_LPAREN,
    STATE(7317), 1,
      aux_sym_annotation_repeat1,
    STATE(8654), 1,
      sym_arguments,
    STATE(7300), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7817), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7815), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [364156] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7301), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9134), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9136), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [364196] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9979), 1,
      anon_sym_DOT,
    ACTIONS(10936), 1,
      anon_sym_EQ_GT,
    STATE(7302), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8159), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [364240] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7303), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7330), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8360), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [364280] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7304), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8227), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8225), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [364320] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7305), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8095), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8093), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [364360] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7306), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8835), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8833), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [364400] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7307), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9998), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9996), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [364440] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7308), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9067), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9065), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [364480] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9488), 1,
      anon_sym_AT,
    STATE(6669), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8172), 1,
      sym_annotation,
    STATE(7309), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8288), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [364526] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(107), 1,
      anon_sym_LBRACE,
    ACTIONS(8051), 1,
      sym__alpha_identifier,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8063), 1,
      anon_sym_EQ,
    ACTIONS(8065), 1,
      sym__backquoted_id,
    ACTIONS(8312), 1,
      anon_sym_LPAREN,
    ACTIONS(8789), 1,
      anon_sym_DOT,
    ACTIONS(10938), 1,
      sym_operator_identifier,
    STATE(1707), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    ACTIONS(8057), 2,
      anon_sym_case,
      anon_sym_match,
    STATE(7310), 2,
      sym_comment,
      sym_block_comment,
    STATE(8038), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8055), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8061), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [364590] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(107), 1,
      anon_sym_LBRACE,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8312), 1,
      anon_sym_LPAREN,
    ACTIONS(8789), 1,
      anon_sym_DOT,
    ACTIONS(9496), 1,
      sym__alpha_identifier,
    ACTIONS(9502), 1,
      sym__backquoted_id,
    ACTIONS(10940), 1,
      anon_sym_EQ,
    ACTIONS(10942), 1,
      sym_operator_identifier,
    STATE(561), 1,
      sym_identifier,
    STATE(4037), 1,
      sym__soft_identifier,
    ACTIONS(8737), 2,
      anon_sym_case,
      anon_sym_match,
    STATE(7311), 2,
      sym_comment,
      sym_block_comment,
    STATE(8038), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8733), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9500), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [364654] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7312), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7720), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8435), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [364694] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7313), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8095), 25,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
  [364732] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7580), 1,
      sym__backquoted_id,
    ACTIONS(7696), 1,
      anon_sym_else,
    ACTIONS(10808), 1,
      anon_sym_COLON,
    ACTIONS(10810), 1,
      anon_sym_LBRACE,
    ACTIONS(10812), 1,
      anon_sym_with,
    STATE(7071), 1,
      aux_sym_compound_type_repeat1,
    STATE(10550), 1,
      sym_template_body,
    STATE(10551), 1,
      sym__refinement,
    ACTIONS(7698), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7314), 2,
      sym_comment,
      sym_block_comment,
    STATE(10415), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7694), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(7574), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [364792] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7315), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7330), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8360), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [364832] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7316), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7710), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8404), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [364872] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10944), 1,
      anon_sym_LPAREN,
    STATE(8654), 1,
      sym_arguments,
    STATE(7317), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(7788), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7786), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [364916] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7318), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7372), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8402), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [364956] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7319), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9144), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9146), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [364996] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7320), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7584), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [365036] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7321), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8095), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8093), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [365076] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10947), 1,
      anon_sym_DOT,
    STATE(7322), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [365118] = 20,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10651), 1,
      anon_sym_PLUS,
    ACTIONS(10653), 1,
      anon_sym_DASH,
    ACTIONS(10655), 1,
      anon_sym_AT,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(10949), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(8478), 1,
      aux_sym_enum_definition_repeat1,
    STATE(11328), 1,
      sym_annotation,
    STATE(15537), 1,
      sym__variant_type_parameter,
    STATE(15641), 1,
      sym__type_parameter,
    STATE(7323), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    STATE(15646), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [365188] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8904), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7324), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [365230] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7325), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8267), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [365270] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7326), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8227), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8225), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [365310] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7327), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8835), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8833), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [365350] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7328), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8267), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [365390] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7329), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8835), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8833), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [365430] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(477), 1,
      anon_sym_LBRACE,
    ACTIONS(8051), 1,
      sym__alpha_identifier,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8063), 1,
      anon_sym_EQ,
    ACTIONS(8065), 1,
      sym__backquoted_id,
    ACTIONS(9427), 1,
      anon_sym_LPAREN,
    ACTIONS(10203), 1,
      anon_sym_DOT,
    ACTIONS(10951), 1,
      sym_operator_identifier,
    STATE(1682), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    ACTIONS(8057), 2,
      anon_sym_if,
      anon_sym_match,
    STATE(7330), 2,
      sym_comment,
      sym_block_comment,
    STATE(9375), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8055), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8061), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [365494] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7331), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7764), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7762), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [365534] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7332), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [365574] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7333), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8392), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [365614] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7334), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7764), 25,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
  [365652] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7335), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8271), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [365692] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7336), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9580), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9578), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [365732] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7337), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9144), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9146), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [365772] = 20,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10651), 1,
      anon_sym_PLUS,
    ACTIONS(10653), 1,
      anon_sym_DASH,
    ACTIONS(10655), 1,
      anon_sym_AT,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(10953), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(8478), 1,
      aux_sym_enum_definition_repeat1,
    STATE(11328), 1,
      sym_annotation,
    STATE(15537), 1,
      sym__variant_type_parameter,
    STATE(15641), 1,
      sym__type_parameter,
    STATE(7338), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    STATE(15646), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [365842] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9576), 1,
      anon_sym_LPAREN,
    STATE(7363), 1,
      aux_sym_annotation_repeat1,
    STATE(8661), 1,
      sym_arguments,
    STATE(7339), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7817), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7815), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [365888] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7340), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8392), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [365928] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7341), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8227), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8225), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [365968] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7342), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9638), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9636), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [366008] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7343), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9067), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9065), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [366048] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9591), 1,
      anon_sym_COLON,
    ACTIONS(9595), 1,
      anon_sym_with,
    STATE(8514), 1,
      aux_sym_compound_type_repeat1,
    STATE(9635), 1,
      sym__refinement,
    STATE(9850), 1,
      sym_template_body,
    STATE(7344), 2,
      sym_comment,
      sym_block_comment,
    STATE(9631), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7668), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7666), 13,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [366100] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7345), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7764), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7762), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [366140] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7346), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8267), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [366180] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5963), 1,
      sym_identifier,
    STATE(8951), 1,
      sym__soft_identifier,
    STATE(7347), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9985), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9983), 18,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [366224] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7348), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8392), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [366264] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9933), 1,
      anon_sym_AT,
    STATE(7023), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8325), 1,
      sym_annotation,
    STATE(7349), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8288), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [366310] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7350), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7000), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [366350] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7351), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8095), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8093), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [366390] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7352), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8267), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [366430] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7353), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7720), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8435), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [366470] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7354), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [366510] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7355), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8271), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [366550] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8455), 1,
      anon_sym_COLON,
    ACTIONS(8459), 1,
      anon_sym_with,
    STATE(6060), 1,
      aux_sym_compound_type_repeat1,
    STATE(8153), 1,
      sym_template_body,
    STATE(8193), 1,
      sym__refinement,
    STATE(7356), 2,
      sym_comment,
      sym_block_comment,
    STATE(8307), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7668), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7666), 13,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [366602] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2088), 1,
      anon_sym_LBRACE,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(9812), 1,
      anon_sym_LPAREN,
    ACTIONS(10779), 1,
      anon_sym_DOT,
    ACTIONS(10955), 1,
      sym__alpha_identifier,
    ACTIONS(10959), 1,
      anon_sym_EQ,
    ACTIONS(10961), 1,
      sym__backquoted_id,
    ACTIONS(10963), 1,
      sym_operator_identifier,
    STATE(579), 1,
      sym_identifier,
    STATE(4073), 1,
      sym__soft_identifier,
    ACTIONS(8737), 2,
      anon_sym_match,
      anon_sym_finally,
    STATE(7357), 2,
      sym_comment,
      sym_block_comment,
    STATE(9709), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8733), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(10957), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [366666] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7358), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8267), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [366706] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7359), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7710), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8404), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [366746] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7338), 1,
      anon_sym_DOT,
    STATE(7360), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8159), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [366788] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7361), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8267), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [366828] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7362), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8227), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8225), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [366868] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10965), 1,
      anon_sym_LPAREN,
    STATE(8661), 1,
      sym_arguments,
    STATE(7363), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(7788), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7786), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [366912] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7640), 1,
      anon_sym_DQUOTE,
    ACTIONS(9694), 1,
      sym__interpolated_multiline_string_start,
    STATE(9454), 1,
      sym_interpolated_string,
    STATE(15132), 1,
      sym__interpolated_string_start,
    ACTIONS(10235), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7364), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [366962] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7365), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8027), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8683), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [367002] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7366), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9977), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9975), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [367042] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7367), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8095), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8093), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [367082] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10968), 1,
      anon_sym_AT,
    STATE(8667), 1,
      sym_annotation,
    STATE(7368), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8283), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8281), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [367126] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7369), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7714), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8406), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [367166] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7370), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8267), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [367206] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7371), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7764), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7762), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [367246] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7372), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8835), 7,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8833), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [367286] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7373), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9642), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9640), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [367326] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7374), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9082), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9084), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [367366] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7375), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8392), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [367406] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7376), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7584), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [367446] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7377), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9959), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9957), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [367486] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10448), 1,
      anon_sym_LPAREN,
    STATE(7579), 1,
      aux_sym_annotation_repeat1,
    STATE(8770), 1,
      sym_arguments,
    STATE(7378), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7817), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7815), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [367531] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7379), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7764), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7762), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [367570] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7380), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9998), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9996), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [367609] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10971), 1,
      anon_sym_LBRACE,
    ACTIONS(10973), 1,
      anon_sym_with,
    STATE(7688), 1,
      aux_sym_compound_type_repeat1,
    STATE(10553), 1,
      sym_template_body,
    STATE(10566), 1,
      sym__refinement,
    STATE(7381), 2,
      sym_comment,
      sym_block_comment,
    STATE(10411), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7580), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(7574), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [367660] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7382), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8227), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8225), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [367699] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7963), 1,
      sym__alpha_identifier,
    ACTIONS(7969), 1,
      anon_sym__,
    ACTIONS(7973), 1,
      anon_sym_LPAREN,
    ACTIONS(7975), 1,
      sym__backquoted_id,
    ACTIONS(7977), 1,
      sym_operator_identifier,
    STATE(4550), 1,
      sym__simple_type,
    STATE(5542), 1,
      sym_identifier,
    STATE(5709), 1,
      sym__soft_identifier,
    STATE(6977), 1,
      sym_annotated_type,
    STATE(7194), 1,
      sym__annotated_type,
    STATE(16687), 1,
      sym_stable_identifier,
    STATE(7383), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7971), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5474), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [367760] = 22,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7336), 1,
      anon_sym_LPAREN,
    ACTIONS(7640), 1,
      anon_sym_DQUOTE,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10975), 1,
      anon_sym_COLON,
    ACTIONS(10977), 1,
      anon_sym_DOT,
    ACTIONS(10979), 1,
      anon_sym_STAR,
    ACTIONS(10981), 1,
      anon_sym_EQ_GT,
    ACTIONS(10983), 1,
      anon_sym_if,
    ACTIONS(10985), 1,
      anon_sym_AT,
    ACTIONS(10987), 1,
      anon_sym_PIPE,
    ACTIONS(10989), 1,
      sym_operator_identifier,
    ACTIONS(10991), 1,
      sym__interpolated_multiline_string_start,
    STATE(4155), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    STATE(11358), 1,
      sym_interpolated_string,
    STATE(14976), 1,
      sym__interpolated_string_start,
    STATE(17354), 1,
      sym_guard,
    STATE(7384), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [367833] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7385), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9029), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9031), 18,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [367872] = 22,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7336), 1,
      anon_sym_LPAREN,
    ACTIONS(7640), 1,
      anon_sym_DQUOTE,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10993), 1,
      anon_sym_COLON,
    ACTIONS(10995), 1,
      anon_sym_COMMA,
    ACTIONS(10997), 1,
      anon_sym_DOT,
    ACTIONS(10999), 1,
      anon_sym_STAR,
    ACTIONS(11001), 1,
      anon_sym_AT,
    ACTIONS(11003), 1,
      anon_sym_EQ,
    ACTIONS(11005), 1,
      anon_sym_PIPE,
    ACTIONS(11007), 1,
      sym_operator_identifier,
    ACTIONS(11009), 1,
      sym__interpolated_multiline_string_start,
    STATE(4172), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    STATE(10777), 1,
      sym_interpolated_string,
    STATE(14934), 1,
      sym__interpolated_string_start,
    STATE(15015), 1,
      aux_sym_val_declaration_repeat1,
    STATE(7386), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [367945] = 22,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7336), 1,
      anon_sym_LPAREN,
    ACTIONS(7640), 1,
      anon_sym_DQUOTE,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10995), 1,
      anon_sym_COMMA,
    ACTIONS(10997), 1,
      anon_sym_DOT,
    ACTIONS(10999), 1,
      anon_sym_STAR,
    ACTIONS(11001), 1,
      anon_sym_AT,
    ACTIONS(11005), 1,
      anon_sym_PIPE,
    ACTIONS(11007), 1,
      sym_operator_identifier,
    ACTIONS(11009), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(11011), 1,
      anon_sym_COLON,
    ACTIONS(11013), 1,
      anon_sym_EQ,
    STATE(4172), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    STATE(10777), 1,
      sym_interpolated_string,
    STATE(14934), 1,
      sym__interpolated_string_start,
    STATE(15011), 1,
      aux_sym_val_declaration_repeat1,
    STATE(7387), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [368018] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7388), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9021), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9023), 18,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [368057] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11015), 1,
      anon_sym_DOT,
    STATE(7389), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8159), 20,
      anon_sym_end,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [368098] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7390), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9554), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9552), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [368137] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6324), 1,
      sym__alpha_identifier,
    ACTIONS(6330), 1,
      anon_sym__,
    ACTIONS(6338), 1,
      sym__backquoted_id,
    ACTIONS(6340), 1,
      sym_operator_identifier,
    ACTIONS(9756), 1,
      anon_sym_LPAREN,
    STATE(5038), 1,
      sym__simple_type,
    STATE(5394), 1,
      sym__soft_identifier,
    STATE(5729), 1,
      sym_identifier,
    STATE(8529), 1,
      sym__annotated_type,
    STATE(8556), 1,
      sym_annotated_type,
    STATE(16902), 1,
      sym_stable_identifier,
    STATE(7391), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6334), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6655), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [368198] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7392), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8095), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8093), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [368237] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4624), 1,
      sym__alpha_identifier,
    ACTIONS(4630), 1,
      anon_sym__,
    ACTIONS(4642), 1,
      sym__backquoted_id,
    ACTIONS(6304), 1,
      sym_operator_identifier,
    ACTIONS(9772), 1,
      anon_sym_LPAREN,
    STATE(4940), 1,
      sym__simple_type,
    STATE(5196), 1,
      sym_identifier,
    STATE(5260), 1,
      sym__soft_identifier,
    STATE(7492), 1,
      sym_annotated_type,
    STATE(7518), 1,
      sym__annotated_type,
    STATE(16896), 1,
      sym_stable_identifier,
    STATE(7393), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4636), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5732), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [368298] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6420), 1,
      sym__alpha_identifier,
    ACTIONS(6426), 1,
      anon_sym__,
    ACTIONS(6434), 1,
      sym__backquoted_id,
    ACTIONS(6436), 1,
      sym_operator_identifier,
    ACTIONS(9795), 1,
      anon_sym_LPAREN,
    STATE(4950), 1,
      sym__simple_type,
    STATE(5127), 1,
      sym_identifier,
    STATE(5256), 1,
      sym__soft_identifier,
    STATE(7447), 1,
      sym_annotated_type,
    STATE(7472), 1,
      sym__annotated_type,
    STATE(16884), 1,
      sym_stable_identifier,
    STATE(7394), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6430), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5789), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [368359] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8051), 1,
      sym__alpha_identifier,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8063), 1,
      anon_sym_EQ,
    ACTIONS(8065), 1,
      sym__backquoted_id,
    ACTIONS(8553), 1,
      sym_operator_identifier,
    STATE(1699), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(7395), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8055), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8057), 6,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8061), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [368414] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7396), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9029), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9031), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [368453] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7397), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7764), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7762), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [368492] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7398), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9977), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9975), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [368531] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7399), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7330), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8360), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [368570] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7400), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9959), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9957), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [368609] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7401), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8267), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [368648] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7402), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8267), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [368687] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7403), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9082), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9084), 18,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [368726] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6406), 1,
      sym__alpha_identifier,
    ACTIONS(6408), 1,
      anon_sym__,
    ACTIONS(6416), 1,
      sym__backquoted_id,
    ACTIONS(6418), 1,
      sym_operator_identifier,
    ACTIONS(9831), 1,
      anon_sym_LPAREN,
    STATE(4488), 1,
      sym__simple_type,
    STATE(4562), 1,
      sym_identifier,
    STATE(4586), 1,
      sym__soft_identifier,
    STATE(6004), 1,
      sym__annotated_type,
    STATE(6072), 1,
      sym_annotated_type,
    STATE(16878), 1,
      sym_stable_identifier,
    STATE(7404), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6412), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4832), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [368787] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7405), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8267), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [368826] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7406), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8392), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [368865] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10517), 1,
      anon_sym_AT,
    STATE(7500), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8765), 1,
      sym_annotation,
    STATE(7407), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8288), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [368910] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9317), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7408), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [368951] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7409), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7330), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8360), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [368990] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7410), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9021), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9023), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [369029] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10526), 1,
      anon_sym_AT,
    STATE(7554), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9043), 1,
      sym_annotation,
    STATE(7411), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8288), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [369074] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6306), 1,
      sym__alpha_identifier,
    ACTIONS(6312), 1,
      anon_sym__,
    ACTIONS(6320), 1,
      sym__backquoted_id,
    ACTIONS(6322), 1,
      sym_operator_identifier,
    ACTIONS(9837), 1,
      anon_sym_LPAREN,
    STATE(6449), 1,
      sym__simple_type,
    STATE(7277), 1,
      sym_identifier,
    STATE(7350), 1,
      sym__soft_identifier,
    STATE(9263), 1,
      sym_annotated_type,
    STATE(9279), 1,
      sym__annotated_type,
    STATE(16866), 1,
      sym_stable_identifier,
    STATE(7412), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6316), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7958), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [369135] = 22,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7336), 1,
      anon_sym_LPAREN,
    ACTIONS(7640), 1,
      anon_sym_DQUOTE,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10169), 1,
      anon_sym_COMMA,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10997), 1,
      anon_sym_DOT,
    ACTIONS(10999), 1,
      anon_sym_STAR,
    ACTIONS(11001), 1,
      anon_sym_AT,
    ACTIONS(11005), 1,
      anon_sym_PIPE,
    ACTIONS(11007), 1,
      sym_operator_identifier,
    ACTIONS(11009), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(11017), 1,
      anon_sym_COLON,
    ACTIONS(11019), 1,
      anon_sym_RPAREN,
    STATE(4172), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    STATE(10777), 1,
      sym_interpolated_string,
    STATE(14695), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(14934), 1,
      sym__interpolated_string_start,
    STATE(7413), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [369208] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11021), 1,
      anon_sym_AT,
    STATE(8872), 1,
      sym_annotation,
    STATE(7414), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8283), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8281), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [369251] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7415), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9159), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9161), 18,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [369290] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11024), 1,
      anon_sym_DOT,
    STATE(7416), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [369331] = 22,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7336), 1,
      anon_sym_LPAREN,
    ACTIONS(7640), 1,
      anon_sym_DQUOTE,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10997), 1,
      anon_sym_DOT,
    ACTIONS(10999), 1,
      anon_sym_STAR,
    ACTIONS(11001), 1,
      anon_sym_AT,
    ACTIONS(11005), 1,
      anon_sym_PIPE,
    ACTIONS(11007), 1,
      sym_operator_identifier,
    ACTIONS(11009), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(11017), 1,
      anon_sym_COLON,
    ACTIONS(11026), 1,
      anon_sym_COMMA,
    ACTIONS(11028), 1,
      anon_sym_RPAREN,
    STATE(4172), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    STATE(10777), 1,
      sym_interpolated_string,
    STATE(14558), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(14934), 1,
      sym__interpolated_string_start,
    STATE(7417), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [369404] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6264), 1,
      sym__alpha_identifier,
    ACTIONS(6270), 1,
      anon_sym__,
    ACTIONS(6278), 1,
      sym__backquoted_id,
    ACTIONS(6280), 1,
      sym_operator_identifier,
    ACTIONS(9859), 1,
      anon_sym_LPAREN,
    STATE(5731), 1,
      sym__simple_type,
    STATE(6002), 1,
      sym__soft_identifier,
    STATE(6112), 1,
      sym_identifier,
    STATE(8721), 1,
      sym__annotated_type,
    STATE(8743), 1,
      sym_annotated_type,
    STATE(16854), 1,
      sym_stable_identifier,
    STATE(7418), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6274), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6976), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [369465] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7419), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8392), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [369504] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6232), 1,
      sym__alpha_identifier,
    ACTIONS(6238), 1,
      anon_sym__,
    ACTIONS(6246), 1,
      sym__backquoted_id,
    ACTIONS(6248), 1,
      sym_operator_identifier,
    ACTIONS(9875), 1,
      anon_sym_LPAREN,
    STATE(4955), 1,
      sym__simple_type,
    STATE(5086), 1,
      sym_identifier,
    STATE(5254), 1,
      sym__soft_identifier,
    STATE(7488), 1,
      sym__annotated_type,
    STATE(7531), 1,
      sym_annotated_type,
    STATE(16842), 1,
      sym_stable_identifier,
    STATE(7420), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6242), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5895), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [369565] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7421), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7330), 8,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8360), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [369604] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7422), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7330), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8360), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [369643] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7423), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8392), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [369682] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7424), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7000), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [369721] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7425), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7764), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7762), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [369760] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11030), 1,
      anon_sym_with,
    STATE(7426), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(8804), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8802), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [369801] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7427), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9180), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9182), 18,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [369840] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7638), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7428), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [369881] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8015), 1,
      sym__alpha_identifier,
    ACTIONS(8017), 1,
      anon_sym__,
    ACTIONS(8021), 1,
      anon_sym_LPAREN,
    ACTIONS(8023), 1,
      sym__backquoted_id,
    ACTIONS(8025), 1,
      sym_operator_identifier,
    STATE(4935), 1,
      sym__simple_type,
    STATE(6019), 1,
      sym__soft_identifier,
    STATE(6480), 1,
      sym_identifier,
    STATE(7552), 1,
      sym__annotated_type,
    STATE(7596), 1,
      sym_annotated_type,
    STATE(16836), 1,
      sym_stable_identifier,
    STATE(7429), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8019), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6090), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [369942] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7430), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8095), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8093), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [369981] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10199), 1,
      anon_sym_LPAREN,
    STATE(7559), 1,
      aux_sym_annotation_repeat1,
    STATE(9008), 1,
      sym_arguments,
    STATE(7431), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7817), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7815), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [370026] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7432), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7000), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [370065] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7433), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10041), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10039), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [370104] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7434), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10047), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10045), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [370143] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10936), 1,
      anon_sym_EQ_GT,
    STATE(7435), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8271), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [370184] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7436), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [370223] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4472), 1,
      sym__alpha_identifier,
    ACTIONS(4478), 1,
      anon_sym__,
    ACTIONS(4490), 1,
      sym__backquoted_id,
    ACTIONS(6370), 1,
      sym_operator_identifier,
    ACTIONS(9885), 1,
      anon_sym_LPAREN,
    STATE(4671), 1,
      sym__simple_type,
    STATE(4682), 1,
      sym_identifier,
    STATE(4750), 1,
      sym__soft_identifier,
    STATE(6776), 1,
      sym_annotated_type,
    STATE(6928), 1,
      sym__annotated_type,
    STATE(16830), 1,
      sym_stable_identifier,
    STATE(7437), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4484), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5107), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [370284] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6342), 1,
      sym__alpha_identifier,
    ACTIONS(6348), 1,
      anon_sym__,
    ACTIONS(6356), 1,
      sym__backquoted_id,
    ACTIONS(6358), 1,
      sym_operator_identifier,
    ACTIONS(9915), 1,
      anon_sym_LPAREN,
    STATE(8215), 1,
      sym__simple_type,
    STATE(8849), 1,
      sym_identifier,
    STATE(8992), 1,
      sym__soft_identifier,
    STATE(10507), 1,
      sym_annotated_type,
    STATE(10526), 1,
      sym__annotated_type,
    STATE(16824), 1,
      sym_stable_identifier,
    STATE(7438), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6352), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9542), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [370345] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7439), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [370384] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7440), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8227), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8225), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [370423] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7338), 1,
      anon_sym_DOT,
    STATE(7441), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [370464] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1622), 1,
      anon_sym_LBRACE,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8518), 1,
      anon_sym_LPAREN,
    ACTIONS(8733), 1,
      anon_sym_LBRACK,
    ACTIONS(9509), 1,
      anon_sym_DOT,
    ACTIONS(10533), 1,
      sym__alpha_identifier,
    ACTIONS(10539), 1,
      sym__backquoted_id,
    ACTIONS(10541), 1,
      sym_operator_identifier,
    ACTIONS(11033), 1,
      anon_sym_EQ,
    STATE(555), 1,
      sym_identifier,
    STATE(4049), 1,
      sym__soft_identifier,
    STATE(7442), 2,
      sym_comment,
      sym_block_comment,
    STATE(8339), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8737), 4,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(10535), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [370527] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7443), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [370566] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9345), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7444), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [370607] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1498), 1,
      anon_sym_LBRACE,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8606), 1,
      anon_sym_LPAREN,
    ACTIONS(9431), 1,
      anon_sym_DOT,
    ACTIONS(10572), 1,
      sym__alpha_identifier,
    ACTIONS(10578), 1,
      sym__backquoted_id,
    ACTIONS(10580), 1,
      sym_operator_identifier,
    ACTIONS(11035), 1,
      anon_sym_EQ,
    STATE(550), 1,
      sym_identifier,
    STATE(4050), 1,
      sym__soft_identifier,
    ACTIONS(8733), 2,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    STATE(7445), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8737), 3,
      anon_sym_match,
      anon_sym_else,
      anon_sym_do,
    STATE(8257), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(10574), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [370670] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9347), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7446), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [370711] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7447), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [370750] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7448), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9566), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9564), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [370789] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7449), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7000), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [370828] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7450), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7498), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7496), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [370867] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7451), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [370906] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7452), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8835), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8833), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [370945] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7453), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 7,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7464), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [370984] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4334), 1,
      sym__alpha_identifier,
    ACTIONS(4340), 1,
      anon_sym__,
    ACTIONS(4352), 1,
      sym__backquoted_id,
    ACTIONS(6602), 1,
      sym_operator_identifier,
    ACTIONS(9924), 1,
      anon_sym_LPAREN,
    STATE(4334), 1,
      sym__simple_type,
    STATE(4483), 1,
      sym_identifier,
    STATE(4494), 1,
      sym__soft_identifier,
    STATE(5710), 1,
      sym__annotated_type,
    STATE(5740), 1,
      sym_annotated_type,
    STATE(16818), 1,
      sym_stable_identifier,
    STATE(7454), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4346), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4508), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [371045] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8063), 1,
      anon_sym_EQ,
    STATE(621), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(7455), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8231), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8229), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [371090] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9353), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7456), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [371131] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4384), 1,
      sym__alpha_identifier,
    ACTIONS(4386), 1,
      anon_sym__,
    ACTIONS(4396), 1,
      sym__backquoted_id,
    ACTIONS(6644), 1,
      sym_operator_identifier,
    ACTIONS(9938), 1,
      anon_sym_LPAREN,
    STATE(5891), 1,
      sym__simple_type,
    STATE(6027), 1,
      sym__soft_identifier,
    STATE(6518), 1,
      sym_identifier,
    STATE(8966), 1,
      sym__annotated_type,
    STATE(8994), 1,
      sym_annotated_type,
    STATE(16812), 1,
      sym_stable_identifier,
    STATE(7457), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4392), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6894), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [371192] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7458), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7000), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [371231] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7459), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [371270] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7460), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [371309] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11037), 1,
      anon_sym_COLON,
    ACTIONS(11040), 1,
      anon_sym_LBRACE,
    STATE(9314), 1,
      sym_template_body,
    STATE(5616), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7461), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8549), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8541), 12,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [371356] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4438), 1,
      sym__alpha_identifier,
    ACTIONS(4444), 1,
      anon_sym__,
    ACTIONS(4456), 1,
      sym__backquoted_id,
    ACTIONS(6662), 1,
      sym_operator_identifier,
    ACTIONS(9952), 1,
      anon_sym_LPAREN,
    STATE(5059), 1,
      sym__simple_type,
    STATE(5411), 1,
      sym__soft_identifier,
    STATE(5811), 1,
      sym_identifier,
    STATE(8328), 1,
      sym_annotated_type,
    STATE(8349), 1,
      sym__annotated_type,
    STATE(16806), 1,
      sym_stable_identifier,
    STATE(7462), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4450), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6556), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [371417] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10261), 1,
      anon_sym_LPAREN,
    STATE(7474), 1,
      aux_sym_annotation_repeat1,
    STATE(9166), 1,
      sym_arguments,
    STATE(7463), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7817), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7815), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [371462] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7464), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8027), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8683), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [371501] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7465), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10058), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [371540] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7466), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9534), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9532), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [371579] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7640), 1,
      anon_sym_DQUOTE,
    ACTIONS(9273), 1,
      sym__interpolated_multiline_string_start,
    STATE(8847), 1,
      sym_interpolated_string,
    STATE(15258), 1,
      sym__interpolated_string_start,
    ACTIONS(11043), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7467), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(2515), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [371628] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6186), 1,
      sym__alpha_identifier,
    ACTIONS(6192), 1,
      anon_sym__,
    ACTIONS(6200), 1,
      sym__backquoted_id,
    ACTIONS(6202), 1,
      sym_operator_identifier,
    ACTIONS(9961), 1,
      anon_sym_LPAREN,
    STATE(5850), 1,
      sym__simple_type,
    STATE(6040), 1,
      sym__soft_identifier,
    STATE(6255), 1,
      sym_identifier,
    STATE(9046), 1,
      sym__annotated_type,
    STATE(9065), 1,
      sym_annotated_type,
    STATE(16794), 1,
      sym_stable_identifier,
    STATE(7468), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6196), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6740), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [371689] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9823), 1,
      anon_sym_AT,
    STATE(7779), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8996), 1,
      sym_annotation,
    STATE(7469), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8288), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [371734] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4174), 1,
      sym__alpha_identifier,
    ACTIONS(4180), 1,
      anon_sym__,
    ACTIONS(4192), 1,
      sym__backquoted_id,
    ACTIONS(6578), 1,
      sym_operator_identifier,
    ACTIONS(9971), 1,
      anon_sym_LPAREN,
    STATE(4619), 1,
      sym__simple_type,
    STATE(4754), 1,
      sym__soft_identifier,
    STATE(4834), 1,
      sym_identifier,
    STATE(6683), 1,
      sym_annotated_type,
    STATE(7343), 1,
      sym__annotated_type,
    STATE(16788), 1,
      sym_stable_identifier,
    STATE(7470), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4186), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5053), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [371795] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7471), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9082), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9084), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [371834] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7472), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9067), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9065), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [371873] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7473), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7000), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [371912] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11045), 1,
      anon_sym_LPAREN,
    STATE(9166), 1,
      sym_arguments,
    STATE(7474), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(7788), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7786), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [371955] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9371), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7475), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [371996] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7476), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7704), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8316), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [372035] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6112), 1,
      sym__alpha_identifier,
    ACTIONS(6118), 1,
      anon_sym__,
    ACTIONS(6126), 1,
      sym__backquoted_id,
    ACTIONS(6128), 1,
      sym_operator_identifier,
    ACTIONS(10002), 1,
      anon_sym_LPAREN,
    STATE(5736), 1,
      sym__simple_type,
    STATE(6052), 1,
      sym__soft_identifier,
    STATE(6458), 1,
      sym_identifier,
    STATE(9027), 1,
      sym__annotated_type,
    STATE(9113), 1,
      sym_annotated_type,
    STATE(16776), 1,
      sym_stable_identifier,
    STATE(7477), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6122), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7086), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [372096] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7478), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9550), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9548), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [372135] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7479), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [372174] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7480), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7716), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8324), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [372213] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7481), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9546), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9544), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [372252] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8773), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7482), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8771), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8769), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [372293] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6166), 1,
      sym__alpha_identifier,
    ACTIONS(6172), 1,
      anon_sym__,
    ACTIONS(6180), 1,
      sym__backquoted_id,
    ACTIONS(6182), 1,
      sym_operator_identifier,
    ACTIONS(10032), 1,
      anon_sym_LPAREN,
    STATE(4578), 1,
      sym__simple_type,
    STATE(4760), 1,
      sym__soft_identifier,
    STATE(4957), 1,
      sym_identifier,
    STATE(7264), 1,
      sym_annotated_type,
    STATE(7296), 1,
      sym__annotated_type,
    STATE(16764), 1,
      sym_stable_identifier,
    STATE(7483), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6176), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5018), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [372354] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7484), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9542), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9540), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [372393] = 22,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7336), 1,
      anon_sym_LPAREN,
    ACTIONS(7640), 1,
      anon_sym_DQUOTE,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10995), 1,
      anon_sym_COMMA,
    ACTIONS(10997), 1,
      anon_sym_DOT,
    ACTIONS(10999), 1,
      anon_sym_STAR,
    ACTIONS(11001), 1,
      anon_sym_AT,
    ACTIONS(11005), 1,
      anon_sym_PIPE,
    ACTIONS(11007), 1,
      sym_operator_identifier,
    ACTIONS(11009), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(11048), 1,
      anon_sym_COLON,
    ACTIONS(11050), 1,
      anon_sym_EQ,
    STATE(4172), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    STATE(10777), 1,
      sym_interpolated_string,
    STATE(14434), 1,
      aux_sym_val_declaration_repeat1,
    STATE(14934), 1,
      sym__interpolated_string_start,
    STATE(7485), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [372466] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7897), 1,
      sym__alpha_identifier,
    ACTIONS(7899), 1,
      anon_sym__,
    ACTIONS(7903), 1,
      anon_sym_LPAREN,
    ACTIONS(7905), 1,
      sym__backquoted_id,
    ACTIONS(7907), 1,
      sym_operator_identifier,
    STATE(4574), 1,
      sym__simple_type,
    STATE(5429), 1,
      sym__soft_identifier,
    STATE(5874), 1,
      sym_identifier,
    STATE(7207), 1,
      sym_annotated_type,
    STATE(7253), 1,
      sym__annotated_type,
    STATE(16758), 1,
      sym_stable_identifier,
    STATE(7486), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7901), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5428), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [372527] = 22,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7336), 1,
      anon_sym_LPAREN,
    ACTIONS(7640), 1,
      anon_sym_DQUOTE,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10995), 1,
      anon_sym_COMMA,
    ACTIONS(10997), 1,
      anon_sym_DOT,
    ACTIONS(10999), 1,
      anon_sym_STAR,
    ACTIONS(11001), 1,
      anon_sym_AT,
    ACTIONS(11005), 1,
      anon_sym_PIPE,
    ACTIONS(11007), 1,
      sym_operator_identifier,
    ACTIONS(11009), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(11052), 1,
      anon_sym_COLON,
    ACTIONS(11054), 1,
      anon_sym_EQ,
    STATE(4172), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    STATE(10777), 1,
      sym_interpolated_string,
    STATE(14441), 1,
      aux_sym_val_declaration_repeat1,
    STATE(14934), 1,
      sym__interpolated_string_start,
    STATE(7487), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [372600] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7488), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9067), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9065), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [372639] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7489), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9404), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9406), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [372678] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7490), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7552), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8326), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [372717] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10723), 1,
      anon_sym_type,
    STATE(7491), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 9,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(4132), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
  [372758] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7492), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [372797] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5667), 1,
      sym_identifier,
    STATE(8951), 1,
      sym__soft_identifier,
    STATE(7493), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9985), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9983), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [372840] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(9855), 1,
      anon_sym_LPAREN,
    STATE(4798), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(7453), 1,
      sym_annotated_type,
    STATE(7535), 1,
      sym__annotated_type,
    STATE(16621), 1,
      sym_stable_identifier,
    STATE(7494), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [372901] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7495), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8267), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [372940] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6284), 1,
      sym__alpha_identifier,
    ACTIONS(6286), 1,
      anon_sym__,
    ACTIONS(6294), 1,
      sym__backquoted_id,
    ACTIONS(6296), 1,
      sym_operator_identifier,
    ACTIONS(10079), 1,
      anon_sym_LPAREN,
    STATE(4569), 1,
      sym__simple_type,
    STATE(4765), 1,
      sym__soft_identifier,
    STATE(4948), 1,
      sym_identifier,
    STATE(7123), 1,
      sym_annotated_type,
    STATE(7186), 1,
      sym__annotated_type,
    STATE(16752), 1,
      sym_stable_identifier,
    STATE(7496), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6290), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5000), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [373001] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7497), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7330), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8360), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [373040] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8637), 1,
      sym_arguments,
    STATE(7498), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7498), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7496), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [373081] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11056), 1,
      anon_sym_with,
    STATE(7499), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(8804), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8802), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [373122] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11059), 1,
      anon_sym_AT,
    STATE(8765), 1,
      sym_annotation,
    STATE(7500), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8283), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8281), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [373165] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7501), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9180), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9182), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [373204] = 22,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7336), 1,
      anon_sym_LPAREN,
    ACTIONS(7640), 1,
      anon_sym_DQUOTE,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10169), 1,
      anon_sym_COMMA,
    ACTIONS(10181), 1,
      anon_sym_RPAREN,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10997), 1,
      anon_sym_DOT,
    ACTIONS(10999), 1,
      anon_sym_STAR,
    ACTIONS(11001), 1,
      anon_sym_AT,
    ACTIONS(11005), 1,
      anon_sym_PIPE,
    ACTIONS(11007), 1,
      sym_operator_identifier,
    ACTIONS(11009), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(11017), 1,
      anon_sym_COLON,
    STATE(4172), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    STATE(10777), 1,
      sym_interpolated_string,
    STATE(14934), 1,
      sym__interpolated_string_start,
    STATE(15370), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(7502), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [373277] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6386), 1,
      sym__alpha_identifier,
    ACTIONS(6392), 1,
      anon_sym__,
    ACTIONS(6400), 1,
      sym__backquoted_id,
    ACTIONS(6402), 1,
      sym_operator_identifier,
    ACTIONS(10093), 1,
      anon_sym_LPAREN,
    STATE(4390), 1,
      sym__simple_type,
    STATE(4449), 1,
      sym__soft_identifier,
    STATE(4490), 1,
      sym_identifier,
    STATE(5864), 1,
      sym_annotated_type,
    STATE(5872), 1,
      sym__annotated_type,
    STATE(16746), 1,
      sym_stable_identifier,
    STATE(7503), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6396), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4611), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [373338] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10797), 1,
      anon_sym_EQ_GT,
    STATE(7504), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8271), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [373379] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7837), 1,
      sym__alpha_identifier,
    ACTIONS(7843), 1,
      anon_sym__,
    ACTIONS(7847), 1,
      anon_sym_LPAREN,
    ACTIONS(7849), 1,
      sym__backquoted_id,
    ACTIONS(7851), 1,
      sym_operator_identifier,
    STATE(4350), 1,
      sym__simple_type,
    STATE(4772), 1,
      sym__soft_identifier,
    STATE(4934), 1,
      sym_identifier,
    STATE(5846), 1,
      sym_annotated_type,
    STATE(5853), 1,
      sym__annotated_type,
    STATE(16740), 1,
      sym_stable_identifier,
    STATE(7505), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7845), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4683), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [373440] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10117), 1,
      anon_sym_AT,
    STATE(7414), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8872), 1,
      sym_annotation,
    STATE(7506), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8288), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [373485] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10370), 1,
      anon_sym_LPAREN,
    STATE(7526), 1,
      aux_sym_annotation_repeat1,
    STATE(8781), 1,
      sym_arguments,
    STATE(7507), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7817), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7815), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [373530] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7508), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9159), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9161), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [373569] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7509), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8835), 24,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [373606] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7510), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8227), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8225), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [373645] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8681), 1,
      sym__end_marker,
    STATE(7511), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9292), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9290), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [373686] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7580), 1,
      sym__backquoted_id,
    ACTIONS(7698), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7512), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7694), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(7696), 7,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(7574), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [373731] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7513), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9580), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9578), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [373770] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7514), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9554), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9552), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [373809] = 22,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7336), 1,
      anon_sym_LPAREN,
    ACTIONS(7640), 1,
      anon_sym_DQUOTE,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10997), 1,
      anon_sym_DOT,
    ACTIONS(10999), 1,
      anon_sym_STAR,
    ACTIONS(11001), 1,
      anon_sym_AT,
    ACTIONS(11005), 1,
      anon_sym_PIPE,
    ACTIONS(11007), 1,
      sym_operator_identifier,
    ACTIONS(11009), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(11017), 1,
      anon_sym_COLON,
    ACTIONS(11062), 1,
      anon_sym_COMMA,
    ACTIONS(11064), 1,
      anon_sym_RPAREN,
    STATE(4172), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    STATE(10777), 1,
      sym_interpolated_string,
    STATE(14726), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(14934), 1,
      sym__interpolated_string_start,
    STATE(7515), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [373882] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7516), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9589), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9587), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [373921] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7517), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7552), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8326), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [373960] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7518), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9067), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9065), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [373999] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7519), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9462), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9464), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [374038] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7520), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9082), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9084), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [374077] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7521), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8267), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [374116] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7522), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10073), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10071), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [374155] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7523), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8835), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8833), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [374194] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10013), 1,
      anon_sym_AT,
    STATE(7643), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9013), 1,
      sym_annotation,
    STATE(7524), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8288), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [374239] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13), 1,
      anon_sym_LBRACE,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8737), 1,
      anon_sym_match,
    ACTIONS(10414), 1,
      anon_sym_LPAREN,
    ACTIONS(11066), 1,
      sym__alpha_identifier,
    ACTIONS(11068), 1,
      anon_sym_DOT,
    ACTIONS(11072), 1,
      anon_sym_EQ,
    ACTIONS(11074), 1,
      sym__backquoted_id,
    ACTIONS(11076), 1,
      sym_operator_identifier,
    STATE(609), 1,
      sym_identifier,
    STATE(4075), 1,
      sym__soft_identifier,
    STATE(7525), 2,
      sym_comment,
      sym_block_comment,
    STATE(9978), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8733), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(11070), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [374302] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      anon_sym_LPAREN,
    STATE(8781), 1,
      sym_arguments,
    STATE(7526), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(7788), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7786), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [374345] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7527), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9638), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9636), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [374384] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7528), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8392), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [374423] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7529), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7716), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8324), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [374462] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7530), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9642), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9640), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [374501] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7531), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [374540] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7532), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9021), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9023), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [374579] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7254), 1,
      sym__alpha_identifier,
    ACTIONS(7256), 1,
      anon_sym__,
    ACTIONS(7262), 1,
      sym__backquoted_id,
    ACTIONS(7560), 1,
      anon_sym_LPAREN,
    ACTIONS(7562), 1,
      sym_operator_identifier,
    STATE(11065), 1,
      sym__soft_identifier,
    STATE(11125), 1,
      sym__simple_type,
    STATE(11271), 1,
      sym_identifier,
    STATE(12720), 1,
      sym_annotated_type,
    STATE(13447), 1,
      sym__annotated_type,
    STATE(15838), 1,
      sym_stable_identifier,
    STATE(7533), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7258), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11454), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [374640] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7534), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8095), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8093), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [374679] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7535), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9067), 7,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9065), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [374718] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7536), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7584), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [374757] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7537), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7764), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7762), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [374796] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1622), 1,
      anon_sym_LBRACE,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8518), 1,
      anon_sym_LPAREN,
    ACTIONS(8733), 1,
      anon_sym_LBRACK,
    ACTIONS(9509), 1,
      anon_sym_DOT,
    ACTIONS(10533), 1,
      sym__alpha_identifier,
    ACTIONS(10539), 1,
      sym__backquoted_id,
    ACTIONS(10541), 1,
      sym_operator_identifier,
    ACTIONS(11081), 1,
      anon_sym_EQ,
    STATE(555), 1,
      sym_identifier,
    STATE(4049), 1,
      sym__soft_identifier,
    STATE(7538), 2,
      sym_comment,
      sym_block_comment,
    STATE(8339), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8737), 4,
      anon_sym_while,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(10535), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [374859] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7539), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8392), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [374898] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7540), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9029), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9031), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [374937] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7541), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7330), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8360), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [374976] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9383), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7542), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [375017] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7543), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7704), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8316), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [375056] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1498), 1,
      anon_sym_LBRACE,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8606), 1,
      anon_sym_LPAREN,
    ACTIONS(9431), 1,
      anon_sym_DOT,
    ACTIONS(10572), 1,
      sym__alpha_identifier,
    ACTIONS(10578), 1,
      sym__backquoted_id,
    ACTIONS(10580), 1,
      sym_operator_identifier,
    ACTIONS(11083), 1,
      anon_sym_EQ,
    STATE(550), 1,
      sym_identifier,
    STATE(4050), 1,
      sym__soft_identifier,
    ACTIONS(8733), 2,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    STATE(7544), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8737), 3,
      anon_sym_while,
      anon_sym_match,
      anon_sym_else,
    STATE(8257), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(10574), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [375119] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7545), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9067), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9065), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [375158] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7546), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10075), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [375197] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7547), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [375236] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7548), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9159), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9161), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [375275] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6080), 1,
      sym__alpha_identifier,
    ACTIONS(6086), 1,
      anon_sym__,
    ACTIONS(6094), 1,
      sym__backquoted_id,
    ACTIONS(6096), 1,
      sym_operator_identifier,
    ACTIONS(10123), 1,
      anon_sym_LPAREN,
    STATE(7242), 1,
      sym__simple_type,
    STATE(7449), 1,
      sym__soft_identifier,
    STATE(8071), 1,
      sym_identifier,
    STATE(9622), 1,
      sym_annotated_type,
    STATE(9664), 1,
      sym__annotated_type,
    STATE(16728), 1,
      sym_stable_identifier,
    STATE(7549), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6090), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8489), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [375336] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9385), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7550), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [375377] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7551), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10058), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [375416] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7552), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9067), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9065), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [375455] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7553), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9789), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9787), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [375494] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11085), 1,
      anon_sym_AT,
    STATE(9043), 1,
      sym_annotation,
    STATE(7554), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8283), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8281), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [375537] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7555), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9754), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9752), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [375576] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7640), 1,
      anon_sym_DQUOTE,
    ACTIONS(9273), 1,
      sym__interpolated_multiline_string_start,
    STATE(8847), 1,
      sym_interpolated_string,
    STATE(15258), 1,
      sym__interpolated_string_start,
    ACTIONS(11088), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7556), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(2515), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [375625] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7557), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [375664] = 22,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7336), 1,
      anon_sym_LPAREN,
    ACTIONS(7640), 1,
      anon_sym_DQUOTE,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10995), 1,
      anon_sym_COMMA,
    ACTIONS(10997), 1,
      anon_sym_DOT,
    ACTIONS(10999), 1,
      anon_sym_STAR,
    ACTIONS(11001), 1,
      anon_sym_AT,
    ACTIONS(11005), 1,
      anon_sym_PIPE,
    ACTIONS(11007), 1,
      sym_operator_identifier,
    ACTIONS(11009), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(11090), 1,
      anon_sym_COLON,
    ACTIONS(11092), 1,
      anon_sym_EQ,
    STATE(4172), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    STATE(10777), 1,
      sym_interpolated_string,
    STATE(14934), 1,
      sym__interpolated_string_start,
    STATE(15011), 1,
      aux_sym_val_declaration_repeat1,
    STATE(7558), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [375737] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11094), 1,
      anon_sym_LPAREN,
    STATE(9008), 1,
      sym_arguments,
    STATE(7559), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(7788), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7786), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [375780] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7560), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7330), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8360), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [375819] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6504), 1,
      sym__alpha_identifier,
    ACTIONS(6506), 1,
      anon_sym__,
    ACTIONS(6514), 1,
      sym__backquoted_id,
    ACTIONS(6516), 1,
      sym_operator_identifier,
    ACTIONS(10137), 1,
      anon_sym_LPAREN,
    STATE(5407), 1,
      sym__simple_type,
    STATE(6108), 1,
      sym__soft_identifier,
    STATE(6447), 1,
      sym_identifier,
    STATE(9222), 1,
      sym__annotated_type,
    STATE(9236), 1,
      sym_annotated_type,
    STATE(16716), 1,
      sym_stable_identifier,
    STATE(7561), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6510), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6709), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [375880] = 22,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7336), 1,
      anon_sym_LPAREN,
    ACTIONS(7640), 1,
      anon_sym_DQUOTE,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10995), 1,
      anon_sym_COMMA,
    ACTIONS(10997), 1,
      anon_sym_DOT,
    ACTIONS(10999), 1,
      anon_sym_STAR,
    ACTIONS(11001), 1,
      anon_sym_AT,
    ACTIONS(11005), 1,
      anon_sym_PIPE,
    ACTIONS(11007), 1,
      sym_operator_identifier,
    ACTIONS(11009), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(11097), 1,
      anon_sym_COLON,
    ACTIONS(11099), 1,
      anon_sym_EQ,
    STATE(4172), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    STATE(10777), 1,
      sym_interpolated_string,
    STATE(14934), 1,
      sym__interpolated_string_start,
    STATE(15015), 1,
      aux_sym_val_declaration_repeat1,
    STATE(7562), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [375953] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7563), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7000), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [375992] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7564), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7552), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8326), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [376031] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7565), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7716), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8324), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [376070] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7566), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8227), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8225), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [376109] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7567), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7704), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8316), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [376148] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7338), 1,
      anon_sym_DOT,
    STATE(7568), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [376189] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8081), 1,
      sym__alpha_identifier,
    ACTIONS(8083), 1,
      anon_sym__,
    ACTIONS(8087), 1,
      anon_sym_LPAREN,
    ACTIONS(8089), 1,
      sym__backquoted_id,
    ACTIONS(8091), 1,
      sym_operator_identifier,
    STATE(5681), 1,
      sym__simple_type,
    STATE(7646), 1,
      sym_identifier,
    STATE(7814), 1,
      sym__soft_identifier,
    STATE(8875), 1,
      sym__annotated_type,
    STATE(8986), 1,
      sym_annotated_type,
    STATE(16533), 1,
      sym_stable_identifier,
    STATE(7569), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8085), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7747), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [376250] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8107), 1,
      sym__alpha_identifier,
    ACTIONS(8109), 1,
      anon_sym__,
    ACTIONS(8113), 1,
      anon_sym_LPAREN,
    ACTIONS(8115), 1,
      sym__backquoted_id,
    ACTIONS(8117), 1,
      sym_operator_identifier,
    STATE(5656), 1,
      sym__simple_type,
    STATE(7458), 1,
      sym__soft_identifier,
    STATE(7930), 1,
      sym_identifier,
    STATE(9205), 1,
      sym__annotated_type,
    STATE(9212), 1,
      sym_annotated_type,
    STATE(16710), 1,
      sym_stable_identifier,
    STATE(7570), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8111), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7743), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [376311] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7571), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8392), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [376350] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10907), 1,
      anon_sym_DOT,
    ACTIONS(11101), 1,
      anon_sym_EQ_GT,
    STATE(7572), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [376393] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7573), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7000), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [376432] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11103), 1,
      anon_sym_with,
    STATE(8126), 1,
      aux_sym_compound_type_repeat1,
    STATE(10369), 1,
      sym_arguments,
    STATE(10500), 1,
      sym__refinement,
    STATE(10516), 1,
      sym_template_body,
    STATE(7574), 2,
      sym_comment,
      sym_block_comment,
    STATE(10397), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7498), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(7496), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [376483] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7575), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7574), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [376522] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7580), 1,
      sym__backquoted_id,
    ACTIONS(10971), 1,
      anon_sym_LBRACE,
    ACTIONS(10973), 1,
      anon_sym_with,
    ACTIONS(11105), 1,
      anon_sym_COLON,
    STATE(7688), 1,
      aux_sym_compound_type_repeat1,
    STATE(10553), 1,
      sym_template_body,
    STATE(10566), 1,
      sym__refinement,
    ACTIONS(7694), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(7696), 2,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
    ACTIONS(7698), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7576), 2,
      sym_comment,
      sym_block_comment,
    STATE(10411), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7574), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [376581] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7577), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8267), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [376620] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7578), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8095), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8093), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [376659] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11108), 1,
      anon_sym_LPAREN,
    STATE(8770), 1,
      sym_arguments,
    STATE(7579), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(7788), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7786), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [376702] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7580), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9881), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9879), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [376741] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7581), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8027), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8683), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [376780] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11111), 1,
      anon_sym_COLON,
    ACTIONS(11114), 1,
      anon_sym_LBRACE,
    STATE(9390), 1,
      sym_template_body,
    STATE(7582), 2,
      sym_comment,
      sym_block_comment,
    STATE(8633), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8549), 6,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8541), 13,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [376827] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7583), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10073), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10071), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [376866] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7584), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9896), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9894), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [376905] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7585), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10075), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [376944] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7586), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7764), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7762), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [376983] = 22,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7336), 1,
      anon_sym_LPAREN,
    ACTIONS(7640), 1,
      anon_sym_DQUOTE,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10995), 1,
      anon_sym_COMMA,
    ACTIONS(10997), 1,
      anon_sym_DOT,
    ACTIONS(10999), 1,
      anon_sym_STAR,
    ACTIONS(11001), 1,
      anon_sym_AT,
    ACTIONS(11005), 1,
      anon_sym_PIPE,
    ACTIONS(11007), 1,
      sym_operator_identifier,
    ACTIONS(11009), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(11117), 1,
      anon_sym_COLON,
    ACTIONS(11119), 1,
      anon_sym_EQ,
    STATE(4172), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    STATE(10777), 1,
      sym_interpolated_string,
    STATE(14434), 1,
      aux_sym_val_declaration_repeat1,
    STATE(14934), 1,
      sym__interpolated_string_start,
    STATE(7587), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [377056] = 22,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7336), 1,
      anon_sym_LPAREN,
    ACTIONS(7640), 1,
      anon_sym_DQUOTE,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10995), 1,
      anon_sym_COMMA,
    ACTIONS(10997), 1,
      anon_sym_DOT,
    ACTIONS(10999), 1,
      anon_sym_STAR,
    ACTIONS(11001), 1,
      anon_sym_AT,
    ACTIONS(11005), 1,
      anon_sym_PIPE,
    ACTIONS(11007), 1,
      sym_operator_identifier,
    ACTIONS(11009), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(11121), 1,
      anon_sym_COLON,
    ACTIONS(11123), 1,
      anon_sym_EQ,
    STATE(4172), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    STATE(10777), 1,
      sym_interpolated_string,
    STATE(14441), 1,
      aux_sym_val_declaration_repeat1,
    STATE(14934), 1,
      sym__interpolated_string_start,
    STATE(7588), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [377129] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6540), 1,
      sym__alpha_identifier,
    ACTIONS(6546), 1,
      anon_sym__,
    ACTIONS(6554), 1,
      sym__backquoted_id,
    ACTIONS(6556), 1,
      sym_operator_identifier,
    ACTIONS(10149), 1,
      anon_sym_LPAREN,
    STATE(5262), 1,
      sym__simple_type,
    STATE(5455), 1,
      sym__soft_identifier,
    STATE(5692), 1,
      sym_identifier,
    STATE(8248), 1,
      sym_annotated_type,
    STATE(8276), 1,
      sym__annotated_type,
    STATE(16698), 1,
      sym_stable_identifier,
    STATE(7589), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6550), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6161), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [377190] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7338), 1,
      anon_sym_DOT,
    STATE(7590), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [377231] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10651), 1,
      anon_sym_PLUS,
    ACTIONS(10653), 1,
      anon_sym_DASH,
    ACTIONS(10655), 1,
      anon_sym_AT,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(8478), 1,
      aux_sym_enum_definition_repeat1,
    STATE(11328), 1,
      sym_annotation,
    STATE(15073), 1,
      sym__variant_type_parameter,
    STATE(15641), 1,
      sym__type_parameter,
    STATE(7591), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    STATE(15646), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [377298] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6604), 1,
      sym__alpha_identifier,
    ACTIONS(6610), 1,
      anon_sym__,
    ACTIONS(6618), 1,
      sym__backquoted_id,
    ACTIONS(6620), 1,
      sym_operator_identifier,
    ACTIONS(9568), 1,
      anon_sym_LPAREN,
    STATE(5917), 1,
      sym__simple_type,
    STATE(6430), 1,
      sym_identifier,
    STATE(6627), 1,
      sym__soft_identifier,
    STATE(9269), 1,
      sym__annotated_type,
    STATE(9360), 1,
      sym_annotated_type,
    STATE(16479), 1,
      sym_stable_identifier,
    STATE(7592), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6614), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7355), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [377359] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7593), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9067), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9065), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [377398] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8090), 1,
      sym__end_marker,
    STATE(7594), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9292), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9290), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [377439] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7595), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [377478] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7596), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [377517] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8542), 1,
      sym_arguments,
    STATE(7597), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7498), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7496), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [377558] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11125), 1,
      anon_sym_with,
    STATE(7598), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(8804), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8802), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [377599] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7599), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [377638] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7600), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8835), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8833), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [377677] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7601), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7498), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7496), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [377716] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7602), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7710), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8404), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [377755] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13), 1,
      anon_sym_LBRACE,
    ACTIONS(10414), 1,
      anon_sym_LPAREN,
    ACTIONS(11068), 1,
      anon_sym_DOT,
    STATE(621), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(7603), 2,
      sym_comment,
      sym_block_comment,
    STATE(9978), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8241), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8239), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [377806] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7604), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8392), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [377845] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8243), 1,
      sym__alpha_identifier,
    ACTIONS(8245), 1,
      anon_sym__,
    ACTIONS(8249), 1,
      anon_sym_LPAREN,
    ACTIONS(8251), 1,
      sym__backquoted_id,
    ACTIONS(8253), 1,
      sym_operator_identifier,
    STATE(5918), 1,
      sym__simple_type,
    STATE(7424), 1,
      sym__soft_identifier,
    STATE(7894), 1,
      sym_identifier,
    STATE(8782), 1,
      sym_annotated_type,
    STATE(8866), 1,
      sym__annotated_type,
    STATE(16438), 1,
      sym_stable_identifier,
    STATE(7605), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8247), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8001), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [377906] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7606), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9447), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [377945] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8143), 1,
      sym__alpha_identifier,
    ACTIONS(8145), 1,
      anon_sym__,
    ACTIONS(8149), 1,
      anon_sym_LPAREN,
    ACTIONS(8151), 1,
      sym__backquoted_id,
    ACTIONS(8153), 1,
      sym_operator_identifier,
    STATE(4990), 1,
      sym__simple_type,
    STATE(6727), 1,
      sym_identifier,
    STATE(7241), 1,
      sym__soft_identifier,
    STATE(8304), 1,
      sym_annotated_type,
    STATE(8326), 1,
      sym__annotated_type,
    STATE(16692), 1,
      sym_stable_identifier,
    STATE(7607), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8147), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7335), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [378006] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7608), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9180), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9182), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [378045] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7338), 1,
      anon_sym_DOT,
    STATE(7609), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [378086] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7610), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8267), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [378125] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4716), 1,
      sym__alpha_identifier,
    ACTIONS(4722), 1,
      anon_sym__,
    ACTIONS(4734), 1,
      sym__backquoted_id,
    ACTIONS(6764), 1,
      sym_operator_identifier,
    ACTIONS(10161), 1,
      anon_sym_LPAREN,
    STATE(5280), 1,
      sym__simple_type,
    STATE(5457), 1,
      sym__soft_identifier,
    STATE(5890), 1,
      sym_identifier,
    STATE(8351), 1,
      sym_annotated_type,
    STATE(8369), 1,
      sym__annotated_type,
    STATE(16686), 1,
      sym_stable_identifier,
    STATE(7611), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4728), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6031), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [378186] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7612), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7714), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8406), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [378225] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7613), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8227), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8225), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [378264] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(832), 1,
      anon_sym_LBRACE,
    ACTIONS(8051), 1,
      sym__alpha_identifier,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8063), 1,
      anon_sym_EQ,
    ACTIONS(8065), 1,
      sym__backquoted_id,
    ACTIONS(9437), 1,
      anon_sym_LPAREN,
    ACTIONS(10364), 1,
      anon_sym_DOT,
    ACTIONS(10425), 1,
      sym_operator_identifier,
    STATE(621), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    ACTIONS(8737), 2,
      anon_sym_match,
      anon_sym_then,
    STATE(7614), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8733), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    STATE(9275), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8061), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [378327] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7615), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8267), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [378366] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7616), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9449), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9451), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [378405] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11128), 1,
      anon_sym_DOT,
    STATE(7617), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [378446] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5627), 1,
      sym_identifier,
    STATE(8951), 1,
      sym__soft_identifier,
    STATE(7618), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9985), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9983), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [378489] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7338), 1,
      anon_sym_DOT,
    STATE(7619), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [378530] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9453), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7620), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [378571] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11130), 1,
      anon_sym_with,
    STATE(7621), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(8804), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8802), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [378612] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7640), 1,
      anon_sym_DQUOTE,
    ACTIONS(9774), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(11133), 1,
      anon_sym_COLON,
    STATE(9549), 1,
      sym_interpolated_string,
    STATE(14612), 1,
      sym__interpolated_string_start,
    ACTIONS(7638), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    ACTIONS(11136), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(7622), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(2515), 10,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [378665] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8201), 1,
      sym__alpha_identifier,
    ACTIONS(8203), 1,
      anon_sym__,
    ACTIONS(8207), 1,
      anon_sym_LPAREN,
    ACTIONS(8209), 1,
      sym__backquoted_id,
    ACTIONS(8211), 1,
      sym_operator_identifier,
    STATE(4662), 1,
      sym__simple_type,
    STATE(5475), 1,
      sym__soft_identifier,
    STATE(5632), 1,
      sym_identifier,
    STATE(6803), 1,
      sym_annotated_type,
    STATE(6823), 1,
      sym__annotated_type,
    STATE(16680), 1,
      sym_stable_identifier,
    STATE(7623), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8205), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5935), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [378726] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7624), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7704), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8316), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [378765] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7625), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8095), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8093), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [378804] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8773), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7626), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8771), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8769), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [378845] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13), 1,
      anon_sym_LBRACE,
    ACTIONS(8051), 1,
      sym__alpha_identifier,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8057), 1,
      anon_sym_match,
    ACTIONS(8063), 1,
      anon_sym_EQ,
    ACTIONS(8065), 1,
      sym__backquoted_id,
    ACTIONS(10414), 1,
      anon_sym_LPAREN,
    ACTIONS(11068), 1,
      anon_sym_DOT,
    ACTIONS(11139), 1,
      sym_operator_identifier,
    STATE(1783), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(7627), 2,
      sym_comment,
      sym_block_comment,
    STATE(9978), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8055), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8061), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [378908] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6722), 1,
      sym__alpha_identifier,
    ACTIONS(6728), 1,
      anon_sym__,
    ACTIONS(6736), 1,
      sym__backquoted_id,
    ACTIONS(6738), 1,
      sym_operator_identifier,
    ACTIONS(9696), 1,
      anon_sym_LPAREN,
    STATE(5531), 1,
      sym__simple_type,
    STATE(6422), 1,
      sym_identifier,
    STATE(6611), 1,
      sym__soft_identifier,
    STATE(9480), 1,
      sym_annotated_type,
    STATE(9561), 1,
      sym__annotated_type,
    STATE(16387), 1,
      sym_stable_identifier,
    STATE(7628), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6732), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6925), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [378969] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7629), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7716), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8324), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [379008] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7630), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7764), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7762), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [379047] = 22,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7336), 1,
      anon_sym_LPAREN,
    ACTIONS(7640), 1,
      anon_sym_DQUOTE,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10995), 1,
      anon_sym_COMMA,
    ACTIONS(10997), 1,
      anon_sym_DOT,
    ACTIONS(10999), 1,
      anon_sym_STAR,
    ACTIONS(11001), 1,
      anon_sym_AT,
    ACTIONS(11005), 1,
      anon_sym_PIPE,
    ACTIONS(11007), 1,
      sym_operator_identifier,
    ACTIONS(11009), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(11141), 1,
      anon_sym_COLON,
    ACTIONS(11143), 1,
      anon_sym_EQ,
    STATE(4172), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    STATE(10777), 1,
      sym_interpolated_string,
    STATE(14934), 1,
      sym__interpolated_string_start,
    STATE(15192), 1,
      aux_sym_val_declaration_repeat1,
    STATE(7631), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [379120] = 22,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7336), 1,
      anon_sym_LPAREN,
    ACTIONS(7640), 1,
      anon_sym_DQUOTE,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10995), 1,
      anon_sym_COMMA,
    ACTIONS(10997), 1,
      anon_sym_DOT,
    ACTIONS(10999), 1,
      anon_sym_STAR,
    ACTIONS(11001), 1,
      anon_sym_AT,
    ACTIONS(11005), 1,
      anon_sym_PIPE,
    ACTIONS(11007), 1,
      sym_operator_identifier,
    ACTIONS(11009), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(11145), 1,
      anon_sym_COLON,
    ACTIONS(11147), 1,
      anon_sym_EQ,
    STATE(4172), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    STATE(10777), 1,
      sym_interpolated_string,
    STATE(14934), 1,
      sym__interpolated_string_start,
    STATE(15195), 1,
      aux_sym_val_declaration_repeat1,
    STATE(7632), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [379193] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7633), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7552), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8326), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [379232] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7634), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7112), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7110), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [379271] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7635), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7000), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [379310] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7636), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8835), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8833), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [379349] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4608), 1,
      sym__alpha_identifier,
    ACTIONS(4610), 1,
      anon_sym__,
    ACTIONS(4620), 1,
      sym__backquoted_id,
    ACTIONS(6768), 1,
      sym_operator_identifier,
    ACTIONS(9742), 1,
      anon_sym_LPAREN,
    STATE(7146), 1,
      sym__simple_type,
    STATE(7705), 1,
      sym__soft_identifier,
    STATE(8002), 1,
      sym_identifier,
    STATE(9756), 1,
      sym_annotated_type,
    STATE(9811), 1,
      sym__annotated_type,
    STATE(16333), 1,
      sym_stable_identifier,
    STATE(7637), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4616), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8234), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [379410] = 22,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7336), 1,
      anon_sym_LPAREN,
    ACTIONS(7640), 1,
      anon_sym_DQUOTE,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10975), 1,
      anon_sym_COLON,
    ACTIONS(10977), 1,
      anon_sym_DOT,
    ACTIONS(10979), 1,
      anon_sym_STAR,
    ACTIONS(10983), 1,
      anon_sym_if,
    ACTIONS(10985), 1,
      anon_sym_AT,
    ACTIONS(10987), 1,
      anon_sym_PIPE,
    ACTIONS(10989), 1,
      sym_operator_identifier,
    ACTIONS(10991), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(11149), 1,
      anon_sym_EQ_GT,
    STATE(4155), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    STATE(11358), 1,
      sym_interpolated_string,
    STATE(14976), 1,
      sym__interpolated_string_start,
    STATE(16542), 1,
      sym_guard,
    STATE(7638), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [379483] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11151), 1,
      anon_sym_DOT,
    STATE(7639), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8159), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [379524] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7640), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7720), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8435), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [379563] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(9335), 1,
      sym__alpha_identifier,
    ACTIONS(9341), 1,
      sym__backquoted_id,
    ACTIONS(9343), 1,
      sym_operator_identifier,
    STATE(531), 1,
      sym_identifier,
    STATE(3954), 1,
      sym__soft_identifier,
    STATE(7641), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8733), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(9337), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(8737), 7,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [379616] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7580), 1,
      sym__backquoted_id,
    ACTIONS(7698), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7642), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7694), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(7696), 7,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(7574), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [379661] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11153), 1,
      anon_sym_AT,
    STATE(9013), 1,
      sym_annotation,
    STATE(7643), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8283), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8281), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [379704] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11156), 1,
      anon_sym_DOT,
    STATE(7644), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [379745] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4808), 1,
      sym__alpha_identifier,
    ACTIONS(4814), 1,
      anon_sym__,
    ACTIONS(4826), 1,
      sym__backquoted_id,
    ACTIONS(6684), 1,
      sym_operator_identifier,
    ACTIONS(10163), 1,
      anon_sym_LPAREN,
    STATE(5307), 1,
      sym__simple_type,
    STATE(5480), 1,
      sym__soft_identifier,
    STATE(5668), 1,
      sym_identifier,
    STATE(8449), 1,
      sym_annotated_type,
    STATE(8467), 1,
      sym__annotated_type,
    STATE(16674), 1,
      sym_stable_identifier,
    STATE(7645), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4820), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6180), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [379806] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11158), 1,
      anon_sym_DOT,
    STATE(7646), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8159), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [379847] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6486), 1,
      sym__alpha_identifier,
    ACTIONS(6492), 1,
      anon_sym__,
    ACTIONS(6500), 1,
      sym__backquoted_id,
    ACTIONS(6502), 1,
      sym_operator_identifier,
    ACTIONS(10156), 1,
      anon_sym_LPAREN,
    STATE(5353), 1,
      sym__simple_type,
    STATE(5485), 1,
      sym__soft_identifier,
    STATE(5556), 1,
      sym_identifier,
    STATE(8431), 1,
      sym_annotated_type,
    STATE(8508), 1,
      sym__annotated_type,
    STATE(16662), 1,
      sym_stable_identifier,
    STATE(7647), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6496), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6338), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [379908] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7648), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9067), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9065), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [379947] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7649), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8027), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8683), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [379986] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8051), 1,
      sym__alpha_identifier,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8065), 1,
      sym__backquoted_id,
    ACTIONS(8328), 1,
      sym_operator_identifier,
    STATE(1761), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(7650), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8055), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8061), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(8057), 7,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [380039] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7676), 1,
      sym__alpha_identifier,
    ACTIONS(7682), 1,
      anon_sym__,
    ACTIONS(7686), 1,
      anon_sym_LPAREN,
    ACTIONS(7688), 1,
      sym__backquoted_id,
    ACTIONS(7690), 1,
      sym_operator_identifier,
    STATE(12147), 1,
      sym__simple_type,
    STATE(12651), 1,
      sym__soft_identifier,
    STATE(12912), 1,
      sym_identifier,
    STATE(13680), 1,
      sym__annotated_type,
    STATE(13740), 1,
      sym_annotated_type,
    STATE(16278), 1,
      sym_stable_identifier,
    STATE(7651), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7684), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(13194), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [380100] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10704), 1,
      anon_sym_COLON,
    ACTIONS(10708), 1,
      anon_sym_with,
    STATE(9529), 1,
      aux_sym_compound_type_repeat1,
    STATE(10227), 1,
      sym__refinement,
    STATE(10270), 1,
      sym_template_body,
    STATE(7652), 2,
      sym_comment,
      sym_block_comment,
    STATE(10180), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7668), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7666), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [380151] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7653), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [380190] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7654), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8027), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8683), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [380229] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7655), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9538), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9536), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [380268] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11160), 1,
      anon_sym_AT,
    STATE(9079), 1,
      sym_annotation,
    STATE(7656), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8283), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8281), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [380311] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7657), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9067), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9065), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [380350] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7658), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8835), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8833), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [380389] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4842), 1,
      sym__alpha_identifier,
    ACTIONS(4848), 1,
      anon_sym__,
    ACTIONS(4860), 1,
      sym__backquoted_id,
    ACTIONS(6150), 1,
      sym_operator_identifier,
    ACTIONS(10144), 1,
      anon_sym_LPAREN,
    STATE(4401), 1,
      sym__simple_type,
    STATE(4511), 1,
      sym_identifier,
    STATE(4651), 1,
      sym__soft_identifier,
    STATE(6316), 1,
      sym__annotated_type,
    STATE(6342), 1,
      sym_annotated_type,
    STATE(16656), 1,
      sym_stable_identifier,
    STATE(7659), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4854), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4909), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [380450] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9118), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7660), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [380491] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8069), 1,
      sym__alpha_identifier,
    ACTIONS(8071), 1,
      anon_sym__,
    ACTIONS(8075), 1,
      anon_sym_LPAREN,
    ACTIONS(8077), 1,
      sym__backquoted_id,
    ACTIONS(8079), 1,
      sym_operator_identifier,
    STATE(4793), 1,
      sym__simple_type,
    STATE(6140), 1,
      sym_identifier,
    STATE(6650), 1,
      sym__soft_identifier,
    STATE(7545), 1,
      sym__annotated_type,
    STATE(7868), 1,
      sym_annotated_type,
    STATE(15870), 1,
      sym_stable_identifier,
    STATE(7661), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8073), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6134), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [380552] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7662), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7000), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [380591] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7663), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8271), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [380630] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11163), 1,
      anon_sym_with,
    STATE(7664), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(8804), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8802), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [380671] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7665), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8227), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8225), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [380710] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11166), 1,
      sym__alpha_identifier,
    ACTIONS(11168), 1,
      anon_sym__,
    ACTIONS(11172), 1,
      anon_sym_LPAREN,
    ACTIONS(11174), 1,
      sym__backquoted_id,
    ACTIONS(11176), 1,
      sym_operator_identifier,
    STATE(12907), 1,
      sym__simple_type,
    STATE(13271), 1,
      sym__soft_identifier,
    STATE(13373), 1,
      sym_identifier,
    STATE(14081), 1,
      sym__annotated_type,
    STATE(14123), 1,
      sym_annotated_type,
    STATE(15921), 1,
      sym_stable_identifier,
    STATE(7666), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11170), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(13560), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [380771] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7667), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8095), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8093), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [380810] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7668), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7552), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8326), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [380849] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8773), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7669), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8771), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8769), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [380890] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7670), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7552), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8326), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [380929] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7746), 1,
      sym__alpha_identifier,
    ACTIONS(7752), 1,
      anon_sym__,
    ACTIONS(7756), 1,
      anon_sym_LPAREN,
    ACTIONS(7758), 1,
      sym__backquoted_id,
    ACTIONS(7760), 1,
      sym_operator_identifier,
    STATE(4333), 1,
      sym__simple_type,
    STATE(4703), 1,
      sym_identifier,
    STATE(4858), 1,
      sym__soft_identifier,
    STATE(5626), 1,
      sym__annotated_type,
    STATE(5648), 1,
      sym_annotated_type,
    STATE(16228), 1,
      sym_stable_identifier,
    STATE(7671), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4713), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [380990] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4366), 1,
      sym__alpha_identifier,
    ACTIONS(4368), 1,
      anon_sym__,
    ACTIONS(4378), 1,
      sym__backquoted_id,
    ACTIONS(6440), 1,
      sym_operator_identifier,
    ACTIONS(10135), 1,
      anon_sym_LPAREN,
    STATE(4436), 1,
      sym__simple_type,
    STATE(4542), 1,
      sym_identifier,
    STATE(4655), 1,
      sym__soft_identifier,
    STATE(6237), 1,
      sym__annotated_type,
    STATE(6289), 1,
      sym_annotated_type,
    STATE(16650), 1,
      sym_stable_identifier,
    STATE(7672), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4374), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4887), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [381051] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7673), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7764), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7762), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [381090] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10651), 1,
      anon_sym_PLUS,
    ACTIONS(10653), 1,
      anon_sym_DASH,
    ACTIONS(10655), 1,
      anon_sym_AT,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(8478), 1,
      aux_sym_enum_definition_repeat1,
    STATE(11328), 1,
      sym_annotation,
    STATE(14414), 1,
      sym__variant_type_parameter,
    STATE(15641), 1,
      sym__type_parameter,
    STATE(7674), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    STATE(15646), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [381157] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10721), 1,
      anon_sym_EQ_GT,
    STATE(7675), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8271), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [381198] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7676), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8835), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8833), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [381237] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7677), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7330), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8360), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [381276] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7678), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [381315] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7338), 1,
      anon_sym_DOT,
    STATE(7679), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8159), 20,
      anon_sym_end,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [381356] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7680), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8392), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [381395] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7681), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7372), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8402), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [381434] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7682), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [381473] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6522), 1,
      sym__alpha_identifier,
    ACTIONS(6528), 1,
      anon_sym__,
    ACTIONS(6536), 1,
      sym__backquoted_id,
    ACTIONS(6538), 1,
      sym_operator_identifier,
    ACTIONS(10127), 1,
      anon_sym_LPAREN,
    STATE(4559), 1,
      sym__simple_type,
    STATE(4776), 1,
      sym__soft_identifier,
    STATE(4779), 1,
      sym_identifier,
    STATE(7168), 1,
      sym_annotated_type,
    STATE(7209), 1,
      sym__annotated_type,
    STATE(16640), 1,
      sym_stable_identifier,
    STATE(7683), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6532), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5109), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [381534] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4212), 1,
      sym__alpha_identifier,
    ACTIONS(4218), 1,
      anon_sym__,
    ACTIONS(4230), 1,
      sym__backquoted_id,
    ACTIONS(6712), 1,
      sym_operator_identifier,
    ACTIONS(9746), 1,
      anon_sym_LPAREN,
    STATE(4504), 1,
      sym__simple_type,
    STATE(4875), 1,
      sym_identifier,
    STATE(4929), 1,
      sym__soft_identifier,
    STATE(6865), 1,
      sym_annotated_type,
    STATE(6931), 1,
      sym__annotated_type,
    STATE(16174), 1,
      sym_stable_identifier,
    STATE(7684), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4224), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5291), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [381595] = 22,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7336), 1,
      anon_sym_LPAREN,
    ACTIONS(7640), 1,
      anon_sym_DQUOTE,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10169), 1,
      anon_sym_COMMA,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10997), 1,
      anon_sym_DOT,
    ACTIONS(10999), 1,
      anon_sym_STAR,
    ACTIONS(11001), 1,
      anon_sym_AT,
    ACTIONS(11005), 1,
      anon_sym_PIPE,
    ACTIONS(11007), 1,
      sym_operator_identifier,
    ACTIONS(11009), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(11017), 1,
      anon_sym_COLON,
    ACTIONS(11178), 1,
      anon_sym_RPAREN,
    STATE(4172), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    STATE(10777), 1,
      sym_interpolated_string,
    STATE(14512), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(14934), 1,
      sym__interpolated_string_start,
    STATE(7685), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [381668] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7686), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8267), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [381707] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7687), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8835), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8833), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [381746] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10971), 1,
      anon_sym_LBRACE,
    ACTIONS(10973), 1,
      anon_sym_with,
    STATE(9813), 1,
      aux_sym_compound_type_repeat1,
    STATE(10466), 1,
      sym__refinement,
    STATE(10553), 1,
      sym_template_body,
    STATE(7688), 2,
      sym_comment,
      sym_block_comment,
    STATE(10411), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7668), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(7666), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [381797] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7689), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8392), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [381836] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7690), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8267), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [381875] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4264), 1,
      sym__alpha_identifier,
    ACTIONS(4270), 1,
      anon_sym__,
    ACTIONS(4282), 1,
      sym__backquoted_id,
    ACTIONS(6632), 1,
      sym_operator_identifier,
    ACTIONS(10119), 1,
      anon_sym_LPAREN,
    STATE(4294), 1,
      sym__simple_type,
    STATE(4380), 1,
      sym__soft_identifier,
    STATE(4396), 1,
      sym_identifier,
    STATE(5238), 1,
      sym_annotated_type,
    STATE(5245), 1,
      sym__annotated_type,
    STATE(16629), 1,
      sym_stable_identifier,
    STATE(7691), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4276), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4409), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [381936] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11180), 1,
      anon_sym_with,
    STATE(7692), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(8804), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8802), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [381977] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10605), 1,
      anon_sym_LPAREN,
    STATE(7699), 1,
      aux_sym_annotation_repeat1,
    STATE(8892), 1,
      sym_arguments,
    STATE(7693), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7817), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7815), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [382022] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7694), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7574), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [382061] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13), 1,
      anon_sym_LBRACE,
    ACTIONS(8063), 1,
      anon_sym_EQ,
    ACTIONS(10414), 1,
      anon_sym_LPAREN,
    ACTIONS(11068), 1,
      anon_sym_DOT,
    STATE(621), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(7695), 2,
      sym_comment,
      sym_block_comment,
    STATE(9978), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8231), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8229), 10,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [382114] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7622), 1,
      sym__alpha_identifier,
    ACTIONS(7628), 1,
      anon_sym__,
    ACTIONS(7632), 1,
      anon_sym_LPAREN,
    ACTIONS(7634), 1,
      sym__backquoted_id,
    ACTIONS(7636), 1,
      sym_operator_identifier,
    STATE(10401), 1,
      sym__simple_type,
    STATE(10818), 1,
      sym_identifier,
    STATE(10971), 1,
      sym__soft_identifier,
    STATE(12380), 1,
      sym__annotated_type,
    STATE(12450), 1,
      sym_annotated_type,
    STATE(16115), 1,
      sym_stable_identifier,
    STATE(7696), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7630), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11092), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [382175] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7697), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9067), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9065), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [382214] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7698), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8027), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8683), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [382253] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11183), 1,
      anon_sym_LPAREN,
    STATE(8892), 1,
      sym_arguments,
    STATE(7699), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(7788), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7786), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [382296] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7700), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8267), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [382335] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7232), 1,
      sym__alpha_identifier,
    ACTIONS(7238), 1,
      anon_sym__,
    ACTIONS(7246), 1,
      sym__backquoted_id,
    ACTIONS(7556), 1,
      anon_sym_LPAREN,
    ACTIONS(7558), 1,
      sym_operator_identifier,
    STATE(10729), 1,
      sym_identifier,
    STATE(10954), 1,
      sym__soft_identifier,
    STATE(11241), 1,
      sym__simple_type,
    STATE(12438), 1,
      sym_annotated_type,
    STATE(13319), 1,
      sym__annotated_type,
    STATE(16972), 1,
      sym_stable_identifier,
    STATE(7701), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7242), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11316), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [382396] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7702), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7716), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8324), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [382435] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7703), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7704), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8316), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [382474] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7704), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9144), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9146), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [382513] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7705), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7000), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [382552] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7706), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9455), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9457), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [382591] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7707), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9134), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9136), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [382630] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7708), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9130), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9132), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [382669] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7709), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7704), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8316), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [382708] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    ACTIONS(9770), 1,
      anon_sym_LPAREN,
    STATE(5380), 1,
      sym__simple_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(8603), 1,
      sym_annotated_type,
    STATE(8647), 1,
      sym__annotated_type,
    STATE(15969), 1,
      sym_stable_identifier,
    STATE(7710), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [382769] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4296), 1,
      sym__alpha_identifier,
    ACTIONS(4302), 1,
      anon_sym__,
    ACTIONS(4314), 1,
      sym__backquoted_id,
    ACTIONS(6720), 1,
      sym_operator_identifier,
    ACTIONS(10115), 1,
      anon_sym_LPAREN,
    STATE(6476), 1,
      sym__simple_type,
    STATE(7067), 1,
      sym__soft_identifier,
    STATE(7261), 1,
      sym_identifier,
    STATE(9393), 1,
      sym__annotated_type,
    STATE(9519), 1,
      sym_annotated_type,
    STATE(16618), 1,
      sym_stable_identifier,
    STATE(7711), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4308), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7849), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [382830] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7712), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7716), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8324), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [382869] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7713), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7464), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [382908] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7714), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7716), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8324), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [382947] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7715), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7330), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8360), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [382986] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7716), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7498), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7496), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [383025] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7717), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7584), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [383064] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7718), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7552), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8326), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [383103] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5555), 1,
      sym_identifier,
    STATE(8951), 1,
      sym__soft_identifier,
    STATE(7719), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9985), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9983), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [383146] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7720), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7552), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8326), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [383185] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7338), 1,
      anon_sym_DOT,
    STATE(7721), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [383226] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6664), 1,
      sym__alpha_identifier,
    ACTIONS(6666), 1,
      anon_sym__,
    ACTIONS(6674), 1,
      sym__backquoted_id,
    ACTIONS(6676), 1,
      sym_operator_identifier,
    ACTIONS(10113), 1,
      anon_sym_LPAREN,
    STATE(6942), 1,
      sym__simple_type,
    STATE(7416), 1,
      sym_identifier,
    STATE(7573), 1,
      sym__soft_identifier,
    STATE(9751), 1,
      sym__annotated_type,
    STATE(9874), 1,
      sym_annotated_type,
    STATE(16596), 1,
      sym_stable_identifier,
    STATE(7722), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6670), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8346), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [383287] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7723), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8392), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [383326] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7724), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9554), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9552), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [383365] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7725), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9896), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9894), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [383404] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7726), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7710), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8404), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [383443] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9725), 1,
      anon_sym_AT,
    STATE(7739), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8860), 1,
      sym_annotation,
    STATE(7727), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8288), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [383488] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9948), 1,
      anon_sym_LPAREN,
    STATE(7738), 1,
      aux_sym_annotation_repeat1,
    STATE(8820), 1,
      sym_arguments,
    STATE(7728), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7817), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7815), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [383533] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7729), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7716), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8324), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [383572] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4586), 1,
      sym__alpha_identifier,
    ACTIONS(4588), 1,
      anon_sym__,
    ACTIONS(4598), 1,
      sym__backquoted_id,
    ACTIONS(6814), 1,
      sym_operator_identifier,
    ACTIONS(10103), 1,
      anon_sym_LPAREN,
    STATE(4992), 1,
      sym__simple_type,
    STATE(5427), 1,
      sym_identifier,
    STATE(5551), 1,
      sym__soft_identifier,
    STATE(8585), 1,
      sym__annotated_type,
    STATE(8625), 1,
      sym_annotated_type,
    STATE(16585), 1,
      sym_stable_identifier,
    STATE(7730), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4594), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6523), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [383633] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11186), 1,
      anon_sym_with,
    STATE(7731), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(8804), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8802), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [383674] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7732), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7714), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8406), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [383713] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7733), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9881), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9879), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [383752] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5790), 1,
      sym_identifier,
    STATE(8951), 1,
      sym__soft_identifier,
    STATE(7734), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9985), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9983), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [383795] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10651), 1,
      anon_sym_PLUS,
    ACTIONS(10653), 1,
      anon_sym_DASH,
    ACTIONS(10655), 1,
      anon_sym_AT,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(8478), 1,
      aux_sym_enum_definition_repeat1,
    STATE(11328), 1,
      sym_annotation,
    STATE(14617), 1,
      sym__variant_type_parameter,
    STATE(15641), 1,
      sym__type_parameter,
    STATE(7735), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    STATE(15646), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [383862] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7580), 1,
      sym__backquoted_id,
    ACTIONS(7696), 1,
      anon_sym_EQ,
    ACTIONS(10704), 1,
      anon_sym_COLON,
    ACTIONS(10708), 1,
      anon_sym_with,
    ACTIONS(11189), 1,
      anon_sym_LBRACE,
    STATE(7652), 1,
      aux_sym_compound_type_repeat1,
    STATE(10270), 1,
      sym_template_body,
    STATE(10285), 1,
      sym__refinement,
    ACTIONS(7698), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7736), 2,
      sym_comment,
      sym_block_comment,
    STATE(10180), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7694), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    ACTIONS(7574), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [383921] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7737), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7720), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8435), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [383960] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11192), 1,
      anon_sym_LPAREN,
    STATE(8820), 1,
      sym_arguments,
    STATE(7738), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(7788), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7786), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [384003] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11195), 1,
      anon_sym_AT,
    STATE(8860), 1,
      sym_annotation,
    STATE(7739), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8283), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8281), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [384046] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7740), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7372), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8402), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [384085] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6770), 1,
      sym__alpha_identifier,
    ACTIONS(6776), 1,
      anon_sym__,
    ACTIONS(6784), 1,
      sym__backquoted_id,
    ACTIONS(6786), 1,
      sym_operator_identifier,
    ACTIONS(10095), 1,
      anon_sym_LPAREN,
    STATE(5022), 1,
      sym__simple_type,
    STATE(5479), 1,
      sym_identifier,
    STATE(5580), 1,
      sym__soft_identifier,
    STATE(8705), 1,
      sym__annotated_type,
    STATE(8787), 1,
      sym_annotated_type,
    STATE(16563), 1,
      sym_stable_identifier,
    STATE(7741), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6780), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6415), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [384146] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7742), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [384185] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7743), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8271), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [384224] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7744), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(4132), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [384263] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7859), 1,
      sym__alpha_identifier,
    ACTIONS(7861), 1,
      anon_sym__,
    ACTIONS(7865), 1,
      anon_sym_LPAREN,
    ACTIONS(7867), 1,
      sym__backquoted_id,
    ACTIONS(7869), 1,
      sym_operator_identifier,
    STATE(5986), 1,
      sym__simple_type,
    STATE(7563), 1,
      sym__soft_identifier,
    STATE(7644), 1,
      sym_identifier,
    STATE(9077), 1,
      sym__annotated_type,
    STATE(9128), 1,
      sym_annotated_type,
    STATE(15795), 1,
      sym_stable_identifier,
    STATE(7745), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7863), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7750), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [384324] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7638), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7746), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(2515), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [384365] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7747), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8271), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [384404] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11198), 1,
      anon_sym_with,
    STATE(7748), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(8804), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8802), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [384445] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7749), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8027), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8683), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [384484] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7750), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8271), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [384523] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7751), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9180), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9182), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [384562] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7752), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [384601] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6796), 1,
      sym__alpha_identifier,
    ACTIONS(6798), 1,
      anon_sym__,
    ACTIONS(6806), 1,
      sym__backquoted_id,
    ACTIONS(6808), 1,
      sym_operator_identifier,
    ACTIONS(10081), 1,
      anon_sym_LPAREN,
    STATE(5929), 1,
      sym__simple_type,
    STATE(6232), 1,
      sym_identifier,
    STATE(6412), 1,
      sym__soft_identifier,
    STATE(9308), 1,
      sym_annotated_type,
    STATE(9315), 1,
      sym__annotated_type,
    STATE(16551), 1,
      sym_stable_identifier,
    STATE(7753), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6802), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7011), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [384662] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7754), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9449), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9451), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [384701] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7755), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7330), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8360), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [384740] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7756), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9447), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [384779] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7757), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8267), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [384818] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11201), 1,
      anon_sym_COLON,
    ACTIONS(11204), 1,
      anon_sym_LBRACE,
    STATE(9339), 1,
      sym_template_body,
    STATE(5691), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7758), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8549), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8541), 12,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [384865] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7759), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9159), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9161), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [384904] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7760), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7704), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8316), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [384943] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7761), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7330), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8360), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [384982] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8051), 1,
      sym__alpha_identifier,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8065), 1,
      sym__backquoted_id,
    ACTIONS(8300), 1,
      sym_operator_identifier,
    STATE(1721), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(7762), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8055), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8061), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(8057), 7,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [385035] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7763), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8835), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8833), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [385074] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7774), 1,
      sym__alpha_identifier,
    ACTIONS(7776), 1,
      anon_sym__,
    ACTIONS(7780), 1,
      anon_sym_LPAREN,
    ACTIONS(7782), 1,
      sym__backquoted_id,
    ACTIONS(7784), 1,
      sym_operator_identifier,
    STATE(6336), 1,
      sym__simple_type,
    STATE(8610), 1,
      sym_identifier,
    STATE(8668), 1,
      sym__soft_identifier,
    STATE(9330), 1,
      sym__annotated_type,
    STATE(9605), 1,
      sym_annotated_type,
    STATE(15798), 1,
      sym_stable_identifier,
    STATE(7764), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7778), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8184), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [385135] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11207), 1,
      anon_sym_with,
    STATE(7765), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(8804), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8802), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [385176] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7766), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8027), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8683), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [385215] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7767), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8267), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [385254] = 22,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7336), 1,
      anon_sym_LPAREN,
    ACTIONS(7640), 1,
      anon_sym_DQUOTE,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10997), 1,
      anon_sym_DOT,
    ACTIONS(10999), 1,
      anon_sym_STAR,
    ACTIONS(11001), 1,
      anon_sym_AT,
    ACTIONS(11005), 1,
      anon_sym_PIPE,
    ACTIONS(11007), 1,
      sym_operator_identifier,
    ACTIONS(11009), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(11017), 1,
      anon_sym_COLON,
    ACTIONS(11210), 1,
      anon_sym_COMMA,
    ACTIONS(11212), 1,
      anon_sym_RPAREN,
    STATE(4172), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    STATE(10777), 1,
      sym_interpolated_string,
    STATE(14934), 1,
      sym__interpolated_string_start,
    STATE(15218), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(7768), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [385327] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6066), 1,
      sym__alpha_identifier,
    ACTIONS(6068), 1,
      anon_sym__,
    ACTIONS(6076), 1,
      sym__backquoted_id,
    ACTIONS(6078), 1,
      sym_operator_identifier,
    ACTIONS(10063), 1,
      anon_sym_LPAREN,
    STATE(5958), 1,
      sym__simple_type,
    STATE(6298), 1,
      sym_identifier,
    STATE(6423), 1,
      sym__soft_identifier,
    STATE(8714), 1,
      sym_annotated_type,
    STATE(8845), 1,
      sym__annotated_type,
    STATE(16539), 1,
      sym_stable_identifier,
    STATE(7769), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6072), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7089), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [385388] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7770), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9082), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9084), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [385427] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7771), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8392), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [385466] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11214), 1,
      anon_sym_with,
    STATE(7772), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(8804), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8802), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [385507] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10651), 1,
      anon_sym_PLUS,
    ACTIONS(10653), 1,
      anon_sym_DASH,
    ACTIONS(10655), 1,
      anon_sym_AT,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(8478), 1,
      aux_sym_enum_definition_repeat1,
    STATE(11328), 1,
      sym_annotation,
    STATE(14851), 1,
      sym__variant_type_parameter,
    STATE(15641), 1,
      sym__type_parameter,
    STATE(7773), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    STATE(15646), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [385574] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7774), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7764), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7762), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [385613] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7775), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10075), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [385652] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7776), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10073), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10071), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [385691] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7777), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8392), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [385730] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7778), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7704), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8316), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [385769] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11217), 1,
      anon_sym_AT,
    STATE(8996), 1,
      sym_annotation,
    STATE(7779), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8283), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8281), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [385812] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7780), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9021), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9023), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [385851] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5942), 1,
      sym_identifier,
    STATE(8951), 1,
      sym__soft_identifier,
    STATE(7781), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9985), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9983), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [385894] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7782), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8267), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [385933] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7783), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8095), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8093), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [385972] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7784), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7716), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8324), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [386011] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7785), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9029), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9031), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [386050] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10704), 1,
      anon_sym_COLON,
    ACTIONS(10708), 1,
      anon_sym_with,
    STATE(7652), 1,
      aux_sym_compound_type_repeat1,
    STATE(10270), 1,
      sym_template_body,
    STATE(10285), 1,
      sym__refinement,
    STATE(7786), 2,
      sym_comment,
      sym_block_comment,
    STATE(10180), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7580), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7574), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [386101] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7787), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7372), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8402), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [386140] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7788), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7720), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8435), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [386179] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7789), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10058), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [386218] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11220), 1,
      anon_sym_with,
    STATE(7790), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(8804), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8802), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [386259] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7791), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7552), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8326), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [386298] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7792), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7112), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7110), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [386337] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10111), 1,
      anon_sym_AT,
    STATE(7967), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9194), 1,
      sym_annotation,
    STATE(7793), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8288), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [386382] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7794), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7764), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7762), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [386421] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7638), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7795), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [386462] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4748), 1,
      sym__alpha_identifier,
    ACTIONS(4754), 1,
      anon_sym__,
    ACTIONS(4766), 1,
      sym__backquoted_id,
    ACTIONS(6716), 1,
      sym_operator_identifier,
    ACTIONS(10049), 1,
      anon_sym_LPAREN,
    STATE(4838), 1,
      sym__simple_type,
    STATE(5002), 1,
      sym_identifier,
    STATE(5217), 1,
      sym__soft_identifier,
    STATE(7599), 1,
      sym_annotated_type,
    STATE(7648), 1,
      sym__annotated_type,
    STATE(16527), 1,
      sym_stable_identifier,
    STATE(7796), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4760), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5492), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [386523] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7797), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8267), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [386562] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7798), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9180), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9182), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [386601] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7799), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8227), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8225), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [386640] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7800), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8095), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8093), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [386679] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4402), 1,
      sym__alpha_identifier,
    ACTIONS(4408), 1,
      anon_sym__,
    ACTIONS(4420), 1,
      sym__backquoted_id,
    ACTIONS(6640), 1,
      sym_operator_identifier,
    ACTIONS(9785), 1,
      anon_sym_LPAREN,
    STATE(5901), 1,
      sym__simple_type,
    STATE(6126), 1,
      sym_identifier,
    STATE(6337), 1,
      sym__soft_identifier,
    STATE(8794), 1,
      sym_annotated_type,
    STATE(9237), 1,
      sym__annotated_type,
    STATE(15828), 1,
      sym_stable_identifier,
    STATE(7801), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4414), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7175), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [386740] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7802), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7372), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8402), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [386779] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8292), 1,
      sym_arguments,
    STATE(7803), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7498), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7496), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [386820] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7804), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8835), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8833), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [386859] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7805), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9159), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9161), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [386898] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7806), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7720), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8435), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [386937] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7807), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8227), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8225), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [386976] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7808), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9082), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9084), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [387015] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6130), 1,
      sym__alpha_identifier,
    ACTIONS(6136), 1,
      anon_sym__,
    ACTIONS(6144), 1,
      sym__backquoted_id,
    ACTIONS(6146), 1,
      sym_operator_identifier,
    ACTIONS(9793), 1,
      anon_sym_LPAREN,
    STATE(6664), 1,
      sym__simple_type,
    STATE(7617), 1,
      sym_identifier,
    STATE(7635), 1,
      sym__soft_identifier,
    STATE(9791), 1,
      sym__annotated_type,
    STATE(9838), 1,
      sym_annotated_type,
    STATE(15858), 1,
      sym_stable_identifier,
    STATE(7809), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6140), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8290), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [387076] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7810), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8095), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8093), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [387115] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7811), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [387154] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8161), 1,
      sym__alpha_identifier,
    ACTIONS(8163), 1,
      anon_sym__,
    ACTIONS(8167), 1,
      anon_sym_LPAREN,
    ACTIONS(8169), 1,
      sym__backquoted_id,
    ACTIONS(8171), 1,
      sym_operator_identifier,
    STATE(5083), 1,
      sym__simple_type,
    STATE(6841), 1,
      sym__soft_identifier,
    STATE(7013), 1,
      sym_identifier,
    STATE(8437), 1,
      sym__annotated_type,
    STATE(8501), 1,
      sym_annotated_type,
    STATE(16511), 1,
      sym_stable_identifier,
    STATE(7812), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8165), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7256), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [387215] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7813), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7704), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8316), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [387254] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7814), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7000), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [387293] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7815), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9021), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9023), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [387332] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7816), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9029), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9031), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [387371] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10651), 1,
      anon_sym_PLUS,
    ACTIONS(10653), 1,
      anon_sym_DASH,
    ACTIONS(10655), 1,
      anon_sym_AT,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(8478), 1,
      aux_sym_enum_definition_repeat1,
    STATE(11328), 1,
      sym_annotation,
    STATE(14860), 1,
      sym__variant_type_parameter,
    STATE(15641), 1,
      sym__type_parameter,
    STATE(7817), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    STATE(15646), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [387438] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7818), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8392), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [387477] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7819), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8267), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [387516] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9263), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7820), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [387557] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7821), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8027), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8683), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [387596] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7822), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7552), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8326), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [387635] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7823), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7714), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8406), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [387674] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7824), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7716), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8324), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [387713] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7825), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7330), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8360), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [387752] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7826), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7372), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8402), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [387791] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7827), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7710), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8404), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [387830] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6558), 1,
      sym__alpha_identifier,
    ACTIONS(6560), 1,
      anon_sym__,
    ACTIONS(6568), 1,
      sym__backquoted_id,
    ACTIONS(6570), 1,
      sym_operator_identifier,
    ACTIONS(9797), 1,
      anon_sym_LPAREN,
    STATE(6535), 1,
      sym__simple_type,
    STATE(6749), 1,
      sym_identifier,
    STATE(6863), 1,
      sym__soft_identifier,
    STATE(9628), 1,
      sym__annotated_type,
    STATE(9893), 1,
      sym_annotated_type,
    STATE(15886), 1,
      sym_stable_identifier,
    STATE(7828), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6564), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7663), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [387891] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7829), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7704), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8316), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [387930] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5849), 1,
      sym_identifier,
    STATE(8951), 1,
      sym__soft_identifier,
    STATE(7830), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9985), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9983), 17,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [387973] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11223), 1,
      anon_sym_with,
    STATE(7831), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(8804), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8802), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [388014] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7832), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9977), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9975), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [388053] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7726), 1,
      sym__alpha_identifier,
    ACTIONS(7732), 1,
      anon_sym__,
    ACTIONS(7736), 1,
      anon_sym_LPAREN,
    ACTIONS(7738), 1,
      sym__backquoted_id,
    ACTIONS(7740), 1,
      sym_operator_identifier,
    STATE(10665), 1,
      sym__simple_type,
    STATE(11238), 1,
      sym_identifier,
    STATE(11270), 1,
      sym__soft_identifier,
    STATE(12784), 1,
      sym_annotated_type,
    STATE(12874), 1,
      sym__annotated_type,
    STATE(16475), 1,
      sym_stable_identifier,
    STATE(7833), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7734), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11678), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [388114] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(9355), 1,
      sym__alpha_identifier,
    ACTIONS(9361), 1,
      sym__backquoted_id,
    ACTIONS(9363), 1,
      sym_operator_identifier,
    STATE(530), 1,
      sym_identifier,
    STATE(3963), 1,
      sym__soft_identifier,
    STATE(7834), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8733), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(9357), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(8737), 7,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [388167] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7835), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8027), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8683), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [388206] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7836), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9754), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9752), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [388245] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7837), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9789), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9787), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [388284] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7838), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7714), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8406), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [388323] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10651), 1,
      anon_sym_PLUS,
    ACTIONS(10653), 1,
      anon_sym_DASH,
    ACTIONS(10655), 1,
      anon_sym_AT,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(8478), 1,
      aux_sym_enum_definition_repeat1,
    STATE(11328), 1,
      sym_annotation,
    STATE(14936), 1,
      sym__variant_type_parameter,
    STATE(15641), 1,
      sym__type_parameter,
    STATE(7839), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    STATE(15646), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [388390] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11226), 1,
      anon_sym_with,
    STATE(7840), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(8804), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8802), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [388431] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6686), 1,
      sym__alpha_identifier,
    ACTIONS(6692), 1,
      anon_sym__,
    ACTIONS(6700), 1,
      sym__backquoted_id,
    ACTIONS(6702), 1,
      sym_operator_identifier,
    ACTIONS(10043), 1,
      anon_sym_LPAREN,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5638), 1,
      sym__soft_identifier,
    STATE(5657), 1,
      sym_identifier,
    STATE(8322), 1,
      sym__annotated_type,
    STATE(8399), 1,
      sym_annotated_type,
    STATE(16439), 1,
      sym_stable_identifier,
    STATE(7841), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6696), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6181), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [388492] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7842), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8392), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [388531] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7843), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8267), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [388570] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7844), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9455), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9457), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [388609] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7935), 1,
      sym__alpha_identifier,
    ACTIONS(7937), 1,
      anon_sym__,
    ACTIONS(7941), 1,
      anon_sym_LPAREN,
    ACTIONS(7943), 1,
      sym__backquoted_id,
    ACTIONS(7945), 1,
      sym_operator_identifier,
    STATE(5159), 1,
      sym__simple_type,
    STATE(6676), 1,
      sym_identifier,
    STATE(6711), 1,
      sym__soft_identifier,
    STATE(8259), 1,
      sym__annotated_type,
    STATE(8355), 1,
      sym_annotated_type,
    STATE(16421), 1,
      sym_stable_identifier,
    STATE(7845), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7939), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7142), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [388670] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7336), 1,
      anon_sym_LPAREN,
    ACTIONS(7640), 1,
      anon_sym_DQUOTE,
    ACTIONS(10997), 1,
      anon_sym_DOT,
    ACTIONS(11001), 1,
      anon_sym_AT,
    ACTIONS(11009), 1,
      sym__interpolated_multiline_string_start,
    STATE(4172), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    STATE(10777), 1,
      sym_interpolated_string,
    STATE(14934), 1,
      sym__interpolated_string_start,
    STATE(7846), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10669), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10667), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [388727] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7847), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7584), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8358), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [388766] = 20,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7336), 1,
      anon_sym_LPAREN,
    ACTIONS(7640), 1,
      anon_sym_DQUOTE,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10997), 1,
      anon_sym_DOT,
    ACTIONS(10999), 1,
      anon_sym_STAR,
    ACTIONS(11001), 1,
      anon_sym_AT,
    ACTIONS(11007), 1,
      sym_operator_identifier,
    ACTIONS(11009), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(11017), 1,
      anon_sym_COLON,
    STATE(4172), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    STATE(10777), 1,
      sym_interpolated_string,
    STATE(14934), 1,
      sym__interpolated_string_start,
    ACTIONS(10671), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(10673), 2,
      anon_sym_EQ,
      anon_sym_PIPE,
    STATE(7848), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [388835] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7849), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8271), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [388874] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7850), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7764), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7762), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [388913] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7851), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8095), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8093), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [388952] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7852), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [388991] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7853), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7710), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8404), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [389030] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7854), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8227), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8225), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [389069] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7580), 1,
      sym__backquoted_id,
    ACTIONS(7698), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7855), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7694), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(7696), 7,
      anon_sym_case,
      anon_sym_if,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(7574), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [389114] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7856), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9462), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9464), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [389153] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6456), 1,
      sym__alpha_identifier,
    ACTIONS(6462), 1,
      anon_sym__,
    ACTIONS(6470), 1,
      sym__backquoted_id,
    ACTIONS(6472), 1,
      sym_operator_identifier,
    ACTIONS(9835), 1,
      anon_sym_LPAREN,
    STATE(5597), 1,
      sym__simple_type,
    STATE(6507), 1,
      sym_identifier,
    STATE(6519), 1,
      sym__soft_identifier,
    STATE(9531), 1,
      sym__annotated_type,
    STATE(9543), 1,
      sym_annotated_type,
    STATE(15913), 1,
      sym_stable_identifier,
    STATE(7857), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6466), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7263), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [389214] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7858), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9462), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9464), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [389253] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7859), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7720), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8435), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [389292] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7860), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [389331] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7861), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [389370] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7336), 1,
      anon_sym_LPAREN,
    ACTIONS(7640), 1,
      anon_sym_DQUOTE,
    ACTIONS(10997), 1,
      anon_sym_DOT,
    ACTIONS(11001), 1,
      anon_sym_AT,
    ACTIONS(11009), 1,
      sym__interpolated_multiline_string_start,
    STATE(4172), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    STATE(10777), 1,
      sym_interpolated_string,
    STATE(14934), 1,
      sym__interpolated_string_start,
    STATE(7862), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10677), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10675), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [389427] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7863), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8392), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [389466] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7864), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8267), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [389505] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4778), 1,
      sym__alpha_identifier,
    ACTIONS(4784), 1,
      anon_sym__,
    ACTIONS(4796), 1,
      sym__backquoted_id,
    ACTIONS(6680), 1,
      sym_operator_identifier,
    ACTIONS(10030), 1,
      anon_sym_LPAREN,
    STATE(4771), 1,
      sym__simple_type,
    STATE(4975), 1,
      sym_identifier,
    STATE(5184), 1,
      sym__soft_identifier,
    STATE(7811), 1,
      sym_annotated_type,
    STATE(7891), 1,
      sym__annotated_type,
    STATE(16403), 1,
      sym_stable_identifier,
    STATE(7865), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4790), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5538), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [389566] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7866), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7714), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8406), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [389605] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7867), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7764), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7762), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [389644] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7868), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7464), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [389683] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7869), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9896), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9894), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [389722] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(477), 1,
      anon_sym_LBRACE,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8737), 1,
      anon_sym_match,
    ACTIONS(9427), 1,
      anon_sym_LPAREN,
    ACTIONS(10203), 1,
      anon_sym_DOT,
    ACTIONS(10830), 1,
      sym__alpha_identifier,
    ACTIONS(10836), 1,
      sym__backquoted_id,
    ACTIONS(10838), 1,
      sym_operator_identifier,
    ACTIONS(11229), 1,
      anon_sym_EQ,
    STATE(625), 1,
      sym_identifier,
    STATE(4072), 1,
      sym__soft_identifier,
    STATE(7870), 2,
      sym_comment,
      sym_block_comment,
    STATE(9375), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8733), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(10832), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [389785] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7871), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8095), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8093), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [389824] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7872), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7710), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8404), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [389863] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7873), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9538), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9536), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [389902] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7874), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7584), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [389941] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7875), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9881), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9879), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [389980] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7819), 1,
      sym__alpha_identifier,
    ACTIONS(7821), 1,
      anon_sym__,
    ACTIONS(7825), 1,
      anon_sym_LPAREN,
    ACTIONS(7827), 1,
      sym__backquoted_id,
    ACTIONS(7829), 1,
      sym_operator_identifier,
    STATE(4400), 1,
      sym__simple_type,
    STATE(5145), 1,
      sym_identifier,
    STATE(5167), 1,
      sym__soft_identifier,
    STATE(6496), 1,
      sym__annotated_type,
    STATE(6604), 1,
      sym_annotated_type,
    STATE(16385), 1,
      sym_stable_identifier,
    STATE(7876), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7823), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5309), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [390041] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7877), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8392), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [390080] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7878), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8267), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [390119] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7879), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9455), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9457), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [390158] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5885), 1,
      sym_identifier,
    STATE(8951), 1,
      sym__soft_identifier,
    STATE(7880), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9985), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9983), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [390201] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7881), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7584), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [390240] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7882), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10058), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [390279] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7883), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8227), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8225), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [390318] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7884), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8392), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [390357] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7885), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8835), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8833), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [390396] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7886), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9449), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9451), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [390435] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7887), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9447), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [390474] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8083), 1,
      sym__end_marker,
    STATE(7888), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9292), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9290), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [390515] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7889), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8267), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [390554] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7890), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7710), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8404), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [390593] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7891), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9067), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9065), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [390632] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7892), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8227), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8225), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [390671] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7893), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7714), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8406), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [390710] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11231), 1,
      anon_sym_DOT,
    STATE(7894), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [390751] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11233), 1,
      anon_sym_COLON,
    ACTIONS(11236), 1,
      anon_sym_LBRACE,
    STATE(9402), 1,
      sym_template_body,
    STATE(7895), 2,
      sym_comment,
      sym_block_comment,
    STATE(8874), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8549), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8541), 12,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [390798] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7896), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10073), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10071), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [390837] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7897), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7584), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [390876] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8035), 1,
      sym__alpha_identifier,
    ACTIONS(8041), 1,
      anon_sym__,
    ACTIONS(8045), 1,
      anon_sym_LPAREN,
    ACTIONS(8047), 1,
      sym__backquoted_id,
    ACTIONS(8049), 1,
      sym_operator_identifier,
    STATE(4467), 1,
      sym__simple_type,
    STATE(5146), 1,
      sym__soft_identifier,
    STATE(5147), 1,
      sym_identifier,
    STATE(6229), 1,
      sym_annotated_type,
    STATE(6625), 1,
      sym__annotated_type,
    STATE(15960), 1,
      sym_stable_identifier,
    STATE(7898), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8043), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5329), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [390937] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7899), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10075), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [390976] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7900), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9959), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9957), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [391015] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6646), 1,
      sym__alpha_identifier,
    ACTIONS(6648), 1,
      anon_sym__,
    ACTIONS(6656), 1,
      sym__backquoted_id,
    ACTIONS(6658), 1,
      sym_operator_identifier,
    ACTIONS(10011), 1,
      anon_sym_LPAREN,
    STATE(4443), 1,
      sym__simple_type,
    STATE(4596), 1,
      sym__soft_identifier,
    STATE(4659), 1,
      sym_identifier,
    STATE(6426), 1,
      sym__annotated_type,
    STATE(6534), 1,
      sym_annotated_type,
    STATE(16367), 1,
      sym_stable_identifier,
    STATE(7901), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6652), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4714), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [391076] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7902), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7330), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8360), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [391115] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7903), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7720), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8435), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [391154] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7904), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9754), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9752), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [391193] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7905), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(7000), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [391232] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7906), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8095), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8093), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [391271] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7338), 1,
      anon_sym_DOT,
    STATE(7907), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [391312] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7908), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9789), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9787), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [391351] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7909), 1,
      sym__alpha_identifier,
    ACTIONS(7915), 1,
      anon_sym__,
    ACTIONS(7919), 1,
      anon_sym_LPAREN,
    ACTIONS(7921), 1,
      sym__backquoted_id,
    ACTIONS(7923), 1,
      sym_operator_identifier,
    STATE(4425), 1,
      sym__simple_type,
    STATE(4987), 1,
      sym_identifier,
    STATE(5132), 1,
      sym__soft_identifier,
    STATE(6356), 1,
      sym__annotated_type,
    STATE(6464), 1,
      sym_annotated_type,
    STATE(16348), 1,
      sym_stable_identifier,
    STATE(7909), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7917), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5370), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [391412] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7910), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9029), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9031), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [391451] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7911), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7764), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7762), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [391490] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7912), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8271), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [391529] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4502), 1,
      sym__alpha_identifier,
    ACTIONS(4504), 1,
      anon_sym__,
    ACTIONS(4514), 1,
      sym__backquoted_id,
    ACTIONS(6300), 1,
      sym_operator_identifier,
    ACTIONS(9839), 1,
      anon_sym_LPAREN,
    STATE(4377), 1,
      sym__simple_type,
    STATE(4404), 1,
      sym_identifier,
    STATE(4419), 1,
      sym__soft_identifier,
    STATE(5852), 1,
      sym__annotated_type,
    STATE(5923), 1,
      sym_annotated_type,
    STATE(15983), 1,
      sym_stable_identifier,
    STATE(7913), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4510), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4621), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [391590] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7914), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9021), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9023), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [391629] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10443), 1,
      anon_sym_AT,
    STATE(8068), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8987), 1,
      sym_annotation,
    STATE(7915), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8288), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [391674] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7916), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8027), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8683), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [391713] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6372), 1,
      sym__alpha_identifier,
    ACTIONS(6374), 1,
      anon_sym__,
    ACTIONS(6382), 1,
      sym__backquoted_id,
    ACTIONS(6384), 1,
      sym_operator_identifier,
    ACTIONS(9913), 1,
      anon_sym_LPAREN,
    STATE(8020), 1,
      sym__simple_type,
    STATE(8164), 1,
      sym__soft_identifier,
    STATE(8558), 1,
      sym_identifier,
    STATE(10278), 1,
      sym_annotated_type,
    STATE(10316), 1,
      sym__annotated_type,
    STATE(16067), 1,
      sym_stable_identifier,
    STATE(7917), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6378), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8717), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [391774] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8063), 1,
      anon_sym_EQ,
    STATE(621), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(7918), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8231), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8229), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [391819] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4690), 1,
      sym__alpha_identifier,
    ACTIONS(4692), 1,
      anon_sym__,
    ACTIONS(4702), 1,
      sym__backquoted_id,
    ACTIONS(6636), 1,
      sym_operator_identifier,
    ACTIONS(10004), 1,
      anon_sym_LPAREN,
    STATE(4447), 1,
      sym__simple_type,
    STATE(4567), 1,
      sym__soft_identifier,
    STATE(4581), 1,
      sym_identifier,
    STATE(6286), 1,
      sym__annotated_type,
    STATE(6394), 1,
      sym_annotated_type,
    STATE(16329), 1,
      sym_stable_identifier,
    STATE(7919), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4698), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4730), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [391880] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7920), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9998), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9996), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [391919] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8051), 1,
      sym__alpha_identifier,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8063), 1,
      anon_sym_EQ,
    ACTIONS(8065), 1,
      sym__backquoted_id,
    ACTIONS(8582), 1,
      sym_operator_identifier,
    STATE(1763), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(7921), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8055), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8061), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(8057), 7,
      anon_sym_while,
      anon_sym_match,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [391974] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7922), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9642), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9640), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [392013] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6152), 1,
      sym__alpha_identifier,
    ACTIONS(6154), 1,
      anon_sym__,
    ACTIONS(6162), 1,
      sym__backquoted_id,
    ACTIONS(6164), 1,
      sym_operator_identifier,
    ACTIONS(9847), 1,
      anon_sym_LPAREN,
    STATE(4589), 1,
      sym__simple_type,
    STATE(4743), 1,
      sym_identifier,
    STATE(4922), 1,
      sym__soft_identifier,
    STATE(6753), 1,
      sym_annotated_type,
    STATE(7308), 1,
      sym__annotated_type,
    STATE(16004), 1,
      sym_stable_identifier,
    STATE(7923), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6158), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5252), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [392074] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7924), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9638), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9636), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [392113] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7925), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8835), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8833), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [392152] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10918), 1,
      anon_sym_EQ_GT,
    STATE(7926), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8271), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [392193] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7927), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9082), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9084), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [392232] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7928), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8227), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8225), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [392271] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11239), 1,
      anon_sym_LBRACK,
    ACTIONS(11241), 1,
      anon_sym_AT,
    ACTIONS(11243), 1,
      anon_sym_LPAREN,
    ACTIONS(11245), 1,
      anon_sym_POUND,
    STATE(9556), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9652), 1,
      sym_type_arguments,
    STATE(9959), 1,
      sym_annotation,
    STATE(10369), 1,
      sym_arguments,
    STATE(7929), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 3,
      anon_sym_LBRACE,
      anon_sym_DOT,
      sym__backquoted_id,
    ACTIONS(7464), 13,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [392326] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11247), 1,
      anon_sym_DOT,
    STATE(7930), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [392367] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7931), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9642), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9640), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [392406] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7932), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7574), 18,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [392445] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7933), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9638), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9636), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [392484] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7934), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9589), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9587), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [392523] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10651), 1,
      anon_sym_PLUS,
    ACTIONS(10653), 1,
      anon_sym_DASH,
    ACTIONS(10655), 1,
      anon_sym_AT,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(8478), 1,
      aux_sym_enum_definition_repeat1,
    STATE(11328), 1,
      sym_annotation,
    STATE(15537), 1,
      sym__variant_type_parameter,
    STATE(15641), 1,
      sym__type_parameter,
    STATE(7935), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    STATE(15646), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [392590] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8173), 1,
      sym__alpha_identifier,
    ACTIONS(8179), 1,
      anon_sym__,
    ACTIONS(8183), 1,
      anon_sym_LPAREN,
    ACTIONS(8185), 1,
      sym__backquoted_id,
    ACTIONS(8187), 1,
      sym_operator_identifier,
    STATE(4275), 1,
      sym__simple_type,
    STATE(4546), 1,
      sym__soft_identifier,
    STATE(4635), 1,
      sym_identifier,
    STATE(4976), 1,
      sym_annotated_type,
    STATE(5015), 1,
      sym__annotated_type,
    STATE(16310), 1,
      sym_stable_identifier,
    STATE(7936), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8181), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4521), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [392651] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7338), 1,
      anon_sym_DOT,
    STATE(7937), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8159), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [392692] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7938), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7330), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8360), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [392731] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7939), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9159), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9161), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [392770] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7940), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9589), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9587), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [392809] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7941), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8027), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8683), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [392848] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7942), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8027), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8683), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [392887] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7943), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7112), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7110), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [392926] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8063), 1,
      anon_sym_EQ,
    STATE(621), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(7944), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8231), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8229), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [392971] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6098), 1,
      sym__alpha_identifier,
    ACTIONS(6100), 1,
      anon_sym__,
    ACTIONS(6108), 1,
      sym__backquoted_id,
    ACTIONS(6110), 1,
      sym_operator_identifier,
    ACTIONS(9853), 1,
      anon_sym_LPAREN,
    STATE(5828), 1,
      sym__simple_type,
    STATE(6096), 1,
      sym_identifier,
    STATE(6257), 1,
      sym__soft_identifier,
    STATE(9368), 1,
      sym__annotated_type,
    STATE(9560), 1,
      sym_annotated_type,
    STATE(16025), 1,
      sym_stable_identifier,
    STATE(7945), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6104), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6721), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [393032] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7946), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9180), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9182), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [393071] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7947), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7584), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [393110] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8127), 1,
      sym__alpha_identifier,
    ACTIONS(8133), 1,
      anon_sym__,
    ACTIONS(8137), 1,
      anon_sym_LPAREN,
    ACTIONS(8139), 1,
      sym__backquoted_id,
    ACTIONS(8141), 1,
      sym_operator_identifier,
    STATE(8557), 1,
      sym__simple_type,
    STATE(9712), 1,
      sym__soft_identifier,
    STATE(9770), 1,
      sym_identifier,
    STATE(10252), 1,
      sym_annotated_type,
    STATE(10284), 1,
      sym__annotated_type,
    STATE(16291), 1,
      sym_stable_identifier,
    STATE(7948), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8135), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9736), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [393171] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7949), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8392), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [393210] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7950), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7710), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8404), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [393249] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7951), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10047), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10045), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [393288] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7952), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9580), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9578), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [393327] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7953), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9580), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9578), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [393366] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7954), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7714), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8406), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [393405] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7955), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10041), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10039), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [393444] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7956), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7720), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8435), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [393483] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7957), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [393522] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7958), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8271), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [393561] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7959), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [393600] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7960), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8267), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [393639] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7961), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7330), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8360), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [393678] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7962), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7764), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7762), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [393717] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9810), 1,
      anon_sym_AT,
    STATE(8048), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9118), 1,
      sym_annotation,
    STATE(7963), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8288), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [393762] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7964), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8095), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8093), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [393801] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7965), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8835), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8833), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [393840] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7966), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7330), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8360), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [393879] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11249), 1,
      anon_sym_AT,
    STATE(9194), 1,
      sym_annotation,
    STATE(7967), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8283), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8281), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [393922] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6582), 1,
      sym__alpha_identifier,
    ACTIONS(6588), 1,
      anon_sym__,
    ACTIONS(6596), 1,
      sym__backquoted_id,
    ACTIONS(6598), 1,
      sym_operator_identifier,
    ACTIONS(9987), 1,
      anon_sym_LPAREN,
    STATE(6320), 1,
      sym__simple_type,
    STATE(6730), 1,
      sym__soft_identifier,
    STATE(7322), 1,
      sym_identifier,
    STATE(9449), 1,
      sym__annotated_type,
    STATE(9482), 1,
      sym_annotated_type,
    STATE(16251), 1,
      sym_stable_identifier,
    STATE(7968), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6592), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7912), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [393983] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7969), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7584), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [394022] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7970), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10058), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 18,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [394061] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6206), 1,
      sym__alpha_identifier,
    ACTIONS(6212), 1,
      anon_sym__,
    ACTIONS(6220), 1,
      sym__backquoted_id,
    ACTIONS(6222), 1,
      sym_operator_identifier,
    ACTIONS(9883), 1,
      anon_sym_LPAREN,
    STATE(5019), 1,
      sym__simple_type,
    STATE(5445), 1,
      sym_identifier,
    STATE(5909), 1,
      sym__soft_identifier,
    STATE(8956), 1,
      sym__annotated_type,
    STATE(9003), 1,
      sym_annotated_type,
    STATE(16046), 1,
      sym_stable_identifier,
    STATE(7971), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6216), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6453), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [394122] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7972), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8392), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [394161] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7947), 1,
      sym__alpha_identifier,
    ACTIONS(7949), 1,
      anon_sym__,
    ACTIONS(7953), 1,
      anon_sym_LPAREN,
    ACTIONS(7955), 1,
      sym__backquoted_id,
    ACTIONS(7957), 1,
      sym_operator_identifier,
    STATE(6870), 1,
      sym__simple_type,
    STATE(8833), 1,
      sym_identifier,
    STATE(9188), 1,
      sym__soft_identifier,
    STATE(9620), 1,
      sym_annotated_type,
    STATE(9727), 1,
      sym__annotated_type,
    STATE(16927), 1,
      sym_stable_identifier,
    STATE(7973), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7951), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9056), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [394222] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7974), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10075), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [394261] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7975), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8227), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8225), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [394300] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7976), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10073), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10071), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [394339] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7977), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8392), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [394378] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8051), 1,
      sym__alpha_identifier,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8063), 1,
      anon_sym_EQ,
    ACTIONS(8065), 1,
      sym__backquoted_id,
    ACTIONS(8563), 1,
      sym_operator_identifier,
    STATE(1779), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(7978), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8055), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8057), 6,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8061), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [394433] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8003), 1,
      sym__alpha_identifier,
    ACTIONS(8005), 1,
      anon_sym__,
    ACTIONS(8009), 1,
      anon_sym_LPAREN,
    ACTIONS(8011), 1,
      sym__backquoted_id,
    ACTIONS(8013), 1,
      sym_operator_identifier,
    STATE(6018), 1,
      sym__simple_type,
    STATE(8250), 1,
      sym_identifier,
    STATE(8497), 1,
      sym__soft_identifier,
    STATE(9338), 1,
      sym__annotated_type,
    STATE(9435), 1,
      sym_annotated_type,
    STATE(16231), 1,
      sym_stable_identifier,
    STATE(7979), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8007), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8161), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [394494] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7980), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9404), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9406), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [394533] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7981), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10073), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10071), 18,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [394572] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7982), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10075), 18,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [394611] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7983), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7710), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8404), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [394650] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7984), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7552), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8326), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [394689] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7985), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7372), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8402), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [394728] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9100), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7986), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [394769] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7987), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7714), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8406), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [394808] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7988), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9542), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9540), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [394847] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7989), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7764), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7762), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [394886] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7990), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7716), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8324), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [394925] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7991), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8835), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8833), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [394964] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7992), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9546), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9544), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [395003] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9799), 1,
      anon_sym_AT,
    STATE(7656), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9079), 1,
      sym_annotation,
    STATE(7993), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8288), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [395048] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7994), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8095), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8093), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [395087] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4660), 1,
      sym__alpha_identifier,
    ACTIONS(4666), 1,
      anon_sym__,
    ACTIONS(4678), 1,
      sym__backquoted_id,
    ACTIONS(6574), 1,
      sym_operator_identifier,
    ACTIONS(9981), 1,
      anon_sym_LPAREN,
    STATE(6330), 1,
      sym__simple_type,
    STATE(7030), 1,
      sym_identifier,
    STATE(7094), 1,
      sym__soft_identifier,
    STATE(9281), 1,
      sym__annotated_type,
    STATE(9377), 1,
      sym_annotated_type,
    STATE(16211), 1,
      sym_stable_identifier,
    STATE(7995), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4672), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8006), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [395148] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7996), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7704), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8316), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [395187] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8159), 1,
      sym_arguments,
    STATE(7997), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7498), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7496), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [395228] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7998), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7372), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8402), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [395267] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7999), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(4132), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [395306] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8000), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7720), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8435), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [395345] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8001), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8271), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [395384] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11252), 1,
      anon_sym_DOT,
    STATE(8002), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [395425] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8003), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9550), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9548), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [395464] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11254), 1,
      anon_sym_AT,
    STATE(9189), 1,
      sym_annotation,
    STATE(8004), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8283), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8281), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [395507] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8005), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [395546] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8006), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8271), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [395585] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8007), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9998), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9996), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [395624] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8008), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8159), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [395663] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10427), 1,
      anon_sym_AT,
    STATE(8004), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9189), 1,
      sym_annotation,
    STATE(8009), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8288), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [395708] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8010), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8227), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8225), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [395747] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8011), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9404), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9406), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [395786] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8012), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9534), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9532), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [395825] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7638), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8013), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [395866] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8014), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 4,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(7000), 20,
      anon_sym_end,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [395905] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11257), 1,
      anon_sym_LPAREN,
    STATE(9164), 1,
      sym_arguments,
    STATE(8015), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(7788), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7786), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [395948] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8016), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9538), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9536), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [395987] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7877), 1,
      sym__alpha_identifier,
    ACTIONS(7879), 1,
      anon_sym__,
    ACTIONS(7883), 1,
      anon_sym_LPAREN,
    ACTIONS(7885), 1,
      sym__backquoted_id,
    ACTIONS(7887), 1,
      sym_operator_identifier,
    STATE(5249), 1,
      sym__simple_type,
    STATE(7163), 1,
      sym_identifier,
    STATE(7248), 1,
      sym__soft_identifier,
    STATE(8252), 1,
      sym_annotated_type,
    STATE(8340), 1,
      sym__annotated_type,
    STATE(16191), 1,
      sym_stable_identifier,
    STATE(8017), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7881), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7042), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [396048] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8018), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8027), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8683), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [396087] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8019), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8392), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [396126] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10842), 1,
      anon_sym_LBRACK,
    ACTIONS(10846), 1,
      anon_sym_POUND,
    ACTIONS(11260), 1,
      anon_sym_AT,
    STATE(8708), 1,
      sym_type_arguments,
    STATE(9591), 1,
      aux_sym_enum_definition_repeat1,
    STATE(10106), 1,
      sym_annotation,
    STATE(8020), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(7464), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [396177] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8021), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8027), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8683), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [396216] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7338), 1,
      anon_sym_DOT,
    STATE(8022), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8159), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [396257] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8023), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8227), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8225), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [396296] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8024), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7764), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7762), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [396335] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8025), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9144), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9146), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [396374] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8773), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8026), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8771), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8769), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [396415] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8027), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10058), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [396454] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8028), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8267), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [396493] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6442), 1,
      sym__alpha_identifier,
    ACTIONS(6444), 1,
      anon_sym__,
    ACTIONS(6452), 1,
      sym__backquoted_id,
    ACTIONS(6454), 1,
      sym_operator_identifier,
    ACTIONS(9919), 1,
      anon_sym_LPAREN,
    STATE(7147), 1,
      sym__simple_type,
    STATE(7639), 1,
      sym_identifier,
    STATE(7905), 1,
      sym__soft_identifier,
    STATE(10021), 1,
      sym_annotated_type,
    STATE(10094), 1,
      sym__annotated_type,
    STATE(16088), 1,
      sym_stable_identifier,
    STATE(8029), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6448), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8251), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [396554] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8030), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8095), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8093), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [396593] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8031), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10041), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10039), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [396632] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8032), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7720), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8435), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [396671] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8149), 1,
      sym__end_marker,
    STATE(8033), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9292), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9290), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [396712] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8034), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9134), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9136), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [396751] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8035), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8095), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8093), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [396790] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8036), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9566), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9564), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [396829] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10376), 1,
      anon_sym_LPAREN,
    STATE(8015), 1,
      aux_sym_annotation_repeat1,
    STATE(9164), 1,
      sym_arguments,
    STATE(8037), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7817), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7815), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [396874] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8038), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9542), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9540), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [396913] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8039), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7764), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7762), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [396952] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8040), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9130), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9132), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [396991] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8041), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [397030] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8042), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8227), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8225), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [397069] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11262), 1,
      anon_sym_LBRACK,
    ACTIONS(11264), 1,
      anon_sym_LPAREN,
    ACTIONS(11266), 1,
      anon_sym_POUND,
    STATE(9400), 1,
      aux_sym_annotation_repeat1,
    STATE(9604), 1,
      sym_type_arguments,
    STATE(10174), 1,
      sym_arguments,
    STATE(8043), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7530), 3,
      sym__outdent,
      anon_sym_LBRACE,
      sym__backquoted_id,
    ACTIONS(7528), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [397120] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(107), 1,
      anon_sym_LBRACE,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8312), 1,
      anon_sym_LPAREN,
    ACTIONS(8737), 1,
      anon_sym_match,
    ACTIONS(8789), 1,
      anon_sym_DOT,
    ACTIONS(9496), 1,
      sym__alpha_identifier,
    ACTIONS(9502), 1,
      sym__backquoted_id,
    ACTIONS(9504), 1,
      sym_operator_identifier,
    ACTIONS(11268), 1,
      anon_sym_EQ,
    STATE(546), 1,
      sym_identifier,
    STATE(4037), 1,
      sym__soft_identifier,
    STATE(8044), 2,
      sym_comment,
      sym_block_comment,
    STATE(8038), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8733), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9500), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [397183] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8045), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7372), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8402), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [397222] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8046), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9977), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9975), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [397261] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8047), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7584), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [397300] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11270), 1,
      anon_sym_AT,
    STATE(9118), 1,
      sym_annotation,
    STATE(8048), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8283), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8281), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [397343] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8049), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9959), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9957), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [397382] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8050), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9566), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9564), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [397421] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8051), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7764), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7762), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [397460] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8052), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 4,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(4132), 20,
      anon_sym_end,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [397499] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8189), 1,
      sym__alpha_identifier,
    ACTIONS(8191), 1,
      anon_sym__,
    ACTIONS(8195), 1,
      anon_sym_LPAREN,
    ACTIONS(8197), 1,
      sym__backquoted_id,
    ACTIONS(8199), 1,
      sym_operator_identifier,
    STATE(4710), 1,
      sym__simple_type,
    STATE(6131), 1,
      sym__soft_identifier,
    STATE(6607), 1,
      sym_identifier,
    STATE(7593), 1,
      sym__annotated_type,
    STATE(7682), 1,
      sym_annotated_type,
    STATE(16109), 1,
      sym_stable_identifier,
    STATE(8053), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8193), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6045), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [397560] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8054), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9130), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9132), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [397599] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8055), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9134), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9136), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [397638] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8056), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9144), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9146), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [397677] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8057), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8095), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8093), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [397716] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8058), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7552), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8326), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [397755] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8059), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7716), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8324), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [397794] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8060), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8392), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [397833] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8061), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7704), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8316), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [397872] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4520), 1,
      sym__alpha_identifier,
    ACTIONS(4526), 1,
      anon_sym__,
    ACTIONS(4538), 1,
      sym__backquoted_id,
    ACTIONS(6484), 1,
      sym_operator_identifier,
    ACTIONS(9944), 1,
      anon_sym_LPAREN,
    STATE(4744), 1,
      sym__simple_type,
    STATE(4974), 1,
      sym__soft_identifier,
    STATE(5203), 1,
      sym_identifier,
    STATE(7657), 1,
      sym__annotated_type,
    STATE(7713), 1,
      sym_annotated_type,
    STATE(16130), 1,
      sym_stable_identifier,
    STATE(8062), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4532), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5932), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [397933] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8063), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7710), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8404), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [397972] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8064), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7372), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8402), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [398011] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8065), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7714), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8406), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [398050] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8066), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9534), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9532), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [398089] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7979), 1,
      sym__alpha_identifier,
    ACTIONS(7981), 1,
      anon_sym__,
    ACTIONS(7985), 1,
      anon_sym_LPAREN,
    ACTIONS(7987), 1,
      sym__backquoted_id,
    ACTIONS(7989), 1,
      sym_operator_identifier,
    STATE(4742), 1,
      sym__simple_type,
    STATE(6444), 1,
      sym_identifier,
    STATE(6463), 1,
      sym__soft_identifier,
    STATE(7697), 1,
      sym__annotated_type,
    STATE(7752), 1,
      sym_annotated_type,
    STATE(16151), 1,
      sym_stable_identifier,
    STATE(8067), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7983), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6185), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [398150] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11273), 1,
      anon_sym_AT,
    STATE(8987), 1,
      sym_annotation,
    STATE(8068), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8283), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8281), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [398193] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10790), 1,
      anon_sym_DOT,
    ACTIONS(11276), 1,
      anon_sym_EQ_GT,
    STATE(8069), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [398236] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8070), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [398275] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11278), 1,
      anon_sym_DOT,
    STATE(8071), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [398316] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8072), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9550), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9548), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [398355] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8073), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8227), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8225), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [398394] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8074), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10047), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10045), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [398433] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9049), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8075), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [398474] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4554), 1,
      sym__alpha_identifier,
    ACTIONS(4560), 1,
      anon_sym__,
    ACTIONS(4572), 1,
      sym__backquoted_id,
    ACTIONS(6520), 1,
      sym_operator_identifier,
    ACTIONS(9973), 1,
      anon_sym_LPAREN,
    STATE(5588), 1,
      sym__simple_type,
    STATE(6066), 1,
      sym__soft_identifier,
    STATE(6566), 1,
      sym_identifier,
    STATE(8722), 1,
      sym_annotated_type,
    STATE(8741), 1,
      sym__annotated_type,
    STATE(16171), 1,
      sym_stable_identifier,
    STATE(8076), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4566), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7119), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [398535] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8077), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9546), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9544), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [398574] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8078), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7764), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7762), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [398612] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5839), 1,
      sym_identifier,
    STATE(8951), 1,
      sym__soft_identifier,
    STATE(8079), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9985), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9983), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [398654] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8080), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10073), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10071), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [398692] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11276), 1,
      anon_sym_EQ_GT,
    STATE(8081), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8271), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [398732] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8082), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8392), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [398770] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8083), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9455), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9457), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [398808] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8084), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9449), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9451), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [398846] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8085), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7584), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [398884] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8086), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(4132), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [398922] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8087), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8095), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8093), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [398960] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8088), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8227), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8225), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [398998] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8089), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7112), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7110), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [399036] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8090), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9455), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9457), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [399074] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8091), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10075), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [399112] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9177), 1,
      sym__end_marker,
    STATE(8092), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9292), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9290), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [399152] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11280), 1,
      anon_sym_AT,
    STATE(9553), 1,
      sym_annotation,
    STATE(8093), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8283), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8281), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [399194] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8094), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8835), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8833), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [399232] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8095), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9462), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9464), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [399270] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8096), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11285), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11283), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_LT_DASH,
  [399308] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8097), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7764), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7762), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [399346] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8098), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7552), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8326), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [399384] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8099), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8835), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8833), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [399422] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8100), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9144), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9146), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [399460] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8101), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7716), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8324), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [399498] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8102), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9462), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9464), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [399536] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8103), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8227), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8225), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [399574] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8104), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7372), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8402), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [399612] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8105), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10058), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [399650] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8106), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7710), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8404), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [399688] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11287), 1,
      anon_sym_LPAREN,
    STATE(9451), 1,
      sym_arguments,
    STATE(8107), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(7788), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(7786), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [399730] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8108), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7704), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8316), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [399768] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8109), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9180), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9182), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [399806] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8110), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7714), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8406), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [399844] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8111), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7714), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8406), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [399882] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8112), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11292), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11290), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_LT_DASH,
  [399920] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8113), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9159), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9161), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [399958] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8114), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7330), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8360), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [399996] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8115), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8095), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8093), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [400034] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7638), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8116), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [400074] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8117), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9134), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9136), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [400112] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8118), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9082), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9084), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [400150] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8119), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7764), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7762), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [400188] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8120), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9130), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9132), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [400226] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11294), 1,
      anon_sym_COLON,
    ACTIONS(11297), 1,
      anon_sym_LBRACE,
    STATE(9790), 1,
      sym_template_body,
    STATE(6465), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8121), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8549), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8541), 11,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [400272] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8122), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9447), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [400310] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8123), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8835), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8833), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [400348] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8124), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11302), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11300), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_LT_DASH,
  [400386] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8125), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11306), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11304), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_LT_DASH,
  [400424] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11103), 1,
      anon_sym_with,
    STATE(9992), 1,
      aux_sym_compound_type_repeat1,
    STATE(10470), 1,
      sym__refinement,
    STATE(10516), 1,
      sym_template_body,
    STATE(8126), 2,
      sym_comment,
      sym_block_comment,
    STATE(10397), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7668), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(7666), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [400472] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8127), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9180), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9182), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [400510] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10439), 1,
      anon_sym_LPAREN,
    STATE(8107), 1,
      aux_sym_annotation_repeat1,
    STATE(9451), 1,
      sym_arguments,
    STATE(8128), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7817), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(7815), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [400554] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8129), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7498), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7496), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [400592] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8130), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9021), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9023), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [400630] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8131), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9449), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9451), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [400668] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8132), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9447), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [400706] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11308), 1,
      anon_sym_AT,
    STATE(9527), 1,
      sym_annotation,
    STATE(8133), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8283), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8281), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [400748] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8134), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9159), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9161), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [400786] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8135), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7330), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8360), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [400824] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8136), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9029), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9031), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [400862] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8137), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7720), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8435), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [400900] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8138), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8027), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8683), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [400938] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11311), 1,
      anon_sym_with,
    STATE(8139), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(8804), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8802), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [400978] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7580), 1,
      sym__backquoted_id,
    ACTIONS(7698), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8140), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7694), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(7696), 6,
      anon_sym_case,
      anon_sym_if,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(7574), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [401022] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8141), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8027), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8683), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [401060] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10899), 1,
      anon_sym_AT,
    STATE(8093), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9553), 1,
      sym_annotation,
    STATE(8142), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8288), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [401104] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8051), 1,
      sym__alpha_identifier,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8065), 1,
      sym__backquoted_id,
    ACTIONS(8563), 1,
      sym_operator_identifier,
    STATE(1779), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(8143), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8055), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8057), 6,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8061), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [401156] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8144), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9082), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9084), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [401194] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8145), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11316), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11314), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_LT_DASH,
  [401232] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7338), 1,
      anon_sym_DOT,
    STATE(8146), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8159), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [401272] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8147), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10047), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10045), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [401310] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10412), 1,
      anon_sym_AT,
    STATE(8429), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9538), 1,
      sym_annotation,
    STATE(8148), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8288), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [401354] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8149), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9455), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9457), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [401392] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8150), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11320), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11318), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_LT_DASH,
  [401430] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8151), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8027), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8683), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [401468] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8152), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10041), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10039), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [401506] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8153), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10075), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [401544] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8154), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10073), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10071), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [401582] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7580), 1,
      sym__backquoted_id,
    ACTIONS(7698), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8155), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7694), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(7696), 6,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(7574), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [401626] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8156), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9021), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9023), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [401664] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7638), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8157), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [401704] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7580), 1,
      sym__backquoted_id,
    ACTIONS(7698), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8158), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7694), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(7696), 7,
      anon_sym_STAR,
      anon_sym_while,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(7574), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [401748] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8159), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9554), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9552), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [401786] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8160), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9029), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9031), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [401824] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8161), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8271), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [401862] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10856), 1,
      anon_sym_AT,
    STATE(8465), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9564), 1,
      sym_annotation,
    STATE(8162), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8288), 14,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [401906] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8163), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10075), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [401944] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8164), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(7000), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [401982] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8165), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10073), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10071), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [402020] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(9624), 1,
      sym__alpha_identifier,
    ACTIONS(9630), 1,
      sym__backquoted_id,
    ACTIONS(9632), 1,
      sym_operator_identifier,
    STATE(533), 1,
      sym_identifier,
    STATE(4032), 1,
      sym__soft_identifier,
    STATE(8166), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8733), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8737), 6,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(9626), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [402072] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8167), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7720), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8435), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [402110] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8051), 1,
      sym__alpha_identifier,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8063), 1,
      anon_sym_EQ,
    ACTIONS(8065), 1,
      sym__backquoted_id,
    ACTIONS(8930), 1,
      sym_operator_identifier,
    STATE(1734), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(8168), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8055), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8057), 6,
      anon_sym_while,
      anon_sym_match,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(8061), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [402164] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8169), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9462), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9464), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [402202] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8170), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8227), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8225), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [402240] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8171), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8835), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8833), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [402278] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8172), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8835), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8833), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [402316] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8173), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7584), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8358), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [402354] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8174), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9998), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9996), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [402392] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10121), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8175), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [402432] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8063), 1,
      anon_sym_EQ,
    STATE(621), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(8176), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8231), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8229), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [402476] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8177), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10058), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [402514] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8178), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7710), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8404), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [402552] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8179), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8095), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8093), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [402590] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8180), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8392), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [402628] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8181), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9447), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [402666] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8182), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9449), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9451), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [402704] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8183), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7704), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8316), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [402742] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8184), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8271), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [402780] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8063), 1,
      anon_sym_EQ,
    STATE(621), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(8185), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8231), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8229), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [402824] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8186), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7716), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8324), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [402862] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8187), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7764), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7762), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [402900] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8879), 1,
      sym__end_marker,
    STATE(8188), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9292), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9290), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [402940] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11322), 1,
      anon_sym_with,
    STATE(8189), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(8804), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8802), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [402980] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8190), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7552), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8326), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [403018] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9231), 1,
      sym_arguments,
    STATE(8191), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7498), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7496), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [403058] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8192), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7372), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8402), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [403096] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8193), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10058), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [403134] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8051), 1,
      sym__alpha_identifier,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8065), 1,
      sym__backquoted_id,
    ACTIONS(8582), 1,
      sym_operator_identifier,
    STATE(1763), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(8194), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8055), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8061), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(8057), 7,
      anon_sym_while,
      anon_sym_match,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [403186] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8195), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7584), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [403224] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8196), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9959), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9957), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [403262] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7580), 1,
      sym__backquoted_id,
    ACTIONS(7698), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8197), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7694), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(7696), 6,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(7574), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [403306] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8198), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8267), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [403344] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8199), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8159), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [403382] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11325), 1,
      anon_sym_with,
    STATE(8200), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(8804), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8802), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [403422] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8201), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8835), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8833), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [403460] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8202), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [403498] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8203), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9977), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9975), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [403536] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8204), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7574), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [403574] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8205), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8392), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [403612] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8773), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8206), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8771), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8769), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [403652] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8207), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9180), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9182), 18,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [403690] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10151), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8208), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [403730] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8209), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7330), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8360), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [403768] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8210), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7552), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8326), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [403806] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4134), 1,
      sym__backquoted_id,
    ACTIONS(4132), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(4136), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(8211), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4130), 18,
      anon_sym_end,
      anon_sym_val,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [403848] = 20,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7336), 1,
      anon_sym_LPAREN,
    ACTIONS(7640), 1,
      anon_sym_DQUOTE,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10997), 1,
      anon_sym_DOT,
    ACTIONS(10999), 1,
      anon_sym_STAR,
    ACTIONS(11001), 1,
      anon_sym_AT,
    ACTIONS(11005), 1,
      anon_sym_PIPE,
    ACTIONS(11007), 1,
      sym_operator_identifier,
    ACTIONS(11009), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(11017), 1,
      anon_sym_COLON,
    STATE(4172), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    STATE(10777), 1,
      sym_interpolated_string,
    STATE(14934), 1,
      sym__interpolated_string_start,
    ACTIONS(11328), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(8212), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [403916] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8213), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7716), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8324), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [403954] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8214), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9159), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9161), 18,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [403992] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11262), 1,
      anon_sym_LBRACK,
    ACTIONS(11266), 1,
      anon_sym_POUND,
    ACTIONS(11330), 1,
      anon_sym_AT,
    STATE(9604), 1,
      sym_type_arguments,
    STATE(9926), 1,
      aux_sym_enum_definition_repeat1,
    STATE(10266), 1,
      sym_annotation,
    STATE(8215), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 3,
      sym__outdent,
      anon_sym_LBRACE,
      sym__backquoted_id,
    ACTIONS(7464), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [404042] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9963), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8216), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [404082] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8217), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7704), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8316), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [404120] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8218), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [404158] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8219), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7574), 18,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [404196] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8220), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8392), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [404234] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8221), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8267), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [404272] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8222), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7704), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8316), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [404310] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8223), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8027), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8683), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [404348] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8224), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9082), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9084), 18,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [404386] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10556), 1,
      anon_sym_AT,
    STATE(8327), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9267), 1,
      sym_annotation,
    STATE(8225), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8288), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [404430] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(9597), 1,
      sym__alpha_identifier,
    ACTIONS(9603), 1,
      sym__backquoted_id,
    ACTIONS(9605), 1,
      sym_operator_identifier,
    STATE(534), 1,
      sym_identifier,
    STATE(4033), 1,
      sym__soft_identifier,
    STATE(8226), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8733), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8737), 6,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(9599), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [404482] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8734), 1,
      sym__end_marker,
    STATE(8227), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9292), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9290), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [404522] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8228), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7710), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8404), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [404560] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8229), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9566), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9564), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [404598] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8230), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9180), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9182), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [404636] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11332), 1,
      anon_sym_with,
    STATE(8231), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(8804), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8802), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [404676] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8232), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7714), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8406), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [404714] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8843), 1,
      sym_arguments,
    STATE(8233), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7498), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7496), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [404754] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8234), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8271), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [404792] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8235), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11337), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11335), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_LT_DASH,
  [404830] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8236), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9021), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9023), 18,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [404868] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11339), 1,
      anon_sym_with,
    STATE(8237), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(8804), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8802), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [404908] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8238), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9144), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9146), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [404946] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5635), 1,
      sym_identifier,
    STATE(8951), 1,
      sym__soft_identifier,
    STATE(8239), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9985), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9983), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [404988] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8240), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9029), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9031), 18,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [405026] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8241), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7720), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8435), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [405064] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8242), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9134), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9136), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [405102] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8243), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9130), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9132), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [405140] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8244), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11344), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11342), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_LT_DASH,
  [405178] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8245), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9534), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9532), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [405216] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8246), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [405254] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11346), 1,
      anon_sym_LBRACE,
    ACTIONS(11348), 1,
      anon_sym_with,
    STATE(8484), 1,
      aux_sym_compound_type_repeat1,
    STATE(10617), 1,
      sym__refinement,
    STATE(10629), 1,
      sym_template_body,
    STATE(8247), 2,
      sym_comment,
      sym_block_comment,
    STATE(10642), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7580), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(7574), 13,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [405304] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8248), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [405342] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8249), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9896), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9894), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [405380] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11350), 1,
      anon_sym_DOT,
    STATE(8250), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [405420] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8251), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8271), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [405458] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8252), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [405496] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8253), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9881), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9879), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [405534] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8254), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9550), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9548), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [405572] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8255), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7372), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8402), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [405610] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8256), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9546), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9544), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [405648] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8257), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9542), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9540), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [405686] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8258), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9130), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9132), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [405724] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8259), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9067), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9065), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [405762] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8260), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9029), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9031), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [405800] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8261), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9754), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9752), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [405838] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8262), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [405876] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8263), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8227), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8225), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [405914] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8264), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9789), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9787), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [405952] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8265), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7574), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [405990] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11352), 1,
      anon_sym_LPAREN,
    STATE(9294), 1,
      sym_arguments,
    STATE(8266), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(7788), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7786), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [406032] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8267), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9538), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9536), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [406070] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8268), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9021), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9023), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [406108] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8269), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9134), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9136), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [406146] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8270), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9404), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9406), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [406184] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8271), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8227), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8225), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [406222] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8272), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7716), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8324), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [406260] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8273), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9159), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9161), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [406298] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8274), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7720), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8435), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [406336] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8275), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8095), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8093), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [406374] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8276), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9067), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9065), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [406412] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8277), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9580), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9578), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [406450] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8278), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8027), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8683), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [406488] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8279), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7764), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7762), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [406526] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11355), 1,
      anon_sym_with,
    STATE(8280), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(8804), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8802), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [406566] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8281), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9589), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9587), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [406604] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8282), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8095), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8093), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [406642] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8283), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9566), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9564), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [406680] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8284), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9082), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9084), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [406718] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8285), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9638), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9636), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [406756] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8286), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9642), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9640), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [406794] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8287), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9144), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9146), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [406832] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8763), 1,
      sym_arguments,
    STATE(8288), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7498), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7496), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [406872] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8289), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9642), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9640), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [406910] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8290), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8271), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [406948] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8291), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7764), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7762), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [406986] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8292), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9554), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9552), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [407024] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8293), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9082), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9084), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [407062] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8294), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(4132), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [407100] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8295), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7714), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8406), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [407138] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8296), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9159), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9161), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [407176] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8297), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7372), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8402), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [407214] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8298), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9638), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9636), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [407252] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8299), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9534), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9532), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [407290] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8300), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [407328] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8301), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7498), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7496), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [407366] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8302), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9789), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9787), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [407404] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8303), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7000), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [407442] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8304), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [407480] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8305), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8267), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [407518] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8306), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9789), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9787), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [407556] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8307), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9180), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9182), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [407594] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8308), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9754), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9752), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [407632] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8309), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9589), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9587), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [407670] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8310), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9550), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9548), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [407708] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11358), 1,
      anon_sym_with,
    STATE(8311), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(8804), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8802), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [407748] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10762), 1,
      anon_sym_LPAREN,
    STATE(8266), 1,
      aux_sym_annotation_repeat1,
    STATE(9294), 1,
      sym_arguments,
    STATE(8312), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7817), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7815), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [407792] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8313), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9546), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9544), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [407830] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8314), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9580), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9578), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [407868] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8315), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9021), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9023), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [407906] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8316), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7584), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [407944] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8317), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7552), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8326), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [407982] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8318), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8392), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [408020] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8319), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8392), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [408058] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8320), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9542), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9540), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [408096] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7338), 1,
      anon_sym_DOT,
    STATE(8321), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [408136] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8322), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9067), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9065), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [408174] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8323), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7710), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8404), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [408212] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8324), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7000), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [408250] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8325), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8835), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8833), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [408288] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8326), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9067), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9065), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [408326] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11361), 1,
      anon_sym_AT,
    STATE(9267), 1,
      sym_annotation,
    STATE(8327), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8283), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8281), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [408368] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8328), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [408406] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8329), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7714), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8406), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [408444] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8330), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9404), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9406), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [408482] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8331), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9881), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9879), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [408520] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8332), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9896), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9894), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [408558] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8333), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9029), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9031), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [408596] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8334), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9404), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9406), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [408634] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8335), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9538), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9536), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [408672] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8336), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7720), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8435), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [408710] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8337), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7372), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8402), 20,
      anon_sym_end,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [408748] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8338), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7584), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8358), 20,
      anon_sym_end,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [408786] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8339), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9542), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9540), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [408824] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8340), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9067), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9065), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [408862] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8341), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7372), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8402), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [408900] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8342), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9546), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9544), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [408938] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8343), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7584), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [408976] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8344), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [409014] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8345), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7710), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8404), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [409052] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8346), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8271), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [409090] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8347), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8027), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8683), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [409128] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8348), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9550), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9548), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [409166] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8349), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9067), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9065), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [409204] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8350), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7720), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8435), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [409242] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8351), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [409280] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8352), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9580), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9578), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [409318] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8353), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9534), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9532), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [409356] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8354), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9021), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9023), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [409394] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8355), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7464), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [409432] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8356), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9589), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9587), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [409470] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8773), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8357), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8771), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8769), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [409510] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8358), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7764), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7762), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [409548] = 20,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7336), 1,
      anon_sym_LPAREN,
    ACTIONS(7640), 1,
      anon_sym_DQUOTE,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10167), 1,
      anon_sym_COLON,
    ACTIONS(10171), 1,
      anon_sym_DOT,
    ACTIONS(10173), 1,
      anon_sym_STAR,
    ACTIONS(10177), 1,
      anon_sym_AT,
    ACTIONS(10183), 1,
      anon_sym_PIPE,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10187), 1,
      sym_operator_identifier,
    ACTIONS(10189), 1,
      sym__interpolated_multiline_string_start,
    STATE(4161), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    STATE(10702), 1,
      sym_interpolated_string,
    STATE(14767), 1,
      sym__interpolated_string_start,
    ACTIONS(11364), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(8359), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [409616] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8360), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [409654] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8361), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8095), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8093), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [409692] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8362), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9566), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9564), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [409730] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8363), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9638), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9636), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [409768] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8364), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9642), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9640), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [409806] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8365), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9566), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9564), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [409844] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8366), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9534), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9532), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [409882] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8367), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7552), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8326), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [409920] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8368), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8267), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [409958] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8369), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9067), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9065), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [409996] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8370), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7716), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8324), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [410034] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8371), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7714), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8406), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [410072] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8372), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9550), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9548), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [410110] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8373), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9546), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9544), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [410148] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8374), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9542), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9540), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [410186] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8375), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(2515), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [410224] = 20,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7336), 1,
      anon_sym_LPAREN,
    ACTIONS(7640), 1,
      anon_sym_DQUOTE,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10167), 1,
      anon_sym_COLON,
    ACTIONS(10171), 1,
      anon_sym_DOT,
    ACTIONS(10173), 1,
      anon_sym_STAR,
    ACTIONS(10177), 1,
      anon_sym_AT,
    ACTIONS(10183), 1,
      anon_sym_PIPE,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10187), 1,
      sym_operator_identifier,
    ACTIONS(10189), 1,
      sym__interpolated_multiline_string_start,
    STATE(4161), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    STATE(10702), 1,
      sym_interpolated_string,
    STATE(14767), 1,
      sym__interpolated_string_start,
    ACTIONS(10179), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(8376), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [410292] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8377), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7704), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8316), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [410330] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8378), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8227), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8225), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [410368] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8379), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9538), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9536), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [410406] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9994), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8380), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(2515), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [410446] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11366), 1,
      anon_sym_with,
    STATE(8381), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(8804), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8802), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [410486] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8382), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7330), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8360), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [410524] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8383), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9404), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9406), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [410562] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8384), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7710), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8404), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [410600] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8385), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11371), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11369), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_LT_DASH,
  [410638] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9857), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8386), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [410678] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8387), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8227), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8225), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [410716] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8388), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8095), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8093), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [410754] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(9250), 1,
      sym__alpha_identifier,
    ACTIONS(9256), 1,
      sym__backquoted_id,
    ACTIONS(9258), 1,
      sym_operator_identifier,
    STATE(532), 1,
      sym_identifier,
    STATE(4025), 1,
      sym__soft_identifier,
    STATE(8389), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8733), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(9252), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(8737), 7,
      anon_sym_while,
      anon_sym_match,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [410806] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8390), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9580), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9578), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [410844] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11373), 1,
      anon_sym_with,
    STATE(8391), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(8804), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8802), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [410884] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8392), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7764), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7762), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [410922] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8393), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7584), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [410960] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8394), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9754), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9752), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [410998] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8395), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8027), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8683), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [411036] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8396), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9589), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9587), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [411074] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8397), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9638), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9636), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [411112] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8398), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9642), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9640), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [411150] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8399), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7464), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [411188] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8400), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9029), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9031), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [411226] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8401), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7330), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8360), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [411264] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8402), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8227), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8225), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [411302] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8403), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7704), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8316), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [411340] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8404), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8095), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8093), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [411378] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8405), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8835), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8833), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [411416] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8406), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8392), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [411454] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8407), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7716), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8324), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [411492] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8408), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7764), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7762), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [411530] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8409), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7552), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8326), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [411568] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8410), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8227), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8225), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [411606] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8411), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8095), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8093), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [411644] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8412), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9789), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9787), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [411682] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8413), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9134), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9136), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [411720] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8414), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9754), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9752), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [411758] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5871), 1,
      sym_identifier,
    STATE(8951), 1,
      sym__soft_identifier,
    STATE(8415), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9985), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9983), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [411800] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8416), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7372), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8402), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [411838] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8417), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8392), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [411876] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8418), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7764), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7762), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [411914] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8419), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7574), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [411952] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5747), 1,
      sym_identifier,
    STATE(8951), 1,
      sym__soft_identifier,
    STATE(8420), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9985), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9983), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [411994] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8421), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9881), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9879), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [412032] = 20,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7336), 1,
      anon_sym_LPAREN,
    ACTIONS(7640), 1,
      anon_sym_DQUOTE,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10167), 1,
      anon_sym_COLON,
    ACTIONS(10171), 1,
      anon_sym_DOT,
    ACTIONS(10173), 1,
      anon_sym_STAR,
    ACTIONS(10177), 1,
      anon_sym_AT,
    ACTIONS(10183), 1,
      anon_sym_PIPE,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10187), 1,
      sym_operator_identifier,
    ACTIONS(10189), 1,
      sym__interpolated_multiline_string_start,
    STATE(4161), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    STATE(10702), 1,
      sym_interpolated_string,
    STATE(14767), 1,
      sym__interpolated_string_start,
    ACTIONS(11376), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(8422), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [412100] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8423), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8227), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8225), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [412138] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8424), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8267), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [412176] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8425), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8095), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8093), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [412214] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8426), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7704), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8316), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [412252] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8427), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9896), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9894), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [412290] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8428), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7372), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8402), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [412328] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11378), 1,
      anon_sym_AT,
    STATE(9538), 1,
      sym_annotation,
    STATE(8429), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8283), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8281), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [412370] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8430), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10058), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [412408] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8431), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [412446] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11381), 1,
      anon_sym_with,
    STATE(8432), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(8804), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8802), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [412486] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8433), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8392), 20,
      anon_sym_end,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [412524] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8434), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8227), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8225), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [412562] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8435), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8095), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8093), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [412600] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11252), 1,
      anon_sym_DOT,
    ACTIONS(11384), 1,
      anon_sym_EQ_GT,
    STATE(8436), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [412642] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8437), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9067), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9065), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [412680] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8438), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9881), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9879), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [412718] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8439), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7764), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7762), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [412756] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8440), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9180), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9182), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [412794] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8441), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7716), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8324), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [412832] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8442), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10073), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10071), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [412870] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8443), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10075), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [412908] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9889), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8444), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [412948] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8445), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9896), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9894), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [412986] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8446), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7552), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8326), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [413024] = 20,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7336), 1,
      anon_sym_LPAREN,
    ACTIONS(7640), 1,
      anon_sym_DQUOTE,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10167), 1,
      anon_sym_COLON,
    ACTIONS(10171), 1,
      anon_sym_DOT,
    ACTIONS(10173), 1,
      anon_sym_STAR,
    ACTIONS(10177), 1,
      anon_sym_AT,
    ACTIONS(10183), 1,
      anon_sym_PIPE,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10187), 1,
      sym_operator_identifier,
    ACTIONS(10189), 1,
      sym__interpolated_multiline_string_start,
    STATE(4161), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    STATE(10702), 1,
      sym_interpolated_string,
    STATE(14767), 1,
      sym__interpolated_string_start,
    ACTIONS(11386), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(8447), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [413092] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9829), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8448), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
  [413132] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8449), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7464), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [413170] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8450), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8835), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8833), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [413208] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8451), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9082), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9084), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [413246] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8452), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9029), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9031), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [413284] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8453), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7552), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8326), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [413322] = 20,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7336), 1,
      anon_sym_LPAREN,
    ACTIONS(7640), 1,
      anon_sym_DQUOTE,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10167), 1,
      anon_sym_COLON,
    ACTIONS(10171), 1,
      anon_sym_DOT,
    ACTIONS(10173), 1,
      anon_sym_STAR,
    ACTIONS(10177), 1,
      anon_sym_AT,
    ACTIONS(10183), 1,
      anon_sym_PIPE,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10187), 1,
      sym_operator_identifier,
    ACTIONS(10189), 1,
      sym__interpolated_multiline_string_start,
    STATE(4161), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    STATE(10702), 1,
      sym_interpolated_string,
    STATE(14767), 1,
      sym__interpolated_string_start,
    ACTIONS(11388), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(8454), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [413390] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8455), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7764), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7762), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [413428] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8456), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7716), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8324), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [413466] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8457), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9021), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9023), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [413504] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8458), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [413542] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8459), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8095), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8093), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [413580] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8460), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8267), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [413618] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8461), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9082), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9084), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [413656] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8462), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7704), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8316), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [413694] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7580), 1,
      sym__backquoted_id,
    ACTIONS(7698), 1,
      anon_sym_QMARK_EQ_GT,
    ACTIONS(10223), 1,
      anon_sym_LBRACE,
    ACTIONS(10225), 1,
      anon_sym_with,
    ACTIONS(10822), 1,
      anon_sym_COLON,
    STATE(6230), 1,
      aux_sym_compound_type_repeat1,
    STATE(10152), 1,
      sym_template_body,
    STATE(10163), 1,
      sym__refinement,
    STATE(8463), 2,
      sym_comment,
      sym_block_comment,
    STATE(10080), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7696), 4,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_if,
      anon_sym_PIPE,
    ACTIONS(7574), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [413750] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8464), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9159), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9161), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [413788] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11390), 1,
      anon_sym_AT,
    STATE(9564), 1,
      sym_annotation,
    STATE(8465), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8283), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8281), 14,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [413830] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8466), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10058), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 18,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [413868] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8467), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9067), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9065), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [413906] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10622), 1,
      anon_sym_AT,
    STATE(8133), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9527), 1,
      sym_annotation,
    STATE(8468), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8288), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [413950] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8469), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11395), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11393), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_LT_DASH,
  [413988] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8470), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9180), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9182), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [414026] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8471), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7716), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8324), 20,
      anon_sym_end,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [414064] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8472), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7694), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7696), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_LT_DASH,
  [414102] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8473), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11399), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11397), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [414140] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8474), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8227), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8225), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [414178] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8475), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7764), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7762), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [414216] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8476), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8095), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8093), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [414254] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8477), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8227), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8225), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [414292] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10651), 1,
      anon_sym_PLUS,
    ACTIONS(10653), 1,
      anon_sym_DASH,
    ACTIONS(10655), 1,
      anon_sym_AT,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(10595), 1,
      aux_sym_enum_definition_repeat1,
    STATE(11328), 1,
      sym_annotation,
    STATE(15552), 1,
      sym__type_parameter,
    STATE(8478), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    STATE(15554), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [414356] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8479), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10073), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10071), 18,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [414394] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8480), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10075), 18,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [414432] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8481), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8027), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8683), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [414470] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8482), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9447), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [414508] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8483), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9449), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9451), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [414546] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11346), 1,
      anon_sym_LBRACE,
    ACTIONS(11348), 1,
      anon_sym_with,
    STATE(10059), 1,
      aux_sym_compound_type_repeat1,
    STATE(10629), 1,
      sym_template_body,
    STATE(10682), 1,
      sym__refinement,
    STATE(8484), 2,
      sym_comment,
      sym_block_comment,
    STATE(10642), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7668), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(7666), 13,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [414596] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8485), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8835), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8833), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [414634] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8486), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [414672] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8487), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8227), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8225), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [414710] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8488), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7112), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7110), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [414748] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8489), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8271), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [414786] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8490), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9144), 9,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9146), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [414824] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8491), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8095), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8093), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [414862] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8492), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [414900] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8493), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8267), 20,
      anon_sym_end,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [414938] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8494), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9159), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9161), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [414976] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8495), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8027), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8683), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [415014] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8496), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7764), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7762), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [415052] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8497), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7000), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [415090] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8498), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8271), 20,
      anon_sym_end,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [415128] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8499), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7720), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8435), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [415166] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8500), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10058), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10056), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [415204] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8501), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [415242] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7638), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8502), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(2515), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [415282] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8503), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9134), 9,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9136), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [415320] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8504), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9130), 9,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9132), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [415358] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8505), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7574), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [415396] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8506), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7714), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8406), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [415434] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8507), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10058), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [415472] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8508), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9067), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9065), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [415510] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8509), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8027), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8683), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [415548] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7344), 1,
      anon_sym_AT,
    ACTIONS(7352), 1,
      anon_sym_inline,
    ACTIONS(7354), 1,
      anon_sym_infix,
    ACTIONS(7356), 1,
      anon_sym_open,
    ACTIONS(7358), 1,
      anon_sym_transparent,
    ACTIONS(7426), 1,
      anon_sym_def,
    STATE(5366), 1,
      aux_sym_modifiers_repeat1,
    STATE(6407), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7509), 1,
      sym_annotation,
    STATE(16717), 1,
      sym_modifiers,
    ACTIONS(7350), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(8510), 2,
      sym_comment,
      sym_block_comment,
    STATE(6204), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(7348), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [415608] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8511), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8159), 20,
      anon_sym_end,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [415646] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8512), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7710), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8404), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [415684] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8513), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7552), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8326), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [415722] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11401), 1,
      anon_sym_with,
    STATE(8514), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(8804), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8802), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [415762] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8515), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7716), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8324), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [415800] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8516), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9180), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9182), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [415838] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8517), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8392), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [415876] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11404), 1,
      anon_sym_with,
    STATE(8518), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(8804), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8802), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [415916] = 20,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7336), 1,
      anon_sym_LPAREN,
    ACTIONS(7640), 1,
      anon_sym_DQUOTE,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10167), 1,
      anon_sym_COLON,
    ACTIONS(10171), 1,
      anon_sym_DOT,
    ACTIONS(10173), 1,
      anon_sym_STAR,
    ACTIONS(10177), 1,
      anon_sym_AT,
    ACTIONS(10183), 1,
      anon_sym_PIPE,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10187), 1,
      sym_operator_identifier,
    ACTIONS(10189), 1,
      sym__interpolated_multiline_string_start,
    STATE(4161), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    STATE(10702), 1,
      sym_interpolated_string,
    STATE(14767), 1,
      sym__interpolated_string_start,
    ACTIONS(11407), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(8519), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [415984] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8520), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10073), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10071), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [416022] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8521), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7584), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [416060] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8522), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10075), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [416098] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8523), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8835), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8833), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [416136] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8524), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7704), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8316), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [416174] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8525), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9029), 9,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9031), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [416212] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8051), 1,
      sym__alpha_identifier,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8063), 1,
      anon_sym_EQ,
    ACTIONS(8065), 1,
      sym__backquoted_id,
    ACTIONS(8837), 1,
      sym_operator_identifier,
    STATE(1665), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(8526), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8055), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8057), 6,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(8061), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [416266] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8527), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10058), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [416304] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9750), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8528), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [416344] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8529), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9067), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9065), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [416382] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8530), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7330), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8360), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [416420] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8531), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10058), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [416458] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8532), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7498), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7496), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [416496] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8533), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7704), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8316), 20,
      anon_sym_end,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [416534] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11409), 1,
      anon_sym_COLON,
    ACTIONS(11412), 1,
      anon_sym_LBRACE,
    STATE(9691), 1,
      sym_template_body,
    STATE(6133), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8534), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8549), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8541), 11,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [416580] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8535), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8392), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [416618] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8536), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10047), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10045), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [416656] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7580), 1,
      sym__backquoted_id,
    ACTIONS(7698), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8537), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7696), 5,
      anon_sym_case,
      anon_sym_if,
      anon_sym_EQ,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(7694), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(7574), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [416700] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8538), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7764), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7762), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [416738] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8773), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8539), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8771), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8769), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [416778] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8540), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9021), 9,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9023), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [416816] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9744), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8541), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [416856] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8542), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9554), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9552), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [416894] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8543), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7112), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7110), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [416932] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8544), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10073), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10071), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [416970] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8545), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8267), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [417008] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8546), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10075), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [417046] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11101), 1,
      anon_sym_EQ_GT,
    STATE(8547), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8271), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [417086] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8548), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9998), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9996), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [417124] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8549), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8095), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8093), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [417162] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8550), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9977), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9975), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [417200] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8551), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10073), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10071), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [417238] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8552), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10075), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [417276] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7788), 1,
      sym__backquoted_id,
    ACTIONS(11415), 1,
      anon_sym_LPAREN,
    STATE(9332), 1,
      sym_arguments,
    STATE(8553), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(7786), 19,
      anon_sym_end,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [417318] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9723), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8554), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 6,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [417358] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1942), 1,
      anon_sym_LBRACE,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8733), 1,
      anon_sym_LBRACK,
    ACTIONS(8795), 1,
      anon_sym_LPAREN,
    ACTIONS(9733), 1,
      anon_sym_DOT,
    ACTIONS(10920), 1,
      sym__alpha_identifier,
    ACTIONS(10926), 1,
      sym__backquoted_id,
    ACTIONS(10928), 1,
      sym_operator_identifier,
    ACTIONS(11418), 1,
      anon_sym_EQ,
    STATE(571), 1,
      sym_identifier,
    STATE(4064), 1,
      sym__soft_identifier,
    STATE(8555), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8737), 3,
      anon_sym_while,
      anon_sym_match,
      anon_sym_finally,
    STATE(9198), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(10922), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [417420] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8556), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [417458] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11239), 1,
      anon_sym_LBRACK,
    ACTIONS(11241), 1,
      anon_sym_AT,
    ACTIONS(11245), 1,
      anon_sym_POUND,
    STATE(9556), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9652), 1,
      sym_type_arguments,
    STATE(9959), 1,
      sym_annotation,
    STATE(8557), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 4,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(7464), 13,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [417508] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11420), 1,
      anon_sym_DOT,
    STATE(8558), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8159), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [417548] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8731), 1,
      sym__alpha_identifier,
    ACTIONS(8739), 1,
      anon_sym_EQ,
    ACTIONS(8741), 1,
      sym__backquoted_id,
    ACTIONS(8743), 1,
      sym_operator_identifier,
    STATE(529), 1,
      sym_identifier,
    STATE(3888), 1,
      sym__soft_identifier,
    STATE(8559), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8733), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8737), 5,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(8735), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [417602] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8560), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8267), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [417640] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11422), 1,
      anon_sym_with,
    STATE(8561), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(8804), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8802), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [417680] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5578), 1,
      sym_identifier,
    STATE(8951), 1,
      sym__soft_identifier,
    STATE(8562), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9985), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9983), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [417722] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8563), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7704), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8316), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [417760] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8564), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7000), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [417798] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7640), 1,
      anon_sym_DQUOTE,
    ACTIONS(9774), 1,
      sym__interpolated_multiline_string_start,
    STATE(9549), 1,
      sym_interpolated_string,
    STATE(14612), 1,
      sym__interpolated_string_start,
    ACTIONS(11425), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8565), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(2515), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [417846] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8566), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7552), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8326), 20,
      anon_sym_end,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [417884] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8567), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9959), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9957), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [417922] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8568), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10041), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10039), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [417960] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8569), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7716), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8324), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [417998] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8570), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7552), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8326), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [418036] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8063), 1,
      anon_sym_EQ,
    STATE(621), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(8571), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8231), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8229), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [418080] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8572), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8227), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8225), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [418118] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8573), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9180), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9182), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [418156] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8574), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9159), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9161), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [418194] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8575), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9159), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9161), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [418232] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7580), 1,
      sym__backquoted_id,
    ACTIONS(7698), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8576), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7694), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(7696), 6,
      anon_sym_case,
      anon_sym_if,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(7574), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [418276] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8577), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9130), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9132), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [418314] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8578), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9082), 9,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9084), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [418352] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8579), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7710), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8404), 20,
      anon_sym_end,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [418390] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11427), 1,
      anon_sym_AT,
    STATE(9559), 1,
      sym_annotation,
    STATE(8580), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8283), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8281), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [418432] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7638), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8581), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [418472] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8582), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8027), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8683), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [418510] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8583), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9082), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9084), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [418548] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8584), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7330), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8360), 20,
      anon_sym_end,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [418586] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8585), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9067), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9065), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [418624] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8586), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7498), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7496), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [418662] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8587), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [418700] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7580), 1,
      sym__backquoted_id,
    ACTIONS(7696), 1,
      anon_sym_LT_PERCENT,
    ACTIONS(11346), 1,
      anon_sym_LBRACE,
    ACTIONS(11348), 1,
      anon_sym_with,
    ACTIONS(11430), 1,
      anon_sym_COLON,
    STATE(8484), 1,
      aux_sym_compound_type_repeat1,
    STATE(10617), 1,
      sym__refinement,
    STATE(10629), 1,
      sym_template_body,
    ACTIONS(7694), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(7698), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8588), 2,
      sym_comment,
      sym_block_comment,
    STATE(10642), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7574), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [418758] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5590), 1,
      sym_identifier,
    STATE(8951), 1,
      sym__soft_identifier,
    STATE(8589), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9985), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9983), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [418800] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7817), 1,
      sym__backquoted_id,
    ACTIONS(9437), 1,
      anon_sym_LPAREN,
    STATE(8553), 1,
      aux_sym_annotation_repeat1,
    STATE(9332), 1,
      sym_arguments,
    STATE(8590), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7815), 19,
      anon_sym_end,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [418844] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8591), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9029), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9031), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [418882] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8592), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7330), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8360), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [418920] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8593), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9180), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9182), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [418958] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11239), 1,
      anon_sym_LBRACK,
    ACTIONS(11245), 1,
      anon_sym_POUND,
    ACTIONS(11433), 1,
      anon_sym_LPAREN,
    STATE(9353), 1,
      aux_sym_annotation_repeat1,
    STATE(9652), 1,
      sym_type_arguments,
    STATE(9967), 1,
      sym_arguments,
    STATE(8594), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7530), 3,
      anon_sym_LBRACE,
      anon_sym_DOT,
      sym__backquoted_id,
    ACTIONS(7528), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [419008] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8595), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7714), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8406), 20,
      anon_sym_end,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [419046] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8596), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9159), 9,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9161), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [419084] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8597), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9159), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9161), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [419122] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8598), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9959), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9957), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [419160] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8599), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8267), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [419198] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8600), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9977), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9975), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [419236] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8601), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10047), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10045), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [419274] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9681), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8602), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [419314] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8603), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7464), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [419352] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8604), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8227), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8225), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [419390] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5348), 1,
      sym__end_marker,
    STATE(8605), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9292), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9290), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [419430] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8606), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9082), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9084), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [419468] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9663), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8607), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [419508] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8608), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9462), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9464), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [419546] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8609), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8267), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [419584] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11435), 1,
      anon_sym_DOT,
    STATE(8610), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [419624] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8611), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9998), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9996), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [419662] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9644), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8612), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 6,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [419702] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8773), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8613), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8771), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8769), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [419742] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8614), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8095), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8093), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [419780] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8615), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9021), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9023), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [419818] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5655), 1,
      sym_identifier,
    STATE(8951), 1,
      sym__soft_identifier,
    STATE(8616), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9985), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9983), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [419860] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7336), 1,
      anon_sym_LPAREN,
    ACTIONS(7640), 1,
      anon_sym_DQUOTE,
    ACTIONS(10677), 1,
      sym__backquoted_id,
    ACTIONS(10977), 1,
      anon_sym_DOT,
    ACTIONS(10985), 1,
      anon_sym_AT,
    ACTIONS(10991), 1,
      sym__interpolated_multiline_string_start,
    STATE(4155), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    STATE(11358), 1,
      sym_interpolated_string,
    STATE(14976), 1,
      sym__interpolated_string_start,
    STATE(8617), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10675), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [419916] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8618), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7764), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7762), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [419954] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8619), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9029), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9031), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [419992] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7336), 1,
      anon_sym_LPAREN,
    ACTIONS(7640), 1,
      anon_sym_DQUOTE,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10975), 1,
      anon_sym_COLON,
    ACTIONS(10977), 1,
      anon_sym_DOT,
    ACTIONS(10979), 1,
      anon_sym_STAR,
    ACTIONS(10985), 1,
      anon_sym_AT,
    ACTIONS(10989), 1,
      sym_operator_identifier,
    ACTIONS(10991), 1,
      sym__interpolated_multiline_string_start,
    STATE(4155), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    STATE(11358), 1,
      sym_interpolated_string,
    STATE(14976), 1,
      sym__interpolated_string_start,
    STATE(8620), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10673), 3,
      anon_sym_EQ_GT,
      anon_sym_if,
      anon_sym_PIPE,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [420058] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8621), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8835), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8833), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [420096] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8622), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [420134] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7336), 1,
      anon_sym_LPAREN,
    ACTIONS(7640), 1,
      anon_sym_DQUOTE,
    ACTIONS(10669), 1,
      sym__backquoted_id,
    ACTIONS(10977), 1,
      anon_sym_DOT,
    ACTIONS(10985), 1,
      anon_sym_AT,
    ACTIONS(10991), 1,
      sym__interpolated_multiline_string_start,
    STATE(4155), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    STATE(11358), 1,
      sym_interpolated_string,
    STATE(14976), 1,
      sym__interpolated_string_start,
    STATE(8623), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10667), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [420190] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8624), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10041), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10039), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [420228] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8625), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [420266] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1942), 1,
      anon_sym_LBRACE,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8733), 1,
      anon_sym_LBRACK,
    ACTIONS(8795), 1,
      anon_sym_LPAREN,
    ACTIONS(9733), 1,
      anon_sym_DOT,
    ACTIONS(10920), 1,
      sym__alpha_identifier,
    ACTIONS(10926), 1,
      sym__backquoted_id,
    ACTIONS(10928), 1,
      sym_operator_identifier,
    ACTIONS(11437), 1,
      anon_sym_EQ,
    STATE(571), 1,
      sym_identifier,
    STATE(4064), 1,
      sym__soft_identifier,
    STATE(8626), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8737), 3,
      anon_sym_match,
      anon_sym_finally,
      anon_sym_do,
    STATE(9198), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(10922), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [420328] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8731), 1,
      sym__alpha_identifier,
    ACTIONS(8741), 1,
      sym__backquoted_id,
    ACTIONS(8743), 1,
      sym_operator_identifier,
    ACTIONS(8759), 1,
      anon_sym_EQ,
    STATE(529), 1,
      sym_identifier,
    STATE(3888), 1,
      sym__soft_identifier,
    STATE(8627), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8733), 3,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8735), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(8737), 7,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [420382] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8628), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10047), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10045), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [420420] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8629), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8227), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8225), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [420458] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8630), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8835), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8833), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [420496] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11439), 1,
      anon_sym_with,
    STATE(8631), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(8804), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8802), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [420536] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8632), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7330), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8360), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [420574] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8633), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9180), 9,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9182), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [420612] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8634), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 9,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(4132), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
  [420650] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9101), 1,
      sym_arguments,
    STATE(8635), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7498), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7496), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [420690] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8636), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [420728] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8637), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9554), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9552), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [420766] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8638), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7574), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [420804] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9617), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8639), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [420844] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8640), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10041), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10039), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [420882] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7640), 1,
      anon_sym_DQUOTE,
    ACTIONS(9774), 1,
      sym__interpolated_multiline_string_start,
    STATE(9549), 1,
      sym_interpolated_string,
    STATE(14612), 1,
      sym__interpolated_string_start,
    ACTIONS(11442), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8641), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(2515), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [420930] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10464), 1,
      sym__backquoted_id,
    ACTIONS(4132), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(4136), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(8642), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7292), 18,
      anon_sym_end,
      anon_sym_val,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [420972] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8643), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7330), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8360), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [421010] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8644), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9998), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9996), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [421048] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10462), 1,
      sym__backquoted_id,
    ACTIONS(4132), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(4136), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(8645), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7266), 18,
      anon_sym_end,
      anon_sym_val,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [421090] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8646), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9021), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9023), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [421128] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8647), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9067), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9065), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [421166] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8648), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9082), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9084), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [421204] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10460), 1,
      sym__backquoted_id,
    ACTIONS(4132), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(4136), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(8649), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7252), 18,
      anon_sym_end,
      anon_sym_val,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [421246] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8650), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9977), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9975), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [421284] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8651), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9959), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9957), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [421322] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8652), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8392), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [421360] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8653), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9029), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9031), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [421398] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8654), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8027), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8683), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [421436] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8655), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9538), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9536), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [421474] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8656), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10075), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [421512] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8657), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10073), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10071), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [421550] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8658), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7764), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7762), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [421588] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7344), 1,
      anon_sym_AT,
    ACTIONS(7352), 1,
      anon_sym_inline,
    ACTIONS(7354), 1,
      anon_sym_infix,
    ACTIONS(7356), 1,
      anon_sym_open,
    ACTIONS(7358), 1,
      anon_sym_transparent,
    ACTIONS(7456), 1,
      anon_sym_def,
    STATE(5366), 1,
      aux_sym_modifiers_repeat1,
    STATE(6407), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7509), 1,
      sym_annotation,
    STATE(17451), 1,
      sym_modifiers,
    ACTIONS(7350), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(8659), 2,
      sym_comment,
      sym_block_comment,
    STATE(6204), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(7348), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [421648] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8660), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9144), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9146), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [421686] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8661), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8027), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8683), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [421724] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8662), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [421762] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10743), 1,
      anon_sym_AT,
    STATE(8580), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9559), 1,
      sym_annotation,
    STATE(8663), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8288), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [421806] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8664), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7000), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [421844] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8665), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10073), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10071), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [421882] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8666), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10075), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [421920] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8667), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8835), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8833), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [421958] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8668), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7000), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [421996] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8669), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8392), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [422034] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8670), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10058), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [422072] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8671), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8095), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8093), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [422110] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8051), 1,
      sym__alpha_identifier,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8065), 1,
      sym__backquoted_id,
    ACTIONS(8553), 1,
      sym_operator_identifier,
    STATE(1699), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(8672), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8055), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8057), 6,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8061), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [422162] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8673), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8267), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [422200] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8674), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7704), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8316), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [422238] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8675), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9021), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9023), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [422276] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8676), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8267), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [422314] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8677), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7720), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8435), 20,
      anon_sym_end,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [422352] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8678), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7716), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8324), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [422390] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7338), 1,
      anon_sym_DOT,
    STATE(8679), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [422430] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7344), 1,
      anon_sym_AT,
    ACTIONS(7352), 1,
      anon_sym_inline,
    ACTIONS(7354), 1,
      anon_sym_infix,
    ACTIONS(7356), 1,
      anon_sym_open,
    ACTIONS(7358), 1,
      anon_sym_transparent,
    ACTIONS(7444), 1,
      anon_sym_def,
    STATE(5366), 1,
      aux_sym_modifiers_repeat1,
    STATE(6407), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7509), 1,
      sym_annotation,
    STATE(17454), 1,
      sym_modifiers,
    ACTIONS(7350), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(8680), 2,
      sym_comment,
      sym_block_comment,
    STATE(6204), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(7348), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [422490] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8681), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9455), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9457), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [422528] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8682), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7552), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8326), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [422566] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8989), 1,
      sym_arguments,
    STATE(8683), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7498), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7496), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [422606] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8684), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7112), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7110), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [422644] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8069), 1,
      sym__alpha_identifier,
    ACTIONS(8071), 1,
      anon_sym__,
    ACTIONS(8075), 1,
      anon_sym_LPAREN,
    ACTIONS(8077), 1,
      sym__backquoted_id,
    ACTIONS(8079), 1,
      sym_operator_identifier,
    STATE(4770), 1,
      sym__simple_type,
    STATE(6140), 1,
      sym_identifier,
    STATE(6650), 1,
      sym__soft_identifier,
    STATE(15870), 1,
      sym_stable_identifier,
    STATE(8685), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8073), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6134), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [422699] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8015), 1,
      sym__alpha_identifier,
    ACTIONS(8017), 1,
      anon_sym__,
    ACTIONS(8021), 1,
      anon_sym_LPAREN,
    ACTIONS(8023), 1,
      sym__backquoted_id,
    ACTIONS(8025), 1,
      sym_operator_identifier,
    STATE(4847), 1,
      sym__simple_type,
    STATE(6019), 1,
      sym__soft_identifier,
    STATE(6480), 1,
      sym_identifier,
    STATE(16836), 1,
      sym_stable_identifier,
    STATE(8686), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8019), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6090), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [422754] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8687), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7704), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8316), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [422791] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7837), 1,
      sym__alpha_identifier,
    ACTIONS(7843), 1,
      anon_sym__,
    ACTIONS(7847), 1,
      anon_sym_LPAREN,
    ACTIONS(7849), 1,
      sym__backquoted_id,
    ACTIONS(7851), 1,
      sym_operator_identifier,
    STATE(4395), 1,
      sym__simple_type,
    STATE(4772), 1,
      sym__soft_identifier,
    STATE(4934), 1,
      sym_identifier,
    STATE(16740), 1,
      sym_stable_identifier,
    STATE(8688), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7845), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4683), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [422846] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8689), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [422883] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8690), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7584), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8358), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [422920] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8691), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7716), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8324), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [422957] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5806), 1,
      sym__end_marker,
    STATE(8692), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9292), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9290), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [422996] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8693), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7710), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8404), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [423033] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11444), 1,
      anon_sym_with,
    STATE(8694), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(8804), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8802), 14,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [423072] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11447), 1,
      anon_sym_with,
    STATE(8695), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(8804), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8802), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [423111] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11450), 1,
      sym__alpha_identifier,
    ACTIONS(11452), 1,
      anon_sym__,
    ACTIONS(11456), 1,
      anon_sym_LPAREN,
    ACTIONS(11458), 1,
      sym__backquoted_id,
    ACTIONS(11460), 1,
      sym_operator_identifier,
    STATE(11097), 1,
      sym__simple_type,
    STATE(12038), 1,
      sym_identifier,
    STATE(12122), 1,
      sym__soft_identifier,
    STATE(16704), 1,
      sym_stable_identifier,
    STATE(8696), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11454), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12490), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [423166] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8697), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9462), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9464), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [423203] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11462), 1,
      sym__alpha_identifier,
    ACTIONS(11464), 1,
      anon_sym__,
    ACTIONS(11468), 1,
      anon_sym_LPAREN,
    ACTIONS(11470), 1,
      sym__backquoted_id,
    ACTIONS(11472), 1,
      sym_operator_identifier,
    STATE(6157), 1,
      sym__simple_type,
    STATE(7389), 1,
      sym_identifier,
    STATE(8014), 1,
      sym__soft_identifier,
    STATE(16012), 1,
      sym_stable_identifier,
    STATE(8698), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11466), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8498), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [423258] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11474), 1,
      anon_sym_with,
    STATE(8699), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(8804), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8802), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [423297] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8700), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7714), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8406), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [423334] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4554), 1,
      sym__alpha_identifier,
    ACTIONS(4560), 1,
      anon_sym__,
    ACTIONS(4572), 1,
      sym__backquoted_id,
    ACTIONS(6520), 1,
      sym_operator_identifier,
    ACTIONS(9973), 1,
      anon_sym_LPAREN,
    STATE(5244), 1,
      sym__simple_type,
    STATE(6066), 1,
      sym__soft_identifier,
    STATE(6566), 1,
      sym_identifier,
    STATE(16171), 1,
      sym_stable_identifier,
    STATE(8701), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4566), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7119), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [423389] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8702), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9180), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9182), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [423426] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8703), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8392), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [423463] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8704), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9159), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9161), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [423500] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8705), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9067), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9065), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [423537] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10400), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8706), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [423576] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8707), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7498), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7496), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [423613] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8708), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7720), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8435), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [423650] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10266), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8709), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(2515), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [423689] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10423), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8710), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 6,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [423728] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(9335), 1,
      sym__alpha_identifier,
    ACTIONS(9341), 1,
      sym__backquoted_id,
    ACTIONS(9343), 1,
      sym_operator_identifier,
    ACTIONS(9381), 1,
      anon_sym_EQ,
    STATE(531), 1,
      sym_identifier,
    STATE(3954), 1,
      sym__soft_identifier,
    STATE(8711), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8737), 4,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(8733), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(9337), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [423781] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8712), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9082), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9084), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [423818] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6080), 1,
      sym__alpha_identifier,
    ACTIONS(6086), 1,
      anon_sym__,
    ACTIONS(6094), 1,
      sym__backquoted_id,
    ACTIONS(6096), 1,
      sym_operator_identifier,
    ACTIONS(10123), 1,
      anon_sym_LPAREN,
    STATE(6240), 1,
      sym__simple_type,
    STATE(7449), 1,
      sym__soft_identifier,
    STATE(8071), 1,
      sym_identifier,
    STATE(16728), 1,
      sym_stable_identifier,
    STATE(8713), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6090), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8489), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [423873] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8714), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [423910] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8715), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7574), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [423947] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8063), 1,
      anon_sym_EQ,
    STATE(621), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(8716), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8231), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8229), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [423990] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8717), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8271), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [424027] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8718), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9021), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9023), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [424064] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(832), 1,
      anon_sym_LBRACE,
    ACTIONS(8051), 1,
      sym__alpha_identifier,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8065), 1,
      sym__backquoted_id,
    ACTIONS(8733), 1,
      anon_sym_LBRACK,
    ACTIONS(9437), 1,
      anon_sym_LPAREN,
    ACTIONS(10364), 1,
      anon_sym_DOT,
    ACTIONS(10425), 1,
      sym_operator_identifier,
    ACTIONS(11477), 1,
      anon_sym_EQ,
    STATE(621), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    ACTIONS(8737), 2,
      anon_sym_while,
      anon_sym_match,
    STATE(8719), 2,
      sym_comment,
      sym_block_comment,
    STATE(9275), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8061), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [424125] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8720), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9029), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9031), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [424162] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8721), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9067), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9065), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [424199] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8722), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [424236] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7877), 1,
      sym__alpha_identifier,
    ACTIONS(7879), 1,
      anon_sym__,
    ACTIONS(7883), 1,
      anon_sym_LPAREN,
    ACTIONS(7885), 1,
      sym__backquoted_id,
    ACTIONS(7887), 1,
      sym_operator_identifier,
    STATE(5295), 1,
      sym__simple_type,
    STATE(7163), 1,
      sym_identifier,
    STATE(7248), 1,
      sym__soft_identifier,
    STATE(16191), 1,
      sym_stable_identifier,
    STATE(8723), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7881), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7042), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [424291] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8724), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7000), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [424328] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(9355), 1,
      sym__alpha_identifier,
    ACTIONS(9361), 1,
      sym__backquoted_id,
    ACTIONS(9363), 1,
      sym_operator_identifier,
    ACTIONS(9387), 1,
      anon_sym_EQ,
    STATE(530), 1,
      sym_identifier,
    STATE(3963), 1,
      sym__soft_identifier,
    STATE(8725), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8737), 4,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(8733), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(9357), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [424381] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8726), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10058), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [424418] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10396), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8727), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 12,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [424457] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7746), 1,
      sym__alpha_identifier,
    ACTIONS(7752), 1,
      anon_sym__,
    ACTIONS(7756), 1,
      anon_sym_LPAREN,
    ACTIONS(7758), 1,
      sym__backquoted_id,
    ACTIONS(7760), 1,
      sym_operator_identifier,
    STATE(4394), 1,
      sym__simple_type,
    STATE(4703), 1,
      sym_identifier,
    STATE(4858), 1,
      sym__soft_identifier,
    STATE(16228), 1,
      sym_stable_identifier,
    STATE(8728), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4713), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [424512] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9521), 1,
      sym__end_marker,
    STATE(8729), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9292), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9290), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [424551] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8730), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7704), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8316), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [424588] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4212), 1,
      sym__alpha_identifier,
    ACTIONS(4218), 1,
      anon_sym__,
    ACTIONS(4230), 1,
      sym__backquoted_id,
    ACTIONS(6712), 1,
      sym_operator_identifier,
    ACTIONS(9746), 1,
      anon_sym_LPAREN,
    STATE(4454), 1,
      sym__simple_type,
    STATE(4875), 1,
      sym_identifier,
    STATE(4929), 1,
      sym__soft_identifier,
    STATE(16174), 1,
      sym_stable_identifier,
    STATE(8731), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4224), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5291), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [424643] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8732), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7552), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8326), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [424680] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8733), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10073), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10071), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [424717] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8734), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9455), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9457), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [424754] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8735), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7552), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8326), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [424791] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7979), 1,
      sym__alpha_identifier,
    ACTIONS(7981), 1,
      anon_sym__,
    ACTIONS(7985), 1,
      anon_sym_LPAREN,
    ACTIONS(7987), 1,
      sym__backquoted_id,
    ACTIONS(7989), 1,
      sym_operator_identifier,
    STATE(4836), 1,
      sym__simple_type,
    STATE(6444), 1,
      sym_identifier,
    STATE(6463), 1,
      sym__soft_identifier,
    STATE(16151), 1,
      sym_stable_identifier,
    STATE(8736), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7983), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6185), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [424846] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5573), 1,
      sym_identifier,
    STATE(8951), 1,
      sym__soft_identifier,
    STATE(8737), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9985), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9983), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [424887] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8738), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10075), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [424924] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8739), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7330), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8360), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [424961] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7580), 1,
      sym__backquoted_id,
    ACTIONS(7698), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8740), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7694), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(7696), 5,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(7574), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [425004] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8741), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9067), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9065), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [425041] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7580), 1,
      sym__backquoted_id,
    ACTIONS(7698), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8742), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7694), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(7696), 5,
      anon_sym_case,
      anon_sym_if,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(7574), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [425084] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8743), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [425121] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8744), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7112), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7110), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [425158] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6504), 1,
      sym__alpha_identifier,
    ACTIONS(6506), 1,
      anon_sym__,
    ACTIONS(6514), 1,
      sym__backquoted_id,
    ACTIONS(6516), 1,
      sym_operator_identifier,
    ACTIONS(10137), 1,
      anon_sym_LPAREN,
    STATE(5020), 1,
      sym__simple_type,
    STATE(6108), 1,
      sym__soft_identifier,
    STATE(6447), 1,
      sym_identifier,
    STATE(16716), 1,
      sym_stable_identifier,
    STATE(8745), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6510), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6709), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [425213] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8746), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7716), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8324), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [425250] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8747), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7716), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8324), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [425287] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11479), 1,
      sym__alpha_identifier,
    ACTIONS(11481), 1,
      anon_sym__,
    ACTIONS(11485), 1,
      anon_sym_LPAREN,
    ACTIONS(11487), 1,
      sym__backquoted_id,
    ACTIONS(11489), 1,
      sym_operator_identifier,
    STATE(10086), 1,
      sym__simple_type,
    STATE(10341), 1,
      sym_identifier,
    STATE(10355), 1,
      sym__soft_identifier,
    STATE(16722), 1,
      sym_stable_identifier,
    STATE(8748), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11483), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10679), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [425342] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4520), 1,
      sym__alpha_identifier,
    ACTIONS(4526), 1,
      anon_sym__,
    ACTIONS(4538), 1,
      sym__backquoted_id,
    ACTIONS(6484), 1,
      sym_operator_identifier,
    ACTIONS(9944), 1,
      anon_sym_LPAREN,
    STATE(4630), 1,
      sym__simple_type,
    STATE(4974), 1,
      sym__soft_identifier,
    STATE(5203), 1,
      sym_identifier,
    STATE(16130), 1,
      sym_stable_identifier,
    STATE(8749), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4532), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5932), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [425397] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8750), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8159), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [425434] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8751), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7704), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8316), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [425471] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8752), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7552), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8326), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [425508] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8753), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10058), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [425545] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11491), 1,
      anon_sym_with,
    STATE(8754), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(8804), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8802), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [425584] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7580), 1,
      sym__backquoted_id,
    ACTIONS(7698), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8755), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7694), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(7696), 5,
      anon_sym_case,
      anon_sym_if,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(7574), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [425627] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8756), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8267), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [425664] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8757), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7330), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8360), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [425701] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11494), 1,
      sym__alpha_identifier,
    ACTIONS(11496), 1,
      anon_sym__,
    ACTIONS(11500), 1,
      anon_sym_LPAREN,
    ACTIONS(11502), 1,
      sym__backquoted_id,
    ACTIONS(11504), 1,
      sym_operator_identifier,
    STATE(11300), 1,
      sym__simple_type,
    STATE(12091), 1,
      sym_identifier,
    STATE(12116), 1,
      sym__soft_identifier,
    STATE(16668), 1,
      sym_stable_identifier,
    STATE(8758), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11498), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12442), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [425756] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8759), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10041), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10039), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [425793] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7232), 1,
      sym__alpha_identifier,
    ACTIONS(7238), 1,
      anon_sym__,
    ACTIONS(7246), 1,
      sym__backquoted_id,
    ACTIONS(7556), 1,
      anon_sym_LPAREN,
    ACTIONS(7558), 1,
      sym_operator_identifier,
    STATE(10462), 1,
      sym__simple_type,
    STATE(10729), 1,
      sym_identifier,
    STATE(10954), 1,
      sym__soft_identifier,
    STATE(16972), 1,
      sym_stable_identifier,
    STATE(8760), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7242), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11316), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [425848] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8761), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7330), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8360), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [425885] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8051), 1,
      sym__alpha_identifier,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8063), 1,
      anon_sym_EQ,
    ACTIONS(8065), 1,
      sym__backquoted_id,
    ACTIONS(9513), 1,
      sym_operator_identifier,
    STATE(1668), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(8762), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8055), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(8057), 6,
      anon_sym_while,
      anon_sym_match,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(8061), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [425938] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8763), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9554), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9552), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [425975] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8764), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10073), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10071), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [426012] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8765), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8835), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8833), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [426049] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8766), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10075), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [426086] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11506), 1,
      sym__alpha_identifier,
    ACTIONS(11508), 1,
      anon_sym__,
    ACTIONS(11512), 1,
      anon_sym_LPAREN,
    ACTIONS(11514), 1,
      sym__backquoted_id,
    ACTIONS(11516), 1,
      sym_operator_identifier,
    STATE(10286), 1,
      sym__simple_type,
    STATE(10599), 1,
      sym__soft_identifier,
    STATE(10717), 1,
      sym_identifier,
    STATE(16872), 1,
      sym_stable_identifier,
    STATE(8767), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11510), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10807), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [426141] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8768), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7574), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [426178] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8769), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7710), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8404), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [426215] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8770), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8027), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8683), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [426252] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4660), 1,
      sym__alpha_identifier,
    ACTIONS(4666), 1,
      anon_sym__,
    ACTIONS(4678), 1,
      sym__backquoted_id,
    ACTIONS(6574), 1,
      sym_operator_identifier,
    ACTIONS(9981), 1,
      anon_sym_LPAREN,
    STATE(5583), 1,
      sym__simple_type,
    STATE(7030), 1,
      sym_identifier,
    STATE(7094), 1,
      sym__soft_identifier,
    STATE(16211), 1,
      sym_stable_identifier,
    STATE(8771), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4672), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8006), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [426307] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3286), 1,
      anon_sym_LBRACE,
    ACTIONS(11243), 1,
      anon_sym_LPAREN,
    ACTIONS(11518), 1,
      anon_sym_DOT,
    STATE(621), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    ACTIONS(8241), 2,
      anon_sym_LBRACK,
      sym__backquoted_id,
    STATE(8772), 2,
      sym_comment,
      sym_block_comment,
    STATE(10345), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8239), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [426356] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8773), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9449), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9451), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [426393] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8774), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9447), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [426430] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11520), 1,
      anon_sym_with,
    STATE(8775), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(8804), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8802), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [426469] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11523), 1,
      anon_sym_AT,
    STATE(9759), 1,
      sym_annotation,
    STATE(8776), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8283), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(8281), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [426510] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8777), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7714), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8406), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [426547] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6344), 1,
      anon_sym_COLON,
    ACTIONS(6346), 1,
      anon_sym_LBRACE,
    ACTIONS(11526), 1,
      anon_sym_with,
    STATE(10251), 1,
      aux_sym_compound_type_repeat1,
    STATE(11073), 1,
      sym__refinement,
    STATE(11096), 1,
      sym_template_body,
    ACTIONS(7668), 2,
      sym__outdent,
      sym__backquoted_id,
    STATE(8778), 2,
      sym_comment,
      sym_block_comment,
    STATE(11052), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7666), 12,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [426598] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8779), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8267), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [426635] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9979), 1,
      anon_sym_DOT,
    ACTIONS(11528), 1,
      anon_sym_COLON,
    ACTIONS(11531), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(8780), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8159), 15,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [426678] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8781), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8027), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8683), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [426715] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8782), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [426752] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8189), 1,
      sym__alpha_identifier,
    ACTIONS(8191), 1,
      anon_sym__,
    ACTIONS(8195), 1,
      anon_sym_LPAREN,
    ACTIONS(8197), 1,
      sym__backquoted_id,
    ACTIONS(8199), 1,
      sym_operator_identifier,
    STATE(4938), 1,
      sym__simple_type,
    STATE(6131), 1,
      sym__soft_identifier,
    STATE(6607), 1,
      sym_identifier,
    STATE(16109), 1,
      sym_stable_identifier,
    STATE(8783), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8193), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6045), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [426807] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8784), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8392), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [426844] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11534), 1,
      anon_sym_with,
    STATE(8785), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(8804), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8802), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [426883] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5862), 1,
      sym_identifier,
    STATE(8951), 1,
      sym__soft_identifier,
    STATE(8786), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9985), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9983), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [426924] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8787), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [426961] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6386), 1,
      sym__alpha_identifier,
    ACTIONS(6392), 1,
      anon_sym__,
    ACTIONS(6400), 1,
      sym__backquoted_id,
    ACTIONS(6402), 1,
      sym_operator_identifier,
    ACTIONS(10093), 1,
      anon_sym_LPAREN,
    STATE(4250), 1,
      sym__simple_type,
    STATE(4449), 1,
      sym__soft_identifier,
    STATE(4490), 1,
      sym_identifier,
    STATE(16746), 1,
      sym_stable_identifier,
    STATE(8788), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6396), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4611), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [427016] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8773), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8789), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8771), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8769), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [427055] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8063), 1,
      anon_sym_EQ,
    STATE(621), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(8790), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8231), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8229), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [427098] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11537), 1,
      sym__alpha_identifier,
    ACTIONS(11539), 1,
      anon_sym__,
    ACTIONS(11543), 1,
      anon_sym_LPAREN,
    ACTIONS(11545), 1,
      sym__backquoted_id,
    ACTIONS(11547), 1,
      sym_operator_identifier,
    STATE(10011), 1,
      sym__simple_type,
    STATE(10333), 1,
      sym_identifier,
    STATE(10364), 1,
      sym__soft_identifier,
    STATE(16071), 1,
      sym_stable_identifier,
    STATE(8791), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11541), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10655), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [427153] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10322), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8792), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 6,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [427192] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(9355), 1,
      sym__alpha_identifier,
    ACTIONS(9359), 1,
      anon_sym_EQ,
    ACTIONS(9361), 1,
      sym__backquoted_id,
    ACTIONS(9363), 1,
      sym_operator_identifier,
    STATE(530), 1,
      sym_identifier,
    STATE(3963), 1,
      sym__soft_identifier,
    STATE(8793), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8733), 3,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8737), 6,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(9357), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [427245] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8794), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [427282] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(9305), 1,
      sym__alpha_identifier,
    ACTIONS(9311), 1,
      sym__backquoted_id,
    ACTIONS(9313), 1,
      sym_operator_identifier,
    ACTIONS(9349), 1,
      anon_sym_EQ,
    STATE(535), 1,
      sym_identifier,
    STATE(4028), 1,
      sym__soft_identifier,
    STATE(8795), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8733), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8737), 5,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(9307), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [427335] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8796), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9959), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9957), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [427372] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8797), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9130), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9132), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [427409] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8798), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9134), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9136), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [427446] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(11549), 1,
      anon_sym_LPAREN,
    ACTIONS(11551), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(4199), 1,
      sym_identifier,
    STATE(12184), 1,
      sym__simple_type,
    STATE(16784), 1,
      sym_stable_identifier,
    STATE(8799), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4258), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [427501] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8003), 1,
      sym__alpha_identifier,
    ACTIONS(8005), 1,
      anon_sym__,
    ACTIONS(8009), 1,
      anon_sym_LPAREN,
    ACTIONS(8011), 1,
      sym__backquoted_id,
    ACTIONS(8013), 1,
      sym_operator_identifier,
    STATE(6341), 1,
      sym__simple_type,
    STATE(8250), 1,
      sym_identifier,
    STATE(8497), 1,
      sym__soft_identifier,
    STATE(16231), 1,
      sym_stable_identifier,
    STATE(8800), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8007), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8161), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [427556] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8063), 1,
      anon_sym_EQ,
    STATE(621), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(8801), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8231), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8229), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [427599] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8802), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9144), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9146), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [427636] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8803), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7764), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7762), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [427673] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8804), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9977), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9975), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [427710] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8107), 1,
      sym__alpha_identifier,
    ACTIONS(8109), 1,
      anon_sym__,
    ACTIONS(8113), 1,
      anon_sym_LPAREN,
    ACTIONS(8115), 1,
      sym__backquoted_id,
    ACTIONS(8117), 1,
      sym_operator_identifier,
    STATE(5421), 1,
      sym__simple_type,
    STATE(7458), 1,
      sym__soft_identifier,
    STATE(7930), 1,
      sym_identifier,
    STATE(16710), 1,
      sym_stable_identifier,
    STATE(8805), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8111), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7743), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [427765] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7580), 1,
      sym__backquoted_id,
    ACTIONS(7698), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8806), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7694), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(7696), 6,
      anon_sym_STAR,
      anon_sym_while,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(7574), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [427808] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8807), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9180), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9182), 17,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [427845] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8808), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8095), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8093), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [427882] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8809), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7764), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7762), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [427919] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6442), 1,
      sym__alpha_identifier,
    ACTIONS(6444), 1,
      anon_sym__,
    ACTIONS(6452), 1,
      sym__backquoted_id,
    ACTIONS(6454), 1,
      sym_operator_identifier,
    ACTIONS(9919), 1,
      anon_sym_LPAREN,
    STATE(6328), 1,
      sym__simple_type,
    STATE(7639), 1,
      sym_identifier,
    STATE(7905), 1,
      sym__soft_identifier,
    STATE(16088), 1,
      sym_stable_identifier,
    STATE(8810), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6448), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8251), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [427974] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11553), 1,
      anon_sym_with,
    STATE(8811), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(8804), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8802), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [428013] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7622), 1,
      sym__alpha_identifier,
    ACTIONS(7628), 1,
      anon_sym__,
    ACTIONS(7632), 1,
      anon_sym_LPAREN,
    ACTIONS(7634), 1,
      sym__backquoted_id,
    ACTIONS(7636), 1,
      sym_operator_identifier,
    STATE(10517), 1,
      sym__simple_type,
    STATE(10818), 1,
      sym_identifier,
    STATE(10971), 1,
      sym__soft_identifier,
    STATE(16115), 1,
      sym_stable_identifier,
    STATE(8812), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7630), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11092), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [428068] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7947), 1,
      sym__alpha_identifier,
    ACTIONS(7949), 1,
      anon_sym__,
    ACTIONS(7953), 1,
      anon_sym_LPAREN,
    ACTIONS(7955), 1,
      sym__backquoted_id,
    ACTIONS(7957), 1,
      sym_operator_identifier,
    STATE(6974), 1,
      sym__simple_type,
    STATE(8833), 1,
      sym_identifier,
    STATE(9188), 1,
      sym__soft_identifier,
    STATE(16927), 1,
      sym_stable_identifier,
    STATE(8813), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7951), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9056), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [428123] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8814), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9159), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9161), 17,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [428160] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11556), 1,
      sym__alpha_identifier,
    ACTIONS(11558), 1,
      anon_sym__,
    ACTIONS(11562), 1,
      anon_sym_LPAREN,
    ACTIONS(11564), 1,
      sym__backquoted_id,
    ACTIONS(11566), 1,
      sym_operator_identifier,
    STATE(10505), 1,
      sym__simple_type,
    STATE(10741), 1,
      sym_identifier,
    STATE(10949), 1,
      sym__soft_identifier,
    STATE(16734), 1,
      sym_stable_identifier,
    STATE(8815), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11560), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11132), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [428215] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10243), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8816), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 12,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [428254] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8817), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7372), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8402), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [428291] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8818), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10047), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10045), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [428328] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8819), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8227), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8225), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [428365] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8820), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8027), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8683), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [428402] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8821), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [428439] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(9335), 1,
      sym__alpha_identifier,
    ACTIONS(9339), 1,
      anon_sym_EQ,
    ACTIONS(9341), 1,
      sym__backquoted_id,
    ACTIONS(9343), 1,
      sym_operator_identifier,
    STATE(531), 1,
      sym_identifier,
    STATE(3954), 1,
      sym__soft_identifier,
    STATE(8822), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8733), 3,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8737), 6,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(9337), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [428492] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6582), 1,
      sym__alpha_identifier,
    ACTIONS(6588), 1,
      anon_sym__,
    ACTIONS(6596), 1,
      sym__backquoted_id,
    ACTIONS(6598), 1,
      sym_operator_identifier,
    ACTIONS(9987), 1,
      anon_sym_LPAREN,
    STATE(5496), 1,
      sym__simple_type,
    STATE(6730), 1,
      sym__soft_identifier,
    STATE(7322), 1,
      sym_identifier,
    STATE(16251), 1,
      sym_stable_identifier,
    STATE(8823), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6592), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7912), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [428547] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8824), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9082), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9084), 17,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [428584] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8825), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9998), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9996), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [428621] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6372), 1,
      sym__alpha_identifier,
    ACTIONS(6374), 1,
      anon_sym__,
    ACTIONS(6382), 1,
      sym__backquoted_id,
    ACTIONS(6384), 1,
      sym_operator_identifier,
    ACTIONS(9913), 1,
      anon_sym_LPAREN,
    STATE(7116), 1,
      sym__simple_type,
    STATE(8164), 1,
      sym__soft_identifier,
    STATE(8558), 1,
      sym_identifier,
    STATE(16067), 1,
      sym_stable_identifier,
    STATE(8826), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6378), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8717), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [428676] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11568), 1,
      anon_sym_with,
    STATE(8827), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(8804), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8802), 14,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [428715] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6284), 1,
      sym__alpha_identifier,
    ACTIONS(6286), 1,
      anon_sym__,
    ACTIONS(6294), 1,
      sym__backquoted_id,
    ACTIONS(6296), 1,
      sym_operator_identifier,
    ACTIONS(10079), 1,
      anon_sym_LPAREN,
    STATE(4458), 1,
      sym__simple_type,
    STATE(4765), 1,
      sym__soft_identifier,
    STATE(4948), 1,
      sym_identifier,
    STATE(16752), 1,
      sym_stable_identifier,
    STATE(8828), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6290), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5000), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [428770] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8829), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9566), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9564), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [428807] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8830), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7704), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8316), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [428844] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(832), 1,
      anon_sym_LBRACE,
    ACTIONS(8051), 1,
      sym__alpha_identifier,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8065), 1,
      sym__backquoted_id,
    ACTIONS(8733), 1,
      anon_sym_LBRACK,
    ACTIONS(9437), 1,
      anon_sym_LPAREN,
    ACTIONS(10364), 1,
      anon_sym_DOT,
    ACTIONS(10425), 1,
      sym_operator_identifier,
    ACTIONS(11571), 1,
      anon_sym_EQ,
    STATE(621), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    ACTIONS(8737), 2,
      anon_sym_match,
      anon_sym_do,
    STATE(8831), 2,
      sym_comment,
      sym_block_comment,
    STATE(9275), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8061), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [428905] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3286), 1,
      anon_sym_LBRACE,
    ACTIONS(8063), 1,
      anon_sym_EQ,
    ACTIONS(11243), 1,
      anon_sym_LPAREN,
    ACTIONS(11518), 1,
      anon_sym_DOT,
    STATE(621), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    ACTIONS(8231), 2,
      anon_sym_LBRACK,
      sym__backquoted_id,
    STATE(8832), 2,
      sym_comment,
      sym_block_comment,
    STATE(10345), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8229), 11,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [428956] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11573), 1,
      anon_sym_DOT,
    STATE(8833), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [428995] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8834), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7574), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [429032] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11575), 1,
      anon_sym_COLON,
    ACTIONS(11578), 1,
      anon_sym_LBRACE,
    STATE(9965), 1,
      sym_template_body,
    STATE(6306), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8835), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8549), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8541), 10,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [429077] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8836), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9021), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9023), 17,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [429114] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10230), 1,
      anon_sym_COLON,
    ACTIONS(10233), 1,
      anon_sym_EQ_GT,
    ACTIONS(10235), 1,
      anon_sym_QMARK_EQ_GT,
    STATE(17191), 1,
      sym__self_type_ascription,
    STATE(8837), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 10,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [429159] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8127), 1,
      sym__alpha_identifier,
    ACTIONS(8133), 1,
      anon_sym__,
    ACTIONS(8137), 1,
      anon_sym_LPAREN,
    ACTIONS(8139), 1,
      sym__backquoted_id,
    ACTIONS(8141), 1,
      sym_operator_identifier,
    STATE(8594), 1,
      sym__simple_type,
    STATE(9712), 1,
      sym__soft_identifier,
    STATE(9770), 1,
      sym_identifier,
    STATE(16291), 1,
      sym_stable_identifier,
    STATE(8838), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8135), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9736), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [429214] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8839), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7574), 17,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [429251] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8840), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9029), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9031), 17,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [429288] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8841), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10058), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [429325] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6540), 1,
      sym__alpha_identifier,
    ACTIONS(6546), 1,
      anon_sym__,
    ACTIONS(6554), 1,
      sym__backquoted_id,
    ACTIONS(6556), 1,
      sym_operator_identifier,
    ACTIONS(10149), 1,
      anon_sym_LPAREN,
    STATE(4952), 1,
      sym__simple_type,
    STATE(5455), 1,
      sym__soft_identifier,
    STATE(5692), 1,
      sym_identifier,
    STATE(16698), 1,
      sym_stable_identifier,
    STATE(8842), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6550), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6161), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [429380] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8843), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9554), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9552), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [429417] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11581), 1,
      anon_sym_with,
    STATE(8844), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(8804), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8802), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [429456] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8845), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9067), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9065), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [429493] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7897), 1,
      sym__alpha_identifier,
    ACTIONS(7899), 1,
      anon_sym__,
    ACTIONS(7903), 1,
      anon_sym_LPAREN,
    ACTIONS(7905), 1,
      sym__backquoted_id,
    ACTIONS(7907), 1,
      sym_operator_identifier,
    STATE(4505), 1,
      sym__simple_type,
    STATE(5429), 1,
      sym__soft_identifier,
    STATE(5874), 1,
      sym_identifier,
    STATE(16758), 1,
      sym_stable_identifier,
    STATE(8846), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7901), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5428), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [429548] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8847), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10041), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10039), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [429585] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8848), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7716), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8324), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [429622] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11584), 1,
      anon_sym_DOT,
    STATE(8849), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 5,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8159), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [429661] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6206), 1,
      sym__alpha_identifier,
    ACTIONS(6212), 1,
      anon_sym__,
    ACTIONS(6220), 1,
      sym__backquoted_id,
    ACTIONS(6222), 1,
      sym_operator_identifier,
    ACTIONS(9883), 1,
      anon_sym_LPAREN,
    STATE(4936), 1,
      sym__simple_type,
    STATE(5445), 1,
      sym_identifier,
    STATE(5909), 1,
      sym__soft_identifier,
    STATE(16046), 1,
      sym_stable_identifier,
    STATE(8850), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6216), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6453), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [429716] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7676), 1,
      sym__alpha_identifier,
    ACTIONS(7682), 1,
      anon_sym__,
    ACTIONS(7686), 1,
      anon_sym_LPAREN,
    ACTIONS(7688), 1,
      sym__backquoted_id,
    ACTIONS(7690), 1,
      sym_operator_identifier,
    STATE(11995), 1,
      sym__simple_type,
    STATE(12651), 1,
      sym__soft_identifier,
    STATE(12912), 1,
      sym_identifier,
    STATE(16278), 1,
      sym_stable_identifier,
    STATE(8851), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7684), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(13194), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [429771] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8852), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9462), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9464), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [429808] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(11549), 1,
      anon_sym_LPAREN,
    ACTIONS(11551), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(4199), 1,
      sym_identifier,
    STATE(4652), 1,
      sym__simple_type,
    STATE(16784), 1,
      sym_stable_identifier,
    STATE(8853), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4258), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [429863] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8854), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11399), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11397), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [429900] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8855), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9998), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9996), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [429937] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5979), 1,
      sym_identifier,
    STATE(8951), 1,
      sym__soft_identifier,
    STATE(8856), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9985), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9983), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [429978] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7580), 1,
      sym__backquoted_id,
    ACTIONS(7698), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8857), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7694), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(7696), 6,
      anon_sym_while,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(7574), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [430021] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8858), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9896), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9894), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [430058] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8173), 1,
      sym__alpha_identifier,
    ACTIONS(8179), 1,
      anon_sym__,
    ACTIONS(8183), 1,
      anon_sym_LPAREN,
    ACTIONS(8185), 1,
      sym__backquoted_id,
    ACTIONS(8187), 1,
      sym_operator_identifier,
    STATE(4217), 1,
      sym__simple_type,
    STATE(4546), 1,
      sym__soft_identifier,
    STATE(4635), 1,
      sym_identifier,
    STATE(16310), 1,
      sym_stable_identifier,
    STATE(8859), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8181), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4521), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [430113] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8860), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8835), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8833), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [430150] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8861), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9881), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9879), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [430187] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11586), 1,
      sym__alpha_identifier,
    ACTIONS(11588), 1,
      anon_sym__,
    ACTIONS(11590), 1,
      anon_sym_LPAREN,
    ACTIONS(11592), 1,
      sym__backquoted_id,
    ACTIONS(11594), 1,
      sym_operator_identifier,
    STATE(9844), 1,
      sym__soft_identifier,
    STATE(10677), 1,
      sym__simple_type,
    STATE(11105), 1,
      sym_identifier,
    STATE(15937), 1,
      sym_stable_identifier,
    STATE(8862), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11563), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [430242] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8863), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10075), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [430279] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8864), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9534), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9532), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [430316] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11596), 1,
      sym__alpha_identifier,
    ACTIONS(11598), 1,
      anon_sym__,
    ACTIONS(11602), 1,
      anon_sym_LPAREN,
    ACTIONS(11604), 1,
      sym__backquoted_id,
    ACTIONS(11606), 1,
      sym_operator_identifier,
    STATE(11711), 1,
      sym__simple_type,
    STATE(12296), 1,
      sym__soft_identifier,
    STATE(12469), 1,
      sym_identifier,
    STATE(16860), 1,
      sym_stable_identifier,
    STATE(8865), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11600), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12931), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [430371] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8866), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9067), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9065), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [430408] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6098), 1,
      sym__alpha_identifier,
    ACTIONS(6100), 1,
      anon_sym__,
    ACTIONS(6108), 1,
      sym__backquoted_id,
    ACTIONS(6110), 1,
      sym_operator_identifier,
    ACTIONS(9853), 1,
      anon_sym_LPAREN,
    STATE(5057), 1,
      sym__simple_type,
    STATE(6096), 1,
      sym_identifier,
    STATE(6257), 1,
      sym__soft_identifier,
    STATE(16025), 1,
      sym_stable_identifier,
    STATE(8867), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6104), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6721), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [430463] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8868), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7552), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8326), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [430500] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8731), 1,
      sym__alpha_identifier,
    ACTIONS(8741), 1,
      sym__backquoted_id,
    ACTIONS(8743), 1,
      sym_operator_identifier,
    ACTIONS(9122), 1,
      anon_sym_EQ,
    STATE(529), 1,
      sym_identifier,
    STATE(3888), 1,
      sym__soft_identifier,
    STATE(8869), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8733), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8737), 5,
      anon_sym_case,
      anon_sym_match,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(8735), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [430553] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8870), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10073), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10071), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [430590] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8871), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10075), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [430627] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8872), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8835), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8833), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [430664] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8873), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10073), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10071), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [430701] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8874), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9180), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9182), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [430738] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8875), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9067), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9065), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [430775] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5664), 1,
      sym_identifier,
    STATE(8951), 1,
      sym__soft_identifier,
    STATE(8876), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9985), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9983), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [430816] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4690), 1,
      sym__alpha_identifier,
    ACTIONS(4692), 1,
      anon_sym__,
    ACTIONS(4702), 1,
      sym__backquoted_id,
    ACTIONS(6636), 1,
      sym_operator_identifier,
    ACTIONS(10004), 1,
      anon_sym_LPAREN,
    STATE(4335), 1,
      sym__simple_type,
    STATE(4567), 1,
      sym__soft_identifier,
    STATE(4581), 1,
      sym_identifier,
    STATE(16329), 1,
      sym_stable_identifier,
    STATE(8877), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4698), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4730), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [430871] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8878), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9144), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9146), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [430908] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8879), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9455), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9457), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [430945] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8880), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9550), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9548), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [430982] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6152), 1,
      sym__alpha_identifier,
    ACTIONS(6154), 1,
      anon_sym__,
    ACTIONS(6162), 1,
      sym__backquoted_id,
    ACTIONS(6164), 1,
      sym_operator_identifier,
    ACTIONS(9847), 1,
      anon_sym_LPAREN,
    STATE(4486), 1,
      sym__simple_type,
    STATE(4743), 1,
      sym_identifier,
    STATE(4922), 1,
      sym__soft_identifier,
    STATE(16004), 1,
      sym_stable_identifier,
    STATE(8881), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6158), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5252), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [431037] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8882), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9896), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9894), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [431074] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8883), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10047), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10045), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [431111] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8884), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9546), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9544), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [431148] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8885), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8095), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8093), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [431185] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11608), 1,
      sym__alpha_identifier,
    ACTIONS(11610), 1,
      anon_sym__,
    ACTIONS(11614), 1,
      anon_sym_LPAREN,
    ACTIONS(11616), 1,
      sym__backquoted_id,
    ACTIONS(11618), 1,
      sym_operator_identifier,
    STATE(10791), 1,
      sym__simple_type,
    STATE(11448), 1,
      sym_identifier,
    STATE(11673), 1,
      sym__soft_identifier,
    STATE(16890), 1,
      sym_stable_identifier,
    STATE(8886), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11612), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12012), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [431240] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8887), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9754), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9752), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [431277] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8888), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9789), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9787), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [431314] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4502), 1,
      sym__alpha_identifier,
    ACTIONS(4504), 1,
      anon_sym__,
    ACTIONS(4514), 1,
      sym__backquoted_id,
    ACTIONS(6300), 1,
      sym_operator_identifier,
    ACTIONS(9839), 1,
      anon_sym_LPAREN,
    STATE(4264), 1,
      sym__simple_type,
    STATE(4404), 1,
      sym_identifier,
    STATE(4419), 1,
      sym__soft_identifier,
    STATE(15983), 1,
      sym_stable_identifier,
    STATE(8889), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4510), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4621), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [431369] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8890), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7720), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8435), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [431406] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4928), 1,
      sym_operator_identifier,
    ACTIONS(9770), 1,
      anon_sym_LPAREN,
    STATE(4748), 1,
      sym__simple_type,
    STATE(5795), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(15969), 1,
      sym_stable_identifier,
    STATE(8891), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6104), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [431461] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8892), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8027), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8683), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [431498] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8893), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10073), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10071), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [431535] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8894), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8227), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8225), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [431572] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7963), 1,
      sym__alpha_identifier,
    ACTIONS(7969), 1,
      anon_sym__,
    ACTIONS(7973), 1,
      anon_sym_LPAREN,
    ACTIONS(7975), 1,
      sym__backquoted_id,
    ACTIONS(7977), 1,
      sym_operator_identifier,
    STATE(4556), 1,
      sym__simple_type,
    STATE(5542), 1,
      sym_identifier,
    STATE(5709), 1,
      sym__soft_identifier,
    STATE(16687), 1,
      sym_stable_identifier,
    STATE(8895), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7971), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5474), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [431627] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8051), 1,
      sym__alpha_identifier,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8063), 1,
      anon_sym_EQ,
    ACTIONS(8065), 1,
      sym__backquoted_id,
    ACTIONS(9441), 1,
      sym_operator_identifier,
    STATE(1725), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(8896), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8055), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8057), 5,
      anon_sym_while,
      anon_sym_match,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
    ACTIONS(8061), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [431680] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10324), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8897), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [431719] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8898), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9542), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9540), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [431756] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5987), 1,
      sym_identifier,
    STATE(8951), 1,
      sym__soft_identifier,
    STATE(8899), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9985), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9983), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [431797] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8035), 1,
      sym__alpha_identifier,
    ACTIONS(8041), 1,
      anon_sym__,
    ACTIONS(8045), 1,
      anon_sym_LPAREN,
    ACTIONS(8047), 1,
      sym__backquoted_id,
    ACTIONS(8049), 1,
      sym_operator_identifier,
    STATE(4475), 1,
      sym__simple_type,
    STATE(5146), 1,
      sym__soft_identifier,
    STATE(5147), 1,
      sym_identifier,
    STATE(15960), 1,
      sym_stable_identifier,
    STATE(8900), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8043), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5329), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [431852] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8901), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7584), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [431889] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8902), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [431926] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8143), 1,
      sym__alpha_identifier,
    ACTIONS(8145), 1,
      anon_sym__,
    ACTIONS(8149), 1,
      anon_sym_LPAREN,
    ACTIONS(8151), 1,
      sym__backquoted_id,
    ACTIONS(8153), 1,
      sym_operator_identifier,
    STATE(4979), 1,
      sym__simple_type,
    STATE(6727), 1,
      sym_identifier,
    STATE(7241), 1,
      sym__soft_identifier,
    STATE(16692), 1,
      sym_stable_identifier,
    STATE(8903), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8147), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7335), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [431981] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9979), 1,
      anon_sym_DOT,
    ACTIONS(11620), 1,
      anon_sym_COLON,
    STATE(8904), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8159), 15,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [432022] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8905), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9134), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9136), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [432059] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8906), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9977), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9975), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [432096] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7909), 1,
      sym__alpha_identifier,
    ACTIONS(7915), 1,
      anon_sym__,
    ACTIONS(7919), 1,
      anon_sym_LPAREN,
    ACTIONS(7921), 1,
      sym__backquoted_id,
    ACTIONS(7923), 1,
      sym_operator_identifier,
    STATE(4445), 1,
      sym__simple_type,
    STATE(4987), 1,
      sym_identifier,
    STATE(5132), 1,
      sym__soft_identifier,
    STATE(16348), 1,
      sym_stable_identifier,
    STATE(8907), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7917), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5370), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [432151] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8908), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10058), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [432188] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8909), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9130), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9132), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [432225] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8910), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9144), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9146), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [432262] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8911), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8227), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8225), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [432299] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8912), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10041), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10039), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [432336] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(9898), 1,
      sym__alpha_identifier,
    ACTIONS(9904), 1,
      sym__backquoted_id,
    ACTIONS(9906), 1,
      sym_operator_identifier,
    STATE(542), 1,
      sym_identifier,
    STATE(4035), 1,
      sym__soft_identifier,
    STATE(8913), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8733), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8737), 6,
      anon_sym_while,
      anon_sym_match,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(9900), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [432387] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8914), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(8392), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [432424] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8915), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9959), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9957), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [432461] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10230), 1,
      anon_sym_COLON,
    ACTIONS(10235), 1,
      anon_sym_QMARK_EQ_GT,
    ACTIONS(10328), 1,
      anon_sym_EQ_GT,
    STATE(17349), 1,
      sym__self_type_ascription,
    STATE(8916), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 10,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [432506] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8917), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9180), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9182), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [432543] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8918), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7574), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [432580] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8919), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9404), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9406), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [432617] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8920), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9029), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9031), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [432654] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5757), 1,
      sym_identifier,
    STATE(8951), 1,
      sym__soft_identifier,
    STATE(8921), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9985), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9983), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [432695] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8922), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7498), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7496), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [432732] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8923), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9159), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9161), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [432769] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8924), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10047), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10045), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [432806] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6646), 1,
      sym__alpha_identifier,
    ACTIONS(6648), 1,
      anon_sym__,
    ACTIONS(6656), 1,
      sym__backquoted_id,
    ACTIONS(6658), 1,
      sym_operator_identifier,
    ACTIONS(10011), 1,
      anon_sym_LPAREN,
    STATE(4389), 1,
      sym__simple_type,
    STATE(4596), 1,
      sym__soft_identifier,
    STATE(4659), 1,
      sym_identifier,
    STATE(16367), 1,
      sym_stable_identifier,
    STATE(8925), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6652), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4714), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [432861] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8051), 1,
      sym__alpha_identifier,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8063), 1,
      anon_sym_EQ,
    ACTIONS(8065), 1,
      sym__backquoted_id,
    ACTIONS(9096), 1,
      sym_operator_identifier,
    STATE(1751), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(8926), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8055), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8057), 5,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(8061), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [432914] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6456), 1,
      sym__alpha_identifier,
    ACTIONS(6462), 1,
      anon_sym__,
    ACTIONS(6470), 1,
      sym__backquoted_id,
    ACTIONS(6472), 1,
      sym_operator_identifier,
    ACTIONS(9835), 1,
      anon_sym_LPAREN,
    STATE(5186), 1,
      sym__simple_type,
    STATE(6507), 1,
      sym_identifier,
    STATE(6519), 1,
      sym__soft_identifier,
    STATE(15913), 1,
      sym_stable_identifier,
    STATE(8927), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6466), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7263), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [432969] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8928), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9134), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9136), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [433006] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8929), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8392), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [433043] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8930), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8227), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8225), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [433080] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8931), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9082), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9084), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [433117] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8932), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7574), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [433154] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8712), 1,
      anon_sym_LBRACE,
    ACTIONS(8714), 1,
      anon_sym_with,
    STATE(9121), 1,
      aux_sym_compound_type_repeat1,
    STATE(9254), 1,
      sym_template_body,
    STATE(9258), 1,
      sym__refinement,
    STATE(8933), 2,
      sym_comment,
      sym_block_comment,
    STATE(9159), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7580), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(7574), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [433203] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8934), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7498), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7496), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [433240] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8935), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9642), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9640), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [433277] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8936), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9638), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9636), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [433314] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8937), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9130), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9132), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [433351] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8773), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8938), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8771), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8769), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [433390] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8939), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9881), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9879), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [433427] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8940), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8095), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8093), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [433464] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8941), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9021), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9023), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [433501] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8942), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9449), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9451), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [433538] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8943), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7764), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7762), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [433575] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8944), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7764), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7762), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [433612] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8945), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9029), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9031), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [433649] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8946), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9447), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [433686] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7819), 1,
      sym__alpha_identifier,
    ACTIONS(7821), 1,
      anon_sym__,
    ACTIONS(7825), 1,
      anon_sym_LPAREN,
    ACTIONS(7827), 1,
      sym__backquoted_id,
    ACTIONS(7829), 1,
      sym_operator_identifier,
    STATE(4408), 1,
      sym__simple_type,
    STATE(5145), 1,
      sym_identifier,
    STATE(5167), 1,
      sym__soft_identifier,
    STATE(16385), 1,
      sym_stable_identifier,
    STATE(8947), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7823), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5309), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [433741] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8948), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7764), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7762), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [433778] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6166), 1,
      sym__alpha_identifier,
    ACTIONS(6172), 1,
      anon_sym__,
    ACTIONS(6180), 1,
      sym__backquoted_id,
    ACTIONS(6182), 1,
      sym_operator_identifier,
    ACTIONS(10032), 1,
      anon_sym_LPAREN,
    STATE(4487), 1,
      sym__simple_type,
    STATE(4760), 1,
      sym__soft_identifier,
    STATE(4957), 1,
      sym_identifier,
    STATE(16764), 1,
      sym_stable_identifier,
    STATE(8949), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6176), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5018), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [433833] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8950), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9589), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9587), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [433870] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8951), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7000), 15,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [433907] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(5068), 1,
      sym_operator_identifier,
    ACTIONS(9855), 1,
      anon_sym_LPAREN,
    STATE(4568), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(16621), 1,
      sym_stable_identifier,
    STATE(8952), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5617), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [433962] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8953), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8095), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8093), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [433999] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8954), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9021), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9023), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [434036] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6344), 1,
      anon_sym_COLON,
    ACTIONS(6346), 1,
      anon_sym_LBRACE,
    ACTIONS(11526), 1,
      anon_sym_with,
    STATE(8778), 1,
      aux_sym_compound_type_repeat1,
    STATE(11095), 1,
      sym__refinement,
    STATE(11096), 1,
      sym_template_body,
    ACTIONS(7580), 2,
      sym__outdent,
      sym__backquoted_id,
    STATE(8955), 2,
      sym_comment,
      sym_block_comment,
    STATE(11052), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7574), 12,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [434087] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8956), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9067), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9065), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [434124] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8957), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10058), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [434161] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8958), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8267), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [434198] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8959), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8095), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8093), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [434235] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8960), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8227), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8225), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [434272] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11622), 1,
      sym__alpha_identifier,
    ACTIONS(11624), 1,
      anon_sym__,
    ACTIONS(11628), 1,
      anon_sym_LPAREN,
    ACTIONS(11630), 1,
      sym__backquoted_id,
    ACTIONS(11632), 1,
      sym_operator_identifier,
    STATE(10615), 1,
      sym__simple_type,
    STATE(11171), 1,
      sym__soft_identifier,
    STATE(11181), 1,
      sym_identifier,
    STATE(16770), 1,
      sym_stable_identifier,
    STATE(8961), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11626), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11727), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [434327] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11634), 1,
      sym__alpha_identifier,
    ACTIONS(11636), 1,
      anon_sym__,
    ACTIONS(11640), 1,
      anon_sym_LPAREN,
    ACTIONS(11642), 1,
      sym__backquoted_id,
    ACTIONS(11644), 1,
      sym_operator_identifier,
    STATE(10354), 1,
      sym__simple_type,
    STATE(10656), 1,
      sym__soft_identifier,
    STATE(10815), 1,
      sym_identifier,
    STATE(17479), 1,
      sym_stable_identifier,
    STATE(8962), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11638), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11156), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [434382] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11166), 1,
      sym__alpha_identifier,
    ACTIONS(11168), 1,
      anon_sym__,
    ACTIONS(11172), 1,
      anon_sym_LPAREN,
    ACTIONS(11174), 1,
      sym__backquoted_id,
    ACTIONS(11176), 1,
      sym_operator_identifier,
    STATE(12904), 1,
      sym__simple_type,
    STATE(13271), 1,
      sym__soft_identifier,
    STATE(13373), 1,
      sym_identifier,
    STATE(15921), 1,
      sym_stable_identifier,
    STATE(8963), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11170), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(13560), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [434437] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8964), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10047), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10045), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [434474] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4716), 1,
      sym__alpha_identifier,
    ACTIONS(4722), 1,
      anon_sym__,
    ACTIONS(4734), 1,
      sym__backquoted_id,
    ACTIONS(6764), 1,
      sym_operator_identifier,
    ACTIONS(10161), 1,
      anon_sym_LPAREN,
    STATE(4964), 1,
      sym__simple_type,
    STATE(5457), 1,
      sym__soft_identifier,
    STATE(5890), 1,
      sym_identifier,
    STATE(16686), 1,
      sym_stable_identifier,
    STATE(8965), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4728), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6031), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [434529] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8966), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9067), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9065), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [434566] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6558), 1,
      sym__alpha_identifier,
    ACTIONS(6560), 1,
      anon_sym__,
    ACTIONS(6568), 1,
      sym__backquoted_id,
    ACTIONS(6570), 1,
      sym_operator_identifier,
    ACTIONS(9797), 1,
      anon_sym_LPAREN,
    STATE(5755), 1,
      sym__simple_type,
    STATE(6749), 1,
      sym_identifier,
    STATE(6863), 1,
      sym__soft_identifier,
    STATE(15886), 1,
      sym_stable_identifier,
    STATE(8967), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6564), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7663), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [434621] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8051), 1,
      sym__alpha_identifier,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8063), 1,
      anon_sym_EQ,
    ACTIONS(8065), 1,
      sym__backquoted_id,
    ACTIONS(9415), 1,
      sym_operator_identifier,
    STATE(1716), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(8968), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8055), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8057), 5,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(8061), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [434674] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8969), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10058), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10056), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [434711] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4608), 1,
      sym__alpha_identifier,
    ACTIONS(4610), 1,
      anon_sym__,
    ACTIONS(4620), 1,
      sym__backquoted_id,
    ACTIONS(6768), 1,
      sym_operator_identifier,
    ACTIONS(9742), 1,
      anon_sym_LPAREN,
    STATE(5995), 1,
      sym__simple_type,
    STATE(7705), 1,
      sym__soft_identifier,
    STATE(8002), 1,
      sym_identifier,
    STATE(16333), 1,
      sym_stable_identifier,
    STATE(8970), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4616), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8234), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [434766] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8971), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9580), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9578), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [434803] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8972), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9754), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9752), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [434840] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10230), 1,
      anon_sym_COLON,
    ACTIONS(10494), 1,
      anon_sym_EQ_GT,
    ACTIONS(10496), 1,
      anon_sym_QMARK_EQ_GT,
    STATE(16503), 1,
      sym__self_type_ascription,
    STATE(8973), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 10,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [434885] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8974), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10041), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10039), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [434922] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8975), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9789), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9787), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [434959] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5984), 1,
      sym_identifier,
    STATE(8951), 1,
      sym__soft_identifier,
    STATE(8976), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9985), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9983), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [435000] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7580), 1,
      sym__backquoted_id,
    ACTIONS(7698), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8977), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7694), 5,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
    ACTIONS(7696), 5,
      anon_sym_COLON,
      anon_sym_while,
      anon_sym_EQ,
      anon_sym_then,
      anon_sym_do,
    ACTIONS(7574), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [435043] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10858), 1,
      anon_sym_AT,
    STATE(8776), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9759), 1,
      sym_annotation,
    STATE(8978), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(8288), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [435086] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8979), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9159), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9161), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [435123] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8980), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7330), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8360), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [435160] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9490), 1,
      sym_arguments,
    STATE(8981), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7498), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7496), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [435199] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8982), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8227), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8225), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [435236] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4778), 1,
      sym__alpha_identifier,
    ACTIONS(4784), 1,
      anon_sym__,
    ACTIONS(4796), 1,
      sym__backquoted_id,
    ACTIONS(6680), 1,
      sym_operator_identifier,
    ACTIONS(10030), 1,
      anon_sym_LPAREN,
    STATE(4553), 1,
      sym__simple_type,
    STATE(4975), 1,
      sym_identifier,
    STATE(5184), 1,
      sym__soft_identifier,
    STATE(16403), 1,
      sym_stable_identifier,
    STATE(8983), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4790), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5538), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [435291] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(9305), 1,
      sym__alpha_identifier,
    ACTIONS(9309), 1,
      anon_sym_EQ,
    ACTIONS(9311), 1,
      sym__backquoted_id,
    ACTIONS(9313), 1,
      sym_operator_identifier,
    STATE(535), 1,
      sym_identifier,
    STATE(4028), 1,
      sym__soft_identifier,
    STATE(8984), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8733), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8737), 5,
      anon_sym_case,
      anon_sym_match,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(9307), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [435344] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6112), 1,
      sym__alpha_identifier,
    ACTIONS(6118), 1,
      anon_sym__,
    ACTIONS(6126), 1,
      sym__backquoted_id,
    ACTIONS(6128), 1,
      sym_operator_identifier,
    ACTIONS(10002), 1,
      anon_sym_LPAREN,
    STATE(5096), 1,
      sym__simple_type,
    STATE(6052), 1,
      sym__soft_identifier,
    STATE(6458), 1,
      sym_identifier,
    STATE(16776), 1,
      sym_stable_identifier,
    STATE(8985), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6122), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7086), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [435399] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8986), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7464), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [435436] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8987), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8835), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8833), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [435473] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8988), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10075), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [435510] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8989), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9554), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9552), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [435547] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8990), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(8267), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [435584] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8991), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10073), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10071), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [435621] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8992), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 6,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(7000), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [435658] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(9305), 1,
      sym__alpha_identifier,
    ACTIONS(9311), 1,
      sym__backquoted_id,
    ACTIONS(9313), 1,
      sym_operator_identifier,
    STATE(535), 1,
      sym_identifier,
    STATE(4028), 1,
      sym__soft_identifier,
    STATE(8993), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8733), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8737), 6,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(9307), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [435709] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8994), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [435746] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8995), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10075), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [435783] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8996), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8835), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8833), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [435820] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8997), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8095), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8093), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [435857] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8998), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 6,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(4132), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [435894] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8051), 1,
      sym__alpha_identifier,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8063), 1,
      anon_sym_EQ,
    ACTIONS(8065), 1,
      sym__backquoted_id,
    ACTIONS(9300), 1,
      sym_operator_identifier,
    STATE(1749), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(8999), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8057), 4,
      anon_sym_if,
      anon_sym_match,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8055), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8061), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [435947] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6130), 1,
      sym__alpha_identifier,
    ACTIONS(6136), 1,
      anon_sym__,
    ACTIONS(6144), 1,
      sym__backquoted_id,
    ACTIONS(6146), 1,
      sym_operator_identifier,
    ACTIONS(9793), 1,
      anon_sym_LPAREN,
    STATE(6615), 1,
      sym__simple_type,
    STATE(7617), 1,
      sym_identifier,
    STATE(7635), 1,
      sym__soft_identifier,
    STATE(15858), 1,
      sym_stable_identifier,
    STATE(9000), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6140), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8290), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [436002] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7935), 1,
      sym__alpha_identifier,
    ACTIONS(7937), 1,
      anon_sym__,
    ACTIONS(7941), 1,
      anon_sym_LPAREN,
    ACTIONS(7943), 1,
      sym__backquoted_id,
    ACTIONS(7945), 1,
      sym_operator_identifier,
    STATE(5223), 1,
      sym__simple_type,
    STATE(6676), 1,
      sym_identifier,
    STATE(6711), 1,
      sym__soft_identifier,
    STATE(16421), 1,
      sym_stable_identifier,
    STATE(9001), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7939), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7142), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [436057] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9002), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7552), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8326), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [436094] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9003), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [436131] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11646), 1,
      sym__alpha_identifier,
    ACTIONS(11648), 1,
      anon_sym__,
    ACTIONS(11652), 1,
      anon_sym_LPAREN,
    ACTIONS(11654), 1,
      sym__backquoted_id,
    ACTIONS(11656), 1,
      sym_operator_identifier,
    STATE(10827), 1,
      sym__simple_type,
    STATE(11574), 1,
      sym_identifier,
    STATE(11647), 1,
      sym__soft_identifier,
    STATE(16848), 1,
      sym_stable_identifier,
    STATE(9004), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11650), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11947), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [436186] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9005), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9642), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9640), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [436223] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9006), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9580), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9578), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [436260] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9007), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7716), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8324), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [436297] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9008), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8027), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8683), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [436334] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9009), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7704), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8316), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [436371] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9010), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9638), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9636), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [436408] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9011), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9538), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9536), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [436445] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9012), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7716), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8324), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [436482] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9013), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8835), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8833), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [436519] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9014), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9542), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9540), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [436556] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9015), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7704), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8316), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [436593] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9016), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7552), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8326), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [436630] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9017), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9589), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9587), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [436667] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9018), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9546), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9544), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [436704] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9019), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9580), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9578), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [436741] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4174), 1,
      sym__alpha_identifier,
    ACTIONS(4180), 1,
      anon_sym__,
    ACTIONS(4192), 1,
      sym__backquoted_id,
    ACTIONS(6578), 1,
      sym_operator_identifier,
    ACTIONS(9971), 1,
      anon_sym_LPAREN,
    STATE(4457), 1,
      sym__simple_type,
    STATE(4754), 1,
      sym__soft_identifier,
    STATE(4834), 1,
      sym_identifier,
    STATE(16788), 1,
      sym_stable_identifier,
    STATE(9020), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4186), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5053), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [436796] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9021), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9082), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9084), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [436833] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6344), 1,
      anon_sym_COLON,
    ACTIONS(6346), 1,
      anon_sym_LBRACE,
    ACTIONS(7580), 1,
      sym__backquoted_id,
    ACTIONS(7694), 1,
      sym__outdent,
    ACTIONS(7696), 1,
      anon_sym_case,
    ACTIONS(11526), 1,
      anon_sym_with,
    STATE(8778), 1,
      aux_sym_compound_type_repeat1,
    STATE(11095), 1,
      sym__refinement,
    STATE(11096), 1,
      sym_template_body,
    ACTIONS(7698), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9022), 2,
      sym_comment,
      sym_block_comment,
    STATE(11052), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7574), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [436890] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9023), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7498), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7496), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [436927] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9024), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9550), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9548), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [436964] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9025), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7574), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [437001] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9026), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9998), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9996), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [437038] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9027), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9067), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9065), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [437075] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9028), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7764), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7762), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [437112] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9029), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7000), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [437149] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8201), 1,
      sym__alpha_identifier,
    ACTIONS(8203), 1,
      anon_sym__,
    ACTIONS(8207), 1,
      anon_sym_LPAREN,
    ACTIONS(8209), 1,
      sym__backquoted_id,
    ACTIONS(8211), 1,
      sym_operator_identifier,
    STATE(4645), 1,
      sym__simple_type,
    STATE(5475), 1,
      sym__soft_identifier,
    STATE(5632), 1,
      sym_identifier,
    STATE(16680), 1,
      sym_stable_identifier,
    STATE(9030), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8205), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5935), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [437204] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8081), 1,
      sym__alpha_identifier,
    ACTIONS(8083), 1,
      anon_sym__,
    ACTIONS(8087), 1,
      anon_sym_LPAREN,
    ACTIONS(8089), 1,
      sym__backquoted_id,
    ACTIONS(8091), 1,
      sym_operator_identifier,
    STATE(5742), 1,
      sym__simple_type,
    STATE(7646), 1,
      sym_identifier,
    STATE(7814), 1,
      sym__soft_identifier,
    STATE(16533), 1,
      sym_stable_identifier,
    STATE(9031), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8085), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7747), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [437259] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9032), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [437296] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11658), 1,
      sym__alpha_identifier,
    ACTIONS(11660), 1,
      anon_sym__,
    ACTIONS(11664), 1,
      anon_sym_LPAREN,
    ACTIONS(11666), 1,
      sym__backquoted_id,
    ACTIONS(11668), 1,
      sym_operator_identifier,
    STATE(11504), 1,
      sym__simple_type,
    STATE(12314), 1,
      sym__soft_identifier,
    STATE(12579), 1,
      sym_identifier,
    STATE(16782), 1,
      sym_stable_identifier,
    STATE(9033), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11662), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12716), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [437351] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7580), 1,
      sym__backquoted_id,
    ACTIONS(7698), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9034), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7694), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(7696), 6,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(7574), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [437394] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10844), 1,
      anon_sym_LPAREN,
    STATE(9085), 1,
      aux_sym_annotation_repeat1,
    STATE(9721), 1,
      sym_arguments,
    STATE(9035), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7817), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(7815), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [437437] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9036), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7112), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7110), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [437474] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9037), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9589), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9587), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [437511] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4402), 1,
      sym__alpha_identifier,
    ACTIONS(4408), 1,
      anon_sym__,
    ACTIONS(4420), 1,
      sym__backquoted_id,
    ACTIONS(6640), 1,
      sym_operator_identifier,
    ACTIONS(9785), 1,
      anon_sym_LPAREN,
    STATE(5285), 1,
      sym__simple_type,
    STATE(6126), 1,
      sym_identifier,
    STATE(6337), 1,
      sym__soft_identifier,
    STATE(15828), 1,
      sym_stable_identifier,
    STATE(9038), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4414), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7175), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [437566] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7580), 1,
      sym__backquoted_id,
    ACTIONS(8712), 1,
      anon_sym_LBRACE,
    ACTIONS(8714), 1,
      anon_sym_with,
    ACTIONS(11670), 1,
      anon_sym_COLON,
    STATE(9121), 1,
      aux_sym_compound_type_repeat1,
    STATE(9254), 1,
      sym_template_body,
    STATE(9258), 1,
      sym__refinement,
    ACTIONS(7694), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(7698), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9039), 2,
      sym_comment,
      sym_block_comment,
    STATE(9159), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7574), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [437621] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9040), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9404), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9406), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [437658] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9041), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9538), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9536), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [437695] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11673), 1,
      anon_sym_with,
    STATE(9042), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(8804), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8802), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [437734] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9043), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8835), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8833), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [437771] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9044), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9542), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9540), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [437808] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9045), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10075), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [437845] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9046), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9067), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9065), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [437882] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9047), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7764), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7762), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [437919] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6186), 1,
      sym__alpha_identifier,
    ACTIONS(6192), 1,
      anon_sym__,
    ACTIONS(6200), 1,
      sym__backquoted_id,
    ACTIONS(6202), 1,
      sym_operator_identifier,
    ACTIONS(9961), 1,
      anon_sym_LPAREN,
    STATE(5103), 1,
      sym__simple_type,
    STATE(6040), 1,
      sym__soft_identifier,
    STATE(6255), 1,
      sym_identifier,
    STATE(16794), 1,
      sym_stable_identifier,
    STATE(9048), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6196), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6740), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [437974] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6686), 1,
      sym__alpha_identifier,
    ACTIONS(6692), 1,
      anon_sym__,
    ACTIONS(6700), 1,
      sym__backquoted_id,
    ACTIONS(6702), 1,
      sym_operator_identifier,
    ACTIONS(10043), 1,
      anon_sym_LPAREN,
    STATE(4805), 1,
      sym__simple_type,
    STATE(5638), 1,
      sym__soft_identifier,
    STATE(5657), 1,
      sym_identifier,
    STATE(16439), 1,
      sym_stable_identifier,
    STATE(9049), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6696), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6181), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [438029] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9050), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8392), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [438066] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9051), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10073), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10071), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [438103] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9052), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9546), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9544), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [438140] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9053), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9638), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9636), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [438177] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5913), 1,
      sym_identifier,
    STATE(8951), 1,
      sym__soft_identifier,
    STATE(9054), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9985), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9983), 15,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [438218] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9055), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8095), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8093), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [438255] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9056), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8271), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [438292] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9057), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10058), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [438329] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7336), 1,
      anon_sym_LPAREN,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10167), 1,
      anon_sym_COLON,
    ACTIONS(10169), 1,
      anon_sym_COMMA,
    ACTIONS(10171), 1,
      anon_sym_DOT,
    ACTIONS(10173), 1,
      anon_sym_STAR,
    ACTIONS(10177), 1,
      anon_sym_AT,
    ACTIONS(10181), 1,
      anon_sym_RPAREN,
    ACTIONS(10183), 1,
      anon_sym_PIPE,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10187), 1,
      sym_operator_identifier,
    STATE(4161), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    STATE(15370), 1,
      aux_sym_case_class_pattern_repeat1,
    ACTIONS(10179), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(9058), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [438394] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5561), 1,
      sym_identifier,
    STATE(8951), 1,
      sym__soft_identifier,
    STATE(9059), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9985), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9983), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [438435] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9060), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9180), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9182), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [438472] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9271), 1,
      sym_arguments,
    STATE(9061), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7498), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7496), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [438511] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7726), 1,
      sym__alpha_identifier,
    ACTIONS(7732), 1,
      anon_sym__,
    ACTIONS(7736), 1,
      anon_sym_LPAREN,
    ACTIONS(7738), 1,
      sym__backquoted_id,
    ACTIONS(7740), 1,
      sym_operator_identifier,
    STATE(10651), 1,
      sym__simple_type,
    STATE(11238), 1,
      sym_identifier,
    STATE(11270), 1,
      sym__soft_identifier,
    STATE(16475), 1,
      sym_stable_identifier,
    STATE(9062), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7734), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11678), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [438566] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4808), 1,
      sym__alpha_identifier,
    ACTIONS(4814), 1,
      anon_sym__,
    ACTIONS(4826), 1,
      sym__backquoted_id,
    ACTIONS(6684), 1,
      sym_operator_identifier,
    ACTIONS(10163), 1,
      anon_sym_LPAREN,
    STATE(4958), 1,
      sym__simple_type,
    STATE(5480), 1,
      sym__soft_identifier,
    STATE(5668), 1,
      sym_identifier,
    STATE(16674), 1,
      sym_stable_identifier,
    STATE(9063), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4820), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6180), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [438621] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9064), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9550), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9548), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [438658] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9065), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [438695] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9066), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7764), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7762), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [438732] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9067), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9159), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9161), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [438769] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8051), 1,
      sym__alpha_identifier,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8065), 1,
      sym__backquoted_id,
    ACTIONS(8837), 1,
      sym_operator_identifier,
    STATE(1665), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(9068), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8055), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8057), 6,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(8061), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [438820] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9069), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9534), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9532), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [438857] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9070), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9082), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9084), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [438894] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9071), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9180), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9182), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [438931] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9072), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9977), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9975), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [438968] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9073), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9021), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9023), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [439005] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9074), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10058), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [439042] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9075), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9029), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9031), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [439079] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9076), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9159), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9161), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [439116] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9077), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9067), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9065), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [439153] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9078), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9642), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9640), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [439190] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9079), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8835), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8833), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [439227] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9080), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10058), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 17,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [439264] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9081), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9534), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9532), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [439301] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9082), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9082), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9084), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [439338] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9083), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8227), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8225), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [439375] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9084), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9959), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9957), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [439412] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11676), 1,
      anon_sym_LPAREN,
    STATE(9721), 1,
      sym_arguments,
    STATE(9085), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(7788), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(7786), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [439453] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10205), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9086), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [439492] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9462), 1,
      sym_arguments,
    STATE(9087), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7498), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7496), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [439531] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9088), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(2515), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [439568] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9089), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10073), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10071), 17,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [439605] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9090), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10075), 17,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [439642] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9091), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9021), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9023), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [439679] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9092), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7000), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [439716] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9093), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8267), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [439753] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8161), 1,
      sym__alpha_identifier,
    ACTIONS(8163), 1,
      anon_sym__,
    ACTIONS(8167), 1,
      anon_sym_LPAREN,
    ACTIONS(8169), 1,
      sym__backquoted_id,
    ACTIONS(8171), 1,
      sym_operator_identifier,
    STATE(5162), 1,
      sym__simple_type,
    STATE(6841), 1,
      sym__soft_identifier,
    STATE(7013), 1,
      sym_identifier,
    STATE(16511), 1,
      sym_stable_identifier,
    STATE(9094), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8165), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7256), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [439808] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9095), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9029), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9031), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [439845] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9096), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9998), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9996), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [439882] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11679), 1,
      sym__alpha_identifier,
    ACTIONS(11681), 1,
      anon_sym__,
    ACTIONS(11685), 1,
      anon_sym_LPAREN,
    ACTIONS(11687), 1,
      sym__backquoted_id,
    ACTIONS(11689), 1,
      sym_operator_identifier,
    STATE(10545), 1,
      sym__simple_type,
    STATE(10918), 1,
      sym__soft_identifier,
    STATE(10972), 1,
      sym_identifier,
    STATE(16607), 1,
      sym_stable_identifier,
    STATE(9097), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11683), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11317), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [439937] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9098), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9566), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9564), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [439974] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9099), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8227), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8225), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [440011] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5967), 1,
      sym_identifier,
    STATE(8951), 1,
      sym__soft_identifier,
    STATE(9100), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9985), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9983), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [440052] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9101), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9554), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9552), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [440089] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9102), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [440126] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4438), 1,
      sym__alpha_identifier,
    ACTIONS(4444), 1,
      anon_sym__,
    ACTIONS(4456), 1,
      sym__backquoted_id,
    ACTIONS(6662), 1,
      sym_operator_identifier,
    ACTIONS(9952), 1,
      anon_sym_LPAREN,
    STATE(4862), 1,
      sym__simple_type,
    STATE(5411), 1,
      sym__soft_identifier,
    STATE(5811), 1,
      sym_identifier,
    STATE(16806), 1,
      sym_stable_identifier,
    STATE(9103), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4450), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6556), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [440181] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9104), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9180), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9182), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [440218] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9105), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9566), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9564), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [440255] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6324), 1,
      sym__alpha_identifier,
    ACTIONS(6330), 1,
      anon_sym__,
    ACTIONS(6338), 1,
      sym__backquoted_id,
    ACTIONS(6340), 1,
      sym_operator_identifier,
    ACTIONS(9756), 1,
      anon_sym_LPAREN,
    STATE(4799), 1,
      sym__simple_type,
    STATE(5394), 1,
      sym__soft_identifier,
    STATE(5729), 1,
      sym_identifier,
    STATE(16902), 1,
      sym_stable_identifier,
    STATE(9106), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6334), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6655), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [440310] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9107), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8095), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8093), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [440347] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6604), 1,
      sym__alpha_identifier,
    ACTIONS(6610), 1,
      anon_sym__,
    ACTIONS(6618), 1,
      sym__backquoted_id,
    ACTIONS(6620), 1,
      sym_operator_identifier,
    ACTIONS(9568), 1,
      anon_sym_LPAREN,
    STATE(5334), 1,
      sym__simple_type,
    STATE(6430), 1,
      sym_identifier,
    STATE(6627), 1,
      sym__soft_identifier,
    STATE(16479), 1,
      sym_stable_identifier,
    STATE(9108), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6614), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7355), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [440402] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9109), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8267), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [440439] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7638), 1,
      anon_sym_QMARK_EQ_GT,
    ACTIONS(7640), 1,
      anon_sym_DQUOTE,
    ACTIONS(11691), 1,
      anon_sym_EQ_GT,
    ACTIONS(11694), 1,
      sym__interpolated_multiline_string_start,
    STATE(10451), 1,
      sym_interpolated_string,
    STATE(15408), 1,
      sym__interpolated_string_start,
    STATE(9110), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(2515), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [440488] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9111), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7764), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7762), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [440525] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11696), 1,
      sym__alpha_identifier,
    ACTIONS(11698), 1,
      anon_sym__,
    ACTIONS(11702), 1,
      anon_sym_LPAREN,
    ACTIONS(11704), 1,
      sym__backquoted_id,
    ACTIONS(11706), 1,
      sym_operator_identifier,
    STATE(11373), 1,
      sym__simple_type,
    STATE(12302), 1,
      sym__soft_identifier,
    STATE(12607), 1,
      sym_identifier,
    STATE(16800), 1,
      sym_stable_identifier,
    STATE(9112), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11700), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12759), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [440580] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9113), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7464), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [440617] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9114), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(4132), 15,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [440654] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(9250), 1,
      sym__alpha_identifier,
    ACTIONS(9254), 1,
      anon_sym_EQ,
    ACTIONS(9256), 1,
      sym__backquoted_id,
    ACTIONS(9258), 1,
      sym_operator_identifier,
    STATE(532), 1,
      sym_identifier,
    STATE(4025), 1,
      sym__soft_identifier,
    STATE(9115), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8733), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8737), 5,
      anon_sym_match,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(9252), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [440707] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9116), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [440744] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9117), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9566), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9564), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [440781] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9118), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8835), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8833), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [440818] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9119), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9180), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9182), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [440855] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9120), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [440892] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8712), 1,
      anon_sym_LBRACE,
    ACTIONS(8714), 1,
      anon_sym_with,
    STATE(7092), 1,
      aux_sym_compound_type_repeat1,
    STATE(9149), 1,
      sym__refinement,
    STATE(9254), 1,
      sym_template_body,
    STATE(9121), 2,
      sym_comment,
      sym_block_comment,
    STATE(9159), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7668), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(7666), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [440941] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9122), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9754), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9752), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [440978] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9123), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8095), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8093), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [441015] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8283), 1,
      sym__backquoted_id,
    ACTIONS(11708), 1,
      anon_sym_AT,
    STATE(9748), 1,
      sym_annotation,
    STATE(9124), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8281), 18,
      anon_sym_end,
      anon_sym_val,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [441056] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6486), 1,
      sym__alpha_identifier,
    ACTIONS(6492), 1,
      anon_sym__,
    ACTIONS(6500), 1,
      sym__backquoted_id,
    ACTIONS(6502), 1,
      sym_operator_identifier,
    ACTIONS(10156), 1,
      anon_sym_LPAREN,
    STATE(4953), 1,
      sym__simple_type,
    STATE(5485), 1,
      sym__soft_identifier,
    STATE(5556), 1,
      sym_identifier,
    STATE(16662), 1,
      sym_stable_identifier,
    STATE(9125), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6496), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6338), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [441111] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9126), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7764), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7762), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [441148] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6722), 1,
      sym__alpha_identifier,
    ACTIONS(6728), 1,
      anon_sym__,
    ACTIONS(6736), 1,
      sym__backquoted_id,
    ACTIONS(6738), 1,
      sym_operator_identifier,
    ACTIONS(9696), 1,
      anon_sym_LPAREN,
    STATE(5289), 1,
      sym__simple_type,
    STATE(6422), 1,
      sym_identifier,
    STATE(6611), 1,
      sym__soft_identifier,
    STATE(16387), 1,
      sym_stable_identifier,
    STATE(9127), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6732), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6925), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [441203] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9128), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [441240] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9129), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9180), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9182), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [441277] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9130), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9159), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9161), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [441314] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11711), 1,
      anon_sym_with,
    STATE(9131), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(8804), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8802), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [441353] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9132), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10058), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [441390] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9133), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11399), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11397), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [441427] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9134), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7000), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [441464] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9135), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10073), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10071), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [441501] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4624), 1,
      sym__alpha_identifier,
    ACTIONS(4630), 1,
      anon_sym__,
    ACTIONS(4642), 1,
      sym__backquoted_id,
    ACTIONS(6304), 1,
      sym_operator_identifier,
    ACTIONS(9772), 1,
      anon_sym_LPAREN,
    STATE(4643), 1,
      sym__simple_type,
    STATE(5196), 1,
      sym_identifier,
    STATE(5260), 1,
      sym__soft_identifier,
    STATE(16896), 1,
      sym_stable_identifier,
    STATE(9136), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4636), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5732), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [441556] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9137), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10075), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [441593] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9138), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9449), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9451), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [441630] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9139), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9447), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [441667] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7774), 1,
      sym__alpha_identifier,
    ACTIONS(7776), 1,
      anon_sym__,
    ACTIONS(7780), 1,
      anon_sym_LPAREN,
    ACTIONS(7782), 1,
      sym__backquoted_id,
    ACTIONS(7784), 1,
      sym_operator_identifier,
    STATE(6098), 1,
      sym__simple_type,
    STATE(8610), 1,
      sym_identifier,
    STATE(8668), 1,
      sym__soft_identifier,
    STATE(15798), 1,
      sym_stable_identifier,
    STATE(9140), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7778), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8184), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [441722] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4748), 1,
      sym__alpha_identifier,
    ACTIONS(4754), 1,
      anon_sym__,
    ACTIONS(4766), 1,
      sym__backquoted_id,
    ACTIONS(6716), 1,
      sym_operator_identifier,
    ACTIONS(10049), 1,
      anon_sym_LPAREN,
    STATE(4609), 1,
      sym__simple_type,
    STATE(5002), 1,
      sym_identifier,
    STATE(5217), 1,
      sym__soft_identifier,
    STATE(16527), 1,
      sym_stable_identifier,
    STATE(9141), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4760), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5492), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [441777] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4134), 1,
      sym__backquoted_id,
    STATE(9142), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(4130), 8,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
    ACTIONS(4132), 8,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
  [441818] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11714), 1,
      sym__alpha_identifier,
    ACTIONS(11716), 1,
      anon_sym__,
    ACTIONS(11720), 1,
      anon_sym_LPAREN,
    ACTIONS(11722), 1,
      sym__backquoted_id,
    ACTIONS(11724), 1,
      sym_operator_identifier,
    STATE(11286), 1,
      sym__simple_type,
    STATE(12085), 1,
      sym__soft_identifier,
    STATE(12228), 1,
      sym_identifier,
    STATE(16457), 1,
      sym_stable_identifier,
    STATE(9143), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11718), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12293), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [441873] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6420), 1,
      sym__alpha_identifier,
    ACTIONS(6426), 1,
      anon_sym__,
    ACTIONS(6434), 1,
      sym__backquoted_id,
    ACTIONS(6436), 1,
      sym_operator_identifier,
    ACTIONS(9795), 1,
      anon_sym_LPAREN,
    STATE(4633), 1,
      sym__simple_type,
    STATE(5127), 1,
      sym_identifier,
    STATE(5256), 1,
      sym__soft_identifier,
    STATE(16884), 1,
      sym_stable_identifier,
    STATE(9144), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6430), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5789), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [441928] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9145), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9029), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9031), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [441965] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9146), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9021), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9023), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [442002] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9147), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9534), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9532), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [442039] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8063), 1,
      anon_sym_EQ,
    STATE(621), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(9148), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8231), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8229), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [442082] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9149), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10058), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10056), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [442119] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9150), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8392), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [442156] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4384), 1,
      sym__alpha_identifier,
    ACTIONS(4386), 1,
      anon_sym__,
    ACTIONS(4396), 1,
      sym__backquoted_id,
    ACTIONS(6644), 1,
      sym_operator_identifier,
    ACTIONS(9938), 1,
      anon_sym_LPAREN,
    STATE(5026), 1,
      sym__simple_type,
    STATE(6027), 1,
      sym__soft_identifier,
    STATE(6518), 1,
      sym_identifier,
    STATE(16812), 1,
      sym_stable_identifier,
    STATE(9151), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4392), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6894), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [442211] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9152), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9082), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9084), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [442248] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9153), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9029), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9031), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [442285] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6066), 1,
      sym__alpha_identifier,
    ACTIONS(6068), 1,
      anon_sym__,
    ACTIONS(6076), 1,
      sym__backquoted_id,
    ACTIONS(6078), 1,
      sym_operator_identifier,
    ACTIONS(10063), 1,
      anon_sym_LPAREN,
    STATE(5104), 1,
      sym__simple_type,
    STATE(6298), 1,
      sym_identifier,
    STATE(6423), 1,
      sym__soft_identifier,
    STATE(16539), 1,
      sym_stable_identifier,
    STATE(9154), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6072), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7089), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [442340] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9497), 1,
      sym_arguments,
    STATE(9155), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7498), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7496), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [442379] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9156), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9021), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9023), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [442416] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9157), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9159), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9161), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [442453] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9158), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9082), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9084), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [442490] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9159), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9180), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9182), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [442527] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9160), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(4132), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [442564] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9161), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9082), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9084), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [442601] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9162), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9082), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9084), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [442638] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9163), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9029), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9031), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [442675] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9164), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8027), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8683), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [442712] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6406), 1,
      sym__alpha_identifier,
    ACTIONS(6408), 1,
      anon_sym__,
    ACTIONS(6416), 1,
      sym__backquoted_id,
    ACTIONS(6418), 1,
      sym_operator_identifier,
    ACTIONS(9831), 1,
      anon_sym_LPAREN,
    STATE(4362), 1,
      sym__simple_type,
    STATE(4562), 1,
      sym_identifier,
    STATE(4586), 1,
      sym__soft_identifier,
    STATE(16878), 1,
      sym_stable_identifier,
    STATE(9165), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6412), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4832), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [442767] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9166), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8027), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8683), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [442804] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9167), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [442841] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4842), 1,
      sym__alpha_identifier,
    ACTIONS(4848), 1,
      anon_sym__,
    ACTIONS(4860), 1,
      sym__backquoted_id,
    ACTIONS(6150), 1,
      sym_operator_identifier,
    ACTIONS(10144), 1,
      anon_sym_LPAREN,
    STATE(4354), 1,
      sym__simple_type,
    STATE(4511), 1,
      sym_identifier,
    STATE(4651), 1,
      sym__soft_identifier,
    STATE(16656), 1,
      sym_stable_identifier,
    STATE(9168), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4854), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4909), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [442896] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9169), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9159), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9161), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [442933] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7638), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9170), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [442972] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9171), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9881), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9879), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [443009] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5406), 1,
      sym__end_marker,
    STATE(9172), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9292), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9290), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [443048] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7338), 1,
      anon_sym_DOT,
    STATE(9173), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 5,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8159), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [443087] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9174), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9180), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9182), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [443124] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9175), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9021), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9023), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [443161] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9176), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9029), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9031), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [443198] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9177), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9455), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9457), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [443235] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9178), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8095), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8093), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [443272] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6796), 1,
      sym__alpha_identifier,
    ACTIONS(6798), 1,
      anon_sym__,
    ACTIONS(6806), 1,
      sym__backquoted_id,
    ACTIONS(6808), 1,
      sym_operator_identifier,
    ACTIONS(10081), 1,
      anon_sym_LPAREN,
    STATE(5087), 1,
      sym__simple_type,
    STATE(6232), 1,
      sym_identifier,
    STATE(6412), 1,
      sym__soft_identifier,
    STATE(16551), 1,
      sym_stable_identifier,
    STATE(9179), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6802), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7011), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [443327] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3286), 1,
      anon_sym_LBRACE,
    ACTIONS(8063), 1,
      anon_sym_EQ,
    ACTIONS(8733), 1,
      anon_sym_LBRACK,
    ACTIONS(8737), 1,
      anon_sym_match,
    ACTIONS(11243), 1,
      anon_sym_LPAREN,
    ACTIONS(11518), 1,
      anon_sym_DOT,
    ACTIONS(11726), 1,
      sym__alpha_identifier,
    ACTIONS(11730), 1,
      sym__backquoted_id,
    ACTIONS(11732), 1,
      sym_operator_identifier,
    STATE(837), 1,
      sym_identifier,
    STATE(4162), 1,
      sym__soft_identifier,
    ACTIONS(8053), 2,
      anon_sym_COLON,
      anon_sym_EQ_GT,
    STATE(9180), 2,
      sym_comment,
      sym_block_comment,
    STATE(10345), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(11728), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [443388] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9181), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9550), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9548), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [443425] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9182), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9029), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9031), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [443462] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8243), 1,
      sym__alpha_identifier,
    ACTIONS(8245), 1,
      anon_sym__,
    ACTIONS(8249), 1,
      anon_sym_LPAREN,
    ACTIONS(8251), 1,
      sym__backquoted_id,
    ACTIONS(8253), 1,
      sym_operator_identifier,
    STATE(5602), 1,
      sym__simple_type,
    STATE(7424), 1,
      sym__soft_identifier,
    STATE(7894), 1,
      sym_identifier,
    STATE(16438), 1,
      sym_stable_identifier,
    STATE(9183), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8247), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8001), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [443517] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11734), 1,
      sym__alpha_identifier,
    ACTIONS(11736), 1,
      anon_sym__,
    ACTIONS(11740), 1,
      anon_sym_LPAREN,
    ACTIONS(11742), 1,
      sym__backquoted_id,
    ACTIONS(11744), 1,
      sym_operator_identifier,
    STATE(10652), 1,
      sym__soft_identifier,
    STATE(11887), 1,
      sym__simple_type,
    STATE(12656), 1,
      sym_identifier,
    STATE(16574), 1,
      sym_stable_identifier,
    STATE(9184), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11738), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(13157), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [443572] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9185), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9789), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9787), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [443609] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4334), 1,
      sym__alpha_identifier,
    ACTIONS(4340), 1,
      anon_sym__,
    ACTIONS(4352), 1,
      sym__backquoted_id,
    ACTIONS(6602), 1,
      sym_operator_identifier,
    ACTIONS(9924), 1,
      anon_sym_LPAREN,
    STATE(4259), 1,
      sym__simple_type,
    STATE(4483), 1,
      sym_identifier,
    STATE(4494), 1,
      sym__soft_identifier,
    STATE(16818), 1,
      sym_stable_identifier,
    STATE(9186), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4346), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4508), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [443664] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9187), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9896), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9894), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [443701] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9188), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7000), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [443738] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9189), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8835), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8833), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [443775] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9190), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7498), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7496), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [443812] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6306), 1,
      sym__alpha_identifier,
    ACTIONS(6312), 1,
      anon_sym__,
    ACTIONS(6320), 1,
      sym__backquoted_id,
    ACTIONS(6322), 1,
      sym_operator_identifier,
    ACTIONS(9837), 1,
      anon_sym_LPAREN,
    STATE(5788), 1,
      sym__simple_type,
    STATE(7277), 1,
      sym_identifier,
    STATE(7350), 1,
      sym__soft_identifier,
    STATE(16866), 1,
      sym_stable_identifier,
    STATE(9191), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6316), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7958), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [443867] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9192), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9546), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9544), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [443904] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9193), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9881), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9879), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [443941] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9194), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8835), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8833), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [443978] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9195), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10075), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [444015] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9196), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10073), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10071), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [444052] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6770), 1,
      sym__alpha_identifier,
    ACTIONS(6776), 1,
      anon_sym__,
    ACTIONS(6784), 1,
      sym__backquoted_id,
    ACTIONS(6786), 1,
      sym_operator_identifier,
    ACTIONS(10095), 1,
      anon_sym_LPAREN,
    STATE(4910), 1,
      sym__simple_type,
    STATE(5479), 1,
      sym_identifier,
    STATE(5580), 1,
      sym__soft_identifier,
    STATE(16563), 1,
      sym_stable_identifier,
    STATE(9197), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6780), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6415), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [444107] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9198), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9542), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9540), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [444144] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9199), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9977), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9975), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [444181] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8063), 1,
      anon_sym_EQ,
    ACTIONS(8733), 1,
      anon_sym_LBRACK,
    ACTIONS(8737), 1,
      anon_sym_match,
    ACTIONS(9496), 1,
      sym__alpha_identifier,
    ACTIONS(9502), 1,
      sym__backquoted_id,
    ACTIONS(9504), 1,
      sym_operator_identifier,
    STATE(546), 1,
      sym_identifier,
    STATE(4037), 1,
      sym__soft_identifier,
    STATE(9200), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8053), 4,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(9498), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(9500), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [444236] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4366), 1,
      sym__alpha_identifier,
    ACTIONS(4368), 1,
      anon_sym__,
    ACTIONS(4378), 1,
      sym__backquoted_id,
    ACTIONS(6440), 1,
      sym_operator_identifier,
    ACTIONS(10135), 1,
      anon_sym_LPAREN,
    STATE(4330), 1,
      sym__simple_type,
    STATE(4542), 1,
      sym_identifier,
    STATE(4655), 1,
      sym__soft_identifier,
    STATE(16650), 1,
      sym_stable_identifier,
    STATE(9201), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4374), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4887), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [444291] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9202), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7372), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8402), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [444328] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7338), 1,
      anon_sym_DOT,
    STATE(9203), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8159), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [444367] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7638), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9204), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [444406] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9205), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9067), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9065), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [444443] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9206), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10058), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [444480] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9207), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9538), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9536), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [444517] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9208), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8227), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8225), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [444554] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9209), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9021), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9023), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [444591] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6342), 1,
      sym__alpha_identifier,
    ACTIONS(6348), 1,
      anon_sym__,
    ACTIONS(6356), 1,
      sym__backquoted_id,
    ACTIONS(6358), 1,
      sym_operator_identifier,
    ACTIONS(9915), 1,
      anon_sym_LPAREN,
    STATE(8043), 1,
      sym__simple_type,
    STATE(8849), 1,
      sym_identifier,
    STATE(8992), 1,
      sym__soft_identifier,
    STATE(16824), 1,
      sym_stable_identifier,
    STATE(9210), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6352), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9542), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [444646] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9211), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9404), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9406), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [444683] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9212), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [444720] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6264), 1,
      sym__alpha_identifier,
    ACTIONS(6270), 1,
      anon_sym__,
    ACTIONS(6278), 1,
      sym__backquoted_id,
    ACTIONS(6280), 1,
      sym_operator_identifier,
    ACTIONS(9859), 1,
      anon_sym_LPAREN,
    STATE(5155), 1,
      sym__simple_type,
    STATE(6002), 1,
      sym__soft_identifier,
    STATE(6112), 1,
      sym_identifier,
    STATE(16854), 1,
      sym_stable_identifier,
    STATE(9213), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6274), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6976), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [444775] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9214), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9959), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9957), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [444812] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9215), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9896), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9894), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [444849] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7254), 1,
      sym__alpha_identifier,
    ACTIONS(7256), 1,
      anon_sym__,
    ACTIONS(7262), 1,
      sym__backquoted_id,
    ACTIONS(7560), 1,
      anon_sym_LPAREN,
    ACTIONS(7562), 1,
      sym_operator_identifier,
    STATE(10575), 1,
      sym__simple_type,
    STATE(11065), 1,
      sym__soft_identifier,
    STATE(11271), 1,
      sym_identifier,
    STATE(15838), 1,
      sym_stable_identifier,
    STATE(9216), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7258), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11454), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [444904] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9217), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8227), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8225), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [444941] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9218), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9159), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9161), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [444978] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9219), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7112), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7110), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [445015] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11384), 1,
      anon_sym_EQ_GT,
    STATE(9220), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8271), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [445054] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4586), 1,
      sym__alpha_identifier,
    ACTIONS(4588), 1,
      anon_sym__,
    ACTIONS(4598), 1,
      sym__backquoted_id,
    ACTIONS(6814), 1,
      sym_operator_identifier,
    ACTIONS(10103), 1,
      anon_sym_LPAREN,
    STATE(4923), 1,
      sym__simple_type,
    STATE(5427), 1,
      sym_identifier,
    STATE(5551), 1,
      sym__soft_identifier,
    STATE(16585), 1,
      sym_stable_identifier,
    STATE(9221), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4594), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6523), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [445109] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9222), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9067), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9065), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [445146] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9223), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9754), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9752), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [445183] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9224), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9789), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9787), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [445220] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9225), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8227), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8225), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [445257] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9226), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10073), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10071), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [445294] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6232), 1,
      sym__alpha_identifier,
    ACTIONS(6238), 1,
      anon_sym__,
    ACTIONS(6246), 1,
      sym__backquoted_id,
    ACTIONS(6248), 1,
      sym_operator_identifier,
    ACTIONS(9875), 1,
      anon_sym_LPAREN,
    STATE(4590), 1,
      sym__simple_type,
    STATE(5086), 1,
      sym_identifier,
    STATE(5254), 1,
      sym__soft_identifier,
    STATE(16842), 1,
      sym_stable_identifier,
    STATE(9227), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6242), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5895), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [445349] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9228), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9021), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9023), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [445386] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7859), 1,
      sym__alpha_identifier,
    ACTIONS(7861), 1,
      anon_sym__,
    ACTIONS(7865), 1,
      anon_sym_LPAREN,
    ACTIONS(7867), 1,
      sym__backquoted_id,
    ACTIONS(7869), 1,
      sym_operator_identifier,
    STATE(5646), 1,
      sym__simple_type,
    STATE(7563), 1,
      sym__soft_identifier,
    STATE(7644), 1,
      sym_identifier,
    STATE(15795), 1,
      sym_stable_identifier,
    STATE(9229), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7863), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7750), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [445441] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9230), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9462), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9464), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [445478] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9231), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9554), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9552), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [445515] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9232), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9159), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9161), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [445552] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6522), 1,
      sym__alpha_identifier,
    ACTIONS(6528), 1,
      anon_sym__,
    ACTIONS(6536), 1,
      sym__backquoted_id,
    ACTIONS(6538), 1,
      sym_operator_identifier,
    ACTIONS(10127), 1,
      anon_sym_LPAREN,
    STATE(4492), 1,
      sym__simple_type,
    STATE(4776), 1,
      sym__soft_identifier,
    STATE(4779), 1,
      sym_identifier,
    STATE(16640), 1,
      sym_stable_identifier,
    STATE(9233), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6532), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5109), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [445607] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9234), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10075), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [445644] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9235), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8095), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8093), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [445681] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9236), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [445718] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9237), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9067), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9065), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [445755] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8051), 1,
      sym__alpha_identifier,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8065), 1,
      sym__backquoted_id,
    ACTIONS(8930), 1,
      sym_operator_identifier,
    STATE(1734), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(9238), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8055), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8057), 6,
      anon_sym_while,
      anon_sym_match,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(8061), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [445806] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6664), 1,
      sym__alpha_identifier,
    ACTIONS(6666), 1,
      anon_sym__,
    ACTIONS(6674), 1,
      sym__backquoted_id,
    ACTIONS(6676), 1,
      sym_operator_identifier,
    ACTIONS(10113), 1,
      anon_sym_LPAREN,
    STATE(6248), 1,
      sym__simple_type,
    STATE(7416), 1,
      sym_identifier,
    STATE(7573), 1,
      sym__soft_identifier,
    STATE(16596), 1,
      sym_stable_identifier,
    STATE(9239), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6670), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8346), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [445861] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9240), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9642), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9640), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [445898] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4472), 1,
      sym__alpha_identifier,
    ACTIONS(4478), 1,
      anon_sym__,
    ACTIONS(4490), 1,
      sym__backquoted_id,
    ACTIONS(6370), 1,
      sym_operator_identifier,
    ACTIONS(9885), 1,
      anon_sym_LPAREN,
    STATE(4435), 1,
      sym__simple_type,
    STATE(4682), 1,
      sym_identifier,
    STATE(4750), 1,
      sym__soft_identifier,
    STATE(16830), 1,
      sym_stable_identifier,
    STATE(9241), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4484), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5107), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [445953] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9242), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9580), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9578), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [445990] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5906), 1,
      sym_identifier,
    STATE(8951), 1,
      sym__soft_identifier,
    STATE(9243), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9985), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9983), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [446031] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9244), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8267), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [446068] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9245), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7764), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7762), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [446105] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9246), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9082), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9084), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [446142] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11746), 1,
      sym__alpha_identifier,
    ACTIONS(11748), 1,
      anon_sym__,
    ACTIONS(11752), 1,
      anon_sym_LPAREN,
    ACTIONS(11754), 1,
      sym__backquoted_id,
    ACTIONS(11756), 1,
      sym_operator_identifier,
    STATE(10310), 1,
      sym__simple_type,
    STATE(10602), 1,
      sym_identifier,
    STATE(10700), 1,
      sym__soft_identifier,
    STATE(16271), 1,
      sym_stable_identifier,
    STATE(9247), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11750), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10825), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [446197] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9248), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8392), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [446234] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9534), 1,
      sym__end_marker,
    STATE(9249), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9292), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9290), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [446273] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4264), 1,
      sym__alpha_identifier,
    ACTIONS(4270), 1,
      anon_sym__,
    ACTIONS(4282), 1,
      sym__backquoted_id,
    ACTIONS(6632), 1,
      sym_operator_identifier,
    ACTIONS(10119), 1,
      anon_sym_LPAREN,
    STATE(4210), 1,
      sym__simple_type,
    STATE(4380), 1,
      sym__soft_identifier,
    STATE(4396), 1,
      sym_identifier,
    STATE(16629), 1,
      sym_stable_identifier,
    STATE(9250), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4276), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4409), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [446328] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9251), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9538), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9536), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [446365] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9252), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9638), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9636), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [446402] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11758), 1,
      sym__alpha_identifier,
    ACTIONS(11760), 1,
      anon_sym__,
    ACTIONS(11764), 1,
      anon_sym_LPAREN,
    ACTIONS(11766), 1,
      sym__backquoted_id,
    ACTIONS(11768), 1,
      sym_operator_identifier,
    STATE(11305), 1,
      sym__simple_type,
    STATE(12051), 1,
      sym_identifier,
    STATE(12146), 1,
      sym__soft_identifier,
    STATE(16908), 1,
      sym_stable_identifier,
    STATE(9253), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11762), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12366), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [446457] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9254), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10075), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [446494] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11770), 1,
      sym__alpha_identifier,
    ACTIONS(11772), 1,
      anon_sym__,
    ACTIONS(11776), 1,
      anon_sym_LPAREN,
    ACTIONS(11778), 1,
      sym__backquoted_id,
    ACTIONS(11780), 1,
      sym_operator_identifier,
    STATE(10608), 1,
      sym__simple_type,
    STATE(10895), 1,
      sym__soft_identifier,
    STATE(11137), 1,
      sym_identifier,
    STATE(16493), 1,
      sym_stable_identifier,
    STATE(9255), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11774), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11670), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [446549] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9256), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9589), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9587), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [446586] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4296), 1,
      sym__alpha_identifier,
    ACTIONS(4302), 1,
      anon_sym__,
    ACTIONS(4314), 1,
      sym__backquoted_id,
    ACTIONS(6720), 1,
      sym_operator_identifier,
    ACTIONS(10115), 1,
      anon_sym_LPAREN,
    STATE(5914), 1,
      sym__simple_type,
    STATE(7067), 1,
      sym__soft_identifier,
    STATE(7261), 1,
      sym_identifier,
    STATE(16618), 1,
      sym_stable_identifier,
    STATE(9257), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4308), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7849), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [446641] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9258), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10073), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10071), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [446678] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9259), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9642), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9640), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [446714] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9260), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9180), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9182), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [446750] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9261), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9159), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9161), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [446786] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(9355), 1,
      sym__alpha_identifier,
    ACTIONS(9361), 1,
      sym__backquoted_id,
    ACTIONS(9363), 1,
      sym_operator_identifier,
    ACTIONS(10000), 1,
      anon_sym_EQ,
    STATE(530), 1,
      sym_identifier,
    STATE(3963), 1,
      sym__soft_identifier,
    STATE(9262), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8733), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8737), 4,
      anon_sym_case,
      anon_sym_match,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(9357), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [446838] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9263), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [446874] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(9624), 1,
      sym__alpha_identifier,
    ACTIONS(9630), 1,
      sym__backquoted_id,
    ACTIONS(9632), 1,
      sym_operator_identifier,
    ACTIONS(9715), 1,
      anon_sym_EQ,
    STATE(533), 1,
      sym_identifier,
    STATE(4032), 1,
      sym__soft_identifier,
    STATE(9264), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8737), 3,
      anon_sym_if,
      anon_sym_match,
      anon_sym_finally,
    ACTIONS(8733), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(9626), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [446926] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9265), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9082), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9084), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [446962] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9266), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9959), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9957), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [446998] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9267), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8835), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8833), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [447034] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10828), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9268), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 6,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [447072] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9269), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9067), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9065), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [447108] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9270), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9021), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9023), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [447144] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9271), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9554), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9552), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [447180] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9272), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10058), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [447216] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9273), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9029), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9031), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [447252] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9274), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9998), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9996), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [447288] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9275), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9542), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9540), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [447324] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8063), 1,
      anon_sym_EQ,
    STATE(621), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(9276), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8231), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8229), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [447366] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9277), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9642), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9640), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [447402] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9278), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9180), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9182), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [447438] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9279), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9067), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9065), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [447474] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(9597), 1,
      sym__alpha_identifier,
    ACTIONS(9603), 1,
      sym__backquoted_id,
    ACTIONS(9605), 1,
      sym_operator_identifier,
    ACTIONS(9713), 1,
      anon_sym_EQ,
    STATE(534), 1,
      sym_identifier,
    STATE(4033), 1,
      sym__soft_identifier,
    STATE(9280), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8737), 3,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
    ACTIONS(8733), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(9599), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [447526] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9281), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9067), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9065), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [447562] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9282), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9159), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9161), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [447598] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9283), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10075), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [447634] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9284), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9638), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9636), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [447670] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9285), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10073), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10071), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [447706] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9286), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9082), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9084), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [447742] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10840), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9287), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(2515), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [447780] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9288), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10058), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [447816] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(473), 1,
      sym__alpha_identifier,
    ACTIONS(537), 1,
      sym__backquoted_id,
    ACTIONS(7376), 1,
      sym_operator_identifier,
    STATE(5636), 1,
      sym__soft_identifier,
    STATE(9565), 1,
      sym_identifier,
    STATE(9289), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(659), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(7374), 10,
      anon_sym_given,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_this,
      anon_sym_extension,
      anon_sym_val,
  [447862] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9290), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9977), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9975), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [447898] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11782), 1,
      anon_sym_with,
    STATE(9291), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(8804), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8802), 13,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [447936] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9292), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10073), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10071), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [447972] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9293), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7112), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7110), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [448008] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9294), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8027), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8683), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [448044] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9295), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9021), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9023), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [448080] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9296), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10058), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [448116] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9297), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9881), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9879), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [448152] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9298), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10047), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10045), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [448188] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9299), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9029), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9031), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [448224] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5620), 1,
      sym_identifier,
    STATE(8951), 1,
      sym__soft_identifier,
    STATE(9300), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9985), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9983), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [448264] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9301), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10075), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [448300] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9302), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9029), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9031), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [448336] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9303), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9180), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9182), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [448372] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9304), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10041), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10039), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [448408] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9305), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9896), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9894), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [448444] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9306), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 6,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7000), 15,
      anon_sym__,
      anon_sym_given,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
  [448480] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1618), 1,
      sym__alpha_identifier,
    ACTIONS(1640), 1,
      sym__backquoted_id,
    ACTIONS(11787), 1,
      sym_operator_identifier,
    STATE(5430), 1,
      sym__soft_identifier,
    STATE(8482), 1,
      sym_identifier,
    STATE(9307), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(1628), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(11785), 10,
      anon_sym_given,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_this,
      anon_sym_extension,
      anon_sym_val,
  [448526] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9308), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [448562] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7580), 1,
      sym__backquoted_id,
    ACTIONS(7698), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9309), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7694), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(7696), 5,
      anon_sym_STAR,
      anon_sym_while,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
    ACTIONS(7574), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [448604] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1766), 1,
      sym__alpha_identifier,
    ACTIONS(1788), 1,
      sym__backquoted_id,
    ACTIONS(11791), 1,
      sym_operator_identifier,
    STATE(4555), 1,
      sym__soft_identifier,
    STATE(6431), 1,
      sym_identifier,
    STATE(9310), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(1776), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(11789), 10,
      anon_sym_given,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_this,
      anon_sym_extension,
      anon_sym_val,
  [448650] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9311), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7552), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8326), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [448686] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9312), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7716), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8324), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [448722] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9313), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10058), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [448758] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9314), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9580), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9578), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [448794] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9315), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9067), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9065), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [448830] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9316), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10073), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10071), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [448866] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5818), 1,
      sym_identifier,
    STATE(8951), 1,
      sym__soft_identifier,
    STATE(9317), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9985), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9983), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [448906] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9318), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10075), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [448942] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9319), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7704), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8316), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [448978] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1444), 1,
      sym__alpha_identifier,
    ACTIONS(1466), 1,
      sym__backquoted_id,
    ACTIONS(11795), 1,
      sym_operator_identifier,
    STATE(4462), 1,
      sym__soft_identifier,
    STATE(5594), 1,
      sym_identifier,
    STATE(9320), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(1454), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(11793), 10,
      anon_sym_given,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_this,
      anon_sym_extension,
      anon_sym_val,
  [449024] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10806), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9321), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [449062] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1582), 1,
      sym__alpha_identifier,
    ACTIONS(1604), 1,
      sym__backquoted_id,
    ACTIONS(11799), 1,
      sym_operator_identifier,
    STATE(6470), 1,
      sym__soft_identifier,
    STATE(8946), 1,
      sym_identifier,
    STATE(9322), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(1592), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(11797), 10,
      anon_sym_given,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_this,
      anon_sym_extension,
      anon_sym_val,
  [449108] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9323), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 6,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(7000), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_LT_DASH,
  [449144] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10235), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9324), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [449182] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9325), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9021), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9023), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [449218] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9326), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7112), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7110), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [449254] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9327), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [449290] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9328), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9542), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9540), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [449326] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8051), 1,
      sym__alpha_identifier,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8065), 1,
      sym__backquoted_id,
    ACTIONS(9513), 1,
      sym_operator_identifier,
    STATE(1668), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(9329), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8055), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(8057), 6,
      anon_sym_while,
      anon_sym_match,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(8061), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [449376] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9330), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9067), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9065), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [449412] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9331), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9538), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9536), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [449448] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8027), 2,
      anon_sym_LPAREN,
      sym__backquoted_id,
    STATE(9332), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8683), 19,
      anon_sym_end,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [449484] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11801), 1,
      anon_sym_with,
    STATE(9333), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(8804), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8802), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [449522] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9334), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9082), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9084), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [449558] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9335), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10058), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [449594] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9336), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9566), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9564), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [449630] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9337), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7000), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [449666] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9338), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9067), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9065), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [449702] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9339), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9580), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9578), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [449738] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9340), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 5,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8267), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [449774] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11804), 1,
      anon_sym_COLON,
    ACTIONS(11807), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(9341), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8271), 15,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [449814] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9342), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9546), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9544), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [449850] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9343), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9589), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9587), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [449886] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8051), 1,
      sym__alpha_identifier,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8063), 1,
      anon_sym_EQ,
    ACTIONS(8065), 1,
      sym__backquoted_id,
    ACTIONS(9735), 1,
      sym_operator_identifier,
    STATE(1787), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(9344), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8055), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(8057), 5,
      anon_sym_while,
      anon_sym_match,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(8061), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [449938] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9345), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11812), 6,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(11810), 15,
      anon_sym__,
      anon_sym_given,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
  [449974] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8051), 1,
      sym__alpha_identifier,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8063), 1,
      anon_sym_EQ,
    ACTIONS(8065), 1,
      sym__backquoted_id,
    ACTIONS(9677), 1,
      sym_operator_identifier,
    STATE(1692), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(9346), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8055), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8057), 4,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_finally,
    ACTIONS(8061), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [450026] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9347), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11816), 6,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(11814), 15,
      anon_sym__,
      anon_sym_given,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
  [450062] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9348), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9589), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9587), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [450098] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9349), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10073), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10071), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [450134] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9350), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10075), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [450170] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9351), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9180), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9182), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [450206] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9352), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9534), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9532), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [450242] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11433), 1,
      anon_sym_LPAREN,
    STATE(9356), 1,
      aux_sym_annotation_repeat1,
    STATE(9967), 1,
      sym_arguments,
    STATE(9353), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7817), 4,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(7815), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [450284] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(9665), 1,
      sym__alpha_identifier,
    ACTIONS(9669), 1,
      anon_sym_EQ,
    ACTIONS(9671), 1,
      sym__backquoted_id,
    ACTIONS(9673), 1,
      sym_operator_identifier,
    STATE(541), 1,
      sym_identifier,
    STATE(4045), 1,
      sym__soft_identifier,
    STATE(9354), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8733), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8737), 4,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(9667), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [450336] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11818), 1,
      anon_sym_with,
    STATE(9355), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(8804), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8802), 13,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [450374] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11821), 1,
      anon_sym_LPAREN,
    STATE(9967), 1,
      sym_arguments,
    STATE(9356), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(7788), 4,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(7786), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [450414] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9357), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7574), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [450450] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9358), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9589), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9587), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [450486] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5412), 1,
      sym_identifier,
    STATE(8951), 1,
      sym__soft_identifier,
    STATE(9359), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9985), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9983), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [450526] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9360), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7464), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [450562] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(9624), 1,
      sym__alpha_identifier,
    ACTIONS(9628), 1,
      anon_sym_EQ,
    ACTIONS(9630), 1,
      sym__backquoted_id,
    ACTIONS(9632), 1,
      sym_operator_identifier,
    STATE(533), 1,
      sym_identifier,
    STATE(4032), 1,
      sym__soft_identifier,
    STATE(9361), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8733), 3,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8737), 5,
      anon_sym_if,
      anon_sym_match,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(9626), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [450614] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9362), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 6,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(4132), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_LT_DASH,
  [450650] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11824), 1,
      anon_sym_with,
    STATE(9363), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(8804), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8802), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [450688] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(10533), 1,
      sym__alpha_identifier,
    ACTIONS(10539), 1,
      sym__backquoted_id,
    ACTIONS(10541), 1,
      sym_operator_identifier,
    STATE(555), 1,
      sym_identifier,
    STATE(4049), 1,
      sym__soft_identifier,
    STATE(9364), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8733), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(8737), 6,
      anon_sym_while,
      anon_sym_match,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(10535), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [450738] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9), 1,
      sym__alpha_identifier,
    ACTIONS(83), 1,
      sym__backquoted_id,
    ACTIONS(7382), 1,
      sym_operator_identifier,
    STATE(4482), 1,
      sym__soft_identifier,
    STATE(6995), 1,
      sym_identifier,
    STATE(9365), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(7378), 10,
      anon_sym_given,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_this,
      anon_sym_extension,
      anon_sym_val,
  [450784] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(9607), 1,
      sym__alpha_identifier,
    ACTIONS(9611), 1,
      anon_sym_EQ,
    ACTIONS(9613), 1,
      sym__backquoted_id,
    ACTIONS(9615), 1,
      sym_operator_identifier,
    STATE(540), 1,
      sym_identifier,
    STATE(4041), 1,
      sym__soft_identifier,
    STATE(9366), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8733), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8737), 4,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(9609), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [450836] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10914), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9367), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 6,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [450874] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9368), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9067), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9065), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [450910] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(9597), 1,
      sym__alpha_identifier,
    ACTIONS(9601), 1,
      anon_sym_EQ,
    ACTIONS(9603), 1,
      sym__backquoted_id,
    ACTIONS(9605), 1,
      sym_operator_identifier,
    STATE(534), 1,
      sym_identifier,
    STATE(4033), 1,
      sym__soft_identifier,
    STATE(9369), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8733), 3,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8737), 5,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(9599), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [450962] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(9758), 1,
      sym__alpha_identifier,
    ACTIONS(9764), 1,
      anon_sym_EQ,
    ACTIONS(9766), 1,
      sym__backquoted_id,
    ACTIONS(9768), 1,
      sym_operator_identifier,
    STATE(539), 1,
      sym_identifier,
    STATE(4042), 1,
      sym__soft_identifier,
    STATE(9370), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8733), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8737), 4,
      anon_sym_match,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(9762), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [451014] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9371), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9550), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9548), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [451050] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4134), 1,
      sym__backquoted_id,
    STATE(9372), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(4132), 7,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
    ACTIONS(4130), 8,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [451090] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9373), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9998), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9996), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [451126] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9374), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9546), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9544), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [451162] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9375), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9542), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9540), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [451198] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9376), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9638), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9636), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [451234] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9377), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [451270] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9378), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7000), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [451306] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9379), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9642), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9640), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [451342] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9380), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9538), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9536), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [451378] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9381), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7552), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8326), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [451414] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9382), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9542), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9540), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [451450] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9383), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9404), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9406), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [451486] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9762), 1,
      sym_arguments,
    STATE(9384), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7498), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7496), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [451524] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9385), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9159), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9161), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [451560] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9386), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9550), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9548), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [451596] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10934), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9387), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(2515), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [451634] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1674), 1,
      sym__alpha_identifier,
    ACTIONS(1696), 1,
      sym__backquoted_id,
    ACTIONS(11829), 1,
      sym_operator_identifier,
    STATE(6446), 1,
      sym__soft_identifier,
    STATE(9139), 1,
      sym_identifier,
    STATE(9388), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(1684), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(11827), 10,
      anon_sym_given,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_this,
      anon_sym_extension,
      anon_sym_val,
  [451680] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9389), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8227), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8225), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [451716] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9390), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9580), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9578), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [451752] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9391), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9977), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9975), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [451788] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7336), 1,
      anon_sym_LPAREN,
    ACTIONS(10171), 1,
      anon_sym_DOT,
    ACTIONS(10177), 1,
      anon_sym_AT,
    STATE(4161), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    STATE(9392), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10669), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10667), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [451834] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9393), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9067), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9065), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [451870] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11831), 1,
      anon_sym_LPAREN,
    STATE(10174), 1,
      sym_arguments,
    ACTIONS(7788), 3,
      sym__outdent,
      anon_sym_LBRACE,
      sym__backquoted_id,
    STATE(9394), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(7786), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [451910] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9395), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7716), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8324), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [451946] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9396), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9546), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9544), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [451982] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9397), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10075), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [452018] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9398), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9638), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9636), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [452054] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11834), 1,
      anon_sym_AT,
    STATE(10106), 1,
      sym_annotation,
    STATE(9399), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8283), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(8281), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [452094] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11264), 1,
      anon_sym_LPAREN,
    STATE(9394), 1,
      aux_sym_annotation_repeat1,
    STATE(10174), 1,
      sym_arguments,
    STATE(9400), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7817), 3,
      sym__outdent,
      anon_sym_LBRACE,
      sym__backquoted_id,
    ACTIONS(7815), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [452136] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9401), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9959), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9957), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [452172] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9402), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9580), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9578), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [452208] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9403), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9642), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9640), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [452244] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8733), 1,
      anon_sym_LBRACK,
    ACTIONS(8737), 1,
      anon_sym_match,
    ACTIONS(9496), 1,
      sym__alpha_identifier,
    ACTIONS(9502), 1,
      sym__backquoted_id,
    ACTIONS(9504), 1,
      sym_operator_identifier,
    STATE(546), 1,
      sym_identifier,
    STATE(4037), 1,
      sym__soft_identifier,
    STATE(9404), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8053), 4,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(9498), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(9500), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [452296] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9405), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9550), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9548), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [452332] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5741), 1,
      sym_identifier,
    STATE(8951), 1,
      sym__soft_identifier,
    STATE(9406), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9985), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9983), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [452372] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9407), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9589), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9587), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [452408] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5643), 1,
      sym_identifier,
    STATE(8951), 1,
      sym__soft_identifier,
    STATE(9408), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9985), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9983), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [452448] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9409), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11839), 6,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(11837), 15,
      anon_sym__,
      anon_sym_given,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
  [452484] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9410), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7552), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8326), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [452520] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1494), 1,
      sym__alpha_identifier,
    ACTIONS(1516), 1,
      sym__backquoted_id,
    ACTIONS(11843), 1,
      sym_operator_identifier,
    STATE(5752), 1,
      sym__soft_identifier,
    STATE(8122), 1,
      sym_identifier,
    STATE(9411), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(1504), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(11841), 10,
      anon_sym_given,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_this,
      anon_sym_extension,
      anon_sym_val,
  [452566] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9412), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10075), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [452602] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9413), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9959), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9957), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [452638] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9414), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9638), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9636), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [452674] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9415), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10073), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10071), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [452710] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9416), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11847), 6,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(11845), 15,
      anon_sym__,
      anon_sym_given,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
  [452746] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9417), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7574), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [452782] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5957), 1,
      sym_identifier,
    STATE(8951), 1,
      sym__soft_identifier,
    STATE(9418), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9985), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9983), 14,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [452822] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9419), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9959), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9957), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [452858] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9420), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7704), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8316), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [452894] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9421), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9977), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9975), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [452930] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5791), 1,
      sym_identifier,
    STATE(8951), 1,
      sym__soft_identifier,
    STATE(9422), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9985), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9983), 14,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [452970] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9423), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7716), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8324), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [453006] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(10572), 1,
      sym__alpha_identifier,
    ACTIONS(10578), 1,
      sym__backquoted_id,
    ACTIONS(10580), 1,
      sym_operator_identifier,
    STATE(550), 1,
      sym_identifier,
    STATE(4050), 1,
      sym__soft_identifier,
    STATE(9424), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8733), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8737), 5,
      anon_sym_while,
      anon_sym_match,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
    ACTIONS(10574), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [453056] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8051), 1,
      sym__alpha_identifier,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8063), 1,
      anon_sym_EQ,
    ACTIONS(8065), 1,
      sym__backquoted_id,
    ACTIONS(10087), 1,
      sym_operator_identifier,
    STATE(1731), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(9425), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8055), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8057), 4,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
    ACTIONS(8061), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [453108] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11849), 1,
      anon_sym_with,
    STATE(9426), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(8804), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8802), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [453146] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10496), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9427), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [453184] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9428), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10058), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [453220] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1388), 1,
      sym__alpha_identifier,
    ACTIONS(1410), 1,
      sym__backquoted_id,
    ACTIONS(11854), 1,
      sym_operator_identifier,
    STATE(4485), 1,
      sym__soft_identifier,
    STATE(5460), 1,
      sym_identifier,
    STATE(9429), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(1398), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(11852), 10,
      anon_sym_given,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_this,
      anon_sym_extension,
      anon_sym_val,
  [453266] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6481), 1,
      sym__end_marker,
    STATE(9430), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9292), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9290), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [453304] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9431), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11399), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11397), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [453340] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8773), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9432), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8771), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8769), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [453378] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9433), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10058), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [453414] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7336), 1,
      anon_sym_LPAREN,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10167), 1,
      anon_sym_COLON,
    ACTIONS(10171), 1,
      anon_sym_DOT,
    ACTIONS(10173), 1,
      anon_sym_STAR,
    ACTIONS(10177), 1,
      anon_sym_AT,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10187), 1,
      sym_operator_identifier,
    STATE(4161), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    ACTIONS(10671), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(9434), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10673), 3,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [453472] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9435), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [453508] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9436), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9180), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9182), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [453544] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9437), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9789), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9787), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [453580] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9438), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10058), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10056), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [453616] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9439), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9754), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9752), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [453652] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7336), 1,
      anon_sym_LPAREN,
    ACTIONS(10171), 1,
      anon_sym_DOT,
    ACTIONS(10177), 1,
      anon_sym_AT,
    STATE(4161), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    STATE(9440), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10677), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10675), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [453698] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9738), 1,
      sym_arguments,
    STATE(9441), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7498), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7496), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [453736] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9442), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10073), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10071), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [453772] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1278), 1,
      sym__alpha_identifier,
    ACTIONS(1300), 1,
      sym__backquoted_id,
    ACTIONS(11858), 1,
      sym_operator_identifier,
    STATE(5419), 1,
      sym__soft_identifier,
    STATE(8181), 1,
      sym_identifier,
    STATE(9443), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(1288), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(11856), 10,
      anon_sym_given,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_this,
      anon_sym_extension,
      anon_sym_val,
  [453818] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9444), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11862), 6,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(11860), 15,
      anon_sym__,
      anon_sym_given,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
  [453854] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9445), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11866), 6,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(11864), 15,
      anon_sym__,
      anon_sym_given,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
  [453890] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9446), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7704), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8316), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [453926] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1242), 1,
      sym__alpha_identifier,
    ACTIONS(1264), 1,
      sym__backquoted_id,
    ACTIONS(11870), 1,
      sym_operator_identifier,
    STATE(5563), 1,
      sym__soft_identifier,
    STATE(8132), 1,
      sym_identifier,
    STATE(9447), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(1252), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(11868), 10,
      anon_sym_given,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_this,
      anon_sym_extension,
      anon_sym_val,
  [453972] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5584), 1,
      sym_identifier,
    STATE(8951), 1,
      sym__soft_identifier,
    STATE(9448), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9985), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9983), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [454012] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9449), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9067), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9065), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [454048] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9450), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9881), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9879), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [454084] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9451), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8027), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8683), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [454120] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(9496), 1,
      sym__alpha_identifier,
    ACTIONS(9502), 1,
      sym__backquoted_id,
    ACTIONS(9504), 1,
      sym_operator_identifier,
    STATE(546), 1,
      sym_identifier,
    STATE(4037), 1,
      sym__soft_identifier,
    STATE(9452), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8737), 4,
      anon_sym_if,
      anon_sym_match,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8733), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(9500), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [454170] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9453), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9159), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9161), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [454206] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9454), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10041), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10039), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [454242] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9455), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10075), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [454278] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9456), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10073), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10071), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [454314] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9457), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9896), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9894), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [454350] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1004), 1,
      sym__alpha_identifier,
    ACTIONS(1026), 1,
      sym__backquoted_id,
    ACTIONS(11874), 1,
      sym_operator_identifier,
    STATE(4943), 1,
      sym__soft_identifier,
    STATE(6665), 1,
      sym_identifier,
    STATE(9458), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(1014), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(11872), 10,
      anon_sym_given,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_this,
      anon_sym_extension,
      anon_sym_val,
  [454396] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9459), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10047), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10045), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [454432] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9460), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9029), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9031), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [454468] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9461), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7498), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7496), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [454504] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9462), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9554), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9552), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [454540] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9463), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10073), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10071), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [454576] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9464), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8095), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8093), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [454612] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9465), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10075), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [454648] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8051), 1,
      sym__alpha_identifier,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8065), 1,
      sym__backquoted_id,
    ACTIONS(9441), 1,
      sym_operator_identifier,
    STATE(1725), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(9466), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8055), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8057), 5,
      anon_sym_while,
      anon_sym_match,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
    ACTIONS(8061), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [454698] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9467), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9462), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9464), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [454734] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9468), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9021), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9023), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [454770] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9469), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9789), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9787), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [454806] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9470), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10058), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [454842] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7580), 1,
      sym__backquoted_id,
    ACTIONS(7698), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9471), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7694), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(7696), 5,
      anon_sym_case,
      anon_sym_if,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(7574), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [454884] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9472), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9538), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9536), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [454920] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9473), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9754), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9752), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [454956] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9474), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9998), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9996), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [454992] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9475), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9998), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9996), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [455028] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5775), 1,
      sym_identifier,
    STATE(8951), 1,
      sym__soft_identifier,
    STATE(9476), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9985), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9983), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [455068] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9477), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9082), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9084), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [455104] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9478), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(8392), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [455140] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7580), 1,
      sym__backquoted_id,
    ACTIONS(7698), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9479), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7694), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(7696), 5,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(7574), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [455182] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9480), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7464), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [455218] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9481), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9538), 9,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9536), 12,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [455254] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9482), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [455290] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(9898), 1,
      sym__alpha_identifier,
    ACTIONS(9902), 1,
      anon_sym_EQ,
    ACTIONS(9904), 1,
      sym__backquoted_id,
    ACTIONS(9906), 1,
      sym_operator_identifier,
    STATE(542), 1,
      sym_identifier,
    STATE(4035), 1,
      sym__soft_identifier,
    STATE(9483), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8733), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8737), 4,
      anon_sym_match,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
    ACTIONS(9900), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [455342] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9484), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 6,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 15,
      anon_sym__,
      anon_sym_given,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
  [455378] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(9665), 1,
      sym__alpha_identifier,
    ACTIONS(9671), 1,
      sym__backquoted_id,
    ACTIONS(9673), 1,
      sym_operator_identifier,
    STATE(541), 1,
      sym_identifier,
    STATE(4045), 1,
      sym__soft_identifier,
    STATE(9485), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8733), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8737), 5,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(9667), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [455428] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5879), 1,
      sym_identifier,
    STATE(8951), 1,
      sym__soft_identifier,
    STATE(9486), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9985), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9983), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [455468] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8051), 1,
      sym__alpha_identifier,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8065), 1,
      sym__backquoted_id,
    ACTIONS(9096), 1,
      sym_operator_identifier,
    STATE(1751), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(9487), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8055), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8057), 5,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(8061), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [455518] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1206), 1,
      sym__alpha_identifier,
    ACTIONS(1228), 1,
      sym__backquoted_id,
    ACTIONS(11878), 1,
      sym_operator_identifier,
    STATE(4332), 1,
      sym__soft_identifier,
    STATE(5345), 1,
      sym_identifier,
    STATE(9488), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(1216), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(11876), 10,
      anon_sym_given,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_this,
      anon_sym_extension,
      anon_sym_val,
  [455564] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9489), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7574), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [455600] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9490), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9554), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9552), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [455636] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9491), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10073), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10071), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [455672] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9492), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10075), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [455708] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8063), 1,
      anon_sym_EQ,
    STATE(621), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(9493), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8231), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8229), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [455750] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9494), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9404), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9406), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [455786] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9495), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9538), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9536), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [455822] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9496), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9534), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9532), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [455858] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9497), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9554), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9552), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [455894] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9498), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9881), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9879), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [455930] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9499), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9789), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9787), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [455966] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9500), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9021), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9023), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [456002] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9501), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9977), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9975), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [456038] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9502), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9896), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9894), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [456074] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9503), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9754), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9752), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [456110] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9504), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9082), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9084), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [456146] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9505), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10041), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10039), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [456182] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9506), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9159), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9161), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [456218] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8051), 1,
      sym__alpha_identifier,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8065), 1,
      sym__backquoted_id,
    ACTIONS(9415), 1,
      sym_operator_identifier,
    STATE(1716), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(9507), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8055), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8057), 5,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(8061), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [456268] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9508), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9029), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9031), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [456304] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9509), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10047), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10045), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [456340] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7638), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9510), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [456378] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9511), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10058), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10056), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [456414] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9512), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [456450] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9513), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9754), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9752), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [456486] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9514), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9180), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9182), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [456522] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9515), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [456558] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9516), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 21,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_GT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_yield,
  [456592] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1314), 1,
      sym__alpha_identifier,
    ACTIONS(1336), 1,
      sym__backquoted_id,
    ACTIONS(11882), 1,
      sym_operator_identifier,
    STATE(5234), 1,
      sym__soft_identifier,
    STATE(7756), 1,
      sym_identifier,
    STATE(9517), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(1324), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(11880), 10,
      anon_sym_given,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_this,
      anon_sym_extension,
      anon_sym_val,
  [456638] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9518), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9789), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9787), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [456674] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9519), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [456710] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9511), 1,
      anon_sym_DOT,
    ACTIONS(11620), 1,
      anon_sym_COLON,
    STATE(9520), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8159), 14,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [456750] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9521), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9455), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9457), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [456786] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9522), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7574), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [456822] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9523), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [456858] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9524), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7498), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7496), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [456894] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(9665), 1,
      sym__alpha_identifier,
    ACTIONS(9671), 1,
      sym__backquoted_id,
    ACTIONS(9673), 1,
      sym_operator_identifier,
    ACTIONS(9679), 1,
      anon_sym_EQ,
    STATE(541), 1,
      sym_identifier,
    STATE(4045), 1,
      sym__soft_identifier,
    STATE(9525), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8733), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8737), 4,
      anon_sym_case,
      anon_sym_match,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(9667), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [456946] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9526), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9130), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9132), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [456982] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9527), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8835), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8833), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [457018] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11884), 1,
      anon_sym_AT,
    STATE(9959), 1,
      sym_annotation,
    STATE(9528), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8283), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8281), 13,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [457058] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11887), 1,
      anon_sym_with,
    STATE(9529), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(8804), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8802), 13,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [457096] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(830), 1,
      sym__alpha_identifier,
    ACTIONS(860), 1,
      sym__backquoted_id,
    ACTIONS(11892), 1,
      sym_operator_identifier,
    STATE(5785), 1,
      sym__soft_identifier,
    STATE(9578), 1,
      sym_identifier,
    STATE(9530), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(840), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(11890), 10,
      anon_sym_given,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_this,
      anon_sym_extension,
      anon_sym_val,
  [457142] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9531), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9067), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9065), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [457178] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9532), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9566), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9564), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [457214] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9533), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10073), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10071), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [457250] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9534), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9455), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9457), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [457286] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9535), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10075), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [457322] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(9335), 1,
      sym__alpha_identifier,
    ACTIONS(9341), 1,
      sym__backquoted_id,
    ACTIONS(9343), 1,
      sym_operator_identifier,
    ACTIONS(9816), 1,
      anon_sym_EQ,
    STATE(531), 1,
      sym_identifier,
    STATE(3954), 1,
      sym__soft_identifier,
    STATE(9536), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8733), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8737), 4,
      anon_sym_case,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(9337), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [457374] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9537), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11399), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11397), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [457410] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9538), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8835), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8833), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [457446] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9539), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [457482] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8063), 1,
      anon_sym_EQ,
    STATE(621), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(9540), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8231), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8229), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [457524] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8051), 1,
      sym__alpha_identifier,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8065), 1,
      sym__backquoted_id,
    ACTIONS(9300), 1,
      sym_operator_identifier,
    STATE(1749), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(9541), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8057), 4,
      anon_sym_if,
      anon_sym_match,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8055), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8061), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [457574] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9542), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 5,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8271), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [457610] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9543), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [457646] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1938), 1,
      sym__alpha_identifier,
    ACTIONS(1960), 1,
      sym__backquoted_id,
    ACTIONS(11896), 1,
      sym_operator_identifier,
    STATE(6581), 1,
      sym__soft_identifier,
    STATE(8774), 1,
      sym_identifier,
    STATE(9544), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(1948), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(11894), 10,
      anon_sym_given,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_this,
      anon_sym_extension,
      anon_sym_val,
  [457692] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9545), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(2515), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [457728] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9546), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7000), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [457764] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9547), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [457800] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9548), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9134), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9136), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [457836] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9549), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10041), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10039), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [457872] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9550), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7372), 5,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8402), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [457908] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9551), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7704), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8316), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [457944] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9552), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9566), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9564), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [457980] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9553), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8835), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8833), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [458016] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9554), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11399), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11397), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [458052] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8051), 1,
      sym__alpha_identifier,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8063), 1,
      anon_sym_EQ,
    ACTIONS(8065), 1,
      sym__backquoted_id,
    ACTIONS(9801), 1,
      sym_operator_identifier,
    STATE(1750), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(9555), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8055), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8057), 4,
      anon_sym_match,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(8061), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [458104] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11241), 1,
      anon_sym_AT,
    STATE(9528), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9959), 1,
      sym_annotation,
    STATE(9556), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8288), 13,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [458146] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1112), 1,
      sym__alpha_identifier,
    ACTIONS(1134), 1,
      sym__backquoted_id,
    ACTIONS(11900), 1,
      sym_operator_identifier,
    STATE(5213), 1,
      sym__soft_identifier,
    STATE(7606), 1,
      sym_identifier,
    STATE(9557), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(1122), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(11898), 10,
      anon_sym_given,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_this,
      anon_sym_extension,
      anon_sym_val,
  [458192] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9558), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7574), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [458228] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9559), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8835), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8833), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [458264] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9560), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [458300] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9561), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9067), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9065), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [458336] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7580), 1,
      sym__backquoted_id,
    ACTIONS(7698), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9562), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7694), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(7696), 6,
      anon_sym_STAR,
      anon_sym_while,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(7574), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [458378] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9563), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7574), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [458414] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9564), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8835), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8833), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [458450] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9565), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9447), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [458486] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9566), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9566), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9564), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [458522] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9567), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9449), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9451), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [458558] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9568), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7552), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8326), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [458594] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8063), 1,
      anon_sym_EQ,
    STATE(621), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(9569), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8231), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8229), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [458636] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7580), 1,
      sym__backquoted_id,
    ACTIONS(7698), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9570), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7694), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(7696), 5,
      anon_sym_while,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(7574), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [458678] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9571), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9534), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9532), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [458714] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9572), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9546), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9544), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [458750] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9573), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9462), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9464), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [458786] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9574), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7764), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7762), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [458822] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9575), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9144), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9146), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [458858] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6612), 1,
      sym__end_marker,
    STATE(9576), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9292), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9290), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [458896] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9577), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9449), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9451), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [458932] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9578), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9447), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [458968] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9579), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10047), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10045), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [459004] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9580), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9896), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9894), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [459040] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(9607), 1,
      sym__alpha_identifier,
    ACTIONS(9613), 1,
      sym__backquoted_id,
    ACTIONS(9615), 1,
      sym_operator_identifier,
    STATE(540), 1,
      sym_identifier,
    STATE(4041), 1,
      sym__soft_identifier,
    STATE(9581), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8733), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8737), 5,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(9609), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [459090] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(9607), 1,
      sym__alpha_identifier,
    ACTIONS(9613), 1,
      sym__backquoted_id,
    ACTIONS(9615), 1,
      sym_operator_identifier,
    ACTIONS(9833), 1,
      anon_sym_EQ,
    STATE(540), 1,
      sym_identifier,
    STATE(4041), 1,
      sym__soft_identifier,
    STATE(9582), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8733), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8737), 4,
      anon_sym_case,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(9609), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [459142] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9583), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9550), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9548), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [459178] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9584), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7498), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7496), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [459214] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9585), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7716), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8324), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [459250] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9586), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9881), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9879), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [459286] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5493), 1,
      sym_identifier,
    STATE(8951), 1,
      sym__soft_identifier,
    STATE(9587), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9985), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9983), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [459326] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7580), 1,
      sym__backquoted_id,
    ACTIONS(7698), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9588), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7694), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(7696), 5,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(7574), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [459368] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9589), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8227), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8225), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [459404] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9590), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9534), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9532), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [459440] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11260), 1,
      anon_sym_AT,
    STATE(9399), 1,
      aux_sym_enum_definition_repeat1,
    STATE(10106), 1,
      sym_annotation,
    STATE(9591), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(8288), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [459482] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9592), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8095), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8093), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [459518] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2084), 1,
      sym__alpha_identifier,
    ACTIONS(2106), 1,
      sym__backquoted_id,
    ACTIONS(11904), 1,
      sym_operator_identifier,
    STATE(4545), 1,
      sym__soft_identifier,
    STATE(6549), 1,
      sym_identifier,
    STATE(9593), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2094), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(11902), 10,
      anon_sym_given,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_this,
      anon_sym_extension,
      anon_sym_val,
  [459564] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9594), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(8267), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [459600] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9595), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7714), 5,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8406), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [459636] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9596), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7764), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(7762), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [459672] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9597), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7704), 5,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8316), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [459708] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9598), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7584), 5,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8358), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [459744] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9599), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7716), 5,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8324), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [459780] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9600), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9029), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9031), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [459816] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9601), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9021), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9023), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [459852] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9602), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7552), 5,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8326), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [459888] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9603), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7330), 5,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8360), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [459924] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9604), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7720), 5,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8435), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [459960] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9605), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [459996] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9606), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9159), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9161), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [460032] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9607), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 5,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8159), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [460068] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9608), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7498), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7496), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [460104] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9609), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 5,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8392), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [460140] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9610), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7710), 5,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8404), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [460176] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9611), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9082), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9084), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [460212] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8051), 1,
      sym__alpha_identifier,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8063), 1,
      anon_sym_EQ,
    ACTIONS(8065), 1,
      sym__backquoted_id,
    ACTIONS(10425), 1,
      sym_operator_identifier,
    STATE(621), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(9612), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8055), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(8057), 4,
      anon_sym_while,
      anon_sym_match,
      anon_sym_then,
      anon_sym_do,
    ACTIONS(8061), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [460263] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9613), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10058), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [460298] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9614), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7574), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [460333] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9615), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10073), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10071), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [460368] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(9250), 1,
      sym__alpha_identifier,
    ACTIONS(9256), 1,
      sym__backquoted_id,
    ACTIONS(9258), 1,
      sym_operator_identifier,
    ACTIONS(10408), 1,
      anon_sym_EQ,
    STATE(532), 1,
      sym_identifier,
    STATE(4025), 1,
      sym__soft_identifier,
    ACTIONS(8733), 2,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    STATE(9616), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8737), 5,
      anon_sym_while,
      anon_sym_match,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(9252), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [460419] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6724), 1,
      sym__end_marker,
    STATE(9617), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9292), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9290), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [460456] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9618), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7714), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8406), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [460491] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9619), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9159), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9161), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [460526] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9620), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [460561] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9621), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10073), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10071), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [460596] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9622), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [460631] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9623), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10075), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [460666] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9624), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8227), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8225), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [460701] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9625), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8095), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8093), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [460736] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9626), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9159), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9161), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [460771] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9627), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7764), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(7762), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [460806] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9628), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9067), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9065), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [460841] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9629), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9082), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9084), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [460876] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9630), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10041), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10039), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [460911] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9631), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9180), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9182), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [460946] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9979), 1,
      anon_sym_DOT,
    ACTIONS(10125), 1,
      anon_sym_EQ_GT,
    STATE(9632), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8159), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [460985] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7336), 1,
      anon_sym_LPAREN,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10997), 1,
      anon_sym_DOT,
    ACTIONS(10999), 1,
      anon_sym_STAR,
    ACTIONS(11001), 1,
      anon_sym_AT,
    ACTIONS(11005), 1,
      anon_sym_PIPE,
    ACTIONS(11007), 1,
      sym_operator_identifier,
    ACTIONS(11097), 1,
      anon_sym_COLON,
    ACTIONS(11099), 1,
      anon_sym_EQ,
    ACTIONS(11906), 1,
      anon_sym_COMMA,
    STATE(4172), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    STATE(15013), 1,
      aux_sym_val_declaration_repeat1,
    STATE(9633), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [461046] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9634), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10073), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10071), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [461081] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9635), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10058), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [461116] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9636), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9754), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9752), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [461151] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9637), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10075), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [461186] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9638), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9789), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9787), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [461221] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10167), 1,
      anon_sym_COLON,
    ACTIONS(10169), 1,
      anon_sym_COMMA,
    ACTIONS(10173), 1,
      anon_sym_STAR,
    ACTIONS(10177), 1,
      anon_sym_AT,
    ACTIONS(10181), 1,
      anon_sym_RPAREN,
    ACTIONS(10183), 1,
      anon_sym_PIPE,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10187), 1,
      sym_operator_identifier,
    STATE(4161), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    STATE(15370), 1,
      aux_sym_case_class_pattern_repeat1,
    ACTIONS(10179), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(9639), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [461280] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9640), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7710), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8404), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [461315] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7580), 1,
      sym__backquoted_id,
    ACTIONS(7698), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9641), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7694), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(7696), 4,
      anon_sym_case,
      anon_sym_if,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(7574), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [461356] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9642), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11399), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11397), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [461391] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9643), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8267), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [461426] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9644), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9754), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9752), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [461461] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9645), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9021), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9023), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [461496] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9646), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9029), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9031), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [461531] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9979), 1,
      anon_sym_DOT,
    ACTIONS(10091), 1,
      anon_sym_EQ_GT,
    STATE(9647), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8159), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [461570] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10167), 1,
      anon_sym_COLON,
    ACTIONS(10169), 1,
      anon_sym_COMMA,
    ACTIONS(10171), 1,
      anon_sym_DOT,
    ACTIONS(10173), 1,
      anon_sym_STAR,
    ACTIONS(10181), 1,
      anon_sym_RPAREN,
    ACTIONS(10183), 1,
      anon_sym_PIPE,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10187), 1,
      sym_operator_identifier,
    STATE(4161), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    STATE(15370), 1,
      aux_sym_case_class_pattern_repeat1,
    ACTIONS(10179), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(9648), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [461629] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9649), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10075), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [461664] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9113), 1,
      anon_sym_EQ_GT,
    ACTIONS(9979), 1,
      anon_sym_DOT,
    STATE(9650), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8159), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [461703] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9651), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9998), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9996), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [461738] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9652), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7720), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8435), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [461773] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7580), 1,
      sym__backquoted_id,
    ACTIONS(7698), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9653), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7696), 3,
      anon_sym_case,
      anon_sym_if,
      anon_sym_EQ,
    ACTIONS(7694), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(7574), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [461814] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9654), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9180), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9182), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [461849] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9655), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 4,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8267), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [461884] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7336), 1,
      anon_sym_LPAREN,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10997), 1,
      anon_sym_DOT,
    ACTIONS(10999), 1,
      anon_sym_STAR,
    ACTIONS(11001), 1,
      anon_sym_AT,
    ACTIONS(11005), 1,
      anon_sym_PIPE,
    ACTIONS(11007), 1,
      sym_operator_identifier,
    ACTIONS(11090), 1,
      anon_sym_COLON,
    ACTIONS(11092), 1,
      anon_sym_EQ,
    ACTIONS(11906), 1,
      anon_sym_COMMA,
    STATE(4172), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    STATE(15009), 1,
      aux_sym_val_declaration_repeat1,
    STATE(9656), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [461945] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9657), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9180), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9182), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [461980] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9658), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9082), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9084), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [462015] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(10294), 1,
      sym__alpha_identifier,
    ACTIONS(10300), 1,
      sym__backquoted_id,
    ACTIONS(10302), 1,
      sym_operator_identifier,
    STATE(557), 1,
      sym_identifier,
    STATE(4059), 1,
      sym__soft_identifier,
    STATE(9659), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8733), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8737), 4,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_finally,
    ACTIONS(10296), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [462064] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(9496), 1,
      sym__alpha_identifier,
    ACTIONS(9502), 1,
      sym__backquoted_id,
    ACTIONS(9504), 1,
      sym_operator_identifier,
    ACTIONS(10392), 1,
      anon_sym_EQ,
    STATE(546), 1,
      sym_identifier,
    STATE(4037), 1,
      sym__soft_identifier,
    STATE(9660), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8733), 3,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8737), 4,
      anon_sym_if,
      anon_sym_match,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(9500), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [462115] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9661), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9159), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9161), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [462150] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9662), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7574), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [462185] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9979), 1,
      anon_sym_DOT,
    ACTIONS(10918), 1,
      anon_sym_EQ_GT,
    STATE(9663), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8159), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [462224] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9664), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9067), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9065), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [462259] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11088), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9665), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(2515), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [462296] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9098), 1,
      anon_sym_EQ_GT,
    ACTIONS(9979), 1,
      anon_sym_DOT,
    STATE(9666), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8159), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [462335] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9667), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10058), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [462370] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9668), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10075), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [462405] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9669), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9082), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9084), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [462440] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5634), 1,
      sym_identifier,
    STATE(8951), 1,
      sym__soft_identifier,
    STATE(9670), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9985), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9983), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [462479] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9671), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11399), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11397), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [462514] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9672), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9881), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9879), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [462549] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9673), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7000), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [462584] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9674), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7574), 15,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [462619] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9675), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 4,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8392), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [462654] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9676), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7574), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [462689] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9677), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10058), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [462724] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9678), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9789), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9787), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [462759] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9679), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9180), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9182), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [462794] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9680), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9896), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9894), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [462829] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9681), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10073), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10071), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [462864] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9682), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9642), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9640), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [462899] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9683), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9638), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9636), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [462934] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9979), 1,
      anon_sym_DOT,
    ACTIONS(11276), 1,
      anon_sym_EQ_GT,
    STATE(9684), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8159), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [462973] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9685), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8392), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [463008] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9686), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9589), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9587), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [463043] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9687), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9082), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9084), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [463078] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7336), 1,
      anon_sym_LPAREN,
    ACTIONS(10997), 1,
      anon_sym_DOT,
    ACTIONS(11001), 1,
      anon_sym_AT,
    STATE(4172), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    STATE(9688), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10669), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10667), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [463123] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5803), 1,
      sym_identifier,
    STATE(8951), 1,
      sym__soft_identifier,
    STATE(9689), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9985), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9983), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [463162] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9979), 1,
      anon_sym_DOT,
    ACTIONS(10521), 1,
      anon_sym_EQ_GT,
    STATE(9690), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8159), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [463201] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9691), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9580), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9578), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [463236] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7336), 1,
      anon_sym_LPAREN,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10997), 1,
      anon_sym_DOT,
    ACTIONS(10999), 1,
      anon_sym_STAR,
    ACTIONS(11001), 1,
      anon_sym_AT,
    ACTIONS(11005), 1,
      anon_sym_PIPE,
    ACTIONS(11007), 1,
      sym_operator_identifier,
    ACTIONS(11017), 1,
      anon_sym_COLON,
    ACTIONS(11062), 1,
      anon_sym_COMMA,
    ACTIONS(11064), 1,
      anon_sym_RPAREN,
    STATE(4172), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    STATE(14726), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(9692), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [463297] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9693), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10047), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10045), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [463332] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7336), 1,
      anon_sym_LPAREN,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10997), 1,
      anon_sym_DOT,
    ACTIONS(10999), 1,
      anon_sym_STAR,
    ACTIONS(11001), 1,
      anon_sym_AT,
    ACTIONS(11007), 1,
      sym_operator_identifier,
    ACTIONS(11017), 1,
      anon_sym_COLON,
    STATE(4172), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    ACTIONS(10671), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(10673), 2,
      anon_sym_EQ,
      anon_sym_PIPE,
    STATE(9694), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [463389] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(9496), 1,
      sym__alpha_identifier,
    ACTIONS(9502), 1,
      sym__backquoted_id,
    ACTIONS(9504), 1,
      sym_operator_identifier,
    ACTIONS(10429), 1,
      anon_sym_EQ,
    STATE(546), 1,
      sym_identifier,
    STATE(4037), 1,
      sym__soft_identifier,
    ACTIONS(8737), 2,
      anon_sym_if,
      anon_sym_match,
    STATE(9695), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8733), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(9500), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [463440] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9696), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9082), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9084), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [463475] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9697), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10075), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [463510] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7336), 1,
      anon_sym_LPAREN,
    ACTIONS(10997), 1,
      anon_sym_DOT,
    ACTIONS(11001), 1,
      anon_sym_AT,
    STATE(4172), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    STATE(9698), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10677), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10675), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [463555] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8449), 1,
      anon_sym_EQ_GT,
    ACTIONS(9979), 1,
      anon_sym_DOT,
    STATE(9699), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8159), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [463594] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9700), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9021), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9023), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [463629] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9701), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10073), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10071), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [463664] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9702), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9021), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9023), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [463699] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9703), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9977), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9975), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [463734] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9979), 1,
      anon_sym_DOT,
    ACTIONS(11908), 1,
      anon_sym_EQ_GT,
    STATE(9704), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8159), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [463773] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9705), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9029), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9031), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [463808] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7336), 1,
      anon_sym_LPAREN,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10169), 1,
      anon_sym_COMMA,
    ACTIONS(10181), 1,
      anon_sym_RPAREN,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10997), 1,
      anon_sym_DOT,
    ACTIONS(10999), 1,
      anon_sym_STAR,
    ACTIONS(11001), 1,
      anon_sym_AT,
    ACTIONS(11005), 1,
      anon_sym_PIPE,
    ACTIONS(11007), 1,
      sym_operator_identifier,
    ACTIONS(11017), 1,
      anon_sym_COLON,
    STATE(4172), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    STATE(15370), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(9706), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [463869] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9707), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9538), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9536), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [463904] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9708), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9534), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9532), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [463939] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9709), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9542), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9540), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [463974] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9710), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7584), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8358), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [464009] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9711), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9546), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9544), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [464044] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9712), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(7000), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [464079] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9713), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7574), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [464114] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9714), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9021), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9023), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [464149] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(9624), 1,
      sym__alpha_identifier,
    ACTIONS(9630), 1,
      sym__backquoted_id,
    ACTIONS(9632), 1,
      sym_operator_identifier,
    ACTIONS(10221), 1,
      anon_sym_EQ,
    STATE(533), 1,
      sym_identifier,
    STATE(4032), 1,
      sym__soft_identifier,
    STATE(9715), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8737), 3,
      anon_sym_case,
      anon_sym_match,
      anon_sym_finally,
    ACTIONS(8733), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9626), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [464200] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9716), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9029), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9031), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [464235] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9717), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9638), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9636), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [464270] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(10294), 1,
      sym__alpha_identifier,
    ACTIONS(10300), 1,
      sym__backquoted_id,
    ACTIONS(10302), 1,
      sym_operator_identifier,
    ACTIONS(10558), 1,
      anon_sym_EQ,
    STATE(557), 1,
      sym_identifier,
    STATE(4059), 1,
      sym__soft_identifier,
    STATE(9718), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8737), 3,
      anon_sym_case,
      anon_sym_match,
      anon_sym_finally,
    ACTIONS(8733), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(10296), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [464321] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7336), 1,
      anon_sym_LPAREN,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10997), 1,
      anon_sym_DOT,
    ACTIONS(10999), 1,
      anon_sym_STAR,
    ACTIONS(11001), 1,
      anon_sym_AT,
    ACTIONS(11005), 1,
      anon_sym_PIPE,
    ACTIONS(11007), 1,
      sym_operator_identifier,
    ACTIONS(11117), 1,
      anon_sym_COLON,
    ACTIONS(11119), 1,
      anon_sym_EQ,
    ACTIONS(11906), 1,
      anon_sym_COMMA,
    STATE(4172), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    STATE(14452), 1,
      aux_sym_val_declaration_repeat1,
    STATE(9719), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [464382] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9720), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9029), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9031), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [464417] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9721), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8027), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8683), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [464452] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7336), 1,
      anon_sym_LPAREN,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10997), 1,
      anon_sym_DOT,
    ACTIONS(10999), 1,
      anon_sym_STAR,
    ACTIONS(11001), 1,
      anon_sym_AT,
    ACTIONS(11005), 1,
      anon_sym_PIPE,
    ACTIONS(11007), 1,
      sym_operator_identifier,
    ACTIONS(11121), 1,
      anon_sym_COLON,
    ACTIONS(11123), 1,
      anon_sym_EQ,
    ACTIONS(11906), 1,
      anon_sym_COMMA,
    STATE(4172), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    STATE(14437), 1,
      aux_sym_val_declaration_repeat1,
    STATE(9722), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [464513] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9723), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10058), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [464548] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9724), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9550), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9548), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [464583] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9725), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9021), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9023), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [464618] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9726), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9959), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9957), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [464653] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9727), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9067), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9065), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [464688] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9979), 1,
      anon_sym_DOT,
    ACTIONS(11384), 1,
      anon_sym_EQ_GT,
    STATE(9728), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8159), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [464727] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9729), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9082), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9084), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [464762] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8063), 1,
      anon_sym_EQ,
    STATE(621), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(9730), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8231), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8229), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [464803] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9731), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9029), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9031), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [464838] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7336), 1,
      anon_sym_LPAREN,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10997), 1,
      anon_sym_DOT,
    ACTIONS(10999), 1,
      anon_sym_STAR,
    ACTIONS(11001), 1,
      anon_sym_AT,
    ACTIONS(11005), 1,
      anon_sym_PIPE,
    ACTIONS(11007), 1,
      sym_operator_identifier,
    ACTIONS(11052), 1,
      anon_sym_COLON,
    ACTIONS(11054), 1,
      anon_sym_EQ,
    ACTIONS(11906), 1,
      anon_sym_COMMA,
    STATE(4172), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    STATE(14437), 1,
      aux_sym_val_declaration_repeat1,
    STATE(9732), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [464899] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9733), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10058), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [464934] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7336), 1,
      anon_sym_LPAREN,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10997), 1,
      anon_sym_DOT,
    ACTIONS(10999), 1,
      anon_sym_STAR,
    ACTIONS(11001), 1,
      anon_sym_AT,
    ACTIONS(11005), 1,
      anon_sym_PIPE,
    ACTIONS(11007), 1,
      sym_operator_identifier,
    ACTIONS(11048), 1,
      anon_sym_COLON,
    ACTIONS(11050), 1,
      anon_sym_EQ,
    ACTIONS(11906), 1,
      anon_sym_COMMA,
    STATE(4172), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    STATE(14452), 1,
      aux_sym_val_declaration_repeat1,
    STATE(9734), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [464995] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11910), 1,
      anon_sym_COLON,
    ACTIONS(11913), 1,
      anon_sym_LBRACE,
    STATE(10434), 1,
      sym_template_body,
    STATE(9735), 2,
      sym_comment,
      sym_block_comment,
    STATE(10397), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8549), 4,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8541), 11,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [465038] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9736), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8271), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [465073] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9737), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7574), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [465108] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9738), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9554), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9552), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [465143] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11916), 1,
      anon_sym_AT,
    STATE(10266), 1,
      sym_annotation,
    ACTIONS(8283), 3,
      sym__outdent,
      anon_sym_LBRACE,
      sym__backquoted_id,
    STATE(9739), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8281), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [465182] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9740), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9159), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9161), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [465217] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9741), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9159), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9161), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [465252] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9742), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10058), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [465287] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9743), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10075), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [465322] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9744), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9642), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9640), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [465357] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7580), 1,
      sym__backquoted_id,
    ACTIONS(7698), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9745), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7694), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(7696), 5,
      anon_sym_STAR,
      anon_sym_while,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(7574), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [465398] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9746), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10073), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10071), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [465433] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8051), 1,
      sym__alpha_identifier,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8065), 1,
      sym__backquoted_id,
    ACTIONS(9677), 1,
      sym_operator_identifier,
    STATE(1692), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(9747), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8055), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8057), 4,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_finally,
    ACTIONS(8061), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [465482] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8835), 1,
      sym__backquoted_id,
    STATE(9748), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8833), 19,
      anon_sym_end,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [465517] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8700), 1,
      anon_sym_EQ_GT,
    ACTIONS(9979), 1,
      anon_sym_DOT,
    STATE(9749), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8159), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [465556] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9750), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9180), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9182), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [465591] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9751), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9067), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9065), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [465626] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9752), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10058), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [465661] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8565), 1,
      anon_sym_EQ_GT,
    ACTIONS(9979), 1,
      anon_sym_DOT,
    STATE(9753), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8159), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [465700] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(10245), 1,
      sym__alpha_identifier,
    ACTIONS(10251), 1,
      anon_sym_EQ,
    ACTIONS(10253), 1,
      sym__backquoted_id,
    ACTIONS(10255), 1,
      sym_operator_identifier,
    STATE(545), 1,
      sym_identifier,
    STATE(4057), 1,
      sym__soft_identifier,
    STATE(9754), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8737), 3,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(8733), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(10249), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [465751] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11043), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9755), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(2515), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [465788] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9756), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 14,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [465823] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9979), 1,
      anon_sym_DOT,
    ACTIONS(10306), 1,
      anon_sym_EQ_GT,
    STATE(9757), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8159), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [465862] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(10294), 1,
      sym__alpha_identifier,
    ACTIONS(10298), 1,
      anon_sym_EQ,
    ACTIONS(10300), 1,
      sym__backquoted_id,
    ACTIONS(10302), 1,
      sym_operator_identifier,
    STATE(557), 1,
      sym_identifier,
    STATE(4059), 1,
      sym__soft_identifier,
    STATE(9758), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8737), 3,
      anon_sym_if,
      anon_sym_match,
      anon_sym_finally,
    ACTIONS(8733), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(10296), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [465913] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9759), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8835), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(8833), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [465948] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(10268), 1,
      sym__alpha_identifier,
    ACTIONS(10272), 1,
      anon_sym_EQ,
    ACTIONS(10274), 1,
      sym__backquoted_id,
    ACTIONS(10276), 1,
      sym_operator_identifier,
    STATE(554), 1,
      sym_identifier,
    STATE(4051), 1,
      sym__soft_identifier,
    STATE(9760), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8737), 3,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
    ACTIONS(8733), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(10270), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [465999] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(9250), 1,
      sym__alpha_identifier,
    ACTIONS(9256), 1,
      sym__backquoted_id,
    ACTIONS(9258), 1,
      sym_operator_identifier,
    ACTIONS(10259), 1,
      anon_sym_EQ,
    STATE(532), 1,
      sym_identifier,
    STATE(4025), 1,
      sym__soft_identifier,
    ACTIONS(8733), 2,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    STATE(9761), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8737), 5,
      anon_sym_match,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(9252), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [466050] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9762), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9554), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9552), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [466085] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9763), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11399), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11397), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [466120] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7580), 1,
      sym__backquoted_id,
    ACTIONS(7698), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9764), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7694), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(7696), 4,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_finally,
    ACTIONS(7574), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [466161] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(10533), 1,
      sym__alpha_identifier,
    ACTIONS(10537), 1,
      anon_sym_EQ,
    ACTIONS(10539), 1,
      sym__backquoted_id,
    ACTIONS(10541), 1,
      sym_operator_identifier,
    STATE(555), 1,
      sym_identifier,
    STATE(4049), 1,
      sym__soft_identifier,
    STATE(9765), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8733), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(8737), 4,
      anon_sym_match,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(10535), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [466212] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7580), 1,
      sym__backquoted_id,
    ACTIONS(7698), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9766), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7694), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(7696), 4,
      anon_sym_case,
      anon_sym_if,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(7574), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [466253] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8063), 1,
      anon_sym_EQ,
    STATE(621), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(9767), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8231), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8229), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [466294] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9768), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10075), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [466329] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7336), 1,
      anon_sym_LPAREN,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10997), 1,
      anon_sym_DOT,
    ACTIONS(10999), 1,
      anon_sym_STAR,
    ACTIONS(11001), 1,
      anon_sym_AT,
    ACTIONS(11005), 1,
      anon_sym_PIPE,
    ACTIONS(11007), 1,
      sym_operator_identifier,
    ACTIONS(11017), 1,
      anon_sym_COLON,
    ACTIONS(11210), 1,
      anon_sym_COMMA,
    ACTIONS(11212), 1,
      anon_sym_RPAREN,
    STATE(4172), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    STATE(15218), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(9769), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [466390] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11919), 1,
      anon_sym_DOT,
    STATE(9770), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 4,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8159), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [466427] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5886), 1,
      sym_identifier,
    STATE(8951), 1,
      sym__soft_identifier,
    STATE(9771), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9985), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9983), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [466466] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9772), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [466501] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(10920), 1,
      sym__alpha_identifier,
    ACTIONS(10926), 1,
      sym__backquoted_id,
    ACTIONS(10928), 1,
      sym_operator_identifier,
    STATE(571), 1,
      sym_identifier,
    STATE(4064), 1,
      sym__soft_identifier,
    STATE(9773), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8733), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(8737), 5,
      anon_sym_while,
      anon_sym_match,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(10922), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [466550] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9774), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10073), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10071), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [466585] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7580), 1,
      sym__backquoted_id,
    ACTIONS(7696), 1,
      anon_sym_EQ_GT,
    ACTIONS(7698), 1,
      anon_sym_QMARK_EQ_GT,
    ACTIONS(8710), 1,
      anon_sym_COLON,
    ACTIONS(8712), 1,
      anon_sym_LBRACE,
    ACTIONS(8714), 1,
      anon_sym_with,
    STATE(4697), 1,
      aux_sym_compound_type_repeat1,
    STATE(9254), 1,
      sym_template_body,
    STATE(9258), 1,
      sym__refinement,
    STATE(9159), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9775), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7574), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [466638] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9776), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9589), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9587), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [466673] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9777), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9029), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9031), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [466708] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9778), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10075), 15,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [466743] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9779), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9021), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9023), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [466778] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9780), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9180), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9182), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [466813] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9781), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10073), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10071), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [466848] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8051), 1,
      sym__alpha_identifier,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8065), 1,
      sym__backquoted_id,
    ACTIONS(9735), 1,
      sym_operator_identifier,
    STATE(1787), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(9782), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8055), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(8057), 5,
      anon_sym_while,
      anon_sym_match,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(8061), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [466897] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11923), 1,
      anon_sym_LPAREN,
    STATE(10457), 1,
      sym_parameters,
    STATE(10506), 1,
      sym__using_parameters_clause,
    STATE(9783), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_extension_definition_repeat1,
    ACTIONS(11921), 16,
      sym__indent,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [466936] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9784), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10075), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [466971] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9785), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9566), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9564), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [467006] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9786), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10075), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [467041] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7580), 1,
      sym__backquoted_id,
    ACTIONS(7698), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9787), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7694), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
    ACTIONS(7696), 5,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_PIPE,
    ACTIONS(7574), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [467082] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9788), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10073), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10071), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [467117] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9789), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10073), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10071), 15,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [467152] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9790), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9580), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9578), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [467187] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9791), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9067), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9065), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [467222] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8063), 1,
      anon_sym_EQ,
    STATE(621), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(9792), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8231), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8229), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [467263] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(9758), 1,
      sym__alpha_identifier,
    ACTIONS(9766), 1,
      sym__backquoted_id,
    ACTIONS(9768), 1,
      sym_operator_identifier,
    STATE(539), 1,
      sym_identifier,
    STATE(4042), 1,
      sym__soft_identifier,
    STATE(9793), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8733), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8737), 4,
      anon_sym_match,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(9762), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [467312] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9794), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7498), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7496), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [467347] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9248), 1,
      anon_sym_EQ_GT,
    ACTIONS(9979), 1,
      anon_sym_DOT,
    STATE(9795), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8159), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [467386] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9796), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9959), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9957), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [467421] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9797), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9029), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9031), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [467456] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9798), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9029), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9031), 15,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [467491] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9799), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9021), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9023), 15,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [467526] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9800), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [467561] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9917), 1,
      anon_sym_EQ_GT,
    ACTIONS(9979), 1,
      anon_sym_DOT,
    STATE(9801), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8159), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [467600] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9802), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10073), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10071), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [467635] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9803), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9021), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9023), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [467670] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9979), 1,
      anon_sym_DOT,
    ACTIONS(10797), 1,
      anon_sym_EQ_GT,
    STATE(9804), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8159), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [467709] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9805), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9082), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9084), 15,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [467744] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9806), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10041), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10039), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [467779] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9807), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9159), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9161), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [467814] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9979), 1,
      anon_sym_DOT,
    ACTIONS(10721), 1,
      anon_sym_EQ_GT,
    STATE(9808), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8159), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [467853] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9809), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10058), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10056), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [467888] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9810), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9082), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9084), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [467923] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9811), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9067), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9065), 14,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [467958] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7580), 1,
      sym__backquoted_id,
    ACTIONS(7698), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9812), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7694), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(7696), 5,
      anon_sym_STAR,
      anon_sym_while,
      anon_sym_EQ,
      anon_sym_then,
      anon_sym_do,
    ACTIONS(7574), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [467999] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11926), 1,
      anon_sym_with,
    STATE(9813), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(8804), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(8802), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [468036] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9814), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9180), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9182), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [468071] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9815), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(4132), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [468106] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(10380), 1,
      sym__alpha_identifier,
    ACTIONS(10386), 1,
      anon_sym_EQ,
    ACTIONS(10388), 1,
      sym__backquoted_id,
    ACTIONS(10390), 1,
      sym_operator_identifier,
    STATE(548), 1,
      sym_identifier,
    STATE(4062), 1,
      sym__soft_identifier,
    STATE(9816), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8737), 3,
      anon_sym_match,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(8733), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(10384), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [468157] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7580), 1,
      sym__backquoted_id,
    ACTIONS(7698), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9817), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7694), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(7696), 5,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_PIPE,
    ACTIONS(7574), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [468198] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9818), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9159), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9161), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [468233] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9819), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9180), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9182), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [468268] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(10268), 1,
      sym__alpha_identifier,
    ACTIONS(10274), 1,
      sym__backquoted_id,
    ACTIONS(10276), 1,
      sym_operator_identifier,
    STATE(554), 1,
      sym_identifier,
    STATE(4051), 1,
      sym__soft_identifier,
    STATE(9820), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8733), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8737), 4,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
    ACTIONS(10270), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [468317] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9821), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10047), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10045), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [468352] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5897), 1,
      sym_identifier,
    STATE(8951), 1,
      sym__soft_identifier,
    STATE(9822), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9985), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9983), 13,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [468391] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5647), 1,
      sym_identifier,
    STATE(8951), 1,
      sym__soft_identifier,
    STATE(9823), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9985), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9983), 13,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [468430] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7338), 1,
      anon_sym_DOT,
    STATE(9824), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 4,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8159), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [468467] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9825), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10058), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 15,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [468502] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9826), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9159), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9161), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [468537] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7580), 1,
      sym__backquoted_id,
    ACTIONS(7698), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9827), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7694), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(7696), 5,
      anon_sym_while,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(7574), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [468578] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(10268), 1,
      sym__alpha_identifier,
    ACTIONS(10274), 1,
      sym__backquoted_id,
    ACTIONS(10276), 1,
      sym_operator_identifier,
    ACTIONS(10453), 1,
      anon_sym_EQ,
    STATE(554), 1,
      sym_identifier,
    STATE(4051), 1,
      sym__soft_identifier,
    STATE(9828), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8737), 3,
      anon_sym_case,
      anon_sym_match,
      anon_sym_else,
    ACTIONS(8733), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(10270), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [468629] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9829), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9082), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9084), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [468664] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9830), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10058), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10056), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [468699] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9831), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9159), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9161), 15,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [468734] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9832), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8159), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [468769] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9833), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7372), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8402), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [468804] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9834), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9082), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9084), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [468839] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9849), 1,
      anon_sym_EQ_GT,
    ACTIONS(9979), 1,
      anon_sym_DOT,
    STATE(9835), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8159), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [468878] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9836), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9029), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9031), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [468913] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9837), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9021), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9023), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [468948] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9838), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [468983] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9839), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9082), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9084), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [469018] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9840), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7574), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [469053] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9841), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10058), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10056), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [469088] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9842), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7704), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8316), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [469123] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9843), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9159), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9161), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [469158] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9844), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 20,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_GT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_yield,
  [469191] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8063), 1,
      anon_sym_EQ,
    STATE(621), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(9845), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8231), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8229), 12,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [469232] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9846), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9021), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9023), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [469267] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9847), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9538), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9536), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [469302] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8051), 1,
      sym__alpha_identifier,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8063), 1,
      anon_sym_EQ,
    ACTIONS(8065), 1,
      sym__backquoted_id,
    ACTIONS(10394), 1,
      sym_operator_identifier,
    STATE(1708), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(9848), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8057), 3,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(8055), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8061), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [469353] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9849), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 6,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(7000), 14,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
  [469388] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9850), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10075), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [469423] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9851), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9180), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9182), 15,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [469458] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9852), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7574), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [469493] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9853), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7716), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8324), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [469528] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9854), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9029), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9031), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [469563] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9855), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7330), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8360), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [469598] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9856), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9180), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9182), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [469633] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9857), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7552), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8326), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [469668] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5622), 1,
      sym_identifier,
    STATE(8951), 1,
      sym__soft_identifier,
    STATE(9858), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9985), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9983), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [469707] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8051), 1,
      sym__alpha_identifier,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8065), 1,
      sym__backquoted_id,
    ACTIONS(10087), 1,
      sym_operator_identifier,
    STATE(1731), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(9859), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8055), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8057), 4,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
    ACTIONS(8061), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [469756] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8902), 1,
      anon_sym_EQ_GT,
    ACTIONS(9979), 1,
      anon_sym_DOT,
    STATE(9860), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8159), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [469795] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9861), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7704), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8316), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [469830] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9979), 1,
      anon_sym_DOT,
    ACTIONS(10490), 1,
      anon_sym_EQ_GT,
    STATE(9862), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8159), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [469869] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(10572), 1,
      sym__alpha_identifier,
    ACTIONS(10576), 1,
      anon_sym_EQ,
    ACTIONS(10578), 1,
      sym__backquoted_id,
    ACTIONS(10580), 1,
      sym_operator_identifier,
    STATE(550), 1,
      sym_identifier,
    STATE(4050), 1,
      sym__soft_identifier,
    STATE(9863), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8737), 3,
      anon_sym_match,
      anon_sym_else,
      anon_sym_then,
    ACTIONS(8733), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(10574), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [469920] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11133), 1,
      anon_sym_COLON,
    ACTIONS(7638), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    ACTIONS(11136), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(9864), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(2515), 10,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [469961] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9865), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 6,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(4132), 14,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
  [469996] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5924), 1,
      sym_identifier,
    STATE(8951), 1,
      sym__soft_identifier,
    STATE(9866), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9985), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9983), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [470035] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9867), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9542), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9540), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [470070] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9868), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7574), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [470105] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9869), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9546), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9544), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [470140] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(9597), 1,
      sym__alpha_identifier,
    ACTIONS(9603), 1,
      sym__backquoted_id,
    ACTIONS(9605), 1,
      sym_operator_identifier,
    ACTIONS(10587), 1,
      anon_sym_EQ,
    STATE(534), 1,
      sym_identifier,
    STATE(4033), 1,
      sym__soft_identifier,
    STATE(9870), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8737), 3,
      anon_sym_case,
      anon_sym_match,
      anon_sym_else,
    ACTIONS(8733), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9599), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [470191] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9871), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9180), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9182), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [470226] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11929), 1,
      anon_sym_COLON,
    ACTIONS(7638), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    ACTIONS(11932), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(9872), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(2515), 10,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [470267] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9873), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [470302] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9874), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [470337] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9979), 1,
      anon_sym_DOT,
    ACTIONS(10366), 1,
      anon_sym_EQ_GT,
    STATE(9875), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8159), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [470376] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9876), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9159), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9161), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [470411] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9877), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9881), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9879), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [470446] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9878), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7000), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [470481] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9879), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9180), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9182), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [470516] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7336), 1,
      anon_sym_LPAREN,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10997), 1,
      anon_sym_DOT,
    ACTIONS(10999), 1,
      anon_sym_STAR,
    ACTIONS(11001), 1,
      anon_sym_AT,
    ACTIONS(11005), 1,
      anon_sym_PIPE,
    ACTIONS(11007), 1,
      sym_operator_identifier,
    ACTIONS(11141), 1,
      anon_sym_COLON,
    ACTIONS(11143), 1,
      anon_sym_EQ,
    ACTIONS(11906), 1,
      anon_sym_COMMA,
    STATE(4172), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    STATE(15188), 1,
      aux_sym_val_declaration_repeat1,
    STATE(9880), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [470577] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9881), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9550), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9548), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [470612] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8051), 1,
      sym__alpha_identifier,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8063), 1,
      anon_sym_EQ,
    ACTIONS(8065), 1,
      sym__backquoted_id,
    ACTIONS(10473), 1,
      sym_operator_identifier,
    STATE(1702), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(9882), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8057), 3,
      anon_sym_match,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(8055), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8061), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [470663] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9883), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7498), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7496), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [470698] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9884), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10073), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10071), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [470733] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7336), 1,
      anon_sym_LPAREN,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10997), 1,
      anon_sym_DOT,
    ACTIONS(10999), 1,
      anon_sym_STAR,
    ACTIONS(11001), 1,
      anon_sym_AT,
    ACTIONS(11005), 1,
      anon_sym_PIPE,
    ACTIONS(11007), 1,
      sym_operator_identifier,
    ACTIONS(11011), 1,
      anon_sym_COLON,
    ACTIONS(11013), 1,
      anon_sym_EQ,
    ACTIONS(11906), 1,
      anon_sym_COMMA,
    STATE(4172), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    STATE(15009), 1,
      aux_sym_val_declaration_repeat1,
    STATE(9885), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [470794] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7336), 1,
      anon_sym_LPAREN,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10997), 1,
      anon_sym_DOT,
    ACTIONS(10999), 1,
      anon_sym_STAR,
    ACTIONS(11001), 1,
      anon_sym_AT,
    ACTIONS(11005), 1,
      anon_sym_PIPE,
    ACTIONS(11007), 1,
      sym_operator_identifier,
    ACTIONS(11145), 1,
      anon_sym_COLON,
    ACTIONS(11147), 1,
      anon_sym_EQ,
    ACTIONS(11906), 1,
      anon_sym_COMMA,
    STATE(4172), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    STATE(15194), 1,
      aux_sym_val_declaration_repeat1,
    STATE(9886), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [470855] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8051), 1,
      sym__alpha_identifier,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8065), 1,
      sym__backquoted_id,
    ACTIONS(9801), 1,
      sym_operator_identifier,
    STATE(1750), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(9887), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8055), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8057), 4,
      anon_sym_match,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(8061), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [470904] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9888), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9159), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9161), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [470939] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9889), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7716), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8324), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [470974] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9890), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10058), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [471009] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7336), 1,
      anon_sym_LPAREN,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10993), 1,
      anon_sym_COLON,
    ACTIONS(10997), 1,
      anon_sym_DOT,
    ACTIONS(10999), 1,
      anon_sym_STAR,
    ACTIONS(11001), 1,
      anon_sym_AT,
    ACTIONS(11003), 1,
      anon_sym_EQ,
    ACTIONS(11005), 1,
      anon_sym_PIPE,
    ACTIONS(11007), 1,
      sym_operator_identifier,
    ACTIONS(11906), 1,
      anon_sym_COMMA,
    STATE(4172), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    STATE(15013), 1,
      aux_sym_val_declaration_repeat1,
    STATE(9891), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [471070] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7336), 1,
      anon_sym_LPAREN,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10997), 1,
      anon_sym_DOT,
    ACTIONS(10999), 1,
      anon_sym_STAR,
    ACTIONS(11001), 1,
      anon_sym_AT,
    ACTIONS(11005), 1,
      anon_sym_PIPE,
    ACTIONS(11007), 1,
      sym_operator_identifier,
    ACTIONS(11017), 1,
      anon_sym_COLON,
    ACTIONS(11026), 1,
      anon_sym_COMMA,
    ACTIONS(11028), 1,
      anon_sym_RPAREN,
    STATE(4172), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    STATE(14558), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(9892), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [471131] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9893), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7464), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [471166] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7336), 1,
      anon_sym_LPAREN,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10169), 1,
      anon_sym_COMMA,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10997), 1,
      anon_sym_DOT,
    ACTIONS(10999), 1,
      anon_sym_STAR,
    ACTIONS(11001), 1,
      anon_sym_AT,
    ACTIONS(11005), 1,
      anon_sym_PIPE,
    ACTIONS(11007), 1,
      sym_operator_identifier,
    ACTIONS(11017), 1,
      anon_sym_COLON,
    ACTIONS(11178), 1,
      anon_sym_RPAREN,
    STATE(4172), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    STATE(14512), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(9894), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [471227] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7580), 1,
      sym__backquoted_id,
    ACTIONS(7698), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9895), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7694), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(7696), 4,
      anon_sym_while,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
    ACTIONS(7574), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [471268] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9979), 1,
      anon_sym_DOT,
    ACTIONS(11101), 1,
      anon_sym_EQ_GT,
    STATE(9896), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8159), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [471307] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9897), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9534), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9532), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [471342] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9898), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10058), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [471377] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9899), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10075), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [471412] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9900), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9977), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9975), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [471447] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9901), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9998), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9996), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [471482] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9902), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7574), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [471517] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9903), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7552), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8326), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [471552] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9904), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7552), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8326), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [471587] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9905), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9029), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9031), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [471622] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9906), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9082), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9084), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [471657] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9907), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7574), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [471692] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8298), 1,
      anon_sym_EQ_GT,
    ACTIONS(9979), 1,
      anon_sym_DOT,
    STATE(9908), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8159), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [471731] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9909), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7716), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8324), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [471766] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9910), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9021), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9023), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [471801] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9911), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9021), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9023), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [471836] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9912), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9029), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9031), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [471871] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9913), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [471906] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7336), 1,
      anon_sym_LPAREN,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10975), 1,
      anon_sym_COLON,
    ACTIONS(10977), 1,
      anon_sym_DOT,
    ACTIONS(10979), 1,
      anon_sym_STAR,
    ACTIONS(10981), 1,
      anon_sym_EQ_GT,
    ACTIONS(10983), 1,
      anon_sym_if,
    ACTIONS(10985), 1,
      anon_sym_AT,
    ACTIONS(10987), 1,
      anon_sym_PIPE,
    ACTIONS(10989), 1,
      sym_operator_identifier,
    STATE(4155), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    STATE(17354), 1,
      sym_guard,
    STATE(9914), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [471967] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7336), 1,
      anon_sym_LPAREN,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10169), 1,
      anon_sym_COMMA,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10997), 1,
      anon_sym_DOT,
    ACTIONS(10999), 1,
      anon_sym_STAR,
    ACTIONS(11001), 1,
      anon_sym_AT,
    ACTIONS(11005), 1,
      anon_sym_PIPE,
    ACTIONS(11007), 1,
      sym_operator_identifier,
    ACTIONS(11017), 1,
      anon_sym_COLON,
    ACTIONS(11019), 1,
      anon_sym_RPAREN,
    STATE(4172), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    STATE(14695), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(9915), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [472028] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7580), 1,
      sym__backquoted_id,
    ACTIONS(7698), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9916), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7694), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(7696), 4,
      anon_sym_STAR,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(7574), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [472069] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9917), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7574), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [472104] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9918), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9896), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9894), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [472139] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7580), 1,
      sym__backquoted_id,
    ACTIONS(7698), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9919), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7694), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(7696), 4,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_else,
    ACTIONS(7574), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [472180] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9920), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10073), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10071), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [472215] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5798), 1,
      sym_identifier,
    STATE(8951), 1,
      sym__soft_identifier,
    STATE(9921), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9985), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9983), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [472254] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9922), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7704), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8316), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [472289] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9923), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10073), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10071), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [472324] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9924), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10075), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [472359] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7336), 1,
      anon_sym_LPAREN,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10975), 1,
      anon_sym_COLON,
    ACTIONS(10977), 1,
      anon_sym_DOT,
    ACTIONS(10979), 1,
      anon_sym_STAR,
    ACTIONS(10983), 1,
      anon_sym_if,
    ACTIONS(10985), 1,
      anon_sym_AT,
    ACTIONS(10987), 1,
      anon_sym_PIPE,
    ACTIONS(10989), 1,
      sym_operator_identifier,
    ACTIONS(11149), 1,
      anon_sym_EQ_GT,
    STATE(4155), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    STATE(16542), 1,
      sym_guard,
    STATE(9925), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [472420] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11330), 1,
      anon_sym_AT,
    STATE(9739), 1,
      aux_sym_enum_definition_repeat1,
    STATE(10266), 1,
      sym_annotation,
    STATE(9926), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 3,
      sym__outdent,
      anon_sym_LBRACE,
      sym__backquoted_id,
    ACTIONS(8288), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [472461] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9927), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10075), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [472496] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8818), 1,
      anon_sym_EQ_GT,
    ACTIONS(9979), 1,
      anon_sym_DOT,
    STATE(9928), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8159), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [472535] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9929), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9566), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9564), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [472570] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9930), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7574), 14,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [472604] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9931), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9021), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9023), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [472638] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4250), 1,
      sym__indent,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(11935), 1,
      anon_sym_LPAREN,
    ACTIONS(11937), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(10219), 1,
      sym_colon_argument,
    STATE(9252), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(9932), 2,
      sym_comment,
      sym_block_comment,
    STATE(15899), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [472690] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7336), 1,
      anon_sym_LPAREN,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10167), 1,
      anon_sym_COLON,
    ACTIONS(10171), 1,
      anon_sym_DOT,
    ACTIONS(10173), 1,
      anon_sym_STAR,
    ACTIONS(10177), 1,
      anon_sym_AT,
    ACTIONS(10183), 1,
      anon_sym_PIPE,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10187), 1,
      sym_operator_identifier,
    STATE(4161), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    ACTIONS(11386), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(9933), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [472746] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9934), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9159), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9161), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [472780] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8818), 1,
      anon_sym_EQ_GT,
    STATE(9935), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8271), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [472816] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9936), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10073), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10071), 14,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [472850] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9937), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9159), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9161), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [472884] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9938), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9029), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9031), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [472918] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4900), 1,
      anon_sym_AT,
    ACTIONS(7392), 1,
      anon_sym_inline,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(11939), 1,
      anon_sym_implicit,
    ACTIONS(11941), 1,
      anon_sym_using,
    ACTIONS(11943), 1,
      anon_sym_RPAREN,
    ACTIONS(11945), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(9748), 1,
      sym_annotation,
    STATE(10968), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12621), 1,
      sym_inline_modifier,
    STATE(14620), 1,
      sym_parameter,
    STATE(16719), 1,
      sym_identifier,
    STATE(9939), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9321), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [472978] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4656), 1,
      sym__indent,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(11935), 1,
      anon_sym_LPAREN,
    ACTIONS(11947), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(10627), 1,
      sym_colon_argument,
    STATE(9717), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(9940), 2,
      sym_comment,
      sym_block_comment,
    STATE(16408), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [473030] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9941), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10075), 14,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [473064] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9942), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9959), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9957), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [473098] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8051), 1,
      sym__alpha_identifier,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8065), 1,
      sym__backquoted_id,
    ACTIONS(10425), 1,
      sym_operator_identifier,
    STATE(621), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(9943), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8055), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(8057), 4,
      anon_sym_while,
      anon_sym_match,
      anon_sym_then,
      anon_sym_do,
    ACTIONS(8061), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [473146] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9944), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10075), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [473180] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9945), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9082), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9084), 14,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [473214] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9946), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9789), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9787), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [473248] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9947), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9021), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9023), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [473282] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9948), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9021), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9023), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [473316] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(10955), 1,
      sym__alpha_identifier,
    ACTIONS(10959), 1,
      anon_sym_EQ,
    ACTIONS(10961), 1,
      sym__backquoted_id,
    ACTIONS(10963), 1,
      sym_operator_identifier,
    STATE(579), 1,
      sym_identifier,
    STATE(4073), 1,
      sym__soft_identifier,
    ACTIONS(8737), 2,
      anon_sym_match,
      anon_sym_finally,
    STATE(9949), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8733), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(10957), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [473366] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4202), 1,
      sym__indent,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(11935), 1,
      anon_sym_LPAREN,
    ACTIONS(11949), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(9671), 1,
      sym_colon_argument,
    STATE(7527), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(9950), 2,
      sym_comment,
      sym_block_comment,
    STATE(15813), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [473418] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4518), 1,
      sym__indent,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(11935), 1,
      anon_sym_LPAREN,
    ACTIONS(11951), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(8854), 1,
      sym_colon_argument,
    STATE(6621), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(9951), 2,
      sym_comment,
      sym_block_comment,
    STATE(16491), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [473470] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9952), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9159), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9161), 14,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [473504] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9953), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7574), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [473538] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9954), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9180), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9182), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [473572] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11384), 1,
      anon_sym_EQ_GT,
    STATE(9955), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8271), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [473608] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7336), 1,
      anon_sym_LPAREN,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10167), 1,
      anon_sym_COLON,
    ACTIONS(10171), 1,
      anon_sym_DOT,
    ACTIONS(10173), 1,
      anon_sym_STAR,
    ACTIONS(10177), 1,
      anon_sym_AT,
    ACTIONS(10183), 1,
      anon_sym_PIPE,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10187), 1,
      sym_operator_identifier,
    STATE(4161), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    ACTIONS(11407), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(9956), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [473664] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9957), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10058), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10056), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [473698] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7336), 1,
      anon_sym_LPAREN,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10167), 1,
      anon_sym_COLON,
    ACTIONS(10171), 1,
      anon_sym_DOT,
    ACTIONS(10173), 1,
      anon_sym_STAR,
    ACTIONS(10177), 1,
      anon_sym_AT,
    ACTIONS(10183), 1,
      anon_sym_PIPE,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10187), 1,
      sym_operator_identifier,
    STATE(4161), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    ACTIONS(11364), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(9958), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [473754] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9959), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8835), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8833), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [473788] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4708), 1,
      sym__indent,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(11935), 1,
      anon_sym_LPAREN,
    ACTIONS(11953), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(10081), 1,
      sym_colon_argument,
    STATE(8397), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(9960), 2,
      sym_comment,
      sym_block_comment,
    STATE(16243), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [473840] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9961), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9082), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9084), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [473874] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7336), 1,
      anon_sym_LPAREN,
    ACTIONS(10677), 1,
      sym__backquoted_id,
    ACTIONS(10977), 1,
      anon_sym_DOT,
    ACTIONS(10985), 1,
      anon_sym_AT,
    STATE(4155), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    STATE(9962), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10675), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [473918] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(10881), 1,
      sym__alpha_identifier,
    ACTIONS(10885), 1,
      anon_sym_EQ,
    ACTIONS(10887), 1,
      sym__backquoted_id,
    ACTIONS(10889), 1,
      sym_operator_identifier,
    STATE(562), 1,
      sym_identifier,
    STATE(4070), 1,
      sym__soft_identifier,
    ACTIONS(8737), 2,
      anon_sym_match,
      anon_sym_else,
    STATE(9963), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8733), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(10883), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [473968] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9964), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10073), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10071), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [474002] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9965), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9580), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9578), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [474036] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8565), 1,
      anon_sym_EQ_GT,
    STATE(9966), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8271), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [474072] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9967), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8027), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8683), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [474106] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4602), 1,
      sym__indent,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(11935), 1,
      anon_sym_LPAREN,
    ACTIONS(11955), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(10276), 1,
      sym_colon_argument,
    STATE(8936), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(9968), 2,
      sym_comment,
      sym_block_comment,
    STATE(16200), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [474158] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9969), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9029), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9031), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [474192] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(9898), 1,
      sym__alpha_identifier,
    ACTIONS(9904), 1,
      sym__backquoted_id,
    ACTIONS(9906), 1,
      sym_operator_identifier,
    ACTIONS(10891), 1,
      anon_sym_EQ,
    STATE(542), 1,
      sym_identifier,
    STATE(4035), 1,
      sym__soft_identifier,
    ACTIONS(8733), 2,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    STATE(9970), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8737), 4,
      anon_sym_match,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(9900), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [474242] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8051), 1,
      sym__alpha_identifier,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8063), 1,
      anon_sym_EQ,
    ACTIONS(8065), 1,
      sym__backquoted_id,
    ACTIONS(10788), 1,
      sym_operator_identifier,
    STATE(1794), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    ACTIONS(8057), 2,
      anon_sym_match,
      anon_sym_finally,
    STATE(9971), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8055), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8061), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [474292] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9972), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9082), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9084), 14,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [474326] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9973), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9082), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9084), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [474360] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4332), 1,
      sym__indent,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(11935), 1,
      anon_sym_LPAREN,
    ACTIONS(11957), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(9431), 1,
      sym_colon_argument,
    STATE(7230), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(9974), 2,
      sym_comment,
      sym_block_comment,
    STATE(15942), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [474412] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4292), 1,
      sym__indent,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(11935), 1,
      anon_sym_LPAREN,
    ACTIONS(11959), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(8473), 1,
      sym_colon_argument,
    STATE(5446), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(9975), 2,
      sym_comment,
      sym_block_comment,
    STATE(16037), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [474464] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7580), 1,
      sym__backquoted_id,
    ACTIONS(7694), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(7698), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9976), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7696), 5,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
    ACTIONS(7574), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [474504] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9977), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10041), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10039), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [474538] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9978), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9542), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9540), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [474572] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10918), 1,
      anon_sym_EQ_GT,
    STATE(9979), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8271), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [474608] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8051), 1,
      sym__alpha_identifier,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8065), 1,
      sym__backquoted_id,
    ACTIONS(10425), 1,
      sym_operator_identifier,
    STATE(621), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(9980), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8733), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(8737), 4,
      anon_sym_while,
      anon_sym_match,
      anon_sym_then,
      anon_sym_do,
    ACTIONS(8061), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [474656] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10125), 1,
      anon_sym_EQ_GT,
    STATE(9981), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8271), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [474692] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9982), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9546), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9544), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [474726] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9983), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10058), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [474760] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9984), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8227), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8225), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [474794] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10306), 1,
      anon_sym_EQ_GT,
    STATE(9985), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8271), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [474830] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4240), 1,
      sym__indent,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(11935), 1,
      anon_sym_LPAREN,
    ACTIONS(11961), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(9642), 1,
      sym_colon_argument,
    STATE(7924), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(9986), 2,
      sym_comment,
      sym_block_comment,
    STATE(16868), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [474882] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8298), 1,
      anon_sym_EQ_GT,
    STATE(9987), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8271), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [474918] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9988), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9754), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9752), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [474952] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9989), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9180), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9182), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [474986] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5545), 1,
      sym_identifier,
    STATE(8951), 1,
      sym__soft_identifier,
    STATE(9990), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9985), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9983), 12,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [475024] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9991), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9159), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9161), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [475058] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11963), 1,
      anon_sym_with,
    STATE(9992), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(8804), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8802), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [475094] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9993), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9082), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9084), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [475128] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9994), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7704), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8316), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [475162] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9995), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8095), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8093), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [475196] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(11966), 1,
      anon_sym_RBRACE,
    ACTIONS(11970), 1,
      anon_sym_given,
    ACTIONS(11972), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(14329), 1,
      sym_identifier,
    ACTIONS(11968), 2,
      anon_sym_STAR,
      anon_sym__,
    STATE(9996), 2,
      sym_comment,
      sym_block_comment,
    STATE(15741), 4,
      sym_namespace_wildcard,
      sym__namespace_given_by_type,
      sym_arrow_renamed_identifier,
      sym_as_renamed_identifier,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [475246] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9997), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9180), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9182), 14,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [475280] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9998), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8227), 4,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8225), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [475314] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8700), 1,
      anon_sym_EQ_GT,
    STATE(9999), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8271), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [475350] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10177), 1,
      anon_sym_AT,
    STATE(4161), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    STATE(10000), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10677), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10675), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [475390] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4362), 1,
      sym__indent,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(11935), 1,
      anon_sym_LPAREN,
    ACTIONS(11974), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(9133), 1,
      sym_colon_argument,
    STATE(6398), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10001), 2,
      sym_comment,
      sym_block_comment,
    STATE(15845), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [475442] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10002), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7574), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [475476] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10003), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9029), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9031), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [475510] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10004), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9180), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9182), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [475544] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(10830), 1,
      sym__alpha_identifier,
    ACTIONS(10834), 1,
      anon_sym_EQ,
    ACTIONS(10836), 1,
      sym__backquoted_id,
    ACTIONS(10838), 1,
      sym_operator_identifier,
    STATE(625), 1,
      sym_identifier,
    STATE(4072), 1,
      sym__soft_identifier,
    ACTIONS(8737), 2,
      anon_sym_if,
      anon_sym_match,
    STATE(10005), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8733), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(10832), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [475594] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10006), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9082), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9084), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [475628] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4382), 1,
      sym__indent,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(11935), 1,
      anon_sym_LPAREN,
    ACTIONS(11976), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(9537), 1,
      sym_colon_argument,
    STATE(7342), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10007), 2,
      sym_comment,
      sym_block_comment,
    STATE(15989), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [475680] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10008), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7574), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [475714] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10009), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7764), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(7762), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [475748] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10010), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9977), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9975), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [475782] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7530), 1,
      sym__backquoted_id,
    ACTIONS(11978), 1,
      anon_sym_LBRACK,
    ACTIONS(11980), 1,
      anon_sym_LPAREN,
    ACTIONS(11982), 1,
      anon_sym_POUND,
    STATE(10386), 1,
      aux_sym_annotation_repeat1,
    STATE(10705), 1,
      sym_type_arguments,
    STATE(10835), 1,
      sym_arguments,
    STATE(10011), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7528), 12,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [475828] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10012), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7574), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [475862] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11101), 1,
      anon_sym_EQ_GT,
    STATE(10013), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8271), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [475898] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10014), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7574), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [475932] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7336), 1,
      anon_sym_LPAREN,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10167), 1,
      anon_sym_COLON,
    ACTIONS(10171), 1,
      anon_sym_DOT,
    ACTIONS(10173), 1,
      anon_sym_STAR,
    ACTIONS(10177), 1,
      anon_sym_AT,
    ACTIONS(10183), 1,
      anon_sym_PIPE,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10187), 1,
      sym_operator_identifier,
    STATE(4161), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    ACTIONS(11376), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(10015), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [475988] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10016), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10058), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [476022] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10017), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9998), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9996), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [476056] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10018), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10073), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10071), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [476090] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7580), 1,
      sym__backquoted_id,
    ACTIONS(7698), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10019), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7694), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    ACTIONS(7696), 4,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_PIPE,
    ACTIONS(7574), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [476130] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(10920), 1,
      sym__alpha_identifier,
    ACTIONS(10924), 1,
      anon_sym_EQ,
    ACTIONS(10926), 1,
      sym__backquoted_id,
    ACTIONS(10928), 1,
      sym_operator_identifier,
    STATE(571), 1,
      sym_identifier,
    STATE(4064), 1,
      sym__soft_identifier,
    STATE(10020), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8733), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(8737), 3,
      anon_sym_match,
      anon_sym_then,
      anon_sym_finally,
    ACTIONS(10922), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [476180] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10021), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(7464), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [476214] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7580), 1,
      sym__backquoted_id,
    ACTIONS(7698), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10022), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7696), 3,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
    ACTIONS(7694), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(7574), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [476254] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10023), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10075), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [476288] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10024), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9642), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9640), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [476322] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8063), 1,
      anon_sym_EQ,
    STATE(621), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(10025), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8231), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8229), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [476362] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10026), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11399), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11397), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [476396] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10091), 1,
      anon_sym_EQ_GT,
    STATE(10027), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8271), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [476432] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10028), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9021), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9023), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [476466] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4582), 1,
      sym__indent,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(11935), 1,
      anon_sym_LPAREN,
    ACTIONS(11984), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(10521), 1,
      sym_colon_argument,
    STATE(9414), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10029), 2,
      sym_comment,
      sym_block_comment,
    STATE(16460), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [476518] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4262), 1,
      sym__indent,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(11935), 1,
      anon_sym_LPAREN,
    ACTIONS(11986), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(11569), 1,
      sym_colon_argument,
    STATE(10030), 2,
      sym_comment,
      sym_block_comment,
    STATE(10448), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(16096), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [476570] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8063), 1,
      anon_sym_EQ,
    ACTIONS(8733), 1,
      anon_sym_LBRACK,
    ACTIONS(8737), 1,
      anon_sym_match,
    ACTIONS(10830), 1,
      sym__alpha_identifier,
    ACTIONS(10836), 1,
      sym__backquoted_id,
    ACTIONS(10838), 1,
      sym_operator_identifier,
    STATE(625), 1,
      sym_identifier,
    STATE(4072), 1,
      sym__soft_identifier,
    ACTIONS(8053), 2,
      anon_sym_COLON,
      anon_sym_if,
    STATE(10031), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9498), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
    ACTIONS(10832), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [476622] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10032), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9180), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9182), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [476656] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4258), 1,
      sym__indent,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(11935), 1,
      anon_sym_LPAREN,
    ACTIONS(11988), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(9763), 1,
      sym_colon_argument,
    STATE(7933), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10033), 2,
      sym_comment,
      sym_block_comment,
    STATE(15875), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [476708] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(11970), 1,
      anon_sym_given,
    ACTIONS(11972), 1,
      sym_operator_identifier,
    ACTIONS(11990), 1,
      anon_sym_RBRACE,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(14329), 1,
      sym_identifier,
    ACTIONS(11968), 2,
      anon_sym_STAR,
      anon_sym__,
    STATE(10034), 2,
      sym_comment,
      sym_block_comment,
    STATE(15741), 4,
      sym_namespace_wildcard,
      sym__namespace_given_by_type,
      sym_arrow_renamed_identifier,
      sym_as_renamed_identifier,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [476758] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9113), 1,
      anon_sym_EQ_GT,
    STATE(10035), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8271), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [476794] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7580), 1,
      sym__backquoted_id,
    ACTIONS(7698), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10036), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7694), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(7696), 4,
      anon_sym_while,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(7574), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [476834] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(9898), 1,
      sym__alpha_identifier,
    ACTIONS(9904), 1,
      sym__backquoted_id,
    ACTIONS(9906), 1,
      sym_operator_identifier,
    ACTIONS(10814), 1,
      anon_sym_EQ,
    STATE(542), 1,
      sym_identifier,
    STATE(4035), 1,
      sym__soft_identifier,
    ACTIONS(8733), 2,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    STATE(10037), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8737), 4,
      anon_sym_while,
      anon_sym_match,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(9900), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [476884] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8051), 1,
      sym__alpha_identifier,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8063), 1,
      anon_sym_EQ,
    ACTIONS(8065), 1,
      sym__backquoted_id,
    ACTIONS(10870), 1,
      sym_operator_identifier,
    STATE(1766), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    ACTIONS(8057), 2,
      anon_sym_match,
      anon_sym_else,
    STATE(10038), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8055), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8061), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [476934] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11425), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10039), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(2515), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [476970] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10040), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9159), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9161), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [477004] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8051), 1,
      sym__alpha_identifier,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8065), 1,
      sym__backquoted_id,
    ACTIONS(10473), 1,
      sym_operator_identifier,
    STATE(1702), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(10041), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8057), 3,
      anon_sym_match,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(8055), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8061), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [477052] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10042), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8095), 4,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8093), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [477086] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10043), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10047), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10045), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [477120] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10167), 1,
      anon_sym_COLON,
    ACTIONS(10169), 1,
      anon_sym_COMMA,
    ACTIONS(10173), 1,
      anon_sym_STAR,
    ACTIONS(10181), 1,
      anon_sym_RPAREN,
    ACTIONS(10183), 1,
      anon_sym_PIPE,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10187), 1,
      sym_operator_identifier,
    STATE(4161), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    STATE(15370), 1,
      aux_sym_case_class_pattern_repeat1,
    ACTIONS(10179), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(10044), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [477176] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9098), 1,
      anon_sym_EQ_GT,
    STATE(10045), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8271), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [477212] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4900), 1,
      anon_sym_AT,
    ACTIONS(4902), 1,
      anon_sym_implicit,
    ACTIONS(4908), 1,
      anon_sym_using,
    ACTIONS(4910), 1,
      anon_sym_RPAREN,
    ACTIONS(7392), 1,
      anon_sym_inline,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(11945), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(9748), 1,
      sym_annotation,
    STATE(10968), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12621), 1,
      sym_inline_modifier,
    STATE(15099), 1,
      sym_parameter,
    STATE(16719), 1,
      sym_identifier,
    STATE(10046), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9321), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [477272] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10047), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [477306] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10048), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9550), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9548), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [477340] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10049), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7764), 4,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(7762), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [477374] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10050), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9029), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9031), 14,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [477408] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10051), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7574), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [477442] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10052), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9021), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9023), 14,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [477476] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10053), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9896), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9894), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [477510] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10054), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9180), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9182), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [477544] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7580), 1,
      sym__backquoted_id,
    ACTIONS(7698), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10055), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7696), 3,
      anon_sym_case,
      anon_sym_if,
      anon_sym_else,
    ACTIONS(7694), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(7574), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [477584] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(10245), 1,
      sym__alpha_identifier,
    ACTIONS(10253), 1,
      sym__backquoted_id,
    ACTIONS(10255), 1,
      sym_operator_identifier,
    STATE(545), 1,
      sym_identifier,
    STATE(4057), 1,
      sym__soft_identifier,
    STATE(10056), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8737), 3,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(8733), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(10249), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [477632] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10057), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9082), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9084), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [477666] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7336), 1,
      anon_sym_LPAREN,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10975), 1,
      anon_sym_COLON,
    ACTIONS(10977), 1,
      anon_sym_DOT,
    ACTIONS(10979), 1,
      anon_sym_STAR,
    ACTIONS(10985), 1,
      anon_sym_AT,
    ACTIONS(10989), 1,
      sym_operator_identifier,
    STATE(4155), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    STATE(10058), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10673), 3,
      anon_sym_EQ_GT,
      anon_sym_if,
      anon_sym_PIPE,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [477720] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11992), 1,
      anon_sym_with,
    STATE(10059), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(8804), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(8802), 13,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [477756] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10060), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9881), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9879), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [477790] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10177), 1,
      anon_sym_AT,
    STATE(4161), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    STATE(10061), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10669), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10667), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [477830] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5921), 1,
      sym_identifier,
    STATE(8951), 1,
      sym__soft_identifier,
    STATE(10062), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9985), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9983), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [477868] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10063), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10075), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [477902] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10064), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10075), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [477936] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7580), 1,
      sym__backquoted_id,
    ACTIONS(7698), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10065), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7696), 3,
      anon_sym_STAR,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(7694), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(7574), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [477976] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10066), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9021), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9023), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [478010] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10067), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9638), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9636), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [478044] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4714), 1,
      sym__indent,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(11935), 1,
      anon_sym_LPAREN,
    ACTIONS(11995), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(10026), 1,
      sym_colon_argument,
    STATE(8285), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10068), 2,
      sym_comment,
      sym_block_comment,
    STATE(16302), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [478096] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10069), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9159), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9161), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [478130] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10521), 1,
      anon_sym_EQ_GT,
    STATE(10070), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8271), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [478166] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10071), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11399), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11397), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [478200] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10490), 1,
      anon_sym_EQ_GT,
    STATE(10072), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8271), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [478236] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10073), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10075), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [478270] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10074), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10058), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10056), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [478304] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10366), 1,
      anon_sym_EQ_GT,
    STATE(10075), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8271), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [478340] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10076), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10058), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 14,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [478374] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10077), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9029), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9031), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [478408] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10078), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10073), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10071), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [478442] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10079), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9021), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9023), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [478476] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10080), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9180), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9182), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [478510] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10081), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11399), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11397), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [478544] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10082), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9082), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9084), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [478578] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10083), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9159), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9161), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [478612] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7336), 1,
      anon_sym_LPAREN,
    ACTIONS(10669), 1,
      sym__backquoted_id,
    ACTIONS(10977), 1,
      anon_sym_DOT,
    ACTIONS(10985), 1,
      anon_sym_AT,
    STATE(4155), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    STATE(10084), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10667), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [478656] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10085), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10073), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10071), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [478690] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8878), 1,
      anon_sym_LPAREN,
    ACTIONS(11997), 1,
      anon_sym_LBRACK,
    ACTIONS(11999), 1,
      anon_sym_POUND,
    STATE(10496), 1,
      aux_sym_annotation_repeat1,
    STATE(10667), 1,
      sym_type_arguments,
    STATE(11035), 1,
      sym_arguments,
    STATE(10086), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7530), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [478734] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4466), 1,
      sym__indent,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(11935), 1,
      anon_sym_LPAREN,
    ACTIONS(12001), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(10245), 1,
      sym_colon_argument,
    STATE(9053), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10087), 2,
      sym_comment,
      sym_block_comment,
    STATE(15785), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [478786] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10088), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10073), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10071), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [478820] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10089), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7716), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8324), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [478854] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11908), 1,
      anon_sym_EQ_GT,
    STATE(10090), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8271), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [478890] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10091), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9021), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9023), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [478924] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7336), 1,
      anon_sym_LPAREN,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10167), 1,
      anon_sym_COLON,
    ACTIONS(10171), 1,
      anon_sym_DOT,
    ACTIONS(10173), 1,
      anon_sym_STAR,
    ACTIONS(10177), 1,
      anon_sym_AT,
    ACTIONS(10183), 1,
      anon_sym_PIPE,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10187), 1,
      sym_operator_identifier,
    STATE(4161), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    ACTIONS(10179), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(10092), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [478980] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8051), 1,
      sym__alpha_identifier,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8063), 1,
      anon_sym_EQ,
    ACTIONS(8065), 1,
      sym__backquoted_id,
    ACTIONS(10951), 1,
      sym_operator_identifier,
    STATE(1682), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    ACTIONS(8057), 2,
      anon_sym_if,
      anon_sym_match,
    STATE(10093), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8055), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8061), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [479030] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10094), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9067), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(9065), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [479064] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(11970), 1,
      anon_sym_given,
    ACTIONS(11972), 1,
      sym_operator_identifier,
    ACTIONS(12003), 1,
      anon_sym_RBRACE,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(14329), 1,
      sym_identifier,
    ACTIONS(11968), 2,
      anon_sym_STAR,
      anon_sym__,
    STATE(10095), 2,
      sym_comment,
      sym_block_comment,
    STATE(15741), 4,
      sym_namespace_wildcard,
      sym__namespace_given_by_type,
      sym_arrow_renamed_identifier,
      sym_as_renamed_identifier,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [479114] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8051), 1,
      sym__alpha_identifier,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8065), 1,
      sym__backquoted_id,
    ACTIONS(10394), 1,
      sym_operator_identifier,
    STATE(1708), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(10096), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8057), 3,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(8055), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8061), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [479162] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10097), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9029), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9031), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [479196] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10098), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9029), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9031), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [479230] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10099), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9082), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9084), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [479264] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10100), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9566), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9564), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [479298] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10101), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10073), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10071), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [479332] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4400), 1,
      sym__indent,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(11935), 1,
      anon_sym_LPAREN,
    ACTIONS(12005), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(10559), 1,
      sym_colon_argument,
    STATE(9376), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10102), 2,
      sym_comment,
      sym_block_comment,
    STATE(15815), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [479384] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10103), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10075), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [479418] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10104), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 4,
      anon_sym_DOT,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(4132), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
  [479452] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10105), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9082), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9084), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [479486] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10106), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8835), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(8833), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [479520] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10171), 1,
      anon_sym_DOT,
    STATE(4161), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    STATE(10107), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10669), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10667), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [479560] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10108), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9180), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9182), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [479594] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10109), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9159), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9161), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [479628] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8902), 1,
      anon_sym_EQ_GT,
    STATE(10110), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8271), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [479664] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10111), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10075), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [479698] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(11970), 1,
      anon_sym_given,
    ACTIONS(11972), 1,
      sym_operator_identifier,
    ACTIONS(12007), 1,
      anon_sym_RBRACE,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(14329), 1,
      sym_identifier,
    ACTIONS(11968), 2,
      anon_sym_STAR,
      anon_sym__,
    STATE(10112), 2,
      sym_comment,
      sym_block_comment,
    STATE(15741), 4,
      sym_namespace_wildcard,
      sym__namespace_given_by_type,
      sym_arrow_renamed_identifier,
      sym_as_renamed_identifier,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [479748] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10113), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9021), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9023), 14,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [479782] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10114), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7574), 14,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [479816] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4606), 1,
      sym__indent,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(11935), 1,
      anon_sym_LPAREN,
    ACTIONS(12009), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(10158), 1,
      sym_colon_argument,
    STATE(8363), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10115), 2,
      sym_comment,
      sym_block_comment,
    STATE(15902), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [479868] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4328), 1,
      sym__indent,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(11935), 1,
      anon_sym_LPAREN,
    ACTIONS(12011), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(10501), 1,
      sym_colon_argument,
    STATE(9284), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10116), 2,
      sym_comment,
      sym_block_comment,
    STATE(16737), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [479920] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10117), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9180), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9182), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [479954] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4172), 1,
      sym__indent,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(11935), 1,
      anon_sym_LPAREN,
    ACTIONS(12013), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(10388), 1,
      sym_colon_argument,
    STATE(9398), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10118), 2,
      sym_comment,
      sym_block_comment,
    STATE(16660), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [480006] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10119), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10073), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10071), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [480040] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5589), 1,
      sym_identifier,
    STATE(8951), 1,
      sym__soft_identifier,
    STATE(10120), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9985), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9983), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [480078] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11276), 1,
      anon_sym_EQ_GT,
    STATE(10121), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8271), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [480114] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4900), 1,
      anon_sym_AT,
    ACTIONS(7392), 1,
      anon_sym_inline,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(11945), 1,
      sym_operator_identifier,
    ACTIONS(12015), 1,
      anon_sym_implicit,
    ACTIONS(12017), 1,
      anon_sym_using,
    ACTIONS(12019), 1,
      anon_sym_RPAREN,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(9748), 1,
      sym_annotation,
    STATE(10968), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12621), 1,
      sym_inline_modifier,
    STATE(14416), 1,
      sym_parameter,
    STATE(16719), 1,
      sym_identifier,
    STATE(10122), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9321), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [480174] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10721), 1,
      anon_sym_EQ_GT,
    STATE(10123), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8271), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [480210] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(9496), 1,
      sym__alpha_identifier,
    ACTIONS(9502), 1,
      sym__backquoted_id,
    ACTIONS(10940), 1,
      anon_sym_EQ,
    ACTIONS(10942), 1,
      sym_operator_identifier,
    STATE(561), 1,
      sym_identifier,
    STATE(4037), 1,
      sym__soft_identifier,
    ACTIONS(8737), 2,
      anon_sym_case,
      anon_sym_match,
    STATE(10124), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8733), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9500), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [480260] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10125), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9159), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9161), 14,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [480294] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10126), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9589), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9587), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [480328] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10127), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10058), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 14,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [480362] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7580), 1,
      sym__backquoted_id,
    ACTIONS(7698), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10128), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7696), 3,
      anon_sym_STAR,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(7694), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(7574), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [480402] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4434), 1,
      sym__indent,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(11935), 1,
      anon_sym_LPAREN,
    ACTIONS(12021), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(10071), 1,
      sym_colon_argument,
    STATE(8298), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10129), 2,
      sym_comment,
      sym_block_comment,
    STATE(16502), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [480454] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10130), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7574), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [480488] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4166), 1,
      sym__indent,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(11935), 1,
      anon_sym_LPAREN,
    ACTIONS(12023), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(10579), 1,
      sym_colon_argument,
    STATE(9683), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10131), 2,
      sym_comment,
      sym_block_comment,
    STATE(16139), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [480540] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8051), 1,
      sym__alpha_identifier,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8063), 1,
      anon_sym_EQ,
    ACTIONS(8065), 1,
      sym__backquoted_id,
    ACTIONS(10938), 1,
      sym_operator_identifier,
    STATE(1707), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    ACTIONS(8057), 2,
      anon_sym_case,
      anon_sym_match,
    STATE(10132), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8055), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8061), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [480590] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10133), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2515), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [480624] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10134), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10058), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [480658] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7336), 1,
      anon_sym_LPAREN,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10997), 1,
      anon_sym_DOT,
    ACTIONS(10999), 1,
      anon_sym_STAR,
    ACTIONS(11001), 1,
      anon_sym_AT,
    ACTIONS(11005), 1,
      anon_sym_PIPE,
    ACTIONS(11007), 1,
      sym_operator_identifier,
    ACTIONS(11017), 1,
      anon_sym_COLON,
    STATE(4172), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    ACTIONS(11328), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(10135), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [480714] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10136), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9021), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9023), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [480748] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5716), 1,
      sym_identifier,
    STATE(8951), 1,
      sym__soft_identifier,
    STATE(10137), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9985), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(9983), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [480786] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8051), 1,
      sym__alpha_identifier,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8063), 1,
      anon_sym_EQ,
    ACTIONS(8065), 1,
      sym__backquoted_id,
    ACTIONS(10916), 1,
      sym_operator_identifier,
    STATE(1769), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    ACTIONS(8057), 2,
      anon_sym_case,
      anon_sym_match,
    STATE(10138), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8055), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8061), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [480836] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8063), 1,
      anon_sym_EQ,
    STATE(621), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(10139), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8231), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8229), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [480876] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8449), 1,
      anon_sym_EQ_GT,
    STATE(10140), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8271), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [480912] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10141), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9534), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9532), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [480946] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(10830), 1,
      sym__alpha_identifier,
    ACTIONS(10836), 1,
      sym__backquoted_id,
    ACTIONS(10930), 1,
      anon_sym_EQ,
    ACTIONS(10932), 1,
      sym_operator_identifier,
    STATE(566), 1,
      sym_identifier,
    STATE(4072), 1,
      sym__soft_identifier,
    ACTIONS(8737), 2,
      anon_sym_case,
      anon_sym_match,
    STATE(10142), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8733), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(10832), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [480996] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9849), 1,
      anon_sym_EQ_GT,
    STATE(10143), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8271), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [481032] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9248), 1,
      anon_sym_EQ_GT,
    STATE(10144), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8271), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [481068] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10145), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7552), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8326), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [481102] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7580), 1,
      sym__backquoted_id,
    ACTIONS(7698), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10146), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7696), 3,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(7694), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(7574), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [481142] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10147), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9159), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9161), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [481176] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10171), 1,
      anon_sym_DOT,
    STATE(4161), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    STATE(10148), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10677), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10675), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [481216] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11442), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10149), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(2515), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [481252] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7336), 1,
      anon_sym_LPAREN,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10167), 1,
      anon_sym_COLON,
    ACTIONS(10171), 1,
      anon_sym_DOT,
    ACTIONS(10173), 1,
      anon_sym_STAR,
    ACTIONS(10177), 1,
      anon_sym_AT,
    ACTIONS(10183), 1,
      anon_sym_PIPE,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10187), 1,
      sym_operator_identifier,
    STATE(4161), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    ACTIONS(11388), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(10150), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [481308] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10151), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7574), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [481342] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10152), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10075), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [481376] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10153), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7000), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [481410] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10154), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9029), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9031), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [481444] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10167), 1,
      anon_sym_COLON,
    ACTIONS(10173), 1,
      anon_sym_STAR,
    ACTIONS(10177), 1,
      anon_sym_AT,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10187), 1,
      sym_operator_identifier,
    STATE(4161), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    ACTIONS(10671), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(10155), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10673), 3,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [481496] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5596), 1,
      sym_identifier,
    STATE(8951), 1,
      sym__soft_identifier,
    STATE(10156), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9985), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9983), 13,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [481534] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10167), 1,
      anon_sym_COLON,
    ACTIONS(10171), 1,
      anon_sym_DOT,
    ACTIONS(10173), 1,
      anon_sym_STAR,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10187), 1,
      sym_operator_identifier,
    STATE(4161), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    ACTIONS(10671), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(10157), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10673), 3,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [481586] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10158), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11399), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11397), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [481620] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10159), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9029), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9031), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [481654] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7580), 1,
      sym__backquoted_id,
    ACTIONS(7698), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10160), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7696), 3,
      anon_sym_case,
      anon_sym_if,
      anon_sym_finally,
    ACTIONS(7694), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(7574), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [481694] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10161), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 4,
      anon_sym_DOT,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(7000), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
  [481728] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5936), 1,
      sym_identifier,
    STATE(8951), 1,
      sym__soft_identifier,
    STATE(10162), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9985), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9983), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [481766] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10163), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10073), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10071), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [481800] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10797), 1,
      anon_sym_EQ_GT,
    STATE(10164), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8271), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [481836] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10165), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10058), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [481870] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4246), 1,
      sym__indent,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(11935), 1,
      anon_sym_LPAREN,
    ACTIONS(12025), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(10235), 1,
      sym_colon_argument,
    STATE(9010), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10166), 2,
      sym_comment,
      sym_block_comment,
    STATE(15855), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [481922] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5605), 1,
      sym_identifier,
    STATE(8951), 1,
      sym__soft_identifier,
    STATE(10167), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9985), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9983), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [481960] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10168), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10073), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10071), 14,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [481994] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12029), 1,
      anon_sym_LBRACK,
    ACTIONS(12031), 1,
      anon_sym_AT,
    ACTIONS(12035), 1,
      anon_sym_LPAREN,
    ACTIONS(12037), 1,
      sym__automatic_semicolon,
    STATE(10432), 1,
      sym_type_parameters,
    STATE(10987), 1,
      sym_annotation,
    STATE(11787), 1,
      sym_access_modifier,
    STATE(11788), 1,
      aux_sym__class_constructor_repeat1,
    STATE(12760), 1,
      sym_class_parameters,
    ACTIONS(12033), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(10169), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12027), 8,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [482046] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10170), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10075), 14,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [482080] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10171), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10058), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10056), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [482114] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10172), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10058), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [482148] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10173), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9180), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9182), 14,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [482182] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10174), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8027), 4,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8683), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [482216] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10175), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9029), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9031), 14,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [482250] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4254), 1,
      sym__indent,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(11935), 1,
      anon_sym_LPAREN,
    ACTIONS(12040), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(10979), 1,
      sym_colon_argument,
    STATE(10067), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10176), 2,
      sym_comment,
      sym_block_comment,
    STATE(16634), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [482302] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9917), 1,
      anon_sym_EQ_GT,
    STATE(10177), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8271), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [482338] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4210), 1,
      sym__indent,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(11935), 1,
      anon_sym_LPAREN,
    ACTIONS(12042), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(9554), 1,
      sym_colon_argument,
    STATE(6846), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10178), 2,
      sym_comment,
      sym_block_comment,
    STATE(16354), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [482390] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(10380), 1,
      sym__alpha_identifier,
    ACTIONS(10388), 1,
      sym__backquoted_id,
    ACTIONS(10390), 1,
      sym_operator_identifier,
    STATE(548), 1,
      sym_identifier,
    STATE(4062), 1,
      sym__soft_identifier,
    STATE(10179), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8737), 3,
      anon_sym_match,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(8733), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(10384), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [482438] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10180), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9180), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9182), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [482471] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8051), 1,
      sym__alpha_identifier,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8065), 1,
      sym__backquoted_id,
    ACTIONS(10870), 1,
      sym_operator_identifier,
    STATE(1766), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    ACTIONS(8057), 2,
      anon_sym_match,
      anon_sym_else,
    STATE(10181), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8055), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8061), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [482518] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10182), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9159), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9161), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [482551] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10997), 1,
      anon_sym_DOT,
    ACTIONS(10999), 1,
      anon_sym_STAR,
    ACTIONS(11005), 1,
      anon_sym_PIPE,
    ACTIONS(11007), 1,
      sym_operator_identifier,
    ACTIONS(11017), 1,
      anon_sym_COLON,
    ACTIONS(11062), 1,
      anon_sym_COMMA,
    ACTIONS(11064), 1,
      anon_sym_RPAREN,
    STATE(4172), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    STATE(14726), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(10183), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [482606] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10999), 1,
      anon_sym_STAR,
    ACTIONS(11001), 1,
      anon_sym_AT,
    ACTIONS(11005), 1,
      anon_sym_PIPE,
    ACTIONS(11007), 1,
      sym_operator_identifier,
    ACTIONS(11017), 1,
      anon_sym_COLON,
    ACTIONS(11062), 1,
      anon_sym_COMMA,
    ACTIONS(11064), 1,
      anon_sym_RPAREN,
    STATE(4172), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    STATE(14726), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(10184), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [482661] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10997), 1,
      anon_sym_DOT,
    ACTIONS(10999), 1,
      anon_sym_STAR,
    ACTIONS(11007), 1,
      sym_operator_identifier,
    ACTIONS(11017), 1,
      anon_sym_COLON,
    STATE(4172), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    ACTIONS(10671), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(10673), 2,
      anon_sym_EQ,
      anon_sym_PIPE,
    STATE(10185), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [482712] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10186), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10073), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10071), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [482745] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10999), 1,
      anon_sym_STAR,
    ACTIONS(11001), 1,
      anon_sym_AT,
    ACTIONS(11007), 1,
      sym_operator_identifier,
    ACTIONS(11017), 1,
      anon_sym_COLON,
    STATE(4172), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    ACTIONS(10671), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(10673), 2,
      anon_sym_EQ,
      anon_sym_PIPE,
    STATE(10187), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [482796] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7638), 1,
      anon_sym_QMARK_EQ_GT,
    ACTIONS(11691), 1,
      anon_sym_EQ_GT,
    STATE(10188), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(2515), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [482833] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5693), 1,
      sym_identifier,
    STATE(8951), 1,
      sym__soft_identifier,
    STATE(10189), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9985), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(9983), 13,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [482870] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10167), 1,
      anon_sym_COLON,
    ACTIONS(10173), 1,
      anon_sym_STAR,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10187), 1,
      sym_operator_identifier,
    STATE(4161), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    ACTIONS(10671), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(10190), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10673), 3,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [482919] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8733), 1,
      anon_sym_LBRACK,
    ACTIONS(10533), 1,
      sym__alpha_identifier,
    ACTIONS(10539), 1,
      sym__backquoted_id,
    ACTIONS(10541), 1,
      sym_operator_identifier,
    ACTIONS(11033), 1,
      anon_sym_EQ,
    STATE(555), 1,
      sym_identifier,
    STATE(4049), 1,
      sym__soft_identifier,
    STATE(10191), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8737), 4,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(10535), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [482968] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10192), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9021), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9023), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [483001] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10193), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10075), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [483034] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10194), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9021), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9023), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [483067] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10195), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7574), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [483100] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10196), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9021), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9023), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [483133] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8063), 1,
      anon_sym_EQ,
    STATE(621), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(10197), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8231), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8229), 10,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [483172] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10198), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10073), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10071), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [483205] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10199), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9082), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9084), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [483238] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10200), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10075), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [483271] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10997), 1,
      anon_sym_DOT,
    STATE(4172), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    STATE(10201), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10669), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10667), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [483310] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10202), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10073), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10071), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [483343] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10203), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7574), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [483376] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10204), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9029), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9031), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [483409] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(10830), 1,
      sym__alpha_identifier,
    ACTIONS(10836), 1,
      sym__backquoted_id,
    ACTIONS(10932), 1,
      sym_operator_identifier,
    STATE(566), 1,
      sym_identifier,
    STATE(4072), 1,
      sym__soft_identifier,
    ACTIONS(8737), 2,
      anon_sym_case,
      anon_sym_match,
    STATE(10205), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8733), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(10832), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [483456] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4161), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    STATE(10206), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10677), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10675), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [483493] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10207), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9159), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9161), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [483526] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10208), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9180), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9182), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [483559] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8051), 1,
      sym__alpha_identifier,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8065), 1,
      sym__backquoted_id,
    ACTIONS(10916), 1,
      sym_operator_identifier,
    STATE(1769), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    ACTIONS(8057), 2,
      anon_sym_case,
      anon_sym_match,
    STATE(10209), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8055), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8061), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [483606] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11001), 1,
      anon_sym_AT,
    STATE(4172), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    STATE(10210), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10669), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10667), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [483645] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11001), 1,
      anon_sym_AT,
    STATE(4172), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    STATE(10211), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10677), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10675), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [483684] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10997), 1,
      anon_sym_DOT,
    STATE(4172), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    STATE(10212), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10677), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10675), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [483723] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12044), 1,
      anon_sym_LBRACK,
    ACTIONS(12046), 1,
      anon_sym_AT,
    ACTIONS(12048), 1,
      anon_sym_LPAREN,
    ACTIONS(12050), 1,
      anon_sym_POUND,
    STATE(11161), 1,
      sym_type_arguments,
    STATE(11185), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12033), 1,
      sym_annotation,
    STATE(12676), 1,
      sym_arguments,
    STATE(10213), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_SEMI,
  [483770] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12052), 1,
      anon_sym_LBRACK,
    ACTIONS(12054), 1,
      anon_sym_AT,
    ACTIONS(12058), 1,
      anon_sym_LPAREN,
    ACTIONS(12060), 1,
      sym__automatic_semicolon,
    STATE(10644), 1,
      sym_type_parameters,
    STATE(11296), 1,
      sym_annotation,
    STATE(12344), 1,
      sym_access_modifier,
    STATE(12345), 1,
      aux_sym__class_constructor_repeat1,
    STATE(13116), 1,
      sym_class_parameters,
    ACTIONS(12056), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(10214), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12027), 7,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [483821] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10215), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9159), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9161), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [483854] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8051), 1,
      sym__alpha_identifier,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8065), 1,
      sym__backquoted_id,
    ACTIONS(10938), 1,
      sym_operator_identifier,
    STATE(1707), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    ACTIONS(8057), 2,
      anon_sym_case,
      anon_sym_match,
    STATE(10216), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8055), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8061), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [483901] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8051), 1,
      sym__alpha_identifier,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8065), 1,
      sym__backquoted_id,
    ACTIONS(10788), 1,
      sym_operator_identifier,
    STATE(1794), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    ACTIONS(8057), 2,
      anon_sym_match,
      anon_sym_finally,
    STATE(10217), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8055), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8061), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [483948] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10218), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9180), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9182), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [483981] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10219), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11399), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11397), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [484014] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(9496), 1,
      sym__alpha_identifier,
    ACTIONS(9502), 1,
      sym__backquoted_id,
    ACTIONS(10942), 1,
      sym_operator_identifier,
    STATE(561), 1,
      sym_identifier,
    STATE(4037), 1,
      sym__soft_identifier,
    ACTIONS(8737), 2,
      anon_sym_case,
      anon_sym_match,
    STATE(10220), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8733), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9500), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [484061] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10221), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10058), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [484094] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10222), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9029), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9031), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [484127] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4161), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    STATE(10223), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10669), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10667), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [484164] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10224), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9082), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9084), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [484197] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10225), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9180), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9182), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [484230] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(11970), 1,
      anon_sym_given,
    ACTIONS(12063), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(13996), 1,
      sym_identifier,
    ACTIONS(11968), 2,
      anon_sym_STAR,
      anon_sym__,
    STATE(10226), 2,
      sym_comment,
      sym_block_comment,
    STATE(15397), 4,
      sym_namespace_wildcard,
      sym__namespace_given_by_type,
      sym_arrow_renamed_identifier,
      sym_as_renamed_identifier,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [484277] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10227), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10058), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [484310] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10369), 1,
      sym_arguments,
    STATE(10228), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7498), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(7496), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [484345] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10229), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10073), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10071), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [484378] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(11970), 1,
      anon_sym_given,
    ACTIONS(12065), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(13986), 1,
      sym_identifier,
    ACTIONS(11968), 2,
      anon_sym_STAR,
      anon_sym__,
    STATE(10230), 2,
      sym_comment,
      sym_block_comment,
    STATE(14542), 4,
      sym_namespace_wildcard,
      sym__namespace_given_by_type,
      sym_arrow_renamed_identifier,
      sym_as_renamed_identifier,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [484425] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10231), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9082), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9084), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [484458] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10232), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10058), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [484491] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8051), 1,
      sym__alpha_identifier,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8065), 1,
      sym__backquoted_id,
    ACTIONS(10951), 1,
      sym_operator_identifier,
    STATE(1682), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    ACTIONS(8057), 2,
      anon_sym_if,
      anon_sym_match,
    STATE(10233), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8055), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8061), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [484538] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10342), 1,
      sym__end_marker,
    STATE(10234), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9292), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9290), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [484573] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10235), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11399), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11397), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [484606] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10236), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10075), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [484639] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10169), 1,
      anon_sym_COMMA,
    ACTIONS(10181), 1,
      anon_sym_RPAREN,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10999), 1,
      anon_sym_STAR,
    ACTIONS(11001), 1,
      anon_sym_AT,
    ACTIONS(11005), 1,
      anon_sym_PIPE,
    ACTIONS(11007), 1,
      sym_operator_identifier,
    ACTIONS(11017), 1,
      anon_sym_COLON,
    STATE(4172), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    STATE(15370), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(10237), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [484694] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10169), 1,
      anon_sym_COMMA,
    ACTIONS(10181), 1,
      anon_sym_RPAREN,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10997), 1,
      anon_sym_DOT,
    ACTIONS(10999), 1,
      anon_sym_STAR,
    ACTIONS(11005), 1,
      anon_sym_PIPE,
    ACTIONS(11007), 1,
      sym_operator_identifier,
    ACTIONS(11017), 1,
      anon_sym_COLON,
    STATE(4172), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    STATE(15370), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(10238), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [484749] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(10572), 1,
      sym__alpha_identifier,
    ACTIONS(10578), 1,
      sym__backquoted_id,
    ACTIONS(10580), 1,
      sym_operator_identifier,
    ACTIONS(11035), 1,
      anon_sym_EQ,
    STATE(550), 1,
      sym_identifier,
    STATE(4050), 1,
      sym__soft_identifier,
    ACTIONS(8733), 2,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    STATE(10239), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8737), 3,
      anon_sym_match,
      anon_sym_else,
      anon_sym_do,
    ACTIONS(10574), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [484798] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10240), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10058), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [484831] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10241), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7574), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [484864] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10242), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7574), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [484897] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9), 1,
      sym__alpha_identifier,
    ACTIONS(83), 1,
      sym__backquoted_id,
    ACTIONS(12067), 1,
      anon_sym_LBRACE,
    ACTIONS(12071), 1,
      sym_operator_identifier,
    STATE(4482), 1,
      sym__soft_identifier,
    STATE(13333), 1,
      sym_identifier,
    STATE(10243), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12069), 3,
      anon_sym_STAR,
      anon_sym__,
      anon_sym_given,
    STATE(13689), 3,
      sym_namespace_wildcard,
      sym_namespace_selectors,
      sym_as_renamed_identifier,
    ACTIONS(7380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [484944] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10244), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10075), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [484977] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10245), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11399), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11397), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [485010] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8051), 1,
      sym__alpha_identifier,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8057), 1,
      anon_sym_match,
    ACTIONS(8063), 1,
      anon_sym_EQ,
    ACTIONS(8065), 1,
      sym__backquoted_id,
    ACTIONS(11139), 1,
      sym_operator_identifier,
    STATE(1783), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(10246), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8055), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8061), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [485059] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10247), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9082), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9084), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [485092] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10248), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9159), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9161), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [485125] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10975), 1,
      anon_sym_COLON,
    ACTIONS(10977), 1,
      anon_sym_DOT,
    ACTIONS(10979), 1,
      anon_sym_STAR,
    ACTIONS(10981), 1,
      anon_sym_EQ_GT,
    ACTIONS(10983), 1,
      anon_sym_if,
    ACTIONS(10987), 1,
      anon_sym_PIPE,
    ACTIONS(10989), 1,
      sym_operator_identifier,
    STATE(4155), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    STATE(17354), 1,
      sym_guard,
    STATE(10249), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [485180] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10250), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7574), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [485213] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12073), 1,
      anon_sym_with,
    ACTIONS(8804), 3,
      sym__outdent,
      anon_sym_LBRACE,
      sym__backquoted_id,
    STATE(10251), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(8802), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [485248] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10252), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(7464), 13,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [485281] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10253), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9082), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9084), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [485314] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10254), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9029), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9031), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [485347] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8733), 1,
      anon_sym_LBRACK,
    ACTIONS(8737), 1,
      anon_sym_match,
    ACTIONS(10830), 1,
      sym__alpha_identifier,
    ACTIONS(10836), 1,
      sym__backquoted_id,
    ACTIONS(10838), 1,
      sym_operator_identifier,
    STATE(625), 1,
      sym_identifier,
    STATE(4072), 1,
      sym__soft_identifier,
    ACTIONS(8053), 2,
      anon_sym_COLON,
      anon_sym_if,
    STATE(10255), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9498), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
    ACTIONS(10832), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [485396] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10256), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9082), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9084), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [485429] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(473), 1,
      sym__alpha_identifier,
    ACTIONS(537), 1,
      sym__backquoted_id,
    ACTIONS(12076), 1,
      anon_sym_LBRACE,
    ACTIONS(12080), 1,
      sym_operator_identifier,
    STATE(5636), 1,
      sym__soft_identifier,
    STATE(13541), 1,
      sym_identifier,
    STATE(10257), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12078), 3,
      anon_sym_STAR,
      anon_sym__,
      anon_sym_given,
    STATE(14003), 3,
      sym_namespace_wildcard,
      sym_namespace_selectors,
      sym_as_renamed_identifier,
    ACTIONS(659), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [485476] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10258), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10058), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [485509] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8051), 1,
      sym__alpha_identifier,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8063), 1,
      anon_sym_EQ,
    ACTIONS(8065), 1,
      sym__backquoted_id,
    ACTIONS(10425), 1,
      sym_operator_identifier,
    STATE(621), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    ACTIONS(8737), 2,
      anon_sym_match,
      anon_sym_then,
    STATE(10259), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8733), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(8061), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [485558] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10260), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9159), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9161), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [485591] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10261), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9180), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9182), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [485624] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10997), 1,
      anon_sym_DOT,
    ACTIONS(10999), 1,
      anon_sym_STAR,
    ACTIONS(11005), 1,
      anon_sym_PIPE,
    ACTIONS(11007), 1,
      sym_operator_identifier,
    ACTIONS(11017), 1,
      anon_sym_COLON,
    ACTIONS(11210), 1,
      anon_sym_COMMA,
    ACTIONS(11212), 1,
      anon_sym_RPAREN,
    STATE(4172), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    STATE(15218), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(10262), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [485679] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10263), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10075), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [485712] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10999), 1,
      anon_sym_STAR,
    ACTIONS(11001), 1,
      anon_sym_AT,
    ACTIONS(11005), 1,
      anon_sym_PIPE,
    ACTIONS(11007), 1,
      sym_operator_identifier,
    ACTIONS(11017), 1,
      anon_sym_COLON,
    ACTIONS(11026), 1,
      anon_sym_COMMA,
    ACTIONS(11028), 1,
      anon_sym_RPAREN,
    STATE(4172), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    STATE(14558), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(10264), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [485767] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10997), 1,
      anon_sym_DOT,
    ACTIONS(10999), 1,
      anon_sym_STAR,
    ACTIONS(11005), 1,
      anon_sym_PIPE,
    ACTIONS(11007), 1,
      sym_operator_identifier,
    ACTIONS(11017), 1,
      anon_sym_COLON,
    ACTIONS(11026), 1,
      anon_sym_COMMA,
    ACTIONS(11028), 1,
      anon_sym_RPAREN,
    STATE(4172), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    STATE(14558), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(10265), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [485822] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10266), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8835), 3,
      sym__outdent,
      anon_sym_LBRACE,
      sym__backquoted_id,
    ACTIONS(8833), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [485855] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10267), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10073), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10071), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [485888] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10268), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9021), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9023), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [485921] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10269), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9029), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9031), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [485954] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10270), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10075), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [485987] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(10830), 1,
      sym__alpha_identifier,
    ACTIONS(10836), 1,
      sym__backquoted_id,
    ACTIONS(10838), 1,
      sym_operator_identifier,
    STATE(625), 1,
      sym_identifier,
    STATE(4072), 1,
      sym__soft_identifier,
    ACTIONS(8737), 2,
      anon_sym_if,
      anon_sym_match,
    STATE(10271), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8733), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(10832), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [486034] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10272), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9029), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9031), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [486067] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8737), 1,
      anon_sym_match,
    ACTIONS(10830), 1,
      sym__alpha_identifier,
    ACTIONS(10836), 1,
      sym__backquoted_id,
    ACTIONS(10838), 1,
      sym_operator_identifier,
    ACTIONS(11229), 1,
      anon_sym_EQ,
    STATE(625), 1,
      sym_identifier,
    STATE(4072), 1,
      sym__soft_identifier,
    STATE(10273), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8733), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(10832), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [486116] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8733), 1,
      anon_sym_LBRACK,
    ACTIONS(10533), 1,
      sym__alpha_identifier,
    ACTIONS(10539), 1,
      sym__backquoted_id,
    ACTIONS(10541), 1,
      sym_operator_identifier,
    ACTIONS(11081), 1,
      anon_sym_EQ,
    STATE(555), 1,
      sym_identifier,
    STATE(4049), 1,
      sym__soft_identifier,
    STATE(10274), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8737), 4,
      anon_sym_while,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(10535), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [486165] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10275), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9021), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9023), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [486198] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10276), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11399), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11397), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [486231] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7580), 1,
      sym__backquoted_id,
    ACTIONS(7698), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10277), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7694), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
    ACTIONS(7696), 3,
      anon_sym_case,
      anon_sym_LT_COLON,
      anon_sym_EQ,
    ACTIONS(7574), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [486270] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10278), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(7464), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [486303] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7580), 1,
      sym__backquoted_id,
    ACTIONS(7698), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10279), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7694), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(7696), 3,
      anon_sym_case,
      anon_sym_LT_COLON,
      anon_sym_EQ,
    ACTIONS(7574), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [486342] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7580), 1,
      sym__backquoted_id,
    ACTIONS(7694), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(7698), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10280), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7696), 4,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_PIPE,
    ACTIONS(7574), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [486381] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8737), 1,
      anon_sym_match,
    ACTIONS(9496), 1,
      sym__alpha_identifier,
    ACTIONS(9502), 1,
      sym__backquoted_id,
    ACTIONS(9504), 1,
      sym_operator_identifier,
    ACTIONS(11268), 1,
      anon_sym_EQ,
    STATE(546), 1,
      sym_identifier,
    STATE(4037), 1,
      sym__soft_identifier,
    STATE(10281), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8733), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9500), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [486430] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10282), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9082), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9084), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [486463] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7580), 1,
      sym__backquoted_id,
    ACTIONS(7696), 2,
      anon_sym_STAR,
      anon_sym_finally,
    ACTIONS(7698), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10283), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7694), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(7574), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [486502] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10284), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9067), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9065), 13,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [486535] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10285), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10073), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10071), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [486568] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9472), 1,
      anon_sym_LPAREN,
    ACTIONS(12082), 1,
      anon_sym_LBRACK,
    ACTIONS(12084), 1,
      anon_sym_POUND,
    STATE(10571), 1,
      aux_sym_annotation_repeat1,
    STATE(10810), 1,
      sym_type_arguments,
    STATE(11044), 1,
      sym_arguments,
    STATE(10286), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7530), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [486611] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(11970), 1,
      anon_sym_given,
    ACTIONS(11972), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(14329), 1,
      sym_identifier,
    ACTIONS(11968), 2,
      anon_sym_STAR,
      anon_sym__,
    STATE(10287), 2,
      sym_comment,
      sym_block_comment,
    STATE(15741), 4,
      sym_namespace_wildcard,
      sym__namespace_given_by_type,
      sym_arrow_renamed_identifier,
      sym_as_renamed_identifier,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [486658] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7580), 1,
      sym__backquoted_id,
    ACTIONS(7696), 2,
      anon_sym_STAR,
      anon_sym_else,
    ACTIONS(7698), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10288), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7694), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(7574), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [486697] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10169), 1,
      anon_sym_COMMA,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10999), 1,
      anon_sym_STAR,
    ACTIONS(11001), 1,
      anon_sym_AT,
    ACTIONS(11005), 1,
      anon_sym_PIPE,
    ACTIONS(11007), 1,
      sym_operator_identifier,
    ACTIONS(11017), 1,
      anon_sym_COLON,
    ACTIONS(11178), 1,
      anon_sym_RPAREN,
    STATE(4172), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    STATE(14512), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(10289), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [486752] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(473), 1,
      sym__alpha_identifier,
    ACTIONS(537), 1,
      sym__backquoted_id,
    ACTIONS(12076), 1,
      anon_sym_LBRACE,
    ACTIONS(12080), 1,
      sym_operator_identifier,
    STATE(5636), 1,
      sym__soft_identifier,
    STATE(13541), 1,
      sym_identifier,
    STATE(10290), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12078), 3,
      anon_sym_STAR,
      anon_sym__,
      anon_sym_given,
    STATE(13985), 3,
      sym_namespace_wildcard,
      sym_namespace_selectors,
      sym_as_renamed_identifier,
    ACTIONS(659), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [486799] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10291), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7574), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [486832] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10292), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10058), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [486865] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10293), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9021), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9023), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [486898] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10294), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9180), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9182), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [486931] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10169), 1,
      anon_sym_COMMA,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10999), 1,
      anon_sym_STAR,
    ACTIONS(11001), 1,
      anon_sym_AT,
    ACTIONS(11005), 1,
      anon_sym_PIPE,
    ACTIONS(11007), 1,
      sym_operator_identifier,
    ACTIONS(11017), 1,
      anon_sym_COLON,
    ACTIONS(11019), 1,
      anon_sym_RPAREN,
    STATE(4172), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    STATE(14695), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(10295), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [486986] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10296), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7574), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [487019] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10297), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10075), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [487052] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10169), 1,
      anon_sym_COMMA,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10997), 1,
      anon_sym_DOT,
    ACTIONS(10999), 1,
      anon_sym_STAR,
    ACTIONS(11005), 1,
      anon_sym_PIPE,
    ACTIONS(11007), 1,
      sym_operator_identifier,
    ACTIONS(11017), 1,
      anon_sym_COLON,
    ACTIONS(11019), 1,
      anon_sym_RPAREN,
    STATE(4172), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    STATE(14695), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(10298), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [487107] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10299), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10073), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10071), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [487140] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(10572), 1,
      sym__alpha_identifier,
    ACTIONS(10578), 1,
      sym__backquoted_id,
    ACTIONS(10580), 1,
      sym_operator_identifier,
    ACTIONS(11083), 1,
      anon_sym_EQ,
    STATE(550), 1,
      sym_identifier,
    STATE(4050), 1,
      sym__soft_identifier,
    ACTIONS(8733), 2,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    STATE(10300), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8737), 3,
      anon_sym_while,
      anon_sym_match,
      anon_sym_else,
    ACTIONS(10574), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [487189] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10301), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9159), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9161), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [487222] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12086), 1,
      anon_sym_COLON,
    ACTIONS(12089), 1,
      anon_sym_DOT,
    ACTIONS(12091), 1,
      anon_sym_LBRACK,
    ACTIONS(12094), 1,
      anon_sym_LPAREN,
    ACTIONS(12097), 1,
      sym__automatic_semicolon,
    STATE(13068), 1,
      sym__using_parameters_clause,
    STATE(13070), 1,
      sym_parameters,
    STATE(13649), 1,
      aux_sym__function_constructor_repeat1,
    STATE(13650), 1,
      sym_type_parameters,
    STATE(10302), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 9,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_SEMI,
      anon_sym_POUND,
  [487271] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10303), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9029), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9031), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [487304] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(10881), 1,
      sym__alpha_identifier,
    ACTIONS(10887), 1,
      sym__backquoted_id,
    ACTIONS(10889), 1,
      sym_operator_identifier,
    STATE(562), 1,
      sym_identifier,
    STATE(4070), 1,
      sym__soft_identifier,
    ACTIONS(8737), 2,
      anon_sym_match,
      anon_sym_else,
    STATE(10304), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8733), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(10883), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [487351] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10999), 1,
      anon_sym_STAR,
    ACTIONS(11001), 1,
      anon_sym_AT,
    ACTIONS(11005), 1,
      anon_sym_PIPE,
    ACTIONS(11007), 1,
      sym_operator_identifier,
    ACTIONS(11017), 1,
      anon_sym_COLON,
    ACTIONS(11210), 1,
      anon_sym_COMMA,
    ACTIONS(11212), 1,
      anon_sym_RPAREN,
    STATE(4172), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    STATE(15218), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(10305), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [487406] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10306), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9029), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9031), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [487439] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10307), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9159), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9161), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [487472] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7336), 1,
      anon_sym_LPAREN,
    STATE(10308), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7338), 4,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(12100), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [487507] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7580), 1,
      sym__backquoted_id,
    ACTIONS(7696), 1,
      anon_sym_EQ,
    ACTIONS(7698), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10309), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7694), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(7574), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [487546] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9490), 1,
      anon_sym_LPAREN,
    ACTIONS(12102), 1,
      anon_sym_LBRACK,
    ACTIONS(12104), 1,
      anon_sym_POUND,
    STATE(10686), 1,
      aux_sym_annotation_repeat1,
    STATE(10840), 1,
      sym_type_arguments,
    STATE(11183), 1,
      sym_arguments,
    STATE(10310), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7530), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [487589] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7580), 1,
      sym__backquoted_id,
    ACTIONS(7696), 2,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(7698), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10311), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7694), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(7574), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [487628] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10169), 1,
      anon_sym_COMMA,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10997), 1,
      anon_sym_DOT,
    ACTIONS(10999), 1,
      anon_sym_STAR,
    ACTIONS(11005), 1,
      anon_sym_PIPE,
    ACTIONS(11007), 1,
      sym_operator_identifier,
    ACTIONS(11017), 1,
      anon_sym_COLON,
    ACTIONS(11178), 1,
      anon_sym_RPAREN,
    STATE(4172), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    STATE(14512), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(10312), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [487683] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10313), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10058), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [487716] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10314), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9021), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9023), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [487749] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(10955), 1,
      sym__alpha_identifier,
    ACTIONS(10961), 1,
      sym__backquoted_id,
    ACTIONS(10963), 1,
      sym_operator_identifier,
    STATE(579), 1,
      sym_identifier,
    STATE(4073), 1,
      sym__soft_identifier,
    ACTIONS(8737), 2,
      anon_sym_match,
      anon_sym_finally,
    STATE(10315), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8733), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(10957), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [487796] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10316), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9067), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(9065), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [487829] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10317), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9180), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9182), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [487862] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8773), 1,
      anon_sym_QMARK_EQ_GT,
    STATE(10318), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8771), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8769), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [487897] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7580), 1,
      sym__backquoted_id,
    ACTIONS(7696), 2,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(7698), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10319), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7694), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(7574), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [487936] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10975), 1,
      anon_sym_COLON,
    ACTIONS(10977), 1,
      anon_sym_DOT,
    ACTIONS(10979), 1,
      anon_sym_STAR,
    ACTIONS(10983), 1,
      anon_sym_if,
    ACTIONS(10987), 1,
      anon_sym_PIPE,
    ACTIONS(10989), 1,
      sym_operator_identifier,
    ACTIONS(11149), 1,
      anon_sym_EQ_GT,
    STATE(4155), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    STATE(16542), 1,
      sym_guard,
    STATE(10320), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [487991] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8737), 1,
      anon_sym_match,
    ACTIONS(11066), 1,
      sym__alpha_identifier,
    ACTIONS(11072), 1,
      anon_sym_EQ,
    ACTIONS(11074), 1,
      sym__backquoted_id,
    ACTIONS(11076), 1,
      sym_operator_identifier,
    STATE(609), 1,
      sym_identifier,
    STATE(4075), 1,
      sym__soft_identifier,
    STATE(10321), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8733), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(11070), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [488040] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10975), 1,
      anon_sym_COLON,
    ACTIONS(10979), 1,
      anon_sym_STAR,
    ACTIONS(10983), 1,
      anon_sym_if,
    ACTIONS(10985), 1,
      anon_sym_AT,
    ACTIONS(10987), 1,
      anon_sym_PIPE,
    ACTIONS(10989), 1,
      sym_operator_identifier,
    ACTIONS(11149), 1,
      anon_sym_EQ_GT,
    STATE(4155), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    STATE(16542), 1,
      sym_guard,
    STATE(10322), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [488095] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12044), 1,
      anon_sym_LBRACK,
    ACTIONS(12046), 1,
      anon_sym_AT,
    ACTIONS(12050), 1,
      anon_sym_POUND,
    ACTIONS(12106), 1,
      anon_sym_LPAREN,
    STATE(11161), 1,
      sym_type_arguments,
    STATE(11185), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12033), 1,
      sym_annotation,
    STATE(12615), 1,
      sym_arguments,
    STATE(10323), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_SEMI,
  [488142] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9), 1,
      sym__alpha_identifier,
    ACTIONS(83), 1,
      sym__backquoted_id,
    ACTIONS(12067), 1,
      anon_sym_LBRACE,
    ACTIONS(12071), 1,
      sym_operator_identifier,
    STATE(4482), 1,
      sym__soft_identifier,
    STATE(13333), 1,
      sym_identifier,
    STATE(10324), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12069), 3,
      anon_sym_STAR,
      anon_sym__,
      anon_sym_given,
    STATE(13707), 3,
      sym_namespace_wildcard,
      sym_namespace_selectors,
      sym_as_renamed_identifier,
    ACTIONS(7380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [488189] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10975), 1,
      anon_sym_COLON,
    ACTIONS(10979), 1,
      anon_sym_STAR,
    ACTIONS(10981), 1,
      anon_sym_EQ_GT,
    ACTIONS(10983), 1,
      anon_sym_if,
    ACTIONS(10985), 1,
      anon_sym_AT,
    ACTIONS(10987), 1,
      anon_sym_PIPE,
    ACTIONS(10989), 1,
      sym_operator_identifier,
    STATE(4155), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    STATE(17354), 1,
      sym_guard,
    STATE(10325), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [488244] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10326), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9130), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9132), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [488276] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10327), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9550), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9548), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [488308] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10328), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7330), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8360), 14,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [488340] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10167), 1,
      anon_sym_COLON,
    ACTIONS(10171), 1,
      anon_sym_DOT,
    ACTIONS(10173), 1,
      anon_sym_STAR,
    ACTIONS(10183), 1,
      anon_sym_PIPE,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10187), 1,
      sym_operator_identifier,
    STATE(4161), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    ACTIONS(11364), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(10329), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [488390] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8557), 1,
      anon_sym_LPAREN,
    ACTIONS(12108), 1,
      anon_sym_LBRACK,
    ACTIONS(12110), 1,
      anon_sym_AT,
    ACTIONS(12112), 1,
      anon_sym_POUND,
    STATE(11199), 1,
      sym_type_arguments,
    STATE(11201), 1,
      aux_sym_enum_definition_repeat1,
    STATE(11870), 1,
      sym_annotation,
    STATE(16767), 1,
      sym_arguments,
    STATE(10330), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 9,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_SEMI,
  [488436] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10167), 1,
      anon_sym_COLON,
    ACTIONS(10173), 1,
      anon_sym_STAR,
    ACTIONS(10177), 1,
      anon_sym_AT,
    ACTIONS(10183), 1,
      anon_sym_PIPE,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10187), 1,
      sym_operator_identifier,
    STATE(4161), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    ACTIONS(11364), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(10331), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [488486] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10332), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9534), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9532), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [488518] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12114), 1,
      anon_sym_DOT,
    STATE(10333), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8159), 13,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [488552] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10334), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12116), 17,
      sym__indent,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
  [488582] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10335), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12118), 17,
      sym__indent,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
  [488612] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10336), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9082), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9084), 12,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [488644] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12086), 1,
      anon_sym_COLON,
    ACTIONS(12091), 1,
      anon_sym_LBRACK,
    ACTIONS(12094), 1,
      anon_sym_LPAREN,
    ACTIONS(12097), 1,
      sym__automatic_semicolon,
    ACTIONS(12120), 1,
      anon_sym_DOT,
    STATE(13068), 1,
      sym__using_parameters_clause,
    STATE(13070), 1,
      sym_parameters,
    STATE(13649), 1,
      aux_sym__function_constructor_repeat1,
    STATE(13650), 1,
      sym_type_parameters,
    STATE(10337), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 8,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_SEMI,
      anon_sym_POUND,
  [488692] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10338), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9021), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9023), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [488724] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10339), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12122), 17,
      sym__indent,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
  [488754] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4900), 1,
      anon_sym_AT,
    ACTIONS(4940), 1,
      anon_sym_RPAREN,
    ACTIONS(7392), 1,
      anon_sym_inline,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(11945), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(9748), 1,
      sym_annotation,
    STATE(10968), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12621), 1,
      sym_inline_modifier,
    STATE(15557), 1,
      sym_parameter,
    STATE(16719), 1,
      sym_identifier,
    STATE(10340), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9321), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [488808] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12124), 1,
      anon_sym_DOT,
    STATE(10341), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 16,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [488840] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10342), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9455), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9457), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [488872] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10343), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9021), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(9023), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [488904] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10344), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9546), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9544), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [488936] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10345), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9542), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9540), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [488968] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10346), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9144), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9146), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [489000] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10669), 1,
      sym__backquoted_id,
    ACTIONS(10985), 1,
      anon_sym_AT,
    STATE(4155), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    STATE(10347), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10667), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [489038] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10348), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 17,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [489068] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10349), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12126), 17,
      sym__indent,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
  [489098] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10350), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10073), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10071), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [489130] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10351), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12128), 17,
      sym__indent,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
  [489160] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4900), 1,
      anon_sym_AT,
    ACTIONS(7392), 1,
      anon_sym_inline,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(11945), 1,
      sym_operator_identifier,
    ACTIONS(12130), 1,
      anon_sym_RPAREN,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(9748), 1,
      sym_annotation,
    STATE(10968), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12621), 1,
      sym_inline_modifier,
    STATE(15557), 1,
      sym_parameter,
    STATE(16719), 1,
      sym_identifier,
    STATE(10352), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9321), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [489214] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12132), 1,
      anon_sym_with,
    STATE(10638), 1,
      aux_sym_compound_type_repeat1,
    STATE(12676), 1,
      sym_arguments,
    STATE(12766), 1,
      sym_template_body,
    STATE(12767), 1,
      sym__refinement,
    STATE(10353), 2,
      sym_comment,
      sym_block_comment,
    STATE(12897), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7498), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [489256] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12134), 1,
      anon_sym_LBRACK,
    ACTIONS(12136), 1,
      anon_sym_LPAREN,
    ACTIONS(12138), 1,
      anon_sym_POUND,
    STATE(11151), 1,
      aux_sym_annotation_repeat1,
    STATE(11191), 1,
      sym_type_arguments,
    STATE(11855), 1,
      sym_arguments,
    STATE(10354), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7530), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [489298] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10355), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 17,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [489328] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10356), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11395), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11393), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [489360] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10357), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7694), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7696), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [489392] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10358), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9538), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9536), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [489424] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12140), 1,
      anon_sym_LBRACK,
    ACTIONS(12142), 1,
      anon_sym_AT,
    ACTIONS(12144), 1,
      anon_sym_LPAREN,
    ACTIONS(12146), 1,
      anon_sym_POUND,
    STATE(11622), 1,
      aux_sym_enum_definition_repeat1,
    STATE(11746), 1,
      sym_type_arguments,
    STATE(12371), 1,
      sym_annotation,
    STATE(13100), 1,
      sym_arguments,
    STATE(10359), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_SEMI,
  [489470] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4900), 1,
      anon_sym_AT,
    ACTIONS(7392), 1,
      anon_sym_inline,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(11945), 1,
      sym_operator_identifier,
    ACTIONS(12148), 1,
      anon_sym_RPAREN,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(9748), 1,
      sym_annotation,
    STATE(10968), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12621), 1,
      sym_inline_modifier,
    STATE(14671), 1,
      sym_parameter,
    STATE(16719), 1,
      sym_identifier,
    STATE(10360), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9321), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [489524] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10361), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9029), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9031), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [489556] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10362), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9134), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9136), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [489588] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10363), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10047), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(10045), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [489620] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10364), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 4,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(7000), 13,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [489652] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10365), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9404), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9406), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [489684] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10366), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9159), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9161), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [489716] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7338), 1,
      anon_sym_DOT,
    STATE(10367), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 16,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [489748] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10368), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11344), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11342), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [489780] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10369), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9554), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9552), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [489812] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10370), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12150), 17,
      sym__indent,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
  [489842] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10371), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9130), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9132), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [489874] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8733), 1,
      anon_sym_LBRACK,
    ACTIONS(10920), 1,
      sym__alpha_identifier,
    ACTIONS(10926), 1,
      sym__backquoted_id,
    ACTIONS(10928), 1,
      sym_operator_identifier,
    ACTIONS(11437), 1,
      anon_sym_EQ,
    STATE(571), 1,
      sym_identifier,
    STATE(4064), 1,
      sym__soft_identifier,
    STATE(10372), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8737), 3,
      anon_sym_match,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(10922), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [489922] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10373), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10075), 13,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [489954] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10374), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9021), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9023), 13,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [489986] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10375), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9021), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9023), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [490018] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10376), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9082), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9084), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [490050] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10699), 1,
      aux_sym_compound_type_repeat1,
    STATE(12406), 1,
      sym__refinement,
    STATE(12409), 1,
      sym_template_body,
    STATE(12615), 1,
      sym_arguments,
    STATE(10377), 2,
      sym_comment,
      sym_block_comment,
    STATE(12419), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7498), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [490090] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10999), 1,
      anon_sym_STAR,
    ACTIONS(11005), 1,
      anon_sym_PIPE,
    ACTIONS(11007), 1,
      sym_operator_identifier,
    ACTIONS(11017), 1,
      anon_sym_COLON,
    ACTIONS(11210), 1,
      anon_sym_COMMA,
    ACTIONS(11212), 1,
      anon_sym_RPAREN,
    STATE(4172), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    STATE(15218), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(10378), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [490142] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10379), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9566), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9564), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [490174] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10677), 1,
      sym__backquoted_id,
    ACTIONS(10985), 1,
      anon_sym_AT,
    STATE(4155), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    STATE(10380), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10675), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [490212] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10381), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9082), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9084), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [490244] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10382), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9159), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9161), 13,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [490276] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10383), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9144), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9146), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [490308] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10384), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8095), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8093), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [490340] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7580), 1,
      sym__backquoted_id,
    ACTIONS(7694), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(7698), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10385), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7696), 3,
      anon_sym_COLON,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
    ACTIONS(7574), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [490378] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11980), 1,
      anon_sym_LPAREN,
    STATE(10392), 1,
      aux_sym_annotation_repeat1,
    STATE(10835), 1,
      sym_arguments,
    ACTIONS(7817), 2,
      anon_sym_LBRACK,
      sym__backquoted_id,
    STATE(10386), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7815), 12,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [490416] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10387), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7574), 13,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [490448] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10388), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11399), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11397), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [490480] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10389), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(4132), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [490512] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10390), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9029), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9031), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [490544] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10391), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9134), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9136), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [490576] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12152), 1,
      anon_sym_LPAREN,
    STATE(10835), 1,
      sym_arguments,
    ACTIONS(7788), 2,
      anon_sym_LBRACK,
      sym__backquoted_id,
    STATE(10392), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(7786), 12,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [490612] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10169), 1,
      anon_sym_COMMA,
    ACTIONS(10181), 1,
      anon_sym_RPAREN,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10999), 1,
      anon_sym_STAR,
    ACTIONS(11005), 1,
      anon_sym_PIPE,
    ACTIONS(11007), 1,
      sym_operator_identifier,
    ACTIONS(11017), 1,
      anon_sym_COLON,
    STATE(4172), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    STATE(15370), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(10393), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [490664] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10167), 1,
      anon_sym_COLON,
    ACTIONS(10173), 1,
      anon_sym_STAR,
    ACTIONS(10177), 1,
      anon_sym_AT,
    ACTIONS(10183), 1,
      anon_sym_PIPE,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10187), 1,
      sym_operator_identifier,
    STATE(4161), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    ACTIONS(10179), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(10394), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [490714] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10395), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7764), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(7762), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [490746] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10396), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9159), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9161), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [490778] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10397), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9180), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9182), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [490810] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10398), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2520), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(2515), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [490842] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10167), 1,
      anon_sym_COLON,
    ACTIONS(10171), 1,
      anon_sym_DOT,
    ACTIONS(10173), 1,
      anon_sym_STAR,
    ACTIONS(10183), 1,
      anon_sym_PIPE,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10187), 1,
      sym_operator_identifier,
    STATE(4161), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    ACTIONS(10179), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(10399), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [490892] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10400), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 4,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(4132), 13,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [490924] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12044), 1,
      anon_sym_LBRACK,
    ACTIONS(12046), 1,
      anon_sym_AT,
    ACTIONS(12050), 1,
      anon_sym_POUND,
    STATE(11161), 1,
      sym_type_arguments,
    STATE(11185), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12033), 1,
      sym_annotation,
    STATE(10401), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [490966] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7338), 1,
      anon_sym_DOT,
    STATE(10402), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 16,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_yield,
  [490998] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10669), 1,
      sym__backquoted_id,
    ACTIONS(10977), 1,
      anon_sym_DOT,
    STATE(4155), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    STATE(10403), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10667), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [491036] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10404), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10058), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [491068] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10405), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9159), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9161), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [491100] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10406), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9029), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9031), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [491132] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10407), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11292), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11290), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [491164] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4172), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    STATE(10408), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10677), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10675), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [491200] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10409), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10073), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10071), 13,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [491232] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10410), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7704), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8316), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [491264] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10411), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9180), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(9182), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [491296] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10412), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11302), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11300), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [491328] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10413), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11306), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11304), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [491360] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10414), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11316), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11314), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [491392] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10415), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9180), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9182), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [491424] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10416), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11285), 17,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [491454] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10417), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9159), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(9161), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [491486] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10418), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11320), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11318), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [491518] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10419), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9462), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9464), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [491550] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4900), 1,
      anon_sym_AT,
    ACTIONS(7392), 1,
      anon_sym_inline,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(11945), 1,
      sym_operator_identifier,
    ACTIONS(12155), 1,
      anon_sym_RPAREN,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(9748), 1,
      sym_annotation,
    STATE(10968), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12621), 1,
      sym_inline_modifier,
    STATE(15557), 1,
      sym_parameter,
    STATE(16719), 1,
      sym_identifier,
    STATE(10420), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9321), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [491604] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10999), 1,
      anon_sym_STAR,
    ACTIONS(11007), 1,
      sym_operator_identifier,
    ACTIONS(11017), 1,
      anon_sym_COLON,
    STATE(4172), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    ACTIONS(10671), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(10673), 2,
      anon_sym_EQ,
      anon_sym_PIPE,
    STATE(10421), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [491652] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10422), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9589), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9587), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [491684] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10423), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10075), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [491716] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10424), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9180), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9182), 13,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [491748] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10425), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9029), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9031), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [491780] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10426), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9082), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(9084), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [491812] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7580), 1,
      sym__backquoted_id,
    ACTIONS(7696), 1,
      anon_sym_else,
    ACTIONS(7698), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10427), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7694), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(7574), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [491850] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10428), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9082), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9084), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [491882] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10429), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9159), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9161), 12,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [491914] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4900), 1,
      anon_sym_AT,
    ACTIONS(7392), 1,
      anon_sym_inline,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(11945), 1,
      sym_operator_identifier,
    ACTIONS(12157), 1,
      anon_sym_RPAREN,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(9748), 1,
      sym_annotation,
    STATE(10968), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12621), 1,
      sym_inline_modifier,
    STATE(15316), 1,
      sym_parameter,
    STATE(16719), 1,
      sym_identifier,
    STATE(10430), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9321), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [491968] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10999), 1,
      anon_sym_STAR,
    ACTIONS(11005), 1,
      anon_sym_PIPE,
    ACTIONS(11007), 1,
      sym_operator_identifier,
    ACTIONS(11017), 1,
      anon_sym_COLON,
    ACTIONS(11062), 1,
      anon_sym_COMMA,
    ACTIONS(11064), 1,
      anon_sym_RPAREN,
    STATE(4172), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    STATE(14726), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(10431), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [492020] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12031), 1,
      anon_sym_AT,
    ACTIONS(12035), 1,
      anon_sym_LPAREN,
    ACTIONS(12161), 1,
      sym__automatic_semicolon,
    STATE(10881), 1,
      sym_annotation,
    STATE(11890), 1,
      sym_access_modifier,
    STATE(11892), 1,
      aux_sym__class_constructor_repeat1,
    STATE(12760), 1,
      sym_class_parameters,
    ACTIONS(12033), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(10432), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12159), 8,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [492066] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10433), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7574), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [492098] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10434), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9580), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9578), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [492130] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10435), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9977), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9975), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [492162] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12166), 1,
      anon_sym_case,
    ACTIONS(12168), 1,
      anon_sym_EQ,
    ACTIONS(12172), 1,
      sym__backquoted_id,
    STATE(10436), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12170), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
    ACTIONS(12164), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [492200] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12172), 1,
      sym__backquoted_id,
    ACTIONS(12174), 1,
      anon_sym_case,
    ACTIONS(12176), 1,
      anon_sym_EQ,
    STATE(10437), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12178), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
    ACTIONS(12164), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [492238] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10167), 1,
      anon_sym_COLON,
    ACTIONS(10171), 1,
      anon_sym_DOT,
    ACTIONS(10173), 1,
      anon_sym_STAR,
    ACTIONS(10183), 1,
      anon_sym_PIPE,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10187), 1,
      sym_operator_identifier,
    STATE(4161), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    ACTIONS(11407), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(10438), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [492288] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10439), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12180), 17,
      sym__indent,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
  [492318] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10975), 1,
      anon_sym_COLON,
    ACTIONS(10977), 1,
      anon_sym_DOT,
    ACTIONS(10979), 1,
      anon_sym_STAR,
    ACTIONS(10989), 1,
      sym_operator_identifier,
    STATE(4155), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    STATE(10440), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10673), 3,
      anon_sym_EQ_GT,
      anon_sym_if,
      anon_sym_PIPE,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [492366] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4900), 1,
      anon_sym_AT,
    ACTIONS(7392), 1,
      anon_sym_inline,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(11945), 1,
      sym_operator_identifier,
    ACTIONS(12182), 1,
      anon_sym_RPAREN,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(9748), 1,
      sym_annotation,
    STATE(10968), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12621), 1,
      sym_inline_modifier,
    STATE(15557), 1,
      sym_parameter,
    STATE(16719), 1,
      sym_identifier,
    STATE(10441), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9321), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [492420] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4172), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    STATE(10442), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10669), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10667), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [492456] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10167), 1,
      anon_sym_COLON,
    ACTIONS(10173), 1,
      anon_sym_STAR,
    ACTIONS(10177), 1,
      anon_sym_AT,
    ACTIONS(10183), 1,
      anon_sym_PIPE,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10187), 1,
      sym_operator_identifier,
    STATE(4161), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    ACTIONS(11407), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(10443), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [492506] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10444), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9029), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9031), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [492538] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10445), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12184), 17,
      sym__indent,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
  [492568] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10446), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9998), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9996), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [492600] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10447), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11337), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11335), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [492632] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10448), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9638), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9636), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [492664] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10449), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(7574), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [492696] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12166), 1,
      anon_sym_case,
    ACTIONS(12172), 1,
      sym__backquoted_id,
    ACTIONS(12186), 1,
      anon_sym_EQ,
    STATE(10450), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12170), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(12164), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [492734] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10451), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10041), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(10039), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [492766] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12172), 1,
      sym__backquoted_id,
    ACTIONS(12174), 1,
      anon_sym_case,
    ACTIONS(12188), 1,
      anon_sym_EQ,
    STATE(10452), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12178), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(12164), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [492804] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10453), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9180), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9182), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [492836] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10454), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9642), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9640), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [492868] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10455), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11344), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11342), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [492900] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10456), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10058), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 12,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [492932] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10457), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12190), 17,
      sym__indent,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
  [492962] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4900), 1,
      anon_sym_AT,
    ACTIONS(7392), 1,
      anon_sym_inline,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(11945), 1,
      sym_operator_identifier,
    ACTIONS(12192), 1,
      anon_sym_RPAREN,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(9748), 1,
      sym_annotation,
    STATE(10968), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12621), 1,
      sym_inline_modifier,
    STATE(15557), 1,
      sym_parameter,
    STATE(16719), 1,
      sym_identifier,
    STATE(10458), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9321), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [493016] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10999), 1,
      anon_sym_STAR,
    ACTIONS(11001), 1,
      anon_sym_AT,
    ACTIONS(11005), 1,
      anon_sym_PIPE,
    ACTIONS(11007), 1,
      sym_operator_identifier,
    ACTIONS(11017), 1,
      anon_sym_COLON,
    STATE(4172), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    ACTIONS(11328), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(10459), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [493066] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10460), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9021), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9023), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [493098] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4900), 1,
      anon_sym_AT,
    ACTIONS(5036), 1,
      anon_sym_RPAREN,
    ACTIONS(7392), 1,
      anon_sym_inline,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(11945), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(9748), 1,
      sym_annotation,
    STATE(10968), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12621), 1,
      sym_inline_modifier,
    STATE(15557), 1,
      sym_parameter,
    STATE(16719), 1,
      sym_identifier,
    STATE(10461), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9321), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [493152] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12108), 1,
      anon_sym_LBRACK,
    ACTIONS(12112), 1,
      anon_sym_POUND,
    ACTIONS(12194), 1,
      anon_sym_LPAREN,
    STATE(11080), 1,
      aux_sym_annotation_repeat1,
    STATE(11199), 1,
      sym_type_arguments,
    STATE(12177), 1,
      sym_arguments,
    STATE(10462), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7530), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_SEMI,
  [493194] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10463), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11337), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11335), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [493226] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4900), 1,
      anon_sym_AT,
    ACTIONS(7392), 1,
      anon_sym_inline,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(11945), 1,
      sym_operator_identifier,
    ACTIONS(12196), 1,
      anon_sym_RPAREN,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(9748), 1,
      sym_annotation,
    STATE(10968), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12621), 1,
      sym_inline_modifier,
    STATE(15557), 1,
      sym_parameter,
    STATE(16719), 1,
      sym_identifier,
    STATE(10464), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9321), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [493280] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10465), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9159), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9161), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [493312] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10466), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10058), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(10056), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [493344] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4900), 1,
      anon_sym_AT,
    ACTIONS(5052), 1,
      anon_sym_RPAREN,
    ACTIONS(7392), 1,
      anon_sym_inline,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(11945), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(9748), 1,
      sym_annotation,
    STATE(10968), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12621), 1,
      sym_inline_modifier,
    STATE(15557), 1,
      sym_parameter,
    STATE(16719), 1,
      sym_identifier,
    STATE(10467), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9321), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [493398] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4900), 1,
      anon_sym_AT,
    ACTIONS(7392), 1,
      anon_sym_inline,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(11945), 1,
      sym_operator_identifier,
    ACTIONS(12198), 1,
      anon_sym_RPAREN,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(9748), 1,
      sym_annotation,
    STATE(10968), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12621), 1,
      sym_inline_modifier,
    STATE(15557), 1,
      sym_parameter,
    STATE(16719), 1,
      sym_identifier,
    STATE(10468), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9321), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [493452] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10167), 1,
      anon_sym_COLON,
    ACTIONS(10171), 1,
      anon_sym_DOT,
    ACTIONS(10173), 1,
      anon_sym_STAR,
    ACTIONS(10183), 1,
      anon_sym_PIPE,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10187), 1,
      sym_operator_identifier,
    STATE(4161), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    ACTIONS(11388), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(10469), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [493502] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10470), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10058), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(10056), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [493534] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10471), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9180), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9182), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [493566] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10472), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9789), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9787), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [493598] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10473), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9754), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9752), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [493630] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10167), 1,
      anon_sym_COLON,
    ACTIONS(10173), 1,
      anon_sym_STAR,
    ACTIONS(10177), 1,
      anon_sym_AT,
    ACTIONS(10183), 1,
      anon_sym_PIPE,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10187), 1,
      sym_operator_identifier,
    STATE(4161), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    ACTIONS(11388), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(10474), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [493680] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10475), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11285), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11283), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [493712] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10476), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9130), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9132), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [493744] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10477), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7498), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(7496), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [493776] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10677), 1,
      sym__backquoted_id,
    ACTIONS(10977), 1,
      anon_sym_DOT,
    STATE(4155), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    STATE(10478), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10675), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [493814] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10479), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9159), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9161), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [493846] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5685), 1,
      sym_identifier,
    STATE(8951), 1,
      sym__soft_identifier,
    STATE(10480), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9985), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(9983), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [493882] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4900), 1,
      anon_sym_AT,
    ACTIONS(7392), 1,
      anon_sym_inline,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(11945), 1,
      sym_operator_identifier,
    ACTIONS(12200), 1,
      anon_sym_RPAREN,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(9748), 1,
      sym_annotation,
    STATE(10968), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12621), 1,
      sym_inline_modifier,
    STATE(15557), 1,
      sym_parameter,
    STATE(16719), 1,
      sym_identifier,
    STATE(10481), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9321), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [493936] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4900), 1,
      anon_sym_AT,
    ACTIONS(5032), 1,
      anon_sym_RPAREN,
    ACTIONS(7392), 1,
      anon_sym_inline,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(11945), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(9748), 1,
      sym_annotation,
    STATE(10968), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12621), 1,
      sym_inline_modifier,
    STATE(15557), 1,
      sym_parameter,
    STATE(16719), 1,
      sym_identifier,
    STATE(10482), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9321), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [493990] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10483), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9134), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9136), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [494022] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10484), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9144), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9146), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [494054] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7580), 1,
      sym__backquoted_id,
    ACTIONS(7696), 2,
      anon_sym_LT_COLON,
      anon_sym_EQ,
    ACTIONS(7698), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10485), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7694), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    ACTIONS(7574), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [494092] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10486), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7716), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8324), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [494124] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4900), 1,
      anon_sym_AT,
    ACTIONS(5054), 1,
      anon_sym_RPAREN,
    ACTIONS(7392), 1,
      anon_sym_inline,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(11945), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(9748), 1,
      sym_annotation,
    STATE(10968), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12621), 1,
      sym_inline_modifier,
    STATE(15557), 1,
      sym_parameter,
    STATE(16719), 1,
      sym_identifier,
    STATE(10487), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9321), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [494178] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10488), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9082), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9084), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [494210] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8737), 1,
      anon_sym_match,
    ACTIONS(11066), 1,
      sym__alpha_identifier,
    ACTIONS(11074), 1,
      sym__backquoted_id,
    ACTIONS(11076), 1,
      sym_operator_identifier,
    STATE(609), 1,
      sym_identifier,
    STATE(4075), 1,
      sym__soft_identifier,
    STATE(10489), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8733), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(11070), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [494256] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10490), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11320), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11318), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [494288] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10491), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9029), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(9031), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [494320] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4900), 1,
      anon_sym_AT,
    ACTIONS(7392), 1,
      anon_sym_inline,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(11945), 1,
      sym_operator_identifier,
    ACTIONS(12202), 1,
      anon_sym_RPAREN,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(9748), 1,
      sym_annotation,
    STATE(10968), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12621), 1,
      sym_inline_modifier,
    STATE(14486), 1,
      sym_parameter,
    STATE(16719), 1,
      sym_identifier,
    STATE(10492), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9321), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [494374] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10493), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9082), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9084), 13,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [494406] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10167), 1,
      anon_sym_COLON,
    ACTIONS(10173), 1,
      anon_sym_STAR,
    ACTIONS(10177), 1,
      anon_sym_AT,
    ACTIONS(10183), 1,
      anon_sym_PIPE,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10187), 1,
      sym_operator_identifier,
    STATE(4161), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    ACTIONS(11376), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(10494), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [494456] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10495), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8227), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8225), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [494488] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8878), 1,
      anon_sym_LPAREN,
    STATE(10525), 1,
      aux_sym_annotation_repeat1,
    STATE(11035), 1,
      sym_arguments,
    STATE(10496), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7817), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [494524] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8051), 1,
      sym__alpha_identifier,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8057), 1,
      anon_sym_match,
    ACTIONS(8065), 1,
      sym__backquoted_id,
    ACTIONS(11139), 1,
      sym_operator_identifier,
    STATE(1783), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(10497), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8055), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8061), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [494570] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10498), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7574), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [494602] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10499), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11316), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11314), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [494634] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10500), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10073), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(10071), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [494666] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10501), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11399), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11397), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [494698] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10502), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9021), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9023), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [494730] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10503), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11306), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11304), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [494762] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7580), 1,
      sym__backquoted_id,
    ACTIONS(7696), 1,
      anon_sym_STAR,
    ACTIONS(7698), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10504), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7694), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(7574), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [494800] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9812), 1,
      anon_sym_LPAREN,
    ACTIONS(12204), 1,
      anon_sym_LBRACK,
    ACTIONS(12206), 1,
      anon_sym_POUND,
    STATE(10988), 1,
      aux_sym_annotation_repeat1,
    STATE(11124), 1,
      sym_type_arguments,
    STATE(11740), 1,
      sym_arguments,
    STATE(10505), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7530), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [494842] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10506), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12208), 17,
      sym__indent,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
  [494872] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10507), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 3,
      sym__outdent,
      anon_sym_LBRACE,
      sym__backquoted_id,
    ACTIONS(7464), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [494904] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10508), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7694), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7696), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [494936] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10509), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(7000), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [494968] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10510), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11302), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11300), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [495000] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10511), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11395), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11393), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [495032] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10997), 1,
      anon_sym_DOT,
    ACTIONS(10999), 1,
      anon_sym_STAR,
    ACTIONS(11005), 1,
      anon_sym_PIPE,
    ACTIONS(11007), 1,
      sym_operator_identifier,
    ACTIONS(11017), 1,
      anon_sym_COLON,
    STATE(4172), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    ACTIONS(11328), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(10512), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [495082] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10167), 1,
      anon_sym_COLON,
    ACTIONS(10171), 1,
      anon_sym_DOT,
    ACTIONS(10173), 1,
      anon_sym_STAR,
    ACTIONS(10183), 1,
      anon_sym_PIPE,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10187), 1,
      sym_operator_identifier,
    STATE(4161), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    ACTIONS(11376), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(10513), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [495132] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10514), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9447), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [495164] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10515), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9449), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9451), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [495196] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10516), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(10075), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [495228] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12044), 1,
      anon_sym_LBRACK,
    ACTIONS(12050), 1,
      anon_sym_POUND,
    ACTIONS(12106), 1,
      anon_sym_LPAREN,
    STATE(11161), 1,
      sym_type_arguments,
    STATE(11182), 1,
      aux_sym_annotation_repeat1,
    STATE(12123), 1,
      sym_arguments,
    STATE(10517), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7530), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_SEMI,
  [495270] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10518), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9180), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9182), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [495302] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10519), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9881), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9879), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [495334] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10975), 1,
      anon_sym_COLON,
    ACTIONS(10979), 1,
      anon_sym_STAR,
    ACTIONS(10985), 1,
      anon_sym_AT,
    ACTIONS(10989), 1,
      sym_operator_identifier,
    STATE(4155), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    STATE(10520), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10673), 3,
      anon_sym_EQ_GT,
      anon_sym_if,
      anon_sym_PIPE,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [495382] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10521), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11399), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11397), 12,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [495414] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10522), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9896), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9894), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [495446] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7336), 1,
      anon_sym_LPAREN,
    STATE(10523), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7338), 4,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(12100), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [495480] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10999), 1,
      anon_sym_STAR,
    ACTIONS(11005), 1,
      anon_sym_PIPE,
    ACTIONS(11007), 1,
      sym_operator_identifier,
    ACTIONS(11017), 1,
      anon_sym_COLON,
    ACTIONS(11026), 1,
      anon_sym_COMMA,
    ACTIONS(11028), 1,
      anon_sym_RPAREN,
    STATE(4172), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    STATE(14558), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(10524), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [495532] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12210), 1,
      anon_sym_LPAREN,
    STATE(11035), 1,
      sym_arguments,
    STATE(10525), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(7788), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [495566] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10526), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9067), 3,
      sym__outdent,
      anon_sym_LBRACE,
      sym__backquoted_id,
    ACTIONS(9065), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [495598] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7580), 1,
      sym__backquoted_id,
    ACTIONS(7696), 1,
      anon_sym_finally,
    ACTIONS(7698), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10527), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7694), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(7574), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [495636] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10528), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7574), 12,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [495668] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10529), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11292), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11290), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [495700] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10169), 1,
      anon_sym_COMMA,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10999), 1,
      anon_sym_STAR,
    ACTIONS(11005), 1,
      anon_sym_PIPE,
    ACTIONS(11007), 1,
      sym_operator_identifier,
    ACTIONS(11017), 1,
      anon_sym_COLON,
    ACTIONS(11178), 1,
      anon_sym_RPAREN,
    STATE(4172), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    STATE(14512), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(10530), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [495752] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10531), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9029), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9031), 13,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [495784] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10532), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7112), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(7110), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [495816] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4900), 1,
      anon_sym_AT,
    ACTIONS(7392), 1,
      anon_sym_inline,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(11945), 1,
      sym_operator_identifier,
    ACTIONS(12213), 1,
      anon_sym_RPAREN,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(9748), 1,
      sym_annotation,
    STATE(10968), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12621), 1,
      sym_inline_modifier,
    STATE(15557), 1,
      sym_parameter,
    STATE(16719), 1,
      sym_identifier,
    STATE(10533), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9321), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [495870] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10534), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11371), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11369), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [495902] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10535), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7552), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8326), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [495934] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10536), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11371), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11369), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [495966] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10537), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10058), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [495998] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10538), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9959), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9957), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [496030] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7338), 1,
      anon_sym_DOT,
    STATE(10539), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8159), 13,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [496064] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10540), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9180), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9182), 12,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [496096] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10541), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12215), 17,
      sym__indent,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
  [496126] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12140), 1,
      anon_sym_LBRACK,
    ACTIONS(12142), 1,
      anon_sym_AT,
    ACTIONS(12146), 1,
      anon_sym_POUND,
    ACTIONS(12217), 1,
      anon_sym_LPAREN,
    STATE(11622), 1,
      aux_sym_enum_definition_repeat1,
    STATE(11746), 1,
      sym_type_arguments,
    STATE(12371), 1,
      sym_annotation,
    STATE(12840), 1,
      sym_arguments,
    STATE(10542), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_SEMI,
  [496172] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10543), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12219), 17,
      sym__indent,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
  [496202] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10544), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12221), 17,
      sym__indent,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
  [496232] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9825), 1,
      anon_sym_LPAREN,
    ACTIONS(12223), 1,
      anon_sym_LBRACK,
    ACTIONS(12225), 1,
      anon_sym_POUND,
    STATE(10905), 1,
      aux_sym_annotation_repeat1,
    STATE(11325), 1,
      sym_type_arguments,
    STATE(11503), 1,
      sym_arguments,
    STATE(10545), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7530), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [496274] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10975), 1,
      anon_sym_COLON,
    ACTIONS(10979), 1,
      anon_sym_STAR,
    ACTIONS(10981), 1,
      anon_sym_EQ_GT,
    ACTIONS(10983), 1,
      anon_sym_if,
    ACTIONS(10987), 1,
      anon_sym_PIPE,
    ACTIONS(10989), 1,
      sym_operator_identifier,
    STATE(4155), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    STATE(17354), 1,
      sym_guard,
    STATE(10546), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [496326] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4900), 1,
      anon_sym_AT,
    ACTIONS(7392), 1,
      anon_sym_inline,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(11945), 1,
      sym_operator_identifier,
    ACTIONS(12227), 1,
      anon_sym_RPAREN,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(9748), 1,
      sym_annotation,
    STATE(10968), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12621), 1,
      sym_inline_modifier,
    STATE(15557), 1,
      sym_parameter,
    STATE(16719), 1,
      sym_identifier,
    STATE(10547), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9321), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [496380] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10169), 1,
      anon_sym_COMMA,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10999), 1,
      anon_sym_STAR,
    ACTIONS(11005), 1,
      anon_sym_PIPE,
    ACTIONS(11007), 1,
      sym_operator_identifier,
    ACTIONS(11017), 1,
      anon_sym_COLON,
    ACTIONS(11019), 1,
      anon_sym_RPAREN,
    STATE(4172), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    STATE(14695), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(10548), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [496432] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10549), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9021), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9023), 12,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [496464] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10550), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10075), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [496496] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10551), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10073), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10071), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [496528] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10552), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12229), 17,
      sym__indent,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
  [496558] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10553), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(10075), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [496590] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10554), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9082), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9084), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [496622] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10555), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11285), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11283), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [496654] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10556), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10075), 12,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [496686] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4900), 1,
      anon_sym_AT,
    ACTIONS(4926), 1,
      anon_sym_RPAREN,
    ACTIONS(7392), 1,
      anon_sym_inline,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(11945), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(9748), 1,
      sym_annotation,
    STATE(10968), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12621), 1,
      sym_inline_modifier,
    STATE(15557), 1,
      sym_parameter,
    STATE(16719), 1,
      sym_identifier,
    STATE(10557), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9321), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [496740] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10975), 1,
      anon_sym_COLON,
    ACTIONS(10979), 1,
      anon_sym_STAR,
    ACTIONS(10983), 1,
      anon_sym_if,
    ACTIONS(10987), 1,
      anon_sym_PIPE,
    ACTIONS(10989), 1,
      sym_operator_identifier,
    ACTIONS(11149), 1,
      anon_sym_EQ_GT,
    STATE(4155), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    STATE(16542), 1,
      sym_guard,
    STATE(10558), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [496792] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10559), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11399), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11397), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [496824] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10167), 1,
      anon_sym_COLON,
    ACTIONS(10173), 1,
      anon_sym_STAR,
    ACTIONS(10177), 1,
      anon_sym_AT,
    ACTIONS(10183), 1,
      anon_sym_PIPE,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10187), 1,
      sym_operator_identifier,
    STATE(4161), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    ACTIONS(11386), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(10560), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [496874] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10561), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10073), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10071), 12,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [496906] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10562), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10058), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 13,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [496938] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10167), 1,
      anon_sym_COLON,
    ACTIONS(10171), 1,
      anon_sym_DOT,
    ACTIONS(10173), 1,
      anon_sym_STAR,
    ACTIONS(10183), 1,
      anon_sym_PIPE,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10187), 1,
      sym_operator_identifier,
    STATE(4161), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    ACTIONS(11386), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(10563), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [496988] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10564), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9021), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9023), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [497020] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8733), 1,
      anon_sym_LBRACK,
    ACTIONS(10920), 1,
      sym__alpha_identifier,
    ACTIONS(10926), 1,
      sym__backquoted_id,
    ACTIONS(10928), 1,
      sym_operator_identifier,
    ACTIONS(11418), 1,
      anon_sym_EQ,
    STATE(571), 1,
      sym_identifier,
    STATE(4064), 1,
      sym__soft_identifier,
    STATE(10565), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8737), 3,
      anon_sym_while,
      anon_sym_match,
      anon_sym_finally,
    ACTIONS(10922), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [497068] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10566), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10073), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(10071), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [497100] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10567), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9029), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9031), 12,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [497132] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10568), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11371), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11369), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [497163] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10569), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7716), 16,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [497192] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5697), 1,
      sym_identifier,
    STATE(8951), 1,
      sym__soft_identifier,
    ACTIONS(9985), 2,
      sym__outdent,
      sym__backquoted_id,
    STATE(10570), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9983), 12,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [497227] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9472), 1,
      anon_sym_LPAREN,
    STATE(10578), 1,
      aux_sym_annotation_repeat1,
    STATE(11044), 1,
      sym_arguments,
    STATE(10571), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7817), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [497262] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8051), 1,
      sym__alpha_identifier,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8065), 1,
      sym__backquoted_id,
    ACTIONS(8733), 1,
      anon_sym_LBRACK,
    ACTIONS(10425), 1,
      sym_operator_identifier,
    ACTIONS(11477), 1,
      anon_sym_EQ,
    STATE(621), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    ACTIONS(8737), 2,
      anon_sym_while,
      anon_sym_match,
    STATE(10572), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8061), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [497309] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12172), 1,
      sym__backquoted_id,
    ACTIONS(12231), 1,
      anon_sym_EQ,
    STATE(10573), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12178), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    ACTIONS(12164), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [497344] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10167), 1,
      anon_sym_COLON,
    ACTIONS(10173), 1,
      anon_sym_STAR,
    ACTIONS(10183), 1,
      anon_sym_PIPE,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10187), 1,
      sym_operator_identifier,
    STATE(4161), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    ACTIONS(11386), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(10574), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [497391] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12233), 1,
      anon_sym_LBRACK,
    ACTIONS(12235), 1,
      anon_sym_LPAREN,
    ACTIONS(12237), 1,
      anon_sym_POUND,
    STATE(11659), 1,
      sym_type_arguments,
    STATE(11687), 1,
      aux_sym_annotation_repeat1,
    STATE(12530), 1,
      sym_arguments,
    STATE(10575), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7530), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_SEMI,
  [497432] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10999), 1,
      anon_sym_STAR,
    ACTIONS(11001), 1,
      anon_sym_AT,
    ACTIONS(11003), 1,
      anon_sym_EQ,
    ACTIONS(11005), 1,
      anon_sym_PIPE,
    ACTIONS(11007), 1,
      sym_operator_identifier,
    ACTIONS(12239), 1,
      anon_sym_COLON,
    STATE(4172), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    STATE(10576), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [497481] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10997), 1,
      anon_sym_DOT,
    ACTIONS(10999), 1,
      anon_sym_STAR,
    ACTIONS(11003), 1,
      anon_sym_EQ,
    ACTIONS(11005), 1,
      anon_sym_PIPE,
    ACTIONS(11007), 1,
      sym_operator_identifier,
    ACTIONS(12239), 1,
      anon_sym_COLON,
    STATE(4172), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    STATE(10577), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [497530] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12241), 1,
      anon_sym_LPAREN,
    STATE(11044), 1,
      sym_arguments,
    STATE(10578), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(7788), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [497563] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10579), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11399), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11397), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [497594] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10999), 1,
      anon_sym_STAR,
    ACTIONS(11001), 1,
      anon_sym_AT,
    ACTIONS(11005), 1,
      anon_sym_PIPE,
    ACTIONS(11007), 1,
      sym_operator_identifier,
    ACTIONS(11013), 1,
      anon_sym_EQ,
    ACTIONS(12244), 1,
      anon_sym_COLON,
    STATE(4172), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    STATE(10580), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [497643] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7580), 1,
      sym__backquoted_id,
    ACTIONS(7694), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(7696), 2,
      anon_sym_COLON,
      anon_sym_LT_PERCENT,
    ACTIONS(7698), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10581), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7574), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [497680] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10997), 1,
      anon_sym_DOT,
    ACTIONS(10999), 1,
      anon_sym_STAR,
    ACTIONS(11005), 1,
      anon_sym_PIPE,
    ACTIONS(11007), 1,
      sym_operator_identifier,
    ACTIONS(11013), 1,
      anon_sym_EQ,
    ACTIONS(12244), 1,
      anon_sym_COLON,
    STATE(4172), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    STATE(10582), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [497729] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7580), 1,
      sym__backquoted_id,
    ACTIONS(7698), 1,
      anon_sym_QMARK_EQ_GT,
    STATE(10583), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7696), 5,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_if,
      anon_sym_PIPE,
    ACTIONS(7574), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [497764] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10167), 1,
      anon_sym_COLON,
    ACTIONS(10173), 1,
      anon_sym_STAR,
    ACTIONS(10183), 1,
      anon_sym_PIPE,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10187), 1,
      sym_operator_identifier,
    STATE(4161), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    ACTIONS(11376), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(10584), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [497811] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12172), 1,
      sym__backquoted_id,
    ACTIONS(12246), 1,
      anon_sym_EQ,
    STATE(10585), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12170), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    ACTIONS(12164), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [497846] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10586), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9029), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9031), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [497877] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7336), 1,
      anon_sym_LPAREN,
    ACTIONS(7338), 2,
      anon_sym_DOT,
      sym__backquoted_id,
    STATE(10587), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12100), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [497910] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12248), 1,
      anon_sym_end,
    STATE(5348), 1,
      sym__end_marker,
    STATE(10588), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9292), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [497943] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10999), 1,
      anon_sym_STAR,
    ACTIONS(11001), 1,
      anon_sym_AT,
    ACTIONS(11005), 1,
      anon_sym_PIPE,
    ACTIONS(11007), 1,
      sym_operator_identifier,
    ACTIONS(11147), 1,
      anon_sym_EQ,
    ACTIONS(12250), 1,
      anon_sym_COLON,
    STATE(4172), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    STATE(10589), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [497992] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12172), 1,
      sym__backquoted_id,
    ACTIONS(12252), 1,
      anon_sym_EQ,
    STATE(10590), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12170), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(12164), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [498027] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10591), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 16,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_GT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [498056] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12172), 1,
      sym__backquoted_id,
    ACTIONS(12254), 1,
      anon_sym_EQ,
    STATE(10592), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12178), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(12164), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [498091] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10997), 1,
      anon_sym_DOT,
    ACTIONS(10999), 1,
      anon_sym_STAR,
    ACTIONS(11005), 1,
      anon_sym_PIPE,
    ACTIONS(11007), 1,
      sym_operator_identifier,
    ACTIONS(11147), 1,
      anon_sym_EQ,
    ACTIONS(12250), 1,
      anon_sym_COLON,
    STATE(4172), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    STATE(10593), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [498140] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10594), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7552), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8326), 13,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [498171] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12256), 1,
      anon_sym_AT,
    STATE(11328), 1,
      sym_annotation,
    ACTIONS(8283), 2,
      anon_sym_LBRACK,
      sym__backquoted_id,
    STATE(10595), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8281), 11,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [498206] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10999), 1,
      anon_sym_STAR,
    ACTIONS(11001), 1,
      anon_sym_AT,
    ACTIONS(11005), 1,
      anon_sym_PIPE,
    ACTIONS(11007), 1,
      sym_operator_identifier,
    ACTIONS(11143), 1,
      anon_sym_EQ,
    ACTIONS(12259), 1,
      anon_sym_COLON,
    STATE(4172), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    STATE(10596), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [498255] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12261), 1,
      anon_sym_LPAREN,
    STATE(11183), 1,
      sym_arguments,
    STATE(10597), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(7788), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [498288] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10997), 1,
      anon_sym_DOT,
    ACTIONS(10999), 1,
      anon_sym_STAR,
    ACTIONS(11005), 1,
      anon_sym_PIPE,
    ACTIONS(11007), 1,
      sym_operator_identifier,
    ACTIONS(11143), 1,
      anon_sym_EQ,
    ACTIONS(12259), 1,
      anon_sym_COLON,
    STATE(4172), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    STATE(10598), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [498337] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10599), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 16,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [498366] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10600), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 16,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [498395] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10601), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9021), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9023), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [498426] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12264), 1,
      anon_sym_DOT,
    STATE(10602), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [498457] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10603), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7716), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8324), 13,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [498488] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10604), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11292), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11290), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [498519] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10605), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11302), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11300), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [498550] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10606), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11306), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11304), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [498581] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10997), 1,
      anon_sym_DOT,
    ACTIONS(10999), 1,
      anon_sym_STAR,
    ACTIONS(11005), 1,
      anon_sym_PIPE,
    ACTIONS(11007), 1,
      sym_operator_identifier,
    ACTIONS(11092), 1,
      anon_sym_EQ,
    ACTIONS(12266), 1,
      anon_sym_COLON,
    STATE(4172), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    STATE(10607), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [498630] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12268), 1,
      anon_sym_LBRACK,
    ACTIONS(12270), 1,
      anon_sym_LPAREN,
    ACTIONS(12272), 1,
      anon_sym_POUND,
    STATE(11472), 1,
      aux_sym_annotation_repeat1,
    STATE(11644), 1,
      sym_type_arguments,
    STATE(12311), 1,
      sym_arguments,
    STATE(10608), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7530), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [498671] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10999), 1,
      anon_sym_STAR,
    ACTIONS(11001), 1,
      anon_sym_AT,
    ACTIONS(11005), 1,
      anon_sym_PIPE,
    ACTIONS(11007), 1,
      sym_operator_identifier,
    ACTIONS(11092), 1,
      anon_sym_EQ,
    ACTIONS(12266), 1,
      anon_sym_COLON,
    STATE(4172), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    STATE(10609), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [498720] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10610), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11316), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11314), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [498751] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10997), 1,
      anon_sym_DOT,
    ACTIONS(10999), 1,
      anon_sym_STAR,
    ACTIONS(11005), 1,
      anon_sym_PIPE,
    ACTIONS(11007), 1,
      sym_operator_identifier,
    ACTIONS(11099), 1,
      anon_sym_EQ,
    ACTIONS(12274), 1,
      anon_sym_COLON,
    STATE(4172), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    STATE(10611), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [498800] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10612), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11320), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11318), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [498831] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10613), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12278), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(12276), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [498862] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10999), 1,
      anon_sym_STAR,
    ACTIONS(11001), 1,
      anon_sym_AT,
    ACTIONS(11005), 1,
      anon_sym_PIPE,
    ACTIONS(11007), 1,
      sym_operator_identifier,
    ACTIONS(11099), 1,
      anon_sym_EQ,
    ACTIONS(12274), 1,
      anon_sym_COLON,
    STATE(4172), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    STATE(10614), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [498911] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8123), 1,
      anon_sym_LPAREN,
    ACTIONS(12280), 1,
      anon_sym_LBRACK,
    ACTIONS(12282), 1,
      anon_sym_POUND,
    STATE(11229), 1,
      aux_sym_annotation_repeat1,
    STATE(11725), 1,
      sym_type_arguments,
    STATE(12100), 1,
      sym_arguments,
    STATE(10615), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7530), 10,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [498952] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10167), 1,
      anon_sym_COLON,
    ACTIONS(10173), 1,
      anon_sym_STAR,
    ACTIONS(10183), 1,
      anon_sym_PIPE,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10187), 1,
      sym_operator_identifier,
    STATE(4161), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    ACTIONS(11388), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(10616), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [498999] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10617), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10073), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(10071), 13,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [499030] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10618), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9180), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9182), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [499061] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10619), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12286), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(12284), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [499092] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10620), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 16,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [499121] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10621), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 16,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_GT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_yield,
  [499150] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10622), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7584), 16,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [499179] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10623), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11337), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11335), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [499210] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10624), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12290), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(12288), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [499241] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10625), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9082), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9084), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [499272] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10626), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11344), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11342), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [499303] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10627), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11399), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11397), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [499334] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10628), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 16,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [499363] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10629), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(10075), 13,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [499394] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10630), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(7574), 13,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [499425] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10631), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9959), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9957), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [499456] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12292), 1,
      anon_sym_with,
    STATE(10919), 1,
      aux_sym_compound_type_repeat1,
    STATE(13100), 1,
      sym_arguments,
    STATE(13131), 1,
      sym__refinement,
    STATE(13215), 1,
      sym_template_body,
    STATE(10632), 2,
      sym_comment,
      sym_block_comment,
    STATE(13119), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7498), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [499497] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10633), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9029), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(9031), 13,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [499528] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8063), 1,
      anon_sym_EQ,
    STATE(621), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    ACTIONS(8231), 2,
      anon_sym_LBRACK,
      sym__backquoted_id,
    STATE(10634), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8229), 11,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [499565] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8051), 1,
      sym__alpha_identifier,
    ACTIONS(8053), 1,
      anon_sym_COLON,
    ACTIONS(8065), 1,
      sym__backquoted_id,
    ACTIONS(8733), 1,
      anon_sym_LBRACK,
    ACTIONS(10425), 1,
      sym_operator_identifier,
    ACTIONS(11571), 1,
      anon_sym_EQ,
    STATE(621), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    ACTIONS(8737), 2,
      anon_sym_match,
      anon_sym_do,
    STATE(10635), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8061), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [499612] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10636), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9021), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(9023), 13,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [499643] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8557), 1,
      anon_sym_LPAREN,
    ACTIONS(12233), 1,
      anon_sym_LBRACK,
    ACTIONS(12237), 1,
      anon_sym_POUND,
    ACTIONS(12294), 1,
      anon_sym_AT,
    STATE(11659), 1,
      sym_type_arguments,
    STATE(11760), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12276), 1,
      sym_annotation,
    STATE(16767), 1,
      sym_arguments,
    STATE(10637), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_SEMI,
  [499688] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12132), 1,
      anon_sym_with,
    STATE(12036), 1,
      aux_sym_compound_type_repeat1,
    STATE(12766), 1,
      sym_template_body,
    STATE(12865), 1,
      sym__refinement,
    STATE(10638), 2,
      sym_comment,
      sym_block_comment,
    STATE(12897), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7668), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [499727] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10639), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7710), 16,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [499756] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10640), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9082), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(9084), 13,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [499787] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10641), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9159), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(9161), 13,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [499818] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10642), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9180), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(9182), 13,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [499849] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10167), 1,
      anon_sym_COLON,
    ACTIONS(10173), 1,
      anon_sym_STAR,
    ACTIONS(10183), 1,
      anon_sym_PIPE,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10187), 1,
      sym_operator_identifier,
    STATE(4161), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    ACTIONS(11407), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(10643), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [499896] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12054), 1,
      anon_sym_AT,
    ACTIONS(12058), 1,
      anon_sym_LPAREN,
    ACTIONS(12296), 1,
      sym__automatic_semicolon,
    STATE(11299), 1,
      sym_annotation,
    STATE(12232), 1,
      aux_sym__class_constructor_repeat1,
    STATE(12411), 1,
      sym_access_modifier,
    STATE(13116), 1,
      sym_class_parameters,
    ACTIONS(12056), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(10644), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12159), 7,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [499941] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10645), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 16,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [499970] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10646), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12172), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(12164), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [500001] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10647), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12301), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(12299), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [500032] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10648), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7714), 16,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [500061] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10649), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9977), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9975), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [500092] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10650), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7704), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8316), 13,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [500123] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12140), 1,
      anon_sym_LBRACK,
    ACTIONS(12146), 1,
      anon_sym_POUND,
    ACTIONS(12217), 1,
      anon_sym_LPAREN,
    STATE(11427), 1,
      aux_sym_annotation_repeat1,
    STATE(11746), 1,
      sym_type_arguments,
    STATE(12358), 1,
      sym_arguments,
    STATE(10651), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7530), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_SEMI,
  [500164] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10652), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 16,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_GT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [500193] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10653), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9134), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9136), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [500224] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10654), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7372), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8402), 13,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [500255] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10655), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8271), 13,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [500286] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10656), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 16,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [500315] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10657), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9130), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9132), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [500346] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10658), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7330), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8360), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [500377] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10659), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9998), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9996), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [500408] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7338), 1,
      anon_sym_DOT,
    STATE(10660), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [500439] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7338), 1,
      anon_sym_DOT,
    STATE(10661), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [500470] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10662), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9144), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9146), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [500501] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10167), 1,
      anon_sym_COLON,
    ACTIONS(10173), 1,
      anon_sym_STAR,
    ACTIONS(10183), 1,
      anon_sym_PIPE,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10187), 1,
      sym_operator_identifier,
    STATE(4161), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    ACTIONS(10179), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(10663), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [500548] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10664), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9144), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9146), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [500579] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12140), 1,
      anon_sym_LBRACK,
    ACTIONS(12142), 1,
      anon_sym_AT,
    ACTIONS(12146), 1,
      anon_sym_POUND,
    STATE(11622), 1,
      aux_sym_enum_definition_repeat1,
    STATE(11746), 1,
      sym_type_arguments,
    STATE(12371), 1,
      sym_annotation,
    STATE(10665), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [500620] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10666), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7330), 16,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [500649] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10667), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7720), 16,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [500678] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10668), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7584), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8358), 13,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [500709] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10669), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 16,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [500738] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10670), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 16,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [500767] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10671), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9029), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9031), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [500798] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10672), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12305), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(12303), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [500829] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10673), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9021), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9023), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [500860] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10674), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9082), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9084), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [500891] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10675), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9159), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9161), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [500922] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10676), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9180), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9182), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [500953] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10414), 1,
      anon_sym_LPAREN,
    ACTIONS(12307), 1,
      anon_sym_LBRACK,
    ACTIONS(12309), 1,
      anon_sym_POUND,
    STATE(11275), 1,
      aux_sym_annotation_repeat1,
    STATE(11527), 1,
      sym_type_arguments,
    STATE(11889), 1,
      sym_arguments,
    STATE(10677), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7530), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [500994] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10678), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9159), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9161), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [501025] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10679), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 16,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [501054] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10167), 1,
      anon_sym_COLON,
    ACTIONS(10173), 1,
      anon_sym_STAR,
    ACTIONS(10183), 1,
      anon_sym_PIPE,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10187), 1,
      sym_operator_identifier,
    STATE(4161), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    ACTIONS(11364), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(10680), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [501101] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10681), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7552), 16,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [501130] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10682), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10058), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(10056), 13,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [501161] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12172), 1,
      sym__backquoted_id,
    ACTIONS(12311), 1,
      anon_sym_EQ,
    STATE(10683), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12170), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
    ACTIONS(12164), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [501196] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10684), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7704), 16,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [501225] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10685), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7330), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8360), 13,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [501256] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9490), 1,
      anon_sym_LPAREN,
    STATE(10597), 1,
      aux_sym_annotation_repeat1,
    STATE(11183), 1,
      sym_arguments,
    STATE(10686), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7817), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [501291] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8063), 1,
      anon_sym_EQ,
    ACTIONS(8733), 1,
      anon_sym_LBRACK,
    ACTIONS(8737), 1,
      anon_sym_match,
    ACTIONS(11726), 1,
      sym__alpha_identifier,
    ACTIONS(11730), 1,
      sym__backquoted_id,
    ACTIONS(11732), 1,
      sym_operator_identifier,
    STATE(837), 1,
      sym_identifier,
    STATE(4162), 1,
      sym__soft_identifier,
    ACTIONS(8053), 2,
      anon_sym_COLON,
      anon_sym_EQ_GT,
    STATE(10687), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11728), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [501338] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10688), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11395), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11393), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [501369] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10689), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7694), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7696), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [501400] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10690), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12315), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(12313), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [501431] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10997), 1,
      anon_sym_DOT,
    ACTIONS(10999), 1,
      anon_sym_STAR,
    ACTIONS(11005), 1,
      anon_sym_PIPE,
    ACTIONS(11007), 1,
      sym_operator_identifier,
    ACTIONS(11050), 1,
      anon_sym_EQ,
    ACTIONS(12317), 1,
      anon_sym_COLON,
    STATE(4172), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    STATE(10691), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [501480] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10692), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7372), 16,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [501509] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10999), 1,
      anon_sym_STAR,
    ACTIONS(11001), 1,
      anon_sym_AT,
    ACTIONS(11005), 1,
      anon_sym_PIPE,
    ACTIONS(11007), 1,
      sym_operator_identifier,
    ACTIONS(11050), 1,
      anon_sym_EQ,
    ACTIONS(12317), 1,
      anon_sym_COLON,
    STATE(4172), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    STATE(10693), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [501558] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10694), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11285), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11283), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [501589] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10695), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8159), 13,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [501620] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10696), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9134), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9136), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [501651] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10697), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9130), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9132), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [501682] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10997), 1,
      anon_sym_DOT,
    ACTIONS(10999), 1,
      anon_sym_STAR,
    ACTIONS(11005), 1,
      anon_sym_PIPE,
    ACTIONS(11007), 1,
      sym_operator_identifier,
    ACTIONS(11054), 1,
      anon_sym_EQ,
    ACTIONS(12319), 1,
      anon_sym_COLON,
    STATE(4172), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    STATE(10698), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [501731] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12036), 1,
      aux_sym_compound_type_repeat1,
    STATE(12379), 1,
      sym__refinement,
    STATE(12409), 1,
      sym_template_body,
    STATE(10699), 2,
      sym_comment,
      sym_block_comment,
    STATE(12419), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7668), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [501768] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10700), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 16,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [501797] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4900), 1,
      anon_sym_AT,
    ACTIONS(7392), 1,
      anon_sym_inline,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(11945), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(9748), 1,
      sym_annotation,
    STATE(10968), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12621), 1,
      sym_inline_modifier,
    STATE(15557), 1,
      sym_parameter,
    STATE(16719), 1,
      sym_identifier,
    STATE(10701), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9321), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [501848] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10702), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10041), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10039), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [501879] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10703), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8392), 13,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [501910] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10999), 1,
      anon_sym_STAR,
    ACTIONS(11001), 1,
      anon_sym_AT,
    ACTIONS(11005), 1,
      anon_sym_PIPE,
    ACTIONS(11007), 1,
      sym_operator_identifier,
    ACTIONS(11054), 1,
      anon_sym_EQ,
    ACTIONS(12319), 1,
      anon_sym_COLON,
    STATE(4172), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    STATE(10704), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [501959] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10705), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7720), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8435), 13,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [501990] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10999), 1,
      anon_sym_STAR,
    ACTIONS(11001), 1,
      anon_sym_AT,
    ACTIONS(11005), 1,
      anon_sym_PIPE,
    ACTIONS(11007), 1,
      sym_operator_identifier,
    ACTIONS(11123), 1,
      anon_sym_EQ,
    ACTIONS(12321), 1,
      anon_sym_COLON,
    STATE(4172), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    STATE(10706), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [502039] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10669), 1,
      sym__backquoted_id,
    STATE(4155), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    STATE(10707), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10667), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [502074] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10981), 1,
      aux_sym_compound_type_repeat1,
    STATE(12671), 1,
      sym__refinement,
    STATE(12675), 1,
      sym_template_body,
    STATE(12840), 1,
      sym_arguments,
    STATE(10708), 2,
      sym_comment,
      sym_block_comment,
    STATE(12702), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7498), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [502113] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10709), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10047), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10045), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [502144] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10999), 1,
      anon_sym_STAR,
    ACTIONS(11005), 1,
      anon_sym_PIPE,
    ACTIONS(11007), 1,
      sym_operator_identifier,
    ACTIONS(11017), 1,
      anon_sym_COLON,
    STATE(4172), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    ACTIONS(11328), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(10710), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [502191] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10997), 1,
      anon_sym_DOT,
    ACTIONS(10999), 1,
      anon_sym_STAR,
    ACTIONS(11005), 1,
      anon_sym_PIPE,
    ACTIONS(11007), 1,
      sym_operator_identifier,
    ACTIONS(11123), 1,
      anon_sym_EQ,
    ACTIONS(12321), 1,
      anon_sym_COLON,
    STATE(4172), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    STATE(10711), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [502240] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10712), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12325), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(12323), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [502271] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10713), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12329), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(12327), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [502302] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10999), 1,
      anon_sym_STAR,
    ACTIONS(11001), 1,
      anon_sym_AT,
    ACTIONS(11005), 1,
      anon_sym_PIPE,
    ACTIONS(11007), 1,
      sym_operator_identifier,
    ACTIONS(11119), 1,
      anon_sym_EQ,
    ACTIONS(12331), 1,
      anon_sym_COLON,
    STATE(4172), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    STATE(10714), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [502351] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10715), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7710), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8404), 13,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [502382] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10997), 1,
      anon_sym_DOT,
    ACTIONS(10999), 1,
      anon_sym_STAR,
    ACTIONS(11005), 1,
      anon_sym_PIPE,
    ACTIONS(11007), 1,
      sym_operator_identifier,
    ACTIONS(11119), 1,
      anon_sym_EQ,
    ACTIONS(12331), 1,
      anon_sym_COLON,
    STATE(4172), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    STATE(10716), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [502431] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12333), 1,
      anon_sym_DOT,
    STATE(10717), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [502462] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12172), 1,
      sym__backquoted_id,
    ACTIONS(12335), 1,
      anon_sym_EQ,
    STATE(10718), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12178), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
    ACTIONS(12164), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [502497] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10719), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8267), 13,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [502528] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10720), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7714), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8406), 13,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [502559] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10677), 1,
      sym__backquoted_id,
    STATE(4155), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    STATE(10721), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10675), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [502594] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10722), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7372), 16,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_yield,
  [502623] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10975), 1,
      anon_sym_COLON,
    ACTIONS(10979), 1,
      anon_sym_STAR,
    ACTIONS(10989), 1,
      sym_operator_identifier,
    STATE(4155), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    STATE(10723), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10673), 3,
      anon_sym_EQ_GT,
      anon_sym_if,
      anon_sym_PIPE,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [502668] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10724), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11285), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [502696] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10725), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12301), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(12299), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [502726] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(12337), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15670), 1,
      sym__type_parameter,
    STATE(10726), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [502770] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(12339), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15670), 1,
      sym__type_parameter,
    STATE(10727), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [502814] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(12341), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15670), 1,
      sym__type_parameter,
    STATE(10728), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [502858] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12089), 1,
      anon_sym_DOT,
    STATE(10729), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [502888] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7236), 1,
      anon_sym_LBRACE,
    ACTIONS(7498), 1,
      anon_sym_with,
    ACTIONS(8557), 1,
      anon_sym_LPAREN,
    ACTIONS(12343), 1,
      anon_sym_COLON,
    ACTIONS(12347), 1,
      anon_sym_EQ,
    STATE(13085), 1,
      aux_sym_compound_type_repeat1,
    STATE(15627), 1,
      sym__refinement,
    STATE(15628), 1,
      sym_template_body,
    STATE(16767), 1,
      sym_arguments,
    STATE(10730), 2,
      sym_comment,
      sym_block_comment,
    STATE(15707), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(12345), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [502936] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12349), 1,
      anon_sym_LPAREN,
    STATE(11740), 1,
      sym_arguments,
    STATE(10731), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(7788), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [502968] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(12352), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15670), 1,
      sym__type_parameter,
    STATE(10732), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [503012] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(12354), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15670), 1,
      sym__type_parameter,
    STATE(10733), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [503056] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(12356), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15670), 1,
      sym__type_parameter,
    STATE(10734), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [503100] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(12358), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15670), 1,
      sym__type_parameter,
    STATE(10735), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [503144] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(12360), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15670), 1,
      sym__type_parameter,
    STATE(10736), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [503188] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(12362), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15670), 1,
      sym__type_parameter,
    STATE(10737), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [503232] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(12364), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15670), 1,
      sym__type_parameter,
    STATE(10738), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [503276] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(12366), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15670), 1,
      sym__type_parameter,
    STATE(10739), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [503320] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(12368), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15670), 1,
      sym__type_parameter,
    STATE(10740), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [503364] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12370), 1,
      anon_sym_DOT,
    STATE(10741), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [503394] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10742), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 15,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [503422] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10743), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12172), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(12164), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [503452] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10744), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9180), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [503480] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(12372), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15670), 1,
      sym__type_parameter,
    STATE(10745), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [503524] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(12374), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15670), 1,
      sym__type_parameter,
    STATE(10746), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [503568] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12376), 1,
      anon_sym_end,
    STATE(5806), 1,
      sym__end_marker,
    STATE(10747), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9292), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [503600] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(12378), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15670), 1,
      sym__type_parameter,
    STATE(10748), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [503644] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(12380), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15670), 1,
      sym__type_parameter,
    STATE(10749), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [503688] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(12382), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15670), 1,
      sym__type_parameter,
    STATE(10750), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [503732] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10999), 1,
      anon_sym_STAR,
    ACTIONS(11005), 1,
      anon_sym_PIPE,
    ACTIONS(11007), 1,
      sym_operator_identifier,
    ACTIONS(11119), 1,
      anon_sym_EQ,
    ACTIONS(12331), 1,
      anon_sym_COLON,
    STATE(4172), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    STATE(10751), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [503778] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(12384), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15670), 1,
      sym__type_parameter,
    STATE(10752), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [503822] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(12386), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15670), 1,
      sym__type_parameter,
    STATE(10753), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [503866] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(12388), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15670), 1,
      sym__type_parameter,
    STATE(10754), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [503910] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(12390), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15670), 1,
      sym__type_parameter,
    STATE(10755), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [503954] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7236), 1,
      anon_sym_LBRACE,
    ACTIONS(7498), 1,
      anon_sym_with,
    ACTIONS(8557), 1,
      anon_sym_LPAREN,
    ACTIONS(12343), 1,
      anon_sym_COLON,
    ACTIONS(12394), 1,
      anon_sym_EQ,
    STATE(13085), 1,
      aux_sym_compound_type_repeat1,
    STATE(15627), 1,
      sym__refinement,
    STATE(15628), 1,
      sym_template_body,
    STATE(16767), 1,
      sym_arguments,
    STATE(10756), 2,
      sym_comment,
      sym_block_comment,
    STATE(15707), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(12392), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [504002] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10999), 1,
      anon_sym_STAR,
    ACTIONS(11005), 1,
      anon_sym_PIPE,
    ACTIONS(11007), 1,
      sym_operator_identifier,
    ACTIONS(11123), 1,
      anon_sym_EQ,
    ACTIONS(12321), 1,
      anon_sym_COLON,
    STATE(4172), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    STATE(10757), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [504048] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(12396), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15670), 1,
      sym__type_parameter,
    STATE(10758), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [504092] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(12398), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15670), 1,
      sym__type_parameter,
    STATE(10759), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [504136] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(12400), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15670), 1,
      sym__type_parameter,
    STATE(10760), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [504180] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10761), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7764), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(7762), 12,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [504210] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(12402), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15670), 1,
      sym__type_parameter,
    STATE(10762), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [504254] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(12404), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15670), 1,
      sym__type_parameter,
    STATE(10763), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [504298] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(12406), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15670), 1,
      sym__type_parameter,
    STATE(10764), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [504342] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(12408), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15670), 1,
      sym__type_parameter,
    STATE(10765), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [504386] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12233), 1,
      anon_sym_LBRACK,
    ACTIONS(12235), 1,
      anon_sym_LPAREN,
    ACTIONS(12237), 1,
      anon_sym_POUND,
    ACTIONS(12294), 1,
      anon_sym_AT,
    STATE(11659), 1,
      sym_type_arguments,
    STATE(11760), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12276), 1,
      sym_annotation,
    STATE(13774), 1,
      sym_arguments,
    STATE(10766), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_SEMI,
  [504430] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(12410), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15670), 1,
      sym__type_parameter,
    STATE(10767), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [504474] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(12412), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15670), 1,
      sym__type_parameter,
    STATE(10768), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [504518] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(12414), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15670), 1,
      sym__type_parameter,
    STATE(10769), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [504562] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(12416), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15670), 1,
      sym__type_parameter,
    STATE(10770), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [504606] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10771), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7372), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [504634] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(12418), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15670), 1,
      sym__type_parameter,
    STATE(10772), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [504678] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12422), 1,
      anon_sym_STAR,
    STATE(10773), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12420), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [504708] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(12424), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15670), 1,
      sym__type_parameter,
    STATE(10774), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [504752] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12426), 1,
      sym__alpha_identifier,
    ACTIONS(12428), 1,
      anon_sym_object,
    ACTIONS(12430), 1,
      anon_sym_class,
    ACTIONS(12434), 1,
      sym__backquoted_id,
    ACTIONS(12436), 1,
      sym_operator_identifier,
    STATE(12112), 1,
      sym_identifier,
    STATE(13490), 1,
      sym__soft_identifier,
    STATE(13798), 1,
      sym_simple_enum_case,
    STATE(15012), 1,
      sym_full_enum_case,
    STATE(10775), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12432), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [504798] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(12438), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15670), 1,
      sym__type_parameter,
    STATE(10776), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [504842] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10777), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10041), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10039), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [504872] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(12440), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15670), 1,
      sym__type_parameter,
    STATE(10778), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [504916] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10779), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9029), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [504944] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10999), 1,
      anon_sym_STAR,
    ACTIONS(11005), 1,
      anon_sym_PIPE,
    ACTIONS(11007), 1,
      sym_operator_identifier,
    ACTIONS(11054), 1,
      anon_sym_EQ,
    ACTIONS(12319), 1,
      anon_sym_COLON,
    STATE(4172), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    STATE(10780), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [504990] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7338), 1,
      anon_sym_DOT,
    STATE(10781), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [505020] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(12442), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15670), 1,
      sym__type_parameter,
    STATE(10782), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [505064] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10783), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11371), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [505092] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(12444), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15670), 1,
      sym__type_parameter,
    STATE(10784), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [505136] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7136), 1,
      anon_sym_object,
    ACTIONS(7138), 1,
      anon_sym_class,
    ACTIONS(12446), 1,
      sym__alpha_identifier,
    ACTIONS(12450), 1,
      sym__backquoted_id,
    ACTIONS(12452), 1,
      sym_operator_identifier,
    STATE(11931), 1,
      sym_identifier,
    STATE(13549), 1,
      sym__soft_identifier,
    STATE(13939), 1,
      sym_simple_enum_case,
    STATE(15422), 1,
      sym_full_enum_case,
    STATE(10785), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12448), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [505182] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(12454), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15670), 1,
      sym__type_parameter,
    STATE(10786), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [505226] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10999), 1,
      anon_sym_STAR,
    ACTIONS(11005), 1,
      anon_sym_PIPE,
    ACTIONS(11007), 1,
      sym_operator_identifier,
    ACTIONS(11050), 1,
      anon_sym_EQ,
    ACTIONS(12317), 1,
      anon_sym_COLON,
    STATE(4172), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    STATE(10787), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [505272] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10788), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9159), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [505300] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9498), 1,
      anon_sym_COLON,
    STATE(10789), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8733), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [505330] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(12456), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15670), 1,
      sym__type_parameter,
    STATE(10790), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [505374] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8342), 1,
      anon_sym_LPAREN,
    ACTIONS(12458), 1,
      anon_sym_LBRACK,
    ACTIONS(12460), 1,
      anon_sym_POUND,
    STATE(11598), 1,
      aux_sym_annotation_repeat1,
    STATE(12021), 1,
      sym_type_arguments,
    STATE(12547), 1,
      sym_arguments,
    STATE(10791), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7530), 9,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [505414] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10792), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11344), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [505442] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(12462), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15670), 1,
      sym__type_parameter,
    STATE(10793), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [505486] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(12464), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15670), 1,
      sym__type_parameter,
    STATE(10794), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [505530] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10414), 1,
      anon_sym_LPAREN,
    ACTIONS(12108), 1,
      anon_sym_LBRACK,
    ACTIONS(12110), 1,
      anon_sym_AT,
    ACTIONS(12112), 1,
      anon_sym_POUND,
    STATE(9462), 1,
      sym_arguments,
    STATE(11199), 1,
      sym_type_arguments,
    STATE(11201), 1,
      aux_sym_enum_definition_repeat1,
    STATE(11870), 1,
      sym_annotation,
    STATE(10795), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 7,
      sym__automatic_semicolon,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_SEMI,
  [505574] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(12466), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15670), 1,
      sym__type_parameter,
    STATE(10796), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [505618] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(12468), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15670), 1,
      sym__type_parameter,
    STATE(10797), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [505662] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(12470), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15670), 1,
      sym__type_parameter,
    STATE(10798), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [505706] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10799), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7372), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [505734] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7236), 1,
      anon_sym_LBRACE,
    ACTIONS(7498), 1,
      anon_sym_with,
    ACTIONS(8557), 1,
      anon_sym_LPAREN,
    ACTIONS(12343), 1,
      anon_sym_COLON,
    ACTIONS(12474), 1,
      anon_sym_EQ,
    STATE(13085), 1,
      aux_sym_compound_type_repeat1,
    STATE(15627), 1,
      sym__refinement,
    STATE(15628), 1,
      sym_template_body,
    STATE(16767), 1,
      sym_arguments,
    STATE(10800), 2,
      sym_comment,
      sym_block_comment,
    STATE(15707), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(12472), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [505782] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6134), 1,
      anon_sym_LBRACE,
    ACTIONS(12478), 1,
      anon_sym_COLON,
    ACTIONS(12480), 1,
      anon_sym_extends,
    ACTIONS(12482), 1,
      anon_sym_derives,
    STATE(11501), 1,
      sym_extends_clause,
    STATE(12602), 1,
      sym_derives_clause,
    STATE(13871), 1,
      sym_template_body,
    STATE(13872), 1,
      sym__definition_body,
    STATE(6306), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10801), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12476), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [505828] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7330), 1,
      sym__backquoted_id,
    STATE(10802), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 14,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [505858] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(12484), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15670), 1,
      sym__type_parameter,
    STATE(10803), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [505902] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(12486), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15670), 1,
      sym__type_parameter,
    STATE(10804), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [505946] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7236), 1,
      anon_sym_LBRACE,
    ACTIONS(7498), 1,
      anon_sym_with,
    ACTIONS(8557), 1,
      anon_sym_LPAREN,
    ACTIONS(12343), 1,
      anon_sym_COLON,
    ACTIONS(12490), 1,
      anon_sym_EQ,
    STATE(13085), 1,
      aux_sym_compound_type_repeat1,
    STATE(15627), 1,
      sym__refinement,
    STATE(15628), 1,
      sym_template_body,
    STATE(16767), 1,
      sym_arguments,
    STATE(10805), 2,
      sym_comment,
      sym_block_comment,
    STATE(15707), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(12488), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [505994] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7338), 1,
      anon_sym_DOT,
    STATE(10806), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [506024] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10807), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [506052] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(12492), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15670), 1,
      sym__type_parameter,
    STATE(10808), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [506096] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10809), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [506124] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10810), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7720), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [506152] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10811), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7694), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7696), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [506182] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10812), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11395), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11393), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [506212] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10813), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7714), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [506240] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10814), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7710), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [506268] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12494), 1,
      anon_sym_DOT,
    STATE(10815), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [506298] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7338), 1,
      anon_sym_DOT,
    STATE(10816), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [506328] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10817), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11337), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [506356] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12496), 1,
      anon_sym_DOT,
    STATE(10818), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [506386] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10819), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9180), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [506414] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10820), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [506442] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10821), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7584), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [506470] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(12498), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15670), 1,
      sym__type_parameter,
    STATE(10822), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [506514] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(12500), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15670), 1,
      sym__type_parameter,
    STATE(10823), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [506558] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(12502), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15670), 1,
      sym__type_parameter,
    STATE(10824), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [506602] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10825), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [506630] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(12504), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15670), 1,
      sym__type_parameter,
    STATE(10826), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [506674] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8398), 1,
      anon_sym_LPAREN,
    ACTIONS(12506), 1,
      anon_sym_LBRACK,
    ACTIONS(12508), 1,
      anon_sym_POUND,
    STATE(11637), 1,
      aux_sym_annotation_repeat1,
    STATE(11952), 1,
      sym_type_arguments,
    STATE(12563), 1,
      sym_arguments,
    STATE(10827), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7530), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [506714] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7236), 1,
      anon_sym_LBRACE,
    ACTIONS(7498), 1,
      anon_sym_with,
    ACTIONS(8557), 1,
      anon_sym_LPAREN,
    ACTIONS(12343), 1,
      anon_sym_COLON,
    ACTIONS(12512), 1,
      anon_sym_EQ,
    STATE(13085), 1,
      aux_sym_compound_type_repeat1,
    STATE(15627), 1,
      sym__refinement,
    STATE(15628), 1,
      sym_template_body,
    STATE(16767), 1,
      sym_arguments,
    STATE(10828), 2,
      sym_comment,
      sym_block_comment,
    STATE(15707), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(12510), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [506762] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10829), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9180), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9182), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [506792] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(12514), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15670), 1,
      sym__type_parameter,
    STATE(10830), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [506836] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10831), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9159), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9161), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [506866] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(12516), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15670), 1,
      sym__type_parameter,
    STATE(10832), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [506910] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10833), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9082), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9084), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [506940] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10834), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9021), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9023), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [506970] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10835), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8027), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8683), 12,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [507000] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10836), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9029), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9031), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [507030] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10837), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12325), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(12323), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [507060] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10838), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9130), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9132), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [507090] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10839), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9134), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9136), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [507120] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10840), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7720), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [507148] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(12518), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15670), 1,
      sym__type_parameter,
    STATE(10841), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [507192] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10842), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12329), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(12327), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [507222] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10843), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9082), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [507250] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(12520), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15670), 1,
      sym__type_parameter,
    STATE(10844), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [507294] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10845), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7714), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [507322] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8733), 1,
      anon_sym_LBRACK,
    ACTIONS(8737), 1,
      anon_sym_match,
    ACTIONS(11726), 1,
      sym__alpha_identifier,
    ACTIONS(11730), 1,
      sym__backquoted_id,
    ACTIONS(11732), 1,
      sym_operator_identifier,
    STATE(837), 1,
      sym_identifier,
    STATE(4162), 1,
      sym__soft_identifier,
    ACTIONS(8053), 2,
      anon_sym_COLON,
      anon_sym_EQ_GT,
    STATE(10846), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11728), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [507366] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10847), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11316), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11314), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [507396] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10848), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11371), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11369), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [507426] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(12522), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15670), 1,
      sym__type_parameter,
    STATE(10849), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [507470] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10850), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9144), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9146), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [507500] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10851), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7710), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [507528] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6134), 1,
      anon_sym_LBRACE,
    ACTIONS(12478), 1,
      anon_sym_COLON,
    ACTIONS(12480), 1,
      anon_sym_extends,
    ACTIONS(12482), 1,
      anon_sym_derives,
    ACTIONS(12526), 1,
      sym__automatic_semicolon,
    STATE(11541), 1,
      sym_extends_clause,
    STATE(12595), 1,
      sym_derives_clause,
    STATE(13858), 1,
      sym__definition_body,
    STATE(13871), 1,
      sym_template_body,
    STATE(6306), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10852), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12524), 4,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [507576] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10853), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9021), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [507604] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10854), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9159), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [507632] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(12529), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15670), 1,
      sym__type_parameter,
    STATE(10855), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [507676] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(12531), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15670), 1,
      sym__type_parameter,
    STATE(10856), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [507720] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(12533), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15670), 1,
      sym__type_parameter,
    STATE(10857), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [507764] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(12535), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15670), 1,
      sym__type_parameter,
    STATE(10858), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [507808] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(12537), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15670), 1,
      sym__type_parameter,
    STATE(10859), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [507852] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10860), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7552), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [507880] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10861), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12278), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(12276), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [507910] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(12539), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15670), 1,
      sym__type_parameter,
    STATE(10862), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [507954] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(12541), 1,
      anon_sym_RPAREN,
    ACTIONS(12543), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15426), 1,
      sym_identifier,
    STATE(15430), 1,
      sym_wildcard,
    STATE(15502), 1,
      sym_binding,
    STATE(10863), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [508000] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7116), 1,
      anon_sym_object,
    ACTIONS(7122), 1,
      anon_sym_class,
    ACTIONS(12426), 1,
      sym__alpha_identifier,
    ACTIONS(12434), 1,
      sym__backquoted_id,
    ACTIONS(12436), 1,
      sym_operator_identifier,
    STATE(12112), 1,
      sym_identifier,
    STATE(13490), 1,
      sym__soft_identifier,
    STATE(13953), 1,
      sym_simple_enum_case,
    STATE(15189), 1,
      sym_full_enum_case,
    STATE(10864), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12432), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [508046] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10865), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7716), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [508074] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10866), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11344), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11342), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [508104] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(12545), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15670), 1,
      sym__type_parameter,
    STATE(10867), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [508148] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(12547), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15670), 1,
      sym__type_parameter,
    STATE(10868), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [508192] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10869), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7704), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [508220] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10870), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9134), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [508248] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(12549), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15670), 1,
      sym__type_parameter,
    STATE(10871), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [508292] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(12551), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15670), 1,
      sym__type_parameter,
    STATE(10872), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [508336] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7236), 1,
      anon_sym_LBRACE,
    ACTIONS(7498), 1,
      anon_sym_with,
    ACTIONS(8557), 1,
      anon_sym_LPAREN,
    ACTIONS(12343), 1,
      anon_sym_COLON,
    ACTIONS(12555), 1,
      anon_sym_EQ,
    STATE(13085), 1,
      aux_sym_compound_type_repeat1,
    STATE(15627), 1,
      sym__refinement,
    STATE(15628), 1,
      sym_template_body,
    STATE(16767), 1,
      sym_arguments,
    STATE(10873), 2,
      sym_comment,
      sym_block_comment,
    STATE(15707), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(12553), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [508384] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10874), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9130), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [508412] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7236), 1,
      anon_sym_LBRACE,
    ACTIONS(7498), 1,
      anon_sym_with,
    ACTIONS(8557), 1,
      anon_sym_LPAREN,
    ACTIONS(12343), 1,
      anon_sym_COLON,
    ACTIONS(12557), 1,
      anon_sym_EQ,
    STATE(13085), 1,
      aux_sym_compound_type_repeat1,
    STATE(15627), 1,
      sym__refinement,
    STATE(15628), 1,
      sym_template_body,
    STATE(16767), 1,
      sym_arguments,
    STATE(10875), 2,
      sym_comment,
      sym_block_comment,
    STATE(15707), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(12553), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [508460] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12029), 1,
      anon_sym_LBRACK,
    ACTIONS(12031), 1,
      anon_sym_AT,
    ACTIONS(12035), 1,
      anon_sym_LPAREN,
    ACTIONS(12559), 1,
      sym__automatic_semicolon,
    STATE(11749), 1,
      sym_type_parameters,
    STATE(12575), 1,
      sym_annotation,
    STATE(12760), 1,
      sym_class_parameters,
    STATE(13284), 1,
      sym_access_modifier,
    STATE(13363), 1,
      aux_sym__class_constructor_repeat1,
    ACTIONS(12033), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(10876), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12027), 4,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_extends,
      anon_sym_derives,
  [508508] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10877), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [508536] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10878), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11337), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11335), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [508566] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7236), 1,
      anon_sym_LBRACE,
    ACTIONS(7498), 1,
      anon_sym_with,
    ACTIONS(8557), 1,
      anon_sym_LPAREN,
    ACTIONS(12343), 1,
      anon_sym_COLON,
    ACTIONS(12561), 1,
      anon_sym_EQ,
    STATE(13085), 1,
      aux_sym_compound_type_repeat1,
    STATE(15627), 1,
      sym__refinement,
    STATE(15628), 1,
      sym_template_body,
    STATE(16767), 1,
      sym_arguments,
    STATE(10879), 2,
      sym_comment,
      sym_block_comment,
    STATE(15707), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(12510), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [508614] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(12563), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15670), 1,
      sym__type_parameter,
    STATE(10880), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [508658] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12035), 1,
      anon_sym_LPAREN,
    ACTIONS(12567), 1,
      sym__automatic_semicolon,
    STATE(12103), 1,
      sym_access_modifier,
    STATE(12108), 1,
      aux_sym__class_constructor_repeat1,
    STATE(12760), 1,
      sym_class_parameters,
    ACTIONS(12033), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(10881), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12565), 8,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [508698] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(12570), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15670), 1,
      sym__type_parameter,
    STATE(10882), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [508742] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(12572), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15670), 1,
      sym__type_parameter,
    STATE(10883), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [508786] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7236), 1,
      anon_sym_LBRACE,
    ACTIONS(7498), 1,
      anon_sym_with,
    ACTIONS(8557), 1,
      anon_sym_LPAREN,
    ACTIONS(12343), 1,
      anon_sym_COLON,
    ACTIONS(12574), 1,
      anon_sym_EQ,
    STATE(13085), 1,
      aux_sym_compound_type_repeat1,
    STATE(15627), 1,
      sym__refinement,
    STATE(15628), 1,
      sym_template_body,
    STATE(16767), 1,
      sym_arguments,
    STATE(10884), 2,
      sym_comment,
      sym_block_comment,
    STATE(15707), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(12488), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [508834] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10885), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9021), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [508862] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7236), 1,
      anon_sym_LBRACE,
    ACTIONS(7498), 1,
      anon_sym_with,
    ACTIONS(8557), 1,
      anon_sym_LPAREN,
    ACTIONS(12343), 1,
      anon_sym_COLON,
    ACTIONS(12576), 1,
      anon_sym_EQ,
    STATE(13085), 1,
      aux_sym_compound_type_repeat1,
    STATE(15627), 1,
      sym__refinement,
    STATE(15628), 1,
      sym_template_body,
    STATE(16767), 1,
      sym_arguments,
    STATE(10886), 2,
      sym_comment,
      sym_block_comment,
    STATE(15707), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(12345), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [508910] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(12578), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15670), 1,
      sym__type_parameter,
    STATE(10887), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [508954] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7236), 1,
      anon_sym_LBRACE,
    ACTIONS(7498), 1,
      anon_sym_with,
    ACTIONS(8557), 1,
      anon_sym_LPAREN,
    ACTIONS(12343), 1,
      anon_sym_COLON,
    ACTIONS(12580), 1,
      anon_sym_EQ,
    STATE(13085), 1,
      aux_sym_compound_type_repeat1,
    STATE(15627), 1,
      sym__refinement,
    STATE(15628), 1,
      sym_template_body,
    STATE(16767), 1,
      sym_arguments,
    STATE(10888), 2,
      sym_comment,
      sym_block_comment,
    STATE(15707), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(12392), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [509002] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(12582), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15670), 1,
      sym__type_parameter,
    STATE(10889), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [509046] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10890), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9959), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9957), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [509076] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10891), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9029), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [509104] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10892), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7330), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [509132] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(12584), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15670), 1,
      sym__type_parameter,
    STATE(10893), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [509176] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10894), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11285), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11283), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [509206] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10895), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 15,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [509234] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(12586), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15670), 1,
      sym__type_parameter,
    STATE(10896), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [509278] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7236), 1,
      anon_sym_LBRACE,
    ACTIONS(7498), 1,
      anon_sym_with,
    ACTIONS(8557), 1,
      anon_sym_LPAREN,
    ACTIONS(12343), 1,
      anon_sym_COLON,
    ACTIONS(12588), 1,
      anon_sym_EQ,
    STATE(13085), 1,
      aux_sym_compound_type_repeat1,
    STATE(15627), 1,
      sym__refinement,
    STATE(15628), 1,
      sym_template_body,
    STATE(16767), 1,
      sym_arguments,
    STATE(10897), 2,
      sym_comment,
      sym_block_comment,
    STATE(15707), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(12472), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [509326] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(12590), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15670), 1,
      sym__type_parameter,
    STATE(10898), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [509370] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(12592), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15670), 1,
      sym__type_parameter,
    STATE(10899), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [509414] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10900), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11292), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [509442] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(12594), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15670), 1,
      sym__type_parameter,
    STATE(10901), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [509486] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(12596), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15670), 1,
      sym__type_parameter,
    STATE(10902), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [509530] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7338), 1,
      anon_sym_DOT,
    STATE(10903), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [509560] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10904), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11302), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [509588] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9825), 1,
      anon_sym_LPAREN,
    STATE(10917), 1,
      aux_sym_annotation_repeat1,
    STATE(11503), 1,
      sym_arguments,
    STATE(10905), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7817), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [509622] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10906), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11306), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [509650] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(12598), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15670), 1,
      sym__type_parameter,
    STATE(10907), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [509694] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10908), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11316), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [509722] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(12600), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15670), 1,
      sym__type_parameter,
    STATE(10909), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [509766] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(12602), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15670), 1,
      sym__type_parameter,
    STATE(10910), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [509810] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(12604), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15670), 1,
      sym__type_parameter,
    STATE(10911), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [509854] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10912), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [509882] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10913), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11320), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11318), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [509912] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10914), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11320), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [509940] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(12606), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15670), 1,
      sym__type_parameter,
    STATE(10915), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [509984] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(12608), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15670), 1,
      sym__type_parameter,
    STATE(10916), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [510028] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12610), 1,
      anon_sym_LPAREN,
    STATE(11503), 1,
      sym_arguments,
    STATE(10917), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(7788), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [510060] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10918), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [510088] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12292), 1,
      anon_sym_with,
    STATE(12356), 1,
      aux_sym_compound_type_repeat1,
    STATE(13153), 1,
      sym__refinement,
    STATE(13215), 1,
      sym_template_body,
    STATE(10919), 2,
      sym_comment,
      sym_block_comment,
    STATE(13119), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7668), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [510126] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(12613), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15670), 1,
      sym__type_parameter,
    STATE(10920), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [510170] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(12615), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15670), 1,
      sym__type_parameter,
    STATE(10921), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [510214] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10922), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7704), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [510242] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(12617), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15670), 1,
      sym__type_parameter,
    STATE(10923), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [510286] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10924), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7716), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [510314] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(12619), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15670), 1,
      sym__type_parameter,
    STATE(10925), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [510358] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10926), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7552), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [510386] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10927), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7330), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [510414] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12446), 1,
      sym__alpha_identifier,
    ACTIONS(12450), 1,
      sym__backquoted_id,
    ACTIONS(12452), 1,
      sym_operator_identifier,
    ACTIONS(12621), 1,
      anon_sym_object,
    ACTIONS(12623), 1,
      anon_sym_class,
    STATE(11931), 1,
      sym_identifier,
    STATE(13549), 1,
      sym__soft_identifier,
    STATE(13815), 1,
      sym_simple_enum_case,
    STATE(15064), 1,
      sym_full_enum_case,
    STATE(10928), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12448), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [510460] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10929), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [510488] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(12625), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15670), 1,
      sym__type_parameter,
    STATE(10930), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [510532] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10931), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [510560] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10932), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11306), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11304), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [510590] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10999), 1,
      anon_sym_STAR,
    ACTIONS(11005), 1,
      anon_sym_PIPE,
    ACTIONS(11007), 1,
      sym_operator_identifier,
    ACTIONS(11099), 1,
      anon_sym_EQ,
    ACTIONS(12274), 1,
      anon_sym_COLON,
    STATE(4172), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    STATE(10933), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [510636] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(12627), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15670), 1,
      sym__type_parameter,
    STATE(10934), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [510680] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(12629), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15670), 1,
      sym__type_parameter,
    STATE(10935), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [510724] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10936), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11302), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11300), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [510754] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10937), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9144), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [510782] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10938), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11292), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11290), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [510812] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10939), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9144), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [510840] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10999), 1,
      anon_sym_STAR,
    ACTIONS(11005), 1,
      anon_sym_PIPE,
    ACTIONS(11007), 1,
      sym_operator_identifier,
    ACTIONS(11092), 1,
      anon_sym_EQ,
    ACTIONS(12266), 1,
      anon_sym_COLON,
    STATE(4172), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    STATE(10940), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [510886] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(12631), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15670), 1,
      sym__type_parameter,
    STATE(10941), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [510930] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10942), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9134), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [510958] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(12633), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15670), 1,
      sym__type_parameter,
    STATE(10943), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [511002] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(12635), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15670), 1,
      sym__type_parameter,
    STATE(10944), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [511046] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10945), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11337), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [511074] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(12637), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15670), 1,
      sym__type_parameter,
    STATE(10946), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [511118] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10947), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [511146] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(12639), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15670), 1,
      sym__type_parameter,
    STATE(10948), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [511190] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10949), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [511218] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10950), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9130), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [511246] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(12641), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15670), 1,
      sym__type_parameter,
    STATE(10951), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [511290] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(12643), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15670), 1,
      sym__type_parameter,
    STATE(10952), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [511334] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(12645), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15670), 1,
      sym__type_parameter,
    STATE(10953), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [511378] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10954), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [511406] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(12647), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15670), 1,
      sym__type_parameter,
    STATE(10955), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [511450] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10956), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11344), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [511478] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10957), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [511506] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10958), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7694), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [511534] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(12649), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15670), 1,
      sym__type_parameter,
    STATE(10959), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [511578] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10960), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9977), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9975), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [511608] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(12651), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15670), 1,
      sym__type_parameter,
    STATE(10961), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [511652] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(12653), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15670), 1,
      sym__type_parameter,
    STATE(10962), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [511696] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10963), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11395), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [511724] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10964), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11292), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [511752] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10965), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11302), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [511780] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10966), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11306), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [511808] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(12655), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15670), 1,
      sym__type_parameter,
    STATE(10967), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [511852] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4900), 1,
      anon_sym_AT,
    ACTIONS(7392), 1,
      anon_sym_inline,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(12657), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(9124), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9748), 1,
      sym_annotation,
    STATE(12350), 1,
      sym_inline_modifier,
    STATE(16462), 1,
      sym_identifier,
    STATE(10968), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9321), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [511900] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(12659), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15670), 1,
      sym__type_parameter,
    STATE(10969), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [511944] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(12661), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15670), 1,
      sym__type_parameter,
    STATE(10970), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [511988] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10971), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [512016] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12663), 1,
      anon_sym_DOT,
    STATE(10972), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [512046] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10973), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7584), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [512074] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10999), 1,
      anon_sym_STAR,
    ACTIONS(11005), 1,
      anon_sym_PIPE,
    ACTIONS(11007), 1,
      sym_operator_identifier,
    ACTIONS(11143), 1,
      anon_sym_EQ,
    ACTIONS(12259), 1,
      anon_sym_COLON,
    STATE(4172), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    STATE(10974), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [512120] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10975), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [512148] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(12665), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15670), 1,
      sym__type_parameter,
    STATE(10976), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [512192] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10977), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12305), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(12303), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [512222] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(12667), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15670), 1,
      sym__type_parameter,
    STATE(10978), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [512266] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10979), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11399), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11397), 10,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [512296] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(12543), 1,
      sym_operator_identifier,
    ACTIONS(12669), 1,
      anon_sym_RPAREN,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(14973), 1,
      sym_binding,
    STATE(15426), 1,
      sym_identifier,
    STATE(15430), 1,
      sym_wildcard,
    STATE(10980), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [512342] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12356), 1,
      aux_sym_compound_type_repeat1,
    STATE(12675), 1,
      sym_template_body,
    STATE(12677), 1,
      sym__refinement,
    STATE(10981), 2,
      sym_comment,
      sym_block_comment,
    STATE(12702), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7668), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [512378] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(12671), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15670), 1,
      sym__type_parameter,
    STATE(10982), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [512422] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10999), 1,
      anon_sym_STAR,
    ACTIONS(11005), 1,
      anon_sym_PIPE,
    ACTIONS(11007), 1,
      sym_operator_identifier,
    ACTIONS(11147), 1,
      anon_sym_EQ,
    ACTIONS(12250), 1,
      anon_sym_COLON,
    STATE(4172), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    STATE(10983), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [512468] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10984), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10047), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10045), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [512498] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10985), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11316), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [512526] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10986), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8095), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8093), 12,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [512556] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12035), 1,
      anon_sym_LPAREN,
    ACTIONS(12675), 1,
      sym__automatic_semicolon,
    STATE(11894), 1,
      sym_access_modifier,
    STATE(11902), 1,
      aux_sym__class_constructor_repeat1,
    STATE(12760), 1,
      sym_class_parameters,
    ACTIONS(12033), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(10987), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12673), 8,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [512596] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9812), 1,
      anon_sym_LPAREN,
    STATE(10731), 1,
      aux_sym_annotation_repeat1,
    STATE(11740), 1,
      sym_arguments,
    STATE(10988), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7817), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [512630] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10989), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11320), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [512658] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(12678), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15670), 1,
      sym__type_parameter,
    STATE(10990), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [512702] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9427), 1,
      anon_sym_LPAREN,
    ACTIONS(12233), 1,
      anon_sym_LBRACK,
    ACTIONS(12237), 1,
      anon_sym_POUND,
    ACTIONS(12294), 1,
      anon_sym_AT,
    STATE(8843), 1,
      sym_arguments,
    STATE(11659), 1,
      sym_type_arguments,
    STATE(11760), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12276), 1,
      sym_annotation,
    STATE(10991), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_SEMI,
  [512746] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12108), 1,
      anon_sym_LBRACK,
    ACTIONS(12110), 1,
      anon_sym_AT,
    ACTIONS(12112), 1,
      anon_sym_POUND,
    ACTIONS(12194), 1,
      anon_sym_LPAREN,
    STATE(11199), 1,
      sym_type_arguments,
    STATE(11201), 1,
      aux_sym_enum_definition_repeat1,
    STATE(11870), 1,
      sym_annotation,
    STATE(13778), 1,
      sym_arguments,
    STATE(10992), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 7,
      sym__automatic_semicolon,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_SEMI,
  [512790] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10993), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9082), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [512818] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(12680), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15670), 1,
      sym__type_parameter,
    STATE(10994), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [512862] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10995), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9998), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9996), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [512892] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10999), 1,
      anon_sym_STAR,
    ACTIONS(11005), 1,
      anon_sym_PIPE,
    ACTIONS(11007), 1,
      sym_operator_identifier,
    ACTIONS(11013), 1,
      anon_sym_EQ,
    ACTIONS(12244), 1,
      anon_sym_COLON,
    STATE(4172), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    STATE(10996), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [512938] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(12682), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15670), 1,
      sym__type_parameter,
    STATE(10997), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [512982] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12684), 1,
      anon_sym_end,
    STATE(5406), 1,
      sym__end_marker,
    STATE(10998), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9292), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [513014] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(12686), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15670), 1,
      sym__type_parameter,
    STATE(10999), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [513058] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11000), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12290), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(12288), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [513088] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(12688), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15670), 1,
      sym__type_parameter,
    STATE(11001), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [513132] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11002), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8227), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8225), 12,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [513162] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(12690), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15670), 1,
      sym__type_parameter,
    STATE(11003), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [513206] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11004), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12286), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(12284), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [513236] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10165), 1,
      sym__alpha_identifier,
    ACTIONS(10185), 1,
      sym__backquoted_id,
    ACTIONS(10999), 1,
      anon_sym_STAR,
    ACTIONS(11003), 1,
      anon_sym_EQ,
    ACTIONS(11005), 1,
      anon_sym_PIPE,
    ACTIONS(11007), 1,
      sym_operator_identifier,
    ACTIONS(12239), 1,
      anon_sym_COLON,
    STATE(4172), 1,
      sym_identifier,
    STATE(9306), 1,
      sym__soft_identifier,
    STATE(11005), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10175), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [513282] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(12543), 1,
      sym_operator_identifier,
    ACTIONS(12692), 1,
      anon_sym_RPAREN,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15426), 1,
      sym_identifier,
    STATE(15430), 1,
      sym_wildcard,
    STATE(15502), 1,
      sym_binding,
    STATE(11006), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [513328] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(12694), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15670), 1,
      sym__type_parameter,
    STATE(11007), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [513372] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7338), 1,
      anon_sym_DOT,
    STATE(11008), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [513402] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(12696), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15670), 1,
      sym__type_parameter,
    STATE(11009), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [513446] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(12698), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15670), 1,
      sym__type_parameter,
    STATE(11010), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [513490] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(12700), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15670), 1,
      sym__type_parameter,
    STATE(11011), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [513534] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(12702), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15670), 1,
      sym__type_parameter,
    STATE(11012), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [513578] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(12704), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15670), 1,
      sym__type_parameter,
    STATE(11013), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [513622] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(12706), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15670), 1,
      sym__type_parameter,
    STATE(11014), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [513666] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(12708), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15670), 1,
      sym__type_parameter,
    STATE(11015), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [513710] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(12710), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15670), 1,
      sym__type_parameter,
    STATE(11016), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [513754] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(12712), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15670), 1,
      sym__type_parameter,
    STATE(11017), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [513798] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(12714), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15670), 1,
      sym__type_parameter,
    STATE(11018), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [513842] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(12716), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15670), 1,
      sym__type_parameter,
    STATE(11019), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [513886] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(12718), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15670), 1,
      sym__type_parameter,
    STATE(11020), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [513930] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(12720), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15670), 1,
      sym__type_parameter,
    STATE(11021), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [513974] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(12722), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15670), 1,
      sym__type_parameter,
    STATE(11022), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [514018] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(12724), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15670), 1,
      sym__type_parameter,
    STATE(11023), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [514062] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(12726), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15670), 1,
      sym__type_parameter,
    STATE(11024), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [514106] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11025), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [514134] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(12728), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15670), 1,
      sym__type_parameter,
    STATE(11026), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [514178] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(12730), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15670), 1,
      sym__type_parameter,
    STATE(11027), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [514222] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(12732), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15670), 1,
      sym__type_parameter,
    STATE(11028), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [514266] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11029), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11395), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [514294] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(12734), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15670), 1,
      sym__type_parameter,
    STATE(11030), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [514338] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11031), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12315), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(12313), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [514368] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(12736), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15670), 1,
      sym__type_parameter,
    STATE(11032), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [514412] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11033), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11371), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [514440] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11034), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7694), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [514468] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11035), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8027), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [514496] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    ACTIONS(12738), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15670), 1,
      sym__type_parameter,
    STATE(11036), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [514540] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11037), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11285), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [514567] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12290), 1,
      sym__backquoted_id,
    STATE(11038), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12288), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [514596] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11039), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9021), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [514623] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7694), 1,
      sym__backquoted_id,
    STATE(11040), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7696), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [514652] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7580), 2,
      sym__outdent,
      sym__backquoted_id,
    STATE(11041), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7574), 12,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [514681] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12325), 1,
      sym__backquoted_id,
    STATE(11042), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12323), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [514710] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12329), 1,
      sym__backquoted_id,
    STATE(11043), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12327), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [514739] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11044), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8027), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [514766] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12740), 1,
      anon_sym_end,
    STATE(6612), 1,
      sym__end_marker,
    STATE(11045), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9292), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [514797] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7236), 1,
      anon_sym_LBRACE,
    ACTIONS(7498), 1,
      anon_sym_with,
    ACTIONS(8557), 1,
      anon_sym_LPAREN,
    ACTIONS(12343), 1,
      anon_sym_COLON,
    ACTIONS(12742), 1,
      anon_sym_EQ,
    STATE(13085), 1,
      aux_sym_compound_type_repeat1,
    STATE(15627), 1,
      sym__refinement,
    STATE(15628), 1,
      sym_template_body,
    STATE(16767), 1,
      sym_arguments,
    STATE(11046), 2,
      sym_comment,
      sym_block_comment,
    STATE(15707), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(12345), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [514844] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7588), 1,
      anon_sym_LBRACE,
    ACTIONS(12744), 1,
      anon_sym_COLON,
    STATE(11506), 1,
      aux_sym_compound_type_repeat1,
    STATE(13778), 1,
      sym_arguments,
    STATE(13793), 1,
      sym_template_body,
    STATE(13794), 1,
      sym__refinement,
    STATE(11047), 2,
      sym_comment,
      sym_block_comment,
    STATE(13786), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7498), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [514885] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11395), 1,
      sym__backquoted_id,
    STATE(11048), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11393), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [514914] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11049), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7704), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [514941] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11050), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7716), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [514968] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11051), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7552), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [514995] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9180), 2,
      sym__outdent,
      sym__backquoted_id,
    STATE(11052), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9182), 12,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [515024] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11053), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7716), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [515051] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(14887), 1,
      sym__type_parameter,
    STATE(11054), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [515092] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(14872), 1,
      sym__type_parameter,
    STATE(11055), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [515133] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(14593), 1,
      sym__type_parameter,
    STATE(11056), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [515174] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(14861), 1,
      sym__type_parameter,
    STATE(11057), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [515215] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(14852), 1,
      sym__type_parameter,
    STATE(11058), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [515256] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(14845), 1,
      sym__type_parameter,
    STATE(11059), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [515297] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9159), 2,
      sym__outdent,
      sym__backquoted_id,
    STATE(11060), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9161), 12,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [515326] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7236), 1,
      anon_sym_LBRACE,
    ACTIONS(7498), 1,
      anon_sym_with,
    ACTIONS(8557), 1,
      anon_sym_LPAREN,
    ACTIONS(12343), 1,
      anon_sym_COLON,
    ACTIONS(12746), 1,
      anon_sym_EQ,
    STATE(13085), 1,
      aux_sym_compound_type_repeat1,
    STATE(15627), 1,
      sym__refinement,
    STATE(15628), 1,
      sym_template_body,
    STATE(16767), 1,
      sym_arguments,
    STATE(11061), 2,
      sym_comment,
      sym_block_comment,
    STATE(15707), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(12488), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
  [515373] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11062), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11344), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [515400] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9082), 2,
      sym__outdent,
      sym__backquoted_id,
    STATE(11063), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9084), 12,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [515429] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9021), 2,
      sym__outdent,
      sym__backquoted_id,
    STATE(11064), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9023), 12,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [515458] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11065), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 14,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [515485] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(14838), 1,
      sym__type_parameter,
    STATE(11066), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [515526] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(14830), 1,
      sym__type_parameter,
    STATE(11067), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [515567] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(14824), 1,
      sym__type_parameter,
    STATE(11068), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [515608] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9029), 2,
      sym__outdent,
      sym__backquoted_id,
    STATE(11069), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9031), 12,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [515637] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(14818), 1,
      sym__type_parameter,
    STATE(11070), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [515678] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(14524), 1,
      sym__type_parameter,
    STATE(11071), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [515719] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7236), 1,
      anon_sym_LBRACE,
    ACTIONS(7498), 1,
      anon_sym_with,
    ACTIONS(8557), 1,
      anon_sym_LPAREN,
    ACTIONS(12343), 1,
      anon_sym_COLON,
    ACTIONS(12748), 1,
      anon_sym_EQ,
    STATE(13085), 1,
      aux_sym_compound_type_repeat1,
    STATE(15627), 1,
      sym__refinement,
    STATE(15628), 1,
      sym_template_body,
    STATE(16767), 1,
      sym_arguments,
    STATE(11072), 2,
      sym_comment,
      sym_block_comment,
    STATE(15707), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(12392), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [515766] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10058), 2,
      sym__outdent,
      sym__backquoted_id,
    STATE(11073), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10056), 12,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [515795] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(14810), 1,
      sym__type_parameter,
    STATE(11074), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [515836] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(14803), 1,
      sym__type_parameter,
    STATE(11075), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [515877] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11076), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7330), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [515904] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(14795), 1,
      sym__type_parameter,
    STATE(11077), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [515945] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(14793), 1,
      sym__type_parameter,
    STATE(11078), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [515986] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(14784), 1,
      sym__type_parameter,
    STATE(11079), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [516027] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12194), 1,
      anon_sym_LPAREN,
    STATE(11200), 1,
      aux_sym_annotation_repeat1,
    STATE(12177), 1,
      sym_arguments,
    STATE(11080), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7817), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_SEMI,
  [516060] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(14778), 1,
      sym__type_parameter,
    STATE(11081), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [516101] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11586), 1,
      sym__alpha_identifier,
    ACTIONS(11592), 1,
      sym__backquoted_id,
    ACTIONS(12750), 1,
      sym_operator_identifier,
    STATE(9844), 1,
      sym__soft_identifier,
    STATE(12999), 1,
      sym_identifier,
    STATE(16865), 1,
      sym_stable_identifier,
    STATE(11082), 2,
      sym_comment,
      sym_block_comment,
    STATE(13002), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [516142] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7236), 1,
      anon_sym_LBRACE,
    ACTIONS(7498), 1,
      anon_sym_with,
    ACTIONS(8557), 1,
      anon_sym_LPAREN,
    ACTIONS(12343), 1,
      anon_sym_COLON,
    ACTIONS(12752), 1,
      anon_sym_EQ,
    STATE(13085), 1,
      aux_sym_compound_type_repeat1,
    STATE(15627), 1,
      sym__refinement,
    STATE(15628), 1,
      sym_template_body,
    STATE(16767), 1,
      sym_arguments,
    STATE(11083), 2,
      sym_comment,
      sym_block_comment,
    STATE(15707), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(12488), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [516189] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(14771), 1,
      sym__type_parameter,
    STATE(11084), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [516230] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11085), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12754), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [516257] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(14762), 1,
      sym__type_parameter,
    STATE(11086), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [516298] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(14754), 1,
      sym__type_parameter,
    STATE(11087), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [516339] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(12756), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(14106), 1,
      sym_identifier,
    STATE(16552), 1,
      sym_stable_identifier,
    STATE(11088), 2,
      sym_comment,
      sym_block_comment,
    STATE(14331), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [516380] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(14746), 1,
      sym__type_parameter,
    STATE(11089), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [516421] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(14743), 1,
      sym__type_parameter,
    STATE(11090), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [516462] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9959), 1,
      sym__backquoted_id,
    STATE(11091), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9957), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [516491] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11092), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [516518] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11093), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11344), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [516545] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(14734), 1,
      sym__type_parameter,
    STATE(11094), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [516586] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10073), 2,
      sym__outdent,
      sym__backquoted_id,
    STATE(11095), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10071), 12,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [516615] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10077), 2,
      sym__outdent,
      sym__backquoted_id,
    STATE(11096), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10075), 12,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [516644] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8500), 1,
      anon_sym_LPAREN,
    ACTIONS(12758), 1,
      anon_sym_LBRACK,
    ACTIONS(12760), 1,
      anon_sym_POUND,
    STATE(11780), 1,
      aux_sym_annotation_repeat1,
    STATE(12487), 1,
      sym_type_arguments,
    STATE(12658), 1,
      sym_arguments,
    STATE(11097), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7530), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [516683] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(14728), 1,
      sym__type_parameter,
    STATE(11098), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [516724] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11099), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [516751] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11100), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7584), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [516778] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11101), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9029), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [516805] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(14724), 1,
      sym__type_parameter,
    STATE(11102), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [516846] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(14715), 1,
      sym__type_parameter,
    STATE(11103), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [516887] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(14707), 1,
      sym__type_parameter,
    STATE(11104), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [516928] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12762), 1,
      anon_sym_DOT,
    STATE(11105), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_yield,
  [516957] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(14587), 1,
      sym__type_parameter,
    STATE(11106), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [516998] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(14702), 1,
      sym__type_parameter,
    STATE(11107), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [517039] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11108), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [517066] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11109), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9021), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [517093] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(14697), 1,
      sym__type_parameter,
    STATE(11110), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [517134] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(14690), 1,
      sym__type_parameter,
    STATE(11111), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [517175] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11112), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7710), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [517202] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11113), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7716), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [517229] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7236), 1,
      anon_sym_LBRACE,
    ACTIONS(7498), 1,
      anon_sym_with,
    ACTIONS(8557), 1,
      anon_sym_LPAREN,
    ACTIONS(12343), 1,
      anon_sym_COLON,
    ACTIONS(12764), 1,
      anon_sym_EQ,
    STATE(13085), 1,
      aux_sym_compound_type_repeat1,
    STATE(15627), 1,
      sym__refinement,
    STATE(15628), 1,
      sym_template_body,
    STATE(16767), 1,
      sym_arguments,
    STATE(11114), 2,
      sym_comment,
      sym_block_comment,
    STATE(15707), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(12472), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [517276] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(14682), 1,
      sym__type_parameter,
    STATE(11115), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [517317] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(14670), 1,
      sym__type_parameter,
    STATE(11116), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [517358] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(14665), 1,
      sym__type_parameter,
    STATE(11117), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [517399] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11118), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [517426] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11119), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7714), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [517453] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7236), 1,
      anon_sym_LBRACE,
    ACTIONS(7498), 1,
      anon_sym_with,
    ACTIONS(8557), 1,
      anon_sym_LPAREN,
    ACTIONS(12343), 1,
      anon_sym_COLON,
    ACTIONS(12766), 1,
      anon_sym_EQ,
    STATE(13085), 1,
      aux_sym_compound_type_repeat1,
    STATE(15627), 1,
      sym__refinement,
    STATE(15628), 1,
      sym_template_body,
    STATE(16767), 1,
      sym_arguments,
    STATE(11120), 2,
      sym_comment,
      sym_block_comment,
    STATE(15707), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(12510), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [517500] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11121), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7704), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [517527] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11122), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9082), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [517554] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11123), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11337), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [517581] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11124), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7720), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [517608] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12233), 1,
      anon_sym_LBRACK,
    ACTIONS(12237), 1,
      anon_sym_POUND,
    ACTIONS(12294), 1,
      anon_sym_AT,
    STATE(11659), 1,
      sym_type_arguments,
    STATE(11760), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12276), 1,
      sym_annotation,
    STATE(11125), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [517647] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11734), 1,
      sym__alpha_identifier,
    ACTIONS(11742), 1,
      sym__backquoted_id,
    ACTIONS(12768), 1,
      sym_operator_identifier,
    STATE(10652), 1,
      sym__soft_identifier,
    STATE(13453), 1,
      sym_identifier,
    STATE(16730), 1,
      sym_stable_identifier,
    STATE(11126), 2,
      sym_comment,
      sym_block_comment,
    STATE(13475), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(11738), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [517688] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11127), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9159), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [517715] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11128), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [517742] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15298), 1,
      sym__type_parameter,
    STATE(11129), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [517783] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12770), 1,
      anon_sym_LPAREN,
    STATE(11855), 1,
      sym_arguments,
    STATE(11130), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(7788), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [517814] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(14657), 1,
      sym__type_parameter,
    STATE(11131), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [517855] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11132), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [517882] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15559), 1,
      sym__type_parameter,
    STATE(11133), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [517923] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11134), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9180), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [517950] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15558), 1,
      sym__type_parameter,
    STATE(11135), 2,
      sym_comment,
      sym_block_comment,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [517991] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12773), 1,
      anon_sym_COLON,
    ACTIONS(12777), 1,
      anon_sym_LBRACK,
    ACTIONS(12779), 1,
      anon_sym_LT_COLON,
    ACTIONS(12781), 1,
      anon_sym_GT_COLON,
    ACTIONS(12783), 1,
      anon_sym_LT_PERCENT,
    STATE(12152), 1,
      sym_type_parameters,
    STATE(12751), 1,
      sym_lower_bound,
    STATE(13277), 1,
      aux_sym__type_parameter_repeat1,
    STATE(13282), 1,
      sym_upper_bound,
    STATE(13833), 1,
      aux_sym__type_parameter_repeat2,
    STATE(14359), 1,
      sym_view_bound,
    STATE(15306), 1,
      sym_context_bound,
    ACTIONS(12775), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(11136), 2,
      sym_comment,
      sym_block_comment,
  [518042] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12785), 1,
      anon_sym_DOT,
    STATE(11137), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [518071] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(12756), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(14106), 1,
      sym_identifier,
    STATE(16552), 1,
      sym_stable_identifier,
    STATE(11138), 2,
      sym_comment,
      sym_block_comment,
    STATE(15055), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [518112] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(14488), 1,
      sym__type_parameter,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11139), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [518153] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11140), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7552), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [518180] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11141), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11320), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [518207] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(14580), 1,
      sym__type_parameter,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11142), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [518248] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11143), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11316), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [518275] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12787), 1,
      anon_sym_LPAREN,
    STATE(12123), 1,
      sym_arguments,
    STATE(11144), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(7788), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_SEMI,
  [518306] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7236), 1,
      anon_sym_LBRACE,
    ACTIONS(7498), 1,
      anon_sym_with,
    ACTIONS(8557), 1,
      anon_sym_LPAREN,
    ACTIONS(12343), 1,
      anon_sym_COLON,
    ACTIONS(12790), 1,
      anon_sym_EQ,
    STATE(13085), 1,
      aux_sym_compound_type_repeat1,
    STATE(15627), 1,
      sym__refinement,
    STATE(15628), 1,
      sym_template_body,
    STATE(16767), 1,
      sym_arguments,
    STATE(11145), 2,
      sym_comment,
      sym_block_comment,
    STATE(15707), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(12488), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [518353] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12305), 1,
      sym__backquoted_id,
    STATE(11146), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12303), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [518382] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7236), 1,
      anon_sym_LBRACE,
    ACTIONS(7498), 1,
      anon_sym_with,
    ACTIONS(8557), 1,
      anon_sym_LPAREN,
    ACTIONS(12343), 1,
      anon_sym_COLON,
    ACTIONS(12792), 1,
      anon_sym_EQ,
    STATE(13085), 1,
      aux_sym_compound_type_repeat1,
    STATE(15627), 1,
      sym__refinement,
    STATE(15628), 1,
      sym_template_body,
    STATE(16767), 1,
      sym_arguments,
    STATE(11147), 2,
      sym_comment,
      sym_block_comment,
    STATE(15707), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(12392), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
  [518429] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(14576), 1,
      sym__type_parameter,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11148), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [518470] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9977), 1,
      sym__backquoted_id,
    STATE(11149), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9975), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [518499] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11292), 1,
      sym__backquoted_id,
    STATE(11150), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11290), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [518528] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12136), 1,
      anon_sym_LPAREN,
    STATE(11130), 1,
      aux_sym_annotation_repeat1,
    STATE(11855), 1,
      sym_arguments,
    STATE(11151), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7817), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [518561] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11152), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9082), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [518588] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(14482), 1,
      sym__type_parameter,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11153), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [518629] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11154), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11302), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [518656] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11155), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7372), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [518683] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11156), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [518710] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11302), 1,
      sym__backquoted_id,
    STATE(11157), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11300), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [518739] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11158), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9029), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [518766] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11306), 1,
      sym__backquoted_id,
    STATE(11159), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11304), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [518795] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(14567), 1,
      sym__type_parameter,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11160), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [518836] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11161), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7720), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [518863] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(14495), 1,
      sym__type_parameter,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11162), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [518904] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7236), 1,
      anon_sym_LBRACE,
    ACTIONS(7498), 1,
      anon_sym_with,
    ACTIONS(8557), 1,
      anon_sym_LPAREN,
    ACTIONS(12343), 1,
      anon_sym_COLON,
    ACTIONS(12794), 1,
      anon_sym_EQ,
    STATE(13085), 1,
      aux_sym_compound_type_repeat1,
    STATE(15627), 1,
      sym__refinement,
    STATE(15628), 1,
      sym_template_body,
    STATE(16767), 1,
      sym_arguments,
    STATE(11163), 2,
      sym_comment,
      sym_block_comment,
    STATE(15707), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(12510), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
  [518951] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12315), 1,
      sym__backquoted_id,
    STATE(11164), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12313), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [518980] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11165), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7704), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [519007] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7236), 1,
      anon_sym_LBRACE,
    ACTIONS(7498), 1,
      anon_sym_with,
    ACTIONS(8557), 1,
      anon_sym_LPAREN,
    ACTIONS(12343), 1,
      anon_sym_COLON,
    ACTIONS(12796), 1,
      anon_sym_EQ,
    STATE(13085), 1,
      aux_sym_compound_type_repeat1,
    STATE(15627), 1,
      sym__refinement,
    STATE(15628), 1,
      sym_template_body,
    STATE(16767), 1,
      sym_arguments,
    STATE(11166), 2,
      sym_comment,
      sym_block_comment,
    STATE(15707), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(12510), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [519054] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7338), 1,
      anon_sym_DOT,
    STATE(11167), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 13,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [519083] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11168), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11292), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [519110] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(14560), 1,
      sym__type_parameter,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11169), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [519151] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11170), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11371), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [519178] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11171), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 14,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [519205] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11172), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7710), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [519232] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11173), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 14,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [519259] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11316), 1,
      sym__backquoted_id,
    STATE(11174), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11314), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [519288] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11175), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7330), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [519315] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11176), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [519342] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6706), 1,
      anon_sym_LBRACE,
    ACTIONS(12798), 1,
      anon_sym_COLON,
    ACTIONS(12800), 1,
      anon_sym_with,
    STATE(8843), 1,
      sym_arguments,
    STATE(9226), 1,
      sym__refinement,
    STATE(9234), 1,
      sym_template_body,
    STATE(11583), 1,
      aux_sym_compound_type_repeat1,
    STATE(8874), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11177), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7498), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [519385] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11320), 1,
      sym__backquoted_id,
    STATE(11178), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11318), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [519414] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12802), 1,
      anon_sym_LPAREN,
    STATE(11889), 1,
      sym_arguments,
    STATE(11179), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(7788), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [519445] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11180), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11337), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [519472] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12805), 1,
      anon_sym_DOT,
    STATE(11181), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 13,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [519501] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12106), 1,
      anon_sym_LPAREN,
    STATE(11144), 1,
      aux_sym_annotation_repeat1,
    STATE(12123), 1,
      sym_arguments,
    STATE(11182), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7817), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_SEMI,
  [519534] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11183), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8027), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [519561] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11184), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7372), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [519588] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12046), 1,
      anon_sym_AT,
    STATE(11268), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12033), 1,
      sym_annotation,
    STATE(11185), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [519621] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11186), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7714), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [519648] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12807), 1,
      anon_sym_STAR,
    STATE(11187), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12420), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [519677] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12278), 1,
      sym__backquoted_id,
    STATE(11188), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12276), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [519706] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11189), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7330), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [519733] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11190), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7552), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [519760] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11191), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7720), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [519787] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7236), 1,
      anon_sym_LBRACE,
    ACTIONS(7498), 1,
      anon_sym_with,
    ACTIONS(8557), 1,
      anon_sym_LPAREN,
    ACTIONS(12343), 1,
      anon_sym_COLON,
    ACTIONS(12809), 1,
      anon_sym_EQ,
    STATE(13085), 1,
      aux_sym_compound_type_repeat1,
    STATE(15627), 1,
      sym__refinement,
    STATE(15628), 1,
      sym_template_body,
    STATE(16767), 1,
      sym_arguments,
    STATE(11192), 2,
      sym_comment,
      sym_block_comment,
    STATE(15707), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(12392), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [519834] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11193), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [519861] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11586), 1,
      sym__alpha_identifier,
    ACTIONS(11592), 1,
      sym__backquoted_id,
    ACTIONS(12750), 1,
      sym_operator_identifier,
    STATE(9844), 1,
      sym__soft_identifier,
    STATE(12999), 1,
      sym_identifier,
    STATE(16865), 1,
      sym_stable_identifier,
    STATE(11194), 2,
      sym_comment,
      sym_block_comment,
    STATE(13368), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [519902] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11195), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [519929] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11196), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12811), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [519956] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11197), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11306), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [519983] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(12543), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15426), 1,
      sym_identifier,
    STATE(15430), 1,
      sym_wildcard,
    STATE(15502), 1,
      sym_binding,
    STATE(11198), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [520026] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11199), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7720), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [520053] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12813), 1,
      anon_sym_LPAREN,
    STATE(12177), 1,
      sym_arguments,
    STATE(11200), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(7788), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_SEMI,
  [520084] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12110), 1,
      anon_sym_AT,
    STATE(11287), 1,
      aux_sym_enum_definition_repeat1,
    STATE(11870), 1,
      sym_annotation,
    STATE(11201), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [520117] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12818), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(11202), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12816), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [520146] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(14477), 1,
      sym__type_parameter,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11203), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [520187] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9498), 1,
      anon_sym_COLON,
    STATE(11204), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8733), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [520216] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12823), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(11205), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12821), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [520245] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11206), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12826), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [520272] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11207), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7714), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [520299] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11208), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12828), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [520326] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11209), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9159), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [520353] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11210), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11395), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [520380] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11211), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12830), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [520407] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12172), 1,
      sym__backquoted_id,
    STATE(11212), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12164), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [520436] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11213), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7694), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [520463] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7338), 1,
      anon_sym_DOT,
    STATE(11214), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [520492] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9498), 1,
      anon_sym_COLON,
    STATE(11215), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8733), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [520521] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7236), 1,
      anon_sym_LBRACE,
    ACTIONS(7498), 1,
      anon_sym_with,
    ACTIONS(8557), 1,
      anon_sym_LPAREN,
    ACTIONS(12343), 1,
      anon_sym_COLON,
    ACTIONS(12832), 1,
      anon_sym_EQ,
    STATE(13085), 1,
      aux_sym_compound_type_repeat1,
    STATE(15627), 1,
      sym__refinement,
    STATE(15628), 1,
      sym_template_body,
    STATE(16767), 1,
      sym_arguments,
    STATE(11216), 2,
      sym_comment,
      sym_block_comment,
    STATE(15707), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(12553), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [520568] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11217), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7372), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [520595] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7236), 1,
      anon_sym_LBRACE,
    ACTIONS(7498), 1,
      anon_sym_with,
    ACTIONS(8557), 1,
      anon_sym_LPAREN,
    ACTIONS(12343), 1,
      anon_sym_COLON,
    ACTIONS(12834), 1,
      anon_sym_EQ,
    STATE(13085), 1,
      aux_sym_compound_type_repeat1,
    STATE(15627), 1,
      sym__refinement,
    STATE(15628), 1,
      sym_template_body,
    STATE(16767), 1,
      sym_arguments,
    STATE(11218), 2,
      sym_comment,
      sym_block_comment,
    STATE(15707), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(12553), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [520642] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7236), 1,
      anon_sym_LBRACE,
    ACTIONS(7498), 1,
      anon_sym_with,
    ACTIONS(8557), 1,
      anon_sym_LPAREN,
    ACTIONS(12343), 1,
      anon_sym_COLON,
    ACTIONS(12836), 1,
      anon_sym_EQ,
    STATE(13085), 1,
      aux_sym_compound_type_repeat1,
    STATE(15627), 1,
      sym__refinement,
    STATE(15628), 1,
      sym_template_body,
    STATE(16767), 1,
      sym_arguments,
    STATE(11219), 2,
      sym_comment,
      sym_block_comment,
    STATE(15707), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(12345), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
  [520689] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6706), 1,
      anon_sym_LBRACE,
    ACTIONS(12798), 1,
      anon_sym_COLON,
    ACTIONS(12838), 1,
      anon_sym_extends,
    ACTIONS(12840), 1,
      anon_sym_derives,
    ACTIONS(12842), 1,
      sym__automatic_semicolon,
    STATE(11846), 1,
      sym_extends_clause,
    STATE(12824), 1,
      sym_derives_clause,
    STATE(14244), 1,
      sym__definition_body,
    STATE(14283), 1,
      sym_template_body,
    STATE(8874), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11220), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12524), 3,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [520736] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11221), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7710), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [520763] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11222), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9144), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [520790] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11223), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12845), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [520817] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11224), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12847), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [520844] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11225), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [520871] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9144), 1,
      sym__backquoted_id,
    STATE(11226), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9146), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [520900] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11227), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9134), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [520927] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11228), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12849), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [520954] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8123), 1,
      anon_sym_LPAREN,
    STATE(11234), 1,
      aux_sym_annotation_repeat1,
    STATE(12100), 1,
      sym_arguments,
    STATE(11229), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7817), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [520987] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9998), 1,
      sym__backquoted_id,
    STATE(11230), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9996), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [521016] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11231), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7552), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [521043] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12853), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(11232), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12851), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [521072] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11233), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12856), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [521099] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12858), 1,
      anon_sym_LPAREN,
    STATE(12100), 1,
      sym_arguments,
    STATE(11234), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(7788), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [521130] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11235), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9130), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [521157] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(14531), 1,
      sym__type_parameter,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11236), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [521198] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11237), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9134), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [521225] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12861), 1,
      anon_sym_DOT,
    STATE(11238), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [521254] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7338), 1,
      anon_sym_DOT,
    STATE(11239), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [521283] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9134), 1,
      sym__backquoted_id,
    STATE(11240), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9136), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [521312] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12108), 1,
      anon_sym_LBRACK,
    ACTIONS(12110), 1,
      anon_sym_AT,
    ACTIONS(12112), 1,
      anon_sym_POUND,
    STATE(11199), 1,
      sym_type_arguments,
    STATE(11201), 1,
      aux_sym_enum_definition_repeat1,
    STATE(11870), 1,
      sym_annotation,
    STATE(11241), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 8,
      sym__automatic_semicolon,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [521351] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11242), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12863), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [521378] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7240), 1,
      anon_sym_LBRACK,
    ACTIONS(12867), 1,
      anon_sym_LPAREN,
    ACTIONS(12869), 1,
      sym__automatic_semicolon,
    STATE(11873), 1,
      sym_type_parameters,
    STATE(11874), 1,
      aux_sym__function_constructor_repeat1,
    STATE(13068), 1,
      sym__using_parameters_clause,
    STATE(13070), 1,
      sym_parameters,
    STATE(11243), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12865), 7,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [521419] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11244), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11320), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [521446] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11245), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12871), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [521473] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11246), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11316), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [521500] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11247), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11306), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [521527] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9130), 1,
      sym__backquoted_id,
    STATE(11248), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9132), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [521556] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11249), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12873), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [521583] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7236), 1,
      anon_sym_LBRACE,
    ACTIONS(7498), 1,
      anon_sym_with,
    ACTIONS(8557), 1,
      anon_sym_LPAREN,
    ACTIONS(12343), 1,
      anon_sym_COLON,
    ACTIONS(12875), 1,
      anon_sym_EQ,
    STATE(13085), 1,
      aux_sym_compound_type_repeat1,
    STATE(15627), 1,
      sym__refinement,
    STATE(15628), 1,
      sym_template_body,
    STATE(16767), 1,
      sym_arguments,
    STATE(11250), 2,
      sym_comment,
      sym_block_comment,
    STATE(15707), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(12472), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
  [521630] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11251), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12877), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [521657] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(14515), 1,
      sym__type_parameter,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11252), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [521698] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11734), 1,
      sym__alpha_identifier,
    ACTIONS(11742), 1,
      sym__backquoted_id,
    ACTIONS(12768), 1,
      sym_operator_identifier,
    STATE(10652), 1,
      sym__soft_identifier,
    STATE(13453), 1,
      sym_identifier,
    STATE(16730), 1,
      sym_stable_identifier,
    STATE(11253), 2,
      sym_comment,
      sym_block_comment,
    STATE(13446), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(11738), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [521739] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(14510), 1,
      sym__type_parameter,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11254), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [521780] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11255), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7716), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [521807] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(14644), 1,
      sym__type_parameter,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11256), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [521848] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(14504), 1,
      sym__type_parameter,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11257), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [521889] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11258), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [521916] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11259), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7704), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [521943] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(14650), 1,
      sym__type_parameter,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11260), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [521984] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11261), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [522011] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(14599), 1,
      sym__type_parameter,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11262), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [522052] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11263), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11302), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [522079] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(14639), 1,
      sym__type_parameter,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11264), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [522120] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12301), 1,
      sym__backquoted_id,
    STATE(11265), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12299), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [522149] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(14634), 1,
      sym__type_parameter,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11266), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [522190] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(14628), 1,
      sym__type_parameter,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11267), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [522231] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12879), 1,
      anon_sym_AT,
    STATE(12033), 1,
      sym_annotation,
    STATE(11268), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8283), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [522262] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(14610), 1,
      sym__type_parameter,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11269), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [522303] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11270), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 14,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [522330] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12120), 1,
      anon_sym_DOT,
    STATE(11271), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [522359] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11272), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12882), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [522386] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11337), 1,
      sym__backquoted_id,
    STATE(11273), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11335), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [522415] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11274), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12884), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [522442] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10414), 1,
      anon_sym_LPAREN,
    STATE(11179), 1,
      aux_sym_annotation_repeat1,
    STATE(11889), 1,
      sym_arguments,
    STATE(11275), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7817), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [522475] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11276), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7714), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [522502] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11277), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7372), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [522529] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12890), 1,
      sym__indent,
    STATE(11278), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12888), 3,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(12886), 10,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [522560] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11371), 1,
      sym__backquoted_id,
    STATE(11279), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11369), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [522589] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(14472), 1,
      sym__type_parameter,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11280), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [522630] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6706), 1,
      anon_sym_LBRACE,
    ACTIONS(12798), 1,
      anon_sym_COLON,
    ACTIONS(12838), 1,
      anon_sym_extends,
    ACTIONS(12840), 1,
      anon_sym_derives,
    STATE(11802), 1,
      sym_extends_clause,
    STATE(12729), 1,
      sym_derives_clause,
    STATE(14283), 1,
      sym_template_body,
    STATE(14285), 1,
      sym__definition_body,
    STATE(8874), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11281), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12476), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [522675] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(14616), 1,
      sym__type_parameter,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11282), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [522716] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11283), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 14,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [522743] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11284), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12420), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [522770] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11285), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9130), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [522797] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8518), 1,
      anon_sym_LPAREN,
    ACTIONS(12892), 1,
      anon_sym_LBRACK,
    ACTIONS(12894), 1,
      anon_sym_POUND,
    STATE(11964), 1,
      aux_sym_annotation_repeat1,
    STATE(12308), 1,
      sym_type_arguments,
    STATE(12829), 1,
      sym_arguments,
    STATE(11286), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7530), 8,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [522836] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12896), 1,
      anon_sym_AT,
    STATE(11870), 1,
      sym_annotation,
    STATE(11287), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8283), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [522867] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11288), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12899), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [522894] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11289), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7372), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [522921] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11290), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12901), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [522948] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15155), 1,
      sym__type_parameter,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11291), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [522989] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11292), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7584), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [523016] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7236), 1,
      anon_sym_LBRACE,
    ACTIONS(7498), 1,
      anon_sym_with,
    ACTIONS(8557), 1,
      anon_sym_LPAREN,
    ACTIONS(12343), 1,
      anon_sym_COLON,
    ACTIONS(12903), 1,
      anon_sym_EQ,
    STATE(13085), 1,
      aux_sym_compound_type_repeat1,
    STATE(15627), 1,
      sym__refinement,
    STATE(15628), 1,
      sym_template_body,
    STATE(16767), 1,
      sym_arguments,
    STATE(11293), 2,
      sym_comment,
      sym_block_comment,
    STATE(15707), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(12472), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [523063] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6134), 1,
      anon_sym_LBRACE,
    ACTIONS(12478), 1,
      anon_sym_COLON,
    ACTIONS(12905), 1,
      anon_sym_with,
    STATE(9462), 1,
      sym_arguments,
    STATE(9463), 1,
      sym__refinement,
    STATE(9465), 1,
      sym_template_body,
    STATE(11757), 1,
      aux_sym_compound_type_repeat1,
    STATE(6306), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11294), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7498), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [523106] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(14554), 1,
      sym__type_parameter,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11295), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [523147] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12058), 1,
      anon_sym_LPAREN,
    ACTIONS(12907), 1,
      sym__automatic_semicolon,
    STATE(12415), 1,
      sym_access_modifier,
    STATE(12417), 1,
      aux_sym__class_constructor_repeat1,
    STATE(13116), 1,
      sym_class_parameters,
    ACTIONS(12056), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(11296), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12673), 7,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [523186] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11344), 1,
      sym__backquoted_id,
    STATE(11297), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11342), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [523215] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11298), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12910), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [523242] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12058), 1,
      anon_sym_LPAREN,
    ACTIONS(12912), 1,
      sym__automatic_semicolon,
    STATE(12566), 1,
      sym_access_modifier,
    STATE(12568), 1,
      aux_sym__class_constructor_repeat1,
    STATE(13116), 1,
      sym_class_parameters,
    ACTIONS(12056), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(11299), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12565), 7,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [523281] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8606), 1,
      anon_sym_LPAREN,
    ACTIONS(12915), 1,
      anon_sym_LBRACK,
    ACTIONS(12917), 1,
      anon_sym_POUND,
    STATE(12181), 1,
      aux_sym_annotation_repeat1,
    STATE(12448), 1,
      sym_type_arguments,
    STATE(12637), 1,
      sym_arguments,
    STATE(11300), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7530), 8,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [523320] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7236), 1,
      anon_sym_LBRACE,
    ACTIONS(7498), 1,
      anon_sym_with,
    ACTIONS(8557), 1,
      anon_sym_LPAREN,
    ACTIONS(12343), 1,
      anon_sym_COLON,
    ACTIONS(12919), 1,
      anon_sym_EQ,
    STATE(13085), 1,
      aux_sym_compound_type_repeat1,
    STATE(15627), 1,
      sym__refinement,
    STATE(15628), 1,
      sym_template_body,
    STATE(16767), 1,
      sym_arguments,
    STATE(11301), 2,
      sym_comment,
      sym_block_comment,
    STATE(15707), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(12553), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
  [523367] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11302), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7330), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [523394] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15032), 1,
      sym__type_parameter,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11303), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [523435] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11304), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9144), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [523462] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8679), 1,
      anon_sym_LPAREN,
    ACTIONS(12921), 1,
      anon_sym_LBRACK,
    ACTIONS(12923), 1,
      anon_sym_POUND,
    STATE(11989), 1,
      aux_sym_annotation_repeat1,
    STATE(12361), 1,
      sym_type_arguments,
    STATE(12915), 1,
      sym_arguments,
    STATE(11305), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7530), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [523501] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12925), 1,
      anon_sym_STAR,
    STATE(11306), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12420), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [523530] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11307), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [523557] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7580), 1,
      sym__backquoted_id,
    ACTIONS(7694), 1,
      sym__outdent,
    ACTIONS(7696), 1,
      anon_sym_case,
    ACTIONS(7698), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(11308), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7574), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [523592] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15670), 1,
      sym__type_parameter,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11309), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [523633] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(14467), 1,
      sym__type_parameter,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11310), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [523674] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12927), 1,
      anon_sym_end,
    STATE(6481), 1,
      sym__end_marker,
    STATE(11311), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9292), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [523705] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11312), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7584), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [523732] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11313), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11292), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [523759] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7568), 1,
      anon_sym_LBRACE,
    ACTIONS(12929), 1,
      anon_sym_COLON,
    STATE(11523), 1,
      aux_sym_compound_type_repeat1,
    STATE(13703), 1,
      sym__refinement,
    STATE(13704), 1,
      sym_template_body,
    STATE(13774), 1,
      sym_arguments,
    STATE(11314), 2,
      sym_comment,
      sym_block_comment,
    STATE(13724), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7498), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [523800] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11315), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7710), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [523827] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11316), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [523854] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11317), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [523881] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11318), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [523908] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11319), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7694), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [523935] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11285), 1,
      sym__backquoted_id,
    STATE(11320), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11283), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [523964] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12931), 1,
      sym__alpha_identifier,
    ACTIONS(12937), 1,
      sym__backquoted_id,
    ACTIONS(12939), 1,
      sym_operator_identifier,
    STATE(5635), 1,
      sym_identifier,
    STATE(8951), 1,
      sym__soft_identifier,
    STATE(15765), 1,
      sym__arrow_then_type,
    ACTIONS(12933), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(11321), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12935), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [524005] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11322), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11285), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [524032] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11323), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11395), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [524059] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(14545), 1,
      sym__type_parameter,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11324), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [524100] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11325), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7720), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [524127] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11326), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11371), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [524154] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(14540), 1,
      sym__type_parameter,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11327), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [524195] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8835), 2,
      anon_sym_LBRACK,
      sym__backquoted_id,
    STATE(11328), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8833), 12,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [524224] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7236), 1,
      anon_sym_LBRACE,
    ACTIONS(7498), 1,
      anon_sym_with,
    ACTIONS(8557), 1,
      anon_sym_LPAREN,
    ACTIONS(12343), 1,
      anon_sym_COLON,
    ACTIONS(12941), 1,
      anon_sym_EQ,
    STATE(13085), 1,
      aux_sym_compound_type_repeat1,
    STATE(15627), 1,
      sym__refinement,
    STATE(15628), 1,
      sym_template_body,
    STATE(16767), 1,
      sym_arguments,
    STATE(11329), 2,
      sym_comment,
      sym_block_comment,
    STATE(15707), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(12345), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [524271] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11330), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [524298] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11331), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7714), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [524325] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(14461), 1,
      sym__type_parameter,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11332), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [524366] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11333), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7710), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [524393] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(14428), 1,
      sym__type_parameter,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11334), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [524434] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11335), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 14,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [524461] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11336), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [524488] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(14454), 1,
      sym__type_parameter,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11337), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [524529] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11338), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7704), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [524556] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(14448), 1,
      sym__type_parameter,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11339), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [524597] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11340), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7584), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [524624] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11341), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [524651] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11342), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7584), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [524678] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11343), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7716), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [524705] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(14432), 1,
      sym__type_parameter,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11344), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [524746] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11345), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7552), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [524773] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(10647), 1,
      anon_sym__,
    ACTIONS(10657), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(14440), 1,
      sym__type_parameter,
    STATE(11136), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11346), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [524814] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11347), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9180), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [524841] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9082), 1,
      sym__backquoted_id,
    STATE(11348), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9084), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [524870] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9159), 1,
      sym__backquoted_id,
    STATE(11349), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9161), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [524899] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12945), 1,
      anon_sym_LBRACK,
    STATE(5397), 1,
      sym_type_arguments,
    STATE(11350), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12943), 12,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [524930] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9180), 1,
      sym__backquoted_id,
    STATE(11351), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9182), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [524959] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11352), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7330), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [524986] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9029), 1,
      sym__backquoted_id,
    STATE(11353), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9031), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [525015] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12945), 1,
      anon_sym_LBRACK,
    STATE(5397), 1,
      sym_type_arguments,
    STATE(11354), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12947), 12,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [525046] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12945), 1,
      anon_sym_LBRACK,
    ACTIONS(12949), 1,
      anon_sym_match,
    STATE(5397), 1,
      sym_type_arguments,
    STATE(11355), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12754), 11,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [525079] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7338), 1,
      anon_sym_DOT,
    STATE(11356), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [525108] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12945), 1,
      anon_sym_LBRACK,
    STATE(5397), 1,
      sym_type_arguments,
    STATE(11357), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12951), 12,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [525139] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10041), 1,
      sym__backquoted_id,
    STATE(11358), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10039), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [525168] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12945), 1,
      anon_sym_LBRACK,
    STATE(5397), 1,
      sym_type_arguments,
    STATE(11359), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12953), 12,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [525199] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9021), 1,
      sym__backquoted_id,
    STATE(11360), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9023), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [525228] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12945), 1,
      anon_sym_LBRACK,
    STATE(5397), 1,
      sym_type_arguments,
    STATE(11361), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12955), 12,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [525259] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12945), 1,
      anon_sym_LBRACK,
    ACTIONS(12949), 1,
      anon_sym_match,
    STATE(5397), 1,
      sym_type_arguments,
    STATE(11362), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12957), 11,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [525292] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12286), 1,
      sym__backquoted_id,
    STATE(11363), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12284), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [525321] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11364), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8733), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [525348] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10047), 1,
      sym__backquoted_id,
    STATE(11365), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10045), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [525377] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11366), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9130), 13,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [525403] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11479), 1,
      sym__alpha_identifier,
    ACTIONS(11487), 1,
      sym__backquoted_id,
    ACTIONS(12959), 1,
      anon_sym_type,
    ACTIONS(12961), 1,
      sym_operator_identifier,
    STATE(10355), 1,
      sym__soft_identifier,
    STATE(10367), 1,
      sym_identifier,
    STATE(10692), 1,
      sym__type_identifier,
    STATE(11367), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11483), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [525443] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11608), 1,
      sym__alpha_identifier,
    ACTIONS(11616), 1,
      sym__backquoted_id,
    ACTIONS(12963), 1,
      anon_sym_type,
    ACTIONS(12965), 1,
      sym_operator_identifier,
    STATE(11436), 1,
      sym_identifier,
    STATE(11673), 1,
      sym__soft_identifier,
    STATE(12005), 1,
      sym__type_identifier,
    STATE(11368), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11612), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [525483] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11369), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11306), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [525509] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11370), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11302), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [525535] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11371), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11292), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [525561] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11586), 1,
      sym__alpha_identifier,
    ACTIONS(11592), 1,
      sym__backquoted_id,
    ACTIONS(12967), 1,
      sym_operator_identifier,
    STATE(9844), 1,
      sym__soft_identifier,
    STATE(10621), 1,
      sym_identifier,
    STATE(12937), 1,
      sym__type_identifier,
    STATE(14238), 1,
      sym__type_constructor,
    STATE(11372), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [525601] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8979), 1,
      anon_sym_LPAREN,
    ACTIONS(12969), 1,
      anon_sym_LBRACK,
    ACTIONS(12971), 1,
      anon_sym_POUND,
    STATE(12390), 1,
      aux_sym_annotation_repeat1,
    STATE(12764), 1,
      sym_type_arguments,
    STATE(13025), 1,
      sym_arguments,
    STATE(11373), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7530), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [525639] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11374), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8733), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [525665] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11375), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12910), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [525691] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6486), 1,
      sym__alpha_identifier,
    ACTIONS(6500), 1,
      sym__backquoted_id,
    ACTIONS(12973), 1,
      anon_sym_type,
    ACTIONS(12975), 1,
      sym_operator_identifier,
    STATE(5485), 1,
      sym__soft_identifier,
    STATE(5947), 1,
      sym_identifier,
    STATE(6420), 1,
      sym__type_identifier,
    STATE(11376), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6496), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [525731] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6420), 1,
      sym__alpha_identifier,
    ACTIONS(6434), 1,
      sym__backquoted_id,
    ACTIONS(12977), 1,
      anon_sym_type,
    ACTIONS(12979), 1,
      sym_operator_identifier,
    STATE(5191), 1,
      sym_identifier,
    STATE(5256), 1,
      sym__soft_identifier,
    STATE(5807), 1,
      sym__type_identifier,
    STATE(11377), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6430), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [525771] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7746), 1,
      sym__alpha_identifier,
    ACTIONS(7758), 1,
      sym__backquoted_id,
    ACTIONS(12981), 1,
      anon_sym_type,
    ACTIONS(12983), 1,
      sym_operator_identifier,
    STATE(4717), 1,
      sym__type_identifier,
    STATE(4858), 1,
      sym__soft_identifier,
    STATE(4865), 1,
      sym_identifier,
    STATE(11378), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [525811] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4660), 1,
      sym__alpha_identifier,
    ACTIONS(4678), 1,
      sym__backquoted_id,
    ACTIONS(12985), 1,
      anon_sym_type,
    ACTIONS(12987), 1,
      sym_operator_identifier,
    STATE(6686), 1,
      sym_identifier,
    STATE(7094), 1,
      sym__soft_identifier,
    STATE(8045), 1,
      sym__type_identifier,
    STATE(11379), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4672), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [525851] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4778), 1,
      sym__alpha_identifier,
    ACTIONS(4796), 1,
      sym__backquoted_id,
    ACTIONS(12989), 1,
      anon_sym_type,
    ACTIONS(12991), 1,
      sym_operator_identifier,
    STATE(5184), 1,
      sym__soft_identifier,
    STATE(5264), 1,
      sym_identifier,
    STATE(5572), 1,
      sym__type_identifier,
    STATE(11380), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4790), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [525891] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11381), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11371), 13,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [525917] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12993), 1,
      anon_sym_LBRACK,
    STATE(6475), 1,
      sym_type_arguments,
    STATE(11382), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12943), 11,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [525947] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11383), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9029), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [525973] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11384), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12901), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [525999] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12993), 1,
      anon_sym_LBRACK,
    ACTIONS(12995), 1,
      anon_sym_match,
    STATE(6475), 1,
      sym_type_arguments,
    STATE(11385), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12754), 10,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [526031] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11386), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12899), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [526057] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11387), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 13,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [526083] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11388), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9180), 13,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [526109] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6456), 1,
      sym__alpha_identifier,
    ACTIONS(6470), 1,
      sym__backquoted_id,
    ACTIONS(12997), 1,
      anon_sym_type,
    ACTIONS(12999), 1,
      sym_operator_identifier,
    STATE(6519), 1,
      sym__soft_identifier,
    STATE(6646), 1,
      sym_identifier,
    STATE(6957), 1,
      sym__type_identifier,
    STATE(11389), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6466), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [526149] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11390), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12754), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [526175] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12993), 1,
      anon_sym_LBRACK,
    STATE(6475), 1,
      sym_type_arguments,
    STATE(11391), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12953), 11,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [526205] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11586), 1,
      sym__alpha_identifier,
    ACTIONS(11592), 1,
      sym__backquoted_id,
    ACTIONS(13001), 1,
      anon_sym_type,
    ACTIONS(13003), 1,
      sym_operator_identifier,
    STATE(9844), 1,
      sym__soft_identifier,
    STATE(10402), 1,
      sym_identifier,
    STATE(10722), 1,
      sym__type_identifier,
    STATE(11392), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [526245] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12993), 1,
      anon_sym_LBRACK,
    STATE(6475), 1,
      sym_type_arguments,
    STATE(11393), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12947), 11,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [526275] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12993), 1,
      anon_sym_LBRACK,
    STATE(6475), 1,
      sym_type_arguments,
    STATE(11394), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12955), 11,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [526305] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11634), 1,
      sym__alpha_identifier,
    ACTIONS(11642), 1,
      sym__backquoted_id,
    ACTIONS(13005), 1,
      sym_operator_identifier,
    STATE(10169), 1,
      sym_identifier,
    STATE(10656), 1,
      sym__soft_identifier,
    STATE(10852), 1,
      sym__class_constructor,
    STATE(13795), 1,
      sym__class_definition,
    STATE(11395), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11638), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [526345] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12993), 1,
      anon_sym_LBRACK,
    ACTIONS(12995), 1,
      anon_sym_match,
    STATE(6475), 1,
      sym_type_arguments,
    STATE(11396), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12957), 10,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [526377] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11397), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9159), 13,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [526403] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7935), 1,
      sym__alpha_identifier,
    ACTIONS(7943), 1,
      sym__backquoted_id,
    ACTIONS(13007), 1,
      anon_sym_type,
    ACTIONS(13009), 1,
      sym_operator_identifier,
    STATE(6711), 1,
      sym__soft_identifier,
    STATE(7041), 1,
      sym__type_identifier,
    STATE(7360), 1,
      sym_identifier,
    STATE(11398), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7939), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [526443] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6406), 1,
      sym__alpha_identifier,
    ACTIONS(6416), 1,
      sym__backquoted_id,
    ACTIONS(13011), 1,
      anon_sym_type,
    ACTIONS(13013), 1,
      sym_operator_identifier,
    STATE(4586), 1,
      sym__soft_identifier,
    STATE(4637), 1,
      sym_identifier,
    STATE(4833), 1,
      sym__type_identifier,
    STATE(11399), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6412), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [526483] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11494), 1,
      sym__alpha_identifier,
    ACTIONS(11502), 1,
      sym__backquoted_id,
    ACTIONS(13015), 1,
      anon_sym_type,
    ACTIONS(13017), 1,
      sym_operator_identifier,
    STATE(11918), 1,
      sym_identifier,
    STATE(12116), 1,
      sym__soft_identifier,
    STATE(12403), 1,
      sym__type_identifier,
    STATE(11400), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11498), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [526523] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11401), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11371), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [526549] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11402), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11316), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [526575] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12993), 1,
      anon_sym_LBRACK,
    STATE(6475), 1,
      sym_type_arguments,
    STATE(11403), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12951), 11,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [526605] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11404), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7584), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_yield,
  [526631] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11405), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9082), 13,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [526657] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11406), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9021), 13,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [526683] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11407), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7704), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_yield,
  [526709] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11634), 1,
      sym__alpha_identifier,
    ACTIONS(11642), 1,
      sym__backquoted_id,
    ACTIONS(13005), 1,
      sym_operator_identifier,
    STATE(10169), 1,
      sym_identifier,
    STATE(10656), 1,
      sym__soft_identifier,
    STATE(10852), 1,
      sym__class_constructor,
    STATE(13884), 1,
      sym__class_definition,
    STATE(11408), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11638), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [526749] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11409), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11320), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [526775] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11410), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9029), 13,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [526801] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11586), 1,
      sym__alpha_identifier,
    ACTIONS(11592), 1,
      sym__backquoted_id,
    ACTIONS(12967), 1,
      sym_operator_identifier,
    STATE(9844), 1,
      sym__soft_identifier,
    STATE(10621), 1,
      sym_identifier,
    STATE(12267), 1,
      sym__type_identifier,
    STATE(13927), 1,
      sym__type_constructor,
    STATE(11411), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [526841] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13019), 1,
      anon_sym_LBRACK,
    ACTIONS(13021), 1,
      anon_sym_AT,
    ACTIONS(13023), 1,
      anon_sym_LPAREN,
    ACTIONS(13025), 1,
      anon_sym_POUND,
    STATE(13023), 1,
      sym_type_arguments,
    STATE(13046), 1,
      aux_sym_enum_definition_repeat1,
    STATE(13537), 1,
      sym_annotation,
    STATE(13678), 1,
      sym_arguments,
    STATE(11412), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 5,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
  [526883] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11413), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7372), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [526909] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11414), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [526935] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11415), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_yield,
  [526961] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4624), 1,
      sym__alpha_identifier,
    ACTIONS(4642), 1,
      sym__backquoted_id,
    ACTIONS(13027), 1,
      anon_sym_type,
    ACTIONS(13029), 1,
      sym_operator_identifier,
    STATE(5205), 1,
      sym_identifier,
    STATE(5260), 1,
      sym__soft_identifier,
    STATE(5781), 1,
      sym__type_identifier,
    STATE(11416), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4636), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [527001] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4366), 1,
      sym__alpha_identifier,
    ACTIONS(4378), 1,
      sym__backquoted_id,
    ACTIONS(13031), 1,
      anon_sym_type,
    ACTIONS(13033), 1,
      sym_operator_identifier,
    STATE(4655), 1,
      sym__soft_identifier,
    STATE(4669), 1,
      sym_identifier,
    STATE(4851), 1,
      sym__type_identifier,
    STATE(11417), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4374), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [527041] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11418), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7710), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [527067] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13019), 1,
      anon_sym_LBRACK,
    ACTIONS(13021), 1,
      anon_sym_AT,
    ACTIONS(13025), 1,
      anon_sym_POUND,
    ACTIONS(13035), 1,
      anon_sym_LPAREN,
    STATE(13023), 1,
      sym_type_arguments,
    STATE(13046), 1,
      aux_sym_enum_definition_repeat1,
    STATE(13537), 1,
      sym_annotation,
    STATE(13808), 1,
      sym_arguments,
    STATE(11419), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 5,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
  [527109] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11420), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7716), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_yield,
  [527135] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12168), 1,
      anon_sym_EQ,
    ACTIONS(12172), 1,
      sym__backquoted_id,
    STATE(11421), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12164), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [527165] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13037), 1,
      anon_sym_LPAREN,
    STATE(12530), 1,
      sym_arguments,
    STATE(11422), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(7788), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_SEMI,
  [527195] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13040), 1,
      anon_sym_LPAREN,
    STATE(12358), 1,
      sym_arguments,
    STATE(11423), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(7788), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_SEMI,
  [527225] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11506), 1,
      sym__alpha_identifier,
    ACTIONS(11514), 1,
      sym__backquoted_id,
    ACTIONS(13043), 1,
      anon_sym_type,
    ACTIONS(13045), 1,
      sym_operator_identifier,
    STATE(10599), 1,
      sym__soft_identifier,
    STATE(10660), 1,
      sym_identifier,
    STATE(10799), 1,
      sym__type_identifier,
    STATE(11424), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11510), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [527265] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12172), 1,
      sym__backquoted_id,
    ACTIONS(12176), 1,
      anon_sym_EQ,
    STATE(11425), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12164), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [527295] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11426), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12420), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [527321] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12217), 1,
      anon_sym_LPAREN,
    STATE(11423), 1,
      aux_sym_annotation_repeat1,
    STATE(12358), 1,
      sym_arguments,
    STATE(11427), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7817), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_SEMI,
  [527353] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11428), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9021), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [527379] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6324), 1,
      sym__alpha_identifier,
    ACTIONS(6338), 1,
      sym__backquoted_id,
    ACTIONS(13047), 1,
      anon_sym_type,
    ACTIONS(13049), 1,
      sym_operator_identifier,
    STATE(5394), 1,
      sym__soft_identifier,
    STATE(5644), 1,
      sym_identifier,
    STATE(6617), 1,
      sym__type_identifier,
    STATE(11429), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6334), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [527419] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11586), 1,
      sym__alpha_identifier,
    ACTIONS(11592), 1,
      sym__backquoted_id,
    ACTIONS(12967), 1,
      sym_operator_identifier,
    STATE(9844), 1,
      sym__soft_identifier,
    STATE(10621), 1,
      sym_identifier,
    STATE(12937), 1,
      sym__type_identifier,
    STATE(14077), 1,
      sym__type_constructor,
    STATE(11430), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [527459] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4808), 1,
      sym__alpha_identifier,
    ACTIONS(4826), 1,
      sym__backquoted_id,
    ACTIONS(13051), 1,
      anon_sym_type,
    ACTIONS(13053), 1,
      sym_operator_identifier,
    STATE(5480), 1,
      sym__soft_identifier,
    STATE(5944), 1,
      sym_identifier,
    STATE(6299), 1,
      sym__type_identifier,
    STATE(11431), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4820), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [527499] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6558), 1,
      sym__alpha_identifier,
    ACTIONS(6568), 1,
      sym__backquoted_id,
    ACTIONS(13055), 1,
      anon_sym_type,
    ACTIONS(13057), 1,
      sym_operator_identifier,
    STATE(6800), 1,
      sym_identifier,
    STATE(6863), 1,
      sym__soft_identifier,
    STATE(7740), 1,
      sym__type_identifier,
    STATE(11432), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6564), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [527539] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11433), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7552), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_yield,
  [527565] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7384), 1,
      sym__alpha_identifier,
    ACTIONS(7404), 1,
      sym__backquoted_id,
    ACTIONS(8388), 1,
      sym_operator_identifier,
    STATE(14165), 1,
      sym_identifier,
    STATE(14173), 1,
      sym__soft_identifier,
    ACTIONS(8386), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(11434), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7386), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [527603] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7338), 1,
      anon_sym_DOT,
    STATE(11435), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 12,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [527631] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7338), 1,
      anon_sym_DOT,
    STATE(11436), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 12,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [527659] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6522), 1,
      sym__alpha_identifier,
    ACTIONS(6536), 1,
      sym__backquoted_id,
    ACTIONS(13059), 1,
      anon_sym_type,
    ACTIONS(13061), 1,
      sym_operator_identifier,
    STATE(4776), 1,
      sym__soft_identifier,
    STATE(4926), 1,
      sym_identifier,
    STATE(5140), 1,
      sym__type_identifier,
    STATE(11437), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6532), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [527699] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13063), 1,
      anon_sym_LPAREN,
    STATE(12311), 1,
      sym_arguments,
    STATE(11438), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(7788), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [527729] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6306), 1,
      sym__alpha_identifier,
    ACTIONS(6320), 1,
      sym__backquoted_id,
    ACTIONS(13066), 1,
      anon_sym_type,
    ACTIONS(13068), 1,
      sym_operator_identifier,
    STATE(6750), 1,
      sym_identifier,
    STATE(7350), 1,
      sym__soft_identifier,
    STATE(7998), 1,
      sym__type_identifier,
    STATE(11439), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6316), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [527769] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8201), 1,
      sym__alpha_identifier,
    ACTIONS(8209), 1,
      sym__backquoted_id,
    ACTIONS(13070), 1,
      anon_sym_type,
    ACTIONS(13072), 1,
      sym_operator_identifier,
    STATE(5475), 1,
      sym__soft_identifier,
    STATE(5896), 1,
      sym_identifier,
    STATE(5903), 1,
      sym__type_identifier,
    STATE(11440), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8205), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [527809] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13076), 1,
      anon_sym_COMMA,
    ACTIONS(13078), 1,
      anon_sym_with,
    STATE(12320), 1,
      aux_sym__constructor_applications_repeat2,
    STATE(12321), 1,
      aux_sym__constructor_applications_repeat1,
    STATE(11441), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13074), 9,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [527843] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7819), 1,
      sym__alpha_identifier,
    ACTIONS(7827), 1,
      sym__backquoted_id,
    ACTIONS(13080), 1,
      anon_sym_type,
    ACTIONS(13082), 1,
      sym_operator_identifier,
    STATE(5167), 1,
      sym__soft_identifier,
    STATE(5259), 1,
      sym_identifier,
    STATE(5362), 1,
      sym__type_identifier,
    STATE(11442), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7823), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [527883] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7877), 1,
      sym__alpha_identifier,
    ACTIONS(7885), 1,
      sym__backquoted_id,
    ACTIONS(13084), 1,
      anon_sym_type,
    ACTIONS(13086), 1,
      sym_operator_identifier,
    STATE(6754), 1,
      sym_identifier,
    STATE(7177), 1,
      sym__type_identifier,
    STATE(7248), 1,
      sym__soft_identifier,
    STATE(11443), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7881), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [527923] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11444), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7704), 13,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [527949] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6686), 1,
      sym__alpha_identifier,
    ACTIONS(6700), 1,
      sym__backquoted_id,
    ACTIONS(13088), 1,
      anon_sym_type,
    ACTIONS(13090), 1,
      sym_operator_identifier,
    STATE(5422), 1,
      sym_identifier,
    STATE(5638), 1,
      sym__soft_identifier,
    STATE(6264), 1,
      sym__type_identifier,
    STATE(11445), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6696), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [527989] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11446), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7716), 13,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [528015] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11447), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7552), 13,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [528041] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13092), 1,
      anon_sym_DOT,
    STATE(11448), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 12,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [528069] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11596), 1,
      sym__alpha_identifier,
    ACTIONS(11604), 1,
      sym__backquoted_id,
    ACTIONS(13094), 1,
      anon_sym_type,
    ACTIONS(13096), 1,
      sym_operator_identifier,
    STATE(12296), 1,
      sym__soft_identifier,
    STATE(12397), 1,
      sym_identifier,
    STATE(12898), 1,
      sym__type_identifier,
    STATE(11449), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11600), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [528109] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4716), 1,
      sym__alpha_identifier,
    ACTIONS(4734), 1,
      sym__backquoted_id,
    ACTIONS(13098), 1,
      anon_sym_type,
    ACTIONS(13100), 1,
      sym_operator_identifier,
    STATE(5457), 1,
      sym__soft_identifier,
    STATE(5848), 1,
      sym_identifier,
    STATE(6139), 1,
      sym__type_identifier,
    STATE(11450), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4728), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [528149] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4502), 1,
      sym__alpha_identifier,
    ACTIONS(4514), 1,
      sym__backquoted_id,
    ACTIONS(13102), 1,
      anon_sym_type,
    ACTIONS(13104), 1,
      sym_operator_identifier,
    STATE(4419), 1,
      sym__soft_identifier,
    STATE(4496), 1,
      sym_identifier,
    STATE(4642), 1,
      sym__type_identifier,
    STATE(11451), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4510), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [528189] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11452), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_yield,
  [528215] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4212), 1,
      sym__alpha_identifier,
    ACTIONS(4230), 1,
      sym__backquoted_id,
    ACTIONS(13106), 1,
      anon_sym_type,
    ACTIONS(13108), 1,
      sym_operator_identifier,
    STATE(4929), 1,
      sym__soft_identifier,
    STATE(4960), 1,
      sym_identifier,
    STATE(5268), 1,
      sym__type_identifier,
    STATE(11453), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4224), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [528255] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11454), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [528281] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11455), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13112), 3,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(13110), 10,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [528309] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13114), 1,
      anon_sym_LBRACK,
    STATE(6525), 1,
      sym_type_arguments,
    STATE(11456), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12947), 11,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [528339] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11457), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [528365] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6130), 1,
      sym__alpha_identifier,
    ACTIONS(6144), 1,
      sym__backquoted_id,
    ACTIONS(13116), 1,
      anon_sym_type,
    ACTIONS(13118), 1,
      sym_operator_identifier,
    STATE(7590), 1,
      sym_identifier,
    STATE(7635), 1,
      sym__soft_identifier,
    STATE(8192), 1,
      sym__type_identifier,
    STATE(11458), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6140), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [528405] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7676), 1,
      sym__alpha_identifier,
    ACTIONS(7688), 1,
      sym__backquoted_id,
    ACTIONS(13120), 1,
      anon_sym_type,
    ACTIONS(13122), 1,
      sym_operator_identifier,
    STATE(12651), 1,
      sym__soft_identifier,
    STATE(12772), 1,
      sym_identifier,
    STATE(13004), 1,
      sym__type_identifier,
    STATE(11459), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7684), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [528445] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13124), 1,
      anon_sym_AT,
    STATE(12276), 1,
      sym_annotation,
    STATE(11460), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8283), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [528475] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11461), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11337), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [528501] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13114), 1,
      anon_sym_LBRACK,
    STATE(6525), 1,
      sym_type_arguments,
    STATE(11462), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12951), 11,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [528531] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8035), 1,
      sym__alpha_identifier,
    ACTIONS(8047), 1,
      sym__backquoted_id,
    ACTIONS(13127), 1,
      anon_sym_type,
    ACTIONS(13129), 1,
      sym_operator_identifier,
    STATE(5146), 1,
      sym__soft_identifier,
    STATE(5201), 1,
      sym_identifier,
    STATE(5382), 1,
      sym__type_identifier,
    STATE(11463), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8043), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [528571] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11770), 1,
      sym__alpha_identifier,
    ACTIONS(11778), 1,
      sym__backquoted_id,
    ACTIONS(13131), 1,
      sym_operator_identifier,
    STATE(10214), 1,
      sym_identifier,
    STATE(10895), 1,
      sym__soft_identifier,
    STATE(11220), 1,
      sym__class_constructor,
    STATE(14288), 1,
      sym__class_definition,
    STATE(11464), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11774), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [528611] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8003), 1,
      sym__alpha_identifier,
    ACTIONS(8011), 1,
      sym__backquoted_id,
    ACTIONS(13133), 1,
      anon_sym_type,
    ACTIONS(13135), 1,
      sym_operator_identifier,
    STATE(8104), 1,
      sym__type_identifier,
    STATE(8321), 1,
      sym_identifier,
    STATE(8497), 1,
      sym__soft_identifier,
    STATE(11465), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8007), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [528651] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6264), 1,
      sym__alpha_identifier,
    ACTIONS(6278), 1,
      sym__backquoted_id,
    ACTIONS(13137), 1,
      anon_sym_type,
    ACTIONS(13139), 1,
      sym_operator_identifier,
    STATE(6002), 1,
      sym__soft_identifier,
    STATE(6506), 1,
      sym_identifier,
    STATE(7117), 1,
      sym__type_identifier,
    STATE(11466), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6274), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [528691] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11467), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11344), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [528717] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11758), 1,
      sym__alpha_identifier,
    ACTIONS(11766), 1,
      sym__backquoted_id,
    ACTIONS(13141), 1,
      anon_sym_type,
    ACTIONS(13143), 1,
      sym_operator_identifier,
    STATE(12082), 1,
      sym_identifier,
    STATE(12146), 1,
      sym__soft_identifier,
    STATE(12370), 1,
      sym__type_identifier,
    STATE(11468), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11762), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [528757] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8081), 1,
      sym__alpha_identifier,
    ACTIONS(8089), 1,
      sym__backquoted_id,
    ACTIONS(13145), 1,
      anon_sym_type,
    ACTIONS(13147), 1,
      sym_operator_identifier,
    STATE(7814), 1,
      sym__soft_identifier,
    STATE(7826), 1,
      sym__type_identifier,
    STATE(7937), 1,
      sym_identifier,
    STATE(11469), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8085), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [528797] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11470), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7330), 13,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [528823] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(13149), 1,
      anon_sym_type,
    ACTIONS(13151), 1,
      sym_operator_identifier,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5372), 1,
      sym_identifier,
    STATE(5705), 1,
      sym__type_identifier,
    STATE(11471), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [528863] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12270), 1,
      anon_sym_LPAREN,
    STATE(11438), 1,
      aux_sym_annotation_repeat1,
    STATE(12311), 1,
      sym_arguments,
    STATE(11472), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7817), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [528895] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4264), 1,
      sym__alpha_identifier,
    ACTIONS(4282), 1,
      sym__backquoted_id,
    ACTIONS(13153), 1,
      anon_sym_type,
    ACTIONS(13155), 1,
      sym_operator_identifier,
    STATE(4378), 1,
      sym_identifier,
    STATE(4380), 1,
      sym__soft_identifier,
    STATE(4470), 1,
      sym__type_identifier,
    STATE(11473), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4276), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [528935] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8143), 1,
      sym__alpha_identifier,
    ACTIONS(8151), 1,
      sym__backquoted_id,
    ACTIONS(13157), 1,
      anon_sym_type,
    ACTIONS(13159), 1,
      sym_operator_identifier,
    STATE(6744), 1,
      sym_identifier,
    STATE(7241), 1,
      sym__soft_identifier,
    STATE(7294), 1,
      sym__type_identifier,
    STATE(11474), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8147), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [528975] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11475), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12122), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_AT,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [529001] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11476), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7704), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [529027] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13114), 1,
      anon_sym_LBRACK,
    STATE(6525), 1,
      sym_type_arguments,
    STATE(11477), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12943), 11,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [529057] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11646), 1,
      sym__alpha_identifier,
    ACTIONS(11654), 1,
      sym__backquoted_id,
    ACTIONS(13161), 1,
      anon_sym_type,
    ACTIONS(13163), 1,
      sym_operator_identifier,
    STATE(11435), 1,
      sym_identifier,
    STATE(11647), 1,
      sym__soft_identifier,
    STATE(11932), 1,
      sym__type_identifier,
    STATE(11478), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11650), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [529097] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6540), 1,
      sym__alpha_identifier,
    ACTIONS(6554), 1,
      sym__backquoted_id,
    ACTIONS(13165), 1,
      anon_sym_type,
    ACTIONS(13167), 1,
      sym_operator_identifier,
    STATE(5455), 1,
      sym__soft_identifier,
    STATE(5712), 1,
      sym_identifier,
    STATE(6008), 1,
      sym__type_identifier,
    STATE(11479), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6550), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [529137] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11480), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7710), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_yield,
  [529163] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13114), 1,
      anon_sym_LBRACK,
    ACTIONS(13169), 1,
      anon_sym_match,
    STATE(6525), 1,
      sym_type_arguments,
    STATE(11481), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12957), 10,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [529195] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11482), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12910), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [529221] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11483), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12884), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [529247] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13114), 1,
      anon_sym_LBRACK,
    STATE(6525), 1,
      sym_type_arguments,
    STATE(11484), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12955), 11,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [529277] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11485), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7714), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_yield,
  [529303] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13114), 1,
      anon_sym_LBRACK,
    STATE(6525), 1,
      sym_type_arguments,
    STATE(11486), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12953), 11,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [529333] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(13171), 1,
      anon_sym_type,
    ACTIONS(13173), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(4181), 1,
      sym_identifier,
    STATE(4186), 1,
      sym__type_identifier,
    STATE(11487), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [529373] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(473), 1,
      sym__alpha_identifier,
    ACTIONS(487), 1,
      anon_sym__,
    ACTIONS(537), 1,
      sym__backquoted_id,
    ACTIONS(13175), 1,
      sym_operator_identifier,
    STATE(5636), 1,
      sym__soft_identifier,
    STATE(11488), 2,
      sym_comment,
      sym_block_comment,
    STATE(13836), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(659), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [529411] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11770), 1,
      sym__alpha_identifier,
    ACTIONS(11778), 1,
      sym__backquoted_id,
    ACTIONS(13131), 1,
      sym_operator_identifier,
    STATE(10214), 1,
      sym_identifier,
    STATE(10895), 1,
      sym__soft_identifier,
    STATE(11220), 1,
      sym__class_constructor,
    STATE(14104), 1,
      sym__class_definition,
    STATE(11489), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11774), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [529451] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11490), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11344), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [529477] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4554), 1,
      sym__alpha_identifier,
    ACTIONS(4572), 1,
      sym__backquoted_id,
    ACTIONS(13177), 1,
      anon_sym_type,
    ACTIONS(13179), 1,
      sym_operator_identifier,
    STATE(6066), 1,
      sym__soft_identifier,
    STATE(6494), 1,
      sym_identifier,
    STATE(7247), 1,
      sym__type_identifier,
    STATE(11491), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4566), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [529517] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6232), 1,
      sym__alpha_identifier,
    ACTIONS(6246), 1,
      sym__backquoted_id,
    ACTIONS(13181), 1,
      anon_sym_type,
    ACTIONS(13183), 1,
      sym_operator_identifier,
    STATE(5139), 1,
      sym_identifier,
    STATE(5254), 1,
      sym__soft_identifier,
    STATE(5982), 1,
      sym__type_identifier,
    STATE(11492), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6242), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [529557] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11493), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9021), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [529583] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(830), 1,
      sym__alpha_identifier,
    ACTIONS(836), 1,
      anon_sym__,
    ACTIONS(860), 1,
      sym__backquoted_id,
    ACTIONS(13185), 1,
      sym_operator_identifier,
    STATE(5785), 1,
      sym__soft_identifier,
    STATE(11494), 2,
      sym_comment,
      sym_block_comment,
    STATE(15742), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(840), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [529621] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11495), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7584), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [529647] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9498), 1,
      anon_sym_COLON,
    STATE(11496), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8733), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [529675] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11450), 1,
      sym__alpha_identifier,
    ACTIONS(11458), 1,
      sym__backquoted_id,
    ACTIONS(13187), 1,
      anon_sym_type,
    ACTIONS(13189), 1,
      sym_operator_identifier,
    STATE(11834), 1,
      sym_identifier,
    STATE(12122), 1,
      sym__soft_identifier,
    STATE(12431), 1,
      sym__type_identifier,
    STATE(11497), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11454), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [529715] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11498), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7714), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [529741] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9498), 1,
      anon_sym_COLON,
    STATE(11499), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8733), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [529769] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4402), 1,
      sym__alpha_identifier,
    ACTIONS(4420), 1,
      sym__backquoted_id,
    ACTIONS(13191), 1,
      anon_sym_type,
    ACTIONS(13193), 1,
      sym_operator_identifier,
    STATE(6173), 1,
      sym_identifier,
    STATE(6337), 1,
      sym__soft_identifier,
    STATE(6979), 1,
      sym__type_identifier,
    STATE(11500), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4414), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [529809] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6134), 1,
      anon_sym_LBRACE,
    ACTIONS(12478), 1,
      anon_sym_COLON,
    ACTIONS(12482), 1,
      anon_sym_derives,
    STATE(12238), 1,
      sym_derives_clause,
    STATE(13869), 1,
      sym__definition_body,
    STATE(13871), 1,
      sym_template_body,
    STATE(6306), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11501), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13195), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [529849] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4296), 1,
      sym__alpha_identifier,
    ACTIONS(4314), 1,
      sym__backquoted_id,
    ACTIONS(13197), 1,
      anon_sym_type,
    ACTIONS(13199), 1,
      sym_operator_identifier,
    STATE(6919), 1,
      sym_identifier,
    STATE(7067), 1,
      sym__soft_identifier,
    STATE(7787), 1,
      sym__type_identifier,
    STATE(11502), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4308), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [529889] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11503), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8027), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [529915] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8795), 1,
      anon_sym_LPAREN,
    ACTIONS(13201), 1,
      anon_sym_LBRACK,
    ACTIONS(13203), 1,
      anon_sym_POUND,
    STATE(12337), 1,
      aux_sym_annotation_repeat1,
    STATE(12721), 1,
      sym_type_arguments,
    STATE(13079), 1,
      sym_arguments,
    STATE(11504), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7530), 7,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [529953] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11505), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9082), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [529979] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7588), 1,
      anon_sym_LBRACE,
    ACTIONS(12744), 1,
      anon_sym_COLON,
    STATE(13189), 1,
      aux_sym_compound_type_repeat1,
    STATE(13640), 1,
      sym__refinement,
    STATE(13793), 1,
      sym_template_body,
    STATE(11506), 2,
      sym_comment,
      sym_block_comment,
    STATE(13786), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7668), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [530017] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11507), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12899), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [530043] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11679), 1,
      sym__alpha_identifier,
    ACTIONS(11687), 1,
      sym__backquoted_id,
    ACTIONS(13205), 1,
      anon_sym_type,
    ACTIONS(13207), 1,
      sym_operator_identifier,
    STATE(10806), 1,
      sym_identifier,
    STATE(10918), 1,
      sym__soft_identifier,
    STATE(11289), 1,
      sym__type_identifier,
    STATE(11508), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11683), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [530083] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(830), 1,
      sym__alpha_identifier,
    ACTIONS(836), 1,
      anon_sym__,
    ACTIONS(860), 1,
      sym__backquoted_id,
    ACTIONS(13209), 1,
      sym_operator_identifier,
    STATE(5785), 1,
      sym__soft_identifier,
    STATE(11509), 2,
      sym_comment,
      sym_block_comment,
    STATE(15684), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(840), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [530121] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11510), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9159), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [530147] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11714), 1,
      sym__alpha_identifier,
    ACTIONS(11722), 1,
      sym__backquoted_id,
    ACTIONS(13211), 1,
      anon_sym_type,
    ACTIONS(13213), 1,
      sym_operator_identifier,
    STATE(12085), 1,
      sym__soft_identifier,
    STATE(12120), 1,
      sym_identifier,
    STATE(12316), 1,
      sym__type_identifier,
    STATE(11511), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11718), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [530187] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11586), 1,
      sym__alpha_identifier,
    ACTIONS(11592), 1,
      sym__backquoted_id,
    ACTIONS(12967), 1,
      sym_operator_identifier,
    STATE(9844), 1,
      sym__soft_identifier,
    STATE(10621), 1,
      sym_identifier,
    STATE(12267), 1,
      sym__type_identifier,
    STATE(13851), 1,
      sym__type_constructor,
    STATE(11512), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [530227] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7338), 1,
      anon_sym_DOT,
    STATE(11513), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 12,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [530255] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11514), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7716), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [530281] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11515), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11344), 13,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [530307] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6664), 1,
      sym__alpha_identifier,
    ACTIONS(6674), 1,
      sym__backquoted_id,
    ACTIONS(13215), 1,
      anon_sym_type,
    ACTIONS(13217), 1,
      sym_operator_identifier,
    STATE(7573), 1,
      sym__soft_identifier,
    STATE(7907), 1,
      sym_identifier,
    STATE(8416), 1,
      sym__type_identifier,
    STATE(11516), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6670), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [530347] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11517), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7552), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [530373] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8015), 1,
      sym__alpha_identifier,
    ACTIONS(8023), 1,
      sym__backquoted_id,
    ACTIONS(13219), 1,
      anon_sym_type,
    ACTIONS(13221), 1,
      sym_operator_identifier,
    STATE(6019), 1,
      sym__soft_identifier,
    STATE(6063), 1,
      sym__type_identifier,
    STATE(6410), 1,
      sym_identifier,
    STATE(11518), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8019), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [530413] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11519), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12420), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [530439] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11520), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9082), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [530465] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11634), 1,
      sym__alpha_identifier,
    ACTIONS(11642), 1,
      sym__backquoted_id,
    ACTIONS(13005), 1,
      sym_operator_identifier,
    STATE(10169), 1,
      sym_identifier,
    STATE(10656), 1,
      sym__soft_identifier,
    STATE(10852), 1,
      sym__class_constructor,
    STATE(14023), 1,
      sym__class_definition,
    STATE(11521), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11638), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [530505] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11734), 1,
      sym__alpha_identifier,
    ACTIONS(11742), 1,
      sym__backquoted_id,
    ACTIONS(13223), 1,
      sym_operator_identifier,
    STATE(10652), 1,
      sym__soft_identifier,
    STATE(12089), 1,
      sym_identifier,
    STATE(12617), 1,
      sym__type_identifier,
    STATE(13800), 1,
      sym__type_constructor,
    STATE(11522), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11738), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [530545] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7568), 1,
      anon_sym_LBRACE,
    ACTIONS(12929), 1,
      anon_sym_COLON,
    STATE(12989), 1,
      aux_sym_compound_type_repeat1,
    STATE(13639), 1,
      sym__refinement,
    STATE(13704), 1,
      sym_template_body,
    STATE(11523), 2,
      sym_comment,
      sym_block_comment,
    STATE(13724), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7668), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [530583] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8107), 1,
      sym__alpha_identifier,
    ACTIONS(8115), 1,
      sym__backquoted_id,
    ACTIONS(13225), 1,
      anon_sym_type,
    ACTIONS(13227), 1,
      sym_operator_identifier,
    STATE(7458), 1,
      sym__soft_identifier,
    STATE(7619), 1,
      sym_identifier,
    STATE(7802), 1,
      sym__type_identifier,
    STATE(11524), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8111), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [530623] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11525), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7552), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [530649] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11526), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12901), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [530675] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11527), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7720), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_yield,
  [530701] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11528), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7704), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [530727] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13229), 1,
      anon_sym_end,
    STATE(6959), 1,
      sym__end_marker,
    STATE(11529), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9292), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [530757] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11530), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7716), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [530783] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11531), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7552), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [530809] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7622), 1,
      sym__alpha_identifier,
    ACTIONS(7634), 1,
      sym__backquoted_id,
    ACTIONS(13231), 1,
      anon_sym_type,
    ACTIONS(13233), 1,
      sym_operator_identifier,
    STATE(10816), 1,
      sym_identifier,
    STATE(10971), 1,
      sym__soft_identifier,
    STATE(11217), 1,
      sym__type_identifier,
    STATE(11532), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7630), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [530849] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11533), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7330), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [530875] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7774), 1,
      sym__alpha_identifier,
    ACTIONS(7782), 1,
      sym__backquoted_id,
    ACTIONS(13235), 1,
      anon_sym_type,
    ACTIONS(13237), 1,
      sym_operator_identifier,
    STATE(8255), 1,
      sym__type_identifier,
    STATE(8668), 1,
      sym__soft_identifier,
    STATE(8679), 1,
      sym_identifier,
    STATE(11534), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7778), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [530915] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11535), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12754), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [530941] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7979), 1,
      sym__alpha_identifier,
    ACTIONS(7987), 1,
      sym__backquoted_id,
    ACTIONS(13239), 1,
      anon_sym_type,
    ACTIONS(13241), 1,
      sym_operator_identifier,
    STATE(6075), 1,
      sym__type_identifier,
    STATE(6424), 1,
      sym_identifier,
    STATE(6463), 1,
      sym__soft_identifier,
    STATE(11536), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7983), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [530981] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4608), 1,
      sym__alpha_identifier,
    ACTIONS(4620), 1,
      sym__backquoted_id,
    ACTIONS(13243), 1,
      anon_sym_type,
    ACTIONS(13245), 1,
      sym_operator_identifier,
    STATE(7568), 1,
      sym_identifier,
    STATE(7705), 1,
      sym__soft_identifier,
    STATE(8297), 1,
      sym__type_identifier,
    STATE(11537), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4616), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [531021] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6582), 1,
      sym__alpha_identifier,
    ACTIONS(6596), 1,
      sym__backquoted_id,
    ACTIONS(13247), 1,
      anon_sym_type,
    ACTIONS(13249), 1,
      sym_operator_identifier,
    STATE(6730), 1,
      sym__soft_identifier,
    STATE(6772), 1,
      sym_identifier,
    STATE(7985), 1,
      sym__type_identifier,
    STATE(11538), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6592), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [531061] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11539), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9134), 13,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [531087] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11540), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7330), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [531113] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6134), 1,
      anon_sym_LBRACE,
    ACTIONS(12478), 1,
      anon_sym_COLON,
    ACTIONS(12482), 1,
      anon_sym_derives,
    ACTIONS(13253), 1,
      sym__automatic_semicolon,
    STATE(12393), 1,
      sym_derives_clause,
    STATE(13871), 1,
      sym_template_body,
    STATE(14012), 1,
      sym__definition_body,
    STATE(6306), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11541), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13251), 4,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [531155] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11770), 1,
      sym__alpha_identifier,
    ACTIONS(11778), 1,
      sym__backquoted_id,
    ACTIONS(13131), 1,
      sym_operator_identifier,
    STATE(10214), 1,
      sym_identifier,
    STATE(10895), 1,
      sym__soft_identifier,
    STATE(11220), 1,
      sym__class_constructor,
    STATE(14351), 1,
      sym__class_definition,
    STATE(11542), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11774), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [531195] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11543), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13258), 3,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(13256), 10,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [531223] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11544), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11337), 13,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [531249] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11545), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11285), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [531275] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4586), 1,
      sym__alpha_identifier,
    ACTIONS(4598), 1,
      sym__backquoted_id,
    ACTIONS(13260), 1,
      anon_sym_type,
    ACTIONS(13262), 1,
      sym_operator_identifier,
    STATE(5551), 1,
      sym__soft_identifier,
    STATE(5754), 1,
      sym_identifier,
    STATE(6440), 1,
      sym__type_identifier,
    STATE(11546), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4594), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [531315] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6152), 1,
      sym__alpha_identifier,
    ACTIONS(6162), 1,
      sym__backquoted_id,
    ACTIONS(13264), 1,
      anon_sym_type,
    ACTIONS(13266), 1,
      sym_operator_identifier,
    STATE(4848), 1,
      sym_identifier,
    STATE(4922), 1,
      sym__soft_identifier,
    STATE(5311), 1,
      sym__type_identifier,
    STATE(11547), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6158), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [531355] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4472), 1,
      sym__alpha_identifier,
    ACTIONS(4490), 1,
      sym__backquoted_id,
    ACTIONS(13268), 1,
      anon_sym_type,
    ACTIONS(13270), 1,
      sym_operator_identifier,
    STATE(4750), 1,
      sym__soft_identifier,
    STATE(4853), 1,
      sym_identifier,
    STATE(5100), 1,
      sym__type_identifier,
    STATE(11548), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4484), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [531395] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11549), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8733), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [531421] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11550), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11395), 13,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [531447] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11551), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12884), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [531473] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6646), 1,
      sym__alpha_identifier,
    ACTIONS(6656), 1,
      sym__backquoted_id,
    ACTIONS(13272), 1,
      anon_sym_type,
    ACTIONS(13274), 1,
      sym_operator_identifier,
    STATE(4538), 1,
      sym_identifier,
    STATE(4596), 1,
      sym__soft_identifier,
    STATE(4706), 1,
      sym__type_identifier,
    STATE(11552), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6652), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [531513] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11553), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12882), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [531539] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11554), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12873), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [531565] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6504), 1,
      sym__alpha_identifier,
    ACTIONS(6514), 1,
      sym__backquoted_id,
    ACTIONS(13276), 1,
      anon_sym_type,
    ACTIONS(13278), 1,
      sym_operator_identifier,
    STATE(6108), 1,
      sym__soft_identifier,
    STATE(6309), 1,
      sym_identifier,
    STATE(6958), 1,
      sym__type_identifier,
    STATE(11555), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6510), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [531605] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11556), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9029), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [531631] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11634), 1,
      sym__alpha_identifier,
    ACTIONS(11642), 1,
      sym__backquoted_id,
    ACTIONS(13005), 1,
      sym_operator_identifier,
    STATE(10169), 1,
      sym_identifier,
    STATE(10656), 1,
      sym__soft_identifier,
    STATE(10852), 1,
      sym__class_constructor,
    STATE(14018), 1,
      sym__class_definition,
    STATE(11557), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11638), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [531671] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11586), 1,
      sym__alpha_identifier,
    ACTIONS(11592), 1,
      sym__backquoted_id,
    ACTIONS(12967), 1,
      sym_operator_identifier,
    STATE(9844), 1,
      sym__soft_identifier,
    STATE(10621), 1,
      sym_identifier,
    STATE(12267), 1,
      sym__type_identifier,
    STATE(13899), 1,
      sym__type_constructor,
    STATE(11558), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [531711] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11559), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12871), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [531737] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11560), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [531763] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11561), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12863), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [531789] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11562), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12856), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [531815] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11563), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_yield,
  [531841] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7726), 1,
      sym__alpha_identifier,
    ACTIONS(7738), 1,
      sym__backquoted_id,
    ACTIONS(13280), 1,
      anon_sym_type,
    ACTIONS(13282), 1,
      sym_operator_identifier,
    STATE(11214), 1,
      sym_identifier,
    STATE(11270), 1,
      sym__soft_identifier,
    STATE(11413), 1,
      sym__type_identifier,
    STATE(11564), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7734), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [531881] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6342), 1,
      sym__alpha_identifier,
    ACTIONS(6356), 1,
      sym__backquoted_id,
    ACTIONS(13284), 1,
      anon_sym_type,
    ACTIONS(13286), 1,
      sym_operator_identifier,
    STATE(8992), 1,
      sym__soft_identifier,
    STATE(9173), 1,
      sym_identifier,
    STATE(9550), 1,
      sym__type_identifier,
    STATE(11565), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6352), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [531921] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11566), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12882), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [531947] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4842), 1,
      sym__alpha_identifier,
    ACTIONS(4860), 1,
      sym__backquoted_id,
    ACTIONS(13288), 1,
      anon_sym_type,
    ACTIONS(13290), 1,
      sym_operator_identifier,
    STATE(4651), 1,
      sym__soft_identifier,
    STATE(4674), 1,
      sym_identifier,
    STATE(4871), 1,
      sym__type_identifier,
    STATE(11567), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4854), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [531987] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11568), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13294), 3,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(13292), 10,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [532015] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11399), 2,
      anon_sym_LBRACK,
      sym__backquoted_id,
    STATE(11569), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11397), 11,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [532043] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11570), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12877), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [532069] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11571), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9134), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [532095] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11572), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12873), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [532121] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11573), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [532147] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13296), 1,
      anon_sym_DOT,
    STATE(11574), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 12,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [532175] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11575), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12871), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [532201] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7859), 1,
      sym__alpha_identifier,
    ACTIONS(7867), 1,
      sym__backquoted_id,
    ACTIONS(13298), 1,
      anon_sym_type,
    ACTIONS(13300), 1,
      sym_operator_identifier,
    STATE(7563), 1,
      sym__soft_identifier,
    STATE(7609), 1,
      sym_identifier,
    STATE(7681), 1,
      sym__type_identifier,
    STATE(11576), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7863), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [532241] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11577), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12849), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [532267] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11578), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12847), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [532293] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4334), 1,
      sym__alpha_identifier,
    ACTIONS(4352), 1,
      sym__backquoted_id,
    ACTIONS(13302), 1,
      anon_sym_type,
    ACTIONS(13304), 1,
      sym_operator_identifier,
    STATE(4411), 1,
      sym_identifier,
    STATE(4494), 1,
      sym__soft_identifier,
    STATE(4500), 1,
      sym__type_identifier,
    STATE(11579), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4346), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [532333] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11580), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12845), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [532359] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6080), 1,
      sym__alpha_identifier,
    ACTIONS(6094), 1,
      sym__backquoted_id,
    ACTIONS(13306), 1,
      anon_sym_type,
    ACTIONS(13308), 1,
      sym_operator_identifier,
    STATE(7441), 1,
      sym_identifier,
    STATE(7449), 1,
      sym__soft_identifier,
    STATE(8428), 1,
      sym__type_identifier,
    STATE(11581), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6090), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [532399] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11582), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7694), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [532425] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6706), 1,
      anon_sym_LBRACE,
    ACTIONS(12798), 1,
      anon_sym_COLON,
    ACTIONS(12800), 1,
      anon_sym_with,
    STATE(9074), 1,
      sym__refinement,
    STATE(9234), 1,
      sym_template_body,
    STATE(12989), 1,
      aux_sym_compound_type_repeat1,
    STATE(8874), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11583), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7668), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [532465] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11584), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11395), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [532491] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11585), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12863), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [532517] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11586), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13312), 3,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(13310), 10,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [532545] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11587), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9144), 13,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [532571] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11746), 1,
      sym__alpha_identifier,
    ACTIONS(11754), 1,
      sym__backquoted_id,
    ACTIONS(13314), 1,
      anon_sym_type,
    ACTIONS(13316), 1,
      sym_operator_identifier,
    STATE(10661), 1,
      sym_identifier,
    STATE(10700), 1,
      sym__soft_identifier,
    STATE(10771), 1,
      sym__type_identifier,
    STATE(11588), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11750), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [532611] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13318), 1,
      anon_sym_LBRACK,
    ACTIONS(13320), 1,
      anon_sym_LPAREN,
    ACTIONS(13322), 1,
      sym__automatic_semicolon,
    STATE(12526), 1,
      aux_sym__function_constructor_repeat1,
    STATE(12527), 1,
      sym_type_parameters,
    STATE(13302), 1,
      sym__using_parameters_clause,
    STATE(13356), 1,
      sym_parameters,
    STATE(11589), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12865), 6,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [532651] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11590), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13326), 3,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(13324), 10,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [532679] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11591), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13330), 3,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(13328), 10,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [532707] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11592), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11292), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [532733] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11593), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9130), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [532759] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11594), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13334), 3,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(13332), 10,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [532787] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11595), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11302), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [532813] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13336), 1,
      anon_sym_LPAREN,
    STATE(12547), 1,
      sym_arguments,
    STATE(11596), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(7788), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [532843] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11597), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12830), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [532869] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8342), 1,
      anon_sym_LPAREN,
    STATE(11596), 1,
      aux_sym_annotation_repeat1,
    STATE(12547), 1,
      sym_arguments,
    STATE(11598), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7817), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [532901] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12172), 1,
      sym__backquoted_id,
    ACTIONS(12335), 1,
      anon_sym_EQ,
    STATE(11599), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12164), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [532931] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4384), 1,
      sym__alpha_identifier,
    ACTIONS(4396), 1,
      sym__backquoted_id,
    ACTIONS(13339), 1,
      anon_sym_type,
    ACTIONS(13341), 1,
      sym_operator_identifier,
    STATE(6022), 1,
      sym_identifier,
    STATE(6027), 1,
      sym__soft_identifier,
    STATE(6743), 1,
      sym__type_identifier,
    STATE(11600), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4392), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [532971] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11556), 1,
      sym__alpha_identifier,
    ACTIONS(11564), 1,
      sym__backquoted_id,
    ACTIONS(13343), 1,
      anon_sym_type,
    ACTIONS(13345), 1,
      sym_operator_identifier,
    STATE(10949), 1,
      sym__soft_identifier,
    STATE(11008), 1,
      sym_identifier,
    STATE(11155), 1,
      sym__type_identifier,
    STATE(11601), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11560), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [533011] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12172), 1,
      sym__backquoted_id,
    ACTIONS(12311), 1,
      anon_sym_EQ,
    STATE(11602), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12164), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [533041] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11603), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12856), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [533067] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11604), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11285), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [533093] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11605), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7716), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [533119] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13114), 1,
      anon_sym_LBRACK,
    ACTIONS(13169), 1,
      anon_sym_match,
    STATE(6525), 1,
      sym_type_arguments,
    STATE(11606), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12754), 10,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [533151] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11607), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13349), 3,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(13347), 10,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [533179] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11608), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13353), 3,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(13351), 10,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [533207] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13355), 1,
      anon_sym_end,
    STATE(6724), 1,
      sym__end_marker,
    STATE(11609), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9292), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [533237] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11610), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7584), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [533263] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11537), 1,
      sym__alpha_identifier,
    ACTIONS(11545), 1,
      sym__backquoted_id,
    ACTIONS(13357), 1,
      anon_sym_type,
    ACTIONS(13359), 1,
      sym_operator_identifier,
    STATE(10364), 1,
      sym__soft_identifier,
    STATE(10539), 1,
      sym_identifier,
    STATE(10654), 1,
      sym__type_identifier,
    STATE(11611), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11541), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [533303] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12853), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(11612), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12851), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [533331] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11613), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7330), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_yield,
  [533357] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11614), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13363), 3,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(13361), 10,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [533385] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11615), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7710), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [533411] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11616), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11306), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [533437] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11617), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7694), 13,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [533463] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12172), 1,
      sym__backquoted_id,
    ACTIONS(12186), 1,
      anon_sym_EQ,
    STATE(11618), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12164), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [533493] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12172), 1,
      sym__backquoted_id,
    ACTIONS(12188), 1,
      anon_sym_EQ,
    STATE(11619), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12164), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [533523] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11734), 1,
      sym__alpha_identifier,
    ACTIONS(11742), 1,
      sym__backquoted_id,
    ACTIONS(13365), 1,
      anon_sym_type,
    ACTIONS(13367), 1,
      sym_operator_identifier,
    STATE(10652), 1,
      sym__soft_identifier,
    STATE(11513), 1,
      sym_identifier,
    STATE(12205), 1,
      sym__type_identifier,
    STATE(11620), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11738), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [533563] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11621), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [533589] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12142), 1,
      anon_sym_AT,
    STATE(11724), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12371), 1,
      sym_annotation,
    STATE(11622), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [533621] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11623), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13371), 3,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(13369), 10,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [533649] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11634), 1,
      sym__alpha_identifier,
    ACTIONS(11642), 1,
      sym__backquoted_id,
    ACTIONS(13005), 1,
      sym_operator_identifier,
    STATE(10169), 1,
      sym_identifier,
    STATE(10656), 1,
      sym__soft_identifier,
    STATE(10852), 1,
      sym__class_constructor,
    STATE(13877), 1,
      sym__class_definition,
    STATE(11624), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11638), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [533689] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11625), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12828), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [533715] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11626), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12826), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [533741] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12823), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(11627), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12821), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [533769] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11628), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11316), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [533795] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11629), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7710), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [533821] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12818), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(11630), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12816), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [533849] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11631), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7714), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [533875] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11632), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11320), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [533901] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6604), 1,
      sym__alpha_identifier,
    ACTIONS(6618), 1,
      sym__backquoted_id,
    ACTIONS(13373), 1,
      anon_sym_type,
    ACTIONS(13375), 1,
      sym_operator_identifier,
    STATE(6627), 1,
      sym__soft_identifier,
    STATE(6657), 1,
      sym_identifier,
    STATE(7269), 1,
      sym__type_identifier,
    STATE(11633), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6614), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [533941] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7254), 1,
      sym__alpha_identifier,
    ACTIONS(7262), 1,
      sym__backquoted_id,
    ACTIONS(13377), 1,
      anon_sym_type,
    ACTIONS(13379), 1,
      sym_operator_identifier,
    STATE(11065), 1,
      sym__soft_identifier,
    STATE(11356), 1,
      sym_identifier,
    STATE(11742), 1,
      sym__type_identifier,
    STATE(11634), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7258), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [533981] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4438), 1,
      sym__alpha_identifier,
    ACTIONS(4456), 1,
      sym__backquoted_id,
    ACTIONS(13381), 1,
      anon_sym_type,
    ACTIONS(13383), 1,
      sym_operator_identifier,
    STATE(5411), 1,
      sym__soft_identifier,
    STATE(5950), 1,
      sym_identifier,
    STATE(6633), 1,
      sym__type_identifier,
    STATE(11635), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4450), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [534021] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11636), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13387), 3,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(13385), 10,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [534049] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8398), 1,
      anon_sym_LPAREN,
    STATE(11651), 1,
      aux_sym_annotation_repeat1,
    STATE(12563), 1,
      sym_arguments,
    STATE(11637), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7817), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [534081] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7837), 1,
      sym__alpha_identifier,
    ACTIONS(7849), 1,
      sym__backquoted_id,
    ACTIONS(13389), 1,
      anon_sym_type,
    ACTIONS(13391), 1,
      sym_operator_identifier,
    STATE(4772), 1,
      sym__soft_identifier,
    STATE(4944), 1,
      sym_identifier,
    STATE(4967), 1,
      sym__type_identifier,
    STATE(11638), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7845), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [534121] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11586), 1,
      sym__alpha_identifier,
    ACTIONS(11592), 1,
      sym__backquoted_id,
    ACTIONS(12967), 1,
      sym_operator_identifier,
    STATE(9844), 1,
      sym__soft_identifier,
    STATE(10621), 1,
      sym_identifier,
    STATE(12267), 1,
      sym__type_identifier,
    STATE(14032), 1,
      sym__type_constructor,
    STATE(11639), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [534161] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11640), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7704), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [534187] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12853), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(11641), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12851), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [534215] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4520), 1,
      sym__alpha_identifier,
    ACTIONS(4538), 1,
      sym__backquoted_id,
    ACTIONS(13393), 1,
      anon_sym_type,
    ACTIONS(13395), 1,
      sym_operator_identifier,
    STATE(4974), 1,
      sym__soft_identifier,
    STATE(4996), 1,
      sym_identifier,
    STATE(5980), 1,
      sym__type_identifier,
    STATE(11642), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4532), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [534255] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11643), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12849), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [534281] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11644), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7720), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [534307] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6770), 1,
      sym__alpha_identifier,
    ACTIONS(6784), 1,
      sym__backquoted_id,
    ACTIONS(13397), 1,
      anon_sym_type,
    ACTIONS(13399), 1,
      sym_operator_identifier,
    STATE(5580), 1,
      sym__soft_identifier,
    STATE(5711), 1,
      sym_identifier,
    STATE(6387), 1,
      sym__type_identifier,
    STATE(11645), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6780), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [534347] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11646), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [534373] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11647), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [534399] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11648), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [534425] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7232), 1,
      sym__alpha_identifier,
    ACTIONS(7246), 1,
      sym__backquoted_id,
    ACTIONS(13401), 1,
      anon_sym_type,
    ACTIONS(13403), 1,
      sym_operator_identifier,
    STATE(10781), 1,
      sym_identifier,
    STATE(10954), 1,
      sym__soft_identifier,
    STATE(11184), 1,
      sym__type_identifier,
    STATE(11649), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7242), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [534465] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11650), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7330), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [534491] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13405), 1,
      anon_sym_LPAREN,
    STATE(12563), 1,
      sym_arguments,
    STATE(11651), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(7788), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [534521] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7909), 1,
      sym__alpha_identifier,
    ACTIONS(7921), 1,
      sym__backquoted_id,
    ACTIONS(13408), 1,
      anon_sym_type,
    ACTIONS(13410), 1,
      sym_operator_identifier,
    STATE(5132), 1,
      sym__soft_identifier,
    STATE(5251), 1,
      sym__type_identifier,
    STATE(5278), 1,
      sym_identifier,
    STATE(11652), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7917), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [534561] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11653), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13414), 3,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(13412), 10,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [534589] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6098), 1,
      sym__alpha_identifier,
    ACTIONS(6108), 1,
      sym__backquoted_id,
    ACTIONS(13416), 1,
      anon_sym_type,
    ACTIONS(13418), 1,
      sym_operator_identifier,
    STATE(6009), 1,
      sym_identifier,
    STATE(6257), 1,
      sym__soft_identifier,
    STATE(6798), 1,
      sym__type_identifier,
    STATE(11654), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6104), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [534629] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11655), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11285), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [534655] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11734), 1,
      sym__alpha_identifier,
    ACTIONS(11742), 1,
      sym__backquoted_id,
    ACTIONS(13223), 1,
      sym_operator_identifier,
    STATE(10652), 1,
      sym__soft_identifier,
    STATE(12089), 1,
      sym_identifier,
    STATE(12617), 1,
      sym__type_identifier,
    STATE(14000), 1,
      sym__type_constructor,
    STATE(11656), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11738), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [534695] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11657), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12847), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [534721] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11658), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12845), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [534747] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11659), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7720), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [534773] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7963), 1,
      sym__alpha_identifier,
    ACTIONS(7975), 1,
      sym__backquoted_id,
    ACTIONS(13420), 1,
      anon_sym_type,
    ACTIONS(13422), 1,
      sym_operator_identifier,
    STATE(5523), 1,
      sym__type_identifier,
    STATE(5709), 1,
      sym__soft_identifier,
    STATE(5939), 1,
      sym_identifier,
    STATE(11660), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7971), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [534813] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12818), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(11661), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12816), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [534841] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9), 1,
      sym__alpha_identifier,
    ACTIONS(25), 1,
      anon_sym__,
    ACTIONS(83), 1,
      sym__backquoted_id,
    ACTIONS(13424), 1,
      sym_operator_identifier,
    STATE(4482), 1,
      sym__soft_identifier,
    STATE(11662), 2,
      sym_comment,
      sym_block_comment,
    STATE(13763), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(7380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [534879] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11663), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11371), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [534905] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11770), 1,
      sym__alpha_identifier,
    ACTIONS(11778), 1,
      sym__backquoted_id,
    ACTIONS(13131), 1,
      sym_operator_identifier,
    STATE(10214), 1,
      sym_identifier,
    STATE(10895), 1,
      sym__soft_identifier,
    STATE(11220), 1,
      sym__class_constructor,
    STATE(14095), 1,
      sym__class_definition,
    STATE(11664), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11774), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [534945] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11586), 1,
      sym__alpha_identifier,
    ACTIONS(11592), 1,
      sym__backquoted_id,
    ACTIONS(13426), 1,
      anon_sym_object,
    ACTIONS(13428), 1,
      sym_operator_identifier,
    STATE(9844), 1,
      sym__soft_identifier,
    STATE(13330), 1,
      sym_package_identifier,
    STATE(13579), 1,
      sym_identifier,
    STATE(11665), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [534985] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11696), 1,
      sym__alpha_identifier,
    ACTIONS(11704), 1,
      sym__backquoted_id,
    ACTIONS(13430), 1,
      anon_sym_type,
    ACTIONS(13432), 1,
      sym_operator_identifier,
    STATE(12302), 1,
      sym__soft_identifier,
    STATE(12485), 1,
      sym_identifier,
    STATE(12748), 1,
      sym__type_identifier,
    STATE(11666), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11700), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [535025] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6386), 1,
      sym__alpha_identifier,
    ACTIONS(6400), 1,
      sym__backquoted_id,
    ACTIONS(13434), 1,
      anon_sym_type,
    ACTIONS(13436), 1,
      sym_operator_identifier,
    STATE(4410), 1,
      sym_identifier,
    STATE(4449), 1,
      sym__soft_identifier,
    STATE(4615), 1,
      sym__type_identifier,
    STATE(11667), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6396), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [535065] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11668), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 13,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [535091] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11669), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9180), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [535117] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11670), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [535143] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12823), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(11671), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12821), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [535171] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6186), 1,
      sym__alpha_identifier,
    ACTIONS(6200), 1,
      sym__backquoted_id,
    ACTIONS(13438), 1,
      anon_sym_type,
    ACTIONS(13440), 1,
      sym_operator_identifier,
    STATE(6040), 1,
      sym__soft_identifier,
    STATE(6350), 1,
      sym_identifier,
    STATE(6844), 1,
      sym__type_identifier,
    STATE(11672), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6196), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [535211] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11673), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 13,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [535237] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6284), 1,
      sym__alpha_identifier,
    ACTIONS(6294), 1,
      sym__backquoted_id,
    ACTIONS(13442), 1,
      anon_sym_type,
    ACTIONS(13444), 1,
      sym_operator_identifier,
    STATE(4765), 1,
      sym__soft_identifier,
    STATE(4932), 1,
      sym_identifier,
    STATE(4988), 1,
      sym__type_identifier,
    STATE(11674), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6290), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [535277] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12172), 1,
      sym__backquoted_id,
    ACTIONS(12252), 1,
      anon_sym_EQ,
    STATE(11675), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12164), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [535307] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11676), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13448), 3,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(13446), 10,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [535335] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12172), 1,
      sym__backquoted_id,
    ACTIONS(12254), 1,
      anon_sym_EQ,
    STATE(11677), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12164), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [535365] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11678), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [535391] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8127), 1,
      sym__alpha_identifier,
    ACTIONS(8139), 1,
      sym__backquoted_id,
    ACTIONS(13450), 1,
      anon_sym_type,
    ACTIONS(13452), 1,
      sym_operator_identifier,
    STATE(9712), 1,
      sym__soft_identifier,
    STATE(9824), 1,
      sym_identifier,
    STATE(9833), 1,
      sym__type_identifier,
    STATE(11679), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8135), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [535431] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6722), 1,
      sym__alpha_identifier,
    ACTIONS(6736), 1,
      sym__backquoted_id,
    ACTIONS(13454), 1,
      anon_sym_type,
    ACTIONS(13456), 1,
      sym_operator_identifier,
    STATE(6417), 1,
      sym_identifier,
    STATE(6611), 1,
      sym__soft_identifier,
    STATE(6737), 1,
      sym__type_identifier,
    STATE(11680), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6732), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [535471] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8069), 1,
      sym__alpha_identifier,
    ACTIONS(8077), 1,
      sym__backquoted_id,
    ACTIONS(13458), 1,
      anon_sym_type,
    ACTIONS(13460), 1,
      sym_operator_identifier,
    STATE(6029), 1,
      sym__type_identifier,
    STATE(6068), 1,
      sym_identifier,
    STATE(6650), 1,
      sym__soft_identifier,
    STATE(11681), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8073), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [535511] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11734), 1,
      sym__alpha_identifier,
    ACTIONS(11742), 1,
      sym__backquoted_id,
    ACTIONS(13223), 1,
      sym_operator_identifier,
    STATE(10652), 1,
      sym__soft_identifier,
    STATE(12089), 1,
      sym_identifier,
    STATE(12617), 1,
      sym__type_identifier,
    STATE(13979), 1,
      sym__type_constructor,
    STATE(11682), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11738), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [535551] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7384), 1,
      sym__alpha_identifier,
    ACTIONS(7404), 1,
      sym__backquoted_id,
    ACTIONS(13464), 1,
      sym_operator_identifier,
    STATE(14128), 1,
      sym_identifier,
    STATE(14173), 1,
      sym__soft_identifier,
    ACTIONS(13462), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(11683), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7386), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [535589] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11586), 1,
      sym__alpha_identifier,
    ACTIONS(11592), 1,
      sym__backquoted_id,
    ACTIONS(12967), 1,
      sym_operator_identifier,
    STATE(9844), 1,
      sym__soft_identifier,
    STATE(10621), 1,
      sym_identifier,
    STATE(12937), 1,
      sym__type_identifier,
    STATE(14089), 1,
      sym__type_constructor,
    STATE(11684), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [535629] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6796), 1,
      sym__alpha_identifier,
    ACTIONS(6806), 1,
      sym__backquoted_id,
    ACTIONS(13466), 1,
      anon_sym_type,
    ACTIONS(13468), 1,
      sym_operator_identifier,
    STATE(6412), 1,
      sym__soft_identifier,
    STATE(6616), 1,
      sym_identifier,
    STATE(7060), 1,
      sym__type_identifier,
    STATE(11685), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6802), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [535669] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11686), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9144), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [535695] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12235), 1,
      anon_sym_LPAREN,
    STATE(11422), 1,
      aux_sym_annotation_repeat1,
    STATE(12530), 1,
      sym_arguments,
    STATE(11687), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7817), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_SEMI,
  [535727] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11688), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13472), 3,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(13470), 10,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [535755] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11462), 1,
      sym__alpha_identifier,
    ACTIONS(11470), 1,
      sym__backquoted_id,
    ACTIONS(13474), 1,
      anon_sym_type,
    ACTIONS(13476), 1,
      sym_operator_identifier,
    STATE(7679), 1,
      sym_identifier,
    STATE(8014), 1,
      sym__soft_identifier,
    STATE(8337), 1,
      sym__type_identifier,
    STATE(11689), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11466), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [535795] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11690), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11395), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [535821] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11770), 1,
      sym__alpha_identifier,
    ACTIONS(11778), 1,
      sym__backquoted_id,
    ACTIONS(13131), 1,
      sym_operator_identifier,
    STATE(10214), 1,
      sym_identifier,
    STATE(10895), 1,
      sym__soft_identifier,
    STATE(11220), 1,
      sym__class_constructor,
    STATE(14236), 1,
      sym__class_definition,
    STATE(11691), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11774), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [535861] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11692), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7694), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [535887] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11586), 1,
      sym__alpha_identifier,
    ACTIONS(11592), 1,
      sym__backquoted_id,
    ACTIONS(12967), 1,
      sym_operator_identifier,
    STATE(9844), 1,
      sym__soft_identifier,
    STATE(10621), 1,
      sym_identifier,
    STATE(12937), 1,
      sym__type_identifier,
    STATE(14059), 1,
      sym__type_constructor,
    STATE(11693), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [535927] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11694), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12150), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_AT,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [535953] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11770), 1,
      sym__alpha_identifier,
    ACTIONS(11778), 1,
      sym__backquoted_id,
    ACTIONS(13131), 1,
      sym_operator_identifier,
    STATE(10214), 1,
      sym_identifier,
    STATE(10895), 1,
      sym__soft_identifier,
    STATE(11220), 1,
      sym__class_constructor,
    STATE(14225), 1,
      sym__class_definition,
    STATE(11695), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11774), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [535993] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11696), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7584), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [536019] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11697), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12826), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [536045] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11698), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12828), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [536071] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11699), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [536097] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11700), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11337), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [536123] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6206), 1,
      sym__alpha_identifier,
    ACTIONS(6220), 1,
      sym__backquoted_id,
    ACTIONS(13478), 1,
      anon_sym_type,
    ACTIONS(13480), 1,
      sym_operator_identifier,
    STATE(5909), 1,
      sym__soft_identifier,
    STATE(5951), 1,
      sym_identifier,
    STATE(6644), 1,
      sym__type_identifier,
    STATE(11701), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6216), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [536163] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11702), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [536189] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6066), 1,
      sym__alpha_identifier,
    ACTIONS(6076), 1,
      sym__backquoted_id,
    ACTIONS(13482), 1,
      anon_sym_type,
    ACTIONS(13484), 1,
      sym_operator_identifier,
    STATE(6423), 1,
      sym__soft_identifier,
    STATE(6544), 1,
      sym_identifier,
    STATE(7134), 1,
      sym__type_identifier,
    STATE(11703), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6072), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [536229] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11634), 1,
      sym__alpha_identifier,
    ACTIONS(11642), 1,
      sym__backquoted_id,
    ACTIONS(13005), 1,
      sym_operator_identifier,
    STATE(10169), 1,
      sym_identifier,
    STATE(10656), 1,
      sym__soft_identifier,
    STATE(10852), 1,
      sym__class_constructor,
    STATE(14042), 1,
      sym__class_definition,
    STATE(11704), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11638), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [536269] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11705), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7584), 13,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [536295] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13486), 1,
      anon_sym_STAR,
    STATE(11706), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12420), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [536323] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4174), 1,
      sym__alpha_identifier,
    ACTIONS(4192), 1,
      sym__backquoted_id,
    ACTIONS(13488), 1,
      anon_sym_type,
    ACTIONS(13490), 1,
      sym_operator_identifier,
    STATE(4754), 1,
      sym__soft_identifier,
    STATE(4881), 1,
      sym_identifier,
    STATE(5042), 1,
      sym__type_identifier,
    STATE(11707), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4186), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [536363] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11708), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12128), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_AT,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [536389] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11709), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 13,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [536415] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7897), 1,
      sym__alpha_identifier,
    ACTIONS(7905), 1,
      sym__backquoted_id,
    ACTIONS(13492), 1,
      anon_sym_type,
    ACTIONS(13494), 1,
      sym_operator_identifier,
    STATE(5429), 1,
      sym__soft_identifier,
    STATE(5448), 1,
      sym__type_identifier,
    STATE(5559), 1,
      sym_identifier,
    STATE(11710), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7901), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [536455] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8785), 1,
      anon_sym_LPAREN,
    ACTIONS(13496), 1,
      anon_sym_LBRACK,
    ACTIONS(13498), 1,
      anon_sym_POUND,
    STATE(12596), 1,
      aux_sym_annotation_repeat1,
    STATE(12628), 1,
      sym_type_arguments,
    STATE(13035), 1,
      sym_arguments,
    STATE(11711), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7530), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [536493] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11634), 1,
      sym__alpha_identifier,
    ACTIONS(11642), 1,
      sym__backquoted_id,
    ACTIONS(13005), 1,
      sym_operator_identifier,
    STATE(10169), 1,
      sym_identifier,
    STATE(10656), 1,
      sym__soft_identifier,
    STATE(10852), 1,
      sym__class_constructor,
    STATE(13930), 1,
      sym__class_definition,
    STATE(11712), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11638), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [536533] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11713), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11320), 13,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [536559] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11714), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7710), 13,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [536585] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11770), 1,
      sym__alpha_identifier,
    ACTIONS(11778), 1,
      sym__backquoted_id,
    ACTIONS(13500), 1,
      anon_sym_type,
    ACTIONS(13502), 1,
      sym_operator_identifier,
    STATE(10895), 1,
      sym__soft_identifier,
    STATE(11239), 1,
      sym_identifier,
    STATE(11736), 1,
      sym__type_identifier,
    STATE(11715), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11774), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [536625] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11716), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7714), 13,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [536651] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11717), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11316), 13,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [536677] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11718), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12877), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [536703] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11719), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12215), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_AT,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [536729] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8189), 1,
      sym__alpha_identifier,
    ACTIONS(8197), 1,
      sym__backquoted_id,
    ACTIONS(13504), 1,
      anon_sym_type,
    ACTIONS(13506), 1,
      sym_operator_identifier,
    STATE(6115), 1,
      sym__type_identifier,
    STATE(6131), 1,
      sym__soft_identifier,
    STATE(6284), 1,
      sym_identifier,
    STATE(11720), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8193), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [536769] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11721), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9180), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [536795] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11722), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12811), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [536821] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11723), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12811), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [536847] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13508), 1,
      anon_sym_AT,
    STATE(12371), 1,
      sym_annotation,
    STATE(11724), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8283), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [536877] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11725), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7720), 13,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [536903] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11726), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 13,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [536929] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11727), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 13,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [536955] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11658), 1,
      sym__alpha_identifier,
    ACTIONS(11666), 1,
      sym__backquoted_id,
    ACTIONS(13511), 1,
      anon_sym_type,
    ACTIONS(13513), 1,
      sym_operator_identifier,
    STATE(12314), 1,
      sym__soft_identifier,
    STATE(12545), 1,
      sym_identifier,
    STATE(12665), 1,
      sym__type_identifier,
    STATE(11728), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11662), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [536995] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11166), 1,
      sym__alpha_identifier,
    ACTIONS(11174), 1,
      sym__backquoted_id,
    ACTIONS(13515), 1,
      anon_sym_type,
    ACTIONS(13517), 1,
      sym_operator_identifier,
    STATE(13271), 1,
      sym__soft_identifier,
    STATE(13434), 1,
      sym_identifier,
    STATE(13533), 1,
      sym__type_identifier,
    STATE(11729), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11170), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [537035] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11730), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [537061] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4748), 1,
      sym__alpha_identifier,
    ACTIONS(4766), 1,
      sym__backquoted_id,
    ACTIONS(13519), 1,
      anon_sym_type,
    ACTIONS(13521), 1,
      sym_operator_identifier,
    STATE(5189), 1,
      sym_identifier,
    STATE(5217), 1,
      sym__soft_identifier,
    STATE(5477), 1,
      sym__type_identifier,
    STATE(11731), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4760), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [537101] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6372), 1,
      sym__alpha_identifier,
    ACTIONS(6382), 1,
      sym__backquoted_id,
    ACTIONS(13523), 1,
      anon_sym_type,
    ACTIONS(13525), 1,
      sym_operator_identifier,
    STATE(8146), 1,
      sym_identifier,
    STATE(8164), 1,
      sym__soft_identifier,
    STATE(8817), 1,
      sym__type_identifier,
    STATE(11732), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6378), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [537141] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12172), 1,
      sym__backquoted_id,
    ACTIONS(12246), 1,
      anon_sym_EQ,
    STATE(11733), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12164), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [537171] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7947), 1,
      sym__alpha_identifier,
    ACTIONS(7955), 1,
      sym__backquoted_id,
    ACTIONS(13527), 1,
      anon_sym_type,
    ACTIONS(13529), 1,
      sym_operator_identifier,
    STATE(9188), 1,
      sym__soft_identifier,
    STATE(9202), 1,
      sym__type_identifier,
    STATE(9203), 1,
      sym_identifier,
    STATE(11734), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7951), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [537211] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8173), 1,
      sym__alpha_identifier,
    ACTIONS(8185), 1,
      sym__backquoted_id,
    ACTIONS(13531), 1,
      anon_sym_type,
    ACTIONS(13533), 1,
      sym_operator_identifier,
    STATE(4546), 1,
      sym__soft_identifier,
    STATE(4579), 1,
      sym__type_identifier,
    STATE(4629), 1,
      sym_identifier,
    STATE(11735), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8181), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [537251] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11736), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7372), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [537277] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6166), 1,
      sym__alpha_identifier,
    ACTIONS(6180), 1,
      sym__backquoted_id,
    ACTIONS(13535), 1,
      anon_sym_type,
    ACTIONS(13537), 1,
      sym_operator_identifier,
    STATE(4760), 1,
      sym__soft_identifier,
    STATE(4925), 1,
      sym_identifier,
    STATE(5007), 1,
      sym__type_identifier,
    STATE(11737), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6176), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [537317] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8161), 1,
      sym__alpha_identifier,
    ACTIONS(8169), 1,
      sym__backquoted_id,
    ACTIONS(13539), 1,
      anon_sym_type,
    ACTIONS(13541), 1,
      sym_operator_identifier,
    STATE(6841), 1,
      sym__soft_identifier,
    STATE(6896), 1,
      sym_identifier,
    STATE(7318), 1,
      sym__type_identifier,
    STATE(11738), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8165), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [537357] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11622), 1,
      sym__alpha_identifier,
    ACTIONS(11630), 1,
      sym__backquoted_id,
    ACTIONS(13543), 1,
      anon_sym_type,
    ACTIONS(13545), 1,
      sym_operator_identifier,
    STATE(11167), 1,
      sym_identifier,
    STATE(11171), 1,
      sym__soft_identifier,
    STATE(11754), 1,
      sym__type_identifier,
    STATE(11739), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11626), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [537397] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11740), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8027), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [537423] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11741), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7714), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [537449] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11742), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7372), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [537475] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11743), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9130), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [537501] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4690), 1,
      sym__alpha_identifier,
    ACTIONS(4702), 1,
      sym__backquoted_id,
    ACTIONS(13547), 1,
      anon_sym_type,
    ACTIONS(13549), 1,
      sym_operator_identifier,
    STATE(4567), 1,
      sym__soft_identifier,
    STATE(4598), 1,
      sym_identifier,
    STATE(4787), 1,
      sym__type_identifier,
    STATE(11744), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4698), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [537541] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11745), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9134), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [537567] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11746), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7720), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [537593] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8243), 1,
      sym__alpha_identifier,
    ACTIONS(8251), 1,
      sym__backquoted_id,
    ACTIONS(13551), 1,
      anon_sym_type,
    ACTIONS(13553), 1,
      sym_operator_identifier,
    STATE(7424), 1,
      sym__soft_identifier,
    STATE(7721), 1,
      sym_identifier,
    STATE(8064), 1,
      sym__type_identifier,
    STATE(11747), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8247), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [537633] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11748), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9144), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [537659] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12031), 1,
      anon_sym_AT,
    ACTIONS(12035), 1,
      anon_sym_LPAREN,
    ACTIONS(12559), 1,
      sym__automatic_semicolon,
    STATE(12332), 1,
      sym_annotation,
    STATE(12760), 1,
      sym_class_parameters,
    STATE(13341), 1,
      sym_access_modifier,
    STATE(13354), 1,
      aux_sym__class_constructor_repeat1,
    ACTIONS(12033), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(11749), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12159), 4,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_extends,
      anon_sym_derives,
  [537701] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11734), 1,
      sym__alpha_identifier,
    ACTIONS(11742), 1,
      sym__backquoted_id,
    ACTIONS(13223), 1,
      sym_operator_identifier,
    STATE(10652), 1,
      sym__soft_identifier,
    STATE(12089), 1,
      sym_identifier,
    STATE(12617), 1,
      sym__type_identifier,
    STATE(13846), 1,
      sym__type_constructor,
    STATE(11750), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11738), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [537741] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13555), 1,
      anon_sym_STAR,
    STATE(11751), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12420), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [537769] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12172), 1,
      sym__backquoted_id,
    ACTIONS(12231), 1,
      anon_sym_EQ,
    STATE(11752), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12164), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [537799] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11753), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9159), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [537825] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11754), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7372), 13,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [537851] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11770), 1,
      sym__alpha_identifier,
    ACTIONS(11778), 1,
      sym__backquoted_id,
    ACTIONS(13131), 1,
      sym_operator_identifier,
    STATE(10214), 1,
      sym_identifier,
    STATE(10895), 1,
      sym__soft_identifier,
    STATE(11220), 1,
      sym__class_constructor,
    STATE(14265), 1,
      sym__class_definition,
    STATE(11755), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11774), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [537891] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11756), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11292), 13,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [537917] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6134), 1,
      anon_sym_LBRACE,
    ACTIONS(12478), 1,
      anon_sym_COLON,
    ACTIONS(12905), 1,
      anon_sym_with,
    STATE(9335), 1,
      sym__refinement,
    STATE(9465), 1,
      sym_template_body,
    STATE(13189), 1,
      aux_sym_compound_type_repeat1,
    STATE(6306), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11757), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7668), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [537957] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11758), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11285), 13,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [537983] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11759), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11302), 13,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [538009] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12294), 1,
      anon_sym_AT,
    STATE(11460), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12276), 1,
      sym_annotation,
    STATE(11760), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [538041] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11761), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11306), 13,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [538067] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(13557), 1,
      anon_sym_type,
    ACTIONS(13559), 1,
      sym_operator_identifier,
    STATE(5727), 1,
      sym_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(6231), 1,
      sym__type_identifier,
    STATE(11762), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [538107] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11634), 1,
      sym__alpha_identifier,
    ACTIONS(11642), 1,
      sym__backquoted_id,
    ACTIONS(13561), 1,
      anon_sym_type,
    ACTIONS(13563), 1,
      sym_operator_identifier,
    STATE(10656), 1,
      sym__soft_identifier,
    STATE(10903), 1,
      sym_identifier,
    STATE(11277), 1,
      sym__type_identifier,
    STATE(11763), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11638), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [538147] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6112), 1,
      sym__alpha_identifier,
    ACTIONS(6126), 1,
      sym__backquoted_id,
    ACTIONS(13565), 1,
      anon_sym_type,
    ACTIONS(13567), 1,
      sym_operator_identifier,
    STATE(6052), 1,
      sym__soft_identifier,
    STATE(6638), 1,
      sym_identifier,
    STATE(7190), 1,
      sym__type_identifier,
    STATE(11764), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6122), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [538187] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6442), 1,
      sym__alpha_identifier,
    ACTIONS(6452), 1,
      sym__backquoted_id,
    ACTIONS(13569), 1,
      anon_sym_type,
    ACTIONS(13571), 1,
      sym_operator_identifier,
    STATE(7905), 1,
      sym__soft_identifier,
    STATE(8022), 1,
      sym_identifier,
    STATE(8341), 1,
      sym__type_identifier,
    STATE(11765), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6448), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [538227] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11766), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12830), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [538253] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13573), 1,
      anon_sym_LBRACK,
    STATE(6849), 1,
      sym_type_arguments,
    STATE(11767), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12947), 10,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [538282] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11634), 1,
      sym__alpha_identifier,
    ACTIONS(11642), 1,
      sym__backquoted_id,
    ACTIONS(13575), 1,
      sym_operator_identifier,
    STATE(10656), 1,
      sym__soft_identifier,
    STATE(10801), 1,
      sym_identifier,
    STATE(13878), 1,
      sym__object_definition,
    STATE(11768), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11638), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [538319] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11769), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 12,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [538344] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(13577), 1,
      sym_operator_identifier,
    STATE(5824), 1,
      sym__soft_identifier,
    STATE(6280), 1,
      sym_identifier,
    STATE(6516), 1,
      sym__type_identifier,
    STATE(11770), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [538381] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12931), 1,
      sym__alpha_identifier,
    ACTIONS(12937), 1,
      sym__backquoted_id,
    ACTIONS(12939), 1,
      sym_operator_identifier,
    ACTIONS(13579), 1,
      anon_sym_match,
    STATE(5635), 1,
      sym_identifier,
    STATE(8951), 1,
      sym__soft_identifier,
    STATE(11771), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12935), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [538418] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11658), 1,
      sym__alpha_identifier,
    ACTIONS(11666), 1,
      sym__backquoted_id,
    ACTIONS(13581), 1,
      sym_operator_identifier,
    STATE(12314), 1,
      sym__soft_identifier,
    STATE(12717), 1,
      sym_identifier,
    STATE(12731), 1,
      sym__type_identifier,
    STATE(11772), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11662), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [538455] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11734), 1,
      sym__alpha_identifier,
    ACTIONS(11742), 1,
      sym__backquoted_id,
    ACTIONS(13583), 1,
      sym_operator_identifier,
    STATE(10652), 1,
      sym__soft_identifier,
    STATE(11589), 1,
      sym_identifier,
    STATE(13518), 1,
      sym__function_constructor,
    STATE(11773), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11738), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [538492] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12867), 1,
      anon_sym_LPAREN,
    ACTIONS(13587), 1,
      sym__automatic_semicolon,
    STATE(11794), 1,
      aux_sym__function_constructor_repeat1,
    STATE(13068), 1,
      sym__using_parameters_clause,
    STATE(13070), 1,
      sym_parameters,
    STATE(11774), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13585), 7,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [538527] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13591), 1,
      anon_sym_catch,
    ACTIONS(13593), 1,
      anon_sym_finally,
    STATE(11298), 1,
      sym_finally_clause,
    STATE(12424), 1,
      sym_catch_clause,
    STATE(11775), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13589), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [538560] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12931), 1,
      sym__alpha_identifier,
    ACTIONS(12937), 1,
      sym__backquoted_id,
    ACTIONS(13595), 1,
      anon_sym_match,
    ACTIONS(13597), 1,
      sym_operator_identifier,
    STATE(5634), 1,
      sym_identifier,
    STATE(8951), 1,
      sym__soft_identifier,
    STATE(11776), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12935), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [538597] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13599), 1,
      sym__alpha_identifier,
    ACTIONS(13601), 1,
      anon_sym_LBRACE,
    ACTIONS(13603), 1,
      anon_sym_LBRACK,
    ACTIONS(13607), 1,
      sym__backquoted_id,
    STATE(8254), 1,
      sym_identifier,
    STATE(8324), 1,
      sym__soft_identifier,
    STATE(11777), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13605), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [538634] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13609), 1,
      sym__alpha_identifier,
    ACTIONS(13611), 1,
      anon_sym_LBRACE,
    ACTIONS(13613), 1,
      anon_sym_LBRACK,
    ACTIONS(13617), 1,
      sym__backquoted_id,
    STATE(9337), 1,
      sym__soft_identifier,
    STATE(9459), 1,
      sym_identifier,
    STATE(11778), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13615), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [538671] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12931), 1,
      sym__alpha_identifier,
    ACTIONS(12937), 1,
      sym__backquoted_id,
    ACTIONS(13619), 1,
      anon_sym_match,
    ACTIONS(13621), 1,
      sym_operator_identifier,
    STATE(5984), 1,
      sym_identifier,
    STATE(8951), 1,
      sym__soft_identifier,
    STATE(11779), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12935), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [538708] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8500), 1,
      anon_sym_LPAREN,
    STATE(11829), 1,
      aux_sym_annotation_repeat1,
    STATE(12658), 1,
      sym_arguments,
    STATE(11780), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7817), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [538739] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6722), 1,
      sym__alpha_identifier,
    ACTIONS(6736), 1,
      sym__backquoted_id,
    ACTIONS(13623), 1,
      sym_operator_identifier,
    STATE(6611), 1,
      sym__soft_identifier,
    STATE(6770), 1,
      sym_identifier,
    STATE(6819), 1,
      sym__type_identifier,
    STATE(11781), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6732), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [538776] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6098), 1,
      sym__alpha_identifier,
    ACTIONS(6108), 1,
      sym__backquoted_id,
    ACTIONS(13625), 1,
      sym_operator_identifier,
    STATE(6257), 1,
      sym__soft_identifier,
    STATE(6757), 1,
      sym__type_identifier,
    STATE(6897), 1,
      sym_identifier,
    STATE(11782), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6104), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [538813] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7232), 1,
      sym__alpha_identifier,
    ACTIONS(7246), 1,
      sym__backquoted_id,
    ACTIONS(13627), 1,
      sym_operator_identifier,
    STATE(10954), 1,
      sym__soft_identifier,
    STATE(11172), 1,
      sym__type_identifier,
    STATE(11193), 1,
      sym_identifier,
    STATE(11783), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7242), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [538850] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13629), 1,
      sym__alpha_identifier,
    ACTIONS(13631), 1,
      anon_sym_LBRACE,
    ACTIONS(13633), 1,
      anon_sym_LBRACK,
    ACTIONS(13637), 1,
      sym__backquoted_id,
    STATE(6745), 1,
      sym__soft_identifier,
    STATE(6892), 1,
      sym_identifier,
    STATE(11784), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13635), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [538887] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6112), 1,
      sym__alpha_identifier,
    ACTIONS(6126), 1,
      sym__backquoted_id,
    ACTIONS(13639), 1,
      sym_operator_identifier,
    STATE(6052), 1,
      sym__soft_identifier,
    STATE(7002), 1,
      sym__type_identifier,
    STATE(7081), 1,
      sym_identifier,
    STATE(11785), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6122), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [538924] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9), 1,
      sym__alpha_identifier,
    ACTIONS(83), 1,
      sym__backquoted_id,
    ACTIONS(13641), 1,
      sym_operator_identifier,
    STATE(4482), 1,
      sym__soft_identifier,
    STATE(13352), 1,
      sym_identifier,
    STATE(13690), 1,
      sym__namespace_expression,
    STATE(11786), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [538961] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12035), 1,
      anon_sym_LPAREN,
    ACTIONS(12675), 1,
      sym__automatic_semicolon,
    STATE(11902), 1,
      aux_sym__class_constructor_repeat1,
    STATE(12760), 1,
      sym_class_parameters,
    STATE(11787), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12673), 8,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [538994] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12035), 1,
      anon_sym_LPAREN,
    ACTIONS(13645), 1,
      sym__automatic_semicolon,
    STATE(12045), 1,
      aux_sym__class_constructor_repeat1,
    STATE(12760), 1,
      sym_class_parameters,
    STATE(11788), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13643), 8,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [539027] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11622), 1,
      sym__alpha_identifier,
    ACTIONS(11630), 1,
      sym__backquoted_id,
    ACTIONS(13648), 1,
      sym_operator_identifier,
    STATE(11171), 1,
      sym__soft_identifier,
    STATE(11714), 1,
      sym__type_identifier,
    STATE(11726), 1,
      sym_identifier,
    STATE(11789), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11626), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [539064] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12931), 1,
      sym__alpha_identifier,
    ACTIONS(12937), 1,
      sym__backquoted_id,
    ACTIONS(13650), 1,
      anon_sym_match,
    ACTIONS(13652), 1,
      sym_operator_identifier,
    STATE(5987), 1,
      sym_identifier,
    STATE(8951), 1,
      sym__soft_identifier,
    STATE(11790), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12935), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [539101] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13654), 1,
      sym__alpha_identifier,
    ACTIONS(13656), 1,
      anon_sym_LBRACE,
    ACTIONS(13658), 1,
      anon_sym_LBRACK,
    ACTIONS(13662), 1,
      sym__backquoted_id,
    STATE(8147), 1,
      sym_identifier,
    STATE(8303), 1,
      sym__soft_identifier,
    STATE(11791), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13660), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [539138] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11792), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12845), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [539163] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6372), 1,
      sym__alpha_identifier,
    ACTIONS(6382), 1,
      sym__backquoted_id,
    ACTIONS(13664), 1,
      sym_operator_identifier,
    STATE(8164), 1,
      sym__soft_identifier,
    STATE(8693), 1,
      sym__type_identifier,
    STATE(8750), 1,
      sym_identifier,
    STATE(11793), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6378), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [539200] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13668), 1,
      anon_sym_LPAREN,
    ACTIONS(13671), 1,
      sym__automatic_semicolon,
    STATE(13068), 1,
      sym__using_parameters_clause,
    STATE(13070), 1,
      sym_parameters,
    STATE(11794), 3,
      sym_comment,
      sym_block_comment,
      aux_sym__function_constructor_repeat1,
    ACTIONS(13666), 7,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [539233] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12931), 1,
      sym__alpha_identifier,
    ACTIONS(12937), 1,
      sym__backquoted_id,
    ACTIONS(13595), 1,
      anon_sym_match,
    ACTIONS(13674), 1,
      sym_operator_identifier,
    STATE(5627), 1,
      sym_identifier,
    STATE(8951), 1,
      sym__soft_identifier,
    STATE(11795), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12935), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [539270] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11796), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12847), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [539295] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4608), 1,
      sym__alpha_identifier,
    ACTIONS(4620), 1,
      sym__backquoted_id,
    ACTIONS(13676), 1,
      sym_operator_identifier,
    STATE(7705), 1,
      sym__soft_identifier,
    STATE(8345), 1,
      sym__type_identifier,
    STATE(8458), 1,
      sym_identifier,
    STATE(11797), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4616), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [539332] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12931), 1,
      sym__alpha_identifier,
    ACTIONS(12937), 1,
      sym__backquoted_id,
    ACTIONS(13678), 1,
      anon_sym_match,
    ACTIONS(13680), 1,
      sym_operator_identifier,
    STATE(5967), 1,
      sym_identifier,
    STATE(8951), 1,
      sym__soft_identifier,
    STATE(11798), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12935), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [539369] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13682), 1,
      anon_sym_catch,
    ACTIONS(13684), 1,
      anon_sym_finally,
    STATE(12087), 1,
      sym_finally_clause,
    STATE(12662), 1,
      sym_catch_clause,
    STATE(11799), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13589), 8,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
  [539402] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11800), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12849), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [539427] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4174), 1,
      sym__alpha_identifier,
    ACTIONS(4192), 1,
      sym__backquoted_id,
    ACTIONS(13686), 1,
      sym_operator_identifier,
    STATE(4754), 1,
      sym__soft_identifier,
    STATE(5056), 1,
      sym_identifier,
    STATE(5065), 1,
      sym__type_identifier,
    STATE(11801), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4186), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [539464] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6706), 1,
      anon_sym_LBRACE,
    ACTIONS(12798), 1,
      anon_sym_COLON,
    ACTIONS(12840), 1,
      anon_sym_derives,
    STATE(12873), 1,
      sym_derives_clause,
    STATE(14116), 1,
      sym__definition_body,
    STATE(14283), 1,
      sym_template_body,
    STATE(8874), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11802), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13195), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [539503] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(473), 1,
      sym__alpha_identifier,
    ACTIONS(537), 1,
      sym__backquoted_id,
    ACTIONS(13688), 1,
      sym_operator_identifier,
    STATE(5636), 1,
      sym__soft_identifier,
    STATE(13505), 1,
      sym_identifier,
    STATE(13980), 1,
      sym__namespace_expression,
    STATE(11803), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(659), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [539540] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6166), 1,
      sym__alpha_identifier,
    ACTIONS(6180), 1,
      sym__backquoted_id,
    ACTIONS(13690), 1,
      sym_operator_identifier,
    STATE(4760), 1,
      sym__soft_identifier,
    STATE(5021), 1,
      sym_identifier,
    STATE(5030), 1,
      sym__type_identifier,
    STATE(11804), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6176), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [539577] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12931), 1,
      sym__alpha_identifier,
    ACTIONS(12937), 1,
      sym__backquoted_id,
    ACTIONS(13595), 1,
      anon_sym_match,
    ACTIONS(13692), 1,
      sym_operator_identifier,
    STATE(5647), 1,
      sym_identifier,
    STATE(8951), 1,
      sym__soft_identifier,
    STATE(11805), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12935), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [539614] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12853), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(11806), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12851), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [539641] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6442), 1,
      sym__alpha_identifier,
    ACTIONS(6452), 1,
      sym__backquoted_id,
    ACTIONS(13694), 1,
      sym_operator_identifier,
    STATE(7905), 1,
      sym__soft_identifier,
    STATE(8199), 1,
      sym_identifier,
    STATE(8228), 1,
      sym__type_identifier,
    STATE(11807), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6448), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [539678] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12615), 1,
      sym_arguments,
    STATE(11808), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7498), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [539705] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12931), 1,
      sym__alpha_identifier,
    ACTIONS(12937), 1,
      sym__backquoted_id,
    ACTIONS(13696), 1,
      anon_sym_match,
    ACTIONS(13698), 1,
      sym_operator_identifier,
    STATE(5979), 1,
      sym_identifier,
    STATE(8951), 1,
      sym__soft_identifier,
    STATE(11809), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12935), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [539742] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11810), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12856), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [539767] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6186), 1,
      sym__alpha_identifier,
    ACTIONS(6200), 1,
      sym__backquoted_id,
    ACTIONS(13700), 1,
      sym_operator_identifier,
    STATE(6040), 1,
      sym__soft_identifier,
    STATE(6720), 1,
      sym_identifier,
    STATE(7021), 1,
      sym__type_identifier,
    STATE(11811), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6196), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [539804] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12931), 1,
      sym__alpha_identifier,
    ACTIONS(12937), 1,
      sym__backquoted_id,
    ACTIONS(13702), 1,
      anon_sym_match,
    ACTIONS(13704), 1,
      sym_operator_identifier,
    STATE(5624), 1,
      sym_identifier,
    STATE(8951), 1,
      sym__soft_identifier,
    STATE(11812), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12935), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [539841] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8243), 1,
      sym__alpha_identifier,
    ACTIONS(8251), 1,
      sym__backquoted_id,
    ACTIONS(13706), 1,
      sym_operator_identifier,
    STATE(7424), 1,
      sym__soft_identifier,
    STATE(7860), 1,
      sym_identifier,
    STATE(8063), 1,
      sym__type_identifier,
    STATE(11813), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8247), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [539878] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7897), 1,
      sym__alpha_identifier,
    ACTIONS(7905), 1,
      sym__backquoted_id,
    ACTIONS(13708), 1,
      sym_operator_identifier,
    STATE(5409), 1,
      sym__type_identifier,
    STATE(5415), 1,
      sym_identifier,
    STATE(5429), 1,
      sym__soft_identifier,
    STATE(11814), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7901), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [539915] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11815), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12863), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [539940] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13710), 1,
      sym__alpha_identifier,
    ACTIONS(13712), 1,
      anon_sym_LBRACE,
    ACTIONS(13714), 1,
      anon_sym_LBRACK,
    ACTIONS(13718), 1,
      sym__backquoted_id,
    STATE(10363), 1,
      sym_identifier,
    STATE(10509), 1,
      sym__soft_identifier,
    STATE(11816), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13716), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [539977] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11696), 1,
      sym__alpha_identifier,
    ACTIONS(11704), 1,
      sym__backquoted_id,
    ACTIONS(13720), 1,
      sym_operator_identifier,
    STATE(12302), 1,
      sym__soft_identifier,
    STATE(12762), 1,
      sym_identifier,
    STATE(12846), 1,
      sym__type_identifier,
    STATE(11817), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11700), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [540014] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11818), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12871), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [540039] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11819), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12873), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [540064] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11770), 1,
      sym__alpha_identifier,
    ACTIONS(11778), 1,
      sym__backquoted_id,
    ACTIONS(13722), 1,
      sym_operator_identifier,
    STATE(10895), 1,
      sym__soft_identifier,
    STATE(11281), 1,
      sym_identifier,
    STATE(14292), 1,
      sym__object_definition,
    STATE(11820), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11774), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [540101] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11634), 1,
      sym__alpha_identifier,
    ACTIONS(11642), 1,
      sym__backquoted_id,
    ACTIONS(13724), 1,
      sym_operator_identifier,
    STATE(10656), 1,
      sym__soft_identifier,
    STATE(10876), 1,
      sym_identifier,
    STATE(13558), 1,
      sym__class_constructor,
    STATE(11821), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11638), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [540138] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11822), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12882), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [540163] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11823), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12884), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [540188] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13726), 1,
      sym__alpha_identifier,
    ACTIONS(13728), 1,
      anon_sym_LBRACE,
    ACTIONS(13730), 1,
      anon_sym_LBRACK,
    ACTIONS(13734), 1,
      sym__backquoted_id,
    STATE(6722), 1,
      sym__soft_identifier,
    STATE(7128), 1,
      sym_identifier,
    STATE(11824), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13732), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [540225] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6152), 1,
      sym__alpha_identifier,
    ACTIONS(6162), 1,
      sym__backquoted_id,
    ACTIONS(13736), 1,
      sym_operator_identifier,
    STATE(4922), 1,
      sym__soft_identifier,
    STATE(5214), 1,
      sym_identifier,
    STATE(5232), 1,
      sym__type_identifier,
    STATE(11825), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6158), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [540262] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13738), 1,
      sym__alpha_identifier,
    ACTIONS(13740), 1,
      anon_sym_LBRACE,
    ACTIONS(13742), 1,
      anon_sym_LBRACK,
    ACTIONS(13746), 1,
      sym__backquoted_id,
    STATE(9134), 1,
      sym__soft_identifier,
    STATE(9181), 1,
      sym_identifier,
    STATE(11826), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13744), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [540299] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13748), 1,
      sym__alpha_identifier,
    ACTIONS(13750), 1,
      anon_sym_LBRACE,
    ACTIONS(13752), 1,
      anon_sym_LBRACK,
    ACTIONS(13756), 1,
      sym__backquoted_id,
    STATE(5866), 1,
      sym_identifier,
    STATE(5898), 1,
      sym__soft_identifier,
    STATE(11827), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [540336] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13758), 1,
      sym__alpha_identifier,
    ACTIONS(13760), 1,
      anon_sym_LBRACE,
    ACTIONS(13762), 1,
      anon_sym_LBRACK,
    ACTIONS(13766), 1,
      sym__backquoted_id,
    STATE(6034), 1,
      sym__soft_identifier,
    STATE(6198), 1,
      sym_identifier,
    STATE(11828), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13764), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [540373] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13768), 1,
      anon_sym_LPAREN,
    STATE(12658), 1,
      sym_arguments,
    STATE(11829), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(7788), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [540402] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(13771), 1,
      sym_operator_identifier,
    STATE(4186), 1,
      sym__type_identifier,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(10308), 1,
      sym_identifier,
    STATE(11830), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [540439] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11831), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12830), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [540464] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6284), 1,
      sym__alpha_identifier,
    ACTIONS(6294), 1,
      sym__backquoted_id,
    ACTIONS(13773), 1,
      sym_operator_identifier,
    STATE(4765), 1,
      sym__soft_identifier,
    STATE(5003), 1,
      sym_identifier,
    STATE(5008), 1,
      sym__type_identifier,
    STATE(11832), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6290), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [540501] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4438), 1,
      sym__alpha_identifier,
    ACTIONS(4456), 1,
      sym__backquoted_id,
    ACTIONS(13775), 1,
      sym_operator_identifier,
    STATE(5411), 1,
      sym__soft_identifier,
    STATE(6503), 1,
      sym__type_identifier,
    STATE(6553), 1,
      sym_identifier,
    STATE(11833), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4450), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [540538] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7338), 1,
      anon_sym_DOT,
    STATE(11834), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
  [540565] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6386), 1,
      sym__alpha_identifier,
    ACTIONS(6400), 1,
      sym__backquoted_id,
    ACTIONS(13777), 1,
      sym_operator_identifier,
    STATE(4449), 1,
      sym__soft_identifier,
    STATE(4594), 1,
      sym__type_identifier,
    STATE(4610), 1,
      sym_identifier,
    STATE(11835), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6396), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [540602] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8189), 1,
      sym__alpha_identifier,
    ACTIONS(8197), 1,
      sym__backquoted_id,
    ACTIONS(13779), 1,
      sym_operator_identifier,
    STATE(6079), 1,
      sym__type_identifier,
    STATE(6119), 1,
      sym_identifier,
    STATE(6131), 1,
      sym__soft_identifier,
    STATE(11836), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8193), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [540639] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4384), 1,
      sym__alpha_identifier,
    ACTIONS(4396), 1,
      sym__backquoted_id,
    ACTIONS(13781), 1,
      sym_operator_identifier,
    STATE(6027), 1,
      sym__soft_identifier,
    STATE(6921), 1,
      sym_identifier,
    STATE(7012), 1,
      sym__type_identifier,
    STATE(11837), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4392), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [540676] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13783), 1,
      sym__alpha_identifier,
    ACTIONS(13785), 1,
      anon_sym_LBRACE,
    ACTIONS(13787), 1,
      anon_sym_LBRACK,
    ACTIONS(13791), 1,
      sym__backquoted_id,
    STATE(9673), 1,
      sym__soft_identifier,
    STATE(9881), 1,
      sym_identifier,
    STATE(11838), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13789), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [540713] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11634), 1,
      sym__alpha_identifier,
    ACTIONS(11642), 1,
      sym__backquoted_id,
    ACTIONS(13793), 1,
      sym_operator_identifier,
    STATE(10656), 1,
      sym__soft_identifier,
    STATE(11307), 1,
      sym_identifier,
    STATE(11315), 1,
      sym__type_identifier,
    STATE(11839), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11638), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [540750] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11840), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7764), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [540775] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12931), 1,
      sym__alpha_identifier,
    ACTIONS(12937), 1,
      sym__backquoted_id,
    ACTIONS(12939), 1,
      sym_operator_identifier,
    ACTIONS(13795), 1,
      anon_sym_match,
    STATE(5635), 1,
      sym_identifier,
    STATE(8951), 1,
      sym__soft_identifier,
    STATE(11841), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12935), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [540812] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13797), 1,
      anon_sym_catch,
    ACTIONS(13799), 1,
      anon_sym_finally,
    STATE(11298), 1,
      sym_finally_clause,
    STATE(12318), 1,
      sym_catch_clause,
    STATE(11842), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13589), 8,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
  [540845] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7837), 1,
      sym__alpha_identifier,
    ACTIONS(7849), 1,
      sym__backquoted_id,
    ACTIONS(13801), 1,
      sym_operator_identifier,
    STATE(4772), 1,
      sym__soft_identifier,
    STATE(4959), 1,
      sym__type_identifier,
    STATE(4965), 1,
      sym_identifier,
    STATE(11843), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7845), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [540882] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13803), 1,
      sym__alpha_identifier,
    ACTIONS(13805), 1,
      anon_sym_LBRACE,
    ACTIONS(13807), 1,
      anon_sym_LBRACK,
    ACTIONS(13811), 1,
      sym__backquoted_id,
    STATE(8372), 1,
      sym_identifier,
    STATE(8564), 1,
      sym__soft_identifier,
    STATE(11844), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13809), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [540919] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13783), 1,
      sym__alpha_identifier,
    ACTIONS(13791), 1,
      sym__backquoted_id,
    ACTIONS(13813), 1,
      anon_sym_LBRACE,
    ACTIONS(13815), 1,
      anon_sym_LBRACK,
    STATE(9673), 1,
      sym__soft_identifier,
    STATE(9821), 1,
      sym_identifier,
    STATE(11845), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13789), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [540956] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6706), 1,
      anon_sym_LBRACE,
    ACTIONS(12798), 1,
      anon_sym_COLON,
    ACTIONS(12840), 1,
      anon_sym_derives,
    ACTIONS(13817), 1,
      sym__automatic_semicolon,
    STATE(12851), 1,
      sym_derives_clause,
    STATE(14208), 1,
      sym__definition_body,
    STATE(14283), 1,
      sym_template_body,
    STATE(8874), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11846), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13251), 3,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [540997] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4520), 1,
      sym__alpha_identifier,
    ACTIONS(4538), 1,
      sym__backquoted_id,
    ACTIONS(13820), 1,
      sym_operator_identifier,
    STATE(4974), 1,
      sym__soft_identifier,
    STATE(5908), 1,
      sym_identifier,
    STATE(5920), 1,
      sym__type_identifier,
    STATE(11847), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4532), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [541034] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11848), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12828), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [541059] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11166), 1,
      sym__alpha_identifier,
    ACTIONS(11174), 1,
      sym__backquoted_id,
    ACTIONS(13822), 1,
      sym_operator_identifier,
    STATE(13271), 1,
      sym__soft_identifier,
    STATE(13506), 1,
      sym_identifier,
    STATE(13597), 1,
      sym__type_identifier,
    STATE(11849), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11170), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [541096] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12931), 1,
      sym__alpha_identifier,
    ACTIONS(12937), 1,
      sym__backquoted_id,
    ACTIONS(13824), 1,
      anon_sym_match,
    ACTIONS(13826), 1,
      sym_operator_identifier,
    STATE(5963), 1,
      sym_identifier,
    STATE(8951), 1,
      sym__soft_identifier,
    STATE(11850), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12935), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [541133] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4334), 1,
      sym__alpha_identifier,
    ACTIONS(4352), 1,
      sym__backquoted_id,
    ACTIONS(13828), 1,
      sym_operator_identifier,
    STATE(4494), 1,
      sym__soft_identifier,
    STATE(4510), 1,
      sym_identifier,
    STATE(4518), 1,
      sym__type_identifier,
    STATE(11851), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4346), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [541170] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11586), 1,
      sym__alpha_identifier,
    ACTIONS(11592), 1,
      sym__backquoted_id,
    ACTIONS(13830), 1,
      sym_operator_identifier,
    STATE(9844), 1,
      sym__soft_identifier,
    STATE(11243), 1,
      sym_identifier,
    STATE(13737), 1,
      sym__function_constructor,
    STATE(11852), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [541207] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13832), 1,
      anon_sym_LBRACK,
    STATE(7172), 1,
      sym_type_arguments,
    STATE(11853), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12947), 10,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [541236] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12931), 1,
      sym__alpha_identifier,
    ACTIONS(12937), 1,
      sym__backquoted_id,
    ACTIONS(13834), 1,
      anon_sym_match,
    ACTIONS(13836), 1,
      sym_operator_identifier,
    STATE(5620), 1,
      sym_identifier,
    STATE(8951), 1,
      sym__soft_identifier,
    STATE(11854), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12935), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [541273] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11855), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8027), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [541298] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12931), 1,
      sym__alpha_identifier,
    ACTIONS(12937), 1,
      sym__backquoted_id,
    ACTIONS(13838), 1,
      anon_sym_match,
    ACTIONS(13840), 1,
      sym_operator_identifier,
    STATE(5664), 1,
      sym_identifier,
    STATE(8951), 1,
      sym__soft_identifier,
    STATE(11856), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12935), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [541335] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7979), 1,
      sym__alpha_identifier,
    ACTIONS(7987), 1,
      sym__backquoted_id,
    ACTIONS(13842), 1,
      sym_operator_identifier,
    STATE(6219), 1,
      sym__type_identifier,
    STATE(6259), 1,
      sym_identifier,
    STATE(6463), 1,
      sym__soft_identifier,
    STATE(11857), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7983), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [541372] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6604), 1,
      sym__alpha_identifier,
    ACTIONS(6618), 1,
      sym__backquoted_id,
    ACTIONS(13844), 1,
      sym_operator_identifier,
    STATE(6627), 1,
      sym__soft_identifier,
    STATE(6903), 1,
      sym_identifier,
    STATE(7268), 1,
      sym__type_identifier,
    STATE(11858), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6614), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [541409] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4502), 1,
      sym__alpha_identifier,
    ACTIONS(4514), 1,
      sym__backquoted_id,
    ACTIONS(13846), 1,
      sym_operator_identifier,
    STATE(4419), 1,
      sym__soft_identifier,
    STATE(4514), 1,
      sym__type_identifier,
    STATE(4613), 1,
      sym_identifier,
    STATE(11859), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4510), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [541446] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11770), 1,
      sym__alpha_identifier,
    ACTIONS(11778), 1,
      sym__backquoted_id,
    ACTIONS(13722), 1,
      sym_operator_identifier,
    STATE(10895), 1,
      sym__soft_identifier,
    STATE(11281), 1,
      sym_identifier,
    STATE(14349), 1,
      sym__object_definition,
    STATE(11860), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11774), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [541483] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11861), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12877), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [541508] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11556), 1,
      sym__alpha_identifier,
    ACTIONS(11564), 1,
      sym__backquoted_id,
    ACTIONS(13848), 1,
      sym_operator_identifier,
    STATE(10949), 1,
      sym__soft_identifier,
    STATE(11112), 1,
      sym__type_identifier,
    STATE(11128), 1,
      sym_identifier,
    STATE(11862), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11560), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [541545] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11863), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12811), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [541570] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11864), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 12,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [541595] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12931), 1,
      sym__alpha_identifier,
    ACTIONS(12937), 1,
      sym__backquoted_id,
    ACTIONS(13850), 1,
      anon_sym_match,
    ACTIONS(13852), 1,
      sym_operator_identifier,
    STATE(5955), 1,
      sym_identifier,
    STATE(8951), 1,
      sym__soft_identifier,
    STATE(11865), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12935), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [541632] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12823), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(11866), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12821), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [541659] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7114), 1,
      sym__alpha_identifier,
    ACTIONS(7130), 1,
      sym__backquoted_id,
    ACTIONS(13854), 1,
      anon_sym_LBRACE,
    ACTIONS(13856), 1,
      anon_sym_LBRACK,
    STATE(10161), 1,
      sym__soft_identifier,
    STATE(11365), 1,
      sym_identifier,
    STATE(11867), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7124), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [541696] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13609), 1,
      sym__alpha_identifier,
    ACTIONS(13617), 1,
      sym__backquoted_id,
    ACTIONS(13858), 1,
      anon_sym_LBRACE,
    ACTIONS(13860), 1,
      anon_sym_LBRACK,
    STATE(9337), 1,
      sym__soft_identifier,
    STATE(9371), 1,
      sym_identifier,
    STATE(11868), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13615), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [541733] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7676), 1,
      sym__alpha_identifier,
    ACTIONS(7688), 1,
      sym__backquoted_id,
    ACTIONS(13862), 1,
      sym_operator_identifier,
    STATE(12651), 1,
      sym__soft_identifier,
    STATE(13056), 1,
      sym_identifier,
    STATE(13224), 1,
      sym__type_identifier,
    STATE(11869), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7684), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [541770] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11870), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8835), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [541795] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11871), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8095), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [541820] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6342), 1,
      sym__alpha_identifier,
    ACTIONS(6356), 1,
      sym__backquoted_id,
    ACTIONS(13864), 1,
      sym_operator_identifier,
    STATE(8992), 1,
      sym__soft_identifier,
    STATE(9607), 1,
      sym_identifier,
    STATE(9610), 1,
      sym__type_identifier,
    STATE(11872), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6352), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [541857] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12867), 1,
      anon_sym_LPAREN,
    ACTIONS(13868), 1,
      sym__automatic_semicolon,
    STATE(11774), 1,
      aux_sym__function_constructor_repeat1,
    STATE(13068), 1,
      sym__using_parameters_clause,
    STATE(13070), 1,
      sym_parameters,
    STATE(11873), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13866), 7,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [541892] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12867), 1,
      anon_sym_LPAREN,
    ACTIONS(13872), 1,
      sym__automatic_semicolon,
    STATE(11794), 1,
      aux_sym__function_constructor_repeat1,
    STATE(13068), 1,
      sym__using_parameters_clause,
    STATE(13070), 1,
      sym_parameters,
    STATE(11874), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13870), 7,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [541927] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4554), 1,
      sym__alpha_identifier,
    ACTIONS(4572), 1,
      sym__backquoted_id,
    ACTIONS(13874), 1,
      sym_operator_identifier,
    STATE(6066), 1,
      sym__soft_identifier,
    STATE(7037), 1,
      sym_identifier,
    STATE(7091), 1,
      sym__type_identifier,
    STATE(11875), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4566), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [541964] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12931), 1,
      sym__alpha_identifier,
    ACTIONS(12937), 1,
      sym__backquoted_id,
    ACTIONS(13595), 1,
      anon_sym_match,
    ACTIONS(13876), 1,
      sym_operator_identifier,
    STATE(5605), 1,
      sym_identifier,
    STATE(8951), 1,
      sym__soft_identifier,
    STATE(11876), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12935), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [542001] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6080), 1,
      sym__alpha_identifier,
    ACTIONS(6094), 1,
      sym__backquoted_id,
    ACTIONS(13878), 1,
      sym_operator_identifier,
    STATE(7449), 1,
      sym__soft_identifier,
    STATE(8492), 1,
      sym_identifier,
    STATE(8512), 1,
      sym__type_identifier,
    STATE(11877), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6090), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [542038] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13880), 1,
      sym__alpha_identifier,
    ACTIONS(13882), 1,
      anon_sym_LBRACE,
    ACTIONS(13884), 1,
      anon_sym_LBRACK,
    ACTIONS(13888), 1,
      sym__backquoted_id,
    STATE(8628), 1,
      sym_identifier,
    STATE(8664), 1,
      sym__soft_identifier,
    STATE(11878), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13886), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [542075] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13890), 1,
      anon_sym_catch,
    ACTIONS(13892), 1,
      anon_sym_finally,
    STATE(12087), 1,
      sym_finally_clause,
    STATE(12929), 1,
      sym_catch_clause,
    STATE(11879), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13589), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [542108] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7877), 1,
      sym__alpha_identifier,
    ACTIONS(7885), 1,
      sym__backquoted_id,
    ACTIONS(13894), 1,
      sym_operator_identifier,
    STATE(6951), 1,
      sym_identifier,
    STATE(6994), 1,
      sym__type_identifier,
    STATE(7248), 1,
      sym__soft_identifier,
    STATE(11880), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7881), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [542145] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12931), 1,
      sym__alpha_identifier,
    ACTIONS(12937), 1,
      sym__backquoted_id,
    ACTIONS(13896), 1,
      anon_sym_match,
    ACTIONS(13898), 1,
      sym_operator_identifier,
    STATE(5942), 1,
      sym_identifier,
    STATE(8951), 1,
      sym__soft_identifier,
    STATE(11881), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12935), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [542182] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11634), 1,
      sym__alpha_identifier,
    ACTIONS(11642), 1,
      sym__backquoted_id,
    ACTIONS(13575), 1,
      sym_operator_identifier,
    STATE(10656), 1,
      sym__soft_identifier,
    STATE(10801), 1,
      sym_identifier,
    STATE(13924), 1,
      sym__object_definition,
    STATE(11882), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11638), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [542219] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11883), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12826), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [542244] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11734), 1,
      sym__alpha_identifier,
    ACTIONS(11742), 1,
      sym__backquoted_id,
    ACTIONS(13583), 1,
      sym_operator_identifier,
    STATE(10652), 1,
      sym__soft_identifier,
    STATE(11589), 1,
      sym_identifier,
    STATE(13617), 1,
      sym__function_constructor,
    STATE(11884), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11738), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [542281] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12931), 1,
      sym__alpha_identifier,
    ACTIONS(12937), 1,
      sym__backquoted_id,
    ACTIONS(13900), 1,
      anon_sym_match,
    ACTIONS(13902), 1,
      sym_operator_identifier,
    STATE(5957), 1,
      sym_identifier,
    STATE(8951), 1,
      sym__soft_identifier,
    STATE(11885), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12935), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [542318] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11886), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11285), 12,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [542343] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9427), 1,
      anon_sym_LPAREN,
    ACTIONS(13904), 1,
      anon_sym_LBRACK,
    ACTIONS(13906), 1,
      anon_sym_POUND,
    STATE(12653), 1,
      aux_sym_annotation_repeat1,
    STATE(13144), 1,
      sym_type_arguments,
    STATE(13374), 1,
      sym_arguments,
    STATE(11887), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7530), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [542380] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12931), 1,
      sym__alpha_identifier,
    ACTIONS(12937), 1,
      sym__backquoted_id,
    ACTIONS(13595), 1,
      anon_sym_match,
    ACTIONS(13908), 1,
      sym_operator_identifier,
    STATE(5596), 1,
      sym_identifier,
    STATE(8951), 1,
      sym__soft_identifier,
    STATE(11888), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12935), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [542417] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11889), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8027), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [542442] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12035), 1,
      anon_sym_LPAREN,
    ACTIONS(12567), 1,
      sym__automatic_semicolon,
    STATE(12108), 1,
      aux_sym__class_constructor_repeat1,
    STATE(12760), 1,
      sym_class_parameters,
    STATE(11890), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12565), 8,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [542475] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11891), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12420), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [542500] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12035), 1,
      anon_sym_LPAREN,
    ACTIONS(13912), 1,
      sym__automatic_semicolon,
    STATE(12045), 1,
      aux_sym__class_constructor_repeat1,
    STATE(12760), 1,
      sym_class_parameters,
    STATE(11892), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13910), 8,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [542533] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4472), 1,
      sym__alpha_identifier,
    ACTIONS(4490), 1,
      sym__backquoted_id,
    ACTIONS(13915), 1,
      sym_operator_identifier,
    STATE(4750), 1,
      sym__soft_identifier,
    STATE(5110), 1,
      sym_identifier,
    STATE(5116), 1,
      sym__type_identifier,
    STATE(11893), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4484), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [542570] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12035), 1,
      anon_sym_LPAREN,
    ACTIONS(13919), 1,
      sym__automatic_semicolon,
    STATE(12109), 1,
      aux_sym__class_constructor_repeat1,
    STATE(12760), 1,
      sym_class_parameters,
    STATE(11894), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13917), 8,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [542603] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12931), 1,
      sym__alpha_identifier,
    ACTIONS(12937), 1,
      sym__backquoted_id,
    ACTIONS(12939), 1,
      sym_operator_identifier,
    ACTIONS(13922), 1,
      anon_sym_match,
    STATE(5635), 1,
      sym_identifier,
    STATE(8951), 1,
      sym__soft_identifier,
    STATE(11895), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12935), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [542640] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11734), 1,
      sym__alpha_identifier,
    ACTIONS(11742), 1,
      sym__backquoted_id,
    ACTIONS(13367), 1,
      sym_operator_identifier,
    STATE(10652), 1,
      sym__soft_identifier,
    STATE(11513), 1,
      sym_identifier,
    STATE(12205), 1,
      sym__type_identifier,
    STATE(11896), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11738), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [542677] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11897), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12899), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [542702] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11898), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12901), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [542727] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13924), 1,
      anon_sym_LPAREN,
    STATE(12829), 1,
      sym_arguments,
    STATE(11899), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(7788), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [542756] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11634), 1,
      sym__alpha_identifier,
    ACTIONS(11642), 1,
      sym__backquoted_id,
    ACTIONS(13575), 1,
      sym_operator_identifier,
    STATE(10656), 1,
      sym__soft_identifier,
    STATE(10801), 1,
      sym_identifier,
    STATE(13883), 1,
      sym__object_definition,
    STATE(11900), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11638), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [542793] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11479), 1,
      sym__alpha_identifier,
    ACTIONS(11487), 1,
      sym__backquoted_id,
    ACTIONS(13927), 1,
      sym_operator_identifier,
    STATE(10355), 1,
      sym__soft_identifier,
    STATE(10639), 1,
      sym__type_identifier,
    STATE(10669), 1,
      sym_identifier,
    STATE(11901), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11483), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [542830] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12035), 1,
      anon_sym_LPAREN,
    ACTIONS(13931), 1,
      sym__automatic_semicolon,
    STATE(12045), 1,
      aux_sym__class_constructor_repeat1,
    STATE(12760), 1,
      sym_class_parameters,
    STATE(11902), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13929), 8,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [542863] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13934), 1,
      sym__alpha_identifier,
    ACTIONS(13936), 1,
      anon_sym_LBRACE,
    ACTIONS(13938), 1,
      anon_sym_LBRACK,
    ACTIONS(13942), 1,
      sym__backquoted_id,
    STATE(9064), 1,
      sym_identifier,
    STATE(9092), 1,
      sym__soft_identifier,
    STATE(11903), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13940), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [542900] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13944), 1,
      sym__alpha_identifier,
    ACTIONS(13946), 1,
      anon_sym_LBRACE,
    ACTIONS(13948), 1,
      anon_sym_LBRACK,
    ACTIONS(13952), 1,
      sym__backquoted_id,
    STATE(6833), 1,
      sym__soft_identifier,
    STATE(7017), 1,
      sym_identifier,
    STATE(11904), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13950), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [542937] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8081), 1,
      sym__alpha_identifier,
    ACTIONS(8089), 1,
      sym__backquoted_id,
    ACTIONS(13954), 1,
      sym_operator_identifier,
    STATE(7814), 1,
      sym__soft_identifier,
    STATE(7827), 1,
      sym__type_identifier,
    STATE(8008), 1,
      sym_identifier,
    STATE(11905), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8085), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [542974] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4912), 1,
      sym__backquoted_id,
    ACTIONS(13956), 1,
      sym_operator_identifier,
    STATE(5169), 1,
      sym__soft_identifier,
    STATE(5717), 1,
      sym__type_identifier,
    STATE(5976), 1,
      sym_identifier,
    STATE(11906), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [543011] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13958), 1,
      anon_sym_end,
    STATE(7706), 1,
      sym__end_marker,
    STATE(11907), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9292), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [543040] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12931), 1,
      sym__alpha_identifier,
    ACTIONS(12937), 1,
      sym__backquoted_id,
    ACTIONS(13850), 1,
      anon_sym_match,
    ACTIONS(13960), 1,
      sym_operator_identifier,
    STATE(5936), 1,
      sym_identifier,
    STATE(8951), 1,
      sym__soft_identifier,
    STATE(11908), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12935), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [543077] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4660), 1,
      sym__alpha_identifier,
    ACTIONS(4678), 1,
      sym__backquoted_id,
    ACTIONS(13962), 1,
      sym_operator_identifier,
    STATE(7094), 1,
      sym__soft_identifier,
    STATE(7959), 1,
      sym_identifier,
    STATE(7983), 1,
      sym__type_identifier,
    STATE(11909), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4672), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [543114] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11910), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12910), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [543139] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11462), 1,
      sym__alpha_identifier,
    ACTIONS(11470), 1,
      sym__backquoted_id,
    ACTIONS(13964), 1,
      sym_operator_identifier,
    STATE(8014), 1,
      sym__soft_identifier,
    STATE(8511), 1,
      sym_identifier,
    STATE(8579), 1,
      sym__type_identifier,
    STATE(11911), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11466), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [543176] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13890), 1,
      anon_sym_catch,
    ACTIONS(13966), 1,
      anon_sym_finally,
    STATE(11482), 1,
      sym_finally_clause,
    STATE(12632), 1,
      sym_catch_clause,
    STATE(11912), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13589), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [543209] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8015), 1,
      sym__alpha_identifier,
    ACTIONS(8023), 1,
      sym__backquoted_id,
    ACTIONS(13968), 1,
      sym_operator_identifier,
    STATE(6019), 1,
      sym__soft_identifier,
    STATE(6103), 1,
      sym_identifier,
    STATE(6151), 1,
      sym__type_identifier,
    STATE(11913), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8019), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [543246] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8035), 1,
      sym__alpha_identifier,
    ACTIONS(8047), 1,
      sym__backquoted_id,
    ACTIONS(13970), 1,
      sym_operator_identifier,
    STATE(5146), 1,
      sym__soft_identifier,
    STATE(5284), 1,
      sym_identifier,
    STATE(5310), 1,
      sym__type_identifier,
    STATE(11914), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8043), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [543283] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11915), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7764), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [543308] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13972), 1,
      anon_sym_LBRACK,
    STATE(12633), 1,
      sym_access_qualifier,
    STATE(11916), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9519), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [543337] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6504), 1,
      sym__alpha_identifier,
    ACTIONS(6514), 1,
      sym__backquoted_id,
    ACTIONS(13974), 1,
      sym_operator_identifier,
    STATE(6108), 1,
      sym__soft_identifier,
    STATE(6667), 1,
      sym__type_identifier,
    STATE(6695), 1,
      sym_identifier,
    STATE(11917), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6510), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [543374] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7338), 1,
      anon_sym_DOT,
    STATE(11918), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [543401] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12931), 1,
      sym__alpha_identifier,
    ACTIONS(12937), 1,
      sym__backquoted_id,
    ACTIONS(13900), 1,
      anon_sym_match,
    ACTIONS(13976), 1,
      sym_operator_identifier,
    STATE(5931), 1,
      sym_identifier,
    STATE(8951), 1,
      sym__soft_identifier,
    STATE(11919), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12935), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [543438] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13832), 1,
      anon_sym_LBRACK,
    STATE(7172), 1,
      sym_type_arguments,
    STATE(11920), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12951), 10,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [543467] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13978), 1,
      sym__alpha_identifier,
    ACTIONS(13980), 1,
      anon_sym_LBRACE,
    ACTIONS(13982), 1,
      anon_sym_LBRACK,
    ACTIONS(13986), 1,
      sym__backquoted_id,
    STATE(8724), 1,
      sym__soft_identifier,
    STATE(9024), 1,
      sym_identifier,
    STATE(11921), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13984), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [543504] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13629), 1,
      sym__alpha_identifier,
    ACTIONS(13637), 1,
      sym__backquoted_id,
    ACTIONS(13988), 1,
      anon_sym_LBRACE,
    ACTIONS(13990), 1,
      anon_sym_LBRACK,
    STATE(6745), 1,
      sym__soft_identifier,
    STATE(6890), 1,
      sym_identifier,
    STATE(11922), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13635), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [543541] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11923), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12754), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [543566] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12931), 1,
      sym__alpha_identifier,
    ACTIONS(12937), 1,
      sym__backquoted_id,
    ACTIONS(13595), 1,
      anon_sym_match,
    ACTIONS(13992), 1,
      sym_operator_identifier,
    STATE(5589), 1,
      sym_identifier,
    STATE(8951), 1,
      sym__soft_identifier,
    STATE(11924), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12935), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [543603] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8069), 1,
      sym__alpha_identifier,
    ACTIONS(8077), 1,
      sym__backquoted_id,
    ACTIONS(13994), 1,
      sym_operator_identifier,
    STATE(6282), 1,
      sym__type_identifier,
    STATE(6576), 1,
      sym_identifier,
    STATE(6650), 1,
      sym__soft_identifier,
    STATE(11925), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8073), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [543640] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11926), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8227), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [543665] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6232), 1,
      sym__alpha_identifier,
    ACTIONS(6246), 1,
      sym__backquoted_id,
    ACTIONS(13996), 1,
      sym_operator_identifier,
    STATE(5254), 1,
      sym__soft_identifier,
    STATE(5873), 1,
      sym__type_identifier,
    STATE(5893), 1,
      sym_identifier,
    STATE(11927), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6242), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [543702] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7144), 1,
      sym__alpha_identifier,
    ACTIONS(7156), 1,
      sym__backquoted_id,
    ACTIONS(13998), 1,
      anon_sym_LBRACE,
    ACTIONS(14000), 1,
      anon_sym_LBRACK,
    STATE(9849), 1,
      sym__soft_identifier,
    STATE(10984), 1,
      sym_identifier,
    STATE(11928), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [543739] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13654), 1,
      sym__alpha_identifier,
    ACTIONS(13662), 1,
      sym__backquoted_id,
    ACTIONS(14002), 1,
      anon_sym_LBRACE,
    ACTIONS(14004), 1,
      anon_sym_LBRACK,
    STATE(8303), 1,
      sym__soft_identifier,
    STATE(8348), 1,
      sym_identifier,
    STATE(11929), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13660), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [543776] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9498), 1,
      anon_sym_COLON,
    STATE(11930), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8733), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [543803] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7240), 1,
      anon_sym_LBRACK,
    ACTIONS(14008), 1,
      anon_sym_extends,
    ACTIONS(14010), 1,
      anon_sym_LPAREN,
    STATE(13361), 1,
      aux_sym__full_enum_def_repeat1,
    STATE(13909), 1,
      sym_class_parameters,
    STATE(14220), 1,
      sym_type_parameters,
    STATE(14223), 1,
      sym_extends_clause,
    STATE(15080), 1,
      sym__full_enum_def,
    STATE(11931), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14006), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [543844] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11932), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7372), 12,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [543869] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11933), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9144), 12,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [543894] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12931), 1,
      sym__alpha_identifier,
    ACTIONS(12937), 1,
      sym__backquoted_id,
    ACTIONS(13850), 1,
      anon_sym_match,
    ACTIONS(14012), 1,
      sym_operator_identifier,
    STATE(5924), 1,
      sym_identifier,
    STATE(8951), 1,
      sym__soft_identifier,
    STATE(11934), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12935), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [543931] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11935), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9134), 12,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [543956] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14014), 1,
      sym__alpha_identifier,
    ACTIONS(14016), 1,
      anon_sym_LBRACE,
    ACTIONS(14018), 1,
      anon_sym_LBRACK,
    ACTIONS(14022), 1,
      sym__backquoted_id,
    STATE(7432), 1,
      sym__soft_identifier,
    STATE(7434), 1,
      sym_identifier,
    STATE(11936), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [543993] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8107), 1,
      sym__alpha_identifier,
    ACTIONS(8115), 1,
      sym__backquoted_id,
    ACTIONS(14024), 1,
      sym_operator_identifier,
    STATE(7458), 1,
      sym__soft_identifier,
    STATE(7726), 1,
      sym__type_identifier,
    STATE(7742), 1,
      sym_identifier,
    STATE(11937), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8111), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [544030] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8003), 1,
      sym__alpha_identifier,
    ACTIONS(8011), 1,
      sym__backquoted_id,
    ACTIONS(14026), 1,
      sym_operator_identifier,
    STATE(8178), 1,
      sym__type_identifier,
    STATE(8202), 1,
      sym_identifier,
    STATE(8497), 1,
      sym__soft_identifier,
    STATE(11938), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8007), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [544067] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11939), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9130), 12,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [544092] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11586), 1,
      sym__alpha_identifier,
    ACTIONS(11592), 1,
      sym__backquoted_id,
    ACTIONS(13830), 1,
      sym_operator_identifier,
    STATE(9844), 1,
      sym__soft_identifier,
    STATE(11243), 1,
      sym_identifier,
    STATE(13465), 1,
      sym__function_constructor,
    STATE(11940), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [544129] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11586), 1,
      sym__alpha_identifier,
    ACTIONS(11592), 1,
      sym__backquoted_id,
    ACTIONS(13830), 1,
      sym_operator_identifier,
    STATE(9844), 1,
      sym__soft_identifier,
    STATE(11243), 1,
      sym_identifier,
    STATE(13589), 1,
      sym__function_constructor,
    STATE(11941), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [544166] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12931), 1,
      sym__alpha_identifier,
    ACTIONS(12937), 1,
      sym__backquoted_id,
    ACTIONS(13795), 1,
      anon_sym_match,
    ACTIONS(14028), 1,
      sym_operator_identifier,
    STATE(5685), 1,
      sym_identifier,
    STATE(8951), 1,
      sym__soft_identifier,
    STATE(11942), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12935), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [544203] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11586), 1,
      sym__alpha_identifier,
    ACTIONS(11592), 1,
      sym__backquoted_id,
    ACTIONS(13830), 1,
      sym_operator_identifier,
    STATE(9844), 1,
      sym__soft_identifier,
    STATE(11243), 1,
      sym_identifier,
    STATE(13556), 1,
      sym__function_constructor,
    STATE(11943), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [544240] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11646), 1,
      sym__alpha_identifier,
    ACTIONS(11654), 1,
      sym__backquoted_id,
    ACTIONS(14030), 1,
      sym_operator_identifier,
    STATE(11647), 1,
      sym__soft_identifier,
    STATE(11951), 1,
      sym_identifier,
    STATE(11958), 1,
      sym__type_identifier,
    STATE(11944), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11650), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [544277] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7746), 1,
      sym__alpha_identifier,
    ACTIONS(7758), 1,
      sym__backquoted_id,
    ACTIONS(14032), 1,
      sym_operator_identifier,
    STATE(4719), 1,
      sym__type_identifier,
    STATE(4745), 1,
      sym_identifier,
    STATE(4858), 1,
      sym__soft_identifier,
    STATE(11945), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [544314] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12931), 1,
      sym__alpha_identifier,
    ACTIONS(12937), 1,
      sym__backquoted_id,
    ACTIONS(13702), 1,
      anon_sym_match,
    ACTIONS(14034), 1,
      sym_operator_identifier,
    STATE(5584), 1,
      sym_identifier,
    STATE(8951), 1,
      sym__soft_identifier,
    STATE(11946), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12935), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [544351] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11947), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 12,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [544376] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14036), 1,
      anon_sym_STAR,
    STATE(11948), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12420), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [544403] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11450), 1,
      sym__alpha_identifier,
    ACTIONS(11458), 1,
      sym__backquoted_id,
    ACTIONS(14038), 1,
      sym_operator_identifier,
    STATE(12122), 1,
      sym__soft_identifier,
    STATE(12494), 1,
      sym_identifier,
    STATE(12510), 1,
      sym__type_identifier,
    STATE(11949), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11454), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [544440] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14040), 1,
      sym__alpha_identifier,
    ACTIONS(14042), 1,
      anon_sym_LBRACE,
    ACTIONS(14044), 1,
      anon_sym_LBRACK,
    ACTIONS(14048), 1,
      sym__backquoted_id,
    STATE(9693), 1,
      sym_identifier,
    STATE(9878), 1,
      sym__soft_identifier,
    STATE(11950), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14046), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [544477] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11951), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 12,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [544502] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11952), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7720), 12,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [544527] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13944), 1,
      sym__alpha_identifier,
    ACTIONS(13952), 1,
      sym__backquoted_id,
    ACTIONS(14050), 1,
      anon_sym_LBRACE,
    ACTIONS(14052), 1,
      anon_sym_LBRACK,
    STATE(6831), 1,
      sym_identifier,
    STATE(6833), 1,
      sym__soft_identifier,
    STATE(11953), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13950), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [544564] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12931), 1,
      sym__alpha_identifier,
    ACTIONS(12937), 1,
      sym__backquoted_id,
    ACTIONS(13896), 1,
      anon_sym_match,
    ACTIONS(14054), 1,
      sym_operator_identifier,
    STATE(5921), 1,
      sym_identifier,
    STATE(8951), 1,
      sym__soft_identifier,
    STATE(11954), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12935), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [544601] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11586), 1,
      sym__alpha_identifier,
    ACTIONS(11592), 1,
      sym__backquoted_id,
    ACTIONS(13003), 1,
      sym_operator_identifier,
    STATE(9844), 1,
      sym__soft_identifier,
    STATE(10402), 1,
      sym_identifier,
    STATE(10722), 1,
      sym__type_identifier,
    STATE(11955), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [544638] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11956), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7714), 12,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [544663] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6264), 1,
      sym__alpha_identifier,
    ACTIONS(6278), 1,
      sym__backquoted_id,
    ACTIONS(14056), 1,
      sym_operator_identifier,
    STATE(6002), 1,
      sym__soft_identifier,
    STATE(6933), 1,
      sym__type_identifier,
    STATE(6971), 1,
      sym_identifier,
    STATE(11957), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6274), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [544700] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11958), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7710), 12,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [544725] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12931), 1,
      sym__alpha_identifier,
    ACTIONS(12937), 1,
      sym__backquoted_id,
    ACTIONS(14058), 1,
      anon_sym_match,
    ACTIONS(14060), 1,
      sym_operator_identifier,
    STATE(5561), 1,
      sym_identifier,
    STATE(8951), 1,
      sym__soft_identifier,
    STATE(11959), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12935), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [544762] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6582), 1,
      sym__alpha_identifier,
    ACTIONS(6596), 1,
      sym__backquoted_id,
    ACTIONS(14062), 1,
      sym_operator_identifier,
    STATE(6730), 1,
      sym__soft_identifier,
    STATE(7861), 1,
      sym_identifier,
    STATE(7890), 1,
      sym__type_identifier,
    STATE(11960), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6592), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [544799] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11961), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 12,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [544824] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13758), 1,
      sym__alpha_identifier,
    ACTIONS(13766), 1,
      sym__backquoted_id,
    ACTIONS(14064), 1,
      anon_sym_LBRACE,
    ACTIONS(14066), 1,
      anon_sym_LBRACK,
    STATE(6034), 1,
      sym__soft_identifier,
    STATE(6520), 1,
      sym_identifier,
    STATE(11962), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13764), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [544861] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11963), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7584), 12,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [544886] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8518), 1,
      anon_sym_LPAREN,
    STATE(11899), 1,
      aux_sym_annotation_repeat1,
    STATE(12829), 1,
      sym_arguments,
    STATE(11964), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7817), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [544917] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12931), 1,
      sym__alpha_identifier,
    ACTIONS(12937), 1,
      sym__backquoted_id,
    ACTIONS(13900), 1,
      anon_sym_match,
    ACTIONS(14068), 1,
      sym_operator_identifier,
    STATE(5905), 1,
      sym_identifier,
    STATE(8951), 1,
      sym__soft_identifier,
    STATE(11965), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12935), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [544954] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6540), 1,
      sym__alpha_identifier,
    ACTIONS(6554), 1,
      sym__backquoted_id,
    ACTIONS(14070), 1,
      sym_operator_identifier,
    STATE(5455), 1,
      sym__soft_identifier,
    STATE(6169), 1,
      sym_identifier,
    STATE(6245), 1,
      sym__type_identifier,
    STATE(11966), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6550), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [544991] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11596), 1,
      sym__alpha_identifier,
    ACTIONS(11604), 1,
      sym__backquoted_id,
    ACTIONS(14072), 1,
      sym_operator_identifier,
    STATE(12296), 1,
      sym__soft_identifier,
    STATE(12934), 1,
      sym__type_identifier,
    STATE(12935), 1,
      sym_identifier,
    STATE(11967), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11600), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [545028] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12931), 1,
      sym__alpha_identifier,
    ACTIONS(12937), 1,
      sym__backquoted_id,
    ACTIONS(14058), 1,
      anon_sym_match,
    ACTIONS(14074), 1,
      sym_operator_identifier,
    STATE(5578), 1,
      sym_identifier,
    STATE(8951), 1,
      sym__soft_identifier,
    STATE(11968), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12935), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [545065] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8143), 1,
      sym__alpha_identifier,
    ACTIONS(8151), 1,
      sym__backquoted_id,
    ACTIONS(14076), 1,
      sym_operator_identifier,
    STATE(7241), 1,
      sym__soft_identifier,
    STATE(7266), 1,
      sym__type_identifier,
    STATE(7332), 1,
      sym_identifier,
    STATE(11969), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8147), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [545102] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14078), 1,
      sym__alpha_identifier,
    ACTIONS(14080), 1,
      anon_sym_LBRACE,
    ACTIONS(14082), 1,
      anon_sym_LBRACK,
    ACTIONS(14086), 1,
      sym__backquoted_id,
    STATE(9378), 1,
      sym__soft_identifier,
    STATE(9509), 1,
      sym_identifier,
    STATE(11970), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14084), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [545139] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14088), 1,
      anon_sym_COMMA,
    ACTIONS(14090), 1,
      anon_sym_with,
    STATE(12704), 1,
      aux_sym__constructor_applications_repeat2,
    STATE(12712), 1,
      aux_sym__constructor_applications_repeat1,
    STATE(11971), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13074), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [545172] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7580), 1,
      sym__backquoted_id,
    ACTIONS(7696), 1,
      anon_sym_EQ_GT,
    ACTIONS(7698), 1,
      anon_sym_QMARK_EQ_GT,
    STATE(11972), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7574), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [545203] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12818), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(11973), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12816), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [545230] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6306), 1,
      sym__alpha_identifier,
    ACTIONS(6320), 1,
      sym__backquoted_id,
    ACTIONS(14092), 1,
      sym_operator_identifier,
    STATE(7350), 1,
      sym__soft_identifier,
    STATE(7950), 1,
      sym__type_identifier,
    STATE(7957), 1,
      sym_identifier,
    STATE(11974), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6316), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [545267] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14094), 1,
      sym__alpha_identifier,
    ACTIONS(14096), 1,
      anon_sym_LBRACE,
    ACTIONS(14098), 1,
      anon_sym_LBRACK,
    ACTIONS(14102), 1,
      sym__backquoted_id,
    STATE(7473), 1,
      sym__soft_identifier,
    STATE(7478), 1,
      sym_identifier,
    STATE(11975), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14100), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [545304] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13726), 1,
      sym__alpha_identifier,
    ACTIONS(13734), 1,
      sym__backquoted_id,
    ACTIONS(14104), 1,
      anon_sym_LBRACE,
    ACTIONS(14106), 1,
      anon_sym_LBRACK,
    STATE(6722), 1,
      sym__soft_identifier,
    STATE(7211), 1,
      sym_identifier,
    STATE(11976), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13732), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [545341] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11746), 1,
      sym__alpha_identifier,
    ACTIONS(11754), 1,
      sym__backquoted_id,
    ACTIONS(14108), 1,
      sym_operator_identifier,
    STATE(10700), 1,
      sym__soft_identifier,
    STATE(10851), 1,
      sym__type_identifier,
    STATE(10975), 1,
      sym_identifier,
    STATE(11977), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11750), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [545378] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6456), 1,
      sym__alpha_identifier,
    ACTIONS(6470), 1,
      sym__backquoted_id,
    ACTIONS(14110), 1,
      sym_operator_identifier,
    STATE(6519), 1,
      sym__soft_identifier,
    STATE(7088), 1,
      sym_identifier,
    STATE(7359), 1,
      sym__type_identifier,
    STATE(11978), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6466), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [545415] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12931), 1,
      sym__alpha_identifier,
    ACTIONS(12937), 1,
      sym__backquoted_id,
    ACTIONS(13795), 1,
      anon_sym_match,
    ACTIONS(14112), 1,
      sym_operator_identifier,
    STATE(5573), 1,
      sym_identifier,
    STATE(8951), 1,
      sym__soft_identifier,
    STATE(11979), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12935), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [545452] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12931), 1,
      sym__alpha_identifier,
    ACTIONS(12937), 1,
      sym__backquoted_id,
    ACTIONS(13795), 1,
      anon_sym_match,
    ACTIONS(14114), 1,
      sym_operator_identifier,
    STATE(5693), 1,
      sym_identifier,
    STATE(8951), 1,
      sym__soft_identifier,
    STATE(11980), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12935), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [545489] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6206), 1,
      sym__alpha_identifier,
    ACTIONS(6220), 1,
      sym__backquoted_id,
    ACTIONS(14116), 1,
      sym_operator_identifier,
    STATE(5909), 1,
      sym__soft_identifier,
    STATE(6214), 1,
      sym_identifier,
    STATE(6349), 1,
      sym__type_identifier,
    STATE(11981), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6216), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [545526] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12823), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(11982), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12821), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [545553] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4716), 1,
      sym__alpha_identifier,
    ACTIONS(4734), 1,
      sym__backquoted_id,
    ACTIONS(14118), 1,
      sym_operator_identifier,
    STATE(5457), 1,
      sym__soft_identifier,
    STATE(6006), 1,
      sym__type_identifier,
    STATE(6026), 1,
      sym_identifier,
    STATE(11983), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4728), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [545590] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12931), 1,
      sym__alpha_identifier,
    ACTIONS(12937), 1,
      sym__backquoted_id,
    ACTIONS(13900), 1,
      anon_sym_match,
    ACTIONS(14120), 1,
      sym_operator_identifier,
    STATE(5913), 1,
      sym_identifier,
    STATE(8951), 1,
      sym__soft_identifier,
    STATE(11984), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12935), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [545627] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11506), 1,
      sym__alpha_identifier,
    ACTIONS(11514), 1,
      sym__backquoted_id,
    ACTIONS(14122), 1,
      sym_operator_identifier,
    STATE(10599), 1,
      sym__soft_identifier,
    STATE(10809), 1,
      sym_identifier,
    STATE(10814), 1,
      sym__type_identifier,
    STATE(11985), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11510), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [545664] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11986), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8227), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [545689] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11987), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12826), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [545714] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11988), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12828), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [545739] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8679), 1,
      anon_sym_LPAREN,
    STATE(11992), 1,
      aux_sym_annotation_repeat1,
    STATE(12915), 1,
      sym_arguments,
    STATE(11989), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7817), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [545770] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12931), 1,
      sym__alpha_identifier,
    ACTIONS(12937), 1,
      sym__backquoted_id,
    ACTIONS(14124), 1,
      anon_sym_match,
    ACTIONS(14126), 1,
      sym_operator_identifier,
    STATE(5590), 1,
      sym_identifier,
    STATE(8951), 1,
      sym__soft_identifier,
    STATE(11990), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12935), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [545807] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8201), 1,
      sym__alpha_identifier,
    ACTIONS(8209), 1,
      sym__backquoted_id,
    ACTIONS(14128), 1,
      sym_operator_identifier,
    STATE(5475), 1,
      sym__soft_identifier,
    STATE(5937), 1,
      sym_identifier,
    STATE(5956), 1,
      sym__type_identifier,
    STATE(11991), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8205), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [545844] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14130), 1,
      anon_sym_LPAREN,
    STATE(12915), 1,
      sym_arguments,
    STATE(11992), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(7788), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [545873] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11634), 1,
      sym__alpha_identifier,
    ACTIONS(11642), 1,
      sym__backquoted_id,
    ACTIONS(13575), 1,
      sym_operator_identifier,
    STATE(10656), 1,
      sym__soft_identifier,
    STATE(10801), 1,
      sym_identifier,
    STATE(15048), 1,
      sym__object_definition,
    STATE(11993), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11638), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [545910] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6406), 1,
      sym__alpha_identifier,
    ACTIONS(6416), 1,
      sym__backquoted_id,
    ACTIONS(14133), 1,
      sym_operator_identifier,
    STATE(4586), 1,
      sym__soft_identifier,
    STATE(4818), 1,
      sym__type_identifier,
    STATE(4828), 1,
      sym_identifier,
    STATE(11994), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6412), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [545947] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13019), 1,
      anon_sym_LBRACK,
    ACTIONS(13023), 1,
      anon_sym_LPAREN,
    ACTIONS(13025), 1,
      anon_sym_POUND,
    STATE(13023), 1,
      sym_type_arguments,
    STATE(13037), 1,
      aux_sym_annotation_repeat1,
    STATE(13503), 1,
      sym_arguments,
    STATE(11995), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7530), 6,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
  [545984] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14135), 1,
      anon_sym_with,
    STATE(12501), 1,
      aux_sym_compound_type_repeat1,
    STATE(13808), 1,
      sym_arguments,
    STATE(13951), 1,
      sym__refinement,
    STATE(13952), 1,
      sym_template_body,
    STATE(11996), 2,
      sym_comment,
      sym_block_comment,
    STATE(13818), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7498), 5,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
  [546021] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7254), 1,
      sym__alpha_identifier,
    ACTIONS(7262), 1,
      sym__backquoted_id,
    ACTIONS(14137), 1,
      sym_operator_identifier,
    STATE(11065), 1,
      sym__soft_identifier,
    STATE(11418), 1,
      sym__type_identifier,
    STATE(11457), 1,
      sym_identifier,
    STATE(11997), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7258), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [546058] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4808), 1,
      sym__alpha_identifier,
    ACTIONS(4826), 1,
      sym__backquoted_id,
    ACTIONS(14139), 1,
      sym_operator_identifier,
    STATE(5480), 1,
      sym__soft_identifier,
    STATE(6135), 1,
      sym__type_identifier,
    STATE(6174), 1,
      sym_identifier,
    STATE(11998), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4820), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [546095] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11586), 1,
      sym__alpha_identifier,
    ACTIONS(11592), 1,
      sym__backquoted_id,
    ACTIONS(13830), 1,
      sym_operator_identifier,
    STATE(9844), 1,
      sym__soft_identifier,
    STATE(11243), 1,
      sym_identifier,
    STATE(13684), 1,
      sym__function_constructor,
    STATE(11999), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [546132] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12035), 1,
      anon_sym_LPAREN,
    ACTIONS(14143), 1,
      sym__automatic_semicolon,
    STATE(12045), 1,
      aux_sym__class_constructor_repeat1,
    STATE(12760), 1,
      sym_class_parameters,
    STATE(12000), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14141), 8,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [546165] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14146), 1,
      sym__alpha_identifier,
    ACTIONS(14148), 1,
      anon_sym_LBRACE,
    ACTIONS(14150), 1,
      anon_sym_LBRACK,
    ACTIONS(14154), 1,
      sym__backquoted_id,
    STATE(6086), 1,
      sym__soft_identifier,
    STATE(6530), 1,
      sym_identifier,
    STATE(12001), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14152), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [546202] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12931), 1,
      sym__alpha_identifier,
    ACTIONS(12937), 1,
      sym__backquoted_id,
    ACTIONS(14156), 1,
      anon_sym_match,
    ACTIONS(14158), 1,
      sym_operator_identifier,
    STATE(5614), 1,
      sym_identifier,
    STATE(8951), 1,
      sym__soft_identifier,
    STATE(12002), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12935), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [546239] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13832), 1,
      anon_sym_LBRACK,
    STATE(7172), 1,
      sym_type_arguments,
    STATE(12003), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12953), 10,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [546268] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12004), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12754), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [546293] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12005), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7372), 12,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [546318] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12931), 1,
      sym__alpha_identifier,
    ACTIONS(12937), 1,
      sym__backquoted_id,
    ACTIONS(14160), 1,
      anon_sym_match,
    ACTIONS(14162), 1,
      sym_operator_identifier,
    STATE(5906), 1,
      sym_identifier,
    STATE(8951), 1,
      sym__soft_identifier,
    STATE(12006), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12935), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [546355] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6420), 1,
      sym__alpha_identifier,
    ACTIONS(6434), 1,
      sym__backquoted_id,
    ACTIONS(14164), 1,
      sym_operator_identifier,
    STATE(5256), 1,
      sym__soft_identifier,
    STATE(5772), 1,
      sym__type_identifier,
    STATE(5787), 1,
      sym_identifier,
    STATE(12007), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6430), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [546392] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8127), 1,
      sym__alpha_identifier,
    ACTIONS(8139), 1,
      sym__backquoted_id,
    ACTIONS(14166), 1,
      sym_operator_identifier,
    STATE(9640), 1,
      sym__type_identifier,
    STATE(9712), 1,
      sym__soft_identifier,
    STATE(9832), 1,
      sym_identifier,
    STATE(12008), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8135), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [546429] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12009), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8095), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [546454] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12931), 1,
      sym__alpha_identifier,
    ACTIONS(12937), 1,
      sym__backquoted_id,
    ACTIONS(13850), 1,
      anon_sym_match,
    ACTIONS(14168), 1,
      sym_operator_identifier,
    STATE(5885), 1,
      sym_identifier,
    STATE(8951), 1,
      sym__soft_identifier,
    STATE(12010), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12935), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [546491] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12011), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12830), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [546516] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12012), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 12,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [546541] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12931), 1,
      sym__alpha_identifier,
    ACTIONS(12937), 1,
      sym__backquoted_id,
    ACTIONS(13595), 1,
      anon_sym_match,
    ACTIONS(14170), 1,
      sym_operator_identifier,
    STATE(5555), 1,
      sym_identifier,
    STATE(8951), 1,
      sym__soft_identifier,
    STATE(12013), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12935), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [546578] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11494), 1,
      sym__alpha_identifier,
    ACTIONS(11502), 1,
      sym__backquoted_id,
    ACTIONS(14172), 1,
      sym_operator_identifier,
    STATE(12116), 1,
      sym__soft_identifier,
    STATE(12443), 1,
      sym_identifier,
    STATE(12452), 1,
      sym__type_identifier,
    STATE(12014), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11498), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [546615] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(13173), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(4181), 1,
      sym_identifier,
    STATE(4186), 1,
      sym__type_identifier,
    STATE(12015), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [546652] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12016), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 12,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [546677] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12931), 1,
      sym__alpha_identifier,
    ACTIONS(12937), 1,
      sym__backquoted_id,
    ACTIONS(14174), 1,
      anon_sym_match,
    ACTIONS(14176), 1,
      sym_operator_identifier,
    STATE(5897), 1,
      sym_identifier,
    STATE(8951), 1,
      sym__soft_identifier,
    STATE(12017), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12935), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [546714] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12018), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12845), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [546739] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11608), 1,
      sym__alpha_identifier,
    ACTIONS(11616), 1,
      sym__backquoted_id,
    ACTIONS(14178), 1,
      sym_operator_identifier,
    STATE(11673), 1,
      sym__soft_identifier,
    STATE(12016), 1,
      sym_identifier,
    STATE(12024), 1,
      sym__type_identifier,
    STATE(12019), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11612), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [546776] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12020), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8095), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [546801] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12021), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7720), 12,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [546826] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12022), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11337), 12,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [546851] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12023), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7714), 12,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [546876] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12024), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7710), 12,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [546901] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12931), 1,
      sym__alpha_identifier,
    ACTIONS(12937), 1,
      sym__backquoted_id,
    ACTIONS(14156), 1,
      anon_sym_match,
    ACTIONS(14180), 1,
      sym_operator_identifier,
    STATE(5622), 1,
      sym_identifier,
    STATE(8951), 1,
      sym__soft_identifier,
    STATE(12025), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12935), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [546938] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7963), 1,
      sym__alpha_identifier,
    ACTIONS(7975), 1,
      sym__backquoted_id,
    ACTIONS(14182), 1,
      sym_operator_identifier,
    STATE(5529), 1,
      sym__type_identifier,
    STATE(5709), 1,
      sym__soft_identifier,
    STATE(5841), 1,
      sym_identifier,
    STATE(12026), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7971), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [546975] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12027), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 12,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [547000] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13832), 1,
      anon_sym_LBRACK,
    ACTIONS(14184), 1,
      anon_sym_match,
    STATE(7172), 1,
      sym_type_arguments,
    STATE(12028), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12754), 9,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [547031] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12029), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12847), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [547056] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11537), 1,
      sym__alpha_identifier,
    ACTIONS(11545), 1,
      sym__backquoted_id,
    ACTIONS(14186), 1,
      sym_operator_identifier,
    STATE(10364), 1,
      sym__soft_identifier,
    STATE(10695), 1,
      sym_identifier,
    STATE(10715), 1,
      sym__type_identifier,
    STATE(12030), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11541), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [547093] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8173), 1,
      sym__alpha_identifier,
    ACTIONS(8185), 1,
      sym__backquoted_id,
    ACTIONS(14188), 1,
      sym_operator_identifier,
    STATE(4503), 1,
      sym__type_identifier,
    STATE(4546), 1,
      sym__soft_identifier,
    STATE(4591), 1,
      sym_identifier,
    STATE(12031), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8181), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [547130] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12032), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7584), 12,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [547155] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12033), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8835), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [547180] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4624), 1,
      sym__alpha_identifier,
    ACTIONS(4642), 1,
      sym__backquoted_id,
    ACTIONS(14190), 1,
      sym_operator_identifier,
    STATE(5260), 1,
      sym__soft_identifier,
    STATE(5713), 1,
      sym__type_identifier,
    STATE(5728), 1,
      sym_identifier,
    STATE(12034), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4636), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [547217] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6486), 1,
      sym__alpha_identifier,
    ACTIONS(6500), 1,
      sym__backquoted_id,
    ACTIONS(14192), 1,
      sym_operator_identifier,
    STATE(5485), 1,
      sym__soft_identifier,
    STATE(6290), 1,
      sym__type_identifier,
    STATE(6332), 1,
      sym_identifier,
    STATE(12035), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6496), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [547254] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14194), 1,
      anon_sym_with,
    STATE(12036), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(8804), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [547281] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12931), 1,
      sym__alpha_identifier,
    ACTIONS(12937), 1,
      sym__backquoted_id,
    ACTIONS(13824), 1,
      anon_sym_match,
    ACTIONS(14197), 1,
      sym_operator_identifier,
    STATE(5849), 1,
      sym_identifier,
    STATE(8951), 1,
      sym__soft_identifier,
    STATE(12037), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12935), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [547318] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14199), 1,
      anon_sym_DOT,
    STATE(12038), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
  [547345] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11586), 1,
      sym__alpha_identifier,
    ACTIONS(11592), 1,
      sym__backquoted_id,
    ACTIONS(12967), 1,
      sym_operator_identifier,
    STATE(9844), 1,
      sym__soft_identifier,
    STATE(10621), 1,
      sym_identifier,
    STATE(11480), 1,
      sym__type_identifier,
    STATE(12039), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [547382] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12040), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12849), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [547407] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12853), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(12041), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12851), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [547434] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12042), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12856), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [547459] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12043), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7764), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [547484] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12931), 1,
      sym__alpha_identifier,
    ACTIONS(12937), 1,
      sym__backquoted_id,
    ACTIONS(13795), 1,
      anon_sym_match,
    ACTIONS(14201), 1,
      sym_operator_identifier,
    STATE(5716), 1,
      sym_identifier,
    STATE(8951), 1,
      sym__soft_identifier,
    STATE(12044), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12935), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [547521] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14205), 1,
      anon_sym_LPAREN,
    ACTIONS(14208), 1,
      sym__automatic_semicolon,
    STATE(12760), 1,
      sym_class_parameters,
    STATE(12045), 3,
      sym_comment,
      sym_block_comment,
      aux_sym__class_constructor_repeat1,
    ACTIONS(14203), 8,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [547552] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12046), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8733), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [547577] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14211), 1,
      sym__alpha_identifier,
    ACTIONS(14213), 1,
      anon_sym_LBRACE,
    ACTIONS(14215), 1,
      anon_sym_LBRACK,
    ACTIONS(14219), 1,
      sym__backquoted_id,
    STATE(8880), 1,
      sym_identifier,
    STATE(9029), 1,
      sym__soft_identifier,
    STATE(12047), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14217), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [547614] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13738), 1,
      sym__alpha_identifier,
    ACTIONS(13746), 1,
      sym__backquoted_id,
    ACTIONS(14221), 1,
      anon_sym_LBRACE,
    ACTIONS(14223), 1,
      anon_sym_LBRACK,
    STATE(8883), 1,
      sym_identifier,
    STATE(9134), 1,
      sym__soft_identifier,
    STATE(12048), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13744), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [547651] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6324), 1,
      sym__alpha_identifier,
    ACTIONS(6338), 1,
      sym__backquoted_id,
    ACTIONS(14225), 1,
      sym_operator_identifier,
    STATE(5394), 1,
      sym__soft_identifier,
    STATE(6623), 1,
      sym__type_identifier,
    STATE(6656), 1,
      sym_identifier,
    STATE(12049), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6334), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [547688] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4842), 1,
      sym__alpha_identifier,
    ACTIONS(4860), 1,
      sym__backquoted_id,
    ACTIONS(14227), 1,
      sym_operator_identifier,
    STATE(4651), 1,
      sym__soft_identifier,
    STATE(4911), 1,
      sym_identifier,
    STATE(4917), 1,
      sym__type_identifier,
    STATE(12050), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4854), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [547725] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14229), 1,
      anon_sym_DOT,
    STATE(12051), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
  [547752] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13682), 1,
      anon_sym_catch,
    ACTIONS(14231), 1,
      anon_sym_finally,
    STATE(11482), 1,
      sym_finally_clause,
    STATE(12756), 1,
      sym_catch_clause,
    STATE(12052), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13589), 8,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
  [547785] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12053), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12863), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [547810] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9498), 1,
      anon_sym_COLON,
    STATE(12054), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8733), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [547837] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13978), 1,
      sym__alpha_identifier,
    ACTIONS(13986), 1,
      sym__backquoted_id,
    ACTIONS(14233), 1,
      anon_sym_LBRACE,
    ACTIONS(14235), 1,
      anon_sym_LBRACK,
    STATE(8724), 1,
      sym__soft_identifier,
    STATE(8964), 1,
      sym_identifier,
    STATE(12055), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13984), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [547874] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12931), 1,
      sym__alpha_identifier,
    ACTIONS(12937), 1,
      sym__backquoted_id,
    ACTIONS(14174), 1,
      anon_sym_match,
    ACTIONS(14237), 1,
      sym_operator_identifier,
    STATE(5886), 1,
      sym_identifier,
    STATE(8951), 1,
      sym__soft_identifier,
    STATE(12056), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12935), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [547911] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13748), 1,
      sym__alpha_identifier,
    ACTIONS(13756), 1,
      sym__backquoted_id,
    ACTIONS(14239), 1,
      anon_sym_LBRACE,
    ACTIONS(14241), 1,
      anon_sym_LBRACK,
    STATE(5400), 1,
      sym_identifier,
    STATE(5898), 1,
      sym__soft_identifier,
    STATE(12057), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [547948] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14040), 1,
      sym__alpha_identifier,
    ACTIONS(14048), 1,
      sym__backquoted_id,
    ACTIONS(14243), 1,
      anon_sym_LBRACE,
    ACTIONS(14245), 1,
      anon_sym_LBRACK,
    STATE(9724), 1,
      sym_identifier,
    STATE(9878), 1,
      sym__soft_identifier,
    STATE(12058), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14046), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [547985] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12059), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12871), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [548010] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13710), 1,
      sym__alpha_identifier,
    ACTIONS(13718), 1,
      sym__backquoted_id,
    ACTIONS(14247), 1,
      anon_sym_LBRACE,
    ACTIONS(14249), 1,
      anon_sym_LBRACK,
    STATE(10327), 1,
      sym_identifier,
    STATE(10509), 1,
      sym__soft_identifier,
    STATE(12060), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13716), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [548047] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13832), 1,
      anon_sym_LBRACK,
    STATE(7172), 1,
      sym_type_arguments,
    STATE(12061), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12955), 10,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [548076] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12062), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12873), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [548101] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6836), 1,
      sym__backquoted_id,
    ACTIONS(14251), 1,
      anon_sym_LBRACE,
    ACTIONS(14253), 1,
      anon_sym_LBRACK,
    STATE(9323), 1,
      sym__soft_identifier,
    STATE(10709), 1,
      sym_identifier,
    STATE(12063), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [548138] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14078), 1,
      sym__alpha_identifier,
    ACTIONS(14086), 1,
      sym__backquoted_id,
    ACTIONS(14255), 1,
      anon_sym_LBRACE,
    ACTIONS(14257), 1,
      anon_sym_LBRACK,
    STATE(9378), 1,
      sym__soft_identifier,
    STATE(9405), 1,
      sym_identifier,
    STATE(12064), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14084), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [548175] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11758), 1,
      sym__alpha_identifier,
    ACTIONS(11766), 1,
      sym__backquoted_id,
    ACTIONS(14259), 1,
      sym_operator_identifier,
    STATE(12146), 1,
      sym__soft_identifier,
    STATE(12354), 1,
      sym__type_identifier,
    STATE(12362), 1,
      sym_identifier,
    STATE(12065), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11762), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [548212] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12066), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12882), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [548237] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12818), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(12067), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12816), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [548264] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4366), 1,
      sym__alpha_identifier,
    ACTIONS(4378), 1,
      sym__backquoted_id,
    ACTIONS(14261), 1,
      sym_operator_identifier,
    STATE(4655), 1,
      sym__soft_identifier,
    STATE(4889), 1,
      sym_identifier,
    STATE(4898), 1,
      sym__type_identifier,
    STATE(12068), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4374), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [548301] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7859), 1,
      sym__alpha_identifier,
    ACTIONS(7867), 1,
      sym__backquoted_id,
    ACTIONS(14263), 1,
      sym_operator_identifier,
    STATE(7563), 1,
      sym__soft_identifier,
    STATE(7853), 1,
      sym__type_identifier,
    STATE(8005), 1,
      sym_identifier,
    STATE(12069), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7863), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [548338] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12070), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12884), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [548363] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6558), 1,
      sym__alpha_identifier,
    ACTIONS(6568), 1,
      sym__backquoted_id,
    ACTIONS(14265), 1,
      sym_operator_identifier,
    STATE(6863), 1,
      sym__soft_identifier,
    STATE(7439), 1,
      sym_identifier,
    STATE(7602), 1,
      sym__type_identifier,
    STATE(12071), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6564), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [548400] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13599), 1,
      sym__alpha_identifier,
    ACTIONS(13607), 1,
      sym__backquoted_id,
    ACTIONS(14267), 1,
      anon_sym_LBRACE,
    ACTIONS(14269), 1,
      anon_sym_LBRACK,
    STATE(8324), 1,
      sym__soft_identifier,
    STATE(8536), 1,
      sym_identifier,
    STATE(12072), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13605), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [548437] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12931), 1,
      sym__alpha_identifier,
    ACTIONS(12937), 1,
      sym__backquoted_id,
    ACTIONS(14271), 1,
      anon_sym_match,
    ACTIONS(14273), 1,
      sym_operator_identifier,
    STATE(5493), 1,
      sym_identifier,
    STATE(8951), 1,
      sym__soft_identifier,
    STATE(12073), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12935), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [548474] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4690), 1,
      sym__alpha_identifier,
    ACTIONS(4702), 1,
      sym__backquoted_id,
    ACTIONS(14275), 1,
      sym_operator_identifier,
    STATE(4567), 1,
      sym__soft_identifier,
    STATE(4685), 1,
      sym_identifier,
    STATE(4705), 1,
      sym__type_identifier,
    STATE(12074), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4698), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [548511] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7909), 1,
      sym__alpha_identifier,
    ACTIONS(7921), 1,
      sym__backquoted_id,
    ACTIONS(14277), 1,
      sym_operator_identifier,
    STATE(5132), 1,
      sym__soft_identifier,
    STATE(5319), 1,
      sym_identifier,
    STATE(5368), 1,
      sym__type_identifier,
    STATE(12075), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7917), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [548548] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12931), 1,
      sym__alpha_identifier,
    ACTIONS(12937), 1,
      sym__backquoted_id,
    ACTIONS(13650), 1,
      anon_sym_match,
    ACTIONS(14279), 1,
      sym_operator_identifier,
    STATE(5818), 1,
      sym_identifier,
    STATE(8951), 1,
      sym__soft_identifier,
    STATE(12076), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12935), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [548585] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12077), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12420), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [548610] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11770), 1,
      sym__alpha_identifier,
    ACTIONS(11778), 1,
      sym__backquoted_id,
    ACTIONS(13722), 1,
      sym_operator_identifier,
    STATE(10895), 1,
      sym__soft_identifier,
    STATE(11281), 1,
      sym_identifier,
    STATE(14126), 1,
      sym__object_definition,
    STATE(12078), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11774), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [548647] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12931), 1,
      sym__alpha_identifier,
    ACTIONS(12937), 1,
      sym__backquoted_id,
    ACTIONS(14174), 1,
      anon_sym_match,
    ACTIONS(14281), 1,
      sym_operator_identifier,
    STATE(5879), 1,
      sym_identifier,
    STATE(8951), 1,
      sym__soft_identifier,
    STATE(12079), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12935), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [548684] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12080), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12899), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [548709] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12081), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 12,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [548734] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7338), 1,
      anon_sym_DOT,
    STATE(12082), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
  [548761] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6522), 1,
      sym__alpha_identifier,
    ACTIONS(6536), 1,
      sym__backquoted_id,
    ACTIONS(14283), 1,
      sym_operator_identifier,
    STATE(4776), 1,
      sym__soft_identifier,
    STATE(5098), 1,
      sym__type_identifier,
    STATE(5102), 1,
      sym_identifier,
    STATE(12083), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6532), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [548798] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12084), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12901), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [548823] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12085), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 12,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [548848] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12931), 1,
      sym__alpha_identifier,
    ACTIONS(12937), 1,
      sym__backquoted_id,
    ACTIONS(14285), 1,
      anon_sym_match,
    ACTIONS(14287), 1,
      sym_operator_identifier,
    STATE(5790), 1,
      sym_identifier,
    STATE(8951), 1,
      sym__soft_identifier,
    STATE(12086), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12935), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [548885] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12087), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12910), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [548910] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4264), 1,
      sym__alpha_identifier,
    ACTIONS(4282), 1,
      sym__backquoted_id,
    ACTIONS(14289), 1,
      sym_operator_identifier,
    STATE(4380), 1,
      sym__soft_identifier,
    STATE(4440), 1,
      sym_identifier,
    STATE(4472), 1,
      sym__type_identifier,
    STATE(12088), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4276), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [548947] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12089), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 12,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_GT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [548972] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12931), 1,
      sym__alpha_identifier,
    ACTIONS(12937), 1,
      sym__backquoted_id,
    ACTIONS(14291), 1,
      anon_sym_match,
    ACTIONS(14293), 1,
      sym_operator_identifier,
    STATE(5747), 1,
      sym_identifier,
    STATE(8951), 1,
      sym__soft_identifier,
    STATE(12090), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12935), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [549009] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14295), 1,
      anon_sym_DOT,
    STATE(12091), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [549036] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4296), 1,
      sym__alpha_identifier,
    ACTIONS(4314), 1,
      sym__backquoted_id,
    ACTIONS(14297), 1,
      sym_operator_identifier,
    STATE(7067), 1,
      sym__soft_identifier,
    STATE(7852), 1,
      sym_identifier,
    STATE(7872), 1,
      sym__type_identifier,
    STATE(12092), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4308), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [549073] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12931), 1,
      sym__alpha_identifier,
    ACTIONS(12937), 1,
      sym__backquoted_id,
    ACTIONS(13595), 1,
      anon_sym_match,
    ACTIONS(14299), 1,
      sym_operator_identifier,
    STATE(5545), 1,
      sym_identifier,
    STATE(8951), 1,
      sym__soft_identifier,
    STATE(12093), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12935), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [549110] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12094), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7704), 12,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [549135] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12095), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7716), 12,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [549160] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6646), 1,
      sym__alpha_identifier,
    ACTIONS(6656), 1,
      sym__backquoted_id,
    ACTIONS(14301), 1,
      sym_operator_identifier,
    STATE(4596), 1,
      sym__soft_identifier,
    STATE(4696), 1,
      sym__type_identifier,
    STATE(4720), 1,
      sym_identifier,
    STATE(12096), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6652), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [549197] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12097), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7552), 12,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [549222] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12098), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7330), 12,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [549247] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12931), 1,
      sym__alpha_identifier,
    ACTIONS(12937), 1,
      sym__backquoted_id,
    ACTIONS(13678), 1,
      anon_sym_match,
    ACTIONS(14303), 1,
      sym_operator_identifier,
    STATE(5871), 1,
      sym_identifier,
    STATE(8951), 1,
      sym__soft_identifier,
    STATE(12099), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12935), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [549284] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12100), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8027), 12,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [549309] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11679), 1,
      sym__alpha_identifier,
    ACTIONS(11687), 1,
      sym__backquoted_id,
    ACTIONS(14305), 1,
      sym_operator_identifier,
    STATE(10918), 1,
      sym__soft_identifier,
    STATE(11318), 1,
      sym_identifier,
    STATE(11333), 1,
      sym__type_identifier,
    STATE(12101), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11683), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [549346] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13832), 1,
      anon_sym_LBRACK,
    ACTIONS(14184), 1,
      anon_sym_match,
    STATE(7172), 1,
      sym_type_arguments,
    STATE(12102), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12957), 9,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [549377] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12035), 1,
      anon_sym_LPAREN,
    ACTIONS(14309), 1,
      sym__automatic_semicolon,
    STATE(12000), 1,
      aux_sym__class_constructor_repeat1,
    STATE(12760), 1,
      sym_class_parameters,
    STATE(12103), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14307), 8,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [549410] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12104), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7704), 12,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [549435] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12105), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7716), 12,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [549460] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12106), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7552), 12,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [549485] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12107), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7330), 12,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [549510] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12035), 1,
      anon_sym_LPAREN,
    ACTIONS(14314), 1,
      sym__automatic_semicolon,
    STATE(12045), 1,
      aux_sym__class_constructor_repeat1,
    STATE(12760), 1,
      sym_class_parameters,
    STATE(12108), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14312), 8,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [549543] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12035), 1,
      anon_sym_LPAREN,
    ACTIONS(14319), 1,
      sym__automatic_semicolon,
    STATE(12045), 1,
      aux_sym__class_constructor_repeat1,
    STATE(12760), 1,
      sym_class_parameters,
    STATE(12109), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14317), 8,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [549576] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14322), 1,
      sym__alpha_identifier,
    ACTIONS(14324), 1,
      anon_sym_LBRACE,
    ACTIONS(14326), 1,
      anon_sym_LBRACK,
    ACTIONS(14330), 1,
      sym__backquoted_id,
    STATE(9298), 1,
      sym_identifier,
    STATE(9546), 1,
      sym__soft_identifier,
    STATE(12110), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14328), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [549613] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13880), 1,
      sym__alpha_identifier,
    ACTIONS(13888), 1,
      sym__backquoted_id,
    ACTIONS(14332), 1,
      anon_sym_LBRACE,
    ACTIONS(14334), 1,
      anon_sym_LBRACK,
    STATE(8310), 1,
      sym_identifier,
    STATE(8664), 1,
      sym__soft_identifier,
    STATE(12111), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13886), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [549650] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7240), 1,
      anon_sym_LBRACK,
    ACTIONS(14336), 1,
      anon_sym_extends,
    ACTIONS(14338), 1,
      anon_sym_LPAREN,
    STATE(13393), 1,
      aux_sym__full_enum_def_repeat1,
    STATE(13827), 1,
      sym_class_parameters,
    STATE(14268), 1,
      sym_extends_clause,
    STATE(14270), 1,
      sym_type_parameters,
    STATE(14906), 1,
      sym__full_enum_def,
    STATE(12112), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14006), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [549691] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12931), 1,
      sym__alpha_identifier,
    ACTIONS(12937), 1,
      sym__backquoted_id,
    ACTIONS(14340), 1,
      anon_sym_match,
    ACTIONS(14342), 1,
      sym_operator_identifier,
    STATE(5643), 1,
      sym_identifier,
    STATE(8951), 1,
      sym__soft_identifier,
    STATE(12113), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12935), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [549728] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14344), 1,
      anon_sym_end,
    STATE(7879), 1,
      sym__end_marker,
    STATE(12114), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9292), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [549757] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6664), 1,
      sym__alpha_identifier,
    ACTIONS(6674), 1,
      sym__backquoted_id,
    ACTIONS(14346), 1,
      sym_operator_identifier,
    STATE(7573), 1,
      sym__soft_identifier,
    STATE(8323), 1,
      sym__type_identifier,
    STATE(8344), 1,
      sym_identifier,
    STATE(12115), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6670), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [549794] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12116), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 12,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [549819] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12931), 1,
      sym__alpha_identifier,
    ACTIONS(12937), 1,
      sym__backquoted_id,
    ACTIONS(13619), 1,
      anon_sym_match,
    ACTIONS(14348), 1,
      sym_operator_identifier,
    STATE(5775), 1,
      sym_identifier,
    STATE(8951), 1,
      sym__soft_identifier,
    STATE(12117), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12935), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [549856] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14322), 1,
      sym__alpha_identifier,
    ACTIONS(14330), 1,
      sym__backquoted_id,
    ACTIONS(14350), 1,
      anon_sym_LBRACE,
    ACTIONS(14352), 1,
      anon_sym_LBRACK,
    STATE(9386), 1,
      sym_identifier,
    STATE(9546), 1,
      sym__soft_identifier,
    STATE(12118), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14328), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [549893] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13934), 1,
      sym__alpha_identifier,
    ACTIONS(13942), 1,
      sym__backquoted_id,
    ACTIONS(14354), 1,
      anon_sym_LBRACE,
    ACTIONS(14356), 1,
      anon_sym_LBRACK,
    STATE(8818), 1,
      sym_identifier,
    STATE(9092), 1,
      sym__soft_identifier,
    STATE(12119), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13940), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [549930] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7338), 1,
      anon_sym_DOT,
    STATE(12120), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [549957] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12121), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 12,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
  [549982] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12122), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 12,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
  [550007] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12123), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8027), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [550032] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7819), 1,
      sym__alpha_identifier,
    ACTIONS(7827), 1,
      sym__backquoted_id,
    ACTIONS(14358), 1,
      sym_operator_identifier,
    STATE(5167), 1,
      sym__soft_identifier,
    STATE(5283), 1,
      sym_identifier,
    STATE(5298), 1,
      sym__type_identifier,
    STATE(12124), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7823), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [550069] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7114), 1,
      sym__alpha_identifier,
    ACTIONS(7130), 1,
      sym__backquoted_id,
    ACTIONS(14360), 1,
      sym_operator_identifier,
    STATE(4186), 1,
      sym__type_identifier,
    STATE(10161), 1,
      sym__soft_identifier,
    STATE(10587), 1,
      sym_identifier,
    STATE(12125), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7124), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [550106] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4586), 1,
      sym__alpha_identifier,
    ACTIONS(4598), 1,
      sym__backquoted_id,
    ACTIONS(14362), 1,
      sym_operator_identifier,
    STATE(5551), 1,
      sym__soft_identifier,
    STATE(6524), 1,
      sym_identifier,
    STATE(6552), 1,
      sym__type_identifier,
    STATE(12126), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4594), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [550143] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14364), 1,
      sym__alpha_identifier,
    ACTIONS(14366), 1,
      anon_sym_LBRACE,
    ACTIONS(14368), 1,
      anon_sym_LBRACK,
    ACTIONS(14372), 1,
      sym__backquoted_id,
    STATE(10043), 1,
      sym_identifier,
    STATE(10153), 1,
      sym__soft_identifier,
    STATE(12127), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14370), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [550180] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(14374), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(4251), 1,
      sym_identifier,
    STATE(4292), 1,
      sym__type_identifier,
    STATE(12128), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [550217] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14364), 1,
      sym__alpha_identifier,
    ACTIONS(14372), 1,
      sym__backquoted_id,
    ACTIONS(14376), 1,
      anon_sym_LBRACE,
    ACTIONS(14378), 1,
      anon_sym_LBRACK,
    STATE(10048), 1,
      sym_identifier,
    STATE(10153), 1,
      sym__soft_identifier,
    STATE(12129), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14370), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [550254] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11586), 1,
      sym__alpha_identifier,
    ACTIONS(11592), 1,
      sym__backquoted_id,
    ACTIONS(13830), 1,
      sym_operator_identifier,
    STATE(9844), 1,
      sym__soft_identifier,
    STATE(11243), 1,
      sym_identifier,
    STATE(13721), 1,
      sym__function_constructor,
    STATE(12130), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [550291] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4778), 1,
      sym__alpha_identifier,
    ACTIONS(4796), 1,
      sym__backquoted_id,
    ACTIONS(14380), 1,
      sym_operator_identifier,
    STATE(5184), 1,
      sym__soft_identifier,
    STATE(5495), 1,
      sym_identifier,
    STATE(5517), 1,
      sym__type_identifier,
    STATE(12131), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4790), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [550328] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12931), 1,
      sym__alpha_identifier,
    ACTIONS(12937), 1,
      sym__backquoted_id,
    ACTIONS(14382), 1,
      anon_sym_LBRACE,
    ACTIONS(14384), 1,
      anon_sym_LBRACK,
    STATE(8951), 1,
      sym__soft_identifier,
    STATE(9579), 1,
      sym_identifier,
    STATE(12132), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12935), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [550365] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12931), 1,
      sym__alpha_identifier,
    ACTIONS(12937), 1,
      sym__backquoted_id,
    ACTIONS(14386), 1,
      anon_sym_LBRACE,
    ACTIONS(14388), 1,
      anon_sym_LBRACK,
    STATE(8951), 1,
      sym__soft_identifier,
    STATE(9583), 1,
      sym_identifier,
    STATE(12133), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12935), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [550402] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12931), 1,
      sym__alpha_identifier,
    ACTIONS(12937), 1,
      sym__backquoted_id,
    ACTIONS(14273), 1,
      sym_operator_identifier,
    ACTIONS(14390), 1,
      anon_sym_match,
    STATE(5493), 1,
      sym_identifier,
    STATE(8951), 1,
      sym__soft_identifier,
    STATE(12134), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12935), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [550439] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11734), 1,
      sym__alpha_identifier,
    ACTIONS(11742), 1,
      sym__backquoted_id,
    ACTIONS(13223), 1,
      sym_operator_identifier,
    STATE(10652), 1,
      sym__soft_identifier,
    STATE(12089), 1,
      sym_identifier,
    STATE(13130), 1,
      sym__type_identifier,
    STATE(12135), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11738), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [550476] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12136), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9180), 12,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [550501] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12931), 1,
      sym__alpha_identifier,
    ACTIONS(12937), 1,
      sym__backquoted_id,
    ACTIONS(14174), 1,
      anon_sym_match,
    ACTIONS(14392), 1,
      sym_operator_identifier,
    STATE(5791), 1,
      sym_identifier,
    STATE(8951), 1,
      sym__soft_identifier,
    STATE(12137), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12935), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [550538] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12931), 1,
      sym__alpha_identifier,
    ACTIONS(12937), 1,
      sym__backquoted_id,
    ACTIONS(14285), 1,
      anon_sym_match,
    ACTIONS(14394), 1,
      sym_operator_identifier,
    STATE(5655), 1,
      sym_identifier,
    STATE(8951), 1,
      sym__soft_identifier,
    STATE(12138), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12935), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [550575] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7622), 1,
      sym__alpha_identifier,
    ACTIONS(7634), 1,
      sym__backquoted_id,
    ACTIONS(14396), 1,
      sym_operator_identifier,
    STATE(10971), 1,
      sym__soft_identifier,
    STATE(11118), 1,
      sym_identifier,
    STATE(11221), 1,
      sym__type_identifier,
    STATE(12139), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7630), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [550612] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7774), 1,
      sym__alpha_identifier,
    ACTIONS(7782), 1,
      sym__backquoted_id,
    ACTIONS(14398), 1,
      sym_operator_identifier,
    STATE(8106), 1,
      sym__type_identifier,
    STATE(8300), 1,
      sym_identifier,
    STATE(8668), 1,
      sym__soft_identifier,
    STATE(12140), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7778), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [550649] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12931), 1,
      sym__alpha_identifier,
    ACTIONS(12937), 1,
      sym__backquoted_id,
    ACTIONS(14291), 1,
      anon_sym_match,
    ACTIONS(14400), 1,
      sym_operator_identifier,
    STATE(5862), 1,
      sym_identifier,
    STATE(8951), 1,
      sym__soft_identifier,
    STATE(12141), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12935), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [550686] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12142), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 12,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
  [550711] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12143), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7694), 12,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [550736] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12144), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8733), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [550761] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4212), 1,
      sym__alpha_identifier,
    ACTIONS(4230), 1,
      sym__backquoted_id,
    ACTIONS(14402), 1,
      sym_operator_identifier,
    STATE(4929), 1,
      sym__soft_identifier,
    STATE(5154), 1,
      sym_identifier,
    STATE(5267), 1,
      sym__type_identifier,
    STATE(12145), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4224), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [550798] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12146), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 12,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
  [550823] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13019), 1,
      anon_sym_LBRACK,
    ACTIONS(13021), 1,
      anon_sym_AT,
    ACTIONS(13025), 1,
      anon_sym_POUND,
    STATE(13023), 1,
      sym_type_arguments,
    STATE(13046), 1,
      aux_sym_enum_definition_repeat1,
    STATE(13537), 1,
      sym_annotation,
    STATE(12147), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 6,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
  [550860] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12148), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11395), 12,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [550885] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11770), 1,
      sym__alpha_identifier,
    ACTIONS(11778), 1,
      sym__backquoted_id,
    ACTIONS(13722), 1,
      sym_operator_identifier,
    STATE(10895), 1,
      sym__soft_identifier,
    STATE(11281), 1,
      sym_identifier,
    STATE(14130), 1,
      sym__object_definition,
    STATE(12149), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11774), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [550922] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(473), 1,
      sym__alpha_identifier,
    ACTIONS(537), 1,
      sym__backquoted_id,
    ACTIONS(13688), 1,
      sym_operator_identifier,
    STATE(5636), 1,
      sym__soft_identifier,
    STATE(13505), 1,
      sym_identifier,
    STATE(13694), 1,
      sym__namespace_expression,
    STATE(12150), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(659), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [550959] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6770), 1,
      sym__alpha_identifier,
    ACTIONS(6784), 1,
      sym__backquoted_id,
    ACTIONS(14404), 1,
      sym_operator_identifier,
    STATE(5580), 1,
      sym__soft_identifier,
    STATE(6441), 1,
      sym__type_identifier,
    STATE(6479), 1,
      sym_identifier,
    STATE(12151), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6780), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [550996] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12773), 1,
      anon_sym_COLON,
    ACTIONS(12779), 1,
      anon_sym_LT_COLON,
    ACTIONS(12781), 1,
      anon_sym_GT_COLON,
    ACTIONS(12783), 1,
      anon_sym_LT_PERCENT,
    STATE(12933), 1,
      sym_lower_bound,
    STATE(13457), 1,
      aux_sym__type_parameter_repeat1,
    STATE(13461), 1,
      sym_upper_bound,
    STATE(14041), 1,
      aux_sym__type_parameter_repeat2,
    STATE(14359), 1,
      sym_view_bound,
    STATE(15306), 1,
      sym_context_bound,
    ACTIONS(14406), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(12152), 2,
      sym_comment,
      sym_block_comment,
  [551041] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(473), 1,
      sym__alpha_identifier,
    ACTIONS(537), 1,
      sym__backquoted_id,
    ACTIONS(13688), 1,
      sym_operator_identifier,
    STATE(5636), 1,
      sym__soft_identifier,
    STATE(13505), 1,
      sym_identifier,
    STATE(13693), 1,
      sym__namespace_expression,
    STATE(12153), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(659), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [551078] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12931), 1,
      sym__alpha_identifier,
    ACTIONS(12937), 1,
      sym__backquoted_id,
    ACTIONS(14340), 1,
      anon_sym_match,
    ACTIONS(14408), 1,
      sym_operator_identifier,
    STATE(5757), 1,
      sym_identifier,
    STATE(8951), 1,
      sym__soft_identifier,
    STATE(12154), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12935), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [551115] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12155), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 12,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [551140] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12931), 1,
      sym__alpha_identifier,
    ACTIONS(12937), 1,
      sym__backquoted_id,
    ACTIONS(13696), 1,
      anon_sym_match,
    ACTIONS(14410), 1,
      sym_operator_identifier,
    STATE(5839), 1,
      sym_identifier,
    STATE(8951), 1,
      sym__soft_identifier,
    STATE(12156), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12935), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [551177] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12433), 1,
      aux_sym_compound_type_repeat1,
    STATE(13678), 1,
      sym_arguments,
    STATE(13706), 1,
      sym__refinement,
    STATE(13708), 1,
      sym_template_body,
    STATE(12157), 2,
      sym_comment,
      sym_block_comment,
    STATE(13755), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7498), 6,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
  [551212] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11734), 1,
      sym__alpha_identifier,
    ACTIONS(11742), 1,
      sym__backquoted_id,
    ACTIONS(13583), 1,
      sym_operator_identifier,
    STATE(10652), 1,
      sym__soft_identifier,
    STATE(11589), 1,
      sym_identifier,
    STATE(13476), 1,
      sym__function_constructor,
    STATE(12158), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11738), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [551249] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7935), 1,
      sym__alpha_identifier,
    ACTIONS(7943), 1,
      sym__backquoted_id,
    ACTIONS(14412), 1,
      sym_operator_identifier,
    STATE(6711), 1,
      sym__soft_identifier,
    STATE(7176), 1,
      sym__type_identifier,
    STATE(7210), 1,
      sym_identifier,
    STATE(12159), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7939), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [551286] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14414), 1,
      sym__alpha_identifier,
    ACTIONS(14416), 1,
      anon_sym_LBRACE,
    ACTIONS(14418), 1,
      anon_sym_LBRACK,
    ACTIONS(14422), 1,
      sym__backquoted_id,
    STATE(7662), 1,
      sym__soft_identifier,
    STATE(8072), 1,
      sym_identifier,
    STATE(12160), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14420), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [551323] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14414), 1,
      sym__alpha_identifier,
    ACTIONS(14422), 1,
      sym__backquoted_id,
    ACTIONS(14424), 1,
      anon_sym_LBRACE,
    ACTIONS(14426), 1,
      anon_sym_LBRACK,
    STATE(7662), 1,
      sym__soft_identifier,
    STATE(8074), 1,
      sym_identifier,
    STATE(12161), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14420), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [551360] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6130), 1,
      sym__alpha_identifier,
    ACTIONS(6144), 1,
      sym__backquoted_id,
    ACTIONS(14428), 1,
      sym_operator_identifier,
    STATE(7635), 1,
      sym__soft_identifier,
    STATE(8384), 1,
      sym__type_identifier,
    STATE(8636), 1,
      sym_identifier,
    STATE(12162), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6140), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [551397] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13573), 1,
      anon_sym_LBRACK,
    STATE(6849), 1,
      sym_type_arguments,
    STATE(12163), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12951), 10,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [551426] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6796), 1,
      sym__alpha_identifier,
    ACTIONS(6806), 1,
      sym__backquoted_id,
    ACTIONS(14430), 1,
      sym_operator_identifier,
    STATE(6412), 1,
      sym__soft_identifier,
    STATE(6916), 1,
      sym_identifier,
    STATE(6955), 1,
      sym__type_identifier,
    STATE(12164), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6802), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [551463] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11634), 1,
      sym__alpha_identifier,
    ACTIONS(11642), 1,
      sym__backquoted_id,
    ACTIONS(13724), 1,
      sym_operator_identifier,
    STATE(10656), 1,
      sym__soft_identifier,
    STATE(10876), 1,
      sym_identifier,
    STATE(13613), 1,
      sym__class_constructor,
    STATE(12165), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11638), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [551500] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13573), 1,
      anon_sym_LBRACK,
    STATE(6849), 1,
      sym_type_arguments,
    STATE(12166), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12943), 10,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [551529] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13573), 1,
      anon_sym_LBRACK,
    ACTIONS(14432), 1,
      anon_sym_match,
    STATE(6849), 1,
      sym_type_arguments,
    STATE(12167), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12957), 9,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [551560] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13573), 1,
      anon_sym_LBRACK,
    STATE(6849), 1,
      sym_type_arguments,
    STATE(12168), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12955), 10,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [551589] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13573), 1,
      anon_sym_LBRACK,
    STATE(6849), 1,
      sym_type_arguments,
    STATE(12169), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12953), 10,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [551618] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12931), 1,
      sym__alpha_identifier,
    ACTIONS(12937), 1,
      sym__backquoted_id,
    ACTIONS(14124), 1,
      anon_sym_match,
    ACTIONS(14434), 1,
      sym_operator_identifier,
    STATE(5667), 1,
      sym_identifier,
    STATE(8951), 1,
      sym__soft_identifier,
    STATE(12170), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12935), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [551655] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13573), 1,
      anon_sym_LBRACK,
    ACTIONS(14432), 1,
      anon_sym_match,
    STATE(6849), 1,
      sym_type_arguments,
    STATE(12171), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12754), 9,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [551686] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14436), 1,
      anon_sym_LBRACK,
    STATE(6887), 1,
      sym_type_arguments,
    STATE(12172), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12951), 10,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [551715] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14436), 1,
      anon_sym_LBRACK,
    STATE(6887), 1,
      sym_type_arguments,
    STATE(12173), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12943), 10,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [551744] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6066), 1,
      sym__alpha_identifier,
    ACTIONS(6076), 1,
      sym__backquoted_id,
    ACTIONS(14438), 1,
      sym_operator_identifier,
    STATE(6423), 1,
      sym__soft_identifier,
    STATE(7005), 1,
      sym_identifier,
    STATE(7052), 1,
      sym__type_identifier,
    STATE(12174), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6072), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [551781] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12931), 1,
      sym__alpha_identifier,
    ACTIONS(12937), 1,
      sym__backquoted_id,
    ACTIONS(13702), 1,
      anon_sym_match,
    ACTIONS(14440), 1,
      sym_operator_identifier,
    STATE(5827), 1,
      sym_identifier,
    STATE(8951), 1,
      sym__soft_identifier,
    STATE(12175), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12935), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [551818] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14436), 1,
      anon_sym_LBRACK,
    ACTIONS(14442), 1,
      anon_sym_match,
    STATE(6887), 1,
      sym_type_arguments,
    STATE(12176), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12957), 9,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [551849] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12177), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8027), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [551874] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12931), 1,
      sym__alpha_identifier,
    ACTIONS(12937), 1,
      sym__backquoted_id,
    ACTIONS(13896), 1,
      anon_sym_match,
    ACTIONS(14444), 1,
      sym_operator_identifier,
    STATE(5798), 1,
      sym_identifier,
    STATE(8951), 1,
      sym__soft_identifier,
    STATE(12178), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12935), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [551911] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6686), 1,
      sym__alpha_identifier,
    ACTIONS(6700), 1,
      sym__backquoted_id,
    ACTIONS(14446), 1,
      sym_operator_identifier,
    STATE(5638), 1,
      sym__soft_identifier,
    STATE(6093), 1,
      sym_identifier,
    STATE(6153), 1,
      sym__type_identifier,
    STATE(12179), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6696), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [551948] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7947), 1,
      sym__alpha_identifier,
    ACTIONS(7955), 1,
      sym__backquoted_id,
    ACTIONS(14448), 1,
      sym_operator_identifier,
    STATE(8769), 1,
      sym__type_identifier,
    STATE(9167), 1,
      sym_identifier,
    STATE(9188), 1,
      sym__soft_identifier,
    STATE(12180), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7951), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [551985] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8606), 1,
      anon_sym_LPAREN,
    STATE(12210), 1,
      aux_sym_annotation_repeat1,
    STATE(12637), 1,
      sym_arguments,
    STATE(12181), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7817), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [552016] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7144), 1,
      sym__alpha_identifier,
    ACTIONS(7156), 1,
      sym__backquoted_id,
    ACTIONS(14450), 1,
      sym_operator_identifier,
    STATE(4186), 1,
      sym__type_identifier,
    STATE(9849), 1,
      sym__soft_identifier,
    STATE(10523), 1,
      sym_identifier,
    STATE(12182), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [552053] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4748), 1,
      sym__alpha_identifier,
    ACTIONS(4766), 1,
      sym__backquoted_id,
    ACTIONS(14452), 1,
      sym_operator_identifier,
    STATE(5217), 1,
      sym__soft_identifier,
    STATE(5506), 1,
      sym__type_identifier,
    STATE(5535), 1,
      sym_identifier,
    STATE(12183), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4760), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [552090] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8650), 1,
      anon_sym_LBRACK,
    ACTIONS(8654), 1,
      anon_sym_POUND,
    ACTIONS(9437), 1,
      anon_sym_LPAREN,
    STATE(4303), 1,
      sym_type_arguments,
    STATE(4360), 1,
      sym_arguments,
    STATE(12687), 1,
      aux_sym_annotation_repeat1,
    STATE(12184), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7530), 6,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [552127] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13803), 1,
      sym__alpha_identifier,
    ACTIONS(13811), 1,
      sym__backquoted_id,
    ACTIONS(14454), 1,
      anon_sym_LBRACE,
    ACTIONS(14456), 1,
      anon_sym_LBRACK,
    STATE(8564), 1,
      sym__soft_identifier,
    STATE(8601), 1,
      sym_identifier,
    STATE(12185), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13809), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [552164] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12186), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8227), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [552189] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14436), 1,
      anon_sym_LBRACK,
    STATE(6887), 1,
      sym_type_arguments,
    STATE(12187), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12955), 10,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [552218] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14436), 1,
      anon_sym_LBRACK,
    STATE(6887), 1,
      sym_type_arguments,
    STATE(12188), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12953), 10,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [552247] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14211), 1,
      sym__alpha_identifier,
    ACTIONS(14219), 1,
      sym__backquoted_id,
    ACTIONS(14458), 1,
      anon_sym_LBRACE,
    ACTIONS(14460), 1,
      anon_sym_LBRACK,
    STATE(8924), 1,
      sym_identifier,
    STATE(9029), 1,
      sym__soft_identifier,
    STATE(12189), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14217), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [552284] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14146), 1,
      sym__alpha_identifier,
    ACTIONS(14154), 1,
      sym__backquoted_id,
    ACTIONS(14462), 1,
      anon_sym_LBRACE,
    ACTIONS(14464), 1,
      anon_sym_LBRACK,
    STATE(6086), 1,
      sym__soft_identifier,
    STATE(6482), 1,
      sym_identifier,
    STATE(12190), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14152), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [552321] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14094), 1,
      sym__alpha_identifier,
    ACTIONS(14102), 1,
      sym__backquoted_id,
    ACTIONS(14466), 1,
      anon_sym_LBRACE,
    ACTIONS(14468), 1,
      anon_sym_LBRACK,
    STATE(7473), 1,
      sym__soft_identifier,
    STATE(7951), 1,
      sym_identifier,
    STATE(12191), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14100), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [552358] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14014), 1,
      sym__alpha_identifier,
    ACTIONS(14022), 1,
      sym__backquoted_id,
    ACTIONS(14470), 1,
      anon_sym_LBRACE,
    ACTIONS(14472), 1,
      anon_sym_LBRACK,
    STATE(7432), 1,
      sym__soft_identifier,
    STATE(8003), 1,
      sym_identifier,
    STATE(12192), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [552395] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12193), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11292), 12,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [552420] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12194), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11306), 12,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [552445] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12195), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9082), 12,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [552470] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12196), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11316), 12,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [552495] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13832), 1,
      anon_sym_LBRACK,
    STATE(7172), 1,
      sym_type_arguments,
    STATE(12197), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12943), 10,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [552524] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12198), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12122), 12,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_AT,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [552549] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12446), 1,
      sym__alpha_identifier,
    ACTIONS(12450), 1,
      sym__backquoted_id,
    ACTIONS(14474), 1,
      sym_operator_identifier,
    STATE(13549), 1,
      sym__soft_identifier,
    STATE(13768), 1,
      sym_identifier,
    STATE(14361), 1,
      sym_simple_enum_case,
    STATE(12199), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12448), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [552586] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12931), 1,
      sym__alpha_identifier,
    ACTIONS(12937), 1,
      sym__backquoted_id,
    ACTIONS(14476), 1,
      anon_sym_match,
    ACTIONS(14478), 1,
      sym_operator_identifier,
    STATE(5697), 1,
      sym_identifier,
    STATE(8951), 1,
      sym__soft_identifier,
    STATE(12200), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12935), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [552623] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12201), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11320), 12,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [552648] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12202), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12215), 12,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_AT,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [552673] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11634), 1,
      sym__alpha_identifier,
    ACTIONS(11642), 1,
      sym__backquoted_id,
    ACTIONS(13724), 1,
      sym_operator_identifier,
    STATE(10656), 1,
      sym__soft_identifier,
    STATE(10876), 1,
      sym_identifier,
    STATE(13636), 1,
      sym__class_constructor,
    STATE(12203), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11638), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [552710] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8161), 1,
      sym__alpha_identifier,
    ACTIONS(8169), 1,
      sym__backquoted_id,
    ACTIONS(14480), 1,
      sym_operator_identifier,
    STATE(6841), 1,
      sym__soft_identifier,
    STATE(7155), 1,
      sym_identifier,
    STATE(7204), 1,
      sym__type_identifier,
    STATE(12204), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8165), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [552747] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12205), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7372), 12,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [552772] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14436), 1,
      anon_sym_LBRACK,
    ACTIONS(14442), 1,
      anon_sym_match,
    STATE(6887), 1,
      sym_type_arguments,
    STATE(12206), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12754), 9,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [552803] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11714), 1,
      sym__alpha_identifier,
    ACTIONS(11722), 1,
      sym__backquoted_id,
    ACTIONS(14482), 1,
      sym_operator_identifier,
    STATE(12085), 1,
      sym__soft_identifier,
    STATE(12247), 1,
      sym__type_identifier,
    STATE(12254), 1,
      sym_identifier,
    STATE(12207), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11718), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [552840] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12931), 1,
      sym__alpha_identifier,
    ACTIONS(12937), 1,
      sym__backquoted_id,
    ACTIONS(13579), 1,
      anon_sym_match,
    ACTIONS(14484), 1,
      sym_operator_identifier,
    STATE(5412), 1,
      sym_identifier,
    STATE(8951), 1,
      sym__soft_identifier,
    STATE(12208), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12935), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [552877] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11634), 1,
      sym__alpha_identifier,
    ACTIONS(11642), 1,
      sym__backquoted_id,
    ACTIONS(13724), 1,
      sym_operator_identifier,
    STATE(10656), 1,
      sym__soft_identifier,
    STATE(10876), 1,
      sym_identifier,
    STATE(13574), 1,
      sym__class_constructor,
    STATE(12209), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11638), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [552914] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14486), 1,
      anon_sym_LPAREN,
    STATE(12637), 1,
      sym_arguments,
    STATE(12210), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(7788), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [552943] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12931), 1,
      sym__alpha_identifier,
    ACTIONS(12937), 1,
      sym__backquoted_id,
    ACTIONS(14156), 1,
      anon_sym_match,
    ACTIONS(14489), 1,
      sym_operator_identifier,
    STATE(5725), 1,
      sym_identifier,
    STATE(8951), 1,
      sym__soft_identifier,
    STATE(12211), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12935), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [552980] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4402), 1,
      sym__alpha_identifier,
    ACTIONS(4420), 1,
      sym__backquoted_id,
    ACTIONS(14491), 1,
      sym_operator_identifier,
    STATE(6337), 1,
      sym__soft_identifier,
    STATE(6786), 1,
      sym_identifier,
    STATE(7316), 1,
      sym__type_identifier,
    STATE(12212), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4414), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [553017] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12213), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9159), 12,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [553042] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11634), 1,
      sym__alpha_identifier,
    ACTIONS(11642), 1,
      sym__backquoted_id,
    ACTIONS(13575), 1,
      sym_operator_identifier,
    STATE(10656), 1,
      sym__soft_identifier,
    STATE(10801), 1,
      sym_identifier,
    STATE(13906), 1,
      sym__object_definition,
    STATE(12214), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11638), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [553079] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12215), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11344), 12,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [553104] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12931), 1,
      sym__alpha_identifier,
    ACTIONS(12937), 1,
      sym__backquoted_id,
    ACTIONS(13896), 1,
      anon_sym_match,
    ACTIONS(14493), 1,
      sym_operator_identifier,
    STATE(5819), 1,
      sym_identifier,
    STATE(8951), 1,
      sym__soft_identifier,
    STATE(12216), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12935), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [553141] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12217), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12150), 12,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_AT,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [553166] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9), 1,
      sym__alpha_identifier,
    ACTIONS(83), 1,
      sym__backquoted_id,
    ACTIONS(13641), 1,
      sym_operator_identifier,
    STATE(4482), 1,
      sym__soft_identifier,
    STATE(13352), 1,
      sym_identifier,
    STATE(13552), 1,
      sym__namespace_expression,
    STATE(12218), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [553203] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9), 1,
      sym__alpha_identifier,
    ACTIONS(83), 1,
      sym__backquoted_id,
    ACTIONS(13641), 1,
      sym_operator_identifier,
    STATE(4482), 1,
      sym__soft_identifier,
    STATE(13352), 1,
      sym_identifier,
    STATE(13551), 1,
      sym__namespace_expression,
    STATE(12219), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [553240] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7726), 1,
      sym__alpha_identifier,
    ACTIONS(7738), 1,
      sym__backquoted_id,
    ACTIONS(14495), 1,
      sym_operator_identifier,
    STATE(11270), 1,
      sym__soft_identifier,
    STATE(11615), 1,
      sym__type_identifier,
    STATE(11648), 1,
      sym_identifier,
    STATE(12220), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7734), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [553277] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14497), 1,
      anon_sym_STAR,
    STATE(12221), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12420), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [553304] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12222), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11302), 12,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [553329] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12931), 1,
      sym__alpha_identifier,
    ACTIONS(12937), 1,
      sym__backquoted_id,
    ACTIONS(14156), 1,
      anon_sym_match,
    ACTIONS(14499), 1,
      sym_operator_identifier,
    STATE(5741), 1,
      sym_identifier,
    STATE(8951), 1,
      sym__soft_identifier,
    STATE(12223), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12935), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [553366] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11770), 1,
      sym__alpha_identifier,
    ACTIONS(11778), 1,
      sym__backquoted_id,
    ACTIONS(14501), 1,
      sym_operator_identifier,
    STATE(10895), 1,
      sym__soft_identifier,
    STATE(11573), 1,
      sym_identifier,
    STATE(11629), 1,
      sym__type_identifier,
    STATE(12224), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11774), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [553403] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12225), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12128), 12,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_AT,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [553428] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12226), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11371), 12,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [553453] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12227), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9021), 12,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [553478] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14503), 1,
      anon_sym_DOT,
    STATE(12228), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [553505] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12931), 1,
      sym__alpha_identifier,
    ACTIONS(12937), 1,
      sym__backquoted_id,
    ACTIONS(13702), 1,
      anon_sym_match,
    ACTIONS(14505), 1,
      sym_operator_identifier,
    STATE(5803), 1,
      sym_identifier,
    STATE(8951), 1,
      sym__soft_identifier,
    STATE(12229), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12935), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [553542] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12230), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9029), 12,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [553567] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12426), 1,
      sym__alpha_identifier,
    ACTIONS(12434), 1,
      sym__backquoted_id,
    ACTIONS(14507), 1,
      sym_operator_identifier,
    STATE(13490), 1,
      sym__soft_identifier,
    STATE(13731), 1,
      sym_identifier,
    STATE(14068), 1,
      sym_simple_enum_case,
    STATE(12231), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12432), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [553604] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12058), 1,
      anon_sym_LPAREN,
    ACTIONS(14509), 1,
      sym__automatic_semicolon,
    STATE(12482), 1,
      aux_sym__class_constructor_repeat1,
    STATE(13116), 1,
      sym_class_parameters,
    STATE(12232), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13910), 7,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [553636] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12233), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9159), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [553660] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14514), 1,
      anon_sym_COMMA,
    STATE(12234), 3,
      sym_comment,
      sym_block_comment,
      aux_sym__constructor_applications_repeat1,
    ACTIONS(14512), 9,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [553686] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(14517), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15715), 1,
      sym_identifier,
    STATE(12235), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [553720] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14519), 1,
      anon_sym_LBRACK,
    STATE(8077), 1,
      sym_type_arguments,
    STATE(12236), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12951), 9,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [553748] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12237), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7584), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [553772] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6134), 1,
      anon_sym_LBRACE,
    ACTIONS(12478), 1,
      anon_sym_COLON,
    STATE(13871), 1,
      sym_template_body,
    STATE(13994), 1,
      sym__definition_body,
    STATE(6306), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12238), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14521), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [553806] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12239), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7694), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [553830] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14523), 1,
      anon_sym_end,
    STATE(8090), 1,
      sym__end_marker,
    STATE(12240), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9292), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [553858] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12241), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12215), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LT_COLON,
      anon_sym_GT_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [553882] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12242), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [553906] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(14525), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15692), 1,
      sym_identifier,
    STATE(12243), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [553940] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14527), 1,
      anon_sym_LBRACK,
    STATE(7481), 1,
      sym_type_arguments,
    STATE(12244), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12951), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [553968] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14529), 1,
      anon_sym_STAR,
    STATE(12245), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12420), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [553994] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14527), 1,
      anon_sym_LBRACK,
    STATE(7481), 1,
      sym_type_arguments,
    STATE(12246), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12943), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [554022] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12247), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7710), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [554046] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14527), 1,
      anon_sym_LBRACK,
    ACTIONS(14531), 1,
      anon_sym_match,
    STATE(7481), 1,
      sym_type_arguments,
    STATE(12248), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12957), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [554076] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12249), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12420), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [554100] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12250), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11320), 11,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [554124] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(14533), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15680), 1,
      sym_identifier,
    STATE(12251), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [554158] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12252), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9082), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [554182] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14535), 1,
      anon_sym_catch,
    ACTIONS(14537), 1,
      anon_sym_finally,
    STATE(12087), 1,
      sym_finally_clause,
    STATE(12986), 1,
      sym_catch_clause,
    STATE(12253), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13589), 7,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [554214] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12254), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [554238] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12255), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7714), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [554262] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14519), 1,
      anon_sym_LBRACK,
    ACTIONS(14539), 1,
      anon_sym_match,
    STATE(8077), 1,
      sym_type_arguments,
    STATE(12256), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12754), 8,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [554292] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14543), 1,
      anon_sym_with,
    STATE(12257), 3,
      sym_comment,
      sym_block_comment,
      aux_sym__constructor_applications_repeat2,
    ACTIONS(14541), 9,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [554318] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14146), 1,
      sym__alpha_identifier,
    ACTIONS(14154), 1,
      sym__backquoted_id,
    ACTIONS(14546), 1,
      sym_operator_identifier,
    STATE(6086), 1,
      sym__soft_identifier,
    STATE(6402), 1,
      sym_identifier,
    STATE(12258), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14152), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [554352] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14519), 1,
      anon_sym_LBRACK,
    STATE(8077), 1,
      sym_type_arguments,
    STATE(12259), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12943), 9,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [554380] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12260), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11337), 11,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [554404] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12261), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11316), 11,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [554428] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(830), 1,
      sym__alpha_identifier,
    ACTIONS(860), 1,
      sym__backquoted_id,
    ACTIONS(14548), 1,
      sym_operator_identifier,
    STATE(5785), 1,
      sym__soft_identifier,
    STATE(17453), 1,
      sym_identifier,
    STATE(12262), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(840), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [554462] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14550), 1,
      anon_sym_catch,
    ACTIONS(14552), 1,
      anon_sym_finally,
    STATE(12643), 1,
      sym_finally_clause,
    STATE(12839), 1,
      sym_catch_clause,
    STATE(12263), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13589), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [554494] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(14554), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15748), 1,
      sym_identifier,
    STATE(12264), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [554528] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12265), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12899), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [554552] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12266), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12901), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [554576] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7240), 1,
      anon_sym_LBRACK,
    ACTIONS(14558), 1,
      anon_sym_LT_COLON,
    ACTIONS(14560), 1,
      anon_sym_GT_COLON,
    STATE(13136), 1,
      sym_type_parameters,
    STATE(13630), 1,
      sym_lower_bound,
    STATE(13711), 1,
      sym_upper_bound,
    STATE(12267), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14556), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [554612] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14519), 1,
      anon_sym_LBRACK,
    ACTIONS(14539), 1,
      anon_sym_match,
    STATE(8077), 1,
      sym_type_arguments,
    STATE(12268), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12957), 8,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [554642] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(473), 1,
      sym__alpha_identifier,
    ACTIONS(537), 1,
      sym__backquoted_id,
    ACTIONS(14562), 1,
      sym_operator_identifier,
    STATE(5636), 1,
      sym__soft_identifier,
    STATE(13738), 1,
      sym_identifier,
    STATE(12269), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(659), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [554676] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(14564), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15726), 1,
      sym_identifier,
    STATE(12270), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [554710] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12271), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11285), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [554734] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13710), 1,
      sym__alpha_identifier,
    ACTIONS(13718), 1,
      sym__backquoted_id,
    ACTIONS(14566), 1,
      sym_operator_identifier,
    STATE(10422), 1,
      sym_identifier,
    STATE(10509), 1,
      sym__soft_identifier,
    STATE(12272), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13716), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [554768] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14014), 1,
      sym__alpha_identifier,
    ACTIONS(14022), 1,
      sym__backquoted_id,
    ACTIONS(14568), 1,
      sym_operator_identifier,
    STATE(7432), 1,
      sym__soft_identifier,
    STATE(7940), 1,
      sym_identifier,
    STATE(12273), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [554802] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12274), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9021), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [554826] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(14570), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15711), 1,
      sym_identifier,
    STATE(12275), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [554860] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12276), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8835), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [554884] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7428), 1,
      anon_sym_opaque,
    ACTIONS(14572), 1,
      anon_sym_case,
    ACTIONS(14574), 1,
      anon_sym_object,
    ACTIONS(14576), 1,
      anon_sym_given,
    ACTIONS(14578), 1,
      anon_sym_class,
    ACTIONS(14580), 1,
      anon_sym_trait,
    ACTIONS(14582), 1,
      anon_sym_val,
    ACTIONS(14584), 1,
      anon_sym_var,
    ACTIONS(14586), 1,
      anon_sym_type,
    ACTIONS(14588), 1,
      anon_sym_def,
    STATE(17364), 1,
      sym_opaque_modifier,
    STATE(12277), 2,
      sym_comment,
      sym_block_comment,
  [554928] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14414), 1,
      sym__alpha_identifier,
    ACTIONS(14422), 1,
      sym__backquoted_id,
    ACTIONS(14590), 1,
      sym_operator_identifier,
    STATE(7662), 1,
      sym__soft_identifier,
    STATE(7934), 1,
      sym_identifier,
    STATE(12278), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14420), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [554962] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14519), 1,
      anon_sym_LBRACK,
    STATE(8077), 1,
      sym_type_arguments,
    STATE(12279), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12955), 9,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [554990] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7384), 1,
      sym__alpha_identifier,
    ACTIONS(7404), 1,
      sym__backquoted_id,
    ACTIONS(14592), 1,
      sym_operator_identifier,
    STATE(14060), 1,
      sym_identifier,
    STATE(14173), 1,
      sym__soft_identifier,
    STATE(12280), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7386), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [555024] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(14594), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15652), 1,
      sym_identifier,
    STATE(12281), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [555058] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14519), 1,
      anon_sym_LBRACK,
    STATE(8077), 1,
      sym_type_arguments,
    STATE(12282), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12953), 9,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [555086] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12283), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12910), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [555110] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(830), 1,
      sym__alpha_identifier,
    ACTIONS(860), 1,
      sym__backquoted_id,
    ACTIONS(14596), 1,
      sym_operator_identifier,
    STATE(5785), 1,
      sym__soft_identifier,
    STATE(17221), 1,
      sym_identifier,
    STATE(12284), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(840), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [555144] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7420), 1,
      anon_sym_val,
    ACTIONS(7422), 1,
      anon_sym_var,
    ACTIONS(7428), 1,
      anon_sym_opaque,
    ACTIONS(7434), 1,
      anon_sym_object,
    ACTIONS(7436), 1,
      anon_sym_given,
    ACTIONS(7438), 1,
      anon_sym_class,
    ACTIONS(7440), 1,
      anon_sym_trait,
    ACTIONS(7442), 1,
      anon_sym_type,
    ACTIONS(7444), 1,
      anon_sym_def,
    ACTIONS(7476), 1,
      anon_sym_case,
    STATE(17470), 1,
      sym_opaque_modifier,
    STATE(12285), 2,
      sym_comment,
      sym_block_comment,
  [555188] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(14598), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15732), 1,
      sym_identifier,
    STATE(12286), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [555222] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12287), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11337), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [555246] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(14600), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15625), 1,
      sym_identifier,
    STATE(12288), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [555280] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12289), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12828), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [555304] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14602), 1,
      anon_sym_catch,
    ACTIONS(14604), 1,
      anon_sym_finally,
    STATE(12974), 1,
      sym_finally_clause,
    STATE(13257), 1,
      sym_catch_clause,
    STATE(12290), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13589), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
  [555336] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12291), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12826), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [555360] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12292), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12754), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [555384] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12293), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [555408] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12294), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11302), 11,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [555432] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(14606), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15678), 1,
      sym_identifier,
    STATE(12295), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [555466] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12296), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
  [555490] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14527), 1,
      anon_sym_LBRACK,
    STATE(7481), 1,
      sym_type_arguments,
    STATE(12297), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12955), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [555518] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12298), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
  [555542] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14527), 1,
      anon_sym_LBRACK,
    STATE(7481), 1,
      sym_type_arguments,
    STATE(12299), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12953), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [555570] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(14608), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15599), 1,
      sym_identifier,
    STATE(12300), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [555604] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12301), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11285), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [555628] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12302), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
  [555652] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12303), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
  [555676] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12823), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(12304), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12821), 9,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [555702] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14527), 1,
      anon_sym_LBRACK,
    ACTIONS(14531), 1,
      anon_sym_match,
    STATE(7481), 1,
      sym_type_arguments,
    STATE(12305), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12754), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [555732] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12931), 1,
      sym__alpha_identifier,
    ACTIONS(12937), 1,
      sym__backquoted_id,
    ACTIONS(14610), 1,
      sym_operator_identifier,
    STATE(8951), 1,
      sym__soft_identifier,
    STATE(9343), 1,
      sym_identifier,
    STATE(12306), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12935), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [555766] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14040), 1,
      sym__alpha_identifier,
    ACTIONS(14048), 1,
      sym__backquoted_id,
    ACTIONS(14612), 1,
      sym_operator_identifier,
    STATE(9686), 1,
      sym_identifier,
    STATE(9878), 1,
      sym__soft_identifier,
    STATE(12307), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14046), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [555800] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12308), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7720), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [555824] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14322), 1,
      sym__alpha_identifier,
    ACTIONS(14330), 1,
      sym__backquoted_id,
    ACTIONS(14614), 1,
      sym_operator_identifier,
    STATE(9358), 1,
      sym_identifier,
    STATE(9546), 1,
      sym__soft_identifier,
    STATE(12309), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14328), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [555858] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14616), 1,
      anon_sym_catch,
    ACTIONS(14618), 1,
      anon_sym_finally,
    STATE(13055), 1,
      sym_catch_clause,
    STATE(13334), 1,
      sym_finally_clause,
    STATE(12310), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13589), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [555890] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12311), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8027), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [555914] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12312), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
  [555938] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(14620), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15695), 1,
      sym_identifier,
    STATE(12313), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [555972] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12314), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 11,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [555996] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12315), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 11,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [556020] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12316), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7372), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [556044] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12317), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [556068] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13799), 1,
      anon_sym_finally,
    STATE(11245), 1,
      sym_finally_clause,
    STATE(12318), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12910), 9,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
  [556096] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14622), 1,
      anon_sym_LBRACK,
    STATE(13160), 1,
      sym_access_qualifier,
    STATE(12319), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9519), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [556124] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13078), 1,
      anon_sym_with,
    STATE(12257), 1,
      aux_sym__constructor_applications_repeat2,
    STATE(12320), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14624), 9,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [556152] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13076), 1,
      anon_sym_COMMA,
    STATE(12234), 1,
      aux_sym__constructor_applications_repeat1,
    STATE(12321), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14624), 9,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [556180] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14626), 1,
      anon_sym_catch,
    ACTIONS(14628), 1,
      anon_sym_finally,
    STATE(11910), 1,
      sym_finally_clause,
    STATE(13038), 1,
      sym_catch_clause,
    STATE(12322), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13589), 7,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [556212] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12323), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11285), 11,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [556236] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7410), 1,
      anon_sym_case,
    ACTIONS(7412), 1,
      anon_sym_object,
    ACTIONS(7414), 1,
      anon_sym_given,
    ACTIONS(7416), 1,
      anon_sym_class,
    ACTIONS(7418), 1,
      anon_sym_trait,
    ACTIONS(7420), 1,
      anon_sym_val,
    ACTIONS(7422), 1,
      anon_sym_var,
    ACTIONS(7424), 1,
      anon_sym_type,
    ACTIONS(7426), 1,
      anon_sym_def,
    ACTIONS(7428), 1,
      anon_sym_opaque,
    STATE(16880), 1,
      sym_opaque_modifier,
    STATE(12324), 2,
      sym_comment,
      sym_block_comment,
  [556280] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12325), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9029), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [556304] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12326), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8733), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [556328] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(9521), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15696), 1,
      sym_identifier,
    STATE(12327), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [556362] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12328), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12884), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [556386] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12329), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7330), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
  [556410] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12330), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7552), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
  [556434] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12331), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11292), 11,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [556458] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12035), 1,
      anon_sym_LPAREN,
    ACTIONS(12559), 1,
      sym__automatic_semicolon,
    STATE(12760), 1,
      sym_class_parameters,
    STATE(13387), 1,
      sym_access_modifier,
    STATE(13390), 1,
      aux_sym__class_constructor_repeat1,
    ACTIONS(12033), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(12332), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12565), 4,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_extends,
      anon_sym_derives,
  [556494] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12333), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12882), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [556518] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12334), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12122), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LT_COLON,
      anon_sym_GT_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [556542] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12335), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7716), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
  [556566] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12336), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7704), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
  [556590] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8795), 1,
      anon_sym_LPAREN,
    STATE(12341), 1,
      aux_sym_annotation_repeat1,
    STATE(13079), 1,
      sym_arguments,
    STATE(12337), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7817), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [556620] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(14630), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15668), 1,
      sym_identifier,
    STATE(12338), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [556654] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12867), 1,
      anon_sym_LPAREN,
    STATE(13061), 1,
      sym_parameters,
    STATE(13068), 1,
      sym__using_parameters_clause,
    STATE(12339), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14632), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [556684] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(14634), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15578), 1,
      sym_identifier,
    STATE(12340), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [556718] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14636), 1,
      anon_sym_LPAREN,
    STATE(13079), 1,
      sym_arguments,
    STATE(12341), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(7788), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [556746] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13880), 1,
      sym__alpha_identifier,
    ACTIONS(13888), 1,
      sym__backquoted_id,
    ACTIONS(14639), 1,
      sym_operator_identifier,
    STATE(8356), 1,
      sym_identifier,
    STATE(8664), 1,
      sym__soft_identifier,
    STATE(12342), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13886), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [556780] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9498), 1,
      anon_sym_COLON,
    STATE(12343), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8733), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [556806] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12058), 1,
      anon_sym_LPAREN,
    ACTIONS(12907), 1,
      sym__automatic_semicolon,
    STATE(12417), 1,
      aux_sym__class_constructor_repeat1,
    STATE(13116), 1,
      sym_class_parameters,
    STATE(12344), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12673), 7,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [556838] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12058), 1,
      anon_sym_LPAREN,
    ACTIONS(14641), 1,
      sym__automatic_semicolon,
    STATE(12482), 1,
      aux_sym__class_constructor_repeat1,
    STATE(13116), 1,
      sym_class_parameters,
    STATE(12345), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13643), 7,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [556870] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(14644), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15662), 1,
      sym_identifier,
    STATE(12346), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [556904] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14646), 1,
      anon_sym_catch,
    ACTIONS(14648), 1,
      anon_sym_finally,
    STATE(12972), 1,
      sym_catch_clause,
    STATE(13334), 1,
      sym_finally_clause,
    STATE(12347), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13589), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [556936] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(14650), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15701), 1,
      sym_identifier,
    STATE(12348), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [556970] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14519), 1,
      anon_sym_LBRACK,
    ACTIONS(14539), 1,
      anon_sym_match,
    ACTIONS(14654), 1,
      anon_sym_if,
    STATE(8077), 1,
      sym_type_arguments,
    STATE(13725), 1,
      sym_guard,
    STATE(12349), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14652), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [557004] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(14656), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16086), 1,
      sym_identifier,
    STATE(12350), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [557038] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12351), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7584), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
  [557062] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(14658), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15550), 1,
      sym_identifier,
    STATE(12352), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [557096] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12353), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
  [557120] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12354), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7710), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
  [557144] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12355), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12830), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [557168] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14660), 1,
      anon_sym_with,
    STATE(12356), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(8804), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [557194] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12357), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7714), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
  [557218] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12358), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8027), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [557242] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(14663), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15644), 1,
      sym_identifier,
    STATE(12359), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [557276] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14211), 1,
      sym__alpha_identifier,
    ACTIONS(14219), 1,
      sym__backquoted_id,
    ACTIONS(14665), 1,
      sym_operator_identifier,
    STATE(9029), 1,
      sym__soft_identifier,
    STATE(9037), 1,
      sym_identifier,
    STATE(12360), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14217), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [557310] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12361), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7720), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
  [557334] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12362), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
  [557358] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12363), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12873), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [557382] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12364), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12871), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [557406] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12365), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12863), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [557430] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12366), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
  [557454] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12367), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9029), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_SEMI,
  [557478] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(14667), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15651), 1,
      sym_identifier,
    STATE(12368), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [557512] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13320), 1,
      anon_sym_LPAREN,
    ACTIONS(14669), 1,
      sym__automatic_semicolon,
    STATE(12543), 1,
      aux_sym__function_constructor_repeat1,
    STATE(13302), 1,
      sym__using_parameters_clause,
    STATE(13356), 1,
      sym_parameters,
    STATE(12369), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13585), 6,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [557546] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12370), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7372), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
  [557570] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12371), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8835), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [557594] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12372), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12754), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [557618] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13748), 1,
      sym__alpha_identifier,
    ACTIONS(13756), 1,
      sym__backquoted_id,
    ACTIONS(14671), 1,
      sym_operator_identifier,
    STATE(5436), 1,
      sym_identifier,
    STATE(5898), 1,
      sym__soft_identifier,
    STATE(12373), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [557652] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(14673), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15693), 1,
      sym_identifier,
    STATE(12374), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [557686] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12375), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9130), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_SEMI,
  [557710] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14078), 1,
      sym__alpha_identifier,
    ACTIONS(14086), 1,
      sym__backquoted_id,
    ACTIONS(14675), 1,
      sym_operator_identifier,
    STATE(9348), 1,
      sym_identifier,
    STATE(9378), 1,
      sym__soft_identifier,
    STATE(12376), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14084), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [557744] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12377), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11306), 11,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [557768] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12378), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12856), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [557792] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12379), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10058), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [557816] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12380), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9067), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [557840] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(9327), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15768), 1,
      sym_identifier,
    STATE(12381), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [557874] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12382), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11316), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [557898] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12853), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(12383), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12851), 9,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [557924] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12384), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9134), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_SEMI,
  [557948] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12385), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12849), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [557972] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9498), 1,
      anon_sym_COLON,
    STATE(12386), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8733), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [557998] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12387), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9021), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_SEMI,
  [558022] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(14677), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15639), 1,
      sym_identifier,
    STATE(12388), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [558056] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7384), 1,
      sym__alpha_identifier,
    ACTIONS(7404), 1,
      sym__backquoted_id,
    ACTIONS(8388), 1,
      sym_operator_identifier,
    STATE(14165), 1,
      sym_identifier,
    STATE(14173), 1,
      sym__soft_identifier,
    STATE(12389), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7386), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [558090] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8979), 1,
      anon_sym_LPAREN,
    STATE(12392), 1,
      aux_sym_annotation_repeat1,
    STATE(13025), 1,
      sym_arguments,
    STATE(12390), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7817), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [558120] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(14679), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15522), 1,
      sym_identifier,
    STATE(12391), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [558154] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14681), 1,
      anon_sym_LPAREN,
    STATE(13025), 1,
      sym_arguments,
    STATE(12392), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(7788), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [558182] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6134), 1,
      anon_sym_LBRACE,
    ACTIONS(12478), 1,
      anon_sym_COLON,
    ACTIONS(14686), 1,
      sym__automatic_semicolon,
    STATE(13871), 1,
      sym_template_body,
    STATE(13958), 1,
      sym__definition_body,
    STATE(6306), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12393), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14684), 4,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [558218] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12394), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12128), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LT_COLON,
      anon_sym_GT_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [558242] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12395), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12847), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [558266] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12396), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12845), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [558290] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7338), 1,
      anon_sym_DOT,
    STATE(12397), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
  [558316] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(14689), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15602), 1,
      sym_identifier,
    STATE(12398), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [558350] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(14691), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15496), 1,
      sym_identifier,
    STATE(12399), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [558384] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12400), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12150), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LT_COLON,
      anon_sym_GT_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [558408] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(9399), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15755), 1,
      sym_identifier,
    STATE(12401), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [558442] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12402), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9144), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_SEMI,
  [558466] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12403), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7372), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [558490] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12404), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
  [558514] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12405), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12884), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [558538] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12406), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10073), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [558562] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14094), 1,
      sym__alpha_identifier,
    ACTIONS(14102), 1,
      sym__backquoted_id,
    ACTIONS(14693), 1,
      sym_operator_identifier,
    STATE(7473), 1,
      sym__soft_identifier,
    STATE(7516), 1,
      sym_identifier,
    STATE(12407), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14100), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [558596] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12818), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(12408), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12816), 9,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [558622] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12409), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [558646] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14695), 1,
      anon_sym_catch,
    ACTIONS(14697), 1,
      anon_sym_finally,
    STATE(11298), 1,
      sym_finally_clause,
    STATE(12777), 1,
      sym_catch_clause,
    STATE(12410), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13589), 7,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [558678] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12058), 1,
      anon_sym_LPAREN,
    ACTIONS(12912), 1,
      sym__automatic_semicolon,
    STATE(12568), 1,
      aux_sym__class_constructor_repeat1,
    STATE(13116), 1,
      sym_class_parameters,
    STATE(12411), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12565), 7,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [558710] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12412), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9180), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_SEMI,
  [558734] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14699), 1,
      anon_sym_catch,
    ACTIONS(14701), 1,
      anon_sym_finally,
    STATE(12283), 1,
      sym_finally_clause,
    STATE(12856), 1,
      sym_catch_clause,
    STATE(12413), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13589), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
  [558766] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14616), 1,
      anon_sym_catch,
    ACTIONS(14703), 1,
      anon_sym_finally,
    STATE(12955), 1,
      sym_catch_clause,
    STATE(12996), 1,
      sym_finally_clause,
    STATE(12414), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13589), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [558798] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12058), 1,
      anon_sym_LPAREN,
    ACTIONS(14705), 1,
      sym__automatic_semicolon,
    STATE(12569), 1,
      aux_sym__class_constructor_repeat1,
    STATE(13116), 1,
      sym_class_parameters,
    STATE(12415), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13917), 7,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [558830] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13726), 1,
      sym__alpha_identifier,
    ACTIONS(13734), 1,
      sym__backquoted_id,
    ACTIONS(14708), 1,
      sym_operator_identifier,
    STATE(6722), 1,
      sym__soft_identifier,
    STATE(6924), 1,
      sym_identifier,
    STATE(12416), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13732), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [558864] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12058), 1,
      anon_sym_LPAREN,
    ACTIONS(14710), 1,
      sym__automatic_semicolon,
    STATE(12482), 1,
      aux_sym__class_constructor_repeat1,
    STATE(13116), 1,
      sym_class_parameters,
    STATE(12417), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13929), 7,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [558896] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(14713), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15482), 1,
      sym_identifier,
    STATE(12418), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [558930] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12419), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9180), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [558954] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(14715), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15621), 1,
      sym_identifier,
    STATE(12420), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [558988] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(14717), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15669), 1,
      sym_identifier,
    STATE(12421), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [559022] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13758), 1,
      sym__alpha_identifier,
    ACTIONS(13766), 1,
      sym__backquoted_id,
    ACTIONS(14719), 1,
      sym_operator_identifier,
    STATE(6034), 1,
      sym__soft_identifier,
    STATE(6592), 1,
      sym_identifier,
    STATE(12422), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13764), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [559056] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12423), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7330), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
  [559080] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13593), 1,
      anon_sym_finally,
    STATE(11245), 1,
      sym_finally_clause,
    STATE(12424), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12910), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_yield,
  [559108] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12425), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7552), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
  [559132] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12426), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7716), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
  [559156] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(9325), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15573), 1,
      sym_identifier,
    STATE(12427), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [559190] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7428), 1,
      anon_sym_opaque,
    ACTIONS(14582), 1,
      anon_sym_val,
    ACTIONS(14584), 1,
      anon_sym_var,
    ACTIONS(14721), 1,
      anon_sym_case,
    ACTIONS(14723), 1,
      anon_sym_object,
    ACTIONS(14725), 1,
      anon_sym_given,
    ACTIONS(14727), 1,
      anon_sym_class,
    ACTIONS(14729), 1,
      anon_sym_trait,
    ACTIONS(14731), 1,
      anon_sym_type,
    ACTIONS(14733), 1,
      anon_sym_def,
    STATE(16984), 1,
      sym_opaque_modifier,
    STATE(12428), 2,
      sym_comment,
      sym_block_comment,
  [559234] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12429), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7704), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
  [559258] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12430), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8733), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [559282] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12431), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7372), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
  [559306] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12432), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12420), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [559330] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13485), 1,
      aux_sym_compound_type_repeat1,
    STATE(13665), 1,
      sym__refinement,
    STATE(13708), 1,
      sym_template_body,
    STATE(12433), 2,
      sym_comment,
      sym_block_comment,
    STATE(13755), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7668), 6,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
  [559362] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(14735), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15492), 1,
      sym_identifier,
    STATE(12434), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [559396] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7410), 1,
      anon_sym_case,
    ACTIONS(7412), 1,
      anon_sym_object,
    ACTIONS(7416), 1,
      anon_sym_class,
    ACTIONS(7418), 1,
      anon_sym_trait,
    ACTIONS(7420), 1,
      anon_sym_val,
    ACTIONS(7422), 1,
      anon_sym_var,
    ACTIONS(7428), 1,
      anon_sym_opaque,
    ACTIONS(7454), 1,
      anon_sym_type,
    ACTIONS(7456), 1,
      anon_sym_def,
    ACTIONS(7520), 1,
      anon_sym_given,
    STATE(16979), 1,
      sym_opaque_modifier,
    STATE(12435), 2,
      sym_comment,
      sym_block_comment,
  [559440] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7428), 1,
      anon_sym_opaque,
    ACTIONS(14572), 1,
      anon_sym_case,
    ACTIONS(14574), 1,
      anon_sym_object,
    ACTIONS(14578), 1,
      anon_sym_class,
    ACTIONS(14580), 1,
      anon_sym_trait,
    ACTIONS(14582), 1,
      anon_sym_val,
    ACTIONS(14584), 1,
      anon_sym_var,
    ACTIONS(14586), 1,
      anon_sym_type,
    ACTIONS(14588), 1,
      anon_sym_def,
    ACTIONS(14737), 1,
      anon_sym_given,
    STATE(17364), 1,
      sym_opaque_modifier,
    STATE(12436), 2,
      sym_comment,
      sym_block_comment,
  [559484] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7420), 1,
      anon_sym_val,
    ACTIONS(7422), 1,
      anon_sym_var,
    ACTIONS(7428), 1,
      anon_sym_opaque,
    ACTIONS(7434), 1,
      anon_sym_object,
    ACTIONS(7438), 1,
      anon_sym_class,
    ACTIONS(7440), 1,
      anon_sym_trait,
    ACTIONS(7442), 1,
      anon_sym_type,
    ACTIONS(7444), 1,
      anon_sym_def,
    ACTIONS(7476), 1,
      anon_sym_case,
    ACTIONS(7478), 1,
      anon_sym_given,
    STATE(17470), 1,
      sym_opaque_modifier,
    STATE(12437), 2,
      sym_comment,
      sym_block_comment,
  [559528] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12438), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [559552] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14739), 1,
      anon_sym_end,
    STATE(8681), 1,
      sym__end_marker,
    STATE(12439), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9292), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [559580] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7428), 1,
      anon_sym_opaque,
    ACTIONS(14582), 1,
      anon_sym_val,
    ACTIONS(14584), 1,
      anon_sym_var,
    ACTIONS(14721), 1,
      anon_sym_case,
    ACTIONS(14723), 1,
      anon_sym_object,
    ACTIONS(14727), 1,
      anon_sym_class,
    ACTIONS(14729), 1,
      anon_sym_trait,
    ACTIONS(14731), 1,
      anon_sym_type,
    ACTIONS(14733), 1,
      anon_sym_def,
    ACTIONS(14741), 1,
      anon_sym_given,
    STATE(16984), 1,
      sym_opaque_modifier,
    STATE(12440), 2,
      sym_comment,
      sym_block_comment,
  [559624] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13978), 1,
      sym__alpha_identifier,
    ACTIONS(13986), 1,
      sym__backquoted_id,
    ACTIONS(14743), 1,
      sym_operator_identifier,
    STATE(8724), 1,
      sym__soft_identifier,
    STATE(8950), 1,
      sym_identifier,
    STATE(12441), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13984), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [559658] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12442), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [559682] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12443), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [559706] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7410), 1,
      anon_sym_case,
    ACTIONS(7412), 1,
      anon_sym_object,
    ACTIONS(7416), 1,
      anon_sym_class,
    ACTIONS(7418), 1,
      anon_sym_trait,
    ACTIONS(7420), 1,
      anon_sym_val,
    ACTIONS(7422), 1,
      anon_sym_var,
    ACTIONS(7428), 1,
      anon_sym_opaque,
    ACTIONS(7452), 1,
      anon_sym_given,
    ACTIONS(7454), 1,
      anon_sym_type,
    ACTIONS(7456), 1,
      anon_sym_def,
    STATE(16979), 1,
      sym_opaque_modifier,
    STATE(12444), 2,
      sym_comment,
      sym_block_comment,
  [559750] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14519), 1,
      anon_sym_LBRACK,
    ACTIONS(14539), 1,
      anon_sym_match,
    ACTIONS(14654), 1,
      anon_sym_if,
    STATE(8077), 1,
      sym_type_arguments,
    STATE(13759), 1,
      sym_guard,
    STATE(12445), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14745), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [559784] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14747), 1,
      anon_sym_catch,
    ACTIONS(14749), 1,
      anon_sym_finally,
    STATE(11910), 1,
      sym_finally_clause,
    STATE(13158), 1,
      sym_catch_clause,
    STATE(12446), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13589), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [559816] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12447), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12899), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [559840] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12448), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7720), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [559864] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(14751), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15622), 1,
      sym_identifier,
    STATE(12449), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [559898] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12450), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [559922] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12451), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7714), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [559946] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12452), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7710), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [559970] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14753), 1,
      anon_sym_catch,
    ACTIONS(14755), 1,
      anon_sym_finally,
    STATE(12643), 1,
      sym_finally_clause,
    STATE(12854), 1,
      sym_catch_clause,
    STATE(12453), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13589), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [560002] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12454), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [560026] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12455), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7584), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [560050] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12456), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7704), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [560074] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12457), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7716), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [560098] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(14757), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15506), 1,
      sym_identifier,
    STATE(12458), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [560132] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12459), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7552), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [560156] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(14759), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15739), 1,
      sym_identifier,
    STATE(12460), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [560190] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13944), 1,
      sym__alpha_identifier,
    ACTIONS(13952), 1,
      sym__backquoted_id,
    ACTIONS(14761), 1,
      sym_operator_identifier,
    STATE(6833), 1,
      sym__soft_identifier,
    STATE(7272), 1,
      sym_identifier,
    STATE(12461), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13950), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [560224] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12462), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7330), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [560248] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14747), 1,
      anon_sym_catch,
    ACTIONS(14763), 1,
      anon_sym_finally,
    STATE(12538), 1,
      sym_finally_clause,
    STATE(13238), 1,
      sym_catch_clause,
    STATE(12463), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13589), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [560280] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12464), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12830), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [560304] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(14765), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15612), 1,
      sym_identifier,
    STATE(12465), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [560338] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(14767), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15617), 1,
      sym_identifier,
    STATE(12466), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [560372] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7384), 1,
      sym__alpha_identifier,
    ACTIONS(7404), 1,
      sym__backquoted_id,
    ACTIONS(13464), 1,
      sym_operator_identifier,
    STATE(14128), 1,
      sym_identifier,
    STATE(14173), 1,
      sym__soft_identifier,
    STATE(12467), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7386), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [560406] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13654), 1,
      sym__alpha_identifier,
    ACTIONS(13662), 1,
      sym__backquoted_id,
    ACTIONS(14769), 1,
      sym_operator_identifier,
    STATE(8303), 1,
      sym__soft_identifier,
    STATE(8309), 1,
      sym_identifier,
    STATE(12468), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13660), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [560440] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14771), 1,
      anon_sym_DOT,
    STATE(12469), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
  [560466] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13934), 1,
      sym__alpha_identifier,
    ACTIONS(13942), 1,
      sym__backquoted_id,
    ACTIONS(14773), 1,
      sym_operator_identifier,
    STATE(9017), 1,
      sym_identifier,
    STATE(9092), 1,
      sym__soft_identifier,
    STATE(12470), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13940), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [560500] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14775), 1,
      anon_sym_LBRACK,
    STATE(7992), 1,
      sym_type_arguments,
    STATE(12471), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12951), 9,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [560528] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(14777), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15519), 1,
      sym_identifier,
    STATE(12472), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [560562] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(14779), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15571), 1,
      sym_identifier,
    STATE(12473), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [560596] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12474), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12828), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [560620] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12475), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12826), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [560644] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12476), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7330), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [560668] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12477), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11292), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [560692] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12823), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(12478), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12821), 9,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [560718] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12479), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7694), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_SEMI,
  [560742] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12480), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11395), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_SEMI,
  [560766] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12818), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(12481), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12816), 9,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [560792] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14781), 1,
      anon_sym_LPAREN,
    ACTIONS(14784), 1,
      sym__automatic_semicolon,
    STATE(13116), 1,
      sym_class_parameters,
    STATE(12482), 3,
      sym_comment,
      sym_block_comment,
      aux_sym__class_constructor_repeat1,
    ACTIONS(14203), 7,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [560822] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12483), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11302), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [560846] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12484), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11306), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [560870] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7338), 1,
      anon_sym_DOT,
    STATE(12485), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
  [560896] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(14787), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15604), 1,
      sym_identifier,
    STATE(12486), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [560930] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12487), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7720), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
  [560954] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12488), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11320), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [560978] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12489), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7552), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [561002] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12490), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
  [561026] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12491), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9144), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [561050] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12492), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7716), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [561074] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12493), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9134), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [561098] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12494), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
  [561122] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12495), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9130), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [561146] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12496), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7704), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [561170] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12497), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [561194] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12676), 1,
      sym_arguments,
    STATE(12498), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7498), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [561220] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7384), 1,
      sym__alpha_identifier,
    ACTIONS(7404), 1,
      sym__backquoted_id,
    ACTIONS(14789), 1,
      sym_operator_identifier,
    STATE(14173), 1,
      sym__soft_identifier,
    STATE(14286), 1,
      sym_identifier,
    STATE(12499), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7386), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [561254] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(14789), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15498), 1,
      sym_identifier,
    STATE(12500), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [561288] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14135), 1,
      anon_sym_with,
    STATE(13485), 1,
      aux_sym_compound_type_repeat1,
    STATE(13931), 1,
      sym__refinement,
    STATE(13952), 1,
      sym_template_body,
    STATE(12501), 2,
      sym_comment,
      sym_block_comment,
    STATE(13818), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7668), 5,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
  [561322] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(14791), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15589), 1,
      sym_identifier,
    STATE(12502), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [561356] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14527), 1,
      anon_sym_LBRACK,
    STATE(7481), 1,
      sym_type_arguments,
    STATE(12503), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12947), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [561384] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12867), 1,
      anon_sym_LPAREN,
    STATE(13061), 1,
      sym_parameters,
    STATE(13068), 1,
      sym__using_parameters_clause,
    STATE(12504), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14793), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [561414] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12505), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9082), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_SEMI,
  [561438] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12506), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12901), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [561462] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12507), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11371), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_SEMI,
  [561486] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12508), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12882), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [561510] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12509), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7714), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
  [561534] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12510), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7710), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
  [561558] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14646), 1,
      anon_sym_catch,
    ACTIONS(14795), 1,
      anon_sym_finally,
    STATE(12996), 1,
      sym_finally_clause,
    STATE(13139), 1,
      sym_catch_clause,
    STATE(12511), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13589), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [561590] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12512), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
  [561614] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(14797), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15533), 1,
      sym_identifier,
    STATE(12513), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [561648] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12867), 1,
      anon_sym_LPAREN,
    STATE(13061), 1,
      sym_parameters,
    STATE(13068), 1,
      sym__using_parameters_clause,
    STATE(12514), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14799), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [561678] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12515), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7584), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
  [561702] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12516), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12845), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [561726] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(14801), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15529), 1,
      sym_identifier,
    STATE(12517), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [561760] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(830), 1,
      sym__alpha_identifier,
    ACTIONS(860), 1,
      sym__backquoted_id,
    ACTIONS(14803), 1,
      sym_operator_identifier,
    STATE(5785), 1,
      sym__soft_identifier,
    STATE(16705), 1,
      sym_identifier,
    STATE(12518), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(840), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [561794] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12519), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9180), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [561818] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13609), 1,
      sym__alpha_identifier,
    ACTIONS(13617), 1,
      sym__backquoted_id,
    ACTIONS(14805), 1,
      sym_operator_identifier,
    STATE(9337), 1,
      sym__soft_identifier,
    STATE(9407), 1,
      sym_identifier,
    STATE(12520), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13615), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [561852] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12521), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12847), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [561876] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(14807), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15556), 1,
      sym_identifier,
    STATE(12522), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [561910] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12523), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11344), 11,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [561934] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13803), 1,
      sym__alpha_identifier,
    ACTIONS(13811), 1,
      sym__backquoted_id,
    ACTIONS(14809), 1,
      sym_operator_identifier,
    STATE(8396), 1,
      sym_identifier,
    STATE(8564), 1,
      sym__soft_identifier,
    STATE(12524), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13809), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [561968] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12525), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12873), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [561992] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13320), 1,
      anon_sym_LPAREN,
    ACTIONS(14811), 1,
      sym__automatic_semicolon,
    STATE(12543), 1,
      aux_sym__function_constructor_repeat1,
    STATE(13302), 1,
      sym__using_parameters_clause,
    STATE(13356), 1,
      sym_parameters,
    STATE(12526), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13870), 6,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [562026] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13320), 1,
      anon_sym_LPAREN,
    ACTIONS(14813), 1,
      sym__automatic_semicolon,
    STATE(12369), 1,
      aux_sym__function_constructor_repeat1,
    STATE(13302), 1,
      sym__using_parameters_clause,
    STATE(13356), 1,
      sym_parameters,
    STATE(12527), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13866), 6,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [562060] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14815), 1,
      anon_sym_catch,
    ACTIONS(14817), 1,
      anon_sym_finally,
    STATE(11375), 1,
      sym_finally_clause,
    STATE(12689), 1,
      sym_catch_clause,
    STATE(12528), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13589), 7,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [562092] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(14819), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15540), 1,
      sym_identifier,
    STATE(12529), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [562126] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12530), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8027), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [562150] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12531), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12871), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [562174] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12532), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9159), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [562198] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12533), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12849), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [562222] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12534), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9082), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [562246] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12535), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11344), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_SEMI,
  [562270] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(14821), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15538), 1,
      sym_identifier,
    STATE(12536), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [562304] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12537), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11337), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_SEMI,
  [562328] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12538), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12910), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [562352] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12853), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(12539), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12851), 9,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [562378] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12540), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7764), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [562402] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(14823), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15595), 1,
      sym_identifier,
    STATE(12541), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [562436] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12542), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8227), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [562460] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14825), 1,
      anon_sym_LPAREN,
    ACTIONS(14828), 1,
      sym__automatic_semicolon,
    STATE(13302), 1,
      sym__using_parameters_clause,
    STATE(13356), 1,
      sym_parameters,
    STATE(12543), 3,
      sym_comment,
      sym_block_comment,
      aux_sym__function_constructor_repeat1,
    ACTIONS(13666), 6,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [562492] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12544), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9029), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [562516] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7338), 1,
      anon_sym_DOT,
    STATE(12545), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [562542] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14535), 1,
      anon_sym_catch,
    ACTIONS(14831), 1,
      anon_sym_finally,
    STATE(11482), 1,
      sym_finally_clause,
    STATE(13114), 1,
      sym_catch_clause,
    STATE(12546), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13589), 7,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [562574] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12547), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8027), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [562598] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14602), 1,
      anon_sym_catch,
    ACTIONS(14833), 1,
      anon_sym_finally,
    STATE(12636), 1,
      sym_finally_clause,
    STATE(12957), 1,
      sym_catch_clause,
    STATE(12548), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13589), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
  [562630] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14775), 1,
      anon_sym_LBRACK,
    STATE(7992), 1,
      sym_type_arguments,
    STATE(12549), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12947), 9,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [562658] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12550), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11320), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_SEMI,
  [562682] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(14835), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15548), 1,
      sym_identifier,
    STATE(12551), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [562716] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12552), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9021), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [562740] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12553), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11316), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_SEMI,
  [562764] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14837), 1,
      anon_sym_end,
    STATE(8083), 1,
      sym__end_marker,
    STATE(12554), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9292), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [562792] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12555), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11371), 11,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [562816] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12556), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11306), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_SEMI,
  [562840] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12557), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11302), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_SEMI,
  [562864] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12558), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11292), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_SEMI,
  [562888] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13738), 1,
      sym__alpha_identifier,
    ACTIONS(13746), 1,
      sym__backquoted_id,
    ACTIONS(14839), 1,
      sym_operator_identifier,
    STATE(9134), 1,
      sym__soft_identifier,
    STATE(9256), 1,
      sym_identifier,
    STATE(12559), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13744), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [562922] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12560), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8095), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [562946] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(14841), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15523), 1,
      sym_identifier,
    STATE(12561), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [562980] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12562), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11344), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [563004] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12563), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8027), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [563028] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12564), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8095), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [563052] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(14843), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15486), 1,
      sym_identifier,
    STATE(12565), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [563086] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12058), 1,
      anon_sym_LPAREN,
    ACTIONS(14845), 1,
      sym__automatic_semicolon,
    STATE(12605), 1,
      aux_sym__class_constructor_repeat1,
    STATE(13116), 1,
      sym_class_parameters,
    STATE(12566), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14307), 7,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [563118] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14364), 1,
      sym__alpha_identifier,
    ACTIONS(14372), 1,
      sym__backquoted_id,
    ACTIONS(14848), 1,
      sym_operator_identifier,
    STATE(10126), 1,
      sym_identifier,
    STATE(10153), 1,
      sym__soft_identifier,
    STATE(12567), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14370), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [563152] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12058), 1,
      anon_sym_LPAREN,
    ACTIONS(14850), 1,
      sym__automatic_semicolon,
    STATE(12482), 1,
      aux_sym__class_constructor_repeat1,
    STATE(13116), 1,
      sym_class_parameters,
    STATE(12568), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14312), 7,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [563184] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12058), 1,
      anon_sym_LPAREN,
    ACTIONS(14853), 1,
      sym__automatic_semicolon,
    STATE(12482), 1,
      aux_sym__class_constructor_repeat1,
    STATE(13116), 1,
      sym_class_parameters,
    STATE(12569), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14317), 7,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [563216] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12570), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12811), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [563240] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13783), 1,
      sym__alpha_identifier,
    ACTIONS(13791), 1,
      sym__backquoted_id,
    ACTIONS(14856), 1,
      sym_operator_identifier,
    STATE(9673), 1,
      sym__soft_identifier,
    STATE(9776), 1,
      sym_identifier,
    STATE(12571), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13789), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [563274] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7428), 1,
      anon_sym_opaque,
    ACTIONS(14582), 1,
      anon_sym_val,
    ACTIONS(14584), 1,
      anon_sym_var,
    ACTIONS(14721), 1,
      anon_sym_case,
    ACTIONS(14723), 1,
      anon_sym_object,
    ACTIONS(14727), 1,
      anon_sym_class,
    ACTIONS(14729), 1,
      anon_sym_trait,
    ACTIONS(14858), 1,
      anon_sym_given,
    ACTIONS(14860), 1,
      anon_sym_type,
    ACTIONS(14862), 1,
      anon_sym_def,
    STATE(16601), 1,
      sym_opaque_modifier,
    STATE(12572), 2,
      sym_comment,
      sym_block_comment,
  [563318] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12573), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7764), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [563342] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12574), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9130), 11,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [563366] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12035), 1,
      anon_sym_LPAREN,
    ACTIONS(12559), 1,
      sym__automatic_semicolon,
    STATE(12760), 1,
      sym_class_parameters,
    STATE(13394), 1,
      aux_sym__class_constructor_repeat1,
    STATE(13404), 1,
      sym_access_modifier,
    ACTIONS(12033), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(12575), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12673), 4,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_extends,
      anon_sym_derives,
  [563402] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12576), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9134), 11,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [563426] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12577), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12877), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [563450] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12578), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9144), 11,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [563474] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14864), 1,
      anon_sym_DOT,
    STATE(12579), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [563500] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12580), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8227), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [563524] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14775), 1,
      anon_sym_LBRACK,
    ACTIONS(14866), 1,
      anon_sym_match,
    STATE(7992), 1,
      sym_type_arguments,
    STATE(12581), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12754), 8,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [563554] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12582), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9029), 11,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [563578] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11586), 1,
      sym__alpha_identifier,
    ACTIONS(11592), 1,
      sym__backquoted_id,
    ACTIONS(14868), 1,
      sym_operator_identifier,
    STATE(9844), 1,
      sym__soft_identifier,
    STATE(13029), 1,
      sym_identifier,
    STATE(12583), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [563612] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12584), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9021), 11,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [563636] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12585), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9159), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_SEMI,
  [563660] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12586), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7498), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [563684] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(9397), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15655), 1,
      sym_identifier,
    STATE(12587), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [563718] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12588), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7694), 11,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [563742] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12589), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9082), 11,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [563766] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(14870), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15565), 1,
      sym_identifier,
    STATE(12590), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [563800] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9), 1,
      sym__alpha_identifier,
    ACTIONS(83), 1,
      sym__backquoted_id,
    ACTIONS(14868), 1,
      sym_operator_identifier,
    STATE(4482), 1,
      sym__soft_identifier,
    STATE(13029), 1,
      sym_identifier,
    STATE(12591), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [563834] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14872), 1,
      anon_sym_end,
    STATE(8149), 1,
      sym__end_marker,
    STATE(12592), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9292), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [563862] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12593), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8227), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [563886] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12594), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11395), 11,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [563910] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6134), 1,
      anon_sym_LBRACE,
    ACTIONS(12478), 1,
      anon_sym_COLON,
    ACTIONS(14876), 1,
      sym__automatic_semicolon,
    STATE(13871), 1,
      sym_template_body,
    STATE(14030), 1,
      sym__definition_body,
    STATE(6306), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12595), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14874), 4,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [563946] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8785), 1,
      anon_sym_LPAREN,
    STATE(12614), 1,
      aux_sym_annotation_repeat1,
    STATE(13035), 1,
      sym_arguments,
    STATE(12596), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7817), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [563976] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12597), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12856), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [564000] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12598), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9159), 11,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [564024] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12599), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9180), 11,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [564048] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14775), 1,
      anon_sym_LBRACK,
    STATE(7992), 1,
      sym_type_arguments,
    STATE(12600), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12953), 9,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [564076] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13599), 1,
      sym__alpha_identifier,
    ACTIONS(13607), 1,
      sym__backquoted_id,
    ACTIONS(14879), 1,
      sym_operator_identifier,
    STATE(8281), 1,
      sym_identifier,
    STATE(8324), 1,
      sym__soft_identifier,
    STATE(12601), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13605), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [564110] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6134), 1,
      anon_sym_LBRACE,
    ACTIONS(12478), 1,
      anon_sym_COLON,
    STATE(13801), 1,
      sym__definition_body,
    STATE(13871), 1,
      sym_template_body,
    STATE(6306), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12602), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14881), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [564144] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12603), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11371), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [564168] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(14883), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15575), 1,
      sym_identifier,
    STATE(12604), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [564202] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12058), 1,
      anon_sym_LPAREN,
    ACTIONS(14885), 1,
      sym__automatic_semicolon,
    STATE(12482), 1,
      aux_sym__class_constructor_repeat1,
    STATE(13116), 1,
      sym_class_parameters,
    STATE(12605), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14141), 7,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [564234] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14626), 1,
      anon_sym_catch,
    ACTIONS(14888), 1,
      anon_sym_finally,
    STATE(12538), 1,
      sym_finally_clause,
    STATE(13123), 1,
      sym_catch_clause,
    STATE(12606), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13589), 7,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [564266] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14890), 1,
      anon_sym_DOT,
    STATE(12607), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
  [564292] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12840), 1,
      sym_arguments,
    STATE(12608), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7498), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [564318] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14892), 1,
      anon_sym_catch,
    ACTIONS(14894), 1,
      anon_sym_finally,
    STATE(11375), 1,
      sym_finally_clause,
    STATE(12638), 1,
      sym_catch_clause,
    STATE(12609), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13589), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [564350] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14896), 1,
      anon_sym_STAR,
    STATE(12610), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12420), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [564376] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14775), 1,
      anon_sym_LBRACK,
    STATE(7992), 1,
      sym_type_arguments,
    STATE(12611), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12955), 9,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [564404] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12612), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8095), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [564428] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13629), 1,
      sym__alpha_identifier,
    ACTIONS(13637), 1,
      sym__backquoted_id,
    ACTIONS(14898), 1,
      sym_operator_identifier,
    STATE(6745), 1,
      sym__soft_identifier,
    STATE(6847), 1,
      sym_identifier,
    STATE(12613), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13635), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [564462] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14900), 1,
      anon_sym_LPAREN,
    STATE(13035), 1,
      sym_arguments,
    STATE(12614), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(7788), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [564490] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12615), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9554), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [564514] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14775), 1,
      anon_sym_LBRACK,
    STATE(7992), 1,
      sym_type_arguments,
    STATE(12616), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12943), 9,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [564542] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13318), 1,
      anon_sym_LBRACK,
    ACTIONS(14903), 1,
      anon_sym_LT_COLON,
    ACTIONS(14905), 1,
      anon_sym_GT_COLON,
    STATE(13044), 1,
      sym_type_parameters,
    STATE(13504), 1,
      sym_lower_bound,
    STATE(13976), 1,
      sym_upper_bound,
    STATE(12617), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14556), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [564578] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(14907), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15493), 1,
      sym_identifier,
    STATE(12618), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [564612] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12619), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12863), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [564636] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(14909), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15509), 1,
      sym_identifier,
    STATE(12620), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [564670] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(12657), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16462), 1,
      sym_identifier,
    STATE(12621), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [564704] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12622), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7764), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [564728] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12623), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11395), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [564752] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12867), 1,
      anon_sym_LPAREN,
    STATE(13061), 1,
      sym_parameters,
    STATE(13068), 1,
      sym__using_parameters_clause,
    STATE(12624), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14911), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [564782] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14775), 1,
      anon_sym_LBRACK,
    ACTIONS(14866), 1,
      anon_sym_match,
    STATE(7992), 1,
      sym_type_arguments,
    STATE(12625), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12957), 8,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [564812] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      sym__alpha_identifier,
    ACTIONS(9323), 1,
      sym__backquoted_id,
    ACTIONS(14913), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15585), 1,
      sym_identifier,
    STATE(12626), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9321), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [564846] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12627), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14915), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [564869] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12628), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7720), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
  [564892] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14917), 1,
      anon_sym_STAR,
    STATE(12629), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12420), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [564917] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13320), 1,
      anon_sym_LPAREN,
    STATE(13287), 1,
      sym_parameters,
    STATE(13302), 1,
      sym__using_parameters_clause,
    STATE(12630), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14632), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [564946] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12631), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9159), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [564969] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13966), 1,
      anon_sym_finally,
    STATE(11559), 1,
      sym_finally_clause,
    STATE(12632), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12910), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [564996] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12633), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10468), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [565019] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14919), 1,
      anon_sym_end,
    STATE(9177), 1,
      sym__end_marker,
    STATE(12634), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9292), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [565046] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12635), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12901), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [565069] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12636), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12910), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [565092] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12637), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8027), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [565115] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14894), 1,
      anon_sym_finally,
    STATE(11575), 1,
      sym_finally_clause,
    STATE(12638), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12910), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_yield,
  [565142] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12639), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9082), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [565165] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14921), 1,
      anon_sym_LBRACK,
    STATE(8373), 1,
      sym_type_arguments,
    STATE(12640), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12943), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [565192] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12641), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12420), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [565215] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12642), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11371), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [565238] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12643), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12910), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [565261] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12644), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9180), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [565284] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12645), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
  [565307] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12646), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12901), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [565330] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9498), 1,
      anon_sym_COLON,
    STATE(12647), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8733), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [565355] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12648), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12899), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [565378] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14923), 1,
      anon_sym_COMMA,
    STATE(12649), 3,
      sym_comment,
      sym_block_comment,
      aux_sym__constructor_applications_repeat1,
    ACTIONS(14512), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [565403] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14926), 1,
      anon_sym_with,
    STATE(12650), 3,
      sym_comment,
      sym_block_comment,
      aux_sym__constructor_applications_repeat2,
    ACTIONS(14541), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [565428] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12651), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 10,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [565451] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14929), 1,
      anon_sym_catch,
    ACTIONS(14931), 1,
      anon_sym_finally,
    STATE(13013), 1,
      sym_finally_clause,
    STATE(13034), 1,
      sym_catch_clause,
    STATE(12652), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13589), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
  [565482] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9427), 1,
      anon_sym_LPAREN,
    STATE(12657), 1,
      aux_sym_annotation_repeat1,
    STATE(13374), 1,
      sym_arguments,
    STATE(12653), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7817), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [565511] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12654), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12420), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [565534] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12655), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9021), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [565557] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14933), 1,
      anon_sym_DOT,
    STATE(12656), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [565582] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14935), 1,
      anon_sym_LPAREN,
    STATE(13374), 1,
      sym_arguments,
    STATE(12657), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(7788), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [565609] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12658), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8027), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [565632] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12659), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 10,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [565655] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14921), 1,
      anon_sym_LBRACK,
    ACTIONS(14938), 1,
      anon_sym_match,
    STATE(8373), 1,
      sym_type_arguments,
    STATE(12660), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12957), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [565684] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12661), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9180), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [565707] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13684), 1,
      anon_sym_finally,
    STATE(12059), 1,
      sym_finally_clause,
    STATE(12662), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12910), 8,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
  [565734] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12663), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11344), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [565757] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12664), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12884), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [565780] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12665), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7372), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [565803] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12666), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9029), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [565826] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12667), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12882), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [565849] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11415), 1,
      anon_sym_LPAREN,
    STATE(4360), 1,
      sym_arguments,
    STATE(12668), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(7788), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [565876] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13100), 1,
      sym_arguments,
    STATE(12669), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7498), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [565901] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12670), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12873), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [565924] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12671), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10073), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [565947] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12672), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12863), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [565970] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12673), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12884), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [565993] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12674), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9159), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [566016] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12675), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [566039] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12676), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9554), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [566062] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12677), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10058), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [566085] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12678), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12856), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [566108] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12679), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12754), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [566131] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12853), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(12680), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12851), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [566156] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12681), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12882), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [566179] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14940), 1,
      anon_sym_LBRACK,
    ACTIONS(14942), 1,
      anon_sym_match,
    STATE(8256), 1,
      sym_type_arguments,
    STATE(12682), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12754), 7,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [566208] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12683), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12849), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [566231] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12684), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7498), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [566254] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12685), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14944), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [566277] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12686), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12873), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [566300] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9437), 1,
      anon_sym_LPAREN,
    STATE(4360), 1,
      sym_arguments,
    STATE(12668), 1,
      aux_sym_annotation_repeat1,
    STATE(12687), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7817), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [566329] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12688), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12899), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [566352] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14817), 1,
      anon_sym_finally,
    STATE(11575), 1,
      sym_finally_clause,
    STATE(12689), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12910), 8,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
  [566379] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12690), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11285), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [566402] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12691), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14946), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [566425] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12692), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8733), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [566448] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12693), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12863), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [566471] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12694), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12847), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [566494] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12695), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14948), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [566517] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12696), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12845), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [566540] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12697), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12830), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [566563] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12698), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11395), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [566586] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12699), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12856), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [566609] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12700), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12754), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [566632] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12701), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12828), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [566655] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12702), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9180), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [566678] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14921), 1,
      anon_sym_LBRACK,
    STATE(8373), 1,
      sym_type_arguments,
    STATE(12703), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12955), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [566705] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14090), 1,
      anon_sym_with,
    STATE(12650), 1,
      aux_sym__constructor_applications_repeat2,
    STATE(12704), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14624), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [566732] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12705), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12826), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [566755] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12853), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(12706), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12851), 8,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [566780] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12707), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12849), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [566803] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14921), 1,
      anon_sym_LBRACK,
    STATE(8373), 1,
      sym_type_arguments,
    STATE(12708), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12953), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [566830] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12709), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11337), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [566853] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12818), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(12710), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12816), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [566878] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12711), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11395), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [566901] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14088), 1,
      anon_sym_COMMA,
    STATE(12649), 1,
      aux_sym__constructor_applications_repeat1,
    STATE(12712), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14624), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [566928] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12713), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7694), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [566951] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12714), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7694), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [566974] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12715), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11395), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [566997] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12716), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [567020] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12717), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [567043] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12718), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9159), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [567066] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12719), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9082), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [567089] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12720), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [567112] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12721), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7720), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [567135] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12722), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9144), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [567158] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12723), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9134), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [567181] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12724), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7714), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [567204] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12725), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11285), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [567227] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12823), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(12726), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12821), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [567252] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12727), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9130), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [567275] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12728), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9130), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [567298] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6706), 1,
      anon_sym_LBRACE,
    ACTIONS(12798), 1,
      anon_sym_COLON,
    STATE(14135), 1,
      sym__definition_body,
    STATE(14283), 1,
      sym_template_body,
    STATE(8874), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12729), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14881), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [567331] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12730), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9134), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [567354] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12731), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7710), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [567377] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12732), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [567400] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12733), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9144), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [567423] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12734), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11285), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [567446] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12735), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14951), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [567469] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12736), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9082), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [567492] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14953), 1,
      anon_sym_catch,
    ACTIONS(14955), 1,
      anon_sym_finally,
    STATE(13268), 1,
      sym_catch_clause,
    STATE(13618), 1,
      sym_finally_clause,
    STATE(12737), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13589), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
  [567523] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12738), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11344), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [567546] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12739), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7584), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [567569] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12740), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12847), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [567592] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14959), 1,
      anon_sym_SEMI,
    ACTIONS(14962), 1,
      anon_sym_else,
    STATE(12741), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14957), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [567619] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12742), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8733), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [567642] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12743), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12845), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [567665] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14969), 1,
      anon_sym_SEMI,
    ACTIONS(14972), 1,
      anon_sym_else,
    ACTIONS(14964), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(12744), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14967), 6,
      sym__automatic_semicolon,
      anon_sym_if,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [567694] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14974), 1,
      anon_sym_catch,
    ACTIONS(14976), 1,
      anon_sym_finally,
    STATE(11298), 1,
      sym_finally_clause,
    STATE(12950), 1,
      sym_catch_clause,
    STATE(12745), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13589), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [567725] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12746), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14978), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [567748] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12747), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14980), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [567771] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12748), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7372), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
  [567794] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12749), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11316), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [567817] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12750), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11337), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [567840] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12773), 1,
      anon_sym_COLON,
    ACTIONS(12779), 1,
      anon_sym_LT_COLON,
    ACTIONS(12783), 1,
      anon_sym_LT_PERCENT,
    STATE(13444), 1,
      sym_upper_bound,
    STATE(13445), 1,
      aux_sym__type_parameter_repeat1,
    STATE(14046), 1,
      aux_sym__type_parameter_repeat2,
    STATE(14359), 1,
      sym_view_bound,
    STATE(15306), 1,
      sym_context_bound,
    ACTIONS(14983), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(12751), 2,
      sym_comment,
      sym_block_comment,
  [567879] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14985), 1,
      anon_sym_SEMI,
    ACTIONS(14988), 1,
      anon_sym_else,
    STATE(12752), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14957), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [567906] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14991), 1,
      anon_sym_SEMI,
    ACTIONS(14994), 1,
      anon_sym_else,
    ACTIONS(14964), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(12753), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14967), 6,
      sym__automatic_semicolon,
      anon_sym_if,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [567935] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12754), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12122), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_LT_COLON,
      anon_sym_GT_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [567958] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12755), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11371), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [567981] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14231), 1,
      anon_sym_finally,
    STATE(11559), 1,
      sym_finally_clause,
    STATE(12756), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12910), 8,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
  [568008] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12757), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8227), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [568031] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12758), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12871), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [568054] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12759), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
  [568077] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12760), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14997), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [568100] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12761), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10611), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [568123] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12762), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
  [568146] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7384), 1,
      sym__alpha_identifier,
    ACTIONS(7404), 1,
      sym__backquoted_id,
    STATE(14173), 1,
      sym__soft_identifier,
    STATE(14866), 1,
      sym_identifier,
    STATE(12763), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7386), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [568177] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12764), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7720), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
  [568200] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9498), 1,
      anon_sym_COLON,
    STATE(12765), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8733), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [568225] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12766), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [568248] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12767), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10073), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [568271] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12768), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9029), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [568294] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12769), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7714), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
  [568317] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12770), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11292), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [568340] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13320), 1,
      anon_sym_LPAREN,
    STATE(13287), 1,
      sym_parameters,
    STATE(13302), 1,
      sym__using_parameters_clause,
    STATE(12771), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14911), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [568369] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7338), 1,
      anon_sym_DOT,
    STATE(12772), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 9,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [568394] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12773), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
  [568417] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12774), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7584), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
  [568440] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12775), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12830), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [568463] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14999), 1,
      anon_sym_catch,
    ACTIONS(15001), 1,
      anon_sym_finally,
    STATE(11910), 1,
      sym_finally_clause,
    STATE(13339), 1,
      sym_catch_clause,
    STATE(12776), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13589), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
  [568494] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14697), 1,
      anon_sym_finally,
    STATE(11245), 1,
      sym_finally_clause,
    STATE(12777), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12910), 8,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
  [568521] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13320), 1,
      anon_sym_LPAREN,
    STATE(13287), 1,
      sym_parameters,
    STATE(13302), 1,
      sym__using_parameters_clause,
    STATE(12778), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14793), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [568550] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12779), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9021), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [568573] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15003), 1,
      anon_sym_catch,
    ACTIONS(15005), 1,
      anon_sym_finally,
    STATE(11375), 1,
      sym_finally_clause,
    STATE(12976), 1,
      sym_catch_clause,
    STATE(12780), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13589), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
  [568604] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12781), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11302), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [568627] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12782), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11320), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [568650] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15007), 1,
      anon_sym_LBRACK,
    STATE(8342), 1,
      sym_type_arguments,
    STATE(12783), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12947), 8,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [568677] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12784), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [568700] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12785), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11306), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [568723] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12786), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11320), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [568746] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12787), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7330), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
  [568769] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12788), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15009), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [568792] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12789), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7552), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
  [568815] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12790), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7716), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
  [568838] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12791), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7704), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
  [568861] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12792), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12811), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [568884] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12793), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11302), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [568907] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12794), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12150), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_LT_COLON,
      anon_sym_GT_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [568930] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12795), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12877), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [568953] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12796), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12128), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_LT_COLON,
      anon_sym_GT_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [568976] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12797), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9021), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [568999] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12798), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11344), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [569022] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15007), 1,
      anon_sym_LBRACK,
    STATE(8342), 1,
      sym_type_arguments,
    STATE(12799), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12951), 8,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [569049] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15007), 1,
      anon_sym_LBRACK,
    ACTIONS(15011), 1,
      anon_sym_match,
    STATE(8342), 1,
      sym_type_arguments,
    STATE(12800), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12754), 7,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [569078] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12801), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9021), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [569101] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12802), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11337), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [569124] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12803), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11316), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [569147] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12804), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14203), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [569170] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12805), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11292), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [569193] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12806), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8095), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [569216] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12807), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11306), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [569239] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12808), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7330), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
  [569262] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9498), 1,
      anon_sym_COLON,
    STATE(12809), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8733), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [569287] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12810), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7552), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
  [569310] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12811), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7716), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
  [569333] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15013), 1,
      anon_sym_catch,
    ACTIONS(15015), 1,
      anon_sym_finally,
    STATE(13265), 1,
      sym_finally_clause,
    STATE(13273), 1,
      sym_catch_clause,
    STATE(12812), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13589), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [569364] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12813), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11371), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [569387] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12814), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7704), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
  [569410] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12815), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9082), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [569433] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12816), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12215), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_LT_COLON,
      anon_sym_GT_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [569456] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14940), 1,
      anon_sym_LBRACK,
    STATE(8256), 1,
      sym_type_arguments,
    STATE(12817), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12951), 8,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [569483] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12818), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11320), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [569506] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12819), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11316), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [569529] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15013), 1,
      anon_sym_catch,
    ACTIONS(15017), 1,
      anon_sym_finally,
    STATE(13281), 1,
      sym_catch_clause,
    STATE(13618), 1,
      sym_finally_clause,
    STATE(12820), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13589), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [569560] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12821), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11316), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [569583] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15019), 1,
      anon_sym_SEMI,
    ACTIONS(15022), 1,
      anon_sym_else,
    STATE(12822), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14957), 8,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_catch,
      anon_sym_finally,
  [569610] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12823), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12828), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [569633] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6706), 1,
      anon_sym_LBRACE,
    ACTIONS(12798), 1,
      anon_sym_COLON,
    ACTIONS(15024), 1,
      sym__automatic_semicolon,
    STATE(14210), 1,
      sym__definition_body,
    STATE(14283), 1,
      sym_template_body,
    STATE(8874), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12824), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14874), 3,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [569668] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15027), 1,
      anon_sym_SEMI,
    ACTIONS(15030), 1,
      anon_sym_else,
    ACTIONS(14964), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(12825), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14967), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_catch,
      anon_sym_finally,
  [569697] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12826), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15032), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [569720] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12827), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11306), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [569743] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12828), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12826), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [569766] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12829), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8027), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [569789] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12830), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7330), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [569812] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12831), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9029), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [569835] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12832), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11306), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [569858] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15035), 1,
      anon_sym_SEMI,
    ACTIONS(15038), 1,
      anon_sym_else,
    STATE(12833), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14957), 8,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_catch,
      anon_sym_finally,
  [569885] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15041), 1,
      anon_sym_SEMI,
    ACTIONS(15044), 1,
      anon_sym_else,
    ACTIONS(14964), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(12834), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14967), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_catch,
      anon_sym_finally,
  [569914] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12823), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(12835), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12821), 8,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [569939] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12836), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11302), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [569962] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12837), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7552), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [569985] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12838), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7716), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [570008] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14552), 1,
      anon_sym_finally,
    STATE(12870), 1,
      sym_finally_clause,
    STATE(12839), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12910), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
  [570035] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12840), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9554), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [570058] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12841), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11302), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [570081] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12842), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11285), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [570104] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12818), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(12843), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12816), 8,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [570129] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15047), 1,
      anon_sym_end,
    STATE(8734), 1,
      sym__end_marker,
    STATE(12844), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9292), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [570156] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12845), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15049), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [570179] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12846), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7710), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
  [570202] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14999), 1,
      anon_sym_catch,
    ACTIONS(15052), 1,
      anon_sym_finally,
    STATE(12538), 1,
      sym_finally_clause,
    STATE(13336), 1,
      sym_catch_clause,
    STATE(12847), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13589), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
  [570233] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12848), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7704), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [570256] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12849), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9180), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [570279] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12850), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9159), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [570302] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6706), 1,
      anon_sym_LBRACE,
    ACTIONS(12798), 1,
      anon_sym_COLON,
    ACTIONS(15054), 1,
      sym__automatic_semicolon,
    STATE(14061), 1,
      sym__definition_body,
    STATE(14283), 1,
      sym_template_body,
    STATE(8874), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12851), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14684), 3,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [570337] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8733), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(12852), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9498), 8,
      sym__automatic_semicolon,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [570362] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12853), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9029), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [570385] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14755), 1,
      anon_sym_finally,
    STATE(12870), 1,
      sym_finally_clause,
    STATE(12854), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12910), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
  [570412] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12855), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9159), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [570435] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14701), 1,
      anon_sym_finally,
    STATE(12364), 1,
      sym_finally_clause,
    STATE(12856), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12910), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
  [570462] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12857), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9082), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [570485] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12858), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11320), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [570508] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12859), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9021), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [570531] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12860), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7764), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [570554] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12861), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11292), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [570577] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12862), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9029), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [570600] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12863), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15057), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [570623] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15060), 1,
      anon_sym_catch,
    ACTIONS(15062), 1,
      anon_sym_finally,
    STATE(12087), 1,
      sym_finally_clause,
    STATE(13382), 1,
      sym_catch_clause,
    STATE(12864), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13589), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [570654] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12865), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10058), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [570677] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9498), 1,
      anon_sym_COLON,
    STATE(12866), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8733), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [570702] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14921), 1,
      anon_sym_LBRACK,
    ACTIONS(14938), 1,
      anon_sym_match,
    STATE(8373), 1,
      sym_type_arguments,
    STATE(12867), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12754), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [570731] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15064), 1,
      anon_sym_LBRACK,
    ACTIONS(15066), 1,
      anon_sym_match,
    STATE(8313), 1,
      sym_type_arguments,
    STATE(12868), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12754), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [570760] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12869), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15068), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [570783] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12870), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12871), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [570806] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15070), 1,
      anon_sym_end,
    STATE(8879), 1,
      sym__end_marker,
    STATE(12871), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9292), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [570833] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15064), 1,
      anon_sym_LBRACK,
    STATE(8313), 1,
      sym_type_arguments,
    STATE(12872), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12951), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [570860] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6706), 1,
      anon_sym_LBRACE,
    ACTIONS(12798), 1,
      anon_sym_COLON,
    STATE(14092), 1,
      sym__definition_body,
    STATE(14283), 1,
      sym_template_body,
    STATE(8874), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12873), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14521), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [570893] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12874), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9067), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [570916] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12875), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11285), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [570939] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12876), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7694), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [570962] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12877), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
  [570985] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13320), 1,
      anon_sym_LPAREN,
    STATE(13287), 1,
      sym_parameters,
    STATE(13302), 1,
      sym__using_parameters_clause,
    STATE(12878), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14799), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [571014] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15064), 1,
      anon_sym_LBRACK,
    STATE(8313), 1,
      sym_type_arguments,
    STATE(12879), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12953), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [571041] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15064), 1,
      anon_sym_LBRACK,
    STATE(8313), 1,
      sym_type_arguments,
    STATE(12880), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12955), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [571068] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12881), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11337), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [571091] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14953), 1,
      anon_sym_catch,
    ACTIONS(15072), 1,
      anon_sym_finally,
    STATE(13265), 1,
      sym_finally_clause,
    STATE(13450), 1,
      sym_catch_clause,
    STATE(12882), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13589), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
  [571122] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15060), 1,
      anon_sym_catch,
    ACTIONS(15074), 1,
      anon_sym_finally,
    STATE(11482), 1,
      sym_finally_clause,
    STATE(13381), 1,
      sym_catch_clause,
    STATE(12883), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13589), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [571153] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12884), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11344), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [571176] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12885), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9130), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [571199] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12886), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9180), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [571222] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12887), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11395), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [571245] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15007), 1,
      anon_sym_LBRACK,
    STATE(8342), 1,
      sym_type_arguments,
    STATE(12888), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12953), 8,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [571272] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15007), 1,
      anon_sym_LBRACK,
    STATE(8342), 1,
      sym_type_arguments,
    STATE(12889), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12955), 8,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [571299] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15076), 1,
      anon_sym_STAR,
    STATE(12890), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12420), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [571324] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12891), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12877), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [571347] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12892), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12811), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [571370] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12893), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7694), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [571393] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12894), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15078), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [571416] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14940), 1,
      anon_sym_LBRACK,
    STATE(8256), 1,
      sym_type_arguments,
    STATE(12895), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12953), 8,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [571443] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14940), 1,
      anon_sym_LBRACK,
    STATE(8256), 1,
      sym_type_arguments,
    STATE(12896), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12955), 8,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [571470] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12897), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9180), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [571493] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12898), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7372), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
  [571516] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12899), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11285), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [571539] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15007), 1,
      anon_sym_LBRACK,
    STATE(8342), 1,
      sym_type_arguments,
    STATE(12900), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12943), 8,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [571566] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12901), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9021), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [571589] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12902), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11371), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [571612] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12903), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9029), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [571635] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15080), 1,
      anon_sym_LBRACK,
    ACTIONS(15082), 1,
      anon_sym_LPAREN,
    ACTIONS(15084), 1,
      anon_sym_POUND,
    STATE(13466), 1,
      aux_sym_annotation_repeat1,
    STATE(13582), 1,
      sym_type_arguments,
    STATE(13807), 1,
      sym_arguments,
    STATE(12904), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7530), 4,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_with,
  [571670] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12905), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9134), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [571693] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12906), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9130), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [571716] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15080), 1,
      anon_sym_LBRACK,
    ACTIONS(15084), 1,
      anon_sym_POUND,
    ACTIONS(15086), 1,
      anon_sym_AT,
    STATE(13582), 1,
      sym_type_arguments,
    STATE(13594), 1,
      aux_sym_enum_definition_repeat1,
    STATE(13956), 1,
      sym_annotation,
    STATE(12907), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 4,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_LPAREN,
  [571751] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12908), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9159), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [571774] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12048), 1,
      anon_sym_LPAREN,
    STATE(13357), 1,
      sym_arguments,
    STATE(12909), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15088), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_derives,
      anon_sym_SEMI,
  [571801] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15064), 1,
      anon_sym_LBRACK,
    STATE(8313), 1,
      sym_type_arguments,
    STATE(12910), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12947), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [571828] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15064), 1,
      anon_sym_LBRACK,
    ACTIONS(15066), 1,
      anon_sym_match,
    STATE(8313), 1,
      sym_type_arguments,
    STATE(12911), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12957), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [571857] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15090), 1,
      anon_sym_DOT,
    STATE(12912), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 9,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [571882] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12913), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9144), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [571905] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12914), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11292), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [571928] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12915), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8027), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [571951] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15092), 1,
      anon_sym_STAR,
    STATE(12916), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12420), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [571976] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15007), 1,
      anon_sym_LBRACK,
    ACTIONS(15011), 1,
      anon_sym_match,
    STATE(8342), 1,
      sym_type_arguments,
    STATE(12917), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12957), 7,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [572005] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14940), 1,
      anon_sym_LBRACK,
    ACTIONS(14942), 1,
      anon_sym_match,
    STATE(8256), 1,
      sym_type_arguments,
    STATE(12918), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12957), 7,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [572034] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14921), 1,
      anon_sym_LBRACK,
    STATE(8373), 1,
      sym_type_arguments,
    STATE(12919), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12947), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [572061] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14921), 1,
      anon_sym_LBRACK,
    STATE(8373), 1,
      sym_type_arguments,
    STATE(12920), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12951), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [572088] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12921), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [572111] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12922), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7584), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
  [572134] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15094), 1,
      anon_sym_catch,
    ACTIONS(15096), 1,
      anon_sym_finally,
    STATE(13013), 1,
      sym_finally_clause,
    STATE(13118), 1,
      sym_catch_clause,
    STATE(12923), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13589), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [572165] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12924), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9144), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [572188] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12925), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9082), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [572211] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12926), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
  [572234] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15064), 1,
      anon_sym_LBRACK,
    STATE(8313), 1,
      sym_type_arguments,
    STATE(12927), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12943), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [572261] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12928), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9134), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [572284] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13892), 1,
      anon_sym_finally,
    STATE(12059), 1,
      sym_finally_clause,
    STATE(12929), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12910), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [572311] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12930), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7498), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [572334] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12931), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
  [572357] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14940), 1,
      anon_sym_LBRACK,
    STATE(8256), 1,
      sym_type_arguments,
    STATE(12932), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12943), 8,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [572384] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12773), 1,
      anon_sym_COLON,
    ACTIONS(12779), 1,
      anon_sym_LT_COLON,
    ACTIONS(12783), 1,
      anon_sym_LT_PERCENT,
    STATE(13400), 1,
      aux_sym__type_parameter_repeat1,
    STATE(13409), 1,
      sym_upper_bound,
    STATE(13890), 1,
      aux_sym__type_parameter_repeat2,
    STATE(14359), 1,
      sym_view_bound,
    STATE(15306), 1,
      sym_context_bound,
    ACTIONS(15098), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(12933), 2,
      sym_comment,
      sym_block_comment,
  [572423] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12934), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7710), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
  [572446] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12935), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
  [572469] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15100), 1,
      anon_sym_STAR,
    STATE(12936), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12420), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [572494] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7240), 1,
      anon_sym_LBRACK,
    ACTIONS(15102), 1,
      anon_sym_LT_COLON,
    ACTIONS(15104), 1,
      anon_sym_GT_COLON,
    STATE(13429), 1,
      sym_type_parameters,
    STATE(13711), 1,
      sym_upper_bound,
    STATE(13736), 1,
      sym_lower_bound,
    STATE(12937), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14556), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_EQ,
      anon_sym_SEMI,
  [572529] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12938), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7714), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
  [572552] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12939), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12828), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [572574] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12940), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9159), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [572596] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15106), 1,
      anon_sym_catch,
    ACTIONS(15108), 1,
      anon_sym_finally,
    STATE(12636), 1,
      sym_finally_clause,
    STATE(13474), 1,
      sym_catch_clause,
    STATE(12941), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13589), 5,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [572626] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15110), 1,
      anon_sym_LBRACK,
    ACTIONS(15112), 1,
      anon_sym_match,
    STATE(9192), 1,
      sym_type_arguments,
    STATE(12942), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12754), 6,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [572654] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15114), 1,
      anon_sym_SEMI,
    ACTIONS(15117), 1,
      anon_sym_else,
    STATE(12943), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14957), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
  [572680] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12944), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12420), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [572702] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15119), 1,
      anon_sym_SEMI,
    ACTIONS(15122), 1,
      anon_sym_else,
    ACTIONS(14964), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(12945), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14967), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_if,
      anon_sym_catch,
      anon_sym_finally,
  [572730] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12946), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8095), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [572752] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12947), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12420), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [572774] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12948), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12901), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [572796] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15124), 1,
      anon_sym_SEMI,
    ACTIONS(15127), 1,
      anon_sym_else,
    STATE(12949), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14957), 7,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
  [572822] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14976), 1,
      anon_sym_finally,
    STATE(11245), 1,
      sym_finally_clause,
    STATE(12950), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12910), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
  [572848] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12951), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12899), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [572870] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12952), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12871), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [572892] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15130), 1,
      anon_sym_SEMI,
    ACTIONS(15133), 1,
      anon_sym_else,
    ACTIONS(14964), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(12953), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14967), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_catch,
      anon_sym_finally,
  [572920] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12954), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12899), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [572942] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14703), 1,
      anon_sym_finally,
    STATE(13000), 1,
      sym_finally_clause,
    STATE(12955), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12910), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [572968] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12956), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12221), 9,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [572990] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14833), 1,
      anon_sym_finally,
    STATE(12758), 1,
      sym_finally_clause,
    STATE(12957), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12910), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
  [573016] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15136), 1,
      anon_sym_catch,
    ACTIONS(15138), 1,
      anon_sym_finally,
    STATE(12538), 1,
      sym_finally_clause,
    STATE(13517), 1,
      sym_catch_clause,
    STATE(12958), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13589), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
  [573046] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12959), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12901), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [573068] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12960), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7694), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [573090] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12961), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14203), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [573112] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12962), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15009), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [573134] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12963), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11395), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [573156] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14654), 1,
      anon_sym_if,
    STATE(13060), 1,
      aux_sym_enumerator_repeat1,
    STATE(13531), 1,
      sym_guard,
    STATE(12964), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15140), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [573184] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12965), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7764), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [573206] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12966), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8227), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [573228] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12967), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12828), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [573250] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12968), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12826), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [573272] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12144), 1,
      anon_sym_LPAREN,
    STATE(13480), 1,
      sym_arguments,
    STATE(12969), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15088), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_derives,
      anon_sym_SEMI,
  [573298] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9498), 2,
      anon_sym_COLON,
      anon_sym_EQ_GT,
    STATE(12970), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8733), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [573322] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15142), 1,
      anon_sym_SEMI,
    ACTIONS(15144), 1,
      anon_sym_else,
    STATE(12971), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14957), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
  [573348] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14648), 1,
      anon_sym_finally,
    STATE(13280), 1,
      sym_finally_clause,
    STATE(12972), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12910), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [573374] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12823), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(12973), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12821), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [573398] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12974), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12910), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [573420] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12975), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12420), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [573442] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15005), 1,
      anon_sym_finally,
    STATE(11575), 1,
      sym_finally_clause,
    STATE(12976), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12910), 7,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
  [573468] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15146), 1,
      anon_sym_LBRACK,
    STATE(8884), 1,
      sym_type_arguments,
    STATE(12977), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12947), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [573494] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12978), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12830), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [573516] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15148), 1,
      anon_sym_LBRACK,
    STATE(9018), 1,
      sym_type_arguments,
    STATE(12979), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12943), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [573542] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15110), 1,
      anon_sym_LBRACK,
    STATE(9192), 1,
      sym_type_arguments,
    STATE(12980), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12953), 7,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [573568] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15150), 1,
      anon_sym_catch,
    ACTIONS(15152), 1,
      anon_sym_finally,
    STATE(12974), 1,
      sym_finally_clause,
    STATE(13538), 1,
      sym_catch_clause,
    STATE(12981), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13589), 5,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
  [573598] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12982), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12899), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [573620] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15154), 1,
      anon_sym_SEMI,
    ACTIONS(15157), 1,
      anon_sym_else,
    STATE(12983), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14957), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
  [573646] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12984), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12901), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [573668] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15160), 1,
      anon_sym_catch,
    ACTIONS(15162), 1,
      anon_sym_finally,
    STATE(12283), 1,
      sym_finally_clause,
    STATE(13372), 1,
      sym_catch_clause,
    STATE(12985), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13589), 5,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [573698] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14537), 1,
      anon_sym_finally,
    STATE(12059), 1,
      sym_finally_clause,
    STATE(12986), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12910), 7,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [573724] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12987), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7330), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [573746] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12988), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11371), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [573768] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15164), 1,
      anon_sym_with,
    STATE(12989), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(8804), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [573792] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12990), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12910), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [573814] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12991), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [573836] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12992), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12884), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [573858] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12993), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12882), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [573880] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15167), 1,
      anon_sym_SEMI,
    ACTIONS(15170), 1,
      anon_sym_else,
    ACTIONS(14964), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(12994), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14967), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_catch,
      anon_sym_finally,
  [573908] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12995), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12901), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [573930] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12996), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12910), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [573952] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12997), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12873), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [573974] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15110), 1,
      anon_sym_LBRACK,
    STATE(9192), 1,
      sym_type_arguments,
    STATE(12998), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12951), 7,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [574000] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15172), 1,
      anon_sym_DOT,
    STATE(12999), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [574024] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13000), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12871), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [574046] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15174), 1,
      anon_sym_SEMI,
    ACTIONS(15177), 1,
      anon_sym_else,
    STATE(13001), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14957), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
  [574072] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15182), 1,
      anon_sym_COMMA,
    STATE(13125), 1,
      aux_sym_derives_clause_repeat1,
    STATE(13002), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15180), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [574098] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13003), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12863), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [574120] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13004), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7372), 9,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [574142] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13005), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14944), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [574164] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13006), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12126), 9,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [574186] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13007), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11395), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [574208] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13008), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12899), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [574230] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15184), 1,
      anon_sym_SEMI,
    ACTIONS(15187), 1,
      anon_sym_else,
    ACTIONS(14964), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13009), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14967), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_if,
      anon_sym_catch,
      anon_sym_finally,
  [574258] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13010), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14946), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [574280] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13011), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12856), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [574302] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13012), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7694), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [574324] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13013), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12910), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [574346] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12853), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13014), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12851), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [574370] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13015), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12849), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [574392] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13016), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12847), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [574414] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13017), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12845), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [574436] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13018), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12118), 9,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [574458] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15136), 1,
      anon_sym_catch,
    ACTIONS(15190), 1,
      anon_sym_finally,
    STATE(11910), 1,
      sym_finally_clause,
    STATE(13633), 1,
      sym_catch_clause,
    STATE(13019), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13589), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
  [574488] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15192), 1,
      anon_sym_SEMI,
    ACTIONS(15195), 1,
      anon_sym_else,
    STATE(13020), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14957), 7,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
  [574514] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13021), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12219), 9,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [574536] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13022), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12884), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [574558] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13023), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7720), 9,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [574580] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13024), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12420), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [574602] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13025), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8027), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_else,
  [574624] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13026), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12882), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [574646] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15197), 1,
      anon_sym_catch,
    ACTIONS(15199), 1,
      anon_sym_finally,
    STATE(12283), 1,
      sym_finally_clause,
    STATE(13412), 1,
      sym_catch_clause,
    STATE(13027), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13589), 5,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
  [574676] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13028), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12873), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [574698] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13029), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15201), 9,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
  [574720] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12853), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13030), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12851), 7,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [574744] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13031), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 9,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [574766] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15203), 1,
      anon_sym_SEMI,
    ACTIONS(15206), 1,
      anon_sym_else,
    STATE(13032), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14957), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
  [574792] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13033), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11285), 9,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [574814] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14931), 1,
      anon_sym_finally,
    STATE(13210), 1,
      sym_finally_clause,
    STATE(13034), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12910), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
  [574840] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13035), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8027), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
  [574862] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13036), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12863), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [574884] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13023), 1,
      anon_sym_LPAREN,
    STATE(13115), 1,
      aux_sym_annotation_repeat1,
    STATE(13503), 1,
      sym_arguments,
    STATE(13037), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7817), 6,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
  [574912] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14628), 1,
      anon_sym_finally,
    STATE(11818), 1,
      sym_finally_clause,
    STATE(13038), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12910), 7,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [574938] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13039), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14980), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [574960] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15208), 1,
      anon_sym_catch,
    ACTIONS(15210), 1,
      anon_sym_finally,
    STATE(13496), 1,
      sym_finally_clause,
    STATE(13540), 1,
      sym_catch_clause,
    STATE(13040), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13589), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
  [574990] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13041), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12830), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [575012] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15212), 1,
      anon_sym_end,
    STATE(9534), 1,
      sym__end_marker,
    STATE(13042), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9292), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [575038] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13043), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11292), 9,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [575060] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14903), 1,
      anon_sym_LT_COLON,
    ACTIONS(14905), 1,
      anon_sym_GT_COLON,
    STATE(13580), 1,
      sym_lower_bound,
    STATE(13847), 1,
      sym_upper_bound,
    STATE(13044), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15214), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [575090] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13045), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11306), 9,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [575112] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13021), 1,
      anon_sym_AT,
    STATE(13107), 1,
      aux_sym_enum_definition_repeat1,
    STATE(13537), 1,
      sym_annotation,
    STATE(13046), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 6,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
  [575140] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15110), 1,
      anon_sym_LBRACK,
    ACTIONS(15112), 1,
      anon_sym_match,
    STATE(9192), 1,
      sym_type_arguments,
    STATE(13047), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12957), 6,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [575168] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13048), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11302), 9,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [575190] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13049), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14978), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [575212] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13050), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11316), 9,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [575234] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13051), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11320), 9,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [575256] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12823), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13052), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12821), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [575280] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13053), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12229), 9,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [575302] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13054), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7498), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [575324] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14618), 1,
      anon_sym_finally,
    STATE(13280), 1,
      sym_finally_clause,
    STATE(13055), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12910), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [575350] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13056), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 9,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [575372] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13057), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11320), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [575394] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13058), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12754), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [575416] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13059), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12754), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [575438] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15218), 1,
      anon_sym_if,
    STATE(13531), 1,
      sym_guard,
    STATE(13060), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enumerator_repeat1,
    ACTIONS(15216), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [575464] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13061), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13666), 9,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [575486] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13062), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11316), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [575508] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15221), 1,
      anon_sym_catch,
    ACTIONS(15223), 1,
      anon_sym_finally,
    STATE(11375), 1,
      sym_finally_clause,
    STATE(13324), 1,
      sym_catch_clause,
    STATE(13063), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13589), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
  [575538] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15225), 1,
      anon_sym_SEMI,
    ACTIONS(15228), 1,
      anon_sym_else,
    ACTIONS(14964), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13064), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14967), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_catch,
      anon_sym_finally,
  [575566] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12818), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13065), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12816), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [575590] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13066), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12884), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [575612] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13067), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7552), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [575634] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13068), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12208), 9,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [575656] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13069), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12856), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [575678] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13070), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15231), 9,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [575700] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13071), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12882), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [575722] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13072), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11306), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [575744] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13073), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11302), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [575766] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13074), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11344), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [575788] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13075), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12754), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [575810] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12949), 1,
      anon_sym_match,
    ACTIONS(15148), 1,
      anon_sym_LBRACK,
    STATE(9018), 1,
      sym_type_arguments,
    STATE(13076), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12957), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [575838] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13077), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12811), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [575860] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13078), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12877), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [575882] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13079), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8027), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [575904] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13080), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12873), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [575926] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13081), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12871), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [575948] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13082), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12863), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [575970] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13083), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7552), 9,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [575992] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13084), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7716), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [576014] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7236), 1,
      anon_sym_LBRACE,
    ACTIONS(12343), 1,
      anon_sym_COLON,
    STATE(14011), 1,
      aux_sym_compound_type_repeat1,
    STATE(15535), 1,
      sym__refinement,
    STATE(15628), 1,
      sym_template_body,
    ACTIONS(7668), 2,
      anon_sym_with,
      anon_sym_LPAREN,
    STATE(13085), 2,
      sym_comment,
      sym_block_comment,
    STATE(15707), 2,
      sym__indented_template_body,
      sym__braced_template_body,
  [576048] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15146), 1,
      anon_sym_LBRACK,
    STATE(8884), 1,
      sym_type_arguments,
    STATE(13086), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12951), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [576074] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13087), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11285), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [576096] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13088), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12856), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [576118] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13089), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12847), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [576140] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15233), 1,
      anon_sym_SEMI,
    ACTIONS(15236), 1,
      anon_sym_else,
    STATE(13090), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14957), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
  [576166] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15239), 1,
      anon_sym_SEMI,
    ACTIONS(15241), 1,
      anon_sym_else,
    ACTIONS(14964), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13091), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14967), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
  [576194] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13092), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12845), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [576216] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13093), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7704), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [576238] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13094), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11292), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [576260] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13095), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11371), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [576282] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13096), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 9,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [576304] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13097), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8733), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [576326] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13098), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8733), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [576348] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13099), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11285), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [576370] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13100), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9554), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [576392] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15243), 1,
      anon_sym_LBRACK,
    STATE(9052), 1,
      sym_type_arguments,
    STATE(13101), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12953), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [576418] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13102), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9130), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [576440] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15243), 1,
      anon_sym_LBRACK,
    STATE(9052), 1,
      sym_type_arguments,
    STATE(13103), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12955), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [576466] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12853), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13104), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12851), 7,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [576490] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13105), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7584), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [576512] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13106), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7704), 9,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [576534] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15245), 1,
      anon_sym_AT,
    STATE(13537), 1,
      sym_annotation,
    STATE(13107), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8283), 6,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
  [576560] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15248), 1,
      anon_sym_SEMI,
    ACTIONS(15251), 1,
      anon_sym_else,
    ACTIONS(14964), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13108), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14967), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_finally,
  [576588] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15254), 1,
      anon_sym_SEMI,
    ACTIONS(15257), 1,
      anon_sym_else,
    STATE(13109), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14957), 7,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_finally,
  [576614] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13110), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [576636] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15260), 1,
      anon_sym_SEMI,
    ACTIONS(15263), 1,
      anon_sym_else,
    ACTIONS(14964), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13111), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14967), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_finally,
  [576664] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15265), 1,
      anon_sym_SEMI,
    ACTIONS(15268), 1,
      anon_sym_else,
    STATE(13112), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14957), 7,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_finally,
  [576690] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13113), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12849), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [576712] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14831), 1,
      anon_sym_finally,
    STATE(11559), 1,
      sym_finally_clause,
    STATE(13114), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12910), 7,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [576738] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15270), 1,
      anon_sym_LPAREN,
    STATE(13503), 1,
      sym_arguments,
    STATE(13115), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(7788), 6,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
  [576764] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13116), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14997), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [576786] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9498), 1,
      anon_sym_COLON,
    STATE(13117), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8733), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [576810] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15096), 1,
      anon_sym_finally,
    STATE(13210), 1,
      sym_finally_clause,
    STATE(13118), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12910), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
  [576836] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13119), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9180), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [576858] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13120), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12847), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [576880] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15275), 1,
      anon_sym_COMMA,
    STATE(13121), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_derives_clause_repeat1,
    ACTIONS(15273), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [576904] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13122), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12845), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [576926] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14888), 1,
      anon_sym_finally,
    STATE(12531), 1,
      sym_finally_clause,
    STATE(13123), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12910), 7,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [576952] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13124), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9134), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [576974] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15182), 1,
      anon_sym_COMMA,
    STATE(13121), 1,
      aux_sym_derives_clause_repeat1,
    STATE(13125), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15278), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [577000] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13126), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9159), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [577022] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14999), 1,
      anon_sym_catch,
    ACTIONS(15280), 1,
      anon_sym_finally,
    STATE(12538), 1,
      sym_finally_clause,
    STATE(13495), 1,
      sym_catch_clause,
    STATE(13127), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13589), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
  [577052] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13128), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12830), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [577074] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15110), 1,
      anon_sym_LBRACK,
    STATE(9192), 1,
      sym_type_arguments,
    STATE(13129), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12943), 7,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [577100] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13130), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7710), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [577122] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13131), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10073), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [577144] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13132), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11344), 9,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [577166] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13133), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9082), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [577188] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15282), 1,
      anon_sym_catch,
    ACTIONS(15284), 1,
      anon_sym_finally,
    STATE(12990), 1,
      sym_finally_clause,
    STATE(13430), 1,
      sym_catch_clause,
    STATE(13134), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13589), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
  [577218] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13135), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7716), 9,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [577240] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14558), 1,
      anon_sym_LT_COLON,
    ACTIONS(14560), 1,
      anon_sym_GT_COLON,
    STATE(13622), 1,
      sym_lower_bound,
    STATE(13645), 1,
      sym_upper_bound,
    STATE(13136), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15214), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [577270] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13137), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11337), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [577292] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13138), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12184), 9,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [577314] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14795), 1,
      anon_sym_finally,
    STATE(13000), 1,
      sym_finally_clause,
    STATE(13139), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12910), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [577340] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15150), 1,
      anon_sym_catch,
    ACTIONS(15286), 1,
      anon_sym_finally,
    STATE(12636), 1,
      sym_finally_clause,
    STATE(13550), 1,
      sym_catch_clause,
    STATE(13140), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13589), 5,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
  [577370] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15110), 1,
      anon_sym_LBRACK,
    STATE(9192), 1,
      sym_type_arguments,
    STATE(13141), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12955), 7,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [577396] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13142), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7714), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [577418] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13143), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12826), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [577440] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13144), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7720), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [577462] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13145), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9144), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [577484] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15208), 1,
      anon_sym_catch,
    ACTIONS(15288), 1,
      anon_sym_finally,
    STATE(13395), 1,
      sym_finally_clause,
    STATE(13605), 1,
      sym_catch_clause,
    STATE(13146), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13589), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
  [577514] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15243), 1,
      anon_sym_LBRACK,
    ACTIONS(15290), 1,
      anon_sym_match,
    STATE(9052), 1,
      sym_type_arguments,
    STATE(13147), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12957), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
  [577542] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9498), 1,
      anon_sym_COLON,
    STATE(13148), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8733), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [577566] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15243), 1,
      anon_sym_LBRACK,
    STATE(9052), 1,
      sym_type_arguments,
    STATE(13149), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12951), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [577592] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13150), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9130), 9,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [577614] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12949), 1,
      anon_sym_match,
    ACTIONS(15148), 1,
      anon_sym_LBRACK,
    STATE(9018), 1,
      sym_type_arguments,
    STATE(13151), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12754), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [577642] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15292), 1,
      anon_sym_STAR,
    STATE(13152), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12420), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [577666] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13153), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10058), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [577688] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15110), 1,
      anon_sym_LBRACK,
    STATE(9192), 1,
      sym_type_arguments,
    STATE(13154), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12947), 7,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [577714] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15243), 1,
      anon_sym_LBRACK,
    STATE(9052), 1,
      sym_type_arguments,
    STATE(13155), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12943), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [577740] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13156), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12845), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [577762] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13157), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [577784] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14749), 1,
      anon_sym_finally,
    STATE(11818), 1,
      sym_finally_clause,
    STATE(13158), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12910), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [577810] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13159), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9134), 9,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [577832] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13160), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10468), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [577854] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13161), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12828), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [577876] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13162), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12884), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [577898] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13163), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15068), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [577920] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13164), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12826), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [577942] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13165), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15049), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [577964] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13166), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9029), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [577986] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13167), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12849), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [578008] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13168), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12882), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [578030] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13169), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12847), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [578052] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13170), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9021), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [578074] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14953), 1,
      anon_sym_catch,
    ACTIONS(15294), 1,
      anon_sym_finally,
    STATE(13588), 1,
      sym_catch_clause,
    STATE(13618), 1,
      sym_finally_clause,
    STATE(13171), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13589), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
  [578104] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15296), 1,
      anon_sym_STAR,
    STATE(13172), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12420), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [578128] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9498), 1,
      anon_sym_COLON,
    STATE(13173), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8733), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [578152] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12823), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13174), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12821), 7,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [578176] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13175), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12849), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [578198] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13176), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9021), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [578220] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13177), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12830), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [578242] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13178), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12811), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [578264] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13179), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9029), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [578286] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13180), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9021), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [578308] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12853), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13181), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12851), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [578332] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13182), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9134), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [578354] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13183), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12754), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [578376] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12818), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13184), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12816), 7,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [578400] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13185), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8733), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [578422] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15298), 1,
      anon_sym_SEMI,
    ACTIONS(15301), 1,
      anon_sym_else,
    ACTIONS(14964), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13186), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14967), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_catch,
      anon_sym_finally,
  [578450] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13187), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9029), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [578472] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13188), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9130), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [578494] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15303), 1,
      anon_sym_with,
    STATE(13189), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(8804), 7,
      sym__automatic_semicolon,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [578518] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13190), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14948), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [578540] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13191), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12856), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [578562] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15146), 1,
      anon_sym_LBRACK,
    ACTIONS(15306), 1,
      anon_sym_match,
    STATE(8884), 1,
      sym_type_arguments,
    STATE(13192), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12957), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_finally,
  [578590] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13193), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9082), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [578612] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13194), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 9,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [578634] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15146), 1,
      anon_sym_LBRACK,
    STATE(8884), 1,
      sym_type_arguments,
    STATE(13195), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12955), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [578660] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13196), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9144), 9,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [578682] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15146), 1,
      anon_sym_LBRACK,
    ACTIONS(15306), 1,
      anon_sym_match,
    STATE(8884), 1,
      sym_type_arguments,
    STATE(13197), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12754), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_finally,
  [578710] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13198), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7714), 9,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [578732] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15308), 1,
      anon_sym_SEMI,
    ACTIONS(15311), 1,
      anon_sym_else,
    ACTIONS(14964), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13199), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14967), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
  [578760] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13200), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12877), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [578782] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13201), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12180), 9,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [578804] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13202), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11292), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [578826] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13203), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7584), 9,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [578848] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13204), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12828), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [578870] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15148), 1,
      anon_sym_LBRACK,
    STATE(9018), 1,
      sym_type_arguments,
    STATE(13205), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12953), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [578896] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13206), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12826), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [578918] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13207), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9144), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [578940] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12823), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13208), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12821), 7,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [578964] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13209), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7330), 9,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [578986] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13210), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12871), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [579008] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15243), 1,
      anon_sym_LBRACK,
    ACTIONS(15290), 1,
      anon_sym_match,
    STATE(9052), 1,
      sym_type_arguments,
    STATE(13211), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12754), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
  [579036] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13212), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9180), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [579058] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13213), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12116), 9,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [579080] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15148), 1,
      anon_sym_LBRACK,
    STATE(9018), 1,
      sym_type_arguments,
    STATE(13214), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12955), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [579106] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13215), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [579128] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13216), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11344), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [579150] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13217), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10611), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [579172] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13218), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11302), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [579194] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13219), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14951), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [579216] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13220), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11337), 9,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [579238] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13221), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11306), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [579260] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15146), 1,
      anon_sym_LBRACK,
    STATE(8884), 1,
      sym_type_arguments,
    STATE(13222), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12953), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [579286] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15148), 1,
      anon_sym_LBRACK,
    STATE(9018), 1,
      sym_type_arguments,
    STATE(13223), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12947), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [579312] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13224), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7710), 9,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [579334] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13225), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12877), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [579356] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13226), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12811), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [579378] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13227), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12863), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [579400] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12818), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13228), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12816), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [579424] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13229), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8733), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [579446] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15106), 1,
      anon_sym_catch,
    ACTIONS(15314), 1,
      anon_sym_finally,
    STATE(12974), 1,
      sym_finally_clause,
    STATE(13472), 1,
      sym_catch_clause,
    STATE(13230), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13589), 5,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [579476] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13231), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12873), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [579498] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13232), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11371), 9,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [579520] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13233), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11316), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [579542] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13234), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15078), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [579564] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13235), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9180), 9,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [579586] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12818), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13236), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12816), 7,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [579610] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13237), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7694), 9,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [579632] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14763), 1,
      anon_sym_finally,
    STATE(12531), 1,
      sym_finally_clause,
    STATE(13238), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12910), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [579658] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15316), 1,
      anon_sym_STAR,
    STATE(13239), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12420), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [579682] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15318), 1,
      anon_sym_end,
    STATE(9521), 1,
      sym__end_marker,
    STATE(13240), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9292), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [579708] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13241), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9029), 9,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [579730] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13242), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11285), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [579752] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13243), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9082), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [579774] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15146), 1,
      anon_sym_LBRACK,
    STATE(8884), 1,
      sym_type_arguments,
    STATE(13244), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12943), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [579800] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13245), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15032), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [579822] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13246), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11395), 9,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [579844] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13247), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9159), 9,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [579866] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13248), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11320), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [579888] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13249), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9021), 9,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [579910] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13250), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9159), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [579932] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13251), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9180), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [579954] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15320), 1,
      anon_sym_SEMI,
    ACTIONS(15323), 1,
      anon_sym_else,
    ACTIONS(14964), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13252), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14967), 5,
      sym__automatic_semicolon,
      anon_sym_if,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [579982] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13253), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14915), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [580004] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15326), 1,
      anon_sym_SEMI,
    ACTIONS(15329), 1,
      anon_sym_else,
    STATE(13254), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14957), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [580030] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15148), 1,
      anon_sym_LBRACK,
    STATE(9018), 1,
      sym_type_arguments,
    STATE(13255), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12951), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [580056] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13256), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11337), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [580078] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14604), 1,
      anon_sym_finally,
    STATE(12952), 1,
      sym_finally_clause,
    STATE(13257), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12910), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
  [580104] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13258), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9082), 9,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [580126] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15332), 1,
      anon_sym_SEMI,
    ACTIONS(15335), 1,
      anon_sym_else,
    STATE(13259), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14957), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [580152] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13260), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15057), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [580174] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15337), 1,
      anon_sym_SEMI,
    ACTIONS(15340), 1,
      anon_sym_else,
    ACTIONS(14964), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13261), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14967), 5,
      sym__automatic_semicolon,
      anon_sym_if,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [580202] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13262), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12847), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [580223] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15342), 1,
      anon_sym_LBRACK,
    STATE(9572), 1,
      sym_type_arguments,
    STATE(13263), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12951), 6,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [580248] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9498), 1,
      anon_sym_COLON,
    STATE(13264), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8733), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [580271] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13265), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12910), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [580292] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15344), 1,
      anon_sym_SEMI,
    ACTIONS(15347), 1,
      anon_sym_else,
    ACTIONS(14964), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13266), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14967), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_catch,
      anon_sym_finally,
  [580319] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13267), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12899), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [580340] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14955), 1,
      anon_sym_finally,
    STATE(13595), 1,
      sym_finally_clause,
    STATE(13268), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12910), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
  [580365] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13269), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12901), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [580386] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15349), 1,
      anon_sym_COMMA,
    ACTIONS(15351), 1,
      anon_sym_with,
    STATE(13555), 1,
      aux_sym__constructor_applications_repeat2,
    STATE(13772), 1,
      aux_sym__constructor_applications_repeat1,
    STATE(13270), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13074), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [580415] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13271), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 8,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [580436] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13272), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12899), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [580457] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15015), 1,
      anon_sym_finally,
    STATE(13303), 1,
      sym_finally_clause,
    STATE(13273), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12910), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [580482] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13274), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12856), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [580503] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13275), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12420), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [580524] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13276), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12863), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [580545] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12773), 1,
      anon_sym_COLON,
    ACTIONS(12783), 1,
      anon_sym_LT_PERCENT,
    STATE(13730), 1,
      aux_sym__type_parameter_repeat1,
    STATE(14046), 1,
      aux_sym__type_parameter_repeat2,
    STATE(14359), 1,
      sym_view_bound,
    STATE(15306), 1,
      sym_context_bound,
    ACTIONS(14983), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(13277), 2,
      sym_comment,
      sym_block_comment,
  [580578] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15353), 1,
      anon_sym_SEMI,
    ACTIONS(15356), 1,
      anon_sym_else,
    ACTIONS(14964), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13278), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14967), 4,
      sym__automatic_semicolon,
      anon_sym_if,
      anon_sym_do,
      anon_sym_yield,
  [580605] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15359), 1,
      anon_sym_SEMI,
    ACTIONS(15362), 1,
      anon_sym_else,
    STATE(13279), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14957), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_do,
      anon_sym_yield,
  [580630] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13280), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12871), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [580651] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15017), 1,
      anon_sym_finally,
    STATE(13595), 1,
      sym_finally_clause,
    STATE(13281), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12910), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [580676] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12773), 1,
      anon_sym_COLON,
    ACTIONS(12783), 1,
      anon_sym_LT_PERCENT,
    STATE(13445), 1,
      aux_sym__type_parameter_repeat1,
    STATE(14046), 1,
      aux_sym__type_parameter_repeat2,
    STATE(14359), 1,
      sym_view_bound,
    STATE(15306), 1,
      sym_context_bound,
    ACTIONS(14983), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(13282), 2,
      sym_comment,
      sym_block_comment,
  [580709] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13283), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12849), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [580730] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12035), 1,
      anon_sym_LPAREN,
    ACTIONS(12559), 1,
      sym__automatic_semicolon,
    STATE(12760), 1,
      sym_class_parameters,
    STATE(13394), 1,
      aux_sym__class_constructor_repeat1,
    STATE(13284), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12673), 4,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_extends,
      anon_sym_derives,
  [580759] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13285), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12873), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [580780] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15365), 1,
      anon_sym_LBRACK,
    STATE(9342), 1,
      sym_type_arguments,
    STATE(13286), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12951), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [580805] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13287), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13666), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [580826] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13288), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12882), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [580847] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15367), 1,
      anon_sym_LBRACK,
    STATE(9374), 1,
      sym_type_arguments,
    STATE(13289), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12953), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [580872] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13290), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12847), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [580893] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15367), 1,
      anon_sym_LBRACK,
    STATE(9374), 1,
      sym_type_arguments,
    STATE(13291), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12955), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [580918] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14010), 1,
      anon_sym_LPAREN,
    ACTIONS(15371), 1,
      anon_sym_extends,
    ACTIONS(15373), 1,
      sym__automatic_semicolon,
    STATE(13599), 1,
      aux_sym__full_enum_def_repeat1,
    STATE(13909), 1,
      sym_class_parameters,
    STATE(14373), 1,
      sym_extends_clause,
    ACTIONS(15369), 2,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    STATE(13292), 2,
      sym_comment,
      sym_block_comment,
  [580951] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13293), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12845), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [580972] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14519), 1,
      anon_sym_LBRACK,
    ACTIONS(14539), 1,
      anon_sym_match,
    STATE(8077), 1,
      sym_type_arguments,
    STATE(13973), 1,
      aux_sym__block_repeat1,
    ACTIONS(15376), 2,
      anon_sym_RBRACE,
      anon_sym_case,
    ACTIONS(15378), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(13294), 2,
      sym_comment,
      sym_block_comment,
  [581003] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13295), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12884), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [581024] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14338), 1,
      anon_sym_LPAREN,
    ACTIONS(15380), 1,
      anon_sym_extends,
    ACTIONS(15382), 1,
      sym__automatic_semicolon,
    STATE(13614), 1,
      aux_sym__full_enum_def_repeat1,
    STATE(13827), 1,
      sym_class_parameters,
    STATE(14908), 1,
      sym_extends_clause,
    ACTIONS(15369), 2,
      sym__outdent,
      anon_sym_SEMI,
    STATE(13296), 2,
      sym_comment,
      sym_block_comment,
  [581057] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12773), 1,
      anon_sym_COLON,
    ACTIONS(12783), 1,
      anon_sym_LT_PERCENT,
    STATE(13730), 1,
      aux_sym__type_parameter_repeat1,
    STATE(14019), 1,
      aux_sym__type_parameter_repeat2,
    STATE(14359), 1,
      sym_view_bound,
    STATE(15306), 1,
      sym_context_bound,
    ACTIONS(15385), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(13297), 2,
      sym_comment,
      sym_block_comment,
  [581090] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13298), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12847), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [581111] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13299), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12873), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [581132] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13300), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12884), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [581153] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13301), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12882), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [581174] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13302), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12208), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [581195] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13303), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12871), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [581216] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13304), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12863), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [581237] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15387), 1,
      anon_sym_COLON,
    STATE(13305), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15389), 7,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [581260] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13306), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12884), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [581281] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13307), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12845), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [581302] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13308), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12754), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [581323] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12035), 1,
      anon_sym_LPAREN,
    ACTIONS(12559), 1,
      sym__automatic_semicolon,
    STATE(12045), 1,
      aux_sym__class_constructor_repeat1,
    STATE(12760), 1,
      sym_class_parameters,
    STATE(13309), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14141), 4,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_extends,
      anon_sym_derives,
  [581352] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13310), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12882), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [581373] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15391), 1,
      anon_sym_SEMI,
    ACTIONS(15394), 1,
      anon_sym_else,
    STATE(13311), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14957), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_do,
      anon_sym_yield,
  [581398] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13169), 1,
      anon_sym_match,
    ACTIONS(15396), 1,
      anon_sym_LBRACK,
    STATE(9396), 1,
      sym_type_arguments,
    STATE(13312), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12754), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [581425] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13313), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12873), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [581446] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13314), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12871), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [581467] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13315), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12877), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [581488] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13316), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12811), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [581509] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13317), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12856), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [581530] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15398), 1,
      anon_sym_SEMI,
    ACTIONS(15401), 1,
      anon_sym_else,
    ACTIONS(14964), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13318), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14967), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_finally,
  [581557] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13319), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9067), 8,
      sym__automatic_semicolon,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [581578] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12853), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13320), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12851), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_finally,
  [581601] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15367), 1,
      anon_sym_LBRACK,
    ACTIONS(15403), 1,
      anon_sym_match,
    STATE(9374), 1,
      sym_type_arguments,
    STATE(13321), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12957), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
  [581628] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13322), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12849), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [581649] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13323), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12847), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [581670] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15223), 1,
      anon_sym_finally,
    STATE(11575), 1,
      sym_finally_clause,
    STATE(13324), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12910), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
  [581695] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13325), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12420), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [581716] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13326), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12845), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [581737] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15405), 1,
      anon_sym_SEMI,
    ACTIONS(15408), 1,
      anon_sym_else,
    ACTIONS(14964), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13327), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14967), 4,
      sym__automatic_semicolon,
      anon_sym_if,
      anon_sym_do,
      anon_sym_yield,
  [581764] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13328), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12863), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [581785] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13329), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12901), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [581806] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6134), 1,
      anon_sym_LBRACE,
    ACTIONS(12478), 1,
      anon_sym_COLON,
    STATE(15051), 1,
      sym_template_body,
    STATE(6306), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13330), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15410), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [581835] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13331), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12830), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [581856] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13332), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12420), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [581877] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15412), 1,
      anon_sym_as,
    STATE(13333), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15201), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
  [581900] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13334), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12910), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [581921] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15414), 1,
      anon_sym_SEMI,
    ACTIONS(15417), 1,
      anon_sym_else,
    ACTIONS(14964), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13335), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14967), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_catch,
      anon_sym_finally,
  [581948] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15052), 1,
      anon_sym_finally,
    STATE(12531), 1,
      sym_finally_clause,
    STATE(13336), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12910), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
  [581973] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13337), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8733), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [581994] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13338), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8733), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [582015] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15001), 1,
      anon_sym_finally,
    STATE(11818), 1,
      sym_finally_clause,
    STATE(13339), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12910), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
  [582040] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15367), 1,
      anon_sym_LBRACK,
    STATE(9374), 1,
      sym_type_arguments,
    STATE(13340), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12943), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [582065] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12035), 1,
      anon_sym_LPAREN,
    ACTIONS(12559), 1,
      sym__automatic_semicolon,
    STATE(12760), 1,
      sym_class_parameters,
    STATE(13390), 1,
      aux_sym__class_constructor_repeat1,
    STATE(13341), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12565), 4,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_extends,
      anon_sym_derives,
  [582094] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15365), 1,
      anon_sym_LBRACK,
    STATE(9342), 1,
      sym_type_arguments,
    STATE(13342), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12947), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [582119] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13343), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12180), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [582140] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13344), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12828), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [582161] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13345), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12826), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [582182] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15396), 1,
      anon_sym_LBRACK,
    STATE(9396), 1,
      sym_type_arguments,
    STATE(13346), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12953), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [582207] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12823), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13347), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12821), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
  [582230] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13348), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [582251] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12818), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13349), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12816), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
  [582274] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15396), 1,
      anon_sym_LBRACK,
    STATE(9396), 1,
      sym_type_arguments,
    STATE(13350), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12955), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [582299] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13351), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12184), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [582320] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15422), 1,
      anon_sym_DOT,
    STATE(13376), 1,
      aux_sym_package_identifier_repeat1,
    STATE(13352), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15420), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [582345] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15367), 1,
      anon_sym_LBRACK,
    ACTIONS(15403), 1,
      anon_sym_match,
    ACTIONS(15424), 1,
      anon_sym_if,
    STATE(9374), 1,
      sym_type_arguments,
    STATE(15114), 1,
      sym_guard,
    STATE(13353), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14745), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
  [582376] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12035), 1,
      anon_sym_LPAREN,
    ACTIONS(12559), 1,
      sym__automatic_semicolon,
    STATE(12045), 1,
      aux_sym__class_constructor_repeat1,
    STATE(12760), 1,
      sym_class_parameters,
    STATE(13354), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13910), 4,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_extends,
      anon_sym_derives,
  [582405] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15426), 1,
      anon_sym_STAR,
    STATE(13355), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12420), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [582428] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13356), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15231), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [582449] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13357), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15428), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_derives,
      anon_sym_SEMI,
  [582470] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12853), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13358), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12851), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
  [582493] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15430), 1,
      anon_sym_with,
    STATE(13545), 1,
      aux_sym__constructor_applications_repeat2,
    STATE(13746), 1,
      aux_sym__constructor_applications_repeat1,
    STATE(13359), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13074), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [582520] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13360), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12899), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [582541] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14010), 1,
      anon_sym_LPAREN,
    ACTIONS(15371), 1,
      anon_sym_extends,
    ACTIONS(15434), 1,
      sym__automatic_semicolon,
    STATE(13599), 1,
      aux_sym__full_enum_def_repeat1,
    STATE(13909), 1,
      sym_class_parameters,
    STATE(14608), 1,
      sym_extends_clause,
    ACTIONS(15432), 2,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    STATE(13361), 2,
      sym_comment,
      sym_block_comment,
  [582574] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13362), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12126), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [582595] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12035), 1,
      anon_sym_LPAREN,
    ACTIONS(12559), 1,
      sym__automatic_semicolon,
    STATE(12045), 1,
      aux_sym__class_constructor_repeat1,
    STATE(12760), 1,
      sym_class_parameters,
    STATE(13363), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13643), 4,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_extends,
      anon_sym_derives,
  [582624] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13364), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12116), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [582645] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15437), 1,
      anon_sym_SEMI,
    ACTIONS(15440), 1,
      anon_sym_else,
    ACTIONS(14964), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13365), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14967), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
  [582672] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15443), 1,
      anon_sym_SEMI,
    ACTIONS(15445), 1,
      anon_sym_else,
    ACTIONS(14964), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13366), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14967), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
  [582699] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13367), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12856), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [582720] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13368), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15447), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [582741] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15449), 1,
      anon_sym_SEMI,
    ACTIONS(15452), 1,
      anon_sym_else,
    STATE(13369), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14957), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
  [582766] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15396), 1,
      anon_sym_LBRACK,
    STATE(9396), 1,
      sym_type_arguments,
    STATE(13370), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12947), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [582791] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15455), 1,
      anon_sym_COMMA,
    STATE(13417), 1,
      aux_sym_derives_clause_repeat1,
    STATE(13371), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15278), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [582816] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15162), 1,
      anon_sym_finally,
    STATE(12364), 1,
      sym_finally_clause,
    STATE(13372), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12910), 6,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
  [582841] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15457), 1,
      anon_sym_DOT,
    STATE(13373), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [582864] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13374), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8027), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [582885] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15459), 1,
      anon_sym_SEMI,
    ACTIONS(15462), 1,
      anon_sym_else,
    ACTIONS(14964), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13375), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14967), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_if,
      anon_sym_RPAREN,
  [582912] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15467), 1,
      anon_sym_DOT,
    STATE(13419), 1,
      aux_sym_package_identifier_repeat1,
    STATE(13376), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15465), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [582937] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12853), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13377), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12851), 6,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [582960] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13378), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12811), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [582981] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13379), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12877), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [583002] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13380), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12849), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [583023] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15074), 1,
      anon_sym_finally,
    STATE(11559), 1,
      sym_finally_clause,
    STATE(13381), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12910), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [583048] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15062), 1,
      anon_sym_finally,
    STATE(12059), 1,
      sym_finally_clause,
    STATE(13382), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12910), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [583073] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13383), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12845), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [583094] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15469), 1,
      anon_sym_SEMI,
    ACTIONS(15472), 1,
      anon_sym_else,
    STATE(13384), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14957), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
  [583119] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13385), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12830), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [583140] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13386), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12221), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [583161] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12035), 1,
      anon_sym_LPAREN,
    ACTIONS(12559), 1,
      sym__automatic_semicolon,
    STATE(12760), 1,
      sym_class_parameters,
    STATE(13309), 1,
      aux_sym__class_constructor_repeat1,
    STATE(13387), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14307), 4,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_extends,
      anon_sym_derives,
  [583190] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13388), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12754), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [583211] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15475), 1,
      anon_sym_SEMI,
    ACTIONS(15478), 1,
      anon_sym_else,
    STATE(13389), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14957), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
  [583236] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12035), 1,
      anon_sym_LPAREN,
    ACTIONS(12559), 1,
      sym__automatic_semicolon,
    STATE(12045), 1,
      aux_sym__class_constructor_repeat1,
    STATE(12760), 1,
      sym_class_parameters,
    STATE(13390), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14312), 4,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_extends,
      anon_sym_derives,
  [583265] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13391), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12229), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [583286] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15365), 1,
      anon_sym_LBRACK,
    STATE(9342), 1,
      sym_type_arguments,
    STATE(13392), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12943), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [583311] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14338), 1,
      anon_sym_LPAREN,
    ACTIONS(15380), 1,
      anon_sym_extends,
    ACTIONS(15480), 1,
      sym__automatic_semicolon,
    STATE(13614), 1,
      aux_sym__full_enum_def_repeat1,
    STATE(13827), 1,
      sym_class_parameters,
    STATE(14944), 1,
      sym_extends_clause,
    ACTIONS(15432), 2,
      sym__outdent,
      anon_sym_SEMI,
    STATE(13393), 2,
      sym_comment,
      sym_block_comment,
  [583344] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12035), 1,
      anon_sym_LPAREN,
    ACTIONS(12559), 1,
      sym__automatic_semicolon,
    STATE(12045), 1,
      aux_sym__class_constructor_repeat1,
    STATE(12760), 1,
      sym_class_parameters,
    STATE(13394), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13929), 4,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_extends,
      anon_sym_derives,
  [583373] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13395), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12910), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [583394] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12035), 1,
      anon_sym_LPAREN,
    ACTIONS(12559), 1,
      sym__automatic_semicolon,
    STATE(12045), 1,
      aux_sym__class_constructor_repeat1,
    STATE(12760), 1,
      sym_class_parameters,
    STATE(13396), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14317), 4,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_extends,
      anon_sym_derives,
  [583423] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13397), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12828), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [583444] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13398), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12826), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [583465] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15483), 1,
      anon_sym_SEMI,
    ACTIONS(15486), 1,
      anon_sym_else,
    STATE(13399), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14957), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_finally,
  [583490] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12773), 1,
      anon_sym_COLON,
    ACTIONS(12783), 1,
      anon_sym_LT_PERCENT,
    STATE(13730), 1,
      aux_sym__type_parameter_repeat1,
    STATE(13835), 1,
      aux_sym__type_parameter_repeat2,
    STATE(14359), 1,
      sym_view_bound,
    STATE(15306), 1,
      sym_context_bound,
    ACTIONS(15488), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(13400), 2,
      sym_comment,
      sym_block_comment,
  [583523] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15490), 1,
      anon_sym_SEMI,
    ACTIONS(15493), 1,
      anon_sym_else,
    ACTIONS(14964), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13401), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14967), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_if,
      anon_sym_RPAREN,
  [583550] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13402), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12830), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [583571] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12823), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13403), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12821), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_finally,
  [583594] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12035), 1,
      anon_sym_LPAREN,
    ACTIONS(12559), 1,
      sym__automatic_semicolon,
    STATE(12760), 1,
      sym_class_parameters,
    STATE(13396), 1,
      aux_sym__class_constructor_repeat1,
    STATE(13404), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13917), 4,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_extends,
      anon_sym_derives,
  [583623] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13405), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12219), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [583644] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15367), 1,
      anon_sym_LBRACK,
    ACTIONS(15403), 1,
      anon_sym_match,
    STATE(9374), 1,
      sym_type_arguments,
    STATE(13406), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12754), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
  [583671] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12818), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13407), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12816), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_finally,
  [583694] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13408), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12118), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [583715] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12773), 1,
      anon_sym_COLON,
    ACTIONS(12783), 1,
      anon_sym_LT_PERCENT,
    STATE(13297), 1,
      aux_sym__type_parameter_repeat1,
    STATE(13835), 1,
      aux_sym__type_parameter_repeat2,
    STATE(14359), 1,
      sym_view_bound,
    STATE(15306), 1,
      sym_context_bound,
    ACTIONS(15488), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(13409), 2,
      sym_comment,
      sym_block_comment,
  [583748] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15351), 1,
      anon_sym_with,
    STATE(13555), 1,
      aux_sym__constructor_applications_repeat2,
    STATE(13761), 1,
      aux_sym__constructor_applications_repeat1,
    STATE(13410), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13074), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [583775] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15495), 1,
      anon_sym_SEMI,
    ACTIONS(15498), 1,
      anon_sym_else,
    STATE(13411), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14957), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
  [583800] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15199), 1,
      anon_sym_finally,
    STATE(12364), 1,
      sym_finally_clause,
    STATE(13412), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12910), 6,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_do,
  [583825] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13169), 1,
      anon_sym_match,
    ACTIONS(15396), 1,
      anon_sym_LBRACK,
    STATE(9396), 1,
      sym_type_arguments,
    STATE(13413), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12957), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [583852] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15367), 1,
      anon_sym_LBRACK,
    ACTIONS(15403), 1,
      anon_sym_match,
    STATE(9374), 1,
      sym_type_arguments,
    STATE(14022), 1,
      aux_sym__block_repeat1,
    ACTIONS(15376), 2,
      sym__outdent,
      anon_sym_case,
    ACTIONS(15500), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(13414), 2,
      sym_comment,
      sym_block_comment,
  [583883] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12995), 1,
      anon_sym_match,
    ACTIONS(15365), 1,
      anon_sym_LBRACK,
    STATE(9342), 1,
      sym_type_arguments,
    STATE(13415), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12957), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [583910] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12773), 1,
      anon_sym_COLON,
    ACTIONS(12783), 1,
      anon_sym_LT_PERCENT,
    STATE(13730), 1,
      aux_sym__type_parameter_repeat1,
    STATE(13839), 1,
      aux_sym__type_parameter_repeat2,
    STATE(14359), 1,
      sym_view_bound,
    STATE(15306), 1,
      sym_context_bound,
    ACTIONS(15502), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(13416), 2,
      sym_comment,
      sym_block_comment,
  [583943] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15504), 1,
      anon_sym_COMMA,
    STATE(13417), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_derives_clause_repeat1,
    ACTIONS(15273), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [583966] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15507), 1,
      anon_sym_SEMI,
    ACTIONS(15510), 1,
      anon_sym_else,
    ACTIONS(14964), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13418), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14967), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_if,
      anon_sym_finally,
  [583993] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15513), 1,
      anon_sym_DOT,
    STATE(13419), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_package_identifier_repeat1,
    ACTIONS(15201), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [584016] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15516), 1,
      anon_sym_SEMI,
    ACTIONS(15519), 1,
      anon_sym_else,
    STATE(13420), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14957), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_finally,
  [584041] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15522), 1,
      anon_sym_SEMI,
    ACTIONS(15524), 1,
      anon_sym_else,
    STATE(13421), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14957), 6,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
  [584066] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13422), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8733), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [584087] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15342), 1,
      anon_sym_LBRACK,
    STATE(9572), 1,
      sym_type_arguments,
    STATE(13423), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12955), 6,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [584112] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15526), 1,
      anon_sym_SEMI,
    ACTIONS(15529), 1,
      anon_sym_else,
    ACTIONS(14964), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13424), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14967), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_finally,
  [584139] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15532), 1,
      anon_sym_SEMI,
    ACTIONS(15535), 1,
      anon_sym_else,
    STATE(13425), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14957), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_finally,
  [584164] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15538), 1,
      anon_sym_SEMI,
    ACTIONS(15541), 1,
      anon_sym_else,
    ACTIONS(14964), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13426), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14967), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_if,
      anon_sym_finally,
  [584191] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15543), 1,
      anon_sym_SEMI,
    ACTIONS(15546), 1,
      anon_sym_else,
    STATE(13427), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14957), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_finally,
  [584216] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15342), 1,
      anon_sym_LBRACK,
    STATE(9572), 1,
      sym_type_arguments,
    STATE(13428), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12953), 6,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [584241] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15102), 1,
      anon_sym_LT_COLON,
    ACTIONS(15104), 1,
      anon_sym_GT_COLON,
    STATE(13645), 1,
      sym_upper_bound,
    STATE(13646), 1,
      sym_lower_bound,
    STATE(13429), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15214), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_EQ,
      anon_sym_SEMI,
  [584270] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15284), 1,
      anon_sym_finally,
    STATE(13081), 1,
      sym_finally_clause,
    STATE(13430), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12910), 6,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
  [584295] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13431), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12901), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [584316] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15548), 1,
      anon_sym_SEMI,
    ACTIONS(15551), 1,
      anon_sym_else,
    ACTIONS(14964), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13432), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14967), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_finally,
  [584343] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12995), 1,
      anon_sym_match,
    ACTIONS(15365), 1,
      anon_sym_LBRACK,
    STATE(9342), 1,
      sym_type_arguments,
    STATE(13433), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12754), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [584370] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7338), 1,
      anon_sym_DOT,
    STATE(13434), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [584393] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15554), 1,
      anon_sym_SEMI,
    ACTIONS(15557), 1,
      anon_sym_else,
    STATE(13435), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14957), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_finally,
  [584418] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15342), 1,
      anon_sym_LBRACK,
    ACTIONS(15560), 1,
      anon_sym_match,
    STATE(9572), 1,
      sym_type_arguments,
    STATE(13436), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12957), 5,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [584445] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15396), 1,
      anon_sym_LBRACK,
    STATE(9396), 1,
      sym_type_arguments,
    STATE(13437), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12943), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [584470] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13438), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12754), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [584491] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15365), 1,
      anon_sym_LBRACK,
    STATE(9342), 1,
      sym_type_arguments,
    STATE(13439), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12953), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [584516] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15367), 1,
      anon_sym_LBRACK,
    ACTIONS(15403), 1,
      anon_sym_match,
    ACTIONS(15424), 1,
      anon_sym_if,
    STATE(9374), 1,
      sym_type_arguments,
    STATE(14968), 1,
      sym_guard,
    STATE(13440), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14652), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
  [584547] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15367), 1,
      anon_sym_LBRACK,
    STATE(9374), 1,
      sym_type_arguments,
    STATE(13441), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12951), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [584572] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15342), 1,
      anon_sym_LBRACK,
    ACTIONS(15560), 1,
      anon_sym_match,
    STATE(9572), 1,
      sym_type_arguments,
    STATE(13442), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12754), 5,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [584599] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15365), 1,
      anon_sym_LBRACK,
    STATE(9342), 1,
      sym_type_arguments,
    STATE(13443), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12955), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [584624] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12773), 1,
      anon_sym_COLON,
    ACTIONS(12783), 1,
      anon_sym_LT_PERCENT,
    STATE(13416), 1,
      aux_sym__type_parameter_repeat1,
    STATE(13936), 1,
      aux_sym__type_parameter_repeat2,
    STATE(14359), 1,
      sym_view_bound,
    STATE(15306), 1,
      sym_context_bound,
    ACTIONS(15562), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(13444), 2,
      sym_comment,
      sym_block_comment,
  [584657] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12773), 1,
      anon_sym_COLON,
    ACTIONS(12783), 1,
      anon_sym_LT_PERCENT,
    STATE(13730), 1,
      aux_sym__type_parameter_repeat1,
    STATE(13936), 1,
      aux_sym__type_parameter_repeat2,
    STATE(14359), 1,
      sym_view_bound,
    STATE(15306), 1,
      sym_context_bound,
    ACTIONS(15562), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(13445), 2,
      sym_comment,
      sym_block_comment,
  [584690] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15455), 1,
      anon_sym_COMMA,
    STATE(13371), 1,
      aux_sym_derives_clause_repeat1,
    STATE(13446), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15180), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [584715] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13447), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9067), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [584736] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15564), 1,
      anon_sym_SEMI,
    ACTIONS(15567), 1,
      anon_sym_else,
    STATE(13448), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14957), 6,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
  [584761] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15570), 1,
      anon_sym_SEMI,
    ACTIONS(15573), 1,
      anon_sym_else,
    ACTIONS(14964), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13449), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14967), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_finally,
  [584788] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15072), 1,
      anon_sym_finally,
    STATE(13303), 1,
      sym_finally_clause,
    STATE(13450), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12910), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
  [584813] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15396), 1,
      anon_sym_LBRACK,
    STATE(9396), 1,
      sym_type_arguments,
    STATE(13451), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12951), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [584838] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15575), 1,
      anon_sym_SEMI,
    ACTIONS(15578), 1,
      anon_sym_else,
    STATE(13452), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14957), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_finally,
  [584863] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15580), 1,
      anon_sym_DOT,
    STATE(13453), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [584886] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15430), 1,
      anon_sym_with,
    ACTIONS(15582), 1,
      anon_sym_COMMA,
    STATE(13545), 1,
      aux_sym__constructor_applications_repeat2,
    STATE(13687), 1,
      aux_sym__constructor_applications_repeat1,
    STATE(13454), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13074), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [584915] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15342), 1,
      anon_sym_LBRACK,
    STATE(9572), 1,
      sym_type_arguments,
    STATE(13455), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12943), 6,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [584940] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15584), 1,
      anon_sym_COMMA,
    ACTIONS(15586), 1,
      anon_sym_with,
    STATE(13695), 1,
      aux_sym__constructor_applications_repeat1,
    STATE(13702), 1,
      aux_sym__constructor_applications_repeat2,
    STATE(13456), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13074), 4,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_derives,
      anon_sym_LPAREN,
  [584969] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12773), 1,
      anon_sym_COLON,
    ACTIONS(12783), 1,
      anon_sym_LT_PERCENT,
    STATE(13730), 1,
      aux_sym__type_parameter_repeat1,
    STATE(13890), 1,
      aux_sym__type_parameter_repeat2,
    STATE(14359), 1,
      sym_view_bound,
    STATE(15306), 1,
      sym_context_bound,
    ACTIONS(15098), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(13457), 2,
      sym_comment,
      sym_block_comment,
  [585002] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12818), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13458), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12816), 6,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [585025] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15588), 1,
      anon_sym_STAR,
    STATE(13459), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12420), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [585048] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12823), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13460), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12821), 6,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [585071] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12773), 1,
      anon_sym_COLON,
    ACTIONS(12783), 1,
      anon_sym_LT_PERCENT,
    STATE(13400), 1,
      aux_sym__type_parameter_repeat1,
    STATE(13890), 1,
      aux_sym__type_parameter_repeat2,
    STATE(14359), 1,
      sym_view_bound,
    STATE(15306), 1,
      sym_context_bound,
    ACTIONS(15098), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(13461), 2,
      sym_comment,
      sym_block_comment,
  [585104] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13462), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12826), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [585125] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13463), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12828), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [585146] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15590), 1,
      anon_sym_SEMI,
    ACTIONS(15593), 1,
      anon_sym_else,
    STATE(13464), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14957), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
  [585170] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15595), 1,
      anon_sym_COLON,
    STATE(13465), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15597), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [585192] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15082), 1,
      anon_sym_LPAREN,
    STATE(13535), 1,
      aux_sym_annotation_repeat1,
    STATE(13807), 1,
      sym_arguments,
    STATE(13466), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7817), 4,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_with,
  [585218] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12818), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13467), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12816), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
  [585240] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15599), 1,
      anon_sym_catch,
    ACTIONS(15601), 1,
      anon_sym_finally,
    STATE(13395), 1,
      sym_finally_clause,
    STATE(14009), 1,
      sym_catch_clause,
    STATE(13468), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13589), 3,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
  [585268] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13469), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15603), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LT_COLON,
      anon_sym_EQ,
      anon_sym_SEMI,
  [585288] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15605), 1,
      anon_sym_SEMI,
    ACTIONS(15608), 1,
      anon_sym_else,
    ACTIONS(14964), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13470), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14967), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
  [585314] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13471), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15611), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [585334] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15314), 1,
      anon_sym_finally,
    STATE(12952), 1,
      sym_finally_clause,
    STATE(13472), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12910), 5,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [585358] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12823), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13473), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12821), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
  [585380] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15108), 1,
      anon_sym_finally,
    STATE(12758), 1,
      sym_finally_clause,
    STATE(13474), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12910), 5,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [585404] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13475), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15447), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [585424] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15613), 1,
      anon_sym_COLON,
    STATE(13476), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15597), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [585446] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15615), 1,
      anon_sym_SEMI,
    ACTIONS(15618), 1,
      anon_sym_else,
    ACTIONS(14964), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13477), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14967), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_finally,
  [585472] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15622), 1,
      anon_sym_COMMA,
    STATE(13608), 1,
      aux_sym_import_declaration_repeat1,
    STATE(13478), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15620), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [585496] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15622), 1,
      anon_sym_COMMA,
    STATE(13608), 1,
      aux_sym_import_declaration_repeat1,
    STATE(13479), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15624), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [585520] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13480), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15428), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_derives,
      anon_sym_SEMI,
  [585540] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15626), 1,
      anon_sym_LBRACK,
    STATE(9711), 1,
      sym_type_arguments,
    STATE(13481), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12951), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [585564] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15628), 1,
      anon_sym_catch,
    ACTIONS(15630), 1,
      anon_sym_finally,
    STATE(13395), 1,
      sym_finally_clause,
    STATE(13898), 1,
      sym_catch_clause,
    STATE(13482), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13589), 3,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_do,
  [585592] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15632), 1,
      anon_sym_DOT,
    STATE(13516), 1,
      aux_sym_package_identifier_repeat1,
    STATE(13483), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15465), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [585616] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15636), 1,
      anon_sym_DOT,
    STATE(13539), 1,
      aux_sym_package_identifier_repeat1,
    STATE(13484), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15634), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_SEMI,
  [585640] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15638), 1,
      anon_sym_with,
    STATE(13485), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(8804), 5,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
  [585662] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13486), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12826), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [585682] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15641), 1,
      anon_sym_SEMI,
    ACTIONS(15644), 1,
      anon_sym_else,
    STATE(13487), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14957), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
  [585706] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13488), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [585726] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13489), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12828), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [585746] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13490), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [585766] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15647), 1,
      anon_sym_SEMI,
    ACTIONS(15650), 1,
      anon_sym_else,
    ACTIONS(14964), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13491), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14967), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_finally,
  [585792] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15653), 1,
      anon_sym_SEMI,
    ACTIONS(15655), 1,
      anon_sym_else,
    STATE(13492), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14957), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
  [585816] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15626), 1,
      anon_sym_LBRACK,
    STATE(9711), 1,
      sym_type_arguments,
    STATE(13493), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12943), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [585840] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15657), 1,
      anon_sym_SEMI,
    ACTIONS(15660), 1,
      anon_sym_else,
    ACTIONS(14964), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13494), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14967), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
  [585866] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15280), 1,
      anon_sym_finally,
    STATE(12531), 1,
      sym_finally_clause,
    STATE(13495), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12910), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
  [585890] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13496), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12910), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [585910] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14432), 1,
      anon_sym_match,
    ACTIONS(15626), 1,
      anon_sym_LBRACK,
    STATE(9711), 1,
      sym_type_arguments,
    STATE(13497), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12957), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_finally,
  [585936] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15662), 1,
      anon_sym_SEMI,
    ACTIONS(15665), 1,
      anon_sym_else,
    STATE(13498), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14957), 5,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [585960] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15668), 1,
      anon_sym_with,
    STATE(13499), 3,
      sym_comment,
      sym_block_comment,
      aux_sym__constructor_applications_repeat2,
    ACTIONS(14541), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [585982] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15671), 1,
      anon_sym_SEMI,
    ACTIONS(15674), 1,
      anon_sym_else,
    ACTIONS(14964), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13500), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14967), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_then,
  [586008] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14442), 1,
      anon_sym_match,
    ACTIONS(15677), 1,
      anon_sym_LBRACK,
    STATE(9869), 1,
      sym_type_arguments,
    STATE(13501), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12754), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_else,
  [586034] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15679), 1,
      anon_sym_SEMI,
    ACTIONS(15682), 1,
      anon_sym_else,
    STATE(13502), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14957), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_finally,
  [586058] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13503), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8027), 7,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
  [586078] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14903), 1,
      anon_sym_LT_COLON,
    STATE(13842), 1,
      sym_upper_bound,
    STATE(13504), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15684), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [586102] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15686), 1,
      anon_sym_DOT,
    STATE(13483), 1,
      aux_sym_package_identifier_repeat1,
    STATE(13505), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15420), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [586126] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13506), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 7,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [586146] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15688), 1,
      anon_sym_SEMI,
    ACTIONS(15690), 1,
      anon_sym_else,
    ACTIONS(14964), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13507), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14967), 3,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [586172] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13508), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12901), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [586192] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15692), 1,
      anon_sym_AT,
    STATE(13956), 1,
      sym_annotation,
    STATE(13509), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8283), 4,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_LPAREN,
  [586216] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8733), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13510), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9498), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_SEMI,
  [586238] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15695), 1,
      anon_sym_SEMI,
    ACTIONS(15697), 1,
      anon_sym_else,
    STATE(13511), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14957), 5,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [586262] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15699), 1,
      anon_sym_SEMI,
    ACTIONS(15702), 1,
      anon_sym_else,
    STATE(13512), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14957), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_finally,
  [586286] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15367), 1,
      anon_sym_LBRACK,
    ACTIONS(15376), 1,
      sym__outdent,
    ACTIONS(15403), 1,
      anon_sym_match,
    STATE(9374), 1,
      sym_type_arguments,
    STATE(14297), 1,
      aux_sym__block_repeat1,
    ACTIONS(15705), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(13513), 2,
      sym_comment,
      sym_block_comment,
  [586316] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14519), 1,
      anon_sym_LBRACK,
    ACTIONS(14539), 1,
      anon_sym_match,
    STATE(8077), 1,
      sym_type_arguments,
    STATE(13514), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15707), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [586342] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15709), 1,
      anon_sym_SEMI,
    ACTIONS(15712), 1,
      anon_sym_else,
    ACTIONS(14964), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13515), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14967), 3,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [586368] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15715), 1,
      anon_sym_DOT,
    STATE(13516), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_package_identifier_repeat1,
    ACTIONS(15201), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [586390] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15138), 1,
      anon_sym_finally,
    STATE(12531), 1,
      sym_finally_clause,
    STATE(13517), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12910), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
  [586414] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15718), 1,
      anon_sym_COLON,
    STATE(13518), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15720), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [586436] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15722), 1,
      anon_sym_SEMI,
    ACTIONS(15725), 1,
      anon_sym_else,
    STATE(13519), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14957), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
  [586460] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13520), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12899), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [586480] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15626), 1,
      anon_sym_LBRACK,
    STATE(9711), 1,
      sym_type_arguments,
    STATE(13521), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12955), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [586504] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15728), 1,
      anon_sym_SEMI,
    ACTIONS(15731), 1,
      anon_sym_else,
    ACTIONS(14964), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13522), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14967), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_if,
  [586530] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15626), 1,
      anon_sym_LBRACK,
    STATE(9711), 1,
      sym_type_arguments,
    STATE(13523), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12953), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [586554] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13524), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12830), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [586574] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15734), 1,
      anon_sym_catch,
    ACTIONS(15736), 1,
      anon_sym_finally,
    STATE(12990), 1,
      sym_finally_clause,
    STATE(13654), 1,
      sym_catch_clause,
    STATE(13525), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13589), 3,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
  [586602] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13526), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12830), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [586622] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13527), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12420), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [586642] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13528), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7716), 7,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [586662] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13529), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8733), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [586682] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15738), 1,
      anon_sym_SEMI,
    ACTIONS(15741), 1,
      anon_sym_else,
    STATE(13530), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14957), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
  [586706] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13531), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15744), 7,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [586726] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13532), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12754), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [586746] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13533), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7372), 7,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [586766] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13534), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7552), 7,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [586786] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15746), 1,
      anon_sym_LPAREN,
    STATE(13807), 1,
      sym_arguments,
    STATE(13535), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(7788), 4,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_with,
  [586810] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15367), 1,
      anon_sym_LBRACK,
    ACTIONS(15403), 1,
      anon_sym_match,
    STATE(9374), 1,
      sym_type_arguments,
    STATE(13536), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15707), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [586836] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13537), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8835), 7,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
  [586856] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15152), 1,
      anon_sym_finally,
    STATE(12952), 1,
      sym_finally_clause,
    STATE(13538), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12910), 5,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
  [586880] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15749), 1,
      anon_sym_DOT,
    STATE(13539), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_package_identifier_repeat1,
    ACTIONS(15201), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_SEMI,
  [586902] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15210), 1,
      anon_sym_finally,
    STATE(13570), 1,
      sym_finally_clause,
    STATE(13540), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12910), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
  [586926] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15752), 1,
      anon_sym_as,
    STATE(13541), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15201), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
  [586948] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15628), 1,
      anon_sym_catch,
    ACTIONS(15754), 1,
      anon_sym_finally,
    STATE(13496), 1,
      sym_finally_clause,
    STATE(14037), 1,
      sym_catch_clause,
    STATE(13542), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13589), 3,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_do,
  [586976] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15626), 1,
      anon_sym_LBRACK,
    STATE(9711), 1,
      sym_type_arguments,
    STATE(13543), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12947), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [587000] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15756), 1,
      anon_sym_catch,
    ACTIONS(15758), 1,
      anon_sym_finally,
    STATE(12990), 1,
      sym_finally_clause,
    STATE(13787), 1,
      sym_catch_clause,
    STATE(13544), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13589), 3,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_do,
  [587028] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15430), 1,
      anon_sym_with,
    STATE(13499), 1,
      aux_sym__constructor_applications_repeat2,
    STATE(13545), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14624), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [587052] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15760), 1,
      anon_sym_LBRACE,
    ACTIONS(15764), 1,
      anon_sym_EQ,
    STATE(14335), 1,
      sym_block,
    STATE(13546), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15762), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [587078] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13547), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7704), 7,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [587098] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13548), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12754), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [587118] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13549), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 7,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [587138] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15286), 1,
      anon_sym_finally,
    STATE(12758), 1,
      sym_finally_clause,
    STATE(13550), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12910), 5,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
  [587162] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15622), 1,
      anon_sym_COMMA,
    STATE(13478), 1,
      aux_sym_import_declaration_repeat1,
    STATE(13551), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15766), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [587186] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15622), 1,
      anon_sym_COMMA,
    STATE(13479), 1,
      aux_sym_import_declaration_repeat1,
    STATE(13552), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15768), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [587210] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13678), 1,
      sym_arguments,
    STATE(13553), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7498), 6,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
  [587232] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13554), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12884), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [587252] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15351), 1,
      anon_sym_with,
    STATE(13578), 1,
      aux_sym__constructor_applications_repeat2,
    STATE(13555), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14624), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [587276] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15770), 1,
      anon_sym_COLON,
    STATE(13556), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15772), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [587298] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15774), 1,
      anon_sym_SEMI,
    ACTIONS(15777), 1,
      anon_sym_else,
    STATE(13557), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14957), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
  [587322] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15780), 1,
      anon_sym_COLON,
    ACTIONS(15782), 1,
      anon_sym_LBRACE,
    ACTIONS(15784), 1,
      anon_sym_extends,
    ACTIONS(15786), 1,
      anon_sym_derives,
    STATE(13932), 1,
      sym_enum_body,
    STATE(13933), 1,
      sym_extends_clause,
    STATE(15478), 1,
      sym_derives_clause,
    STATE(13558), 2,
      sym_comment,
      sym_block_comment,
  [587354] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13559), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8227), 7,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
  [587374] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13560), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7650), 7,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [587394] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13561), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 7,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [587414] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13562), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12845), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [587434] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14519), 1,
      anon_sym_LBRACK,
    ACTIONS(14539), 1,
      anon_sym_match,
    ACTIONS(15376), 1,
      anon_sym_RBRACE,
    STATE(8077), 1,
      sym_type_arguments,
    STATE(14255), 1,
      aux_sym__block_repeat1,
    ACTIONS(15788), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(13563), 2,
      sym_comment,
      sym_block_comment,
  [587464] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15677), 1,
      anon_sym_LBRACK,
    STATE(9869), 1,
      sym_type_arguments,
    STATE(13564), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12951), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [587488] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13565), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12847), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [587508] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13566), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12882), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [587528] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13567), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15790), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [587548] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14432), 1,
      anon_sym_match,
    ACTIONS(15626), 1,
      anon_sym_LBRACK,
    STATE(9711), 1,
      sym_type_arguments,
    STATE(13568), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12754), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_finally,
  [587574] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15367), 1,
      anon_sym_LBRACK,
    ACTIONS(15403), 1,
      anon_sym_match,
    ACTIONS(15794), 1,
      sym__outdent,
    STATE(9374), 1,
      sym_type_arguments,
    STATE(14189), 1,
      aux_sym__enum_block_repeat1,
    ACTIONS(15792), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(13569), 2,
      sym_comment,
      sym_block_comment,
  [587604] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13570), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12871), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [587624] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13571), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7584), 7,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [587644] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13572), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12849), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [587664] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15796), 1,
      anon_sym_LBRACE,
    ACTIONS(15798), 1,
      anon_sym_EQ,
    STATE(13962), 1,
      sym_block,
    STATE(13573), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15762), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [587690] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15780), 1,
      anon_sym_COLON,
    ACTIONS(15782), 1,
      anon_sym_LBRACE,
    ACTIONS(15784), 1,
      anon_sym_extends,
    ACTIONS(15786), 1,
      anon_sym_derives,
    STATE(13888), 1,
      sym_extends_clause,
    STATE(13895), 1,
      sym_enum_body,
    STATE(15036), 1,
      sym_derives_clause,
    STATE(13574), 2,
      sym_comment,
      sym_block_comment,
  [587722] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12853), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13575), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12851), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
  [587744] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13576), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7722), 7,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [587764] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13577), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12856), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [587784] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15800), 1,
      anon_sym_with,
    STATE(13578), 3,
      sym_comment,
      sym_block_comment,
      aux_sym__constructor_applications_repeat2,
    ACTIONS(14541), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [587806] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15636), 1,
      anon_sym_DOT,
    STATE(13484), 1,
      aux_sym_package_identifier_repeat1,
    STATE(13579), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15803), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_SEMI,
  [587830] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14903), 1,
      anon_sym_LT_COLON,
    STATE(13856), 1,
      sym_upper_bound,
    STATE(13580), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15805), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [587854] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13581), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12863), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [587874] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13582), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7720), 7,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [587894] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13583), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12863), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [587914] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13584), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12856), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [587934] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15807), 1,
      anon_sym_SEMI,
    ACTIONS(15810), 1,
      anon_sym_else,
    ACTIONS(14964), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13585), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14967), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
  [587960] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13774), 1,
      sym_arguments,
    STATE(13586), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7498), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [587982] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13587), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8733), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [588002] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15294), 1,
      anon_sym_finally,
    STATE(13595), 1,
      sym_finally_clause,
    STATE(13588), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12910), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
  [588026] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15813), 1,
      anon_sym_COLON,
    STATE(13589), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15720), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [588048] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13590), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7714), 7,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [588068] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15815), 1,
      anon_sym_SEMI,
    ACTIONS(15818), 1,
      anon_sym_else,
    ACTIONS(14964), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13591), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14967), 3,
      anon_sym_while,
      anon_sym_catch,
      anon_sym_finally,
  [588094] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15821), 1,
      anon_sym_SEMI,
    ACTIONS(15824), 1,
      anon_sym_else,
    STATE(13592), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14957), 5,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
  [588118] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13593), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15827), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [588138] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15086), 1,
      anon_sym_AT,
    STATE(13509), 1,
      aux_sym_enum_definition_repeat1,
    STATE(13956), 1,
      sym_annotation,
    STATE(13594), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 4,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_LPAREN,
  [588164] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13595), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12871), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [588184] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15829), 1,
      anon_sym_SEMI,
    ACTIONS(15831), 1,
      anon_sym_else,
    ACTIONS(14964), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13596), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14967), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_then,
  [588210] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13597), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7710), 7,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [588230] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12853), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13598), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12851), 5,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [588252] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15835), 1,
      anon_sym_LPAREN,
    ACTIONS(15838), 1,
      sym__automatic_semicolon,
    STATE(13909), 1,
      sym_class_parameters,
    ACTIONS(15833), 3,
      anon_sym_RBRACE,
      anon_sym_extends,
      anon_sym_SEMI,
    STATE(13599), 3,
      sym_comment,
      sym_block_comment,
      aux_sym__full_enum_def_repeat1,
  [588278] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13600), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12873), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [588298] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12818), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13601), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12816), 5,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [588320] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13602), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12849), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [588340] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15841), 1,
      anon_sym_SEMI,
    ACTIONS(15844), 1,
      anon_sym_else,
    STATE(13603), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14957), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
  [588364] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15846), 1,
      anon_sym_SEMI,
    ACTIONS(15849), 1,
      anon_sym_else,
    ACTIONS(14964), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13604), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14967), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_if,
  [588390] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15288), 1,
      anon_sym_finally,
    STATE(13314), 1,
      sym_finally_clause,
    STATE(13605), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12910), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
  [588414] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15851), 1,
      anon_sym_SEMI,
    ACTIONS(15854), 1,
      anon_sym_else,
    STATE(13606), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14957), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
  [588438] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13607), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8095), 7,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
  [588458] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15858), 1,
      anon_sym_COMMA,
    STATE(13608), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_import_declaration_repeat1,
    ACTIONS(15856), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [588480] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13609), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12882), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [588500] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13610), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12884), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [588520] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15861), 1,
      anon_sym_SEMI,
    ACTIONS(15863), 1,
      anon_sym_else,
    ACTIONS(14964), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13611), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14967), 3,
      anon_sym_while,
      anon_sym_catch,
      anon_sym_finally,
  [588546] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15865), 1,
      anon_sym_SEMI,
    ACTIONS(15867), 1,
      anon_sym_else,
    STATE(13612), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14957), 5,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
  [588570] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15784), 1,
      anon_sym_extends,
    ACTIONS(15786), 1,
      anon_sym_derives,
    ACTIONS(15869), 1,
      anon_sym_COLON,
    ACTIONS(15871), 1,
      anon_sym_LBRACE,
    STATE(13981), 1,
      sym_extends_clause,
    STATE(14305), 1,
      sym_enum_body,
    STATE(14413), 1,
      sym_derives_clause,
    STATE(13613), 2,
      sym_comment,
      sym_block_comment,
  [588602] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15873), 1,
      anon_sym_LPAREN,
    ACTIONS(15876), 1,
      sym__automatic_semicolon,
    STATE(13827), 1,
      sym_class_parameters,
    ACTIONS(15833), 3,
      sym__outdent,
      anon_sym_extends,
      anon_sym_SEMI,
    STATE(13614), 3,
      sym_comment,
      sym_block_comment,
      aux_sym__full_enum_def_repeat1,
  [588628] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15677), 1,
      anon_sym_LBRACK,
    STATE(9869), 1,
      sym_type_arguments,
    STATE(13615), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12943), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [588652] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13616), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7602), 7,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [588672] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15879), 1,
      anon_sym_COLON,
    STATE(13617), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15772), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [588694] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13618), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12910), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [588714] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14519), 1,
      anon_sym_LBRACK,
    ACTIONS(14539), 1,
      anon_sym_match,
    ACTIONS(15794), 1,
      anon_sym_RBRACE,
    STATE(8077), 1,
      sym_type_arguments,
    STATE(14151), 1,
      aux_sym__enum_block_repeat1,
    ACTIONS(15881), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(13619), 2,
      sym_comment,
      sym_block_comment,
  [588744] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13620), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12899), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [588764] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13621), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12826), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [588784] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14558), 1,
      anon_sym_LT_COLON,
    STATE(13766), 1,
      sym_upper_bound,
    STATE(13622), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15805), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [588808] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13623), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12901), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [588828] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13624), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7330), 7,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [588848] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13625), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12828), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [588868] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14442), 1,
      anon_sym_match,
    ACTIONS(15677), 1,
      anon_sym_LBRACK,
    STATE(9869), 1,
      sym_type_arguments,
    STATE(13626), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12957), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_else,
  [588894] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13778), 1,
      sym_arguments,
    STATE(13627), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7498), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [588916] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15599), 1,
      anon_sym_catch,
    ACTIONS(15883), 1,
      anon_sym_finally,
    STATE(13496), 1,
      sym_finally_clause,
    STATE(13999), 1,
      sym_catch_clause,
    STATE(13628), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13589), 3,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
  [588944] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15677), 1,
      anon_sym_LBRACK,
    STATE(9869), 1,
      sym_type_arguments,
    STATE(13629), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12955), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [588968] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14558), 1,
      anon_sym_LT_COLON,
    STATE(13647), 1,
      sym_upper_bound,
    STATE(13630), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15684), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [588992] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13631), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12420), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [589012] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13632), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7764), 7,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
  [589032] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15190), 1,
      anon_sym_finally,
    STATE(11818), 1,
      sym_finally_clause,
    STATE(13633), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12910), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
  [589056] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12823), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13634), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12821), 5,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [589078] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13635), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12873), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [589098] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15784), 1,
      anon_sym_extends,
    ACTIONS(15786), 1,
      anon_sym_derives,
    ACTIONS(15869), 1,
      anon_sym_COLON,
    ACTIONS(15871), 1,
      anon_sym_LBRACE,
    STATE(13910), 1,
      sym_extends_clause,
    STATE(14063), 1,
      sym_enum_body,
    STATE(14530), 1,
      sym_derives_clause,
    STATE(13636), 2,
      sym_comment,
      sym_block_comment,
  [589130] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15885), 1,
      anon_sym_SEMI,
    ACTIONS(15888), 1,
      anon_sym_else,
    ACTIONS(14964), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13637), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14967), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
  [589156] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15677), 1,
      anon_sym_LBRACK,
    STATE(9869), 1,
      sym_type_arguments,
    STATE(13638), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12953), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [589180] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13639), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10058), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [589199] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13640), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10058), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [589218] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15342), 1,
      anon_sym_LBRACK,
    ACTIONS(15560), 1,
      anon_sym_match,
    ACTIONS(15890), 1,
      anon_sym_COMMA,
    ACTIONS(15892), 1,
      anon_sym_RPAREN,
    STATE(9572), 1,
      sym_type_arguments,
    STATE(15156), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(13641), 2,
      sym_comment,
      sym_block_comment,
  [589247] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15894), 1,
      anon_sym_LBRACE,
    ACTIONS(15898), 1,
      sym__interpolation_identifier,
    ACTIONS(15896), 2,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
    STATE(13642), 2,
      sym_comment,
      sym_block_comment,
    STATE(15647), 2,
      sym_block,
      sym__aliased_interpolation_identifier,
  [589272] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15900), 1,
      anon_sym_SEMI,
    ACTIONS(15903), 1,
      anon_sym_else,
    ACTIONS(14964), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    ACTIONS(14967), 2,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
    STATE(13643), 2,
      sym_comment,
      sym_block_comment,
  [589297] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15342), 1,
      anon_sym_LBRACK,
    ACTIONS(15560), 1,
      anon_sym_match,
    ACTIONS(15890), 1,
      anon_sym_COMMA,
    ACTIONS(15905), 1,
      anon_sym_RPAREN,
    STATE(9572), 1,
      sym_type_arguments,
    STATE(15165), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(13644), 2,
      sym_comment,
      sym_block_comment,
  [589326] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13645), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15805), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [589345] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15102), 1,
      anon_sym_LT_COLON,
    STATE(13766), 1,
      sym_upper_bound,
    STATE(13646), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15805), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_EQ,
      anon_sym_SEMI,
  [589368] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13647), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15907), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [589387] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12867), 1,
      anon_sym_LPAREN,
    ACTIONS(15909), 1,
      anon_sym_COLON,
    ACTIONS(15911), 1,
      sym__automatic_semicolon,
    STATE(11794), 1,
      aux_sym__function_constructor_repeat1,
    STATE(13068), 1,
      sym__using_parameters_clause,
    STATE(13070), 1,
      sym_parameters,
    STATE(13648), 2,
      sym_comment,
      sym_block_comment,
  [589416] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12867), 1,
      anon_sym_LPAREN,
    ACTIONS(15913), 1,
      anon_sym_COLON,
    ACTIONS(15915), 1,
      sym__automatic_semicolon,
    STATE(11794), 1,
      aux_sym__function_constructor_repeat1,
    STATE(13068), 1,
      sym__using_parameters_clause,
    STATE(13070), 1,
      sym_parameters,
    STATE(13649), 2,
      sym_comment,
      sym_block_comment,
  [589445] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12867), 1,
      anon_sym_LPAREN,
    ACTIONS(15917), 1,
      anon_sym_COLON,
    ACTIONS(15919), 1,
      sym__automatic_semicolon,
    STATE(13068), 1,
      sym__using_parameters_clause,
    STATE(13070), 1,
      sym_parameters,
    STATE(13744), 1,
      aux_sym__function_constructor_repeat1,
    STATE(13650), 2,
      sym_comment,
      sym_block_comment,
  [589474] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15342), 1,
      anon_sym_LBRACK,
    ACTIONS(15560), 1,
      anon_sym_match,
    ACTIONS(15890), 1,
      anon_sym_COMMA,
    ACTIONS(15921), 1,
      anon_sym_RPAREN,
    STATE(9572), 1,
      sym_type_arguments,
    STATE(15349), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(13651), 2,
      sym_comment,
      sym_block_comment,
  [589503] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13652), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11285), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [589522] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14519), 1,
      anon_sym_LBRACK,
    ACTIONS(14539), 1,
      anon_sym_match,
    STATE(8077), 1,
      sym_type_arguments,
    STATE(13653), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15923), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [589547] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15736), 1,
      anon_sym_finally,
    STATE(13081), 1,
      sym_finally_clause,
    STATE(13654), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12910), 4,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_catch,
  [589570] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15342), 1,
      anon_sym_LBRACK,
    ACTIONS(15560), 1,
      anon_sym_match,
    ACTIONS(15890), 1,
      anon_sym_COMMA,
    ACTIONS(15925), 1,
      anon_sym_RPAREN,
    STATE(9572), 1,
      sym_type_arguments,
    STATE(15034), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(13655), 2,
      sym_comment,
      sym_block_comment,
  [589599] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15424), 1,
      anon_sym_if,
    STATE(13679), 1,
      aux_sym_enumerator_repeat1,
    STATE(14278), 1,
      sym_guard,
    STATE(13656), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15140), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
  [589624] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13808), 1,
      sym_arguments,
    STATE(13657), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7498), 5,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
  [589645] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13658), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15827), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [589664] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15927), 1,
      anon_sym_COMMA,
    STATE(13747), 1,
      aux_sym_import_declaration_repeat1,
    STATE(13659), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15624), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [589687] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15342), 1,
      anon_sym_LBRACK,
    ACTIONS(15560), 1,
      anon_sym_match,
    ACTIONS(15890), 1,
      anon_sym_COMMA,
    ACTIONS(15929), 1,
      anon_sym_RPAREN,
    STATE(9572), 1,
      sym_type_arguments,
    STATE(15249), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(13660), 2,
      sym_comment,
      sym_block_comment,
  [589716] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15927), 1,
      anon_sym_COMMA,
    STATE(13747), 1,
      aux_sym_import_declaration_repeat1,
    STATE(13661), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15620), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [589739] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15931), 1,
      anon_sym_SEMI,
    ACTIONS(15934), 1,
      anon_sym_else,
    STATE(13662), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14957), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_match,
  [589762] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15342), 1,
      anon_sym_LBRACK,
    ACTIONS(15560), 1,
      anon_sym_match,
    ACTIONS(15890), 1,
      anon_sym_COMMA,
    ACTIONS(15936), 1,
      anon_sym_RPAREN,
    STATE(9572), 1,
      sym_type_arguments,
    STATE(15383), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(13663), 2,
      sym_comment,
      sym_block_comment,
  [589791] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14539), 1,
      anon_sym_match,
    ACTIONS(15938), 1,
      anon_sym_LBRACK,
    STATE(9982), 1,
      sym_type_arguments,
    STATE(13664), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12957), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [589816] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13665), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10058), 6,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
  [589835] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15940), 1,
      anon_sym_SEMI,
    ACTIONS(15943), 1,
      anon_sym_else,
    ACTIONS(14964), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    ACTIONS(14967), 2,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
    STATE(13666), 2,
      sym_comment,
      sym_block_comment,
  [589860] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9427), 1,
      anon_sym_LPAREN,
    STATE(14136), 1,
      sym_arguments,
    STATE(13667), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15088), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [589883] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15342), 1,
      anon_sym_LBRACK,
    ACTIONS(15560), 1,
      anon_sym_match,
    ACTIONS(15890), 1,
      anon_sym_COMMA,
    ACTIONS(15945), 1,
      anon_sym_RPAREN,
    STATE(9572), 1,
      sym_type_arguments,
    STATE(15006), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(13668), 2,
      sym_comment,
      sym_block_comment,
  [589912] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13669), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15947), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [589931] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15342), 1,
      anon_sym_LBRACK,
    ACTIONS(15560), 1,
      anon_sym_match,
    ACTIONS(15890), 1,
      anon_sym_COMMA,
    ACTIONS(15949), 1,
      anon_sym_RPAREN,
    STATE(9572), 1,
      sym_type_arguments,
    STATE(14982), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(13670), 2,
      sym_comment,
      sym_block_comment,
  [589960] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13671), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15603), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LT_COLON,
      anon_sym_EQ,
      anon_sym_SEMI,
  [589979] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15796), 1,
      anon_sym_LBRACE,
    ACTIONS(15951), 1,
      anon_sym_EQ,
    STATE(13962), 1,
      sym_block,
    STATE(13672), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15762), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [590004] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15953), 1,
      anon_sym_LBRACE,
    ACTIONS(15957), 1,
      sym__interpolation_identifier,
    ACTIONS(15955), 2,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
    STATE(13673), 2,
      sym_comment,
      sym_block_comment,
    STATE(15611), 2,
      sym_block,
      sym__aliased_interpolation_identifier,
  [590029] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13674), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15959), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [590048] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13675), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9029), 6,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
  [590067] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14539), 1,
      anon_sym_match,
    ACTIONS(15938), 1,
      anon_sym_LBRACK,
    STATE(9982), 1,
      sym_type_arguments,
    STATE(13676), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15961), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [590092] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13677), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11285), 6,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
  [590111] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13678), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9554), 6,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
  [590130] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15963), 1,
      anon_sym_if,
    STATE(14278), 1,
      sym_guard,
    ACTIONS(15216), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
    STATE(13679), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enumerator_repeat1,
  [590153] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13680), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9067), 6,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
  [590172] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13681), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(5066), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [590191] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15966), 1,
      anon_sym_COMMA,
    STATE(13682), 3,
      sym_comment,
      sym_block_comment,
      aux_sym__constructor_applications_repeat1,
    ACTIONS(14512), 4,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_derives,
      anon_sym_LPAREN,
  [590212] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15969), 1,
      anon_sym_SEMI,
    ACTIONS(15972), 1,
      anon_sym_else,
    STATE(13683), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14957), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_match,
  [590235] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15974), 1,
      anon_sym_COLON,
    STATE(13684), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15772), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_SEMI,
  [590256] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15342), 1,
      anon_sym_LBRACK,
    ACTIONS(15560), 1,
      anon_sym_match,
    ACTIONS(15890), 1,
      anon_sym_COMMA,
    ACTIONS(15976), 1,
      anon_sym_RPAREN,
    STATE(9572), 1,
      sym_type_arguments,
    STATE(15412), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(13685), 2,
      sym_comment,
      sym_block_comment,
  [590285] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13686), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9021), 6,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
  [590304] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15582), 1,
      anon_sym_COMMA,
    STATE(13688), 1,
      aux_sym__constructor_applications_repeat1,
    STATE(13687), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14624), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [590327] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15978), 1,
      anon_sym_COMMA,
    STATE(13688), 3,
      sym_comment,
      sym_block_comment,
      aux_sym__constructor_applications_repeat1,
    ACTIONS(14512), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [590348] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13689), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15981), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [590367] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13690), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15983), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [590386] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13691), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14946), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [590405] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15938), 1,
      anon_sym_LBRACK,
    STATE(9982), 1,
      sym_type_arguments,
    STATE(13692), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12955), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_match,
      anon_sym_SEMI,
  [590428] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15927), 1,
      anon_sym_COMMA,
    STATE(13661), 1,
      aux_sym_import_declaration_repeat1,
    STATE(13693), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15766), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [590451] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15927), 1,
      anon_sym_COMMA,
    STATE(13659), 1,
      aux_sym_import_declaration_repeat1,
    STATE(13694), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15768), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [590474] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15584), 1,
      anon_sym_COMMA,
    STATE(13682), 1,
      aux_sym__constructor_applications_repeat1,
    STATE(13695), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14624), 4,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_derives,
      anon_sym_LPAREN,
  [590497] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15342), 1,
      anon_sym_LBRACK,
    ACTIONS(15560), 1,
      anon_sym_match,
    ACTIONS(15890), 1,
      anon_sym_COMMA,
    ACTIONS(15985), 1,
      anon_sym_RPAREN,
    STATE(9572), 1,
      sym_type_arguments,
    STATE(15217), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(13696), 2,
      sym_comment,
      sym_block_comment,
  [590526] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15938), 1,
      anon_sym_LBRACK,
    STATE(9982), 1,
      sym_type_arguments,
    STATE(13697), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12953), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_match,
      anon_sym_SEMI,
  [590549] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15987), 1,
      anon_sym_SEMI,
    ACTIONS(15990), 1,
      anon_sym_else,
    STATE(13698), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14957), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_match,
  [590572] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15342), 1,
      anon_sym_LBRACK,
    ACTIONS(15560), 1,
      anon_sym_match,
    ACTIONS(15890), 1,
      anon_sym_COMMA,
    ACTIONS(15993), 1,
      anon_sym_RPAREN,
    STATE(9572), 1,
      sym_type_arguments,
    STATE(15304), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(13699), 2,
      sym_comment,
      sym_block_comment,
  [590601] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15995), 1,
      anon_sym_SEMI,
    ACTIONS(15998), 1,
      anon_sym_else,
    STATE(13700), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14957), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_match,
  [590624] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13701), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9029), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [590643] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15586), 1,
      anon_sym_with,
    STATE(13728), 1,
      aux_sym__constructor_applications_repeat2,
    STATE(13702), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14624), 4,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_derives,
      anon_sym_LPAREN,
  [590666] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13703), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10073), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [590685] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13704), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [590704] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15342), 1,
      anon_sym_LBRACK,
    ACTIONS(15560), 1,
      anon_sym_match,
    ACTIONS(15890), 1,
      anon_sym_COMMA,
    ACTIONS(16000), 1,
      anon_sym_RPAREN,
    STATE(9572), 1,
      sym_type_arguments,
    STATE(15138), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(13705), 2,
      sym_comment,
      sym_block_comment,
  [590733] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13706), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10073), 6,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
  [590752] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13707), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16002), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [590771] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13708), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 6,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
  [590790] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15342), 1,
      anon_sym_LBRACK,
    ACTIONS(15560), 1,
      anon_sym_match,
    ACTIONS(15890), 1,
      anon_sym_COMMA,
    ACTIONS(16004), 1,
      anon_sym_RPAREN,
    STATE(9572), 1,
      sym_type_arguments,
    STATE(14873), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(13709), 2,
      sym_comment,
      sym_block_comment,
  [590819] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15342), 1,
      anon_sym_LBRACK,
    ACTIONS(15560), 1,
      anon_sym_match,
    ACTIONS(15890), 1,
      anon_sym_COMMA,
    ACTIONS(16006), 1,
      anon_sym_RPAREN,
    STATE(9572), 1,
      sym_type_arguments,
    STATE(15166), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(13710), 2,
      sym_comment,
      sym_block_comment,
  [590848] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13711), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15684), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [590867] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16008), 1,
      anon_sym_SEMI,
    ACTIONS(16010), 1,
      anon_sym_else,
    STATE(13712), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14957), 4,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_finally,
      anon_sym_do,
  [590890] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13713), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15790), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [590909] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13714), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9029), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [590928] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13715), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9021), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [590947] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15342), 1,
      anon_sym_LBRACK,
    ACTIONS(15560), 1,
      anon_sym_match,
    ACTIONS(15890), 1,
      anon_sym_COMMA,
    ACTIONS(16012), 1,
      anon_sym_RPAREN,
    STATE(9572), 1,
      sym_type_arguments,
    STATE(15057), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(13716), 2,
      sym_comment,
      sym_block_comment,
  [590976] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16014), 1,
      anon_sym_SEMI,
    ACTIONS(16016), 1,
      anon_sym_else,
    ACTIONS(14964), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    ACTIONS(14967), 2,
      anon_sym_finally,
      anon_sym_do,
    STATE(13717), 2,
      sym_comment,
      sym_block_comment,
  [591001] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15342), 1,
      anon_sym_LBRACK,
    ACTIONS(15560), 1,
      anon_sym_match,
    ACTIONS(15890), 1,
      anon_sym_COMMA,
    ACTIONS(16018), 1,
      anon_sym_RPAREN,
    STATE(9572), 1,
      sym_type_arguments,
    STATE(14423), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(13718), 2,
      sym_comment,
      sym_block_comment,
  [591030] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13719), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7498), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [591049] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13720), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9082), 6,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
  [591068] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16020), 1,
      anon_sym_COLON,
    STATE(13721), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15597), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_SEMI,
  [591089] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13722), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9082), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [591108] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13723), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9159), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [591127] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13724), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9180), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [591146] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13725), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16022), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [591165] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15342), 1,
      anon_sym_LBRACK,
    ACTIONS(15560), 1,
      anon_sym_match,
    ACTIONS(15890), 1,
      anon_sym_COMMA,
    ACTIONS(16024), 1,
      anon_sym_RPAREN,
    STATE(9572), 1,
      sym_type_arguments,
    STATE(15455), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(13726), 2,
      sym_comment,
      sym_block_comment,
  [591194] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16026), 1,
      anon_sym_SEMI,
    ACTIONS(16029), 1,
      anon_sym_else,
    STATE(13727), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14957), 4,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_finally,
      anon_sym_do,
  [591217] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16032), 1,
      anon_sym_with,
    STATE(13728), 3,
      sym_comment,
      sym_block_comment,
      aux_sym__constructor_applications_repeat2,
    ACTIONS(14541), 4,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_derives,
      anon_sym_LPAREN,
  [591238] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15760), 1,
      anon_sym_LBRACE,
    ACTIONS(16035), 1,
      anon_sym_EQ,
    STATE(14335), 1,
      sym_block,
    STATE(13729), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15762), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
  [591263] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16039), 1,
      anon_sym_LT_PERCENT,
    STATE(14359), 1,
      sym_view_bound,
    ACTIONS(16037), 3,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(13730), 3,
      sym_comment,
      sym_block_comment,
      aux_sym__type_parameter_repeat1,
  [591286] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14336), 1,
      anon_sym_extends,
    STATE(14268), 1,
      sym_extends_clause,
    STATE(13731), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14006), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [591309] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15342), 1,
      anon_sym_LBRACK,
    ACTIONS(15560), 1,
      anon_sym_match,
    ACTIONS(15890), 1,
      anon_sym_COMMA,
    ACTIONS(16042), 1,
      anon_sym_RPAREN,
    STATE(9572), 1,
      sym_type_arguments,
    STATE(14638), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(13732), 2,
      sym_comment,
      sym_block_comment,
  [591338] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13733), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9159), 6,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
  [591357] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16044), 1,
      anon_sym_SEMI,
    ACTIONS(16047), 1,
      anon_sym_else,
    ACTIONS(14964), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    ACTIONS(14967), 2,
      anon_sym_finally,
      anon_sym_do,
    STATE(13734), 2,
      sym_comment,
      sym_block_comment,
  [591382] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15342), 1,
      anon_sym_LBRACK,
    ACTIONS(15560), 1,
      anon_sym_match,
    ACTIONS(15890), 1,
      anon_sym_COMMA,
    ACTIONS(16050), 1,
      anon_sym_RPAREN,
    STATE(9572), 1,
      sym_type_arguments,
    STATE(14598), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(13735), 2,
      sym_comment,
      sym_block_comment,
  [591411] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15102), 1,
      anon_sym_LT_COLON,
    STATE(13647), 1,
      sym_upper_bound,
    STATE(13736), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15684), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_EQ,
      anon_sym_SEMI,
  [591434] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16052), 1,
      anon_sym_COLON,
    STATE(13737), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15720), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_SEMI,
  [591455] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13738), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15201), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
  [591474] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13739), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11285), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [591493] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13740), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 6,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
  [591512] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15342), 1,
      anon_sym_LBRACK,
    ACTIONS(15560), 1,
      anon_sym_match,
    ACTIONS(15890), 1,
      anon_sym_COMMA,
    ACTIONS(16054), 1,
      anon_sym_RPAREN,
    STATE(9572), 1,
      sym_type_arguments,
    STATE(15263), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(13741), 2,
      sym_comment,
      sym_block_comment,
  [591541] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15796), 1,
      anon_sym_LBRACE,
    ACTIONS(16056), 1,
      anon_sym_EQ,
    STATE(13962), 1,
      sym_block,
    STATE(13742), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15762), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [591566] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10414), 1,
      anon_sym_LPAREN,
    STATE(14242), 1,
      sym_arguments,
    STATE(13743), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15088), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [591589] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12867), 1,
      anon_sym_LPAREN,
    ACTIONS(16058), 1,
      anon_sym_COLON,
    ACTIONS(16060), 1,
      sym__automatic_semicolon,
    STATE(11794), 1,
      aux_sym__function_constructor_repeat1,
    STATE(13068), 1,
      sym__using_parameters_clause,
    STATE(13070), 1,
      sym_parameters,
    STATE(13744), 2,
      sym_comment,
      sym_block_comment,
  [591618] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13745), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12122), 6,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LT_COLON,
      anon_sym_GT_COLON,
      anon_sym_LT_PERCENT,
  [591637] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13688), 1,
      aux_sym__constructor_applications_repeat1,
    STATE(13746), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14624), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [591658] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16062), 1,
      anon_sym_COMMA,
    STATE(13747), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_import_declaration_repeat1,
    ACTIONS(15856), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [591679] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12867), 1,
      anon_sym_LPAREN,
    ACTIONS(16065), 1,
      anon_sym_COLON,
    ACTIONS(16067), 1,
      sym__automatic_semicolon,
    STATE(11794), 1,
      aux_sym__function_constructor_repeat1,
    STATE(13068), 1,
      sym__using_parameters_clause,
    STATE(13070), 1,
      sym_parameters,
    STATE(13748), 2,
      sym_comment,
      sym_block_comment,
  [591708] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13749), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9021), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [591727] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15342), 1,
      anon_sym_LBRACK,
    ACTIONS(15560), 1,
      anon_sym_match,
    ACTIONS(15890), 1,
      anon_sym_COMMA,
    ACTIONS(16069), 1,
      anon_sym_RPAREN,
    STATE(9572), 1,
      sym_type_arguments,
    STATE(15136), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(13750), 2,
      sym_comment,
      sym_block_comment,
  [591756] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13751), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16071), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [591775] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15938), 1,
      anon_sym_LBRACK,
    STATE(9982), 1,
      sym_type_arguments,
    STATE(13752), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12943), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_match,
      anon_sym_SEMI,
  [591798] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15342), 1,
      anon_sym_LBRACK,
    ACTIONS(15560), 1,
      anon_sym_match,
    ACTIONS(15890), 1,
      anon_sym_COMMA,
    ACTIONS(16073), 1,
      anon_sym_RPAREN,
    STATE(9572), 1,
      sym_type_arguments,
    STATE(15423), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(13753), 2,
      sym_comment,
      sym_block_comment,
  [591827] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15342), 1,
      anon_sym_LBRACK,
    ACTIONS(15560), 1,
      anon_sym_match,
    ACTIONS(16075), 1,
      anon_sym_COMMA,
    ACTIONS(16077), 1,
      anon_sym_RPAREN,
    STATE(9572), 1,
      sym_type_arguments,
    STATE(15459), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(13754), 2,
      sym_comment,
      sym_block_comment,
  [591856] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13755), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9180), 6,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
  [591875] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15938), 1,
      anon_sym_LBRACK,
    STATE(9982), 1,
      sym_type_arguments,
    STATE(13756), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12951), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_match,
      anon_sym_SEMI,
  [591898] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12867), 1,
      anon_sym_LPAREN,
    ACTIONS(16079), 1,
      anon_sym_COLON,
    ACTIONS(16081), 1,
      sym__automatic_semicolon,
    STATE(13068), 1,
      sym__using_parameters_clause,
    STATE(13070), 1,
      sym_parameters,
    STATE(13648), 1,
      aux_sym__function_constructor_repeat1,
    STATE(13757), 2,
      sym_comment,
      sym_block_comment,
  [591927] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15342), 1,
      anon_sym_LBRACK,
    ACTIONS(15560), 1,
      anon_sym_match,
    ACTIONS(15890), 1,
      anon_sym_COMMA,
    ACTIONS(16083), 1,
      anon_sym_RPAREN,
    STATE(9572), 1,
      sym_type_arguments,
    STATE(14791), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(13758), 2,
      sym_comment,
      sym_block_comment,
  [591956] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13759), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14652), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [591975] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13760), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16085), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [591994] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13773), 1,
      aux_sym__constructor_applications_repeat1,
    STATE(13761), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14624), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [592015] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13762), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7498), 6,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
  [592034] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13763), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16087), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [592053] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15342), 1,
      anon_sym_LBRACK,
    ACTIONS(15560), 1,
      anon_sym_match,
    ACTIONS(15890), 1,
      anon_sym_COMMA,
    ACTIONS(16089), 1,
      anon_sym_RPAREN,
    STATE(9572), 1,
      sym_type_arguments,
    STATE(14761), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(13764), 2,
      sym_comment,
      sym_block_comment,
  [592082] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14539), 1,
      anon_sym_match,
    ACTIONS(15938), 1,
      anon_sym_LBRACK,
    STATE(9982), 1,
      sym_type_arguments,
    STATE(13765), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12754), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [592107] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13766), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16091), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [592126] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13767), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12150), 6,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LT_COLON,
      anon_sym_GT_COLON,
      anon_sym_LT_PERCENT,
  [592145] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14008), 1,
      anon_sym_extends,
    STATE(14223), 1,
      sym_extends_clause,
    STATE(13768), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14006), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [592168] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13769), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12128), 6,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LT_COLON,
      anon_sym_GT_COLON,
      anon_sym_LT_PERCENT,
  [592187] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16093), 1,
      anon_sym_SEMI,
    ACTIONS(16096), 1,
      anon_sym_else,
    ACTIONS(14964), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    ACTIONS(14967), 2,
      sym__automatic_semicolon,
      sym__outdent,
    STATE(13770), 2,
      sym_comment,
      sym_block_comment,
  [592212] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13771), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14946), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [592231] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15349), 1,
      anon_sym_COMMA,
    STATE(13773), 1,
      aux_sym__constructor_applications_repeat1,
    STATE(13772), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14624), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [592254] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16098), 1,
      anon_sym_COMMA,
    STATE(13773), 3,
      sym_comment,
      sym_block_comment,
      aux_sym__constructor_applications_repeat1,
    ACTIONS(14512), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [592275] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13774), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9554), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [592294] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13775), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12215), 6,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LT_COLON,
      anon_sym_GT_COLON,
      anon_sym_LT_PERCENT,
  [592313] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15342), 1,
      anon_sym_LBRACK,
    ACTIONS(15560), 1,
      anon_sym_match,
    ACTIONS(15890), 1,
      anon_sym_COMMA,
    ACTIONS(16101), 1,
      anon_sym_RPAREN,
    STATE(9572), 1,
      sym_type_arguments,
    STATE(14638), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(13776), 2,
      sym_comment,
      sym_block_comment,
  [592342] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15342), 1,
      anon_sym_LBRACK,
    ACTIONS(15560), 1,
      anon_sym_match,
    ACTIONS(15890), 1,
      anon_sym_COMMA,
    ACTIONS(16103), 1,
      anon_sym_RPAREN,
    STATE(9572), 1,
      sym_type_arguments,
    STATE(15346), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(13777), 2,
      sym_comment,
      sym_block_comment,
  [592371] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13778), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9554), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [592390] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15342), 1,
      anon_sym_LBRACK,
    ACTIONS(15560), 1,
      anon_sym_match,
    ACTIONS(15890), 1,
      anon_sym_COMMA,
    ACTIONS(16105), 1,
      anon_sym_RPAREN,
    STATE(9572), 1,
      sym_type_arguments,
    STATE(14638), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(13779), 2,
      sym_comment,
      sym_block_comment,
  [592419] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16107), 1,
      anon_sym_SEMI,
    ACTIONS(16110), 1,
      anon_sym_else,
    ACTIONS(14964), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    ACTIONS(14967), 2,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
    STATE(13780), 2,
      sym_comment,
      sym_block_comment,
  [592444] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13781), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7498), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [592463] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13782), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9082), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [592482] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16113), 1,
      anon_sym_SEMI,
    ACTIONS(16116), 1,
      anon_sym_else,
    STATE(13783), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14957), 4,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_finally,
  [592505] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15367), 1,
      anon_sym_LBRACK,
    ACTIONS(15403), 1,
      anon_sym_match,
    STATE(9374), 1,
      sym_type_arguments,
    STATE(13784), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15923), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
  [592530] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13785), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9159), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [592549] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13786), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9180), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [592568] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15758), 1,
      anon_sym_finally,
    STATE(13081), 1,
      sym_finally_clause,
    STATE(13787), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12910), 4,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_do,
  [592591] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16119), 1,
      anon_sym_SEMI,
    ACTIONS(16121), 1,
      anon_sym_else,
    STATE(13788), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14957), 4,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_finally,
  [592614] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16123), 1,
      anon_sym_SEMI,
    ACTIONS(16126), 1,
      anon_sym_else,
    ACTIONS(14964), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    ACTIONS(14967), 2,
      anon_sym_while,
      anon_sym_finally,
    STATE(13789), 2,
      sym_comment,
      sym_block_comment,
  [592639] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13790), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16129), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [592658] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16131), 1,
      anon_sym_SEMI,
    ACTIONS(16133), 1,
      anon_sym_else,
    ACTIONS(14964), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    ACTIONS(14967), 2,
      anon_sym_while,
      anon_sym_finally,
    STATE(13791), 2,
      sym_comment,
      sym_block_comment,
  [592683] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13792), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15611), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [592702] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13793), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [592721] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13794), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10073), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [592740] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13795), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16135), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [592758] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13796), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15947), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [592776] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14967), 1,
      anon_sym_do,
    ACTIONS(16137), 1,
      anon_sym_SEMI,
    ACTIONS(16140), 1,
      anon_sym_else,
    ACTIONS(14964), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13797), 2,
      sym_comment,
      sym_block_comment,
  [592800] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16143), 1,
      anon_sym_COMMA,
    STATE(14017), 1,
      aux_sym_enum_case_definitions_repeat1,
    STATE(13798), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16145), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
  [592822] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14967), 1,
      anon_sym_while,
    ACTIONS(16147), 1,
      anon_sym_SEMI,
    ACTIONS(16150), 1,
      anon_sym_else,
    ACTIONS(14964), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13799), 2,
      sym_comment,
      sym_block_comment,
  [592846] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16155), 1,
      anon_sym_EQ,
    STATE(13800), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16153), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [592866] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13801), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16157), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [592884] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15588), 1,
      anon_sym_STAR,
    ACTIONS(16159), 1,
      anon_sym_COMMA,
    ACTIONS(16161), 1,
      anon_sym_RPAREN,
    STATE(15081), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15331), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(13802), 2,
      sym_comment,
      sym_block_comment,
  [592910] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13803), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16163), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [592928] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13804), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16165), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [592946] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13805), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16167), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [592964] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13806), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15078), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_extends,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [592982] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13807), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8027), 5,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_LPAREN,
  [593000] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13808), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9554), 5,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
  [593018] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13809), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9159), 5,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
  [593036] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15342), 1,
      anon_sym_LBRACK,
    ACTIONS(15560), 1,
      anon_sym_match,
    STATE(9572), 1,
      sym_type_arguments,
    ACTIONS(16169), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(13810), 2,
      sym_comment,
      sym_block_comment,
  [593060] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13811), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14946), 5,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
  [593078] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13812), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14944), 5,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
  [593096] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13813), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16171), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [593114] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13814), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16173), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [593132] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16175), 1,
      anon_sym_COMMA,
    STATE(13831), 1,
      aux_sym_enum_case_definitions_repeat1,
    STATE(13815), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16145), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [593154] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13816), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16177), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [593172] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13817), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16177), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [593190] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13818), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9180), 5,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
  [593208] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15588), 1,
      anon_sym_STAR,
    ACTIONS(16179), 1,
      anon_sym_COMMA,
    ACTIONS(16181), 1,
      anon_sym_RPAREN,
    STATE(14397), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15331), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(13819), 2,
      sym_comment,
      sym_block_comment,
  [593234] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13820), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16183), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [593252] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13821), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14978), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_extends,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [593270] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16143), 1,
      anon_sym_COMMA,
    STATE(14021), 1,
      aux_sym_enum_case_definitions_repeat1,
    STATE(13822), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16145), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
  [593292] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15588), 1,
      anon_sym_STAR,
    ACTIONS(16185), 1,
      anon_sym_COMMA,
    ACTIONS(16187), 1,
      anon_sym_RPAREN,
    STATE(14487), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15331), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(13823), 2,
      sym_comment,
      sym_block_comment,
  [593318] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13824), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16189), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [593336] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13825), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15078), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_extends,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [593354] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15588), 1,
      anon_sym_STAR,
    ACTIONS(16191), 1,
      anon_sym_COMMA,
    ACTIONS(16193), 1,
      anon_sym_RPAREN,
    STATE(15331), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(15458), 1,
      aux_sym_tuple_type_repeat1,
    STATE(13826), 2,
      sym_comment,
      sym_block_comment,
  [593380] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13827), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16195), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_extends,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [593398] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13828), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14915), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_extends,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [593416] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16199), 1,
      anon_sym_COMMA,
    ACTIONS(16197), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    STATE(13829), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_case_definitions_repeat1,
  [593436] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13830), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16202), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [593454] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16175), 1,
      anon_sym_COMMA,
    STATE(13829), 1,
      aux_sym_enum_case_definitions_repeat1,
    STATE(13831), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16204), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [593476] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15588), 1,
      anon_sym_STAR,
    ACTIONS(16206), 1,
      anon_sym_COMMA,
    ACTIONS(16208), 1,
      anon_sym_RPAREN,
    STATE(14382), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15331), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(13832), 2,
      sym_comment,
      sym_block_comment,
  [593502] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12773), 1,
      anon_sym_COLON,
    STATE(14039), 1,
      aux_sym__type_parameter_repeat2,
    STATE(15306), 1,
      sym_context_bound,
    ACTIONS(14983), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(13833), 2,
      sym_comment,
      sym_block_comment,
  [593526] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15588), 1,
      anon_sym_STAR,
    ACTIONS(16210), 1,
      anon_sym_COMMA,
    ACTIONS(16212), 1,
      anon_sym_RPAREN,
    STATE(14766), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15331), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(13834), 2,
      sym_comment,
      sym_block_comment,
  [593552] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12773), 1,
      anon_sym_COLON,
    STATE(14039), 1,
      aux_sym__type_parameter_repeat2,
    STATE(15306), 1,
      sym_context_bound,
    ACTIONS(15385), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(13835), 2,
      sym_comment,
      sym_block_comment,
  [593576] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13836), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16087), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [593594] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15588), 1,
      anon_sym_STAR,
    ACTIONS(16214), 1,
      anon_sym_COMMA,
    ACTIONS(16216), 1,
      anon_sym_RPAREN,
    STATE(14942), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15331), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(13837), 2,
      sym_comment,
      sym_block_comment,
  [593620] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13838), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14951), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_extends,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [593638] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12773), 1,
      anon_sym_COLON,
    STATE(14039), 1,
      aux_sym__type_parameter_repeat2,
    STATE(15306), 1,
      sym_context_bound,
    ACTIONS(16218), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(13839), 2,
      sym_comment,
      sym_block_comment,
  [593662] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13840), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16220), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [593680] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13035), 1,
      anon_sym_LPAREN,
    STATE(15413), 1,
      sym_arguments,
    STATE(13841), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15088), 3,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_derives,
  [593702] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13842), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15907), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [593720] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15588), 1,
      anon_sym_STAR,
    ACTIONS(16222), 1,
      anon_sym_COMMA,
    ACTIONS(16224), 1,
      anon_sym_RPAREN,
    STATE(14385), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15331), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(13843), 2,
      sym_comment,
      sym_block_comment,
  [593746] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15707), 2,
      anon_sym_RBRACE,
      anon_sym_case,
    ACTIONS(16226), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(13844), 3,
      sym_comment,
      sym_block_comment,
      aux_sym__block_repeat1,
  [593766] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15588), 1,
      anon_sym_STAR,
    ACTIONS(16229), 1,
      anon_sym_COMMA,
    ACTIONS(16231), 1,
      anon_sym_RPAREN,
    STATE(14809), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15331), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(13845), 2,
      sym_comment,
      sym_block_comment,
  [593792] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16235), 1,
      anon_sym_EQ,
    STATE(13846), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16233), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [593812] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13847), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15805), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [593830] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13848), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15603), 5,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
  [593848] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15588), 1,
      anon_sym_STAR,
    ACTIONS(16237), 1,
      anon_sym_COMMA,
    ACTIONS(16239), 1,
      anon_sym_RPAREN,
    STATE(14631), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15331), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(13849), 2,
      sym_comment,
      sym_block_comment,
  [593874] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13850), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16241), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [593892] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16245), 1,
      anon_sym_EQ,
    STATE(13851), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16243), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [593912] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15588), 1,
      anon_sym_STAR,
    ACTIONS(16247), 1,
      anon_sym_COMMA,
    ACTIONS(16249), 1,
      anon_sym_RPAREN,
    STATE(14993), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15331), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(13852), 2,
      sym_comment,
      sym_block_comment,
  [593938] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13853), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16071), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [593956] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13854), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16189), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [593974] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13855), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16241), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [593992] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13856), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16091), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [594010] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13857), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16251), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [594028] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13858), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16253), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [594046] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15588), 1,
      anon_sym_STAR,
    ACTIONS(16255), 1,
      anon_sym_COMMA,
    ACTIONS(16257), 1,
      anon_sym_RPAREN,
    STATE(14748), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15331), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(13859), 2,
      sym_comment,
      sym_block_comment,
  [594072] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13860), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7498), 5,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
  [594090] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13861), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16259), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [594108] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13862), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14951), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_extends,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [594126] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15588), 1,
      anon_sym_STAR,
    ACTIONS(16261), 1,
      anon_sym_COMMA,
    ACTIONS(16263), 1,
      anon_sym_RPAREN,
    STATE(14667), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15331), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(13863), 2,
      sym_comment,
      sym_block_comment,
  [594152] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16265), 1,
      anon_sym_SEMI,
    ACTIONS(16267), 1,
      anon_sym_else,
    STATE(13864), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14957), 3,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
  [594174] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13865), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16269), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [594192] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13866), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8227), 5,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
  [594210] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13867), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14944), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [594228] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13868), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14978), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_extends,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [594246] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13869), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16271), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [594264] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13870), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15068), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_extends,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [594282] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13871), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16273), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [594300] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13872), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16275), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [594318] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16277), 1,
      anon_sym_SEMI,
    ACTIONS(16280), 1,
      anon_sym_else,
    STATE(13873), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14957), 3,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
  [594340] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6134), 1,
      anon_sym_LBRACE,
    ACTIONS(12478), 1,
      anon_sym_COLON,
    STATE(13928), 1,
      sym_template_body,
    STATE(6306), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13874), 2,
      sym_comment,
      sym_block_comment,
  [594364] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13875), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14915), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_extends,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [594382] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15588), 1,
      anon_sym_STAR,
    ACTIONS(16283), 1,
      anon_sym_COMMA,
    ACTIONS(16285), 1,
      anon_sym_RPAREN,
    STATE(14541), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15331), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(13876), 2,
      sym_comment,
      sym_block_comment,
  [594408] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13877), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16287), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [594426] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13878), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16289), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [594444] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16175), 1,
      anon_sym_COMMA,
    STATE(13829), 1,
      aux_sym_enum_case_definitions_repeat1,
    STATE(13879), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16145), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [594466] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13880), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16085), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [594484] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15588), 1,
      anon_sym_STAR,
    ACTIONS(16291), 1,
      anon_sym_COMMA,
    ACTIONS(16293), 1,
      anon_sym_RPAREN,
    STATE(14889), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15331), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(13881), 2,
      sym_comment,
      sym_block_comment,
  [594510] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15588), 1,
      anon_sym_STAR,
    ACTIONS(16295), 1,
      anon_sym_COMMA,
    ACTIONS(16297), 1,
      anon_sym_RPAREN,
    STATE(14403), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15331), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(13882), 2,
      sym_comment,
      sym_block_comment,
  [594536] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13883), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16299), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [594554] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13884), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16301), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [594572] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15588), 1,
      anon_sym_STAR,
    ACTIONS(16303), 1,
      anon_sym_COMMA,
    ACTIONS(16305), 1,
      anon_sym_RPAREN,
    STATE(14398), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15331), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(13885), 2,
      sym_comment,
      sym_block_comment,
  [594598] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15959), 2,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
    ACTIONS(16307), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(13886), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enumerators_repeat1,
  [594618] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15588), 1,
      anon_sym_STAR,
    ACTIONS(16310), 1,
      anon_sym_COMMA,
    ACTIONS(16312), 1,
      anon_sym_RPAREN,
    STATE(14730), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15331), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(13887), 2,
      sym_comment,
      sym_block_comment,
  [594644] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15780), 1,
      anon_sym_COLON,
    ACTIONS(15782), 1,
      anon_sym_LBRACE,
    ACTIONS(15786), 1,
      anon_sym_derives,
    STATE(13940), 1,
      sym_enum_body,
    STATE(15267), 1,
      sym_derives_clause,
    STATE(13888), 2,
      sym_comment,
      sym_block_comment,
  [594670] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13889), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16314), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [594688] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12773), 1,
      anon_sym_COLON,
    STATE(14039), 1,
      aux_sym__type_parameter_repeat2,
    STATE(15306), 1,
      sym_context_bound,
    ACTIONS(15488), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(13890), 2,
      sym_comment,
      sym_block_comment,
  [594712] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15588), 1,
      anon_sym_STAR,
    ACTIONS(16316), 1,
      anon_sym_COMMA,
    ACTIONS(16318), 1,
      anon_sym_RPAREN,
    STATE(15148), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15331), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(13891), 2,
      sym_comment,
      sym_block_comment,
  [594738] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15588), 1,
      anon_sym_STAR,
    ACTIONS(16320), 1,
      anon_sym_COMMA,
    ACTIONS(16322), 1,
      anon_sym_RPAREN,
    STATE(14595), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15331), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(13892), 2,
      sym_comment,
      sym_block_comment,
  [594764] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13893), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16324), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [594782] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15588), 1,
      anon_sym_STAR,
    ACTIONS(16326), 1,
      anon_sym_COMMA,
    ACTIONS(16328), 1,
      anon_sym_RPAREN,
    STATE(15149), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15331), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(13894), 2,
      sym_comment,
      sym_block_comment,
  [594808] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13895), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16330), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [594826] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13896), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7764), 5,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_LPAREN,
  [594844] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13897), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16332), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [594862] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15630), 1,
      anon_sym_finally,
    STATE(13314), 1,
      sym_finally_clause,
    STATE(13898), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12910), 3,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_do,
  [594884] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16334), 1,
      anon_sym_EQ,
    STATE(13899), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16153), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [594904] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13900), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8095), 5,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_LPAREN,
  [594922] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15588), 1,
      anon_sym_STAR,
    ACTIONS(16336), 1,
      anon_sym_COMMA,
    ACTIONS(16338), 1,
      anon_sym_RPAREN,
    STATE(14511), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15331), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(13901), 2,
      sym_comment,
      sym_block_comment,
  [594948] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13902), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8227), 5,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_LPAREN,
  [594966] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13903), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16340), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [594984] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15588), 1,
      anon_sym_STAR,
    ACTIONS(16342), 1,
      anon_sym_COMMA,
    ACTIONS(16344), 1,
      anon_sym_RPAREN,
    STATE(14505), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15331), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(13904), 2,
      sym_comment,
      sym_block_comment,
  [595010] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15588), 1,
      anon_sym_STAR,
    ACTIONS(16346), 1,
      anon_sym_COMMA,
    ACTIONS(16348), 1,
      anon_sym_RPAREN,
    STATE(15037), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15331), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(13905), 2,
      sym_comment,
      sym_block_comment,
  [595036] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13906), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16350), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [595054] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15588), 1,
      anon_sym_STAR,
    ACTIONS(16352), 1,
      anon_sym_COMMA,
    ACTIONS(16354), 1,
      anon_sym_RPAREN,
    STATE(14836), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15331), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(13907), 2,
      sym_comment,
      sym_block_comment,
  [595080] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15588), 1,
      anon_sym_STAR,
    ACTIONS(16356), 1,
      anon_sym_COMMA,
    ACTIONS(16358), 1,
      anon_sym_RPAREN,
    STATE(15109), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15331), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(13908), 2,
      sym_comment,
      sym_block_comment,
  [595106] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13909), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16195), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_extends,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [595124] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15786), 1,
      anon_sym_derives,
    ACTIONS(15869), 1,
      anon_sym_COLON,
    ACTIONS(15871), 1,
      anon_sym_LBRACE,
    STATE(14183), 1,
      sym_enum_body,
    STATE(14562), 1,
      sym_derives_clause,
    STATE(13910), 2,
      sym_comment,
      sym_block_comment,
  [595150] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15588), 1,
      anon_sym_STAR,
    ACTIONS(16360), 1,
      anon_sym_COMMA,
    ACTIONS(16362), 1,
      anon_sym_RPAREN,
    STATE(14763), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15331), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(13911), 2,
      sym_comment,
      sym_block_comment,
  [595176] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13912), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16364), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [595194] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16366), 1,
      anon_sym_SEMI,
    ACTIONS(16368), 1,
      sym__automatic_semicolon,
    STATE(13921), 1,
      aux_sym_enumerators_repeat1,
    ACTIONS(7084), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(13913), 2,
      sym_comment,
      sym_block_comment,
  [595218] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13914), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15068), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_extends,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [595236] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15342), 1,
      anon_sym_LBRACK,
    ACTIONS(15560), 1,
      anon_sym_match,
    STATE(9572), 1,
      sym_type_arguments,
    ACTIONS(16370), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(13915), 2,
      sym_comment,
      sym_block_comment,
  [595260] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15588), 1,
      anon_sym_STAR,
    ACTIONS(16372), 1,
      anon_sym_COMMA,
    ACTIONS(16374), 1,
      anon_sym_RPAREN,
    STATE(14421), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15331), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(13916), 2,
      sym_comment,
      sym_block_comment,
  [595286] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15588), 1,
      anon_sym_STAR,
    ACTIONS(16376), 1,
      anon_sym_COMMA,
    ACTIONS(16378), 1,
      anon_sym_RPAREN,
    STATE(15331), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(15409), 1,
      aux_sym_tuple_type_repeat1,
    STATE(13917), 2,
      sym_comment,
      sym_block_comment,
  [595312] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15342), 1,
      anon_sym_LBRACK,
    ACTIONS(15560), 1,
      anon_sym_match,
    STATE(9572), 1,
      sym_type_arguments,
    ACTIONS(16380), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(13918), 2,
      sym_comment,
      sym_block_comment,
  [595336] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15588), 1,
      anon_sym_STAR,
    ACTIONS(16382), 1,
      anon_sym_COMMA,
    ACTIONS(16384), 1,
      anon_sym_RPAREN,
    STATE(14712), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15331), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(13919), 2,
      sym_comment,
      sym_block_comment,
  [595362] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15342), 1,
      anon_sym_LBRACK,
    ACTIONS(15560), 1,
      anon_sym_match,
    STATE(9572), 1,
      sym_type_arguments,
    ACTIONS(16386), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(13920), 2,
      sym_comment,
      sym_block_comment,
  [595386] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15959), 2,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(16388), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(13921), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enumerators_repeat1,
  [595406] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13922), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16391), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [595424] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15588), 1,
      anon_sym_STAR,
    ACTIONS(16393), 1,
      anon_sym_COMMA,
    ACTIONS(16395), 1,
      anon_sym_RPAREN,
    STATE(15193), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15331), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(13923), 2,
      sym_comment,
      sym_block_comment,
  [595450] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13924), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16397), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [595468] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13925), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11285), 5,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
  [595486] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13926), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16399), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [595504] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16401), 1,
      anon_sym_EQ,
    STATE(13927), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16233), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [595524] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13928), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16403), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [595542] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15588), 1,
      anon_sym_STAR,
    ACTIONS(16405), 1,
      anon_sym_COMMA,
    ACTIONS(16407), 1,
      anon_sym_RPAREN,
    STATE(15297), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15331), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(13929), 2,
      sym_comment,
      sym_block_comment,
  [595568] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13930), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16409), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [595586] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13931), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10058), 5,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
  [595604] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13932), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16411), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [595622] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15780), 1,
      anon_sym_COLON,
    ACTIONS(15782), 1,
      anon_sym_LBRACE,
    ACTIONS(15786), 1,
      anon_sym_derives,
    STATE(13903), 1,
      sym_enum_body,
    STATE(15150), 1,
      sym_derives_clause,
    STATE(13933), 2,
      sym_comment,
      sym_block_comment,
  [595648] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15588), 1,
      anon_sym_STAR,
    ACTIONS(16413), 1,
      anon_sym_COMMA,
    ACTIONS(16415), 1,
      anon_sym_RPAREN,
    STATE(15331), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(15400), 1,
      aux_sym_tuple_type_repeat1,
    STATE(13934), 2,
      sym_comment,
      sym_block_comment,
  [595674] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13935), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16417), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [595692] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12773), 1,
      anon_sym_COLON,
    STATE(14039), 1,
      aux_sym__type_parameter_repeat2,
    STATE(15306), 1,
      sym_context_bound,
    ACTIONS(15502), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(13936), 2,
      sym_comment,
      sym_block_comment,
  [595716] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15588), 1,
      anon_sym_STAR,
    ACTIONS(16419), 1,
      anon_sym_COMMA,
    ACTIONS(16421), 1,
      anon_sym_RPAREN,
    STATE(14475), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15331), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(13937), 2,
      sym_comment,
      sym_block_comment,
  [595742] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13938), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16423), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [595760] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16175), 1,
      anon_sym_COMMA,
    STATE(13879), 1,
      aux_sym_enum_case_definitions_repeat1,
    STATE(13939), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16425), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [595782] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13940), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16427), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [595800] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16429), 1,
      anon_sym_SEMI,
    ACTIONS(16431), 1,
      sym__automatic_semicolon,
    STATE(13886), 1,
      aux_sym_enumerators_repeat1,
    ACTIONS(7084), 2,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
    STATE(13941), 2,
      sym_comment,
      sym_block_comment,
  [595824] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13942), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16433), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [595842] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16435), 1,
      anon_sym_COLON,
    STATE(13943), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15389), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_if,
      anon_sym_SEMI,
  [595862] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15588), 1,
      anon_sym_STAR,
    ACTIONS(16437), 1,
      anon_sym_COMMA,
    ACTIONS(16439), 1,
      anon_sym_RPAREN,
    STATE(14693), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15331), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(13944), 2,
      sym_comment,
      sym_block_comment,
  [595888] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13945), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16441), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [595906] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15588), 1,
      anon_sym_STAR,
    ACTIONS(16443), 1,
      anon_sym_COMMA,
    ACTIONS(16445), 1,
      anon_sym_RPAREN,
    STATE(14924), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15331), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(13946), 2,
      sym_comment,
      sym_block_comment,
  [595932] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13947), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16447), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [595950] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15342), 1,
      anon_sym_LBRACK,
    ACTIONS(15560), 1,
      anon_sym_match,
    STATE(9572), 1,
      sym_type_arguments,
    ACTIONS(16449), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(13948), 2,
      sym_comment,
      sym_block_comment,
  [595974] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13949), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8095), 5,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
  [595992] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15588), 1,
      anon_sym_STAR,
    ACTIONS(16451), 1,
      anon_sym_COMMA,
    ACTIONS(16453), 1,
      anon_sym_RPAREN,
    STATE(14703), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15331), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(13950), 2,
      sym_comment,
      sym_block_comment,
  [596018] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13951), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10073), 5,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
  [596036] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13952), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 5,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
  [596054] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16143), 1,
      anon_sym_COMMA,
    STATE(13822), 1,
      aux_sym_enum_case_definitions_repeat1,
    STATE(13953), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16425), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
  [596076] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13954), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16455), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [596094] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15588), 1,
      anon_sym_STAR,
    ACTIONS(16457), 1,
      anon_sym_COMMA,
    ACTIONS(16459), 1,
      anon_sym_RPAREN,
    STATE(14774), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15331), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(13955), 2,
      sym_comment,
      sym_block_comment,
  [596120] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13956), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8835), 5,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_LPAREN,
  [596138] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15342), 1,
      anon_sym_LBRACK,
    ACTIONS(15560), 1,
      anon_sym_match,
    STATE(9572), 1,
      sym_type_arguments,
    ACTIONS(16461), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(13957), 2,
      sym_comment,
      sym_block_comment,
  [596162] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13958), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16463), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [596180] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6706), 1,
      anon_sym_LBRACE,
    ACTIONS(12798), 1,
      anon_sym_COLON,
    STATE(14097), 1,
      sym_template_body,
    STATE(8874), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13959), 2,
      sym_comment,
      sym_block_comment,
  [596204] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13960), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16465), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [596222] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13961), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16467), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [596240] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13962), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16469), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [596258] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15588), 1,
      anon_sym_STAR,
    ACTIONS(16471), 1,
      anon_sym_COMMA,
    ACTIONS(16473), 1,
      anon_sym_RPAREN,
    STATE(14451), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15331), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(13963), 2,
      sym_comment,
      sym_block_comment,
  [596284] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15588), 1,
      anon_sym_STAR,
    ACTIONS(16475), 1,
      anon_sym_COMMA,
    ACTIONS(16477), 1,
      anon_sym_RPAREN,
    STATE(14846), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15331), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(13964), 2,
      sym_comment,
      sym_block_comment,
  [596310] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15588), 1,
      anon_sym_STAR,
    ACTIONS(16479), 1,
      anon_sym_COMMA,
    ACTIONS(16481), 1,
      anon_sym_RPAREN,
    STATE(15329), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15331), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(13965), 2,
      sym_comment,
      sym_block_comment,
  [596336] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15588), 1,
      anon_sym_STAR,
    ACTIONS(16483), 1,
      anon_sym_COMMA,
    ACTIONS(16485), 1,
      anon_sym_RPAREN,
    STATE(14883), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15331), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(13966), 2,
      sym_comment,
      sym_block_comment,
  [596362] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16429), 1,
      anon_sym_SEMI,
    ACTIONS(16489), 1,
      sym__automatic_semicolon,
    STATE(13941), 1,
      aux_sym_enumerators_repeat1,
    ACTIONS(16487), 2,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
    STATE(13967), 2,
      sym_comment,
      sym_block_comment,
  [596386] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13968), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14944), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [596404] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15588), 1,
      anon_sym_STAR,
    ACTIONS(16491), 1,
      anon_sym_COMMA,
    ACTIONS(16493), 1,
      anon_sym_RPAREN,
    STATE(14433), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15331), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(13969), 2,
      sym_comment,
      sym_block_comment,
  [596430] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13970), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16495), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [596448] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13971), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16129), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [596466] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15588), 1,
      anon_sym_STAR,
    ACTIONS(16497), 1,
      anon_sym_COMMA,
    ACTIONS(16499), 1,
      anon_sym_RPAREN,
    STATE(15137), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15331), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(13972), 2,
      sym_comment,
      sym_block_comment,
  [596492] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13844), 1,
      aux_sym__block_repeat1,
    ACTIONS(641), 2,
      anon_sym_RBRACE,
      anon_sym_case,
    ACTIONS(16501), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(13973), 2,
      sym_comment,
      sym_block_comment,
  [596514] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13974), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16503), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [596532] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13975), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16505), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [596550] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13976), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15684), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [596568] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15342), 1,
      anon_sym_LBRACK,
    ACTIONS(15560), 1,
      anon_sym_match,
    STATE(9572), 1,
      sym_type_arguments,
    ACTIONS(16507), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(13977), 2,
      sym_comment,
      sym_block_comment,
  [596592] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15342), 1,
      anon_sym_LBRACK,
    ACTIONS(15560), 1,
      anon_sym_match,
    STATE(9572), 1,
      sym_type_arguments,
    ACTIONS(16509), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(13978), 2,
      sym_comment,
      sym_block_comment,
  [596616] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16511), 1,
      anon_sym_EQ,
    STATE(13979), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16243), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [596636] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13980), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15983), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [596654] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15786), 1,
      anon_sym_derives,
    ACTIONS(15869), 1,
      anon_sym_COLON,
    ACTIONS(15871), 1,
      anon_sym_LBRACE,
    STATE(14058), 1,
      sym_enum_body,
    STATE(14473), 1,
      sym_derives_clause,
    STATE(13981), 2,
      sym_comment,
      sym_block_comment,
  [596680] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15588), 1,
      anon_sym_STAR,
    ACTIONS(16513), 1,
      anon_sym_COMMA,
    ACTIONS(16515), 1,
      anon_sym_RPAREN,
    STATE(14523), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15331), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(13982), 2,
      sym_comment,
      sym_block_comment,
  [596706] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15342), 1,
      anon_sym_LBRACK,
    ACTIONS(15560), 1,
      anon_sym_match,
    STATE(9572), 1,
      sym_type_arguments,
    ACTIONS(16517), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(13983), 2,
      sym_comment,
      sym_block_comment,
  [596730] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15588), 1,
      anon_sym_STAR,
    ACTIONS(16519), 1,
      anon_sym_COMMA,
    ACTIONS(16521), 1,
      anon_sym_RPAREN,
    STATE(15331), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(15352), 1,
      aux_sym_tuple_type_repeat1,
    STATE(13984), 2,
      sym_comment,
      sym_block_comment,
  [596756] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13985), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15981), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [596774] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16523), 1,
      anon_sym_RBRACE,
    ACTIONS(16525), 1,
      anon_sym_COMMA,
    ACTIONS(16527), 1,
      anon_sym_EQ_GT,
    ACTIONS(16529), 1,
      anon_sym_as,
    STATE(14575), 1,
      aux_sym_namespace_selectors_repeat1,
    STATE(13986), 2,
      sym_comment,
      sym_block_comment,
  [596800] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13987), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9082), 5,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
  [596818] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14022), 1,
      aux_sym__block_repeat1,
    ACTIONS(15376), 2,
      sym__outdent,
      anon_sym_case,
    ACTIONS(15500), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(13988), 2,
      sym_comment,
      sym_block_comment,
  [596840] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13989), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15009), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_extends,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [596858] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16531), 1,
      anon_sym_SEMI,
    ACTIONS(16534), 1,
      anon_sym_else,
    STATE(13990), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14957), 3,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_do,
  [596880] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13991), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16537), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [596898] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13992), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16539), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [596916] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15588), 1,
      anon_sym_STAR,
    ACTIONS(16541), 1,
      anon_sym_COMMA,
    ACTIONS(16543), 1,
      anon_sym_RPAREN,
    STATE(14673), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15331), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(13993), 2,
      sym_comment,
      sym_block_comment,
  [596942] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13994), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16545), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [596960] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15588), 1,
      anon_sym_STAR,
    ACTIONS(16547), 1,
      anon_sym_COMMA,
    ACTIONS(16549), 1,
      anon_sym_RPAREN,
    STATE(14721), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15331), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(13995), 2,
      sym_comment,
      sym_block_comment,
  [596986] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16527), 1,
      anon_sym_EQ_GT,
    ACTIONS(16529), 1,
      anon_sym_as,
    ACTIONS(16551), 1,
      anon_sym_RBRACE,
    ACTIONS(16553), 1,
      anon_sym_COMMA,
    STATE(15047), 1,
      aux_sym_namespace_selectors_repeat1,
    STATE(13996), 2,
      sym_comment,
      sym_block_comment,
  [597012] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15342), 1,
      anon_sym_LBRACK,
    ACTIONS(15560), 1,
      anon_sym_match,
    STATE(9572), 1,
      sym_type_arguments,
    ACTIONS(16555), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(13997), 2,
      sym_comment,
      sym_block_comment,
  [597036] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13998), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9029), 5,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
  [597054] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15883), 1,
      anon_sym_finally,
    STATE(13570), 1,
      sym_finally_clause,
    STATE(13999), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12910), 3,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
  [597076] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16559), 1,
      anon_sym_EQ,
    STATE(14000), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16557), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [597096] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14001), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16561), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [597114] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14002), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7764), 5,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
  [597132] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14003), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16002), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [597150] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14004), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(5066), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [597168] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14005), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16563), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [597186] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14006), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16565), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [597204] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15588), 1,
      anon_sym_STAR,
    ACTIONS(16567), 1,
      anon_sym_COMMA,
    ACTIONS(16569), 1,
      anon_sym_RPAREN,
    STATE(14637), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15331), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14007), 2,
      sym_comment,
      sym_block_comment,
  [597230] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15588), 1,
      anon_sym_STAR,
    ACTIONS(16571), 1,
      anon_sym_COMMA,
    ACTIONS(16573), 1,
      anon_sym_RPAREN,
    STATE(14559), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15331), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14008), 2,
      sym_comment,
      sym_block_comment,
  [597256] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15601), 1,
      anon_sym_finally,
    STATE(13314), 1,
      sym_finally_clause,
    STATE(14009), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12910), 3,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
  [597278] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14967), 1,
      anon_sym_while,
    ACTIONS(16575), 1,
      anon_sym_SEMI,
    ACTIONS(16577), 1,
      anon_sym_else,
    ACTIONS(14964), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(14010), 2,
      sym_comment,
      sym_block_comment,
  [597302] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16579), 1,
      anon_sym_with,
    ACTIONS(8804), 3,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
    STATE(14011), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
  [597322] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14012), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16582), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [597340] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15588), 1,
      anon_sym_STAR,
    ACTIONS(16584), 1,
      anon_sym_COMMA,
    ACTIONS(16586), 1,
      anon_sym_RPAREN,
    STATE(15295), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15331), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14013), 2,
      sym_comment,
      sym_block_comment,
  [597366] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15342), 1,
      anon_sym_LBRACK,
    ACTIONS(15560), 1,
      anon_sym_match,
    STATE(9572), 1,
      sym_type_arguments,
    ACTIONS(16588), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(14014), 2,
      sym_comment,
      sym_block_comment,
  [597390] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14015), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16590), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [597408] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15588), 1,
      anon_sym_STAR,
    ACTIONS(16592), 1,
      anon_sym_COMMA,
    ACTIONS(16594), 1,
      anon_sym_RPAREN,
    STATE(15331), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(15475), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14016), 2,
      sym_comment,
      sym_block_comment,
  [597434] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16143), 1,
      anon_sym_COMMA,
    STATE(14021), 1,
      aux_sym_enum_case_definitions_repeat1,
    STATE(14017), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16204), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
  [597456] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14018), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16596), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [597474] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12773), 1,
      anon_sym_COLON,
    STATE(14039), 1,
      aux_sym__type_parameter_repeat2,
    STATE(15306), 1,
      sym_context_bound,
    ACTIONS(16598), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(14019), 2,
      sym_comment,
      sym_block_comment,
  [597498] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15588), 1,
      anon_sym_STAR,
    ACTIONS(16600), 1,
      anon_sym_COMMA,
    ACTIONS(16602), 1,
      anon_sym_RPAREN,
    STATE(15077), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15331), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14020), 2,
      sym_comment,
      sym_block_comment,
  [597524] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16604), 1,
      anon_sym_COMMA,
    ACTIONS(16197), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
    STATE(14021), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_case_definitions_repeat1,
  [597544] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14034), 1,
      aux_sym__block_repeat1,
    ACTIONS(641), 2,
      sym__outdent,
      anon_sym_case,
    ACTIONS(16607), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(14022), 2,
      sym_comment,
      sym_block_comment,
  [597566] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14023), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16609), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [597584] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14024), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9566), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [597602] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14025), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15009), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_extends,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [597620] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15588), 1,
      anon_sym_STAR,
    ACTIONS(16611), 1,
      anon_sym_COMMA,
    ACTIONS(16613), 1,
      anon_sym_RPAREN,
    STATE(14601), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15331), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14026), 2,
      sym_comment,
      sym_block_comment,
  [597646] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15342), 1,
      anon_sym_LBRACK,
    ACTIONS(15560), 1,
      anon_sym_match,
    STATE(9572), 1,
      sym_type_arguments,
    ACTIONS(16615), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(14027), 2,
      sym_comment,
      sym_block_comment,
  [597670] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16366), 1,
      anon_sym_SEMI,
    ACTIONS(16617), 1,
      sym__automatic_semicolon,
    STATE(13913), 1,
      aux_sym_enumerators_repeat1,
    ACTIONS(16487), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(14028), 2,
      sym_comment,
      sym_block_comment,
  [597694] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13973), 1,
      aux_sym__block_repeat1,
    ACTIONS(15376), 2,
      anon_sym_RBRACE,
      anon_sym_case,
    ACTIONS(15378), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(14029), 2,
      sym_comment,
      sym_block_comment,
  [597716] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14030), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16619), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [597734] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14031), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16621), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [597752] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16623), 1,
      anon_sym_EQ,
    STATE(14032), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16557), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [597772] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15588), 1,
      anon_sym_STAR,
    ACTIONS(16625), 1,
      anon_sym_COMMA,
    ACTIONS(16627), 1,
      anon_sym_RPAREN,
    STATE(14565), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15331), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14033), 2,
      sym_comment,
      sym_block_comment,
  [597798] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15707), 2,
      sym__outdent,
      anon_sym_case,
    ACTIONS(16629), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(14034), 3,
      sym_comment,
      sym_block_comment,
      aux_sym__block_repeat1,
  [597818] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16632), 1,
      anon_sym_SEMI,
    ACTIONS(16634), 1,
      anon_sym_else,
    STATE(14035), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14957), 3,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_do,
  [597840] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15588), 1,
      anon_sym_STAR,
    ACTIONS(16636), 1,
      anon_sym_COMMA,
    ACTIONS(16638), 1,
      anon_sym_RPAREN,
    STATE(15220), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15331), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14036), 2,
      sym_comment,
      sym_block_comment,
  [597866] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15754), 1,
      anon_sym_finally,
    STATE(13570), 1,
      sym_finally_clause,
    STATE(14037), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12910), 3,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_do,
  [597888] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14038), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16640), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [597906] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16642), 1,
      anon_sym_COLON,
    STATE(15306), 1,
      sym_context_bound,
    ACTIONS(16645), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(14039), 3,
      sym_comment,
      sym_block_comment,
      aux_sym__type_parameter_repeat2,
  [597928] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15588), 1,
      anon_sym_STAR,
    ACTIONS(16647), 1,
      anon_sym_COMMA,
    ACTIONS(16649), 1,
      anon_sym_RPAREN,
    STATE(15331), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(15342), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14040), 2,
      sym_comment,
      sym_block_comment,
  [597954] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12773), 1,
      anon_sym_COLON,
    STATE(14039), 1,
      aux_sym__type_parameter_repeat2,
    STATE(15306), 1,
      sym_context_bound,
    ACTIONS(15098), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(14041), 2,
      sym_comment,
      sym_block_comment,
  [597978] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14042), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16651), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [597996] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15588), 1,
      anon_sym_STAR,
    ACTIONS(16653), 1,
      anon_sym_COMMA,
    ACTIONS(16655), 1,
      anon_sym_RPAREN,
    STATE(14757), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15331), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14043), 2,
      sym_comment,
      sym_block_comment,
  [598022] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14044), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9021), 5,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
  [598040] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14967), 1,
      anon_sym_do,
    ACTIONS(16657), 1,
      anon_sym_SEMI,
    ACTIONS(16659), 1,
      anon_sym_else,
    ACTIONS(14964), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(14045), 2,
      sym_comment,
      sym_block_comment,
  [598064] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12773), 1,
      anon_sym_COLON,
    STATE(14039), 1,
      aux_sym__type_parameter_repeat2,
    STATE(15306), 1,
      sym_context_bound,
    ACTIONS(15562), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(14046), 2,
      sym_comment,
      sym_block_comment,
  [598088] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15588), 1,
      anon_sym_STAR,
    ACTIONS(16661), 1,
      anon_sym_COMMA,
    ACTIONS(16663), 1,
      anon_sym_RPAREN,
    STATE(14902), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15331), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14047), 2,
      sym_comment,
      sym_block_comment,
  [598114] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16665), 1,
      anon_sym_RBRACE,
    ACTIONS(16667), 1,
      anon_sym_case,
    STATE(14257), 1,
      aux_sym_indented_cases_repeat1,
    STATE(15719), 1,
      sym_case_clause,
    STATE(14048), 2,
      sym_comment,
      sym_block_comment,
  [598137] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16669), 1,
      anon_sym_case,
    ACTIONS(16671), 1,
      sym__outdent,
    STATE(14295), 1,
      aux_sym_indented_cases_repeat1,
    STATE(15710), 1,
      sym_case_clause,
    STATE(14049), 2,
      sym_comment,
      sym_block_comment,
  [598160] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15342), 1,
      anon_sym_LBRACK,
    ACTIONS(15560), 1,
      anon_sym_match,
    ACTIONS(16673), 1,
      anon_sym_while,
    STATE(9572), 1,
      sym_type_arguments,
    STATE(14050), 2,
      sym_comment,
      sym_block_comment,
  [598183] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15794), 1,
      sym__outdent,
    STATE(14189), 1,
      aux_sym__enum_block_repeat1,
    ACTIONS(15792), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(14051), 2,
      sym_comment,
      sym_block_comment,
  [598204] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14052), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16447), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [598221] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16675), 1,
      anon_sym_case,
    ACTIONS(16677), 1,
      sym__outdent,
    STATE(14299), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(15703), 1,
      sym_type_case_clause,
    STATE(14053), 2,
      sym_comment,
      sym_block_comment,
  [598244] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15342), 1,
      anon_sym_LBRACK,
    ACTIONS(15560), 1,
      anon_sym_match,
    ACTIONS(16024), 1,
      anon_sym_RPAREN,
    STATE(9572), 1,
      sym_type_arguments,
    STATE(14054), 2,
      sym_comment,
      sym_block_comment,
  [598267] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16679), 1,
      anon_sym_LBRACE,
    ACTIONS(16681), 1,
      sym__indent,
    STATE(12080), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(14055), 2,
      sym_comment,
      sym_block_comment,
  [598288] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15342), 1,
      anon_sym_LBRACK,
    ACTIONS(15560), 1,
      anon_sym_match,
    ACTIONS(16083), 1,
      anon_sym_RPAREN,
    STATE(9572), 1,
      sym_type_arguments,
    STATE(14056), 2,
      sym_comment,
      sym_block_comment,
  [598311] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16669), 1,
      anon_sym_case,
    ACTIONS(16683), 1,
      sym__outdent,
    STATE(14295), 1,
      aux_sym_indented_cases_repeat1,
    STATE(15710), 1,
      sym_case_clause,
    STATE(14057), 2,
      sym_comment,
      sym_block_comment,
  [598334] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14058), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16427), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [598351] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16685), 1,
      anon_sym_EQ,
    STATE(14059), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16557), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [598370] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16687), 1,
      anon_sym_COLON,
    ACTIONS(16691), 1,
      anon_sym_EQ,
    ACTIONS(16689), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(14060), 2,
      sym_comment,
      sym_block_comment,
  [598391] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14061), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16463), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [598408] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16669), 1,
      anon_sym_case,
    ACTIONS(16693), 1,
      sym__outdent,
    STATE(14295), 1,
      aux_sym_indented_cases_repeat1,
    STATE(15710), 1,
      sym_case_clause,
    STATE(14062), 2,
      sym_comment,
      sym_block_comment,
  [598431] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14063), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16411), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [598448] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16667), 1,
      anon_sym_case,
    ACTIONS(16695), 1,
      anon_sym_RBRACE,
    STATE(14314), 1,
      aux_sym_indented_cases_repeat1,
    STATE(15719), 1,
      sym_case_clause,
    STATE(14064), 2,
      sym_comment,
      sym_block_comment,
  [598471] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16667), 1,
      anon_sym_case,
    ACTIONS(16697), 1,
      anon_sym_RBRACE,
    STATE(14257), 1,
      aux_sym_indented_cases_repeat1,
    STATE(15719), 1,
      sym_case_clause,
    STATE(14065), 2,
      sym_comment,
      sym_block_comment,
  [598494] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14066), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16539), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [598511] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14067), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15707), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [598528] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14068), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16197), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [598545] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16679), 1,
      anon_sym_LBRACE,
    ACTIONS(16681), 1,
      sym__indent,
    STATE(12041), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(14069), 2,
      sym_comment,
      sym_block_comment,
  [598566] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16699), 1,
      anon_sym_LBRACE,
    ACTIONS(16701), 1,
      sym__indent,
    STATE(13320), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(14070), 2,
      sym_comment,
      sym_block_comment,
  [598587] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16667), 1,
      anon_sym_case,
    ACTIONS(16703), 1,
      anon_sym_RBRACE,
    STATE(14317), 1,
      aux_sym_indented_cases_repeat1,
    STATE(15719), 1,
      sym_case_clause,
    STATE(14071), 2,
      sym_comment,
      sym_block_comment,
  [598610] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15342), 1,
      anon_sym_LBRACK,
    ACTIONS(15560), 1,
      anon_sym_match,
    ACTIONS(15945), 1,
      anon_sym_RPAREN,
    STATE(9572), 1,
      sym_type_arguments,
    STATE(14072), 2,
      sym_comment,
      sym_block_comment,
  [598633] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16667), 1,
      anon_sym_case,
    ACTIONS(16705), 1,
      anon_sym_RBRACE,
    STATE(14257), 1,
      aux_sym_indented_cases_repeat1,
    STATE(15719), 1,
      sym_case_clause,
    STATE(14073), 2,
      sym_comment,
      sym_block_comment,
  [598656] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14074), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16465), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [598673] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14075), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7086), 4,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_do,
      anon_sym_yield,
  [598690] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15588), 1,
      anon_sym_STAR,
    ACTIONS(16709), 1,
      anon_sym_EQ,
    ACTIONS(16707), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(14076), 2,
      sym_comment,
      sym_block_comment,
  [598711] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16711), 1,
      anon_sym_EQ,
    STATE(14077), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16233), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [598730] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16667), 1,
      anon_sym_case,
    ACTIONS(16713), 1,
      anon_sym_RBRACE,
    STATE(14257), 1,
      aux_sym_indented_cases_repeat1,
    STATE(15719), 1,
      sym_case_clause,
    STATE(14078), 2,
      sym_comment,
      sym_block_comment,
  [598753] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14079), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16715), 4,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LT_PERCENT,
  [598770] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16717), 1,
      anon_sym_COMMA,
    ACTIONS(16720), 2,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
    STATE(14080), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_tuple_type_repeat1,
  [598789] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14081), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9067), 4,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_LPAREN,
  [598806] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16722), 1,
      ts_builtin_sym_end,
    ACTIONS(16724), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(14082), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compilation_unit_repeat1,
  [598825] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16675), 1,
      anon_sym_case,
    ACTIONS(16727), 1,
      sym__outdent,
    STATE(14299), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(15703), 1,
      sym_type_case_clause,
    STATE(14083), 2,
      sym_comment,
      sym_block_comment,
  [598848] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14084), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16729), 4,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_do,
      anon_sym_yield,
  [598865] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15342), 1,
      anon_sym_LBRACK,
    ACTIONS(15560), 1,
      anon_sym_match,
    ACTIONS(16731), 1,
      anon_sym_while,
    STATE(9572), 1,
      sym_type_arguments,
    STATE(14085), 2,
      sym_comment,
      sym_block_comment,
  [598888] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15707), 1,
      anon_sym_RBRACE,
    ACTIONS(16733), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(14086), 3,
      sym_comment,
      sym_block_comment,
      aux_sym__block_repeat1,
  [598907] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15342), 1,
      anon_sym_LBRACK,
    ACTIONS(15560), 1,
      anon_sym_match,
    ACTIONS(16736), 1,
      anon_sym_while,
    STATE(9572), 1,
      sym_type_arguments,
    STATE(14087), 2,
      sym_comment,
      sym_block_comment,
  [598930] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15707), 1,
      sym__outdent,
    ACTIONS(16738), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(14088), 3,
      sym_comment,
      sym_block_comment,
      aux_sym__block_repeat1,
  [598949] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16741), 1,
      anon_sym_EQ,
    STATE(14089), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16243), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [598968] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15342), 1,
      anon_sym_LBRACK,
    ACTIONS(15560), 1,
      anon_sym_match,
    ACTIONS(16069), 1,
      anon_sym_RPAREN,
    STATE(9572), 1,
      sym_type_arguments,
    STATE(14090), 2,
      sym_comment,
      sym_block_comment,
  [598991] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16743), 1,
      anon_sym_COMMA,
    ACTIONS(15273), 2,
      anon_sym_COLON,
      anon_sym_LBRACE,
    STATE(14091), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_derives_clause_repeat1,
  [599010] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14092), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16545), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [599027] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15342), 1,
      anon_sym_LBRACK,
    ACTIONS(15560), 1,
      anon_sym_match,
    ACTIONS(16746), 1,
      anon_sym_while,
    STATE(9572), 1,
      sym_type_arguments,
    STATE(14093), 2,
      sym_comment,
      sym_block_comment,
  [599050] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14094), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16417), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [599067] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14095), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16651), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [599084] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16675), 1,
      anon_sym_case,
    ACTIONS(16748), 1,
      sym__outdent,
    STATE(14299), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(15703), 1,
      sym_type_case_clause,
    STATE(14096), 2,
      sym_comment,
      sym_block_comment,
  [599107] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14097), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16403), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [599124] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16669), 1,
      anon_sym_case,
    ACTIONS(16750), 1,
      sym__outdent,
    STATE(14295), 1,
      aux_sym_indented_cases_repeat1,
    STATE(15710), 1,
      sym_case_clause,
    STATE(14098), 2,
      sym_comment,
      sym_block_comment,
  [599147] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7096), 1,
      sym__outdent,
    ACTIONS(16752), 1,
      anon_sym_SEMI,
    ACTIONS(16754), 1,
      sym__automatic_semicolon,
    STATE(14263), 1,
      aux_sym_enumerators_repeat1,
    STATE(14099), 2,
      sym_comment,
      sym_block_comment,
  [599170] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15342), 1,
      anon_sym_LBRACK,
    ACTIONS(15560), 1,
      anon_sym_match,
    ACTIONS(16756), 1,
      anon_sym_while,
    STATE(9572), 1,
      sym_type_arguments,
    STATE(14100), 2,
      sym_comment,
      sym_block_comment,
  [599193] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15376), 1,
      sym__outdent,
    STATE(14297), 1,
      aux_sym__block_repeat1,
    ACTIONS(15705), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(14101), 2,
      sym_comment,
      sym_block_comment,
  [599214] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14102), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16640), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [599231] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16667), 1,
      anon_sym_case,
    ACTIONS(16758), 1,
      anon_sym_RBRACE,
    STATE(14257), 1,
      aux_sym_indented_cases_repeat1,
    STATE(15719), 1,
      sym_case_clause,
    STATE(14103), 2,
      sym_comment,
      sym_block_comment,
  [599254] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14104), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16135), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [599271] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15588), 1,
      anon_sym_STAR,
    ACTIONS(16762), 1,
      anon_sym_EQ,
    ACTIONS(16760), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(14105), 2,
      sym_comment,
      sym_block_comment,
  [599292] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16764), 1,
      anon_sym_DOT,
    STATE(14106), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 3,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
  [599311] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16766), 1,
      anon_sym_LBRACE,
    ACTIONS(16768), 1,
      sym__indent,
    STATE(12265), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(14107), 2,
      sym_comment,
      sym_block_comment,
  [599332] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14108), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16163), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [599349] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16667), 1,
      anon_sym_case,
    ACTIONS(16770), 1,
      anon_sym_RBRACE,
    STATE(14257), 1,
      aux_sym_indented_cases_repeat1,
    STATE(15719), 1,
      sym_case_clause,
    STATE(14109), 2,
      sym_comment,
      sym_block_comment,
  [599372] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16669), 1,
      anon_sym_case,
    ACTIONS(16772), 1,
      sym__outdent,
    STATE(14295), 1,
      aux_sym_indented_cases_repeat1,
    STATE(15710), 1,
      sym_case_clause,
    STATE(14110), 2,
      sym_comment,
      sym_block_comment,
  [599395] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14111), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16167), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [599412] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16675), 1,
      anon_sym_case,
    ACTIONS(16774), 1,
      sym__outdent,
    STATE(14299), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(15703), 1,
      sym_type_case_clause,
    STATE(14112), 2,
      sym_comment,
      sym_block_comment,
  [599435] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16675), 1,
      anon_sym_case,
    ACTIONS(16776), 1,
      sym__outdent,
    STATE(14299), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(15703), 1,
      sym_type_case_clause,
    STATE(14113), 2,
      sym_comment,
      sym_block_comment,
  [599458] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15342), 1,
      anon_sym_LBRACK,
    ACTIONS(15560), 1,
      anon_sym_match,
    ACTIONS(15892), 1,
      anon_sym_RPAREN,
    STATE(9572), 1,
      sym_type_arguments,
    STATE(14114), 2,
      sym_comment,
      sym_block_comment,
  [599481] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14115), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16423), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [599498] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14116), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16271), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [599515] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16778), 1,
      anon_sym_LBRACE,
    ACTIONS(16780), 1,
      sym__indent,
    STATE(12951), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(14117), 2,
      sym_comment,
      sym_block_comment,
  [599536] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16667), 1,
      anon_sym_case,
    ACTIONS(16782), 1,
      anon_sym_RBRACE,
    STATE(14065), 1,
      aux_sym_indented_cases_repeat1,
    STATE(15719), 1,
      sym_case_clause,
    STATE(14118), 2,
      sym_comment,
      sym_block_comment,
  [599559] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14119), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16621), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [599576] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14120), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16467), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [599593] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14121), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9566), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [599610] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15342), 1,
      anon_sym_LBRACK,
    ACTIONS(15560), 1,
      anon_sym_match,
    ACTIONS(15925), 1,
      anon_sym_RPAREN,
    STATE(9572), 1,
      sym_type_arguments,
    STATE(14122), 2,
      sym_comment,
      sym_block_comment,
  [599633] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14123), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7466), 4,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_LPAREN,
  [599650] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14124), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16537), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [599667] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16675), 1,
      anon_sym_case,
    ACTIONS(16784), 1,
      sym__outdent,
    STATE(14299), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(15703), 1,
      sym_type_case_clause,
    STATE(14125), 2,
      sym_comment,
      sym_block_comment,
  [599690] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14126), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16397), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [599707] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12867), 1,
      anon_sym_LPAREN,
    ACTIONS(16786), 1,
      anon_sym_COLON,
    STATE(13061), 1,
      sym_parameters,
    STATE(13068), 1,
      sym__using_parameters_clause,
    STATE(14127), 2,
      sym_comment,
      sym_block_comment,
  [599730] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16788), 1,
      anon_sym_COLON,
    ACTIONS(16792), 1,
      anon_sym_EQ,
    ACTIONS(16790), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(14128), 2,
      sym_comment,
      sym_block_comment,
  [599751] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14129), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16251), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [599768] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14130), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16350), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [599785] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12867), 1,
      anon_sym_LPAREN,
    ACTIONS(16794), 1,
      anon_sym_COLON,
    STATE(13061), 1,
      sym_parameters,
    STATE(13068), 1,
      sym__using_parameters_clause,
    STATE(14131), 2,
      sym_comment,
      sym_block_comment,
  [599808] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16667), 1,
      anon_sym_case,
    ACTIONS(16796), 1,
      anon_sym_RBRACE,
    STATE(14257), 1,
      aux_sym_indented_cases_repeat1,
    STATE(15719), 1,
      sym_case_clause,
    STATE(14132), 2,
      sym_comment,
      sym_block_comment,
  [599831] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14133), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16259), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [599848] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16798), 1,
      anon_sym_LBRACE,
    ACTIONS(16800), 1,
      sym__indent,
    STATE(12648), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(14134), 2,
      sym_comment,
      sym_block_comment,
  [599869] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14135), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16157), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [599886] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14136), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15428), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [599903] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16699), 1,
      anon_sym_LBRACE,
    ACTIONS(16701), 1,
      sym__indent,
    STATE(13272), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(14137), 2,
      sym_comment,
      sym_block_comment,
  [599924] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14138), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16391), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [599941] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16667), 1,
      anon_sym_case,
    ACTIONS(16802), 1,
      anon_sym_RBRACE,
    STATE(14257), 1,
      aux_sym_indented_cases_repeat1,
    STATE(15719), 1,
      sym_case_clause,
    STATE(14139), 2,
      sym_comment,
      sym_block_comment,
  [599964] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12867), 1,
      anon_sym_LPAREN,
    ACTIONS(16804), 1,
      anon_sym_COLON,
    STATE(13061), 1,
      sym_parameters,
    STATE(13068), 1,
      sym__using_parameters_clause,
    STATE(14140), 2,
      sym_comment,
      sym_block_comment,
  [599987] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16669), 1,
      anon_sym_case,
    ACTIONS(16806), 1,
      sym__outdent,
    STATE(14295), 1,
      aux_sym_indented_cases_repeat1,
    STATE(15710), 1,
      sym_case_clause,
    STATE(14141), 2,
      sym_comment,
      sym_block_comment,
  [600010] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16808), 1,
      anon_sym_COMMA,
    STATE(14091), 1,
      aux_sym_derives_clause_repeat1,
    ACTIONS(15278), 2,
      anon_sym_COLON,
      anon_sym_LBRACE,
    STATE(14142), 2,
      sym_comment,
      sym_block_comment,
  [600031] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16810), 1,
      anon_sym_LBRACE,
    ACTIONS(16812), 1,
      sym__indent,
    STATE(13520), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(14143), 2,
      sym_comment,
      sym_block_comment,
  [600052] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14144), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16324), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [600069] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16675), 1,
      anon_sym_case,
    ACTIONS(16814), 1,
      sym__outdent,
    STATE(14299), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(15703), 1,
      sym_type_case_clause,
    STATE(14145), 2,
      sym_comment,
      sym_block_comment,
  [600092] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15342), 1,
      anon_sym_LBRACK,
    ACTIONS(15560), 1,
      anon_sym_match,
    ACTIONS(16816), 1,
      anon_sym_while,
    STATE(9572), 1,
      sym_type_arguments,
    STATE(14146), 2,
      sym_comment,
      sym_block_comment,
  [600115] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15342), 1,
      anon_sym_LBRACK,
    ACTIONS(15560), 1,
      anon_sym_match,
    ACTIONS(16818), 1,
      anon_sym_while,
    STATE(9572), 1,
      sym_type_arguments,
    STATE(14147), 2,
      sym_comment,
      sym_block_comment,
  [600138] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12867), 1,
      anon_sym_LPAREN,
    ACTIONS(16820), 1,
      anon_sym_COLON,
    STATE(13061), 1,
      sym_parameters,
    STATE(13068), 1,
      sym__using_parameters_clause,
    STATE(14148), 2,
      sym_comment,
      sym_block_comment,
  [600161] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16675), 1,
      anon_sym_case,
    ACTIONS(16822), 1,
      sym__outdent,
    STATE(14299), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(15703), 1,
      sym_type_case_clause,
    STATE(14149), 2,
      sym_comment,
      sym_block_comment,
  [600184] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16824), 1,
      anon_sym_LBRACE,
    ACTIONS(16826), 1,
      sym__indent,
    STATE(12539), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(14150), 2,
      sym_comment,
      sym_block_comment,
  [600205] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(661), 1,
      anon_sym_RBRACE,
    STATE(14341), 1,
      aux_sym__enum_block_repeat1,
    ACTIONS(16828), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(14151), 2,
      sym_comment,
      sym_block_comment,
  [600226] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14152), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16399), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [600243] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16667), 1,
      anon_sym_case,
    ACTIONS(16830), 1,
      anon_sym_RBRACE,
    STATE(14178), 1,
      aux_sym_indented_cases_repeat1,
    STATE(15719), 1,
      sym_case_clause,
    STATE(14153), 2,
      sym_comment,
      sym_block_comment,
  [600266] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16667), 1,
      anon_sym_case,
    ACTIONS(16832), 1,
      anon_sym_RBRACE,
    STATE(14257), 1,
      aux_sym_indented_cases_repeat1,
    STATE(15719), 1,
      sym_case_clause,
    STATE(14154), 2,
      sym_comment,
      sym_block_comment,
  [600289] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15342), 1,
      anon_sym_LBRACK,
    ACTIONS(15560), 1,
      anon_sym_match,
    ACTIONS(16834), 1,
      anon_sym_while,
    STATE(9572), 1,
      sym_type_arguments,
    STATE(14155), 2,
      sym_comment,
      sym_block_comment,
  [600312] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16667), 1,
      anon_sym_case,
    ACTIONS(16836), 1,
      anon_sym_RBRACE,
    STATE(14251), 1,
      aux_sym_indented_cases_repeat1,
    STATE(15719), 1,
      sym_case_clause,
    STATE(14156), 2,
      sym_comment,
      sym_block_comment,
  [600335] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(421), 1,
      ts_builtin_sym_end,
    STATE(14082), 1,
      aux_sym_compilation_unit_repeat1,
    ACTIONS(16838), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(14157), 2,
      sym_comment,
      sym_block_comment,
  [600356] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16669), 1,
      anon_sym_case,
    ACTIONS(16840), 1,
      sym__outdent,
    STATE(14295), 1,
      aux_sym_indented_cases_repeat1,
    STATE(15710), 1,
      sym_case_clause,
    STATE(14158), 2,
      sym_comment,
      sym_block_comment,
  [600379] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16675), 1,
      anon_sym_case,
    ACTIONS(16842), 1,
      sym__outdent,
    STATE(14299), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(15703), 1,
      sym_type_case_clause,
    STATE(14159), 2,
      sym_comment,
      sym_block_comment,
  [600402] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16675), 1,
      anon_sym_case,
    ACTIONS(16844), 1,
      sym__outdent,
    STATE(14299), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(15703), 1,
      sym_type_case_clause,
    STATE(14160), 2,
      sym_comment,
      sym_block_comment,
  [600425] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14161), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16495), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [600442] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16778), 1,
      anon_sym_LBRACE,
    ACTIONS(16780), 1,
      sym__indent,
    STATE(13030), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(14162), 2,
      sym_comment,
      sym_block_comment,
  [600463] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15588), 1,
      anon_sym_STAR,
    ACTIONS(16848), 1,
      anon_sym_EQ,
    ACTIONS(16846), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(14163), 2,
      sym_comment,
      sym_block_comment,
  [600484] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14164), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16441), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [600501] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16850), 1,
      anon_sym_COLON,
    ACTIONS(16854), 1,
      anon_sym_EQ,
    ACTIONS(16852), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(14165), 2,
      sym_comment,
      sym_block_comment,
  [600522] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16667), 1,
      anon_sym_case,
    ACTIONS(16856), 1,
      anon_sym_RBRACE,
    STATE(14313), 1,
      aux_sym_indented_cases_repeat1,
    STATE(15719), 1,
      sym_case_clause,
    STATE(14166), 2,
      sym_comment,
      sym_block_comment,
  [600545] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16669), 1,
      anon_sym_case,
    ACTIONS(16858), 1,
      sym__outdent,
    STATE(14295), 1,
      aux_sym_indented_cases_repeat1,
    STATE(15710), 1,
      sym_case_clause,
    STATE(14167), 2,
      sym_comment,
      sym_block_comment,
  [600568] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16667), 1,
      anon_sym_case,
    ACTIONS(16860), 1,
      anon_sym_RBRACE,
    STATE(14109), 1,
      aux_sym_indented_cases_repeat1,
    STATE(15719), 1,
      sym_case_clause,
    STATE(14168), 2,
      sym_comment,
      sym_block_comment,
  [600591] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15588), 1,
      anon_sym_STAR,
    ACTIONS(16864), 1,
      anon_sym_EQ,
    ACTIONS(16862), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(14169), 2,
      sym_comment,
      sym_block_comment,
  [600612] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16667), 1,
      anon_sym_case,
    ACTIONS(16866), 1,
      anon_sym_RBRACE,
    STATE(14257), 1,
      aux_sym_indented_cases_repeat1,
    STATE(15719), 1,
      sym_case_clause,
    STATE(14170), 2,
      sym_comment,
      sym_block_comment,
  [600635] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16868), 1,
      anon_sym_LBRACE,
    ACTIONS(16870), 1,
      sym__indent,
    STATE(13575), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(14171), 2,
      sym_comment,
      sym_block_comment,
  [600656] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16667), 1,
      anon_sym_case,
    ACTIONS(16872), 1,
      anon_sym_RBRACE,
    STATE(14228), 1,
      aux_sym_indented_cases_repeat1,
    STATE(15719), 1,
      sym_case_clause,
    STATE(14172), 2,
      sym_comment,
      sym_block_comment,
  [600679] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14173), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 4,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [600696] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15342), 1,
      anon_sym_LBRACK,
    ACTIONS(15560), 1,
      anon_sym_match,
    ACTIONS(15929), 1,
      anon_sym_RPAREN,
    STATE(9572), 1,
      sym_type_arguments,
    STATE(14174), 2,
      sym_comment,
      sym_block_comment,
  [600719] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16675), 1,
      anon_sym_case,
    ACTIONS(16874), 1,
      sym__outdent,
    STATE(14299), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(15703), 1,
      sym_type_case_clause,
    STATE(14175), 2,
      sym_comment,
      sym_block_comment,
  [600742] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14176), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16876), 4,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_do,
      anon_sym_yield,
  [600759] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16878), 1,
      anon_sym_LBRACE,
    ACTIONS(16880), 1,
      sym__indent,
    STATE(13360), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(14177), 2,
      sym_comment,
      sym_block_comment,
  [600780] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16667), 1,
      anon_sym_case,
    ACTIONS(16882), 1,
      anon_sym_RBRACE,
    STATE(14257), 1,
      aux_sym_indented_cases_repeat1,
    STATE(15719), 1,
      sym_case_clause,
    STATE(14178), 2,
      sym_comment,
      sym_block_comment,
  [600803] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16669), 1,
      anon_sym_case,
    ACTIONS(16884), 1,
      sym__outdent,
    STATE(14295), 1,
      aux_sym_indented_cases_repeat1,
    STATE(15710), 1,
      sym_case_clause,
    STATE(14179), 2,
      sym_comment,
      sym_block_comment,
  [600826] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16669), 1,
      anon_sym_case,
    ACTIONS(16886), 1,
      sym__outdent,
    STATE(14295), 1,
      aux_sym_indented_cases_repeat1,
    STATE(15710), 1,
      sym_case_clause,
    STATE(14180), 2,
      sym_comment,
      sym_block_comment,
  [600849] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16669), 1,
      anon_sym_case,
    ACTIONS(16888), 1,
      sym__outdent,
    STATE(14295), 1,
      aux_sym_indented_cases_repeat1,
    STATE(15710), 1,
      sym_case_clause,
    STATE(14181), 2,
      sym_comment,
      sym_block_comment,
  [600872] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16669), 1,
      anon_sym_case,
    ACTIONS(16890), 1,
      sym__outdent,
    STATE(14295), 1,
      aux_sym_indented_cases_repeat1,
    STATE(15710), 1,
      sym_case_clause,
    STATE(14182), 2,
      sym_comment,
      sym_block_comment,
  [600895] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14183), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16340), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [600912] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14184), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16505), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [600929] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16892), 1,
      anon_sym_LBRACE,
    ACTIONS(16894), 1,
      sym__indent,
    STATE(13358), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(14185), 2,
      sym_comment,
      sym_block_comment,
  [600950] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16667), 1,
      anon_sym_case,
    ACTIONS(16896), 1,
      anon_sym_RBRACE,
    STATE(14257), 1,
      aux_sym_indented_cases_repeat1,
    STATE(15719), 1,
      sym_case_clause,
    STATE(14186), 2,
      sym_comment,
      sym_block_comment,
  [600973] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16766), 1,
      anon_sym_LBRACE,
    ACTIONS(16768), 1,
      sym__indent,
    STATE(12383), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(14187), 2,
      sym_comment,
      sym_block_comment,
  [600994] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14188), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16565), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [601011] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(661), 1,
      sym__outdent,
    STATE(14360), 1,
      aux_sym__enum_block_repeat1,
    ACTIONS(16898), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(14189), 2,
      sym_comment,
      sym_block_comment,
  [601032] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15342), 1,
      anon_sym_LBRACK,
    ACTIONS(15560), 1,
      anon_sym_match,
    ACTIONS(16900), 1,
      anon_sym_while,
    STATE(9572), 1,
      sym_type_arguments,
    STATE(14190), 2,
      sym_comment,
      sym_block_comment,
  [601055] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16669), 1,
      anon_sym_case,
    ACTIONS(16902), 1,
      sym__outdent,
    STATE(14295), 1,
      aux_sym_indented_cases_repeat1,
    STATE(15710), 1,
      sym_case_clause,
    STATE(14191), 2,
      sym_comment,
      sym_block_comment,
  [601078] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16824), 1,
      anon_sym_LBRACE,
    ACTIONS(16826), 1,
      sym__indent,
    STATE(12447), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(14192), 2,
      sym_comment,
      sym_block_comment,
  [601099] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16904), 1,
      anon_sym_LBRACE,
    ACTIONS(16906), 1,
      sym__indent,
    STATE(11641), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(14193), 2,
      sym_comment,
      sym_block_comment,
  [601120] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14194), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16503), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [601137] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16667), 1,
      anon_sym_case,
    ACTIONS(16908), 1,
      anon_sym_RBRACE,
    STATE(14336), 1,
      aux_sym_indented_cases_repeat1,
    STATE(15719), 1,
      sym_case_clause,
    STATE(14195), 2,
      sym_comment,
      sym_block_comment,
  [601160] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16675), 1,
      anon_sym_case,
    ACTIONS(16910), 1,
      sym__outdent,
    STATE(14299), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(15703), 1,
      sym_type_case_clause,
    STATE(14196), 2,
      sym_comment,
      sym_block_comment,
  [601183] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14197), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16314), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [601200] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15342), 1,
      anon_sym_LBRACK,
    ACTIONS(15560), 1,
      anon_sym_match,
    ACTIONS(16912), 1,
      anon_sym_while,
    STATE(9572), 1,
      sym_type_arguments,
    STATE(14198), 2,
      sym_comment,
      sym_block_comment,
  [601223] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16878), 1,
      anon_sym_LBRACE,
    ACTIONS(16880), 1,
      sym__indent,
    STATE(13377), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(14199), 2,
      sym_comment,
      sym_block_comment,
  [601244] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16675), 1,
      anon_sym_case,
    ACTIONS(16914), 1,
      sym__outdent,
    STATE(14299), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(15703), 1,
      sym_type_case_clause,
    STATE(14200), 2,
      sym_comment,
      sym_block_comment,
  [601267] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16667), 1,
      anon_sym_case,
    ACTIONS(16916), 1,
      anon_sym_RBRACE,
    STATE(14257), 1,
      aux_sym_indented_cases_repeat1,
    STATE(15719), 1,
      sym_case_clause,
    STATE(14201), 2,
      sym_comment,
      sym_block_comment,
  [601290] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16868), 1,
      anon_sym_LBRACE,
    ACTIONS(16870), 1,
      sym__indent,
    STATE(13620), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(14202), 2,
      sym_comment,
      sym_block_comment,
  [601311] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12867), 1,
      anon_sym_LPAREN,
    ACTIONS(16918), 1,
      anon_sym_COLON,
    STATE(13061), 1,
      sym_parameters,
    STATE(13068), 1,
      sym__using_parameters_clause,
    STATE(14203), 2,
      sym_comment,
      sym_block_comment,
  [601334] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14204), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15707), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [601351] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16667), 1,
      anon_sym_case,
    ACTIONS(16920), 1,
      anon_sym_RBRACE,
    STATE(14257), 1,
      aux_sym_indented_cases_repeat1,
    STATE(15719), 1,
      sym_case_clause,
    STATE(14205), 2,
      sym_comment,
      sym_block_comment,
  [601374] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15588), 1,
      anon_sym_STAR,
    ACTIONS(16924), 1,
      anon_sym_EQ,
    ACTIONS(16922), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(14206), 2,
      sym_comment,
      sym_block_comment,
  [601395] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15342), 1,
      anon_sym_LBRACK,
    ACTIONS(15560), 1,
      anon_sym_match,
    ACTIONS(15905), 1,
      anon_sym_RPAREN,
    STATE(9572), 1,
      sym_type_arguments,
    STATE(14207), 2,
      sym_comment,
      sym_block_comment,
  [601418] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14208), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16582), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [601435] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14209), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16563), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [601452] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14210), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16619), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [601469] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15588), 1,
      anon_sym_STAR,
    ACTIONS(16926), 1,
      anon_sym_COMMA,
    ACTIONS(16928), 1,
      anon_sym_RPAREN,
    STATE(15311), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14211), 2,
      sym_comment,
      sym_block_comment,
  [601492] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15342), 1,
      anon_sym_LBRACK,
    ACTIONS(15560), 1,
      anon_sym_match,
    ACTIONS(15976), 1,
      anon_sym_RPAREN,
    STATE(9572), 1,
      sym_type_arguments,
    STATE(14212), 2,
      sym_comment,
      sym_block_comment,
  [601515] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15794), 1,
      anon_sym_RBRACE,
    STATE(14151), 1,
      aux_sym__enum_block_repeat1,
    ACTIONS(15881), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(14213), 2,
      sym_comment,
      sym_block_comment,
  [601536] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16667), 1,
      anon_sym_case,
    ACTIONS(16930), 1,
      anon_sym_RBRACE,
    STATE(14257), 1,
      aux_sym_indented_cases_repeat1,
    STATE(15719), 1,
      sym_case_clause,
    STATE(14214), 2,
      sym_comment,
      sym_block_comment,
  [601559] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16675), 1,
      anon_sym_case,
    ACTIONS(16932), 1,
      sym__outdent,
    STATE(14299), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(15703), 1,
      sym_type_case_clause,
    STATE(14215), 2,
      sym_comment,
      sym_block_comment,
  [601582] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16936), 1,
      anon_sym_COMMA,
    ACTIONS(16934), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    STATE(14216), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_identifiers_repeat1,
  [601601] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15588), 1,
      anon_sym_STAR,
    ACTIONS(16941), 1,
      anon_sym_EQ,
    ACTIONS(16939), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(14217), 2,
      sym_comment,
      sym_block_comment,
  [601622] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16667), 1,
      anon_sym_case,
    ACTIONS(16943), 1,
      anon_sym_RBRACE,
    STATE(14284), 1,
      aux_sym_indented_cases_repeat1,
    STATE(15719), 1,
      sym_case_clause,
    STATE(14218), 2,
      sym_comment,
      sym_block_comment,
  [601645] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15342), 1,
      anon_sym_LBRACK,
    ACTIONS(15560), 1,
      anon_sym_match,
    ACTIONS(15949), 1,
      anon_sym_RPAREN,
    STATE(9572), 1,
      sym_type_arguments,
    STATE(14219), 2,
      sym_comment,
      sym_block_comment,
  [601668] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14010), 1,
      anon_sym_LPAREN,
    ACTIONS(16945), 1,
      sym__automatic_semicolon,
    STATE(13292), 1,
      aux_sym__full_enum_def_repeat1,
    STATE(13909), 1,
      sym_class_parameters,
    STATE(14220), 2,
      sym_comment,
      sym_block_comment,
  [601691] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15342), 1,
      anon_sym_LBRACK,
    ACTIONS(15560), 1,
      anon_sym_match,
    ACTIONS(16947), 1,
      anon_sym_while,
    STATE(9572), 1,
      sym_type_arguments,
    STATE(14221), 2,
      sym_comment,
      sym_block_comment,
  [601714] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16667), 1,
      anon_sym_case,
    ACTIONS(16949), 1,
      anon_sym_RBRACE,
    STATE(14170), 1,
      aux_sym_indented_cases_repeat1,
    STATE(15719), 1,
      sym_case_clause,
    STATE(14222), 2,
      sym_comment,
      sym_block_comment,
  [601737] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14223), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16951), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [601754] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16953), 1,
      anon_sym_LBRACE,
    ACTIONS(16955), 1,
      sym__indent,
    STATE(13014), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(14224), 2,
      sym_comment,
      sym_block_comment,
  [601775] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14225), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16596), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [601792] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14226), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16171), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [601809] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(429), 1,
      ts_builtin_sym_end,
    STATE(14082), 1,
      aux_sym_compilation_unit_repeat1,
    ACTIONS(16957), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(14227), 2,
      sym_comment,
      sym_block_comment,
  [601830] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16667), 1,
      anon_sym_case,
    ACTIONS(16959), 1,
      anon_sym_RBRACE,
    STATE(14257), 1,
      aux_sym_indented_cases_repeat1,
    STATE(15719), 1,
      sym_case_clause,
    STATE(14228), 2,
      sym_comment,
      sym_block_comment,
  [601853] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(421), 1,
      ts_builtin_sym_end,
    STATE(14227), 1,
      aux_sym_compilation_unit_repeat1,
    ACTIONS(16838), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(14229), 2,
      sym_comment,
      sym_block_comment,
  [601874] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14230), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 4,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [601891] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15588), 1,
      anon_sym_STAR,
    ACTIONS(16961), 1,
      anon_sym_COMMA,
    ACTIONS(16963), 1,
      anon_sym_RPAREN,
    STATE(14725), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14231), 2,
      sym_comment,
      sym_block_comment,
  [601914] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14232), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16433), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [601931] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16965), 1,
      anon_sym_LBRACE,
    ACTIONS(16967), 1,
      sym__indent,
    STATE(12982), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(14233), 2,
      sym_comment,
      sym_block_comment,
  [601952] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16669), 1,
      anon_sym_case,
    ACTIONS(16969), 1,
      sym__outdent,
    STATE(14295), 1,
      aux_sym_indented_cases_repeat1,
    STATE(15710), 1,
      sym_case_clause,
    STATE(14234), 2,
      sym_comment,
      sym_block_comment,
  [601975] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16669), 1,
      anon_sym_case,
    ACTIONS(16971), 1,
      sym__outdent,
    STATE(14295), 1,
      aux_sym_indented_cases_repeat1,
    STATE(15710), 1,
      sym_case_clause,
    STATE(14235), 2,
      sym_comment,
      sym_block_comment,
  [601998] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14236), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16609), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [602015] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16973), 1,
      anon_sym_LBRACE,
    ACTIONS(16975), 1,
      sym__indent,
    STATE(11806), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(14237), 2,
      sym_comment,
      sym_block_comment,
  [602036] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16977), 1,
      anon_sym_EQ,
    STATE(14238), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16153), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [602055] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16752), 1,
      anon_sym_SEMI,
    ACTIONS(16979), 1,
      sym__automatic_semicolon,
    ACTIONS(16981), 1,
      sym__outdent,
    STATE(14099), 1,
      aux_sym_enumerators_repeat1,
    STATE(14239), 2,
      sym_comment,
      sym_block_comment,
  [602078] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15342), 1,
      anon_sym_LBRACK,
    ACTIONS(15560), 1,
      anon_sym_match,
    ACTIONS(16054), 1,
      anon_sym_RPAREN,
    STATE(9572), 1,
      sym_type_arguments,
    STATE(14240), 2,
      sym_comment,
      sym_block_comment,
  [602101] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16675), 1,
      anon_sym_case,
    ACTIONS(16983), 1,
      sym__outdent,
    STATE(14299), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(15703), 1,
      sym_type_case_clause,
    STATE(14241), 2,
      sym_comment,
      sym_block_comment,
  [602124] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14242), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15428), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [602141] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16675), 1,
      anon_sym_case,
    ACTIONS(16985), 1,
      sym__outdent,
    STATE(14299), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(15703), 1,
      sym_type_case_clause,
    STATE(14243), 2,
      sym_comment,
      sym_block_comment,
  [602164] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14244), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16253), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [602181] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15342), 1,
      anon_sym_LBRACK,
    ACTIONS(15560), 1,
      anon_sym_match,
    ACTIONS(16987), 1,
      anon_sym_while,
    STATE(9572), 1,
      sym_type_arguments,
    STATE(14245), 2,
      sym_comment,
      sym_block_comment,
  [602204] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16669), 1,
      anon_sym_case,
    ACTIONS(16989), 1,
      sym__outdent,
    STATE(14295), 1,
      aux_sym_indented_cases_repeat1,
    STATE(15710), 1,
      sym_case_clause,
    STATE(14246), 2,
      sym_comment,
      sym_block_comment,
  [602227] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16675), 1,
      anon_sym_case,
    ACTIONS(16991), 1,
      sym__outdent,
    STATE(14299), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(15703), 1,
      sym_type_case_clause,
    STATE(14247), 2,
      sym_comment,
      sym_block_comment,
  [602250] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16669), 1,
      anon_sym_case,
    ACTIONS(16993), 1,
      sym__outdent,
    STATE(14295), 1,
      aux_sym_indented_cases_repeat1,
    STATE(15710), 1,
      sym_case_clause,
    STATE(14248), 2,
      sym_comment,
      sym_block_comment,
  [602273] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16675), 1,
      anon_sym_case,
    ACTIONS(16995), 1,
      sym__outdent,
    STATE(14299), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(15703), 1,
      sym_type_case_clause,
    STATE(14249), 2,
      sym_comment,
      sym_block_comment,
  [602296] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16953), 1,
      anon_sym_LBRACE,
    ACTIONS(16955), 1,
      sym__indent,
    STATE(12954), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(14250), 2,
      sym_comment,
      sym_block_comment,
  [602317] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16667), 1,
      anon_sym_case,
    ACTIONS(16997), 1,
      anon_sym_RBRACE,
    STATE(14257), 1,
      aux_sym_indented_cases_repeat1,
    STATE(15719), 1,
      sym_case_clause,
    STATE(14251), 2,
      sym_comment,
      sym_block_comment,
  [602340] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(471), 1,
      ts_builtin_sym_end,
    STATE(14157), 1,
      aux_sym_compilation_unit_repeat1,
    ACTIONS(16999), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(14252), 2,
      sym_comment,
      sym_block_comment,
  [602361] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16965), 1,
      anon_sym_LBRACE,
    ACTIONS(16967), 1,
      sym__indent,
    STATE(13181), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(14253), 2,
      sym_comment,
      sym_block_comment,
  [602382] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16667), 1,
      anon_sym_case,
    ACTIONS(17001), 1,
      anon_sym_RBRACE,
    STATE(14201), 1,
      aux_sym_indented_cases_repeat1,
    STATE(15719), 1,
      sym_case_clause,
    STATE(14254), 2,
      sym_comment,
      sym_block_comment,
  [602405] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(641), 1,
      anon_sym_RBRACE,
    STATE(14086), 1,
      aux_sym__block_repeat1,
    ACTIONS(17003), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(14255), 2,
      sym_comment,
      sym_block_comment,
  [602426] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16675), 1,
      anon_sym_case,
    ACTIONS(17005), 1,
      sym__outdent,
    STATE(14299), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(15703), 1,
      sym_type_case_clause,
    STATE(14256), 2,
      sym_comment,
      sym_block_comment,
  [602449] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17007), 1,
      anon_sym_RBRACE,
    ACTIONS(17009), 1,
      anon_sym_case,
    STATE(15719), 1,
      sym_case_clause,
    STATE(14257), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_indented_cases_repeat1,
  [602470] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16810), 1,
      anon_sym_LBRACE,
    ACTIONS(16812), 1,
      sym__indent,
    STATE(13598), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(14258), 2,
      sym_comment,
      sym_block_comment,
  [602491] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16667), 1,
      anon_sym_case,
    ACTIONS(17012), 1,
      anon_sym_RBRACE,
    STATE(14073), 1,
      aux_sym_indented_cases_repeat1,
    STATE(15719), 1,
      sym_case_clause,
    STATE(14259), 2,
      sym_comment,
      sym_block_comment,
  [602514] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14260), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16561), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [602531] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16667), 1,
      anon_sym_case,
    ACTIONS(17014), 1,
      anon_sym_RBRACE,
    STATE(14332), 1,
      aux_sym_indented_cases_repeat1,
    STATE(15719), 1,
      sym_case_clause,
    STATE(14261), 2,
      sym_comment,
      sym_block_comment,
  [602554] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15342), 1,
      anon_sym_LBRACK,
    ACTIONS(15560), 1,
      anon_sym_match,
    ACTIONS(17016), 1,
      anon_sym_while,
    STATE(9572), 1,
      sym_type_arguments,
    STATE(14262), 2,
      sym_comment,
      sym_block_comment,
  [602577] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15959), 1,
      sym__outdent,
    ACTIONS(17018), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(14263), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enumerators_repeat1,
  [602596] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16667), 1,
      anon_sym_case,
    ACTIONS(17021), 1,
      anon_sym_RBRACE,
    STATE(14078), 1,
      aux_sym_indented_cases_repeat1,
    STATE(15719), 1,
      sym_case_clause,
    STATE(14264), 2,
      sym_comment,
      sym_block_comment,
  [602619] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14265), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16409), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [602636] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17023), 1,
      anon_sym_LBRACE,
    ACTIONS(17025), 1,
      sym__indent,
    STATE(13104), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(14266), 2,
      sym_comment,
      sym_block_comment,
  [602657] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16669), 1,
      anon_sym_case,
    ACTIONS(17027), 1,
      sym__outdent,
    STATE(14295), 1,
      aux_sym_indented_cases_repeat1,
    STATE(15710), 1,
      sym_case_clause,
    STATE(14267), 2,
      sym_comment,
      sym_block_comment,
  [602680] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14268), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16951), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [602697] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15342), 1,
      anon_sym_LBRACK,
    ACTIONS(15560), 1,
      anon_sym_match,
    ACTIONS(16089), 1,
      anon_sym_RPAREN,
    STATE(9572), 1,
      sym_type_arguments,
    STATE(14269), 2,
      sym_comment,
      sym_block_comment,
  [602720] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14338), 1,
      anon_sym_LPAREN,
    ACTIONS(17029), 1,
      sym__automatic_semicolon,
    STATE(13296), 1,
      aux_sym__full_enum_def_repeat1,
    STATE(13827), 1,
      sym_class_parameters,
    STATE(14270), 2,
      sym_comment,
      sym_block_comment,
  [602743] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16892), 1,
      anon_sym_LBRACE,
    ACTIONS(16894), 1,
      sym__indent,
    STATE(13267), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(14271), 2,
      sym_comment,
      sym_block_comment,
  [602764] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15376), 1,
      anon_sym_RBRACE,
    STATE(14255), 1,
      aux_sym__block_repeat1,
    ACTIONS(15788), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(14272), 2,
      sym_comment,
      sym_block_comment,
  [602785] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16798), 1,
      anon_sym_LBRACE,
    ACTIONS(16800), 1,
      sym__indent,
    STATE(12680), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(14273), 2,
      sym_comment,
      sym_block_comment,
  [602806] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15342), 1,
      anon_sym_LBRACK,
    ACTIONS(15560), 1,
      anon_sym_match,
    ACTIONS(16006), 1,
      anon_sym_RPAREN,
    STATE(9572), 1,
      sym_type_arguments,
    STATE(14274), 2,
      sym_comment,
      sym_block_comment,
  [602829] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16675), 1,
      anon_sym_case,
    ACTIONS(17031), 1,
      sym__outdent,
    STATE(14299), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(15703), 1,
      sym_type_case_clause,
    STATE(14275), 2,
      sym_comment,
      sym_block_comment,
  [602852] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14276), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16165), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [602869] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15342), 1,
      anon_sym_LBRACK,
    ACTIONS(15560), 1,
      anon_sym_match,
    ACTIONS(15985), 1,
      anon_sym_RPAREN,
    STATE(9572), 1,
      sym_type_arguments,
    STATE(14277), 2,
      sym_comment,
      sym_block_comment,
  [602892] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14278), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15744), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_if,
      anon_sym_SEMI,
  [602909] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14279), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16173), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [602926] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15342), 1,
      anon_sym_LBRACK,
    ACTIONS(15560), 1,
      anon_sym_match,
    ACTIONS(17033), 1,
      anon_sym_while,
    STATE(9572), 1,
      sym_type_arguments,
    STATE(14280), 2,
      sym_comment,
      sym_block_comment,
  [602949] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16669), 1,
      anon_sym_case,
    ACTIONS(17035), 1,
      sym__outdent,
    STATE(14295), 1,
      aux_sym_indented_cases_repeat1,
    STATE(15710), 1,
      sym_case_clause,
    STATE(14281), 2,
      sym_comment,
      sym_block_comment,
  [602972] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16675), 1,
      anon_sym_case,
    ACTIONS(17037), 1,
      sym__outdent,
    STATE(14299), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(15703), 1,
      sym_type_case_clause,
    STATE(14282), 2,
      sym_comment,
      sym_block_comment,
  [602995] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14283), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16273), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [603012] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16667), 1,
      anon_sym_case,
    ACTIONS(17039), 1,
      anon_sym_RBRACE,
    STATE(14257), 1,
      aux_sym_indented_cases_repeat1,
    STATE(15719), 1,
      sym_case_clause,
    STATE(14284), 2,
      sym_comment,
      sym_block_comment,
  [603035] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14285), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16275), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [603052] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17041), 1,
      anon_sym_COLON,
    ACTIONS(17044), 1,
      anon_sym_COMMA,
    ACTIONS(17047), 1,
      anon_sym_EQ,
    STATE(14352), 1,
      aux_sym_identifiers_repeat1,
    STATE(14286), 2,
      sym_comment,
      sym_block_comment,
  [603075] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16669), 1,
      anon_sym_case,
    ACTIONS(17049), 1,
      sym__outdent,
    STATE(14295), 1,
      aux_sym_indented_cases_repeat1,
    STATE(15710), 1,
      sym_case_clause,
    STATE(14287), 2,
      sym_comment,
      sym_block_comment,
  [603098] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14288), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16287), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [603115] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14289), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16241), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [603132] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14290), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16364), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [603149] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16669), 1,
      anon_sym_case,
    ACTIONS(17051), 1,
      sym__outdent,
    STATE(14295), 1,
      aux_sym_indented_cases_repeat1,
    STATE(15710), 1,
      sym_case_clause,
    STATE(14291), 2,
      sym_comment,
      sym_block_comment,
  [603172] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14292), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16289), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [603189] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14293), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16241), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [603206] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15342), 1,
      anon_sym_LBRACK,
    ACTIONS(15560), 1,
      anon_sym_match,
    ACTIONS(17053), 1,
      anon_sym_while,
    STATE(9572), 1,
      sym_type_arguments,
    STATE(14294), 2,
      sym_comment,
      sym_block_comment,
  [603229] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17007), 1,
      sym__outdent,
    ACTIONS(17055), 1,
      anon_sym_case,
    STATE(15710), 1,
      sym_case_clause,
    STATE(14295), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_indented_cases_repeat1,
  [603250] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14296), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16183), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [603267] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(641), 1,
      sym__outdent,
    STATE(14088), 1,
      aux_sym__block_repeat1,
    ACTIONS(17058), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(14297), 2,
      sym_comment,
      sym_block_comment,
  [603288] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15342), 1,
      anon_sym_LBRACK,
    ACTIONS(15560), 1,
      anon_sym_match,
    ACTIONS(16050), 1,
      anon_sym_RPAREN,
    STATE(9572), 1,
      sym_type_arguments,
    STATE(14298), 2,
      sym_comment,
      sym_block_comment,
  [603311] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17060), 1,
      anon_sym_case,
    ACTIONS(17063), 1,
      sym__outdent,
    STATE(15703), 1,
      sym_type_case_clause,
    STATE(14299), 3,
      sym_comment,
      sym_block_comment,
      aux_sym__indented_type_cases_repeat1,
  [603332] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16675), 1,
      anon_sym_case,
    ACTIONS(17065), 1,
      sym__outdent,
    STATE(14299), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(15703), 1,
      sym_type_case_clause,
    STATE(14300), 2,
      sym_comment,
      sym_block_comment,
  [603355] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14301), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16202), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [603372] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12867), 1,
      anon_sym_LPAREN,
    ACTIONS(17067), 1,
      anon_sym_COLON,
    STATE(13061), 1,
      sym_parameters,
    STATE(13068), 1,
      sym__using_parameters_clause,
    STATE(14302), 2,
      sym_comment,
      sym_block_comment,
  [603395] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15342), 1,
      anon_sym_LBRACK,
    ACTIONS(15560), 1,
      anon_sym_match,
    ACTIONS(17069), 1,
      anon_sym_while,
    STATE(9572), 1,
      sym_type_arguments,
    STATE(14303), 2,
      sym_comment,
      sym_block_comment,
  [603418] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14304), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16455), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [603435] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14305), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16330), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [603452] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16973), 1,
      anon_sym_LBRACE,
    ACTIONS(16975), 1,
      sym__indent,
    STATE(11897), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(14306), 2,
      sym_comment,
      sym_block_comment,
  [603473] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16675), 1,
      anon_sym_case,
    ACTIONS(17071), 1,
      sym__outdent,
    STATE(14299), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(15703), 1,
      sym_type_case_clause,
    STATE(14307), 2,
      sym_comment,
      sym_block_comment,
  [603496] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16667), 1,
      anon_sym_case,
    ACTIONS(17073), 1,
      anon_sym_RBRACE,
    STATE(14257), 1,
      aux_sym_indented_cases_repeat1,
    STATE(15719), 1,
      sym_case_clause,
    STATE(14308), 2,
      sym_comment,
      sym_block_comment,
  [603519] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14309), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16177), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [603536] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14310), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15947), 4,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LT_PERCENT,
  [603553] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14311), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16177), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [603570] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14312), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16590), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [603587] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16667), 1,
      anon_sym_case,
    ACTIONS(17075), 1,
      anon_sym_RBRACE,
    STATE(14257), 1,
      aux_sym_indented_cases_repeat1,
    STATE(15719), 1,
      sym_case_clause,
    STATE(14313), 2,
      sym_comment,
      sym_block_comment,
  [603610] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16667), 1,
      anon_sym_case,
    ACTIONS(17077), 1,
      anon_sym_RBRACE,
    STATE(14257), 1,
      aux_sym_indented_cases_repeat1,
    STATE(15719), 1,
      sym_case_clause,
    STATE(14314), 2,
      sym_comment,
      sym_block_comment,
  [603633] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17079), 1,
      anon_sym_LBRACE,
    ACTIONS(17081), 1,
      sym__indent,
    STATE(11288), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(14315), 2,
      sym_comment,
      sym_block_comment,
  [603654] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15588), 1,
      anon_sym_STAR,
    ACTIONS(17085), 1,
      anon_sym_EQ,
    ACTIONS(17083), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(14316), 2,
      sym_comment,
      sym_block_comment,
  [603675] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16667), 1,
      anon_sym_case,
    ACTIONS(17087), 1,
      anon_sym_RBRACE,
    STATE(14257), 1,
      aux_sym_indented_cases_repeat1,
    STATE(15719), 1,
      sym_case_clause,
    STATE(14317), 2,
      sym_comment,
      sym_block_comment,
  [603698] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17023), 1,
      anon_sym_LBRACE,
    ACTIONS(17025), 1,
      sym__indent,
    STATE(13008), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(14318), 2,
      sym_comment,
      sym_block_comment,
  [603719] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16669), 1,
      anon_sym_case,
    ACTIONS(17089), 1,
      sym__outdent,
    STATE(14295), 1,
      aux_sym_indented_cases_repeat1,
    STATE(15710), 1,
      sym_case_clause,
    STATE(14319), 2,
      sym_comment,
      sym_block_comment,
  [603742] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15342), 1,
      anon_sym_LBRACK,
    ACTIONS(15560), 1,
      anon_sym_match,
    ACTIONS(16073), 1,
      anon_sym_RPAREN,
    STATE(9572), 1,
      sym_type_arguments,
    STATE(14320), 2,
      sym_comment,
      sym_block_comment,
  [603765] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15342), 1,
      anon_sym_LBRACK,
    ACTIONS(15560), 1,
      anon_sym_match,
    ACTIONS(16103), 1,
      anon_sym_RPAREN,
    STATE(9572), 1,
      sym_type_arguments,
    STATE(14321), 2,
      sym_comment,
      sym_block_comment,
  [603788] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16675), 1,
      anon_sym_case,
    ACTIONS(17091), 1,
      sym__outdent,
    STATE(14299), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(15703), 1,
      sym_type_case_clause,
    STATE(14322), 2,
      sym_comment,
      sym_block_comment,
  [603811] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16667), 1,
      anon_sym_case,
    ACTIONS(17093), 1,
      anon_sym_RBRACE,
    STATE(14328), 1,
      aux_sym_indented_cases_repeat1,
    STATE(15719), 1,
      sym_case_clause,
    STATE(14323), 2,
      sym_comment,
      sym_block_comment,
  [603834] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16904), 1,
      anon_sym_LBRACE,
    ACTIONS(16906), 1,
      sym__indent,
    STATE(11507), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(14324), 2,
      sym_comment,
      sym_block_comment,
  [603855] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17079), 1,
      anon_sym_LBRACE,
    ACTIONS(17081), 1,
      sym__indent,
    STATE(11232), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(14325), 2,
      sym_comment,
      sym_block_comment,
  [603876] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16675), 1,
      anon_sym_case,
    ACTIONS(17095), 1,
      sym__outdent,
    STATE(14299), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(15703), 1,
      sym_type_case_clause,
    STATE(14326), 2,
      sym_comment,
      sym_block_comment,
  [603899] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16667), 1,
      anon_sym_case,
    ACTIONS(17097), 1,
      anon_sym_RBRACE,
    STATE(14139), 1,
      aux_sym_indented_cases_repeat1,
    STATE(15719), 1,
      sym_case_clause,
    STATE(14327), 2,
      sym_comment,
      sym_block_comment,
  [603922] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16667), 1,
      anon_sym_case,
    ACTIONS(17099), 1,
      anon_sym_RBRACE,
    STATE(14257), 1,
      aux_sym_indented_cases_repeat1,
    STATE(15719), 1,
      sym_case_clause,
    STATE(14328), 2,
      sym_comment,
      sym_block_comment,
  [603945] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16527), 1,
      anon_sym_EQ_GT,
    ACTIONS(16529), 1,
      anon_sym_as,
    ACTIONS(17101), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    STATE(14329), 2,
      sym_comment,
      sym_block_comment,
  [603966] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12867), 1,
      anon_sym_LPAREN,
    ACTIONS(17103), 1,
      anon_sym_COLON,
    STATE(13061), 1,
      sym_parameters,
    STATE(13068), 1,
      sym__using_parameters_clause,
    STATE(14330), 2,
      sym_comment,
      sym_block_comment,
  [603989] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16808), 1,
      anon_sym_COMMA,
    STATE(14142), 1,
      aux_sym_derives_clause_repeat1,
    ACTIONS(15180), 2,
      anon_sym_COLON,
      anon_sym_LBRACE,
    STATE(14331), 2,
      sym_comment,
      sym_block_comment,
  [604010] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16667), 1,
      anon_sym_case,
    ACTIONS(17105), 1,
      anon_sym_RBRACE,
    STATE(14257), 1,
      aux_sym_indented_cases_repeat1,
    STATE(15719), 1,
      sym_case_clause,
    STATE(14332), 2,
      sym_comment,
      sym_block_comment,
  [604033] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16669), 1,
      anon_sym_case,
    ACTIONS(17107), 1,
      sym__outdent,
    STATE(14295), 1,
      aux_sym_indented_cases_repeat1,
    STATE(15710), 1,
      sym_case_clause,
    STATE(14333), 2,
      sym_comment,
      sym_block_comment,
  [604056] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15588), 1,
      anon_sym_STAR,
    ACTIONS(17109), 1,
      anon_sym_COMMA,
    ACTIONS(17111), 1,
      anon_sym_RPAREN,
    STATE(14556), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14334), 2,
      sym_comment,
      sym_block_comment,
  [604079] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14335), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16469), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [604096] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16667), 1,
      anon_sym_case,
    ACTIONS(17113), 1,
      anon_sym_RBRACE,
    STATE(14257), 1,
      aux_sym_indented_cases_repeat1,
    STATE(15719), 1,
      sym_case_clause,
    STATE(14336), 2,
      sym_comment,
      sym_block_comment,
  [604119] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15342), 1,
      anon_sym_LBRACK,
    ACTIONS(15560), 1,
      anon_sym_match,
    ACTIONS(17115), 1,
      anon_sym_while,
    STATE(9572), 1,
      sym_type_arguments,
    STATE(14337), 2,
      sym_comment,
      sym_block_comment,
  [604142] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17117), 1,
      anon_sym_COLON,
    ACTIONS(17121), 1,
      anon_sym_EQ,
    ACTIONS(17119), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(14338), 2,
      sym_comment,
      sym_block_comment,
  [604163] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17123), 1,
      anon_sym_LBRACE,
    ACTIONS(17125), 1,
      sym__indent,
    STATE(11612), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(14339), 2,
      sym_comment,
      sym_block_comment,
  [604184] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12867), 1,
      anon_sym_LPAREN,
    ACTIONS(17127), 1,
      anon_sym_COLON,
    STATE(13061), 1,
      sym_parameters,
    STATE(13068), 1,
      sym__using_parameters_clause,
    STATE(14340), 2,
      sym_comment,
      sym_block_comment,
  [604207] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15923), 1,
      anon_sym_RBRACE,
    ACTIONS(17129), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(14341), 3,
      sym_comment,
      sym_block_comment,
      aux_sym__enum_block_repeat1,
  [604226] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17132), 1,
      anon_sym_LBRACE,
    ACTIONS(17134), 1,
      sym__indent,
    STATE(12688), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(14342), 2,
      sym_comment,
      sym_block_comment,
  [604247] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14343), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16220), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [604264] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14344), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16189), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [604281] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15342), 1,
      anon_sym_LBRACK,
    ACTIONS(15560), 1,
      anon_sym_match,
    ACTIONS(17136), 1,
      anon_sym_while,
    STATE(9572), 1,
      sym_type_arguments,
    STATE(14345), 2,
      sym_comment,
      sym_block_comment,
  [604304] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17123), 1,
      anon_sym_LBRACE,
    ACTIONS(17125), 1,
      sym__indent,
    STATE(11386), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(14346), 2,
      sym_comment,
      sym_block_comment,
  [604325] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16667), 1,
      anon_sym_case,
    ACTIONS(17138), 1,
      anon_sym_RBRACE,
    STATE(14048), 1,
      aux_sym_indented_cases_repeat1,
    STATE(15719), 1,
      sym_case_clause,
    STATE(14347), 2,
      sym_comment,
      sym_block_comment,
  [604348] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14348), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16269), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [604365] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14349), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16299), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [604382] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17132), 1,
      anon_sym_LBRACE,
    ACTIONS(17134), 1,
      sym__indent,
    STATE(12706), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(14350), 2,
      sym_comment,
      sym_block_comment,
  [604403] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14351), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16301), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [604420] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17142), 1,
      anon_sym_COMMA,
    STATE(14216), 1,
      aux_sym_identifiers_repeat1,
    ACTIONS(17140), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    STATE(14352), 2,
      sym_comment,
      sym_block_comment,
  [604441] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14353), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16332), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [604458] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14354), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16189), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [604475] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15342), 1,
      anon_sym_LBRACK,
    ACTIONS(15560), 1,
      anon_sym_match,
    ACTIONS(16042), 1,
      anon_sym_RPAREN,
    STATE(9572), 1,
      sym_type_arguments,
    STATE(14355), 2,
      sym_comment,
      sym_block_comment,
  [604498] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16669), 1,
      anon_sym_case,
    ACTIONS(17144), 1,
      sym__outdent,
    STATE(14295), 1,
      aux_sym_indented_cases_repeat1,
    STATE(15710), 1,
      sym_case_clause,
    STATE(14356), 2,
      sym_comment,
      sym_block_comment,
  [604521] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16675), 1,
      anon_sym_case,
    ACTIONS(17146), 1,
      sym__outdent,
    STATE(14299), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(15703), 1,
      sym_type_case_clause,
    STATE(14357), 2,
      sym_comment,
      sym_block_comment,
  [604544] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16669), 1,
      anon_sym_case,
    ACTIONS(17148), 1,
      sym__outdent,
    STATE(14295), 1,
      aux_sym_indented_cases_repeat1,
    STATE(15710), 1,
      sym_case_clause,
    STATE(14358), 2,
      sym_comment,
      sym_block_comment,
  [604567] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14359), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17150), 4,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LT_PERCENT,
  [604584] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15923), 1,
      sym__outdent,
    ACTIONS(17152), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(14360), 3,
      sym_comment,
      sym_block_comment,
      aux_sym__enum_block_repeat1,
  [604603] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14361), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16197), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [604620] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12507), 1,
      sym__arrow_then_type,
    ACTIONS(17155), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(14362), 2,
      sym_comment,
      sym_block_comment,
  [604638] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17157), 1,
      sym__interpolated_string_middle,
    ACTIONS(17159), 1,
      sym__interpolated_string_end,
    STATE(15476), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(14363), 2,
      sym_comment,
      sym_block_comment,
  [604658] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17157), 1,
      sym__interpolated_string_middle,
    ACTIONS(17161), 1,
      sym__interpolated_string_end,
    STATE(14378), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(14364), 2,
      sym_comment,
      sym_block_comment,
  [604678] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17163), 1,
      anon_sym_COMMA,
    ACTIONS(17165), 1,
      anon_sym_RPAREN,
    STATE(15274), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14365), 2,
      sym_comment,
      sym_block_comment,
  [604698] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5398), 1,
      anon_sym_RBRACK,
    ACTIONS(17167), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14366), 2,
      sym_comment,
      sym_block_comment,
  [604718] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7718), 1,
      anon_sym_RPAREN,
    ACTIONS(17169), 1,
      anon_sym_COMMA,
    STATE(15110), 1,
      aux_sym_class_parameters_repeat1,
    STATE(14367), 2,
      sym_comment,
      sym_block_comment,
  [604738] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17171), 1,
      anon_sym_COMMA,
    ACTIONS(17173), 1,
      anon_sym_RPAREN,
    STATE(14649), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14368), 2,
      sym_comment,
      sym_block_comment,
  [604758] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15770), 1,
      sym__arrow_then_type,
    ACTIONS(17175), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(14369), 2,
      sym_comment,
      sym_block_comment,
  [604776] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15064), 1,
      anon_sym_LBRACK,
    ACTIONS(15560), 1,
      anon_sym_match,
    STATE(8313), 1,
      sym_type_arguments,
    STATE(14370), 2,
      sym_comment,
      sym_block_comment,
  [604796] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17177), 1,
      anon_sym_COMMA,
    ACTIONS(17179), 1,
      anon_sym_RPAREN,
    STATE(14565), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14371), 2,
      sym_comment,
      sym_block_comment,
  [604816] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16941), 1,
      anon_sym_EQ,
    ACTIONS(16939), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(14372), 2,
      sym_comment,
      sym_block_comment,
  [604834] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14373), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17181), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [604850] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17183), 1,
      anon_sym_COMMA,
    ACTIONS(17185), 1,
      anon_sym_RBRACK,
    STATE(14387), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14374), 2,
      sym_comment,
      sym_block_comment,
  [604870] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17187), 1,
      anon_sym_COMMA,
    ACTIONS(17189), 1,
      anon_sym_RBRACK,
    STATE(14381), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14375), 2,
      sym_comment,
      sym_block_comment,
  [604890] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17191), 1,
      anon_sym_COMMA,
    ACTIONS(17193), 1,
      anon_sym_RBRACK,
    STATE(14389), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14376), 2,
      sym_comment,
      sym_block_comment,
  [604910] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17195), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(17197), 1,
      sym__interpolated_multiline_string_end,
    STATE(15472), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(14377), 2,
      sym_comment,
      sym_block_comment,
  [604930] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17157), 1,
      sym__interpolated_string_middle,
    ACTIONS(17197), 1,
      sym__interpolated_string_end,
    STATE(15476), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(14378), 2,
      sym_comment,
      sym_block_comment,
  [604950] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5764), 1,
      anon_sym_RPAREN,
    ACTIONS(17199), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14379), 2,
      sym_comment,
      sym_block_comment,
  [604970] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17161), 1,
      sym__interpolated_multiline_string_end,
    ACTIONS(17195), 1,
      sym__interpolated_multiline_string_middle,
    STATE(14377), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(14380), 2,
      sym_comment,
      sym_block_comment,
  [604990] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5922), 1,
      anon_sym_RBRACK,
    ACTIONS(17201), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14381), 2,
      sym_comment,
      sym_block_comment,
  [605010] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6038), 1,
      anon_sym_RPAREN,
    ACTIONS(17203), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14382), 2,
      sym_comment,
      sym_block_comment,
  [605030] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16762), 1,
      anon_sym_EQ,
    ACTIONS(16760), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(14383), 2,
      sym_comment,
      sym_block_comment,
  [605048] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17205), 1,
      anon_sym_COMMA,
    ACTIONS(17207), 1,
      anon_sym_RBRACK,
    STATE(14366), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14384), 2,
      sym_comment,
      sym_block_comment,
  [605068] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5760), 1,
      anon_sym_RPAREN,
    ACTIONS(17209), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14385), 2,
      sym_comment,
      sym_block_comment,
  [605088] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5722), 1,
      anon_sym_RPAREN,
    ACTIONS(17211), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14386), 2,
      sym_comment,
      sym_block_comment,
  [605108] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5980), 1,
      anon_sym_RBRACK,
    ACTIONS(17213), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14387), 2,
      sym_comment,
      sym_block_comment,
  [605128] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17215), 1,
      anon_sym_COMMA,
    ACTIONS(17217), 1,
      anon_sym_RPAREN,
    STATE(14637), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14388), 2,
      sym_comment,
      sym_block_comment,
  [605148] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5458), 1,
      anon_sym_RBRACK,
    ACTIONS(17219), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14389), 2,
      sym_comment,
      sym_block_comment,
  [605168] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17221), 1,
      anon_sym_COMMA,
    ACTIONS(17223), 1,
      anon_sym_RPAREN,
    STATE(14685), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14390), 2,
      sym_comment,
      sym_block_comment,
  [605188] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17225), 1,
      anon_sym_COMMA,
    ACTIONS(17227), 1,
      anon_sym_RPAREN,
    STATE(14601), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14391), 2,
      sym_comment,
      sym_block_comment,
  [605208] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4606), 1,
      sym__indent,
    STATE(8427), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(14392), 2,
      sym_comment,
      sym_block_comment,
  [605226] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17229), 1,
      anon_sym_COMMA,
    ACTIONS(17231), 1,
      anon_sym_RBRACK,
    STATE(14399), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14393), 2,
      sym_comment,
      sym_block_comment,
  [605246] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5512), 1,
      anon_sym_RBRACK,
    ACTIONS(17233), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14394), 2,
      sym_comment,
      sym_block_comment,
  [605266] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16675), 1,
      anon_sym_case,
    STATE(14125), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(15703), 1,
      sym_type_case_clause,
    STATE(14395), 2,
      sym_comment,
      sym_block_comment,
  [605286] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14519), 1,
      anon_sym_LBRACK,
    ACTIONS(15560), 1,
      anon_sym_match,
    STATE(8077), 1,
      sym_type_arguments,
    STATE(14396), 2,
      sym_comment,
      sym_block_comment,
  [605306] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5750), 1,
      anon_sym_RPAREN,
    ACTIONS(17235), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14397), 2,
      sym_comment,
      sym_block_comment,
  [605326] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5884), 1,
      anon_sym_RPAREN,
    ACTIONS(17237), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14398), 2,
      sym_comment,
      sym_block_comment,
  [605346] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5878), 1,
      anon_sym_RBRACK,
    ACTIONS(17239), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14399), 2,
      sym_comment,
      sym_block_comment,
  [605366] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17157), 1,
      sym__interpolated_string_middle,
    ACTIONS(17241), 1,
      sym__interpolated_string_end,
    STATE(15476), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(14400), 2,
      sym_comment,
      sym_block_comment,
  [605386] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17195), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(17241), 1,
      sym__interpolated_multiline_string_end,
    STATE(15472), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(14401), 2,
      sym_comment,
      sym_block_comment,
  [605406] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6056), 1,
      anon_sym_RBRACK,
    ACTIONS(17243), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14402), 2,
      sym_comment,
      sym_block_comment,
  [605426] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5784), 1,
      anon_sym_RPAREN,
    ACTIONS(17245), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14403), 2,
      sym_comment,
      sym_block_comment,
  [605446] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16864), 1,
      anon_sym_EQ,
    ACTIONS(16862), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(14404), 2,
      sym_comment,
      sym_block_comment,
  [605464] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17101), 1,
      anon_sym_RBRACE,
    ACTIONS(17247), 1,
      anon_sym_COMMA,
    STATE(14405), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_namespace_selectors_repeat1,
  [605482] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17250), 1,
      anon_sym_COMMA,
    ACTIONS(17252), 1,
      anon_sym_RBRACK,
    STATE(14402), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14406), 2,
      sym_comment,
      sym_block_comment,
  [605502] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17195), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(17254), 1,
      sym__interpolated_multiline_string_end,
    STATE(14455), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(14407), 2,
      sym_comment,
      sym_block_comment,
  [605522] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17256), 1,
      anon_sym_COMMA,
    ACTIONS(17258), 1,
      anon_sym_RPAREN,
    STATE(14511), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14408), 2,
      sym_comment,
      sym_block_comment,
  [605542] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17260), 1,
      anon_sym_COMMA,
    ACTIONS(17262), 1,
      anon_sym_RPAREN,
    STATE(14613), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14409), 2,
      sym_comment,
      sym_block_comment,
  [605562] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17157), 1,
      sym__interpolated_string_middle,
    ACTIONS(17254), 1,
      sym__interpolated_string_end,
    STATE(14459), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(14410), 2,
      sym_comment,
      sym_block_comment,
  [605582] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17264), 1,
      anon_sym_COMMA,
    ACTIONS(17266), 1,
      anon_sym_RBRACK,
    STATE(14417), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14411), 2,
      sym_comment,
      sym_block_comment,
  [605602] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17268), 1,
      anon_sym_LPAREN,
    ACTIONS(17270), 1,
      sym__automatic_semicolon,
    STATE(12961), 1,
      sym_class_parameters,
    STATE(14412), 2,
      sym_comment,
      sym_block_comment,
  [605622] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15869), 1,
      anon_sym_COLON,
    ACTIONS(15871), 1,
      anon_sym_LBRACE,
    STATE(14066), 1,
      sym_enum_body,
    STATE(14413), 2,
      sym_comment,
      sym_block_comment,
  [605642] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17272), 1,
      anon_sym_COMMA,
    ACTIONS(17274), 1,
      anon_sym_RBRACK,
    STATE(14484), 1,
      aux_sym_type_parameters_repeat1,
    STATE(14414), 2,
      sym_comment,
      sym_block_comment,
  [605662] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5822), 1,
      anon_sym_RPAREN,
    ACTIONS(17276), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14415), 2,
      sym_comment,
      sym_block_comment,
  [605682] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12202), 1,
      anon_sym_RPAREN,
    ACTIONS(17278), 1,
      anon_sym_COMMA,
    STATE(14500), 1,
      aux_sym_parameters_repeat1,
    STATE(14416), 2,
      sym_comment,
      sym_block_comment,
  [605702] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5858), 1,
      anon_sym_RBRACK,
    ACTIONS(17280), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14417), 2,
      sym_comment,
      sym_block_comment,
  [605722] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17282), 1,
      anon_sym_COMMA,
    ACTIONS(17284), 1,
      anon_sym_RPAREN,
    STATE(14503), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14418), 2,
      sym_comment,
      sym_block_comment,
  [605742] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10848), 1,
      sym__arrow_then_type,
    ACTIONS(17286), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(14419), 2,
      sym_comment,
      sym_block_comment,
  [605760] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6046), 1,
      anon_sym_RBRACK,
    ACTIONS(17288), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14420), 2,
      sym_comment,
      sym_block_comment,
  [605780] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5814), 1,
      anon_sym_RPAREN,
    ACTIONS(17290), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14421), 2,
      sym_comment,
      sym_block_comment,
  [605800] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16675), 1,
      anon_sym_case,
    STATE(14149), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(15703), 1,
      sym_type_case_clause,
    STATE(14422), 2,
      sym_comment,
      sym_block_comment,
  [605820] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17292), 1,
      anon_sym_COMMA,
    ACTIONS(17294), 1,
      anon_sym_RPAREN,
    STATE(15448), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(14423), 2,
      sym_comment,
      sym_block_comment,
  [605840] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17296), 1,
      anon_sym_COMMA,
    ACTIONS(17298), 1,
      anon_sym_RBRACK,
    STATE(14420), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14424), 2,
      sym_comment,
      sym_block_comment,
  [605860] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17300), 1,
      anon_sym_COMMA,
    ACTIONS(17302), 1,
      anon_sym_RBRACK,
    STATE(15003), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14425), 2,
      sym_comment,
      sym_block_comment,
  [605880] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17304), 1,
      anon_sym_COMMA,
    ACTIONS(17306), 1,
      anon_sym_RPAREN,
    STATE(14475), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14426), 2,
      sym_comment,
      sym_block_comment,
  [605900] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17308), 1,
      anon_sym_COMMA,
    ACTIONS(17310), 1,
      anon_sym_RPAREN,
    STATE(14577), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14427), 2,
      sym_comment,
      sym_block_comment,
  [605920] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17312), 1,
      anon_sym_COMMA,
    ACTIONS(17314), 1,
      anon_sym_RBRACK,
    STATE(14425), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14428), 2,
      sym_comment,
      sym_block_comment,
  [605940] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17316), 1,
      anon_sym_COMMA,
    ACTIONS(17318), 1,
      anon_sym_RBRACK,
    STATE(14435), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14429), 2,
      sym_comment,
      sym_block_comment,
  [605960] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17195), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(17320), 1,
      sym__interpolated_multiline_string_end,
    STATE(14686), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(14430), 2,
      sym_comment,
      sym_block_comment,
  [605980] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17322), 1,
      anon_sym_COMMA,
    ACTIONS(17324), 1,
      anon_sym_RBRACK,
    STATE(15003), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14431), 2,
      sym_comment,
      sym_block_comment,
  [606000] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17326), 1,
      anon_sym_COMMA,
    ACTIONS(17328), 1,
      anon_sym_RBRACK,
    STATE(14431), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14432), 2,
      sym_comment,
      sym_block_comment,
  [606020] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5728), 1,
      anon_sym_RPAREN,
    ACTIONS(17330), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14433), 2,
      sym_comment,
      sym_block_comment,
  [606040] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11906), 1,
      anon_sym_COMMA,
    ACTIONS(17332), 1,
      anon_sym_COLON,
    STATE(15442), 1,
      aux_sym_val_declaration_repeat1,
    STATE(14434), 2,
      sym_comment,
      sym_block_comment,
  [606060] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5836), 1,
      anon_sym_RBRACK,
    ACTIONS(17334), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14435), 2,
      sym_comment,
      sym_block_comment,
  [606080] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17336), 1,
      anon_sym_COMMA,
    ACTIONS(17338), 1,
      anon_sym_RBRACK,
    STATE(15003), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14436), 2,
      sym_comment,
      sym_block_comment,
  [606100] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11906), 1,
      anon_sym_COMMA,
    ACTIONS(17340), 1,
      anon_sym_COLON,
    STATE(15442), 1,
      aux_sym_val_declaration_repeat1,
    STATE(14437), 2,
      sym_comment,
      sym_block_comment,
  [606120] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6030), 1,
      anon_sym_RBRACK,
    ACTIONS(17342), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14438), 2,
      sym_comment,
      sym_block_comment,
  [606140] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5606), 1,
      anon_sym_RPAREN,
    ACTIONS(17344), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14439), 2,
      sym_comment,
      sym_block_comment,
  [606160] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17346), 1,
      anon_sym_COMMA,
    ACTIONS(17348), 1,
      anon_sym_RBRACK,
    STATE(14436), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14440), 2,
      sym_comment,
      sym_block_comment,
  [606180] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11906), 1,
      anon_sym_COMMA,
    ACTIONS(17350), 1,
      anon_sym_COLON,
    STATE(15442), 1,
      aux_sym_val_declaration_repeat1,
    STATE(14441), 2,
      sym_comment,
      sym_block_comment,
  [606200] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17352), 1,
      anon_sym_COMMA,
    ACTIONS(17354), 1,
      anon_sym_RBRACK,
    STATE(14438), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14442), 2,
      sym_comment,
      sym_block_comment,
  [606220] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17356), 1,
      anon_sym_COMMA,
    ACTIONS(17358), 1,
      anon_sym_RBRACK,
    STATE(15003), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14443), 2,
      sym_comment,
      sym_block_comment,
  [606240] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17360), 1,
      anon_sym_COMMA,
    ACTIONS(17362), 1,
      anon_sym_RPAREN,
    STATE(14421), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14444), 2,
      sym_comment,
      sym_block_comment,
  [606260] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5986), 1,
      anon_sym_RBRACK,
    ACTIONS(17364), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14445), 2,
      sym_comment,
      sym_block_comment,
  [606280] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17366), 1,
      anon_sym_COMMA,
    ACTIONS(17368), 1,
      anon_sym_RBRACK,
    STATE(14522), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14446), 2,
      sym_comment,
      sym_block_comment,
  [606300] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17370), 1,
      anon_sym_COMMA,
    ACTIONS(17372), 1,
      anon_sym_RBRACK,
    STATE(14453), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14447), 2,
      sym_comment,
      sym_block_comment,
  [606320] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17374), 1,
      anon_sym_COMMA,
    ACTIONS(17376), 1,
      anon_sym_RBRACK,
    STATE(14443), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14448), 2,
      sym_comment,
      sym_block_comment,
  [606340] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16669), 1,
      anon_sym_case,
    STATE(14267), 1,
      aux_sym_indented_cases_repeat1,
    STATE(15710), 1,
      sym_case_clause,
    STATE(14449), 2,
      sym_comment,
      sym_block_comment,
  [606360] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17378), 1,
      anon_sym_COMMA,
    ACTIONS(17380), 1,
      anon_sym_RBRACK,
    STATE(15003), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14450), 2,
      sym_comment,
      sym_block_comment,
  [606380] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5702), 1,
      anon_sym_RPAREN,
    ACTIONS(17382), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14451), 2,
      sym_comment,
      sym_block_comment,
  [606400] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11906), 1,
      anon_sym_COMMA,
    ACTIONS(17384), 1,
      anon_sym_COLON,
    STATE(15442), 1,
      aux_sym_val_declaration_repeat1,
    STATE(14452), 2,
      sym_comment,
      sym_block_comment,
  [606420] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5806), 1,
      anon_sym_RBRACK,
    ACTIONS(17386), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14453), 2,
      sym_comment,
      sym_block_comment,
  [606440] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17388), 1,
      anon_sym_COMMA,
    ACTIONS(17390), 1,
      anon_sym_RBRACK,
    STATE(14450), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14454), 2,
      sym_comment,
      sym_block_comment,
  [606460] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17195), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(17392), 1,
      sym__interpolated_multiline_string_end,
    STATE(15472), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(14455), 2,
      sym_comment,
      sym_block_comment,
  [606480] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6022), 1,
      anon_sym_RBRACK,
    ACTIONS(17394), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14456), 2,
      sym_comment,
      sym_block_comment,
  [606500] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5538), 1,
      anon_sym_RPAREN,
    ACTIONS(17396), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14457), 2,
      sym_comment,
      sym_block_comment,
  [606520] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17398), 1,
      anon_sym_COMMA,
    ACTIONS(17400), 1,
      anon_sym_RBRACK,
    STATE(15003), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14458), 2,
      sym_comment,
      sym_block_comment,
  [606540] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17157), 1,
      sym__interpolated_string_middle,
    ACTIONS(17392), 1,
      sym__interpolated_string_end,
    STATE(15476), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(14459), 2,
      sym_comment,
      sym_block_comment,
  [606560] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17402), 1,
      anon_sym_COMMA,
    ACTIONS(17404), 1,
      anon_sym_RBRACK,
    STATE(14456), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14460), 2,
      sym_comment,
      sym_block_comment,
  [606580] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17406), 1,
      anon_sym_COMMA,
    ACTIONS(17408), 1,
      anon_sym_RBRACK,
    STATE(14458), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14461), 2,
      sym_comment,
      sym_block_comment,
  [606600] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17410), 1,
      anon_sym_COMMA,
    ACTIONS(17412), 1,
      anon_sym_RPAREN,
    STATE(14403), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14462), 2,
      sym_comment,
      sym_block_comment,
  [606620] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17414), 1,
      anon_sym_COMMA,
    ACTIONS(17416), 1,
      anon_sym_RPAREN,
    STATE(14673), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14463), 2,
      sym_comment,
      sym_block_comment,
  [606640] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17157), 1,
      sym__interpolated_string_middle,
    ACTIONS(17320), 1,
      sym__interpolated_string_end,
    STATE(14752), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(14464), 2,
      sym_comment,
      sym_block_comment,
  [606660] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17418), 1,
      anon_sym_COMMA,
    ACTIONS(17420), 1,
      anon_sym_RBRACK,
    STATE(14471), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14465), 2,
      sym_comment,
      sym_block_comment,
  [606680] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17422), 1,
      anon_sym_COMMA,
    ACTIONS(17424), 1,
      anon_sym_RBRACK,
    STATE(15003), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14466), 2,
      sym_comment,
      sym_block_comment,
  [606700] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17426), 1,
      anon_sym_COMMA,
    ACTIONS(17428), 1,
      anon_sym_RBRACK,
    STATE(14466), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14467), 2,
      sym_comment,
      sym_block_comment,
  [606720] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7402), 1,
      anon_sym_RPAREN,
    ACTIONS(17430), 1,
      anon_sym_COMMA,
    STATE(14539), 1,
      aux_sym_class_parameters_repeat1,
    STATE(14468), 2,
      sym_comment,
      sym_block_comment,
  [606740] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5844), 1,
      anon_sym_RPAREN,
    ACTIONS(17432), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14469), 2,
      sym_comment,
      sym_block_comment,
  [606760] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17434), 1,
      anon_sym_COMMA,
    ACTIONS(17436), 1,
      anon_sym_RBRACK,
    STATE(15003), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14470), 2,
      sym_comment,
      sym_block_comment,
  [606780] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5782), 1,
      anon_sym_RBRACK,
    ACTIONS(17438), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14471), 2,
      sym_comment,
      sym_block_comment,
  [606800] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17440), 1,
      anon_sym_COMMA,
    ACTIONS(17442), 1,
      anon_sym_RBRACK,
    STATE(14470), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14472), 2,
      sym_comment,
      sym_block_comment,
  [606820] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15869), 1,
      anon_sym_COLON,
    ACTIONS(15871), 1,
      anon_sym_LBRACE,
    STATE(14124), 1,
      sym_enum_body,
    STATE(14473), 2,
      sym_comment,
      sym_block_comment,
  [606840] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6014), 1,
      anon_sym_RBRACK,
    ACTIONS(17444), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14474), 2,
      sym_comment,
      sym_block_comment,
  [606860] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5838), 1,
      anon_sym_RPAREN,
    ACTIONS(17446), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14475), 2,
      sym_comment,
      sym_block_comment,
  [606880] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17448), 1,
      anon_sym_COMMA,
    ACTIONS(17450), 1,
      anon_sym_RBRACK,
    STATE(15003), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14476), 2,
      sym_comment,
      sym_block_comment,
  [606900] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17452), 1,
      anon_sym_COMMA,
    ACTIONS(17454), 1,
      anon_sym_RBRACK,
    STATE(14476), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14477), 2,
      sym_comment,
      sym_block_comment,
  [606920] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17456), 1,
      anon_sym_COMMA,
    ACTIONS(17458), 1,
      anon_sym_RBRACK,
    STATE(14474), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14478), 2,
      sym_comment,
      sym_block_comment,
  [606940] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17460), 1,
      anon_sym_COMMA,
    ACTIONS(17462), 1,
      anon_sym_RBRACK,
    STATE(15003), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14479), 2,
      sym_comment,
      sym_block_comment,
  [606960] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17464), 1,
      anon_sym_COMMA,
    ACTIONS(17466), 1,
      anon_sym_RPAREN,
    STATE(14739), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14480), 2,
      sym_comment,
      sym_block_comment,
  [606980] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17468), 1,
      anon_sym_COMMA,
    ACTIONS(17470), 1,
      anon_sym_RPAREN,
    STATE(14693), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14481), 2,
      sym_comment,
      sym_block_comment,
  [607000] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17472), 1,
      anon_sym_COMMA,
    ACTIONS(17474), 1,
      anon_sym_RBRACK,
    STATE(14479), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14482), 2,
      sym_comment,
      sym_block_comment,
  [607020] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17476), 1,
      anon_sym_COMMA,
    ACTIONS(17478), 1,
      anon_sym_RBRACK,
    STATE(14489), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14483), 2,
      sym_comment,
      sym_block_comment,
  [607040] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17480), 1,
      anon_sym_COMMA,
    ACTIONS(17482), 1,
      anon_sym_RBRACK,
    STATE(15343), 1,
      aux_sym_type_parameters_repeat1,
    STATE(14484), 2,
      sym_comment,
      sym_block_comment,
  [607060] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17484), 1,
      anon_sym_COMMA,
    ACTIONS(17486), 1,
      anon_sym_RBRACK,
    STATE(15003), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14485), 2,
      sym_comment,
      sym_block_comment,
  [607080] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12213), 1,
      anon_sym_RPAREN,
    ACTIONS(17488), 1,
      anon_sym_COMMA,
    STATE(14548), 1,
      aux_sym_parameters_repeat1,
    STATE(14486), 2,
      sym_comment,
      sym_block_comment,
  [607100] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5690), 1,
      anon_sym_RPAREN,
    ACTIONS(17490), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14487), 2,
      sym_comment,
      sym_block_comment,
  [607120] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17492), 1,
      anon_sym_COMMA,
    ACTIONS(17494), 1,
      anon_sym_RBRACK,
    STATE(14485), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14488), 2,
      sym_comment,
      sym_block_comment,
  [607140] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5774), 1,
      anon_sym_RBRACK,
    ACTIONS(17496), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14489), 2,
      sym_comment,
      sym_block_comment,
  [607160] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17111), 1,
      anon_sym_RPAREN,
    ACTIONS(17498), 1,
      anon_sym_COMMA,
    STATE(14551), 1,
      aux_sym_parameters_repeat1,
    STATE(14490), 2,
      sym_comment,
      sym_block_comment,
  [607180] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17500), 1,
      anon_sym_COMMA,
    ACTIONS(17502), 1,
      anon_sym_RBRACK,
    STATE(15003), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14491), 2,
      sym_comment,
      sym_block_comment,
  [607200] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6004), 1,
      anon_sym_RBRACK,
    ACTIONS(17504), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14492), 2,
      sym_comment,
      sym_block_comment,
  [607220] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5448), 1,
      anon_sym_RPAREN,
    ACTIONS(17506), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14493), 2,
      sym_comment,
      sym_block_comment,
  [607240] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17109), 1,
      anon_sym_COMMA,
    ACTIONS(17111), 1,
      anon_sym_RPAREN,
    STATE(14556), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14494), 2,
      sym_comment,
      sym_block_comment,
  [607260] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17508), 1,
      anon_sym_COMMA,
    ACTIONS(17510), 1,
      anon_sym_RBRACK,
    STATE(14491), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14495), 2,
      sym_comment,
      sym_block_comment,
  [607280] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17512), 1,
      anon_sym_COMMA,
    ACTIONS(17514), 1,
      anon_sym_RBRACK,
    STATE(14492), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14496), 2,
      sym_comment,
      sym_block_comment,
  [607300] = 5,
    ACTIONS(17518), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17520), 1,
      anon_sym_STAR_SLASH,
    STATE(14787), 1,
      aux_sym_block_comment_repeat1,
    ACTIONS(17516), 2,
      anon_sym_SLASH_SLASH,
      aux_sym_block_comment_token1,
    STATE(14497), 2,
      sym_comment,
      sym_block_comment,
  [607318] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17522), 1,
      anon_sym_COMMA,
    ACTIONS(17524), 1,
      anon_sym_RPAREN,
    STATE(14385), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14498), 2,
      sym_comment,
      sym_block_comment,
  [607338] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17526), 1,
      anon_sym_COMMA,
    ACTIONS(17528), 1,
      anon_sym_RPAREN,
    STATE(14712), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14499), 2,
      sym_comment,
      sym_block_comment,
  [607358] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12213), 1,
      anon_sym_RPAREN,
    ACTIONS(17488), 1,
      anon_sym_COMMA,
    STATE(15299), 1,
      aux_sym_parameters_repeat1,
    STATE(14500), 2,
      sym_comment,
      sym_block_comment,
  [607378] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17530), 1,
      anon_sym_COMMA,
    ACTIONS(17532), 1,
      anon_sym_RBRACK,
    STATE(14507), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14501), 2,
      sym_comment,
      sym_block_comment,
  [607398] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17534), 1,
      anon_sym_COMMA,
    ACTIONS(17536), 1,
      anon_sym_RBRACK,
    STATE(15003), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14502), 2,
      sym_comment,
      sym_block_comment,
  [607418] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5108), 1,
      anon_sym_RPAREN,
    ACTIONS(17538), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14503), 2,
      sym_comment,
      sym_block_comment,
  [607438] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17540), 1,
      anon_sym_COMMA,
    ACTIONS(17542), 1,
      anon_sym_RBRACK,
    STATE(14502), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14504), 2,
      sym_comment,
      sym_block_comment,
  [607458] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5674), 1,
      anon_sym_RPAREN,
    ACTIONS(17544), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14505), 2,
      sym_comment,
      sym_block_comment,
  [607478] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17546), 1,
      anon_sym_COMMA,
    ACTIONS(17548), 1,
      anon_sym_RBRACK,
    STATE(14394), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14506), 2,
      sym_comment,
      sym_block_comment,
  [607498] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5758), 1,
      anon_sym_RBRACK,
    ACTIONS(17550), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14507), 2,
      sym_comment,
      sym_block_comment,
  [607518] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13320), 1,
      anon_sym_LPAREN,
    STATE(13287), 1,
      sym_parameters,
    STATE(13302), 1,
      sym__using_parameters_clause,
    STATE(14508), 2,
      sym_comment,
      sym_block_comment,
  [607538] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17552), 1,
      anon_sym_COMMA,
    ACTIONS(17554), 1,
      anon_sym_RBRACK,
    STATE(15003), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14509), 2,
      sym_comment,
      sym_block_comment,
  [607558] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17556), 1,
      anon_sym_COMMA,
    ACTIONS(17558), 1,
      anon_sym_RBRACK,
    STATE(14509), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14510), 2,
      sym_comment,
      sym_block_comment,
  [607578] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5860), 1,
      anon_sym_RPAREN,
    ACTIONS(17560), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14511), 2,
      sym_comment,
      sym_block_comment,
  [607598] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10169), 1,
      anon_sym_COMMA,
    ACTIONS(17562), 1,
      anon_sym_RPAREN,
    STATE(15238), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(14512), 2,
      sym_comment,
      sym_block_comment,
  [607618] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17564), 1,
      anon_sym_COMMA,
    ACTIONS(17566), 1,
      anon_sym_RBRACK,
    STATE(15003), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14513), 2,
      sym_comment,
      sym_block_comment,
  [607638] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17568), 1,
      anon_sym_COMMA,
    ACTIONS(17570), 1,
      anon_sym_RBRACK,
    STATE(14445), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14514), 2,
      sym_comment,
      sym_block_comment,
  [607658] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17572), 1,
      anon_sym_COMMA,
    ACTIONS(17574), 1,
      anon_sym_RBRACK,
    STATE(14513), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14515), 2,
      sym_comment,
      sym_block_comment,
  [607678] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17576), 1,
      anon_sym_COMMA,
    ACTIONS(17578), 1,
      anon_sym_RPAREN,
    STATE(14397), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14516), 2,
      sym_comment,
      sym_block_comment,
  [607698] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17580), 1,
      anon_sym_COMMA,
    ACTIONS(17582), 1,
      anon_sym_RPAREN,
    STATE(14730), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14517), 2,
      sym_comment,
      sym_block_comment,
  [607718] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17584), 1,
      anon_sym_COMMA,
    ACTIONS(17586), 1,
      anon_sym_RPAREN,
    STATE(15109), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14518), 2,
      sym_comment,
      sym_block_comment,
  [607738] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17588), 1,
      anon_sym_COMMA,
    ACTIONS(17590), 1,
      anon_sym_RBRACK,
    STATE(14525), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14519), 2,
      sym_comment,
      sym_block_comment,
  [607758] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12555), 1,
      sym__arrow_then_type,
    ACTIONS(17592), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(14520), 2,
      sym_comment,
      sym_block_comment,
  [607776] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17594), 1,
      anon_sym_COMMA,
    ACTIONS(17596), 1,
      anon_sym_RBRACK,
    STATE(15003), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14521), 2,
      sym_comment,
      sym_block_comment,
  [607796] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5114), 1,
      anon_sym_RBRACK,
    ACTIONS(17598), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14522), 2,
      sym_comment,
      sym_block_comment,
  [607816] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5650), 1,
      anon_sym_RPAREN,
    ACTIONS(17600), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14523), 2,
      sym_comment,
      sym_block_comment,
  [607836] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17602), 1,
      anon_sym_COMMA,
    ACTIONS(17604), 1,
      anon_sym_RBRACK,
    STATE(14521), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14524), 2,
      sym_comment,
      sym_block_comment,
  [607856] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5738), 1,
      anon_sym_RBRACK,
    ACTIONS(17606), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14525), 2,
      sym_comment,
      sym_block_comment,
  [607876] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4240), 1,
      sym__indent,
    STATE(7725), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(14526), 2,
      sym_comment,
      sym_block_comment,
  [607894] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17608), 1,
      anon_sym_COMMA,
    ACTIONS(17610), 1,
      anon_sym_RBRACK,
    STATE(15003), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14527), 2,
      sym_comment,
      sym_block_comment,
  [607914] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5966), 1,
      anon_sym_RBRACK,
    ACTIONS(17612), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14528), 2,
      sym_comment,
      sym_block_comment,
  [607934] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5388), 1,
      anon_sym_RPAREN,
    ACTIONS(17614), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14529), 2,
      sym_comment,
      sym_block_comment,
  [607954] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15869), 1,
      anon_sym_COLON,
    ACTIONS(15871), 1,
      anon_sym_LBRACE,
    STATE(14138), 1,
      sym_enum_body,
    STATE(14530), 2,
      sym_comment,
      sym_block_comment,
  [607974] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17616), 1,
      anon_sym_COMMA,
    ACTIONS(17618), 1,
      anon_sym_RBRACK,
    STATE(14527), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14531), 2,
      sym_comment,
      sym_block_comment,
  [607994] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17620), 1,
      anon_sym_COMMA,
    ACTIONS(17622), 1,
      anon_sym_RBRACK,
    STATE(14528), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14532), 2,
      sym_comment,
      sym_block_comment,
  [608014] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7570), 1,
      anon_sym_RPAREN,
    ACTIONS(17624), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_class_parameters_repeat1,
    STATE(14533), 2,
      sym_comment,
      sym_block_comment,
  [608034] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17626), 1,
      anon_sym_COMMA,
    ACTIONS(17628), 1,
      anon_sym_RPAREN,
    STATE(14433), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14534), 2,
      sym_comment,
      sym_block_comment,
  [608054] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17630), 1,
      anon_sym_COMMA,
    ACTIONS(17632), 1,
      anon_sym_RPAREN,
    STATE(14748), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14535), 2,
      sym_comment,
      sym_block_comment,
  [608074] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7572), 1,
      anon_sym_RPAREN,
    ACTIONS(17634), 1,
      anon_sym_COMMA,
    STATE(14572), 1,
      aux_sym_class_parameters_repeat1,
    STATE(14536), 2,
      sym_comment,
      sym_block_comment,
  [608094] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17636), 1,
      anon_sym_COMMA,
    ACTIONS(17638), 1,
      anon_sym_RBRACK,
    STATE(14543), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14537), 2,
      sym_comment,
      sym_block_comment,
  [608114] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17640), 1,
      anon_sym_COMMA,
    ACTIONS(17642), 1,
      anon_sym_RBRACK,
    STATE(15003), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14538), 2,
      sym_comment,
      sym_block_comment,
  [608134] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7572), 1,
      anon_sym_RPAREN,
    ACTIONS(17634), 1,
      anon_sym_COMMA,
    STATE(15110), 1,
      aux_sym_class_parameters_repeat1,
    STATE(14539), 2,
      sym_comment,
      sym_block_comment,
  [608154] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17644), 1,
      anon_sym_COMMA,
    ACTIONS(17646), 1,
      anon_sym_RBRACK,
    STATE(14538), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14540), 2,
      sym_comment,
      sym_block_comment,
  [608174] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5624), 1,
      anon_sym_RPAREN,
    ACTIONS(17648), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14541), 2,
      sym_comment,
      sym_block_comment,
  [608194] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16523), 1,
      anon_sym_RBRACE,
    ACTIONS(16525), 1,
      anon_sym_COMMA,
    STATE(14575), 1,
      aux_sym_namespace_selectors_repeat1,
    STATE(14542), 2,
      sym_comment,
      sym_block_comment,
  [608214] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5716), 1,
      anon_sym_RBRACK,
    ACTIONS(17650), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14543), 2,
      sym_comment,
      sym_block_comment,
  [608234] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17652), 1,
      anon_sym_COMMA,
    ACTIONS(17654), 1,
      anon_sym_RBRACK,
    STATE(15003), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14544), 2,
      sym_comment,
      sym_block_comment,
  [608254] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17656), 1,
      anon_sym_COMMA,
    ACTIONS(17658), 1,
      anon_sym_RBRACK,
    STATE(14544), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14545), 2,
      sym_comment,
      sym_block_comment,
  [608274] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5956), 1,
      anon_sym_RBRACK,
    ACTIONS(17660), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14546), 2,
      sym_comment,
      sym_block_comment,
  [608294] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5304), 1,
      anon_sym_RPAREN,
    ACTIONS(17662), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14547), 2,
      sym_comment,
      sym_block_comment,
  [608314] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12182), 1,
      anon_sym_RPAREN,
    ACTIONS(17664), 1,
      anon_sym_COMMA,
    STATE(15299), 1,
      aux_sym_parameters_repeat1,
    STATE(14548), 2,
      sym_comment,
      sym_block_comment,
  [608334] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17666), 1,
      anon_sym_COMMA,
    ACTIONS(17668), 1,
      anon_sym_RBRACK,
    STATE(15003), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14549), 2,
      sym_comment,
      sym_block_comment,
  [608354] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17670), 1,
      anon_sym_COMMA,
    ACTIONS(17672), 1,
      anon_sym_RBRACK,
    STATE(14546), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14550), 2,
      sym_comment,
      sym_block_comment,
  [608374] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5054), 1,
      anon_sym_RPAREN,
    ACTIONS(17674), 1,
      anon_sym_COMMA,
    STATE(15299), 1,
      aux_sym_parameters_repeat1,
    STATE(14551), 2,
      sym_comment,
      sym_block_comment,
  [608394] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17676), 1,
      anon_sym_COMMA,
    ACTIONS(17678), 1,
      anon_sym_RPAREN,
    STATE(14451), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14552), 2,
      sym_comment,
      sym_block_comment,
  [608414] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17680), 1,
      anon_sym_COMMA,
    ACTIONS(17682), 1,
      anon_sym_RPAREN,
    STATE(14766), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14553), 2,
      sym_comment,
      sym_block_comment,
  [608434] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17684), 1,
      anon_sym_COMMA,
    ACTIONS(17686), 1,
      anon_sym_RBRACK,
    STATE(14549), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14554), 2,
      sym_comment,
      sym_block_comment,
  [608454] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17688), 1,
      anon_sym_COMMA,
    ACTIONS(17690), 1,
      anon_sym_RBRACK,
    STATE(14561), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14555), 2,
      sym_comment,
      sym_block_comment,
  [608474] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5054), 1,
      anon_sym_RPAREN,
    ACTIONS(17692), 1,
      anon_sym_COMMA,
    STATE(14983), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14556), 2,
      sym_comment,
      sym_block_comment,
  [608494] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17694), 1,
      anon_sym_COMMA,
    ACTIONS(17696), 1,
      anon_sym_RBRACK,
    STATE(15003), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14557), 2,
      sym_comment,
      sym_block_comment,
  [608514] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7178), 1,
      anon_sym_RPAREN,
    ACTIONS(17698), 1,
      anon_sym_COMMA,
    STATE(15238), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(14558), 2,
      sym_comment,
      sym_block_comment,
  [608534] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5614), 1,
      anon_sym_RPAREN,
    ACTIONS(17700), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14559), 2,
      sym_comment,
      sym_block_comment,
  [608554] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17702), 1,
      anon_sym_COMMA,
    ACTIONS(17704), 1,
      anon_sym_RBRACK,
    STATE(14557), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14560), 2,
      sym_comment,
      sym_block_comment,
  [608574] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5700), 1,
      anon_sym_RBRACK,
    ACTIONS(17706), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14561), 2,
      sym_comment,
      sym_block_comment,
  [608594] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15869), 1,
      anon_sym_COLON,
    ACTIONS(15871), 1,
      anon_sym_LBRACE,
    STATE(14111), 1,
      sym_enum_body,
    STATE(14562), 2,
      sym_comment,
      sym_block_comment,
  [608614] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17708), 1,
      anon_sym_COMMA,
    ACTIONS(17710), 1,
      anon_sym_RBRACK,
    STATE(15003), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14563), 2,
      sym_comment,
      sym_block_comment,
  [608634] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5948), 1,
      anon_sym_RBRACK,
    ACTIONS(17712), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14564), 2,
      sym_comment,
      sym_block_comment,
  [608654] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5924), 1,
      anon_sym_RPAREN,
    ACTIONS(17714), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14565), 2,
      sym_comment,
      sym_block_comment,
  [608674] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7592), 1,
      anon_sym_RPAREN,
    ACTIONS(17716), 1,
      anon_sym_COMMA,
    STATE(14584), 1,
      aux_sym_class_parameters_repeat1,
    STATE(14566), 2,
      sym_comment,
      sym_block_comment,
  [608694] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17718), 1,
      anon_sym_COMMA,
    ACTIONS(17720), 1,
      anon_sym_RBRACK,
    STATE(14563), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14567), 2,
      sym_comment,
      sym_block_comment,
  [608714] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17722), 1,
      anon_sym_COMMA,
    ACTIONS(17724), 1,
      anon_sym_RBRACK,
    STATE(14564), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14568), 2,
      sym_comment,
      sym_block_comment,
  [608734] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7592), 1,
      anon_sym_RPAREN,
    ACTIONS(17716), 1,
      anon_sym_COMMA,
    STATE(15110), 1,
      aux_sym_class_parameters_repeat1,
    STATE(14569), 2,
      sym_comment,
      sym_block_comment,
  [608754] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_RPAREN,
    STATE(14487), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14570), 2,
      sym_comment,
      sym_block_comment,
  [608774] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17730), 1,
      anon_sym_COMMA,
    ACTIONS(17732), 1,
      anon_sym_RPAREN,
    STATE(14809), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14571), 2,
      sym_comment,
      sym_block_comment,
  [608794] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7594), 1,
      anon_sym_RPAREN,
    ACTIONS(17734), 1,
      anon_sym_COMMA,
    STATE(15110), 1,
      aux_sym_class_parameters_repeat1,
    STATE(14572), 2,
      sym_comment,
      sym_block_comment,
  [608814] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17736), 1,
      anon_sym_COMMA,
    ACTIONS(17738), 1,
      anon_sym_RBRACK,
    STATE(14579), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14573), 2,
      sym_comment,
      sym_block_comment,
  [608834] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17740), 1,
      anon_sym_COMMA,
    ACTIONS(17742), 1,
      anon_sym_RBRACK,
    STATE(15003), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14574), 2,
      sym_comment,
      sym_block_comment,
  [608854] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12003), 1,
      anon_sym_RBRACE,
    ACTIONS(17744), 1,
      anon_sym_COMMA,
    STATE(14405), 1,
      aux_sym_namespace_selectors_repeat1,
    STATE(14575), 2,
      sym_comment,
      sym_block_comment,
  [608874] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17746), 1,
      anon_sym_COMMA,
    ACTIONS(17748), 1,
      anon_sym_RBRACK,
    STATE(14574), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14576), 2,
      sym_comment,
      sym_block_comment,
  [608894] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6044), 1,
      anon_sym_RPAREN,
    ACTIONS(17750), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14577), 2,
      sym_comment,
      sym_block_comment,
  [608914] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17752), 1,
      anon_sym_COMMA,
    ACTIONS(17754), 1,
      anon_sym_RBRACK,
    STATE(15003), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14578), 2,
      sym_comment,
      sym_block_comment,
  [608934] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5682), 1,
      anon_sym_RBRACK,
    ACTIONS(17756), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14579), 2,
      sym_comment,
      sym_block_comment,
  [608954] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17758), 1,
      anon_sym_COMMA,
    ACTIONS(17760), 1,
      anon_sym_RBRACK,
    STATE(14578), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14580), 2,
      sym_comment,
      sym_block_comment,
  [608974] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7606), 1,
      anon_sym_RPAREN,
    ACTIONS(17762), 1,
      anon_sym_COMMA,
    STATE(14590), 1,
      aux_sym_class_parameters_repeat1,
    STATE(14581), 2,
      sym_comment,
      sym_block_comment,
  [608994] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5914), 1,
      anon_sym_RBRACK,
    ACTIONS(17764), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14582), 2,
      sym_comment,
      sym_block_comment,
  [609014] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5256), 1,
      anon_sym_RPAREN,
    ACTIONS(17766), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14583), 2,
      sym_comment,
      sym_block_comment,
  [609034] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7596), 1,
      anon_sym_RPAREN,
    ACTIONS(17768), 1,
      anon_sym_COMMA,
    STATE(15110), 1,
      aux_sym_class_parameters_repeat1,
    STATE(14584), 2,
      sym_comment,
      sym_block_comment,
  [609054] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17770), 1,
      anon_sym_COMMA,
    ACTIONS(17772), 1,
      anon_sym_RBRACK,
    STATE(15003), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14585), 2,
      sym_comment,
      sym_block_comment,
  [609074] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17774), 1,
      anon_sym_COMMA,
    ACTIONS(17776), 1,
      anon_sym_RBRACK,
    STATE(14582), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14586), 2,
      sym_comment,
      sym_block_comment,
  [609094] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17778), 1,
      anon_sym_COMMA,
    ACTIONS(17780), 1,
      anon_sym_RBRACK,
    STATE(14585), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14587), 2,
      sym_comment,
      sym_block_comment,
  [609114] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17782), 1,
      anon_sym_COMMA,
    ACTIONS(17784), 1,
      anon_sym_RPAREN,
    STATE(14505), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14588), 2,
      sym_comment,
      sym_block_comment,
  [609134] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17786), 1,
      anon_sym_COMMA,
    ACTIONS(17788), 1,
      anon_sym_RPAREN,
    STATE(14836), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14589), 2,
      sym_comment,
      sym_block_comment,
  [609154] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7620), 1,
      anon_sym_RPAREN,
    ACTIONS(17790), 1,
      anon_sym_COMMA,
    STATE(15110), 1,
      aux_sym_class_parameters_repeat1,
    STATE(14590), 2,
      sym_comment,
      sym_block_comment,
  [609174] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17792), 1,
      anon_sym_COMMA,
    ACTIONS(17794), 1,
      anon_sym_RBRACK,
    STATE(14597), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14591), 2,
      sym_comment,
      sym_block_comment,
  [609194] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17796), 1,
      anon_sym_COMMA,
    ACTIONS(17798), 1,
      anon_sym_RBRACK,
    STATE(15003), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14592), 2,
      sym_comment,
      sym_block_comment,
  [609214] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17800), 1,
      anon_sym_COMMA,
    ACTIONS(17802), 1,
      anon_sym_RBRACK,
    STATE(14592), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14593), 2,
      sym_comment,
      sym_block_comment,
  [609234] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15342), 1,
      anon_sym_LBRACK,
    ACTIONS(15560), 1,
      anon_sym_match,
    STATE(9572), 1,
      sym_type_arguments,
    STATE(14594), 2,
      sym_comment,
      sym_block_comment,
  [609254] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5596), 1,
      anon_sym_RPAREN,
    ACTIONS(17804), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14595), 2,
      sym_comment,
      sym_block_comment,
  [609274] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17806), 1,
      anon_sym_COMMA,
    ACTIONS(17808), 1,
      anon_sym_RBRACK,
    STATE(15003), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14596), 2,
      sym_comment,
      sym_block_comment,
  [609294] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5672), 1,
      anon_sym_RBRACK,
    ACTIONS(17810), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14597), 2,
      sym_comment,
      sym_block_comment,
  [609314] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17812), 1,
      anon_sym_COMMA,
    ACTIONS(17814), 1,
      anon_sym_RPAREN,
    STATE(15448), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(14598), 2,
      sym_comment,
      sym_block_comment,
  [609334] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17816), 1,
      anon_sym_COMMA,
    ACTIONS(17818), 1,
      anon_sym_RBRACK,
    STATE(14596), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14599), 2,
      sym_comment,
      sym_block_comment,
  [609354] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5906), 1,
      anon_sym_RBRACK,
    ACTIONS(17820), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14600), 2,
      sym_comment,
      sym_block_comment,
  [609374] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6064), 1,
      anon_sym_RPAREN,
    ACTIONS(17822), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14601), 2,
      sym_comment,
      sym_block_comment,
  [609394] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11170), 1,
      sym__arrow_then_type,
    ACTIONS(17824), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(14602), 2,
      sym_comment,
      sym_block_comment,
  [609412] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17826), 1,
      anon_sym_COMMA,
    ACTIONS(17828), 1,
      anon_sym_RPAREN,
    STATE(15324), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14603), 2,
      sym_comment,
      sym_block_comment,
  [609432] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17830), 1,
      anon_sym_COMMA,
    ACTIONS(17832), 1,
      anon_sym_RBRACK,
    STATE(14600), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14604), 2,
      sym_comment,
      sym_block_comment,
  [609452] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17834), 1,
      anon_sym_COMMA,
    ACTIONS(17836), 1,
      anon_sym_RBRACK,
    STATE(15003), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14605), 2,
      sym_comment,
      sym_block_comment,
  [609472] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17838), 1,
      anon_sym_COMMA,
    ACTIONS(17840), 1,
      anon_sym_RPAREN,
    STATE(14523), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14606), 2,
      sym_comment,
      sym_block_comment,
  [609492] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17842), 1,
      anon_sym_COMMA,
    ACTIONS(17844), 1,
      anon_sym_RPAREN,
    STATE(14883), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14607), 2,
      sym_comment,
      sym_block_comment,
  [609512] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14608), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17846), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [609528] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17848), 1,
      anon_sym_COMMA,
    ACTIONS(17850), 1,
      anon_sym_RBRACK,
    STATE(14615), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14609), 2,
      sym_comment,
      sym_block_comment,
  [609548] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17852), 1,
      anon_sym_COMMA,
    ACTIONS(17854), 1,
      anon_sym_RBRACK,
    STATE(14605), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14610), 2,
      sym_comment,
      sym_block_comment,
  [609568] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17195), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(17856), 1,
      sym__interpolated_multiline_string_end,
    STATE(14656), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(14611), 2,
      sym_comment,
      sym_block_comment,
  [609588] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17157), 1,
      sym__interpolated_string_middle,
    ACTIONS(17856), 1,
      sym__interpolated_string_end,
    STATE(14659), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(14612), 2,
      sym_comment,
      sym_block_comment,
  [609608] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6054), 1,
      anon_sym_RPAREN,
    ACTIONS(17858), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14613), 2,
      sym_comment,
      sym_block_comment,
  [609628] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17860), 1,
      anon_sym_COMMA,
    ACTIONS(17862), 1,
      anon_sym_RBRACK,
    STATE(15003), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14614), 2,
      sym_comment,
      sym_block_comment,
  [609648] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5644), 1,
      anon_sym_RBRACK,
    ACTIONS(17864), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14615), 2,
      sym_comment,
      sym_block_comment,
  [609668] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17866), 1,
      anon_sym_COMMA,
    ACTIONS(17868), 1,
      anon_sym_RBRACK,
    STATE(14614), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14616), 2,
      sym_comment,
      sym_block_comment,
  [609688] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17870), 1,
      anon_sym_COMMA,
    ACTIONS(17872), 1,
      anon_sym_RBRACK,
    STATE(14668), 1,
      aux_sym_type_parameters_repeat1,
    STATE(14617), 2,
      sym_comment,
      sym_block_comment,
  [609708] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5896), 1,
      anon_sym_RBRACK,
    ACTIONS(17874), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14618), 2,
      sym_comment,
      sym_block_comment,
  [609728] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5216), 1,
      anon_sym_RPAREN,
    ACTIONS(17876), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14619), 2,
      sym_comment,
      sym_block_comment,
  [609748] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12148), 1,
      anon_sym_RPAREN,
    ACTIONS(17878), 1,
      anon_sym_COMMA,
    STATE(14684), 1,
      aux_sym_parameters_repeat1,
    STATE(14620), 2,
      sym_comment,
      sym_block_comment,
  [609768] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17880), 1,
      anon_sym_COMMA,
    ACTIONS(17882), 1,
      anon_sym_RBRACK,
    STATE(15003), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14621), 2,
      sym_comment,
      sym_block_comment,
  [609788] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17884), 1,
      anon_sym_COMMA,
    ACTIONS(17886), 1,
      anon_sym_RBRACK,
    STATE(14618), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14622), 2,
      sym_comment,
      sym_block_comment,
  [609808] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17888), 1,
      anon_sym_COMMA,
    ACTIONS(17890), 1,
      anon_sym_RPAREN,
    STATE(14689), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14623), 2,
      sym_comment,
      sym_block_comment,
  [609828] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17892), 1,
      anon_sym_COMMA,
    ACTIONS(17894), 1,
      anon_sym_RPAREN,
    STATE(14541), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14624), 2,
      sym_comment,
      sym_block_comment,
  [609848] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17896), 1,
      anon_sym_COMMA,
    ACTIONS(17898), 1,
      anon_sym_RPAREN,
    STATE(14902), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14625), 2,
      sym_comment,
      sym_block_comment,
  [609868] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17900), 1,
      anon_sym_COMMA,
    ACTIONS(17902), 1,
      anon_sym_RPAREN,
    STATE(15037), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14626), 2,
      sym_comment,
      sym_block_comment,
  [609888] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17904), 1,
      anon_sym_COMMA,
    ACTIONS(17906), 1,
      anon_sym_RBRACK,
    STATE(14633), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14627), 2,
      sym_comment,
      sym_block_comment,
  [609908] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17908), 1,
      anon_sym_COMMA,
    ACTIONS(17910), 1,
      anon_sym_RBRACK,
    STATE(14621), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14628), 2,
      sym_comment,
      sym_block_comment,
  [609928] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10783), 1,
      sym__arrow_then_type,
    ACTIONS(17912), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(14629), 2,
      sym_comment,
      sym_block_comment,
  [609946] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17914), 1,
      anon_sym_COMMA,
    ACTIONS(17916), 1,
      anon_sym_RBRACK,
    STATE(15003), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14630), 2,
      sym_comment,
      sym_block_comment,
  [609966] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5568), 1,
      anon_sym_RPAREN,
    ACTIONS(17918), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14631), 2,
      sym_comment,
      sym_block_comment,
  [609986] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17157), 1,
      sym__interpolated_string_middle,
    ACTIONS(17920), 1,
      sym__interpolated_string_end,
    STATE(14400), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(14632), 2,
      sym_comment,
      sym_block_comment,
  [610006] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5620), 1,
      anon_sym_RBRACK,
    ACTIONS(17922), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14633), 2,
      sym_comment,
      sym_block_comment,
  [610026] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17924), 1,
      anon_sym_COMMA,
    ACTIONS(17926), 1,
      anon_sym_RBRACK,
    STATE(14630), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14634), 2,
      sym_comment,
      sym_block_comment,
  [610046] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17928), 1,
      anon_sym_COMMA,
    ACTIONS(17930), 1,
      anon_sym_RBRACK,
    STATE(15003), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14635), 2,
      sym_comment,
      sym_block_comment,
  [610066] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5888), 1,
      anon_sym_RBRACK,
    ACTIONS(17932), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14636), 2,
      sym_comment,
      sym_block_comment,
  [610086] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6028), 1,
      anon_sym_RPAREN,
    ACTIONS(17934), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14637), 2,
      sym_comment,
      sym_block_comment,
  [610106] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17936), 1,
      anon_sym_COMMA,
    ACTIONS(17938), 1,
      anon_sym_RPAREN,
    STATE(15448), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(14638), 2,
      sym_comment,
      sym_block_comment,
  [610126] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17940), 1,
      anon_sym_COMMA,
    ACTIONS(17942), 1,
      anon_sym_RBRACK,
    STATE(14635), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14639), 2,
      sym_comment,
      sym_block_comment,
  [610146] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17944), 1,
      anon_sym_COMMA,
    ACTIONS(17946), 1,
      anon_sym_RBRACK,
    STATE(14636), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14640), 2,
      sym_comment,
      sym_block_comment,
  [610166] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17948), 1,
      anon_sym_COMMA,
    ACTIONS(17950), 1,
      anon_sym_RBRACK,
    STATE(15003), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14641), 2,
      sym_comment,
      sym_block_comment,
  [610186] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17952), 1,
      anon_sym_COMMA,
    ACTIONS(17954), 1,
      anon_sym_RPAREN,
    STATE(14559), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14642), 2,
      sym_comment,
      sym_block_comment,
  [610206] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17956), 1,
      anon_sym_COMMA,
    ACTIONS(17958), 1,
      anon_sym_RPAREN,
    STATE(14924), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14643), 2,
      sym_comment,
      sym_block_comment,
  [610226] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17960), 1,
      anon_sym_COMMA,
    ACTIONS(17962), 1,
      anon_sym_RBRACK,
    STATE(14641), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14644), 2,
      sym_comment,
      sym_block_comment,
  [610246] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17964), 1,
      anon_sym_COMMA,
    ACTIONS(17966), 1,
      anon_sym_RBRACK,
    STATE(14651), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14645), 2,
      sym_comment,
      sym_block_comment,
  [610266] = 6,
    ACTIONS(17518), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17968), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(17970), 1,
      sym__comment_text,
    ACTIONS(17972), 1,
      anon_sym_GT,
    STATE(17513), 1,
      sym_using_directive,
    STATE(14646), 2,
      sym_comment,
      sym_block_comment,
  [610286] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17974), 1,
      anon_sym_COMMA,
    ACTIONS(17976), 1,
      anon_sym_RBRACK,
    STATE(15003), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14647), 2,
      sym_comment,
      sym_block_comment,
  [610306] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17978), 1,
      anon_sym_COMMA,
    ACTIONS(17980), 1,
      anon_sym_RBRACK,
    STATE(14772), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14648), 2,
      sym_comment,
      sym_block_comment,
  [610326] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5982), 1,
      anon_sym_RPAREN,
    ACTIONS(17982), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14649), 2,
      sym_comment,
      sym_block_comment,
  [610346] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17984), 1,
      anon_sym_COMMA,
    ACTIONS(17986), 1,
      anon_sym_RBRACK,
    STATE(14647), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14650), 2,
      sym_comment,
      sym_block_comment,
  [610366] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5612), 1,
      anon_sym_RBRACK,
    ACTIONS(17988), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14651), 2,
      sym_comment,
      sym_block_comment,
  [610386] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17990), 1,
      anon_sym_COMMA,
    ACTIONS(17992), 1,
      anon_sym_RBRACK,
    STATE(14701), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14652), 2,
      sym_comment,
      sym_block_comment,
  [610406] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17994), 1,
      anon_sym_COMMA,
    ACTIONS(17996), 1,
      anon_sym_RBRACK,
    STATE(15003), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14653), 2,
      sym_comment,
      sym_block_comment,
  [610426] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5868), 1,
      anon_sym_RBRACK,
    ACTIONS(17998), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14654), 2,
      sym_comment,
      sym_block_comment,
  [610446] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5130), 1,
      anon_sym_RPAREN,
    ACTIONS(18000), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14655), 2,
      sym_comment,
      sym_block_comment,
  [610466] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17195), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(18002), 1,
      sym__interpolated_multiline_string_end,
    STATE(15472), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(14656), 2,
      sym_comment,
      sym_block_comment,
  [610486] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18004), 1,
      anon_sym_COMMA,
    ACTIONS(18006), 1,
      anon_sym_RBRACK,
    STATE(14653), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14657), 2,
      sym_comment,
      sym_block_comment,
  [610506] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18008), 1,
      anon_sym_COMMA,
    ACTIONS(18010), 1,
      anon_sym_RBRACK,
    STATE(14654), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14658), 2,
      sym_comment,
      sym_block_comment,
  [610526] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17157), 1,
      sym__interpolated_string_middle,
    ACTIONS(18002), 1,
      sym__interpolated_string_end,
    STATE(15476), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(14659), 2,
      sym_comment,
      sym_block_comment,
  [610546] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18012), 1,
      anon_sym_COMMA,
    ACTIONS(18014), 1,
      anon_sym_RPAREN,
    STATE(14790), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14660), 2,
      sym_comment,
      sym_block_comment,
  [610566] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18016), 1,
      anon_sym_COMMA,
    ACTIONS(18018), 1,
      anon_sym_RPAREN,
    STATE(14942), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14661), 2,
      sym_comment,
      sym_block_comment,
  [610586] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7542), 1,
      anon_sym_RPAREN,
    ACTIONS(18020), 1,
      anon_sym_COMMA,
    STATE(14710), 1,
      aux_sym_class_parameters_repeat1,
    STATE(14662), 2,
      sym_comment,
      sym_block_comment,
  [610606] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18022), 1,
      anon_sym_COMMA,
    ACTIONS(18024), 1,
      anon_sym_RBRACK,
    STATE(14669), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14663), 2,
      sym_comment,
      sym_block_comment,
  [610626] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18026), 1,
      anon_sym_COMMA,
    ACTIONS(18028), 1,
      anon_sym_RBRACK,
    STATE(15003), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14664), 2,
      sym_comment,
      sym_block_comment,
  [610646] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18030), 1,
      anon_sym_COMMA,
    ACTIONS(18032), 1,
      anon_sym_RBRACK,
    STATE(14664), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14665), 2,
      sym_comment,
      sym_block_comment,
  [610666] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18034), 1,
      anon_sym_COMMA,
    ACTIONS(18036), 1,
      anon_sym_RBRACK,
    STATE(15003), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14666), 2,
      sym_comment,
      sym_block_comment,
  [610686] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5550), 1,
      anon_sym_RPAREN,
    ACTIONS(18038), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14667), 2,
      sym_comment,
      sym_block_comment,
  [610706] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18040), 1,
      anon_sym_COMMA,
    ACTIONS(18042), 1,
      anon_sym_RBRACK,
    STATE(15343), 1,
      aux_sym_type_parameters_repeat1,
    STATE(14668), 2,
      sym_comment,
      sym_block_comment,
  [610726] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5602), 1,
      anon_sym_RBRACK,
    ACTIONS(18044), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14669), 2,
      sym_comment,
      sym_block_comment,
  [610746] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18046), 1,
      anon_sym_COMMA,
    ACTIONS(18048), 1,
      anon_sym_RBRACK,
    STATE(14666), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14670), 2,
      sym_comment,
      sym_block_comment,
  [610766] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12155), 1,
      anon_sym_RPAREN,
    ACTIONS(18050), 1,
      anon_sym_COMMA,
    STATE(14716), 1,
      aux_sym_parameters_repeat1,
    STATE(14671), 2,
      sym_comment,
      sym_block_comment,
  [610786] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5848), 1,
      anon_sym_RBRACK,
    ACTIONS(18052), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14672), 2,
      sym_comment,
      sym_block_comment,
  [610806] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6020), 1,
      anon_sym_RPAREN,
    ACTIONS(18054), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14673), 2,
      sym_comment,
      sym_block_comment,
  [610826] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17195), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(17920), 1,
      sym__interpolated_multiline_string_end,
    STATE(14401), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(14674), 2,
      sym_comment,
      sym_block_comment,
  [610846] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16963), 1,
      anon_sym_RPAREN,
    ACTIONS(18056), 1,
      anon_sym_COMMA,
    STATE(14719), 1,
      aux_sym_parameters_repeat1,
    STATE(14675), 2,
      sym_comment,
      sym_block_comment,
  [610866] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18058), 1,
      anon_sym_COMMA,
    ACTIONS(18060), 1,
      anon_sym_RBRACK,
    STATE(15003), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14676), 2,
      sym_comment,
      sym_block_comment,
  [610886] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16961), 1,
      anon_sym_COMMA,
    ACTIONS(16963), 1,
      anon_sym_RPAREN,
    STATE(14725), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14677), 2,
      sym_comment,
      sym_block_comment,
  [610906] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18062), 1,
      anon_sym_COMMA,
    ACTIONS(18064), 1,
      anon_sym_RPAREN,
    STATE(14595), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14678), 2,
      sym_comment,
      sym_block_comment,
  [610926] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18066), 1,
      anon_sym_COMMA,
    ACTIONS(18068), 1,
      anon_sym_RBRACK,
    STATE(14672), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14679), 2,
      sym_comment,
      sym_block_comment,
  [610946] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18070), 1,
      anon_sym_COMMA,
    ACTIONS(18072), 1,
      anon_sym_RPAREN,
    STATE(14469), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14680), 2,
      sym_comment,
      sym_block_comment,
  [610966] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18074), 1,
      anon_sym_COMMA,
    ACTIONS(18076), 1,
      anon_sym_RBRACK,
    STATE(14687), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14681), 2,
      sym_comment,
      sym_block_comment,
  [610986] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18078), 1,
      anon_sym_COMMA,
    ACTIONS(18080), 1,
      anon_sym_RBRACK,
    STATE(14676), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14682), 2,
      sym_comment,
      sym_block_comment,
  [611006] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14683), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15961), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [611022] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12155), 1,
      anon_sym_RPAREN,
    ACTIONS(18050), 1,
      anon_sym_COMMA,
    STATE(15299), 1,
      aux_sym_parameters_repeat1,
    STATE(14684), 2,
      sym_comment,
      sym_block_comment,
  [611042] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5902), 1,
      anon_sym_RPAREN,
    ACTIONS(18082), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14685), 2,
      sym_comment,
      sym_block_comment,
  [611062] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17195), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(18084), 1,
      sym__interpolated_multiline_string_end,
    STATE(15472), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(14686), 2,
      sym_comment,
      sym_block_comment,
  [611082] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5592), 1,
      anon_sym_RBRACK,
    ACTIONS(18086), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14687), 2,
      sym_comment,
      sym_block_comment,
  [611102] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18088), 1,
      anon_sym_COMMA,
    ACTIONS(18090), 1,
      anon_sym_RBRACK,
    STATE(15003), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14688), 2,
      sym_comment,
      sym_block_comment,
  [611122] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5148), 1,
      anon_sym_RPAREN,
    ACTIONS(18092), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14689), 2,
      sym_comment,
      sym_block_comment,
  [611142] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18094), 1,
      anon_sym_COMMA,
    ACTIONS(18096), 1,
      anon_sym_RBRACK,
    STATE(14688), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14690), 2,
      sym_comment,
      sym_block_comment,
  [611162] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16848), 1,
      anon_sym_EQ,
    ACTIONS(16846), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(14691), 2,
      sym_comment,
      sym_block_comment,
  [611180] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5834), 1,
      anon_sym_RBRACK,
    ACTIONS(18098), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14692), 2,
      sym_comment,
      sym_block_comment,
  [611200] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6010), 1,
      anon_sym_RPAREN,
    ACTIONS(18100), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14693), 2,
      sym_comment,
      sym_block_comment,
  [611220] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18102), 1,
      anon_sym_COMMA,
    ACTIONS(18104), 1,
      anon_sym_RBRACK,
    STATE(15003), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14694), 2,
      sym_comment,
      sym_block_comment,
  [611240] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10169), 1,
      anon_sym_COMMA,
    ACTIONS(18106), 1,
      anon_sym_RPAREN,
    STATE(15238), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(14695), 2,
      sym_comment,
      sym_block_comment,
  [611260] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18108), 1,
      anon_sym_COMMA,
    ACTIONS(18110), 1,
      anon_sym_RPAREN,
    STATE(14631), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14696), 2,
      sym_comment,
      sym_block_comment,
  [611280] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18112), 1,
      anon_sym_COMMA,
    ACTIONS(18114), 1,
      anon_sym_RBRACK,
    STATE(14694), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14697), 2,
      sym_comment,
      sym_block_comment,
  [611300] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18116), 1,
      anon_sym_COMMA,
    ACTIONS(18118), 1,
      anon_sym_RBRACK,
    STATE(14692), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14698), 2,
      sym_comment,
      sym_block_comment,
  [611320] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18120), 1,
      anon_sym_COMMA,
    ACTIONS(18122), 1,
      anon_sym_RBRACK,
    STATE(14705), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14699), 2,
      sym_comment,
      sym_block_comment,
  [611340] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18124), 1,
      anon_sym_COMMA,
    ACTIONS(18126), 1,
      anon_sym_RBRACK,
    STATE(15003), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14700), 2,
      sym_comment,
      sym_block_comment,
  [611360] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5162), 1,
      anon_sym_RBRACK,
    ACTIONS(18128), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14701), 2,
      sym_comment,
      sym_block_comment,
  [611380] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18130), 1,
      anon_sym_COMMA,
    ACTIONS(18132), 1,
      anon_sym_RBRACK,
    STATE(14700), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14702), 2,
      sym_comment,
      sym_block_comment,
  [611400] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5536), 1,
      anon_sym_RPAREN,
    ACTIONS(18134), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14703), 2,
      sym_comment,
      sym_block_comment,
  [611420] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18136), 1,
      anon_sym_COMMA,
    ACTIONS(18138), 1,
      anon_sym_RBRACK,
    STATE(15003), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14704), 2,
      sym_comment,
      sym_block_comment,
  [611440] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5558), 1,
      anon_sym_RBRACK,
    ACTIONS(18140), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14705), 2,
      sym_comment,
      sym_block_comment,
  [611460] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4328), 1,
      sym__indent,
    STATE(9305), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(14706), 2,
      sym_comment,
      sym_block_comment,
  [611478] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18142), 1,
      anon_sym_COMMA,
    ACTIONS(18144), 1,
      anon_sym_RBRACK,
    STATE(14704), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14707), 2,
      sym_comment,
      sym_block_comment,
  [611498] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7590), 1,
      anon_sym_RPAREN,
    ACTIONS(18146), 1,
      anon_sym_COMMA,
    STATE(14731), 1,
      aux_sym_class_parameters_repeat1,
    STATE(14708), 2,
      sym_comment,
      sym_block_comment,
  [611518] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16675), 1,
      anon_sym_case,
    STATE(14113), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(15703), 1,
      sym_type_case_clause,
    STATE(14709), 2,
      sym_comment,
      sym_block_comment,
  [611538] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7590), 1,
      anon_sym_RPAREN,
    ACTIONS(18146), 1,
      anon_sym_COMMA,
    STATE(15110), 1,
      aux_sym_class_parameters_repeat1,
    STATE(14710), 2,
      sym_comment,
      sym_block_comment,
  [611558] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5824), 1,
      anon_sym_RBRACK,
    ACTIONS(18148), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14711), 2,
      sym_comment,
      sym_block_comment,
  [611578] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6002), 1,
      anon_sym_RPAREN,
    ACTIONS(18150), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14712), 2,
      sym_comment,
      sym_block_comment,
  [611598] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18152), 1,
      anon_sym_COMMA,
    ACTIONS(18154), 1,
      anon_sym_RBRACK,
    STATE(15003), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14713), 2,
      sym_comment,
      sym_block_comment,
  [611618] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18156), 1,
      anon_sym_COMMA,
    ACTIONS(18158), 1,
      anon_sym_RPAREN,
    STATE(14667), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14714), 2,
      sym_comment,
      sym_block_comment,
  [611638] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18160), 1,
      anon_sym_COMMA,
    ACTIONS(18162), 1,
      anon_sym_RBRACK,
    STATE(14713), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14715), 2,
      sym_comment,
      sym_block_comment,
  [611658] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12192), 1,
      anon_sym_RPAREN,
    ACTIONS(18164), 1,
      anon_sym_COMMA,
    STATE(15299), 1,
      aux_sym_parameters_repeat1,
    STATE(14716), 2,
      sym_comment,
      sym_block_comment,
  [611678] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18166), 1,
      anon_sym_COMMA,
    ACTIONS(18168), 1,
      anon_sym_RBRACK,
    STATE(14723), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14717), 2,
      sym_comment,
      sym_block_comment,
  [611698] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18170), 1,
      anon_sym_COMMA,
    ACTIONS(18172), 1,
      anon_sym_RBRACK,
    STATE(15003), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14718), 2,
      sym_comment,
      sym_block_comment,
  [611718] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5036), 1,
      anon_sym_RPAREN,
    ACTIONS(18174), 1,
      anon_sym_COMMA,
    STATE(15299), 1,
      aux_sym_parameters_repeat1,
    STATE(14719), 2,
      sym_comment,
      sym_block_comment,
  [611738] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18176), 1,
      anon_sym_COMMA,
    ACTIONS(18178), 1,
      anon_sym_RBRACK,
    STATE(14711), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14720), 2,
      sym_comment,
      sym_block_comment,
  [611758] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5504), 1,
      anon_sym_RPAREN,
    ACTIONS(18180), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14721), 2,
      sym_comment,
      sym_block_comment,
  [611778] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18182), 1,
      anon_sym_COMMA,
    ACTIONS(18184), 1,
      anon_sym_RPAREN,
    STATE(14415), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14722), 2,
      sym_comment,
      sym_block_comment,
  [611798] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5548), 1,
      anon_sym_RBRACK,
    ACTIONS(18186), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14723), 2,
      sym_comment,
      sym_block_comment,
  [611818] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18188), 1,
      anon_sym_COMMA,
    ACTIONS(18190), 1,
      anon_sym_RBRACK,
    STATE(14718), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14724), 2,
      sym_comment,
      sym_block_comment,
  [611838] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5036), 1,
      anon_sym_RPAREN,
    ACTIONS(18192), 1,
      anon_sym_COMMA,
    STATE(14983), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14725), 2,
      sym_comment,
      sym_block_comment,
  [611858] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7170), 1,
      anon_sym_RPAREN,
    ACTIONS(18194), 1,
      anon_sym_COMMA,
    STATE(15238), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(14726), 2,
      sym_comment,
      sym_block_comment,
  [611878] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18196), 1,
      anon_sym_COMMA,
    ACTIONS(18198), 1,
      anon_sym_RBRACK,
    STATE(15003), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14727), 2,
      sym_comment,
      sym_block_comment,
  [611898] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18200), 1,
      anon_sym_COMMA,
    ACTIONS(18202), 1,
      anon_sym_RBRACK,
    STATE(14727), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14728), 2,
      sym_comment,
      sym_block_comment,
  [611918] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5800), 1,
      anon_sym_RBRACK,
    ACTIONS(18204), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14729), 2,
      sym_comment,
      sym_block_comment,
  [611938] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5972), 1,
      anon_sym_RPAREN,
    ACTIONS(18206), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14730), 2,
      sym_comment,
      sym_block_comment,
  [611958] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7606), 1,
      anon_sym_RPAREN,
    ACTIONS(17762), 1,
      anon_sym_COMMA,
    STATE(15110), 1,
      aux_sym_class_parameters_repeat1,
    STATE(14731), 2,
      sym_comment,
      sym_block_comment,
  [611978] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18208), 1,
      anon_sym_COMMA,
    ACTIONS(18210), 1,
      anon_sym_RPAREN,
    STATE(14703), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14732), 2,
      sym_comment,
      sym_block_comment,
  [611998] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18212), 1,
      anon_sym_COMMA,
    ACTIONS(18214), 1,
      anon_sym_RBRACK,
    STATE(15003), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14733), 2,
      sym_comment,
      sym_block_comment,
  [612018] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18216), 1,
      anon_sym_COMMA,
    ACTIONS(18218), 1,
      anon_sym_RBRACK,
    STATE(14733), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14734), 2,
      sym_comment,
      sym_block_comment,
  [612038] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18220), 1,
      anon_sym_COMMA,
    ACTIONS(18222), 1,
      anon_sym_RBRACK,
    STATE(14741), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14735), 2,
      sym_comment,
      sym_block_comment,
  [612058] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7724), 1,
      anon_sym_RPAREN,
    ACTIONS(18224), 1,
      anon_sym_COMMA,
    STATE(15110), 1,
      aux_sym_class_parameters_repeat1,
    STATE(14736), 2,
      sym_comment,
      sym_block_comment,
  [612078] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7594), 1,
      anon_sym_RPAREN,
    ACTIONS(17734), 1,
      anon_sym_COMMA,
    STATE(14744), 1,
      aux_sym_class_parameters_repeat1,
    STATE(14737), 2,
      sym_comment,
      sym_block_comment,
  [612098] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18226), 1,
      anon_sym_COMMA,
    ACTIONS(18228), 1,
      anon_sym_RBRACK,
    STATE(14729), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14738), 2,
      sym_comment,
      sym_block_comment,
  [612118] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5776), 1,
      anon_sym_RPAREN,
    ACTIONS(18230), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14739), 2,
      sym_comment,
      sym_block_comment,
  [612138] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18232), 1,
      anon_sym_COMMA,
    ACTIONS(18234), 1,
      anon_sym_RPAREN,
    STATE(15081), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14740), 2,
      sym_comment,
      sym_block_comment,
  [612158] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5534), 1,
      anon_sym_RBRACK,
    ACTIONS(18236), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14741), 2,
      sym_comment,
      sym_block_comment,
  [612178] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18238), 1,
      anon_sym_COMMA,
    ACTIONS(18240), 1,
      anon_sym_RBRACK,
    STATE(15003), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14742), 2,
      sym_comment,
      sym_block_comment,
  [612198] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18242), 1,
      anon_sym_COMMA,
    ACTIONS(18244), 1,
      anon_sym_RBRACK,
    STATE(14742), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14743), 2,
      sym_comment,
      sym_block_comment,
  [612218] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7604), 1,
      anon_sym_RPAREN,
    ACTIONS(18246), 1,
      anon_sym_COMMA,
    STATE(15110), 1,
      aux_sym_class_parameters_repeat1,
    STATE(14744), 2,
      sym_comment,
      sym_block_comment,
  [612238] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18248), 1,
      anon_sym_COMMA,
    ACTIONS(18250), 1,
      anon_sym_RBRACK,
    STATE(15003), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14745), 2,
      sym_comment,
      sym_block_comment,
  [612258] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18252), 1,
      anon_sym_COMMA,
    ACTIONS(18254), 1,
      anon_sym_RBRACK,
    STATE(14745), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14746), 2,
      sym_comment,
      sym_block_comment,
  [612278] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5768), 1,
      anon_sym_RBRACK,
    ACTIONS(18256), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14747), 2,
      sym_comment,
      sym_block_comment,
  [612298] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5964), 1,
      anon_sym_RPAREN,
    ACTIONS(18258), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14748), 2,
      sym_comment,
      sym_block_comment,
  [612318] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15396), 1,
      anon_sym_LBRACK,
    ACTIONS(15560), 1,
      anon_sym_match,
    STATE(9396), 1,
      sym_type_arguments,
    STATE(14749), 2,
      sym_comment,
      sym_block_comment,
  [612338] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18260), 1,
      anon_sym_COMMA,
    ACTIONS(18262), 1,
      anon_sym_RPAREN,
    STATE(14721), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14750), 2,
      sym_comment,
      sym_block_comment,
  [612358] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18264), 1,
      anon_sym_COMMA,
    ACTIONS(18266), 1,
      anon_sym_RBRACK,
    STATE(15003), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14751), 2,
      sym_comment,
      sym_block_comment,
  [612378] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17157), 1,
      sym__interpolated_string_middle,
    ACTIONS(18084), 1,
      sym__interpolated_string_end,
    STATE(15476), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(14752), 2,
      sym_comment,
      sym_block_comment,
  [612398] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18268), 1,
      anon_sym_COMMA,
    ACTIONS(18270), 1,
      anon_sym_RBRACK,
    STATE(14759), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14753), 2,
      sym_comment,
      sym_block_comment,
  [612418] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18272), 1,
      anon_sym_COMMA,
    ACTIONS(18274), 1,
      anon_sym_RBRACK,
    STATE(14751), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14754), 2,
      sym_comment,
      sym_block_comment,
  [612438] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16675), 1,
      anon_sym_case,
    STATE(14096), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(15703), 1,
      sym_type_case_clause,
    STATE(14755), 2,
      sym_comment,
      sym_block_comment,
  [612458] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18276), 1,
      anon_sym_COMMA,
    ACTIONS(18278), 1,
      anon_sym_RBRACK,
    STATE(14747), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14756), 2,
      sym_comment,
      sym_block_comment,
  [612478] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5492), 1,
      anon_sym_RPAREN,
    ACTIONS(18280), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14757), 2,
      sym_comment,
      sym_block_comment,
  [612498] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18282), 1,
      anon_sym_COMMA,
    ACTIONS(18284), 1,
      anon_sym_RPAREN,
    STATE(14379), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14758), 2,
      sym_comment,
      sym_block_comment,
  [612518] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5500), 1,
      anon_sym_RBRACK,
    ACTIONS(18286), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14759), 2,
      sym_comment,
      sym_block_comment,
  [612538] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18288), 1,
      anon_sym_COMMA,
    ACTIONS(18290), 1,
      anon_sym_RBRACK,
    STATE(15003), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14760), 2,
      sym_comment,
      sym_block_comment,
  [612558] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18292), 1,
      anon_sym_COMMA,
    ACTIONS(18294), 1,
      anon_sym_RPAREN,
    STATE(15448), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(14761), 2,
      sym_comment,
      sym_block_comment,
  [612578] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18296), 1,
      anon_sym_COMMA,
    ACTIONS(18298), 1,
      anon_sym_RBRACK,
    STATE(14760), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14762), 2,
      sym_comment,
      sym_block_comment,
  [612598] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5312), 1,
      anon_sym_RPAREN,
    ACTIONS(18300), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14763), 2,
      sym_comment,
      sym_block_comment,
  [612618] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17195), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(18302), 1,
      sym__interpolated_multiline_string_end,
    STATE(14802), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(14764), 2,
      sym_comment,
      sym_block_comment,
  [612638] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5726), 1,
      anon_sym_RBRACK,
    ACTIONS(18304), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14765), 2,
      sym_comment,
      sym_block_comment,
  [612658] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5954), 1,
      anon_sym_RPAREN,
    ACTIONS(18306), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14766), 2,
      sym_comment,
      sym_block_comment,
  [612678] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17157), 1,
      sym__interpolated_string_middle,
    ACTIONS(18302), 1,
      sym__interpolated_string_end,
    STATE(14805), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(14767), 2,
      sym_comment,
      sym_block_comment,
  [612698] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18308), 1,
      anon_sym_COMMA,
    ACTIONS(18310), 1,
      anon_sym_RPAREN,
    STATE(14757), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14768), 2,
      sym_comment,
      sym_block_comment,
  [612718] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18312), 1,
      anon_sym_COMMA,
    ACTIONS(18314), 1,
      anon_sym_RBRACK,
    STATE(15003), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14769), 2,
      sym_comment,
      sym_block_comment,
  [612738] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18316), 1,
      anon_sym_COMMA,
    ACTIONS(18318), 1,
      anon_sym_RBRACK,
    STATE(14776), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14770), 2,
      sym_comment,
      sym_block_comment,
  [612758] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18320), 1,
      anon_sym_COMMA,
    ACTIONS(18322), 1,
      anon_sym_RBRACK,
    STATE(14769), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14771), 2,
      sym_comment,
      sym_block_comment,
  [612778] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5410), 1,
      anon_sym_RBRACK,
    ACTIONS(18324), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14772), 2,
      sym_comment,
      sym_block_comment,
  [612798] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18326), 1,
      anon_sym_COMMA,
    ACTIONS(18328), 1,
      anon_sym_RBRACK,
    STATE(15003), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14773), 2,
      sym_comment,
      sym_block_comment,
  [612818] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5652), 1,
      anon_sym_RPAREN,
    ACTIONS(18330), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14774), 2,
      sym_comment,
      sym_block_comment,
  [612838] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18332), 1,
      anon_sym_COMMA,
    ACTIONS(18334), 1,
      anon_sym_RBRACK,
    STATE(14765), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14775), 2,
      sym_comment,
      sym_block_comment,
  [612858] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5490), 1,
      anon_sym_RBRACK,
    ACTIONS(18336), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14776), 2,
      sym_comment,
      sym_block_comment,
  [612878] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18338), 1,
      anon_sym_COMMA,
    ACTIONS(18340), 1,
      anon_sym_RPAREN,
    STATE(14814), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14777), 2,
      sym_comment,
      sym_block_comment,
  [612898] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18342), 1,
      anon_sym_COMMA,
    ACTIONS(18344), 1,
      anon_sym_RBRACK,
    STATE(14773), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14778), 2,
      sym_comment,
      sym_block_comment,
  [612918] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18346), 1,
      anon_sym_COMMA,
    ACTIONS(18348), 1,
      anon_sym_RPAREN,
    STATE(14386), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14779), 2,
      sym_comment,
      sym_block_comment,
  [612938] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7644), 1,
      anon_sym_RPAREN,
    ACTIONS(18350), 1,
      anon_sym_COMMA,
    STATE(14367), 1,
      aux_sym_class_parameters_repeat1,
    STATE(14780), 2,
      sym_comment,
      sym_block_comment,
  [612958] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11279), 1,
      sym__arrow_then_type,
    ACTIONS(18352), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(14781), 2,
      sym_comment,
      sym_block_comment,
  [612976] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18354), 1,
      anon_sym_COMMA,
    ACTIONS(18356), 1,
      anon_sym_RBRACK,
    STATE(15003), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14782), 2,
      sym_comment,
      sym_block_comment,
  [612996] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5704), 1,
      anon_sym_RBRACK,
    ACTIONS(18358), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14783), 2,
      sym_comment,
      sym_block_comment,
  [613016] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18360), 1,
      anon_sym_COMMA,
    ACTIONS(18362), 1,
      anon_sym_RBRACK,
    STATE(14782), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14784), 2,
      sym_comment,
      sym_block_comment,
  [613036] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18364), 1,
      anon_sym_COMMA,
    ACTIONS(18366), 1,
      anon_sym_RPAREN,
    STATE(14774), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14785), 2,
      sym_comment,
      sym_block_comment,
  [613056] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18368), 1,
      anon_sym_COMMA,
    ACTIONS(18370), 1,
      anon_sym_RBRACK,
    STATE(14792), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14786), 2,
      sym_comment,
      sym_block_comment,
  [613076] = 5,
    ACTIONS(17518), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18372), 1,
      anon_sym_STAR_SLASH,
    STATE(15028), 1,
      aux_sym_block_comment_repeat1,
    ACTIONS(17516), 2,
      anon_sym_SLASH_SLASH,
      aux_sym_block_comment_token1,
    STATE(14787), 2,
      sym_comment,
      sym_block_comment,
  [613094] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18374), 1,
      anon_sym_COMMA,
    ACTIONS(18376), 1,
      anon_sym_RBRACK,
    STATE(15003), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14788), 2,
      sym_comment,
      sym_block_comment,
  [613114] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5582), 1,
      anon_sym_RPAREN,
    ACTIONS(18378), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14789), 2,
      sym_comment,
      sym_block_comment,
  [613134] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5604), 1,
      anon_sym_RPAREN,
    ACTIONS(18380), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14790), 2,
      sym_comment,
      sym_block_comment,
  [613154] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18382), 1,
      anon_sym_COMMA,
    ACTIONS(18384), 1,
      anon_sym_RPAREN,
    STATE(15448), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(14791), 2,
      sym_comment,
      sym_block_comment,
  [613174] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5484), 1,
      anon_sym_RBRACK,
    ACTIONS(18386), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14792), 2,
      sym_comment,
      sym_block_comment,
  [613194] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18388), 1,
      anon_sym_COMMA,
    ACTIONS(18390), 1,
      anon_sym_RBRACK,
    STATE(14788), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14793), 2,
      sym_comment,
      sym_block_comment,
  [613214] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18392), 1,
      anon_sym_COMMA,
    ACTIONS(18394), 1,
      anon_sym_RBRACK,
    STATE(15003), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14794), 2,
      sym_comment,
      sym_block_comment,
  [613234] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18396), 1,
      anon_sym_COMMA,
    ACTIONS(18398), 1,
      anon_sym_RBRACK,
    STATE(14794), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14795), 2,
      sym_comment,
      sym_block_comment,
  [613254] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18400), 1,
      anon_sym_COMMA,
    ACTIONS(18402), 1,
      anon_sym_RBRACK,
    STATE(14783), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14796), 2,
      sym_comment,
      sym_block_comment,
  [613274] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18404), 1,
      anon_sym_COMMA,
    ACTIONS(18406), 1,
      anon_sym_RPAREN,
    STATE(15137), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14797), 2,
      sym_comment,
      sym_block_comment,
  [613294] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4258), 1,
      sym__indent,
    STATE(7869), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(14798), 2,
      sym_comment,
      sym_block_comment,
  [613312] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18408), 1,
      anon_sym_COMMA,
    ACTIONS(18410), 1,
      anon_sym_RBRACK,
    STATE(14823), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14799), 2,
      sym_comment,
      sym_block_comment,
  [613332] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18412), 1,
      anon_sym_COMMA,
    ACTIONS(18414), 1,
      anon_sym_RBRACK,
    STATE(14804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14800), 2,
      sym_comment,
      sym_block_comment,
  [613352] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18416), 1,
      anon_sym_COMMA,
    ACTIONS(18418), 1,
      anon_sym_RBRACK,
    STATE(15003), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14801), 2,
      sym_comment,
      sym_block_comment,
  [613372] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17195), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(18420), 1,
      sym__interpolated_multiline_string_end,
    STATE(15472), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(14802), 2,
      sym_comment,
      sym_block_comment,
  [613392] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18422), 1,
      anon_sym_COMMA,
    ACTIONS(18424), 1,
      anon_sym_RBRACK,
    STATE(14801), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14803), 2,
      sym_comment,
      sym_block_comment,
  [613412] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5478), 1,
      anon_sym_RBRACK,
    ACTIONS(18426), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14804), 2,
      sym_comment,
      sym_block_comment,
  [613432] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17157), 1,
      sym__interpolated_string_middle,
    ACTIONS(18420), 1,
      sym__interpolated_string_end,
    STATE(15476), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(14805), 2,
      sym_comment,
      sym_block_comment,
  [613452] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7518), 1,
      anon_sym_RPAREN,
    ACTIONS(18428), 1,
      anon_sym_COMMA,
    STATE(14829), 1,
      aux_sym_class_parameters_repeat1,
    STATE(14806), 2,
      sym_comment,
      sym_block_comment,
  [613472] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18430), 1,
      anon_sym_COMMA,
    ACTIONS(18432), 1,
      anon_sym_RBRACK,
    STATE(15003), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14807), 2,
      sym_comment,
      sym_block_comment,
  [613492] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5662), 1,
      anon_sym_RBRACK,
    ACTIONS(18434), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14808), 2,
      sym_comment,
      sym_block_comment,
  [613512] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5946), 1,
      anon_sym_RPAREN,
    ACTIONS(18436), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14809), 2,
      sym_comment,
      sym_block_comment,
  [613532] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18438), 1,
      anon_sym_COMMA,
    ACTIONS(18440), 1,
      anon_sym_RBRACK,
    STATE(14807), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14810), 2,
      sym_comment,
      sym_block_comment,
  [613552] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18442), 1,
      anon_sym_COMMA,
    ACTIONS(18444), 1,
      anon_sym_RBRACK,
    STATE(14815), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14811), 2,
      sym_comment,
      sym_block_comment,
  [613572] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5564), 1,
      anon_sym_RBRACK,
    ACTIONS(18446), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14812), 2,
      sym_comment,
      sym_block_comment,
  [613592] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18448), 1,
      anon_sym_COMMA,
    ACTIONS(18450), 1,
      anon_sym_RBRACK,
    STATE(15343), 1,
      aux_sym_type_parameters_repeat1,
    STATE(14813), 2,
      sym_comment,
      sym_block_comment,
  [613612] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5176), 1,
      anon_sym_RPAREN,
    ACTIONS(18452), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14814), 2,
      sym_comment,
      sym_block_comment,
  [613632] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5474), 1,
      anon_sym_RBRACK,
    ACTIONS(18454), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14815), 2,
      sym_comment,
      sym_block_comment,
  [613652] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18456), 1,
      anon_sym_COMMA,
    ACTIONS(18458), 1,
      anon_sym_RBRACK,
    STATE(15003), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14816), 2,
      sym_comment,
      sym_block_comment,
  [613672] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17195), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(18460), 1,
      sym__interpolated_multiline_string_end,
    STATE(14972), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(14817), 2,
      sym_comment,
      sym_block_comment,
  [613692] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18462), 1,
      anon_sym_COMMA,
    ACTIONS(18464), 1,
      anon_sym_RBRACK,
    STATE(14816), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14818), 2,
      sym_comment,
      sym_block_comment,
  [613712] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18466), 1,
      anon_sym_COMMA,
    ACTIONS(18468), 1,
      anon_sym_RBRACK,
    STATE(14808), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14819), 2,
      sym_comment,
      sym_block_comment,
  [613732] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18470), 1,
      anon_sym_COMMA,
    ACTIONS(18472), 1,
      anon_sym_RPAREN,
    STATE(15193), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14820), 2,
      sym_comment,
      sym_block_comment,
  [613752] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18474), 1,
      anon_sym_COMMA,
    ACTIONS(18476), 1,
      anon_sym_RBRACK,
    STATE(15003), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14821), 2,
      sym_comment,
      sym_block_comment,
  [613772] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18478), 1,
      anon_sym_COMMA,
    ACTIONS(18480), 1,
      anon_sym_RBRACK,
    STATE(14826), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14822), 2,
      sym_comment,
      sym_block_comment,
  [613792] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5178), 1,
      anon_sym_RBRACK,
    ACTIONS(18482), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14823), 2,
      sym_comment,
      sym_block_comment,
  [613812] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18484), 1,
      anon_sym_COMMA,
    ACTIONS(18486), 1,
      anon_sym_RBRACK,
    STATE(14821), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14824), 2,
      sym_comment,
      sym_block_comment,
  [613832] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4172), 1,
      sym__indent,
    STATE(9580), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(14825), 2,
      sym_comment,
      sym_block_comment,
  [613850] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5452), 1,
      anon_sym_RBRACK,
    ACTIONS(18488), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14826), 2,
      sym_comment,
      sym_block_comment,
  [613870] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7708), 1,
      anon_sym_RPAREN,
    ACTIONS(18490), 1,
      anon_sym_COMMA,
    STATE(14832), 1,
      aux_sym_class_parameters_repeat1,
    STATE(14827), 2,
      sym_comment,
      sym_block_comment,
  [613890] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18492), 1,
      anon_sym_COMMA,
    ACTIONS(18494), 1,
      anon_sym_RBRACK,
    STATE(15003), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14828), 2,
      sym_comment,
      sym_block_comment,
  [613910] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7708), 1,
      anon_sym_RPAREN,
    ACTIONS(18490), 1,
      anon_sym_COMMA,
    STATE(15110), 1,
      aux_sym_class_parameters_repeat1,
    STATE(14829), 2,
      sym_comment,
      sym_block_comment,
  [613930] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18496), 1,
      anon_sym_COMMA,
    ACTIONS(18498), 1,
      anon_sym_RBRACK,
    STATE(14828), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14830), 2,
      sym_comment,
      sym_block_comment,
  [613950] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5632), 1,
      anon_sym_RBRACK,
    ACTIONS(18500), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14831), 2,
      sym_comment,
      sym_block_comment,
  [613970] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7706), 1,
      anon_sym_RPAREN,
    ACTIONS(18502), 1,
      anon_sym_COMMA,
    STATE(15110), 1,
      aux_sym_class_parameters_repeat1,
    STATE(14832), 2,
      sym_comment,
      sym_block_comment,
  [613990] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18504), 1,
      anon_sym_COMMA,
    ACTIONS(18506), 1,
      anon_sym_RBRACK,
    STATE(14837), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14833), 2,
      sym_comment,
      sym_block_comment,
  [614010] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18508), 1,
      anon_sym_COMMA,
    ACTIONS(18510), 1,
      anon_sym_RBRACK,
    STATE(15003), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14834), 2,
      sym_comment,
      sym_block_comment,
  [614030] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7706), 1,
      anon_sym_RPAREN,
    ACTIONS(18502), 1,
      anon_sym_COMMA,
    STATE(14839), 1,
      aux_sym_class_parameters_repeat1,
    STATE(14835), 2,
      sym_comment,
      sym_block_comment,
  [614050] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5912), 1,
      anon_sym_RPAREN,
    ACTIONS(18512), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14836), 2,
      sym_comment,
      sym_block_comment,
  [614070] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5436), 1,
      anon_sym_RBRACK,
    ACTIONS(18514), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14837), 2,
      sym_comment,
      sym_block_comment,
  [614090] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18516), 1,
      anon_sym_COMMA,
    ACTIONS(18518), 1,
      anon_sym_RBRACK,
    STATE(14834), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14838), 2,
      sym_comment,
      sym_block_comment,
  [614110] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7702), 1,
      anon_sym_RPAREN,
    ACTIONS(18520), 1,
      anon_sym_COMMA,
    STATE(15110), 1,
      aux_sym_class_parameters_repeat1,
    STATE(14839), 2,
      sym_comment,
      sym_block_comment,
  [614130] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17157), 1,
      sym__interpolated_string_middle,
    ACTIONS(18460), 1,
      sym__interpolated_string_end,
    STATE(14980), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(14840), 2,
      sym_comment,
      sym_block_comment,
  [614150] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18522), 1,
      anon_sym_COMMA,
    ACTIONS(18524), 1,
      anon_sym_RBRACK,
    STATE(15003), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14841), 2,
      sym_comment,
      sym_block_comment,
  [614170] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18526), 1,
      anon_sym_COMMA,
    ACTIONS(18528), 1,
      anon_sym_RBRACK,
    STATE(14831), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14842), 2,
      sym_comment,
      sym_block_comment,
  [614190] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13114), 1,
      anon_sym_LBRACK,
    ACTIONS(15560), 1,
      anon_sym_match,
    STATE(6525), 1,
      sym_type_arguments,
    STATE(14843), 2,
      sym_comment,
      sym_block_comment,
  [614210] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18530), 1,
      anon_sym_COMMA,
    ACTIONS(18532), 1,
      anon_sym_RBRACK,
    STATE(14848), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14844), 2,
      sym_comment,
      sym_block_comment,
  [614230] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18534), 1,
      anon_sym_COMMA,
    ACTIONS(18536), 1,
      anon_sym_RBRACK,
    STATE(14841), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14845), 2,
      sym_comment,
      sym_block_comment,
  [614250] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5720), 1,
      anon_sym_RPAREN,
    ACTIONS(18538), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14846), 2,
      sym_comment,
      sym_block_comment,
  [614270] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18540), 1,
      anon_sym_COMMA,
    ACTIONS(18542), 1,
      anon_sym_RPAREN,
    STATE(14439), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14847), 2,
      sym_comment,
      sym_block_comment,
  [614290] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5432), 1,
      anon_sym_RBRACK,
    ACTIONS(18544), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14848), 2,
      sym_comment,
      sym_block_comment,
  [614310] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18546), 1,
      anon_sym_COMMA,
    ACTIONS(18548), 1,
      anon_sym_RPAREN,
    STATE(15148), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14849), 2,
      sym_comment,
      sym_block_comment,
  [614330] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18552), 1,
      anon_sym_RBRACK,
    STATE(15003), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14850), 2,
      sym_comment,
      sym_block_comment,
  [614350] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18554), 1,
      anon_sym_COMMA,
    ACTIONS(18556), 1,
      anon_sym_RBRACK,
    STATE(14813), 1,
      aux_sym_type_parameters_repeat1,
    STATE(14851), 2,
      sym_comment,
      sym_block_comment,
  [614370] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18558), 1,
      anon_sym_COMMA,
    ACTIONS(18560), 1,
      anon_sym_RBRACK,
    STATE(14850), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14852), 2,
      sym_comment,
      sym_block_comment,
  [614390] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12902), 1,
      sym__arrow_then_type,
    ACTIONS(18562), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(14853), 2,
      sym_comment,
      sym_block_comment,
  [614408] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17195), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(18564), 1,
      sym__interpolated_multiline_string_end,
    STATE(14879), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(14854), 2,
      sym_comment,
      sym_block_comment,
  [614428] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18566), 1,
      anon_sym_COMMA,
    ACTIONS(18568), 1,
      anon_sym_RBRACK,
    STATE(14859), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14855), 2,
      sym_comment,
      sym_block_comment,
  [614448] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17157), 1,
      sym__interpolated_string_middle,
    ACTIONS(18564), 1,
      sym__interpolated_string_end,
    STATE(14882), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(14856), 2,
      sym_comment,
      sym_block_comment,
  [614468] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18570), 1,
      anon_sym_COMMA,
    ACTIONS(18572), 1,
      anon_sym_RBRACK,
    STATE(15003), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14857), 2,
      sym_comment,
      sym_block_comment,
  [614488] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5586), 1,
      anon_sym_RBRACK,
    ACTIONS(18574), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14858), 2,
      sym_comment,
      sym_block_comment,
  [614508] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5428), 1,
      anon_sym_RBRACK,
    ACTIONS(18576), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14859), 2,
      sym_comment,
      sym_block_comment,
  [614528] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18578), 1,
      anon_sym_COMMA,
    ACTIONS(18580), 1,
      anon_sym_RBRACK,
    STATE(14886), 1,
      aux_sym_type_parameters_repeat1,
    STATE(14860), 2,
      sym_comment,
      sym_block_comment,
  [614548] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18582), 1,
      anon_sym_COMMA,
    ACTIONS(18584), 1,
      anon_sym_RBRACK,
    STATE(14857), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14861), 2,
      sym_comment,
      sym_block_comment,
  [614568] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5408), 1,
      anon_sym_RPAREN,
    ACTIONS(18586), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14862), 2,
      sym_comment,
      sym_block_comment,
  [614588] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18588), 1,
      anon_sym_COMMA,
    ACTIONS(18590), 1,
      anon_sym_RPAREN,
    STATE(14960), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14863), 2,
      sym_comment,
      sym_block_comment,
  [614608] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18592), 1,
      anon_sym_COMMA,
    ACTIONS(18594), 1,
      anon_sym_RBRACK,
    STATE(14867), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14864), 2,
      sym_comment,
      sym_block_comment,
  [614628] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11381), 1,
      sym__arrow_then_type,
    ACTIONS(18596), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(14865), 2,
      sym_comment,
      sym_block_comment,
  [614646] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14866), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16934), 3,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_EQ,
  [614662] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5424), 1,
      anon_sym_RBRACK,
    ACTIONS(18598), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14867), 2,
      sym_comment,
      sym_block_comment,
  [614682] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18600), 1,
      anon_sym_COMMA,
    ACTIONS(18602), 1,
      anon_sym_RBRACK,
    STATE(15003), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14868), 2,
      sym_comment,
      sym_block_comment,
  [614702] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18604), 1,
      anon_sym_COMMA,
    ACTIONS(18606), 1,
      anon_sym_RBRACK,
    STATE(14858), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14869), 2,
      sym_comment,
      sym_block_comment,
  [614722] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18608), 1,
      anon_sym_COMMA,
    ACTIONS(18610), 1,
      anon_sym_RPAREN,
    STATE(15295), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14870), 2,
      sym_comment,
      sym_block_comment,
  [614742] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18612), 1,
      anon_sym_COMMA,
    ACTIONS(18614), 1,
      anon_sym_RBRACK,
    STATE(14874), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14871), 2,
      sym_comment,
      sym_block_comment,
  [614762] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18616), 1,
      anon_sym_COMMA,
    ACTIONS(18618), 1,
      anon_sym_RBRACK,
    STATE(14868), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14872), 2,
      sym_comment,
      sym_block_comment,
  [614782] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18620), 1,
      anon_sym_COMMA,
    ACTIONS(18622), 1,
      anon_sym_RPAREN,
    STATE(15448), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(14873), 2,
      sym_comment,
      sym_block_comment,
  [614802] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5420), 1,
      anon_sym_RBRACK,
    ACTIONS(18624), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14874), 2,
      sym_comment,
      sym_block_comment,
  [614822] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17157), 1,
      sym__interpolated_string_middle,
    ACTIONS(18626), 1,
      sym__interpolated_string_end,
    STATE(15476), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(14875), 2,
      sym_comment,
      sym_block_comment,
  [614842] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17195), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(18626), 1,
      sym__interpolated_multiline_string_end,
    STATE(15472), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(14876), 2,
      sym_comment,
      sym_block_comment,
  [614862] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18628), 1,
      anon_sym_COMMA,
    ACTIONS(18630), 1,
      anon_sym_RBRACK,
    STATE(14898), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14877), 2,
      sym_comment,
      sym_block_comment,
  [614882] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18632), 1,
      anon_sym_COMMA,
    ACTIONS(18634), 1,
      anon_sym_RBRACK,
    STATE(14881), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14878), 2,
      sym_comment,
      sym_block_comment,
  [614902] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17195), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(18636), 1,
      sym__interpolated_multiline_string_end,
    STATE(15472), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(14879), 2,
      sym_comment,
      sym_block_comment,
  [614922] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5546), 1,
      anon_sym_RBRACK,
    ACTIONS(18638), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14880), 2,
      sym_comment,
      sym_block_comment,
  [614942] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5400), 1,
      anon_sym_RBRACK,
    ACTIONS(18640), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14881), 2,
      sym_comment,
      sym_block_comment,
  [614962] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17157), 1,
      sym__interpolated_string_middle,
    ACTIONS(18636), 1,
      sym__interpolated_string_end,
    STATE(15476), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(14882), 2,
      sym_comment,
      sym_block_comment,
  [614982] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5904), 1,
      anon_sym_RPAREN,
    ACTIONS(18642), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14883), 2,
      sym_comment,
      sym_block_comment,
  [615002] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18644), 1,
      anon_sym_COMMA,
    ACTIONS(18646), 1,
      anon_sym_RBRACK,
    STATE(15003), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14884), 2,
      sym_comment,
      sym_block_comment,
  [615022] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18648), 1,
      anon_sym_COMMA,
    ACTIONS(18650), 1,
      anon_sym_RBRACK,
    STATE(14888), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14885), 2,
      sym_comment,
      sym_block_comment,
  [615042] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18652), 1,
      anon_sym_COMMA,
    ACTIONS(18654), 1,
      anon_sym_RBRACK,
    STATE(15343), 1,
      aux_sym_type_parameters_repeat1,
    STATE(14886), 2,
      sym_comment,
      sym_block_comment,
  [615062] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18656), 1,
      anon_sym_COMMA,
    ACTIONS(18658), 1,
      anon_sym_RBRACK,
    STATE(14884), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14887), 2,
      sym_comment,
      sym_block_comment,
  [615082] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5384), 1,
      anon_sym_RBRACK,
    ACTIONS(18660), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14888), 2,
      sym_comment,
      sym_block_comment,
  [615102] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5820), 1,
      anon_sym_RPAREN,
    ACTIONS(18662), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14889), 2,
      sym_comment,
      sym_block_comment,
  [615122] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18664), 1,
      anon_sym_COMMA,
    ACTIONS(18666), 1,
      anon_sym_RBRACK,
    STATE(14880), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14890), 2,
      sym_comment,
      sym_block_comment,
  [615142] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18668), 1,
      anon_sym_COMMA,
    ACTIONS(18670), 1,
      anon_sym_RBRACK,
    STATE(14893), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14891), 2,
      sym_comment,
      sym_block_comment,
  [615162] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18672), 1,
      anon_sym_COMMA,
    ACTIONS(18674), 1,
      anon_sym_RPAREN,
    STATE(14457), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14892), 2,
      sym_comment,
      sym_block_comment,
  [615182] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5378), 1,
      anon_sym_RBRACK,
    ACTIONS(18676), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14893), 2,
      sym_comment,
      sym_block_comment,
  [615202] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18678), 1,
      anon_sym_COMMA,
    ACTIONS(18680), 1,
      anon_sym_RBRACK,
    STATE(14812), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14894), 2,
      sym_comment,
      sym_block_comment,
  [615222] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18682), 1,
      anon_sym_COMMA,
    ACTIONS(18684), 1,
      anon_sym_RBRACK,
    STATE(14897), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14895), 2,
      sym_comment,
      sym_block_comment,
  [615242] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7498), 1,
      anon_sym_with,
    ACTIONS(8557), 1,
      anon_sym_LPAREN,
    STATE(16767), 1,
      sym_arguments,
    STATE(14896), 2,
      sym_comment,
      sym_block_comment,
  [615262] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5356), 1,
      anon_sym_RBRACK,
    ACTIONS(18686), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14897), 2,
      sym_comment,
      sym_block_comment,
  [615282] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5212), 1,
      anon_sym_RBRACK,
    ACTIONS(18688), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14898), 2,
      sym_comment,
      sym_block_comment,
  [615302] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18690), 1,
      anon_sym_COMMA,
    ACTIONS(18692), 1,
      anon_sym_RBRACK,
    STATE(14901), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14899), 2,
      sym_comment,
      sym_block_comment,
  [615322] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5524), 1,
      anon_sym_RBRACK,
    ACTIONS(18694), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14900), 2,
      sym_comment,
      sym_block_comment,
  [615342] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5352), 1,
      anon_sym_RBRACK,
    ACTIONS(18696), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14901), 2,
      sym_comment,
      sym_block_comment,
  [615362] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5894), 1,
      anon_sym_RPAREN,
    ACTIONS(18698), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14902), 2,
      sym_comment,
      sym_block_comment,
  [615382] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18700), 1,
      anon_sym_COMMA,
    ACTIONS(18702), 1,
      anon_sym_RBRACK,
    STATE(14905), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14903), 2,
      sym_comment,
      sym_block_comment,
  [615402] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4518), 1,
      sym__indent,
    STATE(6586), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(14904), 2,
      sym_comment,
      sym_block_comment,
  [615420] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5348), 1,
      anon_sym_RBRACK,
    ACTIONS(18704), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14905), 2,
      sym_comment,
      sym_block_comment,
  [615440] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14906), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(18706), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
  [615456] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18708), 1,
      anon_sym_COMMA,
    ACTIONS(18710), 1,
      anon_sym_RBRACK,
    STATE(14909), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14907), 2,
      sym_comment,
      sym_block_comment,
  [615476] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14908), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17181), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
  [615492] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5342), 1,
      anon_sym_RBRACK,
    ACTIONS(18712), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14909), 2,
      sym_comment,
      sym_block_comment,
  [615512] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16675), 1,
      anon_sym_case,
    STATE(14247), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(15703), 1,
      sym_type_case_clause,
    STATE(14910), 2,
      sym_comment,
      sym_block_comment,
  [615532] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18714), 1,
      anon_sym_COMMA,
    ACTIONS(18716), 1,
      anon_sym_RBRACK,
    STATE(14913), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14911), 2,
      sym_comment,
      sym_block_comment,
  [615552] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18718), 1,
      anon_sym_COMMA,
    ACTIONS(18720), 1,
      anon_sym_RBRACK,
    STATE(14900), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14912), 2,
      sym_comment,
      sym_block_comment,
  [615572] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5338), 1,
      anon_sym_RBRACK,
    ACTIONS(18722), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14913), 2,
      sym_comment,
      sym_block_comment,
  [615592] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18724), 1,
      anon_sym_COMMA,
    ACTIONS(18726), 1,
      anon_sym_RPAREN,
    STATE(15352), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14914), 2,
      sym_comment,
      sym_block_comment,
  [615612] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18728), 1,
      anon_sym_COMMA,
    ACTIONS(18730), 1,
      anon_sym_RBRACK,
    STATE(14917), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14915), 2,
      sym_comment,
      sym_block_comment,
  [615632] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15007), 1,
      anon_sym_LBRACK,
    ACTIONS(15560), 1,
      anon_sym_match,
    STATE(8342), 1,
      sym_type_arguments,
    STATE(14916), 2,
      sym_comment,
      sym_block_comment,
  [615652] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5308), 1,
      anon_sym_RBRACK,
    ACTIONS(18732), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14917), 2,
      sym_comment,
      sym_block_comment,
  [615672] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12988), 1,
      sym__arrow_then_type,
    ACTIONS(18734), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(14918), 2,
      sym_comment,
      sym_block_comment,
  [615690] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18736), 1,
      anon_sym_COMMA,
    ACTIONS(18738), 1,
      anon_sym_RBRACK,
    STATE(14921), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14919), 2,
      sym_comment,
      sym_block_comment,
  [615710] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15560), 1,
      anon_sym_match,
    ACTIONS(15938), 1,
      anon_sym_LBRACK,
    STATE(9982), 1,
      sym_type_arguments,
    STATE(14920), 2,
      sym_comment,
      sym_block_comment,
  [615730] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5300), 1,
      anon_sym_RBRACK,
    ACTIONS(18740), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14921), 2,
      sym_comment,
      sym_block_comment,
  [615750] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5466), 1,
      anon_sym_RBRACK,
    ACTIONS(18742), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14922), 2,
      sym_comment,
      sym_block_comment,
  [615770] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18744), 1,
      anon_sym_COMMA,
    ACTIONS(18746), 1,
      anon_sym_RBRACK,
    STATE(14925), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14923), 2,
      sym_comment,
      sym_block_comment,
  [615790] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5886), 1,
      anon_sym_RPAREN,
    ACTIONS(18748), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14924), 2,
      sym_comment,
      sym_block_comment,
  [615810] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5294), 1,
      anon_sym_RBRACK,
    ACTIONS(18750), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14925), 2,
      sym_comment,
      sym_block_comment,
  [615830] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18752), 1,
      anon_sym_COMMA,
    ACTIONS(18754), 1,
      anon_sym_RPAREN,
    STATE(14993), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14926), 2,
      sym_comment,
      sym_block_comment,
  [615850] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18756), 1,
      anon_sym_COMMA,
    ACTIONS(18758), 1,
      anon_sym_RBRACK,
    STATE(14929), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14927), 2,
      sym_comment,
      sym_block_comment,
  [615870] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17195), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(18760), 1,
      sym__interpolated_multiline_string_end,
    STATE(14954), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(14928), 2,
      sym_comment,
      sym_block_comment,
  [615890] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5290), 1,
      anon_sym_RBRACK,
    ACTIONS(18762), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14929), 2,
      sym_comment,
      sym_block_comment,
  [615910] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18764), 1,
      anon_sym_COMMA,
    ACTIONS(18766), 1,
      anon_sym_RBRACK,
    STATE(14922), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14930), 2,
      sym_comment,
      sym_block_comment,
  [615930] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18768), 1,
      anon_sym_COMMA,
    ACTIONS(18770), 1,
      anon_sym_RBRACK,
    STATE(14933), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14931), 2,
      sym_comment,
      sym_block_comment,
  [615950] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18772), 1,
      anon_sym_COMMA,
    ACTIONS(18774), 1,
      anon_sym_RPAREN,
    STATE(14493), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14932), 2,
      sym_comment,
      sym_block_comment,
  [615970] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5274), 1,
      anon_sym_RBRACK,
    ACTIONS(18776), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14933), 2,
      sym_comment,
      sym_block_comment,
  [615990] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17157), 1,
      sym__interpolated_string_middle,
    ACTIONS(18760), 1,
      sym__interpolated_string_end,
    STATE(14958), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(14934), 2,
      sym_comment,
      sym_block_comment,
  [616010] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18778), 1,
      anon_sym_COMMA,
    ACTIONS(18780), 1,
      anon_sym_RBRACK,
    STATE(14937), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14935), 2,
      sym_comment,
      sym_block_comment,
  [616030] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18782), 1,
      anon_sym_COMMA,
    ACTIONS(18784), 1,
      anon_sym_RBRACK,
    STATE(14959), 1,
      aux_sym_type_parameters_repeat1,
    STATE(14936), 2,
      sym_comment,
      sym_block_comment,
  [616050] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5270), 1,
      anon_sym_RBRACK,
    ACTIONS(18786), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14937), 2,
      sym_comment,
      sym_block_comment,
  [616070] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18788), 1,
      anon_sym_COMMA,
    ACTIONS(18790), 1,
      anon_sym_RPAREN,
    STATE(15043), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14938), 2,
      sym_comment,
      sym_block_comment,
  [616090] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18792), 1,
      anon_sym_COMMA,
    ACTIONS(18794), 1,
      anon_sym_RBRACK,
    STATE(14941), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14939), 2,
      sym_comment,
      sym_block_comment,
  [616110] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5392), 1,
      anon_sym_RBRACK,
    ACTIONS(18796), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14940), 2,
      sym_comment,
      sym_block_comment,
  [616130] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5262), 1,
      anon_sym_RBRACK,
    ACTIONS(18798), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14941), 2,
      sym_comment,
      sym_block_comment,
  [616150] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5854), 1,
      anon_sym_RPAREN,
    ACTIONS(18800), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14942), 2,
      sym_comment,
      sym_block_comment,
  [616170] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18802), 1,
      anon_sym_COMMA,
    ACTIONS(18804), 1,
      anon_sym_RBRACK,
    STATE(14945), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14943), 2,
      sym_comment,
      sym_block_comment,
  [616190] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14944), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17846), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
  [616206] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5258), 1,
      anon_sym_RBRACK,
    ACTIONS(18806), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14945), 2,
      sym_comment,
      sym_block_comment,
  [616226] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11326), 1,
      sym__arrow_then_type,
    ACTIONS(18808), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(14946), 2,
      sym_comment,
      sym_block_comment,
  [616244] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18810), 1,
      anon_sym_COMMA,
    ACTIONS(18812), 1,
      anon_sym_RBRACK,
    STATE(14949), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14947), 2,
      sym_comment,
      sym_block_comment,
  [616264] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17085), 1,
      anon_sym_EQ,
    ACTIONS(17083), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(14948), 2,
      sym_comment,
      sym_block_comment,
  [616282] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5250), 1,
      anon_sym_RBRACK,
    ACTIONS(18814), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14949), 2,
      sym_comment,
      sym_block_comment,
  [616302] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18816), 1,
      anon_sym_COMMA,
    ACTIONS(18818), 1,
      anon_sym_RBRACK,
    STATE(14940), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14950), 2,
      sym_comment,
      sym_block_comment,
  [616322] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18820), 1,
      anon_sym_COMMA,
    ACTIONS(18822), 1,
      anon_sym_RPAREN,
    STATE(14529), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14951), 2,
      sym_comment,
      sym_block_comment,
  [616342] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16675), 1,
      anon_sym_case,
    STATE(14196), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(15703), 1,
      sym_type_case_clause,
    STATE(14952), 2,
      sym_comment,
      sym_block_comment,
  [616362] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18824), 1,
      anon_sym_COMMA,
    ACTIONS(18826), 1,
      anon_sym_RBRACK,
    STATE(14963), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14953), 2,
      sym_comment,
      sym_block_comment,
  [616382] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17195), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(18828), 1,
      sym__interpolated_multiline_string_end,
    STATE(15472), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(14954), 2,
      sym_comment,
      sym_block_comment,
  [616402] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5360), 1,
      anon_sym_RBRACK,
    ACTIONS(18830), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14955), 2,
      sym_comment,
      sym_block_comment,
  [616422] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5264), 1,
      anon_sym_RPAREN,
    ACTIONS(18832), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14956), 2,
      sym_comment,
      sym_block_comment,
  [616442] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18834), 1,
      anon_sym_COMMA,
    ACTIONS(18836), 1,
      anon_sym_RBRACK,
    STATE(14955), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14957), 2,
      sym_comment,
      sym_block_comment,
  [616462] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17157), 1,
      sym__interpolated_string_middle,
    ACTIONS(18828), 1,
      sym__interpolated_string_end,
    STATE(15476), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(14958), 2,
      sym_comment,
      sym_block_comment,
  [616482] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18838), 1,
      anon_sym_COMMA,
    ACTIONS(18840), 1,
      anon_sym_RBRACK,
    STATE(15343), 1,
      aux_sym_type_parameters_repeat1,
    STATE(14959), 2,
      sym_comment,
      sym_block_comment,
  [616502] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5208), 1,
      anon_sym_RPAREN,
    ACTIONS(18842), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14960), 2,
      sym_comment,
      sym_block_comment,
  [616522] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18844), 1,
      anon_sym_COMMA,
    ACTIONS(18846), 1,
      anon_sym_RPAREN,
    STATE(15409), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14961), 2,
      sym_comment,
      sym_block_comment,
  [616542] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17157), 1,
      sym__interpolated_string_middle,
    ACTIONS(18848), 1,
      sym__interpolated_string_end,
    STATE(14875), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(14962), 2,
      sym_comment,
      sym_block_comment,
  [616562] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5226), 1,
      anon_sym_RBRACK,
    ACTIONS(18850), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14963), 2,
      sym_comment,
      sym_block_comment,
  [616582] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4434), 1,
      sym__indent,
    STATE(8249), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(14964), 2,
      sym_comment,
      sym_block_comment,
  [616600] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17195), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(18848), 1,
      sym__interpolated_multiline_string_end,
    STATE(14876), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(14965), 2,
      sym_comment,
      sym_block_comment,
  [616620] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18852), 1,
      anon_sym_COMMA,
    ACTIONS(18854), 1,
      anon_sym_RBRACK,
    STATE(14986), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14966), 2,
      sym_comment,
      sym_block_comment,
  [616640] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15367), 1,
      anon_sym_LBRACK,
    ACTIONS(15560), 1,
      anon_sym_match,
    STATE(9374), 1,
      sym_type_arguments,
    STATE(14967), 2,
      sym_comment,
      sym_block_comment,
  [616660] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14968), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16022), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
  [616676] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5318), 1,
      anon_sym_RBRACK,
    ACTIONS(18856), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14969), 2,
      sym_comment,
      sym_block_comment,
  [616696] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15588), 1,
      anon_sym_STAR,
    ACTIONS(18858), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(14970), 2,
      sym_comment,
      sym_block_comment,
  [616714] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5190), 1,
      anon_sym_RPAREN,
    ACTIONS(18860), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14971), 2,
      sym_comment,
      sym_block_comment,
  [616734] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17195), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(18862), 1,
      sym__interpolated_multiline_string_end,
    STATE(15472), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(14972), 2,
      sym_comment,
      sym_block_comment,
  [616754] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18864), 1,
      anon_sym_COMMA,
    ACTIONS(18866), 1,
      anon_sym_RPAREN,
    STATE(15169), 1,
      aux_sym_bindings_repeat1,
    STATE(14973), 2,
      sym_comment,
      sym_block_comment,
  [616774] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17195), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(18868), 1,
      sym__interpolated_multiline_string_end,
    STATE(14988), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(14974), 2,
      sym_comment,
      sym_block_comment,
  [616794] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18870), 1,
      anon_sym_COMMA,
    ACTIONS(18872), 1,
      anon_sym_RBRACK,
    STATE(14969), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14975), 2,
      sym_comment,
      sym_block_comment,
  [616814] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17157), 1,
      sym__interpolated_string_middle,
    ACTIONS(18868), 1,
      sym__interpolated_string_end,
    STATE(14990), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(14976), 2,
      sym_comment,
      sym_block_comment,
  [616834] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18874), 1,
      anon_sym_COMMA,
    ACTIONS(18876), 1,
      anon_sym_RPAREN,
    STATE(15190), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14977), 2,
      sym_comment,
      sym_block_comment,
  [616854] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18878), 1,
      anon_sym_COMMA,
    ACTIONS(18880), 1,
      anon_sym_RPAREN,
    STATE(14547), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14978), 2,
      sym_comment,
      sym_block_comment,
  [616874] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10783), 1,
      sym__arrow_then_type,
    ACTIONS(18882), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(14979), 2,
      sym_comment,
      sym_block_comment,
  [616892] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17157), 1,
      sym__interpolated_string_middle,
    ACTIONS(18862), 1,
      sym__interpolated_string_end,
    STATE(15476), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(14980), 2,
      sym_comment,
      sym_block_comment,
  [616912] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5944), 1,
      anon_sym_RPAREN,
    ACTIONS(18884), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14981), 2,
      sym_comment,
      sym_block_comment,
  [616932] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18886), 1,
      anon_sym_COMMA,
    ACTIONS(18888), 1,
      anon_sym_RPAREN,
    STATE(15448), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(14982), 2,
      sym_comment,
      sym_block_comment,
  [616952] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18858), 1,
      anon_sym_RPAREN,
    ACTIONS(18890), 1,
      anon_sym_COMMA,
    STATE(14983), 3,
      sym_comment,
      sym_block_comment,
      aux_sym__using_parameters_clause_repeat1,
  [616970] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15342), 1,
      anon_sym_LBRACK,
    ACTIONS(18893), 1,
      anon_sym_match,
    STATE(9572), 1,
      sym_type_arguments,
    STATE(14984), 2,
      sym_comment,
      sym_block_comment,
  [616990] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18895), 1,
      anon_sym_COMMA,
    ACTIONS(18897), 1,
      anon_sym_RBRACK,
    STATE(14998), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14985), 2,
      sym_comment,
      sym_block_comment,
  [617010] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5366), 1,
      anon_sym_RBRACK,
    ACTIONS(18899), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14986), 2,
      sym_comment,
      sym_block_comment,
  [617030] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5078), 1,
      anon_sym_RBRACK,
    ACTIONS(18901), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14987), 2,
      sym_comment,
      sym_block_comment,
  [617050] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17195), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(18903), 1,
      sym__interpolated_multiline_string_end,
    STATE(15472), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(14988), 2,
      sym_comment,
      sym_block_comment,
  [617070] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5156), 1,
      anon_sym_RPAREN,
    ACTIONS(18905), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14989), 2,
      sym_comment,
      sym_block_comment,
  [617090] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17157), 1,
      sym__interpolated_string_middle,
    ACTIONS(18903), 1,
      sym__interpolated_string_end,
    STATE(15476), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(14990), 2,
      sym_comment,
      sym_block_comment,
  [617110] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16675), 1,
      anon_sym_case,
    STATE(14282), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(15703), 1,
      sym_type_case_clause,
    STATE(14991), 2,
      sym_comment,
      sym_block_comment,
  [617130] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15342), 1,
      anon_sym_LBRACK,
    ACTIONS(18907), 1,
      anon_sym_match,
    STATE(9572), 1,
      sym_type_arguments,
    STATE(14992), 2,
      sym_comment,
      sym_block_comment,
  [617150] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5576), 1,
      anon_sym_RPAREN,
    ACTIONS(18909), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14993), 2,
      sym_comment,
      sym_block_comment,
  [617170] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18911), 1,
      anon_sym_COMMA,
    ACTIONS(18913), 1,
      anon_sym_RBRACK,
    STATE(14987), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14994), 2,
      sym_comment,
      sym_block_comment,
  [617190] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15588), 1,
      anon_sym_STAR,
    ACTIONS(18915), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(14995), 2,
      sym_comment,
      sym_block_comment,
  [617208] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14775), 1,
      anon_sym_LBRACK,
    ACTIONS(15560), 1,
      anon_sym_match,
    STATE(7992), 1,
      sym_type_arguments,
    STATE(14996), 2,
      sym_comment,
      sym_block_comment,
  [617228] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18918), 1,
      anon_sym_COMMA,
    ACTIONS(18920), 1,
      anon_sym_RPAREN,
    STATE(14583), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14997), 2,
      sym_comment,
      sym_block_comment,
  [617248] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5310), 1,
      anon_sym_RBRACK,
    ACTIONS(18922), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14998), 2,
      sym_comment,
      sym_block_comment,
  [617268] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8385), 1,
      sym__arrow_then_type,
    ACTIONS(18924), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(14999), 2,
      sym_comment,
      sym_block_comment,
  [617286] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18926), 1,
      anon_sym_COMMA,
    ACTIONS(18928), 1,
      anon_sym_RPAREN,
    STATE(15246), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15000), 2,
      sym_comment,
      sym_block_comment,
  [617306] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4362), 1,
      sym__indent,
    STATE(6303), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(15001), 2,
      sym_comment,
      sym_block_comment,
  [617324] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5630), 1,
      anon_sym_RBRACK,
    ACTIONS(18930), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15002), 2,
      sym_comment,
      sym_block_comment,
  [617344] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18932), 1,
      anon_sym_COMMA,
    ACTIONS(18935), 1,
      anon_sym_RBRACK,
    STATE(15003), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_type_lambda_repeat1,
  [617362] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4582), 1,
      sym__indent,
    STATE(9457), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(15004), 2,
      sym_comment,
      sym_block_comment,
  [617380] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15342), 1,
      anon_sym_LBRACK,
    ACTIONS(18937), 1,
      anon_sym_match,
    STATE(9572), 1,
      sym_type_arguments,
    STATE(15005), 2,
      sym_comment,
      sym_block_comment,
  [617400] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18939), 1,
      anon_sym_COMMA,
    ACTIONS(18941), 1,
      anon_sym_RPAREN,
    STATE(15448), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(15006), 2,
      sym_comment,
      sym_block_comment,
  [617420] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5230), 1,
      anon_sym_RBRACK,
    ACTIONS(18943), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15007), 2,
      sym_comment,
      sym_block_comment,
  [617440] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15560), 1,
      anon_sym_match,
    ACTIONS(15677), 1,
      anon_sym_LBRACK,
    STATE(9869), 1,
      sym_type_arguments,
    STATE(15008), 2,
      sym_comment,
      sym_block_comment,
  [617460] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11906), 1,
      anon_sym_COMMA,
    ACTIONS(18945), 1,
      anon_sym_COLON,
    STATE(15442), 1,
      aux_sym_val_declaration_repeat1,
    STATE(15009), 2,
      sym_comment,
      sym_block_comment,
  [617480] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5122), 1,
      anon_sym_RPAREN,
    ACTIONS(18947), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15010), 2,
      sym_comment,
      sym_block_comment,
  [617500] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11906), 1,
      anon_sym_COMMA,
    ACTIONS(18949), 1,
      anon_sym_COLON,
    STATE(15442), 1,
      aux_sym_val_declaration_repeat1,
    STATE(15011), 2,
      sym_comment,
      sym_block_comment,
  [617520] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15012), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16145), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
  [617536] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11906), 1,
      anon_sym_COMMA,
    ACTIONS(18951), 1,
      anon_sym_COLON,
    STATE(15442), 1,
      aux_sym_val_declaration_repeat1,
    STATE(15013), 2,
      sym_comment,
      sym_block_comment,
  [617556] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18953), 1,
      anon_sym_COMMA,
    ACTIONS(18955), 1,
      anon_sym_RBRACK,
    STATE(15052), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15014), 2,
      sym_comment,
      sym_block_comment,
  [617576] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11906), 1,
      anon_sym_COMMA,
    ACTIONS(18957), 1,
      anon_sym_COLON,
    STATE(15442), 1,
      aux_sym_val_declaration_repeat1,
    STATE(15015), 2,
      sym_comment,
      sym_block_comment,
  [617596] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17195), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(18959), 1,
      sym__interpolated_multiline_string_end,
    STATE(15232), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15016), 2,
      sym_comment,
      sym_block_comment,
  [617616] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18961), 1,
      anon_sym_COMMA,
    ACTIONS(18963), 1,
      anon_sym_RBRACK,
    STATE(15007), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15017), 2,
      sym_comment,
      sym_block_comment,
  [617636] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17157), 1,
      sym__interpolated_string_middle,
    ACTIONS(18959), 1,
      sym__interpolated_string_end,
    STATE(15236), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15018), 2,
      sym_comment,
      sym_block_comment,
  [617656] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6000), 1,
      anon_sym_RPAREN,
    ACTIONS(18965), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15019), 2,
      sym_comment,
      sym_block_comment,
  [617676] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18967), 1,
      anon_sym_COMMA,
    ACTIONS(18969), 1,
      anon_sym_RPAREN,
    STATE(14619), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15020), 2,
      sym_comment,
      sym_block_comment,
  [617696] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16669), 1,
      anon_sym_case,
    STATE(14180), 1,
      aux_sym_indented_cases_repeat1,
    STATE(15710), 1,
      sym_case_clause,
    STATE(15021), 2,
      sym_comment,
      sym_block_comment,
  [617716] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15022), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15923), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
  [617732] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16675), 1,
      anon_sym_case,
    STATE(14159), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(15703), 1,
      sym_type_case_clause,
    STATE(15023), 2,
      sym_comment,
      sym_block_comment,
  [617752] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17195), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(18971), 1,
      sym__interpolated_multiline_string_end,
    STATE(15041), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15024), 2,
      sym_comment,
      sym_block_comment,
  [617772] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17157), 1,
      sym__interpolated_string_middle,
    ACTIONS(18973), 1,
      sym__interpolated_string_end,
    STATE(15476), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15025), 2,
      sym_comment,
      sym_block_comment,
  [617792] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17157), 1,
      sym__interpolated_string_middle,
    ACTIONS(18971), 1,
      sym__interpolated_string_end,
    STATE(15042), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15026), 2,
      sym_comment,
      sym_block_comment,
  [617812] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16675), 1,
      anon_sym_case,
    STATE(14307), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(15703), 1,
      sym_type_case_clause,
    STATE(15027), 2,
      sym_comment,
      sym_block_comment,
  [617832] = 4,
    ACTIONS(17518), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18978), 1,
      anon_sym_STAR_SLASH,
    ACTIONS(18975), 2,
      anon_sym_SLASH_SLASH,
      aux_sym_block_comment_token1,
    STATE(15028), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_block_comment_repeat1,
  [617848] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18980), 1,
      anon_sym_LPAREN,
    ACTIONS(18982), 1,
      sym__automatic_semicolon,
    STATE(12804), 1,
      sym_class_parameters,
    STATE(15029), 2,
      sym_comment,
      sym_block_comment,
  [617868] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17195), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(18973), 1,
      sym__interpolated_multiline_string_end,
    STATE(15472), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15030), 2,
      sym_comment,
      sym_block_comment,
  [617888] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18984), 1,
      anon_sym_COMMA,
    ACTIONS(18986), 1,
      anon_sym_RPAREN,
    STATE(15242), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15031), 2,
      sym_comment,
      sym_block_comment,
  [617908] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18988), 1,
      anon_sym_COMMA,
    ACTIONS(18990), 1,
      anon_sym_RBRACK,
    STATE(15044), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15032), 2,
      sym_comment,
      sym_block_comment,
  [617928] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10568), 1,
      sym__arrow_then_type,
    ACTIONS(18992), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15033), 2,
      sym_comment,
      sym_block_comment,
  [617946] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18994), 1,
      anon_sym_COMMA,
    ACTIONS(18996), 1,
      anon_sym_RPAREN,
    STATE(15448), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(15034), 2,
      sym_comment,
      sym_block_comment,
  [617966] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5200), 1,
      anon_sym_RBRACK,
    ACTIONS(18998), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15035), 2,
      sym_comment,
      sym_block_comment,
  [617986] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15780), 1,
      anon_sym_COLON,
    ACTIONS(15782), 1,
      anon_sym_LBRACE,
    STATE(13992), 1,
      sym_enum_body,
    STATE(15036), 2,
      sym_comment,
      sym_block_comment,
  [618006] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5832), 1,
      anon_sym_RPAREN,
    ACTIONS(19000), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15037), 2,
      sym_comment,
      sym_block_comment,
  [618026] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5880), 1,
      anon_sym_RPAREN,
    ACTIONS(19002), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15038), 2,
      sym_comment,
      sym_block_comment,
  [618046] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19004), 1,
      anon_sym_COMMA,
    ACTIONS(19006), 1,
      anon_sym_RBRACK,
    STATE(15050), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15039), 2,
      sym_comment,
      sym_block_comment,
  [618066] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19008), 1,
      anon_sym_COMMA,
    ACTIONS(19010), 1,
      anon_sym_RBRACK,
    STATE(15035), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15040), 2,
      sym_comment,
      sym_block_comment,
  [618086] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17195), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(19012), 1,
      sym__interpolated_multiline_string_end,
    STATE(15472), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15041), 2,
      sym_comment,
      sym_block_comment,
  [618106] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17157), 1,
      sym__interpolated_string_middle,
    ACTIONS(19012), 1,
      sym__interpolated_string_end,
    STATE(15476), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15042), 2,
      sym_comment,
      sym_block_comment,
  [618126] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5222), 1,
      anon_sym_RPAREN,
    ACTIONS(19014), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15043), 2,
      sym_comment,
      sym_block_comment,
  [618146] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19016), 1,
      anon_sym_COMMA,
    ACTIONS(19018), 1,
      anon_sym_RBRACK,
    STATE(15003), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15044), 2,
      sym_comment,
      sym_block_comment,
  [618166] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16675), 1,
      anon_sym_case,
    STATE(14256), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(15703), 1,
      sym_type_case_clause,
    STATE(15045), 2,
      sym_comment,
      sym_block_comment,
  [618186] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19020), 1,
      anon_sym_COMMA,
    ACTIONS(19022), 1,
      anon_sym_RPAREN,
    STATE(15458), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15046), 2,
      sym_comment,
      sym_block_comment,
  [618206] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11966), 1,
      anon_sym_RBRACE,
    ACTIONS(19024), 1,
      anon_sym_COMMA,
    STATE(14405), 1,
      aux_sym_namespace_selectors_repeat1,
    STATE(15047), 2,
      sym_comment,
      sym_block_comment,
  [618226] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15048), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(19026), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [618242] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19028), 1,
      anon_sym_COMMA,
    ACTIONS(19030), 1,
      anon_sym_RBRACK,
    STATE(15002), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15049), 2,
      sym_comment,
      sym_block_comment,
  [618262] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5386), 1,
      anon_sym_RBRACK,
    ACTIONS(19032), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15050), 2,
      sym_comment,
      sym_block_comment,
  [618282] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15051), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(19034), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [618298] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5326), 1,
      anon_sym_RBRACK,
    ACTIONS(19036), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15052), 2,
      sym_comment,
      sym_block_comment,
  [618318] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4656), 1,
      sym__indent,
    STATE(9918), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(15053), 2,
      sym_comment,
      sym_block_comment,
  [618336] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16669), 1,
      anon_sym_case,
    STATE(14049), 1,
      aux_sym_indented_cases_repeat1,
    STATE(15710), 1,
      sym_case_clause,
    STATE(15054), 2,
      sym_comment,
      sym_block_comment,
  [618356] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15055), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15447), 3,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
  [618372] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15560), 1,
      anon_sym_match,
    ACTIONS(19038), 1,
      anon_sym_LBRACK,
    STATE(10344), 1,
      sym_type_arguments,
    STATE(15056), 2,
      sym_comment,
      sym_block_comment,
  [618392] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19040), 1,
      anon_sym_COMMA,
    ACTIONS(19042), 1,
      anon_sym_RPAREN,
    STATE(15448), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(15057), 2,
      sym_comment,
      sym_block_comment,
  [618412] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5152), 1,
      anon_sym_RBRACK,
    ACTIONS(19044), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15058), 2,
      sym_comment,
      sym_block_comment,
  [618432] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15342), 1,
      anon_sym_LBRACK,
    ACTIONS(19046), 1,
      anon_sym_match,
    STATE(9572), 1,
      sym_type_arguments,
    STATE(15059), 2,
      sym_comment,
      sym_block_comment,
  [618452] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5092), 1,
      anon_sym_RPAREN,
    ACTIONS(19048), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15060), 2,
      sym_comment,
      sym_block_comment,
  [618472] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17195), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(19050), 1,
      sym__interpolated_multiline_string_end,
    STATE(15103), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15061), 2,
      sym_comment,
      sym_block_comment,
  [618492] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17157), 1,
      sym__interpolated_string_middle,
    ACTIONS(19050), 1,
      sym__interpolated_string_end,
    STATE(15107), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15062), 2,
      sym_comment,
      sym_block_comment,
  [618512] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19052), 1,
      anon_sym_COMMA,
    ACTIONS(19054), 1,
      anon_sym_RBRACK,
    STATE(15058), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15063), 2,
      sym_comment,
      sym_block_comment,
  [618532] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15064), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16145), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [618548] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19056), 1,
      anon_sym_COMMA,
    ACTIONS(19058), 1,
      anon_sym_RPAREN,
    STATE(15276), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15065), 2,
      sym_comment,
      sym_block_comment,
  [618568] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19060), 1,
      anon_sym_COMMA,
    ACTIONS(19062), 1,
      anon_sym_RPAREN,
    STATE(14655), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15066), 2,
      sym_comment,
      sym_block_comment,
  [618588] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10783), 1,
      sym__arrow_then_type,
    ACTIONS(19064), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15067), 2,
      sym_comment,
      sym_block_comment,
  [618606] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12603), 1,
      sym__arrow_then_type,
    ACTIONS(19066), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15068), 2,
      sym_comment,
      sym_block_comment,
  [618624] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19068), 1,
      anon_sym_COMMA,
    ACTIONS(19070), 1,
      anon_sym_RPAREN,
    STATE(15219), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15069), 2,
      sym_comment,
      sym_block_comment,
  [618644] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19072), 1,
      anon_sym_COMMA,
    ACTIONS(19074), 1,
      anon_sym_RPAREN,
    STATE(15381), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15070), 2,
      sym_comment,
      sym_block_comment,
  [618664] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17157), 1,
      sym__interpolated_string_middle,
    ACTIONS(19076), 1,
      sym__interpolated_string_end,
    STATE(15025), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15071), 2,
      sym_comment,
      sym_block_comment,
  [618684] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15072), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15923), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [618700] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19078), 1,
      anon_sym_COMMA,
    ACTIONS(19080), 1,
      anon_sym_RBRACK,
    STATE(15309), 1,
      aux_sym_type_parameters_repeat1,
    STATE(15073), 2,
      sym_comment,
      sym_block_comment,
  [618720] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19082), 1,
      anon_sym_COMMA,
    ACTIONS(19084), 1,
      anon_sym_RBRACK,
    STATE(15106), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15074), 2,
      sym_comment,
      sym_block_comment,
  [618740] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17195), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(19076), 1,
      sym__interpolated_multiline_string_end,
    STATE(15030), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15075), 2,
      sym_comment,
      sym_block_comment,
  [618760] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12993), 1,
      anon_sym_LBRACK,
    ACTIONS(15560), 1,
      anon_sym_match,
    STATE(6475), 1,
      sym_type_arguments,
    STATE(15076), 2,
      sym_comment,
      sym_block_comment,
  [618780] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5404), 1,
      anon_sym_RPAREN,
    ACTIONS(19086), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15077), 2,
      sym_comment,
      sym_block_comment,
  [618800] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10783), 1,
      sym__arrow_then_type,
    ACTIONS(19088), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15078), 2,
      sym_comment,
      sym_block_comment,
  [618818] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5110), 1,
      anon_sym_RBRACK,
    ACTIONS(19090), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15079), 2,
      sym_comment,
      sym_block_comment,
  [618838] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15080), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(18706), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [618854] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5786), 1,
      anon_sym_RPAREN,
    ACTIONS(19092), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15081), 2,
      sym_comment,
      sym_block_comment,
  [618874] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11381), 1,
      sym__arrow_then_type,
    ACTIONS(19094), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15082), 2,
      sym_comment,
      sym_block_comment,
  [618892] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11326), 1,
      sym__arrow_then_type,
    ACTIONS(19096), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15083), 2,
      sym_comment,
      sym_block_comment,
  [618910] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12755), 1,
      sym__arrow_then_type,
    ACTIONS(19098), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15084), 2,
      sym_comment,
      sym_block_comment,
  [618928] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12507), 1,
      sym__arrow_then_type,
    ACTIONS(19100), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15085), 2,
      sym_comment,
      sym_block_comment,
  [618946] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11401), 1,
      sym__arrow_then_type,
    ACTIONS(19102), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15086), 2,
      sym_comment,
      sym_block_comment,
  [618964] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12642), 1,
      sym__arrow_then_type,
    ACTIONS(19104), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15087), 2,
      sym_comment,
      sym_block_comment,
  [618982] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12813), 1,
      sym__arrow_then_type,
    ACTIONS(19106), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15088), 2,
      sym_comment,
      sym_block_comment,
  [619000] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11033), 1,
      sym__arrow_then_type,
    ACTIONS(19108), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15089), 2,
      sym_comment,
      sym_block_comment,
  [619018] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11663), 1,
      sym__arrow_then_type,
    ACTIONS(19110), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15090), 2,
      sym_comment,
      sym_block_comment,
  [619036] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12226), 1,
      sym__arrow_then_type,
    ACTIONS(19112), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15091), 2,
      sym_comment,
      sym_block_comment,
  [619054] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13232), 1,
      sym__arrow_then_type,
    ACTIONS(19114), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15092), 2,
      sym_comment,
      sym_block_comment,
  [619072] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13095), 1,
      sym__arrow_then_type,
    ACTIONS(19116), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15093), 2,
      sym_comment,
      sym_block_comment,
  [619090] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12603), 1,
      sym__arrow_then_type,
    ACTIONS(19118), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15094), 2,
      sym_comment,
      sym_block_comment,
  [619108] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12988), 1,
      sym__arrow_then_type,
    ACTIONS(19120), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15095), 2,
      sym_comment,
      sym_block_comment,
  [619126] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11170), 1,
      sym__arrow_then_type,
    ACTIONS(19122), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15096), 2,
      sym_comment,
      sym_block_comment,
  [619144] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12555), 1,
      sym__arrow_then_type,
    ACTIONS(19124), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15097), 2,
      sym_comment,
      sym_block_comment,
  [619162] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12902), 1,
      sym__arrow_then_type,
    ACTIONS(19126), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15098), 2,
      sym_comment,
      sym_block_comment,
  [619180] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12157), 1,
      anon_sym_RPAREN,
    ACTIONS(19128), 1,
      anon_sym_COMMA,
    STATE(15330), 1,
      aux_sym_parameters_repeat1,
    STATE(15099), 2,
      sym_comment,
      sym_block_comment,
  [619200] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19130), 1,
      anon_sym_COMMA,
    ACTIONS(19132), 1,
      anon_sym_RPAREN,
    STATE(15332), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15100), 2,
      sym_comment,
      sym_block_comment,
  [619220] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19134), 1,
      anon_sym_COMMA,
    ACTIONS(19136), 1,
      anon_sym_RBRACK,
    STATE(15079), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15101), 2,
      sym_comment,
      sym_block_comment,
  [619240] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19138), 1,
      anon_sym_COMMA,
    ACTIONS(19140), 1,
      anon_sym_RBRACK,
    STATE(15112), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15102), 2,
      sym_comment,
      sym_block_comment,
  [619260] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17195), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(19142), 1,
      sym__interpolated_multiline_string_end,
    STATE(15472), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15103), 2,
      sym_comment,
      sym_block_comment,
  [619280] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19144), 1,
      anon_sym_COMMA,
    ACTIONS(19146), 1,
      anon_sym_RPAREN,
    STATE(15400), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15104), 2,
      sym_comment,
      sym_block_comment,
  [619300] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8385), 1,
      sym__arrow_then_type,
    ACTIONS(19148), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15105), 2,
      sym_comment,
      sym_block_comment,
  [619318] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5282), 1,
      anon_sym_RBRACK,
    ACTIONS(19150), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15106), 2,
      sym_comment,
      sym_block_comment,
  [619338] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17157), 1,
      sym__interpolated_string_middle,
    ACTIONS(19142), 1,
      sym__interpolated_string_end,
    STATE(15476), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15107), 2,
      sym_comment,
      sym_block_comment,
  [619358] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4400), 1,
      sym__indent,
    STATE(9502), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(15108), 2,
      sym_comment,
      sym_block_comment,
  [619376] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5416), 1,
      anon_sym_RPAREN,
    ACTIONS(19152), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15109), 2,
      sym_comment,
      sym_block_comment,
  [619396] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19154), 1,
      anon_sym_COMMA,
    ACTIONS(19157), 1,
      anon_sym_RPAREN,
    STATE(15110), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_class_parameters_repeat1,
  [619414] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16675), 1,
      anon_sym_case,
    STATE(14241), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(15703), 1,
      sym_type_case_clause,
    STATE(15111), 2,
      sym_comment,
      sym_block_comment,
  [619434] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5442), 1,
      anon_sym_RBRACK,
    ACTIONS(19159), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15112), 2,
      sym_comment,
      sym_block_comment,
  [619454] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4210), 1,
      sym__indent,
    STATE(6767), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(15113), 2,
      sym_comment,
      sym_block_comment,
  [619472] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15114), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14652), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
  [619488] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5688), 1,
      anon_sym_RBRACK,
    ACTIONS(19161), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15115), 2,
      sym_comment,
      sym_block_comment,
  [619508] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5088), 1,
      anon_sym_RBRACK,
    ACTIONS(19163), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15116), 2,
      sym_comment,
      sym_block_comment,
  [619528] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16924), 1,
      anon_sym_EQ,
    ACTIONS(16922), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(15117), 2,
      sym_comment,
      sym_block_comment,
  [619546] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14436), 1,
      anon_sym_LBRACK,
    ACTIONS(15560), 1,
      anon_sym_match,
    STATE(6887), 1,
      sym_type_arguments,
    STATE(15118), 2,
      sym_comment,
      sym_block_comment,
  [619566] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5104), 1,
      anon_sym_RPAREN,
    ACTIONS(19165), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15119), 2,
      sym_comment,
      sym_block_comment,
  [619586] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7644), 1,
      anon_sym_RPAREN,
    ACTIONS(18350), 1,
      anon_sym_COMMA,
    STATE(15110), 1,
      aux_sym_class_parameters_repeat1,
    STATE(15120), 2,
      sym_comment,
      sym_block_comment,
  [619606] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16669), 1,
      anon_sym_case,
    STATE(14356), 1,
      aux_sym_indented_cases_repeat1,
    STATE(15710), 1,
      sym_case_clause,
    STATE(15121), 2,
      sym_comment,
      sym_block_comment,
  [619626] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19167), 1,
      anon_sym_COMMA,
    ACTIONS(19169), 1,
      anon_sym_RBRACK,
    STATE(15116), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15122), 2,
      sym_comment,
      sym_block_comment,
  [619646] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6048), 1,
      anon_sym_RPAREN,
    ACTIONS(19171), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15123), 2,
      sym_comment,
      sym_block_comment,
  [619666] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19173), 1,
      anon_sym_COMMA,
    ACTIONS(19175), 1,
      anon_sym_RPAREN,
    STATE(15163), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15124), 2,
      sym_comment,
      sym_block_comment,
  [619686] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19177), 1,
      anon_sym_COMMA,
    ACTIONS(19179), 1,
      anon_sym_RPAREN,
    STATE(15342), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15125), 2,
      sym_comment,
      sym_block_comment,
  [619706] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15342), 1,
      anon_sym_LBRACK,
    ACTIONS(19181), 1,
      anon_sym_match,
    STATE(9572), 1,
      sym_type_arguments,
    STATE(15126), 2,
      sym_comment,
      sym_block_comment,
  [619726] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7610), 1,
      anon_sym_RPAREN,
    ACTIONS(19183), 1,
      anon_sym_COMMA,
    STATE(15110), 1,
      aux_sym_class_parameters_repeat1,
    STATE(15127), 2,
      sym_comment,
      sym_block_comment,
  [619746] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7610), 1,
      anon_sym_RPAREN,
    ACTIONS(19183), 1,
      anon_sym_COMMA,
    STATE(14736), 1,
      aux_sym_class_parameters_repeat1,
    STATE(15128), 2,
      sym_comment,
      sym_block_comment,
  [619766] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17195), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(19185), 1,
      sym__interpolated_multiline_string_end,
    STATE(15142), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15129), 2,
      sym_comment,
      sym_block_comment,
  [619786] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17157), 1,
      sym__interpolated_string_middle,
    ACTIONS(19187), 1,
      sym__interpolated_string_end,
    STATE(15476), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15130), 2,
      sym_comment,
      sym_block_comment,
  [619806] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15342), 1,
      anon_sym_LBRACK,
    ACTIONS(19189), 1,
      anon_sym_match,
    STATE(9572), 1,
      sym_type_arguments,
    STATE(15131), 2,
      sym_comment,
      sym_block_comment,
  [619826] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17157), 1,
      sym__interpolated_string_middle,
    ACTIONS(19185), 1,
      sym__interpolated_string_end,
    STATE(15144), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15132), 2,
      sym_comment,
      sym_block_comment,
  [619846] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19191), 1,
      anon_sym_COMMA,
    ACTIONS(19193), 1,
      anon_sym_RPAREN,
    STATE(15361), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15133), 2,
      sym_comment,
      sym_block_comment,
  [619866] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10536), 1,
      sym__arrow_then_type,
    ACTIONS(19195), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15134), 2,
      sym_comment,
      sym_block_comment,
  [619884] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5112), 1,
      anon_sym_RBRACK,
    ACTIONS(19197), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15135), 2,
      sym_comment,
      sym_block_comment,
  [619904] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19199), 1,
      anon_sym_COMMA,
    ACTIONS(19201), 1,
      anon_sym_RPAREN,
    STATE(15448), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(15136), 2,
      sym_comment,
      sym_block_comment,
  [619924] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5698), 1,
      anon_sym_RPAREN,
    ACTIONS(19203), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15137), 2,
      sym_comment,
      sym_block_comment,
  [619944] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19205), 1,
      anon_sym_COMMA,
    ACTIONS(19207), 1,
      anon_sym_RPAREN,
    STATE(15448), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(15138), 2,
      sym_comment,
      sym_block_comment,
  [619964] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19209), 1,
      anon_sym_COMMA,
    ACTIONS(19211), 1,
      anon_sym_RBRACK,
    STATE(15154), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15139), 2,
      sym_comment,
      sym_block_comment,
  [619984] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19213), 1,
      anon_sym_COMMA,
    ACTIONS(19215), 1,
      anon_sym_RBRACK,
    STATE(15135), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15140), 2,
      sym_comment,
      sym_block_comment,
  [620004] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19217), 1,
      anon_sym_COMMA,
    ACTIONS(19219), 1,
      anon_sym_RBRACK,
    STATE(15151), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15141), 2,
      sym_comment,
      sym_block_comment,
  [620024] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17195), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(19221), 1,
      sym__interpolated_multiline_string_end,
    STATE(15472), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15142), 2,
      sym_comment,
      sym_block_comment,
  [620044] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19223), 1,
      anon_sym_COMMA,
    ACTIONS(19225), 1,
      anon_sym_RPAREN,
    STATE(15297), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15143), 2,
      sym_comment,
      sym_block_comment,
  [620064] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17157), 1,
      sym__interpolated_string_middle,
    ACTIONS(19221), 1,
      sym__interpolated_string_end,
    STATE(15476), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15144), 2,
      sym_comment,
      sym_block_comment,
  [620084] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17195), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(19187), 1,
      sym__interpolated_multiline_string_end,
    STATE(15472), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15145), 2,
      sym_comment,
      sym_block_comment,
  [620104] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19227), 1,
      anon_sym_COMMA,
    ACTIONS(19229), 1,
      anon_sym_RBRACK,
    STATE(15115), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15146), 2,
      sym_comment,
      sym_block_comment,
  [620124] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16669), 1,
      anon_sym_case,
    STATE(14235), 1,
      aux_sym_indented_cases_repeat1,
    STATE(15710), 1,
      sym_case_clause,
    STATE(15147), 2,
      sym_comment,
      sym_block_comment,
  [620144] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5370), 1,
      anon_sym_RPAREN,
    ACTIONS(19231), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15148), 2,
      sym_comment,
      sym_block_comment,
  [620164] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5242), 1,
      anon_sym_RPAREN,
    ACTIONS(19233), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15149), 2,
      sym_comment,
      sym_block_comment,
  [620184] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15780), 1,
      anon_sym_COLON,
    ACTIONS(15782), 1,
      anon_sym_LBRACE,
    STATE(13805), 1,
      sym_enum_body,
    STATE(15150), 2,
      sym_comment,
      sym_block_comment,
  [620204] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5516), 1,
      anon_sym_RBRACK,
    ACTIONS(19235), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15151), 2,
      sym_comment,
      sym_block_comment,
  [620224] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4714), 1,
      sym__indent,
    STATE(8332), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(15152), 2,
      sym_comment,
      sym_block_comment,
  [620242] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14940), 1,
      anon_sym_LBRACK,
    ACTIONS(15560), 1,
      anon_sym_match,
    STATE(8256), 1,
      sym_type_arguments,
    STATE(15153), 2,
      sym_comment,
      sym_block_comment,
  [620262] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5236), 1,
      anon_sym_RBRACK,
    ACTIONS(19237), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15154), 2,
      sym_comment,
      sym_block_comment,
  [620282] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19239), 1,
      anon_sym_COMMA,
    ACTIONS(19241), 1,
      anon_sym_RBRACK,
    STATE(15160), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15155), 2,
      sym_comment,
      sym_block_comment,
  [620302] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19243), 1,
      anon_sym_COMMA,
    ACTIONS(19245), 1,
      anon_sym_RPAREN,
    STATE(15448), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(15156), 2,
      sym_comment,
      sym_block_comment,
  [620322] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5154), 1,
      anon_sym_RBRACK,
    ACTIONS(19247), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15157), 2,
      sym_comment,
      sym_block_comment,
  [620342] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17195), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(19249), 1,
      sym__interpolated_multiline_string_end,
    STATE(15185), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15158), 2,
      sym_comment,
      sym_block_comment,
  [620362] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17157), 1,
      sym__interpolated_string_middle,
    ACTIONS(19249), 1,
      sym__interpolated_string_end,
    STATE(15187), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15159), 2,
      sym_comment,
      sym_block_comment,
  [620382] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19251), 1,
      anon_sym_COMMA,
    ACTIONS(19253), 1,
      anon_sym_RBRACK,
    STATE(15003), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15160), 2,
      sym_comment,
      sym_block_comment,
  [620402] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16675), 1,
      anon_sym_case,
    STATE(14322), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(15703), 1,
      sym_type_case_clause,
    STATE(15161), 2,
      sym_comment,
      sym_block_comment,
  [620422] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19255), 1,
      anon_sym_COMMA,
    ACTIONS(19257), 1,
      anon_sym_RPAREN,
    STATE(15394), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15162), 2,
      sym_comment,
      sym_block_comment,
  [620442] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5240), 1,
      anon_sym_RPAREN,
    ACTIONS(19259), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15163), 2,
      sym_comment,
      sym_block_comment,
  [620462] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(17509), 1,
      sym__arrow_then_type,
    ACTIONS(19261), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15164), 2,
      sym_comment,
      sym_block_comment,
  [620480] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19263), 1,
      anon_sym_COMMA,
    ACTIONS(19265), 1,
      anon_sym_RPAREN,
    STATE(15448), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(15165), 2,
      sym_comment,
      sym_block_comment,
  [620500] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19267), 1,
      anon_sym_COMMA,
    ACTIONS(19269), 1,
      anon_sym_RPAREN,
    STATE(15448), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(15166), 2,
      sym_comment,
      sym_block_comment,
  [620520] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13095), 1,
      sym__arrow_then_type,
    ACTIONS(19271), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15167), 2,
      sym_comment,
      sym_block_comment,
  [620538] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19273), 1,
      anon_sym_COMMA,
    ACTIONS(19275), 1,
      anon_sym_RBRACK,
    STATE(15157), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15168), 2,
      sym_comment,
      sym_block_comment,
  [620558] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12541), 1,
      anon_sym_RPAREN,
    ACTIONS(19277), 1,
      anon_sym_COMMA,
    STATE(15433), 1,
      aux_sym_bindings_repeat1,
    STATE(15169), 2,
      sym_comment,
      sym_block_comment,
  [620578] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10783), 1,
      sym__arrow_then_type,
    ACTIONS(19279), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15170), 2,
      sym_comment,
      sym_block_comment,
  [620596] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11381), 1,
      sym__arrow_then_type,
    ACTIONS(19281), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15171), 2,
      sym_comment,
      sym_block_comment,
  [620614] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11326), 1,
      sym__arrow_then_type,
    ACTIONS(19283), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15172), 2,
      sym_comment,
      sym_block_comment,
  [620632] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12507), 1,
      sym__arrow_then_type,
    ACTIONS(19285), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15173), 2,
      sym_comment,
      sym_block_comment,
  [620650] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11401), 1,
      sym__arrow_then_type,
    ACTIONS(19287), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15174), 2,
      sym_comment,
      sym_block_comment,
  [620668] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11033), 1,
      sym__arrow_then_type,
    ACTIONS(19289), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15175), 2,
      sym_comment,
      sym_block_comment,
  [620686] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11663), 1,
      sym__arrow_then_type,
    ACTIONS(19291), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15176), 2,
      sym_comment,
      sym_block_comment,
  [620704] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11170), 1,
      sym__arrow_then_type,
    ACTIONS(19293), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15177), 2,
      sym_comment,
      sym_block_comment,
  [620722] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19295), 1,
      anon_sym_COMMA,
    ACTIONS(19297), 1,
      anon_sym_RPAREN,
    STATE(15431), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15178), 2,
      sym_comment,
      sym_block_comment,
  [620742] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19299), 1,
      anon_sym_COMMA,
    ACTIONS(19301), 1,
      anon_sym_RPAREN,
    STATE(15220), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15179), 2,
      sym_comment,
      sym_block_comment,
  [620762] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15180), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16722), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [620778] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17157), 1,
      sym__interpolated_string_middle,
    ACTIONS(19303), 1,
      sym__interpolated_string_end,
    STATE(15130), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15181), 2,
      sym_comment,
      sym_block_comment,
  [620798] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17195), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(19303), 1,
      sym__interpolated_multiline_string_end,
    STATE(15145), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15182), 2,
      sym_comment,
      sym_block_comment,
  [620818] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16675), 1,
      anon_sym_case,
    STATE(14112), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(15703), 1,
      sym_type_case_clause,
    STATE(15183), 2,
      sym_comment,
      sym_block_comment,
  [620838] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19305), 1,
      anon_sym_COMMA,
    ACTIONS(19307), 1,
      anon_sym_RBRACK,
    STATE(15199), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15184), 2,
      sym_comment,
      sym_block_comment,
  [620858] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17195), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(19309), 1,
      sym__interpolated_multiline_string_end,
    STATE(15472), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15185), 2,
      sym_comment,
      sym_block_comment,
  [620878] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15365), 1,
      anon_sym_LBRACK,
    ACTIONS(15560), 1,
      anon_sym_match,
    STATE(9342), 1,
      sym_type_arguments,
    STATE(15186), 2,
      sym_comment,
      sym_block_comment,
  [620898] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17157), 1,
      sym__interpolated_string_middle,
    ACTIONS(19309), 1,
      sym__interpolated_string_end,
    STATE(15476), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15187), 2,
      sym_comment,
      sym_block_comment,
  [620918] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11906), 1,
      anon_sym_COMMA,
    ACTIONS(19311), 1,
      anon_sym_COLON,
    STATE(15442), 1,
      aux_sym_val_declaration_repeat1,
    STATE(15188), 2,
      sym_comment,
      sym_block_comment,
  [620938] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15189), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16425), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
  [620954] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5302), 1,
      anon_sym_RPAREN,
    ACTIONS(19313), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15190), 2,
      sym_comment,
      sym_block_comment,
  [620974] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5238), 1,
      anon_sym_RBRACK,
    ACTIONS(19315), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15191), 2,
      sym_comment,
      sym_block_comment,
  [620994] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11906), 1,
      anon_sym_COMMA,
    ACTIONS(19317), 1,
      anon_sym_COLON,
    STATE(15442), 1,
      aux_sym_val_declaration_repeat1,
    STATE(15192), 2,
      sym_comment,
      sym_block_comment,
  [621014] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5654), 1,
      anon_sym_RPAREN,
    ACTIONS(19319), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15193), 2,
      sym_comment,
      sym_block_comment,
  [621034] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11906), 1,
      anon_sym_COMMA,
    ACTIONS(19321), 1,
      anon_sym_COLON,
    STATE(15442), 1,
      aux_sym_val_declaration_repeat1,
    STATE(15194), 2,
      sym_comment,
      sym_block_comment,
  [621054] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11906), 1,
      anon_sym_COMMA,
    ACTIONS(19323), 1,
      anon_sym_COLON,
    STATE(15442), 1,
      aux_sym_val_declaration_repeat1,
    STATE(15195), 2,
      sym_comment,
      sym_block_comment,
  [621074] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19325), 1,
      anon_sym_COMMA,
    ACTIONS(19327), 1,
      anon_sym_RBRACK,
    STATE(15191), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15196), 2,
      sym_comment,
      sym_block_comment,
  [621094] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15342), 1,
      anon_sym_LBRACK,
    ACTIONS(19329), 1,
      anon_sym_match,
    STATE(9572), 1,
      sym_type_arguments,
    STATE(15197), 2,
      sym_comment,
      sym_block_comment,
  [621114] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19331), 1,
      anon_sym_COMMA,
    ACTIONS(19333), 1,
      anon_sym_RPAREN,
    STATE(15329), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15198), 2,
      sym_comment,
      sym_block_comment,
  [621134] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5578), 1,
      anon_sym_RBRACK,
    ACTIONS(19335), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15199), 2,
      sym_comment,
      sym_block_comment,
  [621154] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19337), 1,
      anon_sym_COMMA,
    ACTIONS(19339), 1,
      anon_sym_RPAREN,
    STATE(15149), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15200), 2,
      sym_comment,
      sym_block_comment,
  [621174] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4708), 1,
      sym__indent,
    STATE(8445), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(15201), 2,
      sym_comment,
      sym_block_comment,
  [621192] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4466), 1,
      sym__indent,
    STATE(9187), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(15202), 2,
      sym_comment,
      sym_block_comment,
  [621210] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16669), 1,
      anon_sym_case,
    STATE(14158), 1,
      aux_sym_indented_cases_repeat1,
    STATE(15710), 1,
      sym_case_clause,
    STATE(15203), 2,
      sym_comment,
      sym_block_comment,
  [621230] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14921), 1,
      anon_sym_LBRACK,
    ACTIONS(15560), 1,
      anon_sym_match,
    STATE(8373), 1,
      sym_type_arguments,
    STATE(15204), 2,
      sym_comment,
      sym_block_comment,
  [621250] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5748), 1,
      anon_sym_RBRACK,
    ACTIONS(19341), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15205), 2,
      sym_comment,
      sym_block_comment,
  [621270] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16669), 1,
      anon_sym_case,
    STATE(14110), 1,
      aux_sym_indented_cases_repeat1,
    STATE(15710), 1,
      sym_case_clause,
    STATE(15206), 2,
      sym_comment,
      sym_block_comment,
  [621290] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19343), 1,
      anon_sym_COMMA,
    ACTIONS(19345), 1,
      anon_sym_RBRACK,
    STATE(15456), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15207), 2,
      sym_comment,
      sym_block_comment,
  [621310] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16669), 1,
      anon_sym_case,
    STATE(14181), 1,
      aux_sym_indented_cases_repeat1,
    STATE(15710), 1,
      sym_case_clause,
    STATE(15208), 2,
      sym_comment,
      sym_block_comment,
  [621330] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19347), 1,
      anon_sym_COMMA,
    ACTIONS(19349), 1,
      anon_sym_RBRACK,
    STATE(15237), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15209), 2,
      sym_comment,
      sym_block_comment,
  [621350] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15342), 1,
      anon_sym_LBRACK,
    ACTIONS(19351), 1,
      anon_sym_match,
    STATE(9572), 1,
      sym_type_arguments,
    STATE(15210), 2,
      sym_comment,
      sym_block_comment,
  [621370] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17195), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(19353), 1,
      sym__interpolated_multiline_string_end,
    STATE(15288), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15211), 2,
      sym_comment,
      sym_block_comment,
  [621390] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5390), 1,
      anon_sym_RBRACK,
    ACTIONS(19355), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15212), 2,
      sym_comment,
      sym_block_comment,
  [621410] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17157), 1,
      sym__interpolated_string_middle,
    ACTIONS(19353), 1,
      sym__interpolated_string_end,
    STATE(15239), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15213), 2,
      sym_comment,
      sym_block_comment,
  [621430] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16675), 1,
      anon_sym_case,
    STATE(14243), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(15703), 1,
      sym_type_case_clause,
    STATE(15214), 2,
      sym_comment,
      sym_block_comment,
  [621450] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19357), 1,
      anon_sym_COMMA,
    ACTIONS(19359), 1,
      anon_sym_RPAREN,
    STATE(15432), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15215), 2,
      sym_comment,
      sym_block_comment,
  [621470] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12755), 1,
      sym__arrow_then_type,
    ACTIONS(19361), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15216), 2,
      sym_comment,
      sym_block_comment,
  [621488] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19363), 1,
      anon_sym_COMMA,
    ACTIONS(19365), 1,
      anon_sym_RPAREN,
    STATE(15448), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(15217), 2,
      sym_comment,
      sym_block_comment,
  [621508] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7222), 1,
      anon_sym_RPAREN,
    ACTIONS(19367), 1,
      anon_sym_COMMA,
    STATE(15238), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(15218), 2,
      sym_comment,
      sym_block_comment,
  [621528] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5286), 1,
      anon_sym_RPAREN,
    ACTIONS(19369), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15219), 2,
      sym_comment,
      sym_block_comment,
  [621548] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5174), 1,
      anon_sym_RPAREN,
    ACTIONS(19371), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15220), 2,
      sym_comment,
      sym_block_comment,
  [621568] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10783), 1,
      sym__arrow_then_type,
    ACTIONS(19373), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15221), 2,
      sym_comment,
      sym_block_comment,
  [621586] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11381), 1,
      sym__arrow_then_type,
    ACTIONS(19375), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15222), 2,
      sym_comment,
      sym_block_comment,
  [621604] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11326), 1,
      sym__arrow_then_type,
    ACTIONS(19377), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15223), 2,
      sym_comment,
      sym_block_comment,
  [621622] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12507), 1,
      sym__arrow_then_type,
    ACTIONS(19379), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15224), 2,
      sym_comment,
      sym_block_comment,
  [621640] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11401), 1,
      sym__arrow_then_type,
    ACTIONS(19381), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15225), 2,
      sym_comment,
      sym_block_comment,
  [621658] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11033), 1,
      sym__arrow_then_type,
    ACTIONS(19383), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15226), 2,
      sym_comment,
      sym_block_comment,
  [621676] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11663), 1,
      sym__arrow_then_type,
    ACTIONS(19385), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15227), 2,
      sym_comment,
      sym_block_comment,
  [621694] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11170), 1,
      sym__arrow_then_type,
    ACTIONS(19387), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15228), 2,
      sym_comment,
      sym_block_comment,
  [621712] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19389), 1,
      anon_sym_DOLLAR,
    STATE(15229), 2,
      sym_comment,
      sym_block_comment,
    STATE(15487), 2,
      sym__dollar_escape,
      sym_interpolation,
  [621730] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19391), 1,
      anon_sym_COMMA,
    ACTIONS(19393), 1,
      anon_sym_RBRACK,
    STATE(15212), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15230), 2,
      sym_comment,
      sym_block_comment,
  [621750] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19395), 1,
      anon_sym_COMMA,
    ACTIONS(19397), 1,
      anon_sym_RBRACK,
    STATE(15245), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15231), 2,
      sym_comment,
      sym_block_comment,
  [621770] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17195), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(19399), 1,
      sym__interpolated_multiline_string_end,
    STATE(15472), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15232), 2,
      sym_comment,
      sym_block_comment,
  [621790] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19401), 1,
      anon_sym_COMMA,
    ACTIONS(19403), 1,
      anon_sym_RPAREN,
    STATE(15077), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15233), 2,
      sym_comment,
      sym_block_comment,
  [621810] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5920), 1,
      anon_sym_RPAREN,
    ACTIONS(19405), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15234), 2,
      sym_comment,
      sym_block_comment,
  [621830] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19407), 1,
      anon_sym_DOLLAR,
    STATE(15235), 2,
      sym_comment,
      sym_block_comment,
    STATE(15483), 2,
      sym__dollar_escape,
      sym_interpolation,
  [621848] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17157), 1,
      sym__interpolated_string_middle,
    ACTIONS(19399), 1,
      sym__interpolated_string_end,
    STATE(15476), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15236), 2,
      sym_comment,
      sym_block_comment,
  [621868] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5192), 1,
      anon_sym_RBRACK,
    ACTIONS(19409), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15237), 2,
      sym_comment,
      sym_block_comment,
  [621888] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11328), 1,
      anon_sym_RPAREN,
    ACTIONS(19411), 1,
      anon_sym_COMMA,
    STATE(15238), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_case_class_pattern_repeat1,
  [621906] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17157), 1,
      sym__interpolated_string_middle,
    ACTIONS(19414), 1,
      sym__interpolated_string_end,
    STATE(15476), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15239), 2,
      sym_comment,
      sym_block_comment,
  [621926] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17157), 1,
      sym__interpolated_string_middle,
    ACTIONS(19416), 1,
      sym__interpolated_string_end,
    STATE(15476), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15240), 2,
      sym_comment,
      sym_block_comment,
  [621946] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17195), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(19416), 1,
      sym__interpolated_multiline_string_end,
    STATE(15472), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15241), 2,
      sym_comment,
      sym_block_comment,
  [621966] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5382), 1,
      anon_sym_RPAREN,
    ACTIONS(19418), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15242), 2,
      sym_comment,
      sym_block_comment,
  [621986] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19420), 1,
      anon_sym_COMMA,
    ACTIONS(19422), 1,
      anon_sym_RBRACK,
    STATE(15205), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15243), 2,
      sym_comment,
      sym_block_comment,
  [622006] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5544), 1,
      anon_sym_RBRACK,
    ACTIONS(19424), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15244), 2,
      sym_comment,
      sym_block_comment,
  [622026] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5656), 1,
      anon_sym_RBRACK,
    ACTIONS(19426), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15245), 2,
      sym_comment,
      sym_block_comment,
  [622046] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5330), 1,
      anon_sym_RPAREN,
    ACTIONS(19428), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15246), 2,
      sym_comment,
      sym_block_comment,
  [622066] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4602), 1,
      sym__indent,
    STATE(8858), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(15247), 2,
      sym_comment,
      sym_block_comment,
  [622084] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15342), 1,
      anon_sym_LBRACK,
    ACTIONS(19430), 1,
      anon_sym_match,
    STATE(9572), 1,
      sym_type_arguments,
    STATE(15248), 2,
      sym_comment,
      sym_block_comment,
  [622104] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19432), 1,
      anon_sym_COMMA,
    ACTIONS(19434), 1,
      anon_sym_RPAREN,
    STATE(15448), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(15249), 2,
      sym_comment,
      sym_block_comment,
  [622124] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19436), 1,
      anon_sym_COMMA,
    ACTIONS(19438), 1,
      anon_sym_RBRACK,
    STATE(15244), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15250), 2,
      sym_comment,
      sym_block_comment,
  [622144] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15148), 1,
      anon_sym_LBRACK,
    ACTIONS(15560), 1,
      anon_sym_match,
    STATE(9018), 1,
      sym_type_arguments,
    STATE(15251), 2,
      sym_comment,
      sym_block_comment,
  [622164] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7488), 1,
      anon_sym_RPAREN,
    ACTIONS(19440), 1,
      anon_sym_COMMA,
    STATE(15437), 1,
      aux_sym_class_parameters_repeat1,
    STATE(15252), 2,
      sym_comment,
      sym_block_comment,
  [622184] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19442), 1,
      anon_sym_COMMA,
    ACTIONS(19444), 1,
      anon_sym_RPAREN,
    STATE(14763), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15253), 2,
      sym_comment,
      sym_block_comment,
  [622204] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13232), 1,
      sym__arrow_then_type,
    ACTIONS(19446), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15254), 2,
      sym_comment,
      sym_block_comment,
  [622222] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19448), 1,
      anon_sym_COMMA,
    ACTIONS(19450), 1,
      anon_sym_RPAREN,
    STATE(15471), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15255), 2,
      sym_comment,
      sym_block_comment,
  [622242] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19452), 1,
      anon_sym_COMMA,
    ACTIONS(19454), 1,
      anon_sym_RPAREN,
    STATE(15475), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15256), 2,
      sym_comment,
      sym_block_comment,
  [622262] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16669), 1,
      anon_sym_case,
    STATE(14291), 1,
      aux_sym_indented_cases_repeat1,
    STATE(15710), 1,
      sym_case_clause,
    STATE(15257), 2,
      sym_comment,
      sym_block_comment,
  [622282] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17157), 1,
      sym__interpolated_string_middle,
    ACTIONS(19456), 1,
      sym__interpolated_string_end,
    STATE(15240), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15258), 2,
      sym_comment,
      sym_block_comment,
  [622302] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17195), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(19456), 1,
      sym__interpolated_multiline_string_end,
    STATE(15241), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15259), 2,
      sym_comment,
      sym_block_comment,
  [622322] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17195), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(19458), 1,
      sym__interpolated_multiline_string_end,
    STATE(15268), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15260), 2,
      sym_comment,
      sym_block_comment,
  [622342] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17157), 1,
      sym__interpolated_string_middle,
    ACTIONS(19458), 1,
      sym__interpolated_string_end,
    STATE(15275), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15261), 2,
      sym_comment,
      sym_block_comment,
  [622362] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19460), 1,
      anon_sym_COMMA,
    ACTIONS(19462), 1,
      anon_sym_RPAREN,
    STATE(15404), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15262), 2,
      sym_comment,
      sym_block_comment,
  [622382] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19464), 1,
      anon_sym_COMMA,
    ACTIONS(19466), 1,
      anon_sym_RPAREN,
    STATE(15448), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(15263), 2,
      sym_comment,
      sym_block_comment,
  [622402] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16675), 1,
      anon_sym_case,
    STATE(14145), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(15703), 1,
      sym_type_case_clause,
    STATE(15264), 2,
      sym_comment,
      sym_block_comment,
  [622422] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15146), 1,
      anon_sym_LBRACK,
    ACTIONS(15560), 1,
      anon_sym_match,
    STATE(8884), 1,
      sym_type_arguments,
    STATE(15265), 2,
      sym_comment,
      sym_block_comment,
  [622442] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19468), 1,
      anon_sym_COMMA,
    ACTIONS(19470), 1,
      anon_sym_RBRACK,
    STATE(15278), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15266), 2,
      sym_comment,
      sym_block_comment,
  [622462] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15780), 1,
      anon_sym_COLON,
    ACTIONS(15782), 1,
      anon_sym_LBRACE,
    STATE(13991), 1,
      sym_enum_body,
    STATE(15267), 2,
      sym_comment,
      sym_block_comment,
  [622482] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17195), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(19472), 1,
      sym__interpolated_multiline_string_end,
    STATE(15472), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15268), 2,
      sym_comment,
      sym_block_comment,
  [622502] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6058), 1,
      anon_sym_RBRACK,
    ACTIONS(19474), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15269), 2,
      sym_comment,
      sym_block_comment,
  [622522] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10783), 1,
      sym__arrow_then_type,
    ACTIONS(19476), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15270), 2,
      sym_comment,
      sym_block_comment,
  [622540] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11381), 1,
      sym__arrow_then_type,
    ACTIONS(19478), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15271), 2,
      sym_comment,
      sym_block_comment,
  [622558] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12507), 1,
      sym__arrow_then_type,
    ACTIONS(19480), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15272), 2,
      sym_comment,
      sym_block_comment,
  [622576] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16675), 1,
      anon_sym_case,
    STATE(14175), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(15703), 1,
      sym_type_case_clause,
    STATE(15273), 2,
      sym_comment,
      sym_block_comment,
  [622596] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5462), 1,
      anon_sym_RPAREN,
    ACTIONS(19482), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15274), 2,
      sym_comment,
      sym_block_comment,
  [622616] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17157), 1,
      sym__interpolated_string_middle,
    ACTIONS(19472), 1,
      sym__interpolated_string_end,
    STATE(15476), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15275), 2,
      sym_comment,
      sym_block_comment,
  [622636] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5438), 1,
      anon_sym_RPAREN,
    ACTIONS(19484), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15276), 2,
      sym_comment,
      sym_block_comment,
  [622656] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4202), 1,
      sym__indent,
    STATE(7584), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(15277), 2,
      sym_comment,
      sym_block_comment,
  [622674] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5718), 1,
      anon_sym_RBRACK,
    ACTIONS(19486), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15278), 2,
      sym_comment,
      sym_block_comment,
  [622694] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19488), 1,
      anon_sym_COMMA,
    ACTIONS(19490), 1,
      anon_sym_RBRACK,
    STATE(15269), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15279), 2,
      sym_comment,
      sym_block_comment,
  [622714] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4166), 1,
      sym__indent,
    STATE(9680), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(15280), 2,
      sym_comment,
      sym_block_comment,
  [622732] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16675), 1,
      anon_sym_case,
    STATE(14249), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(15703), 1,
      sym_type_case_clause,
    STATE(15281), 2,
      sym_comment,
      sym_block_comment,
  [622752] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19492), 1,
      anon_sym_COMMA,
    ACTIONS(19494), 1,
      anon_sym_RPAREN,
    STATE(14382), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15282), 2,
      sym_comment,
      sym_block_comment,
  [622772] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15560), 1,
      anon_sym_match,
    ACTIONS(15626), 1,
      anon_sym_LBRACK,
    STATE(9711), 1,
      sym_type_arguments,
    STATE(15283), 2,
      sym_comment,
      sym_block_comment,
  [622792] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19496), 1,
      anon_sym_COMMA,
    ACTIONS(19498), 1,
      anon_sym_RBRACK,
    STATE(15300), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15284), 2,
      sym_comment,
      sym_block_comment,
  [622812] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5812), 1,
      anon_sym_RBRACK,
    ACTIONS(19500), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15285), 2,
      sym_comment,
      sym_block_comment,
  [622832] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15286), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16720), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
  [622848] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16669), 1,
      anon_sym_case,
    STATE(14234), 1,
      aux_sym_indented_cases_repeat1,
    STATE(15710), 1,
      sym_case_clause,
    STATE(15287), 2,
      sym_comment,
      sym_block_comment,
  [622868] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17195), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(19414), 1,
      sym__interpolated_multiline_string_end,
    STATE(15472), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15288), 2,
      sym_comment,
      sym_block_comment,
  [622888] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15342), 1,
      anon_sym_LBRACK,
    ACTIONS(19502), 1,
      anon_sym_match,
    STATE(9572), 1,
      sym_type_arguments,
    STATE(15289), 2,
      sym_comment,
      sym_block_comment,
  [622908] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17195), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(19504), 1,
      sym__interpolated_multiline_string_end,
    STATE(15319), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15290), 2,
      sym_comment,
      sym_block_comment,
  [622928] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17157), 1,
      sym__interpolated_string_middle,
    ACTIONS(19504), 1,
      sym__interpolated_string_end,
    STATE(15322), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15291), 2,
      sym_comment,
      sym_block_comment,
  [622948] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5934), 1,
      anon_sym_RBRACK,
    ACTIONS(19506), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15292), 2,
      sym_comment,
      sym_block_comment,
  [622968] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19508), 1,
      anon_sym_COMMA,
    ACTIONS(19510), 1,
      anon_sym_RPAREN,
    STATE(15310), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15293), 2,
      sym_comment,
      sym_block_comment,
  [622988] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16669), 1,
      anon_sym_case,
    STATE(14141), 1,
      aux_sym_indented_cases_repeat1,
    STATE(15710), 1,
      sym_case_clause,
    STATE(15294), 2,
      sym_comment,
      sym_block_comment,
  [623008] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5580), 1,
      anon_sym_RPAREN,
    ACTIONS(19512), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15295), 2,
      sym_comment,
      sym_block_comment,
  [623028] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15296), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15959), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
  [623044] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5118), 1,
      anon_sym_RPAREN,
    ACTIONS(19514), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15297), 2,
      sym_comment,
      sym_block_comment,
  [623064] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19516), 1,
      anon_sym_COMMA,
    ACTIONS(19518), 1,
      anon_sym_RBRACK,
    STATE(15392), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15298), 2,
      sym_comment,
      sym_block_comment,
  [623084] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19520), 1,
      anon_sym_COMMA,
    ACTIONS(19523), 1,
      anon_sym_RPAREN,
    STATE(15299), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_parameters_repeat1,
  [623102] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5146), 1,
      anon_sym_RBRACK,
    ACTIONS(19525), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15300), 2,
      sym_comment,
      sym_block_comment,
  [623122] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16675), 1,
      anon_sym_case,
    STATE(14083), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(15703), 1,
      sym_type_case_clause,
    STATE(15301), 2,
      sym_comment,
      sym_block_comment,
  [623142] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11401), 1,
      sym__arrow_then_type,
    ACTIONS(19527), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15302), 2,
      sym_comment,
      sym_block_comment,
  [623160] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15342), 1,
      anon_sym_LBRACK,
    ACTIONS(19529), 1,
      anon_sym_match,
    STATE(9572), 1,
      sym_type_arguments,
    STATE(15303), 2,
      sym_comment,
      sym_block_comment,
  [623180] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19531), 1,
      anon_sym_COMMA,
    ACTIONS(19533), 1,
      anon_sym_RPAREN,
    STATE(15448), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(15304), 2,
      sym_comment,
      sym_block_comment,
  [623200] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19535), 1,
      anon_sym_COMMA,
    ACTIONS(19537), 1,
      anon_sym_RBRACK,
    STATE(15292), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15305), 2,
      sym_comment,
      sym_block_comment,
  [623220] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15306), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(19539), 3,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [623236] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10783), 1,
      sym__arrow_then_type,
    ACTIONS(19541), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15307), 2,
      sym_comment,
      sym_block_comment,
  [623254] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16709), 1,
      anon_sym_EQ,
    ACTIONS(16707), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(15308), 2,
      sym_comment,
      sym_block_comment,
  [623272] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19543), 1,
      anon_sym_COMMA,
    ACTIONS(19545), 1,
      anon_sym_RBRACK,
    STATE(15343), 1,
      aux_sym_type_parameters_repeat1,
    STATE(15309), 2,
      sym_comment,
      sym_block_comment,
  [623292] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5788), 1,
      anon_sym_RPAREN,
    ACTIONS(19547), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15310), 2,
      sym_comment,
      sym_block_comment,
  [623312] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4926), 1,
      anon_sym_RPAREN,
    ACTIONS(19549), 1,
      anon_sym_COMMA,
    STATE(14983), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(15311), 2,
      sym_comment,
      sym_block_comment,
  [623332] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19551), 1,
      anon_sym_COMMA,
    ACTIONS(19553), 1,
      anon_sym_RPAREN,
    STATE(14398), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15312), 2,
      sym_comment,
      sym_block_comment,
  [623352] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19555), 1,
      anon_sym_COMMA,
    ACTIONS(19557), 1,
      anon_sym_RBRACK,
    STATE(15336), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15313), 2,
      sym_comment,
      sym_block_comment,
  [623372] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19559), 1,
      anon_sym_COMMA,
    ACTIONS(19561), 1,
      anon_sym_RPAREN,
    STATE(15119), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15314), 2,
      sym_comment,
      sym_block_comment,
  [623392] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4926), 1,
      anon_sym_RPAREN,
    ACTIONS(19563), 1,
      anon_sym_COMMA,
    STATE(15299), 1,
      aux_sym_parameters_repeat1,
    STATE(15315), 2,
      sym_comment,
      sym_block_comment,
  [623412] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12196), 1,
      anon_sym_RPAREN,
    ACTIONS(19565), 1,
      anon_sym_COMMA,
    STATE(15338), 1,
      aux_sym_parameters_repeat1,
    STATE(15316), 2,
      sym_comment,
      sym_block_comment,
  [623432] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17157), 1,
      sym__interpolated_string_middle,
    ACTIONS(19567), 1,
      sym__interpolated_string_end,
    STATE(15476), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15317), 2,
      sym_comment,
      sym_block_comment,
  [623452] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17195), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(19567), 1,
      sym__interpolated_multiline_string_end,
    STATE(15472), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15318), 2,
      sym_comment,
      sym_block_comment,
  [623472] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17195), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(19569), 1,
      sym__interpolated_multiline_string_end,
    STATE(15472), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15319), 2,
      sym_comment,
      sym_block_comment,
  [623492] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19571), 1,
      anon_sym_COMMA,
    ACTIONS(19573), 1,
      anon_sym_RPAREN,
    STATE(15331), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(15320), 2,
      sym_comment,
      sym_block_comment,
  [623512] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5746), 1,
      anon_sym_RBRACK,
    ACTIONS(19575), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15321), 2,
      sym_comment,
      sym_block_comment,
  [623532] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17157), 1,
      sym__interpolated_string_middle,
    ACTIONS(19569), 1,
      sym__interpolated_string_end,
    STATE(15476), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15322), 2,
      sym_comment,
      sym_block_comment,
  [623552] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15342), 1,
      anon_sym_LBRACK,
    ACTIONS(19577), 1,
      anon_sym_match,
    STATE(9572), 1,
      sym_type_arguments,
    STATE(15323), 2,
      sym_comment,
      sym_block_comment,
  [623572] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5520), 1,
      anon_sym_RPAREN,
    ACTIONS(19579), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15324), 2,
      sym_comment,
      sym_block_comment,
  [623592] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16928), 1,
      anon_sym_RPAREN,
    ACTIONS(19581), 1,
      anon_sym_COMMA,
    STATE(15315), 1,
      aux_sym_parameters_repeat1,
    STATE(15325), 2,
      sym_comment,
      sym_block_comment,
  [623612] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16926), 1,
      anon_sym_COMMA,
    ACTIONS(16928), 1,
      anon_sym_RPAREN,
    STATE(15311), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(15326), 2,
      sym_comment,
      sym_block_comment,
  [623632] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19583), 1,
      anon_sym_COMMA,
    ACTIONS(19585), 1,
      anon_sym_RBRACK,
    STATE(15321), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15327), 2,
      sym_comment,
      sym_block_comment,
  [623652] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16669), 1,
      anon_sym_case,
    STATE(14246), 1,
      aux_sym_indented_cases_repeat1,
    STATE(15710), 1,
      sym_case_clause,
    STATE(15328), 2,
      sym_comment,
      sym_block_comment,
  [623672] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5196), 1,
      anon_sym_RPAREN,
    ACTIONS(19587), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15329), 2,
      sym_comment,
      sym_block_comment,
  [623692] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12196), 1,
      anon_sym_RPAREN,
    ACTIONS(19565), 1,
      anon_sym_COMMA,
    STATE(15299), 1,
      aux_sym_parameters_repeat1,
    STATE(15330), 2,
      sym_comment,
      sym_block_comment,
  [623712] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5008), 1,
      anon_sym_RPAREN,
    ACTIONS(19589), 1,
      anon_sym_COMMA,
    STATE(14983), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(15331), 2,
      sym_comment,
      sym_block_comment,
  [623732] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5128), 1,
      anon_sym_RPAREN,
    ACTIONS(19591), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15332), 2,
      sym_comment,
      sym_block_comment,
  [623752] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19593), 1,
      anon_sym_COMMA,
    ACTIONS(19595), 1,
      anon_sym_RPAREN,
    STATE(14846), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15333), 2,
      sym_comment,
      sym_block_comment,
  [623772] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19597), 1,
      anon_sym_COMMA,
    ACTIONS(19599), 1,
      anon_sym_RBRACK,
    STATE(15364), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15334), 2,
      sym_comment,
      sym_block_comment,
  [623792] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16675), 1,
      anon_sym_case,
    STATE(14200), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(15703), 1,
      sym_type_case_clause,
    STATE(15335), 2,
      sym_comment,
      sym_block_comment,
  [623812] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5794), 1,
      anon_sym_RBRACK,
    ACTIONS(19601), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15336), 2,
      sym_comment,
      sym_block_comment,
  [623832] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4262), 1,
      sym__indent,
    STATE(10522), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(15337), 2,
      sym_comment,
      sym_block_comment,
  [623850] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12227), 1,
      anon_sym_RPAREN,
    ACTIONS(19603), 1,
      anon_sym_COMMA,
    STATE(15299), 1,
      aux_sym_parameters_repeat1,
    STATE(15338), 2,
      sym_comment,
      sym_block_comment,
  [623870] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12945), 1,
      anon_sym_LBRACK,
    ACTIONS(15560), 1,
      anon_sym_match,
    STATE(5397), 1,
      sym_type_arguments,
    STATE(15339), 2,
      sym_comment,
      sym_block_comment,
  [623890] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19605), 1,
      anon_sym_COMMA,
    ACTIONS(19607), 1,
      anon_sym_RBRACK,
    STATE(15285), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15340), 2,
      sym_comment,
      sym_block_comment,
  [623910] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10783), 1,
      sym__arrow_then_type,
    ACTIONS(19609), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15341), 2,
      sym_comment,
      sym_block_comment,
  [623928] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5084), 1,
      anon_sym_RPAREN,
    ACTIONS(19611), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15342), 2,
      sym_comment,
      sym_block_comment,
  [623948] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19613), 1,
      anon_sym_COMMA,
    ACTIONS(19616), 1,
      anon_sym_RBRACK,
    STATE(15343), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_type_parameters_repeat1,
  [623966] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17195), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(19618), 1,
      sym__interpolated_multiline_string_end,
    STATE(15358), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15344), 2,
      sym_comment,
      sym_block_comment,
  [623986] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17157), 1,
      sym__interpolated_string_middle,
    ACTIONS(19618), 1,
      sym__interpolated_string_end,
    STATE(15359), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15345), 2,
      sym_comment,
      sym_block_comment,
  [624006] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19620), 1,
      anon_sym_COMMA,
    ACTIONS(19622), 1,
      anon_sym_RPAREN,
    STATE(15448), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(15346), 2,
      sym_comment,
      sym_block_comment,
  [624026] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19624), 1,
      anon_sym_COMMA,
    ACTIONS(19626), 1,
      anon_sym_RPAREN,
    STATE(15234), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15347), 2,
      sym_comment,
      sym_block_comment,
  [624046] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12642), 1,
      sym__arrow_then_type,
    ACTIONS(19628), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15348), 2,
      sym_comment,
      sym_block_comment,
  [624064] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19630), 1,
      anon_sym_COMMA,
    ACTIONS(19632), 1,
      anon_sym_RPAREN,
    STATE(15448), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(15349), 2,
      sym_comment,
      sym_block_comment,
  [624084] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5628), 1,
      anon_sym_RBRACK,
    ACTIONS(19634), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15350), 2,
      sym_comment,
      sym_block_comment,
  [624104] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16675), 1,
      anon_sym_case,
    STATE(14160), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(15703), 1,
      sym_type_case_clause,
    STATE(15351), 2,
      sym_comment,
      sym_block_comment,
  [624124] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5514), 1,
      anon_sym_RPAREN,
    ACTIONS(19636), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15352), 2,
      sym_comment,
      sym_block_comment,
  [624144] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12226), 1,
      sym__arrow_then_type,
    ACTIONS(19638), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15353), 2,
      sym_comment,
      sym_block_comment,
  [624162] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12867), 1,
      anon_sym_LPAREN,
    STATE(13061), 1,
      sym_parameters,
    STATE(13068), 1,
      sym__using_parameters_clause,
    STATE(15354), 2,
      sym_comment,
      sym_block_comment,
  [624182] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19640), 1,
      anon_sym_COMMA,
    ACTIONS(19642), 1,
      anon_sym_RBRACK,
    STATE(15350), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15355), 2,
      sym_comment,
      sym_block_comment,
  [624202] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19644), 1,
      anon_sym_COMMA,
    ACTIONS(19646), 1,
      anon_sym_RBRACK,
    STATE(15366), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15356), 2,
      sym_comment,
      sym_block_comment,
  [624222] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15342), 1,
      anon_sym_LBRACK,
    ACTIONS(19648), 1,
      anon_sym_match,
    STATE(9572), 1,
      sym_type_arguments,
    STATE(15357), 2,
      sym_comment,
      sym_block_comment,
  [624242] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17195), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(19650), 1,
      sym__interpolated_multiline_string_end,
    STATE(15472), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15358), 2,
      sym_comment,
      sym_block_comment,
  [624262] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17157), 1,
      sym__interpolated_string_middle,
    ACTIONS(19650), 1,
      sym__interpolated_string_end,
    STATE(15476), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15359), 2,
      sym_comment,
      sym_block_comment,
  [624282] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19652), 1,
      anon_sym_COMMA,
    ACTIONS(19654), 1,
      anon_sym_RPAREN,
    STATE(14789), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15360), 2,
      sym_comment,
      sym_block_comment,
  [624302] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5502), 1,
      anon_sym_RPAREN,
    ACTIONS(19656), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15361), 2,
      sym_comment,
      sym_block_comment,
  [624322] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16669), 1,
      anon_sym_case,
    STATE(14319), 1,
      aux_sym_indented_cases_repeat1,
    STATE(15710), 1,
      sym_case_clause,
    STATE(15362), 2,
      sym_comment,
      sym_block_comment,
  [624342] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19658), 1,
      anon_sym_COMMA,
    ACTIONS(19660), 1,
      anon_sym_RPAREN,
    STATE(14889), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15363), 2,
      sym_comment,
      sym_block_comment,
  [624362] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5100), 1,
      anon_sym_RBRACK,
    ACTIONS(19662), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15364), 2,
      sym_comment,
      sym_block_comment,
  [624382] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17157), 1,
      sym__interpolated_string_middle,
    ACTIONS(19664), 1,
      sym__interpolated_string_end,
    STATE(15317), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15365), 2,
      sym_comment,
      sym_block_comment,
  [624402] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5926), 1,
      anon_sym_RBRACK,
    ACTIONS(19666), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15366), 2,
      sym_comment,
      sym_block_comment,
  [624422] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17195), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(19664), 1,
      sym__interpolated_multiline_string_end,
    STATE(15318), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15367), 2,
      sym_comment,
      sym_block_comment,
  [624442] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4292), 1,
      sym__indent,
    STATE(5676), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(15368), 2,
      sym_comment,
      sym_block_comment,
  [624460] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16675), 1,
      anon_sym_case,
    STATE(14275), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(15703), 1,
      sym_type_case_clause,
    STATE(15369), 2,
      sym_comment,
      sym_block_comment,
  [624480] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10169), 1,
      anon_sym_COMMA,
    ACTIONS(19668), 1,
      anon_sym_RPAREN,
    STATE(15238), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(15370), 2,
      sym_comment,
      sym_block_comment,
  [624500] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16669), 1,
      anon_sym_case,
    STATE(14358), 1,
      aux_sym_indented_cases_repeat1,
    STATE(15710), 1,
      sym_case_clause,
    STATE(15371), 2,
      sym_comment,
      sym_block_comment,
  [624520] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13573), 1,
      anon_sym_LBRACK,
    ACTIONS(15560), 1,
      anon_sym_match,
    STATE(6849), 1,
      sym_type_arguments,
    STATE(15372), 2,
      sym_comment,
      sym_block_comment,
  [624540] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5164), 1,
      anon_sym_RBRACK,
    ACTIONS(19670), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15373), 2,
      sym_comment,
      sym_block_comment,
  [624560] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14527), 1,
      anon_sym_LBRACK,
    ACTIONS(15560), 1,
      anon_sym_match,
    STATE(7481), 1,
      sym_type_arguments,
    STATE(15374), 2,
      sym_comment,
      sym_block_comment,
  [624580] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10783), 1,
      sym__arrow_then_type,
    ACTIONS(19672), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15375), 2,
      sym_comment,
      sym_block_comment,
  [624598] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15342), 1,
      anon_sym_LBRACK,
    ACTIONS(19674), 1,
      anon_sym_match,
    STATE(9572), 1,
      sym_type_arguments,
    STATE(15376), 2,
      sym_comment,
      sym_block_comment,
  [624618] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5446), 1,
      anon_sym_RBRACK,
    ACTIONS(19676), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15377), 2,
      sym_comment,
      sym_block_comment,
  [624638] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17195), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(19678), 1,
      sym__interpolated_multiline_string_end,
    STATE(15388), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15378), 2,
      sym_comment,
      sym_block_comment,
  [624658] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17157), 1,
      sym__interpolated_string_middle,
    ACTIONS(19678), 1,
      sym__interpolated_string_end,
    STATE(15390), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15379), 2,
      sym_comment,
      sym_block_comment,
  [624678] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19680), 1,
      anon_sym_COMMA,
    ACTIONS(19682), 1,
      anon_sym_RPAREN,
    STATE(15123), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15380), 2,
      sym_comment,
      sym_block_comment,
  [624698] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5636), 1,
      anon_sym_RPAREN,
    ACTIONS(19684), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15381), 2,
      sym_comment,
      sym_block_comment,
  [624718] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12813), 1,
      sym__arrow_then_type,
    ACTIONS(19686), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15382), 2,
      sym_comment,
      sym_block_comment,
  [624736] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19688), 1,
      anon_sym_COMMA,
    ACTIONS(19690), 1,
      anon_sym_RPAREN,
    STATE(15448), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(15383), 2,
      sym_comment,
      sym_block_comment,
  [624756] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19692), 1,
      anon_sym_COMMA,
    ACTIONS(19694), 1,
      anon_sym_RBRACK,
    STATE(15377), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15384), 2,
      sym_comment,
      sym_block_comment,
  [624776] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15385), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(19696), 3,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [624792] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19698), 1,
      anon_sym_COMMA,
    ACTIONS(19700), 1,
      anon_sym_RPAREN,
    STATE(15060), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15386), 2,
      sym_comment,
      sym_block_comment,
  [624812] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19702), 1,
      anon_sym_COMMA,
    ACTIONS(19704), 1,
      anon_sym_RBRACK,
    STATE(15398), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15387), 2,
      sym_comment,
      sym_block_comment,
  [624832] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17195), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(19706), 1,
      sym__interpolated_multiline_string_end,
    STATE(15472), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15388), 2,
      sym_comment,
      sym_block_comment,
  [624852] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19708), 1,
      anon_sym_COMMA,
    ACTIONS(19710), 1,
      anon_sym_RPAREN,
    STATE(14862), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15389), 2,
      sym_comment,
      sym_block_comment,
  [624872] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17157), 1,
      sym__interpolated_string_middle,
    ACTIONS(19706), 1,
      sym__interpolated_string_end,
    STATE(15476), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15390), 2,
      sym_comment,
      sym_block_comment,
  [624892] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15342), 1,
      anon_sym_LBRACK,
    ACTIONS(19712), 1,
      anon_sym_match,
    STATE(9572), 1,
      sym_type_arguments,
    STATE(15391), 2,
      sym_comment,
      sym_block_comment,
  [624912] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19714), 1,
      anon_sym_COMMA,
    ACTIONS(19716), 1,
      anon_sym_RBRACK,
    STATE(15003), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15392), 2,
      sym_comment,
      sym_block_comment,
  [624932] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19718), 1,
      anon_sym_COMMA,
    ACTIONS(19720), 1,
      anon_sym_RBRACK,
    STATE(15405), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15393), 2,
      sym_comment,
      sym_block_comment,
  [624952] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5572), 1,
      anon_sym_RPAREN,
    ACTIONS(19722), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15394), 2,
      sym_comment,
      sym_block_comment,
  [624972] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4246), 1,
      sym__indent,
    STATE(8882), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(15395), 2,
      sym_comment,
      sym_block_comment,
  [624990] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16669), 1,
      anon_sym_case,
    STATE(14287), 1,
      aux_sym_indented_cases_repeat1,
    STATE(15710), 1,
      sym_case_clause,
    STATE(15396), 2,
      sym_comment,
      sym_block_comment,
  [625010] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16551), 1,
      anon_sym_RBRACE,
    ACTIONS(16553), 1,
      anon_sym_COMMA,
    STATE(15047), 1,
      aux_sym_namespace_selectors_repeat1,
    STATE(15397), 2,
      sym_comment,
      sym_block_comment,
  [625030] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6040), 1,
      anon_sym_RBRACK,
    ACTIONS(19724), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15398), 2,
      sym_comment,
      sym_block_comment,
  [625050] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4382), 1,
      sym__indent,
    STATE(6681), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(15399), 2,
      sym_comment,
      sym_block_comment,
  [625068] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5106), 1,
      anon_sym_RPAREN,
    ACTIONS(19726), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15400), 2,
      sym_comment,
      sym_block_comment,
  [625088] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5874), 1,
      anon_sym_RBRACK,
    ACTIONS(19728), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15401), 2,
      sym_comment,
      sym_block_comment,
  [625108] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13832), 1,
      anon_sym_LBRACK,
    ACTIONS(15560), 1,
      anon_sym_match,
    STATE(7172), 1,
      sym_type_arguments,
    STATE(15402), 2,
      sym_comment,
      sym_block_comment,
  [625128] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16675), 1,
      anon_sym_case,
    STATE(14357), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(15703), 1,
      sym_type_case_clause,
    STATE(15403), 2,
      sym_comment,
      sym_block_comment,
  [625148] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5712), 1,
      anon_sym_RPAREN,
    ACTIONS(19730), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15404), 2,
      sym_comment,
      sym_block_comment,
  [625168] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5082), 1,
      anon_sym_RBRACK,
    ACTIONS(19732), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15405), 2,
      sym_comment,
      sym_block_comment,
  [625188] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17195), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(19734), 1,
      sym__interpolated_multiline_string_end,
    STATE(15419), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15406), 2,
      sym_comment,
      sym_block_comment,
  [625208] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5280), 1,
      anon_sym_RBRACK,
    ACTIONS(19736), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15407), 2,
      sym_comment,
      sym_block_comment,
  [625228] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17157), 1,
      sym__interpolated_string_middle,
    ACTIONS(19734), 1,
      sym__interpolated_string_end,
    STATE(14363), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15408), 2,
      sym_comment,
      sym_block_comment,
  [625248] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5346), 1,
      anon_sym_RPAREN,
    ACTIONS(19738), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15409), 2,
      sym_comment,
      sym_block_comment,
  [625268] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19740), 1,
      anon_sym_COMMA,
    ACTIONS(19742), 1,
      anon_sym_RPAREN,
    STATE(15019), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15410), 2,
      sym_comment,
      sym_block_comment,
  [625288] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10534), 1,
      sym__arrow_then_type,
    ACTIONS(19744), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15411), 2,
      sym_comment,
      sym_block_comment,
  [625306] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19746), 1,
      anon_sym_COMMA,
    ACTIONS(19748), 1,
      anon_sym_RPAREN,
    STATE(15448), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(15412), 2,
      sym_comment,
      sym_block_comment,
  [625326] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15413), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15428), 3,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_derives,
  [625342] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19750), 1,
      anon_sym_COMMA,
    ACTIONS(19752), 1,
      anon_sym_RBRACK,
    STATE(15407), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15414), 2,
      sym_comment,
      sym_block_comment,
  [625362] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15588), 1,
      anon_sym_STAR,
    ACTIONS(19754), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(15415), 2,
      sym_comment,
      sym_block_comment,
  [625380] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17157), 1,
      sym__interpolated_string_middle,
    ACTIONS(19756), 1,
      sym__interpolated_string_end,
    STATE(15476), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15416), 2,
      sym_comment,
      sym_block_comment,
  [625400] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19758), 1,
      anon_sym_COMMA,
    ACTIONS(19760), 1,
      anon_sym_RBRACK,
    STATE(15438), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15417), 2,
      sym_comment,
      sym_block_comment,
  [625420] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19762), 1,
      anon_sym_COMMA,
    ACTIONS(19764), 1,
      anon_sym_RPAREN,
    STATE(14956), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15418), 2,
      sym_comment,
      sym_block_comment,
  [625440] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17159), 1,
      sym__interpolated_multiline_string_end,
    ACTIONS(17195), 1,
      sym__interpolated_multiline_string_middle,
    STATE(15472), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15419), 2,
      sym_comment,
      sym_block_comment,
  [625460] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17195), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(19756), 1,
      sym__interpolated_multiline_string_end,
    STATE(15472), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15420), 2,
      sym_comment,
      sym_block_comment,
  [625480] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19766), 1,
      anon_sym_COMMA,
    ACTIONS(19768), 1,
      anon_sym_RBRACK,
    STATE(15401), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15421), 2,
      sym_comment,
      sym_block_comment,
  [625500] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15422), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16425), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [625516] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19770), 1,
      anon_sym_COMMA,
    ACTIONS(19772), 1,
      anon_sym_RPAREN,
    STATE(15448), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(15423), 2,
      sym_comment,
      sym_block_comment,
  [625536] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15342), 1,
      anon_sym_LBRACK,
    ACTIONS(19774), 1,
      anon_sym_match,
    STATE(9572), 1,
      sym_type_arguments,
    STATE(15424), 2,
      sym_comment,
      sym_block_comment,
  [625556] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16675), 1,
      anon_sym_case,
    STATE(14326), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(15703), 1,
      sym_type_case_clause,
    STATE(15425), 2,
      sym_comment,
      sym_block_comment,
  [625576] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19776), 1,
      anon_sym_COLON,
    ACTIONS(19778), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(15426), 2,
      sym_comment,
      sym_block_comment,
  [625594] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16675), 1,
      anon_sym_case,
    STATE(14300), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(15703), 1,
      sym_type_case_clause,
    STATE(15427), 2,
      sym_comment,
      sym_block_comment,
  [625614] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5198), 1,
      anon_sym_RBRACK,
    ACTIONS(19780), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15428), 2,
      sym_comment,
      sym_block_comment,
  [625634] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16669), 1,
      anon_sym_case,
    STATE(14167), 1,
      aux_sym_indented_cases_repeat1,
    STATE(15710), 1,
      sym_case_clause,
    STATE(15429), 2,
      sym_comment,
      sym_block_comment,
  [625654] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19782), 1,
      anon_sym_COLON,
    ACTIONS(19784), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(15430), 2,
      sym_comment,
      sym_block_comment,
  [625672] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5694), 1,
      anon_sym_RPAREN,
    ACTIONS(19786), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15431), 2,
      sym_comment,
      sym_block_comment,
  [625692] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5646), 1,
      anon_sym_RPAREN,
    ACTIONS(19788), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15432), 2,
      sym_comment,
      sym_block_comment,
  [625712] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19790), 1,
      anon_sym_COMMA,
    ACTIONS(19793), 1,
      anon_sym_RPAREN,
    STATE(15433), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_bindings_repeat1,
  [625730] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15588), 1,
      anon_sym_STAR,
    ACTIONS(19795), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(15434), 2,
      sym_comment,
      sym_block_comment,
  [625748] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11663), 1,
      sym__arrow_then_type,
    ACTIONS(19797), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15435), 2,
      sym_comment,
      sym_block_comment,
  [625766] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16675), 1,
      anon_sym_case,
    STATE(14215), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(15703), 1,
      sym_type_case_clause,
    STATE(15436), 2,
      sym_comment,
      sym_block_comment,
  [625786] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7598), 1,
      anon_sym_RPAREN,
    ACTIONS(19799), 1,
      anon_sym_COMMA,
    STATE(15110), 1,
      aux_sym_class_parameters_repeat1,
    STATE(15437), 2,
      sym_comment,
      sym_block_comment,
  [625806] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5992), 1,
      anon_sym_RBRACK,
    ACTIONS(19801), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15438), 2,
      sym_comment,
      sym_block_comment,
  [625826] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4332), 1,
      sym__indent,
    STATE(6799), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(15439), 2,
      sym_comment,
      sym_block_comment,
  [625844] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19803), 1,
      anon_sym_COMMA,
    ACTIONS(19805), 1,
      anon_sym_RBRACK,
    STATE(15428), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15440), 2,
      sym_comment,
      sym_block_comment,
  [625864] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19807), 1,
      anon_sym_COMMA,
    ACTIONS(19809), 1,
      anon_sym_RPAREN,
    STATE(15038), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15441), 2,
      sym_comment,
      sym_block_comment,
  [625884] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19811), 1,
      anon_sym_COLON,
    ACTIONS(19813), 1,
      anon_sym_COMMA,
    STATE(15442), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_val_declaration_repeat1,
  [625902] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16669), 1,
      anon_sym_case,
    STATE(14281), 1,
      aux_sym_indented_cases_repeat1,
    STATE(15710), 1,
      sym_case_clause,
    STATE(15443), 2,
      sym_comment,
      sym_block_comment,
  [625922] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15110), 1,
      anon_sym_LBRACK,
    ACTIONS(15560), 1,
      anon_sym_match,
    STATE(9192), 1,
      sym_type_arguments,
    STATE(15444), 2,
      sym_comment,
      sym_block_comment,
  [625942] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7598), 1,
      anon_sym_RPAREN,
    ACTIONS(19799), 1,
      anon_sym_COMMA,
    STATE(15120), 1,
      aux_sym_class_parameters_repeat1,
    STATE(15445), 2,
      sym_comment,
      sym_block_comment,
  [625962] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19816), 1,
      anon_sym_COMMA,
    ACTIONS(19818), 1,
      anon_sym_RPAREN,
    STATE(14971), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15446), 2,
      sym_comment,
      sym_block_comment,
  [625982] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19820), 1,
      anon_sym_COMMA,
    ACTIONS(19822), 1,
      anon_sym_RPAREN,
    STATE(15010), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15447), 2,
      sym_comment,
      sym_block_comment,
  [626002] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16169), 1,
      anon_sym_RPAREN,
    ACTIONS(19824), 1,
      anon_sym_COMMA,
    STATE(15448), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_tuple_expression_repeat1,
  [626020] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17157), 1,
      sym__interpolated_string_middle,
    ACTIONS(19827), 1,
      sym__interpolated_string_end,
    STATE(15416), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15449), 2,
      sym_comment,
      sym_block_comment,
  [626040] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17195), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(19829), 1,
      sym__interpolated_multiline_string_end,
    STATE(15465), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15450), 2,
      sym_comment,
      sym_block_comment,
  [626060] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15342), 1,
      anon_sym_LBRACK,
    ACTIONS(19831), 1,
      anon_sym_match,
    STATE(9572), 1,
      sym_type_arguments,
    STATE(15451), 2,
      sym_comment,
      sym_block_comment,
  [626080] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17157), 1,
      sym__interpolated_string_middle,
    ACTIONS(19829), 1,
      sym__interpolated_string_end,
    STATE(15466), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15452), 2,
      sym_comment,
      sym_block_comment,
  [626100] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19833), 1,
      anon_sym_COMMA,
    ACTIONS(19835), 1,
      anon_sym_RPAREN,
    STATE(14981), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15453), 2,
      sym_comment,
      sym_block_comment,
  [626120] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11033), 1,
      sym__arrow_then_type,
    ACTIONS(19837), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15454), 2,
      sym_comment,
      sym_block_comment,
  [626138] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19839), 1,
      anon_sym_COMMA,
    ACTIONS(19841), 1,
      anon_sym_RPAREN,
    STATE(15448), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(15455), 2,
      sym_comment,
      sym_block_comment,
  [626158] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5180), 1,
      anon_sym_RBRACK,
    ACTIONS(19843), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15456), 2,
      sym_comment,
      sym_block_comment,
  [626178] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15342), 1,
      anon_sym_LBRACK,
    ACTIONS(19845), 1,
      anon_sym_match,
    STATE(9572), 1,
      sym_type_arguments,
    STATE(15457), 2,
      sym_comment,
      sym_block_comment,
  [626198] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5186), 1,
      anon_sym_RPAREN,
    ACTIONS(19847), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15458), 2,
      sym_comment,
      sym_block_comment,
  [626218] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3994), 1,
      anon_sym_RPAREN,
    ACTIONS(19849), 1,
      anon_sym_COMMA,
    STATE(15448), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(15459), 2,
      sym_comment,
      sym_block_comment,
  [626238] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7744), 1,
      anon_sym_RPAREN,
    ACTIONS(19851), 1,
      anon_sym_COMMA,
    STATE(15127), 1,
      aux_sym_class_parameters_repeat1,
    STATE(15460), 2,
      sym_comment,
      sym_block_comment,
  [626258] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19853), 1,
      anon_sym_COMMA,
    ACTIONS(19855), 1,
      anon_sym_RBRACK,
    STATE(15373), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15461), 2,
      sym_comment,
      sym_block_comment,
  [626278] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16669), 1,
      anon_sym_case,
    STATE(14191), 1,
      aux_sym_indented_cases_repeat1,
    STATE(15710), 1,
      sym_case_clause,
    STATE(15462), 2,
      sym_comment,
      sym_block_comment,
  [626298] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19857), 1,
      anon_sym_COMMA,
    ACTIONS(19859), 1,
      anon_sym_RBRACK,
    STATE(15477), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15463), 2,
      sym_comment,
      sym_block_comment,
  [626318] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19861), 1,
      anon_sym_COMMA,
    ACTIONS(19863), 1,
      anon_sym_RBRACK,
    STATE(15473), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15464), 2,
      sym_comment,
      sym_block_comment,
  [626338] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17195), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(19865), 1,
      sym__interpolated_multiline_string_end,
    STATE(15472), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15465), 2,
      sym_comment,
      sym_block_comment,
  [626358] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17157), 1,
      sym__interpolated_string_middle,
    ACTIONS(19865), 1,
      sym__interpolated_string_end,
    STATE(15476), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15466), 2,
      sym_comment,
      sym_block_comment,
  [626378] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19867), 1,
      anon_sym_COMMA,
    ACTIONS(19869), 1,
      anon_sym_RPAREN,
    STATE(14989), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15467), 2,
      sym_comment,
      sym_block_comment,
  [626398] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4254), 1,
      sym__indent,
    STATE(10053), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(15468), 2,
      sym_comment,
      sym_block_comment,
  [626416] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16675), 1,
      anon_sym_case,
    STATE(14053), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(15703), 1,
      sym_type_case_clause,
    STATE(15469), 2,
      sym_comment,
      sym_block_comment,
  [626436] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17195), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(19827), 1,
      sym__interpolated_multiline_string_end,
    STATE(15420), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15470), 2,
      sym_comment,
      sym_block_comment,
  [626456] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5754), 1,
      anon_sym_RPAREN,
    ACTIONS(19871), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15471), 2,
      sym_comment,
      sym_block_comment,
  [626476] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19873), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(19876), 1,
      sym__interpolated_multiline_string_end,
    STATE(15472), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_interpolated_string_repeat2,
  [626494] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5132), 1,
      anon_sym_RBRACK,
    ACTIONS(19878), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15473), 2,
      sym_comment,
      sym_block_comment,
  [626514] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15243), 1,
      anon_sym_LBRACK,
    ACTIONS(15560), 1,
      anon_sym_match,
    STATE(9052), 1,
      sym_type_arguments,
    STATE(15474), 2,
      sym_comment,
      sym_block_comment,
  [626534] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5150), 1,
      anon_sym_RPAREN,
    ACTIONS(19880), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15475), 2,
      sym_comment,
      sym_block_comment,
  [626554] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19882), 1,
      sym__interpolated_string_middle,
    ACTIONS(19885), 1,
      sym__interpolated_string_end,
    STATE(15476), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_interpolated_string_repeat1,
  [626572] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5936), 1,
      anon_sym_RBRACK,
    ACTIONS(19887), 1,
      anon_sym_COMMA,
    STATE(14080), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15477), 2,
      sym_comment,
      sym_block_comment,
  [626592] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15780), 1,
      anon_sym_COLON,
    ACTIONS(15782), 1,
      anon_sym_LBRACE,
    STATE(13922), 1,
      sym_enum_body,
    STATE(15478), 2,
      sym_comment,
      sym_block_comment,
  [626612] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4250), 1,
      sym__indent,
    STATE(9215), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(15479), 2,
      sym_comment,
      sym_block_comment,
  [626630] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19889), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15480), 2,
      sym_comment,
      sym_block_comment,
  [626645] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19891), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(15481), 2,
      sym_comment,
      sym_block_comment,
  [626660] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19893), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15482), 2,
      sym_comment,
      sym_block_comment,
  [626675] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19885), 2,
      sym__interpolated_string_middle,
      sym__interpolated_string_end,
    STATE(15483), 2,
      sym_comment,
      sym_block_comment,
  [626690] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19895), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(15484), 2,
      sym_comment,
      sym_block_comment,
  [626705] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19897), 1,
      sym__indent,
    STATE(12215), 1,
      sym__indented_type_cases,
    STATE(15485), 2,
      sym_comment,
      sym_block_comment,
  [626722] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19899), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15486), 2,
      sym_comment,
      sym_block_comment,
  [626737] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19876), 2,
      sym__interpolated_multiline_string_middle,
      sym__interpolated_multiline_string_end,
    STATE(15487), 2,
      sym_comment,
      sym_block_comment,
  [626752] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19901), 1,
      anon_sym_EQ_GT,
    ACTIONS(19903), 1,
      anon_sym_QMARK_EQ_GT,
    STATE(15488), 2,
      sym_comment,
      sym_block_comment,
  [626769] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19905), 1,
      anon_sym_LPAREN,
    STATE(13011), 1,
      sym_parenthesized_expression,
    STATE(15489), 2,
      sym_comment,
      sym_block_comment,
  [626786] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19907), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15490), 2,
      sym_comment,
      sym_block_comment,
  [626801] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19909), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(15491), 2,
      sym_comment,
      sym_block_comment,
  [626816] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19911), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15492), 2,
      sym_comment,
      sym_block_comment,
  [626831] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19913), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15493), 2,
      sym_comment,
      sym_block_comment,
  [626846] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19915), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(15494), 2,
      sym_comment,
      sym_block_comment,
  [626861] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19917), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15495), 2,
      sym_comment,
      sym_block_comment,
  [626876] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19919), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15496), 2,
      sym_comment,
      sym_block_comment,
  [626891] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19921), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(15497), 2,
      sym_comment,
      sym_block_comment,
  [626906] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19923), 2,
      anon_sym_COLON,
      anon_sym_COMMA,
    STATE(15498), 2,
      sym_comment,
      sym_block_comment,
  [626921] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19925), 1,
      sym__indent,
    STATE(11467), 1,
      sym__indented_type_cases,
    STATE(15499), 2,
      sym_comment,
      sym_block_comment,
  [626938] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19927), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15500), 2,
      sym_comment,
      sym_block_comment,
  [626953] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19795), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(15501), 2,
      sym_comment,
      sym_block_comment,
  [626968] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19793), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(15502), 2,
      sym_comment,
      sym_block_comment,
  [626983] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19929), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15503), 2,
      sym_comment,
      sym_block_comment,
  [626998] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19931), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15504), 2,
      sym_comment,
      sym_block_comment,
  [627013] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19933), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(15505), 2,
      sym_comment,
      sym_block_comment,
  [627028] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19935), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15506), 2,
      sym_comment,
      sym_block_comment,
  [627043] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19754), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(15507), 2,
      sym_comment,
      sym_block_comment,
  [627058] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19937), 1,
      anon_sym_LPAREN,
    STATE(12699), 1,
      sym_parenthesized_expression,
    STATE(15508), 2,
      sym_comment,
      sym_block_comment,
  [627075] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19939), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15509), 2,
      sym_comment,
      sym_block_comment,
  [627090] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19941), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(15510), 2,
      sym_comment,
      sym_block_comment,
  [627105] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19943), 1,
      sym__indent,
    STATE(13132), 1,
      sym__indented_type_cases,
    STATE(15511), 2,
      sym_comment,
      sym_block_comment,
  [627122] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19945), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15512), 2,
      sym_comment,
      sym_block_comment,
  [627137] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19947), 2,
      sym__outdent,
      anon_sym_case,
    STATE(15513), 2,
      sym_comment,
      sym_block_comment,
  [627152] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19949), 1,
      sym__indent,
    STATE(10956), 1,
      sym__indented_type_cases,
    STATE(15514), 2,
      sym_comment,
      sym_block_comment,
  [627169] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19951), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15515), 2,
      sym_comment,
      sym_block_comment,
  [627184] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19953), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(15516), 2,
      sym_comment,
      sym_block_comment,
  [627199] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9021), 2,
      anon_sym_with,
      anon_sym_LPAREN,
    STATE(15517), 2,
      sym_comment,
      sym_block_comment,
  [627214] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19955), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15518), 2,
      sym_comment,
      sym_block_comment,
  [627229] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19957), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15519), 2,
      sym_comment,
      sym_block_comment,
  [627244] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19959), 1,
      anon_sym_LPAREN,
    STATE(11562), 1,
      sym_parenthesized_expression,
    STATE(15520), 2,
      sym_comment,
      sym_block_comment,
  [627261] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5066), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    STATE(15521), 2,
      sym_comment,
      sym_block_comment,
  [627276] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19961), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15522), 2,
      sym_comment,
      sym_block_comment,
  [627291] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19963), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15523), 2,
      sym_comment,
      sym_block_comment,
  [627306] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19965), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(15524), 2,
      sym_comment,
      sym_block_comment,
  [627321] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19967), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(15525), 2,
      sym_comment,
      sym_block_comment,
  [627336] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19969), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15526), 2,
      sym_comment,
      sym_block_comment,
  [627351] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19971), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(15527), 2,
      sym_comment,
      sym_block_comment,
  [627366] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19973), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15528), 2,
      sym_comment,
      sym_block_comment,
  [627381] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19975), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15529), 2,
      sym_comment,
      sym_block_comment,
  [627396] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19977), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15530), 2,
      sym_comment,
      sym_block_comment,
  [627411] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19979), 1,
      sym__indent,
    STATE(10368), 1,
      sym__indented_type_cases,
    STATE(15531), 2,
      sym_comment,
      sym_block_comment,
  [627428] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19981), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(15532), 2,
      sym_comment,
      sym_block_comment,
  [627443] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19983), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15533), 2,
      sym_comment,
      sym_block_comment,
  [627458] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19985), 1,
      anon_sym_LPAREN,
    STATE(13317), 1,
      sym_parenthesized_expression,
    STATE(15534), 2,
      sym_comment,
      sym_block_comment,
  [627475] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10058), 2,
      anon_sym_with,
      anon_sym_LPAREN,
    STATE(15535), 2,
      sym_comment,
      sym_block_comment,
  [627490] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19987), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15536), 2,
      sym_comment,
      sym_block_comment,
  [627505] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19989), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(15537), 2,
      sym_comment,
      sym_block_comment,
  [627520] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19991), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15538), 2,
      sym_comment,
      sym_block_comment,
  [627535] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19993), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(15539), 2,
      sym_comment,
      sym_block_comment,
  [627550] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19995), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15540), 2,
      sym_comment,
      sym_block_comment,
  [627565] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19997), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15541), 2,
      sym_comment,
      sym_block_comment,
  [627580] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19999), 1,
      sym__indent,
    STATE(8244), 1,
      sym__indented_type_cases,
    STATE(15542), 2,
      sym_comment,
      sym_block_comment,
  [627597] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20001), 1,
      sym__indent,
    STATE(12663), 1,
      sym__indented_type_cases,
    STATE(15543), 2,
      sym_comment,
      sym_block_comment,
  [627614] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20003), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15544), 2,
      sym_comment,
      sym_block_comment,
  [627629] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19903), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15545), 2,
      sym_comment,
      sym_block_comment,
  [627644] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20005), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15546), 2,
      sym_comment,
      sym_block_comment,
  [627659] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20007), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(15547), 2,
      sym_comment,
      sym_block_comment,
  [627674] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20009), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15548), 2,
      sym_comment,
      sym_block_comment,
  [627689] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20011), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15549), 2,
      sym_comment,
      sym_block_comment,
  [627704] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20013), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15550), 2,
      sym_comment,
      sym_block_comment,
  [627719] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20015), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(15551), 2,
      sym_comment,
      sym_block_comment,
  [627734] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20017), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(15552), 2,
      sym_comment,
      sym_block_comment,
  [627749] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20019), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15553), 2,
      sym_comment,
      sym_block_comment,
  [627764] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20021), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(15554), 2,
      sym_comment,
      sym_block_comment,
  [627779] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20023), 1,
      anon_sym_LPAREN,
    STATE(12678), 1,
      sym_parenthesized_expression,
    STATE(15555), 2,
      sym_comment,
      sym_block_comment,
  [627796] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20025), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15556), 2,
      sym_comment,
      sym_block_comment,
  [627811] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19523), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(15557), 2,
      sym_comment,
      sym_block_comment,
  [627826] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20027), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(15558), 2,
      sym_comment,
      sym_block_comment,
  [627841] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20029), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(15559), 2,
      sym_comment,
      sym_block_comment,
  [627856] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9082), 2,
      anon_sym_with,
      anon_sym_LPAREN,
    STATE(15560), 2,
      sym_comment,
      sym_block_comment,
  [627871] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20031), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(15561), 2,
      sym_comment,
      sym_block_comment,
  [627886] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20033), 1,
      sym__indent,
    STATE(13216), 1,
      sym__indented_type_cases,
    STATE(15562), 2,
      sym_comment,
      sym_block_comment,
  [627903] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20035), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(15563), 2,
      sym_comment,
      sym_block_comment,
  [627918] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20037), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(15564), 2,
      sym_comment,
      sym_block_comment,
  [627933] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20039), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15565), 2,
      sym_comment,
      sym_block_comment,
  [627948] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20041), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15566), 2,
      sym_comment,
      sym_block_comment,
  [627963] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20043), 1,
      sym__indent,
    STATE(12738), 1,
      sym__indented_type_cases,
    STATE(15567), 2,
      sym_comment,
      sym_block_comment,
  [627980] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19947), 2,
      anon_sym_RBRACE,
      anon_sym_case,
    STATE(15568), 2,
      sym_comment,
      sym_block_comment,
  [627995] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20045), 1,
      anon_sym_LPAREN,
    STATE(13274), 1,
      sym_parenthesized_expression,
    STATE(15569), 2,
      sym_comment,
      sym_block_comment,
  [628012] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20047), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(15570), 2,
      sym_comment,
      sym_block_comment,
  [628027] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20049), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15571), 2,
      sym_comment,
      sym_block_comment,
  [628042] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20051), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15572), 2,
      sym_comment,
      sym_block_comment,
  [628057] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20053), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15573), 2,
      sym_comment,
      sym_block_comment,
  [628072] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20055), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(15574), 2,
      sym_comment,
      sym_block_comment,
  [628087] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20057), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15575), 2,
      sym_comment,
      sym_block_comment,
  [628102] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20059), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(15576), 2,
      sym_comment,
      sym_block_comment,
  [628117] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20061), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15577), 2,
      sym_comment,
      sym_block_comment,
  [628132] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20063), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15578), 2,
      sym_comment,
      sym_block_comment,
  [628147] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20065), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(15579), 2,
      sym_comment,
      sym_block_comment,
  [628162] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20067), 1,
      sym__indent,
    STATE(11490), 1,
      sym__indented_type_cases,
    STATE(15580), 2,
      sym_comment,
      sym_block_comment,
  [628179] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20069), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15581), 2,
      sym_comment,
      sym_block_comment,
  [628194] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20071), 1,
      anon_sym_object,
    ACTIONS(20073), 1,
      anon_sym_class,
    STATE(15582), 2,
      sym_comment,
      sym_block_comment,
  [628211] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20075), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15583), 2,
      sym_comment,
      sym_block_comment,
  [628226] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20077), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(15584), 2,
      sym_comment,
      sym_block_comment,
  [628241] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20079), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15585), 2,
      sym_comment,
      sym_block_comment,
  [628256] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20081), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15586), 2,
      sym_comment,
      sym_block_comment,
  [628271] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20083), 1,
      anon_sym_LPAREN,
    STATE(13367), 1,
      sym_parenthesized_expression,
    STATE(15587), 2,
      sym_comment,
      sym_block_comment,
  [628288] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20085), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15588), 2,
      sym_comment,
      sym_block_comment,
  [628303] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20087), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15589), 2,
      sym_comment,
      sym_block_comment,
  [628318] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20089), 1,
      sym__indent,
    STATE(12562), 1,
      sym__indented_type_cases,
    STATE(15590), 2,
      sym_comment,
      sym_block_comment,
  [628335] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20091), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(15591), 2,
      sym_comment,
      sym_block_comment,
  [628350] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20093), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15592), 2,
      sym_comment,
      sym_block_comment,
  [628365] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20095), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15593), 2,
      sym_comment,
      sym_block_comment,
  [628380] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20097), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15594), 2,
      sym_comment,
      sym_block_comment,
  [628395] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20099), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15595), 2,
      sym_comment,
      sym_block_comment,
  [628410] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20101), 1,
      sym__indent,
    STATE(12535), 1,
      sym__indented_type_cases,
    STATE(15596), 2,
      sym_comment,
      sym_block_comment,
  [628427] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20103), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15597), 2,
      sym_comment,
      sym_block_comment,
  [628442] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20105), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15598), 2,
      sym_comment,
      sym_block_comment,
  [628457] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20107), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15599), 2,
      sym_comment,
      sym_block_comment,
  [628472] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20109), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(15600), 2,
      sym_comment,
      sym_block_comment,
  [628487] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20111), 1,
      anon_sym_LPAREN,
    STATE(12378), 1,
      sym_parenthesized_expression,
    STATE(15601), 2,
      sym_comment,
      sym_block_comment,
  [628504] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20113), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15602), 2,
      sym_comment,
      sym_block_comment,
  [628519] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20115), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(15603), 2,
      sym_comment,
      sym_block_comment,
  [628534] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20117), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15604), 2,
      sym_comment,
      sym_block_comment,
  [628549] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20119), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(15605), 2,
      sym_comment,
      sym_block_comment,
  [628564] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20121), 1,
      anon_sym_LPAREN,
    STATE(12597), 1,
      sym_parenthesized_expression,
    STATE(15606), 2,
      sym_comment,
      sym_block_comment,
  [628581] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20123), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15607), 2,
      sym_comment,
      sym_block_comment,
  [628596] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20125), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15608), 2,
      sym_comment,
      sym_block_comment,
  [628611] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20127), 2,
      sym__interpolated_multiline_string_middle,
      sym__interpolated_multiline_string_end,
    STATE(15609), 2,
      sym_comment,
      sym_block_comment,
  [628626] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20129), 2,
      sym__interpolated_multiline_string_middle,
      sym__interpolated_multiline_string_end,
    STATE(15610), 2,
      sym_comment,
      sym_block_comment,
  [628641] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20131), 2,
      sym__interpolated_multiline_string_middle,
      sym__interpolated_multiline_string_end,
    STATE(15611), 2,
      sym_comment,
      sym_block_comment,
  [628656] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20133), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15612), 2,
      sym_comment,
      sym_block_comment,
  [628671] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20135), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(15613), 2,
      sym_comment,
      sym_block_comment,
  [628686] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20137), 1,
      sym__indent,
    STATE(12798), 1,
      sym__indented_type_cases,
    STATE(15614), 2,
      sym_comment,
      sym_block_comment,
  [628703] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20139), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15615), 2,
      sym_comment,
      sym_block_comment,
  [628718] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20141), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(15616), 2,
      sym_comment,
      sym_block_comment,
  [628733] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20143), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15617), 2,
      sym_comment,
      sym_block_comment,
  [628748] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20145), 1,
      anon_sym_LPAREN,
    STATE(11810), 1,
      sym_parenthesized_expression,
    STATE(15618), 2,
      sym_comment,
      sym_block_comment,
  [628765] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20147), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15619), 2,
      sym_comment,
      sym_block_comment,
  [628780] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20149), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(15620), 2,
      sym_comment,
      sym_block_comment,
  [628795] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20151), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15621), 2,
      sym_comment,
      sym_block_comment,
  [628810] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20153), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15622), 2,
      sym_comment,
      sym_block_comment,
  [628825] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20155), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(15623), 2,
      sym_comment,
      sym_block_comment,
  [628840] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20157), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(15624), 2,
      sym_comment,
      sym_block_comment,
  [628855] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20159), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15625), 2,
      sym_comment,
      sym_block_comment,
  [628870] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20161), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(15626), 2,
      sym_comment,
      sym_block_comment,
  [628885] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10073), 2,
      anon_sym_with,
      anon_sym_LPAREN,
    STATE(15627), 2,
      sym_comment,
      sym_block_comment,
  [628900] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10077), 2,
      anon_sym_with,
      anon_sym_LPAREN,
    STATE(15628), 2,
      sym_comment,
      sym_block_comment,
  [628915] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20163), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15629), 2,
      sym_comment,
      sym_block_comment,
  [628930] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20165), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15630), 2,
      sym_comment,
      sym_block_comment,
  [628945] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20167), 1,
      sym__indent,
    STATE(13975), 1,
      sym_with_template_body,
    STATE(15631), 2,
      sym_comment,
      sym_block_comment,
  [628962] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20169), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15632), 2,
      sym_comment,
      sym_block_comment,
  [628977] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20171), 1,
      sym__indent,
    STATE(13074), 1,
      sym__indented_type_cases,
    STATE(15633), 2,
      sym_comment,
      sym_block_comment,
  [628994] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20173), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15634), 2,
      sym_comment,
      sym_block_comment,
  [629009] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19157), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(15635), 2,
      sym_comment,
      sym_block_comment,
  [629024] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20175), 1,
      sym__indent,
    STATE(17510), 1,
      sym__indented_type_cases,
    STATE(15636), 2,
      sym_comment,
      sym_block_comment,
  [629041] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20177), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(15637), 2,
      sym_comment,
      sym_block_comment,
  [629056] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20179), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15638), 2,
      sym_comment,
      sym_block_comment,
  [629071] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20181), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15639), 2,
      sym_comment,
      sym_block_comment,
  [629086] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20183), 1,
      anon_sym_LPAREN,
    STATE(11233), 1,
      sym_parenthesized_expression,
    STATE(15640), 2,
      sym_comment,
      sym_block_comment,
  [629103] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20185), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(15641), 2,
      sym_comment,
      sym_block_comment,
  [629118] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20127), 2,
      sym__interpolated_string_middle,
      sym__interpolated_string_end,
    STATE(15642), 2,
      sym_comment,
      sym_block_comment,
  [629133] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20187), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(15643), 2,
      sym_comment,
      sym_block_comment,
  [629148] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20189), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15644), 2,
      sym_comment,
      sym_block_comment,
  [629163] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20129), 2,
      sym__interpolated_string_middle,
      sym__interpolated_string_end,
    STATE(15645), 2,
      sym_comment,
      sym_block_comment,
  [629178] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20191), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(15646), 2,
      sym_comment,
      sym_block_comment,
  [629193] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20131), 2,
      sym__interpolated_string_middle,
      sym__interpolated_string_end,
    STATE(15647), 2,
      sym_comment,
      sym_block_comment,
  [629208] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20193), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15648), 2,
      sym_comment,
      sym_block_comment,
  [629223] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20195), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15649), 2,
      sym_comment,
      sym_block_comment,
  [629238] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20197), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(15650), 2,
      sym_comment,
      sym_block_comment,
  [629253] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20199), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15651), 2,
      sym_comment,
      sym_block_comment,
  [629268] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20201), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15652), 2,
      sym_comment,
      sym_block_comment,
  [629283] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20203), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(15653), 2,
      sym_comment,
      sym_block_comment,
  [629298] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9159), 2,
      anon_sym_with,
      anon_sym_LPAREN,
    STATE(15654), 2,
      sym_comment,
      sym_block_comment,
  [629313] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20205), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15655), 2,
      sym_comment,
      sym_block_comment,
  [629328] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20207), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15656), 2,
      sym_comment,
      sym_block_comment,
  [629343] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20209), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(15657), 2,
      sym_comment,
      sym_block_comment,
  [629358] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20211), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15658), 2,
      sym_comment,
      sym_block_comment,
  [629373] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20213), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    STATE(15659), 2,
      sym_comment,
      sym_block_comment,
  [629388] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20215), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15660), 2,
      sym_comment,
      sym_block_comment,
  [629403] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20217), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(15661), 2,
      sym_comment,
      sym_block_comment,
  [629418] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20219), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15662), 2,
      sym_comment,
      sym_block_comment,
  [629433] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20221), 1,
      sym__indent,
    STATE(10455), 1,
      sym__indented_type_cases,
    STATE(15663), 2,
      sym_comment,
      sym_block_comment,
  [629450] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20223), 1,
      anon_sym_LPAREN,
    STATE(13191), 1,
      sym_parenthesized_expression,
    STATE(15664), 2,
      sym_comment,
      sym_block_comment,
  [629467] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9029), 2,
      anon_sym_with,
      anon_sym_LPAREN,
    STATE(15665), 2,
      sym_comment,
      sym_block_comment,
  [629482] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20225), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15666), 2,
      sym_comment,
      sym_block_comment,
  [629497] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20227), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(15667), 2,
      sym_comment,
      sym_block_comment,
  [629512] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20229), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15668), 2,
      sym_comment,
      sym_block_comment,
  [629527] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20231), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15669), 2,
      sym_comment,
      sym_block_comment,
  [629542] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20233), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(15670), 2,
      sym_comment,
      sym_block_comment,
  [629557] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20235), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(15671), 2,
      sym_comment,
      sym_block_comment,
  [629572] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20237), 2,
      sym__interpolated_string_middle,
      sym__interpolated_string_end,
    STATE(15672), 2,
      sym_comment,
      sym_block_comment,
  [629587] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20239), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15673), 2,
      sym_comment,
      sym_block_comment,
  [629602] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20241), 1,
      sym__indent,
    STATE(11062), 1,
      sym__indented_type_cases,
    STATE(15674), 2,
      sym_comment,
      sym_block_comment,
  [629619] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14723), 1,
      anon_sym_object,
    ACTIONS(14727), 1,
      anon_sym_class,
    STATE(15675), 2,
      sym_comment,
      sym_block_comment,
  [629636] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20243), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(15676), 2,
      sym_comment,
      sym_block_comment,
  [629651] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20245), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15677), 2,
      sym_comment,
      sym_block_comment,
  [629666] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20247), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15678), 2,
      sym_comment,
      sym_block_comment,
  [629681] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20249), 1,
      sym__indent,
    STATE(10626), 1,
      sym__indented_type_cases,
    STATE(15679), 2,
      sym_comment,
      sym_block_comment,
  [629698] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20251), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15680), 2,
      sym_comment,
      sym_block_comment,
  [629713] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20253), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(15681), 2,
      sym_comment,
      sym_block_comment,
  [629728] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20255), 1,
      anon_sym_COLON,
    ACTIONS(20257), 1,
      anon_sym_EQ,
    STATE(15682), 2,
      sym_comment,
      sym_block_comment,
  [629745] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20259), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15683), 2,
      sym_comment,
      sym_block_comment,
  [629760] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16087), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    STATE(15684), 2,
      sym_comment,
      sym_block_comment,
  [629775] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18858), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(15685), 2,
      sym_comment,
      sym_block_comment,
  [629790] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20261), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15686), 2,
      sym_comment,
      sym_block_comment,
  [629805] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20263), 1,
      anon_sym_COLON,
    ACTIONS(20265), 1,
      anon_sym_EQ,
    STATE(15687), 2,
      sym_comment,
      sym_block_comment,
  [629822] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20267), 1,
      anon_sym_LPAREN,
    STATE(13069), 1,
      sym_parenthesized_expression,
    STATE(15688), 2,
      sym_comment,
      sym_block_comment,
  [629839] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20269), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15689), 2,
      sym_comment,
      sym_block_comment,
  [629854] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20271), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(15690), 2,
      sym_comment,
      sym_block_comment,
  [629869] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20273), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(15691), 2,
      sym_comment,
      sym_block_comment,
  [629884] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20275), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15692), 2,
      sym_comment,
      sym_block_comment,
  [629899] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20277), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15693), 2,
      sym_comment,
      sym_block_comment,
  [629914] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20279), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(15694), 2,
      sym_comment,
      sym_block_comment,
  [629929] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20281), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15695), 2,
      sym_comment,
      sym_block_comment,
  [629944] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20283), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15696), 2,
      sym_comment,
      sym_block_comment,
  [629959] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20285), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15697), 2,
      sym_comment,
      sym_block_comment,
  [629974] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20287), 1,
      sym__indent,
    STATE(11093), 1,
      sym__indented_type_cases,
    STATE(15698), 2,
      sym_comment,
      sym_block_comment,
  [629991] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20289), 1,
      anon_sym_LPAREN,
    STATE(12042), 1,
      sym_parenthesized_expression,
    STATE(15699), 2,
      sym_comment,
      sym_block_comment,
  [630008] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20291), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(15700), 2,
      sym_comment,
      sym_block_comment,
  [630023] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20293), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15701), 2,
      sym_comment,
      sym_block_comment,
  [630038] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20295), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(15702), 2,
      sym_comment,
      sym_block_comment,
  [630053] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20297), 2,
      sym__outdent,
      anon_sym_case,
    STATE(15703), 2,
      sym_comment,
      sym_block_comment,
  [630068] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20299), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15704), 2,
      sym_comment,
      sym_block_comment,
  [630083] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20301), 1,
      sym__indent,
    STATE(11515), 1,
      sym__indented_type_cases,
    STATE(15705), 2,
      sym_comment,
      sym_block_comment,
  [630100] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20303), 1,
      anon_sym_LPAREN,
    STATE(13577), 1,
      sym_parenthesized_expression,
    STATE(15706), 2,
      sym_comment,
      sym_block_comment,
  [630117] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9180), 2,
      anon_sym_with,
      anon_sym_LPAREN,
    STATE(15707), 2,
      sym_comment,
      sym_block_comment,
  [630132] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20305), 1,
      anon_sym_COLON,
    ACTIONS(20307), 1,
      anon_sym_EQ,
    STATE(15708), 2,
      sym_comment,
      sym_block_comment,
  [630149] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20309), 1,
      anon_sym_COLON,
    ACTIONS(20311), 1,
      anon_sym_EQ,
    STATE(15709), 2,
      sym_comment,
      sym_block_comment,
  [630166] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20313), 2,
      sym__outdent,
      anon_sym_case,
    STATE(15710), 2,
      sym_comment,
      sym_block_comment,
  [630181] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20315), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15711), 2,
      sym_comment,
      sym_block_comment,
  [630196] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20317), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(15712), 2,
      sym_comment,
      sym_block_comment,
  [630211] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20319), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15713), 2,
      sym_comment,
      sym_block_comment,
  [630226] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20321), 1,
      sym__indent,
    STATE(11297), 1,
      sym__indented_type_cases,
    STATE(15714), 2,
      sym_comment,
      sym_block_comment,
  [630243] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20323), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15715), 2,
      sym_comment,
      sym_block_comment,
  [630258] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20325), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(15716), 2,
      sym_comment,
      sym_block_comment,
  [630273] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20327), 1,
      sym__indent,
    STATE(15769), 1,
      sym__indented_type_cases,
    STATE(15717), 2,
      sym_comment,
      sym_block_comment,
  [630290] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20329), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15718), 2,
      sym_comment,
      sym_block_comment,
  [630305] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20313), 2,
      anon_sym_RBRACE,
      anon_sym_case,
    STATE(15719), 2,
      sym_comment,
      sym_block_comment,
  [630320] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20331), 1,
      anon_sym_LPAREN,
    STATE(13088), 1,
      sym_parenthesized_expression,
    STATE(15720), 2,
      sym_comment,
      sym_block_comment,
  [630337] = 3,
    ACTIONS(17518), 1,
      anon_sym_SLASH_STAR,
    STATE(15721), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(20333), 3,
      anon_sym_SLASH_SLASH,
      aux_sym_block_comment_token1,
      anon_sym_STAR_SLASH,
  [630350] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20335), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15722), 2,
      sym_comment,
      sym_block_comment,
  [630365] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20337), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15723), 2,
      sym_comment,
      sym_block_comment,
  [630380] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20339), 1,
      anon_sym_COLON,
    ACTIONS(20341), 1,
      anon_sym_EQ,
    STATE(15724), 2,
      sym_comment,
      sym_block_comment,
  [630397] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20343), 1,
      anon_sym_COLON,
    ACTIONS(20345), 1,
      anon_sym_EQ,
    STATE(15725), 2,
      sym_comment,
      sym_block_comment,
  [630414] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20347), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15726), 2,
      sym_comment,
      sym_block_comment,
  [630429] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20349), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(15727), 2,
      sym_comment,
      sym_block_comment,
  [630444] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20351), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15728), 2,
      sym_comment,
      sym_block_comment,
  [630459] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15389), 1,
      anon_sym_EQ_GT,
    ACTIONS(20353), 1,
      anon_sym_COLON,
    STATE(15729), 2,
      sym_comment,
      sym_block_comment,
  [630476] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20355), 1,
      sym__indent,
    STATE(10792), 1,
      sym__indented_type_cases,
    STATE(15730), 2,
      sym_comment,
      sym_block_comment,
  [630493] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20357), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(15731), 2,
      sym_comment,
      sym_block_comment,
  [630508] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20359), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15732), 2,
      sym_comment,
      sym_block_comment,
  [630523] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9566), 2,
      sym__interpolated_multiline_string_middle,
      sym__interpolated_multiline_string_end,
    STATE(15733), 2,
      sym_comment,
      sym_block_comment,
  [630538] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9566), 2,
      sym__interpolated_string_middle,
      sym__interpolated_string_end,
    STATE(15734), 2,
      sym_comment,
      sym_block_comment,
  [630553] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20361), 1,
      anon_sym_LPAREN,
    STATE(11603), 1,
      sym_parenthesized_expression,
    STATE(15735), 2,
      sym_comment,
      sym_block_comment,
  [630570] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20363), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15736), 2,
      sym_comment,
      sym_block_comment,
  [630585] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20365), 1,
      anon_sym_COLON,
    ACTIONS(20367), 1,
      anon_sym_EQ,
    STATE(15737), 2,
      sym_comment,
      sym_block_comment,
  [630602] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20369), 1,
      anon_sym_COLON,
    ACTIONS(20371), 1,
      anon_sym_EQ,
    STATE(15738), 2,
      sym_comment,
      sym_block_comment,
  [630619] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20373), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15739), 2,
      sym_comment,
      sym_block_comment,
  [630634] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20375), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(15740), 2,
      sym_comment,
      sym_block_comment,
  [630649] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17101), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    STATE(15741), 2,
      sym_comment,
      sym_block_comment,
  [630664] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20377), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    STATE(15742), 2,
      sym_comment,
      sym_block_comment,
  [630679] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11337), 2,
      sym__outdent,
      anon_sym_case,
    STATE(15743), 2,
      sym_comment,
      sym_block_comment,
  [630694] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7412), 1,
      anon_sym_object,
    ACTIONS(7416), 1,
      anon_sym_class,
    STATE(15744), 2,
      sym_comment,
      sym_block_comment,
  [630711] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20379), 1,
      sym__indent,
    STATE(10866), 1,
      sym__indented_type_cases,
    STATE(15745), 2,
      sym_comment,
      sym_block_comment,
  [630728] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20381), 1,
      anon_sym_object,
    ACTIONS(20383), 1,
      anon_sym_class,
    STATE(15746), 2,
      sym_comment,
      sym_block_comment,
  [630745] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20385), 1,
      anon_sym_LPAREN,
    STATE(13584), 1,
      sym_parenthesized_expression,
    STATE(15747), 2,
      sym_comment,
      sym_block_comment,
  [630762] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20387), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15748), 2,
      sym_comment,
      sym_block_comment,
  [630777] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20389), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(15749), 2,
      sym_comment,
      sym_block_comment,
  [630792] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20391), 1,
      sym__indent,
    STATE(14184), 1,
      sym_with_template_body,
    STATE(15750), 2,
      sym_comment,
      sym_block_comment,
  [630809] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14574), 1,
      anon_sym_object,
    ACTIONS(14578), 1,
      anon_sym_class,
    STATE(15751), 2,
      sym_comment,
      sym_block_comment,
  [630826] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20393), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15752), 2,
      sym_comment,
      sym_block_comment,
  [630841] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20395), 1,
      anon_sym_COLON,
    ACTIONS(20397), 1,
      anon_sym_EQ,
    STATE(15753), 2,
      sym_comment,
      sym_block_comment,
  [630858] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20399), 1,
      anon_sym_COLON,
    ACTIONS(20401), 1,
      anon_sym_EQ,
    STATE(15754), 2,
      sym_comment,
      sym_block_comment,
  [630875] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20403), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15755), 2,
      sym_comment,
      sym_block_comment,
  [630890] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20405), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(15756), 2,
      sym_comment,
      sym_block_comment,
  [630905] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20407), 1,
      sym__indent,
    STATE(12523), 1,
      sym__indented_type_cases,
    STATE(15757), 2,
      sym_comment,
      sym_block_comment,
  [630922] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20409), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15758), 2,
      sym_comment,
      sym_block_comment,
  [630937] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7434), 1,
      anon_sym_object,
    ACTIONS(7438), 1,
      anon_sym_class,
    STATE(15759), 2,
      sym_comment,
      sym_block_comment,
  [630954] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20411), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15760), 2,
      sym_comment,
      sym_block_comment,
  [630969] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11395), 2,
      sym__outdent,
      anon_sym_case,
    STATE(15761), 2,
      sym_comment,
      sym_block_comment,
  [630984] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20413), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15762), 2,
      sym_comment,
      sym_block_comment,
  [630999] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9538), 2,
      sym__interpolated_multiline_string_middle,
      sym__interpolated_multiline_string_end,
    STATE(15763), 2,
      sym_comment,
      sym_block_comment,
  [631014] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7694), 2,
      sym__outdent,
      anon_sym_case,
    STATE(15764), 2,
      sym_comment,
      sym_block_comment,
  [631029] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20415), 2,
      sym__outdent,
      anon_sym_case,
    STATE(15765), 2,
      sym_comment,
      sym_block_comment,
  [631044] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20417), 1,
      sym__indent,
    STATE(12884), 1,
      sym__indented_type_cases,
    STATE(15766), 2,
      sym_comment,
      sym_block_comment,
  [631061] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20419), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(15767), 2,
      sym_comment,
      sym_block_comment,
  [631076] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20421), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15768), 2,
      sym_comment,
      sym_block_comment,
  [631091] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11344), 2,
      sym__outdent,
      anon_sym_case,
    STATE(15769), 2,
      sym_comment,
      sym_block_comment,
  [631106] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11371), 2,
      sym__outdent,
      anon_sym_case,
    STATE(15770), 2,
      sym_comment,
      sym_block_comment,
  [631121] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9538), 2,
      sym__interpolated_string_middle,
      sym__interpolated_string_end,
    STATE(15771), 2,
      sym_comment,
      sym_block_comment,
  [631136] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11320), 2,
      sym__outdent,
      anon_sym_case,
    STATE(15772), 2,
      sym_comment,
      sym_block_comment,
  [631151] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11316), 2,
      sym__outdent,
      anon_sym_case,
    STATE(15773), 2,
      sym_comment,
      sym_block_comment,
  [631166] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11306), 2,
      sym__outdent,
      anon_sym_case,
    STATE(15774), 2,
      sym_comment,
      sym_block_comment,
  [631181] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11302), 2,
      sym__outdent,
      anon_sym_case,
    STATE(15775), 2,
      sym_comment,
      sym_block_comment,
  [631196] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11292), 2,
      sym__outdent,
      anon_sym_case,
    STATE(15776), 2,
      sym_comment,
      sym_block_comment,
  [631211] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9144), 2,
      sym__outdent,
      anon_sym_case,
    STATE(15777), 2,
      sym_comment,
      sym_block_comment,
  [631226] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9130), 2,
      sym__outdent,
      anon_sym_case,
    STATE(15778), 2,
      sym_comment,
      sym_block_comment,
  [631241] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9134), 2,
      sym__outdent,
      anon_sym_case,
    STATE(15779), 2,
      sym_comment,
      sym_block_comment,
  [631256] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11285), 2,
      sym__outdent,
      anon_sym_case,
    STATE(15780), 2,
      sym_comment,
      sym_block_comment,
  [631271] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20423), 1,
      anon_sym_else,
    STATE(15781), 2,
      sym_comment,
      sym_block_comment,
  [631285] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20425), 1,
      anon_sym_EQ_GT_GT,
    STATE(15782), 2,
      sym_comment,
      sym_block_comment,
  [631299] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20427), 1,
      anon_sym_RBRACE,
    STATE(15783), 2,
      sym_comment,
      sym_block_comment,
  [631313] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20429), 1,
      anon_sym_RPAREN,
    STATE(15784), 2,
      sym_comment,
      sym_block_comment,
  [631327] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20431), 1,
      anon_sym_EQ_GT,
    STATE(15785), 2,
      sym_comment,
      sym_block_comment,
  [631341] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20433), 1,
      anon_sym_RBRACE,
    STATE(15786), 2,
      sym_comment,
      sym_block_comment,
  [631355] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20427), 1,
      anon_sym_RBRACK,
    STATE(15787), 2,
      sym_comment,
      sym_block_comment,
  [631369] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20435), 1,
      anon_sym_EQ_GT_GT,
    STATE(15788), 2,
      sym_comment,
      sym_block_comment,
  [631383] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20437), 1,
      sym__outdent,
    STATE(15789), 2,
      sym_comment,
      sym_block_comment,
  [631397] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20439), 1,
      anon_sym_EQ_GT_GT,
    STATE(15790), 2,
      sym_comment,
      sym_block_comment,
  [631411] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20441), 1,
      anon_sym_EQ_GT_GT,
    STATE(15791), 2,
      sym_comment,
      sym_block_comment,
  [631425] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20443), 1,
      anon_sym_EQ_GT_GT,
    STATE(15792), 2,
      sym_comment,
      sym_block_comment,
  [631439] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20445), 1,
      anon_sym_EQ_GT_GT,
    STATE(15793), 2,
      sym_comment,
      sym_block_comment,
  [631453] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20447), 1,
      sym__outdent,
    STATE(15794), 2,
      sym_comment,
      sym_block_comment,
  [631467] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11156), 1,
      anon_sym_DOT,
    STATE(15795), 2,
      sym_comment,
      sym_block_comment,
  [631481] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20449), 1,
      anon_sym_do,
    STATE(15796), 2,
      sym_comment,
      sym_block_comment,
  [631495] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20451), 1,
      anon_sym_COLON,
    STATE(15797), 2,
      sym_comment,
      sym_block_comment,
  [631509] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11435), 1,
      anon_sym_DOT,
    STATE(15798), 2,
      sym_comment,
      sym_block_comment,
  [631523] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20453), 1,
      anon_sym_RBRACE,
    STATE(15799), 2,
      sym_comment,
      sym_block_comment,
  [631537] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20455), 1,
      anon_sym_COLON,
    STATE(15800), 2,
      sym_comment,
      sym_block_comment,
  [631551] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20457), 1,
      anon_sym_else,
    STATE(15801), 2,
      sym_comment,
      sym_block_comment,
  [631565] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20459), 1,
      anon_sym_else,
    STATE(15802), 2,
      sym_comment,
      sym_block_comment,
  [631579] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20461), 1,
      sym__outdent,
    STATE(15803), 2,
      sym_comment,
      sym_block_comment,
  [631593] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20463), 1,
      anon_sym_EQ_GT_GT,
    STATE(15804), 2,
      sym_comment,
      sym_block_comment,
  [631607] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20465), 1,
      anon_sym_RPAREN,
    STATE(15805), 2,
      sym_comment,
      sym_block_comment,
  [631621] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20467), 1,
      anon_sym_EQ_GT_GT,
    STATE(15806), 2,
      sym_comment,
      sym_block_comment,
  [631635] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20469), 1,
      anon_sym_EQ_GT_GT,
    STATE(15807), 2,
      sym_comment,
      sym_block_comment,
  [631649] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20471), 1,
      anon_sym_else,
    STATE(15808), 2,
      sym_comment,
      sym_block_comment,
  [631663] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20473), 1,
      anon_sym_EQ_GT_GT,
    STATE(15809), 2,
      sym_comment,
      sym_block_comment,
  [631677] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20475), 1,
      anon_sym_RPAREN,
    STATE(15810), 2,
      sym_comment,
      sym_block_comment,
  [631691] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20477), 1,
      sym__outdent,
    STATE(15811), 2,
      sym_comment,
      sym_block_comment,
  [631705] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20479), 1,
      sym__outdent,
    STATE(15812), 2,
      sym_comment,
      sym_block_comment,
  [631719] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20481), 1,
      anon_sym_EQ_GT,
    STATE(15813), 2,
      sym_comment,
      sym_block_comment,
  [631733] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20483), 1,
      anon_sym_EQ_GT_GT,
    STATE(15814), 2,
      sym_comment,
      sym_block_comment,
  [631747] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20485), 1,
      anon_sym_EQ_GT,
    STATE(15815), 2,
      sym_comment,
      sym_block_comment,
  [631761] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20487), 1,
      anon_sym_RPAREN,
    STATE(15816), 2,
      sym_comment,
      sym_block_comment,
  [631775] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20489), 1,
      anon_sym_else,
    STATE(15817), 2,
      sym_comment,
      sym_block_comment,
  [631789] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20491), 1,
      anon_sym_EQ_GT_GT,
    STATE(15818), 2,
      sym_comment,
      sym_block_comment,
  [631803] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20493), 1,
      anon_sym_RBRACE,
    STATE(15819), 2,
      sym_comment,
      sym_block_comment,
  [631817] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20495), 1,
      anon_sym_EQ_GT_GT,
    STATE(15820), 2,
      sym_comment,
      sym_block_comment,
  [631831] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20497), 1,
      anon_sym_EQ_GT_GT,
    STATE(15821), 2,
      sym_comment,
      sym_block_comment,
  [631845] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20499), 1,
      anon_sym_EQ_GT_GT,
    STATE(15822), 2,
      sym_comment,
      sym_block_comment,
  [631859] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20501), 1,
      anon_sym_do,
    STATE(15823), 2,
      sym_comment,
      sym_block_comment,
  [631873] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20503), 1,
      anon_sym_RBRACK,
    STATE(15824), 2,
      sym_comment,
      sym_block_comment,
  [631887] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20503), 1,
      anon_sym_RBRACE,
    STATE(15825), 2,
      sym_comment,
      sym_block_comment,
  [631901] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20505), 1,
      anon_sym_RBRACE,
    STATE(15826), 2,
      sym_comment,
      sym_block_comment,
  [631915] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20507), 1,
      anon_sym_COLON,
    STATE(15827), 2,
      sym_comment,
      sym_block_comment,
  [631929] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10280), 1,
      anon_sym_DOT,
    STATE(15828), 2,
      sym_comment,
      sym_block_comment,
  [631943] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20509), 1,
      anon_sym_RBRACK,
    STATE(15829), 2,
      sym_comment,
      sym_block_comment,
  [631957] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20511), 1,
      sym__outdent,
    STATE(15830), 2,
      sym_comment,
      sym_block_comment,
  [631971] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20509), 1,
      anon_sym_RBRACE,
    STATE(15831), 2,
      sym_comment,
      sym_block_comment,
  [631985] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20513), 1,
      anon_sym_RBRACE,
    STATE(15832), 2,
      sym_comment,
      sym_block_comment,
  [631999] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20515), 1,
      anon_sym_RPAREN,
    STATE(15833), 2,
      sym_comment,
      sym_block_comment,
  [632013] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20515), 1,
      anon_sym_RBRACE,
    STATE(15834), 2,
      sym_comment,
      sym_block_comment,
  [632027] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20517), 1,
      sym__outdent,
    STATE(15835), 2,
      sym_comment,
      sym_block_comment,
  [632041] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20513), 1,
      anon_sym_RPAREN,
    STATE(15836), 2,
      sym_comment,
      sym_block_comment,
  [632055] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20519), 1,
      anon_sym_RBRACE,
    STATE(15837), 2,
      sym_comment,
      sym_block_comment,
  [632069] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12120), 1,
      anon_sym_DOT,
    STATE(15838), 2,
      sym_comment,
      sym_block_comment,
  [632083] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20521), 1,
      anon_sym_RBRACE,
    STATE(15839), 2,
      sym_comment,
      sym_block_comment,
  [632097] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20523), 1,
      anon_sym_COLON,
    STATE(15840), 2,
      sym_comment,
      sym_block_comment,
  [632111] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20519), 1,
      anon_sym_RBRACK,
    STATE(15841), 2,
      sym_comment,
      sym_block_comment,
  [632125] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20525), 1,
      anon_sym_RPAREN,
    STATE(15842), 2,
      sym_comment,
      sym_block_comment,
  [632139] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20527), 1,
      anon_sym_EQ_GT_GT,
    STATE(15843), 2,
      sym_comment,
      sym_block_comment,
  [632153] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20529), 1,
      anon_sym_EQ_GT_GT,
    STATE(15844), 2,
      sym_comment,
      sym_block_comment,
  [632167] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20531), 1,
      anon_sym_EQ_GT,
    STATE(15845), 2,
      sym_comment,
      sym_block_comment,
  [632181] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20533), 1,
      anon_sym_do,
    STATE(15846), 2,
      sym_comment,
      sym_block_comment,
  [632195] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20535), 1,
      anon_sym_EQ_GT_GT,
    STATE(15847), 2,
      sym_comment,
      sym_block_comment,
  [632209] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20537), 1,
      anon_sym_EQ_GT_GT,
    STATE(15848), 2,
      sym_comment,
      sym_block_comment,
  [632223] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20539), 1,
      sym__outdent,
    STATE(15849), 2,
      sym_comment,
      sym_block_comment,
  [632237] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20541), 1,
      anon_sym_EQ_GT_GT,
    STATE(15850), 2,
      sym_comment,
      sym_block_comment,
  [632251] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20543), 1,
      anon_sym_EQ_GT_GT,
    STATE(15851), 2,
      sym_comment,
      sym_block_comment,
  [632265] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20545), 1,
      anon_sym_EQ_GT_GT,
    STATE(15852), 2,
      sym_comment,
      sym_block_comment,
  [632279] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20429), 1,
      anon_sym_RBRACE,
    STATE(15853), 2,
      sym_comment,
      sym_block_comment,
  [632293] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20547), 1,
      anon_sym_RBRACE,
    STATE(15854), 2,
      sym_comment,
      sym_block_comment,
  [632307] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20549), 1,
      anon_sym_EQ_GT,
    STATE(15855), 2,
      sym_comment,
      sym_block_comment,
  [632321] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20551), 1,
      anon_sym_else,
    STATE(15856), 2,
      sym_comment,
      sym_block_comment,
  [632335] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20553), 1,
      anon_sym_COLON,
    STATE(15857), 2,
      sym_comment,
      sym_block_comment,
  [632349] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11128), 1,
      anon_sym_DOT,
    STATE(15858), 2,
      sym_comment,
      sym_block_comment,
  [632363] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20555), 1,
      anon_sym_else,
    STATE(15859), 2,
      sym_comment,
      sym_block_comment,
  [632377] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20557), 1,
      sym__outdent,
    STATE(15860), 2,
      sym_comment,
      sym_block_comment,
  [632391] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20559), 1,
      anon_sym_RPAREN,
    STATE(15861), 2,
      sym_comment,
      sym_block_comment,
  [632405] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20561), 1,
      anon_sym_RPAREN,
    STATE(15862), 2,
      sym_comment,
      sym_block_comment,
  [632419] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20563), 1,
      sym__outdent,
    STATE(15863), 2,
      sym_comment,
      sym_block_comment,
  [632433] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20565), 1,
      anon_sym_else,
    STATE(15864), 2,
      sym_comment,
      sym_block_comment,
  [632447] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20567), 1,
      anon_sym_EQ_GT_GT,
    STATE(15865), 2,
      sym_comment,
      sym_block_comment,
  [632461] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20569), 1,
      anon_sym_else,
    STATE(15866), 2,
      sym_comment,
      sym_block_comment,
  [632475] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20571), 1,
      anon_sym_do,
    STATE(15867), 2,
      sym_comment,
      sym_block_comment,
  [632489] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20573), 1,
      sym__outdent,
    STATE(15868), 2,
      sym_comment,
      sym_block_comment,
  [632503] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20575), 1,
      anon_sym_RBRACE,
    STATE(15869), 2,
      sym_comment,
      sym_block_comment,
  [632517] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10304), 1,
      anon_sym_DOT,
    STATE(15870), 2,
      sym_comment,
      sym_block_comment,
  [632531] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20577), 1,
      anon_sym_COLON,
    STATE(15871), 2,
      sym_comment,
      sym_block_comment,
  [632545] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20579), 1,
      anon_sym_RPAREN,
    STATE(15872), 2,
      sym_comment,
      sym_block_comment,
  [632559] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20581), 1,
      sym__outdent,
    STATE(15873), 2,
      sym_comment,
      sym_block_comment,
  [632573] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20583), 1,
      anon_sym_RBRACK,
    STATE(15874), 2,
      sym_comment,
      sym_block_comment,
  [632587] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20585), 1,
      anon_sym_EQ_GT,
    STATE(15875), 2,
      sym_comment,
      sym_block_comment,
  [632601] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20583), 1,
      anon_sym_RBRACE,
    STATE(15876), 2,
      sym_comment,
      sym_block_comment,
  [632615] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20587), 1,
      anon_sym_RBRACK,
    STATE(15877), 2,
      sym_comment,
      sym_block_comment,
  [632629] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20589), 1,
      anon_sym_EQ_GT_GT,
    STATE(15878), 2,
      sym_comment,
      sym_block_comment,
  [632643] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20591), 1,
      anon_sym_RBRACE,
    STATE(15879), 2,
      sym_comment,
      sym_block_comment,
  [632657] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20593), 1,
      anon_sym_EQ_GT_GT,
    STATE(15880), 2,
      sym_comment,
      sym_block_comment,
  [632671] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20595), 1,
      anon_sym_EQ_GT_GT,
    STATE(15881), 2,
      sym_comment,
      sym_block_comment,
  [632685] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20597), 1,
      anon_sym_EQ_GT_GT,
    STATE(15882), 2,
      sym_comment,
      sym_block_comment,
  [632699] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20587), 1,
      anon_sym_RBRACE,
    STATE(15883), 2,
      sym_comment,
      sym_block_comment,
  [632713] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20599), 1,
      anon_sym_RPAREN,
    STATE(15884), 2,
      sym_comment,
      sym_block_comment,
  [632727] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20601), 1,
      anon_sym_COLON,
    STATE(15885), 2,
      sym_comment,
      sym_block_comment,
  [632741] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10682), 1,
      anon_sym_DOT,
    STATE(15886), 2,
      sym_comment,
      sym_block_comment,
  [632755] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20603), 1,
      anon_sym_RPAREN,
    STATE(15887), 2,
      sym_comment,
      sym_block_comment,
  [632769] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20605), 1,
      sym__outdent,
    STATE(15888), 2,
      sym_comment,
      sym_block_comment,
  [632783] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20603), 1,
      anon_sym_RBRACE,
    STATE(15889), 2,
      sym_comment,
      sym_block_comment,
  [632797] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20607), 1,
      sym__outdent,
    STATE(15890), 2,
      sym_comment,
      sym_block_comment,
  [632811] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20591), 1,
      anon_sym_RPAREN,
    STATE(15891), 2,
      sym_comment,
      sym_block_comment,
  [632825] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20609), 1,
      anon_sym_RBRACE,
    STATE(15892), 2,
      sym_comment,
      sym_block_comment,
  [632839] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20611), 1,
      anon_sym_EQ_GT_GT,
    STATE(15893), 2,
      sym_comment,
      sym_block_comment,
  [632853] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20613), 1,
      anon_sym_RBRACE,
    STATE(15894), 2,
      sym_comment,
      sym_block_comment,
  [632867] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20615), 1,
      anon_sym_EQ_GT_GT,
    STATE(15895), 2,
      sym_comment,
      sym_block_comment,
  [632881] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20617), 1,
      anon_sym_EQ_GT_GT,
    STATE(15896), 2,
      sym_comment,
      sym_block_comment,
  [632895] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20619), 1,
      anon_sym_EQ_GT_GT,
    STATE(15897), 2,
      sym_comment,
      sym_block_comment,
  [632909] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20609), 1,
      anon_sym_RBRACK,
    STATE(15898), 2,
      sym_comment,
      sym_block_comment,
  [632923] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20621), 1,
      anon_sym_EQ_GT,
    STATE(15899), 2,
      sym_comment,
      sym_block_comment,
  [632937] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20623), 1,
      anon_sym_RPAREN,
    STATE(15900), 2,
      sym_comment,
      sym_block_comment,
  [632951] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20625), 1,
      sym__outdent,
    STATE(15901), 2,
      sym_comment,
      sym_block_comment,
  [632965] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20627), 1,
      anon_sym_EQ_GT,
    STATE(15902), 2,
      sym_comment,
      sym_block_comment,
  [632979] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20629), 1,
      anon_sym_else,
    STATE(15903), 2,
      sym_comment,
      sym_block_comment,
  [632993] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20631), 1,
      anon_sym_RPAREN,
    STATE(15904), 2,
      sym_comment,
      sym_block_comment,
  [633007] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20633), 1,
      anon_sym_EQ_GT_GT,
    STATE(15905), 2,
      sym_comment,
      sym_block_comment,
  [633021] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20635), 1,
      sym__outdent,
    STATE(15906), 2,
      sym_comment,
      sym_block_comment,
  [633035] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20637), 1,
      anon_sym_EQ_GT_GT,
    STATE(15907), 2,
      sym_comment,
      sym_block_comment,
  [633049] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20639), 1,
      anon_sym_EQ_GT_GT,
    STATE(15908), 2,
      sym_comment,
      sym_block_comment,
  [633063] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20641), 1,
      anon_sym_EQ_GT_GT,
    STATE(15909), 2,
      sym_comment,
      sym_block_comment,
  [633077] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20643), 1,
      sym__outdent,
    STATE(15910), 2,
      sym_comment,
      sym_block_comment,
  [633091] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20645), 1,
      anon_sym_do,
    STATE(15911), 2,
      sym_comment,
      sym_block_comment,
  [633105] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20647), 1,
      anon_sym_COLON,
    STATE(15912), 2,
      sym_comment,
      sym_block_comment,
  [633119] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10543), 1,
      anon_sym_DOT,
    STATE(15913), 2,
      sym_comment,
      sym_block_comment,
  [633133] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20649), 1,
      anon_sym_do,
    STATE(15914), 2,
      sym_comment,
      sym_block_comment,
  [633147] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20651), 1,
      anon_sym_RBRACE,
    STATE(15915), 2,
      sym_comment,
      sym_block_comment,
  [633161] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20653), 1,
      anon_sym_RBRACE,
    STATE(15916), 2,
      sym_comment,
      sym_block_comment,
  [633175] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20655), 1,
      anon_sym_else,
    STATE(15917), 2,
      sym_comment,
      sym_block_comment,
  [633189] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20657), 1,
      sym__outdent,
    STATE(15918), 2,
      sym_comment,
      sym_block_comment,
  [633203] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20659), 1,
      sym__outdent,
    STATE(15919), 2,
      sym_comment,
      sym_block_comment,
  [633217] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20661), 1,
      anon_sym_RPAREN,
    STATE(15920), 2,
      sym_comment,
      sym_block_comment,
  [633231] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15457), 1,
      anon_sym_DOT,
    STATE(15921), 2,
      sym_comment,
      sym_block_comment,
  [633245] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20663), 1,
      anon_sym_else,
    STATE(15922), 2,
      sym_comment,
      sym_block_comment,
  [633259] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20665), 1,
      anon_sym_COLON,
    STATE(15923), 2,
      sym_comment,
      sym_block_comment,
  [633273] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20667), 1,
      anon_sym_RBRACE,
    STATE(15924), 2,
      sym_comment,
      sym_block_comment,
  [633287] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20667), 1,
      anon_sym_RPAREN,
    STATE(15925), 2,
      sym_comment,
      sym_block_comment,
  [633301] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20669), 1,
      anon_sym_EQ_GT_GT,
    STATE(15926), 2,
      sym_comment,
      sym_block_comment,
  [633315] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20671), 1,
      sym__outdent,
    STATE(15927), 2,
      sym_comment,
      sym_block_comment,
  [633329] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20673), 1,
      anon_sym_RPAREN,
    STATE(15928), 2,
      sym_comment,
      sym_block_comment,
  [633343] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20675), 1,
      anon_sym_EQ_GT_GT,
    STATE(15929), 2,
      sym_comment,
      sym_block_comment,
  [633357] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20677), 1,
      anon_sym_EQ_GT_GT,
    STATE(15930), 2,
      sym_comment,
      sym_block_comment,
  [633371] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20679), 1,
      anon_sym_EQ_GT_GT,
    STATE(15931), 2,
      sym_comment,
      sym_block_comment,
  [633385] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20681), 1,
      anon_sym_EQ_GT_GT,
    STATE(15932), 2,
      sym_comment,
      sym_block_comment,
  [633399] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20683), 1,
      anon_sym_EQ_GT_GT,
    STATE(15933), 2,
      sym_comment,
      sym_block_comment,
  [633413] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20685), 1,
      anon_sym_EQ_GT_GT,
    STATE(15934), 2,
      sym_comment,
      sym_block_comment,
  [633427] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20687), 1,
      anon_sym_RBRACE,
    STATE(15935), 2,
      sym_comment,
      sym_block_comment,
  [633441] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20689), 1,
      anon_sym_COLON,
    STATE(15936), 2,
      sym_comment,
      sym_block_comment,
  [633455] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12762), 1,
      anon_sym_DOT,
    STATE(15937), 2,
      sym_comment,
      sym_block_comment,
  [633469] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20691), 1,
      anon_sym_EQ_GT_GT,
    STATE(15938), 2,
      sym_comment,
      sym_block_comment,
  [633483] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20693), 1,
      anon_sym_EQ_GT_GT,
    STATE(15939), 2,
      sym_comment,
      sym_block_comment,
  [633497] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20695), 1,
      anon_sym_RPAREN,
    STATE(15940), 2,
      sym_comment,
      sym_block_comment,
  [633511] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20697), 1,
      sym__outdent,
    STATE(15941), 2,
      sym_comment,
      sym_block_comment,
  [633525] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20699), 1,
      anon_sym_EQ_GT,
    STATE(15942), 2,
      sym_comment,
      sym_block_comment,
  [633539] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20701), 1,
      anon_sym_RBRACK,
    STATE(15943), 2,
      sym_comment,
      sym_block_comment,
  [633553] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20701), 1,
      anon_sym_RBRACE,
    STATE(15944), 2,
      sym_comment,
      sym_block_comment,
  [633567] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20703), 1,
      anon_sym_else,
    STATE(15945), 2,
      sym_comment,
      sym_block_comment,
  [633581] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20705), 1,
      anon_sym_RBRACK,
    STATE(15946), 2,
      sym_comment,
      sym_block_comment,
  [633595] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20707), 1,
      anon_sym_RPAREN,
    STATE(15947), 2,
      sym_comment,
      sym_block_comment,
  [633609] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20705), 1,
      anon_sym_RBRACE,
    STATE(15948), 2,
      sym_comment,
      sym_block_comment,
  [633623] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20709), 1,
      sym__outdent,
    STATE(15949), 2,
      sym_comment,
      sym_block_comment,
  [633637] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20711), 1,
      anon_sym_RPAREN,
    STATE(15950), 2,
      sym_comment,
      sym_block_comment,
  [633651] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20711), 1,
      anon_sym_RBRACE,
    STATE(15951), 2,
      sym_comment,
      sym_block_comment,
  [633665] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20713), 1,
      sym__outdent,
    STATE(15952), 2,
      sym_comment,
      sym_block_comment,
  [633679] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20715), 1,
      anon_sym_EQ_GT_GT,
    STATE(15953), 2,
      sym_comment,
      sym_block_comment,
  [633693] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20717), 1,
      anon_sym_EQ_GT_GT,
    STATE(15954), 2,
      sym_comment,
      sym_block_comment,
  [633707] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20719), 1,
      anon_sym_EQ_GT_GT,
    STATE(15955), 2,
      sym_comment,
      sym_block_comment,
  [633721] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20721), 1,
      anon_sym_EQ_GT_GT,
    STATE(15956), 2,
      sym_comment,
      sym_block_comment,
  [633735] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20723), 1,
      anon_sym_else,
    STATE(15957), 2,
      sym_comment,
      sym_block_comment,
  [633749] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20725), 1,
      anon_sym_do,
    STATE(15958), 2,
      sym_comment,
      sym_block_comment,
  [633763] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20727), 1,
      anon_sym_COLON,
    STATE(15959), 2,
      sym_comment,
      sym_block_comment,
  [633777] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9227), 1,
      anon_sym_DOT,
    STATE(15960), 2,
      sym_comment,
      sym_block_comment,
  [633791] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20729), 1,
      anon_sym_RBRACE,
    STATE(15961), 2,
      sym_comment,
      sym_block_comment,
  [633805] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20731), 1,
      anon_sym_RBRACE,
    STATE(15962), 2,
      sym_comment,
      sym_block_comment,
  [633819] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20733), 1,
      sym__outdent,
    STATE(15963), 2,
      sym_comment,
      sym_block_comment,
  [633833] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20735), 1,
      anon_sym_RBRACE,
    STATE(15964), 2,
      sym_comment,
      sym_block_comment,
  [633847] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20735), 1,
      anon_sym_RPAREN,
    STATE(15965), 2,
      sym_comment,
      sym_block_comment,
  [633861] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20737), 1,
      anon_sym_RPAREN,
    STATE(15966), 2,
      sym_comment,
      sym_block_comment,
  [633875] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20739), 1,
      anon_sym_EQ_GT_GT,
    STATE(15967), 2,
      sym_comment,
      sym_block_comment,
  [633889] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20741), 1,
      anon_sym_do,
    STATE(15968), 2,
      sym_comment,
      sym_block_comment,
  [633903] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9979), 1,
      anon_sym_DOT,
    STATE(15969), 2,
      sym_comment,
      sym_block_comment,
  [633917] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20743), 1,
      anon_sym_RBRACE,
    STATE(15970), 2,
      sym_comment,
      sym_block_comment,
  [633931] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20745), 1,
      anon_sym_COLON,
    STATE(15971), 2,
      sym_comment,
      sym_block_comment,
  [633945] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20747), 1,
      anon_sym_else,
    STATE(15972), 2,
      sym_comment,
      sym_block_comment,
  [633959] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20749), 1,
      anon_sym_else,
    STATE(15973), 2,
      sym_comment,
      sym_block_comment,
  [633973] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20751), 1,
      sym__outdent,
    STATE(15974), 2,
      sym_comment,
      sym_block_comment,
  [633987] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20753), 1,
      anon_sym_RPAREN,
    STATE(15975), 2,
      sym_comment,
      sym_block_comment,
  [634001] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20755), 1,
      anon_sym_EQ_GT_GT,
    STATE(15976), 2,
      sym_comment,
      sym_block_comment,
  [634015] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20757), 1,
      anon_sym_EQ_GT_GT,
    STATE(15977), 2,
      sym_comment,
      sym_block_comment,
  [634029] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20759), 1,
      anon_sym_EQ_GT_GT,
    STATE(15978), 2,
      sym_comment,
      sym_block_comment,
  [634043] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20761), 1,
      anon_sym_EQ_GT_GT,
    STATE(15979), 2,
      sym_comment,
      sym_block_comment,
  [634057] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20763), 1,
      sym__outdent,
    STATE(15980), 2,
      sym_comment,
      sym_block_comment,
  [634071] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20765), 1,
      anon_sym_EQ_GT_GT,
    STATE(15981), 2,
      sym_comment,
      sym_block_comment,
  [634085] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20767), 1,
      anon_sym_COLON,
    STATE(15982), 2,
      sym_comment,
      sym_block_comment,
  [634099] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8265), 1,
      anon_sym_DOT,
    STATE(15983), 2,
      sym_comment,
      sym_block_comment,
  [634113] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20769), 1,
      anon_sym_EQ_GT_GT,
    STATE(15984), 2,
      sym_comment,
      sym_block_comment,
  [634127] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20771), 1,
      anon_sym_EQ_GT_GT,
    STATE(15985), 2,
      sym_comment,
      sym_block_comment,
  [634141] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20773), 1,
      anon_sym_else,
    STATE(15986), 2,
      sym_comment,
      sym_block_comment,
  [634155] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20775), 1,
      sym__outdent,
    STATE(15987), 2,
      sym_comment,
      sym_block_comment,
  [634169] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20777), 1,
      anon_sym_else,
    STATE(15988), 2,
      sym_comment,
      sym_block_comment,
  [634183] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20779), 1,
      anon_sym_EQ_GT,
    STATE(15989), 2,
      sym_comment,
      sym_block_comment,
  [634197] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20781), 1,
      anon_sym_do,
    STATE(15990), 2,
      sym_comment,
      sym_block_comment,
  [634211] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20783), 1,
      anon_sym_RBRACE,
    STATE(15991), 2,
      sym_comment,
      sym_block_comment,
  [634225] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20785), 1,
      sym__outdent,
    STATE(15992), 2,
      sym_comment,
      sym_block_comment,
  [634239] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20787), 1,
      sym__outdent,
    STATE(15993), 2,
      sym_comment,
      sym_block_comment,
  [634253] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20789), 1,
      anon_sym_RBRACE,
    STATE(15994), 2,
      sym_comment,
      sym_block_comment,
  [634267] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20789), 1,
      anon_sym_RPAREN,
    STATE(15995), 2,
      sym_comment,
      sym_block_comment,
  [634281] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20791), 1,
      anon_sym_RPAREN,
    STATE(15996), 2,
      sym_comment,
      sym_block_comment,
  [634295] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20793), 1,
      anon_sym_EQ_GT_GT,
    STATE(15997), 2,
      sym_comment,
      sym_block_comment,
  [634309] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20795), 1,
      anon_sym_EQ_GT_GT,
    STATE(15998), 2,
      sym_comment,
      sym_block_comment,
  [634323] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20797), 1,
      anon_sym_EQ_GT_GT,
    STATE(15999), 2,
      sym_comment,
      sym_block_comment,
  [634337] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20799), 1,
      anon_sym_EQ_GT_GT,
    STATE(16000), 2,
      sym_comment,
      sym_block_comment,
  [634351] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20801), 1,
      anon_sym_RPAREN,
    STATE(16001), 2,
      sym_comment,
      sym_block_comment,
  [634365] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20803), 1,
      anon_sym_RBRACK,
    STATE(16002), 2,
      sym_comment,
      sym_block_comment,
  [634379] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20805), 1,
      anon_sym_COLON,
    STATE(16003), 2,
      sym_comment,
      sym_block_comment,
  [634393] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8765), 1,
      anon_sym_DOT,
    STATE(16004), 2,
      sym_comment,
      sym_block_comment,
  [634407] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20803), 1,
      anon_sym_RBRACE,
    STATE(16005), 2,
      sym_comment,
      sym_block_comment,
  [634421] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20807), 1,
      anon_sym_RBRACK,
    STATE(16006), 2,
      sym_comment,
      sym_block_comment,
  [634435] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20807), 1,
      anon_sym_RBRACE,
    STATE(16007), 2,
      sym_comment,
      sym_block_comment,
  [634449] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20809), 1,
      sym__outdent,
    STATE(16008), 2,
      sym_comment,
      sym_block_comment,
  [634463] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20811), 1,
      anon_sym_else,
    STATE(16009), 2,
      sym_comment,
      sym_block_comment,
  [634477] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20813), 1,
      anon_sym_RPAREN,
    STATE(16010), 2,
      sym_comment,
      sym_block_comment,
  [634491] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20815), 1,
      sym__outdent,
    STATE(16011), 2,
      sym_comment,
      sym_block_comment,
  [634505] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11015), 1,
      anon_sym_DOT,
    STATE(16012), 2,
      sym_comment,
      sym_block_comment,
  [634519] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20817), 1,
      anon_sym_RPAREN,
    STATE(16013), 2,
      sym_comment,
      sym_block_comment,
  [634533] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20817), 1,
      anon_sym_RBRACE,
    STATE(16014), 2,
      sym_comment,
      sym_block_comment,
  [634547] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19901), 1,
      anon_sym_EQ_GT,
    STATE(16015), 2,
      sym_comment,
      sym_block_comment,
  [634561] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20819), 1,
      sym__outdent,
    STATE(16016), 2,
      sym_comment,
      sym_block_comment,
  [634575] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16435), 1,
      anon_sym_COLON,
    STATE(16017), 2,
      sym_comment,
      sym_block_comment,
  [634589] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20821), 1,
      anon_sym_EQ_GT_GT,
    STATE(16018), 2,
      sym_comment,
      sym_block_comment,
  [634603] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20823), 1,
      anon_sym_EQ_GT_GT,
    STATE(16019), 2,
      sym_comment,
      sym_block_comment,
  [634617] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20825), 1,
      anon_sym_EQ_GT_GT,
    STATE(16020), 2,
      sym_comment,
      sym_block_comment,
  [634631] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20827), 1,
      anon_sym_EQ_GT_GT,
    STATE(16021), 2,
      sym_comment,
      sym_block_comment,
  [634645] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20829), 1,
      anon_sym_else,
    STATE(16022), 2,
      sym_comment,
      sym_block_comment,
  [634659] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20831), 1,
      anon_sym_else,
    STATE(16023), 2,
      sym_comment,
      sym_block_comment,
  [634673] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20353), 1,
      anon_sym_COLON,
    STATE(16024), 2,
      sym_comment,
      sym_block_comment,
  [634687] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10257), 1,
      anon_sym_DOT,
    STATE(16025), 2,
      sym_comment,
      sym_block_comment,
  [634701] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20833), 1,
      anon_sym_RBRACE,
    STATE(16026), 2,
      sym_comment,
      sym_block_comment,
  [634715] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20835), 1,
      anon_sym_do,
    STATE(16027), 2,
      sym_comment,
      sym_block_comment,
  [634729] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20837), 1,
      anon_sym_EQ_GT_GT,
    STATE(16028), 2,
      sym_comment,
      sym_block_comment,
  [634743] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20839), 1,
      anon_sym_EQ_GT_GT,
    STATE(16029), 2,
      sym_comment,
      sym_block_comment,
  [634757] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20841), 1,
      anon_sym_EQ_GT_GT,
    STATE(16030), 2,
      sym_comment,
      sym_block_comment,
  [634771] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20843), 1,
      anon_sym_do,
    STATE(16031), 2,
      sym_comment,
      sym_block_comment,
  [634785] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20845), 1,
      anon_sym_EQ_GT_GT,
    STATE(16032), 2,
      sym_comment,
      sym_block_comment,
  [634799] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20847), 1,
      anon_sym_RBRACE,
    STATE(16033), 2,
      sym_comment,
      sym_block_comment,
  [634813] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20849), 1,
      anon_sym_else,
    STATE(16034), 2,
      sym_comment,
      sym_block_comment,
  [634827] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20851), 1,
      anon_sym_else,
    STATE(16035), 2,
      sym_comment,
      sym_block_comment,
  [634841] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20853), 1,
      sym__outdent,
    STATE(16036), 2,
      sym_comment,
      sym_block_comment,
  [634855] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20855), 1,
      anon_sym_EQ_GT,
    STATE(16037), 2,
      sym_comment,
      sym_block_comment,
  [634869] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20857), 1,
      sym__outdent,
    STATE(16038), 2,
      sym_comment,
      sym_block_comment,
  [634883] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20859), 1,
      anon_sym_EQ_GT_GT,
    STATE(16039), 2,
      sym_comment,
      sym_block_comment,
  [634897] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20861), 1,
      anon_sym_EQ_GT_GT,
    STATE(16040), 2,
      sym_comment,
      sym_block_comment,
  [634911] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20863), 1,
      anon_sym_EQ_GT_GT,
    STATE(16041), 2,
      sym_comment,
      sym_block_comment,
  [634925] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20865), 1,
      anon_sym_EQ_GT_GT,
    STATE(16042), 2,
      sym_comment,
      sym_block_comment,
  [634939] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20867), 1,
      anon_sym_RPAREN,
    STATE(16043), 2,
      sym_comment,
      sym_block_comment,
  [634953] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20869), 1,
      anon_sym_RBRACE,
    STATE(16044), 2,
      sym_comment,
      sym_block_comment,
  [634967] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20871), 1,
      anon_sym_COLON,
    STATE(16045), 2,
      sym_comment,
      sym_block_comment,
  [634981] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9634), 1,
      anon_sym_DOT,
    STATE(16046), 2,
      sym_comment,
      sym_block_comment,
  [634995] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20873), 1,
      anon_sym_else,
    STATE(16047), 2,
      sym_comment,
      sym_block_comment,
  [635009] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20869), 1,
      anon_sym_RPAREN,
    STATE(16048), 2,
      sym_comment,
      sym_block_comment,
  [635023] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20875), 1,
      anon_sym_RPAREN,
    STATE(16049), 2,
      sym_comment,
      sym_block_comment,
  [635037] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20877), 1,
      sym__outdent,
    STATE(16050), 2,
      sym_comment,
      sym_block_comment,
  [635051] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20879), 1,
      sym__outdent,
    STATE(16051), 2,
      sym_comment,
      sym_block_comment,
  [635065] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20881), 1,
      anon_sym_else,
    STATE(16052), 2,
      sym_comment,
      sym_block_comment,
  [635079] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20883), 1,
      anon_sym_RPAREN,
    STATE(16053), 2,
      sym_comment,
      sym_block_comment,
  [635093] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20885), 1,
      sym__outdent,
    STATE(16054), 2,
      sym_comment,
      sym_block_comment,
  [635107] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20887), 1,
      anon_sym_RPAREN,
    STATE(16055), 2,
      sym_comment,
      sym_block_comment,
  [635121] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20889), 1,
      anon_sym_else,
    STATE(16056), 2,
      sym_comment,
      sym_block_comment,
  [635135] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20891), 1,
      anon_sym_RBRACK,
    STATE(16057), 2,
      sym_comment,
      sym_block_comment,
  [635149] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20891), 1,
      anon_sym_RBRACE,
    STATE(16058), 2,
      sym_comment,
      sym_block_comment,
  [635163] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20893), 1,
      anon_sym_RBRACK,
    STATE(16059), 2,
      sym_comment,
      sym_block_comment,
  [635177] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20895), 1,
      anon_sym_EQ_GT_GT,
    STATE(16060), 2,
      sym_comment,
      sym_block_comment,
  [635191] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20897), 1,
      anon_sym_EQ_GT_GT,
    STATE(16061), 2,
      sym_comment,
      sym_block_comment,
  [635205] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20899), 1,
      anon_sym_EQ_GT_GT,
    STATE(16062), 2,
      sym_comment,
      sym_block_comment,
  [635219] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20901), 1,
      anon_sym_EQ_GT_GT,
    STATE(16063), 2,
      sym_comment,
      sym_block_comment,
  [635233] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20893), 1,
      anon_sym_RBRACE,
    STATE(16064), 2,
      sym_comment,
      sym_block_comment,
  [635247] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20903), 1,
      anon_sym_do,
    STATE(16065), 2,
      sym_comment,
      sym_block_comment,
  [635261] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20905), 1,
      anon_sym_COLON,
    STATE(16066), 2,
      sym_comment,
      sym_block_comment,
  [635275] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11420), 1,
      anon_sym_DOT,
    STATE(16067), 2,
      sym_comment,
      sym_block_comment,
  [635289] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20907), 1,
      anon_sym_RPAREN,
    STATE(16068), 2,
      sym_comment,
      sym_block_comment,
  [635303] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20907), 1,
      anon_sym_RBRACE,
    STATE(16069), 2,
      sym_comment,
      sym_block_comment,
  [635317] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20909), 1,
      sym__outdent,
    STATE(16070), 2,
      sym_comment,
      sym_block_comment,
  [635331] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12114), 1,
      anon_sym_DOT,
    STATE(16071), 2,
      sym_comment,
      sym_block_comment,
  [635345] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20911), 1,
      anon_sym_COLON,
    STATE(16072), 2,
      sym_comment,
      sym_block_comment,
  [635359] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20913), 1,
      anon_sym_RBRACE,
    STATE(16073), 2,
      sym_comment,
      sym_block_comment,
  [635373] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20915), 1,
      sym__outdent,
    STATE(16074), 2,
      sym_comment,
      sym_block_comment,
  [635387] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20917), 1,
      anon_sym_RBRACE,
    STATE(16075), 2,
      sym_comment,
      sym_block_comment,
  [635401] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20919), 1,
      sym__outdent,
    STATE(16076), 2,
      sym_comment,
      sym_block_comment,
  [635415] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20921), 1,
      anon_sym_RBRACE,
    STATE(16077), 2,
      sym_comment,
      sym_block_comment,
  [635429] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20923), 1,
      anon_sym_EQ_GT_GT,
    STATE(16078), 2,
      sym_comment,
      sym_block_comment,
  [635443] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20925), 1,
      anon_sym_do,
    STATE(16079), 2,
      sym_comment,
      sym_block_comment,
  [635457] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20927), 1,
      anon_sym_EQ_GT_GT,
    STATE(16080), 2,
      sym_comment,
      sym_block_comment,
  [635471] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20929), 1,
      anon_sym_EQ_GT_GT,
    STATE(16081), 2,
      sym_comment,
      sym_block_comment,
  [635485] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20931), 1,
      anon_sym_EQ_GT_GT,
    STATE(16082), 2,
      sym_comment,
      sym_block_comment,
  [635499] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20933), 1,
      anon_sym_EQ_GT_GT,
    STATE(16083), 2,
      sym_comment,
      sym_block_comment,
  [635513] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20935), 1,
      anon_sym_EQ_GT_GT,
    STATE(16084), 2,
      sym_comment,
      sym_block_comment,
  [635527] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20937), 1,
      anon_sym_RBRACE,
    STATE(16085), 2,
      sym_comment,
      sym_block_comment,
  [635541] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20939), 1,
      anon_sym_COLON,
    STATE(16086), 2,
      sym_comment,
      sym_block_comment,
  [635555] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20941), 1,
      anon_sym_COLON,
    STATE(16087), 2,
      sym_comment,
      sym_block_comment,
  [635569] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11151), 1,
      anon_sym_DOT,
    STATE(16088), 2,
      sym_comment,
      sym_block_comment,
  [635583] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20943), 1,
      sym__outdent,
    STATE(16089), 2,
      sym_comment,
      sym_block_comment,
  [635597] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20945), 1,
      anon_sym_else,
    STATE(16090), 2,
      sym_comment,
      sym_block_comment,
  [635611] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20947), 1,
      sym__outdent,
    STATE(16091), 2,
      sym_comment,
      sym_block_comment,
  [635625] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20949), 1,
      anon_sym_EQ_GT_GT,
    STATE(16092), 2,
      sym_comment,
      sym_block_comment,
  [635639] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20951), 1,
      anon_sym_RPAREN,
    STATE(16093), 2,
      sym_comment,
      sym_block_comment,
  [635653] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20953), 1,
      anon_sym_EQ_GT_GT,
    STATE(16094), 2,
      sym_comment,
      sym_block_comment,
  [635667] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20921), 1,
      anon_sym_RPAREN,
    STATE(16095), 2,
      sym_comment,
      sym_block_comment,
  [635681] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20955), 1,
      anon_sym_EQ_GT,
    STATE(16096), 2,
      sym_comment,
      sym_block_comment,
  [635695] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20957), 1,
      anon_sym_else,
    STATE(16097), 2,
      sym_comment,
      sym_block_comment,
  [635709] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20959), 1,
      anon_sym_RPAREN,
    STATE(16098), 2,
      sym_comment,
      sym_block_comment,
  [635723] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20961), 1,
      sym__outdent,
    STATE(16099), 2,
      sym_comment,
      sym_block_comment,
  [635737] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20963), 1,
      anon_sym_else,
    STATE(16100), 2,
      sym_comment,
      sym_block_comment,
  [635751] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20965), 1,
      anon_sym_RPAREN,
    STATE(16101), 2,
      sym_comment,
      sym_block_comment,
  [635765] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20967), 1,
      anon_sym_EQ_GT_GT,
    STATE(16102), 2,
      sym_comment,
      sym_block_comment,
  [635779] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20969), 1,
      anon_sym_EQ_GT_GT,
    STATE(16103), 2,
      sym_comment,
      sym_block_comment,
  [635793] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20971), 1,
      anon_sym_EQ_GT_GT,
    STATE(16104), 2,
      sym_comment,
      sym_block_comment,
  [635807] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20973), 1,
      anon_sym_EQ_GT_GT,
    STATE(16105), 2,
      sym_comment,
      sym_block_comment,
  [635821] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20975), 1,
      anon_sym_RPAREN,
    STATE(16106), 2,
      sym_comment,
      sym_block_comment,
  [635835] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20977), 1,
      anon_sym_else,
    STATE(16107), 2,
      sym_comment,
      sym_block_comment,
  [635849] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20979), 1,
      anon_sym_COLON,
    STATE(16108), 2,
      sym_comment,
      sym_block_comment,
  [635863] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10601), 1,
      anon_sym_DOT,
    STATE(16109), 2,
      sym_comment,
      sym_block_comment,
  [635877] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20981), 1,
      anon_sym_do,
    STATE(16110), 2,
      sym_comment,
      sym_block_comment,
  [635891] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20983), 1,
      anon_sym_RBRACE,
    STATE(16111), 2,
      sym_comment,
      sym_block_comment,
  [635905] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20985), 1,
      sym__outdent,
    STATE(16112), 2,
      sym_comment,
      sym_block_comment,
  [635919] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20987), 1,
      anon_sym_RBRACE,
    STATE(16113), 2,
      sym_comment,
      sym_block_comment,
  [635933] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20987), 1,
      anon_sym_RPAREN,
    STATE(16114), 2,
      sym_comment,
      sym_block_comment,
  [635947] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12496), 1,
      anon_sym_DOT,
    STATE(16115), 2,
      sym_comment,
      sym_block_comment,
  [635961] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20989), 1,
      anon_sym_RPAREN,
    STATE(16116), 2,
      sym_comment,
      sym_block_comment,
  [635975] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20991), 1,
      anon_sym_COLON,
    STATE(16117), 2,
      sym_comment,
      sym_block_comment,
  [635989] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20993), 1,
      anon_sym_RPAREN,
    STATE(16118), 2,
      sym_comment,
      sym_block_comment,
  [636003] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20995), 1,
      anon_sym_RBRACK,
    STATE(16119), 2,
      sym_comment,
      sym_block_comment,
  [636017] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20995), 1,
      anon_sym_RBRACE,
    STATE(16120), 2,
      sym_comment,
      sym_block_comment,
  [636031] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20997), 1,
      sym__outdent,
    STATE(16121), 2,
      sym_comment,
      sym_block_comment,
  [636045] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20999), 1,
      anon_sym_RBRACK,
    STATE(16122), 2,
      sym_comment,
      sym_block_comment,
  [636059] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21001), 1,
      anon_sym_EQ_GT_GT,
    STATE(16123), 2,
      sym_comment,
      sym_block_comment,
  [636073] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21003), 1,
      anon_sym_EQ_GT_GT,
    STATE(16124), 2,
      sym_comment,
      sym_block_comment,
  [636087] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21005), 1,
      anon_sym_EQ_GT_GT,
    STATE(16125), 2,
      sym_comment,
      sym_block_comment,
  [636101] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21007), 1,
      anon_sym_EQ_GT_GT,
    STATE(16126), 2,
      sym_comment,
      sym_block_comment,
  [636115] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20999), 1,
      anon_sym_RBRACE,
    STATE(16127), 2,
      sym_comment,
      sym_block_comment,
  [636129] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21009), 1,
      anon_sym_EQ_GT_GT,
    STATE(16128), 2,
      sym_comment,
      sym_block_comment,
  [636143] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21011), 1,
      anon_sym_COLON,
    STATE(16129), 2,
      sym_comment,
      sym_block_comment,
  [636157] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9280), 1,
      anon_sym_DOT,
    STATE(16130), 2,
      sym_comment,
      sym_block_comment,
  [636171] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21013), 1,
      anon_sym_EQ_GT_GT,
    STATE(16131), 2,
      sym_comment,
      sym_block_comment,
  [636185] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21015), 1,
      anon_sym_RPAREN,
    STATE(16132), 2,
      sym_comment,
      sym_block_comment,
  [636199] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21015), 1,
      anon_sym_RBRACE,
    STATE(16133), 2,
      sym_comment,
      sym_block_comment,
  [636213] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21017), 1,
      sym__outdent,
    STATE(16134), 2,
      sym_comment,
      sym_block_comment,
  [636227] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21019), 1,
      anon_sym_EQ_GT_GT,
    STATE(16135), 2,
      sym_comment,
      sym_block_comment,
  [636241] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21021), 1,
      anon_sym_EQ_GT_GT,
    STATE(16136), 2,
      sym_comment,
      sym_block_comment,
  [636255] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21023), 1,
      anon_sym_RBRACE,
    STATE(16137), 2,
      sym_comment,
      sym_block_comment,
  [636269] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21025), 1,
      anon_sym_else,
    STATE(16138), 2,
      sym_comment,
      sym_block_comment,
  [636283] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21027), 1,
      anon_sym_EQ_GT,
    STATE(16139), 2,
      sym_comment,
      sym_block_comment,
  [636297] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21029), 1,
      anon_sym_RBRACE,
    STATE(16140), 2,
      sym_comment,
      sym_block_comment,
  [636311] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21031), 1,
      sym__outdent,
    STATE(16141), 2,
      sym_comment,
      sym_block_comment,
  [636325] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21033), 1,
      anon_sym_do,
    STATE(16142), 2,
      sym_comment,
      sym_block_comment,
  [636339] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21035), 1,
      anon_sym_else,
    STATE(16143), 2,
      sym_comment,
      sym_block_comment,
  [636353] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21037), 1,
      anon_sym_EQ_GT_GT,
    STATE(16144), 2,
      sym_comment,
      sym_block_comment,
  [636367] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21039), 1,
      anon_sym_EQ_GT_GT,
    STATE(16145), 2,
      sym_comment,
      sym_block_comment,
  [636381] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21041), 1,
      anon_sym_EQ_GT_GT,
    STATE(16146), 2,
      sym_comment,
      sym_block_comment,
  [636395] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21043), 1,
      anon_sym_EQ_GT_GT,
    STATE(16147), 2,
      sym_comment,
      sym_block_comment,
  [636409] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21045), 1,
      anon_sym_do,
    STATE(16148), 2,
      sym_comment,
      sym_block_comment,
  [636423] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21047), 1,
      anon_sym_RBRACE,
    STATE(16149), 2,
      sym_comment,
      sym_block_comment,
  [636437] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21049), 1,
      anon_sym_COLON,
    STATE(16150), 2,
      sym_comment,
      sym_block_comment,
  [636451] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10513), 1,
      anon_sym_DOT,
    STATE(16151), 2,
      sym_comment,
      sym_block_comment,
  [636465] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21051), 1,
      anon_sym_RBRACE,
    STATE(16152), 2,
      sym_comment,
      sym_block_comment,
  [636479] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21053), 1,
      anon_sym_EQ_GT_GT,
    STATE(16153), 2,
      sym_comment,
      sym_block_comment,
  [636493] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21055), 1,
      sym__outdent,
    STATE(16154), 2,
      sym_comment,
      sym_block_comment,
  [636507] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21057), 1,
      anon_sym_EQ_GT,
    STATE(16155), 2,
      sym_comment,
      sym_block_comment,
  [636521] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21059), 1,
      sym__outdent,
    STATE(16156), 2,
      sym_comment,
      sym_block_comment,
  [636535] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21061), 1,
      anon_sym_RBRACE,
    STATE(16157), 2,
      sym_comment,
      sym_block_comment,
  [636549] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20975), 1,
      anon_sym_RBRACE,
    STATE(16158), 2,
      sym_comment,
      sym_block_comment,
  [636563] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21063), 1,
      sym__outdent,
    STATE(16159), 2,
      sym_comment,
      sym_block_comment,
  [636577] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21065), 1,
      anon_sym_else,
    STATE(16160), 2,
      sym_comment,
      sym_block_comment,
  [636591] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21067), 1,
      sym__outdent,
    STATE(16161), 2,
      sym_comment,
      sym_block_comment,
  [636605] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21069), 1,
      anon_sym_do,
    STATE(16162), 2,
      sym_comment,
      sym_block_comment,
  [636619] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21071), 1,
      anon_sym_RPAREN,
    STATE(16163), 2,
      sym_comment,
      sym_block_comment,
  [636633] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21073), 1,
      anon_sym_EQ_GT_GT,
    STATE(16164), 2,
      sym_comment,
      sym_block_comment,
  [636647] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21075), 1,
      anon_sym_EQ_GT_GT,
    STATE(16165), 2,
      sym_comment,
      sym_block_comment,
  [636661] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21077), 1,
      anon_sym_EQ_GT_GT,
    STATE(16166), 2,
      sym_comment,
      sym_block_comment,
  [636675] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21079), 1,
      anon_sym_EQ_GT_GT,
    STATE(16167), 2,
      sym_comment,
      sym_block_comment,
  [636689] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21081), 1,
      anon_sym_RPAREN,
    STATE(16168), 2,
      sym_comment,
      sym_block_comment,
  [636703] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21083), 1,
      sym__outdent,
    STATE(16169), 2,
      sym_comment,
      sym_block_comment,
  [636717] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21085), 1,
      anon_sym_COLON,
    STATE(16170), 2,
      sym_comment,
      sym_block_comment,
  [636731] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10585), 1,
      anon_sym_DOT,
    STATE(16171), 2,
      sym_comment,
      sym_block_comment,
  [636745] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21087), 1,
      anon_sym_else,
    STATE(16172), 2,
      sym_comment,
      sym_block_comment,
  [636759] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21089), 1,
      anon_sym_else,
    STATE(16173), 2,
      sym_comment,
      sym_block_comment,
  [636773] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8915), 1,
      anon_sym_DOT,
    STATE(16174), 2,
      sym_comment,
      sym_block_comment,
  [636787] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21091), 1,
      sym__outdent,
    STATE(16175), 2,
      sym_comment,
      sym_block_comment,
  [636801] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21093), 1,
      anon_sym_COLON,
    STATE(16176), 2,
      sym_comment,
      sym_block_comment,
  [636815] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21095), 1,
      anon_sym_RPAREN,
    STATE(16177), 2,
      sym_comment,
      sym_block_comment,
  [636829] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21097), 1,
      sym__outdent,
    STATE(16178), 2,
      sym_comment,
      sym_block_comment,
  [636843] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21099), 1,
      anon_sym_RPAREN,
    STATE(16179), 2,
      sym_comment,
      sym_block_comment,
  [636857] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21101), 1,
      anon_sym_else,
    STATE(16180), 2,
      sym_comment,
      sym_block_comment,
  [636871] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21103), 1,
      anon_sym_RBRACK,
    STATE(16181), 2,
      sym_comment,
      sym_block_comment,
  [636885] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21103), 1,
      anon_sym_RBRACE,
    STATE(16182), 2,
      sym_comment,
      sym_block_comment,
  [636899] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21105), 1,
      anon_sym_EQ_GT_GT,
    STATE(16183), 2,
      sym_comment,
      sym_block_comment,
  [636913] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21107), 1,
      anon_sym_EQ_GT_GT,
    STATE(16184), 2,
      sym_comment,
      sym_block_comment,
  [636927] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21109), 1,
      anon_sym_EQ_GT_GT,
    STATE(16185), 2,
      sym_comment,
      sym_block_comment,
  [636941] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21111), 1,
      anon_sym_EQ_GT_GT,
    STATE(16186), 2,
      sym_comment,
      sym_block_comment,
  [636955] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21113), 1,
      anon_sym_EQ_GT_GT,
    STATE(16187), 2,
      sym_comment,
      sym_block_comment,
  [636969] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21115), 1,
      anon_sym_RBRACK,
    STATE(16188), 2,
      sym_comment,
      sym_block_comment,
  [636983] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21115), 1,
      anon_sym_RBRACE,
    STATE(16189), 2,
      sym_comment,
      sym_block_comment,
  [636997] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21117), 1,
      anon_sym_COLON,
    STATE(16190), 2,
      sym_comment,
      sym_block_comment,
  [637011] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10862), 1,
      anon_sym_DOT,
    STATE(16191), 2,
      sym_comment,
      sym_block_comment,
  [637025] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21119), 1,
      anon_sym_EQ_GT_GT,
    STATE(16192), 2,
      sym_comment,
      sym_block_comment,
  [637039] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21121), 1,
      sym__outdent,
    STATE(16193), 2,
      sym_comment,
      sym_block_comment,
  [637053] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21123), 1,
      anon_sym_RPAREN,
    STATE(16194), 2,
      sym_comment,
      sym_block_comment,
  [637067] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21123), 1,
      anon_sym_RBRACE,
    STATE(16195), 2,
      sym_comment,
      sym_block_comment,
  [637081] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21125), 1,
      sym__outdent,
    STATE(16196), 2,
      sym_comment,
      sym_block_comment,
  [637095] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21127), 1,
      anon_sym_EQ_GT_GT,
    STATE(16197), 2,
      sym_comment,
      sym_block_comment,
  [637109] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21129), 1,
      anon_sym_EQ_GT_GT,
    STATE(16198), 2,
      sym_comment,
      sym_block_comment,
  [637123] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21131), 1,
      anon_sym_do,
    STATE(16199), 2,
      sym_comment,
      sym_block_comment,
  [637137] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21133), 1,
      anon_sym_EQ_GT,
    STATE(16200), 2,
      sym_comment,
      sym_block_comment,
  [637151] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21135), 1,
      anon_sym_RBRACE,
    STATE(16201), 2,
      sym_comment,
      sym_block_comment,
  [637165] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21137), 1,
      anon_sym_RBRACE,
    STATE(16202), 2,
      sym_comment,
      sym_block_comment,
  [637179] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21139), 1,
      sym__outdent,
    STATE(16203), 2,
      sym_comment,
      sym_block_comment,
  [637193] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21141), 1,
      anon_sym_EQ_GT_GT,
    STATE(16204), 2,
      sym_comment,
      sym_block_comment,
  [637207] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21143), 1,
      anon_sym_EQ_GT_GT,
    STATE(16205), 2,
      sym_comment,
      sym_block_comment,
  [637221] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21145), 1,
      anon_sym_EQ_GT_GT,
    STATE(16206), 2,
      sym_comment,
      sym_block_comment,
  [637235] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21147), 1,
      anon_sym_EQ_GT_GT,
    STATE(16207), 2,
      sym_comment,
      sym_block_comment,
  [637249] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21149), 1,
      anon_sym_RBRACE,
    STATE(16208), 2,
      sym_comment,
      sym_block_comment,
  [637263] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21149), 1,
      anon_sym_RPAREN,
    STATE(16209), 2,
      sym_comment,
      sym_block_comment,
  [637277] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21151), 1,
      anon_sym_COLON,
    STATE(16210), 2,
      sym_comment,
      sym_block_comment,
  [637291] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10790), 1,
      anon_sym_DOT,
    STATE(16211), 2,
      sym_comment,
      sym_block_comment,
  [637305] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21153), 1,
      anon_sym_RPAREN,
    STATE(16212), 2,
      sym_comment,
      sym_block_comment,
  [637319] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11302), 1,
      anon_sym_EQ_GT,
    STATE(16213), 2,
      sym_comment,
      sym_block_comment,
  [637333] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21155), 1,
      sym__outdent,
    STATE(16214), 2,
      sym_comment,
      sym_block_comment,
  [637347] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21157), 1,
      anon_sym_do,
    STATE(16215), 2,
      sym_comment,
      sym_block_comment,
  [637361] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21159), 1,
      anon_sym_else,
    STATE(16216), 2,
      sym_comment,
      sym_block_comment,
  [637375] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21161), 1,
      anon_sym_RBRACE,
    STATE(16217), 2,
      sym_comment,
      sym_block_comment,
  [637389] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21163), 1,
      anon_sym_RPAREN,
    STATE(16218), 2,
      sym_comment,
      sym_block_comment,
  [637403] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21165), 1,
      anon_sym_else,
    STATE(16219), 2,
      sym_comment,
      sym_block_comment,
  [637417] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21167), 1,
      sym__outdent,
    STATE(16220), 2,
      sym_comment,
      sym_block_comment,
  [637431] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21169), 1,
      sym__outdent,
    STATE(16221), 2,
      sym_comment,
      sym_block_comment,
  [637445] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21171), 1,
      anon_sym_else,
    STATE(16222), 2,
      sym_comment,
      sym_block_comment,
  [637459] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21173), 1,
      anon_sym_RPAREN,
    STATE(16223), 2,
      sym_comment,
      sym_block_comment,
  [637473] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21175), 1,
      anon_sym_EQ_GT_GT,
    STATE(16224), 2,
      sym_comment,
      sym_block_comment,
  [637487] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21177), 1,
      anon_sym_EQ_GT_GT,
    STATE(16225), 2,
      sym_comment,
      sym_block_comment,
  [637501] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21179), 1,
      anon_sym_EQ_GT_GT,
    STATE(16226), 2,
      sym_comment,
      sym_block_comment,
  [637515] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21181), 1,
      anon_sym_EQ_GT_GT,
    STATE(16227), 2,
      sym_comment,
      sym_block_comment,
  [637529] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8722), 1,
      anon_sym_DOT,
    STATE(16228), 2,
      sym_comment,
      sym_block_comment,
  [637543] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21183), 1,
      anon_sym_COLON,
    STATE(16229), 2,
      sym_comment,
      sym_block_comment,
  [637557] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21185), 1,
      anon_sym_COLON,
    STATE(16230), 2,
      sym_comment,
      sym_block_comment,
  [637571] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11350), 1,
      anon_sym_DOT,
    STATE(16231), 2,
      sym_comment,
      sym_block_comment,
  [637585] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21187), 1,
      anon_sym_else,
    STATE(16232), 2,
      sym_comment,
      sym_block_comment,
  [637599] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21189), 1,
      anon_sym_RBRACE,
    STATE(16233), 2,
      sym_comment,
      sym_block_comment,
  [637613] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21191), 1,
      anon_sym_RPAREN,
    STATE(16234), 2,
      sym_comment,
      sym_block_comment,
  [637627] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21193), 1,
      anon_sym_EQ_GT_GT,
    STATE(16235), 2,
      sym_comment,
      sym_block_comment,
  [637641] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21195), 1,
      anon_sym_EQ_GT_GT,
    STATE(16236), 2,
      sym_comment,
      sym_block_comment,
  [637655] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21197), 1,
      anon_sym_RBRACE,
    STATE(16237), 2,
      sym_comment,
      sym_block_comment,
  [637669] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21199), 1,
      sym__outdent,
    STATE(16238), 2,
      sym_comment,
      sym_block_comment,
  [637683] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21201), 1,
      anon_sym_EQ_GT_GT,
    STATE(16239), 2,
      sym_comment,
      sym_block_comment,
  [637697] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21203), 1,
      anon_sym_EQ_GT_GT,
    STATE(16240), 2,
      sym_comment,
      sym_block_comment,
  [637711] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21205), 1,
      sym__outdent,
    STATE(16241), 2,
      sym_comment,
      sym_block_comment,
  [637725] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21207), 1,
      anon_sym_RPAREN,
    STATE(16242), 2,
      sym_comment,
      sym_block_comment,
  [637739] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21209), 1,
      anon_sym_EQ_GT,
    STATE(16243), 2,
      sym_comment,
      sym_block_comment,
  [637753] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21211), 1,
      anon_sym_EQ_GT_GT,
    STATE(16244), 2,
      sym_comment,
      sym_block_comment,
  [637767] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21213), 1,
      anon_sym_EQ_GT_GT,
    STATE(16245), 2,
      sym_comment,
      sym_block_comment,
  [637781] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21215), 1,
      anon_sym_EQ_GT_GT,
    STATE(16246), 2,
      sym_comment,
      sym_block_comment,
  [637795] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21217), 1,
      anon_sym_EQ_GT_GT,
    STATE(16247), 2,
      sym_comment,
      sym_block_comment,
  [637809] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21219), 1,
      anon_sym_RBRACE,
    STATE(16248), 2,
      sym_comment,
      sym_block_comment,
  [637823] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21219), 1,
      anon_sym_RPAREN,
    STATE(16249), 2,
      sym_comment,
      sym_block_comment,
  [637837] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21221), 1,
      anon_sym_COLON,
    STATE(16250), 2,
      sym_comment,
      sym_block_comment,
  [637851] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10947), 1,
      anon_sym_DOT,
    STATE(16251), 2,
      sym_comment,
      sym_block_comment,
  [637865] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21223), 1,
      anon_sym_RBRACK,
    STATE(16252), 2,
      sym_comment,
      sym_block_comment,
  [637879] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21223), 1,
      anon_sym_RBRACE,
    STATE(16253), 2,
      sym_comment,
      sym_block_comment,
  [637893] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21225), 1,
      anon_sym_RBRACK,
    STATE(16254), 2,
      sym_comment,
      sym_block_comment,
  [637907] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21227), 1,
      anon_sym_RPAREN,
    STATE(16255), 2,
      sym_comment,
      sym_block_comment,
  [637921] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21229), 1,
      anon_sym_RPAREN,
    STATE(16256), 2,
      sym_comment,
      sym_block_comment,
  [637935] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21225), 1,
      anon_sym_RBRACE,
    STATE(16257), 2,
      sym_comment,
      sym_block_comment,
  [637949] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21231), 1,
      sym__outdent,
    STATE(16258), 2,
      sym_comment,
      sym_block_comment,
  [637963] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21233), 1,
      anon_sym_else,
    STATE(16259), 2,
      sym_comment,
      sym_block_comment,
  [637977] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21235), 1,
      anon_sym_RPAREN,
    STATE(16260), 2,
      sym_comment,
      sym_block_comment,
  [637991] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21235), 1,
      anon_sym_RBRACE,
    STATE(16261), 2,
      sym_comment,
      sym_block_comment,
  [638005] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21237), 1,
      sym__outdent,
    STATE(16262), 2,
      sym_comment,
      sym_block_comment,
  [638019] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21239), 1,
      anon_sym_RBRACE,
    STATE(16263), 2,
      sym_comment,
      sym_block_comment,
  [638033] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21241), 1,
      anon_sym_EQ_GT_GT,
    STATE(16264), 2,
      sym_comment,
      sym_block_comment,
  [638047] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21243), 1,
      anon_sym_EQ_GT_GT,
    STATE(16265), 2,
      sym_comment,
      sym_block_comment,
  [638061] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21245), 1,
      anon_sym_EQ_GT_GT,
    STATE(16266), 2,
      sym_comment,
      sym_block_comment,
  [638075] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21247), 1,
      anon_sym_EQ_GT_GT,
    STATE(16267), 2,
      sym_comment,
      sym_block_comment,
  [638089] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21249), 1,
      anon_sym_RPAREN,
    STATE(16268), 2,
      sym_comment,
      sym_block_comment,
  [638103] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21251), 1,
      anon_sym_RBRACE,
    STATE(16269), 2,
      sym_comment,
      sym_block_comment,
  [638117] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21253), 1,
      anon_sym_COLON,
    STATE(16270), 2,
      sym_comment,
      sym_block_comment,
  [638131] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12264), 1,
      anon_sym_DOT,
    STATE(16271), 2,
      sym_comment,
      sym_block_comment,
  [638145] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21255), 1,
      sym__outdent,
    STATE(16272), 2,
      sym_comment,
      sym_block_comment,
  [638159] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21257), 1,
      anon_sym_else,
    STATE(16273), 2,
      sym_comment,
      sym_block_comment,
  [638173] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21259), 1,
      anon_sym_do,
    STATE(16274), 2,
      sym_comment,
      sym_block_comment,
  [638187] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21261), 1,
      anon_sym_EQ,
    STATE(16275), 2,
      sym_comment,
      sym_block_comment,
  [638201] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21263), 1,
      anon_sym_RBRACE,
    STATE(16276), 2,
      sym_comment,
      sym_block_comment,
  [638215] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21265), 1,
      anon_sym_do,
    STATE(16277), 2,
      sym_comment,
      sym_block_comment,
  [638229] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15090), 1,
      anon_sym_DOT,
    STATE(16278), 2,
      sym_comment,
      sym_block_comment,
  [638243] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21267), 1,
      anon_sym_EQ,
    STATE(16279), 2,
      sym_comment,
      sym_block_comment,
  [638257] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21269), 1,
      anon_sym_RBRACE,
    STATE(16280), 2,
      sym_comment,
      sym_block_comment,
  [638271] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21271), 1,
      anon_sym_COLON,
    STATE(16281), 2,
      sym_comment,
      sym_block_comment,
  [638285] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21273), 1,
      anon_sym_else,
    STATE(16282), 2,
      sym_comment,
      sym_block_comment,
  [638299] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21275), 1,
      sym__outdent,
    STATE(16283), 2,
      sym_comment,
      sym_block_comment,
  [638313] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21277), 1,
      anon_sym_EQ_GT_GT,
    STATE(16284), 2,
      sym_comment,
      sym_block_comment,
  [638327] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21279), 1,
      anon_sym_EQ_GT_GT,
    STATE(16285), 2,
      sym_comment,
      sym_block_comment,
  [638341] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21281), 1,
      anon_sym_EQ_GT_GT,
    STATE(16286), 2,
      sym_comment,
      sym_block_comment,
  [638355] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21283), 1,
      anon_sym_EQ_GT_GT,
    STATE(16287), 2,
      sym_comment,
      sym_block_comment,
  [638369] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21285), 1,
      sym__outdent,
    STATE(16288), 2,
      sym_comment,
      sym_block_comment,
  [638383] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21287), 1,
      anon_sym_RBRACE,
    STATE(16289), 2,
      sym_comment,
      sym_block_comment,
  [638397] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21289), 1,
      anon_sym_COLON,
    STATE(16290), 2,
      sym_comment,
      sym_block_comment,
  [638411] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11919), 1,
      anon_sym_DOT,
    STATE(16291), 2,
      sym_comment,
      sym_block_comment,
  [638425] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21287), 1,
      anon_sym_RPAREN,
    STATE(16292), 2,
      sym_comment,
      sym_block_comment,
  [638439] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21291), 1,
      anon_sym_RPAREN,
    STATE(16293), 2,
      sym_comment,
      sym_block_comment,
  [638453] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21293), 1,
      anon_sym_EQ_GT_GT,
    STATE(16294), 2,
      sym_comment,
      sym_block_comment,
  [638467] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21295), 1,
      anon_sym_else,
    STATE(16295), 2,
      sym_comment,
      sym_block_comment,
  [638481] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21297), 1,
      anon_sym_EQ_GT_GT,
    STATE(16296), 2,
      sym_comment,
      sym_block_comment,
  [638495] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21299), 1,
      anon_sym_EQ_GT_GT,
    STATE(16297), 2,
      sym_comment,
      sym_block_comment,
  [638509] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21301), 1,
      anon_sym_EQ_GT_GT,
    STATE(16298), 2,
      sym_comment,
      sym_block_comment,
  [638523] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21303), 1,
      anon_sym_RPAREN,
    STATE(16299), 2,
      sym_comment,
      sym_block_comment,
  [638537] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21305), 1,
      sym__outdent,
    STATE(16300), 2,
      sym_comment,
      sym_block_comment,
  [638551] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21307), 1,
      sym__outdent,
    STATE(16301), 2,
      sym_comment,
      sym_block_comment,
  [638565] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21309), 1,
      anon_sym_EQ_GT,
    STATE(16302), 2,
      sym_comment,
      sym_block_comment,
  [638579] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21311), 1,
      anon_sym_EQ_GT_GT,
    STATE(16303), 2,
      sym_comment,
      sym_block_comment,
  [638593] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21313), 1,
      anon_sym_EQ_GT_GT,
    STATE(16304), 2,
      sym_comment,
      sym_block_comment,
  [638607] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21315), 1,
      anon_sym_EQ_GT_GT,
    STATE(16305), 2,
      sym_comment,
      sym_block_comment,
  [638621] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21317), 1,
      anon_sym_EQ_GT_GT,
    STATE(16306), 2,
      sym_comment,
      sym_block_comment,
  [638635] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21319), 1,
      anon_sym_else,
    STATE(16307), 2,
      sym_comment,
      sym_block_comment,
  [638649] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21321), 1,
      anon_sym_RPAREN,
    STATE(16308), 2,
      sym_comment,
      sym_block_comment,
  [638663] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21323), 1,
      anon_sym_COLON,
    STATE(16309), 2,
      sym_comment,
      sym_block_comment,
  [638677] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8632), 1,
      anon_sym_DOT,
    STATE(16310), 2,
      sym_comment,
      sym_block_comment,
  [638691] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21325), 1,
      sym__outdent,
    STATE(16311), 2,
      sym_comment,
      sym_block_comment,
  [638705] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21327), 1,
      anon_sym_else,
    STATE(16312), 2,
      sym_comment,
      sym_block_comment,
  [638719] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21329), 1,
      anon_sym_do,
    STATE(16313), 2,
      sym_comment,
      sym_block_comment,
  [638733] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21331), 1,
      anon_sym_RPAREN,
    STATE(16314), 2,
      sym_comment,
      sym_block_comment,
  [638747] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21333), 1,
      anon_sym_RBRACE,
    STATE(16315), 2,
      sym_comment,
      sym_block_comment,
  [638761] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21335), 1,
      sym__outdent,
    STATE(16316), 2,
      sym_comment,
      sym_block_comment,
  [638775] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21337), 1,
      anon_sym_RBRACE,
    STATE(16317), 2,
      sym_comment,
      sym_block_comment,
  [638789] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21337), 1,
      anon_sym_RPAREN,
    STATE(16318), 2,
      sym_comment,
      sym_block_comment,
  [638803] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21339), 1,
      anon_sym_RBRACK,
    STATE(16319), 2,
      sym_comment,
      sym_block_comment,
  [638817] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21339), 1,
      anon_sym_RBRACE,
    STATE(16320), 2,
      sym_comment,
      sym_block_comment,
  [638831] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21197), 1,
      anon_sym_RBRACK,
    STATE(16321), 2,
      sym_comment,
      sym_block_comment,
  [638845] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21341), 1,
      anon_sym_EQ_GT_GT,
    STATE(16322), 2,
      sym_comment,
      sym_block_comment,
  [638859] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21343), 1,
      anon_sym_EQ_GT_GT,
    STATE(16323), 2,
      sym_comment,
      sym_block_comment,
  [638873] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21345), 1,
      anon_sym_EQ_GT_GT,
    STATE(16324), 2,
      sym_comment,
      sym_block_comment,
  [638887] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21347), 1,
      anon_sym_EQ_GT_GT,
    STATE(16325), 2,
      sym_comment,
      sym_block_comment,
  [638901] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21349), 1,
      anon_sym_RPAREN,
    STATE(16326), 2,
      sym_comment,
      sym_block_comment,
  [638915] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21351), 1,
      anon_sym_RPAREN,
    STATE(16327), 2,
      sym_comment,
      sym_block_comment,
  [638929] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21353), 1,
      anon_sym_COLON,
    STATE(16328), 2,
      sym_comment,
      sym_block_comment,
  [638943] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8569), 1,
      anon_sym_DOT,
    STATE(16329), 2,
      sym_comment,
      sym_block_comment,
  [638957] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21355), 1,
      anon_sym_RPAREN,
    STATE(16330), 2,
      sym_comment,
      sym_block_comment,
  [638971] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21355), 1,
      anon_sym_RBRACE,
    STATE(16331), 2,
      sym_comment,
      sym_block_comment,
  [638985] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21357), 1,
      sym__outdent,
    STATE(16332), 2,
      sym_comment,
      sym_block_comment,
  [638999] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11252), 1,
      anon_sym_DOT,
    STATE(16333), 2,
      sym_comment,
      sym_block_comment,
  [639013] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21359), 1,
      anon_sym_COLON,
    STATE(16334), 2,
      sym_comment,
      sym_block_comment,
  [639027] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21361), 1,
      anon_sym_RBRACE,
    STATE(16335), 2,
      sym_comment,
      sym_block_comment,
  [639041] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21363), 1,
      sym__outdent,
    STATE(16336), 2,
      sym_comment,
      sym_block_comment,
  [639055] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21365), 1,
      anon_sym_else,
    STATE(16337), 2,
      sym_comment,
      sym_block_comment,
  [639069] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21367), 1,
      anon_sym_EQ_GT_GT,
    STATE(16338), 2,
      sym_comment,
      sym_block_comment,
  [639083] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21369), 1,
      anon_sym_EQ_GT_GT,
    STATE(16339), 2,
      sym_comment,
      sym_block_comment,
  [639097] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21371), 1,
      anon_sym_do,
    STATE(16340), 2,
      sym_comment,
      sym_block_comment,
  [639111] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21373), 1,
      anon_sym_EQ_GT_GT,
    STATE(16341), 2,
      sym_comment,
      sym_block_comment,
  [639125] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21375), 1,
      anon_sym_EQ_GT_GT,
    STATE(16342), 2,
      sym_comment,
      sym_block_comment,
  [639139] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21377), 1,
      anon_sym_EQ_GT_GT,
    STATE(16343), 2,
      sym_comment,
      sym_block_comment,
  [639153] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21379), 1,
      anon_sym_EQ_GT_GT,
    STATE(16344), 2,
      sym_comment,
      sym_block_comment,
  [639167] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21381), 1,
      anon_sym_EQ_GT_GT,
    STATE(16345), 2,
      sym_comment,
      sym_block_comment,
  [639181] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21383), 1,
      anon_sym_RBRACE,
    STATE(16346), 2,
      sym_comment,
      sym_block_comment,
  [639195] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21385), 1,
      anon_sym_COLON,
    STATE(16347), 2,
      sym_comment,
      sym_block_comment,
  [639209] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9033), 1,
      anon_sym_DOT,
    STATE(16348), 2,
      sym_comment,
      sym_block_comment,
  [639223] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21387), 1,
      anon_sym_EQ_GT_GT,
    STATE(16349), 2,
      sym_comment,
      sym_block_comment,
  [639237] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21389), 1,
      anon_sym_else,
    STATE(16350), 2,
      sym_comment,
      sym_block_comment,
  [639251] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21391), 1,
      sym__outdent,
    STATE(16351), 2,
      sym_comment,
      sym_block_comment,
  [639265] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21393), 1,
      anon_sym_RPAREN,
    STATE(16352), 2,
      sym_comment,
      sym_block_comment,
  [639279] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21395), 1,
      anon_sym_RPAREN,
    STATE(16353), 2,
      sym_comment,
      sym_block_comment,
  [639293] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21397), 1,
      anon_sym_EQ_GT,
    STATE(16354), 2,
      sym_comment,
      sym_block_comment,
  [639307] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21399), 1,
      anon_sym_else,
    STATE(16355), 2,
      sym_comment,
      sym_block_comment,
  [639321] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21401), 1,
      sym__outdent,
    STATE(16356), 2,
      sym_comment,
      sym_block_comment,
  [639335] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21403), 1,
      anon_sym_else,
    STATE(16357), 2,
      sym_comment,
      sym_block_comment,
  [639349] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21405), 1,
      sym__outdent,
    STATE(16358), 2,
      sym_comment,
      sym_block_comment,
  [639363] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21407), 1,
      anon_sym_do,
    STATE(16359), 2,
      sym_comment,
      sym_block_comment,
  [639377] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21409), 1,
      anon_sym_EQ_GT_GT,
    STATE(16360), 2,
      sym_comment,
      sym_block_comment,
  [639391] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21411), 1,
      anon_sym_EQ_GT_GT,
    STATE(16361), 2,
      sym_comment,
      sym_block_comment,
  [639405] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21413), 1,
      anon_sym_EQ_GT_GT,
    STATE(16362), 2,
      sym_comment,
      sym_block_comment,
  [639419] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21415), 1,
      anon_sym_EQ_GT_GT,
    STATE(16363), 2,
      sym_comment,
      sym_block_comment,
  [639433] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21417), 1,
      sym__outdent,
    STATE(16364), 2,
      sym_comment,
      sym_block_comment,
  [639447] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21419), 1,
      anon_sym_else,
    STATE(16365), 2,
      sym_comment,
      sym_block_comment,
  [639461] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21421), 1,
      anon_sym_COLON,
    STATE(16366), 2,
      sym_comment,
      sym_block_comment,
  [639475] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8659), 1,
      anon_sym_DOT,
    STATE(16367), 2,
      sym_comment,
      sym_block_comment,
  [639489] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21423), 1,
      anon_sym_RPAREN,
    STATE(16368), 2,
      sym_comment,
      sym_block_comment,
  [639503] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21425), 1,
      anon_sym_RBRACE,
    STATE(16369), 2,
      sym_comment,
      sym_block_comment,
  [639517] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21427), 1,
      anon_sym_RBRACK,
    STATE(16370), 2,
      sym_comment,
      sym_block_comment,
  [639531] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21427), 1,
      anon_sym_RBRACE,
    STATE(16371), 2,
      sym_comment,
      sym_block_comment,
  [639545] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21429), 1,
      anon_sym_RBRACK,
    STATE(16372), 2,
      sym_comment,
      sym_block_comment,
  [639559] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21429), 1,
      anon_sym_RBRACE,
    STATE(16373), 2,
      sym_comment,
      sym_block_comment,
  [639573] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21425), 1,
      anon_sym_RPAREN,
    STATE(16374), 2,
      sym_comment,
      sym_block_comment,
  [639587] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21431), 1,
      anon_sym_RPAREN,
    STATE(16375), 2,
      sym_comment,
      sym_block_comment,
  [639601] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21431), 1,
      anon_sym_RBRACE,
    STATE(16376), 2,
      sym_comment,
      sym_block_comment,
  [639615] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21433), 1,
      sym__outdent,
    STATE(16377), 2,
      sym_comment,
      sym_block_comment,
  [639629] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21435), 1,
      anon_sym_RPAREN,
    STATE(16378), 2,
      sym_comment,
      sym_block_comment,
  [639643] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21437), 1,
      anon_sym_EQ_GT_GT,
    STATE(16379), 2,
      sym_comment,
      sym_block_comment,
  [639657] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21439), 1,
      anon_sym_EQ_GT_GT,
    STATE(16380), 2,
      sym_comment,
      sym_block_comment,
  [639671] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21441), 1,
      anon_sym_EQ_GT_GT,
    STATE(16381), 2,
      sym_comment,
      sym_block_comment,
  [639685] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21443), 1,
      anon_sym_EQ_GT_GT,
    STATE(16382), 2,
      sym_comment,
      sym_block_comment,
  [639699] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21445), 1,
      sym__outdent,
    STATE(16383), 2,
      sym_comment,
      sym_block_comment,
  [639713] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21447), 1,
      anon_sym_RBRACE,
    STATE(16384), 2,
      sym_comment,
      sym_block_comment,
  [639727] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9225), 1,
      anon_sym_DOT,
    STATE(16385), 2,
      sym_comment,
      sym_block_comment,
  [639741] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21449), 1,
      anon_sym_else,
    STATE(16386), 2,
      sym_comment,
      sym_block_comment,
  [639755] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10492), 1,
      anon_sym_DOT,
    STATE(16387), 2,
      sym_comment,
      sym_block_comment,
  [639769] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21451), 1,
      anon_sym_COLON,
    STATE(16388), 2,
      sym_comment,
      sym_block_comment,
  [639783] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21453), 1,
      anon_sym_RPAREN,
    STATE(16389), 2,
      sym_comment,
      sym_block_comment,
  [639797] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21455), 1,
      anon_sym_do,
    STATE(16390), 2,
      sym_comment,
      sym_block_comment,
  [639811] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21457), 1,
      sym__outdent,
    STATE(16391), 2,
      sym_comment,
      sym_block_comment,
  [639825] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21459), 1,
      anon_sym_RBRACE,
    STATE(16392), 2,
      sym_comment,
      sym_block_comment,
  [639839] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21461), 1,
      anon_sym_EQ_GT_GT,
    STATE(16393), 2,
      sym_comment,
      sym_block_comment,
  [639853] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21463), 1,
      anon_sym_RBRACE,
    STATE(16394), 2,
      sym_comment,
      sym_block_comment,
  [639867] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21465), 1,
      sym__outdent,
    STATE(16395), 2,
      sym_comment,
      sym_block_comment,
  [639881] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21467), 1,
      anon_sym_EQ_GT_GT,
    STATE(16396), 2,
      sym_comment,
      sym_block_comment,
  [639895] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21469), 1,
      anon_sym_EQ_GT_GT,
    STATE(16397), 2,
      sym_comment,
      sym_block_comment,
  [639909] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21471), 1,
      anon_sym_EQ_GT_GT,
    STATE(16398), 2,
      sym_comment,
      sym_block_comment,
  [639923] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21473), 1,
      anon_sym_EQ_GT_GT,
    STATE(16399), 2,
      sym_comment,
      sym_block_comment,
  [639937] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21475), 1,
      anon_sym_EQ_GT_GT,
    STATE(16400), 2,
      sym_comment,
      sym_block_comment,
  [639951] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21477), 1,
      anon_sym_EQ_GT_GT,
    STATE(16401), 2,
      sym_comment,
      sym_block_comment,
  [639965] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21479), 1,
      anon_sym_RPAREN,
    STATE(16402), 2,
      sym_comment,
      sym_block_comment,
  [639979] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9025), 1,
      anon_sym_DOT,
    STATE(16403), 2,
      sym_comment,
      sym_block_comment,
  [639993] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21481), 1,
      anon_sym_EQ_GT_GT,
    STATE(16404), 2,
      sym_comment,
      sym_block_comment,
  [640007] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21483), 1,
      anon_sym_else,
    STATE(16405), 2,
      sym_comment,
      sym_block_comment,
  [640021] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21485), 1,
      anon_sym_do,
    STATE(16406), 2,
      sym_comment,
      sym_block_comment,
  [640035] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21487), 1,
      anon_sym_else,
    STATE(16407), 2,
      sym_comment,
      sym_block_comment,
  [640049] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21489), 1,
      anon_sym_EQ_GT,
    STATE(16408), 2,
      sym_comment,
      sym_block_comment,
  [640063] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21491), 1,
      sym__outdent,
    STATE(16409), 2,
      sym_comment,
      sym_block_comment,
  [640077] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21493), 1,
      anon_sym_RBRACE,
    STATE(16410), 2,
      sym_comment,
      sym_block_comment,
  [640091] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21495), 1,
      sym__outdent,
    STATE(16411), 2,
      sym_comment,
      sym_block_comment,
  [640105] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21497), 1,
      anon_sym_RPAREN,
    STATE(16412), 2,
      sym_comment,
      sym_block_comment,
  [640119] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21499), 1,
      anon_sym_RBRACE,
    STATE(16413), 2,
      sym_comment,
      sym_block_comment,
  [640133] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21499), 1,
      anon_sym_RPAREN,
    STATE(16414), 2,
      sym_comment,
      sym_block_comment,
  [640147] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21501), 1,
      anon_sym_EQ_GT_GT,
    STATE(16415), 2,
      sym_comment,
      sym_block_comment,
  [640161] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21503), 1,
      anon_sym_EQ_GT_GT,
    STATE(16416), 2,
      sym_comment,
      sym_block_comment,
  [640175] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21505), 1,
      anon_sym_EQ_GT_GT,
    STATE(16417), 2,
      sym_comment,
      sym_block_comment,
  [640189] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21507), 1,
      anon_sym_EQ_GT_GT,
    STATE(16418), 2,
      sym_comment,
      sym_block_comment,
  [640203] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21509), 1,
      anon_sym_RPAREN,
    STATE(16419), 2,
      sym_comment,
      sym_block_comment,
  [640217] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21511), 1,
      anon_sym_RBRACK,
    STATE(16420), 2,
      sym_comment,
      sym_block_comment,
  [640231] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10630), 1,
      anon_sym_DOT,
    STATE(16421), 2,
      sym_comment,
      sym_block_comment,
  [640245] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21511), 1,
      anon_sym_RBRACE,
    STATE(16422), 2,
      sym_comment,
      sym_block_comment,
  [640259] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21513), 1,
      anon_sym_RBRACK,
    STATE(16423), 2,
      sym_comment,
      sym_block_comment,
  [640273] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21515), 1,
      sym__outdent,
    STATE(16424), 2,
      sym_comment,
      sym_block_comment,
  [640287] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21513), 1,
      anon_sym_RBRACE,
    STATE(16425), 2,
      sym_comment,
      sym_block_comment,
  [640301] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21517), 1,
      anon_sym_else,
    STATE(16426), 2,
      sym_comment,
      sym_block_comment,
  [640315] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21519), 1,
      anon_sym_RPAREN,
    STATE(16427), 2,
      sym_comment,
      sym_block_comment,
  [640329] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21519), 1,
      anon_sym_RBRACE,
    STATE(16428), 2,
      sym_comment,
      sym_block_comment,
  [640343] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21521), 1,
      sym__outdent,
    STATE(16429), 2,
      sym_comment,
      sym_block_comment,
  [640357] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21523), 1,
      anon_sym_RPAREN,
    STATE(16430), 2,
      sym_comment,
      sym_block_comment,
  [640371] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21525), 1,
      sym__outdent,
    STATE(16431), 2,
      sym_comment,
      sym_block_comment,
  [640385] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21527), 1,
      anon_sym_RBRACE,
    STATE(16432), 2,
      sym_comment,
      sym_block_comment,
  [640399] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21529), 1,
      anon_sym_EQ_GT_GT,
    STATE(16433), 2,
      sym_comment,
      sym_block_comment,
  [640413] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21531), 1,
      anon_sym_EQ_GT_GT,
    STATE(16434), 2,
      sym_comment,
      sym_block_comment,
  [640427] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21533), 1,
      anon_sym_EQ_GT_GT,
    STATE(16435), 2,
      sym_comment,
      sym_block_comment,
  [640441] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21535), 1,
      anon_sym_EQ_GT_GT,
    STATE(16436), 2,
      sym_comment,
      sym_block_comment,
  [640455] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21537), 1,
      anon_sym_else,
    STATE(16437), 2,
      sym_comment,
      sym_block_comment,
  [640469] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11231), 1,
      anon_sym_DOT,
    STATE(16438), 2,
      sym_comment,
      sym_block_comment,
  [640483] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9877), 1,
      anon_sym_DOT,
    STATE(16439), 2,
      sym_comment,
      sym_block_comment,
  [640497] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21539), 1,
      anon_sym_COLON,
    STATE(16440), 2,
      sym_comment,
      sym_block_comment,
  [640511] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21541), 1,
      anon_sym_do,
    STATE(16441), 2,
      sym_comment,
      sym_block_comment,
  [640525] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21543), 1,
      anon_sym_do,
    STATE(16442), 2,
      sym_comment,
      sym_block_comment,
  [640539] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21545), 1,
      anon_sym_else,
    STATE(16443), 2,
      sym_comment,
      sym_block_comment,
  [640553] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21547), 1,
      anon_sym_RBRACE,
    STATE(16444), 2,
      sym_comment,
      sym_block_comment,
  [640567] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21549), 1,
      anon_sym_RBRACE,
    STATE(16445), 2,
      sym_comment,
      sym_block_comment,
  [640581] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21551), 1,
      anon_sym_else,
    STATE(16446), 2,
      sym_comment,
      sym_block_comment,
  [640595] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21553), 1,
      sym__outdent,
    STATE(16447), 2,
      sym_comment,
      sym_block_comment,
  [640609] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21555), 1,
      anon_sym_EQ_GT_GT,
    STATE(16448), 2,
      sym_comment,
      sym_block_comment,
  [640623] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21557), 1,
      anon_sym_RPAREN,
    STATE(16449), 2,
      sym_comment,
      sym_block_comment,
  [640637] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21559), 1,
      anon_sym_EQ_GT_GT,
    STATE(16450), 2,
      sym_comment,
      sym_block_comment,
  [640651] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21561), 1,
      anon_sym_EQ_GT_GT,
    STATE(16451), 2,
      sym_comment,
      sym_block_comment,
  [640665] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21563), 1,
      anon_sym_EQ_GT_GT,
    STATE(16452), 2,
      sym_comment,
      sym_block_comment,
  [640679] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21565), 1,
      anon_sym_EQ_GT_GT,
    STATE(16453), 2,
      sym_comment,
      sym_block_comment,
  [640693] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21567), 1,
      anon_sym_EQ_GT_GT,
    STATE(16454), 2,
      sym_comment,
      sym_block_comment,
  [640707] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21569), 1,
      anon_sym_EQ_GT_GT,
    STATE(16455), 2,
      sym_comment,
      sym_block_comment,
  [640721] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21571), 1,
      anon_sym_EQ_GT_GT,
    STATE(16456), 2,
      sym_comment,
      sym_block_comment,
  [640735] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14503), 1,
      anon_sym_DOT,
    STATE(16457), 2,
      sym_comment,
      sym_block_comment,
  [640749] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21573), 1,
      anon_sym_else,
    STATE(16458), 2,
      sym_comment,
      sym_block_comment,
  [640763] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21575), 1,
      sym__outdent,
    STATE(16459), 2,
      sym_comment,
      sym_block_comment,
  [640777] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21577), 1,
      anon_sym_EQ_GT,
    STATE(16460), 2,
      sym_comment,
      sym_block_comment,
  [640791] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21579), 1,
      anon_sym_RBRACE,
    STATE(16461), 2,
      sym_comment,
      sym_block_comment,
  [640805] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21581), 1,
      anon_sym_COLON,
    STATE(16462), 2,
      sym_comment,
      sym_block_comment,
  [640819] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21579), 1,
      anon_sym_RPAREN,
    STATE(16463), 2,
      sym_comment,
      sym_block_comment,
  [640833] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21583), 1,
      sym__outdent,
    STATE(16464), 2,
      sym_comment,
      sym_block_comment,
  [640847] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21585), 1,
      anon_sym_RPAREN,
    STATE(16465), 2,
      sym_comment,
      sym_block_comment,
  [640861] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21587), 1,
      sym__outdent,
    STATE(16466), 2,
      sym_comment,
      sym_block_comment,
  [640875] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21589), 1,
      anon_sym_else,
    STATE(16467), 2,
      sym_comment,
      sym_block_comment,
  [640889] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21591), 1,
      anon_sym_RPAREN,
    STATE(16468), 2,
      sym_comment,
      sym_block_comment,
  [640903] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21593), 1,
      anon_sym_EQ_GT_GT,
    STATE(16469), 2,
      sym_comment,
      sym_block_comment,
  [640917] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21595), 1,
      anon_sym_EQ_GT_GT,
    STATE(16470), 2,
      sym_comment,
      sym_block_comment,
  [640931] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21597), 1,
      anon_sym_EQ_GT_GT,
    STATE(16471), 2,
      sym_comment,
      sym_block_comment,
  [640945] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21599), 1,
      anon_sym_EQ_GT_GT,
    STATE(16472), 2,
      sym_comment,
      sym_block_comment,
  [640959] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21601), 1,
      sym__outdent,
    STATE(16473), 2,
      sym_comment,
      sym_block_comment,
  [640973] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21603), 1,
      anon_sym_else,
    STATE(16474), 2,
      sym_comment,
      sym_block_comment,
  [640987] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12861), 1,
      anon_sym_DOT,
    STATE(16475), 2,
      sym_comment,
      sym_block_comment,
  [641001] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21605), 1,
      anon_sym_RPAREN,
    STATE(16476), 2,
      sym_comment,
      sym_block_comment,
  [641015] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21607), 1,
      anon_sym_do,
    STATE(16477), 2,
      sym_comment,
      sym_block_comment,
  [641029] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21609), 1,
      anon_sym_RBRACE,
    STATE(16478), 2,
      sym_comment,
      sym_block_comment,
  [641043] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10498), 1,
      anon_sym_DOT,
    STATE(16479), 2,
      sym_comment,
      sym_block_comment,
  [641057] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21611), 1,
      anon_sym_COLON,
    STATE(16480), 2,
      sym_comment,
      sym_block_comment,
  [641071] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21613), 1,
      sym__outdent,
    STATE(16481), 2,
      sym_comment,
      sym_block_comment,
  [641085] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21615), 1,
      anon_sym_RBRACK,
    STATE(16482), 2,
      sym_comment,
      sym_block_comment,
  [641099] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21615), 1,
      anon_sym_RBRACE,
    STATE(16483), 2,
      sym_comment,
      sym_block_comment,
  [641113] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21617), 1,
      anon_sym_RBRACK,
    STATE(16484), 2,
      sym_comment,
      sym_block_comment,
  [641127] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21617), 1,
      anon_sym_RBRACE,
    STATE(16485), 2,
      sym_comment,
      sym_block_comment,
  [641141] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21423), 1,
      anon_sym_RBRACE,
    STATE(16486), 2,
      sym_comment,
      sym_block_comment,
  [641155] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21619), 1,
      anon_sym_EQ_GT_GT,
    STATE(16487), 2,
      sym_comment,
      sym_block_comment,
  [641169] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21621), 1,
      anon_sym_EQ_GT_GT,
    STATE(16488), 2,
      sym_comment,
      sym_block_comment,
  [641183] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21623), 1,
      anon_sym_EQ_GT_GT,
    STATE(16489), 2,
      sym_comment,
      sym_block_comment,
  [641197] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21625), 1,
      anon_sym_EQ_GT_GT,
    STATE(16490), 2,
      sym_comment,
      sym_block_comment,
  [641211] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21627), 1,
      anon_sym_EQ_GT,
    STATE(16491), 2,
      sym_comment,
      sym_block_comment,
  [641225] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21463), 1,
      anon_sym_RPAREN,
    STATE(16492), 2,
      sym_comment,
      sym_block_comment,
  [641239] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12785), 1,
      anon_sym_DOT,
    STATE(16493), 2,
      sym_comment,
      sym_block_comment,
  [641253] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21629), 1,
      anon_sym_EQ_GT_GT,
    STATE(16494), 2,
      sym_comment,
      sym_block_comment,
  [641267] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21631), 1,
      sym__outdent,
    STATE(16495), 2,
      sym_comment,
      sym_block_comment,
  [641281] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21633), 1,
      anon_sym_EQ_GT_GT,
    STATE(16496), 2,
      sym_comment,
      sym_block_comment,
  [641295] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21635), 1,
      anon_sym_EQ_GT_GT,
    STATE(16497), 2,
      sym_comment,
      sym_block_comment,
  [641309] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21637), 1,
      anon_sym_EQ_GT_GT,
    STATE(16498), 2,
      sym_comment,
      sym_block_comment,
  [641323] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21639), 1,
      anon_sym_RPAREN,
    STATE(16499), 2,
      sym_comment,
      sym_block_comment,
  [641337] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21641), 1,
      anon_sym_RBRACE,
    STATE(16500), 2,
      sym_comment,
      sym_block_comment,
  [641351] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21643), 1,
      sym__outdent,
    STATE(16501), 2,
      sym_comment,
      sym_block_comment,
  [641365] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21645), 1,
      anon_sym_EQ_GT,
    STATE(16502), 2,
      sym_comment,
      sym_block_comment,
  [641379] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21647), 1,
      anon_sym_EQ_GT,
    STATE(16503), 2,
      sym_comment,
      sym_block_comment,
  [641393] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(597), 1,
      sym__outdent,
    STATE(16504), 2,
      sym_comment,
      sym_block_comment,
  [641407] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21649), 1,
      anon_sym_EQ_GT_GT,
    STATE(16505), 2,
      sym_comment,
      sym_block_comment,
  [641421] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21651), 1,
      anon_sym_EQ_GT_GT,
    STATE(16506), 2,
      sym_comment,
      sym_block_comment,
  [641435] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21653), 1,
      anon_sym_EQ_GT_GT,
    STATE(16507), 2,
      sym_comment,
      sym_block_comment,
  [641449] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21655), 1,
      anon_sym_EQ_GT_GT,
    STATE(16508), 2,
      sym_comment,
      sym_block_comment,
  [641463] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21657), 1,
      anon_sym_RBRACE,
    STATE(16509), 2,
      sym_comment,
      sym_block_comment,
  [641477] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21659), 1,
      sym__outdent,
    STATE(16510), 2,
      sym_comment,
      sym_block_comment,
  [641491] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10777), 1,
      anon_sym_DOT,
    STATE(16511), 2,
      sym_comment,
      sym_block_comment,
  [641505] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21661), 1,
      anon_sym_RBRACE,
    STATE(16512), 2,
      sym_comment,
      sym_block_comment,
  [641519] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21663), 1,
      anon_sym_else,
    STATE(16513), 2,
      sym_comment,
      sym_block_comment,
  [641533] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21665), 1,
      anon_sym_RPAREN,
    STATE(16514), 2,
      sym_comment,
      sym_block_comment,
  [641547] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21667), 1,
      sym__outdent,
    STATE(16515), 2,
      sym_comment,
      sym_block_comment,
  [641561] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21669), 1,
      anon_sym_else,
    STATE(16516), 2,
      sym_comment,
      sym_block_comment,
  [641575] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21671), 1,
      anon_sym_do,
    STATE(16517), 2,
      sym_comment,
      sym_block_comment,
  [641589] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21673), 1,
      anon_sym_do,
    STATE(16518), 2,
      sym_comment,
      sym_block_comment,
  [641603] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21675), 1,
      anon_sym_RBRACE,
    STATE(16519), 2,
      sym_comment,
      sym_block_comment,
  [641617] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21677), 1,
      anon_sym_RBRACE,
    STATE(16520), 2,
      sym_comment,
      sym_block_comment,
  [641631] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21679), 1,
      anon_sym_else,
    STATE(16521), 2,
      sym_comment,
      sym_block_comment,
  [641645] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21681), 1,
      sym__outdent,
    STATE(16522), 2,
      sym_comment,
      sym_block_comment,
  [641659] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21683), 1,
      anon_sym_EQ_GT_GT,
    STATE(16523), 2,
      sym_comment,
      sym_block_comment,
  [641673] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21685), 1,
      anon_sym_EQ_GT_GT,
    STATE(16524), 2,
      sym_comment,
      sym_block_comment,
  [641687] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21687), 1,
      anon_sym_EQ_GT_GT,
    STATE(16525), 2,
      sym_comment,
      sym_block_comment,
  [641701] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21689), 1,
      anon_sym_EQ_GT_GT,
    STATE(16526), 2,
      sym_comment,
      sym_block_comment,
  [641715] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9051), 1,
      anon_sym_DOT,
    STATE(16527), 2,
      sym_comment,
      sym_block_comment,
  [641729] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21691), 1,
      anon_sym_RBRACE,
    STATE(16528), 2,
      sym_comment,
      sym_block_comment,
  [641743] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21693), 1,
      anon_sym_RPAREN,
    STATE(16529), 2,
      sym_comment,
      sym_block_comment,
  [641757] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21691), 1,
      anon_sym_RPAREN,
    STATE(16530), 2,
      sym_comment,
      sym_block_comment,
  [641771] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21695), 1,
      anon_sym_else,
    STATE(16531), 2,
      sym_comment,
      sym_block_comment,
  [641785] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21697), 1,
      anon_sym_RPAREN,
    STATE(16532), 2,
      sym_comment,
      sym_block_comment,
  [641799] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11158), 1,
      anon_sym_DOT,
    STATE(16533), 2,
      sym_comment,
      sym_block_comment,
  [641813] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21699), 1,
      sym__outdent,
    STATE(16534), 2,
      sym_comment,
      sym_block_comment,
  [641827] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21701), 1,
      anon_sym_EQ_GT_GT,
    STATE(16535), 2,
      sym_comment,
      sym_block_comment,
  [641841] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21703), 1,
      anon_sym_EQ_GT_GT,
    STATE(16536), 2,
      sym_comment,
      sym_block_comment,
  [641855] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21705), 1,
      anon_sym_EQ_GT_GT,
    STATE(16537), 2,
      sym_comment,
      sym_block_comment,
  [641869] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21707), 1,
      anon_sym_EQ_GT_GT,
    STATE(16538), 2,
      sym_comment,
      sym_block_comment,
  [641883] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10421), 1,
      anon_sym_DOT,
    STATE(16539), 2,
      sym_comment,
      sym_block_comment,
  [641897] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21709), 1,
      sym__outdent,
    STATE(16540), 2,
      sym_comment,
      sym_block_comment,
  [641911] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15387), 1,
      anon_sym_COLON,
    STATE(16541), 2,
      sym_comment,
      sym_block_comment,
  [641925] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21711), 1,
      anon_sym_EQ_GT,
    STATE(16542), 2,
      sym_comment,
      sym_block_comment,
  [641939] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21713), 1,
      anon_sym_else,
    STATE(16543), 2,
      sym_comment,
      sym_block_comment,
  [641953] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21715), 1,
      anon_sym_RPAREN,
    STATE(16544), 2,
      sym_comment,
      sym_block_comment,
  [641967] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21717), 1,
      anon_sym_RPAREN,
    STATE(16545), 2,
      sym_comment,
      sym_block_comment,
  [641981] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21719), 1,
      anon_sym_EQ_GT_GT,
    STATE(16546), 2,
      sym_comment,
      sym_block_comment,
  [641995] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21721), 1,
      anon_sym_EQ_GT_GT,
    STATE(16547), 2,
      sym_comment,
      sym_block_comment,
  [642009] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21723), 1,
      anon_sym_EQ_GT_GT,
    STATE(16548), 2,
      sym_comment,
      sym_block_comment,
  [642023] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21725), 1,
      anon_sym_EQ_GT_GT,
    STATE(16549), 2,
      sym_comment,
      sym_block_comment,
  [642037] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21727), 1,
      anon_sym_EQ_GT_GT,
    STATE(16550), 2,
      sym_comment,
      sym_block_comment,
  [642051] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10362), 1,
      anon_sym_DOT,
    STATE(16551), 2,
      sym_comment,
      sym_block_comment,
  [642065] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16764), 1,
      anon_sym_DOT,
    STATE(16552), 2,
      sym_comment,
      sym_block_comment,
  [642079] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21729), 1,
      anon_sym_EQ_GT_GT,
    STATE(16553), 2,
      sym_comment,
      sym_block_comment,
  [642093] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21731), 1,
      anon_sym_RBRACK,
    STATE(16554), 2,
      sym_comment,
      sym_block_comment,
  [642107] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21731), 1,
      anon_sym_RBRACE,
    STATE(16555), 2,
      sym_comment,
      sym_block_comment,
  [642121] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21733), 1,
      anon_sym_RBRACK,
    STATE(16556), 2,
      sym_comment,
      sym_block_comment,
  [642135] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21733), 1,
      anon_sym_RBRACE,
    STATE(16557), 2,
      sym_comment,
      sym_block_comment,
  [642149] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21735), 1,
      anon_sym_EQ_GT_GT,
    STATE(16558), 2,
      sym_comment,
      sym_block_comment,
  [642163] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21737), 1,
      anon_sym_EQ_GT_GT,
    STATE(16559), 2,
      sym_comment,
      sym_block_comment,
  [642177] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21739), 1,
      anon_sym_EQ_GT_GT,
    STATE(16560), 2,
      sym_comment,
      sym_block_comment,
  [642191] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21741), 1,
      anon_sym_EQ_GT_GT,
    STATE(16561), 2,
      sym_comment,
      sym_block_comment,
  [642205] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21743), 1,
      anon_sym_EQ_GT_GT,
    STATE(16562), 2,
      sym_comment,
      sym_block_comment,
  [642219] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9692), 1,
      anon_sym_DOT,
    STATE(16563), 2,
      sym_comment,
      sym_block_comment,
  [642233] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21745), 1,
      anon_sym_RBRACE,
    STATE(16564), 2,
      sym_comment,
      sym_block_comment,
  [642247] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21747), 1,
      anon_sym_RPAREN,
    STATE(16565), 2,
      sym_comment,
      sym_block_comment,
  [642261] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21747), 1,
      anon_sym_RBRACE,
    STATE(16566), 2,
      sym_comment,
      sym_block_comment,
  [642275] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21749), 1,
      sym__outdent,
    STATE(16567), 2,
      sym_comment,
      sym_block_comment,
  [642289] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21751), 1,
      anon_sym_EQ_GT_GT,
    STATE(16568), 2,
      sym_comment,
      sym_block_comment,
  [642303] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21753), 1,
      anon_sym_RBRACE,
    STATE(16569), 2,
      sym_comment,
      sym_block_comment,
  [642317] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21755), 1,
      anon_sym_EQ_GT_GT,
    STATE(16570), 2,
      sym_comment,
      sym_block_comment,
  [642331] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21757), 1,
      anon_sym_EQ_GT_GT,
    STATE(16571), 2,
      sym_comment,
      sym_block_comment,
  [642345] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21759), 1,
      anon_sym_EQ_GT_GT,
    STATE(16572), 2,
      sym_comment,
      sym_block_comment,
  [642359] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21761), 1,
      anon_sym_EQ_GT_GT,
    STATE(16573), 2,
      sym_comment,
      sym_block_comment,
  [642373] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14933), 1,
      anon_sym_DOT,
    STATE(16574), 2,
      sym_comment,
      sym_block_comment,
  [642387] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21763), 1,
      sym__outdent,
    STATE(16575), 2,
      sym_comment,
      sym_block_comment,
  [642401] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21765), 1,
      anon_sym_RBRACE,
    STATE(16576), 2,
      sym_comment,
      sym_block_comment,
  [642415] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21767), 1,
      anon_sym_else,
    STATE(16577), 2,
      sym_comment,
      sym_block_comment,
  [642429] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21769), 1,
      anon_sym_do,
    STATE(16578), 2,
      sym_comment,
      sym_block_comment,
  [642443] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21771), 1,
      anon_sym_do,
    STATE(16579), 2,
      sym_comment,
      sym_block_comment,
  [642457] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21773), 1,
      anon_sym_do,
    STATE(16580), 2,
      sym_comment,
      sym_block_comment,
  [642471] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21775), 1,
      anon_sym_EQ_GT_GT,
    STATE(16581), 2,
      sym_comment,
      sym_block_comment,
  [642485] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21777), 1,
      anon_sym_EQ_GT_GT,
    STATE(16582), 2,
      sym_comment,
      sym_block_comment,
  [642499] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21779), 1,
      anon_sym_EQ_GT_GT,
    STATE(16583), 2,
      sym_comment,
      sym_block_comment,
  [642513] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21781), 1,
      anon_sym_EQ_GT_GT,
    STATE(16584), 2,
      sym_comment,
      sym_block_comment,
  [642527] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9582), 1,
      anon_sym_DOT,
    STATE(16585), 2,
      sym_comment,
      sym_block_comment,
  [642541] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21783), 1,
      anon_sym_RBRACE,
    STATE(16586), 2,
      sym_comment,
      sym_block_comment,
  [642555] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21785), 1,
      anon_sym_RBRACE,
    STATE(16587), 2,
      sym_comment,
      sym_block_comment,
  [642569] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21787), 1,
      anon_sym_RBRACE,
    STATE(16588), 2,
      sym_comment,
      sym_block_comment,
  [642583] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21785), 1,
      anon_sym_RPAREN,
    STATE(16589), 2,
      sym_comment,
      sym_block_comment,
  [642597] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21789), 1,
      anon_sym_else,
    STATE(16590), 2,
      sym_comment,
      sym_block_comment,
  [642611] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21791), 1,
      sym__outdent,
    STATE(16591), 2,
      sym_comment,
      sym_block_comment,
  [642625] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21793), 1,
      anon_sym_EQ_GT_GT,
    STATE(16592), 2,
      sym_comment,
      sym_block_comment,
  [642639] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21795), 1,
      anon_sym_EQ_GT_GT,
    STATE(16593), 2,
      sym_comment,
      sym_block_comment,
  [642653] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21797), 1,
      anon_sym_EQ_GT_GT,
    STATE(16594), 2,
      sym_comment,
      sym_block_comment,
  [642667] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21799), 1,
      anon_sym_EQ_GT_GT,
    STATE(16595), 2,
      sym_comment,
      sym_block_comment,
  [642681] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11024), 1,
      anon_sym_DOT,
    STATE(16596), 2,
      sym_comment,
      sym_block_comment,
  [642695] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21801), 1,
      anon_sym_RPAREN,
    STATE(16597), 2,
      sym_comment,
      sym_block_comment,
  [642709] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21803), 1,
      anon_sym_LPAREN,
    STATE(16598), 2,
      sym_comment,
      sym_block_comment,
  [642723] = 4,
    ACTIONS(17518), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17968), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(21805), 1,
      sym_using_directive_value,
    STATE(16599), 2,
      sym_comment,
      sym_block_comment,
  [642737] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21807), 1,
      anon_sym_RPAREN,
    STATE(16600), 2,
      sym_comment,
      sym_block_comment,
  [642751] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21809), 1,
      anon_sym_type,
    STATE(16601), 2,
      sym_comment,
      sym_block_comment,
  [642765] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21811), 1,
      sym__outdent,
    STATE(16602), 2,
      sym_comment,
      sym_block_comment,
  [642779] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21813), 1,
      anon_sym_EQ_GT_GT,
    STATE(16603), 2,
      sym_comment,
      sym_block_comment,
  [642793] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21815), 1,
      anon_sym_EQ_GT_GT,
    STATE(16604), 2,
      sym_comment,
      sym_block_comment,
  [642807] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21817), 1,
      anon_sym_EQ_GT_GT,
    STATE(16605), 2,
      sym_comment,
      sym_block_comment,
  [642821] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21819), 1,
      anon_sym_EQ_GT_GT,
    STATE(16606), 2,
      sym_comment,
      sym_block_comment,
  [642835] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12663), 1,
      anon_sym_DOT,
    STATE(16607), 2,
      sym_comment,
      sym_block_comment,
  [642849] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21821), 1,
      anon_sym_else,
    STATE(16608), 2,
      sym_comment,
      sym_block_comment,
  [642863] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21823), 1,
      anon_sym_else,
    STATE(16609), 2,
      sym_comment,
      sym_block_comment,
  [642877] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21825), 1,
      anon_sym_RPAREN,
    STATE(16610), 2,
      sym_comment,
      sym_block_comment,
  [642891] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21827), 1,
      sym__outdent,
    STATE(16611), 2,
      sym_comment,
      sym_block_comment,
  [642905] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21829), 1,
      sym__outdent,
    STATE(16612), 2,
      sym_comment,
      sym_block_comment,
  [642919] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21831), 1,
      anon_sym_else,
    STATE(16613), 2,
      sym_comment,
      sym_block_comment,
  [642933] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21833), 1,
      anon_sym_EQ_GT_GT,
    STATE(16614), 2,
      sym_comment,
      sym_block_comment,
  [642947] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21835), 1,
      anon_sym_EQ_GT_GT,
    STATE(16615), 2,
      sym_comment,
      sym_block_comment,
  [642961] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21837), 1,
      anon_sym_EQ_GT_GT,
    STATE(16616), 2,
      sym_comment,
      sym_block_comment,
  [642975] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21839), 1,
      anon_sym_EQ_GT_GT,
    STATE(16617), 2,
      sym_comment,
      sym_block_comment,
  [642989] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10907), 1,
      anon_sym_DOT,
    STATE(16618), 2,
      sym_comment,
      sym_block_comment,
  [643003] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21841), 1,
      anon_sym_RPAREN,
    STATE(16619), 2,
      sym_comment,
      sym_block_comment,
  [643017] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21843), 1,
      anon_sym_RPAREN,
    STATE(16620), 2,
      sym_comment,
      sym_block_comment,
  [643031] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9511), 1,
      anon_sym_DOT,
    STATE(16621), 2,
      sym_comment,
      sym_block_comment,
  [643045] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21845), 1,
      anon_sym_RBRACE,
    STATE(16622), 2,
      sym_comment,
      sym_block_comment,
  [643059] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21847), 1,
      anon_sym_COLON,
    STATE(16623), 2,
      sym_comment,
      sym_block_comment,
  [643073] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21849), 1,
      anon_sym_RBRACE,
    STATE(16624), 2,
      sym_comment,
      sym_block_comment,
  [643087] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21851), 1,
      anon_sym_EQ_GT_GT,
    STATE(16625), 2,
      sym_comment,
      sym_block_comment,
  [643101] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21853), 1,
      anon_sym_EQ_GT_GT,
    STATE(16626), 2,
      sym_comment,
      sym_block_comment,
  [643115] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21855), 1,
      anon_sym_EQ_GT_GT,
    STATE(16627), 2,
      sym_comment,
      sym_block_comment,
  [643129] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21857), 1,
      anon_sym_EQ_GT_GT,
    STATE(16628), 2,
      sym_comment,
      sym_block_comment,
  [643143] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8237), 1,
      anon_sym_DOT,
    STATE(16629), 2,
      sym_comment,
      sym_block_comment,
  [643157] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21849), 1,
      anon_sym_RPAREN,
    STATE(16630), 2,
      sym_comment,
      sym_block_comment,
  [643171] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21859), 1,
      anon_sym_RPAREN,
    STATE(16631), 2,
      sym_comment,
      sym_block_comment,
  [643185] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21861), 1,
      anon_sym_RBRACK,
    STATE(16632), 2,
      sym_comment,
      sym_block_comment,
  [643199] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21861), 1,
      anon_sym_RBRACE,
    STATE(16633), 2,
      sym_comment,
      sym_block_comment,
  [643213] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21863), 1,
      anon_sym_EQ_GT,
    STATE(16634), 2,
      sym_comment,
      sym_block_comment,
  [643227] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21865), 1,
      anon_sym_RBRACK,
    STATE(16635), 2,
      sym_comment,
      sym_block_comment,
  [643241] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21867), 1,
      anon_sym_EQ_GT_GT,
    STATE(16636), 2,
      sym_comment,
      sym_block_comment,
  [643255] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21869), 1,
      anon_sym_EQ_GT_GT,
    STATE(16637), 2,
      sym_comment,
      sym_block_comment,
  [643269] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21871), 1,
      anon_sym_EQ_GT_GT,
    STATE(16638), 2,
      sym_comment,
      sym_block_comment,
  [643283] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21873), 1,
      anon_sym_EQ_GT_GT,
    STATE(16639), 2,
      sym_comment,
      sym_block_comment,
  [643297] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8828), 1,
      anon_sym_DOT,
    STATE(16640), 2,
      sym_comment,
      sym_block_comment,
  [643311] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21865), 1,
      anon_sym_RBRACE,
    STATE(16641), 2,
      sym_comment,
      sym_block_comment,
  [643325] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21875), 1,
      sym__outdent,
    STATE(16642), 2,
      sym_comment,
      sym_block_comment,
  [643339] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21877), 1,
      anon_sym_RPAREN,
    STATE(16643), 2,
      sym_comment,
      sym_block_comment,
  [643353] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21877), 1,
      anon_sym_RBRACE,
    STATE(16644), 2,
      sym_comment,
      sym_block_comment,
  [643367] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21879), 1,
      sym__outdent,
    STATE(16645), 2,
      sym_comment,
      sym_block_comment,
  [643381] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21881), 1,
      anon_sym_EQ_GT_GT,
    STATE(16646), 2,
      sym_comment,
      sym_block_comment,
  [643395] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21883), 1,
      anon_sym_EQ_GT_GT,
    STATE(16647), 2,
      sym_comment,
      sym_block_comment,
  [643409] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21885), 1,
      anon_sym_RPAREN,
    STATE(16648), 2,
      sym_comment,
      sym_block_comment,
  [643423] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21887), 1,
      anon_sym_EQ_GT_GT,
    STATE(16649), 2,
      sym_comment,
      sym_block_comment,
  [643437] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8504), 1,
      anon_sym_DOT,
    STATE(16650), 2,
      sym_comment,
      sym_block_comment,
  [643451] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21889), 1,
      anon_sym_EQ_GT_GT,
    STATE(16651), 2,
      sym_comment,
      sym_block_comment,
  [643465] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21891), 1,
      anon_sym_RPAREN,
    STATE(16652), 2,
      sym_comment,
      sym_block_comment,
  [643479] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21893), 1,
      anon_sym_EQ_GT_GT,
    STATE(16653), 2,
      sym_comment,
      sym_block_comment,
  [643493] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21895), 1,
      anon_sym_RBRACE,
    STATE(16654), 2,
      sym_comment,
      sym_block_comment,
  [643507] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21897), 1,
      anon_sym_EQ_GT_GT,
    STATE(16655), 2,
      sym_comment,
      sym_block_comment,
  [643521] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8461), 1,
      anon_sym_DOT,
    STATE(16656), 2,
      sym_comment,
      sym_block_comment,
  [643535] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21899), 1,
      anon_sym_EQ_GT_GT,
    STATE(16657), 2,
      sym_comment,
      sym_block_comment,
  [643549] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21901), 1,
      anon_sym_RPAREN,
    STATE(16658), 2,
      sym_comment,
      sym_block_comment,
  [643563] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21903), 1,
      anon_sym_LPAREN,
    STATE(16659), 2,
      sym_comment,
      sym_block_comment,
  [643577] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21905), 1,
      anon_sym_EQ_GT,
    STATE(16660), 2,
      sym_comment,
      sym_block_comment,
  [643591] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21907), 1,
      sym__outdent,
    STATE(16661), 2,
      sym_comment,
      sym_block_comment,
  [643605] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9748), 1,
      anon_sym_DOT,
    STATE(16662), 2,
      sym_comment,
      sym_block_comment,
  [643619] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21909), 1,
      anon_sym_do,
    STATE(16663), 2,
      sym_comment,
      sym_block_comment,
  [643633] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21911), 1,
      anon_sym_else,
    STATE(16664), 2,
      sym_comment,
      sym_block_comment,
  [643647] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21913), 1,
      anon_sym_RBRACE,
    STATE(16665), 2,
      sym_comment,
      sym_block_comment,
  [643661] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21915), 1,
      anon_sym_do,
    STATE(16666), 2,
      sym_comment,
      sym_block_comment,
  [643675] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21917), 1,
      anon_sym_else,
    STATE(16667), 2,
      sym_comment,
      sym_block_comment,
  [643689] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14295), 1,
      anon_sym_DOT,
    STATE(16668), 2,
      sym_comment,
      sym_block_comment,
  [643703] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21919), 1,
      sym__outdent,
    STATE(16669), 2,
      sym_comment,
      sym_block_comment,
  [643717] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21921), 1,
      anon_sym_else,
    STATE(16670), 2,
      sym_comment,
      sym_block_comment,
  [643731] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21923), 1,
      anon_sym_RPAREN,
    STATE(16671), 2,
      sym_comment,
      sym_block_comment,
  [643745] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21925), 1,
      anon_sym_RBRACE,
    STATE(16672), 2,
      sym_comment,
      sym_block_comment,
  [643759] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21927), 1,
      anon_sym_else,
    STATE(16673), 2,
      sym_comment,
      sym_block_comment,
  [643773] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9887), 1,
      anon_sym_DOT,
    STATE(16674), 2,
      sym_comment,
      sym_block_comment,
  [643787] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21929), 1,
      anon_sym_RBRACE,
    STATE(16675), 2,
      sym_comment,
      sym_block_comment,
  [643801] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21929), 1,
      anon_sym_RPAREN,
    STATE(16676), 2,
      sym_comment,
      sym_block_comment,
  [643815] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21931), 1,
      anon_sym_RPAREN,
    STATE(16677), 2,
      sym_comment,
      sym_block_comment,
  [643829] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21933), 1,
      sym__outdent,
    STATE(16678), 2,
      sym_comment,
      sym_block_comment,
  [643843] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21935), 1,
      anon_sym_else,
    STATE(16679), 2,
      sym_comment,
      sym_block_comment,
  [643857] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9851), 1,
      anon_sym_DOT,
    STATE(16680), 2,
      sym_comment,
      sym_block_comment,
  [643871] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21937), 1,
      anon_sym_RPAREN,
    STATE(16681), 2,
      sym_comment,
      sym_block_comment,
  [643885] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21939), 1,
      sym__outdent,
    STATE(16682), 2,
      sym_comment,
      sym_block_comment,
  [643899] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21941), 1,
      sym__outdent,
    STATE(16683), 2,
      sym_comment,
      sym_block_comment,
  [643913] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21943), 1,
      anon_sym_else,
    STATE(16684), 2,
      sym_comment,
      sym_block_comment,
  [643927] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21945), 1,
      anon_sym_RPAREN,
    STATE(16685), 2,
      sym_comment,
      sym_block_comment,
  [643941] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10083), 1,
      anon_sym_DOT,
    STATE(16686), 2,
      sym_comment,
      sym_block_comment,
  [643955] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9737), 1,
      anon_sym_DOT,
    STATE(16687), 2,
      sym_comment,
      sym_block_comment,
  [643969] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21947), 1,
      anon_sym_do,
    STATE(16688), 2,
      sym_comment,
      sym_block_comment,
  [643983] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21949), 1,
      anon_sym_RBRACK,
    STATE(16689), 2,
      sym_comment,
      sym_block_comment,
  [643997] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21951), 1,
      anon_sym_COLON,
    STATE(16690), 2,
      sym_comment,
      sym_block_comment,
  [644011] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21953), 1,
      anon_sym_RBRACE,
    STATE(16691), 2,
      sym_comment,
      sym_block_comment,
  [644025] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10665), 1,
      anon_sym_DOT,
    STATE(16692), 2,
      sym_comment,
      sym_block_comment,
  [644039] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21949), 1,
      anon_sym_RBRACE,
    STATE(16693), 2,
      sym_comment,
      sym_block_comment,
  [644053] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21955), 1,
      anon_sym_RBRACK,
    STATE(16694), 2,
      sym_comment,
      sym_block_comment,
  [644067] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21955), 1,
      anon_sym_RBRACE,
    STATE(16695), 2,
      sym_comment,
      sym_block_comment,
  [644081] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21765), 1,
      anon_sym_RBRACK,
    STATE(16696), 2,
      sym_comment,
      sym_block_comment,
  [644095] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21957), 1,
      anon_sym_RBRACK,
    STATE(16697), 2,
      sym_comment,
      sym_block_comment,
  [644109] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9911), 1,
      anon_sym_DOT,
    STATE(16698), 2,
      sym_comment,
      sym_block_comment,
  [644123] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21959), 1,
      anon_sym_RBRACE,
    STATE(16699), 2,
      sym_comment,
      sym_block_comment,
  [644137] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21959), 1,
      anon_sym_RPAREN,
    STATE(16700), 2,
      sym_comment,
      sym_block_comment,
  [644151] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21957), 1,
      anon_sym_RBRACE,
    STATE(16701), 2,
      sym_comment,
      sym_block_comment,
  [644165] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21961), 1,
      anon_sym_RPAREN,
    STATE(16702), 2,
      sym_comment,
      sym_block_comment,
  [644179] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21963), 1,
      sym__outdent,
    STATE(16703), 2,
      sym_comment,
      sym_block_comment,
  [644193] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14199), 1,
      anon_sym_DOT,
    STATE(16704), 2,
      sym_comment,
      sym_block_comment,
  [644207] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21965), 1,
      anon_sym_RBRACK,
    STATE(16705), 2,
      sym_comment,
      sym_block_comment,
  [644221] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21967), 1,
      anon_sym_RPAREN,
    STATE(16706), 2,
      sym_comment,
      sym_block_comment,
  [644235] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21967), 1,
      anon_sym_RBRACE,
    STATE(16707), 2,
      sym_comment,
      sym_block_comment,
  [644249] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21969), 1,
      sym__outdent,
    STATE(16708), 2,
      sym_comment,
      sym_block_comment,
  [644263] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21971), 1,
      anon_sym_EQ_GT_GT,
    STATE(16709), 2,
      sym_comment,
      sym_block_comment,
  [644277] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11247), 1,
      anon_sym_DOT,
    STATE(16710), 2,
      sym_comment,
      sym_block_comment,
  [644291] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21973), 1,
      anon_sym_EQ_GT_GT,
    STATE(16711), 2,
      sym_comment,
      sym_block_comment,
  [644305] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21975), 1,
      anon_sym_RBRACE,
    STATE(16712), 2,
      sym_comment,
      sym_block_comment,
  [644319] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21977), 1,
      anon_sym_EQ_GT_GT,
    STATE(16713), 2,
      sym_comment,
      sym_block_comment,
  [644333] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21979), 1,
      anon_sym_EQ_GT_GT,
    STATE(16714), 2,
      sym_comment,
      sym_block_comment,
  [644347] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21981), 1,
      anon_sym_else,
    STATE(16715), 2,
      sym_comment,
      sym_block_comment,
  [644361] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10515), 1,
      anon_sym_DOT,
    STATE(16716), 2,
      sym_comment,
      sym_block_comment,
  [644375] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14862), 1,
      anon_sym_def,
    STATE(16717), 2,
      sym_comment,
      sym_block_comment,
  [644389] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21983), 1,
      anon_sym_RPAREN,
    STATE(16718), 2,
      sym_comment,
      sym_block_comment,
  [644403] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21985), 1,
      anon_sym_COLON,
    STATE(16719), 2,
      sym_comment,
      sym_block_comment,
  [644417] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21987), 1,
      anon_sym_RBRACE,
    STATE(16720), 2,
      sym_comment,
      sym_block_comment,
  [644431] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21989), 1,
      anon_sym_do,
    STATE(16721), 2,
      sym_comment,
      sym_block_comment,
  [644445] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12124), 1,
      anon_sym_DOT,
    STATE(16722), 2,
      sym_comment,
      sym_block_comment,
  [644459] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21991), 1,
      sym__outdent,
    STATE(16723), 2,
      sym_comment,
      sym_block_comment,
  [644473] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21993), 1,
      sym__outdent,
    STATE(16724), 2,
      sym_comment,
      sym_block_comment,
  [644487] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21995), 1,
      anon_sym_RBRACE,
    STATE(16725), 2,
      sym_comment,
      sym_block_comment,
  [644501] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21997), 1,
      anon_sym_RBRACK,
    STATE(16726), 2,
      sym_comment,
      sym_block_comment,
  [644515] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21999), 1,
      anon_sym_else,
    STATE(16727), 2,
      sym_comment,
      sym_block_comment,
  [644529] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11278), 1,
      anon_sym_DOT,
    STATE(16728), 2,
      sym_comment,
      sym_block_comment,
  [644543] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22001), 1,
      sym__outdent,
    STATE(16729), 2,
      sym_comment,
      sym_block_comment,
  [644557] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15580), 1,
      anon_sym_DOT,
    STATE(16730), 2,
      sym_comment,
      sym_block_comment,
  [644571] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22003), 1,
      anon_sym_RPAREN,
    STATE(16731), 2,
      sym_comment,
      sym_block_comment,
  [644585] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22005), 1,
      anon_sym_RPAREN,
    STATE(16732), 2,
      sym_comment,
      sym_block_comment,
  [644599] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22007), 1,
      anon_sym_LPAREN,
    STATE(16733), 2,
      sym_comment,
      sym_block_comment,
  [644613] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12370), 1,
      anon_sym_DOT,
    STATE(16734), 2,
      sym_comment,
      sym_block_comment,
  [644627] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22009), 1,
      anon_sym_else,
    STATE(16735), 2,
      sym_comment,
      sym_block_comment,
  [644641] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22011), 1,
      anon_sym_RPAREN,
    STATE(16736), 2,
      sym_comment,
      sym_block_comment,
  [644655] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22013), 1,
      anon_sym_EQ_GT,
    STATE(16737), 2,
      sym_comment,
      sym_block_comment,
  [644669] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22015), 1,
      sym__outdent,
    STATE(16738), 2,
      sym_comment,
      sym_block_comment,
  [644683] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22017), 1,
      anon_sym_do,
    STATE(16739), 2,
      sym_comment,
      sym_block_comment,
  [644697] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8953), 1,
      anon_sym_DOT,
    STATE(16740), 2,
      sym_comment,
      sym_block_comment,
  [644711] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22019), 1,
      anon_sym_RBRACE,
    STATE(16741), 2,
      sym_comment,
      sym_block_comment,
  [644725] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22021), 1,
      anon_sym_RPAREN,
    STATE(16742), 2,
      sym_comment,
      sym_block_comment,
  [644739] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22023), 1,
      anon_sym_RBRACE,
    STATE(16743), 2,
      sym_comment,
      sym_block_comment,
  [644753] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22023), 1,
      anon_sym_RPAREN,
    STATE(16744), 2,
      sym_comment,
      sym_block_comment,
  [644767] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22025), 1,
      anon_sym_RBRACK,
    STATE(16745), 2,
      sym_comment,
      sym_block_comment,
  [644781] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8437), 1,
      anon_sym_DOT,
    STATE(16746), 2,
      sym_comment,
      sym_block_comment,
  [644795] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22025), 1,
      anon_sym_RBRACE,
    STATE(16747), 2,
      sym_comment,
      sym_block_comment,
  [644809] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22005), 1,
      anon_sym_RBRACE,
    STATE(16748), 2,
      sym_comment,
      sym_block_comment,
  [644823] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22027), 1,
      anon_sym_else,
    STATE(16749), 2,
      sym_comment,
      sym_block_comment,
  [644837] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21997), 1,
      anon_sym_RBRACE,
    STATE(16750), 2,
      sym_comment,
      sym_block_comment,
  [644851] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22029), 1,
      sym__outdent,
    STATE(16751), 2,
      sym_comment,
      sym_block_comment,
  [644865] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8973), 1,
      anon_sym_DOT,
    STATE(16752), 2,
      sym_comment,
      sym_block_comment,
  [644879] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22031), 1,
      anon_sym_RPAREN,
    STATE(16753), 2,
      sym_comment,
      sym_block_comment,
  [644893] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22033), 1,
      sym__outdent,
    STATE(16754), 2,
      sym_comment,
      sym_block_comment,
  [644907] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22031), 1,
      anon_sym_RBRACE,
    STATE(16755), 2,
      sym_comment,
      sym_block_comment,
  [644921] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22035), 1,
      sym__outdent,
    STATE(16756), 2,
      sym_comment,
      sym_block_comment,
  [644935] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22037), 1,
      anon_sym_else,
    STATE(16757), 2,
      sym_comment,
      sym_block_comment,
  [644949] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10051), 1,
      anon_sym_DOT,
    STATE(16758), 2,
      sym_comment,
      sym_block_comment,
  [644963] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22039), 1,
      anon_sym_RPAREN,
    STATE(16759), 2,
      sym_comment,
      sym_block_comment,
  [644977] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22041), 1,
      anon_sym_RBRACE,
    STATE(16760), 2,
      sym_comment,
      sym_block_comment,
  [644991] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22043), 1,
      sym__outdent,
    STATE(16761), 2,
      sym_comment,
      sym_block_comment,
  [645005] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22045), 1,
      anon_sym_RPAREN,
    STATE(16762), 2,
      sym_comment,
      sym_block_comment,
  [645019] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22047), 1,
      anon_sym_do,
    STATE(16763), 2,
      sym_comment,
      sym_block_comment,
  [645033] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9001), 1,
      anon_sym_DOT,
    STATE(16764), 2,
      sym_comment,
      sym_block_comment,
  [645047] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22049), 1,
      anon_sym_RBRACE,
    STATE(16765), 2,
      sym_comment,
      sym_block_comment,
  [645061] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22051), 1,
      anon_sym_do,
    STATE(16766), 2,
      sym_comment,
      sym_block_comment,
  [645075] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9554), 1,
      anon_sym_with,
    STATE(16767), 2,
      sym_comment,
      sym_block_comment,
  [645089] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22053), 1,
      anon_sym_RBRACE,
    STATE(16768), 2,
      sym_comment,
      sym_block_comment,
  [645103] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22055), 1,
      anon_sym_RPAREN,
    STATE(16769), 2,
      sym_comment,
      sym_block_comment,
  [645117] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12805), 1,
      anon_sym_DOT,
    STATE(16770), 2,
      sym_comment,
      sym_block_comment,
  [645131] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22057), 1,
      sym__outdent,
    STATE(16771), 2,
      sym_comment,
      sym_block_comment,
  [645145] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22059), 1,
      anon_sym_else,
    STATE(16772), 2,
      sym_comment,
      sym_block_comment,
  [645159] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22061), 1,
      anon_sym_RBRACE,
    STATE(16773), 2,
      sym_comment,
      sym_block_comment,
  [645173] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22063), 1,
      anon_sym_LPAREN,
    STATE(16774), 2,
      sym_comment,
      sym_block_comment,
  [645187] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22065), 1,
      anon_sym_else,
    STATE(16775), 2,
      sym_comment,
      sym_block_comment,
  [645201] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10519), 1,
      anon_sym_DOT,
    STATE(16776), 2,
      sym_comment,
      sym_block_comment,
  [645215] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22067), 1,
      sym__outdent,
    STATE(16777), 2,
      sym_comment,
      sym_block_comment,
  [645229] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22069), 1,
      anon_sym_RPAREN,
    STATE(16778), 2,
      sym_comment,
      sym_block_comment,
  [645243] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22071), 1,
      anon_sym_RPAREN,
    STATE(16779), 2,
      sym_comment,
      sym_block_comment,
  [645257] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22073), 1,
      sym__outdent,
    STATE(16780), 2,
      sym_comment,
      sym_block_comment,
  [645271] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22075), 1,
      anon_sym_else,
    STATE(16781), 2,
      sym_comment,
      sym_block_comment,
  [645285] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14864), 1,
      anon_sym_DOT,
    STATE(16782), 2,
      sym_comment,
      sym_block_comment,
  [645299] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22077), 1,
      anon_sym_else,
    STATE(16783), 2,
      sym_comment,
      sym_block_comment,
  [645313] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7482), 1,
      anon_sym_DOT,
    STATE(16784), 2,
      sym_comment,
      sym_block_comment,
  [645327] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22079), 1,
      sym__outdent,
    STATE(16785), 2,
      sym_comment,
      sym_block_comment,
  [645341] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22081), 1,
      anon_sym_do,
    STATE(16786), 2,
      sym_comment,
      sym_block_comment,
  [645355] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22083), 1,
      anon_sym_COLON,
    STATE(16787), 2,
      sym_comment,
      sym_block_comment,
  [645369] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8885), 1,
      anon_sym_DOT,
    STATE(16788), 2,
      sym_comment,
      sym_block_comment,
  [645383] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22085), 1,
      anon_sym_RBRACE,
    STATE(16789), 2,
      sym_comment,
      sym_block_comment,
  [645397] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22087), 1,
      anon_sym_RPAREN,
    STATE(16790), 2,
      sym_comment,
      sym_block_comment,
  [645411] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22089), 1,
      anon_sym_RBRACE,
    STATE(16791), 2,
      sym_comment,
      sym_block_comment,
  [645425] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22089), 1,
      anon_sym_RPAREN,
    STATE(16792), 2,
      sym_comment,
      sym_block_comment,
  [645439] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22091), 1,
      anon_sym_RPAREN,
    STATE(16793), 2,
      sym_comment,
      sym_block_comment,
  [645453] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10398), 1,
      anon_sym_DOT,
    STATE(16794), 2,
      sym_comment,
      sym_block_comment,
  [645467] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22053), 1,
      anon_sym_RPAREN,
    STATE(16795), 2,
      sym_comment,
      sym_block_comment,
  [645481] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22093), 1,
      anon_sym_RBRACK,
    STATE(16796), 2,
      sym_comment,
      sym_block_comment,
  [645495] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22093), 1,
      anon_sym_RBRACE,
    STATE(16797), 2,
      sym_comment,
      sym_block_comment,
  [645509] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22095), 1,
      anon_sym_RBRACK,
    STATE(16798), 2,
      sym_comment,
      sym_block_comment,
  [645523] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22095), 1,
      anon_sym_RBRACE,
    STATE(16799), 2,
      sym_comment,
      sym_block_comment,
  [645537] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14890), 1,
      anon_sym_DOT,
    STATE(16800), 2,
      sym_comment,
      sym_block_comment,
  [645551] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22097), 1,
      anon_sym_else,
    STATE(16801), 2,
      sym_comment,
      sym_block_comment,
  [645565] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22099), 1,
      anon_sym_RPAREN,
    STATE(16802), 2,
      sym_comment,
      sym_block_comment,
  [645579] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22101), 1,
      sym__outdent,
    STATE(16803), 2,
      sym_comment,
      sym_block_comment,
  [645593] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22103), 1,
      anon_sym_else,
    STATE(16804), 2,
      sym_comment,
      sym_block_comment,
  [645607] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22105), 1,
      anon_sym_RPAREN,
    STATE(16805), 2,
      sym_comment,
      sym_block_comment,
  [645621] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9992), 1,
      anon_sym_DOT,
    STATE(16806), 2,
      sym_comment,
      sym_block_comment,
  [645635] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22105), 1,
      anon_sym_RBRACE,
    STATE(16807), 2,
      sym_comment,
      sym_block_comment,
  [645649] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22107), 1,
      sym__outdent,
    STATE(16808), 2,
      sym_comment,
      sym_block_comment,
  [645663] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22109), 1,
      anon_sym_do,
    STATE(16809), 2,
      sym_comment,
      sym_block_comment,
  [645677] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22111), 1,
      anon_sym_RBRACE,
    STATE(16810), 2,
      sym_comment,
      sym_block_comment,
  [645691] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22113), 1,
      anon_sym_RBRACE,
    STATE(16811), 2,
      sym_comment,
      sym_block_comment,
  [645705] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10551), 1,
      anon_sym_DOT,
    STATE(16812), 2,
      sym_comment,
      sym_block_comment,
  [645719] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22115), 1,
      anon_sym_RBRACE,
    STATE(16813), 2,
      sym_comment,
      sym_block_comment,
  [645733] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22117), 1,
      anon_sym_RBRACE,
    STATE(16814), 2,
      sym_comment,
      sym_block_comment,
  [645747] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22119), 1,
      anon_sym_RBRACE,
    STATE(16815), 2,
      sym_comment,
      sym_block_comment,
  [645761] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22117), 1,
      anon_sym_RPAREN,
    STATE(16816), 2,
      sym_comment,
      sym_block_comment,
  [645775] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22121), 1,
      anon_sym_RPAREN,
    STATE(16817), 2,
      sym_comment,
      sym_block_comment,
  [645789] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8419), 1,
      anon_sym_DOT,
    STATE(16818), 2,
      sym_comment,
      sym_block_comment,
  [645803] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22123), 1,
      sym__outdent,
    STATE(16819), 2,
      sym_comment,
      sym_block_comment,
  [645817] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22125), 1,
      anon_sym_else,
    STATE(16820), 2,
      sym_comment,
      sym_block_comment,
  [645831] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22127), 1,
      anon_sym_do,
    STATE(16821), 2,
      sym_comment,
      sym_block_comment,
  [645845] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22129), 1,
      anon_sym_RPAREN,
    STATE(16822), 2,
      sym_comment,
      sym_block_comment,
  [645859] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22131), 1,
      anon_sym_RBRACE,
    STATE(16823), 2,
      sym_comment,
      sym_block_comment,
  [645873] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11584), 1,
      anon_sym_DOT,
    STATE(16824), 2,
      sym_comment,
      sym_block_comment,
  [645887] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22133), 1,
      sym__outdent,
    STATE(16825), 2,
      sym_comment,
      sym_block_comment,
  [645901] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22135), 1,
      anon_sym_else,
    STATE(16826), 2,
      sym_comment,
      sym_block_comment,
  [645915] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22137), 1,
      sym__outdent,
    STATE(16827), 2,
      sym_comment,
      sym_block_comment,
  [645929] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22139), 1,
      anon_sym_else,
    STATE(16828), 2,
      sym_comment,
      sym_block_comment,
  [645943] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22141), 1,
      anon_sym_do,
    STATE(16829), 2,
      sym_comment,
      sym_block_comment,
  [645957] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8685), 1,
      anon_sym_DOT,
    STATE(16830), 2,
      sym_comment,
      sym_block_comment,
  [645971] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22143), 1,
      anon_sym_RPAREN,
    STATE(16831), 2,
      sym_comment,
      sym_block_comment,
  [645985] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22145), 1,
      anon_sym_EQ_GT_GT,
    STATE(16832), 2,
      sym_comment,
      sym_block_comment,
  [645999] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22147), 1,
      anon_sym_EQ_GT_GT,
    STATE(16833), 2,
      sym_comment,
      sym_block_comment,
  [646013] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22149), 1,
      anon_sym_else,
    STATE(16834), 2,
      sym_comment,
      sym_block_comment,
  [646027] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22151), 1,
      anon_sym_EQ_GT_GT,
    STATE(16835), 2,
      sym_comment,
      sym_block_comment,
  [646041] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10528), 1,
      anon_sym_DOT,
    STATE(16836), 2,
      sym_comment,
      sym_block_comment,
  [646055] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22153), 1,
      anon_sym_RBRACE,
    STATE(16837), 2,
      sym_comment,
      sym_block_comment,
  [646069] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22155), 1,
      sym__outdent,
    STATE(16838), 2,
      sym_comment,
      sym_block_comment,
  [646083] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22157), 1,
      anon_sym_EQ_GT_GT,
    STATE(16839), 2,
      sym_comment,
      sym_block_comment,
  [646097] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22159), 1,
      anon_sym_RBRACE,
    STATE(16840), 2,
      sym_comment,
      sym_block_comment,
  [646111] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22161), 1,
      anon_sym_RPAREN,
    STATE(16841), 2,
      sym_comment,
      sym_block_comment,
  [646125] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9172), 1,
      anon_sym_DOT,
    STATE(16842), 2,
      sym_comment,
      sym_block_comment,
  [646139] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22159), 1,
      anon_sym_RPAREN,
    STATE(16843), 2,
      sym_comment,
      sym_block_comment,
  [646153] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22163), 1,
      anon_sym_RPAREN,
    STATE(16844), 2,
      sym_comment,
      sym_block_comment,
  [646167] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22165), 1,
      anon_sym_RBRACK,
    STATE(16845), 2,
      sym_comment,
      sym_block_comment,
  [646181] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22165), 1,
      anon_sym_RBRACE,
    STATE(16846), 2,
      sym_comment,
      sym_block_comment,
  [646195] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22167), 1,
      sym__outdent,
    STATE(16847), 2,
      sym_comment,
      sym_block_comment,
  [646209] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13296), 1,
      anon_sym_DOT,
    STATE(16848), 2,
      sym_comment,
      sym_block_comment,
  [646223] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22169), 1,
      anon_sym_RBRACK,
    STATE(16849), 2,
      sym_comment,
      sym_block_comment,
  [646237] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22169), 1,
      anon_sym_RBRACE,
    STATE(16850), 2,
      sym_comment,
      sym_block_comment,
  [646251] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22171), 1,
      anon_sym_else,
    STATE(16851), 2,
      sym_comment,
      sym_block_comment,
  [646265] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22173), 1,
      sym__indent,
    STATE(16852), 2,
      sym_comment,
      sym_block_comment,
  [646279] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22175), 1,
      anon_sym_RPAREN,
    STATE(16853), 2,
      sym_comment,
      sym_block_comment,
  [646293] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10278), 1,
      anon_sym_DOT,
    STATE(16854), 2,
      sym_comment,
      sym_block_comment,
  [646307] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22175), 1,
      anon_sym_RBRACE,
    STATE(16855), 2,
      sym_comment,
      sym_block_comment,
  [646321] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22177), 1,
      sym__outdent,
    STATE(16856), 2,
      sym_comment,
      sym_block_comment,
  [646335] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22179), 1,
      sym__outdent,
    STATE(16857), 2,
      sym_comment,
      sym_block_comment,
  [646349] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22181), 1,
      sym__outdent,
    STATE(16858), 2,
      sym_comment,
      sym_block_comment,
  [646363] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22183), 1,
      anon_sym_else,
    STATE(16859), 2,
      sym_comment,
      sym_block_comment,
  [646377] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14771), 1,
      anon_sym_DOT,
    STATE(16860), 2,
      sym_comment,
      sym_block_comment,
  [646391] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22185), 1,
      anon_sym_do,
    STATE(16861), 2,
      sym_comment,
      sym_block_comment,
  [646405] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11306), 1,
      anon_sym_EQ_GT,
    STATE(16862), 2,
      sym_comment,
      sym_block_comment,
  [646419] = 4,
    ACTIONS(17518), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17968), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(22187), 1,
      sym_using_directive_key,
    STATE(16863), 2,
      sym_comment,
      sym_block_comment,
  [646433] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22189), 1,
      anon_sym_RBRACE,
    STATE(16864), 2,
      sym_comment,
      sym_block_comment,
  [646447] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15172), 1,
      anon_sym_DOT,
    STATE(16865), 2,
      sym_comment,
      sym_block_comment,
  [646461] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10912), 1,
      anon_sym_DOT,
    STATE(16866), 2,
      sym_comment,
      sym_block_comment,
  [646475] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22191), 1,
      anon_sym_LPAREN,
    STATE(16867), 2,
      sym_comment,
      sym_block_comment,
  [646489] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22193), 1,
      anon_sym_EQ_GT,
    STATE(16868), 2,
      sym_comment,
      sym_block_comment,
  [646503] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22195), 1,
      anon_sym_RBRACE,
    STATE(16869), 2,
      sym_comment,
      sym_block_comment,
  [646517] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22197), 1,
      anon_sym_RBRACE,
    STATE(16870), 2,
      sym_comment,
      sym_block_comment,
  [646531] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22197), 1,
      anon_sym_RPAREN,
    STATE(16871), 2,
      sym_comment,
      sym_block_comment,
  [646545] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12333), 1,
      anon_sym_DOT,
    STATE(16872), 2,
      sym_comment,
      sym_block_comment,
  [646559] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22199), 1,
      anon_sym_else,
    STATE(16873), 2,
      sym_comment,
      sym_block_comment,
  [646573] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22201), 1,
      anon_sym_do,
    STATE(16874), 2,
      sym_comment,
      sym_block_comment,
  [646587] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22203), 1,
      sym__outdent,
    STATE(16875), 2,
      sym_comment,
      sym_block_comment,
  [646601] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22205), 1,
      anon_sym_RBRACE,
    STATE(16876), 2,
      sym_comment,
      sym_block_comment,
  [646615] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22207), 1,
      anon_sym_else,
    STATE(16877), 2,
      sym_comment,
      sym_block_comment,
  [646629] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8551), 1,
      anon_sym_DOT,
    STATE(16878), 2,
      sym_comment,
      sym_block_comment,
  [646643] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22209), 1,
      anon_sym_RPAREN,
    STATE(16879), 2,
      sym_comment,
      sym_block_comment,
  [646657] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14860), 1,
      anon_sym_type,
    STATE(16880), 2,
      sym_comment,
      sym_block_comment,
  [646671] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22211), 1,
      anon_sym_type,
    STATE(16881), 2,
      sym_comment,
      sym_block_comment,
  [646685] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22213), 1,
      anon_sym_else,
    STATE(16882), 2,
      sym_comment,
      sym_block_comment,
  [646699] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22215), 1,
      sym__outdent,
    STATE(16883), 2,
      sym_comment,
      sym_block_comment,
  [646713] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9214), 1,
      anon_sym_DOT,
    STATE(16884), 2,
      sym_comment,
      sym_block_comment,
  [646727] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22217), 1,
      sym__outdent,
    STATE(16885), 2,
      sym_comment,
      sym_block_comment,
  [646741] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22219), 1,
      anon_sym_RPAREN,
    STATE(16886), 2,
      sym_comment,
      sym_block_comment,
  [646755] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22221), 1,
      sym__outdent,
    STATE(16887), 2,
      sym_comment,
      sym_block_comment,
  [646769] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22223), 1,
      anon_sym_do,
    STATE(16888), 2,
      sym_comment,
      sym_block_comment,
  [646783] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22225), 1,
      anon_sym_else,
    STATE(16889), 2,
      sym_comment,
      sym_block_comment,
  [646797] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13092), 1,
      anon_sym_DOT,
    STATE(16890), 2,
      sym_comment,
      sym_block_comment,
  [646811] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22227), 1,
      anon_sym_RBRACE,
    STATE(16891), 2,
      sym_comment,
      sym_block_comment,
  [646825] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22229), 1,
      anon_sym_RBRACE,
    STATE(16892), 2,
      sym_comment,
      sym_block_comment,
  [646839] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22229), 1,
      anon_sym_RPAREN,
    STATE(16893), 2,
      sym_comment,
      sym_block_comment,
  [646853] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22231), 1,
      sym__outdent,
    STATE(16894), 2,
      sym_comment,
      sym_block_comment,
  [646867] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22233), 1,
      anon_sym_RPAREN,
    STATE(16895), 2,
      sym_comment,
      sym_block_comment,
  [646881] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9278), 1,
      anon_sym_DOT,
    STATE(16896), 2,
      sym_comment,
      sym_block_comment,
  [646895] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22235), 1,
      sym__outdent,
    STATE(16897), 2,
      sym_comment,
      sym_block_comment,
  [646909] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22237), 1,
      anon_sym_RPAREN,
    STATE(16898), 2,
      sym_comment,
      sym_block_comment,
  [646923] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22239), 1,
      anon_sym_else,
    STATE(16899), 2,
      sym_comment,
      sym_block_comment,
  [646937] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22241), 1,
      anon_sym_RPAREN,
    STATE(16900), 2,
      sym_comment,
      sym_block_comment,
  [646951] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22243), 1,
      sym__outdent,
    STATE(16901), 2,
      sym_comment,
      sym_block_comment,
  [646965] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9926), 1,
      anon_sym_DOT,
    STATE(16902), 2,
      sym_comment,
      sym_block_comment,
  [646979] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22245), 1,
      anon_sym_RBRACK,
    STATE(16903), 2,
      sym_comment,
      sym_block_comment,
  [646993] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22245), 1,
      anon_sym_RBRACE,
    STATE(16904), 2,
      sym_comment,
      sym_block_comment,
  [647007] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22247), 1,
      anon_sym_RBRACK,
    STATE(16905), 2,
      sym_comment,
      sym_block_comment,
  [647021] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22247), 1,
      anon_sym_RBRACE,
    STATE(16906), 2,
      sym_comment,
      sym_block_comment,
  [647035] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22249), 1,
      anon_sym_else,
    STATE(16907), 2,
      sym_comment,
      sym_block_comment,
  [647049] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14229), 1,
      anon_sym_DOT,
    STATE(16908), 2,
      sym_comment,
      sym_block_comment,
  [647063] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22251), 1,
      anon_sym_RPAREN,
    STATE(16909), 2,
      sym_comment,
      sym_block_comment,
  [647077] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22251), 1,
      anon_sym_RBRACE,
    STATE(16910), 2,
      sym_comment,
      sym_block_comment,
  [647091] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22253), 1,
      sym__outdent,
    STATE(16911), 2,
      sym_comment,
      sym_block_comment,
  [647105] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22255), 1,
      anon_sym_do,
    STATE(16912), 2,
      sym_comment,
      sym_block_comment,
  [647119] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22257), 1,
      anon_sym_RBRACE,
    STATE(16913), 2,
      sym_comment,
      sym_block_comment,
  [647133] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22259), 1,
      anon_sym_RBRACE,
    STATE(16914), 2,
      sym_comment,
      sym_block_comment,
  [647147] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22261), 1,
      anon_sym_RBRACE,
    STATE(16915), 2,
      sym_comment,
      sym_block_comment,
  [647161] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22261), 1,
      anon_sym_RPAREN,
    STATE(16916), 2,
      sym_comment,
      sym_block_comment,
  [647175] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22263), 1,
      anon_sym_RPAREN,
    STATE(16917), 2,
      sym_comment,
      sym_block_comment,
  [647189] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22265), 1,
      sym__outdent,
    STATE(16918), 2,
      sym_comment,
      sym_block_comment,
  [647203] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22267), 1,
      anon_sym_LPAREN,
    STATE(16919), 2,
      sym_comment,
      sym_block_comment,
  [647217] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22269), 1,
      anon_sym_do,
    STATE(16920), 2,
      sym_comment,
      sym_block_comment,
  [647231] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22271), 1,
      anon_sym_else,
    STATE(16921), 2,
      sym_comment,
      sym_block_comment,
  [647245] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22273), 1,
      anon_sym_RBRACE,
    STATE(16922), 2,
      sym_comment,
      sym_block_comment,
  [647259] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22275), 1,
      anon_sym_RPAREN,
    STATE(16923), 2,
      sym_comment,
      sym_block_comment,
  [647273] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22277), 1,
      sym__outdent,
    STATE(16924), 2,
      sym_comment,
      sym_block_comment,
  [647287] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22279), 1,
      anon_sym_else,
    STATE(16925), 2,
      sym_comment,
      sym_block_comment,
  [647301] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22281), 1,
      sym__outdent,
    STATE(16926), 2,
      sym_comment,
      sym_block_comment,
  [647315] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11573), 1,
      anon_sym_DOT,
    STATE(16927), 2,
      sym_comment,
      sym_block_comment,
  [647329] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22283), 1,
      anon_sym_RPAREN,
    STATE(16928), 2,
      sym_comment,
      sym_block_comment,
  [647343] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22285), 1,
      anon_sym_with,
    STATE(16929), 2,
      sym_comment,
      sym_block_comment,
  [647357] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22287), 1,
      anon_sym_else,
    STATE(16930), 2,
      sym_comment,
      sym_block_comment,
  [647371] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7426), 1,
      anon_sym_def,
    STATE(16931), 2,
      sym_comment,
      sym_block_comment,
  [647385] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22289), 1,
      anon_sym_else,
    STATE(16932), 2,
      sym_comment,
      sym_block_comment,
  [647399] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22291), 1,
      anon_sym_RBRACE,
    STATE(16933), 2,
      sym_comment,
      sym_block_comment,
  [647413] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22293), 1,
      anon_sym_COLON,
    STATE(16934), 2,
      sym_comment,
      sym_block_comment,
  [647427] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22295), 1,
      sym__outdent,
    STATE(16935), 2,
      sym_comment,
      sym_block_comment,
  [647441] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22297), 1,
      anon_sym_RPAREN,
    STATE(16936), 2,
      sym_comment,
      sym_block_comment,
  [647455] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22299), 1,
      anon_sym_RPAREN,
    STATE(16937), 2,
      sym_comment,
      sym_block_comment,
  [647469] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22301), 1,
      anon_sym_RPAREN,
    STATE(16938), 2,
      sym_comment,
      sym_block_comment,
  [647483] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22303), 1,
      anon_sym_RPAREN,
    STATE(16939), 2,
      sym_comment,
      sym_block_comment,
  [647497] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22305), 1,
      sym__outdent,
    STATE(16940), 2,
      sym_comment,
      sym_block_comment,
  [647511] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22307), 1,
      anon_sym_RBRACK,
    STATE(16941), 2,
      sym_comment,
      sym_block_comment,
  [647525] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22309), 1,
      sym__indent,
    STATE(16942), 2,
      sym_comment,
      sym_block_comment,
  [647539] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22307), 1,
      anon_sym_RBRACE,
    STATE(16943), 2,
      sym_comment,
      sym_block_comment,
  [647553] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22311), 1,
      anon_sym_RBRACK,
    STATE(16944), 2,
      sym_comment,
      sym_block_comment,
  [647567] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22311), 1,
      anon_sym_RBRACE,
    STATE(16945), 2,
      sym_comment,
      sym_block_comment,
  [647581] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22313), 1,
      anon_sym_RBRACE,
    STATE(16946), 2,
      sym_comment,
      sym_block_comment,
  [647595] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22315), 1,
      sym__outdent,
    STATE(16947), 2,
      sym_comment,
      sym_block_comment,
  [647609] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22317), 1,
      anon_sym_RPAREN,
    STATE(16948), 2,
      sym_comment,
      sym_block_comment,
  [647623] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22317), 1,
      anon_sym_RBRACE,
    STATE(16949), 2,
      sym_comment,
      sym_block_comment,
  [647637] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22319), 1,
      sym__outdent,
    STATE(16950), 2,
      sym_comment,
      sym_block_comment,
  [647651] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22321), 1,
      anon_sym_LPAREN,
    STATE(16951), 2,
      sym_comment,
      sym_block_comment,
  [647665] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22323), 1,
      anon_sym_RPAREN,
    STATE(16952), 2,
      sym_comment,
      sym_block_comment,
  [647679] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22325), 1,
      sym__outdent,
    STATE(16953), 2,
      sym_comment,
      sym_block_comment,
  [647693] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22327), 1,
      anon_sym_do,
    STATE(16954), 2,
      sym_comment,
      sym_block_comment,
  [647707] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22329), 1,
      anon_sym_RPAREN,
    STATE(16955), 2,
      sym_comment,
      sym_block_comment,
  [647721] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22331), 1,
      anon_sym_RBRACE,
    STATE(16956), 2,
      sym_comment,
      sym_block_comment,
  [647735] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22333), 1,
      anon_sym_then,
    STATE(16957), 2,
      sym_comment,
      sym_block_comment,
  [647749] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22335), 1,
      sym__outdent,
    STATE(16958), 2,
      sym_comment,
      sym_block_comment,
  [647763] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22337), 1,
      anon_sym_RBRACE,
    STATE(16959), 2,
      sym_comment,
      sym_block_comment,
  [647777] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22339), 1,
      anon_sym_RPAREN,
    STATE(16960), 2,
      sym_comment,
      sym_block_comment,
  [647791] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22341), 1,
      sym__outdent,
    STATE(16961), 2,
      sym_comment,
      sym_block_comment,
  [647805] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22343), 1,
      anon_sym_RPAREN,
    STATE(16962), 2,
      sym_comment,
      sym_block_comment,
  [647819] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22345), 1,
      anon_sym_do,
    STATE(16963), 2,
      sym_comment,
      sym_block_comment,
  [647833] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22347), 1,
      sym__outdent,
    STATE(16964), 2,
      sym_comment,
      sym_block_comment,
  [647847] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22349), 1,
      anon_sym_RBRACE,
    STATE(16965), 2,
      sym_comment,
      sym_block_comment,
  [647861] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22351), 1,
      anon_sym_RBRACE,
    STATE(16966), 2,
      sym_comment,
      sym_block_comment,
  [647875] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22353), 1,
      anon_sym_else,
    STATE(16967), 2,
      sym_comment,
      sym_block_comment,
  [647889] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22355), 1,
      sym__outdent,
    STATE(16968), 2,
      sym_comment,
      sym_block_comment,
  [647903] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22357), 1,
      anon_sym_RPAREN,
    STATE(16969), 2,
      sym_comment,
      sym_block_comment,
  [647917] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7454), 1,
      anon_sym_type,
    STATE(16970), 2,
      sym_comment,
      sym_block_comment,
  [647931] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22359), 1,
      anon_sym_RPAREN,
    STATE(16971), 2,
      sym_comment,
      sym_block_comment,
  [647945] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12089), 1,
      anon_sym_DOT,
    STATE(16972), 2,
      sym_comment,
      sym_block_comment,
  [647959] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22361), 1,
      sym__outdent,
    STATE(16973), 2,
      sym_comment,
      sym_block_comment,
  [647973] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7498), 1,
      anon_sym_with,
    STATE(16974), 2,
      sym_comment,
      sym_block_comment,
  [647987] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22363), 1,
      anon_sym_RPAREN,
    STATE(16975), 2,
      sym_comment,
      sym_block_comment,
  [648001] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22365), 1,
      anon_sym_EQ,
    STATE(16976), 2,
      sym_comment,
      sym_block_comment,
  [648015] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22367), 1,
      sym__indent,
    STATE(16977), 2,
      sym_comment,
      sym_block_comment,
  [648029] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22369), 1,
      anon_sym_EQ,
    STATE(16978), 2,
      sym_comment,
      sym_block_comment,
  [648043] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14731), 1,
      anon_sym_type,
    STATE(16979), 2,
      sym_comment,
      sym_block_comment,
  [648057] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22371), 1,
      anon_sym_else,
    STATE(16980), 2,
      sym_comment,
      sym_block_comment,
  [648071] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22373), 1,
      sym__indent,
    STATE(16981), 2,
      sym_comment,
      sym_block_comment,
  [648085] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22375), 1,
      sym__outdent,
    STATE(16982), 2,
      sym_comment,
      sym_block_comment,
  [648099] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22377), 1,
      anon_sym_RBRACE,
    STATE(16983), 2,
      sym_comment,
      sym_block_comment,
  [648113] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22379), 1,
      anon_sym_type,
    STATE(16984), 2,
      sym_comment,
      sym_block_comment,
  [648127] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22381), 1,
      anon_sym_RPAREN,
    STATE(16985), 2,
      sym_comment,
      sym_block_comment,
  [648141] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22383), 1,
      anon_sym_RPAREN,
    STATE(16986), 2,
      sym_comment,
      sym_block_comment,
  [648155] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22385), 1,
      anon_sym_RPAREN,
    STATE(16987), 2,
      sym_comment,
      sym_block_comment,
  [648169] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22387), 1,
      sym__outdent,
    STATE(16988), 2,
      sym_comment,
      sym_block_comment,
  [648183] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22389), 1,
      sym__outdent,
    STATE(16989), 2,
      sym_comment,
      sym_block_comment,
  [648197] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22391), 1,
      anon_sym_RPAREN,
    STATE(16990), 2,
      sym_comment,
      sym_block_comment,
  [648211] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22393), 1,
      anon_sym_RPAREN,
    STATE(16991), 2,
      sym_comment,
      sym_block_comment,
  [648225] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22395), 1,
      anon_sym_RPAREN,
    STATE(16992), 2,
      sym_comment,
      sym_block_comment,
  [648239] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22397), 1,
      anon_sym_RPAREN,
    STATE(16993), 2,
      sym_comment,
      sym_block_comment,
  [648253] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22399), 1,
      anon_sym_RBRACK,
    STATE(16994), 2,
      sym_comment,
      sym_block_comment,
  [648267] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22399), 1,
      anon_sym_RBRACE,
    STATE(16995), 2,
      sym_comment,
      sym_block_comment,
  [648281] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22401), 1,
      anon_sym_RBRACK,
    STATE(16996), 2,
      sym_comment,
      sym_block_comment,
  [648295] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22403), 1,
      anon_sym_with,
    STATE(16997), 2,
      sym_comment,
      sym_block_comment,
  [648309] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22401), 1,
      anon_sym_RBRACE,
    STATE(16998), 2,
      sym_comment,
      sym_block_comment,
  [648323] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22405), 1,
      anon_sym_RPAREN,
    STATE(16999), 2,
      sym_comment,
      sym_block_comment,
  [648337] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22407), 1,
      sym__indent,
    STATE(17000), 2,
      sym_comment,
      sym_block_comment,
  [648351] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22409), 1,
      anon_sym_RBRACE,
    STATE(17001), 2,
      sym_comment,
      sym_block_comment,
  [648365] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22411), 1,
      anon_sym_RPAREN,
    STATE(17002), 2,
      sym_comment,
      sym_block_comment,
  [648379] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22413), 1,
      sym__outdent,
    STATE(17003), 2,
      sym_comment,
      sym_block_comment,
  [648393] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22411), 1,
      anon_sym_RBRACE,
    STATE(17004), 2,
      sym_comment,
      sym_block_comment,
  [648407] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22415), 1,
      anon_sym_RPAREN,
    STATE(17005), 2,
      sym_comment,
      sym_block_comment,
  [648421] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22417), 1,
      anon_sym_RPAREN,
    STATE(17006), 2,
      sym_comment,
      sym_block_comment,
  [648435] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11285), 1,
      anon_sym_with,
    STATE(17007), 2,
      sym_comment,
      sym_block_comment,
  [648449] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22419), 1,
      anon_sym_RPAREN,
    STATE(17008), 2,
      sym_comment,
      sym_block_comment,
  [648463] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22421), 1,
      anon_sym_RPAREN,
    STATE(17009), 2,
      sym_comment,
      sym_block_comment,
  [648477] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12890), 1,
      sym__indent,
    STATE(17010), 2,
      sym_comment,
      sym_block_comment,
  [648491] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22423), 1,
      sym__outdent,
    STATE(17011), 2,
      sym_comment,
      sym_block_comment,
  [648505] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22425), 1,
      sym__outdent,
    STATE(17012), 2,
      sym_comment,
      sym_block_comment,
  [648519] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22427), 1,
      anon_sym_RPAREN,
    STATE(17013), 2,
      sym_comment,
      sym_block_comment,
  [648533] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22429), 1,
      anon_sym_RBRACE,
    STATE(17014), 2,
      sym_comment,
      sym_block_comment,
  [648547] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22431), 1,
      sym__outdent,
    STATE(17015), 2,
      sym_comment,
      sym_block_comment,
  [648561] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22433), 1,
      anon_sym_RPAREN,
    STATE(17016), 2,
      sym_comment,
      sym_block_comment,
  [648575] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22435), 1,
      anon_sym_RBRACE,
    STATE(17017), 2,
      sym_comment,
      sym_block_comment,
  [648589] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22437), 1,
      sym__indent,
    STATE(17018), 2,
      sym_comment,
      sym_block_comment,
  [648603] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22439), 1,
      anon_sym_RPAREN,
    STATE(17019), 2,
      sym_comment,
      sym_block_comment,
  [648617] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22441), 1,
      sym__outdent,
    STATE(17020), 2,
      sym_comment,
      sym_block_comment,
  [648631] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22443), 1,
      anon_sym_RBRACE,
    STATE(17021), 2,
      sym_comment,
      sym_block_comment,
  [648645] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22445), 1,
      sym__outdent,
    STATE(17022), 2,
      sym_comment,
      sym_block_comment,
  [648659] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22447), 1,
      anon_sym_RPAREN,
    STATE(17023), 2,
      sym_comment,
      sym_block_comment,
  [648673] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22449), 1,
      anon_sym_do,
    STATE(17024), 2,
      sym_comment,
      sym_block_comment,
  [648687] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22451), 1,
      sym__indent,
    STATE(17025), 2,
      sym_comment,
      sym_block_comment,
  [648701] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22453), 1,
      sym__outdent,
    STATE(17026), 2,
      sym_comment,
      sym_block_comment,
  [648715] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22455), 1,
      anon_sym_RPAREN,
    STATE(17027), 2,
      sym_comment,
      sym_block_comment,
  [648729] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22457), 1,
      anon_sym_RBRACE,
    STATE(17028), 2,
      sym_comment,
      sym_block_comment,
  [648743] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22459), 1,
      anon_sym_RBRACE,
    STATE(17029), 2,
      sym_comment,
      sym_block_comment,
  [648757] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22461), 1,
      anon_sym_RPAREN,
    STATE(17030), 2,
      sym_comment,
      sym_block_comment,
  [648771] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22463), 1,
      sym__outdent,
    STATE(17031), 2,
      sym_comment,
      sym_block_comment,
  [648785] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22465), 1,
      sym__indent,
    STATE(17032), 2,
      sym_comment,
      sym_block_comment,
  [648799] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22467), 1,
      sym__outdent,
    STATE(17033), 2,
      sym_comment,
      sym_block_comment,
  [648813] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22469), 1,
      anon_sym_RPAREN,
    STATE(17034), 2,
      sym_comment,
      sym_block_comment,
  [648827] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22471), 1,
      sym__outdent,
    STATE(17035), 2,
      sym_comment,
      sym_block_comment,
  [648841] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22473), 1,
      anon_sym_RPAREN,
    STATE(17036), 2,
      sym_comment,
      sym_block_comment,
  [648855] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22475), 1,
      anon_sym_else,
    STATE(17037), 2,
      sym_comment,
      sym_block_comment,
  [648869] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22477), 1,
      sym__outdent,
    STATE(17038), 2,
      sym_comment,
      sym_block_comment,
  [648883] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22479), 1,
      sym__indent,
    STATE(17039), 2,
      sym_comment,
      sym_block_comment,
  [648897] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22481), 1,
      anon_sym_RBRACE,
    STATE(17040), 2,
      sym_comment,
      sym_block_comment,
  [648911] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22483), 1,
      anon_sym_RPAREN,
    STATE(17041), 2,
      sym_comment,
      sym_block_comment,
  [648925] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22485), 1,
      anon_sym_RBRACE,
    STATE(17042), 2,
      sym_comment,
      sym_block_comment,
  [648939] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22487), 1,
      sym__outdent,
    STATE(17043), 2,
      sym_comment,
      sym_block_comment,
  [648953] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22489), 1,
      anon_sym_RPAREN,
    STATE(17044), 2,
      sym_comment,
      sym_block_comment,
  [648967] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22491), 1,
      anon_sym_RPAREN,
    STATE(17045), 2,
      sym_comment,
      sym_block_comment,
  [648981] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22493), 1,
      sym__indent,
    STATE(17046), 2,
      sym_comment,
      sym_block_comment,
  [648995] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22495), 1,
      anon_sym_RBRACE,
    STATE(17047), 2,
      sym_comment,
      sym_block_comment,
  [649009] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22497), 1,
      sym__outdent,
    STATE(17048), 2,
      sym_comment,
      sym_block_comment,
  [649023] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22499), 1,
      anon_sym_RPAREN,
    STATE(17049), 2,
      sym_comment,
      sym_block_comment,
  [649037] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22501), 1,
      anon_sym_EQ,
    STATE(17050), 2,
      sym_comment,
      sym_block_comment,
  [649051] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22503), 1,
      anon_sym_EQ,
    STATE(17051), 2,
      sym_comment,
      sym_block_comment,
  [649065] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22505), 1,
      anon_sym_else,
    STATE(17052), 2,
      sym_comment,
      sym_block_comment,
  [649079] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22507), 1,
      sym__indent,
    STATE(17053), 2,
      sym_comment,
      sym_block_comment,
  [649093] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22509), 1,
      anon_sym_RBRACE,
    STATE(17054), 2,
      sym_comment,
      sym_block_comment,
  [649107] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22511), 1,
      anon_sym_RPAREN,
    STATE(17055), 2,
      sym_comment,
      sym_block_comment,
  [649121] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22513), 1,
      sym__outdent,
    STATE(17056), 2,
      sym_comment,
      sym_block_comment,
  [649135] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22515), 1,
      anon_sym_RPAREN,
    STATE(17057), 2,
      sym_comment,
      sym_block_comment,
  [649149] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22517), 1,
      sym__outdent,
    STATE(17058), 2,
      sym_comment,
      sym_block_comment,
  [649163] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22519), 1,
      sym__outdent,
    STATE(17059), 2,
      sym_comment,
      sym_block_comment,
  [649177] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22521), 1,
      sym__indent,
    STATE(17060), 2,
      sym_comment,
      sym_block_comment,
  [649191] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22523), 1,
      anon_sym_RPAREN,
    STATE(17061), 2,
      sym_comment,
      sym_block_comment,
  [649205] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22525), 1,
      sym__outdent,
    STATE(17062), 2,
      sym_comment,
      sym_block_comment,
  [649219] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22527), 1,
      anon_sym_RBRACE,
    STATE(17063), 2,
      sym_comment,
      sym_block_comment,
  [649233] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22529), 1,
      anon_sym_RPAREN,
    STATE(17064), 2,
      sym_comment,
      sym_block_comment,
  [649247] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22531), 1,
      sym__outdent,
    STATE(17065), 2,
      sym_comment,
      sym_block_comment,
  [649261] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22533), 1,
      anon_sym_RBRACE,
    STATE(17066), 2,
      sym_comment,
      sym_block_comment,
  [649275] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22535), 1,
      sym__indent,
    STATE(17067), 2,
      sym_comment,
      sym_block_comment,
  [649289] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22537), 1,
      anon_sym_RPAREN,
    STATE(17068), 2,
      sym_comment,
      sym_block_comment,
  [649303] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22539), 1,
      sym__outdent,
    STATE(17069), 2,
      sym_comment,
      sym_block_comment,
  [649317] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22541), 1,
      sym__outdent,
    STATE(17070), 2,
      sym_comment,
      sym_block_comment,
  [649331] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22543), 1,
      anon_sym_RPAREN,
    STATE(17071), 2,
      sym_comment,
      sym_block_comment,
  [649345] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22545), 1,
      anon_sym_RPAREN,
    STATE(17072), 2,
      sym_comment,
      sym_block_comment,
  [649359] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22547), 1,
      anon_sym_RBRACE,
    STATE(17073), 2,
      sym_comment,
      sym_block_comment,
  [649373] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22549), 1,
      sym__indent,
    STATE(17074), 2,
      sym_comment,
      sym_block_comment,
  [649387] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22551), 1,
      anon_sym_RBRACE,
    STATE(17075), 2,
      sym_comment,
      sym_block_comment,
  [649401] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22553), 1,
      anon_sym_RBRACK,
    STATE(17076), 2,
      sym_comment,
      sym_block_comment,
  [649415] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22555), 1,
      anon_sym_RPAREN,
    STATE(17077), 2,
      sym_comment,
      sym_block_comment,
  [649429] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22553), 1,
      anon_sym_RBRACE,
    STATE(17078), 2,
      sym_comment,
      sym_block_comment,
  [649443] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22557), 1,
      anon_sym_RBRACK,
    STATE(17079), 2,
      sym_comment,
      sym_block_comment,
  [649457] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22557), 1,
      anon_sym_RBRACE,
    STATE(17080), 2,
      sym_comment,
      sym_block_comment,
  [649471] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22559), 1,
      sym__indent,
    STATE(17081), 2,
      sym_comment,
      sym_block_comment,
  [649485] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22561), 1,
      sym__outdent,
    STATE(17082), 2,
      sym_comment,
      sym_block_comment,
  [649499] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22563), 1,
      anon_sym_RPAREN,
    STATE(17083), 2,
      sym_comment,
      sym_block_comment,
  [649513] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22565), 1,
      sym__outdent,
    STATE(17084), 2,
      sym_comment,
      sym_block_comment,
  [649527] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22567), 1,
      anon_sym_RPAREN,
    STATE(17085), 2,
      sym_comment,
      sym_block_comment,
  [649541] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22567), 1,
      anon_sym_RBRACE,
    STATE(17086), 2,
      sym_comment,
      sym_block_comment,
  [649555] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22569), 1,
      sym__outdent,
    STATE(17087), 2,
      sym_comment,
      sym_block_comment,
  [649569] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22571), 1,
      sym__indent,
    STATE(17088), 2,
      sym_comment,
      sym_block_comment,
  [649583] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22573), 1,
      anon_sym_RPAREN,
    STATE(17089), 2,
      sym_comment,
      sym_block_comment,
  [649597] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22575), 1,
      sym__outdent,
    STATE(17090), 2,
      sym_comment,
      sym_block_comment,
  [649611] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22577), 1,
      anon_sym_RBRACE,
    STATE(17091), 2,
      sym_comment,
      sym_block_comment,
  [649625] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22579), 1,
      anon_sym_RPAREN,
    STATE(17092), 2,
      sym_comment,
      sym_block_comment,
  [649639] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11316), 1,
      anon_sym_EQ_GT,
    STATE(17093), 2,
      sym_comment,
      sym_block_comment,
  [649653] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22581), 1,
      sym__outdent,
    STATE(17094), 2,
      sym_comment,
      sym_block_comment,
  [649667] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22583), 1,
      sym__indent,
    STATE(17095), 2,
      sym_comment,
      sym_block_comment,
  [649681] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22585), 1,
      anon_sym_RBRACE,
    STATE(17096), 2,
      sym_comment,
      sym_block_comment,
  [649695] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22587), 1,
      sym__outdent,
    STATE(17097), 2,
      sym_comment,
      sym_block_comment,
  [649709] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22589), 1,
      anon_sym_RPAREN,
    STATE(17098), 2,
      sym_comment,
      sym_block_comment,
  [649723] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22591), 1,
      anon_sym_RPAREN,
    STATE(17099), 2,
      sym_comment,
      sym_block_comment,
  [649737] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22593), 1,
      anon_sym_using,
    STATE(17100), 2,
      sym_comment,
      sym_block_comment,
  [649751] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11320), 1,
      anon_sym_EQ_GT,
    STATE(17101), 2,
      sym_comment,
      sym_block_comment,
  [649765] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22595), 1,
      sym__indent,
    STATE(17102), 2,
      sym_comment,
      sym_block_comment,
  [649779] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22597), 1,
      sym__outdent,
    STATE(17103), 2,
      sym_comment,
      sym_block_comment,
  [649793] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22599), 1,
      anon_sym_RBRACE,
    STATE(17104), 2,
      sym_comment,
      sym_block_comment,
  [649807] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22601), 1,
      anon_sym_RPAREN,
    STATE(17105), 2,
      sym_comment,
      sym_block_comment,
  [649821] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22603), 1,
      sym__outdent,
    STATE(17106), 2,
      sym_comment,
      sym_block_comment,
  [649835] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22605), 1,
      anon_sym_RBRACE,
    STATE(17107), 2,
      sym_comment,
      sym_block_comment,
  [649849] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22607), 1,
      anon_sym_RPAREN,
    STATE(17108), 2,
      sym_comment,
      sym_block_comment,
  [649863] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22609), 1,
      sym__indent,
    STATE(17109), 2,
      sym_comment,
      sym_block_comment,
  [649877] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22611), 1,
      sym__outdent,
    STATE(17110), 2,
      sym_comment,
      sym_block_comment,
  [649891] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22613), 1,
      anon_sym_RBRACE,
    STATE(17111), 2,
      sym_comment,
      sym_block_comment,
  [649905] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22615), 1,
      sym__outdent,
    STATE(17112), 2,
      sym_comment,
      sym_block_comment,
  [649919] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22617), 1,
      anon_sym_RPAREN,
    STATE(17113), 2,
      sym_comment,
      sym_block_comment,
  [649933] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22619), 1,
      anon_sym_COLON,
    STATE(17114), 2,
      sym_comment,
      sym_block_comment,
  [649947] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22621), 1,
      sym__indent,
    STATE(17115), 2,
      sym_comment,
      sym_block_comment,
  [649961] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22623), 1,
      sym__outdent,
    STATE(17116), 2,
      sym_comment,
      sym_block_comment,
  [649975] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22625), 1,
      anon_sym_RPAREN,
    STATE(17117), 2,
      sym_comment,
      sym_block_comment,
  [649989] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22627), 1,
      sym__outdent,
    STATE(17118), 2,
      sym_comment,
      sym_block_comment,
  [650003] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22629), 1,
      anon_sym_do,
    STATE(17119), 2,
      sym_comment,
      sym_block_comment,
  [650017] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22631), 1,
      sym__outdent,
    STATE(17120), 2,
      sym_comment,
      sym_block_comment,
  [650031] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22633), 1,
      sym__indent,
    STATE(17121), 2,
      sym_comment,
      sym_block_comment,
  [650045] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22635), 1,
      sym__outdent,
    STATE(17122), 2,
      sym_comment,
      sym_block_comment,
  [650059] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22637), 1,
      anon_sym_RBRACE,
    STATE(17123), 2,
      sym_comment,
      sym_block_comment,
  [650073] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22639), 1,
      anon_sym_RPAREN,
    STATE(17124), 2,
      sym_comment,
      sym_block_comment,
  [650087] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22641), 1,
      anon_sym_EQ_GT_GT,
    STATE(17125), 2,
      sym_comment,
      sym_block_comment,
  [650101] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22643), 1,
      sym__outdent,
    STATE(17126), 2,
      sym_comment,
      sym_block_comment,
  [650115] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22645), 1,
      sym__indent,
    STATE(17127), 2,
      sym_comment,
      sym_block_comment,
  [650129] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22647), 1,
      anon_sym_RBRACE,
    STATE(17128), 2,
      sym_comment,
      sym_block_comment,
  [650143] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22649), 1,
      anon_sym_EQ_GT_GT,
    STATE(17129), 2,
      sym_comment,
      sym_block_comment,
  [650157] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22651), 1,
      sym__outdent,
    STATE(17130), 2,
      sym_comment,
      sym_block_comment,
  [650171] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22653), 1,
      anon_sym_RPAREN,
    STATE(17131), 2,
      sym_comment,
      sym_block_comment,
  [650185] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22655), 1,
      sym__outdent,
    STATE(17132), 2,
      sym_comment,
      sym_block_comment,
  [650199] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22657), 1,
      sym__indent,
    STATE(17133), 2,
      sym_comment,
      sym_block_comment,
  [650213] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22659), 1,
      anon_sym_RPAREN,
    STATE(17134), 2,
      sym_comment,
      sym_block_comment,
  [650227] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22661), 1,
      anon_sym_RBRACE,
    STATE(17135), 2,
      sym_comment,
      sym_block_comment,
  [650241] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22663), 1,
      anon_sym_RPAREN,
    STATE(17136), 2,
      sym_comment,
      sym_block_comment,
  [650255] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22665), 1,
      anon_sym_EQ_GT_GT,
    STATE(17137), 2,
      sym_comment,
      sym_block_comment,
  [650269] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22667), 1,
      sym__outdent,
    STATE(17138), 2,
      sym_comment,
      sym_block_comment,
  [650283] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22669), 1,
      sym__indent,
    STATE(17139), 2,
      sym_comment,
      sym_block_comment,
  [650297] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22671), 1,
      anon_sym_RBRACE,
    STATE(17140), 2,
      sym_comment,
      sym_block_comment,
  [650311] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22673), 1,
      anon_sym_else,
    STATE(17141), 2,
      sym_comment,
      sym_block_comment,
  [650325] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22675), 1,
      anon_sym_RPAREN,
    STATE(17142), 2,
      sym_comment,
      sym_block_comment,
  [650339] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22677), 1,
      sym__outdent,
    STATE(17143), 2,
      sym_comment,
      sym_block_comment,
  [650353] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22679), 1,
      anon_sym_RBRACE,
    STATE(17144), 2,
      sym_comment,
      sym_block_comment,
  [650367] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22681), 1,
      sym__indent,
    STATE(17145), 2,
      sym_comment,
      sym_block_comment,
  [650381] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22683), 1,
      sym__outdent,
    STATE(17146), 2,
      sym_comment,
      sym_block_comment,
  [650395] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22685), 1,
      anon_sym_RPAREN,
    STATE(17147), 2,
      sym_comment,
      sym_block_comment,
  [650409] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22687), 1,
      sym__outdent,
    STATE(17148), 2,
      sym_comment,
      sym_block_comment,
  [650423] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22689), 1,
      anon_sym_RPAREN,
    STATE(17149), 2,
      sym_comment,
      sym_block_comment,
  [650437] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22691), 1,
      anon_sym_EQ_GT_GT,
    STATE(17150), 2,
      sym_comment,
      sym_block_comment,
  [650451] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22693), 1,
      sym__indent,
    STATE(17151), 2,
      sym_comment,
      sym_block_comment,
  [650465] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22695), 1,
      anon_sym_RPAREN,
    STATE(17152), 2,
      sym_comment,
      sym_block_comment,
  [650479] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22697), 1,
      sym__outdent,
    STATE(17153), 2,
      sym_comment,
      sym_block_comment,
  [650493] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22699), 1,
      sym__outdent,
    STATE(17154), 2,
      sym_comment,
      sym_block_comment,
  [650507] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22701), 1,
      anon_sym_RBRACE,
    STATE(17155), 2,
      sym_comment,
      sym_block_comment,
  [650521] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22703), 1,
      anon_sym_RPAREN,
    STATE(17156), 2,
      sym_comment,
      sym_block_comment,
  [650535] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22705), 1,
      sym__indent,
    STATE(17157), 2,
      sym_comment,
      sym_block_comment,
  [650549] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22707), 1,
      sym__outdent,
    STATE(17158), 2,
      sym_comment,
      sym_block_comment,
  [650563] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22709), 1,
      sym__outdent,
    STATE(17159), 2,
      sym_comment,
      sym_block_comment,
  [650577] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22711), 1,
      anon_sym_RPAREN,
    STATE(17160), 2,
      sym_comment,
      sym_block_comment,
  [650591] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22713), 1,
      anon_sym_RPAREN,
    STATE(17161), 2,
      sym_comment,
      sym_block_comment,
  [650605] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7424), 1,
      anon_sym_type,
    STATE(17162), 2,
      sym_comment,
      sym_block_comment,
  [650619] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22715), 1,
      sym__indent,
    STATE(17163), 2,
      sym_comment,
      sym_block_comment,
  [650633] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22717), 1,
      anon_sym_RBRACE,
    STATE(17164), 2,
      sym_comment,
      sym_block_comment,
  [650647] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22719), 1,
      anon_sym_RPAREN,
    STATE(17165), 2,
      sym_comment,
      sym_block_comment,
  [650661] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22721), 1,
      sym__outdent,
    STATE(17166), 2,
      sym_comment,
      sym_block_comment,
  [650675] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22723), 1,
      anon_sym_EQ,
    STATE(17167), 2,
      sym_comment,
      sym_block_comment,
  [650689] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22725), 1,
      anon_sym_EQ,
    STATE(17168), 2,
      sym_comment,
      sym_block_comment,
  [650703] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22727), 1,
      sym__indent,
    STATE(17169), 2,
      sym_comment,
      sym_block_comment,
  [650717] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22729), 1,
      anon_sym_RPAREN,
    STATE(17170), 2,
      sym_comment,
      sym_block_comment,
  [650731] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22731), 1,
      anon_sym_RPAREN,
    STATE(17171), 2,
      sym_comment,
      sym_block_comment,
  [650745] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22733), 1,
      anon_sym_RBRACE,
    STATE(17172), 2,
      sym_comment,
      sym_block_comment,
  [650759] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22735), 1,
      anon_sym_else,
    STATE(17173), 2,
      sym_comment,
      sym_block_comment,
  [650773] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22737), 1,
      sym__outdent,
    STATE(17174), 2,
      sym_comment,
      sym_block_comment,
  [650787] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22739), 1,
      sym__indent,
    STATE(17175), 2,
      sym_comment,
      sym_block_comment,
  [650801] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22741), 1,
      anon_sym_RPAREN,
    STATE(17176), 2,
      sym_comment,
      sym_block_comment,
  [650815] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22743), 1,
      sym__outdent,
    STATE(17177), 2,
      sym_comment,
      sym_block_comment,
  [650829] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22745), 1,
      sym__outdent,
    STATE(17178), 2,
      sym_comment,
      sym_block_comment,
  [650843] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22747), 1,
      anon_sym_RPAREN,
    STATE(17179), 2,
      sym_comment,
      sym_block_comment,
  [650857] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22749), 1,
      anon_sym_RBRACE,
    STATE(17180), 2,
      sym_comment,
      sym_block_comment,
  [650871] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22751), 1,
      sym__indent,
    STATE(17181), 2,
      sym_comment,
      sym_block_comment,
  [650885] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22753), 1,
      sym__outdent,
    STATE(17182), 2,
      sym_comment,
      sym_block_comment,
  [650899] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22755), 1,
      anon_sym_RPAREN,
    STATE(17183), 2,
      sym_comment,
      sym_block_comment,
  [650913] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22757), 1,
      anon_sym_RBRACE,
    STATE(17184), 2,
      sym_comment,
      sym_block_comment,
  [650927] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22759), 1,
      anon_sym_RPAREN,
    STATE(17185), 2,
      sym_comment,
      sym_block_comment,
  [650941] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22761), 1,
      sym__outdent,
    STATE(17186), 2,
      sym_comment,
      sym_block_comment,
  [650955] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22763), 1,
      sym__indent,
    STATE(17187), 2,
      sym_comment,
      sym_block_comment,
  [650969] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22765), 1,
      sym__outdent,
    STATE(17188), 2,
      sym_comment,
      sym_block_comment,
  [650983] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22767), 1,
      anon_sym_RPAREN,
    STATE(17189), 2,
      sym_comment,
      sym_block_comment,
  [650997] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22769), 1,
      anon_sym_RPAREN,
    STATE(17190), 2,
      sym_comment,
      sym_block_comment,
  [651011] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22771), 1,
      anon_sym_EQ_GT,
    STATE(17191), 2,
      sym_comment,
      sym_block_comment,
  [651025] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22773), 1,
      ts_builtin_sym_end,
    STATE(17192), 2,
      sym_comment,
      sym_block_comment,
  [651039] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22775), 1,
      sym__indent,
    STATE(17193), 2,
      sym_comment,
      sym_block_comment,
  [651053] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22777), 1,
      sym__outdent,
    STATE(17194), 2,
      sym_comment,
      sym_block_comment,
  [651067] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22779), 1,
      sym__outdent,
    STATE(17195), 2,
      sym_comment,
      sym_block_comment,
  [651081] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22781), 1,
      sym__outdent,
    STATE(17196), 2,
      sym_comment,
      sym_block_comment,
  [651095] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22783), 1,
      anon_sym_RPAREN,
    STATE(17197), 2,
      sym_comment,
      sym_block_comment,
  [651109] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22785), 1,
      anon_sym_RBRACE,
    STATE(17198), 2,
      sym_comment,
      sym_block_comment,
  [651123] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22787), 1,
      sym__indent,
    STATE(17199), 2,
      sym_comment,
      sym_block_comment,
  [651137] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22789), 1,
      anon_sym_RBRACE,
    STATE(17200), 2,
      sym_comment,
      sym_block_comment,
  [651151] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22791), 1,
      anon_sym_RPAREN,
    STATE(17201), 2,
      sym_comment,
      sym_block_comment,
  [651165] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22793), 1,
      sym__outdent,
    STATE(17202), 2,
      sym_comment,
      sym_block_comment,
  [651179] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22795), 1,
      anon_sym_RPAREN,
    STATE(17203), 2,
      sym_comment,
      sym_block_comment,
  [651193] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22797), 1,
      sym__outdent,
    STATE(17204), 2,
      sym_comment,
      sym_block_comment,
  [651207] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22799), 1,
      sym__indent,
    STATE(17205), 2,
      sym_comment,
      sym_block_comment,
  [651221] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22801), 1,
      anon_sym_RPAREN,
    STATE(17206), 2,
      sym_comment,
      sym_block_comment,
  [651235] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22803), 1,
      anon_sym_RPAREN,
    STATE(17207), 2,
      sym_comment,
      sym_block_comment,
  [651249] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22805), 1,
      sym__outdent,
    STATE(17208), 2,
      sym_comment,
      sym_block_comment,
  [651263] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22807), 1,
      anon_sym_RBRACK,
    STATE(17209), 2,
      sym_comment,
      sym_block_comment,
  [651277] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22809), 1,
      sym__outdent,
    STATE(17210), 2,
      sym_comment,
      sym_block_comment,
  [651291] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22811), 1,
      sym__indent,
    STATE(17211), 2,
      sym_comment,
      sym_block_comment,
  [651305] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22813), 1,
      anon_sym_RPAREN,
    STATE(17212), 2,
      sym_comment,
      sym_block_comment,
  [651319] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22807), 1,
      anon_sym_RBRACE,
    STATE(17213), 2,
      sym_comment,
      sym_block_comment,
  [651333] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22815), 1,
      anon_sym_RBRACE,
    STATE(17214), 2,
      sym_comment,
      sym_block_comment,
  [651347] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22817), 1,
      anon_sym_RBRACK,
    STATE(17215), 2,
      sym_comment,
      sym_block_comment,
  [651361] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22817), 1,
      anon_sym_RBRACE,
    STATE(17216), 2,
      sym_comment,
      sym_block_comment,
  [651375] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22819), 1,
      sym__indent,
    STATE(17217), 2,
      sym_comment,
      sym_block_comment,
  [651389] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22821), 1,
      anon_sym_RBRACE,
    STATE(17218), 2,
      sym_comment,
      sym_block_comment,
  [651403] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22823), 1,
      anon_sym_RPAREN,
    STATE(17219), 2,
      sym_comment,
      sym_block_comment,
  [651417] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22825), 1,
      sym__outdent,
    STATE(17220), 2,
      sym_comment,
      sym_block_comment,
  [651431] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22827), 1,
      anon_sym_RBRACK,
    STATE(17221), 2,
      sym_comment,
      sym_block_comment,
  [651445] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22661), 1,
      anon_sym_RPAREN,
    STATE(17222), 2,
      sym_comment,
      sym_block_comment,
  [651459] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22829), 1,
      sym__indent,
    STATE(17223), 2,
      sym_comment,
      sym_block_comment,
  [651473] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22831), 1,
      sym__outdent,
    STATE(17224), 2,
      sym_comment,
      sym_block_comment,
  [651487] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22833), 1,
      anon_sym_RPAREN,
    STATE(17225), 2,
      sym_comment,
      sym_block_comment,
  [651501] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22835), 1,
      anon_sym_RPAREN,
    STATE(17226), 2,
      sym_comment,
      sym_block_comment,
  [651515] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22837), 1,
      sym__outdent,
    STATE(17227), 2,
      sym_comment,
      sym_block_comment,
  [651529] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22839), 1,
      sym__outdent,
    STATE(17228), 2,
      sym_comment,
      sym_block_comment,
  [651543] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22841), 1,
      sym__indent,
    STATE(17229), 2,
      sym_comment,
      sym_block_comment,
  [651557] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22843), 1,
      sym__outdent,
    STATE(17230), 2,
      sym_comment,
      sym_block_comment,
  [651571] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22845), 1,
      anon_sym_RPAREN,
    STATE(17231), 2,
      sym_comment,
      sym_block_comment,
  [651585] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22847), 1,
      anon_sym_RBRACE,
    STATE(17232), 2,
      sym_comment,
      sym_block_comment,
  [651599] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22849), 1,
      anon_sym_RPAREN,
    STATE(17233), 2,
      sym_comment,
      sym_block_comment,
  [651613] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22851), 1,
      anon_sym_RPAREN,
    STATE(17234), 2,
      sym_comment,
      sym_block_comment,
  [651627] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22853), 1,
      sym__indent,
    STATE(17235), 2,
      sym_comment,
      sym_block_comment,
  [651641] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22855), 1,
      sym__outdent,
    STATE(17236), 2,
      sym_comment,
      sym_block_comment,
  [651655] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22857), 1,
      anon_sym_RBRACE,
    STATE(17237), 2,
      sym_comment,
      sym_block_comment,
  [651669] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22859), 1,
      anon_sym_RPAREN,
    STATE(17238), 2,
      sym_comment,
      sym_block_comment,
  [651683] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22861), 1,
      anon_sym_RPAREN,
    STATE(17239), 2,
      sym_comment,
      sym_block_comment,
  [651697] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22863), 1,
      sym__outdent,
    STATE(17240), 2,
      sym_comment,
      sym_block_comment,
  [651711] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22865), 1,
      sym__indent,
    STATE(17241), 2,
      sym_comment,
      sym_block_comment,
  [651725] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22867), 1,
      sym__outdent,
    STATE(17242), 2,
      sym_comment,
      sym_block_comment,
  [651739] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22869), 1,
      anon_sym_RPAREN,
    STATE(17243), 2,
      sym_comment,
      sym_block_comment,
  [651753] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22871), 1,
      anon_sym_RBRACE,
    STATE(17244), 2,
      sym_comment,
      sym_block_comment,
  [651767] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22873), 1,
      anon_sym_RBRACE,
    STATE(17245), 2,
      sym_comment,
      sym_block_comment,
  [651781] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22875), 1,
      anon_sym_RPAREN,
    STATE(17246), 2,
      sym_comment,
      sym_block_comment,
  [651795] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22877), 1,
      sym__indent,
    STATE(17247), 2,
      sym_comment,
      sym_block_comment,
  [651809] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22879), 1,
      sym__outdent,
    STATE(17248), 2,
      sym_comment,
      sym_block_comment,
  [651823] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22881), 1,
      sym__outdent,
    STATE(17249), 2,
      sym_comment,
      sym_block_comment,
  [651837] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22883), 1,
      anon_sym_RPAREN,
    STATE(17250), 2,
      sym_comment,
      sym_block_comment,
  [651851] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22885), 1,
      anon_sym_do,
    STATE(17251), 2,
      sym_comment,
      sym_block_comment,
  [651865] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22887), 1,
      anon_sym_RPAREN,
    STATE(17252), 2,
      sym_comment,
      sym_block_comment,
  [651879] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22889), 1,
      sym__indent,
    STATE(17253), 2,
      sym_comment,
      sym_block_comment,
  [651893] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22891), 1,
      sym__outdent,
    STATE(17254), 2,
      sym_comment,
      sym_block_comment,
  [651907] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22893), 1,
      anon_sym_RBRACE,
    STATE(17255), 2,
      sym_comment,
      sym_block_comment,
  [651921] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22895), 1,
      sym__outdent,
    STATE(17256), 2,
      sym_comment,
      sym_block_comment,
  [651935] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22897), 1,
      anon_sym_EQ_GT_GT,
    STATE(17257), 2,
      sym_comment,
      sym_block_comment,
  [651949] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22899), 1,
      sym__outdent,
    STATE(17258), 2,
      sym_comment,
      sym_block_comment,
  [651963] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22901), 1,
      sym__indent,
    STATE(17259), 2,
      sym_comment,
      sym_block_comment,
  [651977] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22903), 1,
      anon_sym_RBRACE,
    STATE(17260), 2,
      sym_comment,
      sym_block_comment,
  [651991] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22905), 1,
      anon_sym_RPAREN,
    STATE(17261), 2,
      sym_comment,
      sym_block_comment,
  [652005] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22907), 1,
      anon_sym_RBRACE,
    STATE(17262), 2,
      sym_comment,
      sym_block_comment,
  [652019] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22909), 1,
      anon_sym_RPAREN,
    STATE(17263), 2,
      sym_comment,
      sym_block_comment,
  [652033] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22911), 1,
      sym__outdent,
    STATE(17264), 2,
      sym_comment,
      sym_block_comment,
  [652047] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22913), 1,
      sym__indent,
    STATE(17265), 2,
      sym_comment,
      sym_block_comment,
  [652061] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22915), 1,
      sym__outdent,
    STATE(17266), 2,
      sym_comment,
      sym_block_comment,
  [652075] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22917), 1,
      sym__outdent,
    STATE(17267), 2,
      sym_comment,
      sym_block_comment,
  [652089] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22919), 1,
      anon_sym_RPAREN,
    STATE(17268), 2,
      sym_comment,
      sym_block_comment,
  [652103] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22921), 1,
      anon_sym_EQ_GT_GT,
    STATE(17269), 2,
      sym_comment,
      sym_block_comment,
  [652117] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22923), 1,
      anon_sym_EQ_GT_GT,
    STATE(17270), 2,
      sym_comment,
      sym_block_comment,
  [652131] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22925), 1,
      sym__indent,
    STATE(17271), 2,
      sym_comment,
      sym_block_comment,
  [652145] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22927), 1,
      anon_sym_RPAREN,
    STATE(17272), 2,
      sym_comment,
      sym_block_comment,
  [652159] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22929), 1,
      anon_sym_RBRACE,
    STATE(17273), 2,
      sym_comment,
      sym_block_comment,
  [652173] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22931), 1,
      sym__outdent,
    STATE(17274), 2,
      sym_comment,
      sym_block_comment,
  [652187] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22933), 1,
      anon_sym_RPAREN,
    STATE(17275), 2,
      sym_comment,
      sym_block_comment,
  [652201] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22935), 1,
      anon_sym_RBRACE,
    STATE(17276), 2,
      sym_comment,
      sym_block_comment,
  [652215] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22937), 1,
      sym__indent,
    STATE(17277), 2,
      sym_comment,
      sym_block_comment,
  [652229] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22939), 1,
      anon_sym_RBRACE,
    STATE(17278), 2,
      sym_comment,
      sym_block_comment,
  [652243] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22941), 1,
      anon_sym_RPAREN,
    STATE(17279), 2,
      sym_comment,
      sym_block_comment,
  [652257] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22943), 1,
      sym__outdent,
    STATE(17280), 2,
      sym_comment,
      sym_block_comment,
  [652271] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22945), 1,
      sym__outdent,
    STATE(17281), 2,
      sym_comment,
      sym_block_comment,
  [652285] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22947), 1,
      anon_sym_else,
    STATE(17282), 2,
      sym_comment,
      sym_block_comment,
  [652299] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22949), 1,
      sym__indent,
    STATE(17283), 2,
      sym_comment,
      sym_block_comment,
  [652313] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22951), 1,
      anon_sym_RPAREN,
    STATE(17284), 2,
      sym_comment,
      sym_block_comment,
  [652327] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22953), 1,
      anon_sym_RPAREN,
    STATE(17285), 2,
      sym_comment,
      sym_block_comment,
  [652341] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22955), 1,
      sym__outdent,
    STATE(17286), 2,
      sym_comment,
      sym_block_comment,
  [652355] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22957), 1,
      sym__outdent,
    STATE(17287), 2,
      sym_comment,
      sym_block_comment,
  [652369] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22959), 1,
      sym__outdent,
    STATE(17288), 2,
      sym_comment,
      sym_block_comment,
  [652383] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22961), 1,
      sym__indent,
    STATE(17289), 2,
      sym_comment,
      sym_block_comment,
  [652397] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22963), 1,
      anon_sym_RPAREN,
    STATE(17290), 2,
      sym_comment,
      sym_block_comment,
  [652411] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22965), 1,
      anon_sym_RBRACE,
    STATE(17291), 2,
      sym_comment,
      sym_block_comment,
  [652425] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22967), 1,
      anon_sym_RBRACE,
    STATE(17292), 2,
      sym_comment,
      sym_block_comment,
  [652439] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22969), 1,
      anon_sym_RPAREN,
    STATE(17293), 2,
      sym_comment,
      sym_block_comment,
  [652453] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22971), 1,
      anon_sym_EQ_GT_GT,
    STATE(17294), 2,
      sym_comment,
      sym_block_comment,
  [652467] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22973), 1,
      sym__indent,
    STATE(17295), 2,
      sym_comment,
      sym_block_comment,
  [652481] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22975), 1,
      sym__outdent,
    STATE(17296), 2,
      sym_comment,
      sym_block_comment,
  [652495] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22977), 1,
      sym__outdent,
    STATE(17297), 2,
      sym_comment,
      sym_block_comment,
  [652509] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22979), 1,
      sym__outdent,
    STATE(17298), 2,
      sym_comment,
      sym_block_comment,
  [652523] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22981), 1,
      anon_sym_RPAREN,
    STATE(17299), 2,
      sym_comment,
      sym_block_comment,
  [652537] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22983), 1,
      sym__outdent,
    STATE(17300), 2,
      sym_comment,
      sym_block_comment,
  [652551] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22985), 1,
      sym__indent,
    STATE(17301), 2,
      sym_comment,
      sym_block_comment,
  [652565] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22987), 1,
      anon_sym_RPAREN,
    STATE(17302), 2,
      sym_comment,
      sym_block_comment,
  [652579] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22989), 1,
      sym__outdent,
    STATE(17303), 2,
      sym_comment,
      sym_block_comment,
  [652593] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22991), 1,
      sym__outdent,
    STATE(17304), 2,
      sym_comment,
      sym_block_comment,
  [652607] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22993), 1,
      anon_sym_RPAREN,
    STATE(17305), 2,
      sym_comment,
      sym_block_comment,
  [652621] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22995), 1,
      anon_sym_RBRACE,
    STATE(17306), 2,
      sym_comment,
      sym_block_comment,
  [652635] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22997), 1,
      sym__indent,
    STATE(17307), 2,
      sym_comment,
      sym_block_comment,
  [652649] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22999), 1,
      anon_sym_RBRACE,
    STATE(17308), 2,
      sym_comment,
      sym_block_comment,
  [652663] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23001), 1,
      anon_sym_RPAREN,
    STATE(17309), 2,
      sym_comment,
      sym_block_comment,
  [652677] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23003), 1,
      sym__outdent,
    STATE(17310), 2,
      sym_comment,
      sym_block_comment,
  [652691] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23005), 1,
      sym__outdent,
    STATE(17311), 2,
      sym_comment,
      sym_block_comment,
  [652705] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23007), 1,
      anon_sym_RPAREN,
    STATE(17312), 2,
      sym_comment,
      sym_block_comment,
  [652719] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23009), 1,
      sym__indent,
    STATE(17313), 2,
      sym_comment,
      sym_block_comment,
  [652733] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23011), 1,
      anon_sym_RPAREN,
    STATE(17314), 2,
      sym_comment,
      sym_block_comment,
  [652747] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23013), 1,
      anon_sym_RPAREN,
    STATE(17315), 2,
      sym_comment,
      sym_block_comment,
  [652761] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23015), 1,
      sym__outdent,
    STATE(17316), 2,
      sym_comment,
      sym_block_comment,
  [652775] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23017), 1,
      sym__outdent,
    STATE(17317), 2,
      sym_comment,
      sym_block_comment,
  [652789] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23019), 1,
      anon_sym_RPAREN,
    STATE(17318), 2,
      sym_comment,
      sym_block_comment,
  [652803] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23021), 1,
      sym__indent,
    STATE(17319), 2,
      sym_comment,
      sym_block_comment,
  [652817] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23023), 1,
      anon_sym_RBRACE,
    STATE(17320), 2,
      sym_comment,
      sym_block_comment,
  [652831] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23025), 1,
      anon_sym_EQ,
    STATE(17321), 2,
      sym_comment,
      sym_block_comment,
  [652845] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23027), 1,
      anon_sym_RBRACE,
    STATE(17322), 2,
      sym_comment,
      sym_block_comment,
  [652859] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23029), 1,
      anon_sym_EQ,
    STATE(17323), 2,
      sym_comment,
      sym_block_comment,
  [652873] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23031), 1,
      anon_sym_RPAREN,
    STATE(17324), 2,
      sym_comment,
      sym_block_comment,
  [652887] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23033), 1,
      sym__indent,
    STATE(17325), 2,
      sym_comment,
      sym_block_comment,
  [652901] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23035), 1,
      sym__outdent,
    STATE(17326), 2,
      sym_comment,
      sym_block_comment,
  [652915] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23037), 1,
      anon_sym_else,
    STATE(17327), 2,
      sym_comment,
      sym_block_comment,
  [652929] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23039), 1,
      sym__outdent,
    STATE(17328), 2,
      sym_comment,
      sym_block_comment,
  [652943] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23041), 1,
      sym__outdent,
    STATE(17329), 2,
      sym_comment,
      sym_block_comment,
  [652957] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23043), 1,
      anon_sym_RPAREN,
    STATE(17330), 2,
      sym_comment,
      sym_block_comment,
  [652971] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23045), 1,
      sym__indent,
    STATE(17331), 2,
      sym_comment,
      sym_block_comment,
  [652985] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23047), 1,
      anon_sym_RPAREN,
    STATE(17332), 2,
      sym_comment,
      sym_block_comment,
  [652999] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23049), 1,
      sym__outdent,
    STATE(17333), 2,
      sym_comment,
      sym_block_comment,
  [653013] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23051), 1,
      sym__outdent,
    STATE(17334), 2,
      sym_comment,
      sym_block_comment,
  [653027] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23053), 1,
      anon_sym_RPAREN,
    STATE(17335), 2,
      sym_comment,
      sym_block_comment,
  [653041] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23055), 1,
      anon_sym_RBRACE,
    STATE(17336), 2,
      sym_comment,
      sym_block_comment,
  [653055] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23057), 1,
      sym__indent,
    STATE(17337), 2,
      sym_comment,
      sym_block_comment,
  [653069] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23059), 1,
      anon_sym_RBRACE,
    STATE(17338), 2,
      sym_comment,
      sym_block_comment,
  [653083] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23061), 1,
      anon_sym_RPAREN,
    STATE(17339), 2,
      sym_comment,
      sym_block_comment,
  [653097] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23063), 1,
      sym__outdent,
    STATE(17340), 2,
      sym_comment,
      sym_block_comment,
  [653111] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23065), 1,
      sym__outdent,
    STATE(17341), 2,
      sym_comment,
      sym_block_comment,
  [653125] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23067), 1,
      sym__indent,
    STATE(17342), 2,
      sym_comment,
      sym_block_comment,
  [653139] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23069), 1,
      anon_sym_RPAREN,
    STATE(17343), 2,
      sym_comment,
      sym_block_comment,
  [653153] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23071), 1,
      anon_sym_RPAREN,
    STATE(17344), 2,
      sym_comment,
      sym_block_comment,
  [653167] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23073), 1,
      sym__outdent,
    STATE(17345), 2,
      sym_comment,
      sym_block_comment,
  [653181] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23075), 1,
      sym__outdent,
    STATE(17346), 2,
      sym_comment,
      sym_block_comment,
  [653195] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23077), 1,
      sym__indent,
    STATE(17347), 2,
      sym_comment,
      sym_block_comment,
  [653209] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23079), 1,
      anon_sym_RPAREN,
    STATE(17348), 2,
      sym_comment,
      sym_block_comment,
  [653223] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23081), 1,
      anon_sym_EQ_GT,
    STATE(17349), 2,
      sym_comment,
      sym_block_comment,
  [653237] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23083), 1,
      anon_sym_RBRACE,
    STATE(17350), 2,
      sym_comment,
      sym_block_comment,
  [653251] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23085), 1,
      sym__outdent,
    STATE(17351), 2,
      sym_comment,
      sym_block_comment,
  [653265] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23087), 1,
      sym__indent,
    STATE(17352), 2,
      sym_comment,
      sym_block_comment,
  [653279] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23089), 1,
      anon_sym_RBRACE,
    STATE(17353), 2,
      sym_comment,
      sym_block_comment,
  [653293] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23091), 1,
      anon_sym_EQ_GT,
    STATE(17354), 2,
      sym_comment,
      sym_block_comment,
  [653307] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23093), 1,
      anon_sym_RPAREN,
    STATE(17355), 2,
      sym_comment,
      sym_block_comment,
  [653321] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23095), 1,
      sym__outdent,
    STATE(17356), 2,
      sym_comment,
      sym_block_comment,
  [653335] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23097), 1,
      sym__indent,
    STATE(17357), 2,
      sym_comment,
      sym_block_comment,
  [653349] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23099), 1,
      sym__outdent,
    STATE(17358), 2,
      sym_comment,
      sym_block_comment,
  [653363] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23101), 1,
      anon_sym_RBRACE,
    STATE(17359), 2,
      sym_comment,
      sym_block_comment,
  [653377] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23103), 1,
      anon_sym_RPAREN,
    STATE(17360), 2,
      sym_comment,
      sym_block_comment,
  [653391] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23105), 1,
      anon_sym_RPAREN,
    STATE(17361), 2,
      sym_comment,
      sym_block_comment,
  [653405] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23107), 1,
      sym__indent,
    STATE(17362), 2,
      sym_comment,
      sym_block_comment,
  [653419] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23109), 1,
      sym__outdent,
    STATE(17363), 2,
      sym_comment,
      sym_block_comment,
  [653433] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23111), 1,
      anon_sym_type,
    STATE(17364), 2,
      sym_comment,
      sym_block_comment,
  [653447] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23113), 1,
      sym__outdent,
    STATE(17365), 2,
      sym_comment,
      sym_block_comment,
  [653461] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23115), 1,
      anon_sym_RPAREN,
    STATE(17366), 2,
      sym_comment,
      sym_block_comment,
  [653475] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23117), 1,
      sym__indent,
    STATE(17367), 2,
      sym_comment,
      sym_block_comment,
  [653489] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23119), 1,
      anon_sym_RBRACE,
    STATE(17368), 2,
      sym_comment,
      sym_block_comment,
  [653503] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23121), 1,
      anon_sym_RBRACE,
    STATE(17369), 2,
      sym_comment,
      sym_block_comment,
  [653517] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23123), 1,
      anon_sym_RPAREN,
    STATE(17370), 2,
      sym_comment,
      sym_block_comment,
  [653531] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23125), 1,
      sym__outdent,
    STATE(17371), 2,
      sym_comment,
      sym_block_comment,
  [653545] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23127), 1,
      sym__indent,
    STATE(17372), 2,
      sym_comment,
      sym_block_comment,
  [653559] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23129), 1,
      sym__outdent,
    STATE(17373), 2,
      sym_comment,
      sym_block_comment,
  [653573] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23131), 1,
      anon_sym_RPAREN,
    STATE(17374), 2,
      sym_comment,
      sym_block_comment,
  [653587] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23133), 1,
      anon_sym_RPAREN,
    STATE(17375), 2,
      sym_comment,
      sym_block_comment,
  [653601] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23135), 1,
      sym__outdent,
    STATE(17376), 2,
      sym_comment,
      sym_block_comment,
  [653615] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23137), 1,
      sym__indent,
    STATE(17377), 2,
      sym_comment,
      sym_block_comment,
  [653629] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23139), 1,
      sym__outdent,
    STATE(17378), 2,
      sym_comment,
      sym_block_comment,
  [653643] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23141), 1,
      anon_sym_RPAREN,
    STATE(17379), 2,
      sym_comment,
      sym_block_comment,
  [653657] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23143), 1,
      anon_sym_RBRACE,
    STATE(17380), 2,
      sym_comment,
      sym_block_comment,
  [653671] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23145), 1,
      anon_sym_RBRACE,
    STATE(17381), 2,
      sym_comment,
      sym_block_comment,
  [653685] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23147), 1,
      sym__indent,
    STATE(17382), 2,
      sym_comment,
      sym_block_comment,
  [653699] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23149), 1,
      anon_sym_RPAREN,
    STATE(17383), 2,
      sym_comment,
      sym_block_comment,
  [653713] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23151), 1,
      sym__outdent,
    STATE(17384), 2,
      sym_comment,
      sym_block_comment,
  [653727] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23153), 1,
      sym__outdent,
    STATE(17385), 2,
      sym_comment,
      sym_block_comment,
  [653741] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23155), 1,
      anon_sym_RPAREN,
    STATE(17386), 2,
      sym_comment,
      sym_block_comment,
  [653755] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23157), 1,
      sym__indent,
    STATE(17387), 2,
      sym_comment,
      sym_block_comment,
  [653769] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23159), 1,
      anon_sym_RPAREN,
    STATE(17388), 2,
      sym_comment,
      sym_block_comment,
  [653783] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23161), 1,
      anon_sym_RBRACE,
    STATE(17389), 2,
      sym_comment,
      sym_block_comment,
  [653797] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23163), 1,
      sym__outdent,
    STATE(17390), 2,
      sym_comment,
      sym_block_comment,
  [653811] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23165), 1,
      sym__outdent,
    STATE(17391), 2,
      sym_comment,
      sym_block_comment,
  [653825] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23167), 1,
      sym__indent,
    STATE(17392), 2,
      sym_comment,
      sym_block_comment,
  [653839] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23169), 1,
      anon_sym_RPAREN,
    STATE(17393), 2,
      sym_comment,
      sym_block_comment,
  [653853] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23171), 1,
      anon_sym_RBRACK,
    STATE(17394), 2,
      sym_comment,
      sym_block_comment,
  [653867] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23173), 1,
      anon_sym_RBRACE,
    STATE(17395), 2,
      sym_comment,
      sym_block_comment,
  [653881] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23171), 1,
      anon_sym_RBRACE,
    STATE(17396), 2,
      sym_comment,
      sym_block_comment,
  [653895] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23175), 1,
      sym__indent,
    STATE(17397), 2,
      sym_comment,
      sym_block_comment,
  [653909] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23177), 1,
      sym__indent,
    STATE(17398), 2,
      sym_comment,
      sym_block_comment,
  [653923] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23179), 1,
      sym__indent,
    STATE(17399), 2,
      sym_comment,
      sym_block_comment,
  [653937] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23181), 1,
      sym__indent,
    STATE(17400), 2,
      sym_comment,
      sym_block_comment,
  [653951] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23183), 1,
      sym__indent,
    STATE(17401), 2,
      sym_comment,
      sym_block_comment,
  [653965] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23185), 1,
      sym__indent,
    STATE(17402), 2,
      sym_comment,
      sym_block_comment,
  [653979] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23187), 1,
      sym__indent,
    STATE(17403), 2,
      sym_comment,
      sym_block_comment,
  [653993] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23189), 1,
      sym__indent,
    STATE(17404), 2,
      sym_comment,
      sym_block_comment,
  [654007] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23191), 1,
      sym__indent,
    STATE(17405), 2,
      sym_comment,
      sym_block_comment,
  [654021] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23193), 1,
      sym__indent,
    STATE(17406), 2,
      sym_comment,
      sym_block_comment,
  [654035] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23195), 1,
      sym__indent,
    STATE(17407), 2,
      sym_comment,
      sym_block_comment,
  [654049] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23197), 1,
      sym__indent,
    STATE(17408), 2,
      sym_comment,
      sym_block_comment,
  [654063] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23199), 1,
      sym__indent,
    STATE(17409), 2,
      sym_comment,
      sym_block_comment,
  [654077] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23201), 1,
      sym__indent,
    STATE(17410), 2,
      sym_comment,
      sym_block_comment,
  [654091] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23203), 1,
      sym__indent,
    STATE(17411), 2,
      sym_comment,
      sym_block_comment,
  [654105] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23205), 1,
      sym__indent,
    STATE(17412), 2,
      sym_comment,
      sym_block_comment,
  [654119] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23207), 1,
      sym__indent,
    STATE(17413), 2,
      sym_comment,
      sym_block_comment,
  [654133] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23209), 1,
      sym__indent,
    STATE(17414), 2,
      sym_comment,
      sym_block_comment,
  [654147] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23211), 1,
      sym__indent,
    STATE(17415), 2,
      sym_comment,
      sym_block_comment,
  [654161] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23213), 1,
      sym__indent,
    STATE(17416), 2,
      sym_comment,
      sym_block_comment,
  [654175] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23215), 1,
      sym__indent,
    STATE(17417), 2,
      sym_comment,
      sym_block_comment,
  [654189] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23217), 1,
      sym__indent,
    STATE(17418), 2,
      sym_comment,
      sym_block_comment,
  [654203] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23219), 1,
      sym__indent,
    STATE(17419), 2,
      sym_comment,
      sym_block_comment,
  [654217] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23221), 1,
      sym__indent,
    STATE(17420), 2,
      sym_comment,
      sym_block_comment,
  [654231] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23223), 1,
      sym__indent,
    STATE(17421), 2,
      sym_comment,
      sym_block_comment,
  [654245] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23225), 1,
      sym__indent,
    STATE(17422), 2,
      sym_comment,
      sym_block_comment,
  [654259] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23227), 1,
      sym__indent,
    STATE(17423), 2,
      sym_comment,
      sym_block_comment,
  [654273] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23229), 1,
      sym__indent,
    STATE(17424), 2,
      sym_comment,
      sym_block_comment,
  [654287] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23231), 1,
      sym__indent,
    STATE(17425), 2,
      sym_comment,
      sym_block_comment,
  [654301] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23233), 1,
      sym__indent,
    STATE(17426), 2,
      sym_comment,
      sym_block_comment,
  [654315] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23235), 1,
      sym__indent,
    STATE(17427), 2,
      sym_comment,
      sym_block_comment,
  [654329] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23237), 1,
      sym__indent,
    STATE(17428), 2,
      sym_comment,
      sym_block_comment,
  [654343] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23239), 1,
      sym__indent,
    STATE(17429), 2,
      sym_comment,
      sym_block_comment,
  [654357] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23241), 1,
      sym__indent,
    STATE(17430), 2,
      sym_comment,
      sym_block_comment,
  [654371] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23243), 1,
      sym__indent,
    STATE(17431), 2,
      sym_comment,
      sym_block_comment,
  [654385] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23245), 1,
      sym__indent,
    STATE(17432), 2,
      sym_comment,
      sym_block_comment,
  [654399] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23247), 1,
      sym__indent,
    STATE(17433), 2,
      sym_comment,
      sym_block_comment,
  [654413] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23249), 1,
      sym__indent,
    STATE(17434), 2,
      sym_comment,
      sym_block_comment,
  [654427] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23251), 1,
      sym__indent,
    STATE(17435), 2,
      sym_comment,
      sym_block_comment,
  [654441] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23253), 1,
      sym__indent,
    STATE(17436), 2,
      sym_comment,
      sym_block_comment,
  [654455] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23255), 1,
      sym__indent,
    STATE(17437), 2,
      sym_comment,
      sym_block_comment,
  [654469] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23257), 1,
      sym__indent,
    STATE(17438), 2,
      sym_comment,
      sym_block_comment,
  [654483] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23259), 1,
      sym__indent,
    STATE(17439), 2,
      sym_comment,
      sym_block_comment,
  [654497] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23261), 1,
      sym__indent,
    STATE(17440), 2,
      sym_comment,
      sym_block_comment,
  [654511] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23263), 1,
      sym__indent,
    STATE(17441), 2,
      sym_comment,
      sym_block_comment,
  [654525] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23265), 1,
      sym__indent,
    STATE(17442), 2,
      sym_comment,
      sym_block_comment,
  [654539] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23267), 1,
      sym__indent,
    STATE(17443), 2,
      sym_comment,
      sym_block_comment,
  [654553] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23269), 1,
      sym__indent,
    STATE(17444), 2,
      sym_comment,
      sym_block_comment,
  [654567] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23271), 1,
      sym__indent,
    STATE(17445), 2,
      sym_comment,
      sym_block_comment,
  [654581] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23273), 1,
      sym__indent,
    STATE(17446), 2,
      sym_comment,
      sym_block_comment,
  [654595] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23275), 1,
      sym__indent,
    STATE(17447), 2,
      sym_comment,
      sym_block_comment,
  [654609] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7456), 1,
      anon_sym_def,
    STATE(17448), 2,
      sym_comment,
      sym_block_comment,
  [654623] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23277), 1,
      anon_sym_RBRACK,
    STATE(17449), 2,
      sym_comment,
      sym_block_comment,
  [654637] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23277), 1,
      anon_sym_RBRACE,
    STATE(17450), 2,
      sym_comment,
      sym_block_comment,
  [654651] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14733), 1,
      anon_sym_def,
    STATE(17451), 2,
      sym_comment,
      sym_block_comment,
  [654665] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23279), 1,
      anon_sym_RBRACE,
    STATE(17452), 2,
      sym_comment,
      sym_block_comment,
  [654679] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23281), 1,
      anon_sym_RBRACK,
    STATE(17453), 2,
      sym_comment,
      sym_block_comment,
  [654693] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14588), 1,
      anon_sym_def,
    STATE(17454), 2,
      sym_comment,
      sym_block_comment,
  [654707] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23283), 1,
      anon_sym_RBRACE,
    STATE(17455), 2,
      sym_comment,
      sym_block_comment,
  [654721] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23285), 1,
      sym__outdent,
    STATE(17456), 2,
      sym_comment,
      sym_block_comment,
  [654735] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23287), 1,
      anon_sym_RPAREN,
    STATE(17457), 2,
      sym_comment,
      sym_block_comment,
  [654749] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23287), 1,
      anon_sym_RBRACE,
    STATE(17458), 2,
      sym_comment,
      sym_block_comment,
  [654763] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23289), 1,
      sym__outdent,
    STATE(17459), 2,
      sym_comment,
      sym_block_comment,
  [654777] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23291), 1,
      anon_sym_RPAREN,
    STATE(17460), 2,
      sym_comment,
      sym_block_comment,
  [654791] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23293), 1,
      sym__outdent,
    STATE(17461), 2,
      sym_comment,
      sym_block_comment,
  [654805] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23295), 1,
      sym__outdent,
    STATE(17462), 2,
      sym_comment,
      sym_block_comment,
  [654819] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23297), 1,
      anon_sym_RPAREN,
    STATE(17463), 2,
      sym_comment,
      sym_block_comment,
  [654833] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23299), 1,
      anon_sym_RPAREN,
    STATE(17464), 2,
      sym_comment,
      sym_block_comment,
  [654847] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23301), 1,
      anon_sym_RBRACE,
    STATE(17465), 2,
      sym_comment,
      sym_block_comment,
  [654861] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23303), 1,
      sym__outdent,
    STATE(17466), 2,
      sym_comment,
      sym_block_comment,
  [654875] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23305), 1,
      sym__outdent,
    STATE(17467), 2,
      sym_comment,
      sym_block_comment,
  [654889] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23307), 1,
      anon_sym_RPAREN,
    STATE(17468), 2,
      sym_comment,
      sym_block_comment,
  [654903] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23309), 1,
      anon_sym_RBRACE,
    STATE(17469), 2,
      sym_comment,
      sym_block_comment,
  [654917] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14586), 1,
      anon_sym_type,
    STATE(17470), 2,
      sym_comment,
      sym_block_comment,
  [654931] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23311), 1,
      anon_sym_RBRACE,
    STATE(17471), 2,
      sym_comment,
      sym_block_comment,
  [654945] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23313), 1,
      anon_sym_RPAREN,
    STATE(17472), 2,
      sym_comment,
      sym_block_comment,
  [654959] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23315), 1,
      sym__outdent,
    STATE(17473), 2,
      sym_comment,
      sym_block_comment,
  [654973] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23317), 1,
      sym__outdent,
    STATE(17474), 2,
      sym_comment,
      sym_block_comment,
  [654987] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7444), 1,
      anon_sym_def,
    STATE(17475), 2,
      sym_comment,
      sym_block_comment,
  [655001] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23319), 1,
      anon_sym_RPAREN,
    STATE(17476), 2,
      sym_comment,
      sym_block_comment,
  [655015] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23321), 1,
      anon_sym_do,
    STATE(17477), 2,
      sym_comment,
      sym_block_comment,
  [655029] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23323), 1,
      anon_sym_RPAREN,
    STATE(17478), 2,
      sym_comment,
      sym_block_comment,
  [655043] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12494), 1,
      anon_sym_DOT,
    STATE(17479), 2,
      sym_comment,
      sym_block_comment,
  [655057] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23325), 1,
      sym__outdent,
    STATE(17480), 2,
      sym_comment,
      sym_block_comment,
  [655071] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23327), 1,
      sym__outdent,
    STATE(17481), 2,
      sym_comment,
      sym_block_comment,
  [655085] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7442), 1,
      anon_sym_type,
    STATE(17482), 2,
      sym_comment,
      sym_block_comment,
  [655099] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9180), 1,
      anon_sym_EQ_GT,
    STATE(17483), 2,
      sym_comment,
      sym_block_comment,
  [655113] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9029), 1,
      anon_sym_EQ_GT,
    STATE(17484), 2,
      sym_comment,
      sym_block_comment,
  [655127] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9021), 1,
      anon_sym_EQ_GT,
    STATE(17485), 2,
      sym_comment,
      sym_block_comment,
  [655141] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9082), 1,
      anon_sym_EQ_GT,
    STATE(17486), 2,
      sym_comment,
      sym_block_comment,
  [655155] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9159), 1,
      anon_sym_EQ_GT,
    STATE(17487), 2,
      sym_comment,
      sym_block_comment,
  [655169] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23329), 1,
      anon_sym_RPAREN,
    STATE(17488), 2,
      sym_comment,
      sym_block_comment,
  [655183] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23331), 1,
      anon_sym_RBRACE,
    STATE(17489), 2,
      sym_comment,
      sym_block_comment,
  [655197] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23333), 1,
      anon_sym_RBRACE,
    STATE(17490), 2,
      sym_comment,
      sym_block_comment,
  [655211] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23335), 1,
      sym__outdent,
    STATE(17491), 2,
      sym_comment,
      sym_block_comment,
  [655225] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23337), 1,
      anon_sym_RPAREN,
    STATE(17492), 2,
      sym_comment,
      sym_block_comment,
  [655239] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9130), 1,
      anon_sym_EQ_GT,
    STATE(17493), 2,
      sym_comment,
      sym_block_comment,
  [655253] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9134), 1,
      anon_sym_EQ_GT,
    STATE(17494), 2,
      sym_comment,
      sym_block_comment,
  [655267] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9144), 1,
      anon_sym_EQ_GT,
    STATE(17495), 2,
      sym_comment,
      sym_block_comment,
  [655281] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23339), 1,
      sym__outdent,
    STATE(17496), 2,
      sym_comment,
      sym_block_comment,
  [655295] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23341), 1,
      anon_sym_RPAREN,
    STATE(17497), 2,
      sym_comment,
      sym_block_comment,
  [655309] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23343), 1,
      sym__outdent,
    STATE(17498), 2,
      sym_comment,
      sym_block_comment,
  [655323] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23345), 1,
      anon_sym_RPAREN,
    STATE(17499), 2,
      sym_comment,
      sym_block_comment,
  [655337] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23347), 1,
      sym__outdent,
    STATE(17500), 2,
      sym_comment,
      sym_block_comment,
  [655351] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23349), 1,
      sym__outdent,
    STATE(17501), 2,
      sym_comment,
      sym_block_comment,
  [655365] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23351), 1,
      anon_sym_RBRACE,
    STATE(17502), 2,
      sym_comment,
      sym_block_comment,
  [655379] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23353), 1,
      anon_sym_RPAREN,
    STATE(17503), 2,
      sym_comment,
      sym_block_comment,
  [655393] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23355), 1,
      anon_sym_RBRACE,
    STATE(17504), 2,
      sym_comment,
      sym_block_comment,
  [655407] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11285), 1,
      anon_sym_EQ_GT,
    STATE(17505), 2,
      sym_comment,
      sym_block_comment,
  [655421] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11292), 1,
      anon_sym_EQ_GT,
    STATE(17506), 2,
      sym_comment,
      sym_block_comment,
  [655435] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7694), 1,
      anon_sym_EQ_GT,
    STATE(17507), 2,
      sym_comment,
      sym_block_comment,
  [655449] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11395), 1,
      anon_sym_EQ_GT,
    STATE(17508), 2,
      sym_comment,
      sym_block_comment,
  [655463] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11371), 1,
      anon_sym_EQ_GT,
    STATE(17509), 2,
      sym_comment,
      sym_block_comment,
  [655477] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11344), 1,
      anon_sym_EQ_GT,
    STATE(17510), 2,
      sym_comment,
      sym_block_comment,
  [655491] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11337), 1,
      anon_sym_EQ_GT,
    STATE(17511), 2,
      sym_comment,
      sym_block_comment,
  [655505] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23357), 1,
      anon_sym_RPAREN,
    STATE(17512), 2,
      sym_comment,
      sym_block_comment,
  [655519] = 1,
    ACTIONS(23359), 1,
      ts_builtin_sym_end,
  [655523] = 1,
    ACTIONS(23361), 1,
      ts_builtin_sym_end,
  [655527] = 1,
    ACTIONS(23363), 1,
      ts_builtin_sym_end,
  [655531] = 1,
    ACTIONS(23365), 1,
      ts_builtin_sym_end,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(2351)] = 0,
  [SMALL_STATE(2352)] = 145,
  [SMALL_STATE(2353)] = 290,
  [SMALL_STATE(2354)] = 435,
  [SMALL_STATE(2355)] = 580,
  [SMALL_STATE(2356)] = 725,
  [SMALL_STATE(2357)] = 870,
  [SMALL_STATE(2358)] = 1015,
  [SMALL_STATE(2359)] = 1160,
  [SMALL_STATE(2360)] = 1305,
  [SMALL_STATE(2361)] = 1450,
  [SMALL_STATE(2362)] = 1595,
  [SMALL_STATE(2363)] = 1740,
  [SMALL_STATE(2364)] = 1885,
  [SMALL_STATE(2365)] = 2030,
  [SMALL_STATE(2366)] = 2175,
  [SMALL_STATE(2367)] = 2320,
  [SMALL_STATE(2368)] = 2465,
  [SMALL_STATE(2369)] = 2610,
  [SMALL_STATE(2370)] = 2755,
  [SMALL_STATE(2371)] = 2900,
  [SMALL_STATE(2372)] = 3045,
  [SMALL_STATE(2373)] = 3190,
  [SMALL_STATE(2374)] = 3335,
  [SMALL_STATE(2375)] = 3480,
  [SMALL_STATE(2376)] = 3625,
  [SMALL_STATE(2377)] = 3770,
  [SMALL_STATE(2378)] = 3915,
  [SMALL_STATE(2379)] = 4060,
  [SMALL_STATE(2380)] = 4205,
  [SMALL_STATE(2381)] = 4350,
  [SMALL_STATE(2382)] = 4495,
  [SMALL_STATE(2383)] = 4640,
  [SMALL_STATE(2384)] = 4785,
  [SMALL_STATE(2385)] = 4930,
  [SMALL_STATE(2386)] = 5075,
  [SMALL_STATE(2387)] = 5220,
  [SMALL_STATE(2388)] = 5365,
  [SMALL_STATE(2389)] = 5510,
  [SMALL_STATE(2390)] = 5655,
  [SMALL_STATE(2391)] = 5800,
  [SMALL_STATE(2392)] = 5945,
  [SMALL_STATE(2393)] = 6090,
  [SMALL_STATE(2394)] = 6235,
  [SMALL_STATE(2395)] = 6380,
  [SMALL_STATE(2396)] = 6525,
  [SMALL_STATE(2397)] = 6670,
  [SMALL_STATE(2398)] = 6815,
  [SMALL_STATE(2399)] = 6960,
  [SMALL_STATE(2400)] = 7034,
  [SMALL_STATE(2401)] = 7108,
  [SMALL_STATE(2402)] = 7182,
  [SMALL_STATE(2403)] = 7256,
  [SMALL_STATE(2404)] = 7330,
  [SMALL_STATE(2405)] = 7404,
  [SMALL_STATE(2406)] = 7478,
  [SMALL_STATE(2407)] = 7623,
  [SMALL_STATE(2408)] = 7766,
  [SMALL_STATE(2409)] = 7909,
  [SMALL_STATE(2410)] = 8054,
  [SMALL_STATE(2411)] = 8197,
  [SMALL_STATE(2412)] = 8270,
  [SMALL_STATE(2413)] = 8404,
  [SMALL_STATE(2414)] = 8538,
  [SMALL_STATE(2415)] = 8672,
  [SMALL_STATE(2416)] = 8806,
  [SMALL_STATE(2417)] = 8940,
  [SMALL_STATE(2418)] = 9074,
  [SMALL_STATE(2419)] = 9208,
  [SMALL_STATE(2420)] = 9342,
  [SMALL_STATE(2421)] = 9476,
  [SMALL_STATE(2422)] = 9610,
  [SMALL_STATE(2423)] = 9744,
  [SMALL_STATE(2424)] = 9878,
  [SMALL_STATE(2425)] = 10012,
  [SMALL_STATE(2426)] = 10146,
  [SMALL_STATE(2427)] = 10280,
  [SMALL_STATE(2428)] = 10414,
  [SMALL_STATE(2429)] = 10548,
  [SMALL_STATE(2430)] = 10682,
  [SMALL_STATE(2431)] = 10816,
  [SMALL_STATE(2432)] = 10950,
  [SMALL_STATE(2433)] = 11084,
  [SMALL_STATE(2434)] = 11218,
  [SMALL_STATE(2435)] = 11352,
  [SMALL_STATE(2436)] = 11486,
  [SMALL_STATE(2437)] = 11615,
  [SMALL_STATE(2438)] = 11744,
  [SMALL_STATE(2439)] = 11873,
  [SMALL_STATE(2440)] = 12002,
  [SMALL_STATE(2441)] = 12131,
  [SMALL_STATE(2442)] = 12260,
  [SMALL_STATE(2443)] = 12389,
  [SMALL_STATE(2444)] = 12518,
  [SMALL_STATE(2445)] = 12647,
  [SMALL_STATE(2446)] = 12776,
  [SMALL_STATE(2447)] = 12905,
  [SMALL_STATE(2448)] = 13034,
  [SMALL_STATE(2449)] = 13163,
  [SMALL_STATE(2450)] = 13292,
  [SMALL_STATE(2451)] = 13421,
  [SMALL_STATE(2452)] = 13550,
  [SMALL_STATE(2453)] = 13679,
  [SMALL_STATE(2454)] = 13808,
  [SMALL_STATE(2455)] = 13937,
  [SMALL_STATE(2456)] = 14066,
  [SMALL_STATE(2457)] = 14195,
  [SMALL_STATE(2458)] = 14324,
  [SMALL_STATE(2459)] = 14453,
  [SMALL_STATE(2460)] = 14582,
  [SMALL_STATE(2461)] = 14711,
  [SMALL_STATE(2462)] = 14840,
  [SMALL_STATE(2463)] = 14969,
  [SMALL_STATE(2464)] = 15098,
  [SMALL_STATE(2465)] = 15227,
  [SMALL_STATE(2466)] = 15356,
  [SMALL_STATE(2467)] = 15485,
  [SMALL_STATE(2468)] = 15614,
  [SMALL_STATE(2469)] = 15743,
  [SMALL_STATE(2470)] = 15872,
  [SMALL_STATE(2471)] = 16001,
  [SMALL_STATE(2472)] = 16130,
  [SMALL_STATE(2473)] = 16259,
  [SMALL_STATE(2474)] = 16388,
  [SMALL_STATE(2475)] = 16517,
  [SMALL_STATE(2476)] = 16646,
  [SMALL_STATE(2477)] = 16775,
  [SMALL_STATE(2478)] = 16904,
  [SMALL_STATE(2479)] = 17033,
  [SMALL_STATE(2480)] = 17162,
  [SMALL_STATE(2481)] = 17291,
  [SMALL_STATE(2482)] = 17420,
  [SMALL_STATE(2483)] = 17549,
  [SMALL_STATE(2484)] = 17678,
  [SMALL_STATE(2485)] = 17807,
  [SMALL_STATE(2486)] = 17936,
  [SMALL_STATE(2487)] = 18065,
  [SMALL_STATE(2488)] = 18194,
  [SMALL_STATE(2489)] = 18323,
  [SMALL_STATE(2490)] = 18452,
  [SMALL_STATE(2491)] = 18581,
  [SMALL_STATE(2492)] = 18710,
  [SMALL_STATE(2493)] = 18839,
  [SMALL_STATE(2494)] = 18968,
  [SMALL_STATE(2495)] = 19097,
  [SMALL_STATE(2496)] = 19226,
  [SMALL_STATE(2497)] = 19355,
  [SMALL_STATE(2498)] = 19484,
  [SMALL_STATE(2499)] = 19613,
  [SMALL_STATE(2500)] = 19742,
  [SMALL_STATE(2501)] = 19871,
  [SMALL_STATE(2502)] = 20000,
  [SMALL_STATE(2503)] = 20129,
  [SMALL_STATE(2504)] = 20258,
  [SMALL_STATE(2505)] = 20387,
  [SMALL_STATE(2506)] = 20516,
  [SMALL_STATE(2507)] = 20645,
  [SMALL_STATE(2508)] = 20774,
  [SMALL_STATE(2509)] = 20903,
  [SMALL_STATE(2510)] = 21032,
  [SMALL_STATE(2511)] = 21161,
  [SMALL_STATE(2512)] = 21290,
  [SMALL_STATE(2513)] = 21419,
  [SMALL_STATE(2514)] = 21548,
  [SMALL_STATE(2515)] = 21677,
  [SMALL_STATE(2516)] = 21806,
  [SMALL_STATE(2517)] = 21935,
  [SMALL_STATE(2518)] = 22064,
  [SMALL_STATE(2519)] = 22193,
  [SMALL_STATE(2520)] = 22322,
  [SMALL_STATE(2521)] = 22451,
  [SMALL_STATE(2522)] = 22580,
  [SMALL_STATE(2523)] = 22709,
  [SMALL_STATE(2524)] = 22838,
  [SMALL_STATE(2525)] = 22967,
  [SMALL_STATE(2526)] = 23096,
  [SMALL_STATE(2527)] = 23225,
  [SMALL_STATE(2528)] = 23354,
  [SMALL_STATE(2529)] = 23483,
  [SMALL_STATE(2530)] = 23612,
  [SMALL_STATE(2531)] = 23741,
  [SMALL_STATE(2532)] = 23870,
  [SMALL_STATE(2533)] = 23999,
  [SMALL_STATE(2534)] = 24128,
  [SMALL_STATE(2535)] = 24257,
  [SMALL_STATE(2536)] = 24386,
  [SMALL_STATE(2537)] = 24459,
  [SMALL_STATE(2538)] = 24588,
  [SMALL_STATE(2539)] = 24717,
  [SMALL_STATE(2540)] = 24846,
  [SMALL_STATE(2541)] = 24975,
  [SMALL_STATE(2542)] = 25104,
  [SMALL_STATE(2543)] = 25233,
  [SMALL_STATE(2544)] = 25362,
  [SMALL_STATE(2545)] = 25491,
  [SMALL_STATE(2546)] = 25620,
  [SMALL_STATE(2547)] = 25749,
  [SMALL_STATE(2548)] = 25878,
  [SMALL_STATE(2549)] = 26007,
  [SMALL_STATE(2550)] = 26136,
  [SMALL_STATE(2551)] = 26265,
  [SMALL_STATE(2552)] = 26394,
  [SMALL_STATE(2553)] = 26523,
  [SMALL_STATE(2554)] = 26652,
  [SMALL_STATE(2555)] = 26781,
  [SMALL_STATE(2556)] = 26910,
  [SMALL_STATE(2557)] = 27039,
  [SMALL_STATE(2558)] = 27168,
  [SMALL_STATE(2559)] = 27297,
  [SMALL_STATE(2560)] = 27426,
  [SMALL_STATE(2561)] = 27555,
  [SMALL_STATE(2562)] = 27684,
  [SMALL_STATE(2563)] = 27813,
  [SMALL_STATE(2564)] = 27939,
  [SMALL_STATE(2565)] = 28065,
  [SMALL_STATE(2566)] = 28191,
  [SMALL_STATE(2567)] = 28317,
  [SMALL_STATE(2568)] = 28443,
  [SMALL_STATE(2569)] = 28569,
  [SMALL_STATE(2570)] = 28641,
  [SMALL_STATE(2571)] = 28767,
  [SMALL_STATE(2572)] = 28893,
  [SMALL_STATE(2573)] = 29019,
  [SMALL_STATE(2574)] = 29145,
  [SMALL_STATE(2575)] = 29217,
  [SMALL_STATE(2576)] = 29288,
  [SMALL_STATE(2577)] = 29359,
  [SMALL_STATE(2578)] = 29482,
  [SMALL_STATE(2579)] = 29553,
  [SMALL_STATE(2580)] = 29624,
  [SMALL_STATE(2581)] = 29746,
  [SMALL_STATE(2582)] = 29868,
  [SMALL_STATE(2583)] = 29990,
  [SMALL_STATE(2584)] = 30112,
  [SMALL_STATE(2585)] = 30234,
  [SMALL_STATE(2586)] = 30356,
  [SMALL_STATE(2587)] = 30478,
  [SMALL_STATE(2588)] = 30600,
  [SMALL_STATE(2589)] = 30722,
  [SMALL_STATE(2590)] = 30844,
  [SMALL_STATE(2591)] = 30966,
  [SMALL_STATE(2592)] = 31088,
  [SMALL_STATE(2593)] = 31210,
  [SMALL_STATE(2594)] = 31280,
  [SMALL_STATE(2595)] = 31402,
  [SMALL_STATE(2596)] = 31524,
  [SMALL_STATE(2597)] = 31646,
  [SMALL_STATE(2598)] = 31768,
  [SMALL_STATE(2599)] = 31890,
  [SMALL_STATE(2600)] = 32012,
  [SMALL_STATE(2601)] = 32134,
  [SMALL_STATE(2602)] = 32256,
  [SMALL_STATE(2603)] = 32378,
  [SMALL_STATE(2604)] = 32500,
  [SMALL_STATE(2605)] = 32622,
  [SMALL_STATE(2606)] = 32744,
  [SMALL_STATE(2607)] = 32866,
  [SMALL_STATE(2608)] = 32988,
  [SMALL_STATE(2609)] = 33110,
  [SMALL_STATE(2610)] = 33232,
  [SMALL_STATE(2611)] = 33354,
  [SMALL_STATE(2612)] = 33476,
  [SMALL_STATE(2613)] = 33598,
  [SMALL_STATE(2614)] = 33720,
  [SMALL_STATE(2615)] = 33842,
  [SMALL_STATE(2616)] = 33964,
  [SMALL_STATE(2617)] = 34086,
  [SMALL_STATE(2618)] = 34156,
  [SMALL_STATE(2619)] = 34278,
  [SMALL_STATE(2620)] = 34400,
  [SMALL_STATE(2621)] = 34522,
  [SMALL_STATE(2622)] = 34644,
  [SMALL_STATE(2623)] = 34766,
  [SMALL_STATE(2624)] = 34888,
  [SMALL_STATE(2625)] = 35010,
  [SMALL_STATE(2626)] = 35132,
  [SMALL_STATE(2627)] = 35254,
  [SMALL_STATE(2628)] = 35376,
  [SMALL_STATE(2629)] = 35498,
  [SMALL_STATE(2630)] = 35620,
  [SMALL_STATE(2631)] = 35742,
  [SMALL_STATE(2632)] = 35864,
  [SMALL_STATE(2633)] = 35986,
  [SMALL_STATE(2634)] = 36108,
  [SMALL_STATE(2635)] = 36230,
  [SMALL_STATE(2636)] = 36352,
  [SMALL_STATE(2637)] = 36474,
  [SMALL_STATE(2638)] = 36596,
  [SMALL_STATE(2639)] = 36718,
  [SMALL_STATE(2640)] = 36840,
  [SMALL_STATE(2641)] = 36962,
  [SMALL_STATE(2642)] = 37084,
  [SMALL_STATE(2643)] = 37206,
  [SMALL_STATE(2644)] = 37328,
  [SMALL_STATE(2645)] = 37450,
  [SMALL_STATE(2646)] = 37572,
  [SMALL_STATE(2647)] = 37694,
  [SMALL_STATE(2648)] = 37816,
  [SMALL_STATE(2649)] = 37938,
  [SMALL_STATE(2650)] = 38060,
  [SMALL_STATE(2651)] = 38182,
  [SMALL_STATE(2652)] = 38304,
  [SMALL_STATE(2653)] = 38426,
  [SMALL_STATE(2654)] = 38548,
  [SMALL_STATE(2655)] = 38670,
  [SMALL_STATE(2656)] = 38792,
  [SMALL_STATE(2657)] = 38914,
  [SMALL_STATE(2658)] = 39036,
  [SMALL_STATE(2659)] = 39158,
  [SMALL_STATE(2660)] = 39280,
  [SMALL_STATE(2661)] = 39402,
  [SMALL_STATE(2662)] = 39524,
  [SMALL_STATE(2663)] = 39646,
  [SMALL_STATE(2664)] = 39768,
  [SMALL_STATE(2665)] = 39890,
  [SMALL_STATE(2666)] = 40012,
  [SMALL_STATE(2667)] = 40134,
  [SMALL_STATE(2668)] = 40256,
  [SMALL_STATE(2669)] = 40378,
  [SMALL_STATE(2670)] = 40500,
  [SMALL_STATE(2671)] = 40622,
  [SMALL_STATE(2672)] = 40744,
  [SMALL_STATE(2673)] = 40866,
  [SMALL_STATE(2674)] = 40988,
  [SMALL_STATE(2675)] = 41110,
  [SMALL_STATE(2676)] = 41232,
  [SMALL_STATE(2677)] = 41354,
  [SMALL_STATE(2678)] = 41476,
  [SMALL_STATE(2679)] = 41598,
  [SMALL_STATE(2680)] = 41720,
  [SMALL_STATE(2681)] = 41842,
  [SMALL_STATE(2682)] = 41964,
  [SMALL_STATE(2683)] = 42086,
  [SMALL_STATE(2684)] = 42208,
  [SMALL_STATE(2685)] = 42330,
  [SMALL_STATE(2686)] = 42452,
  [SMALL_STATE(2687)] = 42522,
  [SMALL_STATE(2688)] = 42644,
  [SMALL_STATE(2689)] = 42766,
  [SMALL_STATE(2690)] = 42888,
  [SMALL_STATE(2691)] = 43010,
  [SMALL_STATE(2692)] = 43132,
  [SMALL_STATE(2693)] = 43254,
  [SMALL_STATE(2694)] = 43376,
  [SMALL_STATE(2695)] = 43498,
  [SMALL_STATE(2696)] = 43620,
  [SMALL_STATE(2697)] = 43742,
  [SMALL_STATE(2698)] = 43864,
  [SMALL_STATE(2699)] = 43986,
  [SMALL_STATE(2700)] = 44108,
  [SMALL_STATE(2701)] = 44230,
  [SMALL_STATE(2702)] = 44352,
  [SMALL_STATE(2703)] = 44474,
  [SMALL_STATE(2704)] = 44596,
  [SMALL_STATE(2705)] = 44718,
  [SMALL_STATE(2706)] = 44840,
  [SMALL_STATE(2707)] = 44962,
  [SMALL_STATE(2708)] = 45084,
  [SMALL_STATE(2709)] = 45206,
  [SMALL_STATE(2710)] = 45328,
  [SMALL_STATE(2711)] = 45450,
  [SMALL_STATE(2712)] = 45572,
  [SMALL_STATE(2713)] = 45694,
  [SMALL_STATE(2714)] = 45816,
  [SMALL_STATE(2715)] = 45938,
  [SMALL_STATE(2716)] = 46060,
  [SMALL_STATE(2717)] = 46182,
  [SMALL_STATE(2718)] = 46304,
  [SMALL_STATE(2719)] = 46426,
  [SMALL_STATE(2720)] = 46548,
  [SMALL_STATE(2721)] = 46670,
  [SMALL_STATE(2722)] = 46792,
  [SMALL_STATE(2723)] = 46914,
  [SMALL_STATE(2724)] = 47036,
  [SMALL_STATE(2725)] = 47158,
  [SMALL_STATE(2726)] = 47280,
  [SMALL_STATE(2727)] = 47402,
  [SMALL_STATE(2728)] = 47524,
  [SMALL_STATE(2729)] = 47646,
  [SMALL_STATE(2730)] = 47768,
  [SMALL_STATE(2731)] = 47890,
  [SMALL_STATE(2732)] = 48012,
  [SMALL_STATE(2733)] = 48134,
  [SMALL_STATE(2734)] = 48256,
  [SMALL_STATE(2735)] = 48378,
  [SMALL_STATE(2736)] = 48500,
  [SMALL_STATE(2737)] = 48622,
  [SMALL_STATE(2738)] = 48744,
  [SMALL_STATE(2739)] = 48866,
  [SMALL_STATE(2740)] = 48988,
  [SMALL_STATE(2741)] = 49110,
  [SMALL_STATE(2742)] = 49232,
  [SMALL_STATE(2743)] = 49354,
  [SMALL_STATE(2744)] = 49476,
  [SMALL_STATE(2745)] = 49598,
  [SMALL_STATE(2746)] = 49720,
  [SMALL_STATE(2747)] = 49842,
  [SMALL_STATE(2748)] = 49964,
  [SMALL_STATE(2749)] = 50086,
  [SMALL_STATE(2750)] = 50208,
  [SMALL_STATE(2751)] = 50330,
  [SMALL_STATE(2752)] = 50452,
  [SMALL_STATE(2753)] = 50574,
  [SMALL_STATE(2754)] = 50696,
  [SMALL_STATE(2755)] = 50818,
  [SMALL_STATE(2756)] = 50940,
  [SMALL_STATE(2757)] = 51062,
  [SMALL_STATE(2758)] = 51184,
  [SMALL_STATE(2759)] = 51306,
  [SMALL_STATE(2760)] = 51428,
  [SMALL_STATE(2761)] = 51550,
  [SMALL_STATE(2762)] = 51672,
  [SMALL_STATE(2763)] = 51794,
  [SMALL_STATE(2764)] = 51916,
  [SMALL_STATE(2765)] = 52038,
  [SMALL_STATE(2766)] = 52160,
  [SMALL_STATE(2767)] = 52282,
  [SMALL_STATE(2768)] = 52404,
  [SMALL_STATE(2769)] = 52526,
  [SMALL_STATE(2770)] = 52648,
  [SMALL_STATE(2771)] = 52770,
  [SMALL_STATE(2772)] = 52892,
  [SMALL_STATE(2773)] = 53014,
  [SMALL_STATE(2774)] = 53136,
  [SMALL_STATE(2775)] = 53258,
  [SMALL_STATE(2776)] = 53380,
  [SMALL_STATE(2777)] = 53502,
  [SMALL_STATE(2778)] = 53624,
  [SMALL_STATE(2779)] = 53746,
  [SMALL_STATE(2780)] = 53868,
  [SMALL_STATE(2781)] = 53990,
  [SMALL_STATE(2782)] = 54112,
  [SMALL_STATE(2783)] = 54234,
  [SMALL_STATE(2784)] = 54356,
  [SMALL_STATE(2785)] = 54478,
  [SMALL_STATE(2786)] = 54600,
  [SMALL_STATE(2787)] = 54722,
  [SMALL_STATE(2788)] = 54844,
  [SMALL_STATE(2789)] = 54966,
  [SMALL_STATE(2790)] = 55088,
  [SMALL_STATE(2791)] = 55210,
  [SMALL_STATE(2792)] = 55332,
  [SMALL_STATE(2793)] = 55454,
  [SMALL_STATE(2794)] = 55576,
  [SMALL_STATE(2795)] = 55698,
  [SMALL_STATE(2796)] = 55820,
  [SMALL_STATE(2797)] = 55942,
  [SMALL_STATE(2798)] = 56064,
  [SMALL_STATE(2799)] = 56186,
  [SMALL_STATE(2800)] = 56308,
  [SMALL_STATE(2801)] = 56430,
  [SMALL_STATE(2802)] = 56552,
  [SMALL_STATE(2803)] = 56674,
  [SMALL_STATE(2804)] = 56796,
  [SMALL_STATE(2805)] = 56918,
  [SMALL_STATE(2806)] = 57040,
  [SMALL_STATE(2807)] = 57162,
  [SMALL_STATE(2808)] = 57284,
  [SMALL_STATE(2809)] = 57406,
  [SMALL_STATE(2810)] = 57528,
  [SMALL_STATE(2811)] = 57650,
  [SMALL_STATE(2812)] = 57772,
  [SMALL_STATE(2813)] = 57894,
  [SMALL_STATE(2814)] = 58016,
  [SMALL_STATE(2815)] = 58138,
  [SMALL_STATE(2816)] = 58260,
  [SMALL_STATE(2817)] = 58382,
  [SMALL_STATE(2818)] = 58504,
  [SMALL_STATE(2819)] = 58626,
  [SMALL_STATE(2820)] = 58748,
  [SMALL_STATE(2821)] = 58870,
  [SMALL_STATE(2822)] = 58992,
  [SMALL_STATE(2823)] = 59114,
  [SMALL_STATE(2824)] = 59236,
  [SMALL_STATE(2825)] = 59358,
  [SMALL_STATE(2826)] = 59480,
  [SMALL_STATE(2827)] = 59602,
  [SMALL_STATE(2828)] = 59724,
  [SMALL_STATE(2829)] = 59846,
  [SMALL_STATE(2830)] = 59968,
  [SMALL_STATE(2831)] = 60090,
  [SMALL_STATE(2832)] = 60212,
  [SMALL_STATE(2833)] = 60334,
  [SMALL_STATE(2834)] = 60456,
  [SMALL_STATE(2835)] = 60578,
  [SMALL_STATE(2836)] = 60700,
  [SMALL_STATE(2837)] = 60822,
  [SMALL_STATE(2838)] = 60944,
  [SMALL_STATE(2839)] = 61066,
  [SMALL_STATE(2840)] = 61188,
  [SMALL_STATE(2841)] = 61310,
  [SMALL_STATE(2842)] = 61432,
  [SMALL_STATE(2843)] = 61554,
  [SMALL_STATE(2844)] = 61676,
  [SMALL_STATE(2845)] = 61798,
  [SMALL_STATE(2846)] = 61920,
  [SMALL_STATE(2847)] = 62042,
  [SMALL_STATE(2848)] = 62164,
  [SMALL_STATE(2849)] = 62286,
  [SMALL_STATE(2850)] = 62408,
  [SMALL_STATE(2851)] = 62530,
  [SMALL_STATE(2852)] = 62652,
  [SMALL_STATE(2853)] = 62774,
  [SMALL_STATE(2854)] = 62896,
  [SMALL_STATE(2855)] = 63018,
  [SMALL_STATE(2856)] = 63140,
  [SMALL_STATE(2857)] = 63262,
  [SMALL_STATE(2858)] = 63384,
  [SMALL_STATE(2859)] = 63506,
  [SMALL_STATE(2860)] = 63628,
  [SMALL_STATE(2861)] = 63750,
  [SMALL_STATE(2862)] = 63872,
  [SMALL_STATE(2863)] = 63994,
  [SMALL_STATE(2864)] = 64116,
  [SMALL_STATE(2865)] = 64238,
  [SMALL_STATE(2866)] = 64360,
  [SMALL_STATE(2867)] = 64482,
  [SMALL_STATE(2868)] = 64604,
  [SMALL_STATE(2869)] = 64726,
  [SMALL_STATE(2870)] = 64848,
  [SMALL_STATE(2871)] = 64970,
  [SMALL_STATE(2872)] = 65092,
  [SMALL_STATE(2873)] = 65214,
  [SMALL_STATE(2874)] = 65336,
  [SMALL_STATE(2875)] = 65458,
  [SMALL_STATE(2876)] = 65580,
  [SMALL_STATE(2877)] = 65702,
  [SMALL_STATE(2878)] = 65824,
  [SMALL_STATE(2879)] = 65946,
  [SMALL_STATE(2880)] = 66068,
  [SMALL_STATE(2881)] = 66190,
  [SMALL_STATE(2882)] = 66312,
  [SMALL_STATE(2883)] = 66434,
  [SMALL_STATE(2884)] = 66556,
  [SMALL_STATE(2885)] = 66678,
  [SMALL_STATE(2886)] = 66800,
  [SMALL_STATE(2887)] = 66922,
  [SMALL_STATE(2888)] = 67044,
  [SMALL_STATE(2889)] = 67166,
  [SMALL_STATE(2890)] = 67288,
  [SMALL_STATE(2891)] = 67410,
  [SMALL_STATE(2892)] = 67532,
  [SMALL_STATE(2893)] = 67654,
  [SMALL_STATE(2894)] = 67776,
  [SMALL_STATE(2895)] = 67898,
  [SMALL_STATE(2896)] = 68020,
  [SMALL_STATE(2897)] = 68142,
  [SMALL_STATE(2898)] = 68264,
  [SMALL_STATE(2899)] = 68386,
  [SMALL_STATE(2900)] = 68508,
  [SMALL_STATE(2901)] = 68630,
  [SMALL_STATE(2902)] = 68752,
  [SMALL_STATE(2903)] = 68874,
  [SMALL_STATE(2904)] = 68996,
  [SMALL_STATE(2905)] = 69118,
  [SMALL_STATE(2906)] = 69240,
  [SMALL_STATE(2907)] = 69362,
  [SMALL_STATE(2908)] = 69484,
  [SMALL_STATE(2909)] = 69606,
  [SMALL_STATE(2910)] = 69728,
  [SMALL_STATE(2911)] = 69850,
  [SMALL_STATE(2912)] = 69972,
  [SMALL_STATE(2913)] = 70094,
  [SMALL_STATE(2914)] = 70216,
  [SMALL_STATE(2915)] = 70338,
  [SMALL_STATE(2916)] = 70460,
  [SMALL_STATE(2917)] = 70582,
  [SMALL_STATE(2918)] = 70704,
  [SMALL_STATE(2919)] = 70826,
  [SMALL_STATE(2920)] = 70948,
  [SMALL_STATE(2921)] = 71070,
  [SMALL_STATE(2922)] = 71192,
  [SMALL_STATE(2923)] = 71314,
  [SMALL_STATE(2924)] = 71436,
  [SMALL_STATE(2925)] = 71558,
  [SMALL_STATE(2926)] = 71680,
  [SMALL_STATE(2927)] = 71802,
  [SMALL_STATE(2928)] = 71924,
  [SMALL_STATE(2929)] = 72046,
  [SMALL_STATE(2930)] = 72168,
  [SMALL_STATE(2931)] = 72290,
  [SMALL_STATE(2932)] = 72412,
  [SMALL_STATE(2933)] = 72534,
  [SMALL_STATE(2934)] = 72656,
  [SMALL_STATE(2935)] = 72778,
  [SMALL_STATE(2936)] = 72900,
  [SMALL_STATE(2937)] = 73022,
  [SMALL_STATE(2938)] = 73144,
  [SMALL_STATE(2939)] = 73266,
  [SMALL_STATE(2940)] = 73388,
  [SMALL_STATE(2941)] = 73510,
  [SMALL_STATE(2942)] = 73632,
  [SMALL_STATE(2943)] = 73754,
  [SMALL_STATE(2944)] = 73876,
  [SMALL_STATE(2945)] = 73998,
  [SMALL_STATE(2946)] = 74120,
  [SMALL_STATE(2947)] = 74242,
  [SMALL_STATE(2948)] = 74364,
  [SMALL_STATE(2949)] = 74486,
  [SMALL_STATE(2950)] = 74608,
  [SMALL_STATE(2951)] = 74730,
  [SMALL_STATE(2952)] = 74852,
  [SMALL_STATE(2953)] = 74974,
  [SMALL_STATE(2954)] = 75096,
  [SMALL_STATE(2955)] = 75218,
  [SMALL_STATE(2956)] = 75340,
  [SMALL_STATE(2957)] = 75462,
  [SMALL_STATE(2958)] = 75584,
  [SMALL_STATE(2959)] = 75706,
  [SMALL_STATE(2960)] = 75828,
  [SMALL_STATE(2961)] = 75950,
  [SMALL_STATE(2962)] = 76072,
  [SMALL_STATE(2963)] = 76194,
  [SMALL_STATE(2964)] = 76316,
  [SMALL_STATE(2965)] = 76438,
  [SMALL_STATE(2966)] = 76560,
  [SMALL_STATE(2967)] = 76682,
  [SMALL_STATE(2968)] = 76804,
  [SMALL_STATE(2969)] = 76926,
  [SMALL_STATE(2970)] = 77048,
  [SMALL_STATE(2971)] = 77170,
  [SMALL_STATE(2972)] = 77292,
  [SMALL_STATE(2973)] = 77414,
  [SMALL_STATE(2974)] = 77536,
  [SMALL_STATE(2975)] = 77658,
  [SMALL_STATE(2976)] = 77780,
  [SMALL_STATE(2977)] = 77902,
  [SMALL_STATE(2978)] = 78024,
  [SMALL_STATE(2979)] = 78146,
  [SMALL_STATE(2980)] = 78268,
  [SMALL_STATE(2981)] = 78390,
  [SMALL_STATE(2982)] = 78512,
  [SMALL_STATE(2983)] = 78634,
  [SMALL_STATE(2984)] = 78756,
  [SMALL_STATE(2985)] = 78878,
  [SMALL_STATE(2986)] = 79000,
  [SMALL_STATE(2987)] = 79122,
  [SMALL_STATE(2988)] = 79244,
  [SMALL_STATE(2989)] = 79366,
  [SMALL_STATE(2990)] = 79488,
  [SMALL_STATE(2991)] = 79610,
  [SMALL_STATE(2992)] = 79732,
  [SMALL_STATE(2993)] = 79854,
  [SMALL_STATE(2994)] = 79976,
  [SMALL_STATE(2995)] = 80098,
  [SMALL_STATE(2996)] = 80220,
  [SMALL_STATE(2997)] = 80342,
  [SMALL_STATE(2998)] = 80464,
  [SMALL_STATE(2999)] = 80586,
  [SMALL_STATE(3000)] = 80708,
  [SMALL_STATE(3001)] = 80830,
  [SMALL_STATE(3002)] = 80952,
  [SMALL_STATE(3003)] = 81074,
  [SMALL_STATE(3004)] = 81196,
  [SMALL_STATE(3005)] = 81318,
  [SMALL_STATE(3006)] = 81440,
  [SMALL_STATE(3007)] = 81562,
  [SMALL_STATE(3008)] = 81684,
  [SMALL_STATE(3009)] = 81806,
  [SMALL_STATE(3010)] = 81928,
  [SMALL_STATE(3011)] = 82050,
  [SMALL_STATE(3012)] = 82172,
  [SMALL_STATE(3013)] = 82294,
  [SMALL_STATE(3014)] = 82416,
  [SMALL_STATE(3015)] = 82538,
  [SMALL_STATE(3016)] = 82660,
  [SMALL_STATE(3017)] = 82782,
  [SMALL_STATE(3018)] = 82904,
  [SMALL_STATE(3019)] = 83026,
  [SMALL_STATE(3020)] = 83148,
  [SMALL_STATE(3021)] = 83270,
  [SMALL_STATE(3022)] = 83392,
  [SMALL_STATE(3023)] = 83514,
  [SMALL_STATE(3024)] = 83636,
  [SMALL_STATE(3025)] = 83758,
  [SMALL_STATE(3026)] = 83880,
  [SMALL_STATE(3027)] = 84002,
  [SMALL_STATE(3028)] = 84124,
  [SMALL_STATE(3029)] = 84246,
  [SMALL_STATE(3030)] = 84368,
  [SMALL_STATE(3031)] = 84438,
  [SMALL_STATE(3032)] = 84560,
  [SMALL_STATE(3033)] = 84682,
  [SMALL_STATE(3034)] = 84804,
  [SMALL_STATE(3035)] = 84926,
  [SMALL_STATE(3036)] = 85048,
  [SMALL_STATE(3037)] = 85170,
  [SMALL_STATE(3038)] = 85292,
  [SMALL_STATE(3039)] = 85414,
  [SMALL_STATE(3040)] = 85536,
  [SMALL_STATE(3041)] = 85658,
  [SMALL_STATE(3042)] = 85780,
  [SMALL_STATE(3043)] = 85902,
  [SMALL_STATE(3044)] = 86024,
  [SMALL_STATE(3045)] = 86146,
  [SMALL_STATE(3046)] = 86268,
  [SMALL_STATE(3047)] = 86390,
  [SMALL_STATE(3048)] = 86512,
  [SMALL_STATE(3049)] = 86634,
  [SMALL_STATE(3050)] = 86756,
  [SMALL_STATE(3051)] = 86878,
  [SMALL_STATE(3052)] = 87000,
  [SMALL_STATE(3053)] = 87122,
  [SMALL_STATE(3054)] = 87244,
  [SMALL_STATE(3055)] = 87366,
  [SMALL_STATE(3056)] = 87488,
  [SMALL_STATE(3057)] = 87610,
  [SMALL_STATE(3058)] = 87732,
  [SMALL_STATE(3059)] = 87854,
  [SMALL_STATE(3060)] = 87976,
  [SMALL_STATE(3061)] = 88098,
  [SMALL_STATE(3062)] = 88220,
  [SMALL_STATE(3063)] = 88342,
  [SMALL_STATE(3064)] = 88464,
  [SMALL_STATE(3065)] = 88586,
  [SMALL_STATE(3066)] = 88708,
  [SMALL_STATE(3067)] = 88830,
  [SMALL_STATE(3068)] = 88952,
  [SMALL_STATE(3069)] = 89074,
  [SMALL_STATE(3070)] = 89196,
  [SMALL_STATE(3071)] = 89318,
  [SMALL_STATE(3072)] = 89440,
  [SMALL_STATE(3073)] = 89562,
  [SMALL_STATE(3074)] = 89684,
  [SMALL_STATE(3075)] = 89806,
  [SMALL_STATE(3076)] = 89928,
  [SMALL_STATE(3077)] = 90050,
  [SMALL_STATE(3078)] = 90172,
  [SMALL_STATE(3079)] = 90294,
  [SMALL_STATE(3080)] = 90416,
  [SMALL_STATE(3081)] = 90538,
  [SMALL_STATE(3082)] = 90660,
  [SMALL_STATE(3083)] = 90779,
  [SMALL_STATE(3084)] = 90898,
  [SMALL_STATE(3085)] = 91017,
  [SMALL_STATE(3086)] = 91136,
  [SMALL_STATE(3087)] = 91255,
  [SMALL_STATE(3088)] = 91374,
  [SMALL_STATE(3089)] = 91493,
  [SMALL_STATE(3090)] = 91612,
  [SMALL_STATE(3091)] = 91731,
  [SMALL_STATE(3092)] = 91850,
  [SMALL_STATE(3093)] = 91969,
  [SMALL_STATE(3094)] = 92088,
  [SMALL_STATE(3095)] = 92207,
  [SMALL_STATE(3096)] = 92276,
  [SMALL_STATE(3097)] = 92395,
  [SMALL_STATE(3098)] = 92514,
  [SMALL_STATE(3099)] = 92633,
  [SMALL_STATE(3100)] = 92752,
  [SMALL_STATE(3101)] = 92871,
  [SMALL_STATE(3102)] = 92990,
  [SMALL_STATE(3103)] = 93109,
  [SMALL_STATE(3104)] = 93228,
  [SMALL_STATE(3105)] = 93347,
  [SMALL_STATE(3106)] = 93466,
  [SMALL_STATE(3107)] = 93585,
  [SMALL_STATE(3108)] = 93704,
  [SMALL_STATE(3109)] = 93823,
  [SMALL_STATE(3110)] = 93942,
  [SMALL_STATE(3111)] = 94061,
  [SMALL_STATE(3112)] = 94180,
  [SMALL_STATE(3113)] = 94299,
  [SMALL_STATE(3114)] = 94418,
  [SMALL_STATE(3115)] = 94537,
  [SMALL_STATE(3116)] = 94656,
  [SMALL_STATE(3117)] = 94775,
  [SMALL_STATE(3118)] = 94894,
  [SMALL_STATE(3119)] = 95013,
  [SMALL_STATE(3120)] = 95132,
  [SMALL_STATE(3121)] = 95251,
  [SMALL_STATE(3122)] = 95370,
  [SMALL_STATE(3123)] = 95489,
  [SMALL_STATE(3124)] = 95608,
  [SMALL_STATE(3125)] = 95727,
  [SMALL_STATE(3126)] = 95846,
  [SMALL_STATE(3127)] = 95965,
  [SMALL_STATE(3128)] = 96084,
  [SMALL_STATE(3129)] = 96203,
  [SMALL_STATE(3130)] = 96322,
  [SMALL_STATE(3131)] = 96441,
  [SMALL_STATE(3132)] = 96560,
  [SMALL_STATE(3133)] = 96679,
  [SMALL_STATE(3134)] = 96798,
  [SMALL_STATE(3135)] = 96917,
  [SMALL_STATE(3136)] = 97036,
  [SMALL_STATE(3137)] = 97155,
  [SMALL_STATE(3138)] = 97274,
  [SMALL_STATE(3139)] = 97393,
  [SMALL_STATE(3140)] = 97512,
  [SMALL_STATE(3141)] = 97631,
  [SMALL_STATE(3142)] = 97750,
  [SMALL_STATE(3143)] = 97869,
  [SMALL_STATE(3144)] = 97988,
  [SMALL_STATE(3145)] = 98107,
  [SMALL_STATE(3146)] = 98226,
  [SMALL_STATE(3147)] = 98345,
  [SMALL_STATE(3148)] = 98464,
  [SMALL_STATE(3149)] = 98583,
  [SMALL_STATE(3150)] = 98702,
  [SMALL_STATE(3151)] = 98821,
  [SMALL_STATE(3152)] = 98940,
  [SMALL_STATE(3153)] = 99059,
  [SMALL_STATE(3154)] = 99178,
  [SMALL_STATE(3155)] = 99297,
  [SMALL_STATE(3156)] = 99416,
  [SMALL_STATE(3157)] = 99535,
  [SMALL_STATE(3158)] = 99654,
  [SMALL_STATE(3159)] = 99773,
  [SMALL_STATE(3160)] = 99892,
  [SMALL_STATE(3161)] = 100011,
  [SMALL_STATE(3162)] = 100130,
  [SMALL_STATE(3163)] = 100249,
  [SMALL_STATE(3164)] = 100368,
  [SMALL_STATE(3165)] = 100487,
  [SMALL_STATE(3166)] = 100606,
  [SMALL_STATE(3167)] = 100725,
  [SMALL_STATE(3168)] = 100844,
  [SMALL_STATE(3169)] = 100963,
  [SMALL_STATE(3170)] = 101082,
  [SMALL_STATE(3171)] = 101201,
  [SMALL_STATE(3172)] = 101320,
  [SMALL_STATE(3173)] = 101439,
  [SMALL_STATE(3174)] = 101558,
  [SMALL_STATE(3175)] = 101677,
  [SMALL_STATE(3176)] = 101796,
  [SMALL_STATE(3177)] = 101915,
  [SMALL_STATE(3178)] = 102034,
  [SMALL_STATE(3179)] = 102153,
  [SMALL_STATE(3180)] = 102272,
  [SMALL_STATE(3181)] = 102391,
  [SMALL_STATE(3182)] = 102510,
  [SMALL_STATE(3183)] = 102629,
  [SMALL_STATE(3184)] = 102748,
  [SMALL_STATE(3185)] = 102867,
  [SMALL_STATE(3186)] = 102986,
  [SMALL_STATE(3187)] = 103105,
  [SMALL_STATE(3188)] = 103224,
  [SMALL_STATE(3189)] = 103343,
  [SMALL_STATE(3190)] = 103462,
  [SMALL_STATE(3191)] = 103581,
  [SMALL_STATE(3192)] = 103700,
  [SMALL_STATE(3193)] = 103819,
  [SMALL_STATE(3194)] = 103938,
  [SMALL_STATE(3195)] = 104057,
  [SMALL_STATE(3196)] = 104176,
  [SMALL_STATE(3197)] = 104295,
  [SMALL_STATE(3198)] = 104414,
  [SMALL_STATE(3199)] = 104533,
  [SMALL_STATE(3200)] = 104652,
  [SMALL_STATE(3201)] = 104771,
  [SMALL_STATE(3202)] = 104890,
  [SMALL_STATE(3203)] = 105009,
  [SMALL_STATE(3204)] = 105128,
  [SMALL_STATE(3205)] = 105247,
  [SMALL_STATE(3206)] = 105366,
  [SMALL_STATE(3207)] = 105485,
  [SMALL_STATE(3208)] = 105604,
  [SMALL_STATE(3209)] = 105723,
  [SMALL_STATE(3210)] = 105842,
  [SMALL_STATE(3211)] = 105961,
  [SMALL_STATE(3212)] = 106080,
  [SMALL_STATE(3213)] = 106199,
  [SMALL_STATE(3214)] = 106318,
  [SMALL_STATE(3215)] = 106437,
  [SMALL_STATE(3216)] = 106556,
  [SMALL_STATE(3217)] = 106675,
  [SMALL_STATE(3218)] = 106794,
  [SMALL_STATE(3219)] = 106913,
  [SMALL_STATE(3220)] = 107032,
  [SMALL_STATE(3221)] = 107151,
  [SMALL_STATE(3222)] = 107220,
  [SMALL_STATE(3223)] = 107339,
  [SMALL_STATE(3224)] = 107458,
  [SMALL_STATE(3225)] = 107577,
  [SMALL_STATE(3226)] = 107696,
  [SMALL_STATE(3227)] = 107815,
  [SMALL_STATE(3228)] = 107934,
  [SMALL_STATE(3229)] = 108053,
  [SMALL_STATE(3230)] = 108172,
  [SMALL_STATE(3231)] = 108291,
  [SMALL_STATE(3232)] = 108410,
  [SMALL_STATE(3233)] = 108529,
  [SMALL_STATE(3234)] = 108648,
  [SMALL_STATE(3235)] = 108767,
  [SMALL_STATE(3236)] = 108886,
  [SMALL_STATE(3237)] = 109005,
  [SMALL_STATE(3238)] = 109124,
  [SMALL_STATE(3239)] = 109243,
  [SMALL_STATE(3240)] = 109362,
  [SMALL_STATE(3241)] = 109481,
  [SMALL_STATE(3242)] = 109600,
  [SMALL_STATE(3243)] = 109719,
  [SMALL_STATE(3244)] = 109838,
  [SMALL_STATE(3245)] = 109957,
  [SMALL_STATE(3246)] = 110076,
  [SMALL_STATE(3247)] = 110195,
  [SMALL_STATE(3248)] = 110314,
  [SMALL_STATE(3249)] = 110433,
  [SMALL_STATE(3250)] = 110552,
  [SMALL_STATE(3251)] = 110671,
  [SMALL_STATE(3252)] = 110790,
  [SMALL_STATE(3253)] = 110909,
  [SMALL_STATE(3254)] = 111028,
  [SMALL_STATE(3255)] = 111147,
  [SMALL_STATE(3256)] = 111266,
  [SMALL_STATE(3257)] = 111385,
  [SMALL_STATE(3258)] = 111504,
  [SMALL_STATE(3259)] = 111623,
  [SMALL_STATE(3260)] = 111742,
  [SMALL_STATE(3261)] = 111861,
  [SMALL_STATE(3262)] = 111980,
  [SMALL_STATE(3263)] = 112099,
  [SMALL_STATE(3264)] = 112218,
  [SMALL_STATE(3265)] = 112337,
  [SMALL_STATE(3266)] = 112456,
  [SMALL_STATE(3267)] = 112575,
  [SMALL_STATE(3268)] = 112694,
  [SMALL_STATE(3269)] = 112813,
  [SMALL_STATE(3270)] = 112932,
  [SMALL_STATE(3271)] = 113051,
  [SMALL_STATE(3272)] = 113170,
  [SMALL_STATE(3273)] = 113289,
  [SMALL_STATE(3274)] = 113408,
  [SMALL_STATE(3275)] = 113527,
  [SMALL_STATE(3276)] = 113646,
  [SMALL_STATE(3277)] = 113765,
  [SMALL_STATE(3278)] = 113884,
  [SMALL_STATE(3279)] = 114003,
  [SMALL_STATE(3280)] = 114122,
  [SMALL_STATE(3281)] = 114241,
  [SMALL_STATE(3282)] = 114360,
  [SMALL_STATE(3283)] = 114479,
  [SMALL_STATE(3284)] = 114548,
  [SMALL_STATE(3285)] = 114667,
  [SMALL_STATE(3286)] = 114786,
  [SMALL_STATE(3287)] = 114905,
  [SMALL_STATE(3288)] = 115024,
  [SMALL_STATE(3289)] = 115143,
  [SMALL_STATE(3290)] = 115262,
  [SMALL_STATE(3291)] = 115381,
  [SMALL_STATE(3292)] = 115500,
  [SMALL_STATE(3293)] = 115619,
  [SMALL_STATE(3294)] = 115738,
  [SMALL_STATE(3295)] = 115857,
  [SMALL_STATE(3296)] = 115976,
  [SMALL_STATE(3297)] = 116095,
  [SMALL_STATE(3298)] = 116214,
  [SMALL_STATE(3299)] = 116333,
  [SMALL_STATE(3300)] = 116452,
  [SMALL_STATE(3301)] = 116571,
  [SMALL_STATE(3302)] = 116690,
  [SMALL_STATE(3303)] = 116809,
  [SMALL_STATE(3304)] = 116928,
  [SMALL_STATE(3305)] = 117047,
  [SMALL_STATE(3306)] = 117166,
  [SMALL_STATE(3307)] = 117285,
  [SMALL_STATE(3308)] = 117404,
  [SMALL_STATE(3309)] = 117523,
  [SMALL_STATE(3310)] = 117642,
  [SMALL_STATE(3311)] = 117761,
  [SMALL_STATE(3312)] = 117880,
  [SMALL_STATE(3313)] = 117999,
  [SMALL_STATE(3314)] = 118118,
  [SMALL_STATE(3315)] = 118237,
  [SMALL_STATE(3316)] = 118356,
  [SMALL_STATE(3317)] = 118475,
  [SMALL_STATE(3318)] = 118594,
  [SMALL_STATE(3319)] = 118713,
  [SMALL_STATE(3320)] = 118832,
  [SMALL_STATE(3321)] = 118951,
  [SMALL_STATE(3322)] = 119070,
  [SMALL_STATE(3323)] = 119189,
  [SMALL_STATE(3324)] = 119308,
  [SMALL_STATE(3325)] = 119427,
  [SMALL_STATE(3326)] = 119546,
  [SMALL_STATE(3327)] = 119665,
  [SMALL_STATE(3328)] = 119784,
  [SMALL_STATE(3329)] = 119903,
  [SMALL_STATE(3330)] = 120022,
  [SMALL_STATE(3331)] = 120141,
  [SMALL_STATE(3332)] = 120260,
  [SMALL_STATE(3333)] = 120379,
  [SMALL_STATE(3334)] = 120498,
  [SMALL_STATE(3335)] = 120617,
  [SMALL_STATE(3336)] = 120736,
  [SMALL_STATE(3337)] = 120855,
  [SMALL_STATE(3338)] = 120974,
  [SMALL_STATE(3339)] = 121093,
  [SMALL_STATE(3340)] = 121212,
  [SMALL_STATE(3341)] = 121331,
  [SMALL_STATE(3342)] = 121450,
  [SMALL_STATE(3343)] = 121569,
  [SMALL_STATE(3344)] = 121688,
  [SMALL_STATE(3345)] = 121807,
  [SMALL_STATE(3346)] = 121926,
  [SMALL_STATE(3347)] = 122045,
  [SMALL_STATE(3348)] = 122164,
  [SMALL_STATE(3349)] = 122283,
  [SMALL_STATE(3350)] = 122402,
  [SMALL_STATE(3351)] = 122521,
  [SMALL_STATE(3352)] = 122640,
  [SMALL_STATE(3353)] = 122759,
  [SMALL_STATE(3354)] = 122878,
  [SMALL_STATE(3355)] = 122997,
  [SMALL_STATE(3356)] = 123116,
  [SMALL_STATE(3357)] = 123235,
  [SMALL_STATE(3358)] = 123354,
  [SMALL_STATE(3359)] = 123473,
  [SMALL_STATE(3360)] = 123592,
  [SMALL_STATE(3361)] = 123711,
  [SMALL_STATE(3362)] = 123830,
  [SMALL_STATE(3363)] = 123949,
  [SMALL_STATE(3364)] = 124068,
  [SMALL_STATE(3365)] = 124187,
  [SMALL_STATE(3366)] = 124306,
  [SMALL_STATE(3367)] = 124425,
  [SMALL_STATE(3368)] = 124544,
  [SMALL_STATE(3369)] = 124663,
  [SMALL_STATE(3370)] = 124782,
  [SMALL_STATE(3371)] = 124901,
  [SMALL_STATE(3372)] = 125020,
  [SMALL_STATE(3373)] = 125139,
  [SMALL_STATE(3374)] = 125258,
  [SMALL_STATE(3375)] = 125377,
  [SMALL_STATE(3376)] = 125496,
  [SMALL_STATE(3377)] = 125615,
  [SMALL_STATE(3378)] = 125734,
  [SMALL_STATE(3379)] = 125853,
  [SMALL_STATE(3380)] = 125972,
  [SMALL_STATE(3381)] = 126091,
  [SMALL_STATE(3382)] = 126210,
  [SMALL_STATE(3383)] = 126329,
  [SMALL_STATE(3384)] = 126448,
  [SMALL_STATE(3385)] = 126567,
  [SMALL_STATE(3386)] = 126686,
  [SMALL_STATE(3387)] = 126805,
  [SMALL_STATE(3388)] = 126924,
  [SMALL_STATE(3389)] = 127043,
  [SMALL_STATE(3390)] = 127162,
  [SMALL_STATE(3391)] = 127281,
  [SMALL_STATE(3392)] = 127400,
  [SMALL_STATE(3393)] = 127519,
  [SMALL_STATE(3394)] = 127638,
  [SMALL_STATE(3395)] = 127757,
  [SMALL_STATE(3396)] = 127876,
  [SMALL_STATE(3397)] = 127995,
  [SMALL_STATE(3398)] = 128114,
  [SMALL_STATE(3399)] = 128233,
  [SMALL_STATE(3400)] = 128352,
  [SMALL_STATE(3401)] = 128471,
  [SMALL_STATE(3402)] = 128590,
  [SMALL_STATE(3403)] = 128709,
  [SMALL_STATE(3404)] = 128828,
  [SMALL_STATE(3405)] = 128947,
  [SMALL_STATE(3406)] = 129066,
  [SMALL_STATE(3407)] = 129185,
  [SMALL_STATE(3408)] = 129304,
  [SMALL_STATE(3409)] = 129423,
  [SMALL_STATE(3410)] = 129492,
  [SMALL_STATE(3411)] = 129611,
  [SMALL_STATE(3412)] = 129730,
  [SMALL_STATE(3413)] = 129849,
  [SMALL_STATE(3414)] = 129968,
  [SMALL_STATE(3415)] = 130087,
  [SMALL_STATE(3416)] = 130206,
  [SMALL_STATE(3417)] = 130325,
  [SMALL_STATE(3418)] = 130444,
  [SMALL_STATE(3419)] = 130563,
  [SMALL_STATE(3420)] = 130682,
  [SMALL_STATE(3421)] = 130801,
  [SMALL_STATE(3422)] = 130920,
  [SMALL_STATE(3423)] = 131039,
  [SMALL_STATE(3424)] = 131158,
  [SMALL_STATE(3425)] = 131277,
  [SMALL_STATE(3426)] = 131396,
  [SMALL_STATE(3427)] = 131515,
  [SMALL_STATE(3428)] = 131634,
  [SMALL_STATE(3429)] = 131753,
  [SMALL_STATE(3430)] = 131872,
  [SMALL_STATE(3431)] = 131991,
  [SMALL_STATE(3432)] = 132110,
  [SMALL_STATE(3433)] = 132229,
  [SMALL_STATE(3434)] = 132348,
  [SMALL_STATE(3435)] = 132467,
  [SMALL_STATE(3436)] = 132586,
  [SMALL_STATE(3437)] = 132705,
  [SMALL_STATE(3438)] = 132824,
  [SMALL_STATE(3439)] = 132943,
  [SMALL_STATE(3440)] = 133062,
  [SMALL_STATE(3441)] = 133181,
  [SMALL_STATE(3442)] = 133300,
  [SMALL_STATE(3443)] = 133419,
  [SMALL_STATE(3444)] = 133538,
  [SMALL_STATE(3445)] = 133657,
  [SMALL_STATE(3446)] = 133776,
  [SMALL_STATE(3447)] = 133895,
  [SMALL_STATE(3448)] = 134014,
  [SMALL_STATE(3449)] = 134133,
  [SMALL_STATE(3450)] = 134252,
  [SMALL_STATE(3451)] = 134371,
  [SMALL_STATE(3452)] = 134490,
  [SMALL_STATE(3453)] = 134609,
  [SMALL_STATE(3454)] = 134728,
  [SMALL_STATE(3455)] = 134847,
  [SMALL_STATE(3456)] = 134966,
  [SMALL_STATE(3457)] = 135085,
  [SMALL_STATE(3458)] = 135204,
  [SMALL_STATE(3459)] = 135323,
  [SMALL_STATE(3460)] = 135442,
  [SMALL_STATE(3461)] = 135561,
  [SMALL_STATE(3462)] = 135680,
  [SMALL_STATE(3463)] = 135799,
  [SMALL_STATE(3464)] = 135918,
  [SMALL_STATE(3465)] = 136037,
  [SMALL_STATE(3466)] = 136156,
  [SMALL_STATE(3467)] = 136275,
  [SMALL_STATE(3468)] = 136394,
  [SMALL_STATE(3469)] = 136513,
  [SMALL_STATE(3470)] = 136632,
  [SMALL_STATE(3471)] = 136751,
  [SMALL_STATE(3472)] = 136870,
  [SMALL_STATE(3473)] = 136989,
  [SMALL_STATE(3474)] = 137108,
  [SMALL_STATE(3475)] = 137227,
  [SMALL_STATE(3476)] = 137346,
  [SMALL_STATE(3477)] = 137465,
  [SMALL_STATE(3478)] = 137584,
  [SMALL_STATE(3479)] = 137703,
  [SMALL_STATE(3480)] = 137822,
  [SMALL_STATE(3481)] = 137941,
  [SMALL_STATE(3482)] = 138060,
  [SMALL_STATE(3483)] = 138179,
  [SMALL_STATE(3484)] = 138298,
  [SMALL_STATE(3485)] = 138417,
  [SMALL_STATE(3486)] = 138536,
  [SMALL_STATE(3487)] = 138655,
  [SMALL_STATE(3488)] = 138774,
  [SMALL_STATE(3489)] = 138893,
  [SMALL_STATE(3490)] = 139012,
  [SMALL_STATE(3491)] = 139131,
  [SMALL_STATE(3492)] = 139250,
  [SMALL_STATE(3493)] = 139369,
  [SMALL_STATE(3494)] = 139488,
  [SMALL_STATE(3495)] = 139607,
  [SMALL_STATE(3496)] = 139726,
  [SMALL_STATE(3497)] = 139845,
  [SMALL_STATE(3498)] = 139964,
  [SMALL_STATE(3499)] = 140083,
  [SMALL_STATE(3500)] = 140202,
  [SMALL_STATE(3501)] = 140321,
  [SMALL_STATE(3502)] = 140440,
  [SMALL_STATE(3503)] = 140559,
  [SMALL_STATE(3504)] = 140678,
  [SMALL_STATE(3505)] = 140797,
  [SMALL_STATE(3506)] = 140916,
  [SMALL_STATE(3507)] = 141035,
  [SMALL_STATE(3508)] = 141154,
  [SMALL_STATE(3509)] = 141273,
  [SMALL_STATE(3510)] = 141392,
  [SMALL_STATE(3511)] = 141511,
  [SMALL_STATE(3512)] = 141630,
  [SMALL_STATE(3513)] = 141749,
  [SMALL_STATE(3514)] = 141868,
  [SMALL_STATE(3515)] = 141987,
  [SMALL_STATE(3516)] = 142106,
  [SMALL_STATE(3517)] = 142225,
  [SMALL_STATE(3518)] = 142344,
  [SMALL_STATE(3519)] = 142463,
  [SMALL_STATE(3520)] = 142582,
  [SMALL_STATE(3521)] = 142701,
  [SMALL_STATE(3522)] = 142820,
  [SMALL_STATE(3523)] = 142939,
  [SMALL_STATE(3524)] = 143058,
  [SMALL_STATE(3525)] = 143177,
  [SMALL_STATE(3526)] = 143296,
  [SMALL_STATE(3527)] = 143415,
  [SMALL_STATE(3528)] = 143534,
  [SMALL_STATE(3529)] = 143653,
  [SMALL_STATE(3530)] = 143772,
  [SMALL_STATE(3531)] = 143891,
  [SMALL_STATE(3532)] = 144010,
  [SMALL_STATE(3533)] = 144129,
  [SMALL_STATE(3534)] = 144248,
  [SMALL_STATE(3535)] = 144367,
  [SMALL_STATE(3536)] = 144486,
  [SMALL_STATE(3537)] = 144605,
  [SMALL_STATE(3538)] = 144724,
  [SMALL_STATE(3539)] = 144843,
  [SMALL_STATE(3540)] = 144962,
  [SMALL_STATE(3541)] = 145081,
  [SMALL_STATE(3542)] = 145200,
  [SMALL_STATE(3543)] = 145319,
  [SMALL_STATE(3544)] = 145438,
  [SMALL_STATE(3545)] = 145557,
  [SMALL_STATE(3546)] = 145676,
  [SMALL_STATE(3547)] = 145795,
  [SMALL_STATE(3548)] = 145914,
  [SMALL_STATE(3549)] = 146033,
  [SMALL_STATE(3550)] = 146152,
  [SMALL_STATE(3551)] = 146271,
  [SMALL_STATE(3552)] = 146390,
  [SMALL_STATE(3553)] = 146509,
  [SMALL_STATE(3554)] = 146628,
  [SMALL_STATE(3555)] = 146747,
  [SMALL_STATE(3556)] = 146866,
  [SMALL_STATE(3557)] = 146985,
  [SMALL_STATE(3558)] = 147104,
  [SMALL_STATE(3559)] = 147223,
  [SMALL_STATE(3560)] = 147342,
  [SMALL_STATE(3561)] = 147461,
  [SMALL_STATE(3562)] = 147580,
  [SMALL_STATE(3563)] = 147699,
  [SMALL_STATE(3564)] = 147818,
  [SMALL_STATE(3565)] = 147937,
  [SMALL_STATE(3566)] = 148056,
  [SMALL_STATE(3567)] = 148175,
  [SMALL_STATE(3568)] = 148294,
  [SMALL_STATE(3569)] = 148413,
  [SMALL_STATE(3570)] = 148532,
  [SMALL_STATE(3571)] = 148651,
  [SMALL_STATE(3572)] = 148770,
  [SMALL_STATE(3573)] = 148889,
  [SMALL_STATE(3574)] = 149008,
  [SMALL_STATE(3575)] = 149127,
  [SMALL_STATE(3576)] = 149246,
  [SMALL_STATE(3577)] = 149365,
  [SMALL_STATE(3578)] = 149484,
  [SMALL_STATE(3579)] = 149603,
  [SMALL_STATE(3580)] = 149722,
  [SMALL_STATE(3581)] = 149841,
  [SMALL_STATE(3582)] = 149960,
  [SMALL_STATE(3583)] = 150079,
  [SMALL_STATE(3584)] = 150198,
  [SMALL_STATE(3585)] = 150317,
  [SMALL_STATE(3586)] = 150436,
  [SMALL_STATE(3587)] = 150555,
  [SMALL_STATE(3588)] = 150674,
  [SMALL_STATE(3589)] = 150793,
  [SMALL_STATE(3590)] = 150912,
  [SMALL_STATE(3591)] = 151031,
  [SMALL_STATE(3592)] = 151150,
  [SMALL_STATE(3593)] = 151269,
  [SMALL_STATE(3594)] = 151388,
  [SMALL_STATE(3595)] = 151507,
  [SMALL_STATE(3596)] = 151626,
  [SMALL_STATE(3597)] = 151745,
  [SMALL_STATE(3598)] = 151864,
  [SMALL_STATE(3599)] = 151983,
  [SMALL_STATE(3600)] = 152102,
  [SMALL_STATE(3601)] = 152221,
  [SMALL_STATE(3602)] = 152340,
  [SMALL_STATE(3603)] = 152459,
  [SMALL_STATE(3604)] = 152578,
  [SMALL_STATE(3605)] = 152697,
  [SMALL_STATE(3606)] = 152816,
  [SMALL_STATE(3607)] = 152935,
  [SMALL_STATE(3608)] = 153054,
  [SMALL_STATE(3609)] = 153173,
  [SMALL_STATE(3610)] = 153292,
  [SMALL_STATE(3611)] = 153411,
  [SMALL_STATE(3612)] = 153530,
  [SMALL_STATE(3613)] = 153649,
  [SMALL_STATE(3614)] = 153768,
  [SMALL_STATE(3615)] = 153887,
  [SMALL_STATE(3616)] = 154006,
  [SMALL_STATE(3617)] = 154125,
  [SMALL_STATE(3618)] = 154244,
  [SMALL_STATE(3619)] = 154363,
  [SMALL_STATE(3620)] = 154482,
  [SMALL_STATE(3621)] = 154601,
  [SMALL_STATE(3622)] = 154720,
  [SMALL_STATE(3623)] = 154839,
  [SMALL_STATE(3624)] = 154958,
  [SMALL_STATE(3625)] = 155077,
  [SMALL_STATE(3626)] = 155196,
  [SMALL_STATE(3627)] = 155315,
  [SMALL_STATE(3628)] = 155434,
  [SMALL_STATE(3629)] = 155553,
  [SMALL_STATE(3630)] = 155672,
  [SMALL_STATE(3631)] = 155791,
  [SMALL_STATE(3632)] = 155910,
  [SMALL_STATE(3633)] = 156029,
  [SMALL_STATE(3634)] = 156148,
  [SMALL_STATE(3635)] = 156267,
  [SMALL_STATE(3636)] = 156386,
  [SMALL_STATE(3637)] = 156505,
  [SMALL_STATE(3638)] = 156624,
  [SMALL_STATE(3639)] = 156743,
  [SMALL_STATE(3640)] = 156862,
  [SMALL_STATE(3641)] = 156981,
  [SMALL_STATE(3642)] = 157100,
  [SMALL_STATE(3643)] = 157219,
  [SMALL_STATE(3644)] = 157338,
  [SMALL_STATE(3645)] = 157457,
  [SMALL_STATE(3646)] = 157576,
  [SMALL_STATE(3647)] = 157695,
  [SMALL_STATE(3648)] = 157814,
  [SMALL_STATE(3649)] = 157933,
  [SMALL_STATE(3650)] = 158052,
  [SMALL_STATE(3651)] = 158171,
  [SMALL_STATE(3652)] = 158290,
  [SMALL_STATE(3653)] = 158409,
  [SMALL_STATE(3654)] = 158528,
  [SMALL_STATE(3655)] = 158647,
  [SMALL_STATE(3656)] = 158766,
  [SMALL_STATE(3657)] = 158885,
  [SMALL_STATE(3658)] = 159004,
  [SMALL_STATE(3659)] = 159123,
  [SMALL_STATE(3660)] = 159242,
  [SMALL_STATE(3661)] = 159361,
  [SMALL_STATE(3662)] = 159480,
  [SMALL_STATE(3663)] = 159599,
  [SMALL_STATE(3664)] = 159718,
  [SMALL_STATE(3665)] = 159837,
  [SMALL_STATE(3666)] = 159956,
  [SMALL_STATE(3667)] = 160075,
  [SMALL_STATE(3668)] = 160194,
  [SMALL_STATE(3669)] = 160313,
  [SMALL_STATE(3670)] = 160432,
  [SMALL_STATE(3671)] = 160551,
  [SMALL_STATE(3672)] = 160670,
  [SMALL_STATE(3673)] = 160789,
  [SMALL_STATE(3674)] = 160908,
  [SMALL_STATE(3675)] = 161027,
  [SMALL_STATE(3676)] = 161146,
  [SMALL_STATE(3677)] = 161265,
  [SMALL_STATE(3678)] = 161384,
  [SMALL_STATE(3679)] = 161503,
  [SMALL_STATE(3680)] = 161622,
  [SMALL_STATE(3681)] = 161741,
  [SMALL_STATE(3682)] = 161860,
  [SMALL_STATE(3683)] = 161979,
  [SMALL_STATE(3684)] = 162098,
  [SMALL_STATE(3685)] = 162217,
  [SMALL_STATE(3686)] = 162336,
  [SMALL_STATE(3687)] = 162455,
  [SMALL_STATE(3688)] = 162574,
  [SMALL_STATE(3689)] = 162693,
  [SMALL_STATE(3690)] = 162812,
  [SMALL_STATE(3691)] = 162931,
  [SMALL_STATE(3692)] = 163050,
  [SMALL_STATE(3693)] = 163169,
  [SMALL_STATE(3694)] = 163288,
  [SMALL_STATE(3695)] = 163407,
  [SMALL_STATE(3696)] = 163526,
  [SMALL_STATE(3697)] = 163645,
  [SMALL_STATE(3698)] = 163764,
  [SMALL_STATE(3699)] = 163883,
  [SMALL_STATE(3700)] = 164002,
  [SMALL_STATE(3701)] = 164121,
  [SMALL_STATE(3702)] = 164240,
  [SMALL_STATE(3703)] = 164359,
  [SMALL_STATE(3704)] = 164478,
  [SMALL_STATE(3705)] = 164597,
  [SMALL_STATE(3706)] = 164716,
  [SMALL_STATE(3707)] = 164835,
  [SMALL_STATE(3708)] = 164954,
  [SMALL_STATE(3709)] = 165073,
  [SMALL_STATE(3710)] = 165192,
  [SMALL_STATE(3711)] = 165311,
  [SMALL_STATE(3712)] = 165430,
  [SMALL_STATE(3713)] = 165549,
  [SMALL_STATE(3714)] = 165668,
  [SMALL_STATE(3715)] = 165787,
  [SMALL_STATE(3716)] = 165906,
  [SMALL_STATE(3717)] = 166025,
  [SMALL_STATE(3718)] = 166144,
  [SMALL_STATE(3719)] = 166263,
  [SMALL_STATE(3720)] = 166382,
  [SMALL_STATE(3721)] = 166501,
  [SMALL_STATE(3722)] = 166620,
  [SMALL_STATE(3723)] = 166739,
  [SMALL_STATE(3724)] = 166858,
  [SMALL_STATE(3725)] = 166977,
  [SMALL_STATE(3726)] = 167096,
  [SMALL_STATE(3727)] = 167215,
  [SMALL_STATE(3728)] = 167334,
  [SMALL_STATE(3729)] = 167453,
  [SMALL_STATE(3730)] = 167572,
  [SMALL_STATE(3731)] = 167691,
  [SMALL_STATE(3732)] = 167810,
  [SMALL_STATE(3733)] = 167929,
  [SMALL_STATE(3734)] = 168048,
  [SMALL_STATE(3735)] = 168167,
  [SMALL_STATE(3736)] = 168286,
  [SMALL_STATE(3737)] = 168405,
  [SMALL_STATE(3738)] = 168524,
  [SMALL_STATE(3739)] = 168643,
  [SMALL_STATE(3740)] = 168762,
  [SMALL_STATE(3741)] = 168881,
  [SMALL_STATE(3742)] = 169000,
  [SMALL_STATE(3743)] = 169119,
  [SMALL_STATE(3744)] = 169238,
  [SMALL_STATE(3745)] = 169357,
  [SMALL_STATE(3746)] = 169476,
  [SMALL_STATE(3747)] = 169595,
  [SMALL_STATE(3748)] = 169714,
  [SMALL_STATE(3749)] = 169833,
  [SMALL_STATE(3750)] = 169952,
  [SMALL_STATE(3751)] = 170071,
  [SMALL_STATE(3752)] = 170190,
  [SMALL_STATE(3753)] = 170309,
  [SMALL_STATE(3754)] = 170428,
  [SMALL_STATE(3755)] = 170497,
  [SMALL_STATE(3756)] = 170616,
  [SMALL_STATE(3757)] = 170735,
  [SMALL_STATE(3758)] = 170854,
  [SMALL_STATE(3759)] = 170973,
  [SMALL_STATE(3760)] = 171092,
  [SMALL_STATE(3761)] = 171211,
  [SMALL_STATE(3762)] = 171330,
  [SMALL_STATE(3763)] = 171449,
  [SMALL_STATE(3764)] = 171568,
  [SMALL_STATE(3765)] = 171687,
  [SMALL_STATE(3766)] = 171806,
  [SMALL_STATE(3767)] = 171925,
  [SMALL_STATE(3768)] = 172044,
  [SMALL_STATE(3769)] = 172163,
  [SMALL_STATE(3770)] = 172282,
  [SMALL_STATE(3771)] = 172401,
  [SMALL_STATE(3772)] = 172520,
  [SMALL_STATE(3773)] = 172639,
  [SMALL_STATE(3774)] = 172758,
  [SMALL_STATE(3775)] = 172877,
  [SMALL_STATE(3776)] = 172996,
  [SMALL_STATE(3777)] = 173115,
  [SMALL_STATE(3778)] = 173234,
  [SMALL_STATE(3779)] = 173353,
  [SMALL_STATE(3780)] = 173472,
  [SMALL_STATE(3781)] = 173591,
  [SMALL_STATE(3782)] = 173710,
  [SMALL_STATE(3783)] = 173829,
  [SMALL_STATE(3784)] = 173948,
  [SMALL_STATE(3785)] = 174067,
  [SMALL_STATE(3786)] = 174186,
  [SMALL_STATE(3787)] = 174305,
  [SMALL_STATE(3788)] = 174424,
  [SMALL_STATE(3789)] = 174543,
  [SMALL_STATE(3790)] = 174662,
  [SMALL_STATE(3791)] = 174781,
  [SMALL_STATE(3792)] = 174900,
  [SMALL_STATE(3793)] = 175019,
  [SMALL_STATE(3794)] = 175138,
  [SMALL_STATE(3795)] = 175257,
  [SMALL_STATE(3796)] = 175376,
  [SMALL_STATE(3797)] = 175495,
  [SMALL_STATE(3798)] = 175614,
  [SMALL_STATE(3799)] = 175733,
  [SMALL_STATE(3800)] = 175852,
  [SMALL_STATE(3801)] = 175971,
  [SMALL_STATE(3802)] = 176040,
  [SMALL_STATE(3803)] = 176159,
  [SMALL_STATE(3804)] = 176278,
  [SMALL_STATE(3805)] = 176397,
  [SMALL_STATE(3806)] = 176516,
  [SMALL_STATE(3807)] = 176635,
  [SMALL_STATE(3808)] = 176754,
  [SMALL_STATE(3809)] = 176873,
  [SMALL_STATE(3810)] = 176992,
  [SMALL_STATE(3811)] = 177111,
  [SMALL_STATE(3812)] = 177230,
  [SMALL_STATE(3813)] = 177349,
  [SMALL_STATE(3814)] = 177468,
  [SMALL_STATE(3815)] = 177587,
  [SMALL_STATE(3816)] = 177706,
  [SMALL_STATE(3817)] = 177825,
  [SMALL_STATE(3818)] = 177944,
  [SMALL_STATE(3819)] = 178063,
  [SMALL_STATE(3820)] = 178182,
  [SMALL_STATE(3821)] = 178301,
  [SMALL_STATE(3822)] = 178420,
  [SMALL_STATE(3823)] = 178539,
  [SMALL_STATE(3824)] = 178658,
  [SMALL_STATE(3825)] = 178777,
  [SMALL_STATE(3826)] = 178896,
  [SMALL_STATE(3827)] = 179015,
  [SMALL_STATE(3828)] = 179134,
  [SMALL_STATE(3829)] = 179253,
  [SMALL_STATE(3830)] = 179372,
  [SMALL_STATE(3831)] = 179491,
  [SMALL_STATE(3832)] = 179610,
  [SMALL_STATE(3833)] = 179729,
  [SMALL_STATE(3834)] = 179848,
  [SMALL_STATE(3835)] = 179967,
  [SMALL_STATE(3836)] = 180086,
  [SMALL_STATE(3837)] = 180205,
  [SMALL_STATE(3838)] = 180324,
  [SMALL_STATE(3839)] = 180443,
  [SMALL_STATE(3840)] = 180562,
  [SMALL_STATE(3841)] = 180681,
  [SMALL_STATE(3842)] = 180749,
  [SMALL_STATE(3843)] = 180817,
  [SMALL_STATE(3844)] = 180885,
  [SMALL_STATE(3845)] = 180953,
  [SMALL_STATE(3846)] = 181021,
  [SMALL_STATE(3847)] = 181136,
  [SMALL_STATE(3848)] = 181251,
  [SMALL_STATE(3849)] = 181366,
  [SMALL_STATE(3850)] = 181481,
  [SMALL_STATE(3851)] = 181596,
  [SMALL_STATE(3852)] = 181711,
  [SMALL_STATE(3853)] = 181826,
  [SMALL_STATE(3854)] = 181941,
  [SMALL_STATE(3855)] = 182056,
  [SMALL_STATE(3856)] = 182171,
  [SMALL_STATE(3857)] = 182286,
  [SMALL_STATE(3858)] = 182401,
  [SMALL_STATE(3859)] = 182516,
  [SMALL_STATE(3860)] = 182631,
  [SMALL_STATE(3861)] = 182746,
  [SMALL_STATE(3862)] = 182861,
  [SMALL_STATE(3863)] = 182976,
  [SMALL_STATE(3864)] = 183091,
  [SMALL_STATE(3865)] = 183206,
  [SMALL_STATE(3866)] = 183321,
  [SMALL_STATE(3867)] = 183436,
  [SMALL_STATE(3868)] = 183551,
  [SMALL_STATE(3869)] = 183666,
  [SMALL_STATE(3870)] = 183781,
  [SMALL_STATE(3871)] = 183896,
  [SMALL_STATE(3872)] = 184011,
  [SMALL_STATE(3873)] = 184126,
  [SMALL_STATE(3874)] = 184241,
  [SMALL_STATE(3875)] = 184356,
  [SMALL_STATE(3876)] = 184471,
  [SMALL_STATE(3877)] = 184586,
  [SMALL_STATE(3878)] = 184701,
  [SMALL_STATE(3879)] = 184816,
  [SMALL_STATE(3880)] = 184931,
  [SMALL_STATE(3881)] = 184994,
  [SMALL_STATE(3882)] = 185109,
  [SMALL_STATE(3883)] = 185224,
  [SMALL_STATE(3884)] = 185339,
  [SMALL_STATE(3885)] = 185454,
  [SMALL_STATE(3886)] = 185569,
  [SMALL_STATE(3887)] = 185684,
  [SMALL_STATE(3888)] = 185751,
  [SMALL_STATE(3889)] = 185814,
  [SMALL_STATE(3890)] = 185929,
  [SMALL_STATE(3891)] = 186044,
  [SMALL_STATE(3892)] = 186159,
  [SMALL_STATE(3893)] = 186274,
  [SMALL_STATE(3894)] = 186389,
  [SMALL_STATE(3895)] = 186504,
  [SMALL_STATE(3896)] = 186619,
  [SMALL_STATE(3897)] = 186734,
  [SMALL_STATE(3898)] = 186849,
  [SMALL_STATE(3899)] = 186964,
  [SMALL_STATE(3900)] = 187079,
  [SMALL_STATE(3901)] = 187194,
  [SMALL_STATE(3902)] = 187309,
  [SMALL_STATE(3903)] = 187424,
  [SMALL_STATE(3904)] = 187539,
  [SMALL_STATE(3905)] = 187654,
  [SMALL_STATE(3906)] = 187766,
  [SMALL_STATE(3907)] = 187878,
  [SMALL_STATE(3908)] = 187990,
  [SMALL_STATE(3909)] = 188102,
  [SMALL_STATE(3910)] = 188214,
  [SMALL_STATE(3911)] = 188326,
  [SMALL_STATE(3912)] = 188438,
  [SMALL_STATE(3913)] = 188550,
  [SMALL_STATE(3914)] = 188662,
  [SMALL_STATE(3915)] = 188774,
  [SMALL_STATE(3916)] = 188886,
  [SMALL_STATE(3917)] = 188998,
  [SMALL_STATE(3918)] = 189110,
  [SMALL_STATE(3919)] = 189222,
  [SMALL_STATE(3920)] = 189334,
  [SMALL_STATE(3921)] = 189446,
  [SMALL_STATE(3922)] = 189558,
  [SMALL_STATE(3923)] = 189670,
  [SMALL_STATE(3924)] = 189782,
  [SMALL_STATE(3925)] = 189892,
  [SMALL_STATE(3926)] = 190004,
  [SMALL_STATE(3927)] = 190116,
  [SMALL_STATE(3928)] = 190228,
  [SMALL_STATE(3929)] = 190340,
  [SMALL_STATE(3930)] = 190452,
  [SMALL_STATE(3931)] = 190564,
  [SMALL_STATE(3932)] = 190676,
  [SMALL_STATE(3933)] = 190788,
  [SMALL_STATE(3934)] = 190900,
  [SMALL_STATE(3935)] = 191012,
  [SMALL_STATE(3936)] = 191124,
  [SMALL_STATE(3937)] = 191234,
  [SMALL_STATE(3938)] = 191346,
  [SMALL_STATE(3939)] = 191458,
  [SMALL_STATE(3940)] = 191570,
  [SMALL_STATE(3941)] = 191682,
  [SMALL_STATE(3942)] = 191794,
  [SMALL_STATE(3943)] = 191906,
  [SMALL_STATE(3944)] = 192018,
  [SMALL_STATE(3945)] = 192130,
  [SMALL_STATE(3946)] = 192242,
  [SMALL_STATE(3947)] = 192354,
  [SMALL_STATE(3948)] = 192466,
  [SMALL_STATE(3949)] = 192578,
  [SMALL_STATE(3950)] = 192690,
  [SMALL_STATE(3951)] = 192802,
  [SMALL_STATE(3952)] = 192912,
  [SMALL_STATE(3953)] = 193024,
  [SMALL_STATE(3954)] = 193134,
  [SMALL_STATE(3955)] = 193196,
  [SMALL_STATE(3956)] = 193308,
  [SMALL_STATE(3957)] = 193420,
  [SMALL_STATE(3958)] = 193532,
  [SMALL_STATE(3959)] = 193644,
  [SMALL_STATE(3960)] = 193756,
  [SMALL_STATE(3961)] = 193868,
  [SMALL_STATE(3962)] = 193980,
  [SMALL_STATE(3963)] = 194092,
  [SMALL_STATE(3964)] = 194154,
  [SMALL_STATE(3965)] = 194266,
  [SMALL_STATE(3966)] = 194378,
  [SMALL_STATE(3967)] = 194490,
  [SMALL_STATE(3968)] = 194602,
  [SMALL_STATE(3969)] = 194714,
  [SMALL_STATE(3970)] = 194826,
  [SMALL_STATE(3971)] = 194938,
  [SMALL_STATE(3972)] = 195050,
  [SMALL_STATE(3973)] = 195162,
  [SMALL_STATE(3974)] = 195224,
  [SMALL_STATE(3975)] = 195336,
  [SMALL_STATE(3976)] = 195448,
  [SMALL_STATE(3977)] = 195560,
  [SMALL_STATE(3978)] = 195672,
  [SMALL_STATE(3979)] = 195784,
  [SMALL_STATE(3980)] = 195896,
  [SMALL_STATE(3981)] = 196008,
  [SMALL_STATE(3982)] = 196120,
  [SMALL_STATE(3983)] = 196232,
  [SMALL_STATE(3984)] = 196344,
  [SMALL_STATE(3985)] = 196456,
  [SMALL_STATE(3986)] = 196568,
  [SMALL_STATE(3987)] = 196680,
  [SMALL_STATE(3988)] = 196792,
  [SMALL_STATE(3989)] = 196904,
  [SMALL_STATE(3990)] = 197016,
  [SMALL_STATE(3991)] = 197128,
  [SMALL_STATE(3992)] = 197240,
  [SMALL_STATE(3993)] = 197352,
  [SMALL_STATE(3994)] = 197464,
  [SMALL_STATE(3995)] = 197576,
  [SMALL_STATE(3996)] = 197688,
  [SMALL_STATE(3997)] = 197800,
  [SMALL_STATE(3998)] = 197912,
  [SMALL_STATE(3999)] = 198024,
  [SMALL_STATE(4000)] = 198136,
  [SMALL_STATE(4001)] = 198248,
  [SMALL_STATE(4002)] = 198360,
  [SMALL_STATE(4003)] = 198472,
  [SMALL_STATE(4004)] = 198584,
  [SMALL_STATE(4005)] = 198696,
  [SMALL_STATE(4006)] = 198808,
  [SMALL_STATE(4007)] = 198920,
  [SMALL_STATE(4008)] = 198982,
  [SMALL_STATE(4009)] = 199094,
  [SMALL_STATE(4010)] = 199206,
  [SMALL_STATE(4011)] = 199318,
  [SMALL_STATE(4012)] = 199430,
  [SMALL_STATE(4013)] = 199542,
  [SMALL_STATE(4014)] = 199654,
  [SMALL_STATE(4015)] = 199766,
  [SMALL_STATE(4016)] = 199878,
  [SMALL_STATE(4017)] = 199990,
  [SMALL_STATE(4018)] = 200102,
  [SMALL_STATE(4019)] = 200214,
  [SMALL_STATE(4020)] = 200326,
  [SMALL_STATE(4021)] = 200438,
  [SMALL_STATE(4022)] = 200550,
  [SMALL_STATE(4023)] = 200662,
  [SMALL_STATE(4024)] = 200774,
  [SMALL_STATE(4025)] = 200886,
  [SMALL_STATE(4026)] = 200947,
  [SMALL_STATE(4027)] = 201056,
  [SMALL_STATE(4028)] = 201117,
  [SMALL_STATE(4029)] = 201178,
  [SMALL_STATE(4030)] = 201239,
  [SMALL_STATE(4031)] = 201300,
  [SMALL_STATE(4032)] = 201409,
  [SMALL_STATE(4033)] = 201470,
  [SMALL_STATE(4034)] = 201531,
  [SMALL_STATE(4035)] = 201592,
  [SMALL_STATE(4036)] = 201652,
  [SMALL_STATE(4037)] = 201712,
  [SMALL_STATE(4038)] = 201772,
  [SMALL_STATE(4039)] = 201878,
  [SMALL_STATE(4040)] = 201984,
  [SMALL_STATE(4041)] = 202044,
  [SMALL_STATE(4042)] = 202104,
  [SMALL_STATE(4043)] = 202164,
  [SMALL_STATE(4044)] = 202224,
  [SMALL_STATE(4045)] = 202330,
  [SMALL_STATE(4046)] = 202390,
  [SMALL_STATE(4047)] = 202450,
  [SMALL_STATE(4048)] = 202510,
  [SMALL_STATE(4049)] = 202616,
  [SMALL_STATE(4050)] = 202675,
  [SMALL_STATE(4051)] = 202734,
  [SMALL_STATE(4052)] = 202793,
  [SMALL_STATE(4053)] = 202852,
  [SMALL_STATE(4054)] = 202911,
  [SMALL_STATE(4055)] = 202970,
  [SMALL_STATE(4056)] = 203029,
  [SMALL_STATE(4057)] = 203086,
  [SMALL_STATE(4058)] = 203145,
  [SMALL_STATE(4059)] = 203204,
  [SMALL_STATE(4060)] = 203263,
  [SMALL_STATE(4061)] = 203320,
  [SMALL_STATE(4062)] = 203379,
  [SMALL_STATE(4063)] = 203438,
  [SMALL_STATE(4064)] = 203496,
  [SMALL_STATE(4065)] = 203554,
  [SMALL_STATE(4066)] = 203620,
  [SMALL_STATE(4067)] = 203678,
  [SMALL_STATE(4068)] = 203736,
  [SMALL_STATE(4069)] = 203836,
  [SMALL_STATE(4070)] = 203936,
  [SMALL_STATE(4071)] = 203994,
  [SMALL_STATE(4072)] = 204052,
  [SMALL_STATE(4073)] = 204110,
  [SMALL_STATE(4074)] = 204168,
  [SMALL_STATE(4075)] = 204226,
  [SMALL_STATE(4076)] = 204283,
  [SMALL_STATE(4077)] = 204340,
  [SMALL_STATE(4078)] = 204397,
  [SMALL_STATE(4079)] = 204454,
  [SMALL_STATE(4080)] = 204548,
  [SMALL_STATE(4081)] = 204642,
  [SMALL_STATE(4082)] = 204736,
  [SMALL_STATE(4083)] = 204830,
  [SMALL_STATE(4084)] = 204924,
  [SMALL_STATE(4085)] = 205018,
  [SMALL_STATE(4086)] = 205112,
  [SMALL_STATE(4087)] = 205206,
  [SMALL_STATE(4088)] = 205300,
  [SMALL_STATE(4089)] = 205394,
  [SMALL_STATE(4090)] = 205488,
  [SMALL_STATE(4091)] = 205582,
  [SMALL_STATE(4092)] = 205676,
  [SMALL_STATE(4093)] = 205770,
  [SMALL_STATE(4094)] = 205864,
  [SMALL_STATE(4095)] = 205958,
  [SMALL_STATE(4096)] = 206052,
  [SMALL_STATE(4097)] = 206146,
  [SMALL_STATE(4098)] = 206202,
  [SMALL_STATE(4099)] = 206296,
  [SMALL_STATE(4100)] = 206390,
  [SMALL_STATE(4101)] = 206484,
  [SMALL_STATE(4102)] = 206578,
  [SMALL_STATE(4103)] = 206672,
  [SMALL_STATE(4104)] = 206766,
  [SMALL_STATE(4105)] = 206860,
  [SMALL_STATE(4106)] = 206954,
  [SMALL_STATE(4107)] = 207048,
  [SMALL_STATE(4108)] = 207142,
  [SMALL_STATE(4109)] = 207236,
  [SMALL_STATE(4110)] = 207330,
  [SMALL_STATE(4111)] = 207424,
  [SMALL_STATE(4112)] = 207518,
  [SMALL_STATE(4113)] = 207612,
  [SMALL_STATE(4114)] = 207706,
  [SMALL_STATE(4115)] = 207800,
  [SMALL_STATE(4116)] = 207894,
  [SMALL_STATE(4117)] = 207988,
  [SMALL_STATE(4118)] = 208082,
  [SMALL_STATE(4119)] = 208176,
  [SMALL_STATE(4120)] = 208270,
  [SMALL_STATE(4121)] = 208364,
  [SMALL_STATE(4122)] = 208458,
  [SMALL_STATE(4123)] = 208552,
  [SMALL_STATE(4124)] = 208646,
  [SMALL_STATE(4125)] = 208740,
  [SMALL_STATE(4126)] = 208834,
  [SMALL_STATE(4127)] = 208928,
  [SMALL_STATE(4128)] = 209022,
  [SMALL_STATE(4129)] = 209116,
  [SMALL_STATE(4130)] = 209210,
  [SMALL_STATE(4131)] = 209304,
  [SMALL_STATE(4132)] = 209398,
  [SMALL_STATE(4133)] = 209492,
  [SMALL_STATE(4134)] = 209586,
  [SMALL_STATE(4135)] = 209680,
  [SMALL_STATE(4136)] = 209774,
  [SMALL_STATE(4137)] = 209868,
  [SMALL_STATE(4138)] = 209975,
  [SMALL_STATE(4139)] = 210032,
  [SMALL_STATE(4140)] = 210139,
  [SMALL_STATE(4141)] = 210246,
  [SMALL_STATE(4142)] = 210303,
  [SMALL_STATE(4143)] = 210394,
  [SMALL_STATE(4144)] = 210485,
  [SMALL_STATE(4145)] = 210576,
  [SMALL_STATE(4146)] = 210667,
  [SMALL_STATE(4147)] = 210774,
  [SMALL_STATE(4148)] = 210881,
  [SMALL_STATE(4149)] = 210988,
  [SMALL_STATE(4150)] = 211095,
  [SMALL_STATE(4151)] = 211202,
  [SMALL_STATE(4152)] = 211309,
  [SMALL_STATE(4153)] = 211400,
  [SMALL_STATE(4154)] = 211507,
  [SMALL_STATE(4155)] = 211564,
  [SMALL_STATE(4156)] = 211655,
  [SMALL_STATE(4157)] = 211712,
  [SMALL_STATE(4158)] = 211769,
  [SMALL_STATE(4159)] = 211824,
  [SMALL_STATE(4160)] = 211881,
  [SMALL_STATE(4161)] = 211972,
  [SMALL_STATE(4162)] = 212063,
  [SMALL_STATE(4163)] = 212118,
  [SMALL_STATE(4164)] = 212209,
  [SMALL_STATE(4165)] = 212316,
  [SMALL_STATE(4166)] = 212373,
  [SMALL_STATE(4167)] = 212480,
  [SMALL_STATE(4168)] = 212571,
  [SMALL_STATE(4169)] = 212678,
  [SMALL_STATE(4170)] = 212769,
  [SMALL_STATE(4171)] = 212860,
  [SMALL_STATE(4172)] = 212951,
  [SMALL_STATE(4173)] = 213042,
  [SMALL_STATE(4174)] = 213149,
  [SMALL_STATE(4175)] = 213240,
  [SMALL_STATE(4176)] = 213331,
  [SMALL_STATE(4177)] = 213388,
  [SMALL_STATE(4178)] = 213495,
  [SMALL_STATE(4179)] = 213552,
  [SMALL_STATE(4180)] = 213604,
  [SMALL_STATE(4181)] = 213656,
  [SMALL_STATE(4182)] = 213707,
  [SMALL_STATE(4183)] = 213799,
  [SMALL_STATE(4184)] = 213891,
  [SMALL_STATE(4185)] = 213983,
  [SMALL_STATE(4186)] = 214075,
  [SMALL_STATE(4187)] = 214123,
  [SMALL_STATE(4188)] = 214187,
  [SMALL_STATE(4189)] = 214251,
  [SMALL_STATE(4190)] = 214343,
  [SMALL_STATE(4191)] = 214434,
  [SMALL_STATE(4192)] = 214527,
  [SMALL_STATE(4193)] = 214620,
  [SMALL_STATE(4194)] = 214711,
  [SMALL_STATE(4195)] = 214804,
  [SMALL_STATE(4196)] = 214895,
  [SMALL_STATE(4197)] = 214960,
  [SMALL_STATE(4198)] = 215053,
  [SMALL_STATE(4199)] = 215146,
  [SMALL_STATE(4200)] = 215195,
  [SMALL_STATE(4201)] = 215258,
  [SMALL_STATE(4202)] = 215349,
  [SMALL_STATE(4203)] = 215440,
  [SMALL_STATE(4204)] = 215501,
  [SMALL_STATE(4205)] = 215592,
  [SMALL_STATE(4206)] = 215683,
  [SMALL_STATE(4207)] = 215774,
  [SMALL_STATE(4208)] = 215867,
  [SMALL_STATE(4209)] = 215958,
  [SMALL_STATE(4210)] = 216051,
  [SMALL_STATE(4211)] = 216112,
  [SMALL_STATE(4212)] = 216203,
  [SMALL_STATE(4213)] = 216289,
  [SMALL_STATE(4214)] = 216353,
  [SMALL_STATE(4215)] = 216399,
  [SMALL_STATE(4216)] = 216485,
  [SMALL_STATE(4217)] = 216571,
  [SMALL_STATE(4218)] = 216631,
  [SMALL_STATE(4219)] = 216717,
  [SMALL_STATE(4220)] = 216803,
  [SMALL_STATE(4221)] = 216889,
  [SMALL_STATE(4222)] = 216975,
  [SMALL_STATE(4223)] = 217061,
  [SMALL_STATE(4224)] = 217147,
  [SMALL_STATE(4225)] = 217233,
  [SMALL_STATE(4226)] = 217295,
  [SMALL_STATE(4227)] = 217341,
  [SMALL_STATE(4228)] = 217427,
  [SMALL_STATE(4229)] = 217513,
  [SMALL_STATE(4230)] = 217599,
  [SMALL_STATE(4231)] = 217685,
  [SMALL_STATE(4232)] = 217771,
  [SMALL_STATE(4233)] = 217857,
  [SMALL_STATE(4234)] = 217943,
  [SMALL_STATE(4235)] = 218029,
  [SMALL_STATE(4236)] = 218115,
  [SMALL_STATE(4237)] = 218201,
  [SMALL_STATE(4238)] = 218287,
  [SMALL_STATE(4239)] = 218373,
  [SMALL_STATE(4240)] = 218433,
  [SMALL_STATE(4241)] = 218519,
  [SMALL_STATE(4242)] = 218605,
  [SMALL_STATE(4243)] = 218651,
  [SMALL_STATE(4244)] = 218737,
  [SMALL_STATE(4245)] = 218823,
  [SMALL_STATE(4246)] = 218909,
  [SMALL_STATE(4247)] = 218995,
  [SMALL_STATE(4248)] = 219081,
  [SMALL_STATE(4249)] = 219167,
  [SMALL_STATE(4250)] = 219253,
  [SMALL_STATE(4251)] = 219313,
  [SMALL_STATE(4252)] = 219359,
  [SMALL_STATE(4253)] = 219445,
  [SMALL_STATE(4254)] = 219531,
  [SMALL_STATE(4255)] = 219589,
  [SMALL_STATE(4256)] = 219675,
  [SMALL_STATE(4257)] = 219761,
  [SMALL_STATE(4258)] = 219847,
  [SMALL_STATE(4259)] = 219893,
  [SMALL_STATE(4260)] = 219953,
  [SMALL_STATE(4261)] = 220039,
  [SMALL_STATE(4262)] = 220125,
  [SMALL_STATE(4263)] = 220189,
  [SMALL_STATE(4264)] = 220247,
  [SMALL_STATE(4265)] = 220307,
  [SMALL_STATE(4266)] = 220393,
  [SMALL_STATE(4267)] = 220479,
  [SMALL_STATE(4268)] = 220565,
  [SMALL_STATE(4269)] = 220651,
  [SMALL_STATE(4270)] = 220737,
  [SMALL_STATE(4271)] = 220823,
  [SMALL_STATE(4272)] = 220909,
  [SMALL_STATE(4273)] = 220995,
  [SMALL_STATE(4274)] = 221081,
  [SMALL_STATE(4275)] = 221167,
  [SMALL_STATE(4276)] = 221227,
  [SMALL_STATE(4277)] = 221313,
  [SMALL_STATE(4278)] = 221399,
  [SMALL_STATE(4279)] = 221485,
  [SMALL_STATE(4280)] = 221571,
  [SMALL_STATE(4281)] = 221639,
  [SMALL_STATE(4282)] = 221725,
  [SMALL_STATE(4283)] = 221811,
  [SMALL_STATE(4284)] = 221897,
  [SMALL_STATE(4285)] = 221983,
  [SMALL_STATE(4286)] = 222069,
  [SMALL_STATE(4287)] = 222131,
  [SMALL_STATE(4288)] = 222217,
  [SMALL_STATE(4289)] = 222263,
  [SMALL_STATE(4290)] = 222349,
  [SMALL_STATE(4291)] = 222435,
  [SMALL_STATE(4292)] = 222521,
  [SMALL_STATE(4293)] = 222567,
  [SMALL_STATE(4294)] = 222653,
  [SMALL_STATE(4295)] = 222713,
  [SMALL_STATE(4296)] = 222799,
  [SMALL_STATE(4297)] = 222885,
  [SMALL_STATE(4298)] = 222971,
  [SMALL_STATE(4299)] = 223017,
  [SMALL_STATE(4300)] = 223063,
  [SMALL_STATE(4301)] = 223149,
  [SMALL_STATE(4302)] = 223235,
  [SMALL_STATE(4303)] = 223321,
  [SMALL_STATE(4304)] = 223367,
  [SMALL_STATE(4305)] = 223413,
  [SMALL_STATE(4306)] = 223499,
  [SMALL_STATE(4307)] = 223585,
  [SMALL_STATE(4308)] = 223671,
  [SMALL_STATE(4309)] = 223757,
  [SMALL_STATE(4310)] = 223843,
  [SMALL_STATE(4311)] = 223929,
  [SMALL_STATE(4312)] = 223989,
  [SMALL_STATE(4313)] = 224075,
  [SMALL_STATE(4314)] = 224161,
  [SMALL_STATE(4315)] = 224247,
  [SMALL_STATE(4316)] = 224333,
  [SMALL_STATE(4317)] = 224419,
  [SMALL_STATE(4318)] = 224502,
  [SMALL_STATE(4319)] = 224549,
  [SMALL_STATE(4320)] = 224612,
  [SMALL_STATE(4321)] = 224695,
  [SMALL_STATE(4322)] = 224778,
  [SMALL_STATE(4323)] = 224829,
  [SMALL_STATE(4324)] = 224890,
  [SMALL_STATE(4325)] = 224943,
  [SMALL_STATE(4326)] = 225026,
  [SMALL_STATE(4327)] = 225087,
  [SMALL_STATE(4328)] = 225170,
  [SMALL_STATE(4329)] = 225231,
  [SMALL_STATE(4330)] = 225314,
  [SMALL_STATE(4331)] = 225373,
  [SMALL_STATE(4332)] = 225456,
  [SMALL_STATE(4333)] = 225503,
  [SMALL_STATE(4334)] = 225562,
  [SMALL_STATE(4335)] = 225621,
  [SMALL_STATE(4336)] = 225680,
  [SMALL_STATE(4337)] = 225763,
  [SMALL_STATE(4338)] = 225846,
  [SMALL_STATE(4339)] = 225929,
  [SMALL_STATE(4340)] = 226012,
  [SMALL_STATE(4341)] = 226069,
  [SMALL_STATE(4342)] = 226152,
  [SMALL_STATE(4343)] = 226235,
  [SMALL_STATE(4344)] = 226318,
  [SMALL_STATE(4345)] = 226365,
  [SMALL_STATE(4346)] = 226448,
  [SMALL_STATE(4347)] = 226531,
  [SMALL_STATE(4348)] = 226614,
  [SMALL_STATE(4349)] = 226697,
  [SMALL_STATE(4350)] = 226780,
  [SMALL_STATE(4351)] = 226839,
  [SMALL_STATE(4352)] = 226900,
  [SMALL_STATE(4353)] = 226983,
  [SMALL_STATE(4354)] = 227040,
  [SMALL_STATE(4355)] = 227099,
  [SMALL_STATE(4356)] = 227166,
  [SMALL_STATE(4357)] = 227233,
  [SMALL_STATE(4358)] = 227316,
  [SMALL_STATE(4359)] = 227399,
  [SMALL_STATE(4360)] = 227482,
  [SMALL_STATE(4361)] = 227527,
  [SMALL_STATE(4362)] = 227588,
  [SMALL_STATE(4363)] = 227647,
  [SMALL_STATE(4364)] = 227730,
  [SMALL_STATE(4365)] = 227801,
  [SMALL_STATE(4366)] = 227884,
  [SMALL_STATE(4367)] = 227967,
  [SMALL_STATE(4368)] = 228014,
  [SMALL_STATE(4369)] = 228073,
  [SMALL_STATE(4370)] = 228136,
  [SMALL_STATE(4371)] = 228219,
  [SMALL_STATE(4372)] = 228302,
  [SMALL_STATE(4373)] = 228365,
  [SMALL_STATE(4374)] = 228448,
  [SMALL_STATE(4375)] = 228531,
  [SMALL_STATE(4376)] = 228614,
  [SMALL_STATE(4377)] = 228671,
  [SMALL_STATE(4378)] = 228730,
  [SMALL_STATE(4379)] = 228779,
  [SMALL_STATE(4380)] = 228862,
  [SMALL_STATE(4381)] = 228909,
  [SMALL_STATE(4382)] = 228956,
  [SMALL_STATE(4383)] = 229039,
  [SMALL_STATE(4384)] = 229106,
  [SMALL_STATE(4385)] = 229189,
  [SMALL_STATE(4386)] = 229272,
  [SMALL_STATE(4387)] = 229333,
  [SMALL_STATE(4388)] = 229392,
  [SMALL_STATE(4389)] = 229451,
  [SMALL_STATE(4390)] = 229510,
  [SMALL_STATE(4391)] = 229569,
  [SMALL_STATE(4392)] = 229630,
  [SMALL_STATE(4393)] = 229677,
  [SMALL_STATE(4394)] = 229738,
  [SMALL_STATE(4395)] = 229797,
  [SMALL_STATE(4396)] = 229856,
  [SMALL_STATE(4397)] = 229905,
  [SMALL_STATE(4398)] = 229964,
  [SMALL_STATE(4399)] = 230021,
  [SMALL_STATE(4400)] = 230104,
  [SMALL_STATE(4401)] = 230162,
  [SMALL_STATE(4402)] = 230220,
  [SMALL_STATE(4403)] = 230278,
  [SMALL_STATE(4404)] = 230344,
  [SMALL_STATE(4405)] = 230392,
  [SMALL_STATE(4406)] = 230438,
  [SMALL_STATE(4407)] = 230484,
  [SMALL_STATE(4408)] = 230530,
  [SMALL_STATE(4409)] = 230588,
  [SMALL_STATE(4410)] = 230634,
  [SMALL_STATE(4411)] = 230682,
  [SMALL_STATE(4412)] = 230730,
  [SMALL_STATE(4413)] = 230788,
  [SMALL_STATE(4414)] = 230848,
  [SMALL_STATE(4415)] = 230898,
  [SMALL_STATE(4416)] = 230950,
  [SMALL_STATE(4417)] = 231002,
  [SMALL_STATE(4418)] = 231068,
  [SMALL_STATE(4419)] = 231118,
  [SMALL_STATE(4420)] = 231164,
  [SMALL_STATE(4421)] = 231234,
  [SMALL_STATE(4422)] = 231294,
  [SMALL_STATE(4423)] = 231356,
  [SMALL_STATE(4424)] = 231416,
  [SMALL_STATE(4425)] = 231462,
  [SMALL_STATE(4426)] = 231520,
  [SMALL_STATE(4427)] = 231570,
  [SMALL_STATE(4428)] = 231622,
  [SMALL_STATE(4429)] = 231672,
  [SMALL_STATE(4430)] = 231724,
  [SMALL_STATE(4431)] = 231770,
  [SMALL_STATE(4432)] = 231836,
  [SMALL_STATE(4433)] = 231882,
  [SMALL_STATE(4434)] = 231942,
  [SMALL_STATE(4435)] = 232012,
  [SMALL_STATE(4436)] = 232070,
  [SMALL_STATE(4437)] = 232128,
  [SMALL_STATE(4438)] = 232174,
  [SMALL_STATE(4439)] = 232236,
  [SMALL_STATE(4440)] = 232286,
  [SMALL_STATE(4441)] = 232332,
  [SMALL_STATE(4442)] = 232384,
  [SMALL_STATE(4443)] = 232444,
  [SMALL_STATE(4444)] = 232502,
  [SMALL_STATE(4445)] = 232548,
  [SMALL_STATE(4446)] = 232606,
  [SMALL_STATE(4447)] = 232656,
  [SMALL_STATE(4448)] = 232714,
  [SMALL_STATE(4449)] = 232770,
  [SMALL_STATE(4450)] = 232816,
  [SMALL_STATE(4451)] = 232862,
  [SMALL_STATE(4452)] = 232908,
  [SMALL_STATE(4453)] = 232968,
  [SMALL_STATE(4454)] = 233028,
  [SMALL_STATE(4455)] = 233086,
  [SMALL_STATE(4456)] = 233132,
  [SMALL_STATE(4457)] = 233192,
  [SMALL_STATE(4458)] = 233250,
  [SMALL_STATE(4459)] = 233308,
  [SMALL_STATE(4460)] = 233364,
  [SMALL_STATE(4461)] = 233424,
  [SMALL_STATE(4462)] = 233504,
  [SMALL_STATE(4463)] = 233550,
  [SMALL_STATE(4464)] = 233608,
  [SMALL_STATE(4465)] = 233654,
  [SMALL_STATE(4466)] = 233710,
  [SMALL_STATE(4467)] = 233770,
  [SMALL_STATE(4468)] = 233828,
  [SMALL_STATE(4469)] = 233894,
  [SMALL_STATE(4470)] = 233956,
  [SMALL_STATE(4471)] = 234002,
  [SMALL_STATE(4472)] = 234068,
  [SMALL_STATE(4473)] = 234114,
  [SMALL_STATE(4474)] = 234160,
  [SMALL_STATE(4475)] = 234206,
  [SMALL_STATE(4476)] = 234264,
  [SMALL_STATE(4477)] = 234322,
  [SMALL_STATE(4478)] = 234378,
  [SMALL_STATE(4479)] = 234436,
  [SMALL_STATE(4480)] = 234486,
  [SMALL_STATE(4481)] = 234532,
  [SMALL_STATE(4482)] = 234592,
  [SMALL_STATE(4483)] = 234638,
  [SMALL_STATE(4484)] = 234686,
  [SMALL_STATE(4485)] = 234738,
  [SMALL_STATE(4486)] = 234784,
  [SMALL_STATE(4487)] = 234842,
  [SMALL_STATE(4488)] = 234900,
  [SMALL_STATE(4489)] = 234958,
  [SMALL_STATE(4490)] = 235004,
  [SMALL_STATE(4491)] = 235052,
  [SMALL_STATE(4492)] = 235108,
  [SMALL_STATE(4493)] = 235166,
  [SMALL_STATE(4494)] = 235226,
  [SMALL_STATE(4495)] = 235272,
  [SMALL_STATE(4496)] = 235328,
  [SMALL_STATE(4497)] = 235376,
  [SMALL_STATE(4498)] = 235421,
  [SMALL_STATE(4499)] = 235466,
  [SMALL_STATE(4500)] = 235511,
  [SMALL_STATE(4501)] = 235556,
  [SMALL_STATE(4502)] = 235605,
  [SMALL_STATE(4503)] = 235650,
  [SMALL_STATE(4504)] = 235695,
  [SMALL_STATE(4505)] = 235752,
  [SMALL_STATE(4506)] = 235809,
  [SMALL_STATE(4507)] = 235874,
  [SMALL_STATE(4508)] = 235919,
  [SMALL_STATE(4509)] = 235964,
  [SMALL_STATE(4510)] = 236015,
  [SMALL_STATE(4511)] = 236060,
  [SMALL_STATE(4512)] = 236107,
  [SMALL_STATE(4513)] = 236152,
  [SMALL_STATE(4514)] = 236201,
  [SMALL_STATE(4515)] = 236246,
  [SMALL_STATE(4516)] = 236301,
  [SMALL_STATE(4517)] = 236346,
  [SMALL_STATE(4518)] = 236391,
  [SMALL_STATE(4519)] = 236436,
  [SMALL_STATE(4520)] = 236495,
  [SMALL_STATE(4521)] = 236540,
  [SMALL_STATE(4522)] = 236585,
  [SMALL_STATE(4523)] = 236630,
  [SMALL_STATE(4524)] = 236689,
  [SMALL_STATE(4525)] = 236746,
  [SMALL_STATE(4526)] = 236803,
  [SMALL_STATE(4527)] = 236848,
  [SMALL_STATE(4528)] = 236893,
  [SMALL_STATE(4529)] = 236942,
  [SMALL_STATE(4530)] = 236987,
  [SMALL_STATE(4531)] = 237032,
  [SMALL_STATE(4532)] = 237091,
  [SMALL_STATE(4533)] = 237138,
  [SMALL_STATE(4534)] = 237183,
  [SMALL_STATE(4535)] = 237228,
  [SMALL_STATE(4536)] = 237279,
  [SMALL_STATE(4537)] = 237338,
  [SMALL_STATE(4538)] = 237389,
  [SMALL_STATE(4539)] = 237436,
  [SMALL_STATE(4540)] = 237485,
  [SMALL_STATE(4541)] = 237550,
  [SMALL_STATE(4542)] = 237611,
  [SMALL_STATE(4543)] = 237658,
  [SMALL_STATE(4544)] = 237703,
  [SMALL_STATE(4545)] = 237762,
  [SMALL_STATE(4546)] = 237807,
  [SMALL_STATE(4547)] = 237852,
  [SMALL_STATE(4548)] = 237897,
  [SMALL_STATE(4549)] = 237962,
  [SMALL_STATE(4550)] = 238023,
  [SMALL_STATE(4551)] = 238080,
  [SMALL_STATE(4552)] = 238125,
  [SMALL_STATE(4553)] = 238182,
  [SMALL_STATE(4554)] = 238239,
  [SMALL_STATE(4555)] = 238284,
  [SMALL_STATE(4556)] = 238329,
  [SMALL_STATE(4557)] = 238386,
  [SMALL_STATE(4558)] = 238443,
  [SMALL_STATE(4559)] = 238498,
  [SMALL_STATE(4560)] = 238555,
  [SMALL_STATE(4561)] = 238604,
  [SMALL_STATE(4562)] = 238657,
  [SMALL_STATE(4563)] = 238704,
  [SMALL_STATE(4564)] = 238749,
  [SMALL_STATE(4565)] = 238794,
  [SMALL_STATE(4566)] = 238863,
  [SMALL_STATE(4567)] = 238908,
  [SMALL_STATE(4568)] = 238953,
  [SMALL_STATE(4569)] = 239010,
  [SMALL_STATE(4570)] = 239067,
  [SMALL_STATE(4571)] = 239136,
  [SMALL_STATE(4572)] = 239181,
  [SMALL_STATE(4573)] = 239226,
  [SMALL_STATE(4574)] = 239285,
  [SMALL_STATE(4575)] = 239342,
  [SMALL_STATE(4576)] = 239391,
  [SMALL_STATE(4577)] = 239442,
  [SMALL_STATE(4578)] = 239497,
  [SMALL_STATE(4579)] = 239554,
  [SMALL_STATE(4580)] = 239599,
  [SMALL_STATE(4581)] = 239644,
  [SMALL_STATE(4582)] = 239691,
  [SMALL_STATE(4583)] = 239736,
  [SMALL_STATE(4584)] = 239781,
  [SMALL_STATE(4585)] = 239826,
  [SMALL_STATE(4586)] = 239871,
  [SMALL_STATE(4587)] = 239916,
  [SMALL_STATE(4588)] = 239975,
  [SMALL_STATE(4589)] = 240034,
  [SMALL_STATE(4590)] = 240091,
  [SMALL_STATE(4591)] = 240148,
  [SMALL_STATE(4592)] = 240193,
  [SMALL_STATE(4593)] = 240238,
  [SMALL_STATE(4594)] = 240287,
  [SMALL_STATE(4595)] = 240332,
  [SMALL_STATE(4596)] = 240377,
  [SMALL_STATE(4597)] = 240422,
  [SMALL_STATE(4598)] = 240467,
  [SMALL_STATE(4599)] = 240514,
  [SMALL_STATE(4600)] = 240583,
  [SMALL_STATE(4601)] = 240640,
  [SMALL_STATE(4602)] = 240685,
  [SMALL_STATE(4603)] = 240742,
  [SMALL_STATE(4604)] = 240799,
  [SMALL_STATE(4605)] = 240858,
  [SMALL_STATE(4606)] = 240913,
  [SMALL_STATE(4607)] = 240978,
  [SMALL_STATE(4608)] = 241023,
  [SMALL_STATE(4609)] = 241088,
  [SMALL_STATE(4610)] = 241145,
  [SMALL_STATE(4611)] = 241190,
  [SMALL_STATE(4612)] = 241235,
  [SMALL_STATE(4613)] = 241300,
  [SMALL_STATE(4614)] = 241345,
  [SMALL_STATE(4615)] = 241406,
  [SMALL_STATE(4616)] = 241451,
  [SMALL_STATE(4617)] = 241496,
  [SMALL_STATE(4618)] = 241555,
  [SMALL_STATE(4619)] = 241604,
  [SMALL_STATE(4620)] = 241661,
  [SMALL_STATE(4621)] = 241716,
  [SMALL_STATE(4622)] = 241761,
  [SMALL_STATE(4623)] = 241812,
  [SMALL_STATE(4624)] = 241871,
  [SMALL_STATE(4625)] = 241920,
  [SMALL_STATE(4626)] = 241965,
  [SMALL_STATE(4627)] = 242010,
  [SMALL_STATE(4628)] = 242065,
  [SMALL_STATE(4629)] = 242110,
  [SMALL_STATE(4630)] = 242157,
  [SMALL_STATE(4631)] = 242214,
  [SMALL_STATE(4632)] = 242259,
  [SMALL_STATE(4633)] = 242304,
  [SMALL_STATE(4634)] = 242361,
  [SMALL_STATE(4635)] = 242412,
  [SMALL_STATE(4636)] = 242459,
  [SMALL_STATE(4637)] = 242524,
  [SMALL_STATE(4638)] = 242571,
  [SMALL_STATE(4639)] = 242616,
  [SMALL_STATE(4640)] = 242661,
  [SMALL_STATE(4641)] = 242712,
  [SMALL_STATE(4642)] = 242763,
  [SMALL_STATE(4643)] = 242808,
  [SMALL_STATE(4644)] = 242865,
  [SMALL_STATE(4645)] = 242924,
  [SMALL_STATE(4646)] = 242981,
  [SMALL_STATE(4647)] = 243036,
  [SMALL_STATE(4648)] = 243081,
  [SMALL_STATE(4649)] = 243136,
  [SMALL_STATE(4650)] = 243195,
  [SMALL_STATE(4651)] = 243254,
  [SMALL_STATE(4652)] = 243299,
  [SMALL_STATE(4653)] = 243354,
  [SMALL_STATE(4654)] = 243399,
  [SMALL_STATE(4655)] = 243444,
  [SMALL_STATE(4656)] = 243489,
  [SMALL_STATE(4657)] = 243534,
  [SMALL_STATE(4658)] = 243583,
  [SMALL_STATE(4659)] = 243642,
  [SMALL_STATE(4660)] = 243689,
  [SMALL_STATE(4661)] = 243740,
  [SMALL_STATE(4662)] = 243791,
  [SMALL_STATE(4663)] = 243848,
  [SMALL_STATE(4664)] = 243907,
  [SMALL_STATE(4665)] = 243956,
  [SMALL_STATE(4666)] = 244007,
  [SMALL_STATE(4667)] = 244058,
  [SMALL_STATE(4668)] = 244103,
  [SMALL_STATE(4669)] = 244148,
  [SMALL_STATE(4670)] = 244195,
  [SMALL_STATE(4671)] = 244240,
  [SMALL_STATE(4672)] = 244297,
  [SMALL_STATE(4673)] = 244346,
  [SMALL_STATE(4674)] = 244405,
  [SMALL_STATE(4675)] = 244452,
  [SMALL_STATE(4676)] = 244501,
  [SMALL_STATE(4677)] = 244550,
  [SMALL_STATE(4678)] = 244595,
  [SMALL_STATE(4679)] = 244656,
  [SMALL_STATE(4680)] = 244701,
  [SMALL_STATE(4681)] = 244746,
  [SMALL_STATE(4682)] = 244791,
  [SMALL_STATE(4683)] = 244837,
  [SMALL_STATE(4684)] = 244881,
  [SMALL_STATE(4685)] = 244929,
  [SMALL_STATE(4686)] = 244973,
  [SMALL_STATE(4687)] = 245027,
  [SMALL_STATE(4688)] = 245079,
  [SMALL_STATE(4689)] = 245135,
  [SMALL_STATE(4690)] = 245181,
  [SMALL_STATE(4691)] = 245229,
  [SMALL_STATE(4692)] = 245293,
  [SMALL_STATE(4693)] = 245337,
  [SMALL_STATE(4694)] = 245381,
  [SMALL_STATE(4695)] = 245435,
  [SMALL_STATE(4696)] = 245479,
  [SMALL_STATE(4697)] = 245523,
  [SMALL_STATE(4698)] = 245581,
  [SMALL_STATE(4699)] = 245625,
  [SMALL_STATE(4700)] = 245669,
  [SMALL_STATE(4701)] = 245727,
  [SMALL_STATE(4702)] = 245771,
  [SMALL_STATE(4703)] = 245815,
  [SMALL_STATE(4704)] = 245861,
  [SMALL_STATE(4705)] = 245919,
  [SMALL_STATE(4706)] = 245963,
  [SMALL_STATE(4707)] = 246007,
  [SMALL_STATE(4708)] = 246051,
  [SMALL_STATE(4709)] = 246095,
  [SMALL_STATE(4710)] = 246153,
  [SMALL_STATE(4711)] = 246209,
  [SMALL_STATE(4712)] = 246263,
  [SMALL_STATE(4713)] = 246307,
  [SMALL_STATE(4714)] = 246351,
  [SMALL_STATE(4715)] = 246395,
  [SMALL_STATE(4716)] = 246439,
  [SMALL_STATE(4717)] = 246483,
  [SMALL_STATE(4718)] = 246527,
  [SMALL_STATE(4719)] = 246575,
  [SMALL_STATE(4720)] = 246619,
  [SMALL_STATE(4721)] = 246663,
  [SMALL_STATE(4722)] = 246717,
  [SMALL_STATE(4723)] = 246785,
  [SMALL_STATE(4724)] = 246839,
  [SMALL_STATE(4725)] = 246885,
  [SMALL_STATE(4726)] = 246929,
  [SMALL_STATE(4727)] = 246973,
  [SMALL_STATE(4728)] = 247017,
  [SMALL_STATE(4729)] = 247061,
  [SMALL_STATE(4730)] = 247117,
  [SMALL_STATE(4731)] = 247161,
  [SMALL_STATE(4732)] = 247215,
  [SMALL_STATE(4733)] = 247273,
  [SMALL_STATE(4734)] = 247317,
  [SMALL_STATE(4735)] = 247371,
  [SMALL_STATE(4736)] = 247435,
  [SMALL_STATE(4737)] = 247503,
  [SMALL_STATE(4738)] = 247547,
  [SMALL_STATE(4739)] = 247601,
  [SMALL_STATE(4740)] = 247645,
  [SMALL_STATE(4741)] = 247689,
  [SMALL_STATE(4742)] = 247747,
  [SMALL_STATE(4743)] = 247803,
  [SMALL_STATE(4744)] = 247849,
  [SMALL_STATE(4745)] = 247905,
  [SMALL_STATE(4746)] = 247949,
  [SMALL_STATE(4747)] = 247995,
  [SMALL_STATE(4748)] = 248053,
  [SMALL_STATE(4749)] = 248109,
  [SMALL_STATE(4750)] = 248169,
  [SMALL_STATE(4751)] = 248213,
  [SMALL_STATE(4752)] = 248269,
  [SMALL_STATE(4753)] = 248323,
  [SMALL_STATE(4754)] = 248367,
  [SMALL_STATE(4755)] = 248411,
  [SMALL_STATE(4756)] = 248455,
  [SMALL_STATE(4757)] = 248499,
  [SMALL_STATE(4758)] = 248555,
  [SMALL_STATE(4759)] = 248615,
  [SMALL_STATE(4760)] = 248659,
  [SMALL_STATE(4761)] = 248703,
  [SMALL_STATE(4762)] = 248753,
  [SMALL_STATE(4763)] = 248801,
  [SMALL_STATE(4764)] = 248859,
  [SMALL_STATE(4765)] = 248903,
  [SMALL_STATE(4766)] = 248947,
  [SMALL_STATE(4767)] = 248993,
  [SMALL_STATE(4768)] = 249037,
  [SMALL_STATE(4769)] = 249085,
  [SMALL_STATE(4770)] = 249141,
  [SMALL_STATE(4771)] = 249197,
  [SMALL_STATE(4772)] = 249253,
  [SMALL_STATE(4773)] = 249297,
  [SMALL_STATE(4774)] = 249345,
  [SMALL_STATE(4775)] = 249399,
  [SMALL_STATE(4776)] = 249443,
  [SMALL_STATE(4777)] = 249487,
  [SMALL_STATE(4778)] = 249531,
  [SMALL_STATE(4779)] = 249589,
  [SMALL_STATE(4780)] = 249635,
  [SMALL_STATE(4781)] = 249679,
  [SMALL_STATE(4782)] = 249723,
  [SMALL_STATE(4783)] = 249773,
  [SMALL_STATE(4784)] = 249821,
  [SMALL_STATE(4785)] = 249885,
  [SMALL_STATE(4786)] = 249935,
  [SMALL_STATE(4787)] = 249979,
  [SMALL_STATE(4788)] = 250023,
  [SMALL_STATE(4789)] = 250087,
  [SMALL_STATE(4790)] = 250155,
  [SMALL_STATE(4791)] = 250205,
  [SMALL_STATE(4792)] = 250249,
  [SMALL_STATE(4793)] = 250293,
  [SMALL_STATE(4794)] = 250349,
  [SMALL_STATE(4795)] = 250403,
  [SMALL_STATE(4796)] = 250467,
  [SMALL_STATE(4797)] = 250515,
  [SMALL_STATE(4798)] = 250573,
  [SMALL_STATE(4799)] = 250629,
  [SMALL_STATE(4800)] = 250685,
  [SMALL_STATE(4801)] = 250733,
  [SMALL_STATE(4802)] = 250777,
  [SMALL_STATE(4803)] = 250835,
  [SMALL_STATE(4804)] = 250893,
  [SMALL_STATE(4805)] = 250937,
  [SMALL_STATE(4806)] = 250993,
  [SMALL_STATE(4807)] = 251037,
  [SMALL_STATE(4808)] = 251085,
  [SMALL_STATE(4809)] = 251129,
  [SMALL_STATE(4810)] = 251173,
  [SMALL_STATE(4811)] = 251237,
  [SMALL_STATE(4812)] = 251281,
  [SMALL_STATE(4813)] = 251341,
  [SMALL_STATE(4814)] = 251385,
  [SMALL_STATE(4815)] = 251429,
  [SMALL_STATE(4816)] = 251475,
  [SMALL_STATE(4817)] = 251519,
  [SMALL_STATE(4818)] = 251563,
  [SMALL_STATE(4819)] = 251607,
  [SMALL_STATE(4820)] = 251671,
  [SMALL_STATE(4821)] = 251715,
  [SMALL_STATE(4822)] = 251759,
  [SMALL_STATE(4823)] = 251803,
  [SMALL_STATE(4824)] = 251847,
  [SMALL_STATE(4825)] = 251891,
  [SMALL_STATE(4826)] = 251941,
  [SMALL_STATE(4827)] = 251985,
  [SMALL_STATE(4828)] = 252029,
  [SMALL_STATE(4829)] = 252073,
  [SMALL_STATE(4830)] = 252117,
  [SMALL_STATE(4831)] = 252161,
  [SMALL_STATE(4832)] = 252209,
  [SMALL_STATE(4833)] = 252253,
  [SMALL_STATE(4834)] = 252297,
  [SMALL_STATE(4835)] = 252343,
  [SMALL_STATE(4836)] = 252387,
  [SMALL_STATE(4837)] = 252443,
  [SMALL_STATE(4838)] = 252487,
  [SMALL_STATE(4839)] = 252543,
  [SMALL_STATE(4840)] = 252597,
  [SMALL_STATE(4841)] = 252641,
  [SMALL_STATE(4842)] = 252685,
  [SMALL_STATE(4843)] = 252729,
  [SMALL_STATE(4844)] = 252773,
  [SMALL_STATE(4845)] = 252817,
  [SMALL_STATE(4846)] = 252861,
  [SMALL_STATE(4847)] = 252911,
  [SMALL_STATE(4848)] = 252967,
  [SMALL_STATE(4849)] = 253013,
  [SMALL_STATE(4850)] = 253061,
  [SMALL_STATE(4851)] = 253111,
  [SMALL_STATE(4852)] = 253155,
  [SMALL_STATE(4853)] = 253199,
  [SMALL_STATE(4854)] = 253245,
  [SMALL_STATE(4855)] = 253293,
  [SMALL_STATE(4856)] = 253337,
  [SMALL_STATE(4857)] = 253385,
  [SMALL_STATE(4858)] = 253429,
  [SMALL_STATE(4859)] = 253473,
  [SMALL_STATE(4860)] = 253517,
  [SMALL_STATE(4861)] = 253565,
  [SMALL_STATE(4862)] = 253619,
  [SMALL_STATE(4863)] = 253675,
  [SMALL_STATE(4864)] = 253725,
  [SMALL_STATE(4865)] = 253769,
  [SMALL_STATE(4866)] = 253815,
  [SMALL_STATE(4867)] = 253873,
  [SMALL_STATE(4868)] = 253921,
  [SMALL_STATE(4869)] = 253965,
  [SMALL_STATE(4870)] = 254015,
  [SMALL_STATE(4871)] = 254073,
  [SMALL_STATE(4872)] = 254117,
  [SMALL_STATE(4873)] = 254161,
  [SMALL_STATE(4874)] = 254205,
  [SMALL_STATE(4875)] = 254249,
  [SMALL_STATE(4876)] = 254295,
  [SMALL_STATE(4877)] = 254339,
  [SMALL_STATE(4878)] = 254387,
  [SMALL_STATE(4879)] = 254431,
  [SMALL_STATE(4880)] = 254485,
  [SMALL_STATE(4881)] = 254529,
  [SMALL_STATE(4882)] = 254575,
  [SMALL_STATE(4883)] = 254619,
  [SMALL_STATE(4884)] = 254669,
  [SMALL_STATE(4885)] = 254713,
  [SMALL_STATE(4886)] = 254757,
  [SMALL_STATE(4887)] = 254801,
  [SMALL_STATE(4888)] = 254845,
  [SMALL_STATE(4889)] = 254889,
  [SMALL_STATE(4890)] = 254933,
  [SMALL_STATE(4891)] = 254977,
  [SMALL_STATE(4892)] = 255021,
  [SMALL_STATE(4893)] = 255065,
  [SMALL_STATE(4894)] = 255115,
  [SMALL_STATE(4895)] = 255159,
  [SMALL_STATE(4896)] = 255211,
  [SMALL_STATE(4897)] = 255255,
  [SMALL_STATE(4898)] = 255299,
  [SMALL_STATE(4899)] = 255343,
  [SMALL_STATE(4900)] = 255393,
  [SMALL_STATE(4901)] = 255461,
  [SMALL_STATE(4902)] = 255505,
  [SMALL_STATE(4903)] = 255555,
  [SMALL_STATE(4904)] = 255599,
  [SMALL_STATE(4905)] = 255647,
  [SMALL_STATE(4906)] = 255691,
  [SMALL_STATE(4907)] = 255735,
  [SMALL_STATE(4908)] = 255779,
  [SMALL_STATE(4909)] = 255823,
  [SMALL_STATE(4910)] = 255867,
  [SMALL_STATE(4911)] = 255923,
  [SMALL_STATE(4912)] = 255967,
  [SMALL_STATE(4913)] = 256015,
  [SMALL_STATE(4914)] = 256059,
  [SMALL_STATE(4915)] = 256117,
  [SMALL_STATE(4916)] = 256161,
  [SMALL_STATE(4917)] = 256211,
  [SMALL_STATE(4918)] = 256255,
  [SMALL_STATE(4919)] = 256299,
  [SMALL_STATE(4920)] = 256343,
  [SMALL_STATE(4921)] = 256401,
  [SMALL_STATE(4922)] = 256445,
  [SMALL_STATE(4923)] = 256489,
  [SMALL_STATE(4924)] = 256545,
  [SMALL_STATE(4925)] = 256595,
  [SMALL_STATE(4926)] = 256641,
  [SMALL_STATE(4927)] = 256687,
  [SMALL_STATE(4928)] = 256731,
  [SMALL_STATE(4929)] = 256785,
  [SMALL_STATE(4930)] = 256829,
  [SMALL_STATE(4931)] = 256877,
  [SMALL_STATE(4932)] = 256927,
  [SMALL_STATE(4933)] = 256973,
  [SMALL_STATE(4934)] = 257017,
  [SMALL_STATE(4935)] = 257063,
  [SMALL_STATE(4936)] = 257119,
  [SMALL_STATE(4937)] = 257175,
  [SMALL_STATE(4938)] = 257225,
  [SMALL_STATE(4939)] = 257281,
  [SMALL_STATE(4940)] = 257339,
  [SMALL_STATE(4941)] = 257395,
  [SMALL_STATE(4942)] = 257443,
  [SMALL_STATE(4943)] = 257499,
  [SMALL_STATE(4944)] = 257543,
  [SMALL_STATE(4945)] = 257589,
  [SMALL_STATE(4946)] = 257645,
  [SMALL_STATE(4947)] = 257691,
  [SMALL_STATE(4948)] = 257741,
  [SMALL_STATE(4949)] = 257787,
  [SMALL_STATE(4950)] = 257847,
  [SMALL_STATE(4951)] = 257903,
  [SMALL_STATE(4952)] = 257957,
  [SMALL_STATE(4953)] = 258013,
  [SMALL_STATE(4954)] = 258069,
  [SMALL_STATE(4955)] = 258113,
  [SMALL_STATE(4956)] = 258169,
  [SMALL_STATE(4957)] = 258213,
  [SMALL_STATE(4958)] = 258259,
  [SMALL_STATE(4959)] = 258315,
  [SMALL_STATE(4960)] = 258359,
  [SMALL_STATE(4961)] = 258405,
  [SMALL_STATE(4962)] = 258449,
  [SMALL_STATE(4963)] = 258493,
  [SMALL_STATE(4964)] = 258537,
  [SMALL_STATE(4965)] = 258593,
  [SMALL_STATE(4966)] = 258637,
  [SMALL_STATE(4967)] = 258681,
  [SMALL_STATE(4968)] = 258725,
  [SMALL_STATE(4969)] = 258768,
  [SMALL_STATE(4970)] = 258817,
  [SMALL_STATE(4971)] = 258860,
  [SMALL_STATE(4972)] = 258905,
  [SMALL_STATE(4973)] = 258952,
  [SMALL_STATE(4974)] = 258995,
  [SMALL_STATE(4975)] = 259038,
  [SMALL_STATE(4976)] = 259083,
  [SMALL_STATE(4977)] = 259126,
  [SMALL_STATE(4978)] = 259175,
  [SMALL_STATE(4979)] = 259218,
  [SMALL_STATE(4980)] = 259273,
  [SMALL_STATE(4981)] = 259316,
  [SMALL_STATE(4982)] = 259359,
  [SMALL_STATE(4983)] = 259402,
  [SMALL_STATE(4984)] = 259445,
  [SMALL_STATE(4985)] = 259488,
  [SMALL_STATE(4986)] = 259531,
  [SMALL_STATE(4987)] = 259574,
  [SMALL_STATE(4988)] = 259619,
  [SMALL_STATE(4989)] = 259662,
  [SMALL_STATE(4990)] = 259711,
  [SMALL_STATE(4991)] = 259766,
  [SMALL_STATE(4992)] = 259809,
  [SMALL_STATE(4993)] = 259864,
  [SMALL_STATE(4994)] = 259911,
  [SMALL_STATE(4995)] = 259954,
  [SMALL_STATE(4996)] = 259997,
  [SMALL_STATE(4997)] = 260042,
  [SMALL_STATE(4998)] = 260089,
  [SMALL_STATE(4999)] = 260146,
  [SMALL_STATE(5000)] = 260199,
  [SMALL_STATE(5001)] = 260242,
  [SMALL_STATE(5002)] = 260285,
  [SMALL_STATE(5003)] = 260330,
  [SMALL_STATE(5004)] = 260373,
  [SMALL_STATE(5005)] = 260416,
  [SMALL_STATE(5006)] = 260459,
  [SMALL_STATE(5007)] = 260504,
  [SMALL_STATE(5008)] = 260547,
  [SMALL_STATE(5009)] = 260590,
  [SMALL_STATE(5010)] = 260633,
  [SMALL_STATE(5011)] = 260676,
  [SMALL_STATE(5012)] = 260719,
  [SMALL_STATE(5013)] = 260776,
  [SMALL_STATE(5014)] = 260823,
  [SMALL_STATE(5015)] = 260866,
  [SMALL_STATE(5016)] = 260909,
  [SMALL_STATE(5017)] = 260958,
  [SMALL_STATE(5018)] = 261005,
  [SMALL_STATE(5019)] = 261048,
  [SMALL_STATE(5020)] = 261103,
  [SMALL_STATE(5021)] = 261158,
  [SMALL_STATE(5022)] = 261201,
  [SMALL_STATE(5023)] = 261256,
  [SMALL_STATE(5024)] = 261299,
  [SMALL_STATE(5025)] = 261352,
  [SMALL_STATE(5026)] = 261395,
  [SMALL_STATE(5027)] = 261450,
  [SMALL_STATE(5028)] = 261517,
  [SMALL_STATE(5029)] = 261560,
  [SMALL_STATE(5030)] = 261607,
  [SMALL_STATE(5031)] = 261650,
  [SMALL_STATE(5032)] = 261703,
  [SMALL_STATE(5033)] = 261746,
  [SMALL_STATE(5034)] = 261789,
  [SMALL_STATE(5035)] = 261836,
  [SMALL_STATE(5036)] = 261879,
  [SMALL_STATE(5037)] = 261922,
  [SMALL_STATE(5038)] = 261971,
  [SMALL_STATE(5039)] = 262026,
  [SMALL_STATE(5040)] = 262077,
  [SMALL_STATE(5041)] = 262120,
  [SMALL_STATE(5042)] = 262167,
  [SMALL_STATE(5043)] = 262210,
  [SMALL_STATE(5044)] = 262253,
  [SMALL_STATE(5045)] = 262296,
  [SMALL_STATE(5046)] = 262345,
  [SMALL_STATE(5047)] = 262390,
  [SMALL_STATE(5048)] = 262443,
  [SMALL_STATE(5049)] = 262486,
  [SMALL_STATE(5050)] = 262529,
  [SMALL_STATE(5051)] = 262572,
  [SMALL_STATE(5052)] = 262639,
  [SMALL_STATE(5053)] = 262696,
  [SMALL_STATE(5054)] = 262739,
  [SMALL_STATE(5055)] = 262782,
  [SMALL_STATE(5056)] = 262825,
  [SMALL_STATE(5057)] = 262868,
  [SMALL_STATE(5058)] = 262923,
  [SMALL_STATE(5059)] = 262966,
  [SMALL_STATE(5060)] = 263021,
  [SMALL_STATE(5061)] = 263064,
  [SMALL_STATE(5062)] = 263107,
  [SMALL_STATE(5063)] = 263164,
  [SMALL_STATE(5064)] = 263207,
  [SMALL_STATE(5065)] = 263252,
  [SMALL_STATE(5066)] = 263295,
  [SMALL_STATE(5067)] = 263338,
  [SMALL_STATE(5068)] = 263391,
  [SMALL_STATE(5069)] = 263434,
  [SMALL_STATE(5070)] = 263477,
  [SMALL_STATE(5071)] = 263520,
  [SMALL_STATE(5072)] = 263563,
  [SMALL_STATE(5073)] = 263626,
  [SMALL_STATE(5074)] = 263669,
  [SMALL_STATE(5075)] = 263712,
  [SMALL_STATE(5076)] = 263761,
  [SMALL_STATE(5077)] = 263808,
  [SMALL_STATE(5078)] = 263853,
  [SMALL_STATE(5079)] = 263906,
  [SMALL_STATE(5080)] = 263949,
  [SMALL_STATE(5081)] = 263992,
  [SMALL_STATE(5082)] = 264049,
  [SMALL_STATE(5083)] = 264092,
  [SMALL_STATE(5084)] = 264147,
  [SMALL_STATE(5085)] = 264190,
  [SMALL_STATE(5086)] = 264247,
  [SMALL_STATE(5087)] = 264292,
  [SMALL_STATE(5088)] = 264347,
  [SMALL_STATE(5089)] = 264390,
  [SMALL_STATE(5090)] = 264435,
  [SMALL_STATE(5091)] = 264478,
  [SMALL_STATE(5092)] = 264521,
  [SMALL_STATE(5093)] = 264564,
  [SMALL_STATE(5094)] = 264607,
  [SMALL_STATE(5095)] = 264650,
  [SMALL_STATE(5096)] = 264699,
  [SMALL_STATE(5097)] = 264754,
  [SMALL_STATE(5098)] = 264797,
  [SMALL_STATE(5099)] = 264840,
  [SMALL_STATE(5100)] = 264883,
  [SMALL_STATE(5101)] = 264926,
  [SMALL_STATE(5102)] = 264969,
  [SMALL_STATE(5103)] = 265012,
  [SMALL_STATE(5104)] = 265067,
  [SMALL_STATE(5105)] = 265122,
  [SMALL_STATE(5106)] = 265185,
  [SMALL_STATE(5107)] = 265228,
  [SMALL_STATE(5108)] = 265271,
  [SMALL_STATE(5109)] = 265334,
  [SMALL_STATE(5110)] = 265377,
  [SMALL_STATE(5111)] = 265420,
  [SMALL_STATE(5112)] = 265465,
  [SMALL_STATE(5113)] = 265522,
  [SMALL_STATE(5114)] = 265565,
  [SMALL_STATE(5115)] = 265608,
  [SMALL_STATE(5116)] = 265657,
  [SMALL_STATE(5117)] = 265700,
  [SMALL_STATE(5118)] = 265743,
  [SMALL_STATE(5119)] = 265786,
  [SMALL_STATE(5120)] = 265829,
  [SMALL_STATE(5121)] = 265872,
  [SMALL_STATE(5122)] = 265915,
  [SMALL_STATE(5123)] = 265964,
  [SMALL_STATE(5124)] = 266007,
  [SMALL_STATE(5125)] = 266050,
  [SMALL_STATE(5126)] = 266093,
  [SMALL_STATE(5127)] = 266136,
  [SMALL_STATE(5128)] = 266181,
  [SMALL_STATE(5129)] = 266228,
  [SMALL_STATE(5130)] = 266271,
  [SMALL_STATE(5131)] = 266318,
  [SMALL_STATE(5132)] = 266361,
  [SMALL_STATE(5133)] = 266404,
  [SMALL_STATE(5134)] = 266447,
  [SMALL_STATE(5135)] = 266490,
  [SMALL_STATE(5136)] = 266539,
  [SMALL_STATE(5137)] = 266596,
  [SMALL_STATE(5138)] = 266653,
  [SMALL_STATE(5139)] = 266696,
  [SMALL_STATE(5140)] = 266741,
  [SMALL_STATE(5141)] = 266784,
  [SMALL_STATE(5142)] = 266827,
  [SMALL_STATE(5143)] = 266884,
  [SMALL_STATE(5144)] = 266939,
  [SMALL_STATE(5145)] = 266986,
  [SMALL_STATE(5146)] = 267031,
  [SMALL_STATE(5147)] = 267074,
  [SMALL_STATE(5148)] = 267119,
  [SMALL_STATE(5149)] = 267162,
  [SMALL_STATE(5150)] = 267211,
  [SMALL_STATE(5151)] = 267258,
  [SMALL_STATE(5152)] = 267301,
  [SMALL_STATE(5153)] = 267344,
  [SMALL_STATE(5154)] = 267397,
  [SMALL_STATE(5155)] = 267440,
  [SMALL_STATE(5156)] = 267495,
  [SMALL_STATE(5157)] = 267538,
  [SMALL_STATE(5158)] = 267601,
  [SMALL_STATE(5159)] = 267652,
  [SMALL_STATE(5160)] = 267707,
  [SMALL_STATE(5161)] = 267770,
  [SMALL_STATE(5162)] = 267813,
  [SMALL_STATE(5163)] = 267868,
  [SMALL_STATE(5164)] = 267911,
  [SMALL_STATE(5165)] = 267954,
  [SMALL_STATE(5166)] = 268011,
  [SMALL_STATE(5167)] = 268054,
  [SMALL_STATE(5168)] = 268097,
  [SMALL_STATE(5169)] = 268154,
  [SMALL_STATE(5170)] = 268197,
  [SMALL_STATE(5171)] = 268240,
  [SMALL_STATE(5172)] = 268287,
  [SMALL_STATE(5173)] = 268330,
  [SMALL_STATE(5174)] = 268373,
  [SMALL_STATE(5175)] = 268416,
  [SMALL_STATE(5176)] = 268459,
  [SMALL_STATE(5177)] = 268526,
  [SMALL_STATE(5178)] = 268569,
  [SMALL_STATE(5179)] = 268616,
  [SMALL_STATE(5180)] = 268659,
  [SMALL_STATE(5181)] = 268712,
  [SMALL_STATE(5182)] = 268767,
  [SMALL_STATE(5183)] = 268810,
  [SMALL_STATE(5184)] = 268853,
  [SMALL_STATE(5185)] = 268896,
  [SMALL_STATE(5186)] = 268945,
  [SMALL_STATE(5187)] = 269000,
  [SMALL_STATE(5188)] = 269043,
  [SMALL_STATE(5189)] = 269100,
  [SMALL_STATE(5190)] = 269145,
  [SMALL_STATE(5191)] = 269198,
  [SMALL_STATE(5192)] = 269243,
  [SMALL_STATE(5193)] = 269290,
  [SMALL_STATE(5194)] = 269333,
  [SMALL_STATE(5195)] = 269376,
  [SMALL_STATE(5196)] = 269419,
  [SMALL_STATE(5197)] = 269464,
  [SMALL_STATE(5198)] = 269507,
  [SMALL_STATE(5199)] = 269550,
  [SMALL_STATE(5200)] = 269593,
  [SMALL_STATE(5201)] = 269638,
  [SMALL_STATE(5202)] = 269683,
  [SMALL_STATE(5203)] = 269726,
  [SMALL_STATE(5204)] = 269771,
  [SMALL_STATE(5205)] = 269814,
  [SMALL_STATE(5206)] = 269859,
  [SMALL_STATE(5207)] = 269902,
  [SMALL_STATE(5208)] = 269945,
  [SMALL_STATE(5209)] = 269988,
  [SMALL_STATE(5210)] = 270051,
  [SMALL_STATE(5211)] = 270098,
  [SMALL_STATE(5212)] = 270141,
  [SMALL_STATE(5213)] = 270184,
  [SMALL_STATE(5214)] = 270227,
  [SMALL_STATE(5215)] = 270270,
  [SMALL_STATE(5216)] = 270313,
  [SMALL_STATE(5217)] = 270356,
  [SMALL_STATE(5218)] = 270399,
  [SMALL_STATE(5219)] = 270442,
  [SMALL_STATE(5220)] = 270485,
  [SMALL_STATE(5221)] = 270528,
  [SMALL_STATE(5222)] = 270571,
  [SMALL_STATE(5223)] = 270614,
  [SMALL_STATE(5224)] = 270669,
  [SMALL_STATE(5225)] = 270716,
  [SMALL_STATE(5226)] = 270765,
  [SMALL_STATE(5227)] = 270814,
  [SMALL_STATE(5228)] = 270871,
  [SMALL_STATE(5229)] = 270914,
  [SMALL_STATE(5230)] = 270957,
  [SMALL_STATE(5231)] = 271000,
  [SMALL_STATE(5232)] = 271045,
  [SMALL_STATE(5233)] = 271088,
  [SMALL_STATE(5234)] = 271131,
  [SMALL_STATE(5235)] = 271174,
  [SMALL_STATE(5236)] = 271217,
  [SMALL_STATE(5237)] = 271262,
  [SMALL_STATE(5238)] = 271305,
  [SMALL_STATE(5239)] = 271348,
  [SMALL_STATE(5240)] = 271391,
  [SMALL_STATE(5241)] = 271434,
  [SMALL_STATE(5242)] = 271477,
  [SMALL_STATE(5243)] = 271520,
  [SMALL_STATE(5244)] = 271573,
  [SMALL_STATE(5245)] = 271628,
  [SMALL_STATE(5246)] = 271671,
  [SMALL_STATE(5247)] = 271714,
  [SMALL_STATE(5248)] = 271781,
  [SMALL_STATE(5249)] = 271824,
  [SMALL_STATE(5250)] = 271879,
  [SMALL_STATE(5251)] = 271942,
  [SMALL_STATE(5252)] = 271985,
  [SMALL_STATE(5253)] = 272028,
  [SMALL_STATE(5254)] = 272071,
  [SMALL_STATE(5255)] = 272114,
  [SMALL_STATE(5256)] = 272157,
  [SMALL_STATE(5257)] = 272200,
  [SMALL_STATE(5258)] = 272243,
  [SMALL_STATE(5259)] = 272290,
  [SMALL_STATE(5260)] = 272335,
  [SMALL_STATE(5261)] = 272378,
  [SMALL_STATE(5262)] = 272445,
  [SMALL_STATE(5263)] = 272500,
  [SMALL_STATE(5264)] = 272553,
  [SMALL_STATE(5265)] = 272598,
  [SMALL_STATE(5266)] = 272651,
  [SMALL_STATE(5267)] = 272694,
  [SMALL_STATE(5268)] = 272737,
  [SMALL_STATE(5269)] = 272780,
  [SMALL_STATE(5270)] = 272823,
  [SMALL_STATE(5271)] = 272866,
  [SMALL_STATE(5272)] = 272919,
  [SMALL_STATE(5273)] = 272962,
  [SMALL_STATE(5274)] = 273019,
  [SMALL_STATE(5275)] = 273086,
  [SMALL_STATE(5276)] = 273139,
  [SMALL_STATE(5277)] = 273192,
  [SMALL_STATE(5278)] = 273245,
  [SMALL_STATE(5279)] = 273290,
  [SMALL_STATE(5280)] = 273357,
  [SMALL_STATE(5281)] = 273412,
  [SMALL_STATE(5282)] = 273465,
  [SMALL_STATE(5283)] = 273532,
  [SMALL_STATE(5284)] = 273575,
  [SMALL_STATE(5285)] = 273618,
  [SMALL_STATE(5286)] = 273673,
  [SMALL_STATE(5287)] = 273722,
  [SMALL_STATE(5288)] = 273765,
  [SMALL_STATE(5289)] = 273818,
  [SMALL_STATE(5290)] = 273873,
  [SMALL_STATE(5291)] = 273916,
  [SMALL_STATE(5292)] = 273959,
  [SMALL_STATE(5293)] = 274002,
  [SMALL_STATE(5294)] = 274045,
  [SMALL_STATE(5295)] = 274088,
  [SMALL_STATE(5296)] = 274143,
  [SMALL_STATE(5297)] = 274186,
  [SMALL_STATE(5298)] = 274253,
  [SMALL_STATE(5299)] = 274296,
  [SMALL_STATE(5300)] = 274339,
  [SMALL_STATE(5301)] = 274392,
  [SMALL_STATE(5302)] = 274435,
  [SMALL_STATE(5303)] = 274492,
  [SMALL_STATE(5304)] = 274545,
  [SMALL_STATE(5305)] = 274612,
  [SMALL_STATE(5306)] = 274655,
  [SMALL_STATE(5307)] = 274712,
  [SMALL_STATE(5308)] = 274767,
  [SMALL_STATE(5309)] = 274820,
  [SMALL_STATE(5310)] = 274863,
  [SMALL_STATE(5311)] = 274906,
  [SMALL_STATE(5312)] = 274949,
  [SMALL_STATE(5313)] = 274992,
  [SMALL_STATE(5314)] = 275035,
  [SMALL_STATE(5315)] = 275078,
  [SMALL_STATE(5316)] = 275121,
  [SMALL_STATE(5317)] = 275164,
  [SMALL_STATE(5318)] = 275207,
  [SMALL_STATE(5319)] = 275260,
  [SMALL_STATE(5320)] = 275303,
  [SMALL_STATE(5321)] = 275366,
  [SMALL_STATE(5322)] = 275413,
  [SMALL_STATE(5323)] = 275456,
  [SMALL_STATE(5324)] = 275505,
  [SMALL_STATE(5325)] = 275548,
  [SMALL_STATE(5326)] = 275603,
  [SMALL_STATE(5327)] = 275646,
  [SMALL_STATE(5328)] = 275695,
  [SMALL_STATE(5329)] = 275738,
  [SMALL_STATE(5330)] = 275781,
  [SMALL_STATE(5331)] = 275824,
  [SMALL_STATE(5332)] = 275869,
  [SMALL_STATE(5333)] = 275926,
  [SMALL_STATE(5334)] = 275993,
  [SMALL_STATE(5335)] = 276048,
  [SMALL_STATE(5336)] = 276103,
  [SMALL_STATE(5337)] = 276162,
  [SMALL_STATE(5338)] = 276207,
  [SMALL_STATE(5339)] = 276262,
  [SMALL_STATE(5340)] = 276321,
  [SMALL_STATE(5341)] = 276378,
  [SMALL_STATE(5342)] = 276421,
  [SMALL_STATE(5343)] = 276464,
  [SMALL_STATE(5344)] = 276531,
  [SMALL_STATE(5345)] = 276586,
  [SMALL_STATE(5346)] = 276629,
  [SMALL_STATE(5347)] = 276672,
  [SMALL_STATE(5348)] = 276725,
  [SMALL_STATE(5349)] = 276768,
  [SMALL_STATE(5350)] = 276815,
  [SMALL_STATE(5351)] = 276858,
  [SMALL_STATE(5352)] = 276901,
  [SMALL_STATE(5353)] = 276944,
  [SMALL_STATE(5354)] = 276999,
  [SMALL_STATE(5355)] = 277044,
  [SMALL_STATE(5356)] = 277087,
  [SMALL_STATE(5357)] = 277146,
  [SMALL_STATE(5358)] = 277195,
  [SMALL_STATE(5359)] = 277238,
  [SMALL_STATE(5360)] = 277293,
  [SMALL_STATE(5361)] = 277348,
  [SMALL_STATE(5362)] = 277399,
  [SMALL_STATE(5363)] = 277442,
  [SMALL_STATE(5364)] = 277501,
  [SMALL_STATE(5365)] = 277554,
  [SMALL_STATE(5366)] = 277597,
  [SMALL_STATE(5367)] = 277654,
  [SMALL_STATE(5368)] = 277723,
  [SMALL_STATE(5369)] = 277766,
  [SMALL_STATE(5370)] = 277811,
  [SMALL_STATE(5371)] = 277854,
  [SMALL_STATE(5372)] = 277901,
  [SMALL_STATE(5373)] = 277946,
  [SMALL_STATE(5374)] = 278001,
  [SMALL_STATE(5375)] = 278050,
  [SMALL_STATE(5376)] = 278095,
  [SMALL_STATE(5377)] = 278152,
  [SMALL_STATE(5378)] = 278219,
  [SMALL_STATE(5379)] = 278266,
  [SMALL_STATE(5380)] = 278319,
  [SMALL_STATE(5381)] = 278374,
  [SMALL_STATE(5382)] = 278437,
  [SMALL_STATE(5383)] = 278480,
  [SMALL_STATE(5384)] = 278537,
  [SMALL_STATE(5385)] = 278584,
  [SMALL_STATE(5386)] = 278641,
  [SMALL_STATE(5387)] = 278695,
  [SMALL_STATE(5388)] = 278737,
  [SMALL_STATE(5389)] = 278779,
  [SMALL_STATE(5390)] = 278833,
  [SMALL_STATE(5391)] = 278875,
  [SMALL_STATE(5392)] = 278917,
  [SMALL_STATE(5393)] = 278959,
  [SMALL_STATE(5394)] = 279001,
  [SMALL_STATE(5395)] = 279043,
  [SMALL_STATE(5396)] = 279085,
  [SMALL_STATE(5397)] = 279127,
  [SMALL_STATE(5398)] = 279169,
  [SMALL_STATE(5399)] = 279211,
  [SMALL_STATE(5400)] = 279253,
  [SMALL_STATE(5401)] = 279295,
  [SMALL_STATE(5402)] = 279337,
  [SMALL_STATE(5403)] = 279379,
  [SMALL_STATE(5404)] = 279421,
  [SMALL_STATE(5405)] = 279463,
  [SMALL_STATE(5406)] = 279505,
  [SMALL_STATE(5407)] = 279547,
  [SMALL_STATE(5408)] = 279601,
  [SMALL_STATE(5409)] = 279663,
  [SMALL_STATE(5410)] = 279705,
  [SMALL_STATE(5411)] = 279747,
  [SMALL_STATE(5412)] = 279789,
  [SMALL_STATE(5413)] = 279857,
  [SMALL_STATE(5414)] = 279903,
  [SMALL_STATE(5415)] = 279959,
  [SMALL_STATE(5416)] = 280001,
  [SMALL_STATE(5417)] = 280047,
  [SMALL_STATE(5418)] = 280089,
  [SMALL_STATE(5419)] = 280131,
  [SMALL_STATE(5420)] = 280173,
  [SMALL_STATE(5421)] = 280215,
  [SMALL_STATE(5422)] = 280269,
  [SMALL_STATE(5423)] = 280313,
  [SMALL_STATE(5424)] = 280357,
  [SMALL_STATE(5425)] = 280399,
  [SMALL_STATE(5426)] = 280441,
  [SMALL_STATE(5427)] = 280485,
  [SMALL_STATE(5428)] = 280529,
  [SMALL_STATE(5429)] = 280571,
  [SMALL_STATE(5430)] = 280613,
  [SMALL_STATE(5431)] = 280655,
  [SMALL_STATE(5432)] = 280697,
  [SMALL_STATE(5433)] = 280739,
  [SMALL_STATE(5434)] = 280783,
  [SMALL_STATE(5435)] = 280827,
  [SMALL_STATE(5436)] = 280883,
  [SMALL_STATE(5437)] = 280925,
  [SMALL_STATE(5438)] = 280981,
  [SMALL_STATE(5439)] = 281047,
  [SMALL_STATE(5440)] = 281089,
  [SMALL_STATE(5441)] = 281155,
  [SMALL_STATE(5442)] = 281197,
  [SMALL_STATE(5443)] = 281249,
  [SMALL_STATE(5444)] = 281295,
  [SMALL_STATE(5445)] = 281361,
  [SMALL_STATE(5446)] = 281405,
  [SMALL_STATE(5447)] = 281447,
  [SMALL_STATE(5448)] = 281489,
  [SMALL_STATE(5449)] = 281531,
  [SMALL_STATE(5450)] = 281573,
  [SMALL_STATE(5451)] = 281615,
  [SMALL_STATE(5452)] = 281657,
  [SMALL_STATE(5453)] = 281699,
  [SMALL_STATE(5454)] = 281755,
  [SMALL_STATE(5455)] = 281803,
  [SMALL_STATE(5456)] = 281845,
  [SMALL_STATE(5457)] = 281887,
  [SMALL_STATE(5458)] = 281929,
  [SMALL_STATE(5459)] = 281981,
  [SMALL_STATE(5460)] = 282023,
  [SMALL_STATE(5461)] = 282065,
  [SMALL_STATE(5462)] = 282127,
  [SMALL_STATE(5463)] = 282181,
  [SMALL_STATE(5464)] = 282235,
  [SMALL_STATE(5465)] = 282285,
  [SMALL_STATE(5466)] = 282327,
  [SMALL_STATE(5467)] = 282369,
  [SMALL_STATE(5468)] = 282421,
  [SMALL_STATE(5469)] = 282487,
  [SMALL_STATE(5470)] = 282535,
  [SMALL_STATE(5471)] = 282601,
  [SMALL_STATE(5472)] = 282667,
  [SMALL_STATE(5473)] = 282719,
  [SMALL_STATE(5474)] = 282781,
  [SMALL_STATE(5475)] = 282823,
  [SMALL_STATE(5476)] = 282865,
  [SMALL_STATE(5477)] = 282911,
  [SMALL_STATE(5478)] = 282953,
  [SMALL_STATE(5479)] = 282995,
  [SMALL_STATE(5480)] = 283039,
  [SMALL_STATE(5481)] = 283081,
  [SMALL_STATE(5482)] = 283123,
  [SMALL_STATE(5483)] = 283165,
  [SMALL_STATE(5484)] = 283207,
  [SMALL_STATE(5485)] = 283249,
  [SMALL_STATE(5486)] = 283291,
  [SMALL_STATE(5487)] = 283333,
  [SMALL_STATE(5488)] = 283375,
  [SMALL_STATE(5489)] = 283417,
  [SMALL_STATE(5490)] = 283459,
  [SMALL_STATE(5491)] = 283511,
  [SMALL_STATE(5492)] = 283553,
  [SMALL_STATE(5493)] = 283595,
  [SMALL_STATE(5494)] = 283663,
  [SMALL_STATE(5495)] = 283711,
  [SMALL_STATE(5496)] = 283753,
  [SMALL_STATE(5497)] = 283807,
  [SMALL_STATE(5498)] = 283849,
  [SMALL_STATE(5499)] = 283891,
  [SMALL_STATE(5500)] = 283939,
  [SMALL_STATE(5501)] = 283981,
  [SMALL_STATE(5502)] = 284023,
  [SMALL_STATE(5503)] = 284065,
  [SMALL_STATE(5504)] = 284107,
  [SMALL_STATE(5505)] = 284149,
  [SMALL_STATE(5506)] = 284193,
  [SMALL_STATE(5507)] = 284235,
  [SMALL_STATE(5508)] = 284277,
  [SMALL_STATE(5509)] = 284333,
  [SMALL_STATE(5510)] = 284375,
  [SMALL_STATE(5511)] = 284423,
  [SMALL_STATE(5512)] = 284471,
  [SMALL_STATE(5513)] = 284527,
  [SMALL_STATE(5514)] = 284569,
  [SMALL_STATE(5515)] = 284611,
  [SMALL_STATE(5516)] = 284667,
  [SMALL_STATE(5517)] = 284709,
  [SMALL_STATE(5518)] = 284751,
  [SMALL_STATE(5519)] = 284793,
  [SMALL_STATE(5520)] = 284835,
  [SMALL_STATE(5521)] = 284901,
  [SMALL_STATE(5522)] = 284943,
  [SMALL_STATE(5523)] = 284985,
  [SMALL_STATE(5524)] = 285027,
  [SMALL_STATE(5525)] = 285093,
  [SMALL_STATE(5526)] = 285135,
  [SMALL_STATE(5527)] = 285177,
  [SMALL_STATE(5528)] = 285219,
  [SMALL_STATE(5529)] = 285281,
  [SMALL_STATE(5530)] = 285323,
  [SMALL_STATE(5531)] = 285375,
  [SMALL_STATE(5532)] = 285429,
  [SMALL_STATE(5533)] = 285475,
  [SMALL_STATE(5534)] = 285517,
  [SMALL_STATE(5535)] = 285563,
  [SMALL_STATE(5536)] = 285605,
  [SMALL_STATE(5537)] = 285671,
  [SMALL_STATE(5538)] = 285713,
  [SMALL_STATE(5539)] = 285755,
  [SMALL_STATE(5540)] = 285797,
  [SMALL_STATE(5541)] = 285841,
  [SMALL_STATE(5542)] = 285883,
  [SMALL_STATE(5543)] = 285927,
  [SMALL_STATE(5544)] = 285969,
  [SMALL_STATE(5545)] = 286013,
  [SMALL_STATE(5546)] = 286081,
  [SMALL_STATE(5547)] = 286129,
  [SMALL_STATE(5548)] = 286171,
  [SMALL_STATE(5549)] = 286213,
  [SMALL_STATE(5550)] = 286255,
  [SMALL_STATE(5551)] = 286307,
  [SMALL_STATE(5552)] = 286349,
  [SMALL_STATE(5553)] = 286391,
  [SMALL_STATE(5554)] = 286433,
  [SMALL_STATE(5555)] = 286481,
  [SMALL_STATE(5556)] = 286549,
  [SMALL_STATE(5557)] = 286593,
  [SMALL_STATE(5558)] = 286645,
  [SMALL_STATE(5559)] = 286687,
  [SMALL_STATE(5560)] = 286731,
  [SMALL_STATE(5561)] = 286773,
  [SMALL_STATE(5562)] = 286841,
  [SMALL_STATE(5563)] = 286907,
  [SMALL_STATE(5564)] = 286949,
  [SMALL_STATE(5565)] = 287011,
  [SMALL_STATE(5566)] = 287053,
  [SMALL_STATE(5567)] = 287095,
  [SMALL_STATE(5568)] = 287137,
  [SMALL_STATE(5569)] = 287193,
  [SMALL_STATE(5570)] = 287235,
  [SMALL_STATE(5571)] = 287277,
  [SMALL_STATE(5572)] = 287333,
  [SMALL_STATE(5573)] = 287375,
  [SMALL_STATE(5574)] = 287443,
  [SMALL_STATE(5575)] = 287485,
  [SMALL_STATE(5576)] = 287527,
  [SMALL_STATE(5577)] = 287569,
  [SMALL_STATE(5578)] = 287611,
  [SMALL_STATE(5579)] = 287679,
  [SMALL_STATE(5580)] = 287731,
  [SMALL_STATE(5581)] = 287773,
  [SMALL_STATE(5582)] = 287815,
  [SMALL_STATE(5583)] = 287861,
  [SMALL_STATE(5584)] = 287915,
  [SMALL_STATE(5585)] = 287983,
  [SMALL_STATE(5586)] = 288039,
  [SMALL_STATE(5587)] = 288081,
  [SMALL_STATE(5588)] = 288123,
  [SMALL_STATE(5589)] = 288177,
  [SMALL_STATE(5590)] = 288245,
  [SMALL_STATE(5591)] = 288313,
  [SMALL_STATE(5592)] = 288355,
  [SMALL_STATE(5593)] = 288397,
  [SMALL_STATE(5594)] = 288439,
  [SMALL_STATE(5595)] = 288481,
  [SMALL_STATE(5596)] = 288529,
  [SMALL_STATE(5597)] = 288597,
  [SMALL_STATE(5598)] = 288651,
  [SMALL_STATE(5599)] = 288717,
  [SMALL_STATE(5600)] = 288763,
  [SMALL_STATE(5601)] = 288805,
  [SMALL_STATE(5602)] = 288861,
  [SMALL_STATE(5603)] = 288915,
  [SMALL_STATE(5604)] = 288957,
  [SMALL_STATE(5605)] = 289015,
  [SMALL_STATE(5606)] = 289083,
  [SMALL_STATE(5607)] = 289125,
  [SMALL_STATE(5608)] = 289179,
  [SMALL_STATE(5609)] = 289245,
  [SMALL_STATE(5610)] = 289291,
  [SMALL_STATE(5611)] = 289349,
  [SMALL_STATE(5612)] = 289391,
  [SMALL_STATE(5613)] = 289433,
  [SMALL_STATE(5614)] = 289485,
  [SMALL_STATE(5615)] = 289553,
  [SMALL_STATE(5616)] = 289619,
  [SMALL_STATE(5617)] = 289661,
  [SMALL_STATE(5618)] = 289703,
  [SMALL_STATE(5619)] = 289749,
  [SMALL_STATE(5620)] = 289791,
  [SMALL_STATE(5621)] = 289859,
  [SMALL_STATE(5622)] = 289901,
  [SMALL_STATE(5623)] = 289969,
  [SMALL_STATE(5624)] = 290023,
  [SMALL_STATE(5625)] = 290091,
  [SMALL_STATE(5626)] = 290147,
  [SMALL_STATE(5627)] = 290189,
  [SMALL_STATE(5628)] = 290257,
  [SMALL_STATE(5629)] = 290299,
  [SMALL_STATE(5630)] = 290341,
  [SMALL_STATE(5631)] = 290387,
  [SMALL_STATE(5632)] = 290429,
  [SMALL_STATE(5633)] = 290473,
  [SMALL_STATE(5634)] = 290515,
  [SMALL_STATE(5635)] = 290583,
  [SMALL_STATE(5636)] = 290651,
  [SMALL_STATE(5637)] = 290693,
  [SMALL_STATE(5638)] = 290735,
  [SMALL_STATE(5639)] = 290777,
  [SMALL_STATE(5640)] = 290819,
  [SMALL_STATE(5641)] = 290861,
  [SMALL_STATE(5642)] = 290913,
  [SMALL_STATE(5643)] = 290961,
  [SMALL_STATE(5644)] = 291029,
  [SMALL_STATE(5645)] = 291073,
  [SMALL_STATE(5646)] = 291119,
  [SMALL_STATE(5647)] = 291173,
  [SMALL_STATE(5648)] = 291241,
  [SMALL_STATE(5649)] = 291283,
  [SMALL_STATE(5650)] = 291329,
  [SMALL_STATE(5651)] = 291371,
  [SMALL_STATE(5652)] = 291413,
  [SMALL_STATE(5653)] = 291469,
  [SMALL_STATE(5654)] = 291531,
  [SMALL_STATE(5655)] = 291583,
  [SMALL_STATE(5656)] = 291651,
  [SMALL_STATE(5657)] = 291705,
  [SMALL_STATE(5658)] = 291749,
  [SMALL_STATE(5659)] = 291791,
  [SMALL_STATE(5660)] = 291833,
  [SMALL_STATE(5661)] = 291875,
  [SMALL_STATE(5662)] = 291917,
  [SMALL_STATE(5663)] = 291959,
  [SMALL_STATE(5664)] = 292003,
  [SMALL_STATE(5665)] = 292071,
  [SMALL_STATE(5666)] = 292113,
  [SMALL_STATE(5667)] = 292155,
  [SMALL_STATE(5668)] = 292223,
  [SMALL_STATE(5669)] = 292267,
  [SMALL_STATE(5670)] = 292319,
  [SMALL_STATE(5671)] = 292365,
  [SMALL_STATE(5672)] = 292407,
  [SMALL_STATE(5673)] = 292449,
  [SMALL_STATE(5674)] = 292497,
  [SMALL_STATE(5675)] = 292541,
  [SMALL_STATE(5676)] = 292583,
  [SMALL_STATE(5677)] = 292625,
  [SMALL_STATE(5678)] = 292667,
  [SMALL_STATE(5679)] = 292709,
  [SMALL_STATE(5680)] = 292775,
  [SMALL_STATE(5681)] = 292819,
  [SMALL_STATE(5682)] = 292873,
  [SMALL_STATE(5683)] = 292915,
  [SMALL_STATE(5684)] = 292957,
  [SMALL_STATE(5685)] = 292999,
  [SMALL_STATE(5686)] = 293067,
  [SMALL_STATE(5687)] = 293109,
  [SMALL_STATE(5688)] = 293171,
  [SMALL_STATE(5689)] = 293213,
  [SMALL_STATE(5690)] = 293261,
  [SMALL_STATE(5691)] = 293303,
  [SMALL_STATE(5692)] = 293345,
  [SMALL_STATE(5693)] = 293389,
  [SMALL_STATE(5694)] = 293457,
  [SMALL_STATE(5695)] = 293505,
  [SMALL_STATE(5696)] = 293553,
  [SMALL_STATE(5697)] = 293595,
  [SMALL_STATE(5698)] = 293663,
  [SMALL_STATE(5699)] = 293705,
  [SMALL_STATE(5700)] = 293747,
  [SMALL_STATE(5701)] = 293803,
  [SMALL_STATE(5702)] = 293845,
  [SMALL_STATE(5703)] = 293887,
  [SMALL_STATE(5704)] = 293929,
  [SMALL_STATE(5705)] = 293971,
  [SMALL_STATE(5706)] = 294013,
  [SMALL_STATE(5707)] = 294059,
  [SMALL_STATE(5708)] = 294101,
  [SMALL_STATE(5709)] = 294143,
  [SMALL_STATE(5710)] = 294185,
  [SMALL_STATE(5711)] = 294227,
  [SMALL_STATE(5712)] = 294271,
  [SMALL_STATE(5713)] = 294315,
  [SMALL_STATE(5714)] = 294357,
  [SMALL_STATE(5715)] = 294399,
  [SMALL_STATE(5716)] = 294455,
  [SMALL_STATE(5717)] = 294523,
  [SMALL_STATE(5718)] = 294565,
  [SMALL_STATE(5719)] = 294607,
  [SMALL_STATE(5720)] = 294649,
  [SMALL_STATE(5721)] = 294691,
  [SMALL_STATE(5722)] = 294733,
  [SMALL_STATE(5723)] = 294779,
  [SMALL_STATE(5724)] = 294821,
  [SMALL_STATE(5725)] = 294863,
  [SMALL_STATE(5726)] = 294931,
  [SMALL_STATE(5727)] = 294973,
  [SMALL_STATE(5728)] = 295017,
  [SMALL_STATE(5729)] = 295059,
  [SMALL_STATE(5730)] = 295103,
  [SMALL_STATE(5731)] = 295145,
  [SMALL_STATE(5732)] = 295199,
  [SMALL_STATE(5733)] = 295241,
  [SMALL_STATE(5734)] = 295289,
  [SMALL_STATE(5735)] = 295331,
  [SMALL_STATE(5736)] = 295375,
  [SMALL_STATE(5737)] = 295429,
  [SMALL_STATE(5738)] = 295475,
  [SMALL_STATE(5739)] = 295519,
  [SMALL_STATE(5740)] = 295561,
  [SMALL_STATE(5741)] = 295603,
  [SMALL_STATE(5742)] = 295671,
  [SMALL_STATE(5743)] = 295725,
  [SMALL_STATE(5744)] = 295767,
  [SMALL_STATE(5745)] = 295821,
  [SMALL_STATE(5746)] = 295863,
  [SMALL_STATE(5747)] = 295905,
  [SMALL_STATE(5748)] = 295973,
  [SMALL_STATE(5749)] = 296015,
  [SMALL_STATE(5750)] = 296057,
  [SMALL_STATE(5751)] = 296099,
  [SMALL_STATE(5752)] = 296141,
  [SMALL_STATE(5753)] = 296183,
  [SMALL_STATE(5754)] = 296225,
  [SMALL_STATE(5755)] = 296269,
  [SMALL_STATE(5756)] = 296323,
  [SMALL_STATE(5757)] = 296365,
  [SMALL_STATE(5758)] = 296433,
  [SMALL_STATE(5759)] = 296475,
  [SMALL_STATE(5760)] = 296517,
  [SMALL_STATE(5761)] = 296559,
  [SMALL_STATE(5762)] = 296601,
  [SMALL_STATE(5763)] = 296643,
  [SMALL_STATE(5764)] = 296685,
  [SMALL_STATE(5765)] = 296727,
  [SMALL_STATE(5766)] = 296769,
  [SMALL_STATE(5767)] = 296811,
  [SMALL_STATE(5768)] = 296853,
  [SMALL_STATE(5769)] = 296895,
  [SMALL_STATE(5770)] = 296937,
  [SMALL_STATE(5771)] = 296985,
  [SMALL_STATE(5772)] = 297031,
  [SMALL_STATE(5773)] = 297073,
  [SMALL_STATE(5774)] = 297115,
  [SMALL_STATE(5775)] = 297157,
  [SMALL_STATE(5776)] = 297225,
  [SMALL_STATE(5777)] = 297267,
  [SMALL_STATE(5778)] = 297309,
  [SMALL_STATE(5779)] = 297351,
  [SMALL_STATE(5780)] = 297403,
  [SMALL_STATE(5781)] = 297457,
  [SMALL_STATE(5782)] = 297499,
  [SMALL_STATE(5783)] = 297541,
  [SMALL_STATE(5784)] = 297589,
  [SMALL_STATE(5785)] = 297631,
  [SMALL_STATE(5786)] = 297673,
  [SMALL_STATE(5787)] = 297715,
  [SMALL_STATE(5788)] = 297757,
  [SMALL_STATE(5789)] = 297811,
  [SMALL_STATE(5790)] = 297853,
  [SMALL_STATE(5791)] = 297921,
  [SMALL_STATE(5792)] = 297989,
  [SMALL_STATE(5793)] = 298031,
  [SMALL_STATE(5794)] = 298073,
  [SMALL_STATE(5795)] = 298115,
  [SMALL_STATE(5796)] = 298159,
  [SMALL_STATE(5797)] = 298201,
  [SMALL_STATE(5798)] = 298255,
  [SMALL_STATE(5799)] = 298323,
  [SMALL_STATE(5800)] = 298369,
  [SMALL_STATE(5801)] = 298411,
  [SMALL_STATE(5802)] = 298453,
  [SMALL_STATE(5803)] = 298497,
  [SMALL_STATE(5804)] = 298565,
  [SMALL_STATE(5805)] = 298607,
  [SMALL_STATE(5806)] = 298649,
  [SMALL_STATE(5807)] = 298691,
  [SMALL_STATE(5808)] = 298733,
  [SMALL_STATE(5809)] = 298775,
  [SMALL_STATE(5810)] = 298817,
  [SMALL_STATE(5811)] = 298861,
  [SMALL_STATE(5812)] = 298905,
  [SMALL_STATE(5813)] = 298957,
  [SMALL_STATE(5814)] = 298999,
  [SMALL_STATE(5815)] = 299067,
  [SMALL_STATE(5816)] = 299109,
  [SMALL_STATE(5817)] = 299151,
  [SMALL_STATE(5818)] = 299217,
  [SMALL_STATE(5819)] = 299285,
  [SMALL_STATE(5820)] = 299353,
  [SMALL_STATE(5821)] = 299395,
  [SMALL_STATE(5822)] = 299437,
  [SMALL_STATE(5823)] = 299489,
  [SMALL_STATE(5824)] = 299551,
  [SMALL_STATE(5825)] = 299593,
  [SMALL_STATE(5826)] = 299649,
  [SMALL_STATE(5827)] = 299695,
  [SMALL_STATE(5828)] = 299763,
  [SMALL_STATE(5829)] = 299817,
  [SMALL_STATE(5830)] = 299865,
  [SMALL_STATE(5831)] = 299907,
  [SMALL_STATE(5832)] = 299951,
  [SMALL_STATE(5833)] = 299997,
  [SMALL_STATE(5834)] = 300039,
  [SMALL_STATE(5835)] = 300083,
  [SMALL_STATE(5836)] = 300127,
  [SMALL_STATE(5837)] = 300173,
  [SMALL_STATE(5838)] = 300221,
  [SMALL_STATE(5839)] = 300277,
  [SMALL_STATE(5840)] = 300345,
  [SMALL_STATE(5841)] = 300387,
  [SMALL_STATE(5842)] = 300429,
  [SMALL_STATE(5843)] = 300473,
  [SMALL_STATE(5844)] = 300525,
  [SMALL_STATE(5845)] = 300567,
  [SMALL_STATE(5846)] = 300615,
  [SMALL_STATE(5847)] = 300657,
  [SMALL_STATE(5848)] = 300699,
  [SMALL_STATE(5849)] = 300743,
  [SMALL_STATE(5850)] = 300811,
  [SMALL_STATE(5851)] = 300865,
  [SMALL_STATE(5852)] = 300917,
  [SMALL_STATE(5853)] = 300959,
  [SMALL_STATE(5854)] = 301001,
  [SMALL_STATE(5855)] = 301049,
  [SMALL_STATE(5856)] = 301097,
  [SMALL_STATE(5857)] = 301141,
  [SMALL_STATE(5858)] = 301183,
  [SMALL_STATE(5859)] = 301225,
  [SMALL_STATE(5860)] = 301267,
  [SMALL_STATE(5861)] = 301309,
  [SMALL_STATE(5862)] = 301351,
  [SMALL_STATE(5863)] = 301419,
  [SMALL_STATE(5864)] = 301461,
  [SMALL_STATE(5865)] = 301503,
  [SMALL_STATE(5866)] = 301545,
  [SMALL_STATE(5867)] = 301587,
  [SMALL_STATE(5868)] = 301629,
  [SMALL_STATE(5869)] = 301671,
  [SMALL_STATE(5870)] = 301719,
  [SMALL_STATE(5871)] = 301761,
  [SMALL_STATE(5872)] = 301829,
  [SMALL_STATE(5873)] = 301871,
  [SMALL_STATE(5874)] = 301913,
  [SMALL_STATE(5875)] = 301957,
  [SMALL_STATE(5876)] = 302001,
  [SMALL_STATE(5877)] = 302043,
  [SMALL_STATE(5878)] = 302085,
  [SMALL_STATE(5879)] = 302131,
  [SMALL_STATE(5880)] = 302199,
  [SMALL_STATE(5881)] = 302249,
  [SMALL_STATE(5882)] = 302291,
  [SMALL_STATE(5883)] = 302333,
  [SMALL_STATE(5884)] = 302375,
  [SMALL_STATE(5885)] = 302417,
  [SMALL_STATE(5886)] = 302485,
  [SMALL_STATE(5887)] = 302553,
  [SMALL_STATE(5888)] = 302595,
  [SMALL_STATE(5889)] = 302637,
  [SMALL_STATE(5890)] = 302679,
  [SMALL_STATE(5891)] = 302723,
  [SMALL_STATE(5892)] = 302777,
  [SMALL_STATE(5893)] = 302829,
  [SMALL_STATE(5894)] = 302871,
  [SMALL_STATE(5895)] = 302937,
  [SMALL_STATE(5896)] = 302979,
  [SMALL_STATE(5897)] = 303023,
  [SMALL_STATE(5898)] = 303091,
  [SMALL_STATE(5899)] = 303133,
  [SMALL_STATE(5900)] = 303175,
  [SMALL_STATE(5901)] = 303217,
  [SMALL_STATE(5902)] = 303271,
  [SMALL_STATE(5903)] = 303333,
  [SMALL_STATE(5904)] = 303375,
  [SMALL_STATE(5905)] = 303421,
  [SMALL_STATE(5906)] = 303489,
  [SMALL_STATE(5907)] = 303557,
  [SMALL_STATE(5908)] = 303599,
  [SMALL_STATE(5909)] = 303641,
  [SMALL_STATE(5910)] = 303683,
  [SMALL_STATE(5911)] = 303729,
  [SMALL_STATE(5912)] = 303771,
  [SMALL_STATE(5913)] = 303833,
  [SMALL_STATE(5914)] = 303901,
  [SMALL_STATE(5915)] = 303955,
  [SMALL_STATE(5916)] = 303997,
  [SMALL_STATE(5917)] = 304053,
  [SMALL_STATE(5918)] = 304107,
  [SMALL_STATE(5919)] = 304161,
  [SMALL_STATE(5920)] = 304203,
  [SMALL_STATE(5921)] = 304245,
  [SMALL_STATE(5922)] = 304313,
  [SMALL_STATE(5923)] = 304355,
  [SMALL_STATE(5924)] = 304397,
  [SMALL_STATE(5925)] = 304465,
  [SMALL_STATE(5926)] = 304507,
  [SMALL_STATE(5927)] = 304549,
  [SMALL_STATE(5928)] = 304605,
  [SMALL_STATE(5929)] = 304647,
  [SMALL_STATE(5930)] = 304701,
  [SMALL_STATE(5931)] = 304743,
  [SMALL_STATE(5932)] = 304811,
  [SMALL_STATE(5933)] = 304853,
  [SMALL_STATE(5934)] = 304895,
  [SMALL_STATE(5935)] = 304947,
  [SMALL_STATE(5936)] = 304989,
  [SMALL_STATE(5937)] = 305057,
  [SMALL_STATE(5938)] = 305099,
  [SMALL_STATE(5939)] = 305153,
  [SMALL_STATE(5940)] = 305197,
  [SMALL_STATE(5941)] = 305243,
  [SMALL_STATE(5942)] = 305285,
  [SMALL_STATE(5943)] = 305353,
  [SMALL_STATE(5944)] = 305395,
  [SMALL_STATE(5945)] = 305439,
  [SMALL_STATE(5946)] = 305481,
  [SMALL_STATE(5947)] = 305531,
  [SMALL_STATE(5948)] = 305575,
  [SMALL_STATE(5949)] = 305617,
  [SMALL_STATE(5950)] = 305661,
  [SMALL_STATE(5951)] = 305705,
  [SMALL_STATE(5952)] = 305749,
  [SMALL_STATE(5953)] = 305791,
  [SMALL_STATE(5954)] = 305833,
  [SMALL_STATE(5955)] = 305875,
  [SMALL_STATE(5956)] = 305943,
  [SMALL_STATE(5957)] = 305985,
  [SMALL_STATE(5958)] = 306053,
  [SMALL_STATE(5959)] = 306107,
  [SMALL_STATE(5960)] = 306159,
  [SMALL_STATE(5961)] = 306205,
  [SMALL_STATE(5962)] = 306247,
  [SMALL_STATE(5963)] = 306289,
  [SMALL_STATE(5964)] = 306357,
  [SMALL_STATE(5965)] = 306403,
  [SMALL_STATE(5966)] = 306445,
  [SMALL_STATE(5967)] = 306487,
  [SMALL_STATE(5968)] = 306555,
  [SMALL_STATE(5969)] = 306607,
  [SMALL_STATE(5970)] = 306649,
  [SMALL_STATE(5971)] = 306691,
  [SMALL_STATE(5972)] = 306733,
  [SMALL_STATE(5973)] = 306775,
  [SMALL_STATE(5974)] = 306817,
  [SMALL_STATE(5975)] = 306859,
  [SMALL_STATE(5976)] = 306905,
  [SMALL_STATE(5977)] = 306947,
  [SMALL_STATE(5978)] = 307003,
  [SMALL_STATE(5979)] = 307045,
  [SMALL_STATE(5980)] = 307113,
  [SMALL_STATE(5981)] = 307155,
  [SMALL_STATE(5982)] = 307199,
  [SMALL_STATE(5983)] = 307241,
  [SMALL_STATE(5984)] = 307287,
  [SMALL_STATE(5985)] = 307355,
  [SMALL_STATE(5986)] = 307397,
  [SMALL_STATE(5987)] = 307451,
  [SMALL_STATE(5988)] = 307519,
  [SMALL_STATE(5989)] = 307567,
  [SMALL_STATE(5990)] = 307644,
  [SMALL_STATE(5991)] = 307685,
  [SMALL_STATE(5992)] = 307746,
  [SMALL_STATE(5993)] = 307787,
  [SMALL_STATE(5994)] = 307828,
  [SMALL_STATE(5995)] = 307869,
  [SMALL_STATE(5996)] = 307922,
  [SMALL_STATE(5997)] = 307963,
  [SMALL_STATE(5998)] = 308004,
  [SMALL_STATE(5999)] = 308055,
  [SMALL_STATE(6000)] = 308102,
  [SMALL_STATE(6001)] = 308143,
  [SMALL_STATE(6002)] = 308184,
  [SMALL_STATE(6003)] = 308225,
  [SMALL_STATE(6004)] = 308266,
  [SMALL_STATE(6005)] = 308307,
  [SMALL_STATE(6006)] = 308348,
  [SMALL_STATE(6007)] = 308389,
  [SMALL_STATE(6008)] = 308430,
  [SMALL_STATE(6009)] = 308471,
  [SMALL_STATE(6010)] = 308514,
  [SMALL_STATE(6011)] = 308555,
  [SMALL_STATE(6012)] = 308596,
  [SMALL_STATE(6013)] = 308637,
  [SMALL_STATE(6014)] = 308678,
  [SMALL_STATE(6015)] = 308731,
  [SMALL_STATE(6016)] = 308772,
  [SMALL_STATE(6017)] = 308823,
  [SMALL_STATE(6018)] = 308864,
  [SMALL_STATE(6019)] = 308917,
  [SMALL_STATE(6020)] = 308958,
  [SMALL_STATE(6021)] = 308999,
  [SMALL_STATE(6022)] = 309054,
  [SMALL_STATE(6023)] = 309097,
  [SMALL_STATE(6024)] = 309152,
  [SMALL_STATE(6025)] = 309193,
  [SMALL_STATE(6026)] = 309234,
  [SMALL_STATE(6027)] = 309275,
  [SMALL_STATE(6028)] = 309316,
  [SMALL_STATE(6029)] = 309357,
  [SMALL_STATE(6030)] = 309398,
  [SMALL_STATE(6031)] = 309439,
  [SMALL_STATE(6032)] = 309480,
  [SMALL_STATE(6033)] = 309521,
  [SMALL_STATE(6034)] = 309562,
  [SMALL_STATE(6035)] = 309603,
  [SMALL_STATE(6036)] = 309644,
  [SMALL_STATE(6037)] = 309685,
  [SMALL_STATE(6038)] = 309750,
  [SMALL_STATE(6039)] = 309791,
  [SMALL_STATE(6040)] = 309846,
  [SMALL_STATE(6041)] = 309887,
  [SMALL_STATE(6042)] = 309928,
  [SMALL_STATE(6043)] = 309969,
  [SMALL_STATE(6044)] = 310010,
  [SMALL_STATE(6045)] = 310051,
  [SMALL_STATE(6046)] = 310092,
  [SMALL_STATE(6047)] = 310145,
  [SMALL_STATE(6048)] = 310186,
  [SMALL_STATE(6049)] = 310227,
  [SMALL_STATE(6050)] = 310268,
  [SMALL_STATE(6051)] = 310309,
  [SMALL_STATE(6052)] = 310350,
  [SMALL_STATE(6053)] = 310391,
  [SMALL_STATE(6054)] = 310432,
  [SMALL_STATE(6055)] = 310477,
  [SMALL_STATE(6056)] = 310518,
  [SMALL_STATE(6057)] = 310561,
  [SMALL_STATE(6058)] = 310602,
  [SMALL_STATE(6059)] = 310643,
  [SMALL_STATE(6060)] = 310700,
  [SMALL_STATE(6061)] = 310743,
  [SMALL_STATE(6062)] = 310784,
  [SMALL_STATE(6063)] = 310825,
  [SMALL_STATE(6064)] = 310866,
  [SMALL_STATE(6065)] = 310907,
  [SMALL_STATE(6066)] = 310950,
  [SMALL_STATE(6067)] = 310991,
  [SMALL_STATE(6068)] = 311032,
  [SMALL_STATE(6069)] = 311075,
  [SMALL_STATE(6070)] = 311122,
  [SMALL_STATE(6071)] = 311163,
  [SMALL_STATE(6072)] = 311204,
  [SMALL_STATE(6073)] = 311245,
  [SMALL_STATE(6074)] = 311286,
  [SMALL_STATE(6075)] = 311327,
  [SMALL_STATE(6076)] = 311368,
  [SMALL_STATE(6077)] = 311409,
  [SMALL_STATE(6078)] = 311450,
  [SMALL_STATE(6079)] = 311491,
  [SMALL_STATE(6080)] = 311532,
  [SMALL_STATE(6081)] = 311573,
  [SMALL_STATE(6082)] = 311624,
  [SMALL_STATE(6083)] = 311671,
  [SMALL_STATE(6084)] = 311712,
  [SMALL_STATE(6085)] = 311767,
  [SMALL_STATE(6086)] = 311832,
  [SMALL_STATE(6087)] = 311873,
  [SMALL_STATE(6088)] = 311914,
  [SMALL_STATE(6089)] = 311955,
  [SMALL_STATE(6090)] = 311996,
  [SMALL_STATE(6091)] = 312037,
  [SMALL_STATE(6092)] = 312084,
  [SMALL_STATE(6093)] = 312127,
  [SMALL_STATE(6094)] = 312168,
  [SMALL_STATE(6095)] = 312215,
  [SMALL_STATE(6096)] = 312256,
  [SMALL_STATE(6097)] = 312299,
  [SMALL_STATE(6098)] = 312364,
  [SMALL_STATE(6099)] = 312417,
  [SMALL_STATE(6100)] = 312458,
  [SMALL_STATE(6101)] = 312499,
  [SMALL_STATE(6102)] = 312542,
  [SMALL_STATE(6103)] = 312583,
  [SMALL_STATE(6104)] = 312624,
  [SMALL_STATE(6105)] = 312665,
  [SMALL_STATE(6106)] = 312716,
  [SMALL_STATE(6107)] = 312759,
  [SMALL_STATE(6108)] = 312802,
  [SMALL_STATE(6109)] = 312843,
  [SMALL_STATE(6110)] = 312884,
  [SMALL_STATE(6111)] = 312925,
  [SMALL_STATE(6112)] = 312990,
  [SMALL_STATE(6113)] = 313033,
  [SMALL_STATE(6114)] = 313076,
  [SMALL_STATE(6115)] = 313123,
  [SMALL_STATE(6116)] = 313164,
  [SMALL_STATE(6117)] = 313205,
  [SMALL_STATE(6118)] = 313246,
  [SMALL_STATE(6119)] = 313287,
  [SMALL_STATE(6120)] = 313328,
  [SMALL_STATE(6121)] = 313369,
  [SMALL_STATE(6122)] = 313410,
  [SMALL_STATE(6123)] = 313451,
  [SMALL_STATE(6124)] = 313492,
  [SMALL_STATE(6125)] = 313533,
  [SMALL_STATE(6126)] = 313594,
  [SMALL_STATE(6127)] = 313637,
  [SMALL_STATE(6128)] = 313678,
  [SMALL_STATE(6129)] = 313719,
  [SMALL_STATE(6130)] = 313760,
  [SMALL_STATE(6131)] = 313815,
  [SMALL_STATE(6132)] = 313856,
  [SMALL_STATE(6133)] = 313897,
  [SMALL_STATE(6134)] = 313938,
  [SMALL_STATE(6135)] = 313979,
  [SMALL_STATE(6136)] = 314020,
  [SMALL_STATE(6137)] = 314063,
  [SMALL_STATE(6138)] = 314108,
  [SMALL_STATE(6139)] = 314173,
  [SMALL_STATE(6140)] = 314214,
  [SMALL_STATE(6141)] = 314257,
  [SMALL_STATE(6142)] = 314298,
  [SMALL_STATE(6143)] = 314339,
  [SMALL_STATE(6144)] = 314380,
  [SMALL_STATE(6145)] = 314421,
  [SMALL_STATE(6146)] = 314462,
  [SMALL_STATE(6147)] = 314515,
  [SMALL_STATE(6148)] = 314556,
  [SMALL_STATE(6149)] = 314597,
  [SMALL_STATE(6150)] = 314640,
  [SMALL_STATE(6151)] = 314685,
  [SMALL_STATE(6152)] = 314726,
  [SMALL_STATE(6153)] = 314767,
  [SMALL_STATE(6154)] = 314808,
  [SMALL_STATE(6155)] = 314849,
  [SMALL_STATE(6156)] = 314890,
  [SMALL_STATE(6157)] = 314931,
  [SMALL_STATE(6158)] = 314984,
  [SMALL_STATE(6159)] = 315025,
  [SMALL_STATE(6160)] = 315066,
  [SMALL_STATE(6161)] = 315107,
  [SMALL_STATE(6162)] = 315148,
  [SMALL_STATE(6163)] = 315209,
  [SMALL_STATE(6164)] = 315250,
  [SMALL_STATE(6165)] = 315295,
  [SMALL_STATE(6166)] = 315338,
  [SMALL_STATE(6167)] = 315379,
  [SMALL_STATE(6168)] = 315440,
  [SMALL_STATE(6169)] = 315491,
  [SMALL_STATE(6170)] = 315532,
  [SMALL_STATE(6171)] = 315583,
  [SMALL_STATE(6172)] = 315630,
  [SMALL_STATE(6173)] = 315687,
  [SMALL_STATE(6174)] = 315730,
  [SMALL_STATE(6175)] = 315771,
  [SMALL_STATE(6176)] = 315812,
  [SMALL_STATE(6177)] = 315853,
  [SMALL_STATE(6178)] = 315896,
  [SMALL_STATE(6179)] = 315937,
  [SMALL_STATE(6180)] = 315980,
  [SMALL_STATE(6181)] = 316021,
  [SMALL_STATE(6182)] = 316062,
  [SMALL_STATE(6183)] = 316103,
  [SMALL_STATE(6184)] = 316160,
  [SMALL_STATE(6185)] = 316201,
  [SMALL_STATE(6186)] = 316242,
  [SMALL_STATE(6187)] = 316283,
  [SMALL_STATE(6188)] = 316324,
  [SMALL_STATE(6189)] = 316365,
  [SMALL_STATE(6190)] = 316406,
  [SMALL_STATE(6191)] = 316447,
  [SMALL_STATE(6192)] = 316492,
  [SMALL_STATE(6193)] = 316535,
  [SMALL_STATE(6194)] = 316580,
  [SMALL_STATE(6195)] = 316621,
  [SMALL_STATE(6196)] = 316662,
  [SMALL_STATE(6197)] = 316703,
  [SMALL_STATE(6198)] = 316744,
  [SMALL_STATE(6199)] = 316785,
  [SMALL_STATE(6200)] = 316834,
  [SMALL_STATE(6201)] = 316885,
  [SMALL_STATE(6202)] = 316926,
  [SMALL_STATE(6203)] = 316967,
  [SMALL_STATE(6204)] = 317008,
  [SMALL_STATE(6205)] = 317049,
  [SMALL_STATE(6206)] = 317092,
  [SMALL_STATE(6207)] = 317133,
  [SMALL_STATE(6208)] = 317178,
  [SMALL_STATE(6209)] = 317225,
  [SMALL_STATE(6210)] = 317266,
  [SMALL_STATE(6211)] = 317307,
  [SMALL_STATE(6212)] = 317348,
  [SMALL_STATE(6213)] = 317389,
  [SMALL_STATE(6214)] = 317430,
  [SMALL_STATE(6215)] = 317471,
  [SMALL_STATE(6216)] = 317512,
  [SMALL_STATE(6217)] = 317553,
  [SMALL_STATE(6218)] = 317594,
  [SMALL_STATE(6219)] = 317635,
  [SMALL_STATE(6220)] = 317676,
  [SMALL_STATE(6221)] = 317717,
  [SMALL_STATE(6222)] = 317758,
  [SMALL_STATE(6223)] = 317799,
  [SMALL_STATE(6224)] = 317844,
  [SMALL_STATE(6225)] = 317885,
  [SMALL_STATE(6226)] = 317926,
  [SMALL_STATE(6227)] = 317967,
  [SMALL_STATE(6228)] = 318012,
  [SMALL_STATE(6229)] = 318053,
  [SMALL_STATE(6230)] = 318094,
  [SMALL_STATE(6231)] = 318147,
  [SMALL_STATE(6232)] = 318188,
  [SMALL_STATE(6233)] = 318231,
  [SMALL_STATE(6234)] = 318272,
  [SMALL_STATE(6235)] = 318313,
  [SMALL_STATE(6236)] = 318368,
  [SMALL_STATE(6237)] = 318413,
  [SMALL_STATE(6238)] = 318454,
  [SMALL_STATE(6239)] = 318495,
  [SMALL_STATE(6240)] = 318536,
  [SMALL_STATE(6241)] = 318589,
  [SMALL_STATE(6242)] = 318630,
  [SMALL_STATE(6243)] = 318671,
  [SMALL_STATE(6244)] = 318712,
  [SMALL_STATE(6245)] = 318767,
  [SMALL_STATE(6246)] = 318808,
  [SMALL_STATE(6247)] = 318849,
  [SMALL_STATE(6248)] = 318890,
  [SMALL_STATE(6249)] = 318943,
  [SMALL_STATE(6250)] = 319008,
  [SMALL_STATE(6251)] = 319049,
  [SMALL_STATE(6252)] = 319090,
  [SMALL_STATE(6253)] = 319155,
  [SMALL_STATE(6254)] = 319220,
  [SMALL_STATE(6255)] = 319271,
  [SMALL_STATE(6256)] = 319314,
  [SMALL_STATE(6257)] = 319355,
  [SMALL_STATE(6258)] = 319396,
  [SMALL_STATE(6259)] = 319447,
  [SMALL_STATE(6260)] = 319488,
  [SMALL_STATE(6261)] = 319531,
  [SMALL_STATE(6262)] = 319572,
  [SMALL_STATE(6263)] = 319613,
  [SMALL_STATE(6264)] = 319654,
  [SMALL_STATE(6265)] = 319695,
  [SMALL_STATE(6266)] = 319736,
  [SMALL_STATE(6267)] = 319777,
  [SMALL_STATE(6268)] = 319828,
  [SMALL_STATE(6269)] = 319869,
  [SMALL_STATE(6270)] = 319910,
  [SMALL_STATE(6271)] = 319965,
  [SMALL_STATE(6272)] = 320006,
  [SMALL_STATE(6273)] = 320047,
  [SMALL_STATE(6274)] = 320088,
  [SMALL_STATE(6275)] = 320129,
  [SMALL_STATE(6276)] = 320170,
  [SMALL_STATE(6277)] = 320211,
  [SMALL_STATE(6278)] = 320252,
  [SMALL_STATE(6279)] = 320293,
  [SMALL_STATE(6280)] = 320334,
  [SMALL_STATE(6281)] = 320375,
  [SMALL_STATE(6282)] = 320416,
  [SMALL_STATE(6283)] = 320457,
  [SMALL_STATE(6284)] = 320522,
  [SMALL_STATE(6285)] = 320565,
  [SMALL_STATE(6286)] = 320606,
  [SMALL_STATE(6287)] = 320647,
  [SMALL_STATE(6288)] = 320690,
  [SMALL_STATE(6289)] = 320731,
  [SMALL_STATE(6290)] = 320772,
  [SMALL_STATE(6291)] = 320813,
  [SMALL_STATE(6292)] = 320854,
  [SMALL_STATE(6293)] = 320895,
  [SMALL_STATE(6294)] = 320952,
  [SMALL_STATE(6295)] = 320993,
  [SMALL_STATE(6296)] = 321034,
  [SMALL_STATE(6297)] = 321087,
  [SMALL_STATE(6298)] = 321132,
  [SMALL_STATE(6299)] = 321175,
  [SMALL_STATE(6300)] = 321216,
  [SMALL_STATE(6301)] = 321257,
  [SMALL_STATE(6302)] = 321298,
  [SMALL_STATE(6303)] = 321339,
  [SMALL_STATE(6304)] = 321380,
  [SMALL_STATE(6305)] = 321421,
  [SMALL_STATE(6306)] = 321462,
  [SMALL_STATE(6307)] = 321503,
  [SMALL_STATE(6308)] = 321564,
  [SMALL_STATE(6309)] = 321615,
  [SMALL_STATE(6310)] = 321658,
  [SMALL_STATE(6311)] = 321699,
  [SMALL_STATE(6312)] = 321740,
  [SMALL_STATE(6313)] = 321781,
  [SMALL_STATE(6314)] = 321846,
  [SMALL_STATE(6315)] = 321887,
  [SMALL_STATE(6316)] = 321930,
  [SMALL_STATE(6317)] = 321971,
  [SMALL_STATE(6318)] = 322012,
  [SMALL_STATE(6319)] = 322053,
  [SMALL_STATE(6320)] = 322098,
  [SMALL_STATE(6321)] = 322151,
  [SMALL_STATE(6322)] = 322192,
  [SMALL_STATE(6323)] = 322239,
  [SMALL_STATE(6324)] = 322304,
  [SMALL_STATE(6325)] = 322345,
  [SMALL_STATE(6326)] = 322400,
  [SMALL_STATE(6327)] = 322455,
  [SMALL_STATE(6328)] = 322496,
  [SMALL_STATE(6329)] = 322549,
  [SMALL_STATE(6330)] = 322596,
  [SMALL_STATE(6331)] = 322649,
  [SMALL_STATE(6332)] = 322690,
  [SMALL_STATE(6333)] = 322731,
  [SMALL_STATE(6334)] = 322772,
  [SMALL_STATE(6335)] = 322813,
  [SMALL_STATE(6336)] = 322854,
  [SMALL_STATE(6337)] = 322907,
  [SMALL_STATE(6338)] = 322948,
  [SMALL_STATE(6339)] = 322989,
  [SMALL_STATE(6340)] = 323034,
  [SMALL_STATE(6341)] = 323075,
  [SMALL_STATE(6342)] = 323128,
  [SMALL_STATE(6343)] = 323169,
  [SMALL_STATE(6344)] = 323214,
  [SMALL_STATE(6345)] = 323255,
  [SMALL_STATE(6346)] = 323296,
  [SMALL_STATE(6347)] = 323337,
  [SMALL_STATE(6348)] = 323390,
  [SMALL_STATE(6349)] = 323431,
  [SMALL_STATE(6350)] = 323472,
  [SMALL_STATE(6351)] = 323515,
  [SMALL_STATE(6352)] = 323556,
  [SMALL_STATE(6353)] = 323597,
  [SMALL_STATE(6354)] = 323662,
  [SMALL_STATE(6355)] = 323703,
  [SMALL_STATE(6356)] = 323744,
  [SMALL_STATE(6357)] = 323785,
  [SMALL_STATE(6358)] = 323832,
  [SMALL_STATE(6359)] = 323873,
  [SMALL_STATE(6360)] = 323914,
  [SMALL_STATE(6361)] = 323959,
  [SMALL_STATE(6362)] = 324000,
  [SMALL_STATE(6363)] = 324041,
  [SMALL_STATE(6364)] = 324096,
  [SMALL_STATE(6365)] = 324149,
  [SMALL_STATE(6366)] = 324190,
  [SMALL_STATE(6367)] = 324231,
  [SMALL_STATE(6368)] = 324272,
  [SMALL_STATE(6369)] = 324313,
  [SMALL_STATE(6370)] = 324354,
  [SMALL_STATE(6371)] = 324395,
  [SMALL_STATE(6372)] = 324436,
  [SMALL_STATE(6373)] = 324477,
  [SMALL_STATE(6374)] = 324518,
  [SMALL_STATE(6375)] = 324559,
  [SMALL_STATE(6376)] = 324600,
  [SMALL_STATE(6377)] = 324647,
  [SMALL_STATE(6378)] = 324688,
  [SMALL_STATE(6379)] = 324729,
  [SMALL_STATE(6380)] = 324770,
  [SMALL_STATE(6381)] = 324811,
  [SMALL_STATE(6382)] = 324852,
  [SMALL_STATE(6383)] = 324893,
  [SMALL_STATE(6384)] = 324934,
  [SMALL_STATE(6385)] = 324981,
  [SMALL_STATE(6386)] = 325022,
  [SMALL_STATE(6387)] = 325069,
  [SMALL_STATE(6388)] = 325110,
  [SMALL_STATE(6389)] = 325151,
  [SMALL_STATE(6390)] = 325192,
  [SMALL_STATE(6391)] = 325233,
  [SMALL_STATE(6392)] = 325274,
  [SMALL_STATE(6393)] = 325315,
  [SMALL_STATE(6394)] = 325356,
  [SMALL_STATE(6395)] = 325397,
  [SMALL_STATE(6396)] = 325442,
  [SMALL_STATE(6397)] = 325507,
  [SMALL_STATE(6398)] = 325548,
  [SMALL_STATE(6399)] = 325589,
  [SMALL_STATE(6400)] = 325632,
  [SMALL_STATE(6401)] = 325673,
  [SMALL_STATE(6402)] = 325714,
  [SMALL_STATE(6403)] = 325755,
  [SMALL_STATE(6404)] = 325804,
  [SMALL_STATE(6405)] = 325845,
  [SMALL_STATE(6406)] = 325886,
  [SMALL_STATE(6407)] = 325929,
  [SMALL_STATE(6408)] = 325972,
  [SMALL_STATE(6409)] = 326013,
  [SMALL_STATE(6410)] = 326054,
  [SMALL_STATE(6411)] = 326097,
  [SMALL_STATE(6412)] = 326138,
  [SMALL_STATE(6413)] = 326179,
  [SMALL_STATE(6414)] = 326220,
  [SMALL_STATE(6415)] = 326261,
  [SMALL_STATE(6416)] = 326302,
  [SMALL_STATE(6417)] = 326343,
  [SMALL_STATE(6418)] = 326386,
  [SMALL_STATE(6419)] = 326427,
  [SMALL_STATE(6420)] = 326468,
  [SMALL_STATE(6421)] = 326509,
  [SMALL_STATE(6422)] = 326554,
  [SMALL_STATE(6423)] = 326597,
  [SMALL_STATE(6424)] = 326638,
  [SMALL_STATE(6425)] = 326681,
  [SMALL_STATE(6426)] = 326722,
  [SMALL_STATE(6427)] = 326763,
  [SMALL_STATE(6428)] = 326824,
  [SMALL_STATE(6429)] = 326881,
  [SMALL_STATE(6430)] = 326922,
  [SMALL_STATE(6431)] = 326965,
  [SMALL_STATE(6432)] = 327006,
  [SMALL_STATE(6433)] = 327047,
  [SMALL_STATE(6434)] = 327088,
  [SMALL_STATE(6435)] = 327135,
  [SMALL_STATE(6436)] = 327182,
  [SMALL_STATE(6437)] = 327223,
  [SMALL_STATE(6438)] = 327264,
  [SMALL_STATE(6439)] = 327325,
  [SMALL_STATE(6440)] = 327366,
  [SMALL_STATE(6441)] = 327407,
  [SMALL_STATE(6442)] = 327448,
  [SMALL_STATE(6443)] = 327493,
  [SMALL_STATE(6444)] = 327538,
  [SMALL_STATE(6445)] = 327581,
  [SMALL_STATE(6446)] = 327622,
  [SMALL_STATE(6447)] = 327663,
  [SMALL_STATE(6448)] = 327706,
  [SMALL_STATE(6449)] = 327747,
  [SMALL_STATE(6450)] = 327800,
  [SMALL_STATE(6451)] = 327841,
  [SMALL_STATE(6452)] = 327882,
  [SMALL_STATE(6453)] = 327923,
  [SMALL_STATE(6454)] = 327964,
  [SMALL_STATE(6455)] = 328005,
  [SMALL_STATE(6456)] = 328060,
  [SMALL_STATE(6457)] = 328101,
  [SMALL_STATE(6458)] = 328142,
  [SMALL_STATE(6459)] = 328185,
  [SMALL_STATE(6460)] = 328226,
  [SMALL_STATE(6461)] = 328269,
  [SMALL_STATE(6462)] = 328310,
  [SMALL_STATE(6463)] = 328355,
  [SMALL_STATE(6464)] = 328396,
  [SMALL_STATE(6465)] = 328437,
  [SMALL_STATE(6466)] = 328478,
  [SMALL_STATE(6467)] = 328519,
  [SMALL_STATE(6468)] = 328560,
  [SMALL_STATE(6469)] = 328601,
  [SMALL_STATE(6470)] = 328642,
  [SMALL_STATE(6471)] = 328683,
  [SMALL_STATE(6472)] = 328728,
  [SMALL_STATE(6473)] = 328769,
  [SMALL_STATE(6474)] = 328810,
  [SMALL_STATE(6475)] = 328851,
  [SMALL_STATE(6476)] = 328892,
  [SMALL_STATE(6477)] = 328945,
  [SMALL_STATE(6478)] = 328986,
  [SMALL_STATE(6479)] = 329027,
  [SMALL_STATE(6480)] = 329068,
  [SMALL_STATE(6481)] = 329111,
  [SMALL_STATE(6482)] = 329152,
  [SMALL_STATE(6483)] = 329193,
  [SMALL_STATE(6484)] = 329234,
  [SMALL_STATE(6485)] = 329279,
  [SMALL_STATE(6486)] = 329332,
  [SMALL_STATE(6487)] = 329373,
  [SMALL_STATE(6488)] = 329414,
  [SMALL_STATE(6489)] = 329455,
  [SMALL_STATE(6490)] = 329496,
  [SMALL_STATE(6491)] = 329543,
  [SMALL_STATE(6492)] = 329584,
  [SMALL_STATE(6493)] = 329629,
  [SMALL_STATE(6494)] = 329670,
  [SMALL_STATE(6495)] = 329713,
  [SMALL_STATE(6496)] = 329754,
  [SMALL_STATE(6497)] = 329795,
  [SMALL_STATE(6498)] = 329836,
  [SMALL_STATE(6499)] = 329877,
  [SMALL_STATE(6500)] = 329942,
  [SMALL_STATE(6501)] = 329989,
  [SMALL_STATE(6502)] = 330036,
  [SMALL_STATE(6503)] = 330077,
  [SMALL_STATE(6504)] = 330118,
  [SMALL_STATE(6505)] = 330171,
  [SMALL_STATE(6506)] = 330212,
  [SMALL_STATE(6507)] = 330255,
  [SMALL_STATE(6508)] = 330298,
  [SMALL_STATE(6509)] = 330343,
  [SMALL_STATE(6510)] = 330384,
  [SMALL_STATE(6511)] = 330431,
  [SMALL_STATE(6512)] = 330476,
  [SMALL_STATE(6513)] = 330523,
  [SMALL_STATE(6514)] = 330564,
  [SMALL_STATE(6515)] = 330607,
  [SMALL_STATE(6516)] = 330648,
  [SMALL_STATE(6517)] = 330689,
  [SMALL_STATE(6518)] = 330730,
  [SMALL_STATE(6519)] = 330773,
  [SMALL_STATE(6520)] = 330814,
  [SMALL_STATE(6521)] = 330855,
  [SMALL_STATE(6522)] = 330898,
  [SMALL_STATE(6523)] = 330945,
  [SMALL_STATE(6524)] = 330986,
  [SMALL_STATE(6525)] = 331027,
  [SMALL_STATE(6526)] = 331068,
  [SMALL_STATE(6527)] = 331109,
  [SMALL_STATE(6528)] = 331150,
  [SMALL_STATE(6529)] = 331191,
  [SMALL_STATE(6530)] = 331232,
  [SMALL_STATE(6531)] = 331273,
  [SMALL_STATE(6532)] = 331314,
  [SMALL_STATE(6533)] = 331359,
  [SMALL_STATE(6534)] = 331400,
  [SMALL_STATE(6535)] = 331441,
  [SMALL_STATE(6536)] = 331494,
  [SMALL_STATE(6537)] = 331535,
  [SMALL_STATE(6538)] = 331600,
  [SMALL_STATE(6539)] = 331645,
  [SMALL_STATE(6540)] = 331686,
  [SMALL_STATE(6541)] = 331727,
  [SMALL_STATE(6542)] = 331772,
  [SMALL_STATE(6543)] = 331813,
  [SMALL_STATE(6544)] = 331854,
  [SMALL_STATE(6545)] = 331897,
  [SMALL_STATE(6546)] = 331946,
  [SMALL_STATE(6547)] = 332001,
  [SMALL_STATE(6548)] = 332048,
  [SMALL_STATE(6549)] = 332089,
  [SMALL_STATE(6550)] = 332130,
  [SMALL_STATE(6551)] = 332173,
  [SMALL_STATE(6552)] = 332220,
  [SMALL_STATE(6553)] = 332261,
  [SMALL_STATE(6554)] = 332302,
  [SMALL_STATE(6555)] = 332343,
  [SMALL_STATE(6556)] = 332384,
  [SMALL_STATE(6557)] = 332425,
  [SMALL_STATE(6558)] = 332466,
  [SMALL_STATE(6559)] = 332507,
  [SMALL_STATE(6560)] = 332550,
  [SMALL_STATE(6561)] = 332591,
  [SMALL_STATE(6562)] = 332656,
  [SMALL_STATE(6563)] = 332701,
  [SMALL_STATE(6564)] = 332754,
  [SMALL_STATE(6565)] = 332795,
  [SMALL_STATE(6566)] = 332836,
  [SMALL_STATE(6567)] = 332879,
  [SMALL_STATE(6568)] = 332944,
  [SMALL_STATE(6569)] = 332985,
  [SMALL_STATE(6570)] = 333026,
  [SMALL_STATE(6571)] = 333067,
  [SMALL_STATE(6572)] = 333108,
  [SMALL_STATE(6573)] = 333149,
  [SMALL_STATE(6574)] = 333190,
  [SMALL_STATE(6575)] = 333231,
  [SMALL_STATE(6576)] = 333272,
  [SMALL_STATE(6577)] = 333313,
  [SMALL_STATE(6578)] = 333358,
  [SMALL_STATE(6579)] = 333399,
  [SMALL_STATE(6580)] = 333454,
  [SMALL_STATE(6581)] = 333495,
  [SMALL_STATE(6582)] = 333536,
  [SMALL_STATE(6583)] = 333577,
  [SMALL_STATE(6584)] = 333618,
  [SMALL_STATE(6585)] = 333659,
  [SMALL_STATE(6586)] = 333700,
  [SMALL_STATE(6587)] = 333741,
  [SMALL_STATE(6588)] = 333782,
  [SMALL_STATE(6589)] = 333843,
  [SMALL_STATE(6590)] = 333888,
  [SMALL_STATE(6591)] = 333929,
  [SMALL_STATE(6592)] = 333970,
  [SMALL_STATE(6593)] = 334011,
  [SMALL_STATE(6594)] = 334052,
  [SMALL_STATE(6595)] = 334093,
  [SMALL_STATE(6596)] = 334136,
  [SMALL_STATE(6597)] = 334177,
  [SMALL_STATE(6598)] = 334218,
  [SMALL_STATE(6599)] = 334273,
  [SMALL_STATE(6600)] = 334320,
  [SMALL_STATE(6601)] = 334361,
  [SMALL_STATE(6602)] = 334402,
  [SMALL_STATE(6603)] = 334443,
  [SMALL_STATE(6604)] = 334484,
  [SMALL_STATE(6605)] = 334525,
  [SMALL_STATE(6606)] = 334574,
  [SMALL_STATE(6607)] = 334615,
  [SMALL_STATE(6608)] = 334658,
  [SMALL_STATE(6609)] = 334699,
  [SMALL_STATE(6610)] = 334746,
  [SMALL_STATE(6611)] = 334787,
  [SMALL_STATE(6612)] = 334828,
  [SMALL_STATE(6613)] = 334869,
  [SMALL_STATE(6614)] = 334910,
  [SMALL_STATE(6615)] = 334961,
  [SMALL_STATE(6616)] = 335014,
  [SMALL_STATE(6617)] = 335057,
  [SMALL_STATE(6618)] = 335098,
  [SMALL_STATE(6619)] = 335139,
  [SMALL_STATE(6620)] = 335180,
  [SMALL_STATE(6621)] = 335223,
  [SMALL_STATE(6622)] = 335264,
  [SMALL_STATE(6623)] = 335305,
  [SMALL_STATE(6624)] = 335346,
  [SMALL_STATE(6625)] = 335387,
  [SMALL_STATE(6626)] = 335428,
  [SMALL_STATE(6627)] = 335469,
  [SMALL_STATE(6628)] = 335510,
  [SMALL_STATE(6629)] = 335551,
  [SMALL_STATE(6630)] = 335592,
  [SMALL_STATE(6631)] = 335633,
  [SMALL_STATE(6632)] = 335674,
  [SMALL_STATE(6633)] = 335715,
  [SMALL_STATE(6634)] = 335756,
  [SMALL_STATE(6635)] = 335797,
  [SMALL_STATE(6636)] = 335838,
  [SMALL_STATE(6637)] = 335883,
  [SMALL_STATE(6638)] = 335924,
  [SMALL_STATE(6639)] = 335967,
  [SMALL_STATE(6640)] = 336008,
  [SMALL_STATE(6641)] = 336049,
  [SMALL_STATE(6642)] = 336090,
  [SMALL_STATE(6643)] = 336131,
  [SMALL_STATE(6644)] = 336178,
  [SMALL_STATE(6645)] = 336219,
  [SMALL_STATE(6646)] = 336260,
  [SMALL_STATE(6647)] = 336303,
  [SMALL_STATE(6648)] = 336358,
  [SMALL_STATE(6649)] = 336405,
  [SMALL_STATE(6650)] = 336446,
  [SMALL_STATE(6651)] = 336487,
  [SMALL_STATE(6652)] = 336528,
  [SMALL_STATE(6653)] = 336571,
  [SMALL_STATE(6654)] = 336612,
  [SMALL_STATE(6655)] = 336657,
  [SMALL_STATE(6656)] = 336698,
  [SMALL_STATE(6657)] = 336739,
  [SMALL_STATE(6658)] = 336782,
  [SMALL_STATE(6659)] = 336827,
  [SMALL_STATE(6660)] = 336868,
  [SMALL_STATE(6661)] = 336909,
  [SMALL_STATE(6662)] = 336950,
  [SMALL_STATE(6663)] = 337003,
  [SMALL_STATE(6664)] = 337044,
  [SMALL_STATE(6665)] = 337096,
  [SMALL_STATE(6666)] = 337136,
  [SMALL_STATE(6667)] = 337178,
  [SMALL_STATE(6668)] = 337218,
  [SMALL_STATE(6669)] = 337258,
  [SMALL_STATE(6670)] = 337302,
  [SMALL_STATE(6671)] = 337342,
  [SMALL_STATE(6672)] = 337388,
  [SMALL_STATE(6673)] = 337428,
  [SMALL_STATE(6674)] = 337468,
  [SMALL_STATE(6675)] = 337508,
  [SMALL_STATE(6676)] = 337548,
  [SMALL_STATE(6677)] = 337590,
  [SMALL_STATE(6678)] = 337642,
  [SMALL_STATE(6679)] = 337702,
  [SMALL_STATE(6680)] = 337742,
  [SMALL_STATE(6681)] = 337782,
  [SMALL_STATE(6682)] = 337822,
  [SMALL_STATE(6683)] = 337862,
  [SMALL_STATE(6684)] = 337902,
  [SMALL_STATE(6685)] = 337942,
  [SMALL_STATE(6686)] = 337982,
  [SMALL_STATE(6687)] = 338024,
  [SMALL_STATE(6688)] = 338068,
  [SMALL_STATE(6689)] = 338108,
  [SMALL_STATE(6690)] = 338148,
  [SMALL_STATE(6691)] = 338188,
  [SMALL_STATE(6692)] = 338228,
  [SMALL_STATE(6693)] = 338268,
  [SMALL_STATE(6694)] = 338308,
  [SMALL_STATE(6695)] = 338352,
  [SMALL_STATE(6696)] = 338392,
  [SMALL_STATE(6697)] = 338432,
  [SMALL_STATE(6698)] = 338472,
  [SMALL_STATE(6699)] = 338512,
  [SMALL_STATE(6700)] = 338552,
  [SMALL_STATE(6701)] = 338596,
  [SMALL_STATE(6702)] = 338636,
  [SMALL_STATE(6703)] = 338676,
  [SMALL_STATE(6704)] = 338716,
  [SMALL_STATE(6705)] = 338762,
  [SMALL_STATE(6706)] = 338804,
  [SMALL_STATE(6707)] = 338844,
  [SMALL_STATE(6708)] = 338884,
  [SMALL_STATE(6709)] = 338924,
  [SMALL_STATE(6710)] = 338964,
  [SMALL_STATE(6711)] = 339034,
  [SMALL_STATE(6712)] = 339074,
  [SMALL_STATE(6713)] = 339114,
  [SMALL_STATE(6714)] = 339154,
  [SMALL_STATE(6715)] = 339196,
  [SMALL_STATE(6716)] = 339236,
  [SMALL_STATE(6717)] = 339276,
  [SMALL_STATE(6718)] = 339330,
  [SMALL_STATE(6719)] = 339370,
  [SMALL_STATE(6720)] = 339410,
  [SMALL_STATE(6721)] = 339450,
  [SMALL_STATE(6722)] = 339490,
  [SMALL_STATE(6723)] = 339530,
  [SMALL_STATE(6724)] = 339570,
  [SMALL_STATE(6725)] = 339610,
  [SMALL_STATE(6726)] = 339650,
  [SMALL_STATE(6727)] = 339690,
  [SMALL_STATE(6728)] = 339732,
  [SMALL_STATE(6729)] = 339772,
  [SMALL_STATE(6730)] = 339812,
  [SMALL_STATE(6731)] = 339852,
  [SMALL_STATE(6732)] = 339892,
  [SMALL_STATE(6733)] = 339936,
  [SMALL_STATE(6734)] = 339978,
  [SMALL_STATE(6735)] = 340036,
  [SMALL_STATE(6736)] = 340082,
  [SMALL_STATE(6737)] = 340152,
  [SMALL_STATE(6738)] = 340192,
  [SMALL_STATE(6739)] = 340232,
  [SMALL_STATE(6740)] = 340288,
  [SMALL_STATE(6741)] = 340328,
  [SMALL_STATE(6742)] = 340386,
  [SMALL_STATE(6743)] = 340430,
  [SMALL_STATE(6744)] = 340470,
  [SMALL_STATE(6745)] = 340512,
  [SMALL_STATE(6746)] = 340552,
  [SMALL_STATE(6747)] = 340592,
  [SMALL_STATE(6748)] = 340632,
  [SMALL_STATE(6749)] = 340672,
  [SMALL_STATE(6750)] = 340714,
  [SMALL_STATE(6751)] = 340756,
  [SMALL_STATE(6752)] = 340796,
  [SMALL_STATE(6753)] = 340838,
  [SMALL_STATE(6754)] = 340878,
  [SMALL_STATE(6755)] = 340920,
  [SMALL_STATE(6756)] = 340966,
  [SMALL_STATE(6757)] = 341012,
  [SMALL_STATE(6758)] = 341052,
  [SMALL_STATE(6759)] = 341092,
  [SMALL_STATE(6760)] = 341138,
  [SMALL_STATE(6761)] = 341178,
  [SMALL_STATE(6762)] = 341218,
  [SMALL_STATE(6763)] = 341258,
  [SMALL_STATE(6764)] = 341298,
  [SMALL_STATE(6765)] = 341338,
  [SMALL_STATE(6766)] = 341378,
  [SMALL_STATE(6767)] = 341418,
  [SMALL_STATE(6768)] = 341458,
  [SMALL_STATE(6769)] = 341498,
  [SMALL_STATE(6770)] = 341538,
  [SMALL_STATE(6771)] = 341578,
  [SMALL_STATE(6772)] = 341620,
  [SMALL_STATE(6773)] = 341662,
  [SMALL_STATE(6774)] = 341702,
  [SMALL_STATE(6775)] = 341742,
  [SMALL_STATE(6776)] = 341782,
  [SMALL_STATE(6777)] = 341822,
  [SMALL_STATE(6778)] = 341864,
  [SMALL_STATE(6779)] = 341904,
  [SMALL_STATE(6780)] = 341944,
  [SMALL_STATE(6781)] = 341984,
  [SMALL_STATE(6782)] = 342024,
  [SMALL_STATE(6783)] = 342064,
  [SMALL_STATE(6784)] = 342104,
  [SMALL_STATE(6785)] = 342144,
  [SMALL_STATE(6786)] = 342184,
  [SMALL_STATE(6787)] = 342224,
  [SMALL_STATE(6788)] = 342264,
  [SMALL_STATE(6789)] = 342304,
  [SMALL_STATE(6790)] = 342344,
  [SMALL_STATE(6791)] = 342384,
  [SMALL_STATE(6792)] = 342438,
  [SMALL_STATE(6793)] = 342478,
  [SMALL_STATE(6794)] = 342520,
  [SMALL_STATE(6795)] = 342560,
  [SMALL_STATE(6796)] = 342600,
  [SMALL_STATE(6797)] = 342670,
  [SMALL_STATE(6798)] = 342710,
  [SMALL_STATE(6799)] = 342750,
  [SMALL_STATE(6800)] = 342790,
  [SMALL_STATE(6801)] = 342832,
  [SMALL_STATE(6802)] = 342878,
  [SMALL_STATE(6803)] = 342918,
  [SMALL_STATE(6804)] = 342958,
  [SMALL_STATE(6805)] = 342998,
  [SMALL_STATE(6806)] = 343038,
  [SMALL_STATE(6807)] = 343092,
  [SMALL_STATE(6808)] = 343132,
  [SMALL_STATE(6809)] = 343172,
  [SMALL_STATE(6810)] = 343212,
  [SMALL_STATE(6811)] = 343252,
  [SMALL_STATE(6812)] = 343292,
  [SMALL_STATE(6813)] = 343348,
  [SMALL_STATE(6814)] = 343388,
  [SMALL_STATE(6815)] = 343428,
  [SMALL_STATE(6816)] = 343468,
  [SMALL_STATE(6817)] = 343508,
  [SMALL_STATE(6818)] = 343548,
  [SMALL_STATE(6819)] = 343588,
  [SMALL_STATE(6820)] = 343628,
  [SMALL_STATE(6821)] = 343688,
  [SMALL_STATE(6822)] = 343732,
  [SMALL_STATE(6823)] = 343776,
  [SMALL_STATE(6824)] = 343816,
  [SMALL_STATE(6825)] = 343868,
  [SMALL_STATE(6826)] = 343908,
  [SMALL_STATE(6827)] = 343948,
  [SMALL_STATE(6828)] = 343988,
  [SMALL_STATE(6829)] = 344028,
  [SMALL_STATE(6830)] = 344068,
  [SMALL_STATE(6831)] = 344108,
  [SMALL_STATE(6832)] = 344148,
  [SMALL_STATE(6833)] = 344188,
  [SMALL_STATE(6834)] = 344228,
  [SMALL_STATE(6835)] = 344268,
  [SMALL_STATE(6836)] = 344308,
  [SMALL_STATE(6837)] = 344348,
  [SMALL_STATE(6838)] = 344390,
  [SMALL_STATE(6839)] = 344430,
  [SMALL_STATE(6840)] = 344470,
  [SMALL_STATE(6841)] = 344516,
  [SMALL_STATE(6842)] = 344556,
  [SMALL_STATE(6843)] = 344596,
  [SMALL_STATE(6844)] = 344636,
  [SMALL_STATE(6845)] = 344676,
  [SMALL_STATE(6846)] = 344716,
  [SMALL_STATE(6847)] = 344756,
  [SMALL_STATE(6848)] = 344796,
  [SMALL_STATE(6849)] = 344836,
  [SMALL_STATE(6850)] = 344876,
  [SMALL_STATE(6851)] = 344916,
  [SMALL_STATE(6852)] = 344956,
  [SMALL_STATE(6853)] = 344996,
  [SMALL_STATE(6854)] = 345036,
  [SMALL_STATE(6855)] = 345078,
  [SMALL_STATE(6856)] = 345118,
  [SMALL_STATE(6857)] = 345158,
  [SMALL_STATE(6858)] = 345198,
  [SMALL_STATE(6859)] = 345238,
  [SMALL_STATE(6860)] = 345278,
  [SMALL_STATE(6861)] = 345318,
  [SMALL_STATE(6862)] = 345358,
  [SMALL_STATE(6863)] = 345402,
  [SMALL_STATE(6864)] = 345442,
  [SMALL_STATE(6865)] = 345482,
  [SMALL_STATE(6866)] = 345522,
  [SMALL_STATE(6867)] = 345562,
  [SMALL_STATE(6868)] = 345616,
  [SMALL_STATE(6869)] = 345656,
  [SMALL_STATE(6870)] = 345696,
  [SMALL_STATE(6871)] = 345748,
  [SMALL_STATE(6872)] = 345808,
  [SMALL_STATE(6873)] = 345848,
  [SMALL_STATE(6874)] = 345888,
  [SMALL_STATE(6875)] = 345928,
  [SMALL_STATE(6876)] = 345968,
  [SMALL_STATE(6877)] = 346012,
  [SMALL_STATE(6878)] = 346052,
  [SMALL_STATE(6879)] = 346102,
  [SMALL_STATE(6880)] = 346150,
  [SMALL_STATE(6881)] = 346190,
  [SMALL_STATE(6882)] = 346230,
  [SMALL_STATE(6883)] = 346274,
  [SMALL_STATE(6884)] = 346314,
  [SMALL_STATE(6885)] = 346360,
  [SMALL_STATE(6886)] = 346400,
  [SMALL_STATE(6887)] = 346440,
  [SMALL_STATE(6888)] = 346480,
  [SMALL_STATE(6889)] = 346522,
  [SMALL_STATE(6890)] = 346562,
  [SMALL_STATE(6891)] = 346602,
  [SMALL_STATE(6892)] = 346642,
  [SMALL_STATE(6893)] = 346682,
  [SMALL_STATE(6894)] = 346742,
  [SMALL_STATE(6895)] = 346782,
  [SMALL_STATE(6896)] = 346822,
  [SMALL_STATE(6897)] = 346864,
  [SMALL_STATE(6898)] = 346904,
  [SMALL_STATE(6899)] = 346944,
  [SMALL_STATE(6900)] = 346984,
  [SMALL_STATE(6901)] = 347024,
  [SMALL_STATE(6902)] = 347064,
  [SMALL_STATE(6903)] = 347104,
  [SMALL_STATE(6904)] = 347144,
  [SMALL_STATE(6905)] = 347184,
  [SMALL_STATE(6906)] = 347224,
  [SMALL_STATE(6907)] = 347264,
  [SMALL_STATE(6908)] = 347310,
  [SMALL_STATE(6909)] = 347350,
  [SMALL_STATE(6910)] = 347410,
  [SMALL_STATE(6911)] = 347452,
  [SMALL_STATE(6912)] = 347498,
  [SMALL_STATE(6913)] = 347538,
  [SMALL_STATE(6914)] = 347578,
  [SMALL_STATE(6915)] = 347620,
  [SMALL_STATE(6916)] = 347660,
  [SMALL_STATE(6917)] = 347700,
  [SMALL_STATE(6918)] = 347740,
  [SMALL_STATE(6919)] = 347780,
  [SMALL_STATE(6920)] = 347822,
  [SMALL_STATE(6921)] = 347862,
  [SMALL_STATE(6922)] = 347902,
  [SMALL_STATE(6923)] = 347942,
  [SMALL_STATE(6924)] = 347982,
  [SMALL_STATE(6925)] = 348022,
  [SMALL_STATE(6926)] = 348062,
  [SMALL_STATE(6927)] = 348102,
  [SMALL_STATE(6928)] = 348146,
  [SMALL_STATE(6929)] = 348186,
  [SMALL_STATE(6930)] = 348226,
  [SMALL_STATE(6931)] = 348266,
  [SMALL_STATE(6932)] = 348306,
  [SMALL_STATE(6933)] = 348346,
  [SMALL_STATE(6934)] = 348386,
  [SMALL_STATE(6935)] = 348430,
  [SMALL_STATE(6936)] = 348470,
  [SMALL_STATE(6937)] = 348510,
  [SMALL_STATE(6938)] = 348556,
  [SMALL_STATE(6939)] = 348596,
  [SMALL_STATE(6940)] = 348640,
  [SMALL_STATE(6941)] = 348680,
  [SMALL_STATE(6942)] = 348720,
  [SMALL_STATE(6943)] = 348772,
  [SMALL_STATE(6944)] = 348812,
  [SMALL_STATE(6945)] = 348852,
  [SMALL_STATE(6946)] = 348892,
  [SMALL_STATE(6947)] = 348934,
  [SMALL_STATE(6948)] = 348974,
  [SMALL_STATE(6949)] = 349022,
  [SMALL_STATE(6950)] = 349068,
  [SMALL_STATE(6951)] = 349108,
  [SMALL_STATE(6952)] = 349148,
  [SMALL_STATE(6953)] = 349188,
  [SMALL_STATE(6954)] = 349228,
  [SMALL_STATE(6955)] = 349268,
  [SMALL_STATE(6956)] = 349308,
  [SMALL_STATE(6957)] = 349348,
  [SMALL_STATE(6958)] = 349388,
  [SMALL_STATE(6959)] = 349428,
  [SMALL_STATE(6960)] = 349468,
  [SMALL_STATE(6961)] = 349516,
  [SMALL_STATE(6962)] = 349556,
  [SMALL_STATE(6963)] = 349600,
  [SMALL_STATE(6964)] = 349640,
  [SMALL_STATE(6965)] = 349680,
  [SMALL_STATE(6966)] = 349720,
  [SMALL_STATE(6967)] = 349766,
  [SMALL_STATE(6968)] = 349812,
  [SMALL_STATE(6969)] = 349852,
  [SMALL_STATE(6970)] = 349892,
  [SMALL_STATE(6971)] = 349962,
  [SMALL_STATE(6972)] = 350002,
  [SMALL_STATE(6973)] = 350042,
  [SMALL_STATE(6974)] = 350082,
  [SMALL_STATE(6975)] = 350134,
  [SMALL_STATE(6976)] = 350204,
  [SMALL_STATE(6977)] = 350244,
  [SMALL_STATE(6978)] = 350284,
  [SMALL_STATE(6979)] = 350324,
  [SMALL_STATE(6980)] = 350364,
  [SMALL_STATE(6981)] = 350404,
  [SMALL_STATE(6982)] = 350448,
  [SMALL_STATE(6983)] = 350490,
  [SMALL_STATE(6984)] = 350530,
  [SMALL_STATE(6985)] = 350570,
  [SMALL_STATE(6986)] = 350610,
  [SMALL_STATE(6987)] = 350650,
  [SMALL_STATE(6988)] = 350690,
  [SMALL_STATE(6989)] = 350730,
  [SMALL_STATE(6990)] = 350772,
  [SMALL_STATE(6991)] = 350812,
  [SMALL_STATE(6992)] = 350852,
  [SMALL_STATE(6993)] = 350894,
  [SMALL_STATE(6994)] = 350948,
  [SMALL_STATE(6995)] = 350988,
  [SMALL_STATE(6996)] = 351028,
  [SMALL_STATE(6997)] = 351068,
  [SMALL_STATE(6998)] = 351108,
  [SMALL_STATE(6999)] = 351148,
  [SMALL_STATE(7000)] = 351188,
  [SMALL_STATE(7001)] = 351228,
  [SMALL_STATE(7002)] = 351268,
  [SMALL_STATE(7003)] = 351308,
  [SMALL_STATE(7004)] = 351348,
  [SMALL_STATE(7005)] = 351388,
  [SMALL_STATE(7006)] = 351428,
  [SMALL_STATE(7007)] = 351472,
  [SMALL_STATE(7008)] = 351512,
  [SMALL_STATE(7009)] = 351554,
  [SMALL_STATE(7010)] = 351594,
  [SMALL_STATE(7011)] = 351634,
  [SMALL_STATE(7012)] = 351674,
  [SMALL_STATE(7013)] = 351714,
  [SMALL_STATE(7014)] = 351756,
  [SMALL_STATE(7015)] = 351796,
  [SMALL_STATE(7016)] = 351838,
  [SMALL_STATE(7017)] = 351878,
  [SMALL_STATE(7018)] = 351918,
  [SMALL_STATE(7019)] = 351970,
  [SMALL_STATE(7020)] = 352010,
  [SMALL_STATE(7021)] = 352050,
  [SMALL_STATE(7022)] = 352090,
  [SMALL_STATE(7023)] = 352160,
  [SMALL_STATE(7024)] = 352204,
  [SMALL_STATE(7025)] = 352244,
  [SMALL_STATE(7026)] = 352314,
  [SMALL_STATE(7027)] = 352378,
  [SMALL_STATE(7028)] = 352418,
  [SMALL_STATE(7029)] = 352458,
  [SMALL_STATE(7030)] = 352498,
  [SMALL_STATE(7031)] = 352540,
  [SMALL_STATE(7032)] = 352580,
  [SMALL_STATE(7033)] = 352620,
  [SMALL_STATE(7034)] = 352660,
  [SMALL_STATE(7035)] = 352700,
  [SMALL_STATE(7036)] = 352740,
  [SMALL_STATE(7037)] = 352790,
  [SMALL_STATE(7038)] = 352830,
  [SMALL_STATE(7039)] = 352870,
  [SMALL_STATE(7040)] = 352910,
  [SMALL_STATE(7041)] = 352958,
  [SMALL_STATE(7042)] = 352998,
  [SMALL_STATE(7043)] = 353038,
  [SMALL_STATE(7044)] = 353082,
  [SMALL_STATE(7045)] = 353122,
  [SMALL_STATE(7046)] = 353162,
  [SMALL_STATE(7047)] = 353202,
  [SMALL_STATE(7048)] = 353246,
  [SMALL_STATE(7049)] = 353286,
  [SMALL_STATE(7050)] = 353356,
  [SMALL_STATE(7051)] = 353410,
  [SMALL_STATE(7052)] = 353450,
  [SMALL_STATE(7053)] = 353490,
  [SMALL_STATE(7054)] = 353544,
  [SMALL_STATE(7055)] = 353584,
  [SMALL_STATE(7056)] = 353624,
  [SMALL_STATE(7057)] = 353668,
  [SMALL_STATE(7058)] = 353738,
  [SMALL_STATE(7059)] = 353792,
  [SMALL_STATE(7060)] = 353832,
  [SMALL_STATE(7061)] = 353872,
  [SMALL_STATE(7062)] = 353912,
  [SMALL_STATE(7063)] = 353952,
  [SMALL_STATE(7064)] = 353992,
  [SMALL_STATE(7065)] = 354032,
  [SMALL_STATE(7066)] = 354072,
  [SMALL_STATE(7067)] = 354112,
  [SMALL_STATE(7068)] = 354152,
  [SMALL_STATE(7069)] = 354192,
  [SMALL_STATE(7070)] = 354232,
  [SMALL_STATE(7071)] = 354282,
  [SMALL_STATE(7072)] = 354336,
  [SMALL_STATE(7073)] = 354376,
  [SMALL_STATE(7074)] = 354416,
  [SMALL_STATE(7075)] = 354456,
  [SMALL_STATE(7076)] = 354496,
  [SMALL_STATE(7077)] = 354538,
  [SMALL_STATE(7078)] = 354602,
  [SMALL_STATE(7079)] = 354644,
  [SMALL_STATE(7080)] = 354684,
  [SMALL_STATE(7081)] = 354724,
  [SMALL_STATE(7082)] = 354764,
  [SMALL_STATE(7083)] = 354804,
  [SMALL_STATE(7084)] = 354846,
  [SMALL_STATE(7085)] = 354886,
  [SMALL_STATE(7086)] = 354946,
  [SMALL_STATE(7087)] = 354986,
  [SMALL_STATE(7088)] = 355026,
  [SMALL_STATE(7089)] = 355066,
  [SMALL_STATE(7090)] = 355106,
  [SMALL_STATE(7091)] = 355146,
  [SMALL_STATE(7092)] = 355186,
  [SMALL_STATE(7093)] = 355228,
  [SMALL_STATE(7094)] = 355268,
  [SMALL_STATE(7095)] = 355308,
  [SMALL_STATE(7096)] = 355354,
  [SMALL_STATE(7097)] = 355394,
  [SMALL_STATE(7098)] = 355434,
  [SMALL_STATE(7099)] = 355474,
  [SMALL_STATE(7100)] = 355514,
  [SMALL_STATE(7101)] = 355564,
  [SMALL_STATE(7102)] = 355604,
  [SMALL_STATE(7103)] = 355644,
  [SMALL_STATE(7104)] = 355684,
  [SMALL_STATE(7105)] = 355724,
  [SMALL_STATE(7106)] = 355764,
  [SMALL_STATE(7107)] = 355804,
  [SMALL_STATE(7108)] = 355844,
  [SMALL_STATE(7109)] = 355884,
  [SMALL_STATE(7110)] = 355948,
  [SMALL_STATE(7111)] = 355998,
  [SMALL_STATE(7112)] = 356038,
  [SMALL_STATE(7113)] = 356078,
  [SMALL_STATE(7114)] = 356118,
  [SMALL_STATE(7115)] = 356160,
  [SMALL_STATE(7116)] = 356202,
  [SMALL_STATE(7117)] = 356254,
  [SMALL_STATE(7118)] = 356294,
  [SMALL_STATE(7119)] = 356336,
  [SMALL_STATE(7120)] = 356376,
  [SMALL_STATE(7121)] = 356416,
  [SMALL_STATE(7122)] = 356456,
  [SMALL_STATE(7123)] = 356496,
  [SMALL_STATE(7124)] = 356536,
  [SMALL_STATE(7125)] = 356576,
  [SMALL_STATE(7126)] = 356616,
  [SMALL_STATE(7127)] = 356658,
  [SMALL_STATE(7128)] = 356698,
  [SMALL_STATE(7129)] = 356738,
  [SMALL_STATE(7130)] = 356778,
  [SMALL_STATE(7131)] = 356818,
  [SMALL_STATE(7132)] = 356858,
  [SMALL_STATE(7133)] = 356898,
  [SMALL_STATE(7134)] = 356938,
  [SMALL_STATE(7135)] = 356978,
  [SMALL_STATE(7136)] = 357048,
  [SMALL_STATE(7137)] = 357088,
  [SMALL_STATE(7138)] = 357128,
  [SMALL_STATE(7139)] = 357168,
  [SMALL_STATE(7140)] = 357208,
  [SMALL_STATE(7141)] = 357250,
  [SMALL_STATE(7142)] = 357290,
  [SMALL_STATE(7143)] = 357330,
  [SMALL_STATE(7144)] = 357370,
  [SMALL_STATE(7145)] = 357408,
  [SMALL_STATE(7146)] = 357450,
  [SMALL_STATE(7147)] = 357502,
  [SMALL_STATE(7148)] = 357554,
  [SMALL_STATE(7149)] = 357594,
  [SMALL_STATE(7150)] = 357634,
  [SMALL_STATE(7151)] = 357674,
  [SMALL_STATE(7152)] = 357714,
  [SMALL_STATE(7153)] = 357754,
  [SMALL_STATE(7154)] = 357796,
  [SMALL_STATE(7155)] = 357836,
  [SMALL_STATE(7156)] = 357876,
  [SMALL_STATE(7157)] = 357946,
  [SMALL_STATE(7158)] = 357992,
  [SMALL_STATE(7159)] = 358032,
  [SMALL_STATE(7160)] = 358072,
  [SMALL_STATE(7161)] = 358118,
  [SMALL_STATE(7162)] = 358172,
  [SMALL_STATE(7163)] = 358212,
  [SMALL_STATE(7164)] = 358254,
  [SMALL_STATE(7165)] = 358314,
  [SMALL_STATE(7166)] = 358360,
  [SMALL_STATE(7167)] = 358426,
  [SMALL_STATE(7168)] = 358466,
  [SMALL_STATE(7169)] = 358506,
  [SMALL_STATE(7170)] = 358548,
  [SMALL_STATE(7171)] = 358588,
  [SMALL_STATE(7172)] = 358628,
  [SMALL_STATE(7173)] = 358668,
  [SMALL_STATE(7174)] = 358708,
  [SMALL_STATE(7175)] = 358748,
  [SMALL_STATE(7176)] = 358788,
  [SMALL_STATE(7177)] = 358828,
  [SMALL_STATE(7178)] = 358868,
  [SMALL_STATE(7179)] = 358908,
  [SMALL_STATE(7180)] = 358952,
  [SMALL_STATE(7181)] = 358992,
  [SMALL_STATE(7182)] = 359032,
  [SMALL_STATE(7183)] = 359076,
  [SMALL_STATE(7184)] = 359116,
  [SMALL_STATE(7185)] = 359156,
  [SMALL_STATE(7186)] = 359196,
  [SMALL_STATE(7187)] = 359236,
  [SMALL_STATE(7188)] = 359276,
  [SMALL_STATE(7189)] = 359340,
  [SMALL_STATE(7190)] = 359382,
  [SMALL_STATE(7191)] = 359422,
  [SMALL_STATE(7192)] = 359462,
  [SMALL_STATE(7193)] = 359502,
  [SMALL_STATE(7194)] = 359542,
  [SMALL_STATE(7195)] = 359582,
  [SMALL_STATE(7196)] = 359622,
  [SMALL_STATE(7197)] = 359662,
  [SMALL_STATE(7198)] = 359702,
  [SMALL_STATE(7199)] = 359742,
  [SMALL_STATE(7200)] = 359782,
  [SMALL_STATE(7201)] = 359836,
  [SMALL_STATE(7202)] = 359876,
  [SMALL_STATE(7203)] = 359916,
  [SMALL_STATE(7204)] = 359968,
  [SMALL_STATE(7205)] = 360008,
  [SMALL_STATE(7206)] = 360048,
  [SMALL_STATE(7207)] = 360088,
  [SMALL_STATE(7208)] = 360128,
  [SMALL_STATE(7209)] = 360168,
  [SMALL_STATE(7210)] = 360208,
  [SMALL_STATE(7211)] = 360248,
  [SMALL_STATE(7212)] = 360288,
  [SMALL_STATE(7213)] = 360328,
  [SMALL_STATE(7214)] = 360374,
  [SMALL_STATE(7215)] = 360414,
  [SMALL_STATE(7216)] = 360462,
  [SMALL_STATE(7217)] = 360502,
  [SMALL_STATE(7218)] = 360542,
  [SMALL_STATE(7219)] = 360582,
  [SMALL_STATE(7220)] = 360624,
  [SMALL_STATE(7221)] = 360666,
  [SMALL_STATE(7222)] = 360706,
  [SMALL_STATE(7223)] = 360752,
  [SMALL_STATE(7224)] = 360792,
  [SMALL_STATE(7225)] = 360856,
  [SMALL_STATE(7226)] = 360896,
  [SMALL_STATE(7227)] = 360950,
  [SMALL_STATE(7228)] = 360992,
  [SMALL_STATE(7229)] = 361032,
  [SMALL_STATE(7230)] = 361078,
  [SMALL_STATE(7231)] = 361118,
  [SMALL_STATE(7232)] = 361158,
  [SMALL_STATE(7233)] = 361198,
  [SMALL_STATE(7234)] = 361238,
  [SMALL_STATE(7235)] = 361278,
  [SMALL_STATE(7236)] = 361342,
  [SMALL_STATE(7237)] = 361388,
  [SMALL_STATE(7238)] = 361428,
  [SMALL_STATE(7239)] = 361472,
  [SMALL_STATE(7240)] = 361512,
  [SMALL_STATE(7241)] = 361556,
  [SMALL_STATE(7242)] = 361596,
  [SMALL_STATE(7243)] = 361648,
  [SMALL_STATE(7244)] = 361694,
  [SMALL_STATE(7245)] = 361744,
  [SMALL_STATE(7246)] = 361790,
  [SMALL_STATE(7247)] = 361830,
  [SMALL_STATE(7248)] = 361870,
  [SMALL_STATE(7249)] = 361910,
  [SMALL_STATE(7250)] = 361950,
  [SMALL_STATE(7251)] = 361996,
  [SMALL_STATE(7252)] = 362036,
  [SMALL_STATE(7253)] = 362078,
  [SMALL_STATE(7254)] = 362118,
  [SMALL_STATE(7255)] = 362162,
  [SMALL_STATE(7256)] = 362202,
  [SMALL_STATE(7257)] = 362242,
  [SMALL_STATE(7258)] = 362282,
  [SMALL_STATE(7259)] = 362326,
  [SMALL_STATE(7260)] = 362366,
  [SMALL_STATE(7261)] = 362406,
  [SMALL_STATE(7262)] = 362448,
  [SMALL_STATE(7263)] = 362488,
  [SMALL_STATE(7264)] = 362528,
  [SMALL_STATE(7265)] = 362568,
  [SMALL_STATE(7266)] = 362608,
  [SMALL_STATE(7267)] = 362648,
  [SMALL_STATE(7268)] = 362690,
  [SMALL_STATE(7269)] = 362730,
  [SMALL_STATE(7270)] = 362770,
  [SMALL_STATE(7271)] = 362810,
  [SMALL_STATE(7272)] = 362850,
  [SMALL_STATE(7273)] = 362890,
  [SMALL_STATE(7274)] = 362944,
  [SMALL_STATE(7275)] = 362984,
  [SMALL_STATE(7276)] = 363024,
  [SMALL_STATE(7277)] = 363068,
  [SMALL_STATE(7278)] = 363110,
  [SMALL_STATE(7279)] = 363160,
  [SMALL_STATE(7280)] = 363200,
  [SMALL_STATE(7281)] = 363240,
  [SMALL_STATE(7282)] = 363280,
  [SMALL_STATE(7283)] = 363320,
  [SMALL_STATE(7284)] = 363360,
  [SMALL_STATE(7285)] = 363424,
  [SMALL_STATE(7286)] = 363468,
  [SMALL_STATE(7287)] = 363532,
  [SMALL_STATE(7288)] = 363572,
  [SMALL_STATE(7289)] = 363626,
  [SMALL_STATE(7290)] = 363690,
  [SMALL_STATE(7291)] = 363740,
  [SMALL_STATE(7292)] = 363784,
  [SMALL_STATE(7293)] = 363824,
  [SMALL_STATE(7294)] = 363868,
  [SMALL_STATE(7295)] = 363908,
  [SMALL_STATE(7296)] = 363948,
  [SMALL_STATE(7297)] = 363988,
  [SMALL_STATE(7298)] = 364028,
  [SMALL_STATE(7299)] = 364070,
  [SMALL_STATE(7300)] = 364110,
  [SMALL_STATE(7301)] = 364156,
  [SMALL_STATE(7302)] = 364196,
  [SMALL_STATE(7303)] = 364240,
  [SMALL_STATE(7304)] = 364280,
  [SMALL_STATE(7305)] = 364320,
  [SMALL_STATE(7306)] = 364360,
  [SMALL_STATE(7307)] = 364400,
  [SMALL_STATE(7308)] = 364440,
  [SMALL_STATE(7309)] = 364480,
  [SMALL_STATE(7310)] = 364526,
  [SMALL_STATE(7311)] = 364590,
  [SMALL_STATE(7312)] = 364654,
  [SMALL_STATE(7313)] = 364694,
  [SMALL_STATE(7314)] = 364732,
  [SMALL_STATE(7315)] = 364792,
  [SMALL_STATE(7316)] = 364832,
  [SMALL_STATE(7317)] = 364872,
  [SMALL_STATE(7318)] = 364916,
  [SMALL_STATE(7319)] = 364956,
  [SMALL_STATE(7320)] = 364996,
  [SMALL_STATE(7321)] = 365036,
  [SMALL_STATE(7322)] = 365076,
  [SMALL_STATE(7323)] = 365118,
  [SMALL_STATE(7324)] = 365188,
  [SMALL_STATE(7325)] = 365230,
  [SMALL_STATE(7326)] = 365270,
  [SMALL_STATE(7327)] = 365310,
  [SMALL_STATE(7328)] = 365350,
  [SMALL_STATE(7329)] = 365390,
  [SMALL_STATE(7330)] = 365430,
  [SMALL_STATE(7331)] = 365494,
  [SMALL_STATE(7332)] = 365534,
  [SMALL_STATE(7333)] = 365574,
  [SMALL_STATE(7334)] = 365614,
  [SMALL_STATE(7335)] = 365652,
  [SMALL_STATE(7336)] = 365692,
  [SMALL_STATE(7337)] = 365732,
  [SMALL_STATE(7338)] = 365772,
  [SMALL_STATE(7339)] = 365842,
  [SMALL_STATE(7340)] = 365888,
  [SMALL_STATE(7341)] = 365928,
  [SMALL_STATE(7342)] = 365968,
  [SMALL_STATE(7343)] = 366008,
  [SMALL_STATE(7344)] = 366048,
  [SMALL_STATE(7345)] = 366100,
  [SMALL_STATE(7346)] = 366140,
  [SMALL_STATE(7347)] = 366180,
  [SMALL_STATE(7348)] = 366224,
  [SMALL_STATE(7349)] = 366264,
  [SMALL_STATE(7350)] = 366310,
  [SMALL_STATE(7351)] = 366350,
  [SMALL_STATE(7352)] = 366390,
  [SMALL_STATE(7353)] = 366430,
  [SMALL_STATE(7354)] = 366470,
  [SMALL_STATE(7355)] = 366510,
  [SMALL_STATE(7356)] = 366550,
  [SMALL_STATE(7357)] = 366602,
  [SMALL_STATE(7358)] = 366666,
  [SMALL_STATE(7359)] = 366706,
  [SMALL_STATE(7360)] = 366746,
  [SMALL_STATE(7361)] = 366788,
  [SMALL_STATE(7362)] = 366828,
  [SMALL_STATE(7363)] = 366868,
  [SMALL_STATE(7364)] = 366912,
  [SMALL_STATE(7365)] = 366962,
  [SMALL_STATE(7366)] = 367002,
  [SMALL_STATE(7367)] = 367042,
  [SMALL_STATE(7368)] = 367082,
  [SMALL_STATE(7369)] = 367126,
  [SMALL_STATE(7370)] = 367166,
  [SMALL_STATE(7371)] = 367206,
  [SMALL_STATE(7372)] = 367246,
  [SMALL_STATE(7373)] = 367286,
  [SMALL_STATE(7374)] = 367326,
  [SMALL_STATE(7375)] = 367366,
  [SMALL_STATE(7376)] = 367406,
  [SMALL_STATE(7377)] = 367446,
  [SMALL_STATE(7378)] = 367486,
  [SMALL_STATE(7379)] = 367531,
  [SMALL_STATE(7380)] = 367570,
  [SMALL_STATE(7381)] = 367609,
  [SMALL_STATE(7382)] = 367660,
  [SMALL_STATE(7383)] = 367699,
  [SMALL_STATE(7384)] = 367760,
  [SMALL_STATE(7385)] = 367833,
  [SMALL_STATE(7386)] = 367872,
  [SMALL_STATE(7387)] = 367945,
  [SMALL_STATE(7388)] = 368018,
  [SMALL_STATE(7389)] = 368057,
  [SMALL_STATE(7390)] = 368098,
  [SMALL_STATE(7391)] = 368137,
  [SMALL_STATE(7392)] = 368198,
  [SMALL_STATE(7393)] = 368237,
  [SMALL_STATE(7394)] = 368298,
  [SMALL_STATE(7395)] = 368359,
  [SMALL_STATE(7396)] = 368414,
  [SMALL_STATE(7397)] = 368453,
  [SMALL_STATE(7398)] = 368492,
  [SMALL_STATE(7399)] = 368531,
  [SMALL_STATE(7400)] = 368570,
  [SMALL_STATE(7401)] = 368609,
  [SMALL_STATE(7402)] = 368648,
  [SMALL_STATE(7403)] = 368687,
  [SMALL_STATE(7404)] = 368726,
  [SMALL_STATE(7405)] = 368787,
  [SMALL_STATE(7406)] = 368826,
  [SMALL_STATE(7407)] = 368865,
  [SMALL_STATE(7408)] = 368910,
  [SMALL_STATE(7409)] = 368951,
  [SMALL_STATE(7410)] = 368990,
  [SMALL_STATE(7411)] = 369029,
  [SMALL_STATE(7412)] = 369074,
  [SMALL_STATE(7413)] = 369135,
  [SMALL_STATE(7414)] = 369208,
  [SMALL_STATE(7415)] = 369251,
  [SMALL_STATE(7416)] = 369290,
  [SMALL_STATE(7417)] = 369331,
  [SMALL_STATE(7418)] = 369404,
  [SMALL_STATE(7419)] = 369465,
  [SMALL_STATE(7420)] = 369504,
  [SMALL_STATE(7421)] = 369565,
  [SMALL_STATE(7422)] = 369604,
  [SMALL_STATE(7423)] = 369643,
  [SMALL_STATE(7424)] = 369682,
  [SMALL_STATE(7425)] = 369721,
  [SMALL_STATE(7426)] = 369760,
  [SMALL_STATE(7427)] = 369801,
  [SMALL_STATE(7428)] = 369840,
  [SMALL_STATE(7429)] = 369881,
  [SMALL_STATE(7430)] = 369942,
  [SMALL_STATE(7431)] = 369981,
  [SMALL_STATE(7432)] = 370026,
  [SMALL_STATE(7433)] = 370065,
  [SMALL_STATE(7434)] = 370104,
  [SMALL_STATE(7435)] = 370143,
  [SMALL_STATE(7436)] = 370184,
  [SMALL_STATE(7437)] = 370223,
  [SMALL_STATE(7438)] = 370284,
  [SMALL_STATE(7439)] = 370345,
  [SMALL_STATE(7440)] = 370384,
  [SMALL_STATE(7441)] = 370423,
  [SMALL_STATE(7442)] = 370464,
  [SMALL_STATE(7443)] = 370527,
  [SMALL_STATE(7444)] = 370566,
  [SMALL_STATE(7445)] = 370607,
  [SMALL_STATE(7446)] = 370670,
  [SMALL_STATE(7447)] = 370711,
  [SMALL_STATE(7448)] = 370750,
  [SMALL_STATE(7449)] = 370789,
  [SMALL_STATE(7450)] = 370828,
  [SMALL_STATE(7451)] = 370867,
  [SMALL_STATE(7452)] = 370906,
  [SMALL_STATE(7453)] = 370945,
  [SMALL_STATE(7454)] = 370984,
  [SMALL_STATE(7455)] = 371045,
  [SMALL_STATE(7456)] = 371090,
  [SMALL_STATE(7457)] = 371131,
  [SMALL_STATE(7458)] = 371192,
  [SMALL_STATE(7459)] = 371231,
  [SMALL_STATE(7460)] = 371270,
  [SMALL_STATE(7461)] = 371309,
  [SMALL_STATE(7462)] = 371356,
  [SMALL_STATE(7463)] = 371417,
  [SMALL_STATE(7464)] = 371462,
  [SMALL_STATE(7465)] = 371501,
  [SMALL_STATE(7466)] = 371540,
  [SMALL_STATE(7467)] = 371579,
  [SMALL_STATE(7468)] = 371628,
  [SMALL_STATE(7469)] = 371689,
  [SMALL_STATE(7470)] = 371734,
  [SMALL_STATE(7471)] = 371795,
  [SMALL_STATE(7472)] = 371834,
  [SMALL_STATE(7473)] = 371873,
  [SMALL_STATE(7474)] = 371912,
  [SMALL_STATE(7475)] = 371955,
  [SMALL_STATE(7476)] = 371996,
  [SMALL_STATE(7477)] = 372035,
  [SMALL_STATE(7478)] = 372096,
  [SMALL_STATE(7479)] = 372135,
  [SMALL_STATE(7480)] = 372174,
  [SMALL_STATE(7481)] = 372213,
  [SMALL_STATE(7482)] = 372252,
  [SMALL_STATE(7483)] = 372293,
  [SMALL_STATE(7484)] = 372354,
  [SMALL_STATE(7485)] = 372393,
  [SMALL_STATE(7486)] = 372466,
  [SMALL_STATE(7487)] = 372527,
  [SMALL_STATE(7488)] = 372600,
  [SMALL_STATE(7489)] = 372639,
  [SMALL_STATE(7490)] = 372678,
  [SMALL_STATE(7491)] = 372717,
  [SMALL_STATE(7492)] = 372758,
  [SMALL_STATE(7493)] = 372797,
  [SMALL_STATE(7494)] = 372840,
  [SMALL_STATE(7495)] = 372901,
  [SMALL_STATE(7496)] = 372940,
  [SMALL_STATE(7497)] = 373001,
  [SMALL_STATE(7498)] = 373040,
  [SMALL_STATE(7499)] = 373081,
  [SMALL_STATE(7500)] = 373122,
  [SMALL_STATE(7501)] = 373165,
  [SMALL_STATE(7502)] = 373204,
  [SMALL_STATE(7503)] = 373277,
  [SMALL_STATE(7504)] = 373338,
  [SMALL_STATE(7505)] = 373379,
  [SMALL_STATE(7506)] = 373440,
  [SMALL_STATE(7507)] = 373485,
  [SMALL_STATE(7508)] = 373530,
  [SMALL_STATE(7509)] = 373569,
  [SMALL_STATE(7510)] = 373606,
  [SMALL_STATE(7511)] = 373645,
  [SMALL_STATE(7512)] = 373686,
  [SMALL_STATE(7513)] = 373731,
  [SMALL_STATE(7514)] = 373770,
  [SMALL_STATE(7515)] = 373809,
  [SMALL_STATE(7516)] = 373882,
  [SMALL_STATE(7517)] = 373921,
  [SMALL_STATE(7518)] = 373960,
  [SMALL_STATE(7519)] = 373999,
  [SMALL_STATE(7520)] = 374038,
  [SMALL_STATE(7521)] = 374077,
  [SMALL_STATE(7522)] = 374116,
  [SMALL_STATE(7523)] = 374155,
  [SMALL_STATE(7524)] = 374194,
  [SMALL_STATE(7525)] = 374239,
  [SMALL_STATE(7526)] = 374302,
  [SMALL_STATE(7527)] = 374345,
  [SMALL_STATE(7528)] = 374384,
  [SMALL_STATE(7529)] = 374423,
  [SMALL_STATE(7530)] = 374462,
  [SMALL_STATE(7531)] = 374501,
  [SMALL_STATE(7532)] = 374540,
  [SMALL_STATE(7533)] = 374579,
  [SMALL_STATE(7534)] = 374640,
  [SMALL_STATE(7535)] = 374679,
  [SMALL_STATE(7536)] = 374718,
  [SMALL_STATE(7537)] = 374757,
  [SMALL_STATE(7538)] = 374796,
  [SMALL_STATE(7539)] = 374859,
  [SMALL_STATE(7540)] = 374898,
  [SMALL_STATE(7541)] = 374937,
  [SMALL_STATE(7542)] = 374976,
  [SMALL_STATE(7543)] = 375017,
  [SMALL_STATE(7544)] = 375056,
  [SMALL_STATE(7545)] = 375119,
  [SMALL_STATE(7546)] = 375158,
  [SMALL_STATE(7547)] = 375197,
  [SMALL_STATE(7548)] = 375236,
  [SMALL_STATE(7549)] = 375275,
  [SMALL_STATE(7550)] = 375336,
  [SMALL_STATE(7551)] = 375377,
  [SMALL_STATE(7552)] = 375416,
  [SMALL_STATE(7553)] = 375455,
  [SMALL_STATE(7554)] = 375494,
  [SMALL_STATE(7555)] = 375537,
  [SMALL_STATE(7556)] = 375576,
  [SMALL_STATE(7557)] = 375625,
  [SMALL_STATE(7558)] = 375664,
  [SMALL_STATE(7559)] = 375737,
  [SMALL_STATE(7560)] = 375780,
  [SMALL_STATE(7561)] = 375819,
  [SMALL_STATE(7562)] = 375880,
  [SMALL_STATE(7563)] = 375953,
  [SMALL_STATE(7564)] = 375992,
  [SMALL_STATE(7565)] = 376031,
  [SMALL_STATE(7566)] = 376070,
  [SMALL_STATE(7567)] = 376109,
  [SMALL_STATE(7568)] = 376148,
  [SMALL_STATE(7569)] = 376189,
  [SMALL_STATE(7570)] = 376250,
  [SMALL_STATE(7571)] = 376311,
  [SMALL_STATE(7572)] = 376350,
  [SMALL_STATE(7573)] = 376393,
  [SMALL_STATE(7574)] = 376432,
  [SMALL_STATE(7575)] = 376483,
  [SMALL_STATE(7576)] = 376522,
  [SMALL_STATE(7577)] = 376581,
  [SMALL_STATE(7578)] = 376620,
  [SMALL_STATE(7579)] = 376659,
  [SMALL_STATE(7580)] = 376702,
  [SMALL_STATE(7581)] = 376741,
  [SMALL_STATE(7582)] = 376780,
  [SMALL_STATE(7583)] = 376827,
  [SMALL_STATE(7584)] = 376866,
  [SMALL_STATE(7585)] = 376905,
  [SMALL_STATE(7586)] = 376944,
  [SMALL_STATE(7587)] = 376983,
  [SMALL_STATE(7588)] = 377056,
  [SMALL_STATE(7589)] = 377129,
  [SMALL_STATE(7590)] = 377190,
  [SMALL_STATE(7591)] = 377231,
  [SMALL_STATE(7592)] = 377298,
  [SMALL_STATE(7593)] = 377359,
  [SMALL_STATE(7594)] = 377398,
  [SMALL_STATE(7595)] = 377439,
  [SMALL_STATE(7596)] = 377478,
  [SMALL_STATE(7597)] = 377517,
  [SMALL_STATE(7598)] = 377558,
  [SMALL_STATE(7599)] = 377599,
  [SMALL_STATE(7600)] = 377638,
  [SMALL_STATE(7601)] = 377677,
  [SMALL_STATE(7602)] = 377716,
  [SMALL_STATE(7603)] = 377755,
  [SMALL_STATE(7604)] = 377806,
  [SMALL_STATE(7605)] = 377845,
  [SMALL_STATE(7606)] = 377906,
  [SMALL_STATE(7607)] = 377945,
  [SMALL_STATE(7608)] = 378006,
  [SMALL_STATE(7609)] = 378045,
  [SMALL_STATE(7610)] = 378086,
  [SMALL_STATE(7611)] = 378125,
  [SMALL_STATE(7612)] = 378186,
  [SMALL_STATE(7613)] = 378225,
  [SMALL_STATE(7614)] = 378264,
  [SMALL_STATE(7615)] = 378327,
  [SMALL_STATE(7616)] = 378366,
  [SMALL_STATE(7617)] = 378405,
  [SMALL_STATE(7618)] = 378446,
  [SMALL_STATE(7619)] = 378489,
  [SMALL_STATE(7620)] = 378530,
  [SMALL_STATE(7621)] = 378571,
  [SMALL_STATE(7622)] = 378612,
  [SMALL_STATE(7623)] = 378665,
  [SMALL_STATE(7624)] = 378726,
  [SMALL_STATE(7625)] = 378765,
  [SMALL_STATE(7626)] = 378804,
  [SMALL_STATE(7627)] = 378845,
  [SMALL_STATE(7628)] = 378908,
  [SMALL_STATE(7629)] = 378969,
  [SMALL_STATE(7630)] = 379008,
  [SMALL_STATE(7631)] = 379047,
  [SMALL_STATE(7632)] = 379120,
  [SMALL_STATE(7633)] = 379193,
  [SMALL_STATE(7634)] = 379232,
  [SMALL_STATE(7635)] = 379271,
  [SMALL_STATE(7636)] = 379310,
  [SMALL_STATE(7637)] = 379349,
  [SMALL_STATE(7638)] = 379410,
  [SMALL_STATE(7639)] = 379483,
  [SMALL_STATE(7640)] = 379524,
  [SMALL_STATE(7641)] = 379563,
  [SMALL_STATE(7642)] = 379616,
  [SMALL_STATE(7643)] = 379661,
  [SMALL_STATE(7644)] = 379704,
  [SMALL_STATE(7645)] = 379745,
  [SMALL_STATE(7646)] = 379806,
  [SMALL_STATE(7647)] = 379847,
  [SMALL_STATE(7648)] = 379908,
  [SMALL_STATE(7649)] = 379947,
  [SMALL_STATE(7650)] = 379986,
  [SMALL_STATE(7651)] = 380039,
  [SMALL_STATE(7652)] = 380100,
  [SMALL_STATE(7653)] = 380151,
  [SMALL_STATE(7654)] = 380190,
  [SMALL_STATE(7655)] = 380229,
  [SMALL_STATE(7656)] = 380268,
  [SMALL_STATE(7657)] = 380311,
  [SMALL_STATE(7658)] = 380350,
  [SMALL_STATE(7659)] = 380389,
  [SMALL_STATE(7660)] = 380450,
  [SMALL_STATE(7661)] = 380491,
  [SMALL_STATE(7662)] = 380552,
  [SMALL_STATE(7663)] = 380591,
  [SMALL_STATE(7664)] = 380630,
  [SMALL_STATE(7665)] = 380671,
  [SMALL_STATE(7666)] = 380710,
  [SMALL_STATE(7667)] = 380771,
  [SMALL_STATE(7668)] = 380810,
  [SMALL_STATE(7669)] = 380849,
  [SMALL_STATE(7670)] = 380890,
  [SMALL_STATE(7671)] = 380929,
  [SMALL_STATE(7672)] = 380990,
  [SMALL_STATE(7673)] = 381051,
  [SMALL_STATE(7674)] = 381090,
  [SMALL_STATE(7675)] = 381157,
  [SMALL_STATE(7676)] = 381198,
  [SMALL_STATE(7677)] = 381237,
  [SMALL_STATE(7678)] = 381276,
  [SMALL_STATE(7679)] = 381315,
  [SMALL_STATE(7680)] = 381356,
  [SMALL_STATE(7681)] = 381395,
  [SMALL_STATE(7682)] = 381434,
  [SMALL_STATE(7683)] = 381473,
  [SMALL_STATE(7684)] = 381534,
  [SMALL_STATE(7685)] = 381595,
  [SMALL_STATE(7686)] = 381668,
  [SMALL_STATE(7687)] = 381707,
  [SMALL_STATE(7688)] = 381746,
  [SMALL_STATE(7689)] = 381797,
  [SMALL_STATE(7690)] = 381836,
  [SMALL_STATE(7691)] = 381875,
  [SMALL_STATE(7692)] = 381936,
  [SMALL_STATE(7693)] = 381977,
  [SMALL_STATE(7694)] = 382022,
  [SMALL_STATE(7695)] = 382061,
  [SMALL_STATE(7696)] = 382114,
  [SMALL_STATE(7697)] = 382175,
  [SMALL_STATE(7698)] = 382214,
  [SMALL_STATE(7699)] = 382253,
  [SMALL_STATE(7700)] = 382296,
  [SMALL_STATE(7701)] = 382335,
  [SMALL_STATE(7702)] = 382396,
  [SMALL_STATE(7703)] = 382435,
  [SMALL_STATE(7704)] = 382474,
  [SMALL_STATE(7705)] = 382513,
  [SMALL_STATE(7706)] = 382552,
  [SMALL_STATE(7707)] = 382591,
  [SMALL_STATE(7708)] = 382630,
  [SMALL_STATE(7709)] = 382669,
  [SMALL_STATE(7710)] = 382708,
  [SMALL_STATE(7711)] = 382769,
  [SMALL_STATE(7712)] = 382830,
  [SMALL_STATE(7713)] = 382869,
  [SMALL_STATE(7714)] = 382908,
  [SMALL_STATE(7715)] = 382947,
  [SMALL_STATE(7716)] = 382986,
  [SMALL_STATE(7717)] = 383025,
  [SMALL_STATE(7718)] = 383064,
  [SMALL_STATE(7719)] = 383103,
  [SMALL_STATE(7720)] = 383146,
  [SMALL_STATE(7721)] = 383185,
  [SMALL_STATE(7722)] = 383226,
  [SMALL_STATE(7723)] = 383287,
  [SMALL_STATE(7724)] = 383326,
  [SMALL_STATE(7725)] = 383365,
  [SMALL_STATE(7726)] = 383404,
  [SMALL_STATE(7727)] = 383443,
  [SMALL_STATE(7728)] = 383488,
  [SMALL_STATE(7729)] = 383533,
  [SMALL_STATE(7730)] = 383572,
  [SMALL_STATE(7731)] = 383633,
  [SMALL_STATE(7732)] = 383674,
  [SMALL_STATE(7733)] = 383713,
  [SMALL_STATE(7734)] = 383752,
  [SMALL_STATE(7735)] = 383795,
  [SMALL_STATE(7736)] = 383862,
  [SMALL_STATE(7737)] = 383921,
  [SMALL_STATE(7738)] = 383960,
  [SMALL_STATE(7739)] = 384003,
  [SMALL_STATE(7740)] = 384046,
  [SMALL_STATE(7741)] = 384085,
  [SMALL_STATE(7742)] = 384146,
  [SMALL_STATE(7743)] = 384185,
  [SMALL_STATE(7744)] = 384224,
  [SMALL_STATE(7745)] = 384263,
  [SMALL_STATE(7746)] = 384324,
  [SMALL_STATE(7747)] = 384365,
  [SMALL_STATE(7748)] = 384404,
  [SMALL_STATE(7749)] = 384445,
  [SMALL_STATE(7750)] = 384484,
  [SMALL_STATE(7751)] = 384523,
  [SMALL_STATE(7752)] = 384562,
  [SMALL_STATE(7753)] = 384601,
  [SMALL_STATE(7754)] = 384662,
  [SMALL_STATE(7755)] = 384701,
  [SMALL_STATE(7756)] = 384740,
  [SMALL_STATE(7757)] = 384779,
  [SMALL_STATE(7758)] = 384818,
  [SMALL_STATE(7759)] = 384865,
  [SMALL_STATE(7760)] = 384904,
  [SMALL_STATE(7761)] = 384943,
  [SMALL_STATE(7762)] = 384982,
  [SMALL_STATE(7763)] = 385035,
  [SMALL_STATE(7764)] = 385074,
  [SMALL_STATE(7765)] = 385135,
  [SMALL_STATE(7766)] = 385176,
  [SMALL_STATE(7767)] = 385215,
  [SMALL_STATE(7768)] = 385254,
  [SMALL_STATE(7769)] = 385327,
  [SMALL_STATE(7770)] = 385388,
  [SMALL_STATE(7771)] = 385427,
  [SMALL_STATE(7772)] = 385466,
  [SMALL_STATE(7773)] = 385507,
  [SMALL_STATE(7774)] = 385574,
  [SMALL_STATE(7775)] = 385613,
  [SMALL_STATE(7776)] = 385652,
  [SMALL_STATE(7777)] = 385691,
  [SMALL_STATE(7778)] = 385730,
  [SMALL_STATE(7779)] = 385769,
  [SMALL_STATE(7780)] = 385812,
  [SMALL_STATE(7781)] = 385851,
  [SMALL_STATE(7782)] = 385894,
  [SMALL_STATE(7783)] = 385933,
  [SMALL_STATE(7784)] = 385972,
  [SMALL_STATE(7785)] = 386011,
  [SMALL_STATE(7786)] = 386050,
  [SMALL_STATE(7787)] = 386101,
  [SMALL_STATE(7788)] = 386140,
  [SMALL_STATE(7789)] = 386179,
  [SMALL_STATE(7790)] = 386218,
  [SMALL_STATE(7791)] = 386259,
  [SMALL_STATE(7792)] = 386298,
  [SMALL_STATE(7793)] = 386337,
  [SMALL_STATE(7794)] = 386382,
  [SMALL_STATE(7795)] = 386421,
  [SMALL_STATE(7796)] = 386462,
  [SMALL_STATE(7797)] = 386523,
  [SMALL_STATE(7798)] = 386562,
  [SMALL_STATE(7799)] = 386601,
  [SMALL_STATE(7800)] = 386640,
  [SMALL_STATE(7801)] = 386679,
  [SMALL_STATE(7802)] = 386740,
  [SMALL_STATE(7803)] = 386779,
  [SMALL_STATE(7804)] = 386820,
  [SMALL_STATE(7805)] = 386859,
  [SMALL_STATE(7806)] = 386898,
  [SMALL_STATE(7807)] = 386937,
  [SMALL_STATE(7808)] = 386976,
  [SMALL_STATE(7809)] = 387015,
  [SMALL_STATE(7810)] = 387076,
  [SMALL_STATE(7811)] = 387115,
  [SMALL_STATE(7812)] = 387154,
  [SMALL_STATE(7813)] = 387215,
  [SMALL_STATE(7814)] = 387254,
  [SMALL_STATE(7815)] = 387293,
  [SMALL_STATE(7816)] = 387332,
  [SMALL_STATE(7817)] = 387371,
  [SMALL_STATE(7818)] = 387438,
  [SMALL_STATE(7819)] = 387477,
  [SMALL_STATE(7820)] = 387516,
  [SMALL_STATE(7821)] = 387557,
  [SMALL_STATE(7822)] = 387596,
  [SMALL_STATE(7823)] = 387635,
  [SMALL_STATE(7824)] = 387674,
  [SMALL_STATE(7825)] = 387713,
  [SMALL_STATE(7826)] = 387752,
  [SMALL_STATE(7827)] = 387791,
  [SMALL_STATE(7828)] = 387830,
  [SMALL_STATE(7829)] = 387891,
  [SMALL_STATE(7830)] = 387930,
  [SMALL_STATE(7831)] = 387973,
  [SMALL_STATE(7832)] = 388014,
  [SMALL_STATE(7833)] = 388053,
  [SMALL_STATE(7834)] = 388114,
  [SMALL_STATE(7835)] = 388167,
  [SMALL_STATE(7836)] = 388206,
  [SMALL_STATE(7837)] = 388245,
  [SMALL_STATE(7838)] = 388284,
  [SMALL_STATE(7839)] = 388323,
  [SMALL_STATE(7840)] = 388390,
  [SMALL_STATE(7841)] = 388431,
  [SMALL_STATE(7842)] = 388492,
  [SMALL_STATE(7843)] = 388531,
  [SMALL_STATE(7844)] = 388570,
  [SMALL_STATE(7845)] = 388609,
  [SMALL_STATE(7846)] = 388670,
  [SMALL_STATE(7847)] = 388727,
  [SMALL_STATE(7848)] = 388766,
  [SMALL_STATE(7849)] = 388835,
  [SMALL_STATE(7850)] = 388874,
  [SMALL_STATE(7851)] = 388913,
  [SMALL_STATE(7852)] = 388952,
  [SMALL_STATE(7853)] = 388991,
  [SMALL_STATE(7854)] = 389030,
  [SMALL_STATE(7855)] = 389069,
  [SMALL_STATE(7856)] = 389114,
  [SMALL_STATE(7857)] = 389153,
  [SMALL_STATE(7858)] = 389214,
  [SMALL_STATE(7859)] = 389253,
  [SMALL_STATE(7860)] = 389292,
  [SMALL_STATE(7861)] = 389331,
  [SMALL_STATE(7862)] = 389370,
  [SMALL_STATE(7863)] = 389427,
  [SMALL_STATE(7864)] = 389466,
  [SMALL_STATE(7865)] = 389505,
  [SMALL_STATE(7866)] = 389566,
  [SMALL_STATE(7867)] = 389605,
  [SMALL_STATE(7868)] = 389644,
  [SMALL_STATE(7869)] = 389683,
  [SMALL_STATE(7870)] = 389722,
  [SMALL_STATE(7871)] = 389785,
  [SMALL_STATE(7872)] = 389824,
  [SMALL_STATE(7873)] = 389863,
  [SMALL_STATE(7874)] = 389902,
  [SMALL_STATE(7875)] = 389941,
  [SMALL_STATE(7876)] = 389980,
  [SMALL_STATE(7877)] = 390041,
  [SMALL_STATE(7878)] = 390080,
  [SMALL_STATE(7879)] = 390119,
  [SMALL_STATE(7880)] = 390158,
  [SMALL_STATE(7881)] = 390201,
  [SMALL_STATE(7882)] = 390240,
  [SMALL_STATE(7883)] = 390279,
  [SMALL_STATE(7884)] = 390318,
  [SMALL_STATE(7885)] = 390357,
  [SMALL_STATE(7886)] = 390396,
  [SMALL_STATE(7887)] = 390435,
  [SMALL_STATE(7888)] = 390474,
  [SMALL_STATE(7889)] = 390515,
  [SMALL_STATE(7890)] = 390554,
  [SMALL_STATE(7891)] = 390593,
  [SMALL_STATE(7892)] = 390632,
  [SMALL_STATE(7893)] = 390671,
  [SMALL_STATE(7894)] = 390710,
  [SMALL_STATE(7895)] = 390751,
  [SMALL_STATE(7896)] = 390798,
  [SMALL_STATE(7897)] = 390837,
  [SMALL_STATE(7898)] = 390876,
  [SMALL_STATE(7899)] = 390937,
  [SMALL_STATE(7900)] = 390976,
  [SMALL_STATE(7901)] = 391015,
  [SMALL_STATE(7902)] = 391076,
  [SMALL_STATE(7903)] = 391115,
  [SMALL_STATE(7904)] = 391154,
  [SMALL_STATE(7905)] = 391193,
  [SMALL_STATE(7906)] = 391232,
  [SMALL_STATE(7907)] = 391271,
  [SMALL_STATE(7908)] = 391312,
  [SMALL_STATE(7909)] = 391351,
  [SMALL_STATE(7910)] = 391412,
  [SMALL_STATE(7911)] = 391451,
  [SMALL_STATE(7912)] = 391490,
  [SMALL_STATE(7913)] = 391529,
  [SMALL_STATE(7914)] = 391590,
  [SMALL_STATE(7915)] = 391629,
  [SMALL_STATE(7916)] = 391674,
  [SMALL_STATE(7917)] = 391713,
  [SMALL_STATE(7918)] = 391774,
  [SMALL_STATE(7919)] = 391819,
  [SMALL_STATE(7920)] = 391880,
  [SMALL_STATE(7921)] = 391919,
  [SMALL_STATE(7922)] = 391974,
  [SMALL_STATE(7923)] = 392013,
  [SMALL_STATE(7924)] = 392074,
  [SMALL_STATE(7925)] = 392113,
  [SMALL_STATE(7926)] = 392152,
  [SMALL_STATE(7927)] = 392193,
  [SMALL_STATE(7928)] = 392232,
  [SMALL_STATE(7929)] = 392271,
  [SMALL_STATE(7930)] = 392326,
  [SMALL_STATE(7931)] = 392367,
  [SMALL_STATE(7932)] = 392406,
  [SMALL_STATE(7933)] = 392445,
  [SMALL_STATE(7934)] = 392484,
  [SMALL_STATE(7935)] = 392523,
  [SMALL_STATE(7936)] = 392590,
  [SMALL_STATE(7937)] = 392651,
  [SMALL_STATE(7938)] = 392692,
  [SMALL_STATE(7939)] = 392731,
  [SMALL_STATE(7940)] = 392770,
  [SMALL_STATE(7941)] = 392809,
  [SMALL_STATE(7942)] = 392848,
  [SMALL_STATE(7943)] = 392887,
  [SMALL_STATE(7944)] = 392926,
  [SMALL_STATE(7945)] = 392971,
  [SMALL_STATE(7946)] = 393032,
  [SMALL_STATE(7947)] = 393071,
  [SMALL_STATE(7948)] = 393110,
  [SMALL_STATE(7949)] = 393171,
  [SMALL_STATE(7950)] = 393210,
  [SMALL_STATE(7951)] = 393249,
  [SMALL_STATE(7952)] = 393288,
  [SMALL_STATE(7953)] = 393327,
  [SMALL_STATE(7954)] = 393366,
  [SMALL_STATE(7955)] = 393405,
  [SMALL_STATE(7956)] = 393444,
  [SMALL_STATE(7957)] = 393483,
  [SMALL_STATE(7958)] = 393522,
  [SMALL_STATE(7959)] = 393561,
  [SMALL_STATE(7960)] = 393600,
  [SMALL_STATE(7961)] = 393639,
  [SMALL_STATE(7962)] = 393678,
  [SMALL_STATE(7963)] = 393717,
  [SMALL_STATE(7964)] = 393762,
  [SMALL_STATE(7965)] = 393801,
  [SMALL_STATE(7966)] = 393840,
  [SMALL_STATE(7967)] = 393879,
  [SMALL_STATE(7968)] = 393922,
  [SMALL_STATE(7969)] = 393983,
  [SMALL_STATE(7970)] = 394022,
  [SMALL_STATE(7971)] = 394061,
  [SMALL_STATE(7972)] = 394122,
  [SMALL_STATE(7973)] = 394161,
  [SMALL_STATE(7974)] = 394222,
  [SMALL_STATE(7975)] = 394261,
  [SMALL_STATE(7976)] = 394300,
  [SMALL_STATE(7977)] = 394339,
  [SMALL_STATE(7978)] = 394378,
  [SMALL_STATE(7979)] = 394433,
  [SMALL_STATE(7980)] = 394494,
  [SMALL_STATE(7981)] = 394533,
  [SMALL_STATE(7982)] = 394572,
  [SMALL_STATE(7983)] = 394611,
  [SMALL_STATE(7984)] = 394650,
  [SMALL_STATE(7985)] = 394689,
  [SMALL_STATE(7986)] = 394728,
  [SMALL_STATE(7987)] = 394769,
  [SMALL_STATE(7988)] = 394808,
  [SMALL_STATE(7989)] = 394847,
  [SMALL_STATE(7990)] = 394886,
  [SMALL_STATE(7991)] = 394925,
  [SMALL_STATE(7992)] = 394964,
  [SMALL_STATE(7993)] = 395003,
  [SMALL_STATE(7994)] = 395048,
  [SMALL_STATE(7995)] = 395087,
  [SMALL_STATE(7996)] = 395148,
  [SMALL_STATE(7997)] = 395187,
  [SMALL_STATE(7998)] = 395228,
  [SMALL_STATE(7999)] = 395267,
  [SMALL_STATE(8000)] = 395306,
  [SMALL_STATE(8001)] = 395345,
  [SMALL_STATE(8002)] = 395384,
  [SMALL_STATE(8003)] = 395425,
  [SMALL_STATE(8004)] = 395464,
  [SMALL_STATE(8005)] = 395507,
  [SMALL_STATE(8006)] = 395546,
  [SMALL_STATE(8007)] = 395585,
  [SMALL_STATE(8008)] = 395624,
  [SMALL_STATE(8009)] = 395663,
  [SMALL_STATE(8010)] = 395708,
  [SMALL_STATE(8011)] = 395747,
  [SMALL_STATE(8012)] = 395786,
  [SMALL_STATE(8013)] = 395825,
  [SMALL_STATE(8014)] = 395866,
  [SMALL_STATE(8015)] = 395905,
  [SMALL_STATE(8016)] = 395948,
  [SMALL_STATE(8017)] = 395987,
  [SMALL_STATE(8018)] = 396048,
  [SMALL_STATE(8019)] = 396087,
  [SMALL_STATE(8020)] = 396126,
  [SMALL_STATE(8021)] = 396177,
  [SMALL_STATE(8022)] = 396216,
  [SMALL_STATE(8023)] = 396257,
  [SMALL_STATE(8024)] = 396296,
  [SMALL_STATE(8025)] = 396335,
  [SMALL_STATE(8026)] = 396374,
  [SMALL_STATE(8027)] = 396415,
  [SMALL_STATE(8028)] = 396454,
  [SMALL_STATE(8029)] = 396493,
  [SMALL_STATE(8030)] = 396554,
  [SMALL_STATE(8031)] = 396593,
  [SMALL_STATE(8032)] = 396632,
  [SMALL_STATE(8033)] = 396671,
  [SMALL_STATE(8034)] = 396712,
  [SMALL_STATE(8035)] = 396751,
  [SMALL_STATE(8036)] = 396790,
  [SMALL_STATE(8037)] = 396829,
  [SMALL_STATE(8038)] = 396874,
  [SMALL_STATE(8039)] = 396913,
  [SMALL_STATE(8040)] = 396952,
  [SMALL_STATE(8041)] = 396991,
  [SMALL_STATE(8042)] = 397030,
  [SMALL_STATE(8043)] = 397069,
  [SMALL_STATE(8044)] = 397120,
  [SMALL_STATE(8045)] = 397183,
  [SMALL_STATE(8046)] = 397222,
  [SMALL_STATE(8047)] = 397261,
  [SMALL_STATE(8048)] = 397300,
  [SMALL_STATE(8049)] = 397343,
  [SMALL_STATE(8050)] = 397382,
  [SMALL_STATE(8051)] = 397421,
  [SMALL_STATE(8052)] = 397460,
  [SMALL_STATE(8053)] = 397499,
  [SMALL_STATE(8054)] = 397560,
  [SMALL_STATE(8055)] = 397599,
  [SMALL_STATE(8056)] = 397638,
  [SMALL_STATE(8057)] = 397677,
  [SMALL_STATE(8058)] = 397716,
  [SMALL_STATE(8059)] = 397755,
  [SMALL_STATE(8060)] = 397794,
  [SMALL_STATE(8061)] = 397833,
  [SMALL_STATE(8062)] = 397872,
  [SMALL_STATE(8063)] = 397933,
  [SMALL_STATE(8064)] = 397972,
  [SMALL_STATE(8065)] = 398011,
  [SMALL_STATE(8066)] = 398050,
  [SMALL_STATE(8067)] = 398089,
  [SMALL_STATE(8068)] = 398150,
  [SMALL_STATE(8069)] = 398193,
  [SMALL_STATE(8070)] = 398236,
  [SMALL_STATE(8071)] = 398275,
  [SMALL_STATE(8072)] = 398316,
  [SMALL_STATE(8073)] = 398355,
  [SMALL_STATE(8074)] = 398394,
  [SMALL_STATE(8075)] = 398433,
  [SMALL_STATE(8076)] = 398474,
  [SMALL_STATE(8077)] = 398535,
  [SMALL_STATE(8078)] = 398574,
  [SMALL_STATE(8079)] = 398612,
  [SMALL_STATE(8080)] = 398654,
  [SMALL_STATE(8081)] = 398692,
  [SMALL_STATE(8082)] = 398732,
  [SMALL_STATE(8083)] = 398770,
  [SMALL_STATE(8084)] = 398808,
  [SMALL_STATE(8085)] = 398846,
  [SMALL_STATE(8086)] = 398884,
  [SMALL_STATE(8087)] = 398922,
  [SMALL_STATE(8088)] = 398960,
  [SMALL_STATE(8089)] = 398998,
  [SMALL_STATE(8090)] = 399036,
  [SMALL_STATE(8091)] = 399074,
  [SMALL_STATE(8092)] = 399112,
  [SMALL_STATE(8093)] = 399152,
  [SMALL_STATE(8094)] = 399194,
  [SMALL_STATE(8095)] = 399232,
  [SMALL_STATE(8096)] = 399270,
  [SMALL_STATE(8097)] = 399308,
  [SMALL_STATE(8098)] = 399346,
  [SMALL_STATE(8099)] = 399384,
  [SMALL_STATE(8100)] = 399422,
  [SMALL_STATE(8101)] = 399460,
  [SMALL_STATE(8102)] = 399498,
  [SMALL_STATE(8103)] = 399536,
  [SMALL_STATE(8104)] = 399574,
  [SMALL_STATE(8105)] = 399612,
  [SMALL_STATE(8106)] = 399650,
  [SMALL_STATE(8107)] = 399688,
  [SMALL_STATE(8108)] = 399730,
  [SMALL_STATE(8109)] = 399768,
  [SMALL_STATE(8110)] = 399806,
  [SMALL_STATE(8111)] = 399844,
  [SMALL_STATE(8112)] = 399882,
  [SMALL_STATE(8113)] = 399920,
  [SMALL_STATE(8114)] = 399958,
  [SMALL_STATE(8115)] = 399996,
  [SMALL_STATE(8116)] = 400034,
  [SMALL_STATE(8117)] = 400074,
  [SMALL_STATE(8118)] = 400112,
  [SMALL_STATE(8119)] = 400150,
  [SMALL_STATE(8120)] = 400188,
  [SMALL_STATE(8121)] = 400226,
  [SMALL_STATE(8122)] = 400272,
  [SMALL_STATE(8123)] = 400310,
  [SMALL_STATE(8124)] = 400348,
  [SMALL_STATE(8125)] = 400386,
  [SMALL_STATE(8126)] = 400424,
  [SMALL_STATE(8127)] = 400472,
  [SMALL_STATE(8128)] = 400510,
  [SMALL_STATE(8129)] = 400554,
  [SMALL_STATE(8130)] = 400592,
  [SMALL_STATE(8131)] = 400630,
  [SMALL_STATE(8132)] = 400668,
  [SMALL_STATE(8133)] = 400706,
  [SMALL_STATE(8134)] = 400748,
  [SMALL_STATE(8135)] = 400786,
  [SMALL_STATE(8136)] = 400824,
  [SMALL_STATE(8137)] = 400862,
  [SMALL_STATE(8138)] = 400900,
  [SMALL_STATE(8139)] = 400938,
  [SMALL_STATE(8140)] = 400978,
  [SMALL_STATE(8141)] = 401022,
  [SMALL_STATE(8142)] = 401060,
  [SMALL_STATE(8143)] = 401104,
  [SMALL_STATE(8144)] = 401156,
  [SMALL_STATE(8145)] = 401194,
  [SMALL_STATE(8146)] = 401232,
  [SMALL_STATE(8147)] = 401272,
  [SMALL_STATE(8148)] = 401310,
  [SMALL_STATE(8149)] = 401354,
  [SMALL_STATE(8150)] = 401392,
  [SMALL_STATE(8151)] = 401430,
  [SMALL_STATE(8152)] = 401468,
  [SMALL_STATE(8153)] = 401506,
  [SMALL_STATE(8154)] = 401544,
  [SMALL_STATE(8155)] = 401582,
  [SMALL_STATE(8156)] = 401626,
  [SMALL_STATE(8157)] = 401664,
  [SMALL_STATE(8158)] = 401704,
  [SMALL_STATE(8159)] = 401748,
  [SMALL_STATE(8160)] = 401786,
  [SMALL_STATE(8161)] = 401824,
  [SMALL_STATE(8162)] = 401862,
  [SMALL_STATE(8163)] = 401906,
  [SMALL_STATE(8164)] = 401944,
  [SMALL_STATE(8165)] = 401982,
  [SMALL_STATE(8166)] = 402020,
  [SMALL_STATE(8167)] = 402072,
  [SMALL_STATE(8168)] = 402110,
  [SMALL_STATE(8169)] = 402164,
  [SMALL_STATE(8170)] = 402202,
  [SMALL_STATE(8171)] = 402240,
  [SMALL_STATE(8172)] = 402278,
  [SMALL_STATE(8173)] = 402316,
  [SMALL_STATE(8174)] = 402354,
  [SMALL_STATE(8175)] = 402392,
  [SMALL_STATE(8176)] = 402432,
  [SMALL_STATE(8177)] = 402476,
  [SMALL_STATE(8178)] = 402514,
  [SMALL_STATE(8179)] = 402552,
  [SMALL_STATE(8180)] = 402590,
  [SMALL_STATE(8181)] = 402628,
  [SMALL_STATE(8182)] = 402666,
  [SMALL_STATE(8183)] = 402704,
  [SMALL_STATE(8184)] = 402742,
  [SMALL_STATE(8185)] = 402780,
  [SMALL_STATE(8186)] = 402824,
  [SMALL_STATE(8187)] = 402862,
  [SMALL_STATE(8188)] = 402900,
  [SMALL_STATE(8189)] = 402940,
  [SMALL_STATE(8190)] = 402980,
  [SMALL_STATE(8191)] = 403018,
  [SMALL_STATE(8192)] = 403058,
  [SMALL_STATE(8193)] = 403096,
  [SMALL_STATE(8194)] = 403134,
  [SMALL_STATE(8195)] = 403186,
  [SMALL_STATE(8196)] = 403224,
  [SMALL_STATE(8197)] = 403262,
  [SMALL_STATE(8198)] = 403306,
  [SMALL_STATE(8199)] = 403344,
  [SMALL_STATE(8200)] = 403382,
  [SMALL_STATE(8201)] = 403422,
  [SMALL_STATE(8202)] = 403460,
  [SMALL_STATE(8203)] = 403498,
  [SMALL_STATE(8204)] = 403536,
  [SMALL_STATE(8205)] = 403574,
  [SMALL_STATE(8206)] = 403612,
  [SMALL_STATE(8207)] = 403652,
  [SMALL_STATE(8208)] = 403690,
  [SMALL_STATE(8209)] = 403730,
  [SMALL_STATE(8210)] = 403768,
  [SMALL_STATE(8211)] = 403806,
  [SMALL_STATE(8212)] = 403848,
  [SMALL_STATE(8213)] = 403916,
  [SMALL_STATE(8214)] = 403954,
  [SMALL_STATE(8215)] = 403992,
  [SMALL_STATE(8216)] = 404042,
  [SMALL_STATE(8217)] = 404082,
  [SMALL_STATE(8218)] = 404120,
  [SMALL_STATE(8219)] = 404158,
  [SMALL_STATE(8220)] = 404196,
  [SMALL_STATE(8221)] = 404234,
  [SMALL_STATE(8222)] = 404272,
  [SMALL_STATE(8223)] = 404310,
  [SMALL_STATE(8224)] = 404348,
  [SMALL_STATE(8225)] = 404386,
  [SMALL_STATE(8226)] = 404430,
  [SMALL_STATE(8227)] = 404482,
  [SMALL_STATE(8228)] = 404522,
  [SMALL_STATE(8229)] = 404560,
  [SMALL_STATE(8230)] = 404598,
  [SMALL_STATE(8231)] = 404636,
  [SMALL_STATE(8232)] = 404676,
  [SMALL_STATE(8233)] = 404714,
  [SMALL_STATE(8234)] = 404754,
  [SMALL_STATE(8235)] = 404792,
  [SMALL_STATE(8236)] = 404830,
  [SMALL_STATE(8237)] = 404868,
  [SMALL_STATE(8238)] = 404908,
  [SMALL_STATE(8239)] = 404946,
  [SMALL_STATE(8240)] = 404988,
  [SMALL_STATE(8241)] = 405026,
  [SMALL_STATE(8242)] = 405064,
  [SMALL_STATE(8243)] = 405102,
  [SMALL_STATE(8244)] = 405140,
  [SMALL_STATE(8245)] = 405178,
  [SMALL_STATE(8246)] = 405216,
  [SMALL_STATE(8247)] = 405254,
  [SMALL_STATE(8248)] = 405304,
  [SMALL_STATE(8249)] = 405342,
  [SMALL_STATE(8250)] = 405380,
  [SMALL_STATE(8251)] = 405420,
  [SMALL_STATE(8252)] = 405458,
  [SMALL_STATE(8253)] = 405496,
  [SMALL_STATE(8254)] = 405534,
  [SMALL_STATE(8255)] = 405572,
  [SMALL_STATE(8256)] = 405610,
  [SMALL_STATE(8257)] = 405648,
  [SMALL_STATE(8258)] = 405686,
  [SMALL_STATE(8259)] = 405724,
  [SMALL_STATE(8260)] = 405762,
  [SMALL_STATE(8261)] = 405800,
  [SMALL_STATE(8262)] = 405838,
  [SMALL_STATE(8263)] = 405876,
  [SMALL_STATE(8264)] = 405914,
  [SMALL_STATE(8265)] = 405952,
  [SMALL_STATE(8266)] = 405990,
  [SMALL_STATE(8267)] = 406032,
  [SMALL_STATE(8268)] = 406070,
  [SMALL_STATE(8269)] = 406108,
  [SMALL_STATE(8270)] = 406146,
  [SMALL_STATE(8271)] = 406184,
  [SMALL_STATE(8272)] = 406222,
  [SMALL_STATE(8273)] = 406260,
  [SMALL_STATE(8274)] = 406298,
  [SMALL_STATE(8275)] = 406336,
  [SMALL_STATE(8276)] = 406374,
  [SMALL_STATE(8277)] = 406412,
  [SMALL_STATE(8278)] = 406450,
  [SMALL_STATE(8279)] = 406488,
  [SMALL_STATE(8280)] = 406526,
  [SMALL_STATE(8281)] = 406566,
  [SMALL_STATE(8282)] = 406604,
  [SMALL_STATE(8283)] = 406642,
  [SMALL_STATE(8284)] = 406680,
  [SMALL_STATE(8285)] = 406718,
  [SMALL_STATE(8286)] = 406756,
  [SMALL_STATE(8287)] = 406794,
  [SMALL_STATE(8288)] = 406832,
  [SMALL_STATE(8289)] = 406872,
  [SMALL_STATE(8290)] = 406910,
  [SMALL_STATE(8291)] = 406948,
  [SMALL_STATE(8292)] = 406986,
  [SMALL_STATE(8293)] = 407024,
  [SMALL_STATE(8294)] = 407062,
  [SMALL_STATE(8295)] = 407100,
  [SMALL_STATE(8296)] = 407138,
  [SMALL_STATE(8297)] = 407176,
  [SMALL_STATE(8298)] = 407214,
  [SMALL_STATE(8299)] = 407252,
  [SMALL_STATE(8300)] = 407290,
  [SMALL_STATE(8301)] = 407328,
  [SMALL_STATE(8302)] = 407366,
  [SMALL_STATE(8303)] = 407404,
  [SMALL_STATE(8304)] = 407442,
  [SMALL_STATE(8305)] = 407480,
  [SMALL_STATE(8306)] = 407518,
  [SMALL_STATE(8307)] = 407556,
  [SMALL_STATE(8308)] = 407594,
  [SMALL_STATE(8309)] = 407632,
  [SMALL_STATE(8310)] = 407670,
  [SMALL_STATE(8311)] = 407708,
  [SMALL_STATE(8312)] = 407748,
  [SMALL_STATE(8313)] = 407792,
  [SMALL_STATE(8314)] = 407830,
  [SMALL_STATE(8315)] = 407868,
  [SMALL_STATE(8316)] = 407906,
  [SMALL_STATE(8317)] = 407944,
  [SMALL_STATE(8318)] = 407982,
  [SMALL_STATE(8319)] = 408020,
  [SMALL_STATE(8320)] = 408058,
  [SMALL_STATE(8321)] = 408096,
  [SMALL_STATE(8322)] = 408136,
  [SMALL_STATE(8323)] = 408174,
  [SMALL_STATE(8324)] = 408212,
  [SMALL_STATE(8325)] = 408250,
  [SMALL_STATE(8326)] = 408288,
  [SMALL_STATE(8327)] = 408326,
  [SMALL_STATE(8328)] = 408368,
  [SMALL_STATE(8329)] = 408406,
  [SMALL_STATE(8330)] = 408444,
  [SMALL_STATE(8331)] = 408482,
  [SMALL_STATE(8332)] = 408520,
  [SMALL_STATE(8333)] = 408558,
  [SMALL_STATE(8334)] = 408596,
  [SMALL_STATE(8335)] = 408634,
  [SMALL_STATE(8336)] = 408672,
  [SMALL_STATE(8337)] = 408710,
  [SMALL_STATE(8338)] = 408748,
  [SMALL_STATE(8339)] = 408786,
  [SMALL_STATE(8340)] = 408824,
  [SMALL_STATE(8341)] = 408862,
  [SMALL_STATE(8342)] = 408900,
  [SMALL_STATE(8343)] = 408938,
  [SMALL_STATE(8344)] = 408976,
  [SMALL_STATE(8345)] = 409014,
  [SMALL_STATE(8346)] = 409052,
  [SMALL_STATE(8347)] = 409090,
  [SMALL_STATE(8348)] = 409128,
  [SMALL_STATE(8349)] = 409166,
  [SMALL_STATE(8350)] = 409204,
  [SMALL_STATE(8351)] = 409242,
  [SMALL_STATE(8352)] = 409280,
  [SMALL_STATE(8353)] = 409318,
  [SMALL_STATE(8354)] = 409356,
  [SMALL_STATE(8355)] = 409394,
  [SMALL_STATE(8356)] = 409432,
  [SMALL_STATE(8357)] = 409470,
  [SMALL_STATE(8358)] = 409510,
  [SMALL_STATE(8359)] = 409548,
  [SMALL_STATE(8360)] = 409616,
  [SMALL_STATE(8361)] = 409654,
  [SMALL_STATE(8362)] = 409692,
  [SMALL_STATE(8363)] = 409730,
  [SMALL_STATE(8364)] = 409768,
  [SMALL_STATE(8365)] = 409806,
  [SMALL_STATE(8366)] = 409844,
  [SMALL_STATE(8367)] = 409882,
  [SMALL_STATE(8368)] = 409920,
  [SMALL_STATE(8369)] = 409958,
  [SMALL_STATE(8370)] = 409996,
  [SMALL_STATE(8371)] = 410034,
  [SMALL_STATE(8372)] = 410072,
  [SMALL_STATE(8373)] = 410110,
  [SMALL_STATE(8374)] = 410148,
  [SMALL_STATE(8375)] = 410186,
  [SMALL_STATE(8376)] = 410224,
  [SMALL_STATE(8377)] = 410292,
  [SMALL_STATE(8378)] = 410330,
  [SMALL_STATE(8379)] = 410368,
  [SMALL_STATE(8380)] = 410406,
  [SMALL_STATE(8381)] = 410446,
  [SMALL_STATE(8382)] = 410486,
  [SMALL_STATE(8383)] = 410524,
  [SMALL_STATE(8384)] = 410562,
  [SMALL_STATE(8385)] = 410600,
  [SMALL_STATE(8386)] = 410638,
  [SMALL_STATE(8387)] = 410678,
  [SMALL_STATE(8388)] = 410716,
  [SMALL_STATE(8389)] = 410754,
  [SMALL_STATE(8390)] = 410806,
  [SMALL_STATE(8391)] = 410844,
  [SMALL_STATE(8392)] = 410884,
  [SMALL_STATE(8393)] = 410922,
  [SMALL_STATE(8394)] = 410960,
  [SMALL_STATE(8395)] = 410998,
  [SMALL_STATE(8396)] = 411036,
  [SMALL_STATE(8397)] = 411074,
  [SMALL_STATE(8398)] = 411112,
  [SMALL_STATE(8399)] = 411150,
  [SMALL_STATE(8400)] = 411188,
  [SMALL_STATE(8401)] = 411226,
  [SMALL_STATE(8402)] = 411264,
  [SMALL_STATE(8403)] = 411302,
  [SMALL_STATE(8404)] = 411340,
  [SMALL_STATE(8405)] = 411378,
  [SMALL_STATE(8406)] = 411416,
  [SMALL_STATE(8407)] = 411454,
  [SMALL_STATE(8408)] = 411492,
  [SMALL_STATE(8409)] = 411530,
  [SMALL_STATE(8410)] = 411568,
  [SMALL_STATE(8411)] = 411606,
  [SMALL_STATE(8412)] = 411644,
  [SMALL_STATE(8413)] = 411682,
  [SMALL_STATE(8414)] = 411720,
  [SMALL_STATE(8415)] = 411758,
  [SMALL_STATE(8416)] = 411800,
  [SMALL_STATE(8417)] = 411838,
  [SMALL_STATE(8418)] = 411876,
  [SMALL_STATE(8419)] = 411914,
  [SMALL_STATE(8420)] = 411952,
  [SMALL_STATE(8421)] = 411994,
  [SMALL_STATE(8422)] = 412032,
  [SMALL_STATE(8423)] = 412100,
  [SMALL_STATE(8424)] = 412138,
  [SMALL_STATE(8425)] = 412176,
  [SMALL_STATE(8426)] = 412214,
  [SMALL_STATE(8427)] = 412252,
  [SMALL_STATE(8428)] = 412290,
  [SMALL_STATE(8429)] = 412328,
  [SMALL_STATE(8430)] = 412370,
  [SMALL_STATE(8431)] = 412408,
  [SMALL_STATE(8432)] = 412446,
  [SMALL_STATE(8433)] = 412486,
  [SMALL_STATE(8434)] = 412524,
  [SMALL_STATE(8435)] = 412562,
  [SMALL_STATE(8436)] = 412600,
  [SMALL_STATE(8437)] = 412642,
  [SMALL_STATE(8438)] = 412680,
  [SMALL_STATE(8439)] = 412718,
  [SMALL_STATE(8440)] = 412756,
  [SMALL_STATE(8441)] = 412794,
  [SMALL_STATE(8442)] = 412832,
  [SMALL_STATE(8443)] = 412870,
  [SMALL_STATE(8444)] = 412908,
  [SMALL_STATE(8445)] = 412948,
  [SMALL_STATE(8446)] = 412986,
  [SMALL_STATE(8447)] = 413024,
  [SMALL_STATE(8448)] = 413092,
  [SMALL_STATE(8449)] = 413132,
  [SMALL_STATE(8450)] = 413170,
  [SMALL_STATE(8451)] = 413208,
  [SMALL_STATE(8452)] = 413246,
  [SMALL_STATE(8453)] = 413284,
  [SMALL_STATE(8454)] = 413322,
  [SMALL_STATE(8455)] = 413390,
  [SMALL_STATE(8456)] = 413428,
  [SMALL_STATE(8457)] = 413466,
  [SMALL_STATE(8458)] = 413504,
  [SMALL_STATE(8459)] = 413542,
  [SMALL_STATE(8460)] = 413580,
  [SMALL_STATE(8461)] = 413618,
  [SMALL_STATE(8462)] = 413656,
  [SMALL_STATE(8463)] = 413694,
  [SMALL_STATE(8464)] = 413750,
  [SMALL_STATE(8465)] = 413788,
  [SMALL_STATE(8466)] = 413830,
  [SMALL_STATE(8467)] = 413868,
  [SMALL_STATE(8468)] = 413906,
  [SMALL_STATE(8469)] = 413950,
  [SMALL_STATE(8470)] = 413988,
  [SMALL_STATE(8471)] = 414026,
  [SMALL_STATE(8472)] = 414064,
  [SMALL_STATE(8473)] = 414102,
  [SMALL_STATE(8474)] = 414140,
  [SMALL_STATE(8475)] = 414178,
  [SMALL_STATE(8476)] = 414216,
  [SMALL_STATE(8477)] = 414254,
  [SMALL_STATE(8478)] = 414292,
  [SMALL_STATE(8479)] = 414356,
  [SMALL_STATE(8480)] = 414394,
  [SMALL_STATE(8481)] = 414432,
  [SMALL_STATE(8482)] = 414470,
  [SMALL_STATE(8483)] = 414508,
  [SMALL_STATE(8484)] = 414546,
  [SMALL_STATE(8485)] = 414596,
  [SMALL_STATE(8486)] = 414634,
  [SMALL_STATE(8487)] = 414672,
  [SMALL_STATE(8488)] = 414710,
  [SMALL_STATE(8489)] = 414748,
  [SMALL_STATE(8490)] = 414786,
  [SMALL_STATE(8491)] = 414824,
  [SMALL_STATE(8492)] = 414862,
  [SMALL_STATE(8493)] = 414900,
  [SMALL_STATE(8494)] = 414938,
  [SMALL_STATE(8495)] = 414976,
  [SMALL_STATE(8496)] = 415014,
  [SMALL_STATE(8497)] = 415052,
  [SMALL_STATE(8498)] = 415090,
  [SMALL_STATE(8499)] = 415128,
  [SMALL_STATE(8500)] = 415166,
  [SMALL_STATE(8501)] = 415204,
  [SMALL_STATE(8502)] = 415242,
  [SMALL_STATE(8503)] = 415282,
  [SMALL_STATE(8504)] = 415320,
  [SMALL_STATE(8505)] = 415358,
  [SMALL_STATE(8506)] = 415396,
  [SMALL_STATE(8507)] = 415434,
  [SMALL_STATE(8508)] = 415472,
  [SMALL_STATE(8509)] = 415510,
  [SMALL_STATE(8510)] = 415548,
  [SMALL_STATE(8511)] = 415608,
  [SMALL_STATE(8512)] = 415646,
  [SMALL_STATE(8513)] = 415684,
  [SMALL_STATE(8514)] = 415722,
  [SMALL_STATE(8515)] = 415762,
  [SMALL_STATE(8516)] = 415800,
  [SMALL_STATE(8517)] = 415838,
  [SMALL_STATE(8518)] = 415876,
  [SMALL_STATE(8519)] = 415916,
  [SMALL_STATE(8520)] = 415984,
  [SMALL_STATE(8521)] = 416022,
  [SMALL_STATE(8522)] = 416060,
  [SMALL_STATE(8523)] = 416098,
  [SMALL_STATE(8524)] = 416136,
  [SMALL_STATE(8525)] = 416174,
  [SMALL_STATE(8526)] = 416212,
  [SMALL_STATE(8527)] = 416266,
  [SMALL_STATE(8528)] = 416304,
  [SMALL_STATE(8529)] = 416344,
  [SMALL_STATE(8530)] = 416382,
  [SMALL_STATE(8531)] = 416420,
  [SMALL_STATE(8532)] = 416458,
  [SMALL_STATE(8533)] = 416496,
  [SMALL_STATE(8534)] = 416534,
  [SMALL_STATE(8535)] = 416580,
  [SMALL_STATE(8536)] = 416618,
  [SMALL_STATE(8537)] = 416656,
  [SMALL_STATE(8538)] = 416700,
  [SMALL_STATE(8539)] = 416738,
  [SMALL_STATE(8540)] = 416778,
  [SMALL_STATE(8541)] = 416816,
  [SMALL_STATE(8542)] = 416856,
  [SMALL_STATE(8543)] = 416894,
  [SMALL_STATE(8544)] = 416932,
  [SMALL_STATE(8545)] = 416970,
  [SMALL_STATE(8546)] = 417008,
  [SMALL_STATE(8547)] = 417046,
  [SMALL_STATE(8548)] = 417086,
  [SMALL_STATE(8549)] = 417124,
  [SMALL_STATE(8550)] = 417162,
  [SMALL_STATE(8551)] = 417200,
  [SMALL_STATE(8552)] = 417238,
  [SMALL_STATE(8553)] = 417276,
  [SMALL_STATE(8554)] = 417318,
  [SMALL_STATE(8555)] = 417358,
  [SMALL_STATE(8556)] = 417420,
  [SMALL_STATE(8557)] = 417458,
  [SMALL_STATE(8558)] = 417508,
  [SMALL_STATE(8559)] = 417548,
  [SMALL_STATE(8560)] = 417602,
  [SMALL_STATE(8561)] = 417640,
  [SMALL_STATE(8562)] = 417680,
  [SMALL_STATE(8563)] = 417722,
  [SMALL_STATE(8564)] = 417760,
  [SMALL_STATE(8565)] = 417798,
  [SMALL_STATE(8566)] = 417846,
  [SMALL_STATE(8567)] = 417884,
  [SMALL_STATE(8568)] = 417922,
  [SMALL_STATE(8569)] = 417960,
  [SMALL_STATE(8570)] = 417998,
  [SMALL_STATE(8571)] = 418036,
  [SMALL_STATE(8572)] = 418080,
  [SMALL_STATE(8573)] = 418118,
  [SMALL_STATE(8574)] = 418156,
  [SMALL_STATE(8575)] = 418194,
  [SMALL_STATE(8576)] = 418232,
  [SMALL_STATE(8577)] = 418276,
  [SMALL_STATE(8578)] = 418314,
  [SMALL_STATE(8579)] = 418352,
  [SMALL_STATE(8580)] = 418390,
  [SMALL_STATE(8581)] = 418432,
  [SMALL_STATE(8582)] = 418472,
  [SMALL_STATE(8583)] = 418510,
  [SMALL_STATE(8584)] = 418548,
  [SMALL_STATE(8585)] = 418586,
  [SMALL_STATE(8586)] = 418624,
  [SMALL_STATE(8587)] = 418662,
  [SMALL_STATE(8588)] = 418700,
  [SMALL_STATE(8589)] = 418758,
  [SMALL_STATE(8590)] = 418800,
  [SMALL_STATE(8591)] = 418844,
  [SMALL_STATE(8592)] = 418882,
  [SMALL_STATE(8593)] = 418920,
  [SMALL_STATE(8594)] = 418958,
  [SMALL_STATE(8595)] = 419008,
  [SMALL_STATE(8596)] = 419046,
  [SMALL_STATE(8597)] = 419084,
  [SMALL_STATE(8598)] = 419122,
  [SMALL_STATE(8599)] = 419160,
  [SMALL_STATE(8600)] = 419198,
  [SMALL_STATE(8601)] = 419236,
  [SMALL_STATE(8602)] = 419274,
  [SMALL_STATE(8603)] = 419314,
  [SMALL_STATE(8604)] = 419352,
  [SMALL_STATE(8605)] = 419390,
  [SMALL_STATE(8606)] = 419430,
  [SMALL_STATE(8607)] = 419468,
  [SMALL_STATE(8608)] = 419508,
  [SMALL_STATE(8609)] = 419546,
  [SMALL_STATE(8610)] = 419584,
  [SMALL_STATE(8611)] = 419624,
  [SMALL_STATE(8612)] = 419662,
  [SMALL_STATE(8613)] = 419702,
  [SMALL_STATE(8614)] = 419742,
  [SMALL_STATE(8615)] = 419780,
  [SMALL_STATE(8616)] = 419818,
  [SMALL_STATE(8617)] = 419860,
  [SMALL_STATE(8618)] = 419916,
  [SMALL_STATE(8619)] = 419954,
  [SMALL_STATE(8620)] = 419992,
  [SMALL_STATE(8621)] = 420058,
  [SMALL_STATE(8622)] = 420096,
  [SMALL_STATE(8623)] = 420134,
  [SMALL_STATE(8624)] = 420190,
  [SMALL_STATE(8625)] = 420228,
  [SMALL_STATE(8626)] = 420266,
  [SMALL_STATE(8627)] = 420328,
  [SMALL_STATE(8628)] = 420382,
  [SMALL_STATE(8629)] = 420420,
  [SMALL_STATE(8630)] = 420458,
  [SMALL_STATE(8631)] = 420496,
  [SMALL_STATE(8632)] = 420536,
  [SMALL_STATE(8633)] = 420574,
  [SMALL_STATE(8634)] = 420612,
  [SMALL_STATE(8635)] = 420650,
  [SMALL_STATE(8636)] = 420690,
  [SMALL_STATE(8637)] = 420728,
  [SMALL_STATE(8638)] = 420766,
  [SMALL_STATE(8639)] = 420804,
  [SMALL_STATE(8640)] = 420844,
  [SMALL_STATE(8641)] = 420882,
  [SMALL_STATE(8642)] = 420930,
  [SMALL_STATE(8643)] = 420972,
  [SMALL_STATE(8644)] = 421010,
  [SMALL_STATE(8645)] = 421048,
  [SMALL_STATE(8646)] = 421090,
  [SMALL_STATE(8647)] = 421128,
  [SMALL_STATE(8648)] = 421166,
  [SMALL_STATE(8649)] = 421204,
  [SMALL_STATE(8650)] = 421246,
  [SMALL_STATE(8651)] = 421284,
  [SMALL_STATE(8652)] = 421322,
  [SMALL_STATE(8653)] = 421360,
  [SMALL_STATE(8654)] = 421398,
  [SMALL_STATE(8655)] = 421436,
  [SMALL_STATE(8656)] = 421474,
  [SMALL_STATE(8657)] = 421512,
  [SMALL_STATE(8658)] = 421550,
  [SMALL_STATE(8659)] = 421588,
  [SMALL_STATE(8660)] = 421648,
  [SMALL_STATE(8661)] = 421686,
  [SMALL_STATE(8662)] = 421724,
  [SMALL_STATE(8663)] = 421762,
  [SMALL_STATE(8664)] = 421806,
  [SMALL_STATE(8665)] = 421844,
  [SMALL_STATE(8666)] = 421882,
  [SMALL_STATE(8667)] = 421920,
  [SMALL_STATE(8668)] = 421958,
  [SMALL_STATE(8669)] = 421996,
  [SMALL_STATE(8670)] = 422034,
  [SMALL_STATE(8671)] = 422072,
  [SMALL_STATE(8672)] = 422110,
  [SMALL_STATE(8673)] = 422162,
  [SMALL_STATE(8674)] = 422200,
  [SMALL_STATE(8675)] = 422238,
  [SMALL_STATE(8676)] = 422276,
  [SMALL_STATE(8677)] = 422314,
  [SMALL_STATE(8678)] = 422352,
  [SMALL_STATE(8679)] = 422390,
  [SMALL_STATE(8680)] = 422430,
  [SMALL_STATE(8681)] = 422490,
  [SMALL_STATE(8682)] = 422528,
  [SMALL_STATE(8683)] = 422566,
  [SMALL_STATE(8684)] = 422606,
  [SMALL_STATE(8685)] = 422644,
  [SMALL_STATE(8686)] = 422699,
  [SMALL_STATE(8687)] = 422754,
  [SMALL_STATE(8688)] = 422791,
  [SMALL_STATE(8689)] = 422846,
  [SMALL_STATE(8690)] = 422883,
  [SMALL_STATE(8691)] = 422920,
  [SMALL_STATE(8692)] = 422957,
  [SMALL_STATE(8693)] = 422996,
  [SMALL_STATE(8694)] = 423033,
  [SMALL_STATE(8695)] = 423072,
  [SMALL_STATE(8696)] = 423111,
  [SMALL_STATE(8697)] = 423166,
  [SMALL_STATE(8698)] = 423203,
  [SMALL_STATE(8699)] = 423258,
  [SMALL_STATE(8700)] = 423297,
  [SMALL_STATE(8701)] = 423334,
  [SMALL_STATE(8702)] = 423389,
  [SMALL_STATE(8703)] = 423426,
  [SMALL_STATE(8704)] = 423463,
  [SMALL_STATE(8705)] = 423500,
  [SMALL_STATE(8706)] = 423537,
  [SMALL_STATE(8707)] = 423576,
  [SMALL_STATE(8708)] = 423613,
  [SMALL_STATE(8709)] = 423650,
  [SMALL_STATE(8710)] = 423689,
  [SMALL_STATE(8711)] = 423728,
  [SMALL_STATE(8712)] = 423781,
  [SMALL_STATE(8713)] = 423818,
  [SMALL_STATE(8714)] = 423873,
  [SMALL_STATE(8715)] = 423910,
  [SMALL_STATE(8716)] = 423947,
  [SMALL_STATE(8717)] = 423990,
  [SMALL_STATE(8718)] = 424027,
  [SMALL_STATE(8719)] = 424064,
  [SMALL_STATE(8720)] = 424125,
  [SMALL_STATE(8721)] = 424162,
  [SMALL_STATE(8722)] = 424199,
  [SMALL_STATE(8723)] = 424236,
  [SMALL_STATE(8724)] = 424291,
  [SMALL_STATE(8725)] = 424328,
  [SMALL_STATE(8726)] = 424381,
  [SMALL_STATE(8727)] = 424418,
  [SMALL_STATE(8728)] = 424457,
  [SMALL_STATE(8729)] = 424512,
  [SMALL_STATE(8730)] = 424551,
  [SMALL_STATE(8731)] = 424588,
  [SMALL_STATE(8732)] = 424643,
  [SMALL_STATE(8733)] = 424680,
  [SMALL_STATE(8734)] = 424717,
  [SMALL_STATE(8735)] = 424754,
  [SMALL_STATE(8736)] = 424791,
  [SMALL_STATE(8737)] = 424846,
  [SMALL_STATE(8738)] = 424887,
  [SMALL_STATE(8739)] = 424924,
  [SMALL_STATE(8740)] = 424961,
  [SMALL_STATE(8741)] = 425004,
  [SMALL_STATE(8742)] = 425041,
  [SMALL_STATE(8743)] = 425084,
  [SMALL_STATE(8744)] = 425121,
  [SMALL_STATE(8745)] = 425158,
  [SMALL_STATE(8746)] = 425213,
  [SMALL_STATE(8747)] = 425250,
  [SMALL_STATE(8748)] = 425287,
  [SMALL_STATE(8749)] = 425342,
  [SMALL_STATE(8750)] = 425397,
  [SMALL_STATE(8751)] = 425434,
  [SMALL_STATE(8752)] = 425471,
  [SMALL_STATE(8753)] = 425508,
  [SMALL_STATE(8754)] = 425545,
  [SMALL_STATE(8755)] = 425584,
  [SMALL_STATE(8756)] = 425627,
  [SMALL_STATE(8757)] = 425664,
  [SMALL_STATE(8758)] = 425701,
  [SMALL_STATE(8759)] = 425756,
  [SMALL_STATE(8760)] = 425793,
  [SMALL_STATE(8761)] = 425848,
  [SMALL_STATE(8762)] = 425885,
  [SMALL_STATE(8763)] = 425938,
  [SMALL_STATE(8764)] = 425975,
  [SMALL_STATE(8765)] = 426012,
  [SMALL_STATE(8766)] = 426049,
  [SMALL_STATE(8767)] = 426086,
  [SMALL_STATE(8768)] = 426141,
  [SMALL_STATE(8769)] = 426178,
  [SMALL_STATE(8770)] = 426215,
  [SMALL_STATE(8771)] = 426252,
  [SMALL_STATE(8772)] = 426307,
  [SMALL_STATE(8773)] = 426356,
  [SMALL_STATE(8774)] = 426393,
  [SMALL_STATE(8775)] = 426430,
  [SMALL_STATE(8776)] = 426469,
  [SMALL_STATE(8777)] = 426510,
  [SMALL_STATE(8778)] = 426547,
  [SMALL_STATE(8779)] = 426598,
  [SMALL_STATE(8780)] = 426635,
  [SMALL_STATE(8781)] = 426678,
  [SMALL_STATE(8782)] = 426715,
  [SMALL_STATE(8783)] = 426752,
  [SMALL_STATE(8784)] = 426807,
  [SMALL_STATE(8785)] = 426844,
  [SMALL_STATE(8786)] = 426883,
  [SMALL_STATE(8787)] = 426924,
  [SMALL_STATE(8788)] = 426961,
  [SMALL_STATE(8789)] = 427016,
  [SMALL_STATE(8790)] = 427055,
  [SMALL_STATE(8791)] = 427098,
  [SMALL_STATE(8792)] = 427153,
  [SMALL_STATE(8793)] = 427192,
  [SMALL_STATE(8794)] = 427245,
  [SMALL_STATE(8795)] = 427282,
  [SMALL_STATE(8796)] = 427335,
  [SMALL_STATE(8797)] = 427372,
  [SMALL_STATE(8798)] = 427409,
  [SMALL_STATE(8799)] = 427446,
  [SMALL_STATE(8800)] = 427501,
  [SMALL_STATE(8801)] = 427556,
  [SMALL_STATE(8802)] = 427599,
  [SMALL_STATE(8803)] = 427636,
  [SMALL_STATE(8804)] = 427673,
  [SMALL_STATE(8805)] = 427710,
  [SMALL_STATE(8806)] = 427765,
  [SMALL_STATE(8807)] = 427808,
  [SMALL_STATE(8808)] = 427845,
  [SMALL_STATE(8809)] = 427882,
  [SMALL_STATE(8810)] = 427919,
  [SMALL_STATE(8811)] = 427974,
  [SMALL_STATE(8812)] = 428013,
  [SMALL_STATE(8813)] = 428068,
  [SMALL_STATE(8814)] = 428123,
  [SMALL_STATE(8815)] = 428160,
  [SMALL_STATE(8816)] = 428215,
  [SMALL_STATE(8817)] = 428254,
  [SMALL_STATE(8818)] = 428291,
  [SMALL_STATE(8819)] = 428328,
  [SMALL_STATE(8820)] = 428365,
  [SMALL_STATE(8821)] = 428402,
  [SMALL_STATE(8822)] = 428439,
  [SMALL_STATE(8823)] = 428492,
  [SMALL_STATE(8824)] = 428547,
  [SMALL_STATE(8825)] = 428584,
  [SMALL_STATE(8826)] = 428621,
  [SMALL_STATE(8827)] = 428676,
  [SMALL_STATE(8828)] = 428715,
  [SMALL_STATE(8829)] = 428770,
  [SMALL_STATE(8830)] = 428807,
  [SMALL_STATE(8831)] = 428844,
  [SMALL_STATE(8832)] = 428905,
  [SMALL_STATE(8833)] = 428956,
  [SMALL_STATE(8834)] = 428995,
  [SMALL_STATE(8835)] = 429032,
  [SMALL_STATE(8836)] = 429077,
  [SMALL_STATE(8837)] = 429114,
  [SMALL_STATE(8838)] = 429159,
  [SMALL_STATE(8839)] = 429214,
  [SMALL_STATE(8840)] = 429251,
  [SMALL_STATE(8841)] = 429288,
  [SMALL_STATE(8842)] = 429325,
  [SMALL_STATE(8843)] = 429380,
  [SMALL_STATE(8844)] = 429417,
  [SMALL_STATE(8845)] = 429456,
  [SMALL_STATE(8846)] = 429493,
  [SMALL_STATE(8847)] = 429548,
  [SMALL_STATE(8848)] = 429585,
  [SMALL_STATE(8849)] = 429622,
  [SMALL_STATE(8850)] = 429661,
  [SMALL_STATE(8851)] = 429716,
  [SMALL_STATE(8852)] = 429771,
  [SMALL_STATE(8853)] = 429808,
  [SMALL_STATE(8854)] = 429863,
  [SMALL_STATE(8855)] = 429900,
  [SMALL_STATE(8856)] = 429937,
  [SMALL_STATE(8857)] = 429978,
  [SMALL_STATE(8858)] = 430021,
  [SMALL_STATE(8859)] = 430058,
  [SMALL_STATE(8860)] = 430113,
  [SMALL_STATE(8861)] = 430150,
  [SMALL_STATE(8862)] = 430187,
  [SMALL_STATE(8863)] = 430242,
  [SMALL_STATE(8864)] = 430279,
  [SMALL_STATE(8865)] = 430316,
  [SMALL_STATE(8866)] = 430371,
  [SMALL_STATE(8867)] = 430408,
  [SMALL_STATE(8868)] = 430463,
  [SMALL_STATE(8869)] = 430500,
  [SMALL_STATE(8870)] = 430553,
  [SMALL_STATE(8871)] = 430590,
  [SMALL_STATE(8872)] = 430627,
  [SMALL_STATE(8873)] = 430664,
  [SMALL_STATE(8874)] = 430701,
  [SMALL_STATE(8875)] = 430738,
  [SMALL_STATE(8876)] = 430775,
  [SMALL_STATE(8877)] = 430816,
  [SMALL_STATE(8878)] = 430871,
  [SMALL_STATE(8879)] = 430908,
  [SMALL_STATE(8880)] = 430945,
  [SMALL_STATE(8881)] = 430982,
  [SMALL_STATE(8882)] = 431037,
  [SMALL_STATE(8883)] = 431074,
  [SMALL_STATE(8884)] = 431111,
  [SMALL_STATE(8885)] = 431148,
  [SMALL_STATE(8886)] = 431185,
  [SMALL_STATE(8887)] = 431240,
  [SMALL_STATE(8888)] = 431277,
  [SMALL_STATE(8889)] = 431314,
  [SMALL_STATE(8890)] = 431369,
  [SMALL_STATE(8891)] = 431406,
  [SMALL_STATE(8892)] = 431461,
  [SMALL_STATE(8893)] = 431498,
  [SMALL_STATE(8894)] = 431535,
  [SMALL_STATE(8895)] = 431572,
  [SMALL_STATE(8896)] = 431627,
  [SMALL_STATE(8897)] = 431680,
  [SMALL_STATE(8898)] = 431719,
  [SMALL_STATE(8899)] = 431756,
  [SMALL_STATE(8900)] = 431797,
  [SMALL_STATE(8901)] = 431852,
  [SMALL_STATE(8902)] = 431889,
  [SMALL_STATE(8903)] = 431926,
  [SMALL_STATE(8904)] = 431981,
  [SMALL_STATE(8905)] = 432022,
  [SMALL_STATE(8906)] = 432059,
  [SMALL_STATE(8907)] = 432096,
  [SMALL_STATE(8908)] = 432151,
  [SMALL_STATE(8909)] = 432188,
  [SMALL_STATE(8910)] = 432225,
  [SMALL_STATE(8911)] = 432262,
  [SMALL_STATE(8912)] = 432299,
  [SMALL_STATE(8913)] = 432336,
  [SMALL_STATE(8914)] = 432387,
  [SMALL_STATE(8915)] = 432424,
  [SMALL_STATE(8916)] = 432461,
  [SMALL_STATE(8917)] = 432506,
  [SMALL_STATE(8918)] = 432543,
  [SMALL_STATE(8919)] = 432580,
  [SMALL_STATE(8920)] = 432617,
  [SMALL_STATE(8921)] = 432654,
  [SMALL_STATE(8922)] = 432695,
  [SMALL_STATE(8923)] = 432732,
  [SMALL_STATE(8924)] = 432769,
  [SMALL_STATE(8925)] = 432806,
  [SMALL_STATE(8926)] = 432861,
  [SMALL_STATE(8927)] = 432914,
  [SMALL_STATE(8928)] = 432969,
  [SMALL_STATE(8929)] = 433006,
  [SMALL_STATE(8930)] = 433043,
  [SMALL_STATE(8931)] = 433080,
  [SMALL_STATE(8932)] = 433117,
  [SMALL_STATE(8933)] = 433154,
  [SMALL_STATE(8934)] = 433203,
  [SMALL_STATE(8935)] = 433240,
  [SMALL_STATE(8936)] = 433277,
  [SMALL_STATE(8937)] = 433314,
  [SMALL_STATE(8938)] = 433351,
  [SMALL_STATE(8939)] = 433390,
  [SMALL_STATE(8940)] = 433427,
  [SMALL_STATE(8941)] = 433464,
  [SMALL_STATE(8942)] = 433501,
  [SMALL_STATE(8943)] = 433538,
  [SMALL_STATE(8944)] = 433575,
  [SMALL_STATE(8945)] = 433612,
  [SMALL_STATE(8946)] = 433649,
  [SMALL_STATE(8947)] = 433686,
  [SMALL_STATE(8948)] = 433741,
  [SMALL_STATE(8949)] = 433778,
  [SMALL_STATE(8950)] = 433833,
  [SMALL_STATE(8951)] = 433870,
  [SMALL_STATE(8952)] = 433907,
  [SMALL_STATE(8953)] = 433962,
  [SMALL_STATE(8954)] = 433999,
  [SMALL_STATE(8955)] = 434036,
  [SMALL_STATE(8956)] = 434087,
  [SMALL_STATE(8957)] = 434124,
  [SMALL_STATE(8958)] = 434161,
  [SMALL_STATE(8959)] = 434198,
  [SMALL_STATE(8960)] = 434235,
  [SMALL_STATE(8961)] = 434272,
  [SMALL_STATE(8962)] = 434327,
  [SMALL_STATE(8963)] = 434382,
  [SMALL_STATE(8964)] = 434437,
  [SMALL_STATE(8965)] = 434474,
  [SMALL_STATE(8966)] = 434529,
  [SMALL_STATE(8967)] = 434566,
  [SMALL_STATE(8968)] = 434621,
  [SMALL_STATE(8969)] = 434674,
  [SMALL_STATE(8970)] = 434711,
  [SMALL_STATE(8971)] = 434766,
  [SMALL_STATE(8972)] = 434803,
  [SMALL_STATE(8973)] = 434840,
  [SMALL_STATE(8974)] = 434885,
  [SMALL_STATE(8975)] = 434922,
  [SMALL_STATE(8976)] = 434959,
  [SMALL_STATE(8977)] = 435000,
  [SMALL_STATE(8978)] = 435043,
  [SMALL_STATE(8979)] = 435086,
  [SMALL_STATE(8980)] = 435123,
  [SMALL_STATE(8981)] = 435160,
  [SMALL_STATE(8982)] = 435199,
  [SMALL_STATE(8983)] = 435236,
  [SMALL_STATE(8984)] = 435291,
  [SMALL_STATE(8985)] = 435344,
  [SMALL_STATE(8986)] = 435399,
  [SMALL_STATE(8987)] = 435436,
  [SMALL_STATE(8988)] = 435473,
  [SMALL_STATE(8989)] = 435510,
  [SMALL_STATE(8990)] = 435547,
  [SMALL_STATE(8991)] = 435584,
  [SMALL_STATE(8992)] = 435621,
  [SMALL_STATE(8993)] = 435658,
  [SMALL_STATE(8994)] = 435709,
  [SMALL_STATE(8995)] = 435746,
  [SMALL_STATE(8996)] = 435783,
  [SMALL_STATE(8997)] = 435820,
  [SMALL_STATE(8998)] = 435857,
  [SMALL_STATE(8999)] = 435894,
  [SMALL_STATE(9000)] = 435947,
  [SMALL_STATE(9001)] = 436002,
  [SMALL_STATE(9002)] = 436057,
  [SMALL_STATE(9003)] = 436094,
  [SMALL_STATE(9004)] = 436131,
  [SMALL_STATE(9005)] = 436186,
  [SMALL_STATE(9006)] = 436223,
  [SMALL_STATE(9007)] = 436260,
  [SMALL_STATE(9008)] = 436297,
  [SMALL_STATE(9009)] = 436334,
  [SMALL_STATE(9010)] = 436371,
  [SMALL_STATE(9011)] = 436408,
  [SMALL_STATE(9012)] = 436445,
  [SMALL_STATE(9013)] = 436482,
  [SMALL_STATE(9014)] = 436519,
  [SMALL_STATE(9015)] = 436556,
  [SMALL_STATE(9016)] = 436593,
  [SMALL_STATE(9017)] = 436630,
  [SMALL_STATE(9018)] = 436667,
  [SMALL_STATE(9019)] = 436704,
  [SMALL_STATE(9020)] = 436741,
  [SMALL_STATE(9021)] = 436796,
  [SMALL_STATE(9022)] = 436833,
  [SMALL_STATE(9023)] = 436890,
  [SMALL_STATE(9024)] = 436927,
  [SMALL_STATE(9025)] = 436964,
  [SMALL_STATE(9026)] = 437001,
  [SMALL_STATE(9027)] = 437038,
  [SMALL_STATE(9028)] = 437075,
  [SMALL_STATE(9029)] = 437112,
  [SMALL_STATE(9030)] = 437149,
  [SMALL_STATE(9031)] = 437204,
  [SMALL_STATE(9032)] = 437259,
  [SMALL_STATE(9033)] = 437296,
  [SMALL_STATE(9034)] = 437351,
  [SMALL_STATE(9035)] = 437394,
  [SMALL_STATE(9036)] = 437437,
  [SMALL_STATE(9037)] = 437474,
  [SMALL_STATE(9038)] = 437511,
  [SMALL_STATE(9039)] = 437566,
  [SMALL_STATE(9040)] = 437621,
  [SMALL_STATE(9041)] = 437658,
  [SMALL_STATE(9042)] = 437695,
  [SMALL_STATE(9043)] = 437734,
  [SMALL_STATE(9044)] = 437771,
  [SMALL_STATE(9045)] = 437808,
  [SMALL_STATE(9046)] = 437845,
  [SMALL_STATE(9047)] = 437882,
  [SMALL_STATE(9048)] = 437919,
  [SMALL_STATE(9049)] = 437974,
  [SMALL_STATE(9050)] = 438029,
  [SMALL_STATE(9051)] = 438066,
  [SMALL_STATE(9052)] = 438103,
  [SMALL_STATE(9053)] = 438140,
  [SMALL_STATE(9054)] = 438177,
  [SMALL_STATE(9055)] = 438218,
  [SMALL_STATE(9056)] = 438255,
  [SMALL_STATE(9057)] = 438292,
  [SMALL_STATE(9058)] = 438329,
  [SMALL_STATE(9059)] = 438394,
  [SMALL_STATE(9060)] = 438435,
  [SMALL_STATE(9061)] = 438472,
  [SMALL_STATE(9062)] = 438511,
  [SMALL_STATE(9063)] = 438566,
  [SMALL_STATE(9064)] = 438621,
  [SMALL_STATE(9065)] = 438658,
  [SMALL_STATE(9066)] = 438695,
  [SMALL_STATE(9067)] = 438732,
  [SMALL_STATE(9068)] = 438769,
  [SMALL_STATE(9069)] = 438820,
  [SMALL_STATE(9070)] = 438857,
  [SMALL_STATE(9071)] = 438894,
  [SMALL_STATE(9072)] = 438931,
  [SMALL_STATE(9073)] = 438968,
  [SMALL_STATE(9074)] = 439005,
  [SMALL_STATE(9075)] = 439042,
  [SMALL_STATE(9076)] = 439079,
  [SMALL_STATE(9077)] = 439116,
  [SMALL_STATE(9078)] = 439153,
  [SMALL_STATE(9079)] = 439190,
  [SMALL_STATE(9080)] = 439227,
  [SMALL_STATE(9081)] = 439264,
  [SMALL_STATE(9082)] = 439301,
  [SMALL_STATE(9083)] = 439338,
  [SMALL_STATE(9084)] = 439375,
  [SMALL_STATE(9085)] = 439412,
  [SMALL_STATE(9086)] = 439453,
  [SMALL_STATE(9087)] = 439492,
  [SMALL_STATE(9088)] = 439531,
  [SMALL_STATE(9089)] = 439568,
  [SMALL_STATE(9090)] = 439605,
  [SMALL_STATE(9091)] = 439642,
  [SMALL_STATE(9092)] = 439679,
  [SMALL_STATE(9093)] = 439716,
  [SMALL_STATE(9094)] = 439753,
  [SMALL_STATE(9095)] = 439808,
  [SMALL_STATE(9096)] = 439845,
  [SMALL_STATE(9097)] = 439882,
  [SMALL_STATE(9098)] = 439937,
  [SMALL_STATE(9099)] = 439974,
  [SMALL_STATE(9100)] = 440011,
  [SMALL_STATE(9101)] = 440052,
  [SMALL_STATE(9102)] = 440089,
  [SMALL_STATE(9103)] = 440126,
  [SMALL_STATE(9104)] = 440181,
  [SMALL_STATE(9105)] = 440218,
  [SMALL_STATE(9106)] = 440255,
  [SMALL_STATE(9107)] = 440310,
  [SMALL_STATE(9108)] = 440347,
  [SMALL_STATE(9109)] = 440402,
  [SMALL_STATE(9110)] = 440439,
  [SMALL_STATE(9111)] = 440488,
  [SMALL_STATE(9112)] = 440525,
  [SMALL_STATE(9113)] = 440580,
  [SMALL_STATE(9114)] = 440617,
  [SMALL_STATE(9115)] = 440654,
  [SMALL_STATE(9116)] = 440707,
  [SMALL_STATE(9117)] = 440744,
  [SMALL_STATE(9118)] = 440781,
  [SMALL_STATE(9119)] = 440818,
  [SMALL_STATE(9120)] = 440855,
  [SMALL_STATE(9121)] = 440892,
  [SMALL_STATE(9122)] = 440941,
  [SMALL_STATE(9123)] = 440978,
  [SMALL_STATE(9124)] = 441015,
  [SMALL_STATE(9125)] = 441056,
  [SMALL_STATE(9126)] = 441111,
  [SMALL_STATE(9127)] = 441148,
  [SMALL_STATE(9128)] = 441203,
  [SMALL_STATE(9129)] = 441240,
  [SMALL_STATE(9130)] = 441277,
  [SMALL_STATE(9131)] = 441314,
  [SMALL_STATE(9132)] = 441353,
  [SMALL_STATE(9133)] = 441390,
  [SMALL_STATE(9134)] = 441427,
  [SMALL_STATE(9135)] = 441464,
  [SMALL_STATE(9136)] = 441501,
  [SMALL_STATE(9137)] = 441556,
  [SMALL_STATE(9138)] = 441593,
  [SMALL_STATE(9139)] = 441630,
  [SMALL_STATE(9140)] = 441667,
  [SMALL_STATE(9141)] = 441722,
  [SMALL_STATE(9142)] = 441777,
  [SMALL_STATE(9143)] = 441818,
  [SMALL_STATE(9144)] = 441873,
  [SMALL_STATE(9145)] = 441928,
  [SMALL_STATE(9146)] = 441965,
  [SMALL_STATE(9147)] = 442002,
  [SMALL_STATE(9148)] = 442039,
  [SMALL_STATE(9149)] = 442082,
  [SMALL_STATE(9150)] = 442119,
  [SMALL_STATE(9151)] = 442156,
  [SMALL_STATE(9152)] = 442211,
  [SMALL_STATE(9153)] = 442248,
  [SMALL_STATE(9154)] = 442285,
  [SMALL_STATE(9155)] = 442340,
  [SMALL_STATE(9156)] = 442379,
  [SMALL_STATE(9157)] = 442416,
  [SMALL_STATE(9158)] = 442453,
  [SMALL_STATE(9159)] = 442490,
  [SMALL_STATE(9160)] = 442527,
  [SMALL_STATE(9161)] = 442564,
  [SMALL_STATE(9162)] = 442601,
  [SMALL_STATE(9163)] = 442638,
  [SMALL_STATE(9164)] = 442675,
  [SMALL_STATE(9165)] = 442712,
  [SMALL_STATE(9166)] = 442767,
  [SMALL_STATE(9167)] = 442804,
  [SMALL_STATE(9168)] = 442841,
  [SMALL_STATE(9169)] = 442896,
  [SMALL_STATE(9170)] = 442933,
  [SMALL_STATE(9171)] = 442972,
  [SMALL_STATE(9172)] = 443009,
  [SMALL_STATE(9173)] = 443048,
  [SMALL_STATE(9174)] = 443087,
  [SMALL_STATE(9175)] = 443124,
  [SMALL_STATE(9176)] = 443161,
  [SMALL_STATE(9177)] = 443198,
  [SMALL_STATE(9178)] = 443235,
  [SMALL_STATE(9179)] = 443272,
  [SMALL_STATE(9180)] = 443327,
  [SMALL_STATE(9181)] = 443388,
  [SMALL_STATE(9182)] = 443425,
  [SMALL_STATE(9183)] = 443462,
  [SMALL_STATE(9184)] = 443517,
  [SMALL_STATE(9185)] = 443572,
  [SMALL_STATE(9186)] = 443609,
  [SMALL_STATE(9187)] = 443664,
  [SMALL_STATE(9188)] = 443701,
  [SMALL_STATE(9189)] = 443738,
  [SMALL_STATE(9190)] = 443775,
  [SMALL_STATE(9191)] = 443812,
  [SMALL_STATE(9192)] = 443867,
  [SMALL_STATE(9193)] = 443904,
  [SMALL_STATE(9194)] = 443941,
  [SMALL_STATE(9195)] = 443978,
  [SMALL_STATE(9196)] = 444015,
  [SMALL_STATE(9197)] = 444052,
  [SMALL_STATE(9198)] = 444107,
  [SMALL_STATE(9199)] = 444144,
  [SMALL_STATE(9200)] = 444181,
  [SMALL_STATE(9201)] = 444236,
  [SMALL_STATE(9202)] = 444291,
  [SMALL_STATE(9203)] = 444328,
  [SMALL_STATE(9204)] = 444367,
  [SMALL_STATE(9205)] = 444406,
  [SMALL_STATE(9206)] = 444443,
  [SMALL_STATE(9207)] = 444480,
  [SMALL_STATE(9208)] = 444517,
  [SMALL_STATE(9209)] = 444554,
  [SMALL_STATE(9210)] = 444591,
  [SMALL_STATE(9211)] = 444646,
  [SMALL_STATE(9212)] = 444683,
  [SMALL_STATE(9213)] = 444720,
  [SMALL_STATE(9214)] = 444775,
  [SMALL_STATE(9215)] = 444812,
  [SMALL_STATE(9216)] = 444849,
  [SMALL_STATE(9217)] = 444904,
  [SMALL_STATE(9218)] = 444941,
  [SMALL_STATE(9219)] = 444978,
  [SMALL_STATE(9220)] = 445015,
  [SMALL_STATE(9221)] = 445054,
  [SMALL_STATE(9222)] = 445109,
  [SMALL_STATE(9223)] = 445146,
  [SMALL_STATE(9224)] = 445183,
  [SMALL_STATE(9225)] = 445220,
  [SMALL_STATE(9226)] = 445257,
  [SMALL_STATE(9227)] = 445294,
  [SMALL_STATE(9228)] = 445349,
  [SMALL_STATE(9229)] = 445386,
  [SMALL_STATE(9230)] = 445441,
  [SMALL_STATE(9231)] = 445478,
  [SMALL_STATE(9232)] = 445515,
  [SMALL_STATE(9233)] = 445552,
  [SMALL_STATE(9234)] = 445607,
  [SMALL_STATE(9235)] = 445644,
  [SMALL_STATE(9236)] = 445681,
  [SMALL_STATE(9237)] = 445718,
  [SMALL_STATE(9238)] = 445755,
  [SMALL_STATE(9239)] = 445806,
  [SMALL_STATE(9240)] = 445861,
  [SMALL_STATE(9241)] = 445898,
  [SMALL_STATE(9242)] = 445953,
  [SMALL_STATE(9243)] = 445990,
  [SMALL_STATE(9244)] = 446031,
  [SMALL_STATE(9245)] = 446068,
  [SMALL_STATE(9246)] = 446105,
  [SMALL_STATE(9247)] = 446142,
  [SMALL_STATE(9248)] = 446197,
  [SMALL_STATE(9249)] = 446234,
  [SMALL_STATE(9250)] = 446273,
  [SMALL_STATE(9251)] = 446328,
  [SMALL_STATE(9252)] = 446365,
  [SMALL_STATE(9253)] = 446402,
  [SMALL_STATE(9254)] = 446457,
  [SMALL_STATE(9255)] = 446494,
  [SMALL_STATE(9256)] = 446549,
  [SMALL_STATE(9257)] = 446586,
  [SMALL_STATE(9258)] = 446641,
  [SMALL_STATE(9259)] = 446678,
  [SMALL_STATE(9260)] = 446714,
  [SMALL_STATE(9261)] = 446750,
  [SMALL_STATE(9262)] = 446786,
  [SMALL_STATE(9263)] = 446838,
  [SMALL_STATE(9264)] = 446874,
  [SMALL_STATE(9265)] = 446926,
  [SMALL_STATE(9266)] = 446962,
  [SMALL_STATE(9267)] = 446998,
  [SMALL_STATE(9268)] = 447034,
  [SMALL_STATE(9269)] = 447072,
  [SMALL_STATE(9270)] = 447108,
  [SMALL_STATE(9271)] = 447144,
  [SMALL_STATE(9272)] = 447180,
  [SMALL_STATE(9273)] = 447216,
  [SMALL_STATE(9274)] = 447252,
  [SMALL_STATE(9275)] = 447288,
  [SMALL_STATE(9276)] = 447324,
  [SMALL_STATE(9277)] = 447366,
  [SMALL_STATE(9278)] = 447402,
  [SMALL_STATE(9279)] = 447438,
  [SMALL_STATE(9280)] = 447474,
  [SMALL_STATE(9281)] = 447526,
  [SMALL_STATE(9282)] = 447562,
  [SMALL_STATE(9283)] = 447598,
  [SMALL_STATE(9284)] = 447634,
  [SMALL_STATE(9285)] = 447670,
  [SMALL_STATE(9286)] = 447706,
  [SMALL_STATE(9287)] = 447742,
  [SMALL_STATE(9288)] = 447780,
  [SMALL_STATE(9289)] = 447816,
  [SMALL_STATE(9290)] = 447862,
  [SMALL_STATE(9291)] = 447898,
  [SMALL_STATE(9292)] = 447936,
  [SMALL_STATE(9293)] = 447972,
  [SMALL_STATE(9294)] = 448008,
  [SMALL_STATE(9295)] = 448044,
  [SMALL_STATE(9296)] = 448080,
  [SMALL_STATE(9297)] = 448116,
  [SMALL_STATE(9298)] = 448152,
  [SMALL_STATE(9299)] = 448188,
  [SMALL_STATE(9300)] = 448224,
  [SMALL_STATE(9301)] = 448264,
  [SMALL_STATE(9302)] = 448300,
  [SMALL_STATE(9303)] = 448336,
  [SMALL_STATE(9304)] = 448372,
  [SMALL_STATE(9305)] = 448408,
  [SMALL_STATE(9306)] = 448444,
  [SMALL_STATE(9307)] = 448480,
  [SMALL_STATE(9308)] = 448526,
  [SMALL_STATE(9309)] = 448562,
  [SMALL_STATE(9310)] = 448604,
  [SMALL_STATE(9311)] = 448650,
  [SMALL_STATE(9312)] = 448686,
  [SMALL_STATE(9313)] = 448722,
  [SMALL_STATE(9314)] = 448758,
  [SMALL_STATE(9315)] = 448794,
  [SMALL_STATE(9316)] = 448830,
  [SMALL_STATE(9317)] = 448866,
  [SMALL_STATE(9318)] = 448906,
  [SMALL_STATE(9319)] = 448942,
  [SMALL_STATE(9320)] = 448978,
  [SMALL_STATE(9321)] = 449024,
  [SMALL_STATE(9322)] = 449062,
  [SMALL_STATE(9323)] = 449108,
  [SMALL_STATE(9324)] = 449144,
  [SMALL_STATE(9325)] = 449182,
  [SMALL_STATE(9326)] = 449218,
  [SMALL_STATE(9327)] = 449254,
  [SMALL_STATE(9328)] = 449290,
  [SMALL_STATE(9329)] = 449326,
  [SMALL_STATE(9330)] = 449376,
  [SMALL_STATE(9331)] = 449412,
  [SMALL_STATE(9332)] = 449448,
  [SMALL_STATE(9333)] = 449484,
  [SMALL_STATE(9334)] = 449522,
  [SMALL_STATE(9335)] = 449558,
  [SMALL_STATE(9336)] = 449594,
  [SMALL_STATE(9337)] = 449630,
  [SMALL_STATE(9338)] = 449666,
  [SMALL_STATE(9339)] = 449702,
  [SMALL_STATE(9340)] = 449738,
  [SMALL_STATE(9341)] = 449774,
  [SMALL_STATE(9342)] = 449814,
  [SMALL_STATE(9343)] = 449850,
  [SMALL_STATE(9344)] = 449886,
  [SMALL_STATE(9345)] = 449938,
  [SMALL_STATE(9346)] = 449974,
  [SMALL_STATE(9347)] = 450026,
  [SMALL_STATE(9348)] = 450062,
  [SMALL_STATE(9349)] = 450098,
  [SMALL_STATE(9350)] = 450134,
  [SMALL_STATE(9351)] = 450170,
  [SMALL_STATE(9352)] = 450206,
  [SMALL_STATE(9353)] = 450242,
  [SMALL_STATE(9354)] = 450284,
  [SMALL_STATE(9355)] = 450336,
  [SMALL_STATE(9356)] = 450374,
  [SMALL_STATE(9357)] = 450414,
  [SMALL_STATE(9358)] = 450450,
  [SMALL_STATE(9359)] = 450486,
  [SMALL_STATE(9360)] = 450526,
  [SMALL_STATE(9361)] = 450562,
  [SMALL_STATE(9362)] = 450614,
  [SMALL_STATE(9363)] = 450650,
  [SMALL_STATE(9364)] = 450688,
  [SMALL_STATE(9365)] = 450738,
  [SMALL_STATE(9366)] = 450784,
  [SMALL_STATE(9367)] = 450836,
  [SMALL_STATE(9368)] = 450874,
  [SMALL_STATE(9369)] = 450910,
  [SMALL_STATE(9370)] = 450962,
  [SMALL_STATE(9371)] = 451014,
  [SMALL_STATE(9372)] = 451050,
  [SMALL_STATE(9373)] = 451090,
  [SMALL_STATE(9374)] = 451126,
  [SMALL_STATE(9375)] = 451162,
  [SMALL_STATE(9376)] = 451198,
  [SMALL_STATE(9377)] = 451234,
  [SMALL_STATE(9378)] = 451270,
  [SMALL_STATE(9379)] = 451306,
  [SMALL_STATE(9380)] = 451342,
  [SMALL_STATE(9381)] = 451378,
  [SMALL_STATE(9382)] = 451414,
  [SMALL_STATE(9383)] = 451450,
  [SMALL_STATE(9384)] = 451486,
  [SMALL_STATE(9385)] = 451524,
  [SMALL_STATE(9386)] = 451560,
  [SMALL_STATE(9387)] = 451596,
  [SMALL_STATE(9388)] = 451634,
  [SMALL_STATE(9389)] = 451680,
  [SMALL_STATE(9390)] = 451716,
  [SMALL_STATE(9391)] = 451752,
  [SMALL_STATE(9392)] = 451788,
  [SMALL_STATE(9393)] = 451834,
  [SMALL_STATE(9394)] = 451870,
  [SMALL_STATE(9395)] = 451910,
  [SMALL_STATE(9396)] = 451946,
  [SMALL_STATE(9397)] = 451982,
  [SMALL_STATE(9398)] = 452018,
  [SMALL_STATE(9399)] = 452054,
  [SMALL_STATE(9400)] = 452094,
  [SMALL_STATE(9401)] = 452136,
  [SMALL_STATE(9402)] = 452172,
  [SMALL_STATE(9403)] = 452208,
  [SMALL_STATE(9404)] = 452244,
  [SMALL_STATE(9405)] = 452296,
  [SMALL_STATE(9406)] = 452332,
  [SMALL_STATE(9407)] = 452372,
  [SMALL_STATE(9408)] = 452408,
  [SMALL_STATE(9409)] = 452448,
  [SMALL_STATE(9410)] = 452484,
  [SMALL_STATE(9411)] = 452520,
  [SMALL_STATE(9412)] = 452566,
  [SMALL_STATE(9413)] = 452602,
  [SMALL_STATE(9414)] = 452638,
  [SMALL_STATE(9415)] = 452674,
  [SMALL_STATE(9416)] = 452710,
  [SMALL_STATE(9417)] = 452746,
  [SMALL_STATE(9418)] = 452782,
  [SMALL_STATE(9419)] = 452822,
  [SMALL_STATE(9420)] = 452858,
  [SMALL_STATE(9421)] = 452894,
  [SMALL_STATE(9422)] = 452930,
  [SMALL_STATE(9423)] = 452970,
  [SMALL_STATE(9424)] = 453006,
  [SMALL_STATE(9425)] = 453056,
  [SMALL_STATE(9426)] = 453108,
  [SMALL_STATE(9427)] = 453146,
  [SMALL_STATE(9428)] = 453184,
  [SMALL_STATE(9429)] = 453220,
  [SMALL_STATE(9430)] = 453266,
  [SMALL_STATE(9431)] = 453304,
  [SMALL_STATE(9432)] = 453340,
  [SMALL_STATE(9433)] = 453378,
  [SMALL_STATE(9434)] = 453414,
  [SMALL_STATE(9435)] = 453472,
  [SMALL_STATE(9436)] = 453508,
  [SMALL_STATE(9437)] = 453544,
  [SMALL_STATE(9438)] = 453580,
  [SMALL_STATE(9439)] = 453616,
  [SMALL_STATE(9440)] = 453652,
  [SMALL_STATE(9441)] = 453698,
  [SMALL_STATE(9442)] = 453736,
  [SMALL_STATE(9443)] = 453772,
  [SMALL_STATE(9444)] = 453818,
  [SMALL_STATE(9445)] = 453854,
  [SMALL_STATE(9446)] = 453890,
  [SMALL_STATE(9447)] = 453926,
  [SMALL_STATE(9448)] = 453972,
  [SMALL_STATE(9449)] = 454012,
  [SMALL_STATE(9450)] = 454048,
  [SMALL_STATE(9451)] = 454084,
  [SMALL_STATE(9452)] = 454120,
  [SMALL_STATE(9453)] = 454170,
  [SMALL_STATE(9454)] = 454206,
  [SMALL_STATE(9455)] = 454242,
  [SMALL_STATE(9456)] = 454278,
  [SMALL_STATE(9457)] = 454314,
  [SMALL_STATE(9458)] = 454350,
  [SMALL_STATE(9459)] = 454396,
  [SMALL_STATE(9460)] = 454432,
  [SMALL_STATE(9461)] = 454468,
  [SMALL_STATE(9462)] = 454504,
  [SMALL_STATE(9463)] = 454540,
  [SMALL_STATE(9464)] = 454576,
  [SMALL_STATE(9465)] = 454612,
  [SMALL_STATE(9466)] = 454648,
  [SMALL_STATE(9467)] = 454698,
  [SMALL_STATE(9468)] = 454734,
  [SMALL_STATE(9469)] = 454770,
  [SMALL_STATE(9470)] = 454806,
  [SMALL_STATE(9471)] = 454842,
  [SMALL_STATE(9472)] = 454884,
  [SMALL_STATE(9473)] = 454920,
  [SMALL_STATE(9474)] = 454956,
  [SMALL_STATE(9475)] = 454992,
  [SMALL_STATE(9476)] = 455028,
  [SMALL_STATE(9477)] = 455068,
  [SMALL_STATE(9478)] = 455104,
  [SMALL_STATE(9479)] = 455140,
  [SMALL_STATE(9480)] = 455182,
  [SMALL_STATE(9481)] = 455218,
  [SMALL_STATE(9482)] = 455254,
  [SMALL_STATE(9483)] = 455290,
  [SMALL_STATE(9484)] = 455342,
  [SMALL_STATE(9485)] = 455378,
  [SMALL_STATE(9486)] = 455428,
  [SMALL_STATE(9487)] = 455468,
  [SMALL_STATE(9488)] = 455518,
  [SMALL_STATE(9489)] = 455564,
  [SMALL_STATE(9490)] = 455600,
  [SMALL_STATE(9491)] = 455636,
  [SMALL_STATE(9492)] = 455672,
  [SMALL_STATE(9493)] = 455708,
  [SMALL_STATE(9494)] = 455750,
  [SMALL_STATE(9495)] = 455786,
  [SMALL_STATE(9496)] = 455822,
  [SMALL_STATE(9497)] = 455858,
  [SMALL_STATE(9498)] = 455894,
  [SMALL_STATE(9499)] = 455930,
  [SMALL_STATE(9500)] = 455966,
  [SMALL_STATE(9501)] = 456002,
  [SMALL_STATE(9502)] = 456038,
  [SMALL_STATE(9503)] = 456074,
  [SMALL_STATE(9504)] = 456110,
  [SMALL_STATE(9505)] = 456146,
  [SMALL_STATE(9506)] = 456182,
  [SMALL_STATE(9507)] = 456218,
  [SMALL_STATE(9508)] = 456268,
  [SMALL_STATE(9509)] = 456304,
  [SMALL_STATE(9510)] = 456340,
  [SMALL_STATE(9511)] = 456378,
  [SMALL_STATE(9512)] = 456414,
  [SMALL_STATE(9513)] = 456450,
  [SMALL_STATE(9514)] = 456486,
  [SMALL_STATE(9515)] = 456522,
  [SMALL_STATE(9516)] = 456558,
  [SMALL_STATE(9517)] = 456592,
  [SMALL_STATE(9518)] = 456638,
  [SMALL_STATE(9519)] = 456674,
  [SMALL_STATE(9520)] = 456710,
  [SMALL_STATE(9521)] = 456750,
  [SMALL_STATE(9522)] = 456786,
  [SMALL_STATE(9523)] = 456822,
  [SMALL_STATE(9524)] = 456858,
  [SMALL_STATE(9525)] = 456894,
  [SMALL_STATE(9526)] = 456946,
  [SMALL_STATE(9527)] = 456982,
  [SMALL_STATE(9528)] = 457018,
  [SMALL_STATE(9529)] = 457058,
  [SMALL_STATE(9530)] = 457096,
  [SMALL_STATE(9531)] = 457142,
  [SMALL_STATE(9532)] = 457178,
  [SMALL_STATE(9533)] = 457214,
  [SMALL_STATE(9534)] = 457250,
  [SMALL_STATE(9535)] = 457286,
  [SMALL_STATE(9536)] = 457322,
  [SMALL_STATE(9537)] = 457374,
  [SMALL_STATE(9538)] = 457410,
  [SMALL_STATE(9539)] = 457446,
  [SMALL_STATE(9540)] = 457482,
  [SMALL_STATE(9541)] = 457524,
  [SMALL_STATE(9542)] = 457574,
  [SMALL_STATE(9543)] = 457610,
  [SMALL_STATE(9544)] = 457646,
  [SMALL_STATE(9545)] = 457692,
  [SMALL_STATE(9546)] = 457728,
  [SMALL_STATE(9547)] = 457764,
  [SMALL_STATE(9548)] = 457800,
  [SMALL_STATE(9549)] = 457836,
  [SMALL_STATE(9550)] = 457872,
  [SMALL_STATE(9551)] = 457908,
  [SMALL_STATE(9552)] = 457944,
  [SMALL_STATE(9553)] = 457980,
  [SMALL_STATE(9554)] = 458016,
  [SMALL_STATE(9555)] = 458052,
  [SMALL_STATE(9556)] = 458104,
  [SMALL_STATE(9557)] = 458146,
  [SMALL_STATE(9558)] = 458192,
  [SMALL_STATE(9559)] = 458228,
  [SMALL_STATE(9560)] = 458264,
  [SMALL_STATE(9561)] = 458300,
  [SMALL_STATE(9562)] = 458336,
  [SMALL_STATE(9563)] = 458378,
  [SMALL_STATE(9564)] = 458414,
  [SMALL_STATE(9565)] = 458450,
  [SMALL_STATE(9566)] = 458486,
  [SMALL_STATE(9567)] = 458522,
  [SMALL_STATE(9568)] = 458558,
  [SMALL_STATE(9569)] = 458594,
  [SMALL_STATE(9570)] = 458636,
  [SMALL_STATE(9571)] = 458678,
  [SMALL_STATE(9572)] = 458714,
  [SMALL_STATE(9573)] = 458750,
  [SMALL_STATE(9574)] = 458786,
  [SMALL_STATE(9575)] = 458822,
  [SMALL_STATE(9576)] = 458858,
  [SMALL_STATE(9577)] = 458896,
  [SMALL_STATE(9578)] = 458932,
  [SMALL_STATE(9579)] = 458968,
  [SMALL_STATE(9580)] = 459004,
  [SMALL_STATE(9581)] = 459040,
  [SMALL_STATE(9582)] = 459090,
  [SMALL_STATE(9583)] = 459142,
  [SMALL_STATE(9584)] = 459178,
  [SMALL_STATE(9585)] = 459214,
  [SMALL_STATE(9586)] = 459250,
  [SMALL_STATE(9587)] = 459286,
  [SMALL_STATE(9588)] = 459326,
  [SMALL_STATE(9589)] = 459368,
  [SMALL_STATE(9590)] = 459404,
  [SMALL_STATE(9591)] = 459440,
  [SMALL_STATE(9592)] = 459482,
  [SMALL_STATE(9593)] = 459518,
  [SMALL_STATE(9594)] = 459564,
  [SMALL_STATE(9595)] = 459600,
  [SMALL_STATE(9596)] = 459636,
  [SMALL_STATE(9597)] = 459672,
  [SMALL_STATE(9598)] = 459708,
  [SMALL_STATE(9599)] = 459744,
  [SMALL_STATE(9600)] = 459780,
  [SMALL_STATE(9601)] = 459816,
  [SMALL_STATE(9602)] = 459852,
  [SMALL_STATE(9603)] = 459888,
  [SMALL_STATE(9604)] = 459924,
  [SMALL_STATE(9605)] = 459960,
  [SMALL_STATE(9606)] = 459996,
  [SMALL_STATE(9607)] = 460032,
  [SMALL_STATE(9608)] = 460068,
  [SMALL_STATE(9609)] = 460104,
  [SMALL_STATE(9610)] = 460140,
  [SMALL_STATE(9611)] = 460176,
  [SMALL_STATE(9612)] = 460212,
  [SMALL_STATE(9613)] = 460263,
  [SMALL_STATE(9614)] = 460298,
  [SMALL_STATE(9615)] = 460333,
  [SMALL_STATE(9616)] = 460368,
  [SMALL_STATE(9617)] = 460419,
  [SMALL_STATE(9618)] = 460456,
  [SMALL_STATE(9619)] = 460491,
  [SMALL_STATE(9620)] = 460526,
  [SMALL_STATE(9621)] = 460561,
  [SMALL_STATE(9622)] = 460596,
  [SMALL_STATE(9623)] = 460631,
  [SMALL_STATE(9624)] = 460666,
  [SMALL_STATE(9625)] = 460701,
  [SMALL_STATE(9626)] = 460736,
  [SMALL_STATE(9627)] = 460771,
  [SMALL_STATE(9628)] = 460806,
  [SMALL_STATE(9629)] = 460841,
  [SMALL_STATE(9630)] = 460876,
  [SMALL_STATE(9631)] = 460911,
  [SMALL_STATE(9632)] = 460946,
  [SMALL_STATE(9633)] = 460985,
  [SMALL_STATE(9634)] = 461046,
  [SMALL_STATE(9635)] = 461081,
  [SMALL_STATE(9636)] = 461116,
  [SMALL_STATE(9637)] = 461151,
  [SMALL_STATE(9638)] = 461186,
  [SMALL_STATE(9639)] = 461221,
  [SMALL_STATE(9640)] = 461280,
  [SMALL_STATE(9641)] = 461315,
  [SMALL_STATE(9642)] = 461356,
  [SMALL_STATE(9643)] = 461391,
  [SMALL_STATE(9644)] = 461426,
  [SMALL_STATE(9645)] = 461461,
  [SMALL_STATE(9646)] = 461496,
  [SMALL_STATE(9647)] = 461531,
  [SMALL_STATE(9648)] = 461570,
  [SMALL_STATE(9649)] = 461629,
  [SMALL_STATE(9650)] = 461664,
  [SMALL_STATE(9651)] = 461703,
  [SMALL_STATE(9652)] = 461738,
  [SMALL_STATE(9653)] = 461773,
  [SMALL_STATE(9654)] = 461814,
  [SMALL_STATE(9655)] = 461849,
  [SMALL_STATE(9656)] = 461884,
  [SMALL_STATE(9657)] = 461945,
  [SMALL_STATE(9658)] = 461980,
  [SMALL_STATE(9659)] = 462015,
  [SMALL_STATE(9660)] = 462064,
  [SMALL_STATE(9661)] = 462115,
  [SMALL_STATE(9662)] = 462150,
  [SMALL_STATE(9663)] = 462185,
  [SMALL_STATE(9664)] = 462224,
  [SMALL_STATE(9665)] = 462259,
  [SMALL_STATE(9666)] = 462296,
  [SMALL_STATE(9667)] = 462335,
  [SMALL_STATE(9668)] = 462370,
  [SMALL_STATE(9669)] = 462405,
  [SMALL_STATE(9670)] = 462440,
  [SMALL_STATE(9671)] = 462479,
  [SMALL_STATE(9672)] = 462514,
  [SMALL_STATE(9673)] = 462549,
  [SMALL_STATE(9674)] = 462584,
  [SMALL_STATE(9675)] = 462619,
  [SMALL_STATE(9676)] = 462654,
  [SMALL_STATE(9677)] = 462689,
  [SMALL_STATE(9678)] = 462724,
  [SMALL_STATE(9679)] = 462759,
  [SMALL_STATE(9680)] = 462794,
  [SMALL_STATE(9681)] = 462829,
  [SMALL_STATE(9682)] = 462864,
  [SMALL_STATE(9683)] = 462899,
  [SMALL_STATE(9684)] = 462934,
  [SMALL_STATE(9685)] = 462973,
  [SMALL_STATE(9686)] = 463008,
  [SMALL_STATE(9687)] = 463043,
  [SMALL_STATE(9688)] = 463078,
  [SMALL_STATE(9689)] = 463123,
  [SMALL_STATE(9690)] = 463162,
  [SMALL_STATE(9691)] = 463201,
  [SMALL_STATE(9692)] = 463236,
  [SMALL_STATE(9693)] = 463297,
  [SMALL_STATE(9694)] = 463332,
  [SMALL_STATE(9695)] = 463389,
  [SMALL_STATE(9696)] = 463440,
  [SMALL_STATE(9697)] = 463475,
  [SMALL_STATE(9698)] = 463510,
  [SMALL_STATE(9699)] = 463555,
  [SMALL_STATE(9700)] = 463594,
  [SMALL_STATE(9701)] = 463629,
  [SMALL_STATE(9702)] = 463664,
  [SMALL_STATE(9703)] = 463699,
  [SMALL_STATE(9704)] = 463734,
  [SMALL_STATE(9705)] = 463773,
  [SMALL_STATE(9706)] = 463808,
  [SMALL_STATE(9707)] = 463869,
  [SMALL_STATE(9708)] = 463904,
  [SMALL_STATE(9709)] = 463939,
  [SMALL_STATE(9710)] = 463974,
  [SMALL_STATE(9711)] = 464009,
  [SMALL_STATE(9712)] = 464044,
  [SMALL_STATE(9713)] = 464079,
  [SMALL_STATE(9714)] = 464114,
  [SMALL_STATE(9715)] = 464149,
  [SMALL_STATE(9716)] = 464200,
  [SMALL_STATE(9717)] = 464235,
  [SMALL_STATE(9718)] = 464270,
  [SMALL_STATE(9719)] = 464321,
  [SMALL_STATE(9720)] = 464382,
  [SMALL_STATE(9721)] = 464417,
  [SMALL_STATE(9722)] = 464452,
  [SMALL_STATE(9723)] = 464513,
  [SMALL_STATE(9724)] = 464548,
  [SMALL_STATE(9725)] = 464583,
  [SMALL_STATE(9726)] = 464618,
  [SMALL_STATE(9727)] = 464653,
  [SMALL_STATE(9728)] = 464688,
  [SMALL_STATE(9729)] = 464727,
  [SMALL_STATE(9730)] = 464762,
  [SMALL_STATE(9731)] = 464803,
  [SMALL_STATE(9732)] = 464838,
  [SMALL_STATE(9733)] = 464899,
  [SMALL_STATE(9734)] = 464934,
  [SMALL_STATE(9735)] = 464995,
  [SMALL_STATE(9736)] = 465038,
  [SMALL_STATE(9737)] = 465073,
  [SMALL_STATE(9738)] = 465108,
  [SMALL_STATE(9739)] = 465143,
  [SMALL_STATE(9740)] = 465182,
  [SMALL_STATE(9741)] = 465217,
  [SMALL_STATE(9742)] = 465252,
  [SMALL_STATE(9743)] = 465287,
  [SMALL_STATE(9744)] = 465322,
  [SMALL_STATE(9745)] = 465357,
  [SMALL_STATE(9746)] = 465398,
  [SMALL_STATE(9747)] = 465433,
  [SMALL_STATE(9748)] = 465482,
  [SMALL_STATE(9749)] = 465517,
  [SMALL_STATE(9750)] = 465556,
  [SMALL_STATE(9751)] = 465591,
  [SMALL_STATE(9752)] = 465626,
  [SMALL_STATE(9753)] = 465661,
  [SMALL_STATE(9754)] = 465700,
  [SMALL_STATE(9755)] = 465751,
  [SMALL_STATE(9756)] = 465788,
  [SMALL_STATE(9757)] = 465823,
  [SMALL_STATE(9758)] = 465862,
  [SMALL_STATE(9759)] = 465913,
  [SMALL_STATE(9760)] = 465948,
  [SMALL_STATE(9761)] = 465999,
  [SMALL_STATE(9762)] = 466050,
  [SMALL_STATE(9763)] = 466085,
  [SMALL_STATE(9764)] = 466120,
  [SMALL_STATE(9765)] = 466161,
  [SMALL_STATE(9766)] = 466212,
  [SMALL_STATE(9767)] = 466253,
  [SMALL_STATE(9768)] = 466294,
  [SMALL_STATE(9769)] = 466329,
  [SMALL_STATE(9770)] = 466390,
  [SMALL_STATE(9771)] = 466427,
  [SMALL_STATE(9772)] = 466466,
  [SMALL_STATE(9773)] = 466501,
  [SMALL_STATE(9774)] = 466550,
  [SMALL_STATE(9775)] = 466585,
  [SMALL_STATE(9776)] = 466638,
  [SMALL_STATE(9777)] = 466673,
  [SMALL_STATE(9778)] = 466708,
  [SMALL_STATE(9779)] = 466743,
  [SMALL_STATE(9780)] = 466778,
  [SMALL_STATE(9781)] = 466813,
  [SMALL_STATE(9782)] = 466848,
  [SMALL_STATE(9783)] = 466897,
  [SMALL_STATE(9784)] = 466936,
  [SMALL_STATE(9785)] = 466971,
  [SMALL_STATE(9786)] = 467006,
  [SMALL_STATE(9787)] = 467041,
  [SMALL_STATE(9788)] = 467082,
  [SMALL_STATE(9789)] = 467117,
  [SMALL_STATE(9790)] = 467152,
  [SMALL_STATE(9791)] = 467187,
  [SMALL_STATE(9792)] = 467222,
  [SMALL_STATE(9793)] = 467263,
  [SMALL_STATE(9794)] = 467312,
  [SMALL_STATE(9795)] = 467347,
  [SMALL_STATE(9796)] = 467386,
  [SMALL_STATE(9797)] = 467421,
  [SMALL_STATE(9798)] = 467456,
  [SMALL_STATE(9799)] = 467491,
  [SMALL_STATE(9800)] = 467526,
  [SMALL_STATE(9801)] = 467561,
  [SMALL_STATE(9802)] = 467600,
  [SMALL_STATE(9803)] = 467635,
  [SMALL_STATE(9804)] = 467670,
  [SMALL_STATE(9805)] = 467709,
  [SMALL_STATE(9806)] = 467744,
  [SMALL_STATE(9807)] = 467779,
  [SMALL_STATE(9808)] = 467814,
  [SMALL_STATE(9809)] = 467853,
  [SMALL_STATE(9810)] = 467888,
  [SMALL_STATE(9811)] = 467923,
  [SMALL_STATE(9812)] = 467958,
  [SMALL_STATE(9813)] = 467999,
  [SMALL_STATE(9814)] = 468036,
  [SMALL_STATE(9815)] = 468071,
  [SMALL_STATE(9816)] = 468106,
  [SMALL_STATE(9817)] = 468157,
  [SMALL_STATE(9818)] = 468198,
  [SMALL_STATE(9819)] = 468233,
  [SMALL_STATE(9820)] = 468268,
  [SMALL_STATE(9821)] = 468317,
  [SMALL_STATE(9822)] = 468352,
  [SMALL_STATE(9823)] = 468391,
  [SMALL_STATE(9824)] = 468430,
  [SMALL_STATE(9825)] = 468467,
  [SMALL_STATE(9826)] = 468502,
  [SMALL_STATE(9827)] = 468537,
  [SMALL_STATE(9828)] = 468578,
  [SMALL_STATE(9829)] = 468629,
  [SMALL_STATE(9830)] = 468664,
  [SMALL_STATE(9831)] = 468699,
  [SMALL_STATE(9832)] = 468734,
  [SMALL_STATE(9833)] = 468769,
  [SMALL_STATE(9834)] = 468804,
  [SMALL_STATE(9835)] = 468839,
  [SMALL_STATE(9836)] = 468878,
  [SMALL_STATE(9837)] = 468913,
  [SMALL_STATE(9838)] = 468948,
  [SMALL_STATE(9839)] = 468983,
  [SMALL_STATE(9840)] = 469018,
  [SMALL_STATE(9841)] = 469053,
  [SMALL_STATE(9842)] = 469088,
  [SMALL_STATE(9843)] = 469123,
  [SMALL_STATE(9844)] = 469158,
  [SMALL_STATE(9845)] = 469191,
  [SMALL_STATE(9846)] = 469232,
  [SMALL_STATE(9847)] = 469267,
  [SMALL_STATE(9848)] = 469302,
  [SMALL_STATE(9849)] = 469353,
  [SMALL_STATE(9850)] = 469388,
  [SMALL_STATE(9851)] = 469423,
  [SMALL_STATE(9852)] = 469458,
  [SMALL_STATE(9853)] = 469493,
  [SMALL_STATE(9854)] = 469528,
  [SMALL_STATE(9855)] = 469563,
  [SMALL_STATE(9856)] = 469598,
  [SMALL_STATE(9857)] = 469633,
  [SMALL_STATE(9858)] = 469668,
  [SMALL_STATE(9859)] = 469707,
  [SMALL_STATE(9860)] = 469756,
  [SMALL_STATE(9861)] = 469795,
  [SMALL_STATE(9862)] = 469830,
  [SMALL_STATE(9863)] = 469869,
  [SMALL_STATE(9864)] = 469920,
  [SMALL_STATE(9865)] = 469961,
  [SMALL_STATE(9866)] = 469996,
  [SMALL_STATE(9867)] = 470035,
  [SMALL_STATE(9868)] = 470070,
  [SMALL_STATE(9869)] = 470105,
  [SMALL_STATE(9870)] = 470140,
  [SMALL_STATE(9871)] = 470191,
  [SMALL_STATE(9872)] = 470226,
  [SMALL_STATE(9873)] = 470267,
  [SMALL_STATE(9874)] = 470302,
  [SMALL_STATE(9875)] = 470337,
  [SMALL_STATE(9876)] = 470376,
  [SMALL_STATE(9877)] = 470411,
  [SMALL_STATE(9878)] = 470446,
  [SMALL_STATE(9879)] = 470481,
  [SMALL_STATE(9880)] = 470516,
  [SMALL_STATE(9881)] = 470577,
  [SMALL_STATE(9882)] = 470612,
  [SMALL_STATE(9883)] = 470663,
  [SMALL_STATE(9884)] = 470698,
  [SMALL_STATE(9885)] = 470733,
  [SMALL_STATE(9886)] = 470794,
  [SMALL_STATE(9887)] = 470855,
  [SMALL_STATE(9888)] = 470904,
  [SMALL_STATE(9889)] = 470939,
  [SMALL_STATE(9890)] = 470974,
  [SMALL_STATE(9891)] = 471009,
  [SMALL_STATE(9892)] = 471070,
  [SMALL_STATE(9893)] = 471131,
  [SMALL_STATE(9894)] = 471166,
  [SMALL_STATE(9895)] = 471227,
  [SMALL_STATE(9896)] = 471268,
  [SMALL_STATE(9897)] = 471307,
  [SMALL_STATE(9898)] = 471342,
  [SMALL_STATE(9899)] = 471377,
  [SMALL_STATE(9900)] = 471412,
  [SMALL_STATE(9901)] = 471447,
  [SMALL_STATE(9902)] = 471482,
  [SMALL_STATE(9903)] = 471517,
  [SMALL_STATE(9904)] = 471552,
  [SMALL_STATE(9905)] = 471587,
  [SMALL_STATE(9906)] = 471622,
  [SMALL_STATE(9907)] = 471657,
  [SMALL_STATE(9908)] = 471692,
  [SMALL_STATE(9909)] = 471731,
  [SMALL_STATE(9910)] = 471766,
  [SMALL_STATE(9911)] = 471801,
  [SMALL_STATE(9912)] = 471836,
  [SMALL_STATE(9913)] = 471871,
  [SMALL_STATE(9914)] = 471906,
  [SMALL_STATE(9915)] = 471967,
  [SMALL_STATE(9916)] = 472028,
  [SMALL_STATE(9917)] = 472069,
  [SMALL_STATE(9918)] = 472104,
  [SMALL_STATE(9919)] = 472139,
  [SMALL_STATE(9920)] = 472180,
  [SMALL_STATE(9921)] = 472215,
  [SMALL_STATE(9922)] = 472254,
  [SMALL_STATE(9923)] = 472289,
  [SMALL_STATE(9924)] = 472324,
  [SMALL_STATE(9925)] = 472359,
  [SMALL_STATE(9926)] = 472420,
  [SMALL_STATE(9927)] = 472461,
  [SMALL_STATE(9928)] = 472496,
  [SMALL_STATE(9929)] = 472535,
  [SMALL_STATE(9930)] = 472570,
  [SMALL_STATE(9931)] = 472604,
  [SMALL_STATE(9932)] = 472638,
  [SMALL_STATE(9933)] = 472690,
  [SMALL_STATE(9934)] = 472746,
  [SMALL_STATE(9935)] = 472780,
  [SMALL_STATE(9936)] = 472816,
  [SMALL_STATE(9937)] = 472850,
  [SMALL_STATE(9938)] = 472884,
  [SMALL_STATE(9939)] = 472918,
  [SMALL_STATE(9940)] = 472978,
  [SMALL_STATE(9941)] = 473030,
  [SMALL_STATE(9942)] = 473064,
  [SMALL_STATE(9943)] = 473098,
  [SMALL_STATE(9944)] = 473146,
  [SMALL_STATE(9945)] = 473180,
  [SMALL_STATE(9946)] = 473214,
  [SMALL_STATE(9947)] = 473248,
  [SMALL_STATE(9948)] = 473282,
  [SMALL_STATE(9949)] = 473316,
  [SMALL_STATE(9950)] = 473366,
  [SMALL_STATE(9951)] = 473418,
  [SMALL_STATE(9952)] = 473470,
  [SMALL_STATE(9953)] = 473504,
  [SMALL_STATE(9954)] = 473538,
  [SMALL_STATE(9955)] = 473572,
  [SMALL_STATE(9956)] = 473608,
  [SMALL_STATE(9957)] = 473664,
  [SMALL_STATE(9958)] = 473698,
  [SMALL_STATE(9959)] = 473754,
  [SMALL_STATE(9960)] = 473788,
  [SMALL_STATE(9961)] = 473840,
  [SMALL_STATE(9962)] = 473874,
  [SMALL_STATE(9963)] = 473918,
  [SMALL_STATE(9964)] = 473968,
  [SMALL_STATE(9965)] = 474002,
  [SMALL_STATE(9966)] = 474036,
  [SMALL_STATE(9967)] = 474072,
  [SMALL_STATE(9968)] = 474106,
  [SMALL_STATE(9969)] = 474158,
  [SMALL_STATE(9970)] = 474192,
  [SMALL_STATE(9971)] = 474242,
  [SMALL_STATE(9972)] = 474292,
  [SMALL_STATE(9973)] = 474326,
  [SMALL_STATE(9974)] = 474360,
  [SMALL_STATE(9975)] = 474412,
  [SMALL_STATE(9976)] = 474464,
  [SMALL_STATE(9977)] = 474504,
  [SMALL_STATE(9978)] = 474538,
  [SMALL_STATE(9979)] = 474572,
  [SMALL_STATE(9980)] = 474608,
  [SMALL_STATE(9981)] = 474656,
  [SMALL_STATE(9982)] = 474692,
  [SMALL_STATE(9983)] = 474726,
  [SMALL_STATE(9984)] = 474760,
  [SMALL_STATE(9985)] = 474794,
  [SMALL_STATE(9986)] = 474830,
  [SMALL_STATE(9987)] = 474882,
  [SMALL_STATE(9988)] = 474918,
  [SMALL_STATE(9989)] = 474952,
  [SMALL_STATE(9990)] = 474986,
  [SMALL_STATE(9991)] = 475024,
  [SMALL_STATE(9992)] = 475058,
  [SMALL_STATE(9993)] = 475094,
  [SMALL_STATE(9994)] = 475128,
  [SMALL_STATE(9995)] = 475162,
  [SMALL_STATE(9996)] = 475196,
  [SMALL_STATE(9997)] = 475246,
  [SMALL_STATE(9998)] = 475280,
  [SMALL_STATE(9999)] = 475314,
  [SMALL_STATE(10000)] = 475350,
  [SMALL_STATE(10001)] = 475390,
  [SMALL_STATE(10002)] = 475442,
  [SMALL_STATE(10003)] = 475476,
  [SMALL_STATE(10004)] = 475510,
  [SMALL_STATE(10005)] = 475544,
  [SMALL_STATE(10006)] = 475594,
  [SMALL_STATE(10007)] = 475628,
  [SMALL_STATE(10008)] = 475680,
  [SMALL_STATE(10009)] = 475714,
  [SMALL_STATE(10010)] = 475748,
  [SMALL_STATE(10011)] = 475782,
  [SMALL_STATE(10012)] = 475828,
  [SMALL_STATE(10013)] = 475862,
  [SMALL_STATE(10014)] = 475898,
  [SMALL_STATE(10015)] = 475932,
  [SMALL_STATE(10016)] = 475988,
  [SMALL_STATE(10017)] = 476022,
  [SMALL_STATE(10018)] = 476056,
  [SMALL_STATE(10019)] = 476090,
  [SMALL_STATE(10020)] = 476130,
  [SMALL_STATE(10021)] = 476180,
  [SMALL_STATE(10022)] = 476214,
  [SMALL_STATE(10023)] = 476254,
  [SMALL_STATE(10024)] = 476288,
  [SMALL_STATE(10025)] = 476322,
  [SMALL_STATE(10026)] = 476362,
  [SMALL_STATE(10027)] = 476396,
  [SMALL_STATE(10028)] = 476432,
  [SMALL_STATE(10029)] = 476466,
  [SMALL_STATE(10030)] = 476518,
  [SMALL_STATE(10031)] = 476570,
  [SMALL_STATE(10032)] = 476622,
  [SMALL_STATE(10033)] = 476656,
  [SMALL_STATE(10034)] = 476708,
  [SMALL_STATE(10035)] = 476758,
  [SMALL_STATE(10036)] = 476794,
  [SMALL_STATE(10037)] = 476834,
  [SMALL_STATE(10038)] = 476884,
  [SMALL_STATE(10039)] = 476934,
  [SMALL_STATE(10040)] = 476970,
  [SMALL_STATE(10041)] = 477004,
  [SMALL_STATE(10042)] = 477052,
  [SMALL_STATE(10043)] = 477086,
  [SMALL_STATE(10044)] = 477120,
  [SMALL_STATE(10045)] = 477176,
  [SMALL_STATE(10046)] = 477212,
  [SMALL_STATE(10047)] = 477272,
  [SMALL_STATE(10048)] = 477306,
  [SMALL_STATE(10049)] = 477340,
  [SMALL_STATE(10050)] = 477374,
  [SMALL_STATE(10051)] = 477408,
  [SMALL_STATE(10052)] = 477442,
  [SMALL_STATE(10053)] = 477476,
  [SMALL_STATE(10054)] = 477510,
  [SMALL_STATE(10055)] = 477544,
  [SMALL_STATE(10056)] = 477584,
  [SMALL_STATE(10057)] = 477632,
  [SMALL_STATE(10058)] = 477666,
  [SMALL_STATE(10059)] = 477720,
  [SMALL_STATE(10060)] = 477756,
  [SMALL_STATE(10061)] = 477790,
  [SMALL_STATE(10062)] = 477830,
  [SMALL_STATE(10063)] = 477868,
  [SMALL_STATE(10064)] = 477902,
  [SMALL_STATE(10065)] = 477936,
  [SMALL_STATE(10066)] = 477976,
  [SMALL_STATE(10067)] = 478010,
  [SMALL_STATE(10068)] = 478044,
  [SMALL_STATE(10069)] = 478096,
  [SMALL_STATE(10070)] = 478130,
  [SMALL_STATE(10071)] = 478166,
  [SMALL_STATE(10072)] = 478200,
  [SMALL_STATE(10073)] = 478236,
  [SMALL_STATE(10074)] = 478270,
  [SMALL_STATE(10075)] = 478304,
  [SMALL_STATE(10076)] = 478340,
  [SMALL_STATE(10077)] = 478374,
  [SMALL_STATE(10078)] = 478408,
  [SMALL_STATE(10079)] = 478442,
  [SMALL_STATE(10080)] = 478476,
  [SMALL_STATE(10081)] = 478510,
  [SMALL_STATE(10082)] = 478544,
  [SMALL_STATE(10083)] = 478578,
  [SMALL_STATE(10084)] = 478612,
  [SMALL_STATE(10085)] = 478656,
  [SMALL_STATE(10086)] = 478690,
  [SMALL_STATE(10087)] = 478734,
  [SMALL_STATE(10088)] = 478786,
  [SMALL_STATE(10089)] = 478820,
  [SMALL_STATE(10090)] = 478854,
  [SMALL_STATE(10091)] = 478890,
  [SMALL_STATE(10092)] = 478924,
  [SMALL_STATE(10093)] = 478980,
  [SMALL_STATE(10094)] = 479030,
  [SMALL_STATE(10095)] = 479064,
  [SMALL_STATE(10096)] = 479114,
  [SMALL_STATE(10097)] = 479162,
  [SMALL_STATE(10098)] = 479196,
  [SMALL_STATE(10099)] = 479230,
  [SMALL_STATE(10100)] = 479264,
  [SMALL_STATE(10101)] = 479298,
  [SMALL_STATE(10102)] = 479332,
  [SMALL_STATE(10103)] = 479384,
  [SMALL_STATE(10104)] = 479418,
  [SMALL_STATE(10105)] = 479452,
  [SMALL_STATE(10106)] = 479486,
  [SMALL_STATE(10107)] = 479520,
  [SMALL_STATE(10108)] = 479560,
  [SMALL_STATE(10109)] = 479594,
  [SMALL_STATE(10110)] = 479628,
  [SMALL_STATE(10111)] = 479664,
  [SMALL_STATE(10112)] = 479698,
  [SMALL_STATE(10113)] = 479748,
  [SMALL_STATE(10114)] = 479782,
  [SMALL_STATE(10115)] = 479816,
  [SMALL_STATE(10116)] = 479868,
  [SMALL_STATE(10117)] = 479920,
  [SMALL_STATE(10118)] = 479954,
  [SMALL_STATE(10119)] = 480006,
  [SMALL_STATE(10120)] = 480040,
  [SMALL_STATE(10121)] = 480078,
  [SMALL_STATE(10122)] = 480114,
  [SMALL_STATE(10123)] = 480174,
  [SMALL_STATE(10124)] = 480210,
  [SMALL_STATE(10125)] = 480260,
  [SMALL_STATE(10126)] = 480294,
  [SMALL_STATE(10127)] = 480328,
  [SMALL_STATE(10128)] = 480362,
  [SMALL_STATE(10129)] = 480402,
  [SMALL_STATE(10130)] = 480454,
  [SMALL_STATE(10131)] = 480488,
  [SMALL_STATE(10132)] = 480540,
  [SMALL_STATE(10133)] = 480590,
  [SMALL_STATE(10134)] = 480624,
  [SMALL_STATE(10135)] = 480658,
  [SMALL_STATE(10136)] = 480714,
  [SMALL_STATE(10137)] = 480748,
  [SMALL_STATE(10138)] = 480786,
  [SMALL_STATE(10139)] = 480836,
  [SMALL_STATE(10140)] = 480876,
  [SMALL_STATE(10141)] = 480912,
  [SMALL_STATE(10142)] = 480946,
  [SMALL_STATE(10143)] = 480996,
  [SMALL_STATE(10144)] = 481032,
  [SMALL_STATE(10145)] = 481068,
  [SMALL_STATE(10146)] = 481102,
  [SMALL_STATE(10147)] = 481142,
  [SMALL_STATE(10148)] = 481176,
  [SMALL_STATE(10149)] = 481216,
  [SMALL_STATE(10150)] = 481252,
  [SMALL_STATE(10151)] = 481308,
  [SMALL_STATE(10152)] = 481342,
  [SMALL_STATE(10153)] = 481376,
  [SMALL_STATE(10154)] = 481410,
  [SMALL_STATE(10155)] = 481444,
  [SMALL_STATE(10156)] = 481496,
  [SMALL_STATE(10157)] = 481534,
  [SMALL_STATE(10158)] = 481586,
  [SMALL_STATE(10159)] = 481620,
  [SMALL_STATE(10160)] = 481654,
  [SMALL_STATE(10161)] = 481694,
  [SMALL_STATE(10162)] = 481728,
  [SMALL_STATE(10163)] = 481766,
  [SMALL_STATE(10164)] = 481800,
  [SMALL_STATE(10165)] = 481836,
  [SMALL_STATE(10166)] = 481870,
  [SMALL_STATE(10167)] = 481922,
  [SMALL_STATE(10168)] = 481960,
  [SMALL_STATE(10169)] = 481994,
  [SMALL_STATE(10170)] = 482046,
  [SMALL_STATE(10171)] = 482080,
  [SMALL_STATE(10172)] = 482114,
  [SMALL_STATE(10173)] = 482148,
  [SMALL_STATE(10174)] = 482182,
  [SMALL_STATE(10175)] = 482216,
  [SMALL_STATE(10176)] = 482250,
  [SMALL_STATE(10177)] = 482302,
  [SMALL_STATE(10178)] = 482338,
  [SMALL_STATE(10179)] = 482390,
  [SMALL_STATE(10180)] = 482438,
  [SMALL_STATE(10181)] = 482471,
  [SMALL_STATE(10182)] = 482518,
  [SMALL_STATE(10183)] = 482551,
  [SMALL_STATE(10184)] = 482606,
  [SMALL_STATE(10185)] = 482661,
  [SMALL_STATE(10186)] = 482712,
  [SMALL_STATE(10187)] = 482745,
  [SMALL_STATE(10188)] = 482796,
  [SMALL_STATE(10189)] = 482833,
  [SMALL_STATE(10190)] = 482870,
  [SMALL_STATE(10191)] = 482919,
  [SMALL_STATE(10192)] = 482968,
  [SMALL_STATE(10193)] = 483001,
  [SMALL_STATE(10194)] = 483034,
  [SMALL_STATE(10195)] = 483067,
  [SMALL_STATE(10196)] = 483100,
  [SMALL_STATE(10197)] = 483133,
  [SMALL_STATE(10198)] = 483172,
  [SMALL_STATE(10199)] = 483205,
  [SMALL_STATE(10200)] = 483238,
  [SMALL_STATE(10201)] = 483271,
  [SMALL_STATE(10202)] = 483310,
  [SMALL_STATE(10203)] = 483343,
  [SMALL_STATE(10204)] = 483376,
  [SMALL_STATE(10205)] = 483409,
  [SMALL_STATE(10206)] = 483456,
  [SMALL_STATE(10207)] = 483493,
  [SMALL_STATE(10208)] = 483526,
  [SMALL_STATE(10209)] = 483559,
  [SMALL_STATE(10210)] = 483606,
  [SMALL_STATE(10211)] = 483645,
  [SMALL_STATE(10212)] = 483684,
  [SMALL_STATE(10213)] = 483723,
  [SMALL_STATE(10214)] = 483770,
  [SMALL_STATE(10215)] = 483821,
  [SMALL_STATE(10216)] = 483854,
  [SMALL_STATE(10217)] = 483901,
  [SMALL_STATE(10218)] = 483948,
  [SMALL_STATE(10219)] = 483981,
  [SMALL_STATE(10220)] = 484014,
  [SMALL_STATE(10221)] = 484061,
  [SMALL_STATE(10222)] = 484094,
  [SMALL_STATE(10223)] = 484127,
  [SMALL_STATE(10224)] = 484164,
  [SMALL_STATE(10225)] = 484197,
  [SMALL_STATE(10226)] = 484230,
  [SMALL_STATE(10227)] = 484277,
  [SMALL_STATE(10228)] = 484310,
  [SMALL_STATE(10229)] = 484345,
  [SMALL_STATE(10230)] = 484378,
  [SMALL_STATE(10231)] = 484425,
  [SMALL_STATE(10232)] = 484458,
  [SMALL_STATE(10233)] = 484491,
  [SMALL_STATE(10234)] = 484538,
  [SMALL_STATE(10235)] = 484573,
  [SMALL_STATE(10236)] = 484606,
  [SMALL_STATE(10237)] = 484639,
  [SMALL_STATE(10238)] = 484694,
  [SMALL_STATE(10239)] = 484749,
  [SMALL_STATE(10240)] = 484798,
  [SMALL_STATE(10241)] = 484831,
  [SMALL_STATE(10242)] = 484864,
  [SMALL_STATE(10243)] = 484897,
  [SMALL_STATE(10244)] = 484944,
  [SMALL_STATE(10245)] = 484977,
  [SMALL_STATE(10246)] = 485010,
  [SMALL_STATE(10247)] = 485059,
  [SMALL_STATE(10248)] = 485092,
  [SMALL_STATE(10249)] = 485125,
  [SMALL_STATE(10250)] = 485180,
  [SMALL_STATE(10251)] = 485213,
  [SMALL_STATE(10252)] = 485248,
  [SMALL_STATE(10253)] = 485281,
  [SMALL_STATE(10254)] = 485314,
  [SMALL_STATE(10255)] = 485347,
  [SMALL_STATE(10256)] = 485396,
  [SMALL_STATE(10257)] = 485429,
  [SMALL_STATE(10258)] = 485476,
  [SMALL_STATE(10259)] = 485509,
  [SMALL_STATE(10260)] = 485558,
  [SMALL_STATE(10261)] = 485591,
  [SMALL_STATE(10262)] = 485624,
  [SMALL_STATE(10263)] = 485679,
  [SMALL_STATE(10264)] = 485712,
  [SMALL_STATE(10265)] = 485767,
  [SMALL_STATE(10266)] = 485822,
  [SMALL_STATE(10267)] = 485855,
  [SMALL_STATE(10268)] = 485888,
  [SMALL_STATE(10269)] = 485921,
  [SMALL_STATE(10270)] = 485954,
  [SMALL_STATE(10271)] = 485987,
  [SMALL_STATE(10272)] = 486034,
  [SMALL_STATE(10273)] = 486067,
  [SMALL_STATE(10274)] = 486116,
  [SMALL_STATE(10275)] = 486165,
  [SMALL_STATE(10276)] = 486198,
  [SMALL_STATE(10277)] = 486231,
  [SMALL_STATE(10278)] = 486270,
  [SMALL_STATE(10279)] = 486303,
  [SMALL_STATE(10280)] = 486342,
  [SMALL_STATE(10281)] = 486381,
  [SMALL_STATE(10282)] = 486430,
  [SMALL_STATE(10283)] = 486463,
  [SMALL_STATE(10284)] = 486502,
  [SMALL_STATE(10285)] = 486535,
  [SMALL_STATE(10286)] = 486568,
  [SMALL_STATE(10287)] = 486611,
  [SMALL_STATE(10288)] = 486658,
  [SMALL_STATE(10289)] = 486697,
  [SMALL_STATE(10290)] = 486752,
  [SMALL_STATE(10291)] = 486799,
  [SMALL_STATE(10292)] = 486832,
  [SMALL_STATE(10293)] = 486865,
  [SMALL_STATE(10294)] = 486898,
  [SMALL_STATE(10295)] = 486931,
  [SMALL_STATE(10296)] = 486986,
  [SMALL_STATE(10297)] = 487019,
  [SMALL_STATE(10298)] = 487052,
  [SMALL_STATE(10299)] = 487107,
  [SMALL_STATE(10300)] = 487140,
  [SMALL_STATE(10301)] = 487189,
  [SMALL_STATE(10302)] = 487222,
  [SMALL_STATE(10303)] = 487271,
  [SMALL_STATE(10304)] = 487304,
  [SMALL_STATE(10305)] = 487351,
  [SMALL_STATE(10306)] = 487406,
  [SMALL_STATE(10307)] = 487439,
  [SMALL_STATE(10308)] = 487472,
  [SMALL_STATE(10309)] = 487507,
  [SMALL_STATE(10310)] = 487546,
  [SMALL_STATE(10311)] = 487589,
  [SMALL_STATE(10312)] = 487628,
  [SMALL_STATE(10313)] = 487683,
  [SMALL_STATE(10314)] = 487716,
  [SMALL_STATE(10315)] = 487749,
  [SMALL_STATE(10316)] = 487796,
  [SMALL_STATE(10317)] = 487829,
  [SMALL_STATE(10318)] = 487862,
  [SMALL_STATE(10319)] = 487897,
  [SMALL_STATE(10320)] = 487936,
  [SMALL_STATE(10321)] = 487991,
  [SMALL_STATE(10322)] = 488040,
  [SMALL_STATE(10323)] = 488095,
  [SMALL_STATE(10324)] = 488142,
  [SMALL_STATE(10325)] = 488189,
  [SMALL_STATE(10326)] = 488244,
  [SMALL_STATE(10327)] = 488276,
  [SMALL_STATE(10328)] = 488308,
  [SMALL_STATE(10329)] = 488340,
  [SMALL_STATE(10330)] = 488390,
  [SMALL_STATE(10331)] = 488436,
  [SMALL_STATE(10332)] = 488486,
  [SMALL_STATE(10333)] = 488518,
  [SMALL_STATE(10334)] = 488552,
  [SMALL_STATE(10335)] = 488582,
  [SMALL_STATE(10336)] = 488612,
  [SMALL_STATE(10337)] = 488644,
  [SMALL_STATE(10338)] = 488692,
  [SMALL_STATE(10339)] = 488724,
  [SMALL_STATE(10340)] = 488754,
  [SMALL_STATE(10341)] = 488808,
  [SMALL_STATE(10342)] = 488840,
  [SMALL_STATE(10343)] = 488872,
  [SMALL_STATE(10344)] = 488904,
  [SMALL_STATE(10345)] = 488936,
  [SMALL_STATE(10346)] = 488968,
  [SMALL_STATE(10347)] = 489000,
  [SMALL_STATE(10348)] = 489038,
  [SMALL_STATE(10349)] = 489068,
  [SMALL_STATE(10350)] = 489098,
  [SMALL_STATE(10351)] = 489130,
  [SMALL_STATE(10352)] = 489160,
  [SMALL_STATE(10353)] = 489214,
  [SMALL_STATE(10354)] = 489256,
  [SMALL_STATE(10355)] = 489298,
  [SMALL_STATE(10356)] = 489328,
  [SMALL_STATE(10357)] = 489360,
  [SMALL_STATE(10358)] = 489392,
  [SMALL_STATE(10359)] = 489424,
  [SMALL_STATE(10360)] = 489470,
  [SMALL_STATE(10361)] = 489524,
  [SMALL_STATE(10362)] = 489556,
  [SMALL_STATE(10363)] = 489588,
  [SMALL_STATE(10364)] = 489620,
  [SMALL_STATE(10365)] = 489652,
  [SMALL_STATE(10366)] = 489684,
  [SMALL_STATE(10367)] = 489716,
  [SMALL_STATE(10368)] = 489748,
  [SMALL_STATE(10369)] = 489780,
  [SMALL_STATE(10370)] = 489812,
  [SMALL_STATE(10371)] = 489842,
  [SMALL_STATE(10372)] = 489874,
  [SMALL_STATE(10373)] = 489922,
  [SMALL_STATE(10374)] = 489954,
  [SMALL_STATE(10375)] = 489986,
  [SMALL_STATE(10376)] = 490018,
  [SMALL_STATE(10377)] = 490050,
  [SMALL_STATE(10378)] = 490090,
  [SMALL_STATE(10379)] = 490142,
  [SMALL_STATE(10380)] = 490174,
  [SMALL_STATE(10381)] = 490212,
  [SMALL_STATE(10382)] = 490244,
  [SMALL_STATE(10383)] = 490276,
  [SMALL_STATE(10384)] = 490308,
  [SMALL_STATE(10385)] = 490340,
  [SMALL_STATE(10386)] = 490378,
  [SMALL_STATE(10387)] = 490416,
  [SMALL_STATE(10388)] = 490448,
  [SMALL_STATE(10389)] = 490480,
  [SMALL_STATE(10390)] = 490512,
  [SMALL_STATE(10391)] = 490544,
  [SMALL_STATE(10392)] = 490576,
  [SMALL_STATE(10393)] = 490612,
  [SMALL_STATE(10394)] = 490664,
  [SMALL_STATE(10395)] = 490714,
  [SMALL_STATE(10396)] = 490746,
  [SMALL_STATE(10397)] = 490778,
  [SMALL_STATE(10398)] = 490810,
  [SMALL_STATE(10399)] = 490842,
  [SMALL_STATE(10400)] = 490892,
  [SMALL_STATE(10401)] = 490924,
  [SMALL_STATE(10402)] = 490966,
  [SMALL_STATE(10403)] = 490998,
  [SMALL_STATE(10404)] = 491036,
  [SMALL_STATE(10405)] = 491068,
  [SMALL_STATE(10406)] = 491100,
  [SMALL_STATE(10407)] = 491132,
  [SMALL_STATE(10408)] = 491164,
  [SMALL_STATE(10409)] = 491200,
  [SMALL_STATE(10410)] = 491232,
  [SMALL_STATE(10411)] = 491264,
  [SMALL_STATE(10412)] = 491296,
  [SMALL_STATE(10413)] = 491328,
  [SMALL_STATE(10414)] = 491360,
  [SMALL_STATE(10415)] = 491392,
  [SMALL_STATE(10416)] = 491424,
  [SMALL_STATE(10417)] = 491454,
  [SMALL_STATE(10418)] = 491486,
  [SMALL_STATE(10419)] = 491518,
  [SMALL_STATE(10420)] = 491550,
  [SMALL_STATE(10421)] = 491604,
  [SMALL_STATE(10422)] = 491652,
  [SMALL_STATE(10423)] = 491684,
  [SMALL_STATE(10424)] = 491716,
  [SMALL_STATE(10425)] = 491748,
  [SMALL_STATE(10426)] = 491780,
  [SMALL_STATE(10427)] = 491812,
  [SMALL_STATE(10428)] = 491850,
  [SMALL_STATE(10429)] = 491882,
  [SMALL_STATE(10430)] = 491914,
  [SMALL_STATE(10431)] = 491968,
  [SMALL_STATE(10432)] = 492020,
  [SMALL_STATE(10433)] = 492066,
  [SMALL_STATE(10434)] = 492098,
  [SMALL_STATE(10435)] = 492130,
  [SMALL_STATE(10436)] = 492162,
  [SMALL_STATE(10437)] = 492200,
  [SMALL_STATE(10438)] = 492238,
  [SMALL_STATE(10439)] = 492288,
  [SMALL_STATE(10440)] = 492318,
  [SMALL_STATE(10441)] = 492366,
  [SMALL_STATE(10442)] = 492420,
  [SMALL_STATE(10443)] = 492456,
  [SMALL_STATE(10444)] = 492506,
  [SMALL_STATE(10445)] = 492538,
  [SMALL_STATE(10446)] = 492568,
  [SMALL_STATE(10447)] = 492600,
  [SMALL_STATE(10448)] = 492632,
  [SMALL_STATE(10449)] = 492664,
  [SMALL_STATE(10450)] = 492696,
  [SMALL_STATE(10451)] = 492734,
  [SMALL_STATE(10452)] = 492766,
  [SMALL_STATE(10453)] = 492804,
  [SMALL_STATE(10454)] = 492836,
  [SMALL_STATE(10455)] = 492868,
  [SMALL_STATE(10456)] = 492900,
  [SMALL_STATE(10457)] = 492932,
  [SMALL_STATE(10458)] = 492962,
  [SMALL_STATE(10459)] = 493016,
  [SMALL_STATE(10460)] = 493066,
  [SMALL_STATE(10461)] = 493098,
  [SMALL_STATE(10462)] = 493152,
  [SMALL_STATE(10463)] = 493194,
  [SMALL_STATE(10464)] = 493226,
  [SMALL_STATE(10465)] = 493280,
  [SMALL_STATE(10466)] = 493312,
  [SMALL_STATE(10467)] = 493344,
  [SMALL_STATE(10468)] = 493398,
  [SMALL_STATE(10469)] = 493452,
  [SMALL_STATE(10470)] = 493502,
  [SMALL_STATE(10471)] = 493534,
  [SMALL_STATE(10472)] = 493566,
  [SMALL_STATE(10473)] = 493598,
  [SMALL_STATE(10474)] = 493630,
  [SMALL_STATE(10475)] = 493680,
  [SMALL_STATE(10476)] = 493712,
  [SMALL_STATE(10477)] = 493744,
  [SMALL_STATE(10478)] = 493776,
  [SMALL_STATE(10479)] = 493814,
  [SMALL_STATE(10480)] = 493846,
  [SMALL_STATE(10481)] = 493882,
  [SMALL_STATE(10482)] = 493936,
  [SMALL_STATE(10483)] = 493990,
  [SMALL_STATE(10484)] = 494022,
  [SMALL_STATE(10485)] = 494054,
  [SMALL_STATE(10486)] = 494092,
  [SMALL_STATE(10487)] = 494124,
  [SMALL_STATE(10488)] = 494178,
  [SMALL_STATE(10489)] = 494210,
  [SMALL_STATE(10490)] = 494256,
  [SMALL_STATE(10491)] = 494288,
  [SMALL_STATE(10492)] = 494320,
  [SMALL_STATE(10493)] = 494374,
  [SMALL_STATE(10494)] = 494406,
  [SMALL_STATE(10495)] = 494456,
  [SMALL_STATE(10496)] = 494488,
  [SMALL_STATE(10497)] = 494524,
  [SMALL_STATE(10498)] = 494570,
  [SMALL_STATE(10499)] = 494602,
  [SMALL_STATE(10500)] = 494634,
  [SMALL_STATE(10501)] = 494666,
  [SMALL_STATE(10502)] = 494698,
  [SMALL_STATE(10503)] = 494730,
  [SMALL_STATE(10504)] = 494762,
  [SMALL_STATE(10505)] = 494800,
  [SMALL_STATE(10506)] = 494842,
  [SMALL_STATE(10507)] = 494872,
  [SMALL_STATE(10508)] = 494904,
  [SMALL_STATE(10509)] = 494936,
  [SMALL_STATE(10510)] = 494968,
  [SMALL_STATE(10511)] = 495000,
  [SMALL_STATE(10512)] = 495032,
  [SMALL_STATE(10513)] = 495082,
  [SMALL_STATE(10514)] = 495132,
  [SMALL_STATE(10515)] = 495164,
  [SMALL_STATE(10516)] = 495196,
  [SMALL_STATE(10517)] = 495228,
  [SMALL_STATE(10518)] = 495270,
  [SMALL_STATE(10519)] = 495302,
  [SMALL_STATE(10520)] = 495334,
  [SMALL_STATE(10521)] = 495382,
  [SMALL_STATE(10522)] = 495414,
  [SMALL_STATE(10523)] = 495446,
  [SMALL_STATE(10524)] = 495480,
  [SMALL_STATE(10525)] = 495532,
  [SMALL_STATE(10526)] = 495566,
  [SMALL_STATE(10527)] = 495598,
  [SMALL_STATE(10528)] = 495636,
  [SMALL_STATE(10529)] = 495668,
  [SMALL_STATE(10530)] = 495700,
  [SMALL_STATE(10531)] = 495752,
  [SMALL_STATE(10532)] = 495784,
  [SMALL_STATE(10533)] = 495816,
  [SMALL_STATE(10534)] = 495870,
  [SMALL_STATE(10535)] = 495902,
  [SMALL_STATE(10536)] = 495934,
  [SMALL_STATE(10537)] = 495966,
  [SMALL_STATE(10538)] = 495998,
  [SMALL_STATE(10539)] = 496030,
  [SMALL_STATE(10540)] = 496064,
  [SMALL_STATE(10541)] = 496096,
  [SMALL_STATE(10542)] = 496126,
  [SMALL_STATE(10543)] = 496172,
  [SMALL_STATE(10544)] = 496202,
  [SMALL_STATE(10545)] = 496232,
  [SMALL_STATE(10546)] = 496274,
  [SMALL_STATE(10547)] = 496326,
  [SMALL_STATE(10548)] = 496380,
  [SMALL_STATE(10549)] = 496432,
  [SMALL_STATE(10550)] = 496464,
  [SMALL_STATE(10551)] = 496496,
  [SMALL_STATE(10552)] = 496528,
  [SMALL_STATE(10553)] = 496558,
  [SMALL_STATE(10554)] = 496590,
  [SMALL_STATE(10555)] = 496622,
  [SMALL_STATE(10556)] = 496654,
  [SMALL_STATE(10557)] = 496686,
  [SMALL_STATE(10558)] = 496740,
  [SMALL_STATE(10559)] = 496792,
  [SMALL_STATE(10560)] = 496824,
  [SMALL_STATE(10561)] = 496874,
  [SMALL_STATE(10562)] = 496906,
  [SMALL_STATE(10563)] = 496938,
  [SMALL_STATE(10564)] = 496988,
  [SMALL_STATE(10565)] = 497020,
  [SMALL_STATE(10566)] = 497068,
  [SMALL_STATE(10567)] = 497100,
  [SMALL_STATE(10568)] = 497132,
  [SMALL_STATE(10569)] = 497163,
  [SMALL_STATE(10570)] = 497192,
  [SMALL_STATE(10571)] = 497227,
  [SMALL_STATE(10572)] = 497262,
  [SMALL_STATE(10573)] = 497309,
  [SMALL_STATE(10574)] = 497344,
  [SMALL_STATE(10575)] = 497391,
  [SMALL_STATE(10576)] = 497432,
  [SMALL_STATE(10577)] = 497481,
  [SMALL_STATE(10578)] = 497530,
  [SMALL_STATE(10579)] = 497563,
  [SMALL_STATE(10580)] = 497594,
  [SMALL_STATE(10581)] = 497643,
  [SMALL_STATE(10582)] = 497680,
  [SMALL_STATE(10583)] = 497729,
  [SMALL_STATE(10584)] = 497764,
  [SMALL_STATE(10585)] = 497811,
  [SMALL_STATE(10586)] = 497846,
  [SMALL_STATE(10587)] = 497877,
  [SMALL_STATE(10588)] = 497910,
  [SMALL_STATE(10589)] = 497943,
  [SMALL_STATE(10590)] = 497992,
  [SMALL_STATE(10591)] = 498027,
  [SMALL_STATE(10592)] = 498056,
  [SMALL_STATE(10593)] = 498091,
  [SMALL_STATE(10594)] = 498140,
  [SMALL_STATE(10595)] = 498171,
  [SMALL_STATE(10596)] = 498206,
  [SMALL_STATE(10597)] = 498255,
  [SMALL_STATE(10598)] = 498288,
  [SMALL_STATE(10599)] = 498337,
  [SMALL_STATE(10600)] = 498366,
  [SMALL_STATE(10601)] = 498395,
  [SMALL_STATE(10602)] = 498426,
  [SMALL_STATE(10603)] = 498457,
  [SMALL_STATE(10604)] = 498488,
  [SMALL_STATE(10605)] = 498519,
  [SMALL_STATE(10606)] = 498550,
  [SMALL_STATE(10607)] = 498581,
  [SMALL_STATE(10608)] = 498630,
  [SMALL_STATE(10609)] = 498671,
  [SMALL_STATE(10610)] = 498720,
  [SMALL_STATE(10611)] = 498751,
  [SMALL_STATE(10612)] = 498800,
  [SMALL_STATE(10613)] = 498831,
  [SMALL_STATE(10614)] = 498862,
  [SMALL_STATE(10615)] = 498911,
  [SMALL_STATE(10616)] = 498952,
  [SMALL_STATE(10617)] = 498999,
  [SMALL_STATE(10618)] = 499030,
  [SMALL_STATE(10619)] = 499061,
  [SMALL_STATE(10620)] = 499092,
  [SMALL_STATE(10621)] = 499121,
  [SMALL_STATE(10622)] = 499150,
  [SMALL_STATE(10623)] = 499179,
  [SMALL_STATE(10624)] = 499210,
  [SMALL_STATE(10625)] = 499241,
  [SMALL_STATE(10626)] = 499272,
  [SMALL_STATE(10627)] = 499303,
  [SMALL_STATE(10628)] = 499334,
  [SMALL_STATE(10629)] = 499363,
  [SMALL_STATE(10630)] = 499394,
  [SMALL_STATE(10631)] = 499425,
  [SMALL_STATE(10632)] = 499456,
  [SMALL_STATE(10633)] = 499497,
  [SMALL_STATE(10634)] = 499528,
  [SMALL_STATE(10635)] = 499565,
  [SMALL_STATE(10636)] = 499612,
  [SMALL_STATE(10637)] = 499643,
  [SMALL_STATE(10638)] = 499688,
  [SMALL_STATE(10639)] = 499727,
  [SMALL_STATE(10640)] = 499756,
  [SMALL_STATE(10641)] = 499787,
  [SMALL_STATE(10642)] = 499818,
  [SMALL_STATE(10643)] = 499849,
  [SMALL_STATE(10644)] = 499896,
  [SMALL_STATE(10645)] = 499941,
  [SMALL_STATE(10646)] = 499970,
  [SMALL_STATE(10647)] = 500001,
  [SMALL_STATE(10648)] = 500032,
  [SMALL_STATE(10649)] = 500061,
  [SMALL_STATE(10650)] = 500092,
  [SMALL_STATE(10651)] = 500123,
  [SMALL_STATE(10652)] = 500164,
  [SMALL_STATE(10653)] = 500193,
  [SMALL_STATE(10654)] = 500224,
  [SMALL_STATE(10655)] = 500255,
  [SMALL_STATE(10656)] = 500286,
  [SMALL_STATE(10657)] = 500315,
  [SMALL_STATE(10658)] = 500346,
  [SMALL_STATE(10659)] = 500377,
  [SMALL_STATE(10660)] = 500408,
  [SMALL_STATE(10661)] = 500439,
  [SMALL_STATE(10662)] = 500470,
  [SMALL_STATE(10663)] = 500501,
  [SMALL_STATE(10664)] = 500548,
  [SMALL_STATE(10665)] = 500579,
  [SMALL_STATE(10666)] = 500620,
  [SMALL_STATE(10667)] = 500649,
  [SMALL_STATE(10668)] = 500678,
  [SMALL_STATE(10669)] = 500709,
  [SMALL_STATE(10670)] = 500738,
  [SMALL_STATE(10671)] = 500767,
  [SMALL_STATE(10672)] = 500798,
  [SMALL_STATE(10673)] = 500829,
  [SMALL_STATE(10674)] = 500860,
  [SMALL_STATE(10675)] = 500891,
  [SMALL_STATE(10676)] = 500922,
  [SMALL_STATE(10677)] = 500953,
  [SMALL_STATE(10678)] = 500994,
  [SMALL_STATE(10679)] = 501025,
  [SMALL_STATE(10680)] = 501054,
  [SMALL_STATE(10681)] = 501101,
  [SMALL_STATE(10682)] = 501130,
  [SMALL_STATE(10683)] = 501161,
  [SMALL_STATE(10684)] = 501196,
  [SMALL_STATE(10685)] = 501225,
  [SMALL_STATE(10686)] = 501256,
  [SMALL_STATE(10687)] = 501291,
  [SMALL_STATE(10688)] = 501338,
  [SMALL_STATE(10689)] = 501369,
  [SMALL_STATE(10690)] = 501400,
  [SMALL_STATE(10691)] = 501431,
  [SMALL_STATE(10692)] = 501480,
  [SMALL_STATE(10693)] = 501509,
  [SMALL_STATE(10694)] = 501558,
  [SMALL_STATE(10695)] = 501589,
  [SMALL_STATE(10696)] = 501620,
  [SMALL_STATE(10697)] = 501651,
  [SMALL_STATE(10698)] = 501682,
  [SMALL_STATE(10699)] = 501731,
  [SMALL_STATE(10700)] = 501768,
  [SMALL_STATE(10701)] = 501797,
  [SMALL_STATE(10702)] = 501848,
  [SMALL_STATE(10703)] = 501879,
  [SMALL_STATE(10704)] = 501910,
  [SMALL_STATE(10705)] = 501959,
  [SMALL_STATE(10706)] = 501990,
  [SMALL_STATE(10707)] = 502039,
  [SMALL_STATE(10708)] = 502074,
  [SMALL_STATE(10709)] = 502113,
  [SMALL_STATE(10710)] = 502144,
  [SMALL_STATE(10711)] = 502191,
  [SMALL_STATE(10712)] = 502240,
  [SMALL_STATE(10713)] = 502271,
  [SMALL_STATE(10714)] = 502302,
  [SMALL_STATE(10715)] = 502351,
  [SMALL_STATE(10716)] = 502382,
  [SMALL_STATE(10717)] = 502431,
  [SMALL_STATE(10718)] = 502462,
  [SMALL_STATE(10719)] = 502497,
  [SMALL_STATE(10720)] = 502528,
  [SMALL_STATE(10721)] = 502559,
  [SMALL_STATE(10722)] = 502594,
  [SMALL_STATE(10723)] = 502623,
  [SMALL_STATE(10724)] = 502668,
  [SMALL_STATE(10725)] = 502696,
  [SMALL_STATE(10726)] = 502726,
  [SMALL_STATE(10727)] = 502770,
  [SMALL_STATE(10728)] = 502814,
  [SMALL_STATE(10729)] = 502858,
  [SMALL_STATE(10730)] = 502888,
  [SMALL_STATE(10731)] = 502936,
  [SMALL_STATE(10732)] = 502968,
  [SMALL_STATE(10733)] = 503012,
  [SMALL_STATE(10734)] = 503056,
  [SMALL_STATE(10735)] = 503100,
  [SMALL_STATE(10736)] = 503144,
  [SMALL_STATE(10737)] = 503188,
  [SMALL_STATE(10738)] = 503232,
  [SMALL_STATE(10739)] = 503276,
  [SMALL_STATE(10740)] = 503320,
  [SMALL_STATE(10741)] = 503364,
  [SMALL_STATE(10742)] = 503394,
  [SMALL_STATE(10743)] = 503422,
  [SMALL_STATE(10744)] = 503452,
  [SMALL_STATE(10745)] = 503480,
  [SMALL_STATE(10746)] = 503524,
  [SMALL_STATE(10747)] = 503568,
  [SMALL_STATE(10748)] = 503600,
  [SMALL_STATE(10749)] = 503644,
  [SMALL_STATE(10750)] = 503688,
  [SMALL_STATE(10751)] = 503732,
  [SMALL_STATE(10752)] = 503778,
  [SMALL_STATE(10753)] = 503822,
  [SMALL_STATE(10754)] = 503866,
  [SMALL_STATE(10755)] = 503910,
  [SMALL_STATE(10756)] = 503954,
  [SMALL_STATE(10757)] = 504002,
  [SMALL_STATE(10758)] = 504048,
  [SMALL_STATE(10759)] = 504092,
  [SMALL_STATE(10760)] = 504136,
  [SMALL_STATE(10761)] = 504180,
  [SMALL_STATE(10762)] = 504210,
  [SMALL_STATE(10763)] = 504254,
  [SMALL_STATE(10764)] = 504298,
  [SMALL_STATE(10765)] = 504342,
  [SMALL_STATE(10766)] = 504386,
  [SMALL_STATE(10767)] = 504430,
  [SMALL_STATE(10768)] = 504474,
  [SMALL_STATE(10769)] = 504518,
  [SMALL_STATE(10770)] = 504562,
  [SMALL_STATE(10771)] = 504606,
  [SMALL_STATE(10772)] = 504634,
  [SMALL_STATE(10773)] = 504678,
  [SMALL_STATE(10774)] = 504708,
  [SMALL_STATE(10775)] = 504752,
  [SMALL_STATE(10776)] = 504798,
  [SMALL_STATE(10777)] = 504842,
  [SMALL_STATE(10778)] = 504872,
  [SMALL_STATE(10779)] = 504916,
  [SMALL_STATE(10780)] = 504944,
  [SMALL_STATE(10781)] = 504990,
  [SMALL_STATE(10782)] = 505020,
  [SMALL_STATE(10783)] = 505064,
  [SMALL_STATE(10784)] = 505092,
  [SMALL_STATE(10785)] = 505136,
  [SMALL_STATE(10786)] = 505182,
  [SMALL_STATE(10787)] = 505226,
  [SMALL_STATE(10788)] = 505272,
  [SMALL_STATE(10789)] = 505300,
  [SMALL_STATE(10790)] = 505330,
  [SMALL_STATE(10791)] = 505374,
  [SMALL_STATE(10792)] = 505414,
  [SMALL_STATE(10793)] = 505442,
  [SMALL_STATE(10794)] = 505486,
  [SMALL_STATE(10795)] = 505530,
  [SMALL_STATE(10796)] = 505574,
  [SMALL_STATE(10797)] = 505618,
  [SMALL_STATE(10798)] = 505662,
  [SMALL_STATE(10799)] = 505706,
  [SMALL_STATE(10800)] = 505734,
  [SMALL_STATE(10801)] = 505782,
  [SMALL_STATE(10802)] = 505828,
  [SMALL_STATE(10803)] = 505858,
  [SMALL_STATE(10804)] = 505902,
  [SMALL_STATE(10805)] = 505946,
  [SMALL_STATE(10806)] = 505994,
  [SMALL_STATE(10807)] = 506024,
  [SMALL_STATE(10808)] = 506052,
  [SMALL_STATE(10809)] = 506096,
  [SMALL_STATE(10810)] = 506124,
  [SMALL_STATE(10811)] = 506152,
  [SMALL_STATE(10812)] = 506182,
  [SMALL_STATE(10813)] = 506212,
  [SMALL_STATE(10814)] = 506240,
  [SMALL_STATE(10815)] = 506268,
  [SMALL_STATE(10816)] = 506298,
  [SMALL_STATE(10817)] = 506328,
  [SMALL_STATE(10818)] = 506356,
  [SMALL_STATE(10819)] = 506386,
  [SMALL_STATE(10820)] = 506414,
  [SMALL_STATE(10821)] = 506442,
  [SMALL_STATE(10822)] = 506470,
  [SMALL_STATE(10823)] = 506514,
  [SMALL_STATE(10824)] = 506558,
  [SMALL_STATE(10825)] = 506602,
  [SMALL_STATE(10826)] = 506630,
  [SMALL_STATE(10827)] = 506674,
  [SMALL_STATE(10828)] = 506714,
  [SMALL_STATE(10829)] = 506762,
  [SMALL_STATE(10830)] = 506792,
  [SMALL_STATE(10831)] = 506836,
  [SMALL_STATE(10832)] = 506866,
  [SMALL_STATE(10833)] = 506910,
  [SMALL_STATE(10834)] = 506940,
  [SMALL_STATE(10835)] = 506970,
  [SMALL_STATE(10836)] = 507000,
  [SMALL_STATE(10837)] = 507030,
  [SMALL_STATE(10838)] = 507060,
  [SMALL_STATE(10839)] = 507090,
  [SMALL_STATE(10840)] = 507120,
  [SMALL_STATE(10841)] = 507148,
  [SMALL_STATE(10842)] = 507192,
  [SMALL_STATE(10843)] = 507222,
  [SMALL_STATE(10844)] = 507250,
  [SMALL_STATE(10845)] = 507294,
  [SMALL_STATE(10846)] = 507322,
  [SMALL_STATE(10847)] = 507366,
  [SMALL_STATE(10848)] = 507396,
  [SMALL_STATE(10849)] = 507426,
  [SMALL_STATE(10850)] = 507470,
  [SMALL_STATE(10851)] = 507500,
  [SMALL_STATE(10852)] = 507528,
  [SMALL_STATE(10853)] = 507576,
  [SMALL_STATE(10854)] = 507604,
  [SMALL_STATE(10855)] = 507632,
  [SMALL_STATE(10856)] = 507676,
  [SMALL_STATE(10857)] = 507720,
  [SMALL_STATE(10858)] = 507764,
  [SMALL_STATE(10859)] = 507808,
  [SMALL_STATE(10860)] = 507852,
  [SMALL_STATE(10861)] = 507880,
  [SMALL_STATE(10862)] = 507910,
  [SMALL_STATE(10863)] = 507954,
  [SMALL_STATE(10864)] = 508000,
  [SMALL_STATE(10865)] = 508046,
  [SMALL_STATE(10866)] = 508074,
  [SMALL_STATE(10867)] = 508104,
  [SMALL_STATE(10868)] = 508148,
  [SMALL_STATE(10869)] = 508192,
  [SMALL_STATE(10870)] = 508220,
  [SMALL_STATE(10871)] = 508248,
  [SMALL_STATE(10872)] = 508292,
  [SMALL_STATE(10873)] = 508336,
  [SMALL_STATE(10874)] = 508384,
  [SMALL_STATE(10875)] = 508412,
  [SMALL_STATE(10876)] = 508460,
  [SMALL_STATE(10877)] = 508508,
  [SMALL_STATE(10878)] = 508536,
  [SMALL_STATE(10879)] = 508566,
  [SMALL_STATE(10880)] = 508614,
  [SMALL_STATE(10881)] = 508658,
  [SMALL_STATE(10882)] = 508698,
  [SMALL_STATE(10883)] = 508742,
  [SMALL_STATE(10884)] = 508786,
  [SMALL_STATE(10885)] = 508834,
  [SMALL_STATE(10886)] = 508862,
  [SMALL_STATE(10887)] = 508910,
  [SMALL_STATE(10888)] = 508954,
  [SMALL_STATE(10889)] = 509002,
  [SMALL_STATE(10890)] = 509046,
  [SMALL_STATE(10891)] = 509076,
  [SMALL_STATE(10892)] = 509104,
  [SMALL_STATE(10893)] = 509132,
  [SMALL_STATE(10894)] = 509176,
  [SMALL_STATE(10895)] = 509206,
  [SMALL_STATE(10896)] = 509234,
  [SMALL_STATE(10897)] = 509278,
  [SMALL_STATE(10898)] = 509326,
  [SMALL_STATE(10899)] = 509370,
  [SMALL_STATE(10900)] = 509414,
  [SMALL_STATE(10901)] = 509442,
  [SMALL_STATE(10902)] = 509486,
  [SMALL_STATE(10903)] = 509530,
  [SMALL_STATE(10904)] = 509560,
  [SMALL_STATE(10905)] = 509588,
  [SMALL_STATE(10906)] = 509622,
  [SMALL_STATE(10907)] = 509650,
  [SMALL_STATE(10908)] = 509694,
  [SMALL_STATE(10909)] = 509722,
  [SMALL_STATE(10910)] = 509766,
  [SMALL_STATE(10911)] = 509810,
  [SMALL_STATE(10912)] = 509854,
  [SMALL_STATE(10913)] = 509882,
  [SMALL_STATE(10914)] = 509912,
  [SMALL_STATE(10915)] = 509940,
  [SMALL_STATE(10916)] = 509984,
  [SMALL_STATE(10917)] = 510028,
  [SMALL_STATE(10918)] = 510060,
  [SMALL_STATE(10919)] = 510088,
  [SMALL_STATE(10920)] = 510126,
  [SMALL_STATE(10921)] = 510170,
  [SMALL_STATE(10922)] = 510214,
  [SMALL_STATE(10923)] = 510242,
  [SMALL_STATE(10924)] = 510286,
  [SMALL_STATE(10925)] = 510314,
  [SMALL_STATE(10926)] = 510358,
  [SMALL_STATE(10927)] = 510386,
  [SMALL_STATE(10928)] = 510414,
  [SMALL_STATE(10929)] = 510460,
  [SMALL_STATE(10930)] = 510488,
  [SMALL_STATE(10931)] = 510532,
  [SMALL_STATE(10932)] = 510560,
  [SMALL_STATE(10933)] = 510590,
  [SMALL_STATE(10934)] = 510636,
  [SMALL_STATE(10935)] = 510680,
  [SMALL_STATE(10936)] = 510724,
  [SMALL_STATE(10937)] = 510754,
  [SMALL_STATE(10938)] = 510782,
  [SMALL_STATE(10939)] = 510812,
  [SMALL_STATE(10940)] = 510840,
  [SMALL_STATE(10941)] = 510886,
  [SMALL_STATE(10942)] = 510930,
  [SMALL_STATE(10943)] = 510958,
  [SMALL_STATE(10944)] = 511002,
  [SMALL_STATE(10945)] = 511046,
  [SMALL_STATE(10946)] = 511074,
  [SMALL_STATE(10947)] = 511118,
  [SMALL_STATE(10948)] = 511146,
  [SMALL_STATE(10949)] = 511190,
  [SMALL_STATE(10950)] = 511218,
  [SMALL_STATE(10951)] = 511246,
  [SMALL_STATE(10952)] = 511290,
  [SMALL_STATE(10953)] = 511334,
  [SMALL_STATE(10954)] = 511378,
  [SMALL_STATE(10955)] = 511406,
  [SMALL_STATE(10956)] = 511450,
  [SMALL_STATE(10957)] = 511478,
  [SMALL_STATE(10958)] = 511506,
  [SMALL_STATE(10959)] = 511534,
  [SMALL_STATE(10960)] = 511578,
  [SMALL_STATE(10961)] = 511608,
  [SMALL_STATE(10962)] = 511652,
  [SMALL_STATE(10963)] = 511696,
  [SMALL_STATE(10964)] = 511724,
  [SMALL_STATE(10965)] = 511752,
  [SMALL_STATE(10966)] = 511780,
  [SMALL_STATE(10967)] = 511808,
  [SMALL_STATE(10968)] = 511852,
  [SMALL_STATE(10969)] = 511900,
  [SMALL_STATE(10970)] = 511944,
  [SMALL_STATE(10971)] = 511988,
  [SMALL_STATE(10972)] = 512016,
  [SMALL_STATE(10973)] = 512046,
  [SMALL_STATE(10974)] = 512074,
  [SMALL_STATE(10975)] = 512120,
  [SMALL_STATE(10976)] = 512148,
  [SMALL_STATE(10977)] = 512192,
  [SMALL_STATE(10978)] = 512222,
  [SMALL_STATE(10979)] = 512266,
  [SMALL_STATE(10980)] = 512296,
  [SMALL_STATE(10981)] = 512342,
  [SMALL_STATE(10982)] = 512378,
  [SMALL_STATE(10983)] = 512422,
  [SMALL_STATE(10984)] = 512468,
  [SMALL_STATE(10985)] = 512498,
  [SMALL_STATE(10986)] = 512526,
  [SMALL_STATE(10987)] = 512556,
  [SMALL_STATE(10988)] = 512596,
  [SMALL_STATE(10989)] = 512630,
  [SMALL_STATE(10990)] = 512658,
  [SMALL_STATE(10991)] = 512702,
  [SMALL_STATE(10992)] = 512746,
  [SMALL_STATE(10993)] = 512790,
  [SMALL_STATE(10994)] = 512818,
  [SMALL_STATE(10995)] = 512862,
  [SMALL_STATE(10996)] = 512892,
  [SMALL_STATE(10997)] = 512938,
  [SMALL_STATE(10998)] = 512982,
  [SMALL_STATE(10999)] = 513014,
  [SMALL_STATE(11000)] = 513058,
  [SMALL_STATE(11001)] = 513088,
  [SMALL_STATE(11002)] = 513132,
  [SMALL_STATE(11003)] = 513162,
  [SMALL_STATE(11004)] = 513206,
  [SMALL_STATE(11005)] = 513236,
  [SMALL_STATE(11006)] = 513282,
  [SMALL_STATE(11007)] = 513328,
  [SMALL_STATE(11008)] = 513372,
  [SMALL_STATE(11009)] = 513402,
  [SMALL_STATE(11010)] = 513446,
  [SMALL_STATE(11011)] = 513490,
  [SMALL_STATE(11012)] = 513534,
  [SMALL_STATE(11013)] = 513578,
  [SMALL_STATE(11014)] = 513622,
  [SMALL_STATE(11015)] = 513666,
  [SMALL_STATE(11016)] = 513710,
  [SMALL_STATE(11017)] = 513754,
  [SMALL_STATE(11018)] = 513798,
  [SMALL_STATE(11019)] = 513842,
  [SMALL_STATE(11020)] = 513886,
  [SMALL_STATE(11021)] = 513930,
  [SMALL_STATE(11022)] = 513974,
  [SMALL_STATE(11023)] = 514018,
  [SMALL_STATE(11024)] = 514062,
  [SMALL_STATE(11025)] = 514106,
  [SMALL_STATE(11026)] = 514134,
  [SMALL_STATE(11027)] = 514178,
  [SMALL_STATE(11028)] = 514222,
  [SMALL_STATE(11029)] = 514266,
  [SMALL_STATE(11030)] = 514294,
  [SMALL_STATE(11031)] = 514338,
  [SMALL_STATE(11032)] = 514368,
  [SMALL_STATE(11033)] = 514412,
  [SMALL_STATE(11034)] = 514440,
  [SMALL_STATE(11035)] = 514468,
  [SMALL_STATE(11036)] = 514496,
  [SMALL_STATE(11037)] = 514540,
  [SMALL_STATE(11038)] = 514567,
  [SMALL_STATE(11039)] = 514596,
  [SMALL_STATE(11040)] = 514623,
  [SMALL_STATE(11041)] = 514652,
  [SMALL_STATE(11042)] = 514681,
  [SMALL_STATE(11043)] = 514710,
  [SMALL_STATE(11044)] = 514739,
  [SMALL_STATE(11045)] = 514766,
  [SMALL_STATE(11046)] = 514797,
  [SMALL_STATE(11047)] = 514844,
  [SMALL_STATE(11048)] = 514885,
  [SMALL_STATE(11049)] = 514914,
  [SMALL_STATE(11050)] = 514941,
  [SMALL_STATE(11051)] = 514968,
  [SMALL_STATE(11052)] = 514995,
  [SMALL_STATE(11053)] = 515024,
  [SMALL_STATE(11054)] = 515051,
  [SMALL_STATE(11055)] = 515092,
  [SMALL_STATE(11056)] = 515133,
  [SMALL_STATE(11057)] = 515174,
  [SMALL_STATE(11058)] = 515215,
  [SMALL_STATE(11059)] = 515256,
  [SMALL_STATE(11060)] = 515297,
  [SMALL_STATE(11061)] = 515326,
  [SMALL_STATE(11062)] = 515373,
  [SMALL_STATE(11063)] = 515400,
  [SMALL_STATE(11064)] = 515429,
  [SMALL_STATE(11065)] = 515458,
  [SMALL_STATE(11066)] = 515485,
  [SMALL_STATE(11067)] = 515526,
  [SMALL_STATE(11068)] = 515567,
  [SMALL_STATE(11069)] = 515608,
  [SMALL_STATE(11070)] = 515637,
  [SMALL_STATE(11071)] = 515678,
  [SMALL_STATE(11072)] = 515719,
  [SMALL_STATE(11073)] = 515766,
  [SMALL_STATE(11074)] = 515795,
  [SMALL_STATE(11075)] = 515836,
  [SMALL_STATE(11076)] = 515877,
  [SMALL_STATE(11077)] = 515904,
  [SMALL_STATE(11078)] = 515945,
  [SMALL_STATE(11079)] = 515986,
  [SMALL_STATE(11080)] = 516027,
  [SMALL_STATE(11081)] = 516060,
  [SMALL_STATE(11082)] = 516101,
  [SMALL_STATE(11083)] = 516142,
  [SMALL_STATE(11084)] = 516189,
  [SMALL_STATE(11085)] = 516230,
  [SMALL_STATE(11086)] = 516257,
  [SMALL_STATE(11087)] = 516298,
  [SMALL_STATE(11088)] = 516339,
  [SMALL_STATE(11089)] = 516380,
  [SMALL_STATE(11090)] = 516421,
  [SMALL_STATE(11091)] = 516462,
  [SMALL_STATE(11092)] = 516491,
  [SMALL_STATE(11093)] = 516518,
  [SMALL_STATE(11094)] = 516545,
  [SMALL_STATE(11095)] = 516586,
  [SMALL_STATE(11096)] = 516615,
  [SMALL_STATE(11097)] = 516644,
  [SMALL_STATE(11098)] = 516683,
  [SMALL_STATE(11099)] = 516724,
  [SMALL_STATE(11100)] = 516751,
  [SMALL_STATE(11101)] = 516778,
  [SMALL_STATE(11102)] = 516805,
  [SMALL_STATE(11103)] = 516846,
  [SMALL_STATE(11104)] = 516887,
  [SMALL_STATE(11105)] = 516928,
  [SMALL_STATE(11106)] = 516957,
  [SMALL_STATE(11107)] = 516998,
  [SMALL_STATE(11108)] = 517039,
  [SMALL_STATE(11109)] = 517066,
  [SMALL_STATE(11110)] = 517093,
  [SMALL_STATE(11111)] = 517134,
  [SMALL_STATE(11112)] = 517175,
  [SMALL_STATE(11113)] = 517202,
  [SMALL_STATE(11114)] = 517229,
  [SMALL_STATE(11115)] = 517276,
  [SMALL_STATE(11116)] = 517317,
  [SMALL_STATE(11117)] = 517358,
  [SMALL_STATE(11118)] = 517399,
  [SMALL_STATE(11119)] = 517426,
  [SMALL_STATE(11120)] = 517453,
  [SMALL_STATE(11121)] = 517500,
  [SMALL_STATE(11122)] = 517527,
  [SMALL_STATE(11123)] = 517554,
  [SMALL_STATE(11124)] = 517581,
  [SMALL_STATE(11125)] = 517608,
  [SMALL_STATE(11126)] = 517647,
  [SMALL_STATE(11127)] = 517688,
  [SMALL_STATE(11128)] = 517715,
  [SMALL_STATE(11129)] = 517742,
  [SMALL_STATE(11130)] = 517783,
  [SMALL_STATE(11131)] = 517814,
  [SMALL_STATE(11132)] = 517855,
  [SMALL_STATE(11133)] = 517882,
  [SMALL_STATE(11134)] = 517923,
  [SMALL_STATE(11135)] = 517950,
  [SMALL_STATE(11136)] = 517991,
  [SMALL_STATE(11137)] = 518042,
  [SMALL_STATE(11138)] = 518071,
  [SMALL_STATE(11139)] = 518112,
  [SMALL_STATE(11140)] = 518153,
  [SMALL_STATE(11141)] = 518180,
  [SMALL_STATE(11142)] = 518207,
  [SMALL_STATE(11143)] = 518248,
  [SMALL_STATE(11144)] = 518275,
  [SMALL_STATE(11145)] = 518306,
  [SMALL_STATE(11146)] = 518353,
  [SMALL_STATE(11147)] = 518382,
  [SMALL_STATE(11148)] = 518429,
  [SMALL_STATE(11149)] = 518470,
  [SMALL_STATE(11150)] = 518499,
  [SMALL_STATE(11151)] = 518528,
  [SMALL_STATE(11152)] = 518561,
  [SMALL_STATE(11153)] = 518588,
  [SMALL_STATE(11154)] = 518629,
  [SMALL_STATE(11155)] = 518656,
  [SMALL_STATE(11156)] = 518683,
  [SMALL_STATE(11157)] = 518710,
  [SMALL_STATE(11158)] = 518739,
  [SMALL_STATE(11159)] = 518766,
  [SMALL_STATE(11160)] = 518795,
  [SMALL_STATE(11161)] = 518836,
  [SMALL_STATE(11162)] = 518863,
  [SMALL_STATE(11163)] = 518904,
  [SMALL_STATE(11164)] = 518951,
  [SMALL_STATE(11165)] = 518980,
  [SMALL_STATE(11166)] = 519007,
  [SMALL_STATE(11167)] = 519054,
  [SMALL_STATE(11168)] = 519083,
  [SMALL_STATE(11169)] = 519110,
  [SMALL_STATE(11170)] = 519151,
  [SMALL_STATE(11171)] = 519178,
  [SMALL_STATE(11172)] = 519205,
  [SMALL_STATE(11173)] = 519232,
  [SMALL_STATE(11174)] = 519259,
  [SMALL_STATE(11175)] = 519288,
  [SMALL_STATE(11176)] = 519315,
  [SMALL_STATE(11177)] = 519342,
  [SMALL_STATE(11178)] = 519385,
  [SMALL_STATE(11179)] = 519414,
  [SMALL_STATE(11180)] = 519445,
  [SMALL_STATE(11181)] = 519472,
  [SMALL_STATE(11182)] = 519501,
  [SMALL_STATE(11183)] = 519534,
  [SMALL_STATE(11184)] = 519561,
  [SMALL_STATE(11185)] = 519588,
  [SMALL_STATE(11186)] = 519621,
  [SMALL_STATE(11187)] = 519648,
  [SMALL_STATE(11188)] = 519677,
  [SMALL_STATE(11189)] = 519706,
  [SMALL_STATE(11190)] = 519733,
  [SMALL_STATE(11191)] = 519760,
  [SMALL_STATE(11192)] = 519787,
  [SMALL_STATE(11193)] = 519834,
  [SMALL_STATE(11194)] = 519861,
  [SMALL_STATE(11195)] = 519902,
  [SMALL_STATE(11196)] = 519929,
  [SMALL_STATE(11197)] = 519956,
  [SMALL_STATE(11198)] = 519983,
  [SMALL_STATE(11199)] = 520026,
  [SMALL_STATE(11200)] = 520053,
  [SMALL_STATE(11201)] = 520084,
  [SMALL_STATE(11202)] = 520117,
  [SMALL_STATE(11203)] = 520146,
  [SMALL_STATE(11204)] = 520187,
  [SMALL_STATE(11205)] = 520216,
  [SMALL_STATE(11206)] = 520245,
  [SMALL_STATE(11207)] = 520272,
  [SMALL_STATE(11208)] = 520299,
  [SMALL_STATE(11209)] = 520326,
  [SMALL_STATE(11210)] = 520353,
  [SMALL_STATE(11211)] = 520380,
  [SMALL_STATE(11212)] = 520407,
  [SMALL_STATE(11213)] = 520436,
  [SMALL_STATE(11214)] = 520463,
  [SMALL_STATE(11215)] = 520492,
  [SMALL_STATE(11216)] = 520521,
  [SMALL_STATE(11217)] = 520568,
  [SMALL_STATE(11218)] = 520595,
  [SMALL_STATE(11219)] = 520642,
  [SMALL_STATE(11220)] = 520689,
  [SMALL_STATE(11221)] = 520736,
  [SMALL_STATE(11222)] = 520763,
  [SMALL_STATE(11223)] = 520790,
  [SMALL_STATE(11224)] = 520817,
  [SMALL_STATE(11225)] = 520844,
  [SMALL_STATE(11226)] = 520871,
  [SMALL_STATE(11227)] = 520900,
  [SMALL_STATE(11228)] = 520927,
  [SMALL_STATE(11229)] = 520954,
  [SMALL_STATE(11230)] = 520987,
  [SMALL_STATE(11231)] = 521016,
  [SMALL_STATE(11232)] = 521043,
  [SMALL_STATE(11233)] = 521072,
  [SMALL_STATE(11234)] = 521099,
  [SMALL_STATE(11235)] = 521130,
  [SMALL_STATE(11236)] = 521157,
  [SMALL_STATE(11237)] = 521198,
  [SMALL_STATE(11238)] = 521225,
  [SMALL_STATE(11239)] = 521254,
  [SMALL_STATE(11240)] = 521283,
  [SMALL_STATE(11241)] = 521312,
  [SMALL_STATE(11242)] = 521351,
  [SMALL_STATE(11243)] = 521378,
  [SMALL_STATE(11244)] = 521419,
  [SMALL_STATE(11245)] = 521446,
  [SMALL_STATE(11246)] = 521473,
  [SMALL_STATE(11247)] = 521500,
  [SMALL_STATE(11248)] = 521527,
  [SMALL_STATE(11249)] = 521556,
  [SMALL_STATE(11250)] = 521583,
  [SMALL_STATE(11251)] = 521630,
  [SMALL_STATE(11252)] = 521657,
  [SMALL_STATE(11253)] = 521698,
  [SMALL_STATE(11254)] = 521739,
  [SMALL_STATE(11255)] = 521780,
  [SMALL_STATE(11256)] = 521807,
  [SMALL_STATE(11257)] = 521848,
  [SMALL_STATE(11258)] = 521889,
  [SMALL_STATE(11259)] = 521916,
  [SMALL_STATE(11260)] = 521943,
  [SMALL_STATE(11261)] = 521984,
  [SMALL_STATE(11262)] = 522011,
  [SMALL_STATE(11263)] = 522052,
  [SMALL_STATE(11264)] = 522079,
  [SMALL_STATE(11265)] = 522120,
  [SMALL_STATE(11266)] = 522149,
  [SMALL_STATE(11267)] = 522190,
  [SMALL_STATE(11268)] = 522231,
  [SMALL_STATE(11269)] = 522262,
  [SMALL_STATE(11270)] = 522303,
  [SMALL_STATE(11271)] = 522330,
  [SMALL_STATE(11272)] = 522359,
  [SMALL_STATE(11273)] = 522386,
  [SMALL_STATE(11274)] = 522415,
  [SMALL_STATE(11275)] = 522442,
  [SMALL_STATE(11276)] = 522475,
  [SMALL_STATE(11277)] = 522502,
  [SMALL_STATE(11278)] = 522529,
  [SMALL_STATE(11279)] = 522560,
  [SMALL_STATE(11280)] = 522589,
  [SMALL_STATE(11281)] = 522630,
  [SMALL_STATE(11282)] = 522675,
  [SMALL_STATE(11283)] = 522716,
  [SMALL_STATE(11284)] = 522743,
  [SMALL_STATE(11285)] = 522770,
  [SMALL_STATE(11286)] = 522797,
  [SMALL_STATE(11287)] = 522836,
  [SMALL_STATE(11288)] = 522867,
  [SMALL_STATE(11289)] = 522894,
  [SMALL_STATE(11290)] = 522921,
  [SMALL_STATE(11291)] = 522948,
  [SMALL_STATE(11292)] = 522989,
  [SMALL_STATE(11293)] = 523016,
  [SMALL_STATE(11294)] = 523063,
  [SMALL_STATE(11295)] = 523106,
  [SMALL_STATE(11296)] = 523147,
  [SMALL_STATE(11297)] = 523186,
  [SMALL_STATE(11298)] = 523215,
  [SMALL_STATE(11299)] = 523242,
  [SMALL_STATE(11300)] = 523281,
  [SMALL_STATE(11301)] = 523320,
  [SMALL_STATE(11302)] = 523367,
  [SMALL_STATE(11303)] = 523394,
  [SMALL_STATE(11304)] = 523435,
  [SMALL_STATE(11305)] = 523462,
  [SMALL_STATE(11306)] = 523501,
  [SMALL_STATE(11307)] = 523530,
  [SMALL_STATE(11308)] = 523557,
  [SMALL_STATE(11309)] = 523592,
  [SMALL_STATE(11310)] = 523633,
  [SMALL_STATE(11311)] = 523674,
  [SMALL_STATE(11312)] = 523705,
  [SMALL_STATE(11313)] = 523732,
  [SMALL_STATE(11314)] = 523759,
  [SMALL_STATE(11315)] = 523800,
  [SMALL_STATE(11316)] = 523827,
  [SMALL_STATE(11317)] = 523854,
  [SMALL_STATE(11318)] = 523881,
  [SMALL_STATE(11319)] = 523908,
  [SMALL_STATE(11320)] = 523935,
  [SMALL_STATE(11321)] = 523964,
  [SMALL_STATE(11322)] = 524005,
  [SMALL_STATE(11323)] = 524032,
  [SMALL_STATE(11324)] = 524059,
  [SMALL_STATE(11325)] = 524100,
  [SMALL_STATE(11326)] = 524127,
  [SMALL_STATE(11327)] = 524154,
  [SMALL_STATE(11328)] = 524195,
  [SMALL_STATE(11329)] = 524224,
  [SMALL_STATE(11330)] = 524271,
  [SMALL_STATE(11331)] = 524298,
  [SMALL_STATE(11332)] = 524325,
  [SMALL_STATE(11333)] = 524366,
  [SMALL_STATE(11334)] = 524393,
  [SMALL_STATE(11335)] = 524434,
  [SMALL_STATE(11336)] = 524461,
  [SMALL_STATE(11337)] = 524488,
  [SMALL_STATE(11338)] = 524529,
  [SMALL_STATE(11339)] = 524556,
  [SMALL_STATE(11340)] = 524597,
  [SMALL_STATE(11341)] = 524624,
  [SMALL_STATE(11342)] = 524651,
  [SMALL_STATE(11343)] = 524678,
  [SMALL_STATE(11344)] = 524705,
  [SMALL_STATE(11345)] = 524746,
  [SMALL_STATE(11346)] = 524773,
  [SMALL_STATE(11347)] = 524814,
  [SMALL_STATE(11348)] = 524841,
  [SMALL_STATE(11349)] = 524870,
  [SMALL_STATE(11350)] = 524899,
  [SMALL_STATE(11351)] = 524930,
  [SMALL_STATE(11352)] = 524959,
  [SMALL_STATE(11353)] = 524986,
  [SMALL_STATE(11354)] = 525015,
  [SMALL_STATE(11355)] = 525046,
  [SMALL_STATE(11356)] = 525079,
  [SMALL_STATE(11357)] = 525108,
  [SMALL_STATE(11358)] = 525139,
  [SMALL_STATE(11359)] = 525168,
  [SMALL_STATE(11360)] = 525199,
  [SMALL_STATE(11361)] = 525228,
  [SMALL_STATE(11362)] = 525259,
  [SMALL_STATE(11363)] = 525292,
  [SMALL_STATE(11364)] = 525321,
  [SMALL_STATE(11365)] = 525348,
  [SMALL_STATE(11366)] = 525377,
  [SMALL_STATE(11367)] = 525403,
  [SMALL_STATE(11368)] = 525443,
  [SMALL_STATE(11369)] = 525483,
  [SMALL_STATE(11370)] = 525509,
  [SMALL_STATE(11371)] = 525535,
  [SMALL_STATE(11372)] = 525561,
  [SMALL_STATE(11373)] = 525601,
  [SMALL_STATE(11374)] = 525639,
  [SMALL_STATE(11375)] = 525665,
  [SMALL_STATE(11376)] = 525691,
  [SMALL_STATE(11377)] = 525731,
  [SMALL_STATE(11378)] = 525771,
  [SMALL_STATE(11379)] = 525811,
  [SMALL_STATE(11380)] = 525851,
  [SMALL_STATE(11381)] = 525891,
  [SMALL_STATE(11382)] = 525917,
  [SMALL_STATE(11383)] = 525947,
  [SMALL_STATE(11384)] = 525973,
  [SMALL_STATE(11385)] = 525999,
  [SMALL_STATE(11386)] = 526031,
  [SMALL_STATE(11387)] = 526057,
  [SMALL_STATE(11388)] = 526083,
  [SMALL_STATE(11389)] = 526109,
  [SMALL_STATE(11390)] = 526149,
  [SMALL_STATE(11391)] = 526175,
  [SMALL_STATE(11392)] = 526205,
  [SMALL_STATE(11393)] = 526245,
  [SMALL_STATE(11394)] = 526275,
  [SMALL_STATE(11395)] = 526305,
  [SMALL_STATE(11396)] = 526345,
  [SMALL_STATE(11397)] = 526377,
  [SMALL_STATE(11398)] = 526403,
  [SMALL_STATE(11399)] = 526443,
  [SMALL_STATE(11400)] = 526483,
  [SMALL_STATE(11401)] = 526523,
  [SMALL_STATE(11402)] = 526549,
  [SMALL_STATE(11403)] = 526575,
  [SMALL_STATE(11404)] = 526605,
  [SMALL_STATE(11405)] = 526631,
  [SMALL_STATE(11406)] = 526657,
  [SMALL_STATE(11407)] = 526683,
  [SMALL_STATE(11408)] = 526709,
  [SMALL_STATE(11409)] = 526749,
  [SMALL_STATE(11410)] = 526775,
  [SMALL_STATE(11411)] = 526801,
  [SMALL_STATE(11412)] = 526841,
  [SMALL_STATE(11413)] = 526883,
  [SMALL_STATE(11414)] = 526909,
  [SMALL_STATE(11415)] = 526935,
  [SMALL_STATE(11416)] = 526961,
  [SMALL_STATE(11417)] = 527001,
  [SMALL_STATE(11418)] = 527041,
  [SMALL_STATE(11419)] = 527067,
  [SMALL_STATE(11420)] = 527109,
  [SMALL_STATE(11421)] = 527135,
  [SMALL_STATE(11422)] = 527165,
  [SMALL_STATE(11423)] = 527195,
  [SMALL_STATE(11424)] = 527225,
  [SMALL_STATE(11425)] = 527265,
  [SMALL_STATE(11426)] = 527295,
  [SMALL_STATE(11427)] = 527321,
  [SMALL_STATE(11428)] = 527353,
  [SMALL_STATE(11429)] = 527379,
  [SMALL_STATE(11430)] = 527419,
  [SMALL_STATE(11431)] = 527459,
  [SMALL_STATE(11432)] = 527499,
  [SMALL_STATE(11433)] = 527539,
  [SMALL_STATE(11434)] = 527565,
  [SMALL_STATE(11435)] = 527603,
  [SMALL_STATE(11436)] = 527631,
  [SMALL_STATE(11437)] = 527659,
  [SMALL_STATE(11438)] = 527699,
  [SMALL_STATE(11439)] = 527729,
  [SMALL_STATE(11440)] = 527769,
  [SMALL_STATE(11441)] = 527809,
  [SMALL_STATE(11442)] = 527843,
  [SMALL_STATE(11443)] = 527883,
  [SMALL_STATE(11444)] = 527923,
  [SMALL_STATE(11445)] = 527949,
  [SMALL_STATE(11446)] = 527989,
  [SMALL_STATE(11447)] = 528015,
  [SMALL_STATE(11448)] = 528041,
  [SMALL_STATE(11449)] = 528069,
  [SMALL_STATE(11450)] = 528109,
  [SMALL_STATE(11451)] = 528149,
  [SMALL_STATE(11452)] = 528189,
  [SMALL_STATE(11453)] = 528215,
  [SMALL_STATE(11454)] = 528255,
  [SMALL_STATE(11455)] = 528281,
  [SMALL_STATE(11456)] = 528309,
  [SMALL_STATE(11457)] = 528339,
  [SMALL_STATE(11458)] = 528365,
  [SMALL_STATE(11459)] = 528405,
  [SMALL_STATE(11460)] = 528445,
  [SMALL_STATE(11461)] = 528475,
  [SMALL_STATE(11462)] = 528501,
  [SMALL_STATE(11463)] = 528531,
  [SMALL_STATE(11464)] = 528571,
  [SMALL_STATE(11465)] = 528611,
  [SMALL_STATE(11466)] = 528651,
  [SMALL_STATE(11467)] = 528691,
  [SMALL_STATE(11468)] = 528717,
  [SMALL_STATE(11469)] = 528757,
  [SMALL_STATE(11470)] = 528797,
  [SMALL_STATE(11471)] = 528823,
  [SMALL_STATE(11472)] = 528863,
  [SMALL_STATE(11473)] = 528895,
  [SMALL_STATE(11474)] = 528935,
  [SMALL_STATE(11475)] = 528975,
  [SMALL_STATE(11476)] = 529001,
  [SMALL_STATE(11477)] = 529027,
  [SMALL_STATE(11478)] = 529057,
  [SMALL_STATE(11479)] = 529097,
  [SMALL_STATE(11480)] = 529137,
  [SMALL_STATE(11481)] = 529163,
  [SMALL_STATE(11482)] = 529195,
  [SMALL_STATE(11483)] = 529221,
  [SMALL_STATE(11484)] = 529247,
  [SMALL_STATE(11485)] = 529277,
  [SMALL_STATE(11486)] = 529303,
  [SMALL_STATE(11487)] = 529333,
  [SMALL_STATE(11488)] = 529373,
  [SMALL_STATE(11489)] = 529411,
  [SMALL_STATE(11490)] = 529451,
  [SMALL_STATE(11491)] = 529477,
  [SMALL_STATE(11492)] = 529517,
  [SMALL_STATE(11493)] = 529557,
  [SMALL_STATE(11494)] = 529583,
  [SMALL_STATE(11495)] = 529621,
  [SMALL_STATE(11496)] = 529647,
  [SMALL_STATE(11497)] = 529675,
  [SMALL_STATE(11498)] = 529715,
  [SMALL_STATE(11499)] = 529741,
  [SMALL_STATE(11500)] = 529769,
  [SMALL_STATE(11501)] = 529809,
  [SMALL_STATE(11502)] = 529849,
  [SMALL_STATE(11503)] = 529889,
  [SMALL_STATE(11504)] = 529915,
  [SMALL_STATE(11505)] = 529953,
  [SMALL_STATE(11506)] = 529979,
  [SMALL_STATE(11507)] = 530017,
  [SMALL_STATE(11508)] = 530043,
  [SMALL_STATE(11509)] = 530083,
  [SMALL_STATE(11510)] = 530121,
  [SMALL_STATE(11511)] = 530147,
  [SMALL_STATE(11512)] = 530187,
  [SMALL_STATE(11513)] = 530227,
  [SMALL_STATE(11514)] = 530255,
  [SMALL_STATE(11515)] = 530281,
  [SMALL_STATE(11516)] = 530307,
  [SMALL_STATE(11517)] = 530347,
  [SMALL_STATE(11518)] = 530373,
  [SMALL_STATE(11519)] = 530413,
  [SMALL_STATE(11520)] = 530439,
  [SMALL_STATE(11521)] = 530465,
  [SMALL_STATE(11522)] = 530505,
  [SMALL_STATE(11523)] = 530545,
  [SMALL_STATE(11524)] = 530583,
  [SMALL_STATE(11525)] = 530623,
  [SMALL_STATE(11526)] = 530649,
  [SMALL_STATE(11527)] = 530675,
  [SMALL_STATE(11528)] = 530701,
  [SMALL_STATE(11529)] = 530727,
  [SMALL_STATE(11530)] = 530757,
  [SMALL_STATE(11531)] = 530783,
  [SMALL_STATE(11532)] = 530809,
  [SMALL_STATE(11533)] = 530849,
  [SMALL_STATE(11534)] = 530875,
  [SMALL_STATE(11535)] = 530915,
  [SMALL_STATE(11536)] = 530941,
  [SMALL_STATE(11537)] = 530981,
  [SMALL_STATE(11538)] = 531021,
  [SMALL_STATE(11539)] = 531061,
  [SMALL_STATE(11540)] = 531087,
  [SMALL_STATE(11541)] = 531113,
  [SMALL_STATE(11542)] = 531155,
  [SMALL_STATE(11543)] = 531195,
  [SMALL_STATE(11544)] = 531223,
  [SMALL_STATE(11545)] = 531249,
  [SMALL_STATE(11546)] = 531275,
  [SMALL_STATE(11547)] = 531315,
  [SMALL_STATE(11548)] = 531355,
  [SMALL_STATE(11549)] = 531395,
  [SMALL_STATE(11550)] = 531421,
  [SMALL_STATE(11551)] = 531447,
  [SMALL_STATE(11552)] = 531473,
  [SMALL_STATE(11553)] = 531513,
  [SMALL_STATE(11554)] = 531539,
  [SMALL_STATE(11555)] = 531565,
  [SMALL_STATE(11556)] = 531605,
  [SMALL_STATE(11557)] = 531631,
  [SMALL_STATE(11558)] = 531671,
  [SMALL_STATE(11559)] = 531711,
  [SMALL_STATE(11560)] = 531737,
  [SMALL_STATE(11561)] = 531763,
  [SMALL_STATE(11562)] = 531789,
  [SMALL_STATE(11563)] = 531815,
  [SMALL_STATE(11564)] = 531841,
  [SMALL_STATE(11565)] = 531881,
  [SMALL_STATE(11566)] = 531921,
  [SMALL_STATE(11567)] = 531947,
  [SMALL_STATE(11568)] = 531987,
  [SMALL_STATE(11569)] = 532015,
  [SMALL_STATE(11570)] = 532043,
  [SMALL_STATE(11571)] = 532069,
  [SMALL_STATE(11572)] = 532095,
  [SMALL_STATE(11573)] = 532121,
  [SMALL_STATE(11574)] = 532147,
  [SMALL_STATE(11575)] = 532175,
  [SMALL_STATE(11576)] = 532201,
  [SMALL_STATE(11577)] = 532241,
  [SMALL_STATE(11578)] = 532267,
  [SMALL_STATE(11579)] = 532293,
  [SMALL_STATE(11580)] = 532333,
  [SMALL_STATE(11581)] = 532359,
  [SMALL_STATE(11582)] = 532399,
  [SMALL_STATE(11583)] = 532425,
  [SMALL_STATE(11584)] = 532465,
  [SMALL_STATE(11585)] = 532491,
  [SMALL_STATE(11586)] = 532517,
  [SMALL_STATE(11587)] = 532545,
  [SMALL_STATE(11588)] = 532571,
  [SMALL_STATE(11589)] = 532611,
  [SMALL_STATE(11590)] = 532651,
  [SMALL_STATE(11591)] = 532679,
  [SMALL_STATE(11592)] = 532707,
  [SMALL_STATE(11593)] = 532733,
  [SMALL_STATE(11594)] = 532759,
  [SMALL_STATE(11595)] = 532787,
  [SMALL_STATE(11596)] = 532813,
  [SMALL_STATE(11597)] = 532843,
  [SMALL_STATE(11598)] = 532869,
  [SMALL_STATE(11599)] = 532901,
  [SMALL_STATE(11600)] = 532931,
  [SMALL_STATE(11601)] = 532971,
  [SMALL_STATE(11602)] = 533011,
  [SMALL_STATE(11603)] = 533041,
  [SMALL_STATE(11604)] = 533067,
  [SMALL_STATE(11605)] = 533093,
  [SMALL_STATE(11606)] = 533119,
  [SMALL_STATE(11607)] = 533151,
  [SMALL_STATE(11608)] = 533179,
  [SMALL_STATE(11609)] = 533207,
  [SMALL_STATE(11610)] = 533237,
  [SMALL_STATE(11611)] = 533263,
  [SMALL_STATE(11612)] = 533303,
  [SMALL_STATE(11613)] = 533331,
  [SMALL_STATE(11614)] = 533357,
  [SMALL_STATE(11615)] = 533385,
  [SMALL_STATE(11616)] = 533411,
  [SMALL_STATE(11617)] = 533437,
  [SMALL_STATE(11618)] = 533463,
  [SMALL_STATE(11619)] = 533493,
  [SMALL_STATE(11620)] = 533523,
  [SMALL_STATE(11621)] = 533563,
  [SMALL_STATE(11622)] = 533589,
  [SMALL_STATE(11623)] = 533621,
  [SMALL_STATE(11624)] = 533649,
  [SMALL_STATE(11625)] = 533689,
  [SMALL_STATE(11626)] = 533715,
  [SMALL_STATE(11627)] = 533741,
  [SMALL_STATE(11628)] = 533769,
  [SMALL_STATE(11629)] = 533795,
  [SMALL_STATE(11630)] = 533821,
  [SMALL_STATE(11631)] = 533849,
  [SMALL_STATE(11632)] = 533875,
  [SMALL_STATE(11633)] = 533901,
  [SMALL_STATE(11634)] = 533941,
  [SMALL_STATE(11635)] = 533981,
  [SMALL_STATE(11636)] = 534021,
  [SMALL_STATE(11637)] = 534049,
  [SMALL_STATE(11638)] = 534081,
  [SMALL_STATE(11639)] = 534121,
  [SMALL_STATE(11640)] = 534161,
  [SMALL_STATE(11641)] = 534187,
  [SMALL_STATE(11642)] = 534215,
  [SMALL_STATE(11643)] = 534255,
  [SMALL_STATE(11644)] = 534281,
  [SMALL_STATE(11645)] = 534307,
  [SMALL_STATE(11646)] = 534347,
  [SMALL_STATE(11647)] = 534373,
  [SMALL_STATE(11648)] = 534399,
  [SMALL_STATE(11649)] = 534425,
  [SMALL_STATE(11650)] = 534465,
  [SMALL_STATE(11651)] = 534491,
  [SMALL_STATE(11652)] = 534521,
  [SMALL_STATE(11653)] = 534561,
  [SMALL_STATE(11654)] = 534589,
  [SMALL_STATE(11655)] = 534629,
  [SMALL_STATE(11656)] = 534655,
  [SMALL_STATE(11657)] = 534695,
  [SMALL_STATE(11658)] = 534721,
  [SMALL_STATE(11659)] = 534747,
  [SMALL_STATE(11660)] = 534773,
  [SMALL_STATE(11661)] = 534813,
  [SMALL_STATE(11662)] = 534841,
  [SMALL_STATE(11663)] = 534879,
  [SMALL_STATE(11664)] = 534905,
  [SMALL_STATE(11665)] = 534945,
  [SMALL_STATE(11666)] = 534985,
  [SMALL_STATE(11667)] = 535025,
  [SMALL_STATE(11668)] = 535065,
  [SMALL_STATE(11669)] = 535091,
  [SMALL_STATE(11670)] = 535117,
  [SMALL_STATE(11671)] = 535143,
  [SMALL_STATE(11672)] = 535171,
  [SMALL_STATE(11673)] = 535211,
  [SMALL_STATE(11674)] = 535237,
  [SMALL_STATE(11675)] = 535277,
  [SMALL_STATE(11676)] = 535307,
  [SMALL_STATE(11677)] = 535335,
  [SMALL_STATE(11678)] = 535365,
  [SMALL_STATE(11679)] = 535391,
  [SMALL_STATE(11680)] = 535431,
  [SMALL_STATE(11681)] = 535471,
  [SMALL_STATE(11682)] = 535511,
  [SMALL_STATE(11683)] = 535551,
  [SMALL_STATE(11684)] = 535589,
  [SMALL_STATE(11685)] = 535629,
  [SMALL_STATE(11686)] = 535669,
  [SMALL_STATE(11687)] = 535695,
  [SMALL_STATE(11688)] = 535727,
  [SMALL_STATE(11689)] = 535755,
  [SMALL_STATE(11690)] = 535795,
  [SMALL_STATE(11691)] = 535821,
  [SMALL_STATE(11692)] = 535861,
  [SMALL_STATE(11693)] = 535887,
  [SMALL_STATE(11694)] = 535927,
  [SMALL_STATE(11695)] = 535953,
  [SMALL_STATE(11696)] = 535993,
  [SMALL_STATE(11697)] = 536019,
  [SMALL_STATE(11698)] = 536045,
  [SMALL_STATE(11699)] = 536071,
  [SMALL_STATE(11700)] = 536097,
  [SMALL_STATE(11701)] = 536123,
  [SMALL_STATE(11702)] = 536163,
  [SMALL_STATE(11703)] = 536189,
  [SMALL_STATE(11704)] = 536229,
  [SMALL_STATE(11705)] = 536269,
  [SMALL_STATE(11706)] = 536295,
  [SMALL_STATE(11707)] = 536323,
  [SMALL_STATE(11708)] = 536363,
  [SMALL_STATE(11709)] = 536389,
  [SMALL_STATE(11710)] = 536415,
  [SMALL_STATE(11711)] = 536455,
  [SMALL_STATE(11712)] = 536493,
  [SMALL_STATE(11713)] = 536533,
  [SMALL_STATE(11714)] = 536559,
  [SMALL_STATE(11715)] = 536585,
  [SMALL_STATE(11716)] = 536625,
  [SMALL_STATE(11717)] = 536651,
  [SMALL_STATE(11718)] = 536677,
  [SMALL_STATE(11719)] = 536703,
  [SMALL_STATE(11720)] = 536729,
  [SMALL_STATE(11721)] = 536769,
  [SMALL_STATE(11722)] = 536795,
  [SMALL_STATE(11723)] = 536821,
  [SMALL_STATE(11724)] = 536847,
  [SMALL_STATE(11725)] = 536877,
  [SMALL_STATE(11726)] = 536903,
  [SMALL_STATE(11727)] = 536929,
  [SMALL_STATE(11728)] = 536955,
  [SMALL_STATE(11729)] = 536995,
  [SMALL_STATE(11730)] = 537035,
  [SMALL_STATE(11731)] = 537061,
  [SMALL_STATE(11732)] = 537101,
  [SMALL_STATE(11733)] = 537141,
  [SMALL_STATE(11734)] = 537171,
  [SMALL_STATE(11735)] = 537211,
  [SMALL_STATE(11736)] = 537251,
  [SMALL_STATE(11737)] = 537277,
  [SMALL_STATE(11738)] = 537317,
  [SMALL_STATE(11739)] = 537357,
  [SMALL_STATE(11740)] = 537397,
  [SMALL_STATE(11741)] = 537423,
  [SMALL_STATE(11742)] = 537449,
  [SMALL_STATE(11743)] = 537475,
  [SMALL_STATE(11744)] = 537501,
  [SMALL_STATE(11745)] = 537541,
  [SMALL_STATE(11746)] = 537567,
  [SMALL_STATE(11747)] = 537593,
  [SMALL_STATE(11748)] = 537633,
  [SMALL_STATE(11749)] = 537659,
  [SMALL_STATE(11750)] = 537701,
  [SMALL_STATE(11751)] = 537741,
  [SMALL_STATE(11752)] = 537769,
  [SMALL_STATE(11753)] = 537799,
  [SMALL_STATE(11754)] = 537825,
  [SMALL_STATE(11755)] = 537851,
  [SMALL_STATE(11756)] = 537891,
  [SMALL_STATE(11757)] = 537917,
  [SMALL_STATE(11758)] = 537957,
  [SMALL_STATE(11759)] = 537983,
  [SMALL_STATE(11760)] = 538009,
  [SMALL_STATE(11761)] = 538041,
  [SMALL_STATE(11762)] = 538067,
  [SMALL_STATE(11763)] = 538107,
  [SMALL_STATE(11764)] = 538147,
  [SMALL_STATE(11765)] = 538187,
  [SMALL_STATE(11766)] = 538227,
  [SMALL_STATE(11767)] = 538253,
  [SMALL_STATE(11768)] = 538282,
  [SMALL_STATE(11769)] = 538319,
  [SMALL_STATE(11770)] = 538344,
  [SMALL_STATE(11771)] = 538381,
  [SMALL_STATE(11772)] = 538418,
  [SMALL_STATE(11773)] = 538455,
  [SMALL_STATE(11774)] = 538492,
  [SMALL_STATE(11775)] = 538527,
  [SMALL_STATE(11776)] = 538560,
  [SMALL_STATE(11777)] = 538597,
  [SMALL_STATE(11778)] = 538634,
  [SMALL_STATE(11779)] = 538671,
  [SMALL_STATE(11780)] = 538708,
  [SMALL_STATE(11781)] = 538739,
  [SMALL_STATE(11782)] = 538776,
  [SMALL_STATE(11783)] = 538813,
  [SMALL_STATE(11784)] = 538850,
  [SMALL_STATE(11785)] = 538887,
  [SMALL_STATE(11786)] = 538924,
  [SMALL_STATE(11787)] = 538961,
  [SMALL_STATE(11788)] = 538994,
  [SMALL_STATE(11789)] = 539027,
  [SMALL_STATE(11790)] = 539064,
  [SMALL_STATE(11791)] = 539101,
  [SMALL_STATE(11792)] = 539138,
  [SMALL_STATE(11793)] = 539163,
  [SMALL_STATE(11794)] = 539200,
  [SMALL_STATE(11795)] = 539233,
  [SMALL_STATE(11796)] = 539270,
  [SMALL_STATE(11797)] = 539295,
  [SMALL_STATE(11798)] = 539332,
  [SMALL_STATE(11799)] = 539369,
  [SMALL_STATE(11800)] = 539402,
  [SMALL_STATE(11801)] = 539427,
  [SMALL_STATE(11802)] = 539464,
  [SMALL_STATE(11803)] = 539503,
  [SMALL_STATE(11804)] = 539540,
  [SMALL_STATE(11805)] = 539577,
  [SMALL_STATE(11806)] = 539614,
  [SMALL_STATE(11807)] = 539641,
  [SMALL_STATE(11808)] = 539678,
  [SMALL_STATE(11809)] = 539705,
  [SMALL_STATE(11810)] = 539742,
  [SMALL_STATE(11811)] = 539767,
  [SMALL_STATE(11812)] = 539804,
  [SMALL_STATE(11813)] = 539841,
  [SMALL_STATE(11814)] = 539878,
  [SMALL_STATE(11815)] = 539915,
  [SMALL_STATE(11816)] = 539940,
  [SMALL_STATE(11817)] = 539977,
  [SMALL_STATE(11818)] = 540014,
  [SMALL_STATE(11819)] = 540039,
  [SMALL_STATE(11820)] = 540064,
  [SMALL_STATE(11821)] = 540101,
  [SMALL_STATE(11822)] = 540138,
  [SMALL_STATE(11823)] = 540163,
  [SMALL_STATE(11824)] = 540188,
  [SMALL_STATE(11825)] = 540225,
  [SMALL_STATE(11826)] = 540262,
  [SMALL_STATE(11827)] = 540299,
  [SMALL_STATE(11828)] = 540336,
  [SMALL_STATE(11829)] = 540373,
  [SMALL_STATE(11830)] = 540402,
  [SMALL_STATE(11831)] = 540439,
  [SMALL_STATE(11832)] = 540464,
  [SMALL_STATE(11833)] = 540501,
  [SMALL_STATE(11834)] = 540538,
  [SMALL_STATE(11835)] = 540565,
  [SMALL_STATE(11836)] = 540602,
  [SMALL_STATE(11837)] = 540639,
  [SMALL_STATE(11838)] = 540676,
  [SMALL_STATE(11839)] = 540713,
  [SMALL_STATE(11840)] = 540750,
  [SMALL_STATE(11841)] = 540775,
  [SMALL_STATE(11842)] = 540812,
  [SMALL_STATE(11843)] = 540845,
  [SMALL_STATE(11844)] = 540882,
  [SMALL_STATE(11845)] = 540919,
  [SMALL_STATE(11846)] = 540956,
  [SMALL_STATE(11847)] = 540997,
  [SMALL_STATE(11848)] = 541034,
  [SMALL_STATE(11849)] = 541059,
  [SMALL_STATE(11850)] = 541096,
  [SMALL_STATE(11851)] = 541133,
  [SMALL_STATE(11852)] = 541170,
  [SMALL_STATE(11853)] = 541207,
  [SMALL_STATE(11854)] = 541236,
  [SMALL_STATE(11855)] = 541273,
  [SMALL_STATE(11856)] = 541298,
  [SMALL_STATE(11857)] = 541335,
  [SMALL_STATE(11858)] = 541372,
  [SMALL_STATE(11859)] = 541409,
  [SMALL_STATE(11860)] = 541446,
  [SMALL_STATE(11861)] = 541483,
  [SMALL_STATE(11862)] = 541508,
  [SMALL_STATE(11863)] = 541545,
  [SMALL_STATE(11864)] = 541570,
  [SMALL_STATE(11865)] = 541595,
  [SMALL_STATE(11866)] = 541632,
  [SMALL_STATE(11867)] = 541659,
  [SMALL_STATE(11868)] = 541696,
  [SMALL_STATE(11869)] = 541733,
  [SMALL_STATE(11870)] = 541770,
  [SMALL_STATE(11871)] = 541795,
  [SMALL_STATE(11872)] = 541820,
  [SMALL_STATE(11873)] = 541857,
  [SMALL_STATE(11874)] = 541892,
  [SMALL_STATE(11875)] = 541927,
  [SMALL_STATE(11876)] = 541964,
  [SMALL_STATE(11877)] = 542001,
  [SMALL_STATE(11878)] = 542038,
  [SMALL_STATE(11879)] = 542075,
  [SMALL_STATE(11880)] = 542108,
  [SMALL_STATE(11881)] = 542145,
  [SMALL_STATE(11882)] = 542182,
  [SMALL_STATE(11883)] = 542219,
  [SMALL_STATE(11884)] = 542244,
  [SMALL_STATE(11885)] = 542281,
  [SMALL_STATE(11886)] = 542318,
  [SMALL_STATE(11887)] = 542343,
  [SMALL_STATE(11888)] = 542380,
  [SMALL_STATE(11889)] = 542417,
  [SMALL_STATE(11890)] = 542442,
  [SMALL_STATE(11891)] = 542475,
  [SMALL_STATE(11892)] = 542500,
  [SMALL_STATE(11893)] = 542533,
  [SMALL_STATE(11894)] = 542570,
  [SMALL_STATE(11895)] = 542603,
  [SMALL_STATE(11896)] = 542640,
  [SMALL_STATE(11897)] = 542677,
  [SMALL_STATE(11898)] = 542702,
  [SMALL_STATE(11899)] = 542727,
  [SMALL_STATE(11900)] = 542756,
  [SMALL_STATE(11901)] = 542793,
  [SMALL_STATE(11902)] = 542830,
  [SMALL_STATE(11903)] = 542863,
  [SMALL_STATE(11904)] = 542900,
  [SMALL_STATE(11905)] = 542937,
  [SMALL_STATE(11906)] = 542974,
  [SMALL_STATE(11907)] = 543011,
  [SMALL_STATE(11908)] = 543040,
  [SMALL_STATE(11909)] = 543077,
  [SMALL_STATE(11910)] = 543114,
  [SMALL_STATE(11911)] = 543139,
  [SMALL_STATE(11912)] = 543176,
  [SMALL_STATE(11913)] = 543209,
  [SMALL_STATE(11914)] = 543246,
  [SMALL_STATE(11915)] = 543283,
  [SMALL_STATE(11916)] = 543308,
  [SMALL_STATE(11917)] = 543337,
  [SMALL_STATE(11918)] = 543374,
  [SMALL_STATE(11919)] = 543401,
  [SMALL_STATE(11920)] = 543438,
  [SMALL_STATE(11921)] = 543467,
  [SMALL_STATE(11922)] = 543504,
  [SMALL_STATE(11923)] = 543541,
  [SMALL_STATE(11924)] = 543566,
  [SMALL_STATE(11925)] = 543603,
  [SMALL_STATE(11926)] = 543640,
  [SMALL_STATE(11927)] = 543665,
  [SMALL_STATE(11928)] = 543702,
  [SMALL_STATE(11929)] = 543739,
  [SMALL_STATE(11930)] = 543776,
  [SMALL_STATE(11931)] = 543803,
  [SMALL_STATE(11932)] = 543844,
  [SMALL_STATE(11933)] = 543869,
  [SMALL_STATE(11934)] = 543894,
  [SMALL_STATE(11935)] = 543931,
  [SMALL_STATE(11936)] = 543956,
  [SMALL_STATE(11937)] = 543993,
  [SMALL_STATE(11938)] = 544030,
  [SMALL_STATE(11939)] = 544067,
  [SMALL_STATE(11940)] = 544092,
  [SMALL_STATE(11941)] = 544129,
  [SMALL_STATE(11942)] = 544166,
  [SMALL_STATE(11943)] = 544203,
  [SMALL_STATE(11944)] = 544240,
  [SMALL_STATE(11945)] = 544277,
  [SMALL_STATE(11946)] = 544314,
  [SMALL_STATE(11947)] = 544351,
  [SMALL_STATE(11948)] = 544376,
  [SMALL_STATE(11949)] = 544403,
  [SMALL_STATE(11950)] = 544440,
  [SMALL_STATE(11951)] = 544477,
  [SMALL_STATE(11952)] = 544502,
  [SMALL_STATE(11953)] = 544527,
  [SMALL_STATE(11954)] = 544564,
  [SMALL_STATE(11955)] = 544601,
  [SMALL_STATE(11956)] = 544638,
  [SMALL_STATE(11957)] = 544663,
  [SMALL_STATE(11958)] = 544700,
  [SMALL_STATE(11959)] = 544725,
  [SMALL_STATE(11960)] = 544762,
  [SMALL_STATE(11961)] = 544799,
  [SMALL_STATE(11962)] = 544824,
  [SMALL_STATE(11963)] = 544861,
  [SMALL_STATE(11964)] = 544886,
  [SMALL_STATE(11965)] = 544917,
  [SMALL_STATE(11966)] = 544954,
  [SMALL_STATE(11967)] = 544991,
  [SMALL_STATE(11968)] = 545028,
  [SMALL_STATE(11969)] = 545065,
  [SMALL_STATE(11970)] = 545102,
  [SMALL_STATE(11971)] = 545139,
  [SMALL_STATE(11972)] = 545172,
  [SMALL_STATE(11973)] = 545203,
  [SMALL_STATE(11974)] = 545230,
  [SMALL_STATE(11975)] = 545267,
  [SMALL_STATE(11976)] = 545304,
  [SMALL_STATE(11977)] = 545341,
  [SMALL_STATE(11978)] = 545378,
  [SMALL_STATE(11979)] = 545415,
  [SMALL_STATE(11980)] = 545452,
  [SMALL_STATE(11981)] = 545489,
  [SMALL_STATE(11982)] = 545526,
  [SMALL_STATE(11983)] = 545553,
  [SMALL_STATE(11984)] = 545590,
  [SMALL_STATE(11985)] = 545627,
  [SMALL_STATE(11986)] = 545664,
  [SMALL_STATE(11987)] = 545689,
  [SMALL_STATE(11988)] = 545714,
  [SMALL_STATE(11989)] = 545739,
  [SMALL_STATE(11990)] = 545770,
  [SMALL_STATE(11991)] = 545807,
  [SMALL_STATE(11992)] = 545844,
  [SMALL_STATE(11993)] = 545873,
  [SMALL_STATE(11994)] = 545910,
  [SMALL_STATE(11995)] = 545947,
  [SMALL_STATE(11996)] = 545984,
  [SMALL_STATE(11997)] = 546021,
  [SMALL_STATE(11998)] = 546058,
  [SMALL_STATE(11999)] = 546095,
  [SMALL_STATE(12000)] = 546132,
  [SMALL_STATE(12001)] = 546165,
  [SMALL_STATE(12002)] = 546202,
  [SMALL_STATE(12003)] = 546239,
  [SMALL_STATE(12004)] = 546268,
  [SMALL_STATE(12005)] = 546293,
  [SMALL_STATE(12006)] = 546318,
  [SMALL_STATE(12007)] = 546355,
  [SMALL_STATE(12008)] = 546392,
  [SMALL_STATE(12009)] = 546429,
  [SMALL_STATE(12010)] = 546454,
  [SMALL_STATE(12011)] = 546491,
  [SMALL_STATE(12012)] = 546516,
  [SMALL_STATE(12013)] = 546541,
  [SMALL_STATE(12014)] = 546578,
  [SMALL_STATE(12015)] = 546615,
  [SMALL_STATE(12016)] = 546652,
  [SMALL_STATE(12017)] = 546677,
  [SMALL_STATE(12018)] = 546714,
  [SMALL_STATE(12019)] = 546739,
  [SMALL_STATE(12020)] = 546776,
  [SMALL_STATE(12021)] = 546801,
  [SMALL_STATE(12022)] = 546826,
  [SMALL_STATE(12023)] = 546851,
  [SMALL_STATE(12024)] = 546876,
  [SMALL_STATE(12025)] = 546901,
  [SMALL_STATE(12026)] = 546938,
  [SMALL_STATE(12027)] = 546975,
  [SMALL_STATE(12028)] = 547000,
  [SMALL_STATE(12029)] = 547031,
  [SMALL_STATE(12030)] = 547056,
  [SMALL_STATE(12031)] = 547093,
  [SMALL_STATE(12032)] = 547130,
  [SMALL_STATE(12033)] = 547155,
  [SMALL_STATE(12034)] = 547180,
  [SMALL_STATE(12035)] = 547217,
  [SMALL_STATE(12036)] = 547254,
  [SMALL_STATE(12037)] = 547281,
  [SMALL_STATE(12038)] = 547318,
  [SMALL_STATE(12039)] = 547345,
  [SMALL_STATE(12040)] = 547382,
  [SMALL_STATE(12041)] = 547407,
  [SMALL_STATE(12042)] = 547434,
  [SMALL_STATE(12043)] = 547459,
  [SMALL_STATE(12044)] = 547484,
  [SMALL_STATE(12045)] = 547521,
  [SMALL_STATE(12046)] = 547552,
  [SMALL_STATE(12047)] = 547577,
  [SMALL_STATE(12048)] = 547614,
  [SMALL_STATE(12049)] = 547651,
  [SMALL_STATE(12050)] = 547688,
  [SMALL_STATE(12051)] = 547725,
  [SMALL_STATE(12052)] = 547752,
  [SMALL_STATE(12053)] = 547785,
  [SMALL_STATE(12054)] = 547810,
  [SMALL_STATE(12055)] = 547837,
  [SMALL_STATE(12056)] = 547874,
  [SMALL_STATE(12057)] = 547911,
  [SMALL_STATE(12058)] = 547948,
  [SMALL_STATE(12059)] = 547985,
  [SMALL_STATE(12060)] = 548010,
  [SMALL_STATE(12061)] = 548047,
  [SMALL_STATE(12062)] = 548076,
  [SMALL_STATE(12063)] = 548101,
  [SMALL_STATE(12064)] = 548138,
  [SMALL_STATE(12065)] = 548175,
  [SMALL_STATE(12066)] = 548212,
  [SMALL_STATE(12067)] = 548237,
  [SMALL_STATE(12068)] = 548264,
  [SMALL_STATE(12069)] = 548301,
  [SMALL_STATE(12070)] = 548338,
  [SMALL_STATE(12071)] = 548363,
  [SMALL_STATE(12072)] = 548400,
  [SMALL_STATE(12073)] = 548437,
  [SMALL_STATE(12074)] = 548474,
  [SMALL_STATE(12075)] = 548511,
  [SMALL_STATE(12076)] = 548548,
  [SMALL_STATE(12077)] = 548585,
  [SMALL_STATE(12078)] = 548610,
  [SMALL_STATE(12079)] = 548647,
  [SMALL_STATE(12080)] = 548684,
  [SMALL_STATE(12081)] = 548709,
  [SMALL_STATE(12082)] = 548734,
  [SMALL_STATE(12083)] = 548761,
  [SMALL_STATE(12084)] = 548798,
  [SMALL_STATE(12085)] = 548823,
  [SMALL_STATE(12086)] = 548848,
  [SMALL_STATE(12087)] = 548885,
  [SMALL_STATE(12088)] = 548910,
  [SMALL_STATE(12089)] = 548947,
  [SMALL_STATE(12090)] = 548972,
  [SMALL_STATE(12091)] = 549009,
  [SMALL_STATE(12092)] = 549036,
  [SMALL_STATE(12093)] = 549073,
  [SMALL_STATE(12094)] = 549110,
  [SMALL_STATE(12095)] = 549135,
  [SMALL_STATE(12096)] = 549160,
  [SMALL_STATE(12097)] = 549197,
  [SMALL_STATE(12098)] = 549222,
  [SMALL_STATE(12099)] = 549247,
  [SMALL_STATE(12100)] = 549284,
  [SMALL_STATE(12101)] = 549309,
  [SMALL_STATE(12102)] = 549346,
  [SMALL_STATE(12103)] = 549377,
  [SMALL_STATE(12104)] = 549410,
  [SMALL_STATE(12105)] = 549435,
  [SMALL_STATE(12106)] = 549460,
  [SMALL_STATE(12107)] = 549485,
  [SMALL_STATE(12108)] = 549510,
  [SMALL_STATE(12109)] = 549543,
  [SMALL_STATE(12110)] = 549576,
  [SMALL_STATE(12111)] = 549613,
  [SMALL_STATE(12112)] = 549650,
  [SMALL_STATE(12113)] = 549691,
  [SMALL_STATE(12114)] = 549728,
  [SMALL_STATE(12115)] = 549757,
  [SMALL_STATE(12116)] = 549794,
  [SMALL_STATE(12117)] = 549819,
  [SMALL_STATE(12118)] = 549856,
  [SMALL_STATE(12119)] = 549893,
  [SMALL_STATE(12120)] = 549930,
  [SMALL_STATE(12121)] = 549957,
  [SMALL_STATE(12122)] = 549982,
  [SMALL_STATE(12123)] = 550007,
  [SMALL_STATE(12124)] = 550032,
  [SMALL_STATE(12125)] = 550069,
  [SMALL_STATE(12126)] = 550106,
  [SMALL_STATE(12127)] = 550143,
  [SMALL_STATE(12128)] = 550180,
  [SMALL_STATE(12129)] = 550217,
  [SMALL_STATE(12130)] = 550254,
  [SMALL_STATE(12131)] = 550291,
  [SMALL_STATE(12132)] = 550328,
  [SMALL_STATE(12133)] = 550365,
  [SMALL_STATE(12134)] = 550402,
  [SMALL_STATE(12135)] = 550439,
  [SMALL_STATE(12136)] = 550476,
  [SMALL_STATE(12137)] = 550501,
  [SMALL_STATE(12138)] = 550538,
  [SMALL_STATE(12139)] = 550575,
  [SMALL_STATE(12140)] = 550612,
  [SMALL_STATE(12141)] = 550649,
  [SMALL_STATE(12142)] = 550686,
  [SMALL_STATE(12143)] = 550711,
  [SMALL_STATE(12144)] = 550736,
  [SMALL_STATE(12145)] = 550761,
  [SMALL_STATE(12146)] = 550798,
  [SMALL_STATE(12147)] = 550823,
  [SMALL_STATE(12148)] = 550860,
  [SMALL_STATE(12149)] = 550885,
  [SMALL_STATE(12150)] = 550922,
  [SMALL_STATE(12151)] = 550959,
  [SMALL_STATE(12152)] = 550996,
  [SMALL_STATE(12153)] = 551041,
  [SMALL_STATE(12154)] = 551078,
  [SMALL_STATE(12155)] = 551115,
  [SMALL_STATE(12156)] = 551140,
  [SMALL_STATE(12157)] = 551177,
  [SMALL_STATE(12158)] = 551212,
  [SMALL_STATE(12159)] = 551249,
  [SMALL_STATE(12160)] = 551286,
  [SMALL_STATE(12161)] = 551323,
  [SMALL_STATE(12162)] = 551360,
  [SMALL_STATE(12163)] = 551397,
  [SMALL_STATE(12164)] = 551426,
  [SMALL_STATE(12165)] = 551463,
  [SMALL_STATE(12166)] = 551500,
  [SMALL_STATE(12167)] = 551529,
  [SMALL_STATE(12168)] = 551560,
  [SMALL_STATE(12169)] = 551589,
  [SMALL_STATE(12170)] = 551618,
  [SMALL_STATE(12171)] = 551655,
  [SMALL_STATE(12172)] = 551686,
  [SMALL_STATE(12173)] = 551715,
  [SMALL_STATE(12174)] = 551744,
  [SMALL_STATE(12175)] = 551781,
  [SMALL_STATE(12176)] = 551818,
  [SMALL_STATE(12177)] = 551849,
  [SMALL_STATE(12178)] = 551874,
  [SMALL_STATE(12179)] = 551911,
  [SMALL_STATE(12180)] = 551948,
  [SMALL_STATE(12181)] = 551985,
  [SMALL_STATE(12182)] = 552016,
  [SMALL_STATE(12183)] = 552053,
  [SMALL_STATE(12184)] = 552090,
  [SMALL_STATE(12185)] = 552127,
  [SMALL_STATE(12186)] = 552164,
  [SMALL_STATE(12187)] = 552189,
  [SMALL_STATE(12188)] = 552218,
  [SMALL_STATE(12189)] = 552247,
  [SMALL_STATE(12190)] = 552284,
  [SMALL_STATE(12191)] = 552321,
  [SMALL_STATE(12192)] = 552358,
  [SMALL_STATE(12193)] = 552395,
  [SMALL_STATE(12194)] = 552420,
  [SMALL_STATE(12195)] = 552445,
  [SMALL_STATE(12196)] = 552470,
  [SMALL_STATE(12197)] = 552495,
  [SMALL_STATE(12198)] = 552524,
  [SMALL_STATE(12199)] = 552549,
  [SMALL_STATE(12200)] = 552586,
  [SMALL_STATE(12201)] = 552623,
  [SMALL_STATE(12202)] = 552648,
  [SMALL_STATE(12203)] = 552673,
  [SMALL_STATE(12204)] = 552710,
  [SMALL_STATE(12205)] = 552747,
  [SMALL_STATE(12206)] = 552772,
  [SMALL_STATE(12207)] = 552803,
  [SMALL_STATE(12208)] = 552840,
  [SMALL_STATE(12209)] = 552877,
  [SMALL_STATE(12210)] = 552914,
  [SMALL_STATE(12211)] = 552943,
  [SMALL_STATE(12212)] = 552980,
  [SMALL_STATE(12213)] = 553017,
  [SMALL_STATE(12214)] = 553042,
  [SMALL_STATE(12215)] = 553079,
  [SMALL_STATE(12216)] = 553104,
  [SMALL_STATE(12217)] = 553141,
  [SMALL_STATE(12218)] = 553166,
  [SMALL_STATE(12219)] = 553203,
  [SMALL_STATE(12220)] = 553240,
  [SMALL_STATE(12221)] = 553277,
  [SMALL_STATE(12222)] = 553304,
  [SMALL_STATE(12223)] = 553329,
  [SMALL_STATE(12224)] = 553366,
  [SMALL_STATE(12225)] = 553403,
  [SMALL_STATE(12226)] = 553428,
  [SMALL_STATE(12227)] = 553453,
  [SMALL_STATE(12228)] = 553478,
  [SMALL_STATE(12229)] = 553505,
  [SMALL_STATE(12230)] = 553542,
  [SMALL_STATE(12231)] = 553567,
  [SMALL_STATE(12232)] = 553604,
  [SMALL_STATE(12233)] = 553636,
  [SMALL_STATE(12234)] = 553660,
  [SMALL_STATE(12235)] = 553686,
  [SMALL_STATE(12236)] = 553720,
  [SMALL_STATE(12237)] = 553748,
  [SMALL_STATE(12238)] = 553772,
  [SMALL_STATE(12239)] = 553806,
  [SMALL_STATE(12240)] = 553830,
  [SMALL_STATE(12241)] = 553858,
  [SMALL_STATE(12242)] = 553882,
  [SMALL_STATE(12243)] = 553906,
  [SMALL_STATE(12244)] = 553940,
  [SMALL_STATE(12245)] = 553968,
  [SMALL_STATE(12246)] = 553994,
  [SMALL_STATE(12247)] = 554022,
  [SMALL_STATE(12248)] = 554046,
  [SMALL_STATE(12249)] = 554076,
  [SMALL_STATE(12250)] = 554100,
  [SMALL_STATE(12251)] = 554124,
  [SMALL_STATE(12252)] = 554158,
  [SMALL_STATE(12253)] = 554182,
  [SMALL_STATE(12254)] = 554214,
  [SMALL_STATE(12255)] = 554238,
  [SMALL_STATE(12256)] = 554262,
  [SMALL_STATE(12257)] = 554292,
  [SMALL_STATE(12258)] = 554318,
  [SMALL_STATE(12259)] = 554352,
  [SMALL_STATE(12260)] = 554380,
  [SMALL_STATE(12261)] = 554404,
  [SMALL_STATE(12262)] = 554428,
  [SMALL_STATE(12263)] = 554462,
  [SMALL_STATE(12264)] = 554494,
  [SMALL_STATE(12265)] = 554528,
  [SMALL_STATE(12266)] = 554552,
  [SMALL_STATE(12267)] = 554576,
  [SMALL_STATE(12268)] = 554612,
  [SMALL_STATE(12269)] = 554642,
  [SMALL_STATE(12270)] = 554676,
  [SMALL_STATE(12271)] = 554710,
  [SMALL_STATE(12272)] = 554734,
  [SMALL_STATE(12273)] = 554768,
  [SMALL_STATE(12274)] = 554802,
  [SMALL_STATE(12275)] = 554826,
  [SMALL_STATE(12276)] = 554860,
  [SMALL_STATE(12277)] = 554884,
  [SMALL_STATE(12278)] = 554928,
  [SMALL_STATE(12279)] = 554962,
  [SMALL_STATE(12280)] = 554990,
  [SMALL_STATE(12281)] = 555024,
  [SMALL_STATE(12282)] = 555058,
  [SMALL_STATE(12283)] = 555086,
  [SMALL_STATE(12284)] = 555110,
  [SMALL_STATE(12285)] = 555144,
  [SMALL_STATE(12286)] = 555188,
  [SMALL_STATE(12287)] = 555222,
  [SMALL_STATE(12288)] = 555246,
  [SMALL_STATE(12289)] = 555280,
  [SMALL_STATE(12290)] = 555304,
  [SMALL_STATE(12291)] = 555336,
  [SMALL_STATE(12292)] = 555360,
  [SMALL_STATE(12293)] = 555384,
  [SMALL_STATE(12294)] = 555408,
  [SMALL_STATE(12295)] = 555432,
  [SMALL_STATE(12296)] = 555466,
  [SMALL_STATE(12297)] = 555490,
  [SMALL_STATE(12298)] = 555518,
  [SMALL_STATE(12299)] = 555542,
  [SMALL_STATE(12300)] = 555570,
  [SMALL_STATE(12301)] = 555604,
  [SMALL_STATE(12302)] = 555628,
  [SMALL_STATE(12303)] = 555652,
  [SMALL_STATE(12304)] = 555676,
  [SMALL_STATE(12305)] = 555702,
  [SMALL_STATE(12306)] = 555732,
  [SMALL_STATE(12307)] = 555766,
  [SMALL_STATE(12308)] = 555800,
  [SMALL_STATE(12309)] = 555824,
  [SMALL_STATE(12310)] = 555858,
  [SMALL_STATE(12311)] = 555890,
  [SMALL_STATE(12312)] = 555914,
  [SMALL_STATE(12313)] = 555938,
  [SMALL_STATE(12314)] = 555972,
  [SMALL_STATE(12315)] = 555996,
  [SMALL_STATE(12316)] = 556020,
  [SMALL_STATE(12317)] = 556044,
  [SMALL_STATE(12318)] = 556068,
  [SMALL_STATE(12319)] = 556096,
  [SMALL_STATE(12320)] = 556124,
  [SMALL_STATE(12321)] = 556152,
  [SMALL_STATE(12322)] = 556180,
  [SMALL_STATE(12323)] = 556212,
  [SMALL_STATE(12324)] = 556236,
  [SMALL_STATE(12325)] = 556280,
  [SMALL_STATE(12326)] = 556304,
  [SMALL_STATE(12327)] = 556328,
  [SMALL_STATE(12328)] = 556362,
  [SMALL_STATE(12329)] = 556386,
  [SMALL_STATE(12330)] = 556410,
  [SMALL_STATE(12331)] = 556434,
  [SMALL_STATE(12332)] = 556458,
  [SMALL_STATE(12333)] = 556494,
  [SMALL_STATE(12334)] = 556518,
  [SMALL_STATE(12335)] = 556542,
  [SMALL_STATE(12336)] = 556566,
  [SMALL_STATE(12337)] = 556590,
  [SMALL_STATE(12338)] = 556620,
  [SMALL_STATE(12339)] = 556654,
  [SMALL_STATE(12340)] = 556684,
  [SMALL_STATE(12341)] = 556718,
  [SMALL_STATE(12342)] = 556746,
  [SMALL_STATE(12343)] = 556780,
  [SMALL_STATE(12344)] = 556806,
  [SMALL_STATE(12345)] = 556838,
  [SMALL_STATE(12346)] = 556870,
  [SMALL_STATE(12347)] = 556904,
  [SMALL_STATE(12348)] = 556936,
  [SMALL_STATE(12349)] = 556970,
  [SMALL_STATE(12350)] = 557004,
  [SMALL_STATE(12351)] = 557038,
  [SMALL_STATE(12352)] = 557062,
  [SMALL_STATE(12353)] = 557096,
  [SMALL_STATE(12354)] = 557120,
  [SMALL_STATE(12355)] = 557144,
  [SMALL_STATE(12356)] = 557168,
  [SMALL_STATE(12357)] = 557194,
  [SMALL_STATE(12358)] = 557218,
  [SMALL_STATE(12359)] = 557242,
  [SMALL_STATE(12360)] = 557276,
  [SMALL_STATE(12361)] = 557310,
  [SMALL_STATE(12362)] = 557334,
  [SMALL_STATE(12363)] = 557358,
  [SMALL_STATE(12364)] = 557382,
  [SMALL_STATE(12365)] = 557406,
  [SMALL_STATE(12366)] = 557430,
  [SMALL_STATE(12367)] = 557454,
  [SMALL_STATE(12368)] = 557478,
  [SMALL_STATE(12369)] = 557512,
  [SMALL_STATE(12370)] = 557546,
  [SMALL_STATE(12371)] = 557570,
  [SMALL_STATE(12372)] = 557594,
  [SMALL_STATE(12373)] = 557618,
  [SMALL_STATE(12374)] = 557652,
  [SMALL_STATE(12375)] = 557686,
  [SMALL_STATE(12376)] = 557710,
  [SMALL_STATE(12377)] = 557744,
  [SMALL_STATE(12378)] = 557768,
  [SMALL_STATE(12379)] = 557792,
  [SMALL_STATE(12380)] = 557816,
  [SMALL_STATE(12381)] = 557840,
  [SMALL_STATE(12382)] = 557874,
  [SMALL_STATE(12383)] = 557898,
  [SMALL_STATE(12384)] = 557924,
  [SMALL_STATE(12385)] = 557948,
  [SMALL_STATE(12386)] = 557972,
  [SMALL_STATE(12387)] = 557998,
  [SMALL_STATE(12388)] = 558022,
  [SMALL_STATE(12389)] = 558056,
  [SMALL_STATE(12390)] = 558090,
  [SMALL_STATE(12391)] = 558120,
  [SMALL_STATE(12392)] = 558154,
  [SMALL_STATE(12393)] = 558182,
  [SMALL_STATE(12394)] = 558218,
  [SMALL_STATE(12395)] = 558242,
  [SMALL_STATE(12396)] = 558266,
  [SMALL_STATE(12397)] = 558290,
  [SMALL_STATE(12398)] = 558316,
  [SMALL_STATE(12399)] = 558350,
  [SMALL_STATE(12400)] = 558384,
  [SMALL_STATE(12401)] = 558408,
  [SMALL_STATE(12402)] = 558442,
  [SMALL_STATE(12403)] = 558466,
  [SMALL_STATE(12404)] = 558490,
  [SMALL_STATE(12405)] = 558514,
  [SMALL_STATE(12406)] = 558538,
  [SMALL_STATE(12407)] = 558562,
  [SMALL_STATE(12408)] = 558596,
  [SMALL_STATE(12409)] = 558622,
  [SMALL_STATE(12410)] = 558646,
  [SMALL_STATE(12411)] = 558678,
  [SMALL_STATE(12412)] = 558710,
  [SMALL_STATE(12413)] = 558734,
  [SMALL_STATE(12414)] = 558766,
  [SMALL_STATE(12415)] = 558798,
  [SMALL_STATE(12416)] = 558830,
  [SMALL_STATE(12417)] = 558864,
  [SMALL_STATE(12418)] = 558896,
  [SMALL_STATE(12419)] = 558930,
  [SMALL_STATE(12420)] = 558954,
  [SMALL_STATE(12421)] = 558988,
  [SMALL_STATE(12422)] = 559022,
  [SMALL_STATE(12423)] = 559056,
  [SMALL_STATE(12424)] = 559080,
  [SMALL_STATE(12425)] = 559108,
  [SMALL_STATE(12426)] = 559132,
  [SMALL_STATE(12427)] = 559156,
  [SMALL_STATE(12428)] = 559190,
  [SMALL_STATE(12429)] = 559234,
  [SMALL_STATE(12430)] = 559258,
  [SMALL_STATE(12431)] = 559282,
  [SMALL_STATE(12432)] = 559306,
  [SMALL_STATE(12433)] = 559330,
  [SMALL_STATE(12434)] = 559362,
  [SMALL_STATE(12435)] = 559396,
  [SMALL_STATE(12436)] = 559440,
  [SMALL_STATE(12437)] = 559484,
  [SMALL_STATE(12438)] = 559528,
  [SMALL_STATE(12439)] = 559552,
  [SMALL_STATE(12440)] = 559580,
  [SMALL_STATE(12441)] = 559624,
  [SMALL_STATE(12442)] = 559658,
  [SMALL_STATE(12443)] = 559682,
  [SMALL_STATE(12444)] = 559706,
  [SMALL_STATE(12445)] = 559750,
  [SMALL_STATE(12446)] = 559784,
  [SMALL_STATE(12447)] = 559816,
  [SMALL_STATE(12448)] = 559840,
  [SMALL_STATE(12449)] = 559864,
  [SMALL_STATE(12450)] = 559898,
  [SMALL_STATE(12451)] = 559922,
  [SMALL_STATE(12452)] = 559946,
  [SMALL_STATE(12453)] = 559970,
  [SMALL_STATE(12454)] = 560002,
  [SMALL_STATE(12455)] = 560026,
  [SMALL_STATE(12456)] = 560050,
  [SMALL_STATE(12457)] = 560074,
  [SMALL_STATE(12458)] = 560098,
  [SMALL_STATE(12459)] = 560132,
  [SMALL_STATE(12460)] = 560156,
  [SMALL_STATE(12461)] = 560190,
  [SMALL_STATE(12462)] = 560224,
  [SMALL_STATE(12463)] = 560248,
  [SMALL_STATE(12464)] = 560280,
  [SMALL_STATE(12465)] = 560304,
  [SMALL_STATE(12466)] = 560338,
  [SMALL_STATE(12467)] = 560372,
  [SMALL_STATE(12468)] = 560406,
  [SMALL_STATE(12469)] = 560440,
  [SMALL_STATE(12470)] = 560466,
  [SMALL_STATE(12471)] = 560500,
  [SMALL_STATE(12472)] = 560528,
  [SMALL_STATE(12473)] = 560562,
  [SMALL_STATE(12474)] = 560596,
  [SMALL_STATE(12475)] = 560620,
  [SMALL_STATE(12476)] = 560644,
  [SMALL_STATE(12477)] = 560668,
  [SMALL_STATE(12478)] = 560692,
  [SMALL_STATE(12479)] = 560718,
  [SMALL_STATE(12480)] = 560742,
  [SMALL_STATE(12481)] = 560766,
  [SMALL_STATE(12482)] = 560792,
  [SMALL_STATE(12483)] = 560822,
  [SMALL_STATE(12484)] = 560846,
  [SMALL_STATE(12485)] = 560870,
  [SMALL_STATE(12486)] = 560896,
  [SMALL_STATE(12487)] = 560930,
  [SMALL_STATE(12488)] = 560954,
  [SMALL_STATE(12489)] = 560978,
  [SMALL_STATE(12490)] = 561002,
  [SMALL_STATE(12491)] = 561026,
  [SMALL_STATE(12492)] = 561050,
  [SMALL_STATE(12493)] = 561074,
  [SMALL_STATE(12494)] = 561098,
  [SMALL_STATE(12495)] = 561122,
  [SMALL_STATE(12496)] = 561146,
  [SMALL_STATE(12497)] = 561170,
  [SMALL_STATE(12498)] = 561194,
  [SMALL_STATE(12499)] = 561220,
  [SMALL_STATE(12500)] = 561254,
  [SMALL_STATE(12501)] = 561288,
  [SMALL_STATE(12502)] = 561322,
  [SMALL_STATE(12503)] = 561356,
  [SMALL_STATE(12504)] = 561384,
  [SMALL_STATE(12505)] = 561414,
  [SMALL_STATE(12506)] = 561438,
  [SMALL_STATE(12507)] = 561462,
  [SMALL_STATE(12508)] = 561486,
  [SMALL_STATE(12509)] = 561510,
  [SMALL_STATE(12510)] = 561534,
  [SMALL_STATE(12511)] = 561558,
  [SMALL_STATE(12512)] = 561590,
  [SMALL_STATE(12513)] = 561614,
  [SMALL_STATE(12514)] = 561648,
  [SMALL_STATE(12515)] = 561678,
  [SMALL_STATE(12516)] = 561702,
  [SMALL_STATE(12517)] = 561726,
  [SMALL_STATE(12518)] = 561760,
  [SMALL_STATE(12519)] = 561794,
  [SMALL_STATE(12520)] = 561818,
  [SMALL_STATE(12521)] = 561852,
  [SMALL_STATE(12522)] = 561876,
  [SMALL_STATE(12523)] = 561910,
  [SMALL_STATE(12524)] = 561934,
  [SMALL_STATE(12525)] = 561968,
  [SMALL_STATE(12526)] = 561992,
  [SMALL_STATE(12527)] = 562026,
  [SMALL_STATE(12528)] = 562060,
  [SMALL_STATE(12529)] = 562092,
  [SMALL_STATE(12530)] = 562126,
  [SMALL_STATE(12531)] = 562150,
  [SMALL_STATE(12532)] = 562174,
  [SMALL_STATE(12533)] = 562198,
  [SMALL_STATE(12534)] = 562222,
  [SMALL_STATE(12535)] = 562246,
  [SMALL_STATE(12536)] = 562270,
  [SMALL_STATE(12537)] = 562304,
  [SMALL_STATE(12538)] = 562328,
  [SMALL_STATE(12539)] = 562352,
  [SMALL_STATE(12540)] = 562378,
  [SMALL_STATE(12541)] = 562402,
  [SMALL_STATE(12542)] = 562436,
  [SMALL_STATE(12543)] = 562460,
  [SMALL_STATE(12544)] = 562492,
  [SMALL_STATE(12545)] = 562516,
  [SMALL_STATE(12546)] = 562542,
  [SMALL_STATE(12547)] = 562574,
  [SMALL_STATE(12548)] = 562598,
  [SMALL_STATE(12549)] = 562630,
  [SMALL_STATE(12550)] = 562658,
  [SMALL_STATE(12551)] = 562682,
  [SMALL_STATE(12552)] = 562716,
  [SMALL_STATE(12553)] = 562740,
  [SMALL_STATE(12554)] = 562764,
  [SMALL_STATE(12555)] = 562792,
  [SMALL_STATE(12556)] = 562816,
  [SMALL_STATE(12557)] = 562840,
  [SMALL_STATE(12558)] = 562864,
  [SMALL_STATE(12559)] = 562888,
  [SMALL_STATE(12560)] = 562922,
  [SMALL_STATE(12561)] = 562946,
  [SMALL_STATE(12562)] = 562980,
  [SMALL_STATE(12563)] = 563004,
  [SMALL_STATE(12564)] = 563028,
  [SMALL_STATE(12565)] = 563052,
  [SMALL_STATE(12566)] = 563086,
  [SMALL_STATE(12567)] = 563118,
  [SMALL_STATE(12568)] = 563152,
  [SMALL_STATE(12569)] = 563184,
  [SMALL_STATE(12570)] = 563216,
  [SMALL_STATE(12571)] = 563240,
  [SMALL_STATE(12572)] = 563274,
  [SMALL_STATE(12573)] = 563318,
  [SMALL_STATE(12574)] = 563342,
  [SMALL_STATE(12575)] = 563366,
  [SMALL_STATE(12576)] = 563402,
  [SMALL_STATE(12577)] = 563426,
  [SMALL_STATE(12578)] = 563450,
  [SMALL_STATE(12579)] = 563474,
  [SMALL_STATE(12580)] = 563500,
  [SMALL_STATE(12581)] = 563524,
  [SMALL_STATE(12582)] = 563554,
  [SMALL_STATE(12583)] = 563578,
  [SMALL_STATE(12584)] = 563612,
  [SMALL_STATE(12585)] = 563636,
  [SMALL_STATE(12586)] = 563660,
  [SMALL_STATE(12587)] = 563684,
  [SMALL_STATE(12588)] = 563718,
  [SMALL_STATE(12589)] = 563742,
  [SMALL_STATE(12590)] = 563766,
  [SMALL_STATE(12591)] = 563800,
  [SMALL_STATE(12592)] = 563834,
  [SMALL_STATE(12593)] = 563862,
  [SMALL_STATE(12594)] = 563886,
  [SMALL_STATE(12595)] = 563910,
  [SMALL_STATE(12596)] = 563946,
  [SMALL_STATE(12597)] = 563976,
  [SMALL_STATE(12598)] = 564000,
  [SMALL_STATE(12599)] = 564024,
  [SMALL_STATE(12600)] = 564048,
  [SMALL_STATE(12601)] = 564076,
  [SMALL_STATE(12602)] = 564110,
  [SMALL_STATE(12603)] = 564144,
  [SMALL_STATE(12604)] = 564168,
  [SMALL_STATE(12605)] = 564202,
  [SMALL_STATE(12606)] = 564234,
  [SMALL_STATE(12607)] = 564266,
  [SMALL_STATE(12608)] = 564292,
  [SMALL_STATE(12609)] = 564318,
  [SMALL_STATE(12610)] = 564350,
  [SMALL_STATE(12611)] = 564376,
  [SMALL_STATE(12612)] = 564404,
  [SMALL_STATE(12613)] = 564428,
  [SMALL_STATE(12614)] = 564462,
  [SMALL_STATE(12615)] = 564490,
  [SMALL_STATE(12616)] = 564514,
  [SMALL_STATE(12617)] = 564542,
  [SMALL_STATE(12618)] = 564578,
  [SMALL_STATE(12619)] = 564612,
  [SMALL_STATE(12620)] = 564636,
  [SMALL_STATE(12621)] = 564670,
  [SMALL_STATE(12622)] = 564704,
  [SMALL_STATE(12623)] = 564728,
  [SMALL_STATE(12624)] = 564752,
  [SMALL_STATE(12625)] = 564782,
  [SMALL_STATE(12626)] = 564812,
  [SMALL_STATE(12627)] = 564846,
  [SMALL_STATE(12628)] = 564869,
  [SMALL_STATE(12629)] = 564892,
  [SMALL_STATE(12630)] = 564917,
  [SMALL_STATE(12631)] = 564946,
  [SMALL_STATE(12632)] = 564969,
  [SMALL_STATE(12633)] = 564996,
  [SMALL_STATE(12634)] = 565019,
  [SMALL_STATE(12635)] = 565046,
  [SMALL_STATE(12636)] = 565069,
  [SMALL_STATE(12637)] = 565092,
  [SMALL_STATE(12638)] = 565115,
  [SMALL_STATE(12639)] = 565142,
  [SMALL_STATE(12640)] = 565165,
  [SMALL_STATE(12641)] = 565192,
  [SMALL_STATE(12642)] = 565215,
  [SMALL_STATE(12643)] = 565238,
  [SMALL_STATE(12644)] = 565261,
  [SMALL_STATE(12645)] = 565284,
  [SMALL_STATE(12646)] = 565307,
  [SMALL_STATE(12647)] = 565330,
  [SMALL_STATE(12648)] = 565355,
  [SMALL_STATE(12649)] = 565378,
  [SMALL_STATE(12650)] = 565403,
  [SMALL_STATE(12651)] = 565428,
  [SMALL_STATE(12652)] = 565451,
  [SMALL_STATE(12653)] = 565482,
  [SMALL_STATE(12654)] = 565511,
  [SMALL_STATE(12655)] = 565534,
  [SMALL_STATE(12656)] = 565557,
  [SMALL_STATE(12657)] = 565582,
  [SMALL_STATE(12658)] = 565609,
  [SMALL_STATE(12659)] = 565632,
  [SMALL_STATE(12660)] = 565655,
  [SMALL_STATE(12661)] = 565684,
  [SMALL_STATE(12662)] = 565707,
  [SMALL_STATE(12663)] = 565734,
  [SMALL_STATE(12664)] = 565757,
  [SMALL_STATE(12665)] = 565780,
  [SMALL_STATE(12666)] = 565803,
  [SMALL_STATE(12667)] = 565826,
  [SMALL_STATE(12668)] = 565849,
  [SMALL_STATE(12669)] = 565876,
  [SMALL_STATE(12670)] = 565901,
  [SMALL_STATE(12671)] = 565924,
  [SMALL_STATE(12672)] = 565947,
  [SMALL_STATE(12673)] = 565970,
  [SMALL_STATE(12674)] = 565993,
  [SMALL_STATE(12675)] = 566016,
  [SMALL_STATE(12676)] = 566039,
  [SMALL_STATE(12677)] = 566062,
  [SMALL_STATE(12678)] = 566085,
  [SMALL_STATE(12679)] = 566108,
  [SMALL_STATE(12680)] = 566131,
  [SMALL_STATE(12681)] = 566156,
  [SMALL_STATE(12682)] = 566179,
  [SMALL_STATE(12683)] = 566208,
  [SMALL_STATE(12684)] = 566231,
  [SMALL_STATE(12685)] = 566254,
  [SMALL_STATE(12686)] = 566277,
  [SMALL_STATE(12687)] = 566300,
  [SMALL_STATE(12688)] = 566329,
  [SMALL_STATE(12689)] = 566352,
  [SMALL_STATE(12690)] = 566379,
  [SMALL_STATE(12691)] = 566402,
  [SMALL_STATE(12692)] = 566425,
  [SMALL_STATE(12693)] = 566448,
  [SMALL_STATE(12694)] = 566471,
  [SMALL_STATE(12695)] = 566494,
  [SMALL_STATE(12696)] = 566517,
  [SMALL_STATE(12697)] = 566540,
  [SMALL_STATE(12698)] = 566563,
  [SMALL_STATE(12699)] = 566586,
  [SMALL_STATE(12700)] = 566609,
  [SMALL_STATE(12701)] = 566632,
  [SMALL_STATE(12702)] = 566655,
  [SMALL_STATE(12703)] = 566678,
  [SMALL_STATE(12704)] = 566705,
  [SMALL_STATE(12705)] = 566732,
  [SMALL_STATE(12706)] = 566755,
  [SMALL_STATE(12707)] = 566780,
  [SMALL_STATE(12708)] = 566803,
  [SMALL_STATE(12709)] = 566830,
  [SMALL_STATE(12710)] = 566853,
  [SMALL_STATE(12711)] = 566878,
  [SMALL_STATE(12712)] = 566901,
  [SMALL_STATE(12713)] = 566928,
  [SMALL_STATE(12714)] = 566951,
  [SMALL_STATE(12715)] = 566974,
  [SMALL_STATE(12716)] = 566997,
  [SMALL_STATE(12717)] = 567020,
  [SMALL_STATE(12718)] = 567043,
  [SMALL_STATE(12719)] = 567066,
  [SMALL_STATE(12720)] = 567089,
  [SMALL_STATE(12721)] = 567112,
  [SMALL_STATE(12722)] = 567135,
  [SMALL_STATE(12723)] = 567158,
  [SMALL_STATE(12724)] = 567181,
  [SMALL_STATE(12725)] = 567204,
  [SMALL_STATE(12726)] = 567227,
  [SMALL_STATE(12727)] = 567252,
  [SMALL_STATE(12728)] = 567275,
  [SMALL_STATE(12729)] = 567298,
  [SMALL_STATE(12730)] = 567331,
  [SMALL_STATE(12731)] = 567354,
  [SMALL_STATE(12732)] = 567377,
  [SMALL_STATE(12733)] = 567400,
  [SMALL_STATE(12734)] = 567423,
  [SMALL_STATE(12735)] = 567446,
  [SMALL_STATE(12736)] = 567469,
  [SMALL_STATE(12737)] = 567492,
  [SMALL_STATE(12738)] = 567523,
  [SMALL_STATE(12739)] = 567546,
  [SMALL_STATE(12740)] = 567569,
  [SMALL_STATE(12741)] = 567592,
  [SMALL_STATE(12742)] = 567619,
  [SMALL_STATE(12743)] = 567642,
  [SMALL_STATE(12744)] = 567665,
  [SMALL_STATE(12745)] = 567694,
  [SMALL_STATE(12746)] = 567725,
  [SMALL_STATE(12747)] = 567748,
  [SMALL_STATE(12748)] = 567771,
  [SMALL_STATE(12749)] = 567794,
  [SMALL_STATE(12750)] = 567817,
  [SMALL_STATE(12751)] = 567840,
  [SMALL_STATE(12752)] = 567879,
  [SMALL_STATE(12753)] = 567906,
  [SMALL_STATE(12754)] = 567935,
  [SMALL_STATE(12755)] = 567958,
  [SMALL_STATE(12756)] = 567981,
  [SMALL_STATE(12757)] = 568008,
  [SMALL_STATE(12758)] = 568031,
  [SMALL_STATE(12759)] = 568054,
  [SMALL_STATE(12760)] = 568077,
  [SMALL_STATE(12761)] = 568100,
  [SMALL_STATE(12762)] = 568123,
  [SMALL_STATE(12763)] = 568146,
  [SMALL_STATE(12764)] = 568177,
  [SMALL_STATE(12765)] = 568200,
  [SMALL_STATE(12766)] = 568225,
  [SMALL_STATE(12767)] = 568248,
  [SMALL_STATE(12768)] = 568271,
  [SMALL_STATE(12769)] = 568294,
  [SMALL_STATE(12770)] = 568317,
  [SMALL_STATE(12771)] = 568340,
  [SMALL_STATE(12772)] = 568369,
  [SMALL_STATE(12773)] = 568394,
  [SMALL_STATE(12774)] = 568417,
  [SMALL_STATE(12775)] = 568440,
  [SMALL_STATE(12776)] = 568463,
  [SMALL_STATE(12777)] = 568494,
  [SMALL_STATE(12778)] = 568521,
  [SMALL_STATE(12779)] = 568550,
  [SMALL_STATE(12780)] = 568573,
  [SMALL_STATE(12781)] = 568604,
  [SMALL_STATE(12782)] = 568627,
  [SMALL_STATE(12783)] = 568650,
  [SMALL_STATE(12784)] = 568677,
  [SMALL_STATE(12785)] = 568700,
  [SMALL_STATE(12786)] = 568723,
  [SMALL_STATE(12787)] = 568746,
  [SMALL_STATE(12788)] = 568769,
  [SMALL_STATE(12789)] = 568792,
  [SMALL_STATE(12790)] = 568815,
  [SMALL_STATE(12791)] = 568838,
  [SMALL_STATE(12792)] = 568861,
  [SMALL_STATE(12793)] = 568884,
  [SMALL_STATE(12794)] = 568907,
  [SMALL_STATE(12795)] = 568930,
  [SMALL_STATE(12796)] = 568953,
  [SMALL_STATE(12797)] = 568976,
  [SMALL_STATE(12798)] = 568999,
  [SMALL_STATE(12799)] = 569022,
  [SMALL_STATE(12800)] = 569049,
  [SMALL_STATE(12801)] = 569078,
  [SMALL_STATE(12802)] = 569101,
  [SMALL_STATE(12803)] = 569124,
  [SMALL_STATE(12804)] = 569147,
  [SMALL_STATE(12805)] = 569170,
  [SMALL_STATE(12806)] = 569193,
  [SMALL_STATE(12807)] = 569216,
  [SMALL_STATE(12808)] = 569239,
  [SMALL_STATE(12809)] = 569262,
  [SMALL_STATE(12810)] = 569287,
  [SMALL_STATE(12811)] = 569310,
  [SMALL_STATE(12812)] = 569333,
  [SMALL_STATE(12813)] = 569364,
  [SMALL_STATE(12814)] = 569387,
  [SMALL_STATE(12815)] = 569410,
  [SMALL_STATE(12816)] = 569433,
  [SMALL_STATE(12817)] = 569456,
  [SMALL_STATE(12818)] = 569483,
  [SMALL_STATE(12819)] = 569506,
  [SMALL_STATE(12820)] = 569529,
  [SMALL_STATE(12821)] = 569560,
  [SMALL_STATE(12822)] = 569583,
  [SMALL_STATE(12823)] = 569610,
  [SMALL_STATE(12824)] = 569633,
  [SMALL_STATE(12825)] = 569668,
  [SMALL_STATE(12826)] = 569697,
  [SMALL_STATE(12827)] = 569720,
  [SMALL_STATE(12828)] = 569743,
  [SMALL_STATE(12829)] = 569766,
  [SMALL_STATE(12830)] = 569789,
  [SMALL_STATE(12831)] = 569812,
  [SMALL_STATE(12832)] = 569835,
  [SMALL_STATE(12833)] = 569858,
  [SMALL_STATE(12834)] = 569885,
  [SMALL_STATE(12835)] = 569914,
  [SMALL_STATE(12836)] = 569939,
  [SMALL_STATE(12837)] = 569962,
  [SMALL_STATE(12838)] = 569985,
  [SMALL_STATE(12839)] = 570008,
  [SMALL_STATE(12840)] = 570035,
  [SMALL_STATE(12841)] = 570058,
  [SMALL_STATE(12842)] = 570081,
  [SMALL_STATE(12843)] = 570104,
  [SMALL_STATE(12844)] = 570129,
  [SMALL_STATE(12845)] = 570156,
  [SMALL_STATE(12846)] = 570179,
  [SMALL_STATE(12847)] = 570202,
  [SMALL_STATE(12848)] = 570233,
  [SMALL_STATE(12849)] = 570256,
  [SMALL_STATE(12850)] = 570279,
  [SMALL_STATE(12851)] = 570302,
  [SMALL_STATE(12852)] = 570337,
  [SMALL_STATE(12853)] = 570362,
  [SMALL_STATE(12854)] = 570385,
  [SMALL_STATE(12855)] = 570412,
  [SMALL_STATE(12856)] = 570435,
  [SMALL_STATE(12857)] = 570462,
  [SMALL_STATE(12858)] = 570485,
  [SMALL_STATE(12859)] = 570508,
  [SMALL_STATE(12860)] = 570531,
  [SMALL_STATE(12861)] = 570554,
  [SMALL_STATE(12862)] = 570577,
  [SMALL_STATE(12863)] = 570600,
  [SMALL_STATE(12864)] = 570623,
  [SMALL_STATE(12865)] = 570654,
  [SMALL_STATE(12866)] = 570677,
  [SMALL_STATE(12867)] = 570702,
  [SMALL_STATE(12868)] = 570731,
  [SMALL_STATE(12869)] = 570760,
  [SMALL_STATE(12870)] = 570783,
  [SMALL_STATE(12871)] = 570806,
  [SMALL_STATE(12872)] = 570833,
  [SMALL_STATE(12873)] = 570860,
  [SMALL_STATE(12874)] = 570893,
  [SMALL_STATE(12875)] = 570916,
  [SMALL_STATE(12876)] = 570939,
  [SMALL_STATE(12877)] = 570962,
  [SMALL_STATE(12878)] = 570985,
  [SMALL_STATE(12879)] = 571014,
  [SMALL_STATE(12880)] = 571041,
  [SMALL_STATE(12881)] = 571068,
  [SMALL_STATE(12882)] = 571091,
  [SMALL_STATE(12883)] = 571122,
  [SMALL_STATE(12884)] = 571153,
  [SMALL_STATE(12885)] = 571176,
  [SMALL_STATE(12886)] = 571199,
  [SMALL_STATE(12887)] = 571222,
  [SMALL_STATE(12888)] = 571245,
  [SMALL_STATE(12889)] = 571272,
  [SMALL_STATE(12890)] = 571299,
  [SMALL_STATE(12891)] = 571324,
  [SMALL_STATE(12892)] = 571347,
  [SMALL_STATE(12893)] = 571370,
  [SMALL_STATE(12894)] = 571393,
  [SMALL_STATE(12895)] = 571416,
  [SMALL_STATE(12896)] = 571443,
  [SMALL_STATE(12897)] = 571470,
  [SMALL_STATE(12898)] = 571493,
  [SMALL_STATE(12899)] = 571516,
  [SMALL_STATE(12900)] = 571539,
  [SMALL_STATE(12901)] = 571566,
  [SMALL_STATE(12902)] = 571589,
  [SMALL_STATE(12903)] = 571612,
  [SMALL_STATE(12904)] = 571635,
  [SMALL_STATE(12905)] = 571670,
  [SMALL_STATE(12906)] = 571693,
  [SMALL_STATE(12907)] = 571716,
  [SMALL_STATE(12908)] = 571751,
  [SMALL_STATE(12909)] = 571774,
  [SMALL_STATE(12910)] = 571801,
  [SMALL_STATE(12911)] = 571828,
  [SMALL_STATE(12912)] = 571857,
  [SMALL_STATE(12913)] = 571882,
  [SMALL_STATE(12914)] = 571905,
  [SMALL_STATE(12915)] = 571928,
  [SMALL_STATE(12916)] = 571951,
  [SMALL_STATE(12917)] = 571976,
  [SMALL_STATE(12918)] = 572005,
  [SMALL_STATE(12919)] = 572034,
  [SMALL_STATE(12920)] = 572061,
  [SMALL_STATE(12921)] = 572088,
  [SMALL_STATE(12922)] = 572111,
  [SMALL_STATE(12923)] = 572134,
  [SMALL_STATE(12924)] = 572165,
  [SMALL_STATE(12925)] = 572188,
  [SMALL_STATE(12926)] = 572211,
  [SMALL_STATE(12927)] = 572234,
  [SMALL_STATE(12928)] = 572261,
  [SMALL_STATE(12929)] = 572284,
  [SMALL_STATE(12930)] = 572311,
  [SMALL_STATE(12931)] = 572334,
  [SMALL_STATE(12932)] = 572357,
  [SMALL_STATE(12933)] = 572384,
  [SMALL_STATE(12934)] = 572423,
  [SMALL_STATE(12935)] = 572446,
  [SMALL_STATE(12936)] = 572469,
  [SMALL_STATE(12937)] = 572494,
  [SMALL_STATE(12938)] = 572529,
  [SMALL_STATE(12939)] = 572552,
  [SMALL_STATE(12940)] = 572574,
  [SMALL_STATE(12941)] = 572596,
  [SMALL_STATE(12942)] = 572626,
  [SMALL_STATE(12943)] = 572654,
  [SMALL_STATE(12944)] = 572680,
  [SMALL_STATE(12945)] = 572702,
  [SMALL_STATE(12946)] = 572730,
  [SMALL_STATE(12947)] = 572752,
  [SMALL_STATE(12948)] = 572774,
  [SMALL_STATE(12949)] = 572796,
  [SMALL_STATE(12950)] = 572822,
  [SMALL_STATE(12951)] = 572848,
  [SMALL_STATE(12952)] = 572870,
  [SMALL_STATE(12953)] = 572892,
  [SMALL_STATE(12954)] = 572920,
  [SMALL_STATE(12955)] = 572942,
  [SMALL_STATE(12956)] = 572968,
  [SMALL_STATE(12957)] = 572990,
  [SMALL_STATE(12958)] = 573016,
  [SMALL_STATE(12959)] = 573046,
  [SMALL_STATE(12960)] = 573068,
  [SMALL_STATE(12961)] = 573090,
  [SMALL_STATE(12962)] = 573112,
  [SMALL_STATE(12963)] = 573134,
  [SMALL_STATE(12964)] = 573156,
  [SMALL_STATE(12965)] = 573184,
  [SMALL_STATE(12966)] = 573206,
  [SMALL_STATE(12967)] = 573228,
  [SMALL_STATE(12968)] = 573250,
  [SMALL_STATE(12969)] = 573272,
  [SMALL_STATE(12970)] = 573298,
  [SMALL_STATE(12971)] = 573322,
  [SMALL_STATE(12972)] = 573348,
  [SMALL_STATE(12973)] = 573374,
  [SMALL_STATE(12974)] = 573398,
  [SMALL_STATE(12975)] = 573420,
  [SMALL_STATE(12976)] = 573442,
  [SMALL_STATE(12977)] = 573468,
  [SMALL_STATE(12978)] = 573494,
  [SMALL_STATE(12979)] = 573516,
  [SMALL_STATE(12980)] = 573542,
  [SMALL_STATE(12981)] = 573568,
  [SMALL_STATE(12982)] = 573598,
  [SMALL_STATE(12983)] = 573620,
  [SMALL_STATE(12984)] = 573646,
  [SMALL_STATE(12985)] = 573668,
  [SMALL_STATE(12986)] = 573698,
  [SMALL_STATE(12987)] = 573724,
  [SMALL_STATE(12988)] = 573746,
  [SMALL_STATE(12989)] = 573768,
  [SMALL_STATE(12990)] = 573792,
  [SMALL_STATE(12991)] = 573814,
  [SMALL_STATE(12992)] = 573836,
  [SMALL_STATE(12993)] = 573858,
  [SMALL_STATE(12994)] = 573880,
  [SMALL_STATE(12995)] = 573908,
  [SMALL_STATE(12996)] = 573930,
  [SMALL_STATE(12997)] = 573952,
  [SMALL_STATE(12998)] = 573974,
  [SMALL_STATE(12999)] = 574000,
  [SMALL_STATE(13000)] = 574024,
  [SMALL_STATE(13001)] = 574046,
  [SMALL_STATE(13002)] = 574072,
  [SMALL_STATE(13003)] = 574098,
  [SMALL_STATE(13004)] = 574120,
  [SMALL_STATE(13005)] = 574142,
  [SMALL_STATE(13006)] = 574164,
  [SMALL_STATE(13007)] = 574186,
  [SMALL_STATE(13008)] = 574208,
  [SMALL_STATE(13009)] = 574230,
  [SMALL_STATE(13010)] = 574258,
  [SMALL_STATE(13011)] = 574280,
  [SMALL_STATE(13012)] = 574302,
  [SMALL_STATE(13013)] = 574324,
  [SMALL_STATE(13014)] = 574346,
  [SMALL_STATE(13015)] = 574370,
  [SMALL_STATE(13016)] = 574392,
  [SMALL_STATE(13017)] = 574414,
  [SMALL_STATE(13018)] = 574436,
  [SMALL_STATE(13019)] = 574458,
  [SMALL_STATE(13020)] = 574488,
  [SMALL_STATE(13021)] = 574514,
  [SMALL_STATE(13022)] = 574536,
  [SMALL_STATE(13023)] = 574558,
  [SMALL_STATE(13024)] = 574580,
  [SMALL_STATE(13025)] = 574602,
  [SMALL_STATE(13026)] = 574624,
  [SMALL_STATE(13027)] = 574646,
  [SMALL_STATE(13028)] = 574676,
  [SMALL_STATE(13029)] = 574698,
  [SMALL_STATE(13030)] = 574720,
  [SMALL_STATE(13031)] = 574744,
  [SMALL_STATE(13032)] = 574766,
  [SMALL_STATE(13033)] = 574792,
  [SMALL_STATE(13034)] = 574814,
  [SMALL_STATE(13035)] = 574840,
  [SMALL_STATE(13036)] = 574862,
  [SMALL_STATE(13037)] = 574884,
  [SMALL_STATE(13038)] = 574912,
  [SMALL_STATE(13039)] = 574938,
  [SMALL_STATE(13040)] = 574960,
  [SMALL_STATE(13041)] = 574990,
  [SMALL_STATE(13042)] = 575012,
  [SMALL_STATE(13043)] = 575038,
  [SMALL_STATE(13044)] = 575060,
  [SMALL_STATE(13045)] = 575090,
  [SMALL_STATE(13046)] = 575112,
  [SMALL_STATE(13047)] = 575140,
  [SMALL_STATE(13048)] = 575168,
  [SMALL_STATE(13049)] = 575190,
  [SMALL_STATE(13050)] = 575212,
  [SMALL_STATE(13051)] = 575234,
  [SMALL_STATE(13052)] = 575256,
  [SMALL_STATE(13053)] = 575280,
  [SMALL_STATE(13054)] = 575302,
  [SMALL_STATE(13055)] = 575324,
  [SMALL_STATE(13056)] = 575350,
  [SMALL_STATE(13057)] = 575372,
  [SMALL_STATE(13058)] = 575394,
  [SMALL_STATE(13059)] = 575416,
  [SMALL_STATE(13060)] = 575438,
  [SMALL_STATE(13061)] = 575464,
  [SMALL_STATE(13062)] = 575486,
  [SMALL_STATE(13063)] = 575508,
  [SMALL_STATE(13064)] = 575538,
  [SMALL_STATE(13065)] = 575566,
  [SMALL_STATE(13066)] = 575590,
  [SMALL_STATE(13067)] = 575612,
  [SMALL_STATE(13068)] = 575634,
  [SMALL_STATE(13069)] = 575656,
  [SMALL_STATE(13070)] = 575678,
  [SMALL_STATE(13071)] = 575700,
  [SMALL_STATE(13072)] = 575722,
  [SMALL_STATE(13073)] = 575744,
  [SMALL_STATE(13074)] = 575766,
  [SMALL_STATE(13075)] = 575788,
  [SMALL_STATE(13076)] = 575810,
  [SMALL_STATE(13077)] = 575838,
  [SMALL_STATE(13078)] = 575860,
  [SMALL_STATE(13079)] = 575882,
  [SMALL_STATE(13080)] = 575904,
  [SMALL_STATE(13081)] = 575926,
  [SMALL_STATE(13082)] = 575948,
  [SMALL_STATE(13083)] = 575970,
  [SMALL_STATE(13084)] = 575992,
  [SMALL_STATE(13085)] = 576014,
  [SMALL_STATE(13086)] = 576048,
  [SMALL_STATE(13087)] = 576074,
  [SMALL_STATE(13088)] = 576096,
  [SMALL_STATE(13089)] = 576118,
  [SMALL_STATE(13090)] = 576140,
  [SMALL_STATE(13091)] = 576166,
  [SMALL_STATE(13092)] = 576194,
  [SMALL_STATE(13093)] = 576216,
  [SMALL_STATE(13094)] = 576238,
  [SMALL_STATE(13095)] = 576260,
  [SMALL_STATE(13096)] = 576282,
  [SMALL_STATE(13097)] = 576304,
  [SMALL_STATE(13098)] = 576326,
  [SMALL_STATE(13099)] = 576348,
  [SMALL_STATE(13100)] = 576370,
  [SMALL_STATE(13101)] = 576392,
  [SMALL_STATE(13102)] = 576418,
  [SMALL_STATE(13103)] = 576440,
  [SMALL_STATE(13104)] = 576466,
  [SMALL_STATE(13105)] = 576490,
  [SMALL_STATE(13106)] = 576512,
  [SMALL_STATE(13107)] = 576534,
  [SMALL_STATE(13108)] = 576560,
  [SMALL_STATE(13109)] = 576588,
  [SMALL_STATE(13110)] = 576614,
  [SMALL_STATE(13111)] = 576636,
  [SMALL_STATE(13112)] = 576664,
  [SMALL_STATE(13113)] = 576690,
  [SMALL_STATE(13114)] = 576712,
  [SMALL_STATE(13115)] = 576738,
  [SMALL_STATE(13116)] = 576764,
  [SMALL_STATE(13117)] = 576786,
  [SMALL_STATE(13118)] = 576810,
  [SMALL_STATE(13119)] = 576836,
  [SMALL_STATE(13120)] = 576858,
  [SMALL_STATE(13121)] = 576880,
  [SMALL_STATE(13122)] = 576904,
  [SMALL_STATE(13123)] = 576926,
  [SMALL_STATE(13124)] = 576952,
  [SMALL_STATE(13125)] = 576974,
  [SMALL_STATE(13126)] = 577000,
  [SMALL_STATE(13127)] = 577022,
  [SMALL_STATE(13128)] = 577052,
  [SMALL_STATE(13129)] = 577074,
  [SMALL_STATE(13130)] = 577100,
  [SMALL_STATE(13131)] = 577122,
  [SMALL_STATE(13132)] = 577144,
  [SMALL_STATE(13133)] = 577166,
  [SMALL_STATE(13134)] = 577188,
  [SMALL_STATE(13135)] = 577218,
  [SMALL_STATE(13136)] = 577240,
  [SMALL_STATE(13137)] = 577270,
  [SMALL_STATE(13138)] = 577292,
  [SMALL_STATE(13139)] = 577314,
  [SMALL_STATE(13140)] = 577340,
  [SMALL_STATE(13141)] = 577370,
  [SMALL_STATE(13142)] = 577396,
  [SMALL_STATE(13143)] = 577418,
  [SMALL_STATE(13144)] = 577440,
  [SMALL_STATE(13145)] = 577462,
  [SMALL_STATE(13146)] = 577484,
  [SMALL_STATE(13147)] = 577514,
  [SMALL_STATE(13148)] = 577542,
  [SMALL_STATE(13149)] = 577566,
  [SMALL_STATE(13150)] = 577592,
  [SMALL_STATE(13151)] = 577614,
  [SMALL_STATE(13152)] = 577642,
  [SMALL_STATE(13153)] = 577666,
  [SMALL_STATE(13154)] = 577688,
  [SMALL_STATE(13155)] = 577714,
  [SMALL_STATE(13156)] = 577740,
  [SMALL_STATE(13157)] = 577762,
  [SMALL_STATE(13158)] = 577784,
  [SMALL_STATE(13159)] = 577810,
  [SMALL_STATE(13160)] = 577832,
  [SMALL_STATE(13161)] = 577854,
  [SMALL_STATE(13162)] = 577876,
  [SMALL_STATE(13163)] = 577898,
  [SMALL_STATE(13164)] = 577920,
  [SMALL_STATE(13165)] = 577942,
  [SMALL_STATE(13166)] = 577964,
  [SMALL_STATE(13167)] = 577986,
  [SMALL_STATE(13168)] = 578008,
  [SMALL_STATE(13169)] = 578030,
  [SMALL_STATE(13170)] = 578052,
  [SMALL_STATE(13171)] = 578074,
  [SMALL_STATE(13172)] = 578104,
  [SMALL_STATE(13173)] = 578128,
  [SMALL_STATE(13174)] = 578152,
  [SMALL_STATE(13175)] = 578176,
  [SMALL_STATE(13176)] = 578198,
  [SMALL_STATE(13177)] = 578220,
  [SMALL_STATE(13178)] = 578242,
  [SMALL_STATE(13179)] = 578264,
  [SMALL_STATE(13180)] = 578286,
  [SMALL_STATE(13181)] = 578308,
  [SMALL_STATE(13182)] = 578332,
  [SMALL_STATE(13183)] = 578354,
  [SMALL_STATE(13184)] = 578376,
  [SMALL_STATE(13185)] = 578400,
  [SMALL_STATE(13186)] = 578422,
  [SMALL_STATE(13187)] = 578450,
  [SMALL_STATE(13188)] = 578472,
  [SMALL_STATE(13189)] = 578494,
  [SMALL_STATE(13190)] = 578518,
  [SMALL_STATE(13191)] = 578540,
  [SMALL_STATE(13192)] = 578562,
  [SMALL_STATE(13193)] = 578590,
  [SMALL_STATE(13194)] = 578612,
  [SMALL_STATE(13195)] = 578634,
  [SMALL_STATE(13196)] = 578660,
  [SMALL_STATE(13197)] = 578682,
  [SMALL_STATE(13198)] = 578710,
  [SMALL_STATE(13199)] = 578732,
  [SMALL_STATE(13200)] = 578760,
  [SMALL_STATE(13201)] = 578782,
  [SMALL_STATE(13202)] = 578804,
  [SMALL_STATE(13203)] = 578826,
  [SMALL_STATE(13204)] = 578848,
  [SMALL_STATE(13205)] = 578870,
  [SMALL_STATE(13206)] = 578896,
  [SMALL_STATE(13207)] = 578918,
  [SMALL_STATE(13208)] = 578940,
  [SMALL_STATE(13209)] = 578964,
  [SMALL_STATE(13210)] = 578986,
  [SMALL_STATE(13211)] = 579008,
  [SMALL_STATE(13212)] = 579036,
  [SMALL_STATE(13213)] = 579058,
  [SMALL_STATE(13214)] = 579080,
  [SMALL_STATE(13215)] = 579106,
  [SMALL_STATE(13216)] = 579128,
  [SMALL_STATE(13217)] = 579150,
  [SMALL_STATE(13218)] = 579172,
  [SMALL_STATE(13219)] = 579194,
  [SMALL_STATE(13220)] = 579216,
  [SMALL_STATE(13221)] = 579238,
  [SMALL_STATE(13222)] = 579260,
  [SMALL_STATE(13223)] = 579286,
  [SMALL_STATE(13224)] = 579312,
  [SMALL_STATE(13225)] = 579334,
  [SMALL_STATE(13226)] = 579356,
  [SMALL_STATE(13227)] = 579378,
  [SMALL_STATE(13228)] = 579400,
  [SMALL_STATE(13229)] = 579424,
  [SMALL_STATE(13230)] = 579446,
  [SMALL_STATE(13231)] = 579476,
  [SMALL_STATE(13232)] = 579498,
  [SMALL_STATE(13233)] = 579520,
  [SMALL_STATE(13234)] = 579542,
  [SMALL_STATE(13235)] = 579564,
  [SMALL_STATE(13236)] = 579586,
  [SMALL_STATE(13237)] = 579610,
  [SMALL_STATE(13238)] = 579632,
  [SMALL_STATE(13239)] = 579658,
  [SMALL_STATE(13240)] = 579682,
  [SMALL_STATE(13241)] = 579708,
  [SMALL_STATE(13242)] = 579730,
  [SMALL_STATE(13243)] = 579752,
  [SMALL_STATE(13244)] = 579774,
  [SMALL_STATE(13245)] = 579800,
  [SMALL_STATE(13246)] = 579822,
  [SMALL_STATE(13247)] = 579844,
  [SMALL_STATE(13248)] = 579866,
  [SMALL_STATE(13249)] = 579888,
  [SMALL_STATE(13250)] = 579910,
  [SMALL_STATE(13251)] = 579932,
  [SMALL_STATE(13252)] = 579954,
  [SMALL_STATE(13253)] = 579982,
  [SMALL_STATE(13254)] = 580004,
  [SMALL_STATE(13255)] = 580030,
  [SMALL_STATE(13256)] = 580056,
  [SMALL_STATE(13257)] = 580078,
  [SMALL_STATE(13258)] = 580104,
  [SMALL_STATE(13259)] = 580126,
  [SMALL_STATE(13260)] = 580152,
  [SMALL_STATE(13261)] = 580174,
  [SMALL_STATE(13262)] = 580202,
  [SMALL_STATE(13263)] = 580223,
  [SMALL_STATE(13264)] = 580248,
  [SMALL_STATE(13265)] = 580271,
  [SMALL_STATE(13266)] = 580292,
  [SMALL_STATE(13267)] = 580319,
  [SMALL_STATE(13268)] = 580340,
  [SMALL_STATE(13269)] = 580365,
  [SMALL_STATE(13270)] = 580386,
  [SMALL_STATE(13271)] = 580415,
  [SMALL_STATE(13272)] = 580436,
  [SMALL_STATE(13273)] = 580457,
  [SMALL_STATE(13274)] = 580482,
  [SMALL_STATE(13275)] = 580503,
  [SMALL_STATE(13276)] = 580524,
  [SMALL_STATE(13277)] = 580545,
  [SMALL_STATE(13278)] = 580578,
  [SMALL_STATE(13279)] = 580605,
  [SMALL_STATE(13280)] = 580630,
  [SMALL_STATE(13281)] = 580651,
  [SMALL_STATE(13282)] = 580676,
  [SMALL_STATE(13283)] = 580709,
  [SMALL_STATE(13284)] = 580730,
  [SMALL_STATE(13285)] = 580759,
  [SMALL_STATE(13286)] = 580780,
  [SMALL_STATE(13287)] = 580805,
  [SMALL_STATE(13288)] = 580826,
  [SMALL_STATE(13289)] = 580847,
  [SMALL_STATE(13290)] = 580872,
  [SMALL_STATE(13291)] = 580893,
  [SMALL_STATE(13292)] = 580918,
  [SMALL_STATE(13293)] = 580951,
  [SMALL_STATE(13294)] = 580972,
  [SMALL_STATE(13295)] = 581003,
  [SMALL_STATE(13296)] = 581024,
  [SMALL_STATE(13297)] = 581057,
  [SMALL_STATE(13298)] = 581090,
  [SMALL_STATE(13299)] = 581111,
  [SMALL_STATE(13300)] = 581132,
  [SMALL_STATE(13301)] = 581153,
  [SMALL_STATE(13302)] = 581174,
  [SMALL_STATE(13303)] = 581195,
  [SMALL_STATE(13304)] = 581216,
  [SMALL_STATE(13305)] = 581237,
  [SMALL_STATE(13306)] = 581260,
  [SMALL_STATE(13307)] = 581281,
  [SMALL_STATE(13308)] = 581302,
  [SMALL_STATE(13309)] = 581323,
  [SMALL_STATE(13310)] = 581352,
  [SMALL_STATE(13311)] = 581373,
  [SMALL_STATE(13312)] = 581398,
  [SMALL_STATE(13313)] = 581425,
  [SMALL_STATE(13314)] = 581446,
  [SMALL_STATE(13315)] = 581467,
  [SMALL_STATE(13316)] = 581488,
  [SMALL_STATE(13317)] = 581509,
  [SMALL_STATE(13318)] = 581530,
  [SMALL_STATE(13319)] = 581557,
  [SMALL_STATE(13320)] = 581578,
  [SMALL_STATE(13321)] = 581601,
  [SMALL_STATE(13322)] = 581628,
  [SMALL_STATE(13323)] = 581649,
  [SMALL_STATE(13324)] = 581670,
  [SMALL_STATE(13325)] = 581695,
  [SMALL_STATE(13326)] = 581716,
  [SMALL_STATE(13327)] = 581737,
  [SMALL_STATE(13328)] = 581764,
  [SMALL_STATE(13329)] = 581785,
  [SMALL_STATE(13330)] = 581806,
  [SMALL_STATE(13331)] = 581835,
  [SMALL_STATE(13332)] = 581856,
  [SMALL_STATE(13333)] = 581877,
  [SMALL_STATE(13334)] = 581900,
  [SMALL_STATE(13335)] = 581921,
  [SMALL_STATE(13336)] = 581948,
  [SMALL_STATE(13337)] = 581973,
  [SMALL_STATE(13338)] = 581994,
  [SMALL_STATE(13339)] = 582015,
  [SMALL_STATE(13340)] = 582040,
  [SMALL_STATE(13341)] = 582065,
  [SMALL_STATE(13342)] = 582094,
  [SMALL_STATE(13343)] = 582119,
  [SMALL_STATE(13344)] = 582140,
  [SMALL_STATE(13345)] = 582161,
  [SMALL_STATE(13346)] = 582182,
  [SMALL_STATE(13347)] = 582207,
  [SMALL_STATE(13348)] = 582230,
  [SMALL_STATE(13349)] = 582251,
  [SMALL_STATE(13350)] = 582274,
  [SMALL_STATE(13351)] = 582299,
  [SMALL_STATE(13352)] = 582320,
  [SMALL_STATE(13353)] = 582345,
  [SMALL_STATE(13354)] = 582376,
  [SMALL_STATE(13355)] = 582405,
  [SMALL_STATE(13356)] = 582428,
  [SMALL_STATE(13357)] = 582449,
  [SMALL_STATE(13358)] = 582470,
  [SMALL_STATE(13359)] = 582493,
  [SMALL_STATE(13360)] = 582520,
  [SMALL_STATE(13361)] = 582541,
  [SMALL_STATE(13362)] = 582574,
  [SMALL_STATE(13363)] = 582595,
  [SMALL_STATE(13364)] = 582624,
  [SMALL_STATE(13365)] = 582645,
  [SMALL_STATE(13366)] = 582672,
  [SMALL_STATE(13367)] = 582699,
  [SMALL_STATE(13368)] = 582720,
  [SMALL_STATE(13369)] = 582741,
  [SMALL_STATE(13370)] = 582766,
  [SMALL_STATE(13371)] = 582791,
  [SMALL_STATE(13372)] = 582816,
  [SMALL_STATE(13373)] = 582841,
  [SMALL_STATE(13374)] = 582864,
  [SMALL_STATE(13375)] = 582885,
  [SMALL_STATE(13376)] = 582912,
  [SMALL_STATE(13377)] = 582937,
  [SMALL_STATE(13378)] = 582960,
  [SMALL_STATE(13379)] = 582981,
  [SMALL_STATE(13380)] = 583002,
  [SMALL_STATE(13381)] = 583023,
  [SMALL_STATE(13382)] = 583048,
  [SMALL_STATE(13383)] = 583073,
  [SMALL_STATE(13384)] = 583094,
  [SMALL_STATE(13385)] = 583119,
  [SMALL_STATE(13386)] = 583140,
  [SMALL_STATE(13387)] = 583161,
  [SMALL_STATE(13388)] = 583190,
  [SMALL_STATE(13389)] = 583211,
  [SMALL_STATE(13390)] = 583236,
  [SMALL_STATE(13391)] = 583265,
  [SMALL_STATE(13392)] = 583286,
  [SMALL_STATE(13393)] = 583311,
  [SMALL_STATE(13394)] = 583344,
  [SMALL_STATE(13395)] = 583373,
  [SMALL_STATE(13396)] = 583394,
  [SMALL_STATE(13397)] = 583423,
  [SMALL_STATE(13398)] = 583444,
  [SMALL_STATE(13399)] = 583465,
  [SMALL_STATE(13400)] = 583490,
  [SMALL_STATE(13401)] = 583523,
  [SMALL_STATE(13402)] = 583550,
  [SMALL_STATE(13403)] = 583571,
  [SMALL_STATE(13404)] = 583594,
  [SMALL_STATE(13405)] = 583623,
  [SMALL_STATE(13406)] = 583644,
  [SMALL_STATE(13407)] = 583671,
  [SMALL_STATE(13408)] = 583694,
  [SMALL_STATE(13409)] = 583715,
  [SMALL_STATE(13410)] = 583748,
  [SMALL_STATE(13411)] = 583775,
  [SMALL_STATE(13412)] = 583800,
  [SMALL_STATE(13413)] = 583825,
  [SMALL_STATE(13414)] = 583852,
  [SMALL_STATE(13415)] = 583883,
  [SMALL_STATE(13416)] = 583910,
  [SMALL_STATE(13417)] = 583943,
  [SMALL_STATE(13418)] = 583966,
  [SMALL_STATE(13419)] = 583993,
  [SMALL_STATE(13420)] = 584016,
  [SMALL_STATE(13421)] = 584041,
  [SMALL_STATE(13422)] = 584066,
  [SMALL_STATE(13423)] = 584087,
  [SMALL_STATE(13424)] = 584112,
  [SMALL_STATE(13425)] = 584139,
  [SMALL_STATE(13426)] = 584164,
  [SMALL_STATE(13427)] = 584191,
  [SMALL_STATE(13428)] = 584216,
  [SMALL_STATE(13429)] = 584241,
  [SMALL_STATE(13430)] = 584270,
  [SMALL_STATE(13431)] = 584295,
  [SMALL_STATE(13432)] = 584316,
  [SMALL_STATE(13433)] = 584343,
  [SMALL_STATE(13434)] = 584370,
  [SMALL_STATE(13435)] = 584393,
  [SMALL_STATE(13436)] = 584418,
  [SMALL_STATE(13437)] = 584445,
  [SMALL_STATE(13438)] = 584470,
  [SMALL_STATE(13439)] = 584491,
  [SMALL_STATE(13440)] = 584516,
  [SMALL_STATE(13441)] = 584547,
  [SMALL_STATE(13442)] = 584572,
  [SMALL_STATE(13443)] = 584599,
  [SMALL_STATE(13444)] = 584624,
  [SMALL_STATE(13445)] = 584657,
  [SMALL_STATE(13446)] = 584690,
  [SMALL_STATE(13447)] = 584715,
  [SMALL_STATE(13448)] = 584736,
  [SMALL_STATE(13449)] = 584761,
  [SMALL_STATE(13450)] = 584788,
  [SMALL_STATE(13451)] = 584813,
  [SMALL_STATE(13452)] = 584838,
  [SMALL_STATE(13453)] = 584863,
  [SMALL_STATE(13454)] = 584886,
  [SMALL_STATE(13455)] = 584915,
  [SMALL_STATE(13456)] = 584940,
  [SMALL_STATE(13457)] = 584969,
  [SMALL_STATE(13458)] = 585002,
  [SMALL_STATE(13459)] = 585025,
  [SMALL_STATE(13460)] = 585048,
  [SMALL_STATE(13461)] = 585071,
  [SMALL_STATE(13462)] = 585104,
  [SMALL_STATE(13463)] = 585125,
  [SMALL_STATE(13464)] = 585146,
  [SMALL_STATE(13465)] = 585170,
  [SMALL_STATE(13466)] = 585192,
  [SMALL_STATE(13467)] = 585218,
  [SMALL_STATE(13468)] = 585240,
  [SMALL_STATE(13469)] = 585268,
  [SMALL_STATE(13470)] = 585288,
  [SMALL_STATE(13471)] = 585314,
  [SMALL_STATE(13472)] = 585334,
  [SMALL_STATE(13473)] = 585358,
  [SMALL_STATE(13474)] = 585380,
  [SMALL_STATE(13475)] = 585404,
  [SMALL_STATE(13476)] = 585424,
  [SMALL_STATE(13477)] = 585446,
  [SMALL_STATE(13478)] = 585472,
  [SMALL_STATE(13479)] = 585496,
  [SMALL_STATE(13480)] = 585520,
  [SMALL_STATE(13481)] = 585540,
  [SMALL_STATE(13482)] = 585564,
  [SMALL_STATE(13483)] = 585592,
  [SMALL_STATE(13484)] = 585616,
  [SMALL_STATE(13485)] = 585640,
  [SMALL_STATE(13486)] = 585662,
  [SMALL_STATE(13487)] = 585682,
  [SMALL_STATE(13488)] = 585706,
  [SMALL_STATE(13489)] = 585726,
  [SMALL_STATE(13490)] = 585746,
  [SMALL_STATE(13491)] = 585766,
  [SMALL_STATE(13492)] = 585792,
  [SMALL_STATE(13493)] = 585816,
  [SMALL_STATE(13494)] = 585840,
  [SMALL_STATE(13495)] = 585866,
  [SMALL_STATE(13496)] = 585890,
  [SMALL_STATE(13497)] = 585910,
  [SMALL_STATE(13498)] = 585936,
  [SMALL_STATE(13499)] = 585960,
  [SMALL_STATE(13500)] = 585982,
  [SMALL_STATE(13501)] = 586008,
  [SMALL_STATE(13502)] = 586034,
  [SMALL_STATE(13503)] = 586058,
  [SMALL_STATE(13504)] = 586078,
  [SMALL_STATE(13505)] = 586102,
  [SMALL_STATE(13506)] = 586126,
  [SMALL_STATE(13507)] = 586146,
  [SMALL_STATE(13508)] = 586172,
  [SMALL_STATE(13509)] = 586192,
  [SMALL_STATE(13510)] = 586216,
  [SMALL_STATE(13511)] = 586238,
  [SMALL_STATE(13512)] = 586262,
  [SMALL_STATE(13513)] = 586286,
  [SMALL_STATE(13514)] = 586316,
  [SMALL_STATE(13515)] = 586342,
  [SMALL_STATE(13516)] = 586368,
  [SMALL_STATE(13517)] = 586390,
  [SMALL_STATE(13518)] = 586414,
  [SMALL_STATE(13519)] = 586436,
  [SMALL_STATE(13520)] = 586460,
  [SMALL_STATE(13521)] = 586480,
  [SMALL_STATE(13522)] = 586504,
  [SMALL_STATE(13523)] = 586530,
  [SMALL_STATE(13524)] = 586554,
  [SMALL_STATE(13525)] = 586574,
  [SMALL_STATE(13526)] = 586602,
  [SMALL_STATE(13527)] = 586622,
  [SMALL_STATE(13528)] = 586642,
  [SMALL_STATE(13529)] = 586662,
  [SMALL_STATE(13530)] = 586682,
  [SMALL_STATE(13531)] = 586706,
  [SMALL_STATE(13532)] = 586726,
  [SMALL_STATE(13533)] = 586746,
  [SMALL_STATE(13534)] = 586766,
  [SMALL_STATE(13535)] = 586786,
  [SMALL_STATE(13536)] = 586810,
  [SMALL_STATE(13537)] = 586836,
  [SMALL_STATE(13538)] = 586856,
  [SMALL_STATE(13539)] = 586880,
  [SMALL_STATE(13540)] = 586902,
  [SMALL_STATE(13541)] = 586926,
  [SMALL_STATE(13542)] = 586948,
  [SMALL_STATE(13543)] = 586976,
  [SMALL_STATE(13544)] = 587000,
  [SMALL_STATE(13545)] = 587028,
  [SMALL_STATE(13546)] = 587052,
  [SMALL_STATE(13547)] = 587078,
  [SMALL_STATE(13548)] = 587098,
  [SMALL_STATE(13549)] = 587118,
  [SMALL_STATE(13550)] = 587138,
  [SMALL_STATE(13551)] = 587162,
  [SMALL_STATE(13552)] = 587186,
  [SMALL_STATE(13553)] = 587210,
  [SMALL_STATE(13554)] = 587232,
  [SMALL_STATE(13555)] = 587252,
  [SMALL_STATE(13556)] = 587276,
  [SMALL_STATE(13557)] = 587298,
  [SMALL_STATE(13558)] = 587322,
  [SMALL_STATE(13559)] = 587354,
  [SMALL_STATE(13560)] = 587374,
  [SMALL_STATE(13561)] = 587394,
  [SMALL_STATE(13562)] = 587414,
  [SMALL_STATE(13563)] = 587434,
  [SMALL_STATE(13564)] = 587464,
  [SMALL_STATE(13565)] = 587488,
  [SMALL_STATE(13566)] = 587508,
  [SMALL_STATE(13567)] = 587528,
  [SMALL_STATE(13568)] = 587548,
  [SMALL_STATE(13569)] = 587574,
  [SMALL_STATE(13570)] = 587604,
  [SMALL_STATE(13571)] = 587624,
  [SMALL_STATE(13572)] = 587644,
  [SMALL_STATE(13573)] = 587664,
  [SMALL_STATE(13574)] = 587690,
  [SMALL_STATE(13575)] = 587722,
  [SMALL_STATE(13576)] = 587744,
  [SMALL_STATE(13577)] = 587764,
  [SMALL_STATE(13578)] = 587784,
  [SMALL_STATE(13579)] = 587806,
  [SMALL_STATE(13580)] = 587830,
  [SMALL_STATE(13581)] = 587854,
  [SMALL_STATE(13582)] = 587874,
  [SMALL_STATE(13583)] = 587894,
  [SMALL_STATE(13584)] = 587914,
  [SMALL_STATE(13585)] = 587934,
  [SMALL_STATE(13586)] = 587960,
  [SMALL_STATE(13587)] = 587982,
  [SMALL_STATE(13588)] = 588002,
  [SMALL_STATE(13589)] = 588026,
  [SMALL_STATE(13590)] = 588048,
  [SMALL_STATE(13591)] = 588068,
  [SMALL_STATE(13592)] = 588094,
  [SMALL_STATE(13593)] = 588118,
  [SMALL_STATE(13594)] = 588138,
  [SMALL_STATE(13595)] = 588164,
  [SMALL_STATE(13596)] = 588184,
  [SMALL_STATE(13597)] = 588210,
  [SMALL_STATE(13598)] = 588230,
  [SMALL_STATE(13599)] = 588252,
  [SMALL_STATE(13600)] = 588278,
  [SMALL_STATE(13601)] = 588298,
  [SMALL_STATE(13602)] = 588320,
  [SMALL_STATE(13603)] = 588340,
  [SMALL_STATE(13604)] = 588364,
  [SMALL_STATE(13605)] = 588390,
  [SMALL_STATE(13606)] = 588414,
  [SMALL_STATE(13607)] = 588438,
  [SMALL_STATE(13608)] = 588458,
  [SMALL_STATE(13609)] = 588480,
  [SMALL_STATE(13610)] = 588500,
  [SMALL_STATE(13611)] = 588520,
  [SMALL_STATE(13612)] = 588546,
  [SMALL_STATE(13613)] = 588570,
  [SMALL_STATE(13614)] = 588602,
  [SMALL_STATE(13615)] = 588628,
  [SMALL_STATE(13616)] = 588652,
  [SMALL_STATE(13617)] = 588672,
  [SMALL_STATE(13618)] = 588694,
  [SMALL_STATE(13619)] = 588714,
  [SMALL_STATE(13620)] = 588744,
  [SMALL_STATE(13621)] = 588764,
  [SMALL_STATE(13622)] = 588784,
  [SMALL_STATE(13623)] = 588808,
  [SMALL_STATE(13624)] = 588828,
  [SMALL_STATE(13625)] = 588848,
  [SMALL_STATE(13626)] = 588868,
  [SMALL_STATE(13627)] = 588894,
  [SMALL_STATE(13628)] = 588916,
  [SMALL_STATE(13629)] = 588944,
  [SMALL_STATE(13630)] = 588968,
  [SMALL_STATE(13631)] = 588992,
  [SMALL_STATE(13632)] = 589012,
  [SMALL_STATE(13633)] = 589032,
  [SMALL_STATE(13634)] = 589056,
  [SMALL_STATE(13635)] = 589078,
  [SMALL_STATE(13636)] = 589098,
  [SMALL_STATE(13637)] = 589130,
  [SMALL_STATE(13638)] = 589156,
  [SMALL_STATE(13639)] = 589180,
  [SMALL_STATE(13640)] = 589199,
  [SMALL_STATE(13641)] = 589218,
  [SMALL_STATE(13642)] = 589247,
  [SMALL_STATE(13643)] = 589272,
  [SMALL_STATE(13644)] = 589297,
  [SMALL_STATE(13645)] = 589326,
  [SMALL_STATE(13646)] = 589345,
  [SMALL_STATE(13647)] = 589368,
  [SMALL_STATE(13648)] = 589387,
  [SMALL_STATE(13649)] = 589416,
  [SMALL_STATE(13650)] = 589445,
  [SMALL_STATE(13651)] = 589474,
  [SMALL_STATE(13652)] = 589503,
  [SMALL_STATE(13653)] = 589522,
  [SMALL_STATE(13654)] = 589547,
  [SMALL_STATE(13655)] = 589570,
  [SMALL_STATE(13656)] = 589599,
  [SMALL_STATE(13657)] = 589624,
  [SMALL_STATE(13658)] = 589645,
  [SMALL_STATE(13659)] = 589664,
  [SMALL_STATE(13660)] = 589687,
  [SMALL_STATE(13661)] = 589716,
  [SMALL_STATE(13662)] = 589739,
  [SMALL_STATE(13663)] = 589762,
  [SMALL_STATE(13664)] = 589791,
  [SMALL_STATE(13665)] = 589816,
  [SMALL_STATE(13666)] = 589835,
  [SMALL_STATE(13667)] = 589860,
  [SMALL_STATE(13668)] = 589883,
  [SMALL_STATE(13669)] = 589912,
  [SMALL_STATE(13670)] = 589931,
  [SMALL_STATE(13671)] = 589960,
  [SMALL_STATE(13672)] = 589979,
  [SMALL_STATE(13673)] = 590004,
  [SMALL_STATE(13674)] = 590029,
  [SMALL_STATE(13675)] = 590048,
  [SMALL_STATE(13676)] = 590067,
  [SMALL_STATE(13677)] = 590092,
  [SMALL_STATE(13678)] = 590111,
  [SMALL_STATE(13679)] = 590130,
  [SMALL_STATE(13680)] = 590153,
  [SMALL_STATE(13681)] = 590172,
  [SMALL_STATE(13682)] = 590191,
  [SMALL_STATE(13683)] = 590212,
  [SMALL_STATE(13684)] = 590235,
  [SMALL_STATE(13685)] = 590256,
  [SMALL_STATE(13686)] = 590285,
  [SMALL_STATE(13687)] = 590304,
  [SMALL_STATE(13688)] = 590327,
  [SMALL_STATE(13689)] = 590348,
  [SMALL_STATE(13690)] = 590367,
  [SMALL_STATE(13691)] = 590386,
  [SMALL_STATE(13692)] = 590405,
  [SMALL_STATE(13693)] = 590428,
  [SMALL_STATE(13694)] = 590451,
  [SMALL_STATE(13695)] = 590474,
  [SMALL_STATE(13696)] = 590497,
  [SMALL_STATE(13697)] = 590526,
  [SMALL_STATE(13698)] = 590549,
  [SMALL_STATE(13699)] = 590572,
  [SMALL_STATE(13700)] = 590601,
  [SMALL_STATE(13701)] = 590624,
  [SMALL_STATE(13702)] = 590643,
  [SMALL_STATE(13703)] = 590666,
  [SMALL_STATE(13704)] = 590685,
  [SMALL_STATE(13705)] = 590704,
  [SMALL_STATE(13706)] = 590733,
  [SMALL_STATE(13707)] = 590752,
  [SMALL_STATE(13708)] = 590771,
  [SMALL_STATE(13709)] = 590790,
  [SMALL_STATE(13710)] = 590819,
  [SMALL_STATE(13711)] = 590848,
  [SMALL_STATE(13712)] = 590867,
  [SMALL_STATE(13713)] = 590890,
  [SMALL_STATE(13714)] = 590909,
  [SMALL_STATE(13715)] = 590928,
  [SMALL_STATE(13716)] = 590947,
  [SMALL_STATE(13717)] = 590976,
  [SMALL_STATE(13718)] = 591001,
  [SMALL_STATE(13719)] = 591030,
  [SMALL_STATE(13720)] = 591049,
  [SMALL_STATE(13721)] = 591068,
  [SMALL_STATE(13722)] = 591089,
  [SMALL_STATE(13723)] = 591108,
  [SMALL_STATE(13724)] = 591127,
  [SMALL_STATE(13725)] = 591146,
  [SMALL_STATE(13726)] = 591165,
  [SMALL_STATE(13727)] = 591194,
  [SMALL_STATE(13728)] = 591217,
  [SMALL_STATE(13729)] = 591238,
  [SMALL_STATE(13730)] = 591263,
  [SMALL_STATE(13731)] = 591286,
  [SMALL_STATE(13732)] = 591309,
  [SMALL_STATE(13733)] = 591338,
  [SMALL_STATE(13734)] = 591357,
  [SMALL_STATE(13735)] = 591382,
  [SMALL_STATE(13736)] = 591411,
  [SMALL_STATE(13737)] = 591434,
  [SMALL_STATE(13738)] = 591455,
  [SMALL_STATE(13739)] = 591474,
  [SMALL_STATE(13740)] = 591493,
  [SMALL_STATE(13741)] = 591512,
  [SMALL_STATE(13742)] = 591541,
  [SMALL_STATE(13743)] = 591566,
  [SMALL_STATE(13744)] = 591589,
  [SMALL_STATE(13745)] = 591618,
  [SMALL_STATE(13746)] = 591637,
  [SMALL_STATE(13747)] = 591658,
  [SMALL_STATE(13748)] = 591679,
  [SMALL_STATE(13749)] = 591708,
  [SMALL_STATE(13750)] = 591727,
  [SMALL_STATE(13751)] = 591756,
  [SMALL_STATE(13752)] = 591775,
  [SMALL_STATE(13753)] = 591798,
  [SMALL_STATE(13754)] = 591827,
  [SMALL_STATE(13755)] = 591856,
  [SMALL_STATE(13756)] = 591875,
  [SMALL_STATE(13757)] = 591898,
  [SMALL_STATE(13758)] = 591927,
  [SMALL_STATE(13759)] = 591956,
  [SMALL_STATE(13760)] = 591975,
  [SMALL_STATE(13761)] = 591994,
  [SMALL_STATE(13762)] = 592015,
  [SMALL_STATE(13763)] = 592034,
  [SMALL_STATE(13764)] = 592053,
  [SMALL_STATE(13765)] = 592082,
  [SMALL_STATE(13766)] = 592107,
  [SMALL_STATE(13767)] = 592126,
  [SMALL_STATE(13768)] = 592145,
  [SMALL_STATE(13769)] = 592168,
  [SMALL_STATE(13770)] = 592187,
  [SMALL_STATE(13771)] = 592212,
  [SMALL_STATE(13772)] = 592231,
  [SMALL_STATE(13773)] = 592254,
  [SMALL_STATE(13774)] = 592275,
  [SMALL_STATE(13775)] = 592294,
  [SMALL_STATE(13776)] = 592313,
  [SMALL_STATE(13777)] = 592342,
  [SMALL_STATE(13778)] = 592371,
  [SMALL_STATE(13779)] = 592390,
  [SMALL_STATE(13780)] = 592419,
  [SMALL_STATE(13781)] = 592444,
  [SMALL_STATE(13782)] = 592463,
  [SMALL_STATE(13783)] = 592482,
  [SMALL_STATE(13784)] = 592505,
  [SMALL_STATE(13785)] = 592530,
  [SMALL_STATE(13786)] = 592549,
  [SMALL_STATE(13787)] = 592568,
  [SMALL_STATE(13788)] = 592591,
  [SMALL_STATE(13789)] = 592614,
  [SMALL_STATE(13790)] = 592639,
  [SMALL_STATE(13791)] = 592658,
  [SMALL_STATE(13792)] = 592683,
  [SMALL_STATE(13793)] = 592702,
  [SMALL_STATE(13794)] = 592721,
  [SMALL_STATE(13795)] = 592740,
  [SMALL_STATE(13796)] = 592758,
  [SMALL_STATE(13797)] = 592776,
  [SMALL_STATE(13798)] = 592800,
  [SMALL_STATE(13799)] = 592822,
  [SMALL_STATE(13800)] = 592846,
  [SMALL_STATE(13801)] = 592866,
  [SMALL_STATE(13802)] = 592884,
  [SMALL_STATE(13803)] = 592910,
  [SMALL_STATE(13804)] = 592928,
  [SMALL_STATE(13805)] = 592946,
  [SMALL_STATE(13806)] = 592964,
  [SMALL_STATE(13807)] = 592982,
  [SMALL_STATE(13808)] = 593000,
  [SMALL_STATE(13809)] = 593018,
  [SMALL_STATE(13810)] = 593036,
  [SMALL_STATE(13811)] = 593060,
  [SMALL_STATE(13812)] = 593078,
  [SMALL_STATE(13813)] = 593096,
  [SMALL_STATE(13814)] = 593114,
  [SMALL_STATE(13815)] = 593132,
  [SMALL_STATE(13816)] = 593154,
  [SMALL_STATE(13817)] = 593172,
  [SMALL_STATE(13818)] = 593190,
  [SMALL_STATE(13819)] = 593208,
  [SMALL_STATE(13820)] = 593234,
  [SMALL_STATE(13821)] = 593252,
  [SMALL_STATE(13822)] = 593270,
  [SMALL_STATE(13823)] = 593292,
  [SMALL_STATE(13824)] = 593318,
  [SMALL_STATE(13825)] = 593336,
  [SMALL_STATE(13826)] = 593354,
  [SMALL_STATE(13827)] = 593380,
  [SMALL_STATE(13828)] = 593398,
  [SMALL_STATE(13829)] = 593416,
  [SMALL_STATE(13830)] = 593436,
  [SMALL_STATE(13831)] = 593454,
  [SMALL_STATE(13832)] = 593476,
  [SMALL_STATE(13833)] = 593502,
  [SMALL_STATE(13834)] = 593526,
  [SMALL_STATE(13835)] = 593552,
  [SMALL_STATE(13836)] = 593576,
  [SMALL_STATE(13837)] = 593594,
  [SMALL_STATE(13838)] = 593620,
  [SMALL_STATE(13839)] = 593638,
  [SMALL_STATE(13840)] = 593662,
  [SMALL_STATE(13841)] = 593680,
  [SMALL_STATE(13842)] = 593702,
  [SMALL_STATE(13843)] = 593720,
  [SMALL_STATE(13844)] = 593746,
  [SMALL_STATE(13845)] = 593766,
  [SMALL_STATE(13846)] = 593792,
  [SMALL_STATE(13847)] = 593812,
  [SMALL_STATE(13848)] = 593830,
  [SMALL_STATE(13849)] = 593848,
  [SMALL_STATE(13850)] = 593874,
  [SMALL_STATE(13851)] = 593892,
  [SMALL_STATE(13852)] = 593912,
  [SMALL_STATE(13853)] = 593938,
  [SMALL_STATE(13854)] = 593956,
  [SMALL_STATE(13855)] = 593974,
  [SMALL_STATE(13856)] = 593992,
  [SMALL_STATE(13857)] = 594010,
  [SMALL_STATE(13858)] = 594028,
  [SMALL_STATE(13859)] = 594046,
  [SMALL_STATE(13860)] = 594072,
  [SMALL_STATE(13861)] = 594090,
  [SMALL_STATE(13862)] = 594108,
  [SMALL_STATE(13863)] = 594126,
  [SMALL_STATE(13864)] = 594152,
  [SMALL_STATE(13865)] = 594174,
  [SMALL_STATE(13866)] = 594192,
  [SMALL_STATE(13867)] = 594210,
  [SMALL_STATE(13868)] = 594228,
  [SMALL_STATE(13869)] = 594246,
  [SMALL_STATE(13870)] = 594264,
  [SMALL_STATE(13871)] = 594282,
  [SMALL_STATE(13872)] = 594300,
  [SMALL_STATE(13873)] = 594318,
  [SMALL_STATE(13874)] = 594340,
  [SMALL_STATE(13875)] = 594364,
  [SMALL_STATE(13876)] = 594382,
  [SMALL_STATE(13877)] = 594408,
  [SMALL_STATE(13878)] = 594426,
  [SMALL_STATE(13879)] = 594444,
  [SMALL_STATE(13880)] = 594466,
  [SMALL_STATE(13881)] = 594484,
  [SMALL_STATE(13882)] = 594510,
  [SMALL_STATE(13883)] = 594536,
  [SMALL_STATE(13884)] = 594554,
  [SMALL_STATE(13885)] = 594572,
  [SMALL_STATE(13886)] = 594598,
  [SMALL_STATE(13887)] = 594618,
  [SMALL_STATE(13888)] = 594644,
  [SMALL_STATE(13889)] = 594670,
  [SMALL_STATE(13890)] = 594688,
  [SMALL_STATE(13891)] = 594712,
  [SMALL_STATE(13892)] = 594738,
  [SMALL_STATE(13893)] = 594764,
  [SMALL_STATE(13894)] = 594782,
  [SMALL_STATE(13895)] = 594808,
  [SMALL_STATE(13896)] = 594826,
  [SMALL_STATE(13897)] = 594844,
  [SMALL_STATE(13898)] = 594862,
  [SMALL_STATE(13899)] = 594884,
  [SMALL_STATE(13900)] = 594904,
  [SMALL_STATE(13901)] = 594922,
  [SMALL_STATE(13902)] = 594948,
  [SMALL_STATE(13903)] = 594966,
  [SMALL_STATE(13904)] = 594984,
  [SMALL_STATE(13905)] = 595010,
  [SMALL_STATE(13906)] = 595036,
  [SMALL_STATE(13907)] = 595054,
  [SMALL_STATE(13908)] = 595080,
  [SMALL_STATE(13909)] = 595106,
  [SMALL_STATE(13910)] = 595124,
  [SMALL_STATE(13911)] = 595150,
  [SMALL_STATE(13912)] = 595176,
  [SMALL_STATE(13913)] = 595194,
  [SMALL_STATE(13914)] = 595218,
  [SMALL_STATE(13915)] = 595236,
  [SMALL_STATE(13916)] = 595260,
  [SMALL_STATE(13917)] = 595286,
  [SMALL_STATE(13918)] = 595312,
  [SMALL_STATE(13919)] = 595336,
  [SMALL_STATE(13920)] = 595362,
  [SMALL_STATE(13921)] = 595386,
  [SMALL_STATE(13922)] = 595406,
  [SMALL_STATE(13923)] = 595424,
  [SMALL_STATE(13924)] = 595450,
  [SMALL_STATE(13925)] = 595468,
  [SMALL_STATE(13926)] = 595486,
  [SMALL_STATE(13927)] = 595504,
  [SMALL_STATE(13928)] = 595524,
  [SMALL_STATE(13929)] = 595542,
  [SMALL_STATE(13930)] = 595568,
  [SMALL_STATE(13931)] = 595586,
  [SMALL_STATE(13932)] = 595604,
  [SMALL_STATE(13933)] = 595622,
  [SMALL_STATE(13934)] = 595648,
  [SMALL_STATE(13935)] = 595674,
  [SMALL_STATE(13936)] = 595692,
  [SMALL_STATE(13937)] = 595716,
  [SMALL_STATE(13938)] = 595742,
  [SMALL_STATE(13939)] = 595760,
  [SMALL_STATE(13940)] = 595782,
  [SMALL_STATE(13941)] = 595800,
  [SMALL_STATE(13942)] = 595824,
  [SMALL_STATE(13943)] = 595842,
  [SMALL_STATE(13944)] = 595862,
  [SMALL_STATE(13945)] = 595888,
  [SMALL_STATE(13946)] = 595906,
  [SMALL_STATE(13947)] = 595932,
  [SMALL_STATE(13948)] = 595950,
  [SMALL_STATE(13949)] = 595974,
  [SMALL_STATE(13950)] = 595992,
  [SMALL_STATE(13951)] = 596018,
  [SMALL_STATE(13952)] = 596036,
  [SMALL_STATE(13953)] = 596054,
  [SMALL_STATE(13954)] = 596076,
  [SMALL_STATE(13955)] = 596094,
  [SMALL_STATE(13956)] = 596120,
  [SMALL_STATE(13957)] = 596138,
  [SMALL_STATE(13958)] = 596162,
  [SMALL_STATE(13959)] = 596180,
  [SMALL_STATE(13960)] = 596204,
  [SMALL_STATE(13961)] = 596222,
  [SMALL_STATE(13962)] = 596240,
  [SMALL_STATE(13963)] = 596258,
  [SMALL_STATE(13964)] = 596284,
  [SMALL_STATE(13965)] = 596310,
  [SMALL_STATE(13966)] = 596336,
  [SMALL_STATE(13967)] = 596362,
  [SMALL_STATE(13968)] = 596386,
  [SMALL_STATE(13969)] = 596404,
  [SMALL_STATE(13970)] = 596430,
  [SMALL_STATE(13971)] = 596448,
  [SMALL_STATE(13972)] = 596466,
  [SMALL_STATE(13973)] = 596492,
  [SMALL_STATE(13974)] = 596514,
  [SMALL_STATE(13975)] = 596532,
  [SMALL_STATE(13976)] = 596550,
  [SMALL_STATE(13977)] = 596568,
  [SMALL_STATE(13978)] = 596592,
  [SMALL_STATE(13979)] = 596616,
  [SMALL_STATE(13980)] = 596636,
  [SMALL_STATE(13981)] = 596654,
  [SMALL_STATE(13982)] = 596680,
  [SMALL_STATE(13983)] = 596706,
  [SMALL_STATE(13984)] = 596730,
  [SMALL_STATE(13985)] = 596756,
  [SMALL_STATE(13986)] = 596774,
  [SMALL_STATE(13987)] = 596800,
  [SMALL_STATE(13988)] = 596818,
  [SMALL_STATE(13989)] = 596840,
  [SMALL_STATE(13990)] = 596858,
  [SMALL_STATE(13991)] = 596880,
  [SMALL_STATE(13992)] = 596898,
  [SMALL_STATE(13993)] = 596916,
  [SMALL_STATE(13994)] = 596942,
  [SMALL_STATE(13995)] = 596960,
  [SMALL_STATE(13996)] = 596986,
  [SMALL_STATE(13997)] = 597012,
  [SMALL_STATE(13998)] = 597036,
  [SMALL_STATE(13999)] = 597054,
  [SMALL_STATE(14000)] = 597076,
  [SMALL_STATE(14001)] = 597096,
  [SMALL_STATE(14002)] = 597114,
  [SMALL_STATE(14003)] = 597132,
  [SMALL_STATE(14004)] = 597150,
  [SMALL_STATE(14005)] = 597168,
  [SMALL_STATE(14006)] = 597186,
  [SMALL_STATE(14007)] = 597204,
  [SMALL_STATE(14008)] = 597230,
  [SMALL_STATE(14009)] = 597256,
  [SMALL_STATE(14010)] = 597278,
  [SMALL_STATE(14011)] = 597302,
  [SMALL_STATE(14012)] = 597322,
  [SMALL_STATE(14013)] = 597340,
  [SMALL_STATE(14014)] = 597366,
  [SMALL_STATE(14015)] = 597390,
  [SMALL_STATE(14016)] = 597408,
  [SMALL_STATE(14017)] = 597434,
  [SMALL_STATE(14018)] = 597456,
  [SMALL_STATE(14019)] = 597474,
  [SMALL_STATE(14020)] = 597498,
  [SMALL_STATE(14021)] = 597524,
  [SMALL_STATE(14022)] = 597544,
  [SMALL_STATE(14023)] = 597566,
  [SMALL_STATE(14024)] = 597584,
  [SMALL_STATE(14025)] = 597602,
  [SMALL_STATE(14026)] = 597620,
  [SMALL_STATE(14027)] = 597646,
  [SMALL_STATE(14028)] = 597670,
  [SMALL_STATE(14029)] = 597694,
  [SMALL_STATE(14030)] = 597716,
  [SMALL_STATE(14031)] = 597734,
  [SMALL_STATE(14032)] = 597752,
  [SMALL_STATE(14033)] = 597772,
  [SMALL_STATE(14034)] = 597798,
  [SMALL_STATE(14035)] = 597818,
  [SMALL_STATE(14036)] = 597840,
  [SMALL_STATE(14037)] = 597866,
  [SMALL_STATE(14038)] = 597888,
  [SMALL_STATE(14039)] = 597906,
  [SMALL_STATE(14040)] = 597928,
  [SMALL_STATE(14041)] = 597954,
  [SMALL_STATE(14042)] = 597978,
  [SMALL_STATE(14043)] = 597996,
  [SMALL_STATE(14044)] = 598022,
  [SMALL_STATE(14045)] = 598040,
  [SMALL_STATE(14046)] = 598064,
  [SMALL_STATE(14047)] = 598088,
  [SMALL_STATE(14048)] = 598114,
  [SMALL_STATE(14049)] = 598137,
  [SMALL_STATE(14050)] = 598160,
  [SMALL_STATE(14051)] = 598183,
  [SMALL_STATE(14052)] = 598204,
  [SMALL_STATE(14053)] = 598221,
  [SMALL_STATE(14054)] = 598244,
  [SMALL_STATE(14055)] = 598267,
  [SMALL_STATE(14056)] = 598288,
  [SMALL_STATE(14057)] = 598311,
  [SMALL_STATE(14058)] = 598334,
  [SMALL_STATE(14059)] = 598351,
  [SMALL_STATE(14060)] = 598370,
  [SMALL_STATE(14061)] = 598391,
  [SMALL_STATE(14062)] = 598408,
  [SMALL_STATE(14063)] = 598431,
  [SMALL_STATE(14064)] = 598448,
  [SMALL_STATE(14065)] = 598471,
  [SMALL_STATE(14066)] = 598494,
  [SMALL_STATE(14067)] = 598511,
  [SMALL_STATE(14068)] = 598528,
  [SMALL_STATE(14069)] = 598545,
  [SMALL_STATE(14070)] = 598566,
  [SMALL_STATE(14071)] = 598587,
  [SMALL_STATE(14072)] = 598610,
  [SMALL_STATE(14073)] = 598633,
  [SMALL_STATE(14074)] = 598656,
  [SMALL_STATE(14075)] = 598673,
  [SMALL_STATE(14076)] = 598690,
  [SMALL_STATE(14077)] = 598711,
  [SMALL_STATE(14078)] = 598730,
  [SMALL_STATE(14079)] = 598753,
  [SMALL_STATE(14080)] = 598770,
  [SMALL_STATE(14081)] = 598789,
  [SMALL_STATE(14082)] = 598806,
  [SMALL_STATE(14083)] = 598825,
  [SMALL_STATE(14084)] = 598848,
  [SMALL_STATE(14085)] = 598865,
  [SMALL_STATE(14086)] = 598888,
  [SMALL_STATE(14087)] = 598907,
  [SMALL_STATE(14088)] = 598930,
  [SMALL_STATE(14089)] = 598949,
  [SMALL_STATE(14090)] = 598968,
  [SMALL_STATE(14091)] = 598991,
  [SMALL_STATE(14092)] = 599010,
  [SMALL_STATE(14093)] = 599027,
  [SMALL_STATE(14094)] = 599050,
  [SMALL_STATE(14095)] = 599067,
  [SMALL_STATE(14096)] = 599084,
  [SMALL_STATE(14097)] = 599107,
  [SMALL_STATE(14098)] = 599124,
  [SMALL_STATE(14099)] = 599147,
  [SMALL_STATE(14100)] = 599170,
  [SMALL_STATE(14101)] = 599193,
  [SMALL_STATE(14102)] = 599214,
  [SMALL_STATE(14103)] = 599231,
  [SMALL_STATE(14104)] = 599254,
  [SMALL_STATE(14105)] = 599271,
  [SMALL_STATE(14106)] = 599292,
  [SMALL_STATE(14107)] = 599311,
  [SMALL_STATE(14108)] = 599332,
  [SMALL_STATE(14109)] = 599349,
  [SMALL_STATE(14110)] = 599372,
  [SMALL_STATE(14111)] = 599395,
  [SMALL_STATE(14112)] = 599412,
  [SMALL_STATE(14113)] = 599435,
  [SMALL_STATE(14114)] = 599458,
  [SMALL_STATE(14115)] = 599481,
  [SMALL_STATE(14116)] = 599498,
  [SMALL_STATE(14117)] = 599515,
  [SMALL_STATE(14118)] = 599536,
  [SMALL_STATE(14119)] = 599559,
  [SMALL_STATE(14120)] = 599576,
  [SMALL_STATE(14121)] = 599593,
  [SMALL_STATE(14122)] = 599610,
  [SMALL_STATE(14123)] = 599633,
  [SMALL_STATE(14124)] = 599650,
  [SMALL_STATE(14125)] = 599667,
  [SMALL_STATE(14126)] = 599690,
  [SMALL_STATE(14127)] = 599707,
  [SMALL_STATE(14128)] = 599730,
  [SMALL_STATE(14129)] = 599751,
  [SMALL_STATE(14130)] = 599768,
  [SMALL_STATE(14131)] = 599785,
  [SMALL_STATE(14132)] = 599808,
  [SMALL_STATE(14133)] = 599831,
  [SMALL_STATE(14134)] = 599848,
  [SMALL_STATE(14135)] = 599869,
  [SMALL_STATE(14136)] = 599886,
  [SMALL_STATE(14137)] = 599903,
  [SMALL_STATE(14138)] = 599924,
  [SMALL_STATE(14139)] = 599941,
  [SMALL_STATE(14140)] = 599964,
  [SMALL_STATE(14141)] = 599987,
  [SMALL_STATE(14142)] = 600010,
  [SMALL_STATE(14143)] = 600031,
  [SMALL_STATE(14144)] = 600052,
  [SMALL_STATE(14145)] = 600069,
  [SMALL_STATE(14146)] = 600092,
  [SMALL_STATE(14147)] = 600115,
  [SMALL_STATE(14148)] = 600138,
  [SMALL_STATE(14149)] = 600161,
  [SMALL_STATE(14150)] = 600184,
  [SMALL_STATE(14151)] = 600205,
  [SMALL_STATE(14152)] = 600226,
  [SMALL_STATE(14153)] = 600243,
  [SMALL_STATE(14154)] = 600266,
  [SMALL_STATE(14155)] = 600289,
  [SMALL_STATE(14156)] = 600312,
  [SMALL_STATE(14157)] = 600335,
  [SMALL_STATE(14158)] = 600356,
  [SMALL_STATE(14159)] = 600379,
  [SMALL_STATE(14160)] = 600402,
  [SMALL_STATE(14161)] = 600425,
  [SMALL_STATE(14162)] = 600442,
  [SMALL_STATE(14163)] = 600463,
  [SMALL_STATE(14164)] = 600484,
  [SMALL_STATE(14165)] = 600501,
  [SMALL_STATE(14166)] = 600522,
  [SMALL_STATE(14167)] = 600545,
  [SMALL_STATE(14168)] = 600568,
  [SMALL_STATE(14169)] = 600591,
  [SMALL_STATE(14170)] = 600612,
  [SMALL_STATE(14171)] = 600635,
  [SMALL_STATE(14172)] = 600656,
  [SMALL_STATE(14173)] = 600679,
  [SMALL_STATE(14174)] = 600696,
  [SMALL_STATE(14175)] = 600719,
  [SMALL_STATE(14176)] = 600742,
  [SMALL_STATE(14177)] = 600759,
  [SMALL_STATE(14178)] = 600780,
  [SMALL_STATE(14179)] = 600803,
  [SMALL_STATE(14180)] = 600826,
  [SMALL_STATE(14181)] = 600849,
  [SMALL_STATE(14182)] = 600872,
  [SMALL_STATE(14183)] = 600895,
  [SMALL_STATE(14184)] = 600912,
  [SMALL_STATE(14185)] = 600929,
  [SMALL_STATE(14186)] = 600950,
  [SMALL_STATE(14187)] = 600973,
  [SMALL_STATE(14188)] = 600994,
  [SMALL_STATE(14189)] = 601011,
  [SMALL_STATE(14190)] = 601032,
  [SMALL_STATE(14191)] = 601055,
  [SMALL_STATE(14192)] = 601078,
  [SMALL_STATE(14193)] = 601099,
  [SMALL_STATE(14194)] = 601120,
  [SMALL_STATE(14195)] = 601137,
  [SMALL_STATE(14196)] = 601160,
  [SMALL_STATE(14197)] = 601183,
  [SMALL_STATE(14198)] = 601200,
  [SMALL_STATE(14199)] = 601223,
  [SMALL_STATE(14200)] = 601244,
  [SMALL_STATE(14201)] = 601267,
  [SMALL_STATE(14202)] = 601290,
  [SMALL_STATE(14203)] = 601311,
  [SMALL_STATE(14204)] = 601334,
  [SMALL_STATE(14205)] = 601351,
  [SMALL_STATE(14206)] = 601374,
  [SMALL_STATE(14207)] = 601395,
  [SMALL_STATE(14208)] = 601418,
  [SMALL_STATE(14209)] = 601435,
  [SMALL_STATE(14210)] = 601452,
  [SMALL_STATE(14211)] = 601469,
  [SMALL_STATE(14212)] = 601492,
  [SMALL_STATE(14213)] = 601515,
  [SMALL_STATE(14214)] = 601536,
  [SMALL_STATE(14215)] = 601559,
  [SMALL_STATE(14216)] = 601582,
  [SMALL_STATE(14217)] = 601601,
  [SMALL_STATE(14218)] = 601622,
  [SMALL_STATE(14219)] = 601645,
  [SMALL_STATE(14220)] = 601668,
  [SMALL_STATE(14221)] = 601691,
  [SMALL_STATE(14222)] = 601714,
  [SMALL_STATE(14223)] = 601737,
  [SMALL_STATE(14224)] = 601754,
  [SMALL_STATE(14225)] = 601775,
  [SMALL_STATE(14226)] = 601792,
  [SMALL_STATE(14227)] = 601809,
  [SMALL_STATE(14228)] = 601830,
  [SMALL_STATE(14229)] = 601853,
  [SMALL_STATE(14230)] = 601874,
  [SMALL_STATE(14231)] = 601891,
  [SMALL_STATE(14232)] = 601914,
  [SMALL_STATE(14233)] = 601931,
  [SMALL_STATE(14234)] = 601952,
  [SMALL_STATE(14235)] = 601975,
  [SMALL_STATE(14236)] = 601998,
  [SMALL_STATE(14237)] = 602015,
  [SMALL_STATE(14238)] = 602036,
  [SMALL_STATE(14239)] = 602055,
  [SMALL_STATE(14240)] = 602078,
  [SMALL_STATE(14241)] = 602101,
  [SMALL_STATE(14242)] = 602124,
  [SMALL_STATE(14243)] = 602141,
  [SMALL_STATE(14244)] = 602164,
  [SMALL_STATE(14245)] = 602181,
  [SMALL_STATE(14246)] = 602204,
  [SMALL_STATE(14247)] = 602227,
  [SMALL_STATE(14248)] = 602250,
  [SMALL_STATE(14249)] = 602273,
  [SMALL_STATE(14250)] = 602296,
  [SMALL_STATE(14251)] = 602317,
  [SMALL_STATE(14252)] = 602340,
  [SMALL_STATE(14253)] = 602361,
  [SMALL_STATE(14254)] = 602382,
  [SMALL_STATE(14255)] = 602405,
  [SMALL_STATE(14256)] = 602426,
  [SMALL_STATE(14257)] = 602449,
  [SMALL_STATE(14258)] = 602470,
  [SMALL_STATE(14259)] = 602491,
  [SMALL_STATE(14260)] = 602514,
  [SMALL_STATE(14261)] = 602531,
  [SMALL_STATE(14262)] = 602554,
  [SMALL_STATE(14263)] = 602577,
  [SMALL_STATE(14264)] = 602596,
  [SMALL_STATE(14265)] = 602619,
  [SMALL_STATE(14266)] = 602636,
  [SMALL_STATE(14267)] = 602657,
  [SMALL_STATE(14268)] = 602680,
  [SMALL_STATE(14269)] = 602697,
  [SMALL_STATE(14270)] = 602720,
  [SMALL_STATE(14271)] = 602743,
  [SMALL_STATE(14272)] = 602764,
  [SMALL_STATE(14273)] = 602785,
  [SMALL_STATE(14274)] = 602806,
  [SMALL_STATE(14275)] = 602829,
  [SMALL_STATE(14276)] = 602852,
  [SMALL_STATE(14277)] = 602869,
  [SMALL_STATE(14278)] = 602892,
  [SMALL_STATE(14279)] = 602909,
  [SMALL_STATE(14280)] = 602926,
  [SMALL_STATE(14281)] = 602949,
  [SMALL_STATE(14282)] = 602972,
  [SMALL_STATE(14283)] = 602995,
  [SMALL_STATE(14284)] = 603012,
  [SMALL_STATE(14285)] = 603035,
  [SMALL_STATE(14286)] = 603052,
  [SMALL_STATE(14287)] = 603075,
  [SMALL_STATE(14288)] = 603098,
  [SMALL_STATE(14289)] = 603115,
  [SMALL_STATE(14290)] = 603132,
  [SMALL_STATE(14291)] = 603149,
  [SMALL_STATE(14292)] = 603172,
  [SMALL_STATE(14293)] = 603189,
  [SMALL_STATE(14294)] = 603206,
  [SMALL_STATE(14295)] = 603229,
  [SMALL_STATE(14296)] = 603250,
  [SMALL_STATE(14297)] = 603267,
  [SMALL_STATE(14298)] = 603288,
  [SMALL_STATE(14299)] = 603311,
  [SMALL_STATE(14300)] = 603332,
  [SMALL_STATE(14301)] = 603355,
  [SMALL_STATE(14302)] = 603372,
  [SMALL_STATE(14303)] = 603395,
  [SMALL_STATE(14304)] = 603418,
  [SMALL_STATE(14305)] = 603435,
  [SMALL_STATE(14306)] = 603452,
  [SMALL_STATE(14307)] = 603473,
  [SMALL_STATE(14308)] = 603496,
  [SMALL_STATE(14309)] = 603519,
  [SMALL_STATE(14310)] = 603536,
  [SMALL_STATE(14311)] = 603553,
  [SMALL_STATE(14312)] = 603570,
  [SMALL_STATE(14313)] = 603587,
  [SMALL_STATE(14314)] = 603610,
  [SMALL_STATE(14315)] = 603633,
  [SMALL_STATE(14316)] = 603654,
  [SMALL_STATE(14317)] = 603675,
  [SMALL_STATE(14318)] = 603698,
  [SMALL_STATE(14319)] = 603719,
  [SMALL_STATE(14320)] = 603742,
  [SMALL_STATE(14321)] = 603765,
  [SMALL_STATE(14322)] = 603788,
  [SMALL_STATE(14323)] = 603811,
  [SMALL_STATE(14324)] = 603834,
  [SMALL_STATE(14325)] = 603855,
  [SMALL_STATE(14326)] = 603876,
  [SMALL_STATE(14327)] = 603899,
  [SMALL_STATE(14328)] = 603922,
  [SMALL_STATE(14329)] = 603945,
  [SMALL_STATE(14330)] = 603966,
  [SMALL_STATE(14331)] = 603989,
  [SMALL_STATE(14332)] = 604010,
  [SMALL_STATE(14333)] = 604033,
  [SMALL_STATE(14334)] = 604056,
  [SMALL_STATE(14335)] = 604079,
  [SMALL_STATE(14336)] = 604096,
  [SMALL_STATE(14337)] = 604119,
  [SMALL_STATE(14338)] = 604142,
  [SMALL_STATE(14339)] = 604163,
  [SMALL_STATE(14340)] = 604184,
  [SMALL_STATE(14341)] = 604207,
  [SMALL_STATE(14342)] = 604226,
  [SMALL_STATE(14343)] = 604247,
  [SMALL_STATE(14344)] = 604264,
  [SMALL_STATE(14345)] = 604281,
  [SMALL_STATE(14346)] = 604304,
  [SMALL_STATE(14347)] = 604325,
  [SMALL_STATE(14348)] = 604348,
  [SMALL_STATE(14349)] = 604365,
  [SMALL_STATE(14350)] = 604382,
  [SMALL_STATE(14351)] = 604403,
  [SMALL_STATE(14352)] = 604420,
  [SMALL_STATE(14353)] = 604441,
  [SMALL_STATE(14354)] = 604458,
  [SMALL_STATE(14355)] = 604475,
  [SMALL_STATE(14356)] = 604498,
  [SMALL_STATE(14357)] = 604521,
  [SMALL_STATE(14358)] = 604544,
  [SMALL_STATE(14359)] = 604567,
  [SMALL_STATE(14360)] = 604584,
  [SMALL_STATE(14361)] = 604603,
  [SMALL_STATE(14362)] = 604620,
  [SMALL_STATE(14363)] = 604638,
  [SMALL_STATE(14364)] = 604658,
  [SMALL_STATE(14365)] = 604678,
  [SMALL_STATE(14366)] = 604698,
  [SMALL_STATE(14367)] = 604718,
  [SMALL_STATE(14368)] = 604738,
  [SMALL_STATE(14369)] = 604758,
  [SMALL_STATE(14370)] = 604776,
  [SMALL_STATE(14371)] = 604796,
  [SMALL_STATE(14372)] = 604816,
  [SMALL_STATE(14373)] = 604834,
  [SMALL_STATE(14374)] = 604850,
  [SMALL_STATE(14375)] = 604870,
  [SMALL_STATE(14376)] = 604890,
  [SMALL_STATE(14377)] = 604910,
  [SMALL_STATE(14378)] = 604930,
  [SMALL_STATE(14379)] = 604950,
  [SMALL_STATE(14380)] = 604970,
  [SMALL_STATE(14381)] = 604990,
  [SMALL_STATE(14382)] = 605010,
  [SMALL_STATE(14383)] = 605030,
  [SMALL_STATE(14384)] = 605048,
  [SMALL_STATE(14385)] = 605068,
  [SMALL_STATE(14386)] = 605088,
  [SMALL_STATE(14387)] = 605108,
  [SMALL_STATE(14388)] = 605128,
  [SMALL_STATE(14389)] = 605148,
  [SMALL_STATE(14390)] = 605168,
  [SMALL_STATE(14391)] = 605188,
  [SMALL_STATE(14392)] = 605208,
  [SMALL_STATE(14393)] = 605226,
  [SMALL_STATE(14394)] = 605246,
  [SMALL_STATE(14395)] = 605266,
  [SMALL_STATE(14396)] = 605286,
  [SMALL_STATE(14397)] = 605306,
  [SMALL_STATE(14398)] = 605326,
  [SMALL_STATE(14399)] = 605346,
  [SMALL_STATE(14400)] = 605366,
  [SMALL_STATE(14401)] = 605386,
  [SMALL_STATE(14402)] = 605406,
  [SMALL_STATE(14403)] = 605426,
  [SMALL_STATE(14404)] = 605446,
  [SMALL_STATE(14405)] = 605464,
  [SMALL_STATE(14406)] = 605482,
  [SMALL_STATE(14407)] = 605502,
  [SMALL_STATE(14408)] = 605522,
  [SMALL_STATE(14409)] = 605542,
  [SMALL_STATE(14410)] = 605562,
  [SMALL_STATE(14411)] = 605582,
  [SMALL_STATE(14412)] = 605602,
  [SMALL_STATE(14413)] = 605622,
  [SMALL_STATE(14414)] = 605642,
  [SMALL_STATE(14415)] = 605662,
  [SMALL_STATE(14416)] = 605682,
  [SMALL_STATE(14417)] = 605702,
  [SMALL_STATE(14418)] = 605722,
  [SMALL_STATE(14419)] = 605742,
  [SMALL_STATE(14420)] = 605760,
  [SMALL_STATE(14421)] = 605780,
  [SMALL_STATE(14422)] = 605800,
  [SMALL_STATE(14423)] = 605820,
  [SMALL_STATE(14424)] = 605840,
  [SMALL_STATE(14425)] = 605860,
  [SMALL_STATE(14426)] = 605880,
  [SMALL_STATE(14427)] = 605900,
  [SMALL_STATE(14428)] = 605920,
  [SMALL_STATE(14429)] = 605940,
  [SMALL_STATE(14430)] = 605960,
  [SMALL_STATE(14431)] = 605980,
  [SMALL_STATE(14432)] = 606000,
  [SMALL_STATE(14433)] = 606020,
  [SMALL_STATE(14434)] = 606040,
  [SMALL_STATE(14435)] = 606060,
  [SMALL_STATE(14436)] = 606080,
  [SMALL_STATE(14437)] = 606100,
  [SMALL_STATE(14438)] = 606120,
  [SMALL_STATE(14439)] = 606140,
  [SMALL_STATE(14440)] = 606160,
  [SMALL_STATE(14441)] = 606180,
  [SMALL_STATE(14442)] = 606200,
  [SMALL_STATE(14443)] = 606220,
  [SMALL_STATE(14444)] = 606240,
  [SMALL_STATE(14445)] = 606260,
  [SMALL_STATE(14446)] = 606280,
  [SMALL_STATE(14447)] = 606300,
  [SMALL_STATE(14448)] = 606320,
  [SMALL_STATE(14449)] = 606340,
  [SMALL_STATE(14450)] = 606360,
  [SMALL_STATE(14451)] = 606380,
  [SMALL_STATE(14452)] = 606400,
  [SMALL_STATE(14453)] = 606420,
  [SMALL_STATE(14454)] = 606440,
  [SMALL_STATE(14455)] = 606460,
  [SMALL_STATE(14456)] = 606480,
  [SMALL_STATE(14457)] = 606500,
  [SMALL_STATE(14458)] = 606520,
  [SMALL_STATE(14459)] = 606540,
  [SMALL_STATE(14460)] = 606560,
  [SMALL_STATE(14461)] = 606580,
  [SMALL_STATE(14462)] = 606600,
  [SMALL_STATE(14463)] = 606620,
  [SMALL_STATE(14464)] = 606640,
  [SMALL_STATE(14465)] = 606660,
  [SMALL_STATE(14466)] = 606680,
  [SMALL_STATE(14467)] = 606700,
  [SMALL_STATE(14468)] = 606720,
  [SMALL_STATE(14469)] = 606740,
  [SMALL_STATE(14470)] = 606760,
  [SMALL_STATE(14471)] = 606780,
  [SMALL_STATE(14472)] = 606800,
  [SMALL_STATE(14473)] = 606820,
  [SMALL_STATE(14474)] = 606840,
  [SMALL_STATE(14475)] = 606860,
  [SMALL_STATE(14476)] = 606880,
  [SMALL_STATE(14477)] = 606900,
  [SMALL_STATE(14478)] = 606920,
  [SMALL_STATE(14479)] = 606940,
  [SMALL_STATE(14480)] = 606960,
  [SMALL_STATE(14481)] = 606980,
  [SMALL_STATE(14482)] = 607000,
  [SMALL_STATE(14483)] = 607020,
  [SMALL_STATE(14484)] = 607040,
  [SMALL_STATE(14485)] = 607060,
  [SMALL_STATE(14486)] = 607080,
  [SMALL_STATE(14487)] = 607100,
  [SMALL_STATE(14488)] = 607120,
  [SMALL_STATE(14489)] = 607140,
  [SMALL_STATE(14490)] = 607160,
  [SMALL_STATE(14491)] = 607180,
  [SMALL_STATE(14492)] = 607200,
  [SMALL_STATE(14493)] = 607220,
  [SMALL_STATE(14494)] = 607240,
  [SMALL_STATE(14495)] = 607260,
  [SMALL_STATE(14496)] = 607280,
  [SMALL_STATE(14497)] = 607300,
  [SMALL_STATE(14498)] = 607318,
  [SMALL_STATE(14499)] = 607338,
  [SMALL_STATE(14500)] = 607358,
  [SMALL_STATE(14501)] = 607378,
  [SMALL_STATE(14502)] = 607398,
  [SMALL_STATE(14503)] = 607418,
  [SMALL_STATE(14504)] = 607438,
  [SMALL_STATE(14505)] = 607458,
  [SMALL_STATE(14506)] = 607478,
  [SMALL_STATE(14507)] = 607498,
  [SMALL_STATE(14508)] = 607518,
  [SMALL_STATE(14509)] = 607538,
  [SMALL_STATE(14510)] = 607558,
  [SMALL_STATE(14511)] = 607578,
  [SMALL_STATE(14512)] = 607598,
  [SMALL_STATE(14513)] = 607618,
  [SMALL_STATE(14514)] = 607638,
  [SMALL_STATE(14515)] = 607658,
  [SMALL_STATE(14516)] = 607678,
  [SMALL_STATE(14517)] = 607698,
  [SMALL_STATE(14518)] = 607718,
  [SMALL_STATE(14519)] = 607738,
  [SMALL_STATE(14520)] = 607758,
  [SMALL_STATE(14521)] = 607776,
  [SMALL_STATE(14522)] = 607796,
  [SMALL_STATE(14523)] = 607816,
  [SMALL_STATE(14524)] = 607836,
  [SMALL_STATE(14525)] = 607856,
  [SMALL_STATE(14526)] = 607876,
  [SMALL_STATE(14527)] = 607894,
  [SMALL_STATE(14528)] = 607914,
  [SMALL_STATE(14529)] = 607934,
  [SMALL_STATE(14530)] = 607954,
  [SMALL_STATE(14531)] = 607974,
  [SMALL_STATE(14532)] = 607994,
  [SMALL_STATE(14533)] = 608014,
  [SMALL_STATE(14534)] = 608034,
  [SMALL_STATE(14535)] = 608054,
  [SMALL_STATE(14536)] = 608074,
  [SMALL_STATE(14537)] = 608094,
  [SMALL_STATE(14538)] = 608114,
  [SMALL_STATE(14539)] = 608134,
  [SMALL_STATE(14540)] = 608154,
  [SMALL_STATE(14541)] = 608174,
  [SMALL_STATE(14542)] = 608194,
  [SMALL_STATE(14543)] = 608214,
  [SMALL_STATE(14544)] = 608234,
  [SMALL_STATE(14545)] = 608254,
  [SMALL_STATE(14546)] = 608274,
  [SMALL_STATE(14547)] = 608294,
  [SMALL_STATE(14548)] = 608314,
  [SMALL_STATE(14549)] = 608334,
  [SMALL_STATE(14550)] = 608354,
  [SMALL_STATE(14551)] = 608374,
  [SMALL_STATE(14552)] = 608394,
  [SMALL_STATE(14553)] = 608414,
  [SMALL_STATE(14554)] = 608434,
  [SMALL_STATE(14555)] = 608454,
  [SMALL_STATE(14556)] = 608474,
  [SMALL_STATE(14557)] = 608494,
  [SMALL_STATE(14558)] = 608514,
  [SMALL_STATE(14559)] = 608534,
  [SMALL_STATE(14560)] = 608554,
  [SMALL_STATE(14561)] = 608574,
  [SMALL_STATE(14562)] = 608594,
  [SMALL_STATE(14563)] = 608614,
  [SMALL_STATE(14564)] = 608634,
  [SMALL_STATE(14565)] = 608654,
  [SMALL_STATE(14566)] = 608674,
  [SMALL_STATE(14567)] = 608694,
  [SMALL_STATE(14568)] = 608714,
  [SMALL_STATE(14569)] = 608734,
  [SMALL_STATE(14570)] = 608754,
  [SMALL_STATE(14571)] = 608774,
  [SMALL_STATE(14572)] = 608794,
  [SMALL_STATE(14573)] = 608814,
  [SMALL_STATE(14574)] = 608834,
  [SMALL_STATE(14575)] = 608854,
  [SMALL_STATE(14576)] = 608874,
  [SMALL_STATE(14577)] = 608894,
  [SMALL_STATE(14578)] = 608914,
  [SMALL_STATE(14579)] = 608934,
  [SMALL_STATE(14580)] = 608954,
  [SMALL_STATE(14581)] = 608974,
  [SMALL_STATE(14582)] = 608994,
  [SMALL_STATE(14583)] = 609014,
  [SMALL_STATE(14584)] = 609034,
  [SMALL_STATE(14585)] = 609054,
  [SMALL_STATE(14586)] = 609074,
  [SMALL_STATE(14587)] = 609094,
  [SMALL_STATE(14588)] = 609114,
  [SMALL_STATE(14589)] = 609134,
  [SMALL_STATE(14590)] = 609154,
  [SMALL_STATE(14591)] = 609174,
  [SMALL_STATE(14592)] = 609194,
  [SMALL_STATE(14593)] = 609214,
  [SMALL_STATE(14594)] = 609234,
  [SMALL_STATE(14595)] = 609254,
  [SMALL_STATE(14596)] = 609274,
  [SMALL_STATE(14597)] = 609294,
  [SMALL_STATE(14598)] = 609314,
  [SMALL_STATE(14599)] = 609334,
  [SMALL_STATE(14600)] = 609354,
  [SMALL_STATE(14601)] = 609374,
  [SMALL_STATE(14602)] = 609394,
  [SMALL_STATE(14603)] = 609412,
  [SMALL_STATE(14604)] = 609432,
  [SMALL_STATE(14605)] = 609452,
  [SMALL_STATE(14606)] = 609472,
  [SMALL_STATE(14607)] = 609492,
  [SMALL_STATE(14608)] = 609512,
  [SMALL_STATE(14609)] = 609528,
  [SMALL_STATE(14610)] = 609548,
  [SMALL_STATE(14611)] = 609568,
  [SMALL_STATE(14612)] = 609588,
  [SMALL_STATE(14613)] = 609608,
  [SMALL_STATE(14614)] = 609628,
  [SMALL_STATE(14615)] = 609648,
  [SMALL_STATE(14616)] = 609668,
  [SMALL_STATE(14617)] = 609688,
  [SMALL_STATE(14618)] = 609708,
  [SMALL_STATE(14619)] = 609728,
  [SMALL_STATE(14620)] = 609748,
  [SMALL_STATE(14621)] = 609768,
  [SMALL_STATE(14622)] = 609788,
  [SMALL_STATE(14623)] = 609808,
  [SMALL_STATE(14624)] = 609828,
  [SMALL_STATE(14625)] = 609848,
  [SMALL_STATE(14626)] = 609868,
  [SMALL_STATE(14627)] = 609888,
  [SMALL_STATE(14628)] = 609908,
  [SMALL_STATE(14629)] = 609928,
  [SMALL_STATE(14630)] = 609946,
  [SMALL_STATE(14631)] = 609966,
  [SMALL_STATE(14632)] = 609986,
  [SMALL_STATE(14633)] = 610006,
  [SMALL_STATE(14634)] = 610026,
  [SMALL_STATE(14635)] = 610046,
  [SMALL_STATE(14636)] = 610066,
  [SMALL_STATE(14637)] = 610086,
  [SMALL_STATE(14638)] = 610106,
  [SMALL_STATE(14639)] = 610126,
  [SMALL_STATE(14640)] = 610146,
  [SMALL_STATE(14641)] = 610166,
  [SMALL_STATE(14642)] = 610186,
  [SMALL_STATE(14643)] = 610206,
  [SMALL_STATE(14644)] = 610226,
  [SMALL_STATE(14645)] = 610246,
  [SMALL_STATE(14646)] = 610266,
  [SMALL_STATE(14647)] = 610286,
  [SMALL_STATE(14648)] = 610306,
  [SMALL_STATE(14649)] = 610326,
  [SMALL_STATE(14650)] = 610346,
  [SMALL_STATE(14651)] = 610366,
  [SMALL_STATE(14652)] = 610386,
  [SMALL_STATE(14653)] = 610406,
  [SMALL_STATE(14654)] = 610426,
  [SMALL_STATE(14655)] = 610446,
  [SMALL_STATE(14656)] = 610466,
  [SMALL_STATE(14657)] = 610486,
  [SMALL_STATE(14658)] = 610506,
  [SMALL_STATE(14659)] = 610526,
  [SMALL_STATE(14660)] = 610546,
  [SMALL_STATE(14661)] = 610566,
  [SMALL_STATE(14662)] = 610586,
  [SMALL_STATE(14663)] = 610606,
  [SMALL_STATE(14664)] = 610626,
  [SMALL_STATE(14665)] = 610646,
  [SMALL_STATE(14666)] = 610666,
  [SMALL_STATE(14667)] = 610686,
  [SMALL_STATE(14668)] = 610706,
  [SMALL_STATE(14669)] = 610726,
  [SMALL_STATE(14670)] = 610746,
  [SMALL_STATE(14671)] = 610766,
  [SMALL_STATE(14672)] = 610786,
  [SMALL_STATE(14673)] = 610806,
  [SMALL_STATE(14674)] = 610826,
  [SMALL_STATE(14675)] = 610846,
  [SMALL_STATE(14676)] = 610866,
  [SMALL_STATE(14677)] = 610886,
  [SMALL_STATE(14678)] = 610906,
  [SMALL_STATE(14679)] = 610926,
  [SMALL_STATE(14680)] = 610946,
  [SMALL_STATE(14681)] = 610966,
  [SMALL_STATE(14682)] = 610986,
  [SMALL_STATE(14683)] = 611006,
  [SMALL_STATE(14684)] = 611022,
  [SMALL_STATE(14685)] = 611042,
  [SMALL_STATE(14686)] = 611062,
  [SMALL_STATE(14687)] = 611082,
  [SMALL_STATE(14688)] = 611102,
  [SMALL_STATE(14689)] = 611122,
  [SMALL_STATE(14690)] = 611142,
  [SMALL_STATE(14691)] = 611162,
  [SMALL_STATE(14692)] = 611180,
  [SMALL_STATE(14693)] = 611200,
  [SMALL_STATE(14694)] = 611220,
  [SMALL_STATE(14695)] = 611240,
  [SMALL_STATE(14696)] = 611260,
  [SMALL_STATE(14697)] = 611280,
  [SMALL_STATE(14698)] = 611300,
  [SMALL_STATE(14699)] = 611320,
  [SMALL_STATE(14700)] = 611340,
  [SMALL_STATE(14701)] = 611360,
  [SMALL_STATE(14702)] = 611380,
  [SMALL_STATE(14703)] = 611400,
  [SMALL_STATE(14704)] = 611420,
  [SMALL_STATE(14705)] = 611440,
  [SMALL_STATE(14706)] = 611460,
  [SMALL_STATE(14707)] = 611478,
  [SMALL_STATE(14708)] = 611498,
  [SMALL_STATE(14709)] = 611518,
  [SMALL_STATE(14710)] = 611538,
  [SMALL_STATE(14711)] = 611558,
  [SMALL_STATE(14712)] = 611578,
  [SMALL_STATE(14713)] = 611598,
  [SMALL_STATE(14714)] = 611618,
  [SMALL_STATE(14715)] = 611638,
  [SMALL_STATE(14716)] = 611658,
  [SMALL_STATE(14717)] = 611678,
  [SMALL_STATE(14718)] = 611698,
  [SMALL_STATE(14719)] = 611718,
  [SMALL_STATE(14720)] = 611738,
  [SMALL_STATE(14721)] = 611758,
  [SMALL_STATE(14722)] = 611778,
  [SMALL_STATE(14723)] = 611798,
  [SMALL_STATE(14724)] = 611818,
  [SMALL_STATE(14725)] = 611838,
  [SMALL_STATE(14726)] = 611858,
  [SMALL_STATE(14727)] = 611878,
  [SMALL_STATE(14728)] = 611898,
  [SMALL_STATE(14729)] = 611918,
  [SMALL_STATE(14730)] = 611938,
  [SMALL_STATE(14731)] = 611958,
  [SMALL_STATE(14732)] = 611978,
  [SMALL_STATE(14733)] = 611998,
  [SMALL_STATE(14734)] = 612018,
  [SMALL_STATE(14735)] = 612038,
  [SMALL_STATE(14736)] = 612058,
  [SMALL_STATE(14737)] = 612078,
  [SMALL_STATE(14738)] = 612098,
  [SMALL_STATE(14739)] = 612118,
  [SMALL_STATE(14740)] = 612138,
  [SMALL_STATE(14741)] = 612158,
  [SMALL_STATE(14742)] = 612178,
  [SMALL_STATE(14743)] = 612198,
  [SMALL_STATE(14744)] = 612218,
  [SMALL_STATE(14745)] = 612238,
  [SMALL_STATE(14746)] = 612258,
  [SMALL_STATE(14747)] = 612278,
  [SMALL_STATE(14748)] = 612298,
  [SMALL_STATE(14749)] = 612318,
  [SMALL_STATE(14750)] = 612338,
  [SMALL_STATE(14751)] = 612358,
  [SMALL_STATE(14752)] = 612378,
  [SMALL_STATE(14753)] = 612398,
  [SMALL_STATE(14754)] = 612418,
  [SMALL_STATE(14755)] = 612438,
  [SMALL_STATE(14756)] = 612458,
  [SMALL_STATE(14757)] = 612478,
  [SMALL_STATE(14758)] = 612498,
  [SMALL_STATE(14759)] = 612518,
  [SMALL_STATE(14760)] = 612538,
  [SMALL_STATE(14761)] = 612558,
  [SMALL_STATE(14762)] = 612578,
  [SMALL_STATE(14763)] = 612598,
  [SMALL_STATE(14764)] = 612618,
  [SMALL_STATE(14765)] = 612638,
  [SMALL_STATE(14766)] = 612658,
  [SMALL_STATE(14767)] = 612678,
  [SMALL_STATE(14768)] = 612698,
  [SMALL_STATE(14769)] = 612718,
  [SMALL_STATE(14770)] = 612738,
  [SMALL_STATE(14771)] = 612758,
  [SMALL_STATE(14772)] = 612778,
  [SMALL_STATE(14773)] = 612798,
  [SMALL_STATE(14774)] = 612818,
  [SMALL_STATE(14775)] = 612838,
  [SMALL_STATE(14776)] = 612858,
  [SMALL_STATE(14777)] = 612878,
  [SMALL_STATE(14778)] = 612898,
  [SMALL_STATE(14779)] = 612918,
  [SMALL_STATE(14780)] = 612938,
  [SMALL_STATE(14781)] = 612958,
  [SMALL_STATE(14782)] = 612976,
  [SMALL_STATE(14783)] = 612996,
  [SMALL_STATE(14784)] = 613016,
  [SMALL_STATE(14785)] = 613036,
  [SMALL_STATE(14786)] = 613056,
  [SMALL_STATE(14787)] = 613076,
  [SMALL_STATE(14788)] = 613094,
  [SMALL_STATE(14789)] = 613114,
  [SMALL_STATE(14790)] = 613134,
  [SMALL_STATE(14791)] = 613154,
  [SMALL_STATE(14792)] = 613174,
  [SMALL_STATE(14793)] = 613194,
  [SMALL_STATE(14794)] = 613214,
  [SMALL_STATE(14795)] = 613234,
  [SMALL_STATE(14796)] = 613254,
  [SMALL_STATE(14797)] = 613274,
  [SMALL_STATE(14798)] = 613294,
  [SMALL_STATE(14799)] = 613312,
  [SMALL_STATE(14800)] = 613332,
  [SMALL_STATE(14801)] = 613352,
  [SMALL_STATE(14802)] = 613372,
  [SMALL_STATE(14803)] = 613392,
  [SMALL_STATE(14804)] = 613412,
  [SMALL_STATE(14805)] = 613432,
  [SMALL_STATE(14806)] = 613452,
  [SMALL_STATE(14807)] = 613472,
  [SMALL_STATE(14808)] = 613492,
  [SMALL_STATE(14809)] = 613512,
  [SMALL_STATE(14810)] = 613532,
  [SMALL_STATE(14811)] = 613552,
  [SMALL_STATE(14812)] = 613572,
  [SMALL_STATE(14813)] = 613592,
  [SMALL_STATE(14814)] = 613612,
  [SMALL_STATE(14815)] = 613632,
  [SMALL_STATE(14816)] = 613652,
  [SMALL_STATE(14817)] = 613672,
  [SMALL_STATE(14818)] = 613692,
  [SMALL_STATE(14819)] = 613712,
  [SMALL_STATE(14820)] = 613732,
  [SMALL_STATE(14821)] = 613752,
  [SMALL_STATE(14822)] = 613772,
  [SMALL_STATE(14823)] = 613792,
  [SMALL_STATE(14824)] = 613812,
  [SMALL_STATE(14825)] = 613832,
  [SMALL_STATE(14826)] = 613850,
  [SMALL_STATE(14827)] = 613870,
  [SMALL_STATE(14828)] = 613890,
  [SMALL_STATE(14829)] = 613910,
  [SMALL_STATE(14830)] = 613930,
  [SMALL_STATE(14831)] = 613950,
  [SMALL_STATE(14832)] = 613970,
  [SMALL_STATE(14833)] = 613990,
  [SMALL_STATE(14834)] = 614010,
  [SMALL_STATE(14835)] = 614030,
  [SMALL_STATE(14836)] = 614050,
  [SMALL_STATE(14837)] = 614070,
  [SMALL_STATE(14838)] = 614090,
  [SMALL_STATE(14839)] = 614110,
  [SMALL_STATE(14840)] = 614130,
  [SMALL_STATE(14841)] = 614150,
  [SMALL_STATE(14842)] = 614170,
  [SMALL_STATE(14843)] = 614190,
  [SMALL_STATE(14844)] = 614210,
  [SMALL_STATE(14845)] = 614230,
  [SMALL_STATE(14846)] = 614250,
  [SMALL_STATE(14847)] = 614270,
  [SMALL_STATE(14848)] = 614290,
  [SMALL_STATE(14849)] = 614310,
  [SMALL_STATE(14850)] = 614330,
  [SMALL_STATE(14851)] = 614350,
  [SMALL_STATE(14852)] = 614370,
  [SMALL_STATE(14853)] = 614390,
  [SMALL_STATE(14854)] = 614408,
  [SMALL_STATE(14855)] = 614428,
  [SMALL_STATE(14856)] = 614448,
  [SMALL_STATE(14857)] = 614468,
  [SMALL_STATE(14858)] = 614488,
  [SMALL_STATE(14859)] = 614508,
  [SMALL_STATE(14860)] = 614528,
  [SMALL_STATE(14861)] = 614548,
  [SMALL_STATE(14862)] = 614568,
  [SMALL_STATE(14863)] = 614588,
  [SMALL_STATE(14864)] = 614608,
  [SMALL_STATE(14865)] = 614628,
  [SMALL_STATE(14866)] = 614646,
  [SMALL_STATE(14867)] = 614662,
  [SMALL_STATE(14868)] = 614682,
  [SMALL_STATE(14869)] = 614702,
  [SMALL_STATE(14870)] = 614722,
  [SMALL_STATE(14871)] = 614742,
  [SMALL_STATE(14872)] = 614762,
  [SMALL_STATE(14873)] = 614782,
  [SMALL_STATE(14874)] = 614802,
  [SMALL_STATE(14875)] = 614822,
  [SMALL_STATE(14876)] = 614842,
  [SMALL_STATE(14877)] = 614862,
  [SMALL_STATE(14878)] = 614882,
  [SMALL_STATE(14879)] = 614902,
  [SMALL_STATE(14880)] = 614922,
  [SMALL_STATE(14881)] = 614942,
  [SMALL_STATE(14882)] = 614962,
  [SMALL_STATE(14883)] = 614982,
  [SMALL_STATE(14884)] = 615002,
  [SMALL_STATE(14885)] = 615022,
  [SMALL_STATE(14886)] = 615042,
  [SMALL_STATE(14887)] = 615062,
  [SMALL_STATE(14888)] = 615082,
  [SMALL_STATE(14889)] = 615102,
  [SMALL_STATE(14890)] = 615122,
  [SMALL_STATE(14891)] = 615142,
  [SMALL_STATE(14892)] = 615162,
  [SMALL_STATE(14893)] = 615182,
  [SMALL_STATE(14894)] = 615202,
  [SMALL_STATE(14895)] = 615222,
  [SMALL_STATE(14896)] = 615242,
  [SMALL_STATE(14897)] = 615262,
  [SMALL_STATE(14898)] = 615282,
  [SMALL_STATE(14899)] = 615302,
  [SMALL_STATE(14900)] = 615322,
  [SMALL_STATE(14901)] = 615342,
  [SMALL_STATE(14902)] = 615362,
  [SMALL_STATE(14903)] = 615382,
  [SMALL_STATE(14904)] = 615402,
  [SMALL_STATE(14905)] = 615420,
  [SMALL_STATE(14906)] = 615440,
  [SMALL_STATE(14907)] = 615456,
  [SMALL_STATE(14908)] = 615476,
  [SMALL_STATE(14909)] = 615492,
  [SMALL_STATE(14910)] = 615512,
  [SMALL_STATE(14911)] = 615532,
  [SMALL_STATE(14912)] = 615552,
  [SMALL_STATE(14913)] = 615572,
  [SMALL_STATE(14914)] = 615592,
  [SMALL_STATE(14915)] = 615612,
  [SMALL_STATE(14916)] = 615632,
  [SMALL_STATE(14917)] = 615652,
  [SMALL_STATE(14918)] = 615672,
  [SMALL_STATE(14919)] = 615690,
  [SMALL_STATE(14920)] = 615710,
  [SMALL_STATE(14921)] = 615730,
  [SMALL_STATE(14922)] = 615750,
  [SMALL_STATE(14923)] = 615770,
  [SMALL_STATE(14924)] = 615790,
  [SMALL_STATE(14925)] = 615810,
  [SMALL_STATE(14926)] = 615830,
  [SMALL_STATE(14927)] = 615850,
  [SMALL_STATE(14928)] = 615870,
  [SMALL_STATE(14929)] = 615890,
  [SMALL_STATE(14930)] = 615910,
  [SMALL_STATE(14931)] = 615930,
  [SMALL_STATE(14932)] = 615950,
  [SMALL_STATE(14933)] = 615970,
  [SMALL_STATE(14934)] = 615990,
  [SMALL_STATE(14935)] = 616010,
  [SMALL_STATE(14936)] = 616030,
  [SMALL_STATE(14937)] = 616050,
  [SMALL_STATE(14938)] = 616070,
  [SMALL_STATE(14939)] = 616090,
  [SMALL_STATE(14940)] = 616110,
  [SMALL_STATE(14941)] = 616130,
  [SMALL_STATE(14942)] = 616150,
  [SMALL_STATE(14943)] = 616170,
  [SMALL_STATE(14944)] = 616190,
  [SMALL_STATE(14945)] = 616206,
  [SMALL_STATE(14946)] = 616226,
  [SMALL_STATE(14947)] = 616244,
  [SMALL_STATE(14948)] = 616264,
  [SMALL_STATE(14949)] = 616282,
  [SMALL_STATE(14950)] = 616302,
  [SMALL_STATE(14951)] = 616322,
  [SMALL_STATE(14952)] = 616342,
  [SMALL_STATE(14953)] = 616362,
  [SMALL_STATE(14954)] = 616382,
  [SMALL_STATE(14955)] = 616402,
  [SMALL_STATE(14956)] = 616422,
  [SMALL_STATE(14957)] = 616442,
  [SMALL_STATE(14958)] = 616462,
  [SMALL_STATE(14959)] = 616482,
  [SMALL_STATE(14960)] = 616502,
  [SMALL_STATE(14961)] = 616522,
  [SMALL_STATE(14962)] = 616542,
  [SMALL_STATE(14963)] = 616562,
  [SMALL_STATE(14964)] = 616582,
  [SMALL_STATE(14965)] = 616600,
  [SMALL_STATE(14966)] = 616620,
  [SMALL_STATE(14967)] = 616640,
  [SMALL_STATE(14968)] = 616660,
  [SMALL_STATE(14969)] = 616676,
  [SMALL_STATE(14970)] = 616696,
  [SMALL_STATE(14971)] = 616714,
  [SMALL_STATE(14972)] = 616734,
  [SMALL_STATE(14973)] = 616754,
  [SMALL_STATE(14974)] = 616774,
  [SMALL_STATE(14975)] = 616794,
  [SMALL_STATE(14976)] = 616814,
  [SMALL_STATE(14977)] = 616834,
  [SMALL_STATE(14978)] = 616854,
  [SMALL_STATE(14979)] = 616874,
  [SMALL_STATE(14980)] = 616892,
  [SMALL_STATE(14981)] = 616912,
  [SMALL_STATE(14982)] = 616932,
  [SMALL_STATE(14983)] = 616952,
  [SMALL_STATE(14984)] = 616970,
  [SMALL_STATE(14985)] = 616990,
  [SMALL_STATE(14986)] = 617010,
  [SMALL_STATE(14987)] = 617030,
  [SMALL_STATE(14988)] = 617050,
  [SMALL_STATE(14989)] = 617070,
  [SMALL_STATE(14990)] = 617090,
  [SMALL_STATE(14991)] = 617110,
  [SMALL_STATE(14992)] = 617130,
  [SMALL_STATE(14993)] = 617150,
  [SMALL_STATE(14994)] = 617170,
  [SMALL_STATE(14995)] = 617190,
  [SMALL_STATE(14996)] = 617208,
  [SMALL_STATE(14997)] = 617228,
  [SMALL_STATE(14998)] = 617248,
  [SMALL_STATE(14999)] = 617268,
  [SMALL_STATE(15000)] = 617286,
  [SMALL_STATE(15001)] = 617306,
  [SMALL_STATE(15002)] = 617324,
  [SMALL_STATE(15003)] = 617344,
  [SMALL_STATE(15004)] = 617362,
  [SMALL_STATE(15005)] = 617380,
  [SMALL_STATE(15006)] = 617400,
  [SMALL_STATE(15007)] = 617420,
  [SMALL_STATE(15008)] = 617440,
  [SMALL_STATE(15009)] = 617460,
  [SMALL_STATE(15010)] = 617480,
  [SMALL_STATE(15011)] = 617500,
  [SMALL_STATE(15012)] = 617520,
  [SMALL_STATE(15013)] = 617536,
  [SMALL_STATE(15014)] = 617556,
  [SMALL_STATE(15015)] = 617576,
  [SMALL_STATE(15016)] = 617596,
  [SMALL_STATE(15017)] = 617616,
  [SMALL_STATE(15018)] = 617636,
  [SMALL_STATE(15019)] = 617656,
  [SMALL_STATE(15020)] = 617676,
  [SMALL_STATE(15021)] = 617696,
  [SMALL_STATE(15022)] = 617716,
  [SMALL_STATE(15023)] = 617732,
  [SMALL_STATE(15024)] = 617752,
  [SMALL_STATE(15025)] = 617772,
  [SMALL_STATE(15026)] = 617792,
  [SMALL_STATE(15027)] = 617812,
  [SMALL_STATE(15028)] = 617832,
  [SMALL_STATE(15029)] = 617848,
  [SMALL_STATE(15030)] = 617868,
  [SMALL_STATE(15031)] = 617888,
  [SMALL_STATE(15032)] = 617908,
  [SMALL_STATE(15033)] = 617928,
  [SMALL_STATE(15034)] = 617946,
  [SMALL_STATE(15035)] = 617966,
  [SMALL_STATE(15036)] = 617986,
  [SMALL_STATE(15037)] = 618006,
  [SMALL_STATE(15038)] = 618026,
  [SMALL_STATE(15039)] = 618046,
  [SMALL_STATE(15040)] = 618066,
  [SMALL_STATE(15041)] = 618086,
  [SMALL_STATE(15042)] = 618106,
  [SMALL_STATE(15043)] = 618126,
  [SMALL_STATE(15044)] = 618146,
  [SMALL_STATE(15045)] = 618166,
  [SMALL_STATE(15046)] = 618186,
  [SMALL_STATE(15047)] = 618206,
  [SMALL_STATE(15048)] = 618226,
  [SMALL_STATE(15049)] = 618242,
  [SMALL_STATE(15050)] = 618262,
  [SMALL_STATE(15051)] = 618282,
  [SMALL_STATE(15052)] = 618298,
  [SMALL_STATE(15053)] = 618318,
  [SMALL_STATE(15054)] = 618336,
  [SMALL_STATE(15055)] = 618356,
  [SMALL_STATE(15056)] = 618372,
  [SMALL_STATE(15057)] = 618392,
  [SMALL_STATE(15058)] = 618412,
  [SMALL_STATE(15059)] = 618432,
  [SMALL_STATE(15060)] = 618452,
  [SMALL_STATE(15061)] = 618472,
  [SMALL_STATE(15062)] = 618492,
  [SMALL_STATE(15063)] = 618512,
  [SMALL_STATE(15064)] = 618532,
  [SMALL_STATE(15065)] = 618548,
  [SMALL_STATE(15066)] = 618568,
  [SMALL_STATE(15067)] = 618588,
  [SMALL_STATE(15068)] = 618606,
  [SMALL_STATE(15069)] = 618624,
  [SMALL_STATE(15070)] = 618644,
  [SMALL_STATE(15071)] = 618664,
  [SMALL_STATE(15072)] = 618684,
  [SMALL_STATE(15073)] = 618700,
  [SMALL_STATE(15074)] = 618720,
  [SMALL_STATE(15075)] = 618740,
  [SMALL_STATE(15076)] = 618760,
  [SMALL_STATE(15077)] = 618780,
  [SMALL_STATE(15078)] = 618800,
  [SMALL_STATE(15079)] = 618818,
  [SMALL_STATE(15080)] = 618838,
  [SMALL_STATE(15081)] = 618854,
  [SMALL_STATE(15082)] = 618874,
  [SMALL_STATE(15083)] = 618892,
  [SMALL_STATE(15084)] = 618910,
  [SMALL_STATE(15085)] = 618928,
  [SMALL_STATE(15086)] = 618946,
  [SMALL_STATE(15087)] = 618964,
  [SMALL_STATE(15088)] = 618982,
  [SMALL_STATE(15089)] = 619000,
  [SMALL_STATE(15090)] = 619018,
  [SMALL_STATE(15091)] = 619036,
  [SMALL_STATE(15092)] = 619054,
  [SMALL_STATE(15093)] = 619072,
  [SMALL_STATE(15094)] = 619090,
  [SMALL_STATE(15095)] = 619108,
  [SMALL_STATE(15096)] = 619126,
  [SMALL_STATE(15097)] = 619144,
  [SMALL_STATE(15098)] = 619162,
  [SMALL_STATE(15099)] = 619180,
  [SMALL_STATE(15100)] = 619200,
  [SMALL_STATE(15101)] = 619220,
  [SMALL_STATE(15102)] = 619240,
  [SMALL_STATE(15103)] = 619260,
  [SMALL_STATE(15104)] = 619280,
  [SMALL_STATE(15105)] = 619300,
  [SMALL_STATE(15106)] = 619318,
  [SMALL_STATE(15107)] = 619338,
  [SMALL_STATE(15108)] = 619358,
  [SMALL_STATE(15109)] = 619376,
  [SMALL_STATE(15110)] = 619396,
  [SMALL_STATE(15111)] = 619414,
  [SMALL_STATE(15112)] = 619434,
  [SMALL_STATE(15113)] = 619454,
  [SMALL_STATE(15114)] = 619472,
  [SMALL_STATE(15115)] = 619488,
  [SMALL_STATE(15116)] = 619508,
  [SMALL_STATE(15117)] = 619528,
  [SMALL_STATE(15118)] = 619546,
  [SMALL_STATE(15119)] = 619566,
  [SMALL_STATE(15120)] = 619586,
  [SMALL_STATE(15121)] = 619606,
  [SMALL_STATE(15122)] = 619626,
  [SMALL_STATE(15123)] = 619646,
  [SMALL_STATE(15124)] = 619666,
  [SMALL_STATE(15125)] = 619686,
  [SMALL_STATE(15126)] = 619706,
  [SMALL_STATE(15127)] = 619726,
  [SMALL_STATE(15128)] = 619746,
  [SMALL_STATE(15129)] = 619766,
  [SMALL_STATE(15130)] = 619786,
  [SMALL_STATE(15131)] = 619806,
  [SMALL_STATE(15132)] = 619826,
  [SMALL_STATE(15133)] = 619846,
  [SMALL_STATE(15134)] = 619866,
  [SMALL_STATE(15135)] = 619884,
  [SMALL_STATE(15136)] = 619904,
  [SMALL_STATE(15137)] = 619924,
  [SMALL_STATE(15138)] = 619944,
  [SMALL_STATE(15139)] = 619964,
  [SMALL_STATE(15140)] = 619984,
  [SMALL_STATE(15141)] = 620004,
  [SMALL_STATE(15142)] = 620024,
  [SMALL_STATE(15143)] = 620044,
  [SMALL_STATE(15144)] = 620064,
  [SMALL_STATE(15145)] = 620084,
  [SMALL_STATE(15146)] = 620104,
  [SMALL_STATE(15147)] = 620124,
  [SMALL_STATE(15148)] = 620144,
  [SMALL_STATE(15149)] = 620164,
  [SMALL_STATE(15150)] = 620184,
  [SMALL_STATE(15151)] = 620204,
  [SMALL_STATE(15152)] = 620224,
  [SMALL_STATE(15153)] = 620242,
  [SMALL_STATE(15154)] = 620262,
  [SMALL_STATE(15155)] = 620282,
  [SMALL_STATE(15156)] = 620302,
  [SMALL_STATE(15157)] = 620322,
  [SMALL_STATE(15158)] = 620342,
  [SMALL_STATE(15159)] = 620362,
  [SMALL_STATE(15160)] = 620382,
  [SMALL_STATE(15161)] = 620402,
  [SMALL_STATE(15162)] = 620422,
  [SMALL_STATE(15163)] = 620442,
  [SMALL_STATE(15164)] = 620462,
  [SMALL_STATE(15165)] = 620480,
  [SMALL_STATE(15166)] = 620500,
  [SMALL_STATE(15167)] = 620520,
  [SMALL_STATE(15168)] = 620538,
  [SMALL_STATE(15169)] = 620558,
  [SMALL_STATE(15170)] = 620578,
  [SMALL_STATE(15171)] = 620596,
  [SMALL_STATE(15172)] = 620614,
  [SMALL_STATE(15173)] = 620632,
  [SMALL_STATE(15174)] = 620650,
  [SMALL_STATE(15175)] = 620668,
  [SMALL_STATE(15176)] = 620686,
  [SMALL_STATE(15177)] = 620704,
  [SMALL_STATE(15178)] = 620722,
  [SMALL_STATE(15179)] = 620742,
  [SMALL_STATE(15180)] = 620762,
  [SMALL_STATE(15181)] = 620778,
  [SMALL_STATE(15182)] = 620798,
  [SMALL_STATE(15183)] = 620818,
  [SMALL_STATE(15184)] = 620838,
  [SMALL_STATE(15185)] = 620858,
  [SMALL_STATE(15186)] = 620878,
  [SMALL_STATE(15187)] = 620898,
  [SMALL_STATE(15188)] = 620918,
  [SMALL_STATE(15189)] = 620938,
  [SMALL_STATE(15190)] = 620954,
  [SMALL_STATE(15191)] = 620974,
  [SMALL_STATE(15192)] = 620994,
  [SMALL_STATE(15193)] = 621014,
  [SMALL_STATE(15194)] = 621034,
  [SMALL_STATE(15195)] = 621054,
  [SMALL_STATE(15196)] = 621074,
  [SMALL_STATE(15197)] = 621094,
  [SMALL_STATE(15198)] = 621114,
  [SMALL_STATE(15199)] = 621134,
  [SMALL_STATE(15200)] = 621154,
  [SMALL_STATE(15201)] = 621174,
  [SMALL_STATE(15202)] = 621192,
  [SMALL_STATE(15203)] = 621210,
  [SMALL_STATE(15204)] = 621230,
  [SMALL_STATE(15205)] = 621250,
  [SMALL_STATE(15206)] = 621270,
  [SMALL_STATE(15207)] = 621290,
  [SMALL_STATE(15208)] = 621310,
  [SMALL_STATE(15209)] = 621330,
  [SMALL_STATE(15210)] = 621350,
  [SMALL_STATE(15211)] = 621370,
  [SMALL_STATE(15212)] = 621390,
  [SMALL_STATE(15213)] = 621410,
  [SMALL_STATE(15214)] = 621430,
  [SMALL_STATE(15215)] = 621450,
  [SMALL_STATE(15216)] = 621470,
  [SMALL_STATE(15217)] = 621488,
  [SMALL_STATE(15218)] = 621508,
  [SMALL_STATE(15219)] = 621528,
  [SMALL_STATE(15220)] = 621548,
  [SMALL_STATE(15221)] = 621568,
  [SMALL_STATE(15222)] = 621586,
  [SMALL_STATE(15223)] = 621604,
  [SMALL_STATE(15224)] = 621622,
  [SMALL_STATE(15225)] = 621640,
  [SMALL_STATE(15226)] = 621658,
  [SMALL_STATE(15227)] = 621676,
  [SMALL_STATE(15228)] = 621694,
  [SMALL_STATE(15229)] = 621712,
  [SMALL_STATE(15230)] = 621730,
  [SMALL_STATE(15231)] = 621750,
  [SMALL_STATE(15232)] = 621770,
  [SMALL_STATE(15233)] = 621790,
  [SMALL_STATE(15234)] = 621810,
  [SMALL_STATE(15235)] = 621830,
  [SMALL_STATE(15236)] = 621848,
  [SMALL_STATE(15237)] = 621868,
  [SMALL_STATE(15238)] = 621888,
  [SMALL_STATE(15239)] = 621906,
  [SMALL_STATE(15240)] = 621926,
  [SMALL_STATE(15241)] = 621946,
  [SMALL_STATE(15242)] = 621966,
  [SMALL_STATE(15243)] = 621986,
  [SMALL_STATE(15244)] = 622006,
  [SMALL_STATE(15245)] = 622026,
  [SMALL_STATE(15246)] = 622046,
  [SMALL_STATE(15247)] = 622066,
  [SMALL_STATE(15248)] = 622084,
  [SMALL_STATE(15249)] = 622104,
  [SMALL_STATE(15250)] = 622124,
  [SMALL_STATE(15251)] = 622144,
  [SMALL_STATE(15252)] = 622164,
  [SMALL_STATE(15253)] = 622184,
  [SMALL_STATE(15254)] = 622204,
  [SMALL_STATE(15255)] = 622222,
  [SMALL_STATE(15256)] = 622242,
  [SMALL_STATE(15257)] = 622262,
  [SMALL_STATE(15258)] = 622282,
  [SMALL_STATE(15259)] = 622302,
  [SMALL_STATE(15260)] = 622322,
  [SMALL_STATE(15261)] = 622342,
  [SMALL_STATE(15262)] = 622362,
  [SMALL_STATE(15263)] = 622382,
  [SMALL_STATE(15264)] = 622402,
  [SMALL_STATE(15265)] = 622422,
  [SMALL_STATE(15266)] = 622442,
  [SMALL_STATE(15267)] = 622462,
  [SMALL_STATE(15268)] = 622482,
  [SMALL_STATE(15269)] = 622502,
  [SMALL_STATE(15270)] = 622522,
  [SMALL_STATE(15271)] = 622540,
  [SMALL_STATE(15272)] = 622558,
  [SMALL_STATE(15273)] = 622576,
  [SMALL_STATE(15274)] = 622596,
  [SMALL_STATE(15275)] = 622616,
  [SMALL_STATE(15276)] = 622636,
  [SMALL_STATE(15277)] = 622656,
  [SMALL_STATE(15278)] = 622674,
  [SMALL_STATE(15279)] = 622694,
  [SMALL_STATE(15280)] = 622714,
  [SMALL_STATE(15281)] = 622732,
  [SMALL_STATE(15282)] = 622752,
  [SMALL_STATE(15283)] = 622772,
  [SMALL_STATE(15284)] = 622792,
  [SMALL_STATE(15285)] = 622812,
  [SMALL_STATE(15286)] = 622832,
  [SMALL_STATE(15287)] = 622848,
  [SMALL_STATE(15288)] = 622868,
  [SMALL_STATE(15289)] = 622888,
  [SMALL_STATE(15290)] = 622908,
  [SMALL_STATE(15291)] = 622928,
  [SMALL_STATE(15292)] = 622948,
  [SMALL_STATE(15293)] = 622968,
  [SMALL_STATE(15294)] = 622988,
  [SMALL_STATE(15295)] = 623008,
  [SMALL_STATE(15296)] = 623028,
  [SMALL_STATE(15297)] = 623044,
  [SMALL_STATE(15298)] = 623064,
  [SMALL_STATE(15299)] = 623084,
  [SMALL_STATE(15300)] = 623102,
  [SMALL_STATE(15301)] = 623122,
  [SMALL_STATE(15302)] = 623142,
  [SMALL_STATE(15303)] = 623160,
  [SMALL_STATE(15304)] = 623180,
  [SMALL_STATE(15305)] = 623200,
  [SMALL_STATE(15306)] = 623220,
  [SMALL_STATE(15307)] = 623236,
  [SMALL_STATE(15308)] = 623254,
  [SMALL_STATE(15309)] = 623272,
  [SMALL_STATE(15310)] = 623292,
  [SMALL_STATE(15311)] = 623312,
  [SMALL_STATE(15312)] = 623332,
  [SMALL_STATE(15313)] = 623352,
  [SMALL_STATE(15314)] = 623372,
  [SMALL_STATE(15315)] = 623392,
  [SMALL_STATE(15316)] = 623412,
  [SMALL_STATE(15317)] = 623432,
  [SMALL_STATE(15318)] = 623452,
  [SMALL_STATE(15319)] = 623472,
  [SMALL_STATE(15320)] = 623492,
  [SMALL_STATE(15321)] = 623512,
  [SMALL_STATE(15322)] = 623532,
  [SMALL_STATE(15323)] = 623552,
  [SMALL_STATE(15324)] = 623572,
  [SMALL_STATE(15325)] = 623592,
  [SMALL_STATE(15326)] = 623612,
  [SMALL_STATE(15327)] = 623632,
  [SMALL_STATE(15328)] = 623652,
  [SMALL_STATE(15329)] = 623672,
  [SMALL_STATE(15330)] = 623692,
  [SMALL_STATE(15331)] = 623712,
  [SMALL_STATE(15332)] = 623732,
  [SMALL_STATE(15333)] = 623752,
  [SMALL_STATE(15334)] = 623772,
  [SMALL_STATE(15335)] = 623792,
  [SMALL_STATE(15336)] = 623812,
  [SMALL_STATE(15337)] = 623832,
  [SMALL_STATE(15338)] = 623850,
  [SMALL_STATE(15339)] = 623870,
  [SMALL_STATE(15340)] = 623890,
  [SMALL_STATE(15341)] = 623910,
  [SMALL_STATE(15342)] = 623928,
  [SMALL_STATE(15343)] = 623948,
  [SMALL_STATE(15344)] = 623966,
  [SMALL_STATE(15345)] = 623986,
  [SMALL_STATE(15346)] = 624006,
  [SMALL_STATE(15347)] = 624026,
  [SMALL_STATE(15348)] = 624046,
  [SMALL_STATE(15349)] = 624064,
  [SMALL_STATE(15350)] = 624084,
  [SMALL_STATE(15351)] = 624104,
  [SMALL_STATE(15352)] = 624124,
  [SMALL_STATE(15353)] = 624144,
  [SMALL_STATE(15354)] = 624162,
  [SMALL_STATE(15355)] = 624182,
  [SMALL_STATE(15356)] = 624202,
  [SMALL_STATE(15357)] = 624222,
  [SMALL_STATE(15358)] = 624242,
  [SMALL_STATE(15359)] = 624262,
  [SMALL_STATE(15360)] = 624282,
  [SMALL_STATE(15361)] = 624302,
  [SMALL_STATE(15362)] = 624322,
  [SMALL_STATE(15363)] = 624342,
  [SMALL_STATE(15364)] = 624362,
  [SMALL_STATE(15365)] = 624382,
  [SMALL_STATE(15366)] = 624402,
  [SMALL_STATE(15367)] = 624422,
  [SMALL_STATE(15368)] = 624442,
  [SMALL_STATE(15369)] = 624460,
  [SMALL_STATE(15370)] = 624480,
  [SMALL_STATE(15371)] = 624500,
  [SMALL_STATE(15372)] = 624520,
  [SMALL_STATE(15373)] = 624540,
  [SMALL_STATE(15374)] = 624560,
  [SMALL_STATE(15375)] = 624580,
  [SMALL_STATE(15376)] = 624598,
  [SMALL_STATE(15377)] = 624618,
  [SMALL_STATE(15378)] = 624638,
  [SMALL_STATE(15379)] = 624658,
  [SMALL_STATE(15380)] = 624678,
  [SMALL_STATE(15381)] = 624698,
  [SMALL_STATE(15382)] = 624718,
  [SMALL_STATE(15383)] = 624736,
  [SMALL_STATE(15384)] = 624756,
  [SMALL_STATE(15385)] = 624776,
  [SMALL_STATE(15386)] = 624792,
  [SMALL_STATE(15387)] = 624812,
  [SMALL_STATE(15388)] = 624832,
  [SMALL_STATE(15389)] = 624852,
  [SMALL_STATE(15390)] = 624872,
  [SMALL_STATE(15391)] = 624892,
  [SMALL_STATE(15392)] = 624912,
  [SMALL_STATE(15393)] = 624932,
  [SMALL_STATE(15394)] = 624952,
  [SMALL_STATE(15395)] = 624972,
  [SMALL_STATE(15396)] = 624990,
  [SMALL_STATE(15397)] = 625010,
  [SMALL_STATE(15398)] = 625030,
  [SMALL_STATE(15399)] = 625050,
  [SMALL_STATE(15400)] = 625068,
  [SMALL_STATE(15401)] = 625088,
  [SMALL_STATE(15402)] = 625108,
  [SMALL_STATE(15403)] = 625128,
  [SMALL_STATE(15404)] = 625148,
  [SMALL_STATE(15405)] = 625168,
  [SMALL_STATE(15406)] = 625188,
  [SMALL_STATE(15407)] = 625208,
  [SMALL_STATE(15408)] = 625228,
  [SMALL_STATE(15409)] = 625248,
  [SMALL_STATE(15410)] = 625268,
  [SMALL_STATE(15411)] = 625288,
  [SMALL_STATE(15412)] = 625306,
  [SMALL_STATE(15413)] = 625326,
  [SMALL_STATE(15414)] = 625342,
  [SMALL_STATE(15415)] = 625362,
  [SMALL_STATE(15416)] = 625380,
  [SMALL_STATE(15417)] = 625400,
  [SMALL_STATE(15418)] = 625420,
  [SMALL_STATE(15419)] = 625440,
  [SMALL_STATE(15420)] = 625460,
  [SMALL_STATE(15421)] = 625480,
  [SMALL_STATE(15422)] = 625500,
  [SMALL_STATE(15423)] = 625516,
  [SMALL_STATE(15424)] = 625536,
  [SMALL_STATE(15425)] = 625556,
  [SMALL_STATE(15426)] = 625576,
  [SMALL_STATE(15427)] = 625594,
  [SMALL_STATE(15428)] = 625614,
  [SMALL_STATE(15429)] = 625634,
  [SMALL_STATE(15430)] = 625654,
  [SMALL_STATE(15431)] = 625672,
  [SMALL_STATE(15432)] = 625692,
  [SMALL_STATE(15433)] = 625712,
  [SMALL_STATE(15434)] = 625730,
  [SMALL_STATE(15435)] = 625748,
  [SMALL_STATE(15436)] = 625766,
  [SMALL_STATE(15437)] = 625786,
  [SMALL_STATE(15438)] = 625806,
  [SMALL_STATE(15439)] = 625826,
  [SMALL_STATE(15440)] = 625844,
  [SMALL_STATE(15441)] = 625864,
  [SMALL_STATE(15442)] = 625884,
  [SMALL_STATE(15443)] = 625902,
  [SMALL_STATE(15444)] = 625922,
  [SMALL_STATE(15445)] = 625942,
  [SMALL_STATE(15446)] = 625962,
  [SMALL_STATE(15447)] = 625982,
  [SMALL_STATE(15448)] = 626002,
  [SMALL_STATE(15449)] = 626020,
  [SMALL_STATE(15450)] = 626040,
  [SMALL_STATE(15451)] = 626060,
  [SMALL_STATE(15452)] = 626080,
  [SMALL_STATE(15453)] = 626100,
  [SMALL_STATE(15454)] = 626120,
  [SMALL_STATE(15455)] = 626138,
  [SMALL_STATE(15456)] = 626158,
  [SMALL_STATE(15457)] = 626178,
  [SMALL_STATE(15458)] = 626198,
  [SMALL_STATE(15459)] = 626218,
  [SMALL_STATE(15460)] = 626238,
  [SMALL_STATE(15461)] = 626258,
  [SMALL_STATE(15462)] = 626278,
  [SMALL_STATE(15463)] = 626298,
  [SMALL_STATE(15464)] = 626318,
  [SMALL_STATE(15465)] = 626338,
  [SMALL_STATE(15466)] = 626358,
  [SMALL_STATE(15467)] = 626378,
  [SMALL_STATE(15468)] = 626398,
  [SMALL_STATE(15469)] = 626416,
  [SMALL_STATE(15470)] = 626436,
  [SMALL_STATE(15471)] = 626456,
  [SMALL_STATE(15472)] = 626476,
  [SMALL_STATE(15473)] = 626494,
  [SMALL_STATE(15474)] = 626514,
  [SMALL_STATE(15475)] = 626534,
  [SMALL_STATE(15476)] = 626554,
  [SMALL_STATE(15477)] = 626572,
  [SMALL_STATE(15478)] = 626592,
  [SMALL_STATE(15479)] = 626612,
  [SMALL_STATE(15480)] = 626630,
  [SMALL_STATE(15481)] = 626645,
  [SMALL_STATE(15482)] = 626660,
  [SMALL_STATE(15483)] = 626675,
  [SMALL_STATE(15484)] = 626690,
  [SMALL_STATE(15485)] = 626705,
  [SMALL_STATE(15486)] = 626722,
  [SMALL_STATE(15487)] = 626737,
  [SMALL_STATE(15488)] = 626752,
  [SMALL_STATE(15489)] = 626769,
  [SMALL_STATE(15490)] = 626786,
  [SMALL_STATE(15491)] = 626801,
  [SMALL_STATE(15492)] = 626816,
  [SMALL_STATE(15493)] = 626831,
  [SMALL_STATE(15494)] = 626846,
  [SMALL_STATE(15495)] = 626861,
  [SMALL_STATE(15496)] = 626876,
  [SMALL_STATE(15497)] = 626891,
  [SMALL_STATE(15498)] = 626906,
  [SMALL_STATE(15499)] = 626921,
  [SMALL_STATE(15500)] = 626938,
  [SMALL_STATE(15501)] = 626953,
  [SMALL_STATE(15502)] = 626968,
  [SMALL_STATE(15503)] = 626983,
  [SMALL_STATE(15504)] = 626998,
  [SMALL_STATE(15505)] = 627013,
  [SMALL_STATE(15506)] = 627028,
  [SMALL_STATE(15507)] = 627043,
  [SMALL_STATE(15508)] = 627058,
  [SMALL_STATE(15509)] = 627075,
  [SMALL_STATE(15510)] = 627090,
  [SMALL_STATE(15511)] = 627105,
  [SMALL_STATE(15512)] = 627122,
  [SMALL_STATE(15513)] = 627137,
  [SMALL_STATE(15514)] = 627152,
  [SMALL_STATE(15515)] = 627169,
  [SMALL_STATE(15516)] = 627184,
  [SMALL_STATE(15517)] = 627199,
  [SMALL_STATE(15518)] = 627214,
  [SMALL_STATE(15519)] = 627229,
  [SMALL_STATE(15520)] = 627244,
  [SMALL_STATE(15521)] = 627261,
  [SMALL_STATE(15522)] = 627276,
  [SMALL_STATE(15523)] = 627291,
  [SMALL_STATE(15524)] = 627306,
  [SMALL_STATE(15525)] = 627321,
  [SMALL_STATE(15526)] = 627336,
  [SMALL_STATE(15527)] = 627351,
  [SMALL_STATE(15528)] = 627366,
  [SMALL_STATE(15529)] = 627381,
  [SMALL_STATE(15530)] = 627396,
  [SMALL_STATE(15531)] = 627411,
  [SMALL_STATE(15532)] = 627428,
  [SMALL_STATE(15533)] = 627443,
  [SMALL_STATE(15534)] = 627458,
  [SMALL_STATE(15535)] = 627475,
  [SMALL_STATE(15536)] = 627490,
  [SMALL_STATE(15537)] = 627505,
  [SMALL_STATE(15538)] = 627520,
  [SMALL_STATE(15539)] = 627535,
  [SMALL_STATE(15540)] = 627550,
  [SMALL_STATE(15541)] = 627565,
  [SMALL_STATE(15542)] = 627580,
  [SMALL_STATE(15543)] = 627597,
  [SMALL_STATE(15544)] = 627614,
  [SMALL_STATE(15545)] = 627629,
  [SMALL_STATE(15546)] = 627644,
  [SMALL_STATE(15547)] = 627659,
  [SMALL_STATE(15548)] = 627674,
  [SMALL_STATE(15549)] = 627689,
  [SMALL_STATE(15550)] = 627704,
  [SMALL_STATE(15551)] = 627719,
  [SMALL_STATE(15552)] = 627734,
  [SMALL_STATE(15553)] = 627749,
  [SMALL_STATE(15554)] = 627764,
  [SMALL_STATE(15555)] = 627779,
  [SMALL_STATE(15556)] = 627796,
  [SMALL_STATE(15557)] = 627811,
  [SMALL_STATE(15558)] = 627826,
  [SMALL_STATE(15559)] = 627841,
  [SMALL_STATE(15560)] = 627856,
  [SMALL_STATE(15561)] = 627871,
  [SMALL_STATE(15562)] = 627886,
  [SMALL_STATE(15563)] = 627903,
  [SMALL_STATE(15564)] = 627918,
  [SMALL_STATE(15565)] = 627933,
  [SMALL_STATE(15566)] = 627948,
  [SMALL_STATE(15567)] = 627963,
  [SMALL_STATE(15568)] = 627980,
  [SMALL_STATE(15569)] = 627995,
  [SMALL_STATE(15570)] = 628012,
  [SMALL_STATE(15571)] = 628027,
  [SMALL_STATE(15572)] = 628042,
  [SMALL_STATE(15573)] = 628057,
  [SMALL_STATE(15574)] = 628072,
  [SMALL_STATE(15575)] = 628087,
  [SMALL_STATE(15576)] = 628102,
  [SMALL_STATE(15577)] = 628117,
  [SMALL_STATE(15578)] = 628132,
  [SMALL_STATE(15579)] = 628147,
  [SMALL_STATE(15580)] = 628162,
  [SMALL_STATE(15581)] = 628179,
  [SMALL_STATE(15582)] = 628194,
  [SMALL_STATE(15583)] = 628211,
  [SMALL_STATE(15584)] = 628226,
  [SMALL_STATE(15585)] = 628241,
  [SMALL_STATE(15586)] = 628256,
  [SMALL_STATE(15587)] = 628271,
  [SMALL_STATE(15588)] = 628288,
  [SMALL_STATE(15589)] = 628303,
  [SMALL_STATE(15590)] = 628318,
  [SMALL_STATE(15591)] = 628335,
  [SMALL_STATE(15592)] = 628350,
  [SMALL_STATE(15593)] = 628365,
  [SMALL_STATE(15594)] = 628380,
  [SMALL_STATE(15595)] = 628395,
  [SMALL_STATE(15596)] = 628410,
  [SMALL_STATE(15597)] = 628427,
  [SMALL_STATE(15598)] = 628442,
  [SMALL_STATE(15599)] = 628457,
  [SMALL_STATE(15600)] = 628472,
  [SMALL_STATE(15601)] = 628487,
  [SMALL_STATE(15602)] = 628504,
  [SMALL_STATE(15603)] = 628519,
  [SMALL_STATE(15604)] = 628534,
  [SMALL_STATE(15605)] = 628549,
  [SMALL_STATE(15606)] = 628564,
  [SMALL_STATE(15607)] = 628581,
  [SMALL_STATE(15608)] = 628596,
  [SMALL_STATE(15609)] = 628611,
  [SMALL_STATE(15610)] = 628626,
  [SMALL_STATE(15611)] = 628641,
  [SMALL_STATE(15612)] = 628656,
  [SMALL_STATE(15613)] = 628671,
  [SMALL_STATE(15614)] = 628686,
  [SMALL_STATE(15615)] = 628703,
  [SMALL_STATE(15616)] = 628718,
  [SMALL_STATE(15617)] = 628733,
  [SMALL_STATE(15618)] = 628748,
  [SMALL_STATE(15619)] = 628765,
  [SMALL_STATE(15620)] = 628780,
  [SMALL_STATE(15621)] = 628795,
  [SMALL_STATE(15622)] = 628810,
  [SMALL_STATE(15623)] = 628825,
  [SMALL_STATE(15624)] = 628840,
  [SMALL_STATE(15625)] = 628855,
  [SMALL_STATE(15626)] = 628870,
  [SMALL_STATE(15627)] = 628885,
  [SMALL_STATE(15628)] = 628900,
  [SMALL_STATE(15629)] = 628915,
  [SMALL_STATE(15630)] = 628930,
  [SMALL_STATE(15631)] = 628945,
  [SMALL_STATE(15632)] = 628962,
  [SMALL_STATE(15633)] = 628977,
  [SMALL_STATE(15634)] = 628994,
  [SMALL_STATE(15635)] = 629009,
  [SMALL_STATE(15636)] = 629024,
  [SMALL_STATE(15637)] = 629041,
  [SMALL_STATE(15638)] = 629056,
  [SMALL_STATE(15639)] = 629071,
  [SMALL_STATE(15640)] = 629086,
  [SMALL_STATE(15641)] = 629103,
  [SMALL_STATE(15642)] = 629118,
  [SMALL_STATE(15643)] = 629133,
  [SMALL_STATE(15644)] = 629148,
  [SMALL_STATE(15645)] = 629163,
  [SMALL_STATE(15646)] = 629178,
  [SMALL_STATE(15647)] = 629193,
  [SMALL_STATE(15648)] = 629208,
  [SMALL_STATE(15649)] = 629223,
  [SMALL_STATE(15650)] = 629238,
  [SMALL_STATE(15651)] = 629253,
  [SMALL_STATE(15652)] = 629268,
  [SMALL_STATE(15653)] = 629283,
  [SMALL_STATE(15654)] = 629298,
  [SMALL_STATE(15655)] = 629313,
  [SMALL_STATE(15656)] = 629328,
  [SMALL_STATE(15657)] = 629343,
  [SMALL_STATE(15658)] = 629358,
  [SMALL_STATE(15659)] = 629373,
  [SMALL_STATE(15660)] = 629388,
  [SMALL_STATE(15661)] = 629403,
  [SMALL_STATE(15662)] = 629418,
  [SMALL_STATE(15663)] = 629433,
  [SMALL_STATE(15664)] = 629450,
  [SMALL_STATE(15665)] = 629467,
  [SMALL_STATE(15666)] = 629482,
  [SMALL_STATE(15667)] = 629497,
  [SMALL_STATE(15668)] = 629512,
  [SMALL_STATE(15669)] = 629527,
  [SMALL_STATE(15670)] = 629542,
  [SMALL_STATE(15671)] = 629557,
  [SMALL_STATE(15672)] = 629572,
  [SMALL_STATE(15673)] = 629587,
  [SMALL_STATE(15674)] = 629602,
  [SMALL_STATE(15675)] = 629619,
  [SMALL_STATE(15676)] = 629636,
  [SMALL_STATE(15677)] = 629651,
  [SMALL_STATE(15678)] = 629666,
  [SMALL_STATE(15679)] = 629681,
  [SMALL_STATE(15680)] = 629698,
  [SMALL_STATE(15681)] = 629713,
  [SMALL_STATE(15682)] = 629728,
  [SMALL_STATE(15683)] = 629745,
  [SMALL_STATE(15684)] = 629760,
  [SMALL_STATE(15685)] = 629775,
  [SMALL_STATE(15686)] = 629790,
  [SMALL_STATE(15687)] = 629805,
  [SMALL_STATE(15688)] = 629822,
  [SMALL_STATE(15689)] = 629839,
  [SMALL_STATE(15690)] = 629854,
  [SMALL_STATE(15691)] = 629869,
  [SMALL_STATE(15692)] = 629884,
  [SMALL_STATE(15693)] = 629899,
  [SMALL_STATE(15694)] = 629914,
  [SMALL_STATE(15695)] = 629929,
  [SMALL_STATE(15696)] = 629944,
  [SMALL_STATE(15697)] = 629959,
  [SMALL_STATE(15698)] = 629974,
  [SMALL_STATE(15699)] = 629991,
  [SMALL_STATE(15700)] = 630008,
  [SMALL_STATE(15701)] = 630023,
  [SMALL_STATE(15702)] = 630038,
  [SMALL_STATE(15703)] = 630053,
  [SMALL_STATE(15704)] = 630068,
  [SMALL_STATE(15705)] = 630083,
  [SMALL_STATE(15706)] = 630100,
  [SMALL_STATE(15707)] = 630117,
  [SMALL_STATE(15708)] = 630132,
  [SMALL_STATE(15709)] = 630149,
  [SMALL_STATE(15710)] = 630166,
  [SMALL_STATE(15711)] = 630181,
  [SMALL_STATE(15712)] = 630196,
  [SMALL_STATE(15713)] = 630211,
  [SMALL_STATE(15714)] = 630226,
  [SMALL_STATE(15715)] = 630243,
  [SMALL_STATE(15716)] = 630258,
  [SMALL_STATE(15717)] = 630273,
  [SMALL_STATE(15718)] = 630290,
  [SMALL_STATE(15719)] = 630305,
  [SMALL_STATE(15720)] = 630320,
  [SMALL_STATE(15721)] = 630337,
  [SMALL_STATE(15722)] = 630350,
  [SMALL_STATE(15723)] = 630365,
  [SMALL_STATE(15724)] = 630380,
  [SMALL_STATE(15725)] = 630397,
  [SMALL_STATE(15726)] = 630414,
  [SMALL_STATE(15727)] = 630429,
  [SMALL_STATE(15728)] = 630444,
  [SMALL_STATE(15729)] = 630459,
  [SMALL_STATE(15730)] = 630476,
  [SMALL_STATE(15731)] = 630493,
  [SMALL_STATE(15732)] = 630508,
  [SMALL_STATE(15733)] = 630523,
  [SMALL_STATE(15734)] = 630538,
  [SMALL_STATE(15735)] = 630553,
  [SMALL_STATE(15736)] = 630570,
  [SMALL_STATE(15737)] = 630585,
  [SMALL_STATE(15738)] = 630602,
  [SMALL_STATE(15739)] = 630619,
  [SMALL_STATE(15740)] = 630634,
  [SMALL_STATE(15741)] = 630649,
  [SMALL_STATE(15742)] = 630664,
  [SMALL_STATE(15743)] = 630679,
  [SMALL_STATE(15744)] = 630694,
  [SMALL_STATE(15745)] = 630711,
  [SMALL_STATE(15746)] = 630728,
  [SMALL_STATE(15747)] = 630745,
  [SMALL_STATE(15748)] = 630762,
  [SMALL_STATE(15749)] = 630777,
  [SMALL_STATE(15750)] = 630792,
  [SMALL_STATE(15751)] = 630809,
  [SMALL_STATE(15752)] = 630826,
  [SMALL_STATE(15753)] = 630841,
  [SMALL_STATE(15754)] = 630858,
  [SMALL_STATE(15755)] = 630875,
  [SMALL_STATE(15756)] = 630890,
  [SMALL_STATE(15757)] = 630905,
  [SMALL_STATE(15758)] = 630922,
  [SMALL_STATE(15759)] = 630937,
  [SMALL_STATE(15760)] = 630954,
  [SMALL_STATE(15761)] = 630969,
  [SMALL_STATE(15762)] = 630984,
  [SMALL_STATE(15763)] = 630999,
  [SMALL_STATE(15764)] = 631014,
  [SMALL_STATE(15765)] = 631029,
  [SMALL_STATE(15766)] = 631044,
  [SMALL_STATE(15767)] = 631061,
  [SMALL_STATE(15768)] = 631076,
  [SMALL_STATE(15769)] = 631091,
  [SMALL_STATE(15770)] = 631106,
  [SMALL_STATE(15771)] = 631121,
  [SMALL_STATE(15772)] = 631136,
  [SMALL_STATE(15773)] = 631151,
  [SMALL_STATE(15774)] = 631166,
  [SMALL_STATE(15775)] = 631181,
  [SMALL_STATE(15776)] = 631196,
  [SMALL_STATE(15777)] = 631211,
  [SMALL_STATE(15778)] = 631226,
  [SMALL_STATE(15779)] = 631241,
  [SMALL_STATE(15780)] = 631256,
  [SMALL_STATE(15781)] = 631271,
  [SMALL_STATE(15782)] = 631285,
  [SMALL_STATE(15783)] = 631299,
  [SMALL_STATE(15784)] = 631313,
  [SMALL_STATE(15785)] = 631327,
  [SMALL_STATE(15786)] = 631341,
  [SMALL_STATE(15787)] = 631355,
  [SMALL_STATE(15788)] = 631369,
  [SMALL_STATE(15789)] = 631383,
  [SMALL_STATE(15790)] = 631397,
  [SMALL_STATE(15791)] = 631411,
  [SMALL_STATE(15792)] = 631425,
  [SMALL_STATE(15793)] = 631439,
  [SMALL_STATE(15794)] = 631453,
  [SMALL_STATE(15795)] = 631467,
  [SMALL_STATE(15796)] = 631481,
  [SMALL_STATE(15797)] = 631495,
  [SMALL_STATE(15798)] = 631509,
  [SMALL_STATE(15799)] = 631523,
  [SMALL_STATE(15800)] = 631537,
  [SMALL_STATE(15801)] = 631551,
  [SMALL_STATE(15802)] = 631565,
  [SMALL_STATE(15803)] = 631579,
  [SMALL_STATE(15804)] = 631593,
  [SMALL_STATE(15805)] = 631607,
  [SMALL_STATE(15806)] = 631621,
  [SMALL_STATE(15807)] = 631635,
  [SMALL_STATE(15808)] = 631649,
  [SMALL_STATE(15809)] = 631663,
  [SMALL_STATE(15810)] = 631677,
  [SMALL_STATE(15811)] = 631691,
  [SMALL_STATE(15812)] = 631705,
  [SMALL_STATE(15813)] = 631719,
  [SMALL_STATE(15814)] = 631733,
  [SMALL_STATE(15815)] = 631747,
  [SMALL_STATE(15816)] = 631761,
  [SMALL_STATE(15817)] = 631775,
  [SMALL_STATE(15818)] = 631789,
  [SMALL_STATE(15819)] = 631803,
  [SMALL_STATE(15820)] = 631817,
  [SMALL_STATE(15821)] = 631831,
  [SMALL_STATE(15822)] = 631845,
  [SMALL_STATE(15823)] = 631859,
  [SMALL_STATE(15824)] = 631873,
  [SMALL_STATE(15825)] = 631887,
  [SMALL_STATE(15826)] = 631901,
  [SMALL_STATE(15827)] = 631915,
  [SMALL_STATE(15828)] = 631929,
  [SMALL_STATE(15829)] = 631943,
  [SMALL_STATE(15830)] = 631957,
  [SMALL_STATE(15831)] = 631971,
  [SMALL_STATE(15832)] = 631985,
  [SMALL_STATE(15833)] = 631999,
  [SMALL_STATE(15834)] = 632013,
  [SMALL_STATE(15835)] = 632027,
  [SMALL_STATE(15836)] = 632041,
  [SMALL_STATE(15837)] = 632055,
  [SMALL_STATE(15838)] = 632069,
  [SMALL_STATE(15839)] = 632083,
  [SMALL_STATE(15840)] = 632097,
  [SMALL_STATE(15841)] = 632111,
  [SMALL_STATE(15842)] = 632125,
  [SMALL_STATE(15843)] = 632139,
  [SMALL_STATE(15844)] = 632153,
  [SMALL_STATE(15845)] = 632167,
  [SMALL_STATE(15846)] = 632181,
  [SMALL_STATE(15847)] = 632195,
  [SMALL_STATE(15848)] = 632209,
  [SMALL_STATE(15849)] = 632223,
  [SMALL_STATE(15850)] = 632237,
  [SMALL_STATE(15851)] = 632251,
  [SMALL_STATE(15852)] = 632265,
  [SMALL_STATE(15853)] = 632279,
  [SMALL_STATE(15854)] = 632293,
  [SMALL_STATE(15855)] = 632307,
  [SMALL_STATE(15856)] = 632321,
  [SMALL_STATE(15857)] = 632335,
  [SMALL_STATE(15858)] = 632349,
  [SMALL_STATE(15859)] = 632363,
  [SMALL_STATE(15860)] = 632377,
  [SMALL_STATE(15861)] = 632391,
  [SMALL_STATE(15862)] = 632405,
  [SMALL_STATE(15863)] = 632419,
  [SMALL_STATE(15864)] = 632433,
  [SMALL_STATE(15865)] = 632447,
  [SMALL_STATE(15866)] = 632461,
  [SMALL_STATE(15867)] = 632475,
  [SMALL_STATE(15868)] = 632489,
  [SMALL_STATE(15869)] = 632503,
  [SMALL_STATE(15870)] = 632517,
  [SMALL_STATE(15871)] = 632531,
  [SMALL_STATE(15872)] = 632545,
  [SMALL_STATE(15873)] = 632559,
  [SMALL_STATE(15874)] = 632573,
  [SMALL_STATE(15875)] = 632587,
  [SMALL_STATE(15876)] = 632601,
  [SMALL_STATE(15877)] = 632615,
  [SMALL_STATE(15878)] = 632629,
  [SMALL_STATE(15879)] = 632643,
  [SMALL_STATE(15880)] = 632657,
  [SMALL_STATE(15881)] = 632671,
  [SMALL_STATE(15882)] = 632685,
  [SMALL_STATE(15883)] = 632699,
  [SMALL_STATE(15884)] = 632713,
  [SMALL_STATE(15885)] = 632727,
  [SMALL_STATE(15886)] = 632741,
  [SMALL_STATE(15887)] = 632755,
  [SMALL_STATE(15888)] = 632769,
  [SMALL_STATE(15889)] = 632783,
  [SMALL_STATE(15890)] = 632797,
  [SMALL_STATE(15891)] = 632811,
  [SMALL_STATE(15892)] = 632825,
  [SMALL_STATE(15893)] = 632839,
  [SMALL_STATE(15894)] = 632853,
  [SMALL_STATE(15895)] = 632867,
  [SMALL_STATE(15896)] = 632881,
  [SMALL_STATE(15897)] = 632895,
  [SMALL_STATE(15898)] = 632909,
  [SMALL_STATE(15899)] = 632923,
  [SMALL_STATE(15900)] = 632937,
  [SMALL_STATE(15901)] = 632951,
  [SMALL_STATE(15902)] = 632965,
  [SMALL_STATE(15903)] = 632979,
  [SMALL_STATE(15904)] = 632993,
  [SMALL_STATE(15905)] = 633007,
  [SMALL_STATE(15906)] = 633021,
  [SMALL_STATE(15907)] = 633035,
  [SMALL_STATE(15908)] = 633049,
  [SMALL_STATE(15909)] = 633063,
  [SMALL_STATE(15910)] = 633077,
  [SMALL_STATE(15911)] = 633091,
  [SMALL_STATE(15912)] = 633105,
  [SMALL_STATE(15913)] = 633119,
  [SMALL_STATE(15914)] = 633133,
  [SMALL_STATE(15915)] = 633147,
  [SMALL_STATE(15916)] = 633161,
  [SMALL_STATE(15917)] = 633175,
  [SMALL_STATE(15918)] = 633189,
  [SMALL_STATE(15919)] = 633203,
  [SMALL_STATE(15920)] = 633217,
  [SMALL_STATE(15921)] = 633231,
  [SMALL_STATE(15922)] = 633245,
  [SMALL_STATE(15923)] = 633259,
  [SMALL_STATE(15924)] = 633273,
  [SMALL_STATE(15925)] = 633287,
  [SMALL_STATE(15926)] = 633301,
  [SMALL_STATE(15927)] = 633315,
  [SMALL_STATE(15928)] = 633329,
  [SMALL_STATE(15929)] = 633343,
  [SMALL_STATE(15930)] = 633357,
  [SMALL_STATE(15931)] = 633371,
  [SMALL_STATE(15932)] = 633385,
  [SMALL_STATE(15933)] = 633399,
  [SMALL_STATE(15934)] = 633413,
  [SMALL_STATE(15935)] = 633427,
  [SMALL_STATE(15936)] = 633441,
  [SMALL_STATE(15937)] = 633455,
  [SMALL_STATE(15938)] = 633469,
  [SMALL_STATE(15939)] = 633483,
  [SMALL_STATE(15940)] = 633497,
  [SMALL_STATE(15941)] = 633511,
  [SMALL_STATE(15942)] = 633525,
  [SMALL_STATE(15943)] = 633539,
  [SMALL_STATE(15944)] = 633553,
  [SMALL_STATE(15945)] = 633567,
  [SMALL_STATE(15946)] = 633581,
  [SMALL_STATE(15947)] = 633595,
  [SMALL_STATE(15948)] = 633609,
  [SMALL_STATE(15949)] = 633623,
  [SMALL_STATE(15950)] = 633637,
  [SMALL_STATE(15951)] = 633651,
  [SMALL_STATE(15952)] = 633665,
  [SMALL_STATE(15953)] = 633679,
  [SMALL_STATE(15954)] = 633693,
  [SMALL_STATE(15955)] = 633707,
  [SMALL_STATE(15956)] = 633721,
  [SMALL_STATE(15957)] = 633735,
  [SMALL_STATE(15958)] = 633749,
  [SMALL_STATE(15959)] = 633763,
  [SMALL_STATE(15960)] = 633777,
  [SMALL_STATE(15961)] = 633791,
  [SMALL_STATE(15962)] = 633805,
  [SMALL_STATE(15963)] = 633819,
  [SMALL_STATE(15964)] = 633833,
  [SMALL_STATE(15965)] = 633847,
  [SMALL_STATE(15966)] = 633861,
  [SMALL_STATE(15967)] = 633875,
  [SMALL_STATE(15968)] = 633889,
  [SMALL_STATE(15969)] = 633903,
  [SMALL_STATE(15970)] = 633917,
  [SMALL_STATE(15971)] = 633931,
  [SMALL_STATE(15972)] = 633945,
  [SMALL_STATE(15973)] = 633959,
  [SMALL_STATE(15974)] = 633973,
  [SMALL_STATE(15975)] = 633987,
  [SMALL_STATE(15976)] = 634001,
  [SMALL_STATE(15977)] = 634015,
  [SMALL_STATE(15978)] = 634029,
  [SMALL_STATE(15979)] = 634043,
  [SMALL_STATE(15980)] = 634057,
  [SMALL_STATE(15981)] = 634071,
  [SMALL_STATE(15982)] = 634085,
  [SMALL_STATE(15983)] = 634099,
  [SMALL_STATE(15984)] = 634113,
  [SMALL_STATE(15985)] = 634127,
  [SMALL_STATE(15986)] = 634141,
  [SMALL_STATE(15987)] = 634155,
  [SMALL_STATE(15988)] = 634169,
  [SMALL_STATE(15989)] = 634183,
  [SMALL_STATE(15990)] = 634197,
  [SMALL_STATE(15991)] = 634211,
  [SMALL_STATE(15992)] = 634225,
  [SMALL_STATE(15993)] = 634239,
  [SMALL_STATE(15994)] = 634253,
  [SMALL_STATE(15995)] = 634267,
  [SMALL_STATE(15996)] = 634281,
  [SMALL_STATE(15997)] = 634295,
  [SMALL_STATE(15998)] = 634309,
  [SMALL_STATE(15999)] = 634323,
  [SMALL_STATE(16000)] = 634337,
  [SMALL_STATE(16001)] = 634351,
  [SMALL_STATE(16002)] = 634365,
  [SMALL_STATE(16003)] = 634379,
  [SMALL_STATE(16004)] = 634393,
  [SMALL_STATE(16005)] = 634407,
  [SMALL_STATE(16006)] = 634421,
  [SMALL_STATE(16007)] = 634435,
  [SMALL_STATE(16008)] = 634449,
  [SMALL_STATE(16009)] = 634463,
  [SMALL_STATE(16010)] = 634477,
  [SMALL_STATE(16011)] = 634491,
  [SMALL_STATE(16012)] = 634505,
  [SMALL_STATE(16013)] = 634519,
  [SMALL_STATE(16014)] = 634533,
  [SMALL_STATE(16015)] = 634547,
  [SMALL_STATE(16016)] = 634561,
  [SMALL_STATE(16017)] = 634575,
  [SMALL_STATE(16018)] = 634589,
  [SMALL_STATE(16019)] = 634603,
  [SMALL_STATE(16020)] = 634617,
  [SMALL_STATE(16021)] = 634631,
  [SMALL_STATE(16022)] = 634645,
  [SMALL_STATE(16023)] = 634659,
  [SMALL_STATE(16024)] = 634673,
  [SMALL_STATE(16025)] = 634687,
  [SMALL_STATE(16026)] = 634701,
  [SMALL_STATE(16027)] = 634715,
  [SMALL_STATE(16028)] = 634729,
  [SMALL_STATE(16029)] = 634743,
  [SMALL_STATE(16030)] = 634757,
  [SMALL_STATE(16031)] = 634771,
  [SMALL_STATE(16032)] = 634785,
  [SMALL_STATE(16033)] = 634799,
  [SMALL_STATE(16034)] = 634813,
  [SMALL_STATE(16035)] = 634827,
  [SMALL_STATE(16036)] = 634841,
  [SMALL_STATE(16037)] = 634855,
  [SMALL_STATE(16038)] = 634869,
  [SMALL_STATE(16039)] = 634883,
  [SMALL_STATE(16040)] = 634897,
  [SMALL_STATE(16041)] = 634911,
  [SMALL_STATE(16042)] = 634925,
  [SMALL_STATE(16043)] = 634939,
  [SMALL_STATE(16044)] = 634953,
  [SMALL_STATE(16045)] = 634967,
  [SMALL_STATE(16046)] = 634981,
  [SMALL_STATE(16047)] = 634995,
  [SMALL_STATE(16048)] = 635009,
  [SMALL_STATE(16049)] = 635023,
  [SMALL_STATE(16050)] = 635037,
  [SMALL_STATE(16051)] = 635051,
  [SMALL_STATE(16052)] = 635065,
  [SMALL_STATE(16053)] = 635079,
  [SMALL_STATE(16054)] = 635093,
  [SMALL_STATE(16055)] = 635107,
  [SMALL_STATE(16056)] = 635121,
  [SMALL_STATE(16057)] = 635135,
  [SMALL_STATE(16058)] = 635149,
  [SMALL_STATE(16059)] = 635163,
  [SMALL_STATE(16060)] = 635177,
  [SMALL_STATE(16061)] = 635191,
  [SMALL_STATE(16062)] = 635205,
  [SMALL_STATE(16063)] = 635219,
  [SMALL_STATE(16064)] = 635233,
  [SMALL_STATE(16065)] = 635247,
  [SMALL_STATE(16066)] = 635261,
  [SMALL_STATE(16067)] = 635275,
  [SMALL_STATE(16068)] = 635289,
  [SMALL_STATE(16069)] = 635303,
  [SMALL_STATE(16070)] = 635317,
  [SMALL_STATE(16071)] = 635331,
  [SMALL_STATE(16072)] = 635345,
  [SMALL_STATE(16073)] = 635359,
  [SMALL_STATE(16074)] = 635373,
  [SMALL_STATE(16075)] = 635387,
  [SMALL_STATE(16076)] = 635401,
  [SMALL_STATE(16077)] = 635415,
  [SMALL_STATE(16078)] = 635429,
  [SMALL_STATE(16079)] = 635443,
  [SMALL_STATE(16080)] = 635457,
  [SMALL_STATE(16081)] = 635471,
  [SMALL_STATE(16082)] = 635485,
  [SMALL_STATE(16083)] = 635499,
  [SMALL_STATE(16084)] = 635513,
  [SMALL_STATE(16085)] = 635527,
  [SMALL_STATE(16086)] = 635541,
  [SMALL_STATE(16087)] = 635555,
  [SMALL_STATE(16088)] = 635569,
  [SMALL_STATE(16089)] = 635583,
  [SMALL_STATE(16090)] = 635597,
  [SMALL_STATE(16091)] = 635611,
  [SMALL_STATE(16092)] = 635625,
  [SMALL_STATE(16093)] = 635639,
  [SMALL_STATE(16094)] = 635653,
  [SMALL_STATE(16095)] = 635667,
  [SMALL_STATE(16096)] = 635681,
  [SMALL_STATE(16097)] = 635695,
  [SMALL_STATE(16098)] = 635709,
  [SMALL_STATE(16099)] = 635723,
  [SMALL_STATE(16100)] = 635737,
  [SMALL_STATE(16101)] = 635751,
  [SMALL_STATE(16102)] = 635765,
  [SMALL_STATE(16103)] = 635779,
  [SMALL_STATE(16104)] = 635793,
  [SMALL_STATE(16105)] = 635807,
  [SMALL_STATE(16106)] = 635821,
  [SMALL_STATE(16107)] = 635835,
  [SMALL_STATE(16108)] = 635849,
  [SMALL_STATE(16109)] = 635863,
  [SMALL_STATE(16110)] = 635877,
  [SMALL_STATE(16111)] = 635891,
  [SMALL_STATE(16112)] = 635905,
  [SMALL_STATE(16113)] = 635919,
  [SMALL_STATE(16114)] = 635933,
  [SMALL_STATE(16115)] = 635947,
  [SMALL_STATE(16116)] = 635961,
  [SMALL_STATE(16117)] = 635975,
  [SMALL_STATE(16118)] = 635989,
  [SMALL_STATE(16119)] = 636003,
  [SMALL_STATE(16120)] = 636017,
  [SMALL_STATE(16121)] = 636031,
  [SMALL_STATE(16122)] = 636045,
  [SMALL_STATE(16123)] = 636059,
  [SMALL_STATE(16124)] = 636073,
  [SMALL_STATE(16125)] = 636087,
  [SMALL_STATE(16126)] = 636101,
  [SMALL_STATE(16127)] = 636115,
  [SMALL_STATE(16128)] = 636129,
  [SMALL_STATE(16129)] = 636143,
  [SMALL_STATE(16130)] = 636157,
  [SMALL_STATE(16131)] = 636171,
  [SMALL_STATE(16132)] = 636185,
  [SMALL_STATE(16133)] = 636199,
  [SMALL_STATE(16134)] = 636213,
  [SMALL_STATE(16135)] = 636227,
  [SMALL_STATE(16136)] = 636241,
  [SMALL_STATE(16137)] = 636255,
  [SMALL_STATE(16138)] = 636269,
  [SMALL_STATE(16139)] = 636283,
  [SMALL_STATE(16140)] = 636297,
  [SMALL_STATE(16141)] = 636311,
  [SMALL_STATE(16142)] = 636325,
  [SMALL_STATE(16143)] = 636339,
  [SMALL_STATE(16144)] = 636353,
  [SMALL_STATE(16145)] = 636367,
  [SMALL_STATE(16146)] = 636381,
  [SMALL_STATE(16147)] = 636395,
  [SMALL_STATE(16148)] = 636409,
  [SMALL_STATE(16149)] = 636423,
  [SMALL_STATE(16150)] = 636437,
  [SMALL_STATE(16151)] = 636451,
  [SMALL_STATE(16152)] = 636465,
  [SMALL_STATE(16153)] = 636479,
  [SMALL_STATE(16154)] = 636493,
  [SMALL_STATE(16155)] = 636507,
  [SMALL_STATE(16156)] = 636521,
  [SMALL_STATE(16157)] = 636535,
  [SMALL_STATE(16158)] = 636549,
  [SMALL_STATE(16159)] = 636563,
  [SMALL_STATE(16160)] = 636577,
  [SMALL_STATE(16161)] = 636591,
  [SMALL_STATE(16162)] = 636605,
  [SMALL_STATE(16163)] = 636619,
  [SMALL_STATE(16164)] = 636633,
  [SMALL_STATE(16165)] = 636647,
  [SMALL_STATE(16166)] = 636661,
  [SMALL_STATE(16167)] = 636675,
  [SMALL_STATE(16168)] = 636689,
  [SMALL_STATE(16169)] = 636703,
  [SMALL_STATE(16170)] = 636717,
  [SMALL_STATE(16171)] = 636731,
  [SMALL_STATE(16172)] = 636745,
  [SMALL_STATE(16173)] = 636759,
  [SMALL_STATE(16174)] = 636773,
  [SMALL_STATE(16175)] = 636787,
  [SMALL_STATE(16176)] = 636801,
  [SMALL_STATE(16177)] = 636815,
  [SMALL_STATE(16178)] = 636829,
  [SMALL_STATE(16179)] = 636843,
  [SMALL_STATE(16180)] = 636857,
  [SMALL_STATE(16181)] = 636871,
  [SMALL_STATE(16182)] = 636885,
  [SMALL_STATE(16183)] = 636899,
  [SMALL_STATE(16184)] = 636913,
  [SMALL_STATE(16185)] = 636927,
  [SMALL_STATE(16186)] = 636941,
  [SMALL_STATE(16187)] = 636955,
  [SMALL_STATE(16188)] = 636969,
  [SMALL_STATE(16189)] = 636983,
  [SMALL_STATE(16190)] = 636997,
  [SMALL_STATE(16191)] = 637011,
  [SMALL_STATE(16192)] = 637025,
  [SMALL_STATE(16193)] = 637039,
  [SMALL_STATE(16194)] = 637053,
  [SMALL_STATE(16195)] = 637067,
  [SMALL_STATE(16196)] = 637081,
  [SMALL_STATE(16197)] = 637095,
  [SMALL_STATE(16198)] = 637109,
  [SMALL_STATE(16199)] = 637123,
  [SMALL_STATE(16200)] = 637137,
  [SMALL_STATE(16201)] = 637151,
  [SMALL_STATE(16202)] = 637165,
  [SMALL_STATE(16203)] = 637179,
  [SMALL_STATE(16204)] = 637193,
  [SMALL_STATE(16205)] = 637207,
  [SMALL_STATE(16206)] = 637221,
  [SMALL_STATE(16207)] = 637235,
  [SMALL_STATE(16208)] = 637249,
  [SMALL_STATE(16209)] = 637263,
  [SMALL_STATE(16210)] = 637277,
  [SMALL_STATE(16211)] = 637291,
  [SMALL_STATE(16212)] = 637305,
  [SMALL_STATE(16213)] = 637319,
  [SMALL_STATE(16214)] = 637333,
  [SMALL_STATE(16215)] = 637347,
  [SMALL_STATE(16216)] = 637361,
  [SMALL_STATE(16217)] = 637375,
  [SMALL_STATE(16218)] = 637389,
  [SMALL_STATE(16219)] = 637403,
  [SMALL_STATE(16220)] = 637417,
  [SMALL_STATE(16221)] = 637431,
  [SMALL_STATE(16222)] = 637445,
  [SMALL_STATE(16223)] = 637459,
  [SMALL_STATE(16224)] = 637473,
  [SMALL_STATE(16225)] = 637487,
  [SMALL_STATE(16226)] = 637501,
  [SMALL_STATE(16227)] = 637515,
  [SMALL_STATE(16228)] = 637529,
  [SMALL_STATE(16229)] = 637543,
  [SMALL_STATE(16230)] = 637557,
  [SMALL_STATE(16231)] = 637571,
  [SMALL_STATE(16232)] = 637585,
  [SMALL_STATE(16233)] = 637599,
  [SMALL_STATE(16234)] = 637613,
  [SMALL_STATE(16235)] = 637627,
  [SMALL_STATE(16236)] = 637641,
  [SMALL_STATE(16237)] = 637655,
  [SMALL_STATE(16238)] = 637669,
  [SMALL_STATE(16239)] = 637683,
  [SMALL_STATE(16240)] = 637697,
  [SMALL_STATE(16241)] = 637711,
  [SMALL_STATE(16242)] = 637725,
  [SMALL_STATE(16243)] = 637739,
  [SMALL_STATE(16244)] = 637753,
  [SMALL_STATE(16245)] = 637767,
  [SMALL_STATE(16246)] = 637781,
  [SMALL_STATE(16247)] = 637795,
  [SMALL_STATE(16248)] = 637809,
  [SMALL_STATE(16249)] = 637823,
  [SMALL_STATE(16250)] = 637837,
  [SMALL_STATE(16251)] = 637851,
  [SMALL_STATE(16252)] = 637865,
  [SMALL_STATE(16253)] = 637879,
  [SMALL_STATE(16254)] = 637893,
  [SMALL_STATE(16255)] = 637907,
  [SMALL_STATE(16256)] = 637921,
  [SMALL_STATE(16257)] = 637935,
  [SMALL_STATE(16258)] = 637949,
  [SMALL_STATE(16259)] = 637963,
  [SMALL_STATE(16260)] = 637977,
  [SMALL_STATE(16261)] = 637991,
  [SMALL_STATE(16262)] = 638005,
  [SMALL_STATE(16263)] = 638019,
  [SMALL_STATE(16264)] = 638033,
  [SMALL_STATE(16265)] = 638047,
  [SMALL_STATE(16266)] = 638061,
  [SMALL_STATE(16267)] = 638075,
  [SMALL_STATE(16268)] = 638089,
  [SMALL_STATE(16269)] = 638103,
  [SMALL_STATE(16270)] = 638117,
  [SMALL_STATE(16271)] = 638131,
  [SMALL_STATE(16272)] = 638145,
  [SMALL_STATE(16273)] = 638159,
  [SMALL_STATE(16274)] = 638173,
  [SMALL_STATE(16275)] = 638187,
  [SMALL_STATE(16276)] = 638201,
  [SMALL_STATE(16277)] = 638215,
  [SMALL_STATE(16278)] = 638229,
  [SMALL_STATE(16279)] = 638243,
  [SMALL_STATE(16280)] = 638257,
  [SMALL_STATE(16281)] = 638271,
  [SMALL_STATE(16282)] = 638285,
  [SMALL_STATE(16283)] = 638299,
  [SMALL_STATE(16284)] = 638313,
  [SMALL_STATE(16285)] = 638327,
  [SMALL_STATE(16286)] = 638341,
  [SMALL_STATE(16287)] = 638355,
  [SMALL_STATE(16288)] = 638369,
  [SMALL_STATE(16289)] = 638383,
  [SMALL_STATE(16290)] = 638397,
  [SMALL_STATE(16291)] = 638411,
  [SMALL_STATE(16292)] = 638425,
  [SMALL_STATE(16293)] = 638439,
  [SMALL_STATE(16294)] = 638453,
  [SMALL_STATE(16295)] = 638467,
  [SMALL_STATE(16296)] = 638481,
  [SMALL_STATE(16297)] = 638495,
  [SMALL_STATE(16298)] = 638509,
  [SMALL_STATE(16299)] = 638523,
  [SMALL_STATE(16300)] = 638537,
  [SMALL_STATE(16301)] = 638551,
  [SMALL_STATE(16302)] = 638565,
  [SMALL_STATE(16303)] = 638579,
  [SMALL_STATE(16304)] = 638593,
  [SMALL_STATE(16305)] = 638607,
  [SMALL_STATE(16306)] = 638621,
  [SMALL_STATE(16307)] = 638635,
  [SMALL_STATE(16308)] = 638649,
  [SMALL_STATE(16309)] = 638663,
  [SMALL_STATE(16310)] = 638677,
  [SMALL_STATE(16311)] = 638691,
  [SMALL_STATE(16312)] = 638705,
  [SMALL_STATE(16313)] = 638719,
  [SMALL_STATE(16314)] = 638733,
  [SMALL_STATE(16315)] = 638747,
  [SMALL_STATE(16316)] = 638761,
  [SMALL_STATE(16317)] = 638775,
  [SMALL_STATE(16318)] = 638789,
  [SMALL_STATE(16319)] = 638803,
  [SMALL_STATE(16320)] = 638817,
  [SMALL_STATE(16321)] = 638831,
  [SMALL_STATE(16322)] = 638845,
  [SMALL_STATE(16323)] = 638859,
  [SMALL_STATE(16324)] = 638873,
  [SMALL_STATE(16325)] = 638887,
  [SMALL_STATE(16326)] = 638901,
  [SMALL_STATE(16327)] = 638915,
  [SMALL_STATE(16328)] = 638929,
  [SMALL_STATE(16329)] = 638943,
  [SMALL_STATE(16330)] = 638957,
  [SMALL_STATE(16331)] = 638971,
  [SMALL_STATE(16332)] = 638985,
  [SMALL_STATE(16333)] = 638999,
  [SMALL_STATE(16334)] = 639013,
  [SMALL_STATE(16335)] = 639027,
  [SMALL_STATE(16336)] = 639041,
  [SMALL_STATE(16337)] = 639055,
  [SMALL_STATE(16338)] = 639069,
  [SMALL_STATE(16339)] = 639083,
  [SMALL_STATE(16340)] = 639097,
  [SMALL_STATE(16341)] = 639111,
  [SMALL_STATE(16342)] = 639125,
  [SMALL_STATE(16343)] = 639139,
  [SMALL_STATE(16344)] = 639153,
  [SMALL_STATE(16345)] = 639167,
  [SMALL_STATE(16346)] = 639181,
  [SMALL_STATE(16347)] = 639195,
  [SMALL_STATE(16348)] = 639209,
  [SMALL_STATE(16349)] = 639223,
  [SMALL_STATE(16350)] = 639237,
  [SMALL_STATE(16351)] = 639251,
  [SMALL_STATE(16352)] = 639265,
  [SMALL_STATE(16353)] = 639279,
  [SMALL_STATE(16354)] = 639293,
  [SMALL_STATE(16355)] = 639307,
  [SMALL_STATE(16356)] = 639321,
  [SMALL_STATE(16357)] = 639335,
  [SMALL_STATE(16358)] = 639349,
  [SMALL_STATE(16359)] = 639363,
  [SMALL_STATE(16360)] = 639377,
  [SMALL_STATE(16361)] = 639391,
  [SMALL_STATE(16362)] = 639405,
  [SMALL_STATE(16363)] = 639419,
  [SMALL_STATE(16364)] = 639433,
  [SMALL_STATE(16365)] = 639447,
  [SMALL_STATE(16366)] = 639461,
  [SMALL_STATE(16367)] = 639475,
  [SMALL_STATE(16368)] = 639489,
  [SMALL_STATE(16369)] = 639503,
  [SMALL_STATE(16370)] = 639517,
  [SMALL_STATE(16371)] = 639531,
  [SMALL_STATE(16372)] = 639545,
  [SMALL_STATE(16373)] = 639559,
  [SMALL_STATE(16374)] = 639573,
  [SMALL_STATE(16375)] = 639587,
  [SMALL_STATE(16376)] = 639601,
  [SMALL_STATE(16377)] = 639615,
  [SMALL_STATE(16378)] = 639629,
  [SMALL_STATE(16379)] = 639643,
  [SMALL_STATE(16380)] = 639657,
  [SMALL_STATE(16381)] = 639671,
  [SMALL_STATE(16382)] = 639685,
  [SMALL_STATE(16383)] = 639699,
  [SMALL_STATE(16384)] = 639713,
  [SMALL_STATE(16385)] = 639727,
  [SMALL_STATE(16386)] = 639741,
  [SMALL_STATE(16387)] = 639755,
  [SMALL_STATE(16388)] = 639769,
  [SMALL_STATE(16389)] = 639783,
  [SMALL_STATE(16390)] = 639797,
  [SMALL_STATE(16391)] = 639811,
  [SMALL_STATE(16392)] = 639825,
  [SMALL_STATE(16393)] = 639839,
  [SMALL_STATE(16394)] = 639853,
  [SMALL_STATE(16395)] = 639867,
  [SMALL_STATE(16396)] = 639881,
  [SMALL_STATE(16397)] = 639895,
  [SMALL_STATE(16398)] = 639909,
  [SMALL_STATE(16399)] = 639923,
  [SMALL_STATE(16400)] = 639937,
  [SMALL_STATE(16401)] = 639951,
  [SMALL_STATE(16402)] = 639965,
  [SMALL_STATE(16403)] = 639979,
  [SMALL_STATE(16404)] = 639993,
  [SMALL_STATE(16405)] = 640007,
  [SMALL_STATE(16406)] = 640021,
  [SMALL_STATE(16407)] = 640035,
  [SMALL_STATE(16408)] = 640049,
  [SMALL_STATE(16409)] = 640063,
  [SMALL_STATE(16410)] = 640077,
  [SMALL_STATE(16411)] = 640091,
  [SMALL_STATE(16412)] = 640105,
  [SMALL_STATE(16413)] = 640119,
  [SMALL_STATE(16414)] = 640133,
  [SMALL_STATE(16415)] = 640147,
  [SMALL_STATE(16416)] = 640161,
  [SMALL_STATE(16417)] = 640175,
  [SMALL_STATE(16418)] = 640189,
  [SMALL_STATE(16419)] = 640203,
  [SMALL_STATE(16420)] = 640217,
  [SMALL_STATE(16421)] = 640231,
  [SMALL_STATE(16422)] = 640245,
  [SMALL_STATE(16423)] = 640259,
  [SMALL_STATE(16424)] = 640273,
  [SMALL_STATE(16425)] = 640287,
  [SMALL_STATE(16426)] = 640301,
  [SMALL_STATE(16427)] = 640315,
  [SMALL_STATE(16428)] = 640329,
  [SMALL_STATE(16429)] = 640343,
  [SMALL_STATE(16430)] = 640357,
  [SMALL_STATE(16431)] = 640371,
  [SMALL_STATE(16432)] = 640385,
  [SMALL_STATE(16433)] = 640399,
  [SMALL_STATE(16434)] = 640413,
  [SMALL_STATE(16435)] = 640427,
  [SMALL_STATE(16436)] = 640441,
  [SMALL_STATE(16437)] = 640455,
  [SMALL_STATE(16438)] = 640469,
  [SMALL_STATE(16439)] = 640483,
  [SMALL_STATE(16440)] = 640497,
  [SMALL_STATE(16441)] = 640511,
  [SMALL_STATE(16442)] = 640525,
  [SMALL_STATE(16443)] = 640539,
  [SMALL_STATE(16444)] = 640553,
  [SMALL_STATE(16445)] = 640567,
  [SMALL_STATE(16446)] = 640581,
  [SMALL_STATE(16447)] = 640595,
  [SMALL_STATE(16448)] = 640609,
  [SMALL_STATE(16449)] = 640623,
  [SMALL_STATE(16450)] = 640637,
  [SMALL_STATE(16451)] = 640651,
  [SMALL_STATE(16452)] = 640665,
  [SMALL_STATE(16453)] = 640679,
  [SMALL_STATE(16454)] = 640693,
  [SMALL_STATE(16455)] = 640707,
  [SMALL_STATE(16456)] = 640721,
  [SMALL_STATE(16457)] = 640735,
  [SMALL_STATE(16458)] = 640749,
  [SMALL_STATE(16459)] = 640763,
  [SMALL_STATE(16460)] = 640777,
  [SMALL_STATE(16461)] = 640791,
  [SMALL_STATE(16462)] = 640805,
  [SMALL_STATE(16463)] = 640819,
  [SMALL_STATE(16464)] = 640833,
  [SMALL_STATE(16465)] = 640847,
  [SMALL_STATE(16466)] = 640861,
  [SMALL_STATE(16467)] = 640875,
  [SMALL_STATE(16468)] = 640889,
  [SMALL_STATE(16469)] = 640903,
  [SMALL_STATE(16470)] = 640917,
  [SMALL_STATE(16471)] = 640931,
  [SMALL_STATE(16472)] = 640945,
  [SMALL_STATE(16473)] = 640959,
  [SMALL_STATE(16474)] = 640973,
  [SMALL_STATE(16475)] = 640987,
  [SMALL_STATE(16476)] = 641001,
  [SMALL_STATE(16477)] = 641015,
  [SMALL_STATE(16478)] = 641029,
  [SMALL_STATE(16479)] = 641043,
  [SMALL_STATE(16480)] = 641057,
  [SMALL_STATE(16481)] = 641071,
  [SMALL_STATE(16482)] = 641085,
  [SMALL_STATE(16483)] = 641099,
  [SMALL_STATE(16484)] = 641113,
  [SMALL_STATE(16485)] = 641127,
  [SMALL_STATE(16486)] = 641141,
  [SMALL_STATE(16487)] = 641155,
  [SMALL_STATE(16488)] = 641169,
  [SMALL_STATE(16489)] = 641183,
  [SMALL_STATE(16490)] = 641197,
  [SMALL_STATE(16491)] = 641211,
  [SMALL_STATE(16492)] = 641225,
  [SMALL_STATE(16493)] = 641239,
  [SMALL_STATE(16494)] = 641253,
  [SMALL_STATE(16495)] = 641267,
  [SMALL_STATE(16496)] = 641281,
  [SMALL_STATE(16497)] = 641295,
  [SMALL_STATE(16498)] = 641309,
  [SMALL_STATE(16499)] = 641323,
  [SMALL_STATE(16500)] = 641337,
  [SMALL_STATE(16501)] = 641351,
  [SMALL_STATE(16502)] = 641365,
  [SMALL_STATE(16503)] = 641379,
  [SMALL_STATE(16504)] = 641393,
  [SMALL_STATE(16505)] = 641407,
  [SMALL_STATE(16506)] = 641421,
  [SMALL_STATE(16507)] = 641435,
  [SMALL_STATE(16508)] = 641449,
  [SMALL_STATE(16509)] = 641463,
  [SMALL_STATE(16510)] = 641477,
  [SMALL_STATE(16511)] = 641491,
  [SMALL_STATE(16512)] = 641505,
  [SMALL_STATE(16513)] = 641519,
  [SMALL_STATE(16514)] = 641533,
  [SMALL_STATE(16515)] = 641547,
  [SMALL_STATE(16516)] = 641561,
  [SMALL_STATE(16517)] = 641575,
  [SMALL_STATE(16518)] = 641589,
  [SMALL_STATE(16519)] = 641603,
  [SMALL_STATE(16520)] = 641617,
  [SMALL_STATE(16521)] = 641631,
  [SMALL_STATE(16522)] = 641645,
  [SMALL_STATE(16523)] = 641659,
  [SMALL_STATE(16524)] = 641673,
  [SMALL_STATE(16525)] = 641687,
  [SMALL_STATE(16526)] = 641701,
  [SMALL_STATE(16527)] = 641715,
  [SMALL_STATE(16528)] = 641729,
  [SMALL_STATE(16529)] = 641743,
  [SMALL_STATE(16530)] = 641757,
  [SMALL_STATE(16531)] = 641771,
  [SMALL_STATE(16532)] = 641785,
  [SMALL_STATE(16533)] = 641799,
  [SMALL_STATE(16534)] = 641813,
  [SMALL_STATE(16535)] = 641827,
  [SMALL_STATE(16536)] = 641841,
  [SMALL_STATE(16537)] = 641855,
  [SMALL_STATE(16538)] = 641869,
  [SMALL_STATE(16539)] = 641883,
  [SMALL_STATE(16540)] = 641897,
  [SMALL_STATE(16541)] = 641911,
  [SMALL_STATE(16542)] = 641925,
  [SMALL_STATE(16543)] = 641939,
  [SMALL_STATE(16544)] = 641953,
  [SMALL_STATE(16545)] = 641967,
  [SMALL_STATE(16546)] = 641981,
  [SMALL_STATE(16547)] = 641995,
  [SMALL_STATE(16548)] = 642009,
  [SMALL_STATE(16549)] = 642023,
  [SMALL_STATE(16550)] = 642037,
  [SMALL_STATE(16551)] = 642051,
  [SMALL_STATE(16552)] = 642065,
  [SMALL_STATE(16553)] = 642079,
  [SMALL_STATE(16554)] = 642093,
  [SMALL_STATE(16555)] = 642107,
  [SMALL_STATE(16556)] = 642121,
  [SMALL_STATE(16557)] = 642135,
  [SMALL_STATE(16558)] = 642149,
  [SMALL_STATE(16559)] = 642163,
  [SMALL_STATE(16560)] = 642177,
  [SMALL_STATE(16561)] = 642191,
  [SMALL_STATE(16562)] = 642205,
  [SMALL_STATE(16563)] = 642219,
  [SMALL_STATE(16564)] = 642233,
  [SMALL_STATE(16565)] = 642247,
  [SMALL_STATE(16566)] = 642261,
  [SMALL_STATE(16567)] = 642275,
  [SMALL_STATE(16568)] = 642289,
  [SMALL_STATE(16569)] = 642303,
  [SMALL_STATE(16570)] = 642317,
  [SMALL_STATE(16571)] = 642331,
  [SMALL_STATE(16572)] = 642345,
  [SMALL_STATE(16573)] = 642359,
  [SMALL_STATE(16574)] = 642373,
  [SMALL_STATE(16575)] = 642387,
  [SMALL_STATE(16576)] = 642401,
  [SMALL_STATE(16577)] = 642415,
  [SMALL_STATE(16578)] = 642429,
  [SMALL_STATE(16579)] = 642443,
  [SMALL_STATE(16580)] = 642457,
  [SMALL_STATE(16581)] = 642471,
  [SMALL_STATE(16582)] = 642485,
  [SMALL_STATE(16583)] = 642499,
  [SMALL_STATE(16584)] = 642513,
  [SMALL_STATE(16585)] = 642527,
  [SMALL_STATE(16586)] = 642541,
  [SMALL_STATE(16587)] = 642555,
  [SMALL_STATE(16588)] = 642569,
  [SMALL_STATE(16589)] = 642583,
  [SMALL_STATE(16590)] = 642597,
  [SMALL_STATE(16591)] = 642611,
  [SMALL_STATE(16592)] = 642625,
  [SMALL_STATE(16593)] = 642639,
  [SMALL_STATE(16594)] = 642653,
  [SMALL_STATE(16595)] = 642667,
  [SMALL_STATE(16596)] = 642681,
  [SMALL_STATE(16597)] = 642695,
  [SMALL_STATE(16598)] = 642709,
  [SMALL_STATE(16599)] = 642723,
  [SMALL_STATE(16600)] = 642737,
  [SMALL_STATE(16601)] = 642751,
  [SMALL_STATE(16602)] = 642765,
  [SMALL_STATE(16603)] = 642779,
  [SMALL_STATE(16604)] = 642793,
  [SMALL_STATE(16605)] = 642807,
  [SMALL_STATE(16606)] = 642821,
  [SMALL_STATE(16607)] = 642835,
  [SMALL_STATE(16608)] = 642849,
  [SMALL_STATE(16609)] = 642863,
  [SMALL_STATE(16610)] = 642877,
  [SMALL_STATE(16611)] = 642891,
  [SMALL_STATE(16612)] = 642905,
  [SMALL_STATE(16613)] = 642919,
  [SMALL_STATE(16614)] = 642933,
  [SMALL_STATE(16615)] = 642947,
  [SMALL_STATE(16616)] = 642961,
  [SMALL_STATE(16617)] = 642975,
  [SMALL_STATE(16618)] = 642989,
  [SMALL_STATE(16619)] = 643003,
  [SMALL_STATE(16620)] = 643017,
  [SMALL_STATE(16621)] = 643031,
  [SMALL_STATE(16622)] = 643045,
  [SMALL_STATE(16623)] = 643059,
  [SMALL_STATE(16624)] = 643073,
  [SMALL_STATE(16625)] = 643087,
  [SMALL_STATE(16626)] = 643101,
  [SMALL_STATE(16627)] = 643115,
  [SMALL_STATE(16628)] = 643129,
  [SMALL_STATE(16629)] = 643143,
  [SMALL_STATE(16630)] = 643157,
  [SMALL_STATE(16631)] = 643171,
  [SMALL_STATE(16632)] = 643185,
  [SMALL_STATE(16633)] = 643199,
  [SMALL_STATE(16634)] = 643213,
  [SMALL_STATE(16635)] = 643227,
  [SMALL_STATE(16636)] = 643241,
  [SMALL_STATE(16637)] = 643255,
  [SMALL_STATE(16638)] = 643269,
  [SMALL_STATE(16639)] = 643283,
  [SMALL_STATE(16640)] = 643297,
  [SMALL_STATE(16641)] = 643311,
  [SMALL_STATE(16642)] = 643325,
  [SMALL_STATE(16643)] = 643339,
  [SMALL_STATE(16644)] = 643353,
  [SMALL_STATE(16645)] = 643367,
  [SMALL_STATE(16646)] = 643381,
  [SMALL_STATE(16647)] = 643395,
  [SMALL_STATE(16648)] = 643409,
  [SMALL_STATE(16649)] = 643423,
  [SMALL_STATE(16650)] = 643437,
  [SMALL_STATE(16651)] = 643451,
  [SMALL_STATE(16652)] = 643465,
  [SMALL_STATE(16653)] = 643479,
  [SMALL_STATE(16654)] = 643493,
  [SMALL_STATE(16655)] = 643507,
  [SMALL_STATE(16656)] = 643521,
  [SMALL_STATE(16657)] = 643535,
  [SMALL_STATE(16658)] = 643549,
  [SMALL_STATE(16659)] = 643563,
  [SMALL_STATE(16660)] = 643577,
  [SMALL_STATE(16661)] = 643591,
  [SMALL_STATE(16662)] = 643605,
  [SMALL_STATE(16663)] = 643619,
  [SMALL_STATE(16664)] = 643633,
  [SMALL_STATE(16665)] = 643647,
  [SMALL_STATE(16666)] = 643661,
  [SMALL_STATE(16667)] = 643675,
  [SMALL_STATE(16668)] = 643689,
  [SMALL_STATE(16669)] = 643703,
  [SMALL_STATE(16670)] = 643717,
  [SMALL_STATE(16671)] = 643731,
  [SMALL_STATE(16672)] = 643745,
  [SMALL_STATE(16673)] = 643759,
  [SMALL_STATE(16674)] = 643773,
  [SMALL_STATE(16675)] = 643787,
  [SMALL_STATE(16676)] = 643801,
  [SMALL_STATE(16677)] = 643815,
  [SMALL_STATE(16678)] = 643829,
  [SMALL_STATE(16679)] = 643843,
  [SMALL_STATE(16680)] = 643857,
  [SMALL_STATE(16681)] = 643871,
  [SMALL_STATE(16682)] = 643885,
  [SMALL_STATE(16683)] = 643899,
  [SMALL_STATE(16684)] = 643913,
  [SMALL_STATE(16685)] = 643927,
  [SMALL_STATE(16686)] = 643941,
  [SMALL_STATE(16687)] = 643955,
  [SMALL_STATE(16688)] = 643969,
  [SMALL_STATE(16689)] = 643983,
  [SMALL_STATE(16690)] = 643997,
  [SMALL_STATE(16691)] = 644011,
  [SMALL_STATE(16692)] = 644025,
  [SMALL_STATE(16693)] = 644039,
  [SMALL_STATE(16694)] = 644053,
  [SMALL_STATE(16695)] = 644067,
  [SMALL_STATE(16696)] = 644081,
  [SMALL_STATE(16697)] = 644095,
  [SMALL_STATE(16698)] = 644109,
  [SMALL_STATE(16699)] = 644123,
  [SMALL_STATE(16700)] = 644137,
  [SMALL_STATE(16701)] = 644151,
  [SMALL_STATE(16702)] = 644165,
  [SMALL_STATE(16703)] = 644179,
  [SMALL_STATE(16704)] = 644193,
  [SMALL_STATE(16705)] = 644207,
  [SMALL_STATE(16706)] = 644221,
  [SMALL_STATE(16707)] = 644235,
  [SMALL_STATE(16708)] = 644249,
  [SMALL_STATE(16709)] = 644263,
  [SMALL_STATE(16710)] = 644277,
  [SMALL_STATE(16711)] = 644291,
  [SMALL_STATE(16712)] = 644305,
  [SMALL_STATE(16713)] = 644319,
  [SMALL_STATE(16714)] = 644333,
  [SMALL_STATE(16715)] = 644347,
  [SMALL_STATE(16716)] = 644361,
  [SMALL_STATE(16717)] = 644375,
  [SMALL_STATE(16718)] = 644389,
  [SMALL_STATE(16719)] = 644403,
  [SMALL_STATE(16720)] = 644417,
  [SMALL_STATE(16721)] = 644431,
  [SMALL_STATE(16722)] = 644445,
  [SMALL_STATE(16723)] = 644459,
  [SMALL_STATE(16724)] = 644473,
  [SMALL_STATE(16725)] = 644487,
  [SMALL_STATE(16726)] = 644501,
  [SMALL_STATE(16727)] = 644515,
  [SMALL_STATE(16728)] = 644529,
  [SMALL_STATE(16729)] = 644543,
  [SMALL_STATE(16730)] = 644557,
  [SMALL_STATE(16731)] = 644571,
  [SMALL_STATE(16732)] = 644585,
  [SMALL_STATE(16733)] = 644599,
  [SMALL_STATE(16734)] = 644613,
  [SMALL_STATE(16735)] = 644627,
  [SMALL_STATE(16736)] = 644641,
  [SMALL_STATE(16737)] = 644655,
  [SMALL_STATE(16738)] = 644669,
  [SMALL_STATE(16739)] = 644683,
  [SMALL_STATE(16740)] = 644697,
  [SMALL_STATE(16741)] = 644711,
  [SMALL_STATE(16742)] = 644725,
  [SMALL_STATE(16743)] = 644739,
  [SMALL_STATE(16744)] = 644753,
  [SMALL_STATE(16745)] = 644767,
  [SMALL_STATE(16746)] = 644781,
  [SMALL_STATE(16747)] = 644795,
  [SMALL_STATE(16748)] = 644809,
  [SMALL_STATE(16749)] = 644823,
  [SMALL_STATE(16750)] = 644837,
  [SMALL_STATE(16751)] = 644851,
  [SMALL_STATE(16752)] = 644865,
  [SMALL_STATE(16753)] = 644879,
  [SMALL_STATE(16754)] = 644893,
  [SMALL_STATE(16755)] = 644907,
  [SMALL_STATE(16756)] = 644921,
  [SMALL_STATE(16757)] = 644935,
  [SMALL_STATE(16758)] = 644949,
  [SMALL_STATE(16759)] = 644963,
  [SMALL_STATE(16760)] = 644977,
  [SMALL_STATE(16761)] = 644991,
  [SMALL_STATE(16762)] = 645005,
  [SMALL_STATE(16763)] = 645019,
  [SMALL_STATE(16764)] = 645033,
  [SMALL_STATE(16765)] = 645047,
  [SMALL_STATE(16766)] = 645061,
  [SMALL_STATE(16767)] = 645075,
  [SMALL_STATE(16768)] = 645089,
  [SMALL_STATE(16769)] = 645103,
  [SMALL_STATE(16770)] = 645117,
  [SMALL_STATE(16771)] = 645131,
  [SMALL_STATE(16772)] = 645145,
  [SMALL_STATE(16773)] = 645159,
  [SMALL_STATE(16774)] = 645173,
  [SMALL_STATE(16775)] = 645187,
  [SMALL_STATE(16776)] = 645201,
  [SMALL_STATE(16777)] = 645215,
  [SMALL_STATE(16778)] = 645229,
  [SMALL_STATE(16779)] = 645243,
  [SMALL_STATE(16780)] = 645257,
  [SMALL_STATE(16781)] = 645271,
  [SMALL_STATE(16782)] = 645285,
  [SMALL_STATE(16783)] = 645299,
  [SMALL_STATE(16784)] = 645313,
  [SMALL_STATE(16785)] = 645327,
  [SMALL_STATE(16786)] = 645341,
  [SMALL_STATE(16787)] = 645355,
  [SMALL_STATE(16788)] = 645369,
  [SMALL_STATE(16789)] = 645383,
  [SMALL_STATE(16790)] = 645397,
  [SMALL_STATE(16791)] = 645411,
  [SMALL_STATE(16792)] = 645425,
  [SMALL_STATE(16793)] = 645439,
  [SMALL_STATE(16794)] = 645453,
  [SMALL_STATE(16795)] = 645467,
  [SMALL_STATE(16796)] = 645481,
  [SMALL_STATE(16797)] = 645495,
  [SMALL_STATE(16798)] = 645509,
  [SMALL_STATE(16799)] = 645523,
  [SMALL_STATE(16800)] = 645537,
  [SMALL_STATE(16801)] = 645551,
  [SMALL_STATE(16802)] = 645565,
  [SMALL_STATE(16803)] = 645579,
  [SMALL_STATE(16804)] = 645593,
  [SMALL_STATE(16805)] = 645607,
  [SMALL_STATE(16806)] = 645621,
  [SMALL_STATE(16807)] = 645635,
  [SMALL_STATE(16808)] = 645649,
  [SMALL_STATE(16809)] = 645663,
  [SMALL_STATE(16810)] = 645677,
  [SMALL_STATE(16811)] = 645691,
  [SMALL_STATE(16812)] = 645705,
  [SMALL_STATE(16813)] = 645719,
  [SMALL_STATE(16814)] = 645733,
  [SMALL_STATE(16815)] = 645747,
  [SMALL_STATE(16816)] = 645761,
  [SMALL_STATE(16817)] = 645775,
  [SMALL_STATE(16818)] = 645789,
  [SMALL_STATE(16819)] = 645803,
  [SMALL_STATE(16820)] = 645817,
  [SMALL_STATE(16821)] = 645831,
  [SMALL_STATE(16822)] = 645845,
  [SMALL_STATE(16823)] = 645859,
  [SMALL_STATE(16824)] = 645873,
  [SMALL_STATE(16825)] = 645887,
  [SMALL_STATE(16826)] = 645901,
  [SMALL_STATE(16827)] = 645915,
  [SMALL_STATE(16828)] = 645929,
  [SMALL_STATE(16829)] = 645943,
  [SMALL_STATE(16830)] = 645957,
  [SMALL_STATE(16831)] = 645971,
  [SMALL_STATE(16832)] = 645985,
  [SMALL_STATE(16833)] = 645999,
  [SMALL_STATE(16834)] = 646013,
  [SMALL_STATE(16835)] = 646027,
  [SMALL_STATE(16836)] = 646041,
  [SMALL_STATE(16837)] = 646055,
  [SMALL_STATE(16838)] = 646069,
  [SMALL_STATE(16839)] = 646083,
  [SMALL_STATE(16840)] = 646097,
  [SMALL_STATE(16841)] = 646111,
  [SMALL_STATE(16842)] = 646125,
  [SMALL_STATE(16843)] = 646139,
  [SMALL_STATE(16844)] = 646153,
  [SMALL_STATE(16845)] = 646167,
  [SMALL_STATE(16846)] = 646181,
  [SMALL_STATE(16847)] = 646195,
  [SMALL_STATE(16848)] = 646209,
  [SMALL_STATE(16849)] = 646223,
  [SMALL_STATE(16850)] = 646237,
  [SMALL_STATE(16851)] = 646251,
  [SMALL_STATE(16852)] = 646265,
  [SMALL_STATE(16853)] = 646279,
  [SMALL_STATE(16854)] = 646293,
  [SMALL_STATE(16855)] = 646307,
  [SMALL_STATE(16856)] = 646321,
  [SMALL_STATE(16857)] = 646335,
  [SMALL_STATE(16858)] = 646349,
  [SMALL_STATE(16859)] = 646363,
  [SMALL_STATE(16860)] = 646377,
  [SMALL_STATE(16861)] = 646391,
  [SMALL_STATE(16862)] = 646405,
  [SMALL_STATE(16863)] = 646419,
  [SMALL_STATE(16864)] = 646433,
  [SMALL_STATE(16865)] = 646447,
  [SMALL_STATE(16866)] = 646461,
  [SMALL_STATE(16867)] = 646475,
  [SMALL_STATE(16868)] = 646489,
  [SMALL_STATE(16869)] = 646503,
  [SMALL_STATE(16870)] = 646517,
  [SMALL_STATE(16871)] = 646531,
  [SMALL_STATE(16872)] = 646545,
  [SMALL_STATE(16873)] = 646559,
  [SMALL_STATE(16874)] = 646573,
  [SMALL_STATE(16875)] = 646587,
  [SMALL_STATE(16876)] = 646601,
  [SMALL_STATE(16877)] = 646615,
  [SMALL_STATE(16878)] = 646629,
  [SMALL_STATE(16879)] = 646643,
  [SMALL_STATE(16880)] = 646657,
  [SMALL_STATE(16881)] = 646671,
  [SMALL_STATE(16882)] = 646685,
  [SMALL_STATE(16883)] = 646699,
  [SMALL_STATE(16884)] = 646713,
  [SMALL_STATE(16885)] = 646727,
  [SMALL_STATE(16886)] = 646741,
  [SMALL_STATE(16887)] = 646755,
  [SMALL_STATE(16888)] = 646769,
  [SMALL_STATE(16889)] = 646783,
  [SMALL_STATE(16890)] = 646797,
  [SMALL_STATE(16891)] = 646811,
  [SMALL_STATE(16892)] = 646825,
  [SMALL_STATE(16893)] = 646839,
  [SMALL_STATE(16894)] = 646853,
  [SMALL_STATE(16895)] = 646867,
  [SMALL_STATE(16896)] = 646881,
  [SMALL_STATE(16897)] = 646895,
  [SMALL_STATE(16898)] = 646909,
  [SMALL_STATE(16899)] = 646923,
  [SMALL_STATE(16900)] = 646937,
  [SMALL_STATE(16901)] = 646951,
  [SMALL_STATE(16902)] = 646965,
  [SMALL_STATE(16903)] = 646979,
  [SMALL_STATE(16904)] = 646993,
  [SMALL_STATE(16905)] = 647007,
  [SMALL_STATE(16906)] = 647021,
  [SMALL_STATE(16907)] = 647035,
  [SMALL_STATE(16908)] = 647049,
  [SMALL_STATE(16909)] = 647063,
  [SMALL_STATE(16910)] = 647077,
  [SMALL_STATE(16911)] = 647091,
  [SMALL_STATE(16912)] = 647105,
  [SMALL_STATE(16913)] = 647119,
  [SMALL_STATE(16914)] = 647133,
  [SMALL_STATE(16915)] = 647147,
  [SMALL_STATE(16916)] = 647161,
  [SMALL_STATE(16917)] = 647175,
  [SMALL_STATE(16918)] = 647189,
  [SMALL_STATE(16919)] = 647203,
  [SMALL_STATE(16920)] = 647217,
  [SMALL_STATE(16921)] = 647231,
  [SMALL_STATE(16922)] = 647245,
  [SMALL_STATE(16923)] = 647259,
  [SMALL_STATE(16924)] = 647273,
  [SMALL_STATE(16925)] = 647287,
  [SMALL_STATE(16926)] = 647301,
  [SMALL_STATE(16927)] = 647315,
  [SMALL_STATE(16928)] = 647329,
  [SMALL_STATE(16929)] = 647343,
  [SMALL_STATE(16930)] = 647357,
  [SMALL_STATE(16931)] = 647371,
  [SMALL_STATE(16932)] = 647385,
  [SMALL_STATE(16933)] = 647399,
  [SMALL_STATE(16934)] = 647413,
  [SMALL_STATE(16935)] = 647427,
  [SMALL_STATE(16936)] = 647441,
  [SMALL_STATE(16937)] = 647455,
  [SMALL_STATE(16938)] = 647469,
  [SMALL_STATE(16939)] = 647483,
  [SMALL_STATE(16940)] = 647497,
  [SMALL_STATE(16941)] = 647511,
  [SMALL_STATE(16942)] = 647525,
  [SMALL_STATE(16943)] = 647539,
  [SMALL_STATE(16944)] = 647553,
  [SMALL_STATE(16945)] = 647567,
  [SMALL_STATE(16946)] = 647581,
  [SMALL_STATE(16947)] = 647595,
  [SMALL_STATE(16948)] = 647609,
  [SMALL_STATE(16949)] = 647623,
  [SMALL_STATE(16950)] = 647637,
  [SMALL_STATE(16951)] = 647651,
  [SMALL_STATE(16952)] = 647665,
  [SMALL_STATE(16953)] = 647679,
  [SMALL_STATE(16954)] = 647693,
  [SMALL_STATE(16955)] = 647707,
  [SMALL_STATE(16956)] = 647721,
  [SMALL_STATE(16957)] = 647735,
  [SMALL_STATE(16958)] = 647749,
  [SMALL_STATE(16959)] = 647763,
  [SMALL_STATE(16960)] = 647777,
  [SMALL_STATE(16961)] = 647791,
  [SMALL_STATE(16962)] = 647805,
  [SMALL_STATE(16963)] = 647819,
  [SMALL_STATE(16964)] = 647833,
  [SMALL_STATE(16965)] = 647847,
  [SMALL_STATE(16966)] = 647861,
  [SMALL_STATE(16967)] = 647875,
  [SMALL_STATE(16968)] = 647889,
  [SMALL_STATE(16969)] = 647903,
  [SMALL_STATE(16970)] = 647917,
  [SMALL_STATE(16971)] = 647931,
  [SMALL_STATE(16972)] = 647945,
  [SMALL_STATE(16973)] = 647959,
  [SMALL_STATE(16974)] = 647973,
  [SMALL_STATE(16975)] = 647987,
  [SMALL_STATE(16976)] = 648001,
  [SMALL_STATE(16977)] = 648015,
  [SMALL_STATE(16978)] = 648029,
  [SMALL_STATE(16979)] = 648043,
  [SMALL_STATE(16980)] = 648057,
  [SMALL_STATE(16981)] = 648071,
  [SMALL_STATE(16982)] = 648085,
  [SMALL_STATE(16983)] = 648099,
  [SMALL_STATE(16984)] = 648113,
  [SMALL_STATE(16985)] = 648127,
  [SMALL_STATE(16986)] = 648141,
  [SMALL_STATE(16987)] = 648155,
  [SMALL_STATE(16988)] = 648169,
  [SMALL_STATE(16989)] = 648183,
  [SMALL_STATE(16990)] = 648197,
  [SMALL_STATE(16991)] = 648211,
  [SMALL_STATE(16992)] = 648225,
  [SMALL_STATE(16993)] = 648239,
  [SMALL_STATE(16994)] = 648253,
  [SMALL_STATE(16995)] = 648267,
  [SMALL_STATE(16996)] = 648281,
  [SMALL_STATE(16997)] = 648295,
  [SMALL_STATE(16998)] = 648309,
  [SMALL_STATE(16999)] = 648323,
  [SMALL_STATE(17000)] = 648337,
  [SMALL_STATE(17001)] = 648351,
  [SMALL_STATE(17002)] = 648365,
  [SMALL_STATE(17003)] = 648379,
  [SMALL_STATE(17004)] = 648393,
  [SMALL_STATE(17005)] = 648407,
  [SMALL_STATE(17006)] = 648421,
  [SMALL_STATE(17007)] = 648435,
  [SMALL_STATE(17008)] = 648449,
  [SMALL_STATE(17009)] = 648463,
  [SMALL_STATE(17010)] = 648477,
  [SMALL_STATE(17011)] = 648491,
  [SMALL_STATE(17012)] = 648505,
  [SMALL_STATE(17013)] = 648519,
  [SMALL_STATE(17014)] = 648533,
  [SMALL_STATE(17015)] = 648547,
  [SMALL_STATE(17016)] = 648561,
  [SMALL_STATE(17017)] = 648575,
  [SMALL_STATE(17018)] = 648589,
  [SMALL_STATE(17019)] = 648603,
  [SMALL_STATE(17020)] = 648617,
  [SMALL_STATE(17021)] = 648631,
  [SMALL_STATE(17022)] = 648645,
  [SMALL_STATE(17023)] = 648659,
  [SMALL_STATE(17024)] = 648673,
  [SMALL_STATE(17025)] = 648687,
  [SMALL_STATE(17026)] = 648701,
  [SMALL_STATE(17027)] = 648715,
  [SMALL_STATE(17028)] = 648729,
  [SMALL_STATE(17029)] = 648743,
  [SMALL_STATE(17030)] = 648757,
  [SMALL_STATE(17031)] = 648771,
  [SMALL_STATE(17032)] = 648785,
  [SMALL_STATE(17033)] = 648799,
  [SMALL_STATE(17034)] = 648813,
  [SMALL_STATE(17035)] = 648827,
  [SMALL_STATE(17036)] = 648841,
  [SMALL_STATE(17037)] = 648855,
  [SMALL_STATE(17038)] = 648869,
  [SMALL_STATE(17039)] = 648883,
  [SMALL_STATE(17040)] = 648897,
  [SMALL_STATE(17041)] = 648911,
  [SMALL_STATE(17042)] = 648925,
  [SMALL_STATE(17043)] = 648939,
  [SMALL_STATE(17044)] = 648953,
  [SMALL_STATE(17045)] = 648967,
  [SMALL_STATE(17046)] = 648981,
  [SMALL_STATE(17047)] = 648995,
  [SMALL_STATE(17048)] = 649009,
  [SMALL_STATE(17049)] = 649023,
  [SMALL_STATE(17050)] = 649037,
  [SMALL_STATE(17051)] = 649051,
  [SMALL_STATE(17052)] = 649065,
  [SMALL_STATE(17053)] = 649079,
  [SMALL_STATE(17054)] = 649093,
  [SMALL_STATE(17055)] = 649107,
  [SMALL_STATE(17056)] = 649121,
  [SMALL_STATE(17057)] = 649135,
  [SMALL_STATE(17058)] = 649149,
  [SMALL_STATE(17059)] = 649163,
  [SMALL_STATE(17060)] = 649177,
  [SMALL_STATE(17061)] = 649191,
  [SMALL_STATE(17062)] = 649205,
  [SMALL_STATE(17063)] = 649219,
  [SMALL_STATE(17064)] = 649233,
  [SMALL_STATE(17065)] = 649247,
  [SMALL_STATE(17066)] = 649261,
  [SMALL_STATE(17067)] = 649275,
  [SMALL_STATE(17068)] = 649289,
  [SMALL_STATE(17069)] = 649303,
  [SMALL_STATE(17070)] = 649317,
  [SMALL_STATE(17071)] = 649331,
  [SMALL_STATE(17072)] = 649345,
  [SMALL_STATE(17073)] = 649359,
  [SMALL_STATE(17074)] = 649373,
  [SMALL_STATE(17075)] = 649387,
  [SMALL_STATE(17076)] = 649401,
  [SMALL_STATE(17077)] = 649415,
  [SMALL_STATE(17078)] = 649429,
  [SMALL_STATE(17079)] = 649443,
  [SMALL_STATE(17080)] = 649457,
  [SMALL_STATE(17081)] = 649471,
  [SMALL_STATE(17082)] = 649485,
  [SMALL_STATE(17083)] = 649499,
  [SMALL_STATE(17084)] = 649513,
  [SMALL_STATE(17085)] = 649527,
  [SMALL_STATE(17086)] = 649541,
  [SMALL_STATE(17087)] = 649555,
  [SMALL_STATE(17088)] = 649569,
  [SMALL_STATE(17089)] = 649583,
  [SMALL_STATE(17090)] = 649597,
  [SMALL_STATE(17091)] = 649611,
  [SMALL_STATE(17092)] = 649625,
  [SMALL_STATE(17093)] = 649639,
  [SMALL_STATE(17094)] = 649653,
  [SMALL_STATE(17095)] = 649667,
  [SMALL_STATE(17096)] = 649681,
  [SMALL_STATE(17097)] = 649695,
  [SMALL_STATE(17098)] = 649709,
  [SMALL_STATE(17099)] = 649723,
  [SMALL_STATE(17100)] = 649737,
  [SMALL_STATE(17101)] = 649751,
  [SMALL_STATE(17102)] = 649765,
  [SMALL_STATE(17103)] = 649779,
  [SMALL_STATE(17104)] = 649793,
  [SMALL_STATE(17105)] = 649807,
  [SMALL_STATE(17106)] = 649821,
  [SMALL_STATE(17107)] = 649835,
  [SMALL_STATE(17108)] = 649849,
  [SMALL_STATE(17109)] = 649863,
  [SMALL_STATE(17110)] = 649877,
  [SMALL_STATE(17111)] = 649891,
  [SMALL_STATE(17112)] = 649905,
  [SMALL_STATE(17113)] = 649919,
  [SMALL_STATE(17114)] = 649933,
  [SMALL_STATE(17115)] = 649947,
  [SMALL_STATE(17116)] = 649961,
  [SMALL_STATE(17117)] = 649975,
  [SMALL_STATE(17118)] = 649989,
  [SMALL_STATE(17119)] = 650003,
  [SMALL_STATE(17120)] = 650017,
  [SMALL_STATE(17121)] = 650031,
  [SMALL_STATE(17122)] = 650045,
  [SMALL_STATE(17123)] = 650059,
  [SMALL_STATE(17124)] = 650073,
  [SMALL_STATE(17125)] = 650087,
  [SMALL_STATE(17126)] = 650101,
  [SMALL_STATE(17127)] = 650115,
  [SMALL_STATE(17128)] = 650129,
  [SMALL_STATE(17129)] = 650143,
  [SMALL_STATE(17130)] = 650157,
  [SMALL_STATE(17131)] = 650171,
  [SMALL_STATE(17132)] = 650185,
  [SMALL_STATE(17133)] = 650199,
  [SMALL_STATE(17134)] = 650213,
  [SMALL_STATE(17135)] = 650227,
  [SMALL_STATE(17136)] = 650241,
  [SMALL_STATE(17137)] = 650255,
  [SMALL_STATE(17138)] = 650269,
  [SMALL_STATE(17139)] = 650283,
  [SMALL_STATE(17140)] = 650297,
  [SMALL_STATE(17141)] = 650311,
  [SMALL_STATE(17142)] = 650325,
  [SMALL_STATE(17143)] = 650339,
  [SMALL_STATE(17144)] = 650353,
  [SMALL_STATE(17145)] = 650367,
  [SMALL_STATE(17146)] = 650381,
  [SMALL_STATE(17147)] = 650395,
  [SMALL_STATE(17148)] = 650409,
  [SMALL_STATE(17149)] = 650423,
  [SMALL_STATE(17150)] = 650437,
  [SMALL_STATE(17151)] = 650451,
  [SMALL_STATE(17152)] = 650465,
  [SMALL_STATE(17153)] = 650479,
  [SMALL_STATE(17154)] = 650493,
  [SMALL_STATE(17155)] = 650507,
  [SMALL_STATE(17156)] = 650521,
  [SMALL_STATE(17157)] = 650535,
  [SMALL_STATE(17158)] = 650549,
  [SMALL_STATE(17159)] = 650563,
  [SMALL_STATE(17160)] = 650577,
  [SMALL_STATE(17161)] = 650591,
  [SMALL_STATE(17162)] = 650605,
  [SMALL_STATE(17163)] = 650619,
  [SMALL_STATE(17164)] = 650633,
  [SMALL_STATE(17165)] = 650647,
  [SMALL_STATE(17166)] = 650661,
  [SMALL_STATE(17167)] = 650675,
  [SMALL_STATE(17168)] = 650689,
  [SMALL_STATE(17169)] = 650703,
  [SMALL_STATE(17170)] = 650717,
  [SMALL_STATE(17171)] = 650731,
  [SMALL_STATE(17172)] = 650745,
  [SMALL_STATE(17173)] = 650759,
  [SMALL_STATE(17174)] = 650773,
  [SMALL_STATE(17175)] = 650787,
  [SMALL_STATE(17176)] = 650801,
  [SMALL_STATE(17177)] = 650815,
  [SMALL_STATE(17178)] = 650829,
  [SMALL_STATE(17179)] = 650843,
  [SMALL_STATE(17180)] = 650857,
  [SMALL_STATE(17181)] = 650871,
  [SMALL_STATE(17182)] = 650885,
  [SMALL_STATE(17183)] = 650899,
  [SMALL_STATE(17184)] = 650913,
  [SMALL_STATE(17185)] = 650927,
  [SMALL_STATE(17186)] = 650941,
  [SMALL_STATE(17187)] = 650955,
  [SMALL_STATE(17188)] = 650969,
  [SMALL_STATE(17189)] = 650983,
  [SMALL_STATE(17190)] = 650997,
  [SMALL_STATE(17191)] = 651011,
  [SMALL_STATE(17192)] = 651025,
  [SMALL_STATE(17193)] = 651039,
  [SMALL_STATE(17194)] = 651053,
  [SMALL_STATE(17195)] = 651067,
  [SMALL_STATE(17196)] = 651081,
  [SMALL_STATE(17197)] = 651095,
  [SMALL_STATE(17198)] = 651109,
  [SMALL_STATE(17199)] = 651123,
  [SMALL_STATE(17200)] = 651137,
  [SMALL_STATE(17201)] = 651151,
  [SMALL_STATE(17202)] = 651165,
  [SMALL_STATE(17203)] = 651179,
  [SMALL_STATE(17204)] = 651193,
  [SMALL_STATE(17205)] = 651207,
  [SMALL_STATE(17206)] = 651221,
  [SMALL_STATE(17207)] = 651235,
  [SMALL_STATE(17208)] = 651249,
  [SMALL_STATE(17209)] = 651263,
  [SMALL_STATE(17210)] = 651277,
  [SMALL_STATE(17211)] = 651291,
  [SMALL_STATE(17212)] = 651305,
  [SMALL_STATE(17213)] = 651319,
  [SMALL_STATE(17214)] = 651333,
  [SMALL_STATE(17215)] = 651347,
  [SMALL_STATE(17216)] = 651361,
  [SMALL_STATE(17217)] = 651375,
  [SMALL_STATE(17218)] = 651389,
  [SMALL_STATE(17219)] = 651403,
  [SMALL_STATE(17220)] = 651417,
  [SMALL_STATE(17221)] = 651431,
  [SMALL_STATE(17222)] = 651445,
  [SMALL_STATE(17223)] = 651459,
  [SMALL_STATE(17224)] = 651473,
  [SMALL_STATE(17225)] = 651487,
  [SMALL_STATE(17226)] = 651501,
  [SMALL_STATE(17227)] = 651515,
  [SMALL_STATE(17228)] = 651529,
  [SMALL_STATE(17229)] = 651543,
  [SMALL_STATE(17230)] = 651557,
  [SMALL_STATE(17231)] = 651571,
  [SMALL_STATE(17232)] = 651585,
  [SMALL_STATE(17233)] = 651599,
  [SMALL_STATE(17234)] = 651613,
  [SMALL_STATE(17235)] = 651627,
  [SMALL_STATE(17236)] = 651641,
  [SMALL_STATE(17237)] = 651655,
  [SMALL_STATE(17238)] = 651669,
  [SMALL_STATE(17239)] = 651683,
  [SMALL_STATE(17240)] = 651697,
  [SMALL_STATE(17241)] = 651711,
  [SMALL_STATE(17242)] = 651725,
  [SMALL_STATE(17243)] = 651739,
  [SMALL_STATE(17244)] = 651753,
  [SMALL_STATE(17245)] = 651767,
  [SMALL_STATE(17246)] = 651781,
  [SMALL_STATE(17247)] = 651795,
  [SMALL_STATE(17248)] = 651809,
  [SMALL_STATE(17249)] = 651823,
  [SMALL_STATE(17250)] = 651837,
  [SMALL_STATE(17251)] = 651851,
  [SMALL_STATE(17252)] = 651865,
  [SMALL_STATE(17253)] = 651879,
  [SMALL_STATE(17254)] = 651893,
  [SMALL_STATE(17255)] = 651907,
  [SMALL_STATE(17256)] = 651921,
  [SMALL_STATE(17257)] = 651935,
  [SMALL_STATE(17258)] = 651949,
  [SMALL_STATE(17259)] = 651963,
  [SMALL_STATE(17260)] = 651977,
  [SMALL_STATE(17261)] = 651991,
  [SMALL_STATE(17262)] = 652005,
  [SMALL_STATE(17263)] = 652019,
  [SMALL_STATE(17264)] = 652033,
  [SMALL_STATE(17265)] = 652047,
  [SMALL_STATE(17266)] = 652061,
  [SMALL_STATE(17267)] = 652075,
  [SMALL_STATE(17268)] = 652089,
  [SMALL_STATE(17269)] = 652103,
  [SMALL_STATE(17270)] = 652117,
  [SMALL_STATE(17271)] = 652131,
  [SMALL_STATE(17272)] = 652145,
  [SMALL_STATE(17273)] = 652159,
  [SMALL_STATE(17274)] = 652173,
  [SMALL_STATE(17275)] = 652187,
  [SMALL_STATE(17276)] = 652201,
  [SMALL_STATE(17277)] = 652215,
  [SMALL_STATE(17278)] = 652229,
  [SMALL_STATE(17279)] = 652243,
  [SMALL_STATE(17280)] = 652257,
  [SMALL_STATE(17281)] = 652271,
  [SMALL_STATE(17282)] = 652285,
  [SMALL_STATE(17283)] = 652299,
  [SMALL_STATE(17284)] = 652313,
  [SMALL_STATE(17285)] = 652327,
  [SMALL_STATE(17286)] = 652341,
  [SMALL_STATE(17287)] = 652355,
  [SMALL_STATE(17288)] = 652369,
  [SMALL_STATE(17289)] = 652383,
  [SMALL_STATE(17290)] = 652397,
  [SMALL_STATE(17291)] = 652411,
  [SMALL_STATE(17292)] = 652425,
  [SMALL_STATE(17293)] = 652439,
  [SMALL_STATE(17294)] = 652453,
  [SMALL_STATE(17295)] = 652467,
  [SMALL_STATE(17296)] = 652481,
  [SMALL_STATE(17297)] = 652495,
  [SMALL_STATE(17298)] = 652509,
  [SMALL_STATE(17299)] = 652523,
  [SMALL_STATE(17300)] = 652537,
  [SMALL_STATE(17301)] = 652551,
  [SMALL_STATE(17302)] = 652565,
  [SMALL_STATE(17303)] = 652579,
  [SMALL_STATE(17304)] = 652593,
  [SMALL_STATE(17305)] = 652607,
  [SMALL_STATE(17306)] = 652621,
  [SMALL_STATE(17307)] = 652635,
  [SMALL_STATE(17308)] = 652649,
  [SMALL_STATE(17309)] = 652663,
  [SMALL_STATE(17310)] = 652677,
  [SMALL_STATE(17311)] = 652691,
  [SMALL_STATE(17312)] = 652705,
  [SMALL_STATE(17313)] = 652719,
  [SMALL_STATE(17314)] = 652733,
  [SMALL_STATE(17315)] = 652747,
  [SMALL_STATE(17316)] = 652761,
  [SMALL_STATE(17317)] = 652775,
  [SMALL_STATE(17318)] = 652789,
  [SMALL_STATE(17319)] = 652803,
  [SMALL_STATE(17320)] = 652817,
  [SMALL_STATE(17321)] = 652831,
  [SMALL_STATE(17322)] = 652845,
  [SMALL_STATE(17323)] = 652859,
  [SMALL_STATE(17324)] = 652873,
  [SMALL_STATE(17325)] = 652887,
  [SMALL_STATE(17326)] = 652901,
  [SMALL_STATE(17327)] = 652915,
  [SMALL_STATE(17328)] = 652929,
  [SMALL_STATE(17329)] = 652943,
  [SMALL_STATE(17330)] = 652957,
  [SMALL_STATE(17331)] = 652971,
  [SMALL_STATE(17332)] = 652985,
  [SMALL_STATE(17333)] = 652999,
  [SMALL_STATE(17334)] = 653013,
  [SMALL_STATE(17335)] = 653027,
  [SMALL_STATE(17336)] = 653041,
  [SMALL_STATE(17337)] = 653055,
  [SMALL_STATE(17338)] = 653069,
  [SMALL_STATE(17339)] = 653083,
  [SMALL_STATE(17340)] = 653097,
  [SMALL_STATE(17341)] = 653111,
  [SMALL_STATE(17342)] = 653125,
  [SMALL_STATE(17343)] = 653139,
  [SMALL_STATE(17344)] = 653153,
  [SMALL_STATE(17345)] = 653167,
  [SMALL_STATE(17346)] = 653181,
  [SMALL_STATE(17347)] = 653195,
  [SMALL_STATE(17348)] = 653209,
  [SMALL_STATE(17349)] = 653223,
  [SMALL_STATE(17350)] = 653237,
  [SMALL_STATE(17351)] = 653251,
  [SMALL_STATE(17352)] = 653265,
  [SMALL_STATE(17353)] = 653279,
  [SMALL_STATE(17354)] = 653293,
  [SMALL_STATE(17355)] = 653307,
  [SMALL_STATE(17356)] = 653321,
  [SMALL_STATE(17357)] = 653335,
  [SMALL_STATE(17358)] = 653349,
  [SMALL_STATE(17359)] = 653363,
  [SMALL_STATE(17360)] = 653377,
  [SMALL_STATE(17361)] = 653391,
  [SMALL_STATE(17362)] = 653405,
  [SMALL_STATE(17363)] = 653419,
  [SMALL_STATE(17364)] = 653433,
  [SMALL_STATE(17365)] = 653447,
  [SMALL_STATE(17366)] = 653461,
  [SMALL_STATE(17367)] = 653475,
  [SMALL_STATE(17368)] = 653489,
  [SMALL_STATE(17369)] = 653503,
  [SMALL_STATE(17370)] = 653517,
  [SMALL_STATE(17371)] = 653531,
  [SMALL_STATE(17372)] = 653545,
  [SMALL_STATE(17373)] = 653559,
  [SMALL_STATE(17374)] = 653573,
  [SMALL_STATE(17375)] = 653587,
  [SMALL_STATE(17376)] = 653601,
  [SMALL_STATE(17377)] = 653615,
  [SMALL_STATE(17378)] = 653629,
  [SMALL_STATE(17379)] = 653643,
  [SMALL_STATE(17380)] = 653657,
  [SMALL_STATE(17381)] = 653671,
  [SMALL_STATE(17382)] = 653685,
  [SMALL_STATE(17383)] = 653699,
  [SMALL_STATE(17384)] = 653713,
  [SMALL_STATE(17385)] = 653727,
  [SMALL_STATE(17386)] = 653741,
  [SMALL_STATE(17387)] = 653755,
  [SMALL_STATE(17388)] = 653769,
  [SMALL_STATE(17389)] = 653783,
  [SMALL_STATE(17390)] = 653797,
  [SMALL_STATE(17391)] = 653811,
  [SMALL_STATE(17392)] = 653825,
  [SMALL_STATE(17393)] = 653839,
  [SMALL_STATE(17394)] = 653853,
  [SMALL_STATE(17395)] = 653867,
  [SMALL_STATE(17396)] = 653881,
  [SMALL_STATE(17397)] = 653895,
  [SMALL_STATE(17398)] = 653909,
  [SMALL_STATE(17399)] = 653923,
  [SMALL_STATE(17400)] = 653937,
  [SMALL_STATE(17401)] = 653951,
  [SMALL_STATE(17402)] = 653965,
  [SMALL_STATE(17403)] = 653979,
  [SMALL_STATE(17404)] = 653993,
  [SMALL_STATE(17405)] = 654007,
  [SMALL_STATE(17406)] = 654021,
  [SMALL_STATE(17407)] = 654035,
  [SMALL_STATE(17408)] = 654049,
  [SMALL_STATE(17409)] = 654063,
  [SMALL_STATE(17410)] = 654077,
  [SMALL_STATE(17411)] = 654091,
  [SMALL_STATE(17412)] = 654105,
  [SMALL_STATE(17413)] = 654119,
  [SMALL_STATE(17414)] = 654133,
  [SMALL_STATE(17415)] = 654147,
  [SMALL_STATE(17416)] = 654161,
  [SMALL_STATE(17417)] = 654175,
  [SMALL_STATE(17418)] = 654189,
  [SMALL_STATE(17419)] = 654203,
  [SMALL_STATE(17420)] = 654217,
  [SMALL_STATE(17421)] = 654231,
  [SMALL_STATE(17422)] = 654245,
  [SMALL_STATE(17423)] = 654259,
  [SMALL_STATE(17424)] = 654273,
  [SMALL_STATE(17425)] = 654287,
  [SMALL_STATE(17426)] = 654301,
  [SMALL_STATE(17427)] = 654315,
  [SMALL_STATE(17428)] = 654329,
  [SMALL_STATE(17429)] = 654343,
  [SMALL_STATE(17430)] = 654357,
  [SMALL_STATE(17431)] = 654371,
  [SMALL_STATE(17432)] = 654385,
  [SMALL_STATE(17433)] = 654399,
  [SMALL_STATE(17434)] = 654413,
  [SMALL_STATE(17435)] = 654427,
  [SMALL_STATE(17436)] = 654441,
  [SMALL_STATE(17437)] = 654455,
  [SMALL_STATE(17438)] = 654469,
  [SMALL_STATE(17439)] = 654483,
  [SMALL_STATE(17440)] = 654497,
  [SMALL_STATE(17441)] = 654511,
  [SMALL_STATE(17442)] = 654525,
  [SMALL_STATE(17443)] = 654539,
  [SMALL_STATE(17444)] = 654553,
  [SMALL_STATE(17445)] = 654567,
  [SMALL_STATE(17446)] = 654581,
  [SMALL_STATE(17447)] = 654595,
  [SMALL_STATE(17448)] = 654609,
  [SMALL_STATE(17449)] = 654623,
  [SMALL_STATE(17450)] = 654637,
  [SMALL_STATE(17451)] = 654651,
  [SMALL_STATE(17452)] = 654665,
  [SMALL_STATE(17453)] = 654679,
  [SMALL_STATE(17454)] = 654693,
  [SMALL_STATE(17455)] = 654707,
  [SMALL_STATE(17456)] = 654721,
  [SMALL_STATE(17457)] = 654735,
  [SMALL_STATE(17458)] = 654749,
  [SMALL_STATE(17459)] = 654763,
  [SMALL_STATE(17460)] = 654777,
  [SMALL_STATE(17461)] = 654791,
  [SMALL_STATE(17462)] = 654805,
  [SMALL_STATE(17463)] = 654819,
  [SMALL_STATE(17464)] = 654833,
  [SMALL_STATE(17465)] = 654847,
  [SMALL_STATE(17466)] = 654861,
  [SMALL_STATE(17467)] = 654875,
  [SMALL_STATE(17468)] = 654889,
  [SMALL_STATE(17469)] = 654903,
  [SMALL_STATE(17470)] = 654917,
  [SMALL_STATE(17471)] = 654931,
  [SMALL_STATE(17472)] = 654945,
  [SMALL_STATE(17473)] = 654959,
  [SMALL_STATE(17474)] = 654973,
  [SMALL_STATE(17475)] = 654987,
  [SMALL_STATE(17476)] = 655001,
  [SMALL_STATE(17477)] = 655015,
  [SMALL_STATE(17478)] = 655029,
  [SMALL_STATE(17479)] = 655043,
  [SMALL_STATE(17480)] = 655057,
  [SMALL_STATE(17481)] = 655071,
  [SMALL_STATE(17482)] = 655085,
  [SMALL_STATE(17483)] = 655099,
  [SMALL_STATE(17484)] = 655113,
  [SMALL_STATE(17485)] = 655127,
  [SMALL_STATE(17486)] = 655141,
  [SMALL_STATE(17487)] = 655155,
  [SMALL_STATE(17488)] = 655169,
  [SMALL_STATE(17489)] = 655183,
  [SMALL_STATE(17490)] = 655197,
  [SMALL_STATE(17491)] = 655211,
  [SMALL_STATE(17492)] = 655225,
  [SMALL_STATE(17493)] = 655239,
  [SMALL_STATE(17494)] = 655253,
  [SMALL_STATE(17495)] = 655267,
  [SMALL_STATE(17496)] = 655281,
  [SMALL_STATE(17497)] = 655295,
  [SMALL_STATE(17498)] = 655309,
  [SMALL_STATE(17499)] = 655323,
  [SMALL_STATE(17500)] = 655337,
  [SMALL_STATE(17501)] = 655351,
  [SMALL_STATE(17502)] = 655365,
  [SMALL_STATE(17503)] = 655379,
  [SMALL_STATE(17504)] = 655393,
  [SMALL_STATE(17505)] = 655407,
  [SMALL_STATE(17506)] = 655421,
  [SMALL_STATE(17507)] = 655435,
  [SMALL_STATE(17508)] = 655449,
  [SMALL_STATE(17509)] = 655463,
  [SMALL_STATE(17510)] = 655477,
  [SMALL_STATE(17511)] = 655491,
  [SMALL_STATE(17512)] = 655505,
  [SMALL_STATE(17513)] = 655519,
  [SMALL_STATE(17514)] = 655523,
  [SMALL_STATE(17515)] = 655527,
  [SMALL_STATE(17516)] = 655531,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14646),
  [5] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14497),
  [7] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compilation_unit, 0, 0, 0),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4482),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12209),
  [13] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15744),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11665),
  [19] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12214),
  [21] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12218),
  [23] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12219),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7422),
  [27] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4177),
  [29] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11557),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11521),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2321),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4200),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(797),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1285),
  [41] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3897),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1353),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4346),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4184),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9416),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8853),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9409),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11430),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12130),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7491),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6204),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5379),
  [65] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5378),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2350),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4156),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4141),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4165),
  [75] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1824),
  [77] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2216),
  [79] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12129),
  [81] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12127),
  [83] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4482),
  [85] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9321),
  [87] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7065),
  [89] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7065),
  [91] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7171),
  [93] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10133),
  [95] = {.entry = {.count = 1, .reusable = false}}, SHIFT(753),
  [97] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2177),
  [99] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2168),
  [101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2400),
  [103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7337),
  [105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5314),
  [107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10040),
  [111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6371),
  [113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4151),
  [115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2341),
  [117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4188),
  [119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(766),
  [121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1371),
  [123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3853),
  [125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1374),
  [127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4349),
  [129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4189),
  [131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11411),
  [133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11940),
  [135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6982),
  [137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5318),
  [139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2348),
  [141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4138),
  [143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4176),
  [145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4159),
  [147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1802),
  [149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14272),
  [151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2337),
  [153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12160),
  [155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12161),
  [157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5314),
  [159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8973),
  [161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8034),
  [163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8034),
  [165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8040),
  [167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8041),
  [169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(671),
  [171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2333),
  [173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8025),
  [177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10069),
  [179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8296),
  [181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12233),
  [183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8464),
  [185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10182),
  [187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5686),
  [189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8923),
  [191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9826),
  [193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11127),
  [195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12850),
  [197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13809),
  [199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9937),
  [201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10641),
  [203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8596),
  [205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10382),
  [207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17487),
  [209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8814),
  [211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10417),
  [213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9807),
  [215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10301),
  [217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9991),
  [219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7192),
  [221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10147),
  [223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12631),
  [225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12598),
  [227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6291),
  [229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9130),
  [231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11397),
  [233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6221),
  [235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11753),
  [237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9385),
  [239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11060),
  [241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7805),
  [243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9076),
  [245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8704),
  [247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12674),
  [249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5066),
  [251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7415),
  [253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8979),
  [255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12585),
  [257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10675),
  [259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8494),
  [261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12908),
  [263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12855),
  [265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6726),
  [267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10366),
  [269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12718),
  [271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10465),
  [273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8574),
  [275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10125),
  [277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7548),
  [279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9157),
  [281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9818),
  [283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7055),
  [285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9506),
  [287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9952),
  [289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11349),
  [291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10788),
  [293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7759),
  [295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10396),
  [297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10248),
  [299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10215),
  [301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9843),
  [303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13250),
  [305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11510),
  [307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9218),
  [309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8113),
  [311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9888),
  [313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6178),
  [315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10260),
  [317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8273),
  [319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10479),
  [321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13785),
  [323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12532),
  [325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13126),
  [327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8575),
  [329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6889),
  [331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9661),
  [333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9619),
  [335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8597),
  [337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8214),
  [339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10429),
  [341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12213),
  [343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9232),
  [345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5651),
  [347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9453),
  [349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7939),
  [351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10678),
  [353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9261),
  [355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13247),
  [357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9282),
  [359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8134),
  [361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9741),
  [363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9169),
  [365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10109),
  [367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7508),
  [369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15654),
  [371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10083),
  [373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12940),
  [375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10831),
  [377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9067),
  [379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9606),
  [381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10854),
  [383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9626),
  [385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11209),
  [387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10307),
  [389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9876),
  [391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5699),
  [393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13733),
  [395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9831),
  [397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9934),
  [399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10405),
  [401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10207),
  [403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13723),
  [405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9740),
  [407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6383),
  [409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6439),
  [411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9336),
  [413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4069),
  [415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9427),
  [417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8036),
  [419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10100),
  [421] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compilation_unit, 2, 0, 0),
  [423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9117),
  [425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9105),
  [427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9098),
  [429] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compilation_unit, 3, 0, 0),
  [431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9785),
  [433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6945),
  [435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6467),
  [437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8362),
  [439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9929),
  [441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6852),
  [443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9552),
  [445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9566),
  [447] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compilation_unit, 4, 0, 0),
  [449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10379),
  [451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8050),
  [453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8829),
  [455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8365),
  [457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9532),
  [459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8229),
  [461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6716),
  [463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7448),
  [465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5410),
  [467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6529),
  [469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8283),
  [471] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compilation_unit, 1, 0, 0),
  [473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5636),
  [475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12165),
  [477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(120),
  [479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4068),
  [481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12149),
  [483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12150),
  [485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12153),
  [487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7409),
  [489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4147),
  [491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11695),
  [493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11691),
  [495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2248),
  [497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4187),
  [499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(768),
  [501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1634),
  [503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3883),
  [505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1598),
  [507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4329),
  [509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4183),
  [511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11750),
  [513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12158),
  [515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6888),
  [517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5308),
  [519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2349),
  [521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4154),
  [523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4157),
  [525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4178),
  [527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1800),
  [529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14101),
  [531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2232),
  [533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11868),
  [535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11778),
  [537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5636),
  [539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9324),
  [541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9548),
  [543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9548),
  [545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9526),
  [547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9327),
  [549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(740),
  [551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2126),
  [553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2065),
  [555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9575),
  [557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15759),
  [559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8837),
  [561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16509),
  [563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8916),
  [565] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_clause, 2, 0, 25),
  [567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4148),
  [569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2139),
  [571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(672),
  [573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1158),
  [575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3896),
  [577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(882),
  [579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4185),
  [581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5271),
  [583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13988),
  [585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2158),
  [587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8816),
  [589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(594),
  [591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2202),
  [593] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 2, 0, 25),
  [595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14024),
  [597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16157),
  [599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13945),
  [601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4173),
  [603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2280),
  [605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(741),
  [607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1449),
  [609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3890),
  [611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1481),
  [613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4182),
  [615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5265),
  [617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14029),
  [619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2167),
  [621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8727),
  [623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(584),
  [625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2233),
  [627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14164),
  [629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14121),
  [631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15733),
  [635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15734),
  [637] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__block, 2, 0, 0),
  [639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14067),
  [641] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__block, 2, 0, 0),
  [643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14115),
  [645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10785),
  [647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5292),
  [649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14204),
  [651] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__block, 3, 0, 0),
  [653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13938),
  [655] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__block, 3, 0, 0),
  [657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10864),
  [659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5606),
  [661] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__enum_block, 2, 0, 0),
  [663] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__enum_block, 3, 0, 0),
  [665] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(5636),
  [668] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0),
  [670] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(120),
  [673] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(7409),
  [676] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(2248),
  [679] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(5606),
  [682] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(768),
  [685] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(1634),
  [688] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(3883),
  [691] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(1598),
  [694] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(4329),
  [697] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(12587),
  [700] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(2349),
  [703] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(1800),
  [706] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_self_type, 2, 1, 0),
  [708] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(2232),
  [711] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(11868),
  [714] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(11778),
  [717] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(5636),
  [720] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(9324),
  [723] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(9548),
  [726] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(9548),
  [729] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(9526),
  [732] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(9327),
  [735] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(740),
  [738] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(2126),
  [741] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(2065),
  [744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [746] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(9575),
  [749] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(5314),
  [752] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(138),
  [755] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(6371),
  [758] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(2341),
  [761] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(5292),
  [764] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(766),
  [767] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(1371),
  [770] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(3853),
  [773] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(1374),
  [776] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(4349),
  [779] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(12401),
  [782] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(2348),
  [785] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(1802),
  [788] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(2337),
  [791] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(12160),
  [794] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(12161),
  [797] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(5314),
  [800] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(9427),
  [803] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(8034),
  [806] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(8034),
  [809] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(8040),
  [812] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(8041),
  [815] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(671),
  [818] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(2333),
  [821] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(2168),
  [824] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(184),
  [827] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(8025),
  [830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5785),
  [832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [834] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_modifiers_repeat1, 1, 0, 0),
  [836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7421),
  [838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2219),
  [840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5612),
  [842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(685),
  [844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1459),
  [846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3876),
  [848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1460),
  [850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4366),
  [852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1815),
  [854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2210),
  [856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12133),
  [858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12132),
  [860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5785),
  [862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8502),
  [864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8503),
  [866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8503),
  [868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8504),
  [870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9545),
  [872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(759),
  [874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2209),
  [876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2088),
  [878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8490),
  [880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(739),
  [882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(677),
  [884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(765),
  [886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(733),
  [888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4455),
  [890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9975),
  [892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [894] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_postfix_expression, 2, 0, 0),
  [896] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_postfix_expression, 2, 0, 0),
  [898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4808),
  [900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2175),
  [902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4437),
  [904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(801),
  [906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4382),
  [908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12460),
  [910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2536),
  [912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1827),
  [914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12057),
  [916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11827),
  [918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4455),
  [920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4724),
  [922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5637),
  [924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5637),
  [926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5639),
  [928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5403),
  [930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5671),
  [932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4667),
  [934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10001),
  [936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5043),
  [940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2059),
  [942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4670),
  [944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4327),
  [946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2574),
  [948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1819),
  [950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12190),
  [952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12001),
  [954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4667),
  [956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5089),
  [958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6246),
  [960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6246),
  [962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6247),
  [964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6540),
  [966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6242),
  [968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4507),
  [970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9951),
  [972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5330),
  [976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2278),
  [978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4530),
  [980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4317),
  [982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2569),
  [984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1821),
  [986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11962),
  [988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11828),
  [990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4507),
  [992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5337),
  [994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6156),
  [996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6156),
  [998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6160),
  [1000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6450),
  [1002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6155),
  [1004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4943),
  [1006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9974),
  [1008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [1010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5450),
  [1012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2160),
  [1014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4933),
  [1016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4325),
  [1018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2579),
  [1020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1814),
  [1022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11824),
  [1024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11976),
  [1026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4943),
  [1028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5738),
  [1030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7301),
  [1032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7301),
  [1034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7295),
  [1036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6738),
  [1038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7319),
  [1040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4884),
  [1042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10007),
  [1044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [1046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5631),
  [1048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2166),
  [1050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4845),
  [1052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4338),
  [1054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2578),
  [1056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1812),
  [1058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11953),
  [1060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11904),
  [1062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4884),
  [1064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5663),
  [1066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6780),
  [1068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6780),
  [1070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6781),
  [1072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6703),
  [1074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6763),
  [1076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4827),
  [1078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10178),
  [1080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [1082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5884),
  [1084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2227),
  [1086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4801),
  [1088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4363),
  [1090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2576),
  [1092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1826),
  [1094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11784),
  [1096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11922),
  [1098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4827),
  [1100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5433),
  [1102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6997),
  [1104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6997),
  [1106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7000),
  [1108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6954),
  [1110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6988),
  [1112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5213),
  [1114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9950),
  [1116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [1118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6281),
  [1120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2101),
  [1122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5207),
  [1124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4385),
  [1126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2575),
  [1128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1817),
  [1130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11975),
  [1132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12191),
  [1134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5213),
  [1136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6315),
  [1138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7707),
  [1140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7707),
  [1142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7708),
  [1144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7443),
  [1146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7704),
  [1148] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_expression, 1, 0, 0),
  [1150] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_expression, 1, 0, 0),
  [1152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(634),
  [1154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(838),
  [1156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3879),
  [1158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1112),
  [1160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12398),
  [1162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2196),
  [1164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7015),
  [1166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(536),
  [1168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2121),
  [1170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2048),
  [1172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1533),
  [1174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3904),
  [1176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1104),
  [1178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12368),
  [1180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6287),
  [1182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(537),
  [1184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2322),
  [1186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(800),
  [1188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1479),
  [1190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3848),
  [1192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1523),
  [1194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12391),
  [1196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2138),
  [1198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7324),
  [1200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(538),
  [1202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2299),
  [1204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2063),
  [1206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4332),
  [1208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9968),
  [1210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [1212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7938),
  [1214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2198),
  [1216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4381),
  [1218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4331),
  [1220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2593),
  [1222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1825),
  [1224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11921),
  [1226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12055),
  [1228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4332),
  [1230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7428),
  [1232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5055),
  [1234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5055),
  [1236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5054),
  [1238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9116),
  [1240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5058),
  [1242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5563),
  [1244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9960),
  [1246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [1248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7315),
  [1250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2213),
  [1252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5558),
  [1254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4352),
  [1256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2617),
  [1258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1809),
  [1260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11844),
  [1262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12185),
  [1264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5563),
  [1266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7153),
  [1268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8269),
  [1270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8269),
  [1272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8258),
  [1274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8360),
  [1276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8287),
  [1278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5419),
  [1280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10115),
  [1282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [1284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6825),
  [1286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2046),
  [1288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5420),
  [1290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4358),
  [1292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3030),
  [1294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1807),
  [1296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12111),
  [1298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11878),
  [1300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5419),
  [1302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6733),
  [1304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8242),
  [1306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8242),
  [1308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8243),
  [1310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8262),
  [1312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8238),
  [1314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5234),
  [1316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10033),
  [1318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [1320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6571),
  [1322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2041),
  [1324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5230),
  [1326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4336),
  [1328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2686),
  [1330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1801),
  [1332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12192),
  [1334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11936),
  [1336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5234),
  [1338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6595),
  [1340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8055),
  [1342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8055),
  [1344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8054),
  [1346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8070),
  [1348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8056),
  [1350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(643),
  [1352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(963),
  [1354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3894),
  [1356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1045),
  [1358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12313),
  [1360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2174),
  [1362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7114),
  [1364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(543),
  [1366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2336),
  [1368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2036),
  [1370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1135),
  [1372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3872),
  [1374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1525),
  [1376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12458),
  [1378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2096),
  [1380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7115),
  [1382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(544),
  [1384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2334),
  [1386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2037),
  [1388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4485),
  [1390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10118),
  [1392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [1394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8382),
  [1396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2119),
  [1398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4405),
  [1400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4399),
  [1402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3095),
  [1404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1811),
  [1406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12064),
  [1408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11970),
  [1410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4485),
  [1412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8116),
  [1414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5592),
  [1416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5592),
  [1418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5600),
  [1420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9523),
  [1422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5587),
  [1424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9986),
  [1426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6056),
  [1428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(781),
  [1430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1596),
  [1432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3869),
  [1434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1539),
  [1436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12374),
  [1438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7620),
  [1440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(547),
  [1442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2182),
  [1444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4462),
  [1446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10102),
  [1448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [1450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8643),
  [1452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2078),
  [1454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4474),
  [1456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4371),
  [1458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3801),
  [1460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1828),
  [1462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12118),
  [1464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12110),
  [1466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4462),
  [1468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8157),
  [1470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5971),
  [1472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5971),
  [1474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5970),
  [1476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9539),
  [1478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5972),
  [1480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1408),
  [1482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3903),
  [1484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(936),
  [1486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12420),
  [1488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7227),
  [1490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(549),
  [1492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2231),
  [1494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5752),
  [1496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10068),
  [1498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [1500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6702),
  [1502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2035),
  [1504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5796),
  [1506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4384),
  [1508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3409),
  [1510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1823),
  [1512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11777),
  [1514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12072),
  [1516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5752),
  [1518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6777),
  [1520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8413),
  [1522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8413),
  [1524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8577),
  [1526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8218),
  [1528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8660),
  [1530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(750),
  [1532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1001),
  [1534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3891),
  [1536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1399),
  [1538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12513),
  [1540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2089),
  [1542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7986),
  [1544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(551),
  [1546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2254),
  [1548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2083),
  [1550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(706),
  [1552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1177),
  [1554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3850),
  [1556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1389),
  [1558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12620),
  [1560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2221),
  [1562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7660),
  [1564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(552),
  [1566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2305),
  [1568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1542),
  [1570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3860),
  [1572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1485),
  [1574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12243),
  [1576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7076),
  [1578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(553),
  [1580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2320),
  [1582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6470),
  [1584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10166),
  [1586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [1588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7497),
  [1590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2128),
  [1592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6613),
  [1594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4379),
  [1596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3283),
  [1598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1810),
  [1600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11903),
  [1602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12119),
  [1604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6470),
  [1606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7795),
  [1608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8928),
  [1610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8928),
  [1612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8937),
  [1614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9120),
  [1616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8878),
  [1618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5430),
  [1620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10129),
  [1622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [1624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7174),
  [1626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2258),
  [1628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5441),
  [1630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4365),
  [1632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3221),
  [1634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1818),
  [1636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11929),
  [1638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11791),
  [1640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5430),
  [1642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6992),
  [1644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8117),
  [1646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8117),
  [1648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8120),
  [1650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8375),
  [1652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8100),
  [1654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(710),
  [1656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1265),
  [1658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3854),
  [1660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1433),
  [1662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12561),
  [1664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2226),
  [1666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7408),
  [1668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(556),
  [1670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2303),
  [1672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2053),
  [1674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6446),
  [1676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10087),
  [1678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [1680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7715),
  [1682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2090),
  [1684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6489),
  [1686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4375),
  [1688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3754),
  [1690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1820),
  [1692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12047),
  [1694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12189),
  [1696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6446),
  [1698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8013),
  [1700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8798),
  [1702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8798),
  [1704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8797),
  [1706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8821),
  [1708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8802),
  [1710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(645),
  [1712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1342),
  [1714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3885),
  [1716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(852),
  [1718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12466),
  [1720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2057),
  [1722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7820),
  [1724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(558),
  [1726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2218),
  [1728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2102),
  [1730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(738),
  [1732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(924),
  [1734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3901),
  [1736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1287),
  [1738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12529),
  [1740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2077),
  [1742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8075),
  [1744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(559),
  [1746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2220),
  [1748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2092),
  [1750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1011),
  [1752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3871),
  [1754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1000),
  [1756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12626),
  [1758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6107),
  [1760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(560),
  [1762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2080),
  [1764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3841),
  [1766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4555),
  [1768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9940),
  [1770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [1772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8761),
  [1774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2236),
  [1776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4571),
  [1778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4321),
  [1780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3842),
  [1782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1822),
  [1784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11838),
  [1786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11845),
  [1788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4555),
  [1790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9170),
  [1792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6572),
  [1794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6572),
  [1796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6570),
  [1798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9913),
  [1800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6580),
  [1802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(789),
  [1804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1311),
  [1806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3866),
  [1808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1640),
  [1810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12418),
  [1812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2099),
  [1814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8175),
  [1816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(563),
  [1818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2314),
  [1820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(788),
  [1822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1538),
  [1824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3861),
  [1826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1584),
  [1828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12275),
  [1830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2116),
  [1832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8639),
  [1834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(564),
  [1836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2103),
  [1838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(661),
  [1840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(860),
  [1842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3893),
  [1844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1453),
  [1846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12359),
  [1848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2186),
  [1850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8386),
  [1852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(565),
  [1854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2153),
  [1856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2117),
  [1858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10029),
  [1860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3844),
  [1862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8581),
  [1864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(683),
  [1866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1222),
  [1868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3882),
  [1870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(832),
  [1872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12264),
  [1874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2146),
  [1876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8444),
  [1878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(567),
  [1880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2087),
  [1882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2051),
  [1884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(735),
  [1886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1391),
  [1888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3870),
  [1890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1562),
  [1892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12522),
  [1894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2247),
  [1896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8216),
  [1898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(568),
  [1900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2268),
  [1902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2062),
  [1904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(795),
  [1906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1403),
  [1908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3862),
  [1910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1588),
  [1912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12399),
  [1914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2123),
  [1916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8208),
  [1918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(569),
  [1920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2307),
  [1922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2073),
  [1924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(930),
  [1926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3875),
  [1928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1062),
  [1930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12604),
  [1932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7542),
  [1934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(570),
  [1936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2105),
  [1938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6581),
  [1940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9932),
  [1942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(124),
  [1944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7399),
  [1946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2150),
  [1948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6285),
  [1950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4345),
  [1952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3845),
  [1954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1806),
  [1956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11826),
  [1958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12048),
  [1960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6581),
  [1962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7746),
  [1964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8905),
  [1966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8905),
  [1968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8909),
  [1970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9088),
  [1972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8910),
  [1974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1646),
  [1976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3898),
  [1978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1236),
  [1980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12300),
  [1982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7298),
  [1984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(572),
  [1986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2239),
  [1988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1629),
  [1990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3868),
  [1992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1344),
  [1994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12338),
  [1996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7219),
  [1998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(573),
  [2000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2332),
  [2002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1589),
  [2004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3881),
  [2006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1183),
  [2008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12346),
  [2010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7550),
  [2012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(574),
  [2014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2347),
  [2016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1628),
  [2018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3865),
  [2020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1412),
  [2022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12295),
  [2024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7475),
  [2026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(575),
  [2028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2328),
  [2030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1245),
  [2032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3846),
  [2034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1578),
  [2036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12434),
  [2038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7446),
  [2040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(576),
  [2042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2326),
  [2044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(719),
  [2046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1336),
  [2048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3874),
  [2050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1487),
  [2052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12536),
  [2054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2235),
  [2056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8448),
  [2058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(577),
  [2060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2289),
  [2062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2056),
  [2064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(776),
  [2066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1614),
  [2068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3884),
  [2070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1570),
  [2072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12421),
  [2074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2272),
  [2076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8380),
  [2078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(578),
  [2080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2238),
  [2082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2071),
  [2084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4545),
  [2086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10131),
  [2088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [2090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8980),
  [2092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2187),
  [2094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4533),
  [2096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4357),
  [2098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3843),
  [2100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1804),
  [2102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12058),
  [2104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11950),
  [2106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4545),
  [2108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9204),
  [2110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6076),
  [2112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6076),
  [2114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6071),
  [2116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9800),
  [2118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6148),
  [2120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4128),
  [2122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(756),
  [2124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1566),
  [2126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3859),
  [2128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1635),
  [2130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12465),
  [2132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9387),
  [2134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1259),
  [2136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2137),
  [2138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(186),
  [2140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4091),
  [2142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(722),
  [2144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(839),
  [2146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3902),
  [2148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1232),
  [2150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12551),
  [2152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8792),
  [2154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(727),
  [2156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2161),
  [2158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(173),
  [2160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(763),
  [2162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1622),
  [2164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3900),
  [2166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1615),
  [2168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12449),
  [2170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2257),
  [2172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8897),
  [2174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(582),
  [2176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2052),
  [2178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1101),
  [2180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3856),
  [2182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(819),
  [2184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12541),
  [2186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7456),
  [2188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(583),
  [2190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2134),
  [2192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12427),
  [2194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4136),
  [2196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(679),
  [2198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(185),
  [2200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4129),
  [2202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(180),
  [2204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4108),
  [2206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(192),
  [2208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4083),
  [2210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(782),
  [2212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(171),
  [2214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4081),
  [2216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(633),
  [2218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(958),
  [2220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3867),
  [2222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1519),
  [2224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12517),
  [2226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2211),
  [2228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9086),
  [2230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(615),
  [2232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2330),
  [2234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [2236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4092),
  [2238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(693),
  [2240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(169),
  [2242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4082),
  [2244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4088),
  [2246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4135),
  [2248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12381),
  [2250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4117),
  [2252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4134),
  [2254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4121),
  [2256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(775),
  [2258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [2260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(658),
  [2262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1074),
  [2264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3895),
  [2266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(953),
  [2268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12286),
  [2270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2165),
  [2272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8709),
  [2274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(598),
  [2276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2296),
  [2278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2043),
  [2280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4107),
  [2282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(189),
  [2284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4114),
  [2286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4085),
  [2288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(680),
  [2290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4093),
  [2292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(667),
  [2294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(157),
  [2296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4118),
  [2298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(646),
  [2300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1483),
  [2302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3873),
  [2304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1020),
  [2306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12388),
  [2308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8602),
  [2310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(617),
  [2312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2256),
  [2314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1066),
  [2316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3877),
  [2318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1475),
  [2320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12472),
  [2322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7444),
  [2324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(604),
  [2326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2304),
  [2328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4106),
  [2330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(769),
  [2332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1527),
  [2334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3851),
  [2336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1401),
  [2338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12352),
  [2340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9665),
  [2342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1785),
  [2344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2291),
  [2346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(193),
  [2348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4096),
  [2350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4102),
  [2352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(650),
  [2354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4101),
  [2356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(757),
  [2358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1581),
  [2360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3878),
  [2362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1339),
  [2364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12340),
  [2366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8554),
  [2368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(612),
  [2370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2267),
  [2372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10176),
  [2374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8634),
  [2376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9510),
  [2378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4080),
  [2380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(848),
  [2382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3847),
  [2384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1134),
  [2386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12590),
  [2388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8607),
  [2390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(611),
  [2392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2068),
  [2394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1576),
  [2396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3849),
  [2398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1162),
  [2400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12288),
  [2402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8528),
  [2404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(613),
  [2406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2193),
  [2408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4130),
  [2410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(669),
  [2412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4099),
  [2414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(676),
  [2416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1492),
  [2418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3899),
  [2420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1621),
  [2422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12502),
  [2424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9287),
  [2426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1558),
  [2428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2155),
  [2430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(697),
  [2432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1310),
  [2434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3886),
  [2436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(867),
  [2438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12235),
  [2440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8612),
  [2442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(618),
  [2444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2201),
  [2446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4079),
  [2448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4104),
  [2450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(712),
  [2452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1394),
  [2454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3864),
  [2456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(965),
  [2458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12251),
  [2460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9755),
  [2462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1770),
  [2464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2110),
  [2466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10116),
  [2468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3887),
  [2470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4103),
  [2472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(745),
  [2474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4132),
  [2476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4110),
  [2478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(641),
  [2480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4094),
  [2482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4111),
  [2484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4105),
  [2486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(656),
  [2488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1173),
  [2490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3857),
  [2492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(843),
  [2494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12486),
  [2496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8710),
  [2498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(724),
  [2500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2164),
  [2502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4127),
  [2504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4116),
  [2506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(670),
  [2508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1808),
  [2510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(188),
  [2512] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4884),
  [2515] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0),
  [2517] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(143),
  [2520] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0),
  [2522] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4845),
  [2525] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(2578),
  [2528] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(1812),
  [2531] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4884),
  [2534] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(7550),
  [2537] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(2117),
  [2540] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(6446),
  [2543] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(139),
  [2546] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(6489),
  [2549] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(3754),
  [2552] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(1820),
  [2555] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(6446),
  [2558] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(8602),
  [2561] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(2073),
  [2564] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4507),
  [2567] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(130),
  [2570] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4530),
  [2573] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(2569),
  [2576] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(1821),
  [2579] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4507),
  [2582] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(7115),
  [2585] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(2037),
  [2588] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(6581),
  [2591] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(124),
  [2594] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(6285),
  [2597] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(3845),
  [2600] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(1806),
  [2603] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(6581),
  [2606] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(9755),
  [2609] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(2043),
  [2612] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4545),
  [2615] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(128),
  [2618] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4533),
  [2621] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(3843),
  [2624] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(1804),
  [2627] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4545),
  [2630] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(9086),
  [2633] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4455),
  [2636] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(145),
  [2639] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4437),
  [2642] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(2536),
  [2645] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(1827),
  [2648] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4455),
  [2651] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(6287),
  [2654] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(2048),
  [2657] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4827),
  [2660] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(129),
  [2663] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4801),
  [2666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(767),
  [2668] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(2576),
  [2671] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(1826),
  [2674] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4827),
  [2677] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(7444),
  [2680] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(2062),
  [2683] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4667),
  [2686] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(146),
  [2689] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4670),
  [2692] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(2574),
  [2695] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(1819),
  [2698] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4667),
  [2701] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(7986),
  [2704] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(2083),
  [2707] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(5430),
  [2710] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(140),
  [2713] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(5441),
  [2716] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(3221),
  [2719] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(1818),
  [2722] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(5430),
  [2725] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(9387),
  [2728] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(2071),
  [2731] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(5785),
  [2734] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(135),
  [2737] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(5612),
  [2740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(796),
  [2742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1502),
  [2744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3892),
  [2746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1503),
  [2748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12270),
  [2750] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(3887),
  [2753] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(1815),
  [2756] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(5785),
  [2759] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(10149),
  [2762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1803),
  [2764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2111),
  [2766] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(2088),
  [2769] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(5213),
  [2772] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(144),
  [2775] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(5207),
  [2778] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(2575),
  [2781] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(1817),
  [2784] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(5213),
  [2787] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(7227),
  [2790] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(2063),
  [2793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1509),
  [2795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3855),
  [2797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1094),
  [2799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12281),
  [2801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8706),
  [2803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(668),
  [2805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2157),
  [2807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12401),
  [2809] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(7219),
  [2812] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4943),
  [2815] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(133),
  [2818] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4933),
  [2821] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(2579),
  [2824] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(1814),
  [2827] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4943),
  [2830] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(7114),
  [2833] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(2036),
  [2836] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(5752),
  [2839] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(142),
  [2842] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(5796),
  [2845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(635),
  [2847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(893),
  [2849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3889),
  [2851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1171),
  [2853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12473),
  [2855] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(3409),
  [2858] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(1823),
  [2861] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(5752),
  [2864] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(9268),
  [2867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(996),
  [2869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2230),
  [2871] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(2056),
  [2874] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4555),
  [2877] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(132),
  [2880] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4571),
  [2883] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(3842),
  [2886] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(1822),
  [2889] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4555),
  [2892] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(8897),
  [2895] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(5419),
  [2898] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(147),
  [2901] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(5420),
  [2904] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(3030),
  [2907] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(1807),
  [2910] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(5419),
  [2913] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(7820),
  [2916] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(2102),
  [2919] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(5636),
  [2922] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(120),
  [2925] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(5606),
  [2928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(721),
  [2930] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(2349),
  [2933] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(1800),
  [2936] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(5636),
  [2939] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(8706),
  [2942] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(2065),
  [2945] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(5563),
  [2948] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(131),
  [2951] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(5558),
  [2954] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(2617),
  [2957] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(1809),
  [2960] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(5563),
  [2963] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(7446),
  [2966] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(2053),
  [2969] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(5234),
  [2972] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(121),
  [2975] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(5230),
  [2978] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(2686),
  [2981] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(1801),
  [2984] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(5234),
  [2987] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(8075),
  [2990] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(2092),
  [2993] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4482),
  [2996] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(122),
  [2999] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(8634),
  [3002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12327),
  [3004] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(2350),
  [3007] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(1824),
  [3010] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4482),
  [3013] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(9321),
  [3016] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(2168),
  [3019] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(7475),
  [3022] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(5314),
  [3025] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(138),
  [3028] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(5292),
  [3031] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(2348),
  [3034] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(1802),
  [3037] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(5314),
  [3040] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(9427),
  [3043] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(6470),
  [3046] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(125),
  [3049] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(6613),
  [3052] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(3283),
  [3055] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(1810),
  [3058] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(6470),
  [3061] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(8444),
  [3064] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(2051),
  [3067] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(7076),
  [3070] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4462),
  [3073] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(141),
  [3076] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4474),
  [3079] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(3801),
  [3082] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(1828),
  [3085] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4462),
  [3088] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(8175),
  [3091] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(8612),
  [3094] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(8386),
  [3097] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(8710),
  [3100] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(3844),
  [3103] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(8816),
  [3106] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(9287),
  [3109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12587),
  [3111] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(9324),
  [3114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(631),
  [3116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1056),
  [3118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3863),
  [3120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1253),
  [3122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12565),
  [3124] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(8541),
  [3127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(732),
  [3129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2312),
  [3131] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(8792),
  [3134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8541),
  [3136] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4485),
  [3139] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(134),
  [3142] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4405),
  [3145] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(3095),
  [3148] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(1811),
  [3151] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4485),
  [3154] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(8639),
  [3157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(734),
  [3159] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(8528),
  [3162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(699),
  [3164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1116),
  [3166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3858),
  [3168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1328),
  [3170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12618),
  [3172] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(9367),
  [3175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1286),
  [3177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2308),
  [3179] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(8208),
  [3182] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(7456),
  [3185] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(8502),
  [3188] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(7298),
  [3191] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4332),
  [3194] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(126),
  [3197] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4381),
  [3200] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(2593),
  [3203] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(1825),
  [3206] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4332),
  [3209] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(7660),
  [3212] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(7408),
  [3215] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(7324),
  [3218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(705),
  [3220] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(8607),
  [3223] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(8448),
  [3226] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(8380),
  [3229] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(8709),
  [3232] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(9665),
  [3235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(692),
  [3237] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(7542),
  [3240] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(8216),
  [3243] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(8554),
  [3246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(784),
  [3248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1568),
  [3250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3852),
  [3252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1540),
  [3254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12348),
  [3256] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(10039),
  [3259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1805),
  [3261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2279),
  [3263] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(3841),
  [3266] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(8727),
  [3269] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(6107),
  [3272] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(7620),
  [3275] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(7015),
  [3278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [3280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [3282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(175),
  [3284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10030),
  [3286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [3288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2094),
  [3290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4373),
  [3292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1813),
  [3294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12060),
  [3296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11816),
  [3298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10188),
  [3300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10391),
  [3302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10391),
  [3304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10326),
  [3306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10398),
  [3308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10383),
  [3310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1816),
  [3312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10149),
  [3314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9268),
  [3316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(156),
  [3318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10039),
  [3320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9367),
  [3322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1888),
  [3324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11002),
  [3326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1853),
  [3328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6765),
  [3330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1956),
  [3332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5591),
  [3334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1852),
  [3336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8271),
  [3338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1832),
  [3340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5187),
  [3342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1859),
  [3344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7566),
  [3346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1883),
  [3348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6565),
  [3350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1855),
  [3352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9217),
  [3354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1836),
  [3356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6597),
  [3358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1873),
  [3360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12757),
  [3362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1991),
  [3364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12542),
  [3366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1891),
  [3368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6797),
  [3370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1839),
  [3372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6574),
  [3374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1937),
  [3376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6649),
  [3378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1901),
  [3380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6380),
  [3382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1845),
  [3384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5809),
  [3386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1860),
  [3388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7139),
  [3390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1847),
  [3392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6493),
  [3394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2010),
  [3396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8402),
  [3398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1910),
  [3400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9998),
  [3402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1893),
  [3404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5552),
  [3406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1964),
  [3408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4980),
  [3410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1875),
  [3412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8088),
  [3414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1970),
  [3416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4985),
  [3418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1946),
  [3420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4638),
  [3422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1921),
  [3424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4841),
  [3426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1851),
  [3428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7613),
  [3430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1930),
  [3432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5315),
  [3434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1974),
  [3436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12593),
  [3438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1833),
  [3440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6645),
  [3442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2006),
  [3444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8387),
  [3446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1892),
  [3448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6078),
  [3450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1863),
  [3452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6158),
  [3454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1926),
  [3456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8010),
  [3458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1980),
  [3460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12580),
  [3462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2025),
  [3464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5928),
  [3466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1844),
  [3468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8474),
  [3470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1907),
  [3472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8477),
  [3474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1947),
  [3476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9389),
  [3478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1945),
  [3480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6998),
  [3482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1843),
  [3484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9099),
  [3486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1897),
  [3488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7144),
  [3490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1829),
  [3492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8378),
  [3494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1917),
  [3496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8572),
  [3498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1958),
  [3500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8073),
  [3502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1973),
  [3504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7251),
  [3506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2015),
  [3508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8434),
  [3510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1837),
  [3512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9984),
  [3514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1997),
  [3516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8960),
  [3518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1915),
  [3520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9208),
  [3522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1968),
  [3524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8042),
  [3526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1977),
  [3528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5930),
  [3530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1918),
  [3532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5702),
  [3534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1865),
  [3536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7326),
  [3538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1838),
  [3540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12186),
  [3542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1959),
  [3544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9225),
  [3546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2000),
  [3548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12966),
  [3550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1881),
  [3552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8604),
  [3554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1943),
  [3556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8423),
  [3558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2001),
  [3560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7883),
  [3562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1953),
  [3564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10495),
  [3566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1890),
  [3568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4737),
  [3570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1976),
  [3572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5996),
  [3574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2024),
  [3576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8410),
  [3578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1925),
  [3580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4392),
  [3582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1854),
  [3584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5156),
  [3586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1906),
  [3588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8629),
  [3590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2005),
  [3592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5948),
  [3594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1858),
  [3596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5750),
  [3598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1978),
  [3600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7341),
  [3602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1927),
  [3604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8911),
  [3606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2018),
  [3608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6196),
  [3610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1861),
  [3612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5133),
  [3614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1940),
  [3616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8982),
  [3618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1831),
  [3620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4820),
  [3622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1882),
  [3624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11926),
  [3626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1877),
  [3628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7854),
  [3630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2027),
  [3632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5859),
  [3634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2007),
  [3636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7362),
  [3638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1869),
  [3640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7382),
  [3642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1868),
  [3644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5813),
  [3646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1848),
  [3648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13866),
  [3650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1955),
  [3652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6238),
  [3654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2030),
  [3656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4882),
  [3658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1876),
  [3660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6425),
  [3662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2016),
  [3664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13902),
  [3666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1939),
  [3668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6980),
  [3670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1841),
  [3672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5079),
  [3674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1885),
  [3676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8023),
  [3678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1898),
  [3680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11986),
  [3682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2029),
  [3684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8819),
  [3686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1934),
  [3688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7807),
  [3690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1988),
  [3692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9083),
  [3694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1935),
  [3696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7799),
  [3698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2026),
  [3700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8930),
  [3702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1942),
  [3704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8894),
  [3706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1986),
  [3708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6058),
  [3710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1894),
  [3712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7072),
  [3714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1896),
  [3716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8103),
  [3718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1954),
  [3720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8170),
  [3722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2011),
  [3724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7665),
  [3726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1871),
  [3728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9589),
  [3730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1960),
  [3732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5830),
  [3734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1857),
  [3736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13559),
  [3738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1951),
  [3740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5786),
  [3742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1908),
  [3744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7975),
  [3746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2004),
  [3748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8487),
  [3750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1874),
  [3752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9624),
  [3754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1914),
  [3756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6089),
  [3758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1887),
  [3760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5491),
  [3762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1996),
  [3764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7010),
  [3766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2033),
  [3768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5170),
  [3770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1975),
  [3772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7928),
  [3774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1982),
  [3776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7223),
  [3778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2023),
  [3780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6828),
  [3782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1990),
  [3784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7510),
  [3786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1922),
  [3788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7892),
  [3790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1867),
  [3792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7304),
  [3794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1965),
  [3796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6895),
  [3798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1924),
  [3800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8263),
  [3802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1987),
  [3804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7214),
  [3806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1879),
  [3808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7440),
  [3810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8206),
  [3812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9864),
  [3814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6192),
  [3816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6260),
  [3818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8789),
  [3820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8026),
  [3822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7140),
  [3824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8539),
  [3826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6771),
  [3828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7482),
  [3830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8613),
  [3832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5802),
  [3834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10318),
  [3836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5540),
  [3838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6165),
  [3840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6946),
  [3842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5077),
  [3844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7626),
  [3846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5369),
  [3848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8938),
  [3850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6705),
  [3852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9432),
  [3854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7669),
  [3856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5831),
  [3858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4746),
  [3860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8357),
  [3862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1341),
  [3864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1320),
  [3866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1306),
  [3868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5662),
  [3870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1292),
  [3872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1192),
  [3874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1321),
  [3876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1472),
  [3878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1260),
  [3880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1352),
  [3882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1244),
  [3884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10519),
  [3886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1231),
  [3888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6725),
  [3890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1367),
  [3892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1178),
  [3894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1182),
  [3896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1195),
  [3898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1507),
  [3900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1163),
  [3902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9672),
  [3904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8421),
  [3906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1142),
  [3908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6760),
  [3910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1556),
  [3912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7733),
  [3914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1129),
  [3916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1284),
  [3918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1415),
  [3920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1416),
  [3922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1199),
  [3924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1565),
  [3926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1484),
  [3928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1092),
  [3930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1095),
  [3932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1097),
  [3934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9171),
  [3936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1356),
  [3938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8861),
  [3940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7875),
  [3942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(874),
  [3944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1059),
  [3946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1080),
  [3948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1018),
  [3950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9297),
  [3952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1026),
  [3954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1028),
  [3956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1501),
  [3958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(988),
  [3960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(975),
  [3962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1494),
  [3964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8939),
  [3966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9586),
  [3968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8438),
  [3970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1582),
  [3972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10060),
  [3974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(903),
  [3976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(952),
  [3978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6591),
  [3980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6310),
  [3982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(927),
  [3984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1595),
  [3986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(918),
  [3988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1420),
  [3990] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__exprs_in_parens, 3, 0, 0),
  [3992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7580),
  [3994] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__exprs_in_parens, 2, 0, 0),
  [3996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(889),
  [3998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8253),
  [4000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8331),
  [4002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(866),
  [4004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1575),
  [4006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9450),
  [4008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(872),
  [4010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(858),
  [4012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(897),
  [4014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9498),
  [4016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1597),
  [4018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9877),
  [4020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9193),
  [4022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(835),
  [4024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6783),
  [4026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(824),
  [4028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(737),
  [4030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(751),
  [4032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(760),
  [4034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(723),
  [4036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(687),
  [4038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(770),
  [4040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(716),
  [4042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(778),
  [4044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(783),
  [4046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(707),
  [4048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(785),
  [4050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(674),
  [4052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(790),
  [4054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(704),
  [4056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(799),
  [4058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(691),
  [4060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(678),
  [4062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(639),
  [4064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(657),
  [4066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(660),
  [4068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(644),
  [4070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(636),
  [4072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(652),
  [4074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(666),
  [4076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(689),
  [4078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(708),
  [4080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(715),
  [4082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(726),
  [4084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(713),
  [4086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(749),
  [4088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(761),
  [4090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(638),
  [4092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(806),
  [4094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(637),
  [4096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(798),
  [4098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(792),
  [4100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(786),
  [4102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(754),
  [4104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(654),
  [4106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(779),
  [4108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(772),
  [4110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(640),
  [4112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(758),
  [4114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(651),
  [4116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(744),
  [4118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(731),
  [4120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(700),
  [4122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(698),
  [4124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(663),
  [4126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(686),
  [4128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(675),
  [4130] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_inline_modifier, 1, 0, 0),
  [4132] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__soft_identifier, 1, 0, 0),
  [4134] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inline_modifier, 1, 0, 0),
  [4136] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__soft_identifier, 1, 0, 0),
  [4138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5824),
  [4140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17074),
  [4142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [4144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6404),
  [4146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3629),
  [4148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11066),
  [4150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5844),
  [4152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8799),
  [4154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2422),
  [4156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5824),
  [4158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9896),
  [4160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11539),
  [4162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11539),
  [4164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11366),
  [4166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(155),
  [4168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11587),
  [4170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9804),
  [4172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(161),
  [4174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4754),
  [4176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17420),
  [4178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [4180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5215),
  [4182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3118),
  [4184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11254),
  [4186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4759),
  [4188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9004),
  [4190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2427),
  [4192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4754),
  [4194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5171),
  [4196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12493),
  [4198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12493),
  [4200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12495),
  [4202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(182),
  [4204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12491),
  [4206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9795),
  [4208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9749),
  [4210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(183),
  [4212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4929),
  [4214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17039),
  [4216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(105),
  [4218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5242),
  [4220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3716),
  [4222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11059),
  [4224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4921),
  [4226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8862),
  [4228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2425),
  [4230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4929),
  [4232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5041),
  [4234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10870),
  [4236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10870),
  [4238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10874),
  [4240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(178),
  [4242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10939),
  [4244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9690),
  [4246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(190),
  [4248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9757),
  [4250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(191),
  [4252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9728),
  [4254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [4256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9666),
  [4258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(164),
  [4260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9704),
  [4262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(159),
  [4264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4380),
  [4266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17352),
  [4268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [4270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4451),
  [4272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3170),
  [4274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11269),
  [4276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4344),
  [4278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8748),
  [4280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2430),
  [4282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4380),
  [4284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4418),
  [4286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10942),
  [4288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10942),
  [4290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10950),
  [4292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [4294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10937),
  [4296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7067),
  [4298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17362),
  [4300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(67),
  [4302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7541),
  [4304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3200),
  [4306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11282),
  [4308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7062),
  [4310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8815),
  [4312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2424),
  [4314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7067),
  [4316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7572),
  [4318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11745),
  [4320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11745),
  [4322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11743),
  [4324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11748),
  [4326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7302),
  [4328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(174),
  [4330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9860),
  [4332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [4334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4494),
  [4336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17424),
  [4338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11),
  [4340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4554),
  [4342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3177),
  [4344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11153),
  [4346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4480),
  [4348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8767),
  [4350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2435),
  [4352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4494),
  [4354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4575),
  [4356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11227),
  [4358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11227),
  [4360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11235),
  [4362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(170),
  [4364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11222),
  [4366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4655),
  [4368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4894),
  [4370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3136),
  [4372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11056),
  [4374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4656),
  [4376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2413),
  [4378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4655),
  [4380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4773),
  [4382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [4384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6027),
  [4386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6905),
  [4388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3152),
  [4390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11139),
  [4392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6030),
  [4394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2433),
  [4396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6027),
  [4398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6882),
  [4400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(176),
  [4402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6337),
  [4404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17115),
  [4406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(107),
  [4408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7068),
  [4410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3655),
  [4412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11067),
  [4414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6218),
  [4416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9247),
  [4418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2421),
  [4420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6337),
  [4422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7047),
  [4424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11237),
  [4426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11237),
  [4428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11285),
  [4430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11304),
  [4432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9647),
  [4434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [4436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9928),
  [4438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5411),
  [4440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17422),
  [4442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [4444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6451),
  [4446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3130),
  [4448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11162),
  [4450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5418),
  [4452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8865),
  [4454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2428),
  [4456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5411),
  [4458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6236),
  [4460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13124),
  [4462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13124),
  [4464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13102),
  [4466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(179),
  [4468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13207),
  [4470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9650),
  [4472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4750),
  [4474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17430),
  [4476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(27),
  [4478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5131),
  [4480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3206),
  [4482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11280),
  [4484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4753),
  [4486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8886),
  [4488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2431),
  [4490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4750),
  [4492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5029),
  [4494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12576),
  [4496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12576),
  [4498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12574),
  [4500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12578),
  [4502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4419),
  [4504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4668),
  [4506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3530),
  [4508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11078),
  [4510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4444),
  [4512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2420),
  [4514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4419),
  [4516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4501),
  [4518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [4520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4974),
  [4522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17175),
  [4524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(49),
  [4526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5447),
  [4528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3425),
  [4530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11098),
  [4532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4995),
  [4534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9143),
  [4536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2418),
  [4538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4974),
  [4540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5904),
  [4542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12905),
  [4544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12905),
  [4546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12885),
  [4548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12924),
  [4550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9753),
  [4552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9908),
  [4554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6066),
  [4556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17187),
  [4558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(42),
  [4560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7027),
  [4562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3391),
  [4564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11102),
  [4566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6269),
  [4568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9184),
  [4570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2414),
  [4572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6066),
  [4574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7285),
  [4576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12384),
  [4578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12384),
  [4580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12375),
  [4582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [4584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12402),
  [4586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5551),
  [4588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5994),
  [4590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3231),
  [4592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11266),
  [4594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5574),
  [4596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2423),
  [4598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5551),
  [4600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6421),
  [4602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(172),
  [4604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9632),
  [4606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [4608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7705),
  [4610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8530),
  [4612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3702),
  [4614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11057),
  [4616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7678),
  [4618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2417),
  [4620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7705),
  [4622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8436),
  [4624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5260),
  [4626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17440),
  [4628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(46),
  [4630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5489),
  [4632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3227),
  [4634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11344),
  [4636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5222),
  [4638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9253),
  [4640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2429),
  [4642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5260),
  [4644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5940),
  [4646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12928),
  [4648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12928),
  [4650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12906),
  [4652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12913),
  [4654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9684),
  [4656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [4658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9862),
  [4660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7094),
  [4662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17199),
  [4664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [4666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7677),
  [4668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3359),
  [4670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11103),
  [4672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7274),
  [4674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9097),
  [4676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2415),
  [4678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7094),
  [4680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8069),
  [4682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11571),
  [4684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11571),
  [4686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11593),
  [4688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11686),
  [4690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4567),
  [4692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4864),
  [4694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3330),
  [4696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11107),
  [4698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4551),
  [4700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2412),
  [4702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4567),
  [4704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4690),
  [4706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9835),
  [4708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [4710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9699),
  [4712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9801),
  [4714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(181),
  [4716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5457),
  [4718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17400),
  [4720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [4722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6224),
  [4724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3107),
  [4726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11160),
  [4728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5466),
  [4730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9112),
  [4732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2432),
  [4734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5457),
  [4736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6462),
  [4738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13182),
  [4740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13182),
  [4742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13188),
  [4744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13145),
  [4746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9875),
  [4748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5217),
  [4750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17337),
  [4752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(45),
  [4754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5684),
  [4756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3262),
  [4758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11116),
  [4760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5216),
  [4762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8696),
  [4764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2419),
  [4766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5217),
  [4768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5630),
  [4770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12723),
  [4772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12723),
  [4774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12727),
  [4776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12722),
  [4778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5184),
  [4780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17307),
  [4782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(26),
  [4784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5887),
  [4786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3296),
  [4788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11111),
  [4790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5173),
  [4792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8758),
  [4794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2416),
  [4796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5184),
  [4798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5706),
  [4800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12730),
  [4802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12730),
  [4804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12728),
  [4806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12733),
  [4808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5480),
  [4810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17397),
  [4812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [4814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5992),
  [4816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3085),
  [4818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11148),
  [4820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5484),
  [4822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9033),
  [4824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2434),
  [4826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5480),
  [4828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6150),
  [4830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13159),
  [4832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13159),
  [4834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13150),
  [4836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13196),
  [4838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9808),
  [4840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9663),
  [4842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4651),
  [4844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17387),
  [4846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(85),
  [4848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4872),
  [4850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3099),
  [4852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11106),
  [4854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4654),
  [4856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8961),
  [4858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2426),
  [4860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4651),
  [4862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4860),
  [4864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11935),
  [4866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11935),
  [4868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11939),
  [4870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11933),
  [4872] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_self_type, 3, 1, 0),
  [4874] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_self_type, 3, 1, 0),
  [4876] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__shebang, 1, 0, 0),
  [4878] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__shebang, 1, 0, 0),
  [4880] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__case_pattern, 3, 0, 52),
  [4882] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__case_pattern, 3, 0, 52),
  [4884] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__case_pattern, 2, 0, 52),
  [4886] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__case_pattern, 2, 0, 52),
  [4888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5169),
  [4890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17000),
  [4892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [4894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5567),
  [4896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11129),
  [4898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5197),
  [4900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8698),
  [4902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10430),
  [4904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9372),
  [4906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2456),
  [4908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2408),
  [4910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13053),
  [4912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5169),
  [4914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9520),
  [4916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9142),
  [4918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2538),
  [4920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8904),
  [4922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15488),
  [4924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8780),
  [4926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12956),
  [4928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5795),
  [4930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7680),
  [4932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5707),
  [4934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15758),
  [4936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8652),
  [4938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15545),
  [4940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13201),
  [4942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8535),
  [4944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7333),
  [4946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5293),
  [4948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4885),
  [4950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7528),
  [4952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5124),
  [4954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8914),
  [4956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5577),
  [4958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6302),
  [4960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9248),
  [4962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4701),
  [4964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7375),
  [4966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7777),
  [4968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7771),
  [4970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6640),
  [4972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7032),
  [4974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4733),
  [4976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7539),
  [4978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8205),
  [4980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8019),
  [4982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7419),
  [4984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6271),
  [4986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9150),
  [4988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6211),
  [4990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5633),
  [4992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7138),
  [4994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6965),
  [4996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5239),
  [4998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7972),
  [5000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8929),
  [5002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7080),
  [5004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8669),
  [5006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7423),
  [5008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15686),
  [5010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6487),
  [5012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7262),
  [5014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8417),
  [5016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6488),
  [5018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5090),
  [5020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5761),
  [5022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5766),
  [5024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6123),
  [5026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7133),
  [5028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4647),
  [5030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9050),
  [5032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13343),
  [5034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7818),
  [5036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13386),
  [5038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7406),
  [5040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7221),
  [5042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9478),
  [5044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5481),
  [5046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5881),
  [5048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6929),
  [5050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7270),
  [5052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10439),
  [5054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10544),
  [5056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7689),
  [5058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9675),
  [5060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7604),
  [5062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5123),
  [5064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3462),
  [5066] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_wildcard, 1, 0, 0),
  [5068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5375),
  [5070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6859),
  [5072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8453),
  [5074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8735),
  [5076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5175),
  [5078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5404),
  [5080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8210),
  [5082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8213),
  [5084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8703),
  [5086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8173),
  [5088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8746),
  [5090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8732),
  [5092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7184),
  [5094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8690),
  [5096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9857),
  [5098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6352),
  [5100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8691),
  [5102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4698),
  [5104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5290),
  [5106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8220),
  [5108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8784),
  [5110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8569),
  [5112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6359),
  [5114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7729),
  [5116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5504),
  [5118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6314),
  [5120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8570),
  [5122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12242),
  [5124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8901),
  [5126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7668),
  [5128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11176),
  [5130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12454),
  [5132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9853),
  [5134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6099),
  [5136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7074),
  [5138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6932),
  [5140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7791),
  [5142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6274),
  [5144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5341),
  [5146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7784),
  [5148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4242),
  [5150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6587),
  [5152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7191),
  [5154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6926),
  [5156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11702),
  [5158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7195),
  [5160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7197),
  [5162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11053),
  [5164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7225),
  [5166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5915),
  [5168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4226),
  [5170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11140),
  [5172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7218),
  [5174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6784),
  [5176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5548),
  [5178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9585),
  [5180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10089),
  [5182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5576),
  [5184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8367),
  [5186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5919),
  [5188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6827),
  [5190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11621),
  [5192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8370),
  [5194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9568),
  [5196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5266),
  [5198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8101),
  [5200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6128),
  [5202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6239),
  [5204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6122),
  [5206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6120),
  [5208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7842),
  [5210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5355),
  [5212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9395),
  [5214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4693),
  [5216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5961),
  [5218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5773),
  [5220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9381),
  [5222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8060),
  [5224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12330),
  [5226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8747),
  [5228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11525),
  [5230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8848),
  [5232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5221),
  [5234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8098),
  [5236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11605),
  [5238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5352),
  [5240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5032),
  [5242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5228),
  [5244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12237),
  [5246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8868),
  [5248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7847),
  [5250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12335),
  [5252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6220),
  [5254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8752),
  [5256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7249),
  [5258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6225),
  [5260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5503),
  [5262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5507),
  [5264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7193),
  [5266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11696),
  [5268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12106),
  [5270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12105),
  [5272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5537),
  [5274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5539),
  [5276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6575),
  [5278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4582),
  [5280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8059),
  [5282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6560),
  [5284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4780),
  [5286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4534),
  [5288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5395),
  [5290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4781),
  [5292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10926),
  [5294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10924),
  [5296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7564),
  [5298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6457),
  [5300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7565),
  [5302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11341),
  [5304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12512),
  [5306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12789),
  [5308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12790),
  [5310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4299),
  [5312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7340),
  [5314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8513),
  [5316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7246),
  [5318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9012),
  [5320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5301),
  [5322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8058),
  [5324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4572),
  [5326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8515),
  [5328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7051),
  [5330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9685),
  [5332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11610),
  [5334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4214),
  [5336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9016),
  [5338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7046),
  [5340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12097),
  [5342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12095),
  [5344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5565),
  [5346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7082),
  [5348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5566),
  [5350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6389),
  [5352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6390),
  [5354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5220),
  [5356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5219),
  [5358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13534),
  [5360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6194),
  [5362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11404),
  [5364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4566),
  [5366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13528),
  [5368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9602),
  [5370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8319),
  [5372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11292),
  [5374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7178),
  [5376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6212),
  [5378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9599),
  [5380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4680),
  [5382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13031),
  [5384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4679),
  [5386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6335),
  [5388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7723),
  [5390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4563),
  [5392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7111),
  [5394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8047),
  [5396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6346),
  [5398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11050),
  [5400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6858),
  [5402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6049),
  [5404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4529),
  [5406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7320),
  [5408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13110),
  [5410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6032),
  [5412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5522),
  [5414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6474),
  [5416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6792),
  [5418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7101),
  [5420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6478),
  [5422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12810),
  [5424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12811),
  [5426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6839),
  [5428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6834),
  [5430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5212),
  [5432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5211),
  [5434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8409),
  [5436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8407),
  [5438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4725),
  [5440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12837),
  [5442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5793),
  [5444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8566),
  [5446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6866),
  [5448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10628),
  [5450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6764),
  [5452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12838),
  [5454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7536),
  [5456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6972),
  [5458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8471),
  [5460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5792),
  [5462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10877),
  [5464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6785),
  [5466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7035),
  [5468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6969),
  [5470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7031),
  [5472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7029),
  [5474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6779),
  [5476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11447),
  [5478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11446),
  [5480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5204),
  [5482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12351),
  [5484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5199),
  [5486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5678),
  [5488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6619),
  [5490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5682),
  [5492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5703),
  [5494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5183),
  [5496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10594),
  [5498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5701),
  [5500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5182),
  [5502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11258),
  [5504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5760),
  [5506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8393),
  [5508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4631),
  [5510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6729),
  [5512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10603),
  [5514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7977),
  [5516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5675),
  [5518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9710),
  [5520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8180),
  [5522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8343),
  [5524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7629),
  [5526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6943),
  [5528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7633),
  [5530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12032),
  [5532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5665),
  [5534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4626),
  [5536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4817),
  [5538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11108),
  [5540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4809),
  [5542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5756),
  [5544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6723),
  [5546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8456),
  [5548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4811),
  [5550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7949),
  [5552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11345),
  [5554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4816),
  [5556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11231),
  [5558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11343),
  [5560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7376),
  [5562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10535),
  [5564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11255),
  [5566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5287),
  [5568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6920),
  [5570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8190),
  [5572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10703),
  [5574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10821),
  [5576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7255),
  [5578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8441),
  [5580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7884),
  [5582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11336),
  [5584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11340),
  [5586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7714),
  [5588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13105),
  [5590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7718),
  [5592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8186),
  [5594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8446),
  [5596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5868),
  [5598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10681),
  [5600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7947),
  [5602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10569),
  [5604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12353),
  [5606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4956),
  [5608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6875),
  [5610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12922),
  [5612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6881),
  [5614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5119),
  [5616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7984),
  [5618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6913),
  [5620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7990),
  [5622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4986),
  [5624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9609),
  [5626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8085),
  [5628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11420),
  [5630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4982),
  [5632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10865),
  [5634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12425),
  [5636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6983),
  [5638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11963),
  [5640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6578),
  [5642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10860),
  [5644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12426),
  [5646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8433),
  [5648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5092),
  [5650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4522),
  [5652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6622),
  [5654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4699),
  [5656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9423),
  [5658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7969),
  [5660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13203),
  [5662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9909),
  [5664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8316),
  [5666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9904),
  [5668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5865),
  [5670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9410),
  [5672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6321),
  [5674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7059),
  [5676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7187),
  [5678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6202),
  [5680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4859),
  [5682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7196),
  [5684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7897),
  [5686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11433),
  [5688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4852),
  [5690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6469),
  [5692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6062),
  [5694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6228),
  [5696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5121),
  [5698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4695),
  [5700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6042),
  [5702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6708),
  [5704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4595),
  [5706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11342),
  [5708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4497),
  [5710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5974),
  [5712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13616),
  [5714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9598),
  [5716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5969),
  [5718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7529),
  [5720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7348),
  [5722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5401),
  [5724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4726),
  [5726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4843),
  [5728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5068),
  [5730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7517),
  [5732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6129),
  [5734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7881),
  [5736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4526),
  [5738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6163),
  [5740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6810),
  [5742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4844),
  [5744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11495),
  [5746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10486),
  [5748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6815),
  [5750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6947),
  [5752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12489),
  [5754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6088),
  [5756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7093),
  [5758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12492),
  [5760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4968),
  [5762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6454),
  [5764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11709),
  [5766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6459),
  [5768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5118),
  [5770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4450),
  [5772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5028),
  [5774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6468),
  [5776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12027),
  [5778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6333),
  [5780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12774),
  [5782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4890),
  [5784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5009),
  [5786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5509),
  [5788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6317),
  [5790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7720),
  [5792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6719),
  [5794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9889),
  [5796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8195),
  [5798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13083),
  [5800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4876),
  [5802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6334),
  [5804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5257),
  [5806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7712),
  [5808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9903),
  [5810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10973),
  [5812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13135),
  [5814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4584),
  [5816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4880),
  [5818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4901),
  [5820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5746),
  [5822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12732),
  [5824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5070),
  [5826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4906),
  [5828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5069),
  [5830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5071),
  [5832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6144),
  [5834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5858),
  [5836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4905),
  [5838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8517),
  [5840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4919),
  [5842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5861),
  [5844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12773),
  [5846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5050),
  [5848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7103),
  [5850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6265),
  [5852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7113),
  [5854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5513),
  [5856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12739),
  [5858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5049),
  [5860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6670),
  [5862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4432),
  [5864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6899),
  [5866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11190),
  [5868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6195),
  [5870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13571),
  [5872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10145),
  [5874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11113),
  [5876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12455),
  [5878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4430),
  [5880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5305),
  [5882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6188),
  [5884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8406),
  [5886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7044),
  [5888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12457),
  [5890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6121),
  [5892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12459),
  [5894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6950),
  [5896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11514),
  [5898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5962),
  [5900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11517),
  [5902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10820),
  [5904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6448),
  [5906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11530),
  [5908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5997),
  [5910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11531),
  [5912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6569),
  [5914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7824),
  [5916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6279),
  [5918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11705),
  [5920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11414),
  [5922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6276),
  [5924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6261),
  [5926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6731),
  [5928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8317),
  [5930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7257),
  [5932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6651),
  [5934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5764),
  [5936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8272),
  [5938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7822),
  [5940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4580),
  [5942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7874),
  [5944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11452),
  [5946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8318),
  [5948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7112),
  [5950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6268),
  [5952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7107),
  [5954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7877),
  [5956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9007),
  [5958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12515),
  [5960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11312),
  [5962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9002),
  [5964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4464),
  [5966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5753),
  [5968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7717),
  [5970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5748),
  [5972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5093),
  [5974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7490),
  [5976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6698),
  [5978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5033),
  [5980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7480),
  [5982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12926),
  [5984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7148),
  [5986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6674),
  [5988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8338),
  [5990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5758),
  [5992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6789),
  [5994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6690),
  [5996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6691),
  [5998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11051),
  [6000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8082),
  [6002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4903),
  [6004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6829),
  [6006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10622),
  [6008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6857),
  [6010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4918),
  [6012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5439),
  [6014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6377),
  [6016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8521),
  [6018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6362),
  [6020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6277),
  [6022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13084),
  [6024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11100),
  [6026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13067),
  [6028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6127),
  [6030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9312),
  [6032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7670),
  [6034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4954),
  [6036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10668),
  [6038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7571),
  [6040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7702),
  [6042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9311),
  [6044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6190),
  [6046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6077),
  [6048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7863),
  [6050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4888),
  [6052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6067),
  [6054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11961),
  [6056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8678),
  [6058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5172),
  [6060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5010),
  [6062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8682),
  [6064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6000),
  [6066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6423),
  [6068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6860),
  [6070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11256),
  [6072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6436),
  [6074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2477),
  [6076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6423),
  [6078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6298),
  [6080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7449),
  [6082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17205),
  [6084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(28),
  [6086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8209),
  [6088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11324),
  [6090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7451),
  [6092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2444),
  [6094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7449),
  [6096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8071),
  [6098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6257),
  [6100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7001),
  [6102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11081),
  [6104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6391),
  [6106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2464),
  [6108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6257),
  [6110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6096),
  [6112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6052),
  [6114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17313),
  [6116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [6118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6805),
  [6120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11252),
  [6122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6053),
  [6124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2503),
  [6126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6052),
  [6128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6458),
  [6130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7635),
  [6132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16942),
  [6134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(71),
  [6136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8114),
  [6138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11303),
  [6140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7547),
  [6142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2546),
  [6144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7635),
  [6146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7617),
  [6148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2527),
  [6150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4511),
  [6152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4922),
  [6154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5351),
  [6156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11084),
  [6158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4886),
  [6160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2449),
  [6162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4922),
  [6164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4743),
  [6166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4760),
  [6168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17301),
  [6170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [6172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5206),
  [6174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11071),
  [6176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4764),
  [6178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2499),
  [6180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4760),
  [6182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4957),
  [6184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11079),
  [6186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6040),
  [6188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17331),
  [6190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(41),
  [6192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6843),
  [6194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11257),
  [6196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6043),
  [6198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2506),
  [6200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6040),
  [6202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6255),
  [6204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11074),
  [6206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5909),
  [6208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17145),
  [6210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(74),
  [6212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6312),
  [6214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11086),
  [6216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5863),
  [6218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2463),
  [6220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5909),
  [6222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5445),
  [6224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10362),
  [6226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10362),
  [6228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10371),
  [6230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10346),
  [6232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5254),
  [6234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17399),
  [6236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(98),
  [6238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5553),
  [6240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11310),
  [6242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5253),
  [6244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2534),
  [6246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5254),
  [6248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5086),
  [6250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17157),
  [6252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [6254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11087),
  [6256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17494),
  [6258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17494),
  [6260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17493),
  [6262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17495),
  [6264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6002),
  [6266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17401),
  [6268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(103),
  [6270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7066),
  [6272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11332),
  [6274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6001),
  [6276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2542),
  [6278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6002),
  [6280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6112),
  [6282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11089),
  [6284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4765),
  [6286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5195),
  [6288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11236),
  [6290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4767),
  [6292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2493),
  [6294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4765),
  [6296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4948),
  [6298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2451),
  [6300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4404),
  [6302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2511),
  [6304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5196),
  [6306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7350),
  [6308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17406),
  [6310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(110),
  [6312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7560),
  [6314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11337),
  [6316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7354),
  [6318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2544),
  [6320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7350),
  [6322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7277),
  [6324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5394),
  [6326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17433),
  [6328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [6330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6215),
  [6332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11334),
  [6334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5390),
  [6336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2517),
  [6338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5394),
  [6340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5729),
  [6342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8992),
  [6344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17429),
  [6346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(34),
  [6348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9603),
  [6350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11203),
  [6352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8998),
  [6354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2525),
  [6356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8992),
  [6358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8849),
  [6360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15779),
  [6362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15779),
  [6364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15778),
  [6366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15777),
  [6368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2540),
  [6370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4682),
  [6372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8164),
  [6374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8739),
  [6376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11090),
  [6378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8086),
  [6380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2555),
  [6382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8164),
  [6384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8558),
  [6386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4449),
  [6388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17193),
  [6390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [6392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4639),
  [6394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11327),
  [6396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4406),
  [6398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2454),
  [6400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4449),
  [6402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4490),
  [6404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11077),
  [6406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4586),
  [6408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4777),
  [6410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11339),
  [6412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4592),
  [6414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2545),
  [6416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4586),
  [6418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4562),
  [6420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5256),
  [6422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17415),
  [6424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(89),
  [6426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5526),
  [6428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11346),
  [6430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5255),
  [6432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2547),
  [6434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5256),
  [6436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5127),
  [6438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2524),
  [6440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4542),
  [6442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7905),
  [6444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8592),
  [6446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11094),
  [6448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7999),
  [6450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2543),
  [6452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7905),
  [6454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7639),
  [6456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6519),
  [6458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17127),
  [6460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [6462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6808),
  [6464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11075),
  [6466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6409),
  [6468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2496),
  [6470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6519),
  [6472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6507),
  [6474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10653),
  [6476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10653),
  [6478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10657),
  [6480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10662),
  [6482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2514),
  [6484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5203),
  [6486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5485),
  [6488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17169),
  [6490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [6492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6266),
  [6494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11142),
  [6496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5500),
  [6498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2441),
  [6500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5485),
  [6502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5556),
  [6504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6108),
  [6506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6850),
  [6508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11295),
  [6510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6110),
  [6512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2560),
  [6514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6108),
  [6516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6447),
  [6518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2549),
  [6520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6566),
  [6522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4776),
  [6524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17102),
  [6526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(119),
  [6528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5073),
  [6530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11262),
  [6532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4792),
  [6534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2452),
  [6536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4776),
  [6538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4779),
  [6540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5455),
  [6542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17181),
  [6544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(44),
  [6546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6366),
  [6548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11169),
  [6550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5456),
  [6552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2539),
  [6554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5455),
  [6556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5692),
  [6558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6863),
  [6560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7966),
  [6562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11070),
  [6564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7016),
  [6566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2558),
  [6568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6863),
  [6570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6749),
  [6572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2495),
  [6574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7030),
  [6576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2557),
  [6578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4834),
  [6580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11068),
  [6582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6730),
  [6584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17025),
  [6586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [6588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7761),
  [6590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11104),
  [6592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6795),
  [6594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2516),
  [6596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6730),
  [6598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7322),
  [6600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2548),
  [6602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4483),
  [6604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6627),
  [6606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17018),
  [6608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [6610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7265),
  [6612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11054),
  [6614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6116),
  [6616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2509),
  [6618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6627),
  [6620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6430),
  [6622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10696),
  [6624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10696),
  [6626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10697),
  [6628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10664),
  [6630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2522),
  [6632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4396),
  [6634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2474),
  [6636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4581),
  [6638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2455),
  [6640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6126),
  [6642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2554),
  [6644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6518),
  [6646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4596),
  [6648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4908),
  [6650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11110),
  [6652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4583),
  [6654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2483),
  [6656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4596),
  [6658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4659),
  [6660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2561),
  [6662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5811),
  [6664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7573),
  [6666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8632),
  [6668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11267),
  [6670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7595),
  [6672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2462),
  [6674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7573),
  [6676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7416),
  [6678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2501),
  [6680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4975),
  [6682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2532),
  [6684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5668),
  [6686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5638),
  [6688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17088),
  [6690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(73),
  [6692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6117),
  [6694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11115),
  [6696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5659),
  [6698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2479),
  [6700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5638),
  [6702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5657),
  [6704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17095),
  [6706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [6708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11117),
  [6710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2481),
  [6712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4875),
  [6714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2518),
  [6716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5002),
  [6718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2520),
  [6720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7261),
  [6722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6611),
  [6724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17053),
  [6726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(59),
  [6728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7303),
  [6730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11058),
  [6732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6418),
  [6734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2523),
  [6736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6611),
  [6738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6422),
  [6740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11240),
  [6742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11240),
  [6744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11248),
  [6746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11226),
  [6748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17032),
  [6750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(102),
  [6752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11055),
  [6754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10839),
  [6756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10839),
  [6758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10838),
  [6760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10850),
  [6762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2541),
  [6764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5890),
  [6766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2486),
  [6768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8002),
  [6770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5580),
  [6772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17342),
  [6774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [6776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6273),
  [6778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11264),
  [6780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5593),
  [6782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2467),
  [6784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5580),
  [6786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5479),
  [6788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10483),
  [6790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10483),
  [6792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10476),
  [6794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10484),
  [6796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6412),
  [6798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6991),
  [6800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11260),
  [6802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6429),
  [6804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2470),
  [6806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6412),
  [6808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6232),
  [6810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11131),
  [6812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2519),
  [6814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5427),
  [6816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11291),
  [6818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9323),
  [6820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3979),
  [6822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4144),
  [6824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10328),
  [6826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3312),
  [6828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9362),
  [6830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2133),
  [6832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3978),
  [6834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12063),
  [6836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9323),
  [6838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9956),
  [6840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10643),
  [6842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4039),
  [6844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3966),
  [6846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3981),
  [6848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3915),
  [6850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3964),
  [6852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3918),
  [6854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3947),
  [6856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3940),
  [6858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3943),
  [6860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3919),
  [6862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3988),
  [6864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4013),
  [6866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4011),
  [6868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4018),
  [6870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3997),
  [6872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4024),
  [6874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4023),
  [6876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3993),
  [6878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3934),
  [6880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3961),
  [6882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3925),
  [6884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4021),
  [6886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3922),
  [6888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4020),
  [6890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4019),
  [6892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3968),
  [6894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3916),
  [6896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4017),
  [6898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4015),
  [6900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3998),
  [6902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4016),
  [6904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4009),
  [6906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4002),
  [6908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4006),
  [6910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4005),
  [6912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4010),
  [6914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4012),
  [6916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4001),
  [6918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4004),
  [6920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3995),
  [6922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3989),
  [6924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3991),
  [6926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3990),
  [6928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3994),
  [6930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3996),
  [6932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3980),
  [6934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3977),
  [6936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3987),
  [6938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4003),
  [6940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4000),
  [6942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4008),
  [6944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3970),
  [6946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3969),
  [6948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3935),
  [6950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3938),
  [6952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3927),
  [6954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3945),
  [6956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3982),
  [6958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3983),
  [6960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3920),
  [6962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3912),
  [6964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3956),
  [6966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3952),
  [6968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3931),
  [6970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3985),
  [6972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3960),
  [6974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3959),
  [6976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3967),
  [6978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3975),
  [6980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3962),
  [6982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3965),
  [6984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4022),
  [6986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4014),
  [6988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3950),
  [6990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3942),
  [6992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3958),
  [6994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3955),
  [6996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3986),
  [6998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3999),
  [7000] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_identifier, 1, 0, 0),
  [7002] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_identifier, 1, 0, 0),
  [7004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3972),
  [7006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3971),
  [7008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3907),
  [7010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3909),
  [7012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3941),
  [7014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3939),
  [7016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3984),
  [7018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3906),
  [7020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3946),
  [7022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3905),
  [7024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3932),
  [7026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3930),
  [7028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3914),
  [7030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3913),
  [7032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3976),
  [7034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3949),
  [7036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3957),
  [7038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3937),
  [7040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3926),
  [7042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3928),
  [7044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3908),
  [7046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3992),
  [7048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3929),
  [7050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3933),
  [7052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3974),
  [7054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3921),
  [7056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3911),
  [7058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3910),
  [7060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3917),
  [7062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3923),
  [7064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3944),
  [7066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3948),
  [7068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4152),
  [7070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4171),
  [7072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9058),
  [7074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10044),
  [7076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10092),
  [7078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10663),
  [7080] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerators, 2, 0, 0),
  [7082] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerators, 3, 0, 0),
  [7084] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerators, 2, 0, 0),
  [7086] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerators, 3, 0, 0),
  [7088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4170),
  [7090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2295),
  [7092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9933),
  [7094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10574),
  [7096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14176),
  [7098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14084),
  [7100] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), REDUCE(sym__if_condition, 1, 4, 0),
  [7103] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), REDUCE(sym__if_condition, 1, 4, 0),
  [7106] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__if_condition, 1, 4, 0),
  [7108] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__if_condition, 1, 4, 0),
  [7110] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [7112] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [7114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10161),
  [7116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11820),
  [7118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10802),
  [7120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3599),
  [7122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11464),
  [7124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10104),
  [7126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4174),
  [7128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11867),
  [7130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10161),
  [7132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9914),
  [7134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10546),
  [7136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11768),
  [7138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11624),
  [7140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9925),
  [7142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10558),
  [7144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9849),
  [7146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10658),
  [7148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3753),
  [7150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9865),
  [7152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4143),
  [7154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11928),
  [7156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9849),
  [7158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9722),
  [7160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10757),
  [7162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9719),
  [7164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10751),
  [7166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9880),
  [7168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10974),
  [7170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11164),
  [7172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10135),
  [7174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10710),
  [7176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11146),
  [7178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11031),
  [7180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9885),
  [7182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10996),
  [7184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10861),
  [7186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9892),
  [7188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10524),
  [7190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9886),
  [7192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10983),
  [7194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10977),
  [7196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9732),
  [7198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10780),
  [7200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10613),
  [7202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9769),
  [7204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10378),
  [7206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10672),
  [7208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9891),
  [7210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11005),
  [7212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9734),
  [7214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10787),
  [7216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11188),
  [7218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9692),
  [7220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10431),
  [7222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10690),
  [7224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9633),
  [7226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10933),
  [7228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9656),
  [7230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10940),
  [7232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10954),
  [7234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11278),
  [7236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(99),
  [7238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11175),
  [7240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7591),
  [7242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10931),
  [7244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2409),
  [7246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10954),
  [7248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10302),
  [7250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14203),
  [7252] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_infix_modifier, 1, 0, 0),
  [7254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11065),
  [7256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11650),
  [7258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11335),
  [7260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2406),
  [7262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11065),
  [7264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10337),
  [7266] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_open_modifier, 1, 0, 0),
  [7268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9962),
  [7270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10721),
  [7272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9894),
  [7274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10530),
  [7276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10150),
  [7278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10616),
  [7280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10058),
  [7282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10723),
  [7284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9958),
  [7286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10680),
  [7288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10084),
  [7290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10707),
  [7292] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_transparent_modifier, 1, 0, 0),
  [7294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9698),
  [7296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10408),
  [7298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9392),
  [7300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10223),
  [7302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9434),
  [7304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10190),
  [7306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9694),
  [7308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10421),
  [7310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10015),
  [7312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10584),
  [7314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9706),
  [7316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10393),
  [7318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9688),
  [7320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10442),
  [7322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9915),
  [7324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10548),
  [7326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9440),
  [7328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10206),
  [7330] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_wildcard, 1, 0, 0),
  [7332] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__if_condition, 2, 4, 0),
  [7334] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__if_condition, 2, 4, 0),
  [7336] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_identifier, 1, 0, 7),
  [7338] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_stable_identifier, 3, 0, 0),
  [7340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [7342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7674),
  [7344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8853),
  [7346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11940),
  [7348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6204),
  [7350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5378),
  [7352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6370),
  [7354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6372),
  [7356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6373),
  [7358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6375),
  [7360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10122),
  [7362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(389),
  [7364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [7366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12158),
  [7368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(401),
  [7370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12130),
  [7372] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_stable_type_identifier, 3, 0, 0),
  [7374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9567),
  [7376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9565),
  [7378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7003),
  [7380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9516),
  [7382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6995),
  [7384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14173),
  [7386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14230),
  [7388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12389),
  [7390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4235),
  [7392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8211),
  [7394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8649),
  [7396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8645),
  [7398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8642),
  [7400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4236),
  [7402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13163),
  [7404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14173),
  [7406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14338),
  [7408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11821),
  [7410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15675),
  [7412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11768),
  [7414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4149),
  [7416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11624),
  [7418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11704),
  [7420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9444),
  [7422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9445),
  [7424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11693),
  [7426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11852),
  [7428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16881),
  [7430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12203),
  [7432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10775),
  [7434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11820),
  [7436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4146),
  [7438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11464),
  [7440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11664),
  [7442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11656),
  [7444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11773),
  [7446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4222),
  [7448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4223),
  [7450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13165),
  [7452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4140),
  [7454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11639),
  [7456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11941),
  [7458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4316),
  [7460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4315),
  [7462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12845),
  [7464] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__annotated_type, 1, 0, 0),
  [7466] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__annotated_type, 1, 0, 0),
  [7468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3692),
  [7470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8859),
  [7472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1775),
  [7474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12031),
  [7476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15751),
  [7478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4168),
  [7480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10928),
  [7482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11487),
  [7484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4238),
  [7486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4241),
  [7488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12869),
  [7490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4218),
  [7492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4219),
  [7494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12962),
  [7496] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__constructor_application, 1, 0, 0),
  [7498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__constructor_application, 1, 0, 0),
  [7500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7936),
  [7502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4309),
  [7504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4314),
  [7506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13989),
  [7508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4265),
  [7510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4260),
  [7512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14025),
  [7514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4291),
  [7516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4290),
  [7518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13914),
  [7520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4164),
  [7522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4228),
  [7524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4230),
  [7526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12788),
  [7528] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_annotation, 2, 0, 3),
  [7530] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_annotation, 2, 0, 3),
  [7532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3816),
  [7534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1677),
  [7536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12088),
  [7538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4231),
  [7540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4232),
  [7542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13870),
  [7544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3287),
  [7546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8728),
  [7548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1686),
  [7550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11945),
  [7552] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 5, 0, 0),
  [7554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17010),
  [7556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3596),
  [7558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10729),
  [7560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3310),
  [7562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11271),
  [7564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1739),
  [7566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17410),
  [7568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [7570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13039),
  [7572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13049),
  [7574] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__infix_type_choice, 1, 0, 0),
  [7576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17412),
  [7578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(56),
  [7580] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__infix_type_choice, 1, 0, 0),
  [7582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7691),
  [7584] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_type, 5, 0, 0),
  [7586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17372),
  [7588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(75),
  [7590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13821),
  [7592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13190),
  [7594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13219),
  [7596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13245),
  [7598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12746),
  [7600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7671),
  [7602] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_type, 4, 0, 0),
  [7604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13253),
  [7606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13862),
  [7608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13260),
  [7610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12695),
  [7612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13806),
  [7614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3630),
  [7616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1748),
  [7618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11835),
  [7620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13875),
  [7622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10971),
  [7624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17067),
  [7626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5),
  [7628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11302),
  [7630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11025),
  [7632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3759),
  [7634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10971),
  [7636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10818),
  [7638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1616),
  [7640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15672),
  [7642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15450),
  [7644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12735),
  [7646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13234),
  [7648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12894),
  [7650] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_type, 1, 0, 0),
  [7652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3472),
  [7654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1678),
  [7656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11851),
  [7658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3643),
  [7660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8688),
  [7662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1666),
  [7664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11843),
  [7666] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_type, 2, 0, 42),
  [7668] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_type, 2, 0, 42),
  [7670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3545),
  [7672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1723),
  [7674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11859),
  [7676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12651),
  [7678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17046),
  [7680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(111),
  [7682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13209),
  [7684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12659),
  [7686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3767),
  [7688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12651),
  [7690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12912),
  [7692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12863),
  [7694] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type, 1, 0, 0),
  [7696] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type, 1, 0, 0),
  [7698] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_types, 1, 0, 0),
  [7700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13825),
  [7702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13828),
  [7704] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 3, 0, 0),
  [7706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13838),
  [7708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13868),
  [7710] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_projected_type, 3, 0, 85),
  [7712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9250),
  [7714] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_singleton_type, 3, 0, 0),
  [7716] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 4, 0, 0),
  [7718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12627),
  [7720] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_type, 2, 0, 43),
  [7722] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_type, 3, 0, 0),
  [7724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12826),
  [7726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11270),
  [7728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17325),
  [7730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [7732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11533),
  [7734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11283),
  [7736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3471),
  [7738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11270),
  [7740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11238),
  [7742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7505),
  [7744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12747),
  [7746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4858),
  [7748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17060),
  [7750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(31),
  [7752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4857),
  [7754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4829),
  [7756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3728),
  [7758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4858),
  [7760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4703),
  [7762] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 4, 0, 0),
  [7764] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 4, 0, 0),
  [7766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3696),
  [7768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8907),
  [7770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1796),
  [7772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12075),
  [7774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8668),
  [7776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8135),
  [7778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8622),
  [7780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3416),
  [7782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8668),
  [7784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8610),
  [7786] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0),
  [7788] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0),
  [7790] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1677),
  [7793] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0),
  [7795] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(6204),
  [7798] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(5378),
  [7801] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(6370),
  [7804] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(6372),
  [7807] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(6373),
  [7810] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(6375),
  [7813] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0),
  [7815] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_annotation, 3, 0, 55),
  [7817] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_annotation, 3, 0, 55),
  [7819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5167),
  [7821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5060),
  [7823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5148),
  [7825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3424),
  [7827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5167),
  [7829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5145),
  [7831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17438),
  [7833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [7835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7454),
  [7837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4772),
  [7839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17411),
  [7841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(118),
  [7843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4804),
  [7845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4775),
  [7847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3687),
  [7849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4772),
  [7851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4934),
  [7853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17259),
  [7855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [7857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7913),
  [7859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7563),
  [7861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7902),
  [7863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7557),
  [7865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3442),
  [7867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7563),
  [7869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7644),
  [7871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3827),
  [7873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1674),
  [7875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12068),
  [7877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7248),
  [7879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6940),
  [7881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7208),
  [7883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3277),
  [7885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7248),
  [7887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7163),
  [7889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9186),
  [7891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3694),
  [7893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1728),
  [7895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12074),
  [7897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5429),
  [7899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5660),
  [7901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5432),
  [7903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3693),
  [7905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5429),
  [7907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5874),
  [7909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5132),
  [7911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17253),
  [7913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(47),
  [7915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5091),
  [7917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5125),
  [7919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3199),
  [7921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5132),
  [7923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4987),
  [7925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17283),
  [7927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12),
  [7929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15024),
  [7931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17419),
  [7933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(77),
  [7935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6711),
  [7937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7199),
  [7939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6697),
  [7941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3458),
  [7943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6711),
  [7945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6676),
  [7947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9188),
  [7949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8757),
  [7951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8902),
  [7953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3509),
  [7955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9188),
  [7957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8833),
  [7959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17235),
  [7961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13),
  [7963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5709),
  [7965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16977),
  [7967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [7969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5619),
  [7971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5739),
  [7973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3515),
  [7975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5709),
  [7977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5542),
  [7979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6463),
  [7981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6278),
  [7983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6603),
  [7985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3295),
  [7987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6463),
  [7989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6444),
  [7991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3835),
  [7993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1676),
  [7995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12050),
  [7997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17427),
  [7999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(40),
  [8001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7503),
  [8003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8497),
  [8005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8401),
  [8007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8587),
  [8009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3210),
  [8011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8497),
  [8013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8250),
  [8015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6019),
  [8017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6348),
  [8019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6024),
  [8021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3799),
  [8023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6019),
  [8025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6480),
  [8027] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 1, 0, 0),
  [8029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3108),
  [8031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1655),
  [8033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11994),
  [8035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5146),
  [8037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17139),
  [8039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(79),
  [8041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5229),
  [8043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5163),
  [8045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3382),
  [8047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5146),
  [8049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5147),
  [8051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4077),
  [8053] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__postfix_expression_choice, 1, 0, 0),
  [8055] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_macro_body, 2, 0, 0),
  [8057] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_macro_body, 2, 0, 0),
  [8059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12373),
  [8061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4076),
  [8063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2192),
  [8065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4077),
  [8067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1685),
  [8069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6650),
  [8071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6498),
  [8073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6602),
  [8075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3463),
  [8077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6650),
  [8079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6140),
  [8081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7814),
  [8083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7825),
  [8085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7744),
  [8087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3636),
  [8089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7814),
  [8091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7646),
  [8093] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 3, 0, 0),
  [8095] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 3, 0, 0),
  [8097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7898),
  [8099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3535),
  [8101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8900),
  [8103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1795),
  [8105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11914),
  [8107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7458),
  [8109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7961),
  [8111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7459),
  [8113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3657),
  [8115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7458),
  [8117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7930),
  [8119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3713),
  [8121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8947),
  [8123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1790),
  [8125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12124),
  [8127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9712),
  [8129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17241),
  [8131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(62),
  [8133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9855),
  [8135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9815),
  [8137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3124),
  [8139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9712),
  [8141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9770),
  [8143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7241),
  [8145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7007),
  [8147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7237),
  [8149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3622),
  [8151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7241),
  [8153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6727),
  [8155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14380),
  [8157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8889),
  [8159] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_identifier, 1, 0, 7),
  [8161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6841),
  [8163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7004),
  [8165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6813),
  [8167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3487),
  [8169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6841),
  [8171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7013),
  [8173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4546),
  [8175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17247),
  [8177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [8179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4607),
  [8181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4527),
  [8183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3101),
  [8185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4546),
  [8187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4635),
  [8189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6131),
  [8191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6044),
  [8193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6035),
  [8195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3324),
  [8197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6131),
  [8199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6607),
  [8201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5475),
  [8203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5952),
  [8205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5483),
  [8207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3614),
  [8209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5475),
  [8211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5632),
  [8213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7909),
  [8215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7876),
  [8217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3711),
  [8219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1737),
  [8221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12096),
  [8223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8788),
  [8225] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 2, 0, 0),
  [8227] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 2, 0, 0),
  [8229] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_infix_expression, 3, 0, 66),
  [8231] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_infix_expression, 3, 0, 66),
  [8233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1788),
  [8235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1755),
  [8237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11473),
  [8239] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_prefix_expression, 2, 0, 0),
  [8241] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_prefix_expression, 2, 0, 0),
  [8243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7424),
  [8245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7755),
  [8247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7460),
  [8249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3705),
  [8251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7424),
  [8253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7894),
  [8255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9168),
  [8257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12258),
  [8259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17377),
  [8261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(78),
  [8263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7919),
  [8265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11451),
  [8267] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_type, 3, 0, 0),
  [8269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1745),
  [8271] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_type, 1, 0, 0),
  [8273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12422),
  [8275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17382),
  [8277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(82),
  [8279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7901),
  [8281] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0),
  [8283] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0),
  [8285] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9250),
  [8288] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_annotated_type, 2, 0, 0),
  [8290] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_annotated_type, 2, 0, 0),
  [8292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17414),
  [8294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [8296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7672),
  [8298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15368),
  [8300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1721),
  [8302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17444),
  [8304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(69),
  [8306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7404),
  [8308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3809),
  [8310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8895),
  [8312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1789),
  [8314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12026),
  [8316] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 3, 0, 0),
  [8318] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1723),
  [8321] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1678),
  [8324] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 4, 0, 0),
  [8326] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 5, 0, 0),
  [8328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1761),
  [8330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3423),
  [8332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1667),
  [8334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11893),
  [8336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9201),
  [8338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3615),
  [8340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8846),
  [8342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1744),
  [8344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11814),
  [8346] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8859),
  [8349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8925),
  [8351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1732),
  [8353] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1748),
  [8356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8877),
  [8358] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_type, 5, 0, 0),
  [8360] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_wildcard, 1, 0, 0),
  [8362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17416),
  [8364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(83),
  [8366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7659),
  [8368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3263),
  [8370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1690),
  [8372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12145),
  [8374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3521),
  [8376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1711),
  [8378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11801),
  [8380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3623),
  [8382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1742),
  [8384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11832),
  [8386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12467),
  [8388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14165),
  [8390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7383),
  [8392] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_type, 4, 0, 0),
  [8394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3829),
  [8396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9030),
  [8398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1710),
  [8400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11991),
  [8402] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_stable_type_identifier, 3, 0, 0),
  [8404] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_projected_type, 3, 0, 85),
  [8406] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_singleton_type, 3, 0, 0),
  [8408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1673),
  [8410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7623),
  [8412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15470),
  [8414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7486),
  [8416] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1739),
  [8419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11579),
  [8421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3555),
  [8423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1784),
  [8425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11825),
  [8427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3601),
  [8429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1730),
  [8431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11804),
  [8433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9165),
  [8435] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generic_type, 2, 0, 43),
  [8437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11667),
  [8439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15211),
  [8441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3820),
  [8443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1653),
  [8445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12083),
  [8447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15367),
  [8449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14904),
  [8451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8731),
  [8453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1736),
  [8455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17265),
  [8457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [8459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7923),
  [8461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11567),
  [8463] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1728),
  [8466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14407),
  [8468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17413),
  [8470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [8472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7683),
  [8474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17439),
  [8476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [8478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7437),
  [8480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8067),
  [8482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12416),
  [8484] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1755),
  [8487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17151),
  [8489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(68),
  [8491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7684),
  [8493] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1737),
  [8496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3651),
  [8498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8736),
  [8500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1700),
  [8502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11857),
  [8504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11417),
  [8506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12461),
  [8508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17434),
  [8510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9),
  [8512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7470),
  [8514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3093),
  [8516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8685),
  [8518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1675),
  [8520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11925),
  [8522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12613),
  [8524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3718),
  [8526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1752),
  [8528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12131),
  [8530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1724),
  [8532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8053),
  [8534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(849),
  [8536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9233),
  [8538] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8728),
  [8541] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_instance_expression, 2, 0, 15),
  [8543] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(17247),
  [8546] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(8),
  [8549] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_expression, 2, 0, 15),
  [8551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11399),
  [8553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1699),
  [8555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3755),
  [8557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1747),
  [8559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11906),
  [8561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8828),
  [8563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1779),
  [8565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15001),
  [8567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8949),
  [8569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11744),
  [8571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8881),
  [8573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3214),
  [8575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1657),
  [8577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11927),
  [8579] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8889),
  [8582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1763),
  [8584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7429),
  [8586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7661),
  [8588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14430),
  [8590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17431),
  [8592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [8594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7483),
  [8596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3780),
  [8598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1782),
  [8600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12183),
  [8602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3597),
  [8604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8783),
  [8606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1729),
  [8608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11836),
  [8610] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9186),
  [8613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9020),
  [8615] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1655),
  [8618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15075),
  [8620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3625),
  [8622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1687),
  [8624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11847),
  [8626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3116),
  [8628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1659),
  [8630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12007),
  [8632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11735),
  [8634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17428),
  [8636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [8638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7496),
  [8640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3094),
  [8642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1663),
  [8644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12034),
  [8646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1767),
  [8648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1071),
  [8650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3747),
  [8652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1697),
  [8654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12128),
  [8656] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1676),
  [8659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11552),
  [8661] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1674),
  [8664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9241),
  [8666] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8688),
  [8669] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1788),
  [8672] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8788),
  [8675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3252),
  [8677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8686),
  [8679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1771),
  [8681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11913),
  [8683] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_annotation_repeat1, 1, 0, 0),
  [8685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11548),
  [8687] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8900),
  [8690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(841),
  [8692] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(17060),
  [8695] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(31),
  [8698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7607),
  [8700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15113),
  [8702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17392),
  [8704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [8706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7865),
  [8708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15290),
  [8710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17081),
  [8712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [8714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7494),
  [8716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17402),
  [8718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(104),
  [8720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7796),
  [8722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11378),
  [8724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15061),
  [8726] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8947),
  [8729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1211),
  [8731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3888),
  [8733] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0),
  [8735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3880),
  [8737] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0),
  [8739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2310),
  [8741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3888),
  [8743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(529),
  [8745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1038),
  [8747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8017),
  [8749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1143),
  [8751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17319),
  [8753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(33),
  [8755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8062),
  [8757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1004),
  [8759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2097),
  [8761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1561),
  [8763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12407),
  [8765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11547),
  [8767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8749),
  [8769] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unit, 2, 0, 0),
  [8771] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unit, 2, 0, 0),
  [8773] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bindings, 2, 0, 0),
  [8775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3142),
  [8777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1791),
  [8779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11770),
  [8781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3819),
  [8783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8903),
  [8785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1715),
  [8787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11969),
  [8789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12278),
  [8791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3726),
  [8793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9001),
  [8795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1760),
  [8797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12159),
  [8799] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8925),
  [8802] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84),
  [8804] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84),
  [8806] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7691),
  [8809] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1732),
  [8812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7845),
  [8814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1743),
  [8816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8983),
  [8818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15399),
  [8820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14817),
  [8822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17441),
  [8824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(57),
  [8826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7420),
  [8828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11437),
  [8830] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1745),
  [8833] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 1, 0, 0),
  [8835] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_definition_repeat1, 1, 0, 0),
  [8837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1665),
  [8839] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8907),
  [8842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17445),
  [8844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [8846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7394),
  [8848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8952),
  [8850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3143),
  [8852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1652),
  [8854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12049),
  [8856] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9201),
  [8859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17446),
  [8861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [8863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7393),
  [8865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3733),
  [8867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1768),
  [8869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12179),
  [8871] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9168),
  [8874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3595),
  [8876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8723),
  [8878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1680),
  [8880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11880),
  [8882] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8877),
  [8885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11707),
  [8887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1669),
  [8889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9141),
  [8891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1662),
  [8893] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1673),
  [8896] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1690),
  [8899] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1667),
  [8902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15439),
  [8904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1343),
  [8906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3505),
  [8908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1695),
  [8910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11833),
  [8912] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1711),
  [8915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11453),
  [8917] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1730),
  [8920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15260),
  [8922] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(17411),
  [8925] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(118),
  [8928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12273),
  [8930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1734),
  [8932] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1784),
  [8935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3789),
  [8937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1759),
  [8939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12151),
  [8941] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1742),
  [8944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3800),
  [8946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1754),
  [8948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12126),
  [8950] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9165),
  [8953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11638),
  [8955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3573),
  [8957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1799),
  [8959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11981),
  [8961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1713),
  [8963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9136),
  [8965] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1653),
  [8968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7812),
  [8970] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7936),
  [8973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11674),
  [8975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3765),
  [8977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9094),
  [8979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1706),
  [8981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12204),
  [8983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9144),
  [8985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1170),
  [8987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3810),
  [8989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1786),
  [8991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11966),
  [8993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3838),
  [8995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1703),
  [8997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12035),
  [8999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9227),
  [9001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11737),
  [9003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3832),
  [9005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1733),
  [9007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11998),
  [9009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3775),
  [9011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1798),
  [9013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11983),
  [9015] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7454),
  [9018] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1767),
  [9021] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__indented_template_body, 4, 0, 0),
  [9023] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__indented_template_body, 4, 0, 0),
  [9025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11380),
  [9027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1792),
  [9029] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__indented_template_body, 5, 0, 0),
  [9031] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__indented_template_body, 5, 0, 0),
  [9033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11652),
  [9035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9221),
  [9037] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9020),
  [9040] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9241),
  [9043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17436),
  [9045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21),
  [9047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7462),
  [9049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(962),
  [9051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11731),
  [9053] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7913),
  [9056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17417),
  [9058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(81),
  [9060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7647),
  [9062] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8949),
  [9065] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 83),
  [9067] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 83),
  [9069] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8846),
  [9072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8850),
  [9074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3784),
  [9076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1773),
  [9078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11917),
  [9080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9197),
  [9082] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__braced_template_body, 3, 0, 0),
  [9084] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__braced_template_body, 3, 0, 0),
  [9086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14965),
  [9088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3503),
  [9090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1688),
  [9092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11837),
  [9094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12342),
  [9096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1751),
  [9098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14798),
  [9100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1013),
  [9102] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8828),
  [9105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9106),
  [9107] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(17301),
  [9110] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(24),
  [9113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14526),
  [9115] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7503),
  [9118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1312),
  [9120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15344),
  [9122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2058),
  [9124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17423),
  [9126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(65),
  [9128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7589),
  [9130] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_boolean_literal, 1, 0, 0),
  [9132] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_boolean_literal, 1, 0, 0),
  [9134] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__non_null_literal, 1, 0, 0),
  [9136] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__non_null_literal, 1, 0, 0),
  [9138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3564),
  [9140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1718),
  [9142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11782),
  [9144] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 1, 0, 0),
  [9146] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 1, 0, 0),
  [9148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9103),
  [9150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17418),
  [9152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(80),
  [9154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7645),
  [9156] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7505),
  [9159] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__braced_template_body, 2, 0, 0),
  [9161] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__braced_template_body, 2, 0, 0),
  [9163] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1736),
  [9166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17421),
  [9168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(70),
  [9170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7611),
  [9172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11492),
  [9174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3785),
  [9176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1797),
  [9178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12164),
  [9180] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_body, 1, 0, 0),
  [9182] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_body, 1, 0, 0),
  [9184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3582),
  [9186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1720),
  [9188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11785),
  [9190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3520),
  [9192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1701),
  [9194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11811),
  [9196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3782),
  [9198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1793),
  [9200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12174),
  [9202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17407),
  [9204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(112),
  [9206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7730),
  [9208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17447),
  [9210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [9212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7391),
  [9214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11377),
  [9216] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1782),
  [9219] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1687),
  [9222] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9030),
  [9225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11442),
  [9227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11463),
  [9229] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1657),
  [9232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15182),
  [9234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3121),
  [9236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1741),
  [9238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11957),
  [9240] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(17253),
  [9243] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(47),
  [9246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1778),
  [9248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15277),
  [9250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4025),
  [9252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4029),
  [9254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2325),
  [9256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4025),
  [9258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(532),
  [9260] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1659),
  [9263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(970),
  [9265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9049),
  [9267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3494),
  [9269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1693),
  [9271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11978),
  [9273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15259),
  [9275] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1663),
  [9278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11416),
  [9280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11642),
  [9282] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9233),
  [9285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1756),
  [9287] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1752),
  [9290] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_indented_block, 3, 0, 0),
  [9292] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_indented_block, 3, 0, 0),
  [9294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3659),
  [9296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1656),
  [9298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11875),
  [9300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1749),
  [9302] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8731),
  [9305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4028),
  [9307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4027),
  [9309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2301),
  [9311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4028),
  [9313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(535),
  [9315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8842),
  [9317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1337),
  [9319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4060),
  [9321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4056),
  [9323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4060),
  [9325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15573),
  [9327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15768),
  [9329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17163),
  [9331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(55),
  [9333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7710),
  [9335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3954),
  [9337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4007),
  [9339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2243),
  [9341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3954),
  [9343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(531),
  [9345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1067),
  [9347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1166),
  [9349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2244),
  [9351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8965),
  [9353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(886),
  [9355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3963),
  [9357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3973),
  [9359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2331),
  [9361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3963),
  [9363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(530),
  [9365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3474),
  [9367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1762),
  [9369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12212),
  [9371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1176),
  [9373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3407),
  [9375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1726),
  [9377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11781),
  [9379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1679),
  [9381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2340),
  [9383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(809),
  [9385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1110),
  [9387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2318),
  [9389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17398),
  [9391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(95),
  [9393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7841),
  [9395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9063),
  [9397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15655),
  [9399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15755),
  [9401] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8881),
  [9404] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_block, 3, 0, 0),
  [9406] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_block, 3, 0, 0),
  [9408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7569),
  [9410] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7671),
  [9413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12524),
  [9415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1716),
  [9417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3429),
  [9419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1671),
  [9421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11858),
  [9423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3328),
  [9425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9229),
  [9427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1658),
  [9429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12069),
  [9431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12601),
  [9433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3486),
  [9435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9031),
  [9437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1727),
  [9439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11905),
  [9441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1725),
  [9443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7605),
  [9445] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__end_marker, 2, 0, 13),
  [9447] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__end_marker, 2, 0, 13),
  [9449] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__end_marker, 2, 0, 0),
  [9451] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__end_marker, 2, 0, 0),
  [9453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1068),
  [9455] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_indented_block, 4, 0, 0),
  [9457] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_indented_block, 4, 0, 0),
  [9459] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1747),
  [9462] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_indented_cases, 3, 0, 0),
  [9464] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_indented_cases, 3, 0, 0),
  [9466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9125),
  [9468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3795),
  [9470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8805),
  [9472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1777),
  [9474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11937),
  [9476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7570),
  [9478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7745),
  [9480] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(17139),
  [9483] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(79),
  [9486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3413),
  [9488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9183),
  [9490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1712),
  [9492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11813),
  [9494] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_modifiers, 1, 0, 0),
  [9496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4037),
  [9498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__postfix_expression_choice, 1, 0, 0),
  [9500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4036),
  [9502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4037),
  [9504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(546),
  [9506] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1724),
  [9509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12468),
  [9511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11471),
  [9513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1668),
  [9515] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_access_modifier, 1, 0, 0),
  [9517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12518),
  [9519] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_access_modifier, 1, 0, 0),
  [9521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15696),
  [9523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8891),
  [9525] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8895),
  [9528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12470),
  [9530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7979),
  [9532] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_instance_expression, 2, 0, 0),
  [9534] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_expression, 2, 0, 0),
  [9536] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 3, 0, 0),
  [9538] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 3, 0, 0),
  [9540] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 2, 0, 20),
  [9542] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 2, 0, 20),
  [9544] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generic_function, 2, 0, 19),
  [9546] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_function, 2, 0, 19),
  [9548] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_splice_expression, 2, 0, 0),
  [9550] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_splice_expression, 2, 0, 0),
  [9552] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__constructor_application, 2, 0, 41),
  [9554] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__constructor_application, 2, 0, 41),
  [9556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8745),
  [9558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17437),
  [9560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [9562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7457),
  [9564] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 2, 0, 0),
  [9566] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 2, 0, 0),
  [9568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3237),
  [9570] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9227),
  [9573] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8686),
  [9576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1780),
  [9578] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_instance_expression, 3, 0, 15),
  [9580] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_expression, 3, 0, 15),
  [9582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11546),
  [9584] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7404),
  [9587] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_expression, 3, 0, 64),
  [9589] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_expression, 3, 0, 64),
  [9591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17403),
  [9593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(106),
  [9595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7769),
  [9597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4033),
  [9599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4030),
  [9601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2292),
  [9603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4033),
  [9605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(534),
  [9607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4041),
  [9609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4043),
  [9611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2329),
  [9613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4041),
  [9615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(540),
  [9617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1289),
  [9619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14854),
  [9621] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1786),
  [9624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4032),
  [9626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4034),
  [9628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2144),
  [9630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4032),
  [9632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(533),
  [9634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11701),
  [9636] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_colon_argument, 1, 0, 0),
  [9638] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_colon_argument, 1, 0, 0),
  [9640] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 3, 0, 67),
  [9642] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 3, 0, 67),
  [9644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(960),
  [9646] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type, 1, 0, 0), SHIFT(17277),
  [9649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [9651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7971),
  [9653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(109),
  [9655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7741),
  [9657] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(17399),
  [9660] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(98),
  [9663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(826),
  [9665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4045),
  [9667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4046),
  [9669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2324),
  [9671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4045),
  [9673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(541),
  [9675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12360),
  [9677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1692),
  [9679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2225),
  [9681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1037),
  [9683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17435),
  [9685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3),
  [9687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7468),
  [9689] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9141),
  [9692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11645),
  [9694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15129),
  [9696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3151),
  [9698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3683),
  [9700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1698),
  [9702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11960),
  [9704] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7672),
  [9707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17442),
  [9709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2),
  [9711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7418),
  [9713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2039),
  [9715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2343),
  [9717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17432),
  [9719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(97),
  [9721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7477),
  [9723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1476),
  [9725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9127),
  [9727] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8685),
  [9730] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1791),
  [9733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12559),
  [9735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1787),
  [9737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11660),
  [9739] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7659),
  [9742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3133),
  [9744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1247),
  [9746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3238),
  [9748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11376),
  [9750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1642),
  [9752] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_splice_expression, 4, 0, 0),
  [9754] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_splice_expression, 4, 0, 0),
  [9756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3611),
  [9758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4042),
  [9760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12441),
  [9762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4040),
  [9764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2306),
  [9766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4042),
  [9768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(539),
  [9770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3327),
  [9772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3619),
  [9774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14611),
  [9776] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1798),
  [9779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3676),
  [9781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1691),
  [9783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11909),
  [9785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3508),
  [9787] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_expression, 4, 0, 0),
  [9789] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_expression, 4, 0, 0),
  [9791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8701),
  [9793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3523),
  [9795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3627),
  [9797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3531),
  [9799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8927),
  [9801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1750),
  [9803] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8983),
  [9806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1704),
  [9808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3678),
  [9810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8800),
  [9812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1664),
  [9814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11938),
  [9816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2316),
  [9818] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9144),
  [9821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3460),
  [9823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9140),
  [9825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1683),
  [9827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12140),
  [9829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1376),
  [9831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3631),
  [9833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2283),
  [9835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3537),
  [9837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3663),
  [9839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3543),
  [9841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17347),
  [9843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [9845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8076),
  [9847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3553),
  [9849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15201),
  [9851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11440),
  [9853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3562),
  [9855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3352),
  [9857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(956),
  [9859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3760),
  [9861] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9136),
  [9864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1772),
  [9866] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1768),
  [9869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17425),
  [9871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
  [9873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7561),
  [9875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3823),
  [9877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11445),
  [9879] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_expression, 5, 0, 0),
  [9881] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_expression, 5, 0, 0),
  [9883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3569),
  [9885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3787),
  [9887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11431),
  [9889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1123),
  [9891] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1652),
  [9894] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_colon_argument, 3, 0, 138),
  [9896] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_colon_argument, 3, 0, 138),
  [9898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4035),
  [9900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4047),
  [9902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2199),
  [9904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4035),
  [9906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(542),
  [9908] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1697),
  [9911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11479),
  [9913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3580),
  [9915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3796),
  [9917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15152),
  [9919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3584),
  [9921] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1669),
  [9924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3808),
  [9926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11429),
  [9928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9213),
  [9930] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7898),
  [9933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8985),
  [9935] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1743),
  [9938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3814),
  [9940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1684),
  [9942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7764),
  [9944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3594),
  [9946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3492),
  [9948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1709),
  [9950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12071),
  [9952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3822),
  [9954] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1733),
  [9957] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolated_string, 3, 0, 0),
  [9959] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolated_string, 3, 0, 0),
  [9961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3824),
  [9963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1458),
  [9965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3089),
  [9967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1654),
  [9969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11974),
  [9971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3831),
  [9973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3635),
  [9975] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_quote_expression, 4, 0, 0),
  [9977] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_quote_expression, 4, 0, 0),
  [9979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11762),
  [9981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3675),
  [9983] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_infix_type, 3, 0, 66),
  [9985] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_infix_type, 3, 0, 66),
  [9987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3682),
  [9989] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7876),
  [9992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11635),
  [9994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1611),
  [9996] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolated_string, 2, 0, 0),
  [9998] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolated_string, 2, 0, 0),
  [10000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2253),
  [10002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3837),
  [10004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3689),
  [10006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14674),
  [10008] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1662),
  [10011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3691),
  [10013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8867),
  [10015] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1713),
  [10018] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7901),
  [10021] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1703),
  [10024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17211),
  [10026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [10028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7801),
  [10030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3710),
  [10032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3839),
  [10034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9048),
  [10036] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7909),
  [10039] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolated_string_expression, 2, 0, 21),
  [10041] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolated_string_expression, 2, 0, 21),
  [10043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3715),
  [10045] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_quote_expression, 2, 0, 0),
  [10047] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_quote_expression, 2, 0, 0),
  [10049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3730),
  [10051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11710),
  [10053] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7919),
  [10056] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_type, 3, 0, 42),
  [10058] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_type, 3, 0, 42),
  [10060] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1754),
  [10063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3738),
  [10065] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(16977),
  [10068] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(53),
  [10071] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_type, 2, 0, 40),
  [10073] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_type, 2, 0, 40),
  [10075] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__refinement, 1, 0, 39),
  [10077] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__refinement, 1, 0, 39),
  [10079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3834),
  [10081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3741),
  [10083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11450),
  [10085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9151),
  [10087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1731),
  [10089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9038),
  [10091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14964),
  [10093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3830),
  [10095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3745),
  [10097] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8783),
  [10100] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type, 1, 0, 0), SHIFT(17405),
  [10103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3750),
  [10105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3811),
  [10107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1719),
  [10109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12092),
  [10111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9108),
  [10113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3764),
  [10115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3666),
  [10117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9179),
  [10119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3778),
  [10121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1228),
  [10123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3825),
  [10125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14392),
  [10127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3781),
  [10129] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(17415),
  [10132] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(89),
  [10135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3783),
  [10137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3817),
  [10139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9154),
  [10141] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8736),
  [10144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3788),
  [10146] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8952),
  [10149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3812),
  [10151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1269),
  [10153] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1695),
  [10156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3790),
  [10158] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8749),
  [10161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3805),
  [10163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3794),
  [10165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9306),
  [10167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3786),
  [10169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4169),
  [10171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11830),
  [10173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10624),
  [10175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9484),
  [10177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4175),
  [10179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2270),
  [10181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10647),
  [10183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4163),
  [10185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9306),
  [10187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4161),
  [10189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14764),
  [10191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17271),
  [10193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7),
  [10195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7945),
  [10197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3376),
  [10199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1758),
  [10201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11797),
  [10203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12520),
  [10205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1106),
  [10207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15378),
  [10209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17409),
  [10211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(115),
  [10213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7711),
  [10215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17404),
  [10217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(108),
  [10219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7753),
  [10221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2300),
  [10223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [10225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7628),
  [10227] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1701),
  [10230] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(3628),
  [10233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(521),
  [10235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1140),
  [10237] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7923),
  [10240] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7483),
  [10243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1549),
  [10245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4057),
  [10247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12376),
  [10249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4053),
  [10251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2143),
  [10253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4057),
  [10255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(545),
  [10257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11654),
  [10259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2075),
  [10261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1765),
  [10263] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7470),
  [10266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1402),
  [10268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4051),
  [10270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4052),
  [10272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2066),
  [10274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4051),
  [10276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(554),
  [10278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11466),
  [10280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11500),
  [10282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17357),
  [10284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(63),
  [10286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7995),
  [10288] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7486),
  [10291] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9221),
  [10294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4059),
  [10296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4055),
  [10298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2261),
  [10300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4059),
  [10302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(557),
  [10304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11681),
  [10306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15479),
  [10308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3162),
  [10310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11911),
  [10312] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1688),
  [10315] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type, 1, 0, 0), SHIFT(17109),
  [10318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(113),
  [10320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7592),
  [10322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(906),
  [10324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(938),
  [10326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15158),
  [10328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(523),
  [10330] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7383),
  [10333] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7683),
  [10336] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8891),
  [10339] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8723),
  [10342] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(17433),
  [10345] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(6),
  [10348] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_modifiers_repeat1, 1, 0, 0),
  [10350] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7496),
  [10353] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1773),
  [10356] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1799),
  [10359] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9094),
  [10362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11685),
  [10364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12306),
  [10366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15202),
  [10368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3761),
  [10370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1764),
  [10372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11877),
  [10374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3804),
  [10376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1738),
  [10378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12115),
  [10380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4062),
  [10382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12309),
  [10384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4061),
  [10386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2315),
  [10388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4062),
  [10390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(548),
  [10392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2313),
  [10394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1708),
  [10396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1550),
  [10398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11672),
  [10400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1457),
  [10402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17367),
  [10404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(72),
  [10406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7968),
  [10408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2273),
  [10410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3708),
  [10412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8813),
  [10414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1670),
  [10416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12180),
  [10418] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1792),
  [10421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11703),
  [10423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(929),
  [10425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(621),
  [10427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8823),
  [10429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2206),
  [10431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17443),
  [10433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [10435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7412),
  [10437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3585),
  [10439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1774),
  [10441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11807),
  [10443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8771),
  [10445] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9049),
  [10448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1696),
  [10450] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1720),
  [10453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2136),
  [10455] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1759),
  [10458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7973),
  [10460] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_infix_modifier, 1, 0, 0),
  [10462] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_open_modifier, 1, 0, 0),
  [10464] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_transparent_modifier, 1, 0, 0),
  [10466] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_access_modifier, 2, 0, 0),
  [10468] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_access_modifier, 2, 0, 0),
  [10470] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9001),
  [10473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1702),
  [10475] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7437),
  [10478] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(17088),
  [10481] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(73),
  [10484] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7684),
  [10487] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8853),
  [10490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15247),
  [10492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11680),
  [10494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(522),
  [10496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1203),
  [10498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11633),
  [10500] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type, 1, 0, 0), SHIFT(17229),
  [10503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [10505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7857),
  [10507] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8842),
  [10510] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1756),
  [10513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11536),
  [10515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11555),
  [10517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9191),
  [10519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11764),
  [10521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15395),
  [10523] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1793),
  [10526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9257),
  [10528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11518),
  [10530] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1679),
  [10533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4049),
  [10535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4054),
  [10537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2217),
  [10539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4049),
  [10541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(555),
  [10543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11389),
  [10545] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8903),
  [10548] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7623),
  [10551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11600),
  [10553] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1762),
  [10556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8967),
  [10558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2311),
  [10560] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1741),
  [10563] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1656),
  [10566] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(17181),
  [10569] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(44),
  [10572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4050),
  [10574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4058),
  [10576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2297),
  [10578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4050),
  [10580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(550),
  [10582] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8965),
  [10585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11491),
  [10587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2276),
  [10589] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9103),
  [10592] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9125),
  [10595] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(17169),
  [10598] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(51),
  [10601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11720),
  [10603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3481),
  [10605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1735),
  [10607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12162),
  [10609] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_access_qualifier, 3, 0, 0),
  [10611] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_access_qualifier, 3, 0, 0),
  [10613] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1778),
  [10616] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9063),
  [10619] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9106),
  [10622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9000),
  [10624] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(8067),
  [10627] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9183),
  [10630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11398),
  [10632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17223),
  [10634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17),
  [10636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7828),
  [10638] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1684),
  [10641] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9048),
  [10644] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8850),
  [10647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4179),
  [10649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12241),
  [10651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11133),
  [10653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11135),
  [10655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8791),
  [10657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11136),
  [10659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17426),
  [10661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(50),
  [10663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7549),
  [10665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11474),
  [10667] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_infix_pattern, 3, 0, 66),
  [10669] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_infix_pattern, 3, 0, 66),
  [10671] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alternative_pattern, 3, 0, 0),
  [10673] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alternative_pattern, 3, 0, 0),
  [10675] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_capture_pattern, 3, 0, 91),
  [10677] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_capture_pattern, 3, 0, 91),
  [10679] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1654),
  [10682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11432),
  [10684] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7865),
  [10687] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(8062),
  [10690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12400),
  [10692] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1671),
  [10695] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9038),
  [10698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17133),
  [10700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(84),
  [10702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7637),
  [10704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17217),
  [10706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22),
  [10708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7809),
  [10710] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9151),
  [10713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15016),
  [10715] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(17193),
  [10718] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(39),
  [10721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15108),
  [10723] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_opaque_modifier, 1, 0, 0),
  [10725] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__type, 1, 0, 0), SHIFT(4),
  [10728] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__type, 1, 0, 0), SHIFT(106),
  [10731] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7796),
  [10734] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1797),
  [10737] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9229),
  [10740] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1704),
  [10743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9239),
  [10745] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(17331),
  [10748] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(41),
  [10751] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(17401),
  [10754] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(103),
  [10757] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8805),
  [10760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12816),
  [10762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1694),
  [10764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12794),
  [10766] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1691),
  [10769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12571),
  [10771] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1772),
  [10774] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(8053),
  [10777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11738),
  [10779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12307),
  [10781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12202),
  [10783] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8985),
  [10786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12217),
  [10788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1794),
  [10790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11379),
  [10792] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_modifiers, 1, 0, 0),
  [10794] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8745),
  [10797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14825),
  [10799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13775),
  [10801] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1693),
  [10804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13767),
  [10806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1478),
  [10808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17408),
  [10810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [10812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7722),
  [10814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2172),
  [10816] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7429),
  [10819] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7661),
  [10822] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type, 1, 0, 0), SHIFT(17121),
  [10825] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7494),
  [10828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(966),
  [10830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4072),
  [10832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4074),
  [10834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2171),
  [10836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4072),
  [10838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(625),
  [10840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1625),
  [10842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3581),
  [10844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1781),
  [10846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11793),
  [10848] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7393),
  [10851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11719),
  [10853] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7420),
  [10856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8970),
  [10858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8810),
  [10860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11694),
  [10862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11443),
  [10864] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1698),
  [10867] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9031),
  [10870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1766),
  [10872] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7394),
  [10875] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(17313),
  [10878] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(29),
  [10881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4070),
  [10883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4067),
  [10885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2072),
  [10887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4070),
  [10889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(562),
  [10891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2145),
  [10893] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9213),
  [10896] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1718),
  [10899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8713),
  [10901] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1719),
  [10904] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8701),
  [10907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11502),
  [10909] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9154),
  [10912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11439),
  [10914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1281),
  [10916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1769),
  [10918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15004),
  [10920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4064),
  [10922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4063),
  [10924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2288),
  [10926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4064),
  [10928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(571),
  [10930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2180),
  [10932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(566),
  [10934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1335),
  [10936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14706),
  [10938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1707),
  [10940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2245),
  [10942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(561),
  [10944] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1726),
  [10947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11538),
  [10949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10541),
  [10951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1682),
  [10953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10370),
  [10955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4073),
  [10957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4071),
  [10959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2346),
  [10961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4073),
  [10963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(579),
  [10965] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1780),
  [10968] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9197),
  [10971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [10973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8029),
  [10975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3737),
  [10977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12125),
  [10979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11038),
  [10981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2404),
  [10983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2274),
  [10985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4142),
  [10987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4145),
  [10989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4155),
  [10991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14974),
  [10993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3719),
  [10995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12499),
  [10997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12182),
  [10999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11000),
  [11001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4160),
  [11003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1297),
  [11005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4167),
  [11007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4172),
  [11009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14928),
  [11011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3720),
  [11013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1296),
  [11015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11689),
  [11017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3588),
  [11019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11265),
  [11021] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9179),
  [11024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11516),
  [11026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4100),
  [11028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10842),
  [11030] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7710),
  [11033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2147),
  [11035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2309),
  [11037] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(17025),
  [11040] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(87),
  [11043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1425),
  [11045] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1765),
  [11048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3572),
  [11050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1515),
  [11052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3571),
  [11054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1512),
  [11056] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7730),
  [11059] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9191),
  [11062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4090),
  [11064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11043),
  [11066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4075),
  [11068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12567),
  [11070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4078),
  [11072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2194),
  [11074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4075),
  [11076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(609),
  [11078] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1764),
  [11081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2200),
  [11083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2207),
  [11085] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9257),
  [11088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1393),
  [11090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3496),
  [11092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(948),
  [11094] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1758),
  [11097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3495),
  [11099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(947),
  [11101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15280),
  [11103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7948),
  [11105] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type, 1, 0, 0), SHIFT(17295),
  [11108] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1696),
  [11111] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(17000),
  [11114] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(16),
  [11117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3488),
  [11119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1430),
  [11121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3489),
  [11123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1432),
  [11125] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7391),
  [11128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11458),
  [11130] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7647),
  [11133] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(2568),
  [11136] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), REDUCE(sym_binding, 1, 10, 2),
  [11139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1783),
  [11141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3739),
  [11143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1332),
  [11145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3734),
  [11147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1319),
  [11149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2405),
  [11151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11765),
  [11153] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8867),
  [11156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11576),
  [11158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11469),
  [11160] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8927),
  [11163] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7645),
  [11166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13271),
  [11168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13624),
  [11170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13348),
  [11172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3516),
  [11174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13271),
  [11176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13373),
  [11178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10725),
  [11180] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7812),
  [11183] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1735),
  [11186] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7841),
  [11189] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__type, 1, 0, 0), SHIFT(22),
  [11192] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1709),
  [11195] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9127),
  [11198] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7611),
  [11201] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(17406),
  [11204] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(110),
  [11207] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7462),
  [11210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4126),
  [11212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10713),
  [11214] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(8017),
  [11217] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9140),
  [11220] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7607),
  [11223] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7589),
  [11226] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7845),
  [11229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2107),
  [11231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11747),
  [11233] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(17095),
  [11236] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(86),
  [11239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3690),
  [11241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8838),
  [11243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1722),
  [11245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12008),
  [11247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11524),
  [11249] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9108),
  [11252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11537),
  [11254] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8823),
  [11257] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1738),
  [11260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8826),
  [11262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3432),
  [11264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1672),
  [11266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11872),
  [11268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2317),
  [11270] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8800),
  [11273] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8771),
  [11276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15053),
  [11278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11581),
  [11280] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8713),
  [11283] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__structural_type, 1, 0, 8),
  [11285] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__structural_type, 1, 0, 8),
  [11287] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1774),
  [11290] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_lambda, 7, 0, 186),
  [11292] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_lambda, 7, 0, 186),
  [11294] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(17102),
  [11297] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(119),
  [11300] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_lambda, 6, 0, 180),
  [11302] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_lambda, 6, 0, 180),
  [11304] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_lambda, 6, 0, 179),
  [11306] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_lambda, 6, 0, 179),
  [11308] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9000),
  [11311] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7605),
  [11314] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__indented_type_cases, 3, 0, 0),
  [11316] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__indented_type_cases, 3, 0, 0),
  [11318] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_lambda, 5, 0, 168),
  [11320] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_lambda, 5, 0, 168),
  [11322] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7801),
  [11325] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7561),
  [11328] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_case_class_pattern_repeat1, 2, 0, 0),
  [11330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9210),
  [11332] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7477),
  [11335] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__arrow_then_type, 2, 0, 10),
  [11337] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_then_type, 2, 0, 10),
  [11339] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7570),
  [11342] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_type, 3, 0, 0),
  [11344] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_type, 3, 0, 0),
  [11346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [11348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7917),
  [11350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11465),
  [11352] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1694),
  [11355] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7745),
  [11358] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7468),
  [11361] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8967),
  [11364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2264),
  [11366] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(8076),
  [11369] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type, 2, 0, 79),
  [11371] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type, 2, 0, 79),
  [11373] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7457),
  [11376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2285),
  [11378] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8813),
  [11381] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7569),
  [11384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15468),
  [11386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2290),
  [11388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2275),
  [11390] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8970),
  [11393] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_literal_type, 1, 0, 0),
  [11395] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_literal_type, 1, 0, 0),
  [11397] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_infix_expression, 4, 0, 115),
  [11399] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_infix_expression, 4, 0, 115),
  [11401] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7769),
  [11404] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7971),
  [11407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2287),
  [11409] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(17205),
  [11412] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(28),
  [11415] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1727),
  [11418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2294),
  [11420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11732),
  [11422] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7741),
  [11425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1213),
  [11427] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9239),
  [11430] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type, 1, 0, 0), SHIFT(17289),
  [11433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1705),
  [11435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11534),
  [11437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2120),
  [11439] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7418),
  [11442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1051),
  [11444] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7995),
  [11447] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7592),
  [11450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12122),
  [11452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12423),
  [11454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12121),
  [11456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3632),
  [11458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12122),
  [11460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12038),
  [11462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8014),
  [11464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8584),
  [11466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8052),
  [11468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3570),
  [11470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8014),
  [11472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7389),
  [11474] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7412),
  [11477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2319),
  [11479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10355),
  [11481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10666),
  [11483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10348),
  [11485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3662),
  [11487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10355),
  [11489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10341),
  [11491] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7753),
  [11494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12116),
  [11496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12476),
  [11498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12155),
  [11500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3587),
  [11502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12116),
  [11504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12091),
  [11506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10599),
  [11508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10927),
  [11510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10600),
  [11512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3815),
  [11514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10599),
  [11516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10717),
  [11518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12272),
  [11520] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7764),
  [11523] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8810),
  [11526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7438),
  [11528] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type_identifier, 1, 0, 7), SHIFT(2568),
  [11531] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__type_identifier, 1, 0, 7), REDUCE(sym_binding, 1, 10, 2),
  [11534] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7979),
  [11537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10364),
  [11539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10685),
  [11541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10400),
  [11543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3671),
  [11545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10364),
  [11547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10333),
  [11549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3419),
  [11551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4199),
  [11553] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7945),
  [11556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10949),
  [11558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11352),
  [11560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10947),
  [11562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3677),
  [11564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10949),
  [11566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10741),
  [11568] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7711),
  [11571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2085),
  [11573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11734),
  [11575] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(16942),
  [11578] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(71),
  [11581] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7968),
  [11584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11565),
  [11586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9844),
  [11588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11613),
  [11590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3411),
  [11592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9844),
  [11594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11105),
  [11596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12296),
  [11598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12787),
  [11600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12298),
  [11602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3807),
  [11604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12296),
  [11606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12469),
  [11608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11673),
  [11610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12107),
  [11612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11668),
  [11614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3836),
  [11616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11673),
  [11618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11448),
  [11620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2564),
  [11622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11171),
  [11624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11470),
  [11626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11173),
  [11628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3695),
  [11630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11171),
  [11632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11181),
  [11634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10656),
  [11636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11189),
  [11638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10645),
  [11640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3742),
  [11642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10656),
  [11644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10815),
  [11646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11647),
  [11648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12098),
  [11650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11646),
  [11652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3802),
  [11654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11647),
  [11656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11574),
  [11658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12314),
  [11660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12830),
  [11662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12315),
  [11664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3712),
  [11666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12314),
  [11668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12579),
  [11670] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type, 1, 0, 0), SHIFT(17081),
  [11673] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7628),
  [11676] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1781),
  [11679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10918),
  [11681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11076),
  [11683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10912),
  [11685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3502),
  [11687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10918),
  [11689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10972),
  [11691] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(1616),
  [11694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15406),
  [11696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12302),
  [11698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12808),
  [11700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12303),
  [11702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3725),
  [11704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12302),
  [11706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12607),
  [11708] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8698),
  [11711] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7857),
  [11714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12085),
  [11716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12462),
  [11718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12081),
  [11720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3464),
  [11722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12085),
  [11724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12228),
  [11726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4162),
  [11728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4158),
  [11730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4162),
  [11732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(837),
  [11734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10652),
  [11736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12987),
  [11738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10591),
  [11740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3493),
  [11742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10652),
  [11744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12656),
  [11746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10700),
  [11748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10892),
  [11750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10670),
  [11752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3180),
  [11754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10700),
  [11756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10602),
  [11758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12146),
  [11760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12329),
  [11762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12142),
  [11764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3779),
  [11766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12146),
  [11768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12051),
  [11770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10895),
  [11772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11540),
  [11774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10742),
  [11776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3479),
  [11778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10895),
  [11780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11137),
  [11782] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7549),
  [11785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8483),
  [11787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8482),
  [11789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6445),
  [11791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6431),
  [11793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5603),
  [11795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5594),
  [11797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8942),
  [11799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8946),
  [11801] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7973),
  [11804] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_type, 1, 0, 0), SHIFT(2567),
  [11807] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_type, 1, 0, 0), REDUCE(sym_binding, 1, 10, 0),
  [11810] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__start_var, 3, 0, 0),
  [11812] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__start_var, 3, 0, 0),
  [11814] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__start_val, 3, 0, 0),
  [11816] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__start_val, 3, 0, 0),
  [11818] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7722),
  [11821] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1705),
  [11824] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7828),
  [11827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9138),
  [11829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9139),
  [11831] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1672),
  [11834] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8826),
  [11837] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__start_var, 1, 0, 0),
  [11839] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__start_var, 1, 0, 0),
  [11841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8084),
  [11843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8122),
  [11845] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__start_val, 1, 0, 0),
  [11847] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__start_val, 1, 0, 0),
  [11849] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7637),
  [11852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5459),
  [11854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5460),
  [11856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8182),
  [11858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8181),
  [11860] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__start_val, 2, 0, 0),
  [11862] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__start_val, 2, 0, 0),
  [11864] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__start_var, 2, 0, 0),
  [11866] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__start_var, 2, 0, 0),
  [11868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8131),
  [11870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8132),
  [11872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7020),
  [11874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6665),
  [11876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5346),
  [11878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5345),
  [11880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7754),
  [11882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7756),
  [11884] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8838),
  [11887] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7809),
  [11890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9577),
  [11892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9578),
  [11894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8773),
  [11896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8774),
  [11898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7616),
  [11900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7606),
  [11902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6555),
  [11904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6549),
  [11906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12500),
  [11908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15337),
  [11910] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(17241),
  [11913] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(62),
  [11916] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9210),
  [11919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11679),
  [11921] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_extension_definition_repeat1, 2, 0, 0),
  [11923] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_extension_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(10122),
  [11926] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(8029),
  [11929] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(2567),
  [11932] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), REDUCE(sym_binding, 1, 10, 0),
  [11935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10980),
  [11937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15899),
  [11939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10360),
  [11941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2410),
  [11943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13391),
  [11945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16719),
  [11947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16408),
  [11949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15813),
  [11951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16491),
  [11953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16243),
  [11955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16200),
  [11957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15942),
  [11959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16037),
  [11961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16868),
  [11963] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7948),
  [11966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13790),
  [11968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15521),
  [11970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2577),
  [11972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14329),
  [11974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15845),
  [11976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15989),
  [11978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3187),
  [11980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1651),
  [11982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12030),
  [11984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16460),
  [11986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16096),
  [11988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15875),
  [11990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13760),
  [11992] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7917),
  [11995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16302),
  [11997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3777),
  [11999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11901),
  [12001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15785),
  [12003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13971),
  [12005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15815),
  [12007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13880),
  [12009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15902),
  [12011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16737),
  [12013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16660),
  [12015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10492),
  [12017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2407),
  [12019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10552),
  [12021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16502),
  [12023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16139),
  [12025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15855),
  [12027] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_constructor, 1, 0, 2),
  [12029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7735),
  [12031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8962),
  [12033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11916),
  [12035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4208),
  [12037] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_constructor, 1, 0, 2), SHIFT(15029),
  [12040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16634),
  [12042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16354),
  [12044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3225),
  [12046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8812),
  [12048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1660),
  [12050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12139),
  [12052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7817),
  [12054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9255),
  [12056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12319),
  [12058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4202),
  [12060] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_constructor, 1, 0, 2), SHIFT(14412),
  [12063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13996),
  [12065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13986),
  [12067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10226),
  [12069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13681),
  [12071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13333),
  [12073] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7438),
  [12076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10230),
  [12078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14004),
  [12080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13541),
  [12082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3086),
  [12084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11985),
  [12086] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__type_identifier, 1, 0, 7), SHIFT(11653),
  [12089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11649),
  [12091] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__type_identifier, 1, 0, 7), SHIFT(7591),
  [12094] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__type_identifier, 1, 0, 7), SHIFT(10046),
  [12097] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__type_identifier, 1, 0, 7), SHIFT(14330),
  [12100] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_stable_identifier, 3, 0, 0),
  [12102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3688),
  [12104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11977),
  [12106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1740),
  [12108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3529),
  [12110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8760),
  [12112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11783),
  [12114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11611),
  [12116] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameters, 3, 0, 0),
  [12118] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__using_parameters_clause, 4, 0, 0),
  [12120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11634),
  [12122] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameters, 3, 0, 16),
  [12124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11367),
  [12126] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameters, 4, 0, 0),
  [12128] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameters, 4, 0, 126),
  [12130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13138),
  [12132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7696),
  [12134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3340),
  [12136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1714),
  [12138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11839),
  [12140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3743),
  [12142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9062),
  [12144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1717),
  [12146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12220),
  [12148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13364),
  [12150] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameters, 4, 0, 16),
  [12152] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1651),
  [12155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13362),
  [12157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13213),
  [12159] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_constructor, 2, 0, 22),
  [12161] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_constructor, 2, 0, 22), SHIFT(15029),
  [12164] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_typed_pattern, 3, 0, 90),
  [12166] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_var_declaration, 4, 0, 105),
  [12168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1439),
  [12170] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_var_declaration, 4, 0, 105),
  [12172] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typed_pattern, 3, 0, 90),
  [12174] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_val_declaration, 4, 0, 105),
  [12176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1438),
  [12178] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_val_declaration, 4, 0, 105),
  [12180] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__using_parameters_clause, 6, 0, 0),
  [12182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10543),
  [12184] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameters, 6, 0, 0),
  [12186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(908),
  [12188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(898),
  [12190] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_extension_definition_repeat1, 1, 0, 0),
  [12192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13405),
  [12194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1757),
  [12196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13006),
  [12198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10445),
  [12200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13351),
  [12202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10334),
  [12204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3667),
  [12206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11862),
  [12208] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameters, 1, 0, 0),
  [12210] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1680),
  [12213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10349),
  [12215] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameters, 5, 0, 126),
  [12217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1661),
  [12219] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameters, 5, 0, 0),
  [12221] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__using_parameters_clause, 5, 0, 0),
  [12223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3806),
  [12225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12101),
  [12227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13021),
  [12229] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameters, 2, 0, 0),
  [12231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(895),
  [12233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3215),
  [12235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1689),
  [12237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11997),
  [12239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3449),
  [12241] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1777),
  [12244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3446),
  [12246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(900),
  [12248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9488),
  [12250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3732),
  [12252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1520),
  [12254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1517),
  [12256] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8791),
  [12259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3736),
  [12261] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1712),
  [12264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11588),
  [12266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3607),
  [12268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3748),
  [12270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1681),
  [12272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12224),
  [12274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3609),
  [12276] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_class_pattern, 3, 0, 92),
  [12278] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_class_pattern, 3, 0, 92),
  [12280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3600),
  [12282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11789),
  [12284] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_given_pattern, 2, 0, 50),
  [12286] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_given_pattern, 2, 0, 50),
  [12288] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_repeat_pattern, 2, 0, 52),
  [12290] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_repeat_pattern, 2, 0, 52),
  [12292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7833),
  [12294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9216),
  [12296] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_constructor, 2, 0, 22), SHIFT(14412),
  [12299] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_pattern, 3, 0, 0),
  [12301] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_pattern, 3, 0, 0),
  [12303] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_class_pattern, 6, 0, 173),
  [12305] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_class_pattern, 6, 0, 173),
  [12307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3504),
  [12309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12039),
  [12311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1276),
  [12313] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_class_pattern, 5, 0, 156),
  [12315] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_class_pattern, 5, 0, 156),
  [12317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3544),
  [12319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3549),
  [12321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3658),
  [12323] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_pattern, 4, 0, 0),
  [12325] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_pattern, 4, 0, 0),
  [12327] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_class_pattern, 4, 0, 132),
  [12329] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_class_pattern, 4, 0, 132),
  [12331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3647),
  [12333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11424),
  [12335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1280),
  [12337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16084),
  [12339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17129),
  [12341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16082),
  [12343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17010),
  [12345] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_given_definition, 3, 0, 61),
  [12347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(829),
  [12349] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1664),
  [12352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17137),
  [12354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16103),
  [12356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16105),
  [12358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16124),
  [12360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16126),
  [12362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16145),
  [12364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16063),
  [12366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16494),
  [12368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16497),
  [12370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11601),
  [12372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16061),
  [12374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16546),
  [12376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9429),
  [12378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16558),
  [12380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16042),
  [12382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16147),
  [12384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16040),
  [12386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16165),
  [12388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15814),
  [12390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16021),
  [12392] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_given_definition, 3, 0, 38),
  [12394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(879),
  [12396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16019),
  [12398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16000),
  [12400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15998),
  [12402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15979),
  [12404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16167),
  [12406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16185),
  [12408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16187),
  [12410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16651),
  [12412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16205),
  [12414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16655),
  [12416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16207),
  [12418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16709),
  [12420] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ascription_expression, 3, 4, 0),
  [12422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11223),
  [12424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15977),
  [12426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13490),
  [12428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11860),
  [12430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11542),
  [12432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13488),
  [12434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13490),
  [12436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12112),
  [12438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16713),
  [12440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16455),
  [12442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16448),
  [12444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16225),
  [12446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13549),
  [12448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13561),
  [12450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13549),
  [12452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11931),
  [12454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15956),
  [12456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16227),
  [12458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3134),
  [12460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12019),
  [12462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16245),
  [12464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16247),
  [12466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16832),
  [12468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16835),
  [12470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15954),
  [12472] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_given_definition, 2, 0, 10),
  [12474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(986),
  [12476] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__object_definition, 1, 0, 2),
  [12478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16942),
  [12480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4253),
  [12482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11082),
  [12484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16401),
  [12486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16265),
  [12488] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_given_definition, 4, 0, 111),
  [12490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(910),
  [12492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16393),
  [12494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11763),
  [12496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11532),
  [12498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15933),
  [12500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15931),
  [12502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16345),
  [12504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16338),
  [12506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3169),
  [12508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11944),
  [12510] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_given_definition, 4, 0, 118),
  [12512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(921),
  [12514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15909),
  [12516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16297),
  [12518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16294),
  [12520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15907),
  [12522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16239),
  [12524] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_definition, 1, 0, 12),
  [12526] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_definition, 1, 0, 12), SHIFT(13874),
  [12529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16235),
  [12531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15882),
  [12533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15880),
  [12535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16197),
  [12537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16183),
  [12539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15852),
  [12541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15504),
  [12543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15426),
  [12545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15850),
  [12547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16135),
  [12549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16128),
  [12551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16304),
  [12553] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_given_definition, 5, 0, 144),
  [12555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1039),
  [12557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1448),
  [12559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15029),
  [12561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1444),
  [12563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15822),
  [12565] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_constructor, 3, 0, 22),
  [12567] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_constructor, 3, 0, 22), SHIFT(15029),
  [12570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16092),
  [12572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16078),
  [12574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1440),
  [12576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1436),
  [12578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15820),
  [12580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1435),
  [12582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15792),
  [12584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16030),
  [12586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16028),
  [12588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1429),
  [12590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15984),
  [12592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17257),
  [12594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15967),
  [12596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17270),
  [12598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15865),
  [12600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15938),
  [12602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16267),
  [12604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15930),
  [12606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16285),
  [12608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16287),
  [12610] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1683),
  [12613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16506),
  [12615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16306),
  [12617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16323),
  [12619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16325),
  [12621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11900),
  [12623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11408),
  [12625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15790),
  [12627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16342),
  [12629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16344),
  [12631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16361),
  [12633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15896),
  [12635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16363),
  [12637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15893),
  [12639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16380),
  [12641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16382),
  [12643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16398),
  [12645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15847),
  [12647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16400),
  [12649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15843),
  [12651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16416),
  [12653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16418),
  [12655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16434),
  [12657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16462),
  [12659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15807),
  [12661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16436),
  [12663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11508),
  [12665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16452),
  [12667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16454),
  [12669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16015),
  [12671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16470),
  [12673] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_constructor, 2, 0, 2),
  [12675] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_constructor, 2, 0, 2), SHIFT(15029),
  [12678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16472),
  [12680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16488),
  [12682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16490),
  [12684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9320),
  [12686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16628),
  [12688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16508),
  [12690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16524),
  [12692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15593),
  [12694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16526),
  [12696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16536),
  [12698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16538),
  [12700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16548),
  [12702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15804),
  [12704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16550),
  [12706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16560),
  [12708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16615),
  [12710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16562),
  [12712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16571),
  [12714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16573),
  [12716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16582),
  [12718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16584),
  [12720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16593),
  [12722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16617),
  [12724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16595),
  [12726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16626),
  [12728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16637),
  [12730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16639),
  [12732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16604),
  [12734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16606),
  [12736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16647),
  [12738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16649),
  [12740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9593),
  [12742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1446),
  [12744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17372),
  [12746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1274),
  [12748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1372),
  [12750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12999),
  [12752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(904),
  [12754] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__indentable_expression, 1, 0, 0),
  [12756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14106),
  [12758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3803),
  [12760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11949),
  [12762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11392),
  [12764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1256),
  [12766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(926),
  [12768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13453),
  [12770] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1714),
  [12773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3621),
  [12775] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_parameter, 1, 0, 2),
  [12777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7773),
  [12779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3578),
  [12781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3577),
  [12783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3620),
  [12785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11715),
  [12787] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1740),
  [12790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1524),
  [12792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1426),
  [12794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1264),
  [12796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1541),
  [12798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17095),
  [12800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7533),
  [12802] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1670),
  [12805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11739),
  [12807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11580),
  [12809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1084),
  [12811] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 2, 0, 0),
  [12813] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1757),
  [12816] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_expression, 7, 0, 174),
  [12818] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 6, 0, 154), REDUCE(sym_if_expression, 7, 0, 174),
  [12821] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_expression, 6, 0, 160),
  [12823] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 5, 0, 130), REDUCE(sym_if_expression, 6, 0, 160),
  [12826] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_expression, 6, 0, 155),
  [12828] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_expression, 6, 0, 154),
  [12830] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_expression, 5, 0, 130),
  [12832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1031),
  [12834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1587),
  [12836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1359),
  [12838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4307),
  [12840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11253),
  [12842] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_definition, 1, 0, 12), SHIFT(13959),
  [12845] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_repeated_parameter_type, 2, 0, 92),
  [12847] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lazy_parameter_type, 2, 0, 50),
  [12849] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_block, 2, 0, 0),
  [12851] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_expression, 4, 0, 114),
  [12853] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_match_expression, 3, 0, 63), REDUCE(sym_match_expression, 4, 0, 114),
  [12856] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_while_expression, 4, 0, 104),
  [12858] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1790),
  [12861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11564),
  [12863] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_expression, 4, 0, 101),
  [12865] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_constructor, 1, 0, 2),
  [12867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10046),
  [12869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12514),
  [12871] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_expression, 4, 0, 14),
  [12873] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_finally_clause, 2, 0, 0),
  [12875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1567),
  [12877] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 2, 0, 94),
  [12879] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8812),
  [12882] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_expression, 4, 0, 93),
  [12884] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_expression, 4, 0, 89),
  [12886] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__given_constructor, 1, 0, 0),
  [12888] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__given_constructor, 1, 0, 0),
  [12890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(294),
  [12892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3740),
  [12894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12207),
  [12896] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8760),
  [12899] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_expression, 3, 0, 63),
  [12901] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_expression, 3, 0, 44),
  [12903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1474),
  [12905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7701),
  [12907] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_constructor, 2, 0, 2), SHIFT(14412),
  [12910] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_expression, 3, 0, 14),
  [12912] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_constructor, 3, 0, 22), SHIFT(14412),
  [12915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3840),
  [12917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12014),
  [12919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1210),
  [12921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3144),
  [12923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12065),
  [12925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11658),
  [12927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9310),
  [12929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17410),
  [12931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8951),
  [12933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3157),
  [12935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9114),
  [12937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8951),
  [12939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5635),
  [12941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(923),
  [12943] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, 0, 65),
  [12945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3525),
  [12947] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expr_case_clause, 3, 0, 74),
  [12949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14315),
  [12951] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_expression, 5, 0, 131),
  [12953] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_expression, 2, 0, 0),
  [12955] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_expression, 2, 0, 0),
  [12957] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_expression, 3, 0, 49),
  [12959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10648),
  [12961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10367),
  [12963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12023),
  [12965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11436),
  [12967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10621),
  [12969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3506),
  [12971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11817),
  [12973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6305),
  [12975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5947),
  [12977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5782),
  [12979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5191),
  [12981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4716),
  [12983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4865),
  [12985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7987),
  [12987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6686),
  [12989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5518),
  [12991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5264),
  [12993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3813),
  [12995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14324),
  [12997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7369),
  [12999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6646),
  [13001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11485),
  [13003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10402),
  [13005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10169),
  [13007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7170),
  [13009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7360),
  [13011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4824),
  [13013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4637),
  [13015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12451),
  [13017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11918),
  [13019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3318),
  [13021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8851),
  [13023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1776),
  [13025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11869),
  [13027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5714),
  [13029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5205),
  [13031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4897),
  [13033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4669),
  [13035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1746),
  [13037] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1689),
  [13040] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1661),
  [13043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10813),
  [13045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10660),
  [13047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6624),
  [13049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5644),
  [13051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6142),
  [13053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5944),
  [13055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7612),
  [13057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6800),
  [13059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5099),
  [13061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4926),
  [13063] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1681),
  [13066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7954),
  [13068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6750),
  [13070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5945),
  [13072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5896),
  [13074] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__constructor_applications, 1, 0, 70),
  [13076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4339),
  [13078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4341),
  [13080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5299),
  [13082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5259),
  [13084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6999),
  [13086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6754),
  [13088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6154),
  [13090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5422),
  [13092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11368),
  [13094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12938),
  [13096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12397),
  [13098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6013),
  [13100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5848),
  [13102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4543),
  [13104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4496),
  [13106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5269),
  [13108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4960),
  [13110] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__given_constructor, 5, 0, 99),
  [13112] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__given_constructor, 5, 0, 99),
  [13114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3772),
  [13116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8371),
  [13118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7590),
  [13120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13198),
  [13122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12772),
  [13124] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9216),
  [13127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5312),
  [13129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5201),
  [13131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10214),
  [13133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8110),
  [13135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8321),
  [13137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6953),
  [13139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6506),
  [13141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12357),
  [13143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12082),
  [13145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7823),
  [13147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7937),
  [13149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5765),
  [13151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5372),
  [13153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4473),
  [13155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4378),
  [13157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7279),
  [13159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6744),
  [13161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11956),
  [13163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11435),
  [13165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6234),
  [13167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5712),
  [13169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14346),
  [13171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4298),
  [13173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4181),
  [13175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13836),
  [13177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7096),
  [13179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6494),
  [13181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5888),
  [13183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5139),
  [13185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15742),
  [13187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12509),
  [13189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11834),
  [13191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7297),
  [13193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6173),
  [13195] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__object_definition, 2, 0, 31),
  [13197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7866),
  [13199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6919),
  [13201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3575),
  [13203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11772),
  [13205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11331),
  [13207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10806),
  [13209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15684),
  [13211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12255),
  [13213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12120),
  [13215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8329),
  [13217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7907),
  [13219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6132),
  [13221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6410),
  [13223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12089),
  [13225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7732),
  [13227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7619),
  [13229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9458),
  [13231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11207),
  [13233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10816),
  [13235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8111),
  [13237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8679),
  [13239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6213),
  [13241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6424),
  [13243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8295),
  [13245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7568),
  [13247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7893),
  [13249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6772),
  [13251] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_definition, 2, 0, 46),
  [13253] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_definition, 2, 0, 46), SHIFT(13874),
  [13256] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__given_constructor, 2, 0, 44),
  [13258] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__given_constructor, 2, 0, 44),
  [13260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6543),
  [13262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5754),
  [13264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5233),
  [13266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4848),
  [13268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5114),
  [13270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4853),
  [13272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4702),
  [13274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4538),
  [13276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6684),
  [13278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6309),
  [13280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11741),
  [13282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11214),
  [13284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9595),
  [13286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9173),
  [13288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4915),
  [13290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4674),
  [13292] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__given_constructor, 3, 0, 2),
  [13294] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__given_constructor, 3, 0, 2),
  [13296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11478),
  [13298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7838),
  [13300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7609),
  [13302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4516),
  [13304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4411),
  [13306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8506),
  [13308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7441),
  [13310] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__given_constructor, 4, 0, 80),
  [13312] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__given_constructor, 4, 0, 80),
  [13314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10845),
  [13316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10661),
  [13318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7839),
  [13320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9939),
  [13322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12878),
  [13324] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__given_constructor, 4, 0, 57),
  [13326] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__given_constructor, 4, 0, 57),
  [13328] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__given_constructor, 4, 0, 99),
  [13330] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__given_constructor, 4, 0, 99),
  [13332] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__given_constructor, 4, 0, 22),
  [13334] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__given_constructor, 4, 0, 22),
  [13336] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1744),
  [13339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7150),
  [13341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6022),
  [13343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11119),
  [13345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11008),
  [13347] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__given_constructor, 3, 0, 57),
  [13349] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__given_constructor, 3, 0, 57),
  [13351] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__given_constructor, 3, 0, 36),
  [13353] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__given_constructor, 3, 0, 36),
  [13355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9365),
  [13357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10720),
  [13359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10539),
  [13361] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__given_constructor, 3, 0, 80),
  [13363] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__given_constructor, 3, 0, 80),
  [13365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13142),
  [13367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11513),
  [13369] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__given_constructor, 3, 0, 44),
  [13371] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__given_constructor, 3, 0, 44),
  [13373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7271),
  [13375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6657),
  [13377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11498),
  [13379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11356),
  [13381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6509),
  [13383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5950),
  [13385] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__given_constructor, 2, 0, 36),
  [13387] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__given_constructor, 2, 0, 36),
  [13389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4961),
  [13391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4944),
  [13393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5922),
  [13395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4996),
  [13397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6437),
  [13399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5711),
  [13401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11186),
  [13403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10781),
  [13405] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1710),
  [13408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5358),
  [13410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5278),
  [13412] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__given_constructor, 2, 0, 2),
  [13414] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__given_constructor, 2, 0, 2),
  [13416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6748),
  [13418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6009),
  [13420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5521),
  [13422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5939),
  [13424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13763),
  [13426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11993),
  [13428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13579),
  [13430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12769),
  [13432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12485),
  [13434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4597),
  [13436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4410),
  [13438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6680),
  [13440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6350),
  [13442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5005),
  [13444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4932),
  [13446] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__given_constructor, 3, 0, 22),
  [13448] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__given_constructor, 3, 0, 22),
  [13450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9618),
  [13452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9824),
  [13454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6835),
  [13456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6417),
  [13458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6262),
  [13460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6068),
  [13462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12280),
  [13464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14128),
  [13466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6963),
  [13468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6616),
  [13470] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__given_constructor, 2, 0, 0),
  [13472] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__given_constructor, 2, 0, 0),
  [13474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8595),
  [13476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7679),
  [13478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6361),
  [13480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5951),
  [13482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7063),
  [13484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6544),
  [13486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11792),
  [13488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5063),
  [13490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4881),
  [13492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5405),
  [13494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5559),
  [13496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3111),
  [13498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11967),
  [13500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11631),
  [13502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11239),
  [13504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6073),
  [13506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6284),
  [13508] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9062),
  [13511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12724),
  [13513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12545),
  [13515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13590),
  [13517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13434),
  [13519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5502),
  [13521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5189),
  [13523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8700),
  [13525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8146),
  [13527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8777),
  [13529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9203),
  [13531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4502),
  [13533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4629),
  [13535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5001),
  [13537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4925),
  [13539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7216),
  [13541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6896),
  [13543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11716),
  [13545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11167),
  [13547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4707),
  [13549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4598),
  [13551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8065),
  [13553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7721),
  [13555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12018),
  [13557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6505),
  [13559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5727),
  [13561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11276),
  [13563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10903),
  [13565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7009),
  [13567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6638),
  [13569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8232),
  [13571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8022),
  [13573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3541),
  [13575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10801),
  [13577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6280),
  [13579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15542),
  [13581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12717),
  [13583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11589),
  [13585] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_constructor, 3, 0, 99),
  [13587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12339),
  [13589] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_expression, 2, 0, 14),
  [13591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(601),
  [13593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(857),
  [13595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15730),
  [13597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5634),
  [13599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8324),
  [13601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(436),
  [13603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3757),
  [13605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8246),
  [13607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8324),
  [13609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9337),
  [13611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(437),
  [13613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3756),
  [13615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9515),
  [13617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9337),
  [13619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15562),
  [13621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5984),
  [13623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6770),
  [13625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6897),
  [13627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11193),
  [13629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6745),
  [13631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(416),
  [13633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3821),
  [13635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6682),
  [13637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6745),
  [13639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7081),
  [13641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13352),
  [13643] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_constructor, 2, 0, 23),
  [13645] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_constructor, 2, 0, 23), SHIFT(15029),
  [13648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11726),
  [13650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15511),
  [13652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5987),
  [13654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8303),
  [13656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(418),
  [13658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3818),
  [13660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8294),
  [13662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8303),
  [13664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8750),
  [13666] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__function_constructor_repeat1, 2, 0, 0),
  [13668] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__function_constructor_repeat1, 2, 0, 0), SHIFT_REPEAT(10046),
  [13671] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__function_constructor_repeat1, 2, 0, 0), SHIFT_REPEAT(15354),
  [13674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5627),
  [13676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8458),
  [13678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15543),
  [13680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5967),
  [13682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(590),
  [13684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(825),
  [13686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5056),
  [13688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13505),
  [13690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5021),
  [13692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5647),
  [13694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8199),
  [13696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15567),
  [13698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5979),
  [13700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6720),
  [13702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15698),
  [13704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5624),
  [13706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7860),
  [13708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5415),
  [13710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10509),
  [13712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(465),
  [13714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3408),
  [13716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10389),
  [13718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10509),
  [13720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12762),
  [13722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11281),
  [13724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10876),
  [13726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6722),
  [13728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(468),
  [13730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3410),
  [13732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6818),
  [13734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6722),
  [13736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5214),
  [13738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9134),
  [13740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(443),
  [13742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3473),
  [13744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9160),
  [13746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9134),
  [13748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5898),
  [13750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(438),
  [13752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3378),
  [13754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5985),
  [13756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5898),
  [13758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6034),
  [13760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(403),
  [13762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3769),
  [13764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6041),
  [13766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6034),
  [13768] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1700),
  [13771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10308),
  [13773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5003),
  [13775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6553),
  [13777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4610),
  [13779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6119),
  [13781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6921),
  [13783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9673),
  [13785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [13787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3768),
  [13789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9873),
  [13791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9673),
  [13793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11307),
  [13795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15705),
  [13797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(607),
  [13799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1085),
  [13801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4965),
  [13803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8564),
  [13805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(447),
  [13807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3624),
  [13809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8486),
  [13811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8564),
  [13813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(448),
  [13815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3731),
  [13817] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_definition, 2, 0, 46), SHIFT(13959),
  [13820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5908),
  [13822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13506),
  [13824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15485),
  [13826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5963),
  [13828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4510),
  [13830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11243),
  [13832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3589),
  [13834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15679),
  [13836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5620),
  [13838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15663),
  [13840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5664),
  [13842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6259),
  [13844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6903),
  [13846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4613),
  [13848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11128),
  [13850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15499),
  [13852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5955),
  [13854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(386),
  [13856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3746),
  [13858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(382),
  [13860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3744),
  [13862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13056),
  [13864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9607),
  [13866] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_constructor, 2, 0, 22),
  [13868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12504),
  [13870] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_constructor, 2, 0, 57),
  [13872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12624),
  [13874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7037),
  [13876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5605),
  [13878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8492),
  [13880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8664),
  [13882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(483),
  [13884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3132),
  [13886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8662),
  [13888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8664),
  [13890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(630),
  [13892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1049),
  [13894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6951),
  [13896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15580),
  [13898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5942),
  [13900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15514),
  [13902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5957),
  [13904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3792),
  [13906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12135),
  [13908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5596),
  [13910] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_constructor, 3, 0, 68),
  [13912] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_constructor, 3, 0, 68), SHIFT(15029),
  [13915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5110),
  [13917] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_constructor, 3, 0, 2),
  [13919] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_constructor, 3, 0, 2), SHIFT(15029),
  [13922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15636),
  [13924] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1675),
  [13927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10669),
  [13929] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_constructor, 3, 0, 69),
  [13931] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_constructor, 3, 0, 69), SHIFT(15029),
  [13934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9092),
  [13936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(414),
  [13938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3346),
  [13940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9102),
  [13942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9092),
  [13944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6833),
  [13946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(409),
  [13948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3344),
  [13950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6984),
  [13952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6833),
  [13954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8008),
  [13956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5976),
  [13958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9557),
  [13960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5936),
  [13962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7959),
  [13964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8511),
  [13966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1153),
  [13968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6103),
  [13970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5284),
  [13972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12262),
  [13974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6695),
  [13976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5931),
  [13978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8724),
  [13980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(459),
  [13982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3566),
  [13984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8689),
  [13986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8724),
  [13988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(461),
  [13990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3558),
  [13992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5589),
  [13994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6576),
  [13996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5893),
  [13998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
  [14000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3707),
  [14002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [14004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3706),
  [14006] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_enum_case, 1, 0, 2),
  [14008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4302),
  [14010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4205),
  [14012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5924),
  [14014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7432),
  [14016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(433),
  [14018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3149),
  [14020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7436),
  [14022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7432),
  [14024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7742),
  [14026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8202),
  [14028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5685),
  [14030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11951),
  [14032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4745),
  [14034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5584),
  [14036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12516),
  [14038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12494),
  [14040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9878),
  [14042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(481),
  [14044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3414),
  [14046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9772),
  [14048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9878),
  [14050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(486),
  [14052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3415),
  [14054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5921),
  [14056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6971),
  [14058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15766),
  [14060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5561),
  [14062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7861),
  [14064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(365),
  [14066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3640),
  [14068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5905),
  [14070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6169),
  [14072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12935),
  [14074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5578),
  [14076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7332),
  [14078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9378),
  [14080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [14082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3644),
  [14084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9512),
  [14086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9378),
  [14088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4342),
  [14090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4320),
  [14092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7957),
  [14094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7473),
  [14096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(387),
  [14098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3320),
  [14100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7479),
  [14102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7473),
  [14104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(384),
  [14106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3319),
  [14108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10975),
  [14110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7088),
  [14112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5573),
  [14114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5693),
  [14116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6214),
  [14118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6026),
  [14120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5913),
  [14122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10809),
  [14124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15757),
  [14126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5590),
  [14128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5937),
  [14130] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1771),
  [14133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4828),
  [14135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7651),
  [14137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11457),
  [14139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6174),
  [14141] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_constructor, 5, 0, 148),
  [14143] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_constructor, 5, 0, 148), SHIFT(15029),
  [14146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6086),
  [14148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(408),
  [14150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3163),
  [14152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6095),
  [14154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6086),
  [14156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15674),
  [14158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5614),
  [14160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15531),
  [14162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5906),
  [14164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5787),
  [14166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9832),
  [14168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5885),
  [14170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5555),
  [14172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12443),
  [14174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15596),
  [14176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5897),
  [14178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12016),
  [14180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5622),
  [14182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5841),
  [14184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14107),
  [14186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10695),
  [14188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4591),
  [14190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5728),
  [14192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6332),
  [14194] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7696),
  [14197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5849),
  [14199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11497),
  [14201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5716),
  [14203] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__class_constructor_repeat1, 2, 0, 0),
  [14205] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__class_constructor_repeat1, 2, 0, 0), SHIFT_REPEAT(4208),
  [14208] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__class_constructor_repeat1, 2, 0, 0), SHIFT_REPEAT(15029),
  [14211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9029),
  [14213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(377),
  [14215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3306),
  [14217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9032),
  [14219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9029),
  [14221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [14223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3304),
  [14225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6656),
  [14227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4911),
  [14229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11468),
  [14231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1219),
  [14233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(504),
  [14235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3433),
  [14237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5886),
  [14239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(503),
  [14241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3441),
  [14243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(474),
  [14245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3501),
  [14247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(488),
  [14249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3457),
  [14251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [14253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3602),
  [14255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(356),
  [14257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3598),
  [14259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12362),
  [14261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4889),
  [14263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8005),
  [14265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7439),
  [14267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(476),
  [14269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3500),
  [14271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15714),
  [14273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5493),
  [14275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4685),
  [14277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5319),
  [14279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5818),
  [14281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5879),
  [14283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5102),
  [14285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15590),
  [14287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5790),
  [14289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4440),
  [14291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15614),
  [14293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5747),
  [14295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11400),
  [14297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7852),
  [14299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5545),
  [14301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4720),
  [14303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5871),
  [14305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11318),
  [14307] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_constructor, 4, 0, 22),
  [14309] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_constructor, 4, 0, 22), SHIFT(15029),
  [14312] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_constructor, 4, 0, 120),
  [14314] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_constructor, 4, 0, 120), SHIFT(15029),
  [14317] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_constructor, 4, 0, 121),
  [14319] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_constructor, 4, 0, 121), SHIFT(15029),
  [14322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9546),
  [14324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(328),
  [14326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3253),
  [14328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9547),
  [14330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9546),
  [14332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(329),
  [14334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3197),
  [14336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4261),
  [14338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4204),
  [14340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15633),
  [14342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5643),
  [14344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9517),
  [14346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8344),
  [14348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5775),
  [14350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [14352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3294),
  [14354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [14356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3290),
  [14358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5283),
  [14360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10587),
  [14362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6524),
  [14364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10153),
  [14366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(489),
  [14368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3616),
  [14370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10047),
  [14372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10153),
  [14374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4251),
  [14376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(472),
  [14378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3612),
  [14380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5495),
  [14382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [14384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3518),
  [14386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(341),
  [14388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3517),
  [14390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15745),
  [14392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5791),
  [14394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5655),
  [14396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11118),
  [14398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8300),
  [14400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5862),
  [14402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5154),
  [14404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6479),
  [14406] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_parameter, 2, 0, 22),
  [14408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5757),
  [14410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5839),
  [14412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7210),
  [14414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7662),
  [14416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [14418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3420),
  [14420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7653),
  [14422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7662),
  [14424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [14426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3421),
  [14428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8636),
  [14430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6916),
  [14432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14306),
  [14434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5667),
  [14436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3302),
  [14438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7005),
  [14440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5827),
  [14442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14055),
  [14444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5798),
  [14446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6093),
  [14448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9167),
  [14450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10523),
  [14452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5535),
  [14454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(491),
  [14456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3456),
  [14458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(338),
  [14460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3229),
  [14462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [14464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3271),
  [14466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [14468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3268),
  [14470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(339),
  [14472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3232),
  [14474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13768),
  [14476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15717),
  [14478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5697),
  [14480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7155),
  [14482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12254),
  [14484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5412),
  [14486] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1729),
  [14489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5725),
  [14491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6786),
  [14493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5819),
  [14495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11648),
  [14497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12396),
  [14499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5741),
  [14501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11573),
  [14503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11511),
  [14505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5803),
  [14507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13731),
  [14509] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_constructor, 3, 0, 68), SHIFT(14412),
  [14512] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__constructor_applications_repeat1, 2, 0, 122),
  [14514] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_applications_repeat1, 2, 0, 122), SHIFT_REPEAT(4339),
  [14517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15715),
  [14519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3438),
  [14521] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__object_definition, 3, 0, 76),
  [14523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9447),
  [14525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15692),
  [14527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3758),
  [14529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12696),
  [14531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14134),
  [14533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15680),
  [14535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(595),
  [14537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1441),
  [14539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14192),
  [14541] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__constructor_applications_repeat2, 2, 0, 122),
  [14543] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_applications_repeat2, 2, 0, 122), SHIFT_REPEAT(4341),
  [14546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6402),
  [14548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17453),
  [14550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(606),
  [14552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1324),
  [14554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15748),
  [14556] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_constructor, 1, 0, 2),
  [14558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3723),
  [14560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3722),
  [14562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13738),
  [14564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15726),
  [14566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10422),
  [14568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7940),
  [14570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15711),
  [14572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15746),
  [14574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11860),
  [14576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4139),
  [14578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11542),
  [14580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11489),
  [14582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9347),
  [14584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9345),
  [14586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11522),
  [14588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11884),
  [14590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7934),
  [14592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14060),
  [14594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15652),
  [14596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17221),
  [14598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15732),
  [14600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15625),
  [14602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(591),
  [14604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1360),
  [14606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15678),
  [14608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15599),
  [14610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9343),
  [14612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9686),
  [14614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9358),
  [14616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(596),
  [14618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1390),
  [14620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15695),
  [14622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12284),
  [14624] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__constructor_applications, 2, 0, 122),
  [14626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(624),
  [14628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1120),
  [14630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15668),
  [14632] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_constructor, 4, 0, 99),
  [14634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15578),
  [14636] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1760),
  [14639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8356),
  [14641] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_constructor, 2, 0, 23), SHIFT(14412),
  [14644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15662),
  [14646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(585),
  [14648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(811),
  [14650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15701),
  [14652] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator, 4, 0, 0),
  [14654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2133),
  [14656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16086),
  [14658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15550),
  [14660] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7833),
  [14663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15644),
  [14665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9037),
  [14667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15651),
  [14669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12630),
  [14671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5436),
  [14673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15693),
  [14675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9348),
  [14677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15639),
  [14679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15522),
  [14681] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1706),
  [14684] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_definition, 3, 0, 87),
  [14686] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_definition, 3, 0, 87), SHIFT(13874),
  [14689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15602),
  [14691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15496),
  [14693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7516),
  [14695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(600),
  [14697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(812),
  [14699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(586),
  [14701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1226),
  [14703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(980),
  [14705] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_constructor, 3, 0, 2), SHIFT(14412),
  [14708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6924),
  [14710] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_constructor, 3, 0, 69), SHIFT(14412),
  [14713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15482),
  [14715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15621),
  [14717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15669),
  [14719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6592),
  [14721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15582),
  [14723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11900),
  [14725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4153),
  [14727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11408),
  [14729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11395),
  [14731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11558),
  [14733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11943),
  [14735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15492),
  [14737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4166),
  [14739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9307),
  [14741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4137),
  [14743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8950),
  [14745] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator, 3, 0, 0),
  [14747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(614),
  [14749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(902),
  [14751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15622),
  [14753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(602),
  [14755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1012),
  [14757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15506),
  [14759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15739),
  [14761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7272),
  [14763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1237),
  [14765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15612),
  [14767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15617),
  [14769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8309),
  [14771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11449),
  [14773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9017),
  [14775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3833),
  [14777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15519),
  [14779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15571),
  [14781] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__class_constructor_repeat1, 2, 0, 0), SHIFT_REPEAT(4202),
  [14784] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__class_constructor_repeat1, 2, 0, 0), SHIFT_REPEAT(14412),
  [14787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15604),
  [14789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15498),
  [14791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15589),
  [14793] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_constructor, 3, 0, 22),
  [14795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1188),
  [14797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15533),
  [14799] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_constructor, 2, 0, 2),
  [14801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15529),
  [14803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16705),
  [14805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9407),
  [14807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15556),
  [14809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8396),
  [14811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12771),
  [14813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12778),
  [14815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(597),
  [14817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1109),
  [14819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15540),
  [14821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15538),
  [14823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15595),
  [14825] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__function_constructor_repeat1, 2, 0, 0), SHIFT_REPEAT(9939),
  [14828] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__function_constructor_repeat1, 2, 0, 0), SHIFT_REPEAT(14508),
  [14831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(989),
  [14833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(946),
  [14835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15548),
  [14837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9443),
  [14839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9256),
  [14841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15523),
  [14843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15486),
  [14845] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_constructor, 4, 0, 22), SHIFT(14412),
  [14848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10126),
  [14850] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_constructor, 4, 0, 120), SHIFT(14412),
  [14853] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_constructor, 4, 0, 121), SHIFT(14412),
  [14856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9776),
  [14858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4150),
  [14860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11372),
  [14862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11999),
  [14864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11728),
  [14866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14342),
  [14868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13029),
  [14870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15565),
  [14872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9411),
  [14874] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_definition, 2, 0, 47),
  [14876] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_definition, 2, 0, 47), SHIFT(13874),
  [14879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8281),
  [14881] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__object_definition, 2, 0, 32),
  [14883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15575),
  [14885] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_constructor, 5, 0, 148), SHIFT(14412),
  [14888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1639),
  [14890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11666),
  [14892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(622),
  [14894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1518),
  [14896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12743),
  [14898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6847),
  [14900] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1715),
  [14903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3498),
  [14905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3497),
  [14907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15493),
  [14909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15509),
  [14911] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_constructor, 3, 0, 57),
  [14913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15585),
  [14915] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_parameters, 6, 0, 0),
  [14917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13156),
  [14919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9388),
  [14921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3242),
  [14923] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_applications_repeat1, 2, 0, 122), SHIFT_REPEAT(4342),
  [14926] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_applications_repeat2, 2, 0, 122), SHIFT_REPEAT(4320),
  [14929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(593),
  [14931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1329),
  [14933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11620),
  [14935] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1658),
  [14938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14233),
  [14940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3120),
  [14942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14117),
  [14944] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__constructor_applications_repeat1, 2, 0, 15),
  [14946] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__constructor_applications_repeat2, 2, 0, 15),
  [14948] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class_parameters, 4, 0, 0), REDUCE(sym_class_parameters, 5, 0, 0),
  [14951] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_parameters, 5, 0, 0),
  [14953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(587),
  [14955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1410),
  [14957] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48),
  [14959] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(16052),
  [14962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1510),
  [14964] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), REDUCE(sym_if_expression, 4, 0, 113),
  [14967] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113),
  [14969] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(16056),
  [14972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1498),
  [14974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(599),
  [14976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1303),
  [14978] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_parameters, 4, 0, 0),
  [14980] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class_parameters, 3, 0, 0), REDUCE(sym_class_parameters, 4, 0, 0),
  [14983] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_parameter, 2, 0, 56),
  [14985] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(16670),
  [14988] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(862),
  [14991] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(16664),
  [14994] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(873),
  [14997] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__class_constructor_repeat1, 1, 0, 0),
  [14999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(592),
  [15001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(998),
  [15003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(619),
  [15005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1145),
  [15007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3606),
  [15009] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_parameters, 2, 0, 0),
  [15011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14318),
  [15013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(603),
  [15015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1050),
  [15017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1490),
  [15019] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(16337),
  [15022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1105),
  [15024] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_definition, 2, 0, 47), SHIFT(13959),
  [15027] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(16357),
  [15030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1082),
  [15032] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class_parameters, 5, 0, 0), REDUCE(sym_class_parameters, 6, 0, 0),
  [15035] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(16820),
  [15038] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(1089),
  [15041] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(16828),
  [15044] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(1096),
  [15047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9544),
  [15049] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class_parameters, 2, 0, 0), REDUCE(sym_class_parameters, 3, 0, 0),
  [15052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1529),
  [15054] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_definition, 3, 0, 87), SHIFT(13959),
  [15057] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class_parameters, 6, 0, 0), REDUCE(sym_class_parameters, 7, 0, 0),
  [15060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(623),
  [15062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1015),
  [15064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3524),
  [15066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14250),
  [15068] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_parameters, 3, 0, 0),
  [15070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9322),
  [15072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1254),
  [15074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1204),
  [15076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13122),
  [15078] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_parameters, 7, 0, 0),
  [15080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3131),
  [15082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1753),
  [15084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11849),
  [15086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8963),
  [15088] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extends_clause, 2, 0, 71),
  [15090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11459),
  [15092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13017),
  [15094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(588),
  [15096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1154),
  [15098] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_parameter, 3, 0, 97),
  [15100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13092),
  [15102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3770),
  [15104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3766),
  [15106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(628),
  [15108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(941),
  [15110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3617),
  [15112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14177),
  [15114] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(16307),
  [15117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1150),
  [15119] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(16312),
  [15122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1141),
  [15124] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(15986),
  [15127] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(818),
  [15130] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(15973),
  [15133] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(877),
  [15136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(589),
  [15138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1387),
  [15140] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator, 1, 0, 0),
  [15142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16834),
  [15144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1471),
  [15146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3774),
  [15148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3437),
  [15150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(581),
  [15152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1271),
  [15154] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(16173),
  [15157] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(1313),
  [15160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(608),
  [15162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1437),
  [15164] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7533),
  [15167] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(16882),
  [15170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1477),
  [15172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11955),
  [15174] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(16772),
  [15177] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(1021),
  [15180] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_derives_clause, 2, 0, 50),
  [15182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11194),
  [15184] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(16783),
  [15187] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(1029),
  [15190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1077),
  [15192] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(16889),
  [15195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1315),
  [15197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(626),
  [15199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1033),
  [15201] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_package_identifier_repeat1, 2, 0, 0),
  [15203] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(16355),
  [15206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1325),
  [15208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(610),
  [15210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1545),
  [15212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9530),
  [15214] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_constructor, 2, 0, 22),
  [15216] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enumerator_repeat1, 2, 0, 0),
  [15218] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enumerator_repeat1, 2, 0, 0), SHIFT_REPEAT(2133),
  [15221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(629),
  [15223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1454),
  [15225] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(16180),
  [15228] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(1302),
  [15231] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__function_constructor_repeat1, 1, 0, 0),
  [15233] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(15864),
  [15236] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(1278),
  [15239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16826),
  [15241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1300),
  [15243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3633),
  [15245] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8851),
  [15248] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(16932),
  [15251] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(1233),
  [15254] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(16921),
  [15257] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(1223),
  [15260] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(16859),
  [15263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1130),
  [15265] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(16851),
  [15268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1124),
  [15270] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1776),
  [15273] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_derives_clause_repeat1, 2, 0, 151),
  [15275] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_derives_clause_repeat1, 2, 0, 151), SHIFT_REPEAT(11194),
  [15278] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_derives_clause, 3, 0, 123),
  [15280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1277),
  [15282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(627),
  [15284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1631),
  [15286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(890),
  [15288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1465),
  [15290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14271),
  [15292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13383),
  [15294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1058),
  [15296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13307),
  [15298] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(16350),
  [15301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1318),
  [15303] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7701),
  [15306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14137),
  [15308] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(15859),
  [15311] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(1330),
  [15314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(935),
  [15316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13326),
  [15318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9289),
  [15320] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(16873),
  [15323] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(1165),
  [15326] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(16877),
  [15329] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(1157),
  [15332] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(16679),
  [15335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(907),
  [15337] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(16684),
  [15340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(919),
  [15342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3603),
  [15344] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(16967),
  [15347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1535),
  [15349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4337),
  [15351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4343),
  [15353] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(16443),
  [15356] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(1024),
  [15359] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(16386),
  [15362] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(1036),
  [15365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3798),
  [15367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3550),
  [15369] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__full_enum_def, 2, 0, 166),
  [15371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4227),
  [15373] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__full_enum_def, 2, 0, 166), SHIFT(16867),
  [15376] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__block, 1, 0, 0),
  [15378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(498),
  [15380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4221),
  [15382] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__full_enum_def, 2, 0, 166), SHIFT(16659),
  [15385] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_parameter, 5, 0, 169),
  [15387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2373),
  [15389] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_guard, 2, 0, 51),
  [15391] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(16172),
  [15394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1208),
  [15396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3645),
  [15398] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(16222),
  [15401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1240),
  [15403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14202),
  [15405] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(16160),
  [15408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1175),
  [15410] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_clause, 2, 0, 3),
  [15412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11662),
  [15414] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(16282),
  [15417] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(1290),
  [15420] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__namespace_expression, 1, 0, 5),
  [15422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10243),
  [15424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2295),
  [15426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13562),
  [15428] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extends_clause, 3, 0, 71),
  [15430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4370),
  [15432] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__full_enum_def, 1, 0, 150),
  [15434] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__full_enum_def, 1, 0, 150), SHIFT(16867),
  [15437] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(16474),
  [15440] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(925),
  [15443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15802),
  [15445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1599),
  [15447] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_derives_clause_repeat1, 2, 0, 50),
  [15449] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(16609),
  [15452] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(830),
  [15455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11126),
  [15457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11729),
  [15459] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(16613),
  [15462] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(836),
  [15465] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__namespace_expression, 2, 0, 33),
  [15467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10324),
  [15469] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(16295),
  [15472] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(1299),
  [15475] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(16009),
  [15478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1613),
  [15480] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__full_enum_def, 1, 0, 150), SHIFT(16659),
  [15483] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(16216),
  [15486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1250),
  [15488] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_parameter, 4, 0, 133),
  [15490] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(16034),
  [15493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1572),
  [15495] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(16980),
  [15498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1644),
  [15500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(335),
  [15502] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_parameter, 4, 0, 153),
  [15504] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_derives_clause_repeat1, 2, 0, 151), SHIFT_REPEAT(11126),
  [15507] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(16907),
  [15510] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(1197),
  [15513] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_package_identifier_repeat1, 2, 0, 0), SHIFT_REPEAT(12591),
  [15516] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(16899),
  [15519] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(1190),
  [15522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15808),
  [15524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1537),
  [15526] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(16437),
  [15529] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(973),
  [15532] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(16426),
  [15535] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(983),
  [15538] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(16804),
  [15541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1061),
  [15543] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(16801),
  [15546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1054),
  [15548] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(16749),
  [15551] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(990),
  [15554] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(16757),
  [15557] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(984),
  [15560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14143),
  [15562] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_parameter, 3, 0, 98),
  [15564] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(16467),
  [15567] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(942),
  [15570] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(15917),
  [15573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1088),
  [15575] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(15922),
  [15578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1042),
  [15580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11896),
  [15582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4374),
  [15584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4347),
  [15586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4348),
  [15588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13293),
  [15590] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(15801),
  [15593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1304),
  [15595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3721),
  [15597] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declaration, 2, 0, 17),
  [15599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(605),
  [15601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1381),
  [15603] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lower_bound, 2, 0, 50),
  [15605] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(16446),
  [15608] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(1414),
  [15611] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declaration, 4, 0, 100),
  [15613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3576),
  [15615] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(16090),
  [15618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1016),
  [15620] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_declaration, 3, 0, 34),
  [15622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11786),
  [15624] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_declaration, 3, 0, 34),
  [15626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3465),
  [15628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(620),
  [15630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1249),
  [15632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10257),
  [15634] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_identifier, 2, 0, 0),
  [15636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12583),
  [15638] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7651),
  [15641] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(16458),
  [15644] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(1424),
  [15647] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(16273),
  [15650] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(1181),
  [15653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17173),
  [15655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1421),
  [15657] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(15817),
  [15660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1184),
  [15662] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(15903),
  [15665] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(1073),
  [15668] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_applications_repeat2, 2, 0, 122), SHIFT_REPEAT(4370),
  [15671] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(16365),
  [15674] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(1350),
  [15677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3455),
  [15679] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(16097),
  [15682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1041),
  [15684] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_constructor, 2, 0, 56),
  [15686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10290),
  [15688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16667),
  [15690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1500),
  [15692] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8963),
  [15695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16673),
  [15697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1423),
  [15699] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(16259),
  [15702] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(1196),
  [15705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(507),
  [15707] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__block_repeat1, 2, 0, 0),
  [15709] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(16023),
  [15712] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(1102),
  [15715] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_package_identifier_repeat1, 2, 0, 0), SHIFT_REPEAT(12269),
  [15718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3561),
  [15720] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declaration, 3, 0, 62),
  [15722] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(16543),
  [15725] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(815),
  [15728] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(16577),
  [15731] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(828),
  [15734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(616),
  [15736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1647),
  [15738] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(16405),
  [15741] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(1357),
  [15744] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enumerator_repeat1, 1, 0, 0),
  [15746] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1753),
  [15749] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_package_identifier_repeat1, 2, 0, 0), SHIFT_REPEAT(12583),
  [15752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11488),
  [15754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(969),
  [15756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(580),
  [15758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1378),
  [15760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [15762] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 1, 0, 1),
  [15764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1428),
  [15766] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_declaration, 2, 0, 6),
  [15768] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_declaration, 2, 0, 6),
  [15770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3679),
  [15772] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declaration, 4, 0, 119),
  [15774] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(15856),
  [15777] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(1194),
  [15780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16852),
  [15782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(429),
  [15784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4268),
  [15786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11088),
  [15788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(410),
  [15790] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declaration, 6, 0, 163),
  [15792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(509),
  [15794] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__enum_block, 1, 0, 0),
  [15796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [15798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1043),
  [15800] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_applications_repeat2, 2, 0, 122), SHIFT_REPEAT(4343),
  [15803] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_identifier, 1, 0, 0),
  [15805] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_constructor, 3, 0, 97),
  [15807] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(15866),
  [15810] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(1591),
  [15813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3697),
  [15815] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(16107),
  [15818] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(1413),
  [15821] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(16100),
  [15824] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(1427),
  [15827] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declaration, 5, 0, 137),
  [15829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17141),
  [15831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1267),
  [15833] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__full_enum_def_repeat1, 2, 0, 0),
  [15835] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__full_enum_def_repeat1, 2, 0, 0), SHIFT_REPEAT(4205),
  [15838] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__full_enum_def_repeat1, 2, 0, 0), SHIFT_REPEAT(16867),
  [15841] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(16531),
  [15844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1511),
  [15846] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(15988),
  [15849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1602),
  [15851] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(15972),
  [15854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1555),
  [15856] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_import_declaration_repeat1, 2, 0, 78),
  [15858] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_import_declaration_repeat1, 2, 0, 78), SHIFT_REPEAT(11786),
  [15861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16590),
  [15863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1594),
  [15865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16608),
  [15867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1617),
  [15869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16981),
  [15871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [15873] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__full_enum_def_repeat1, 2, 0, 0), SHIFT_REPEAT(4204),
  [15876] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__full_enum_def_repeat1, 2, 0, 0), SHIFT_REPEAT(16659),
  [15879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3082),
  [15881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(516),
  [15883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1113),
  [15885] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(16521),
  [15888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1493),
  [15890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2298),
  [15892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5933),
  [15894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [15896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15642),
  [15898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15645),
  [15900] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(17282),
  [15903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1528),
  [15905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8543),
  [15907] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_constructor, 3, 0, 98),
  [15909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11614),
  [15911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14127),
  [15913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11607),
  [15915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14131),
  [15917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11676),
  [15919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14140),
  [15921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5425),
  [15923] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__enum_block_repeat1, 2, 0, 0),
  [15925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6642),
  [15927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11803),
  [15929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9219),
  [15931] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(16407),
  [15934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1064),
  [15936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6901),
  [15938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3776),
  [15940] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(16022),
  [15943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(909),
  [15945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8089),
  [15947] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_upper_bound, 2, 0, 50),
  [15949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9326),
  [15951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1571),
  [15953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(312),
  [15955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15609),
  [15957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15610),
  [15959] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enumerators_repeat1, 2, 0, 0),
  [15961] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__top_level_definition, 1, 0, 0),
  [15963] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enumerator_repeat1, 2, 0, 0), SHIFT_REPEAT(2295),
  [15966] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_applications_repeat1, 2, 0, 122), SHIFT_REPEAT(4347),
  [15969] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(17327),
  [15972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1384),
  [15974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3109),
  [15976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7275),
  [15978] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_applications_repeat1, 2, 0, 122), SHIFT_REPEAT(4374),
  [15981] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__namespace_expression, 3, 0, 5),
  [15983] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_import_declaration_repeat1, 2, 0, 6),
  [15985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5270),
  [15987] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(16735),
  [15990] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(1107),
  [15993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10532),
  [15995] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(16781),
  [15998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(931),
  [16000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6802),
  [16002] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__namespace_expression, 4, 0, 33),
  [16004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6070),
  [16006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6855),
  [16008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15945),
  [16010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1326),
  [16012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6433),
  [16014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15957),
  [16016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1373),
  [16018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7943),
  [16020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3763),
  [16022] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator, 5, 0, 0),
  [16024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8744),
  [16026] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(16513),
  [16029] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(880),
  [16032] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_applications_repeat2, 2, 0, 122), SHIFT_REPEAT(4348),
  [16035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1608),
  [16037] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__type_parameter_repeat1, 2, 0, 0),
  [16039] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__type_parameter_repeat1, 2, 0, 0), SHIFT_REPEAT(3620),
  [16042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9293),
  [16044] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(16516),
  [16047] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(865),
  [16050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8684),
  [16052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3513),
  [16054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6064),
  [16056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(807),
  [16058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11591),
  [16060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14148),
  [16062] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_import_declaration_repeat1, 2, 0, 78), SHIFT_REPEAT(11803),
  [16065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11543),
  [16067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14302),
  [16069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8488),
  [16071] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_selectors, 3, 0, 0),
  [16073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9036),
  [16075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1998),
  [16077] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__exprs_in_parens, 1, 0, 0),
  [16079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11636),
  [16081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14340),
  [16083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5666),
  [16085] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_selectors, 5, 0, 0),
  [16087] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_as_renamed_identifier, 3, 0, 152),
  [16089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7634),
  [16091] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_constructor, 4, 0, 133),
  [16093] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(16775),
  [16096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(820),
  [16098] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_applications_repeat1, 2, 0, 122), SHIFT_REPEAT(4337),
  [16101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4066),
  [16103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7792),
  [16105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4097),
  [16107] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(16727),
  [16110] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(1205),
  [16113] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(16715),
  [16116] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(945),
  [16119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16138),
  [16121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1377),
  [16123] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(15781),
  [16126] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(954),
  [16129] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_selectors, 4, 0, 0),
  [16131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16143),
  [16133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1362),
  [16135] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trait_definition, 4, 0, 109),
  [16137] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(16219),
  [16140] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(1258),
  [16143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12231),
  [16145] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_case_definitions, 3, 0, 0),
  [16147] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(16035),
  [16150] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(885),
  [16153] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 4, 0, 112),
  [16155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3484),
  [16157] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__object_definition, 3, 0, 77),
  [16159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2458),
  [16161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6331),
  [16163] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_given_definition, 6, 0, 162),
  [16165] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_given_definition, 5, 0, 136),
  [16167] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_definition, 6, 0, 161),
  [16169] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_tuple_expression_repeat1, 2, 0, 0),
  [16171] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_given_definition, 3, 0, 37),
  [16173] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 5, 0, 135),
  [16175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12199),
  [16177] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_var_declaration, 5, 0, 134),
  [16179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2466),
  [16181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7782),
  [16183] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extension_definition, 4, 0, 95),
  [16185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2537),
  [16187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6918),
  [16189] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_val_declaration, 5, 0, 134),
  [16191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2504),
  [16193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6606),
  [16195] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__full_enum_def_repeat1, 1, 0, 0),
  [16197] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_case_definitions_repeat1, 2, 0, 0),
  [16199] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_case_definitions_repeat1, 2, 0, 0), SHIFT_REPEAT(12199),
  [16202] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 4, 0, 96),
  [16204] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_case_definitions, 4, 0, 0),
  [16206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2473),
  [16208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8198),
  [16210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2502),
  [16212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8424),
  [16214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2468),
  [16216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6596),
  [16218] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_parameter, 5, 0, 170),
  [16220] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_val_definition, 4, 0, 106),
  [16222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2438),
  [16224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5718),
  [16226] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__block_repeat1, 2, 0, 0), SHIFT_REPEAT(511),
  [16229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2490),
  [16231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8958),
  [16233] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 2, 0, 16),
  [16235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3557),
  [16237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2494),
  [16239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7405),
  [16241] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__extension_template_body, 3, 0, 0),
  [16243] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 5, 0, 145),
  [16245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3669),
  [16247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2553),
  [16249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7757),
  [16251] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 6, 0, 159),
  [16253] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_definition, 2, 0, 45),
  [16255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2513),
  [16257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4653),
  [16259] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_given_definition, 6, 0, 158),
  [16261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2492),
  [16263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8673),
  [16265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16930),
  [16267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(961),
  [16269] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_var_definition, 4, 0, 106),
  [16271] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__object_definition, 3, 0, 75),
  [16273] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__definition_body, 1, 0, 30),
  [16275] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__object_definition, 2, 0, 29),
  [16277] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(16047),
  [16280] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(911),
  [16283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2556),
  [16285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9655),
  [16287] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 3, 0, 27),
  [16289] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_definition, 3, 0, 26),
  [16291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2498),
  [16293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6608),
  [16295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2507),
  [16297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5776),
  [16299] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_definition, 4, 0, 108),
  [16301] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 4, 0, 109),
  [16303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2480),
  [16305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9109),
  [16307] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enumerators_repeat1, 2, 0, 0), SHIFT_REPEAT(4038),
  [16310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2535),
  [16312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5870),
  [16314] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_template_body, 4, 0, 0),
  [16316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2515),
  [16318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9093),
  [16320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2510),
  [16322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6145),
  [16324] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_var_definition, 6, 0, 157),
  [16326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2457),
  [16328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5581),
  [16330] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_definition, 3, 0, 24),
  [16332] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_given_definition, 4, 0, 110),
  [16334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3681),
  [16336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2475),
  [16338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8028),
  [16340] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_definition, 5, 0, 139),
  [16342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2559),
  [16344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7610),
  [16346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2461),
  [16348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7346),
  [16350] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_definition, 2, 0, 4),
  [16352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2487),
  [16354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6987),
  [16356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2529),
  [16358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7401),
  [16360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2465),
  [16362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7797),
  [16364] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 7, 0, 176),
  [16366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4044),
  [16368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3936),
  [16370] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 5, 0, 171),
  [16372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2447),
  [16374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4891),
  [16376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2526),
  [16378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7878),
  [16380] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_parameter, 5, 0, 171),
  [16382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2562),
  [16384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5129),
  [16386] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_parameter, 5, 0, 177),
  [16388] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enumerators_repeat1, 2, 0, 0), SHIFT_REPEAT(4044),
  [16391] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_definition, 5, 0, 140),
  [16393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2446),
  [16395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5316),
  [16397] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_definition, 5, 0, 141),
  [16399] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_val_definition, 6, 0, 157),
  [16401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3724),
  [16403] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__definition_body, 2, 0, 14),
  [16405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2445),
  [16407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7328),
  [16409] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 5, 0, 142),
  [16411] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_definition, 4, 0, 116),
  [16413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2453),
  [16415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8990),
  [16417] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_given_definition, 4, 0, 117),
  [16419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2459),
  [16421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9244),
  [16423] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 2, 0, 0),
  [16425] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_case_definitions, 2, 0, 0),
  [16427] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_definition, 4, 0, 72),
  [16429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4038),
  [16431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3953),
  [16433] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_given_definition, 7, 0, 175),
  [16435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2397),
  [16437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2505),
  [16439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5094),
  [16441] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__extension_template_body, 2, 0, 0),
  [16443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2472),
  [16445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7577),
  [16447] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extension_definition, 3, 0, 53),
  [16449] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 6, 0, 182),
  [16451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2488),
  [16453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5241),
  [16455] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_given_definition, 2, 0, 9),
  [16457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2469),
  [16459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7045),
  [16461] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_parameter, 6, 0, 182),
  [16463] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_definition, 4, 0, 129),
  [16465] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_given_definition, 5, 0, 128),
  [16467] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_given_definition, 5, 0, 143),
  [16469] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 2, 0, 18),
  [16471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2437),
  [16473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7686),
  [16475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2489),
  [16477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7960),
  [16479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2508),
  [16481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5745),
  [16483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2485),
  [16485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7167),
  [16487] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerators, 1, 0, 0),
  [16489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3951),
  [16491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2484),
  [16493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5640),
  [16495] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extension_definition, 3, 0, 54),
  [16497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2450),
  [16499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5141),
  [16501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(470),
  [16503] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 3, 0, 0),
  [16505] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__structural_instance, 3, 0, 81),
  [16507] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_parameter, 4, 0, 164),
  [16509] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_parameter, 7, 0, 187),
  [16511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3402),
  [16513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2471),
  [16515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4728),
  [16517] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_parameter, 3, 0, 146),
  [16519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2440),
  [16521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8676),
  [16523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13853),
  [16525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10095),
  [16527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11494),
  [16529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11509),
  [16531] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(16232),
  [16534] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(1266),
  [16537] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_definition, 5, 0, 124),
  [16539] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_definition, 4, 0, 73),
  [16541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2550),
  [16543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7282),
  [16545] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__object_definition, 4, 0, 125),
  [16547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2482),
  [16549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6189),
  [16551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13751),
  [16553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9996),
  [16555] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_parameter, 6, 0, 185),
  [16557] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 3, 0, 59),
  [16559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3637),
  [16561] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 4, 0, 0),
  [16563] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_template_body, 3, 0, 0),
  [16565] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_given_definition, 4, 0, 82),
  [16567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2530),
  [16569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7233),
  [16571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2533),
  [16573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5486),
  [16575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16925),
  [16577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(888),
  [16579] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7666),
  [16582] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_definition, 3, 0, 86),
  [16584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2443),
  [16586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8545),
  [16588] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 7, 0, 187),
  [16590] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extension_definition, 2, 0, 14),
  [16592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2500),
  [16594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7325),
  [16596] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 2, 0, 11),
  [16598] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_parameter, 6, 0, 181),
  [16600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2460),
  [16602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4708),
  [16604] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_case_definitions_repeat1, 2, 0, 0), SHIFT_REPEAT(12231),
  [16607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(431),
  [16609] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trait_definition, 2, 0, 11),
  [16611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2512),
  [16613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7154),
  [16615] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_parameter, 8, 0, 188),
  [16617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3924),
  [16619] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_definition, 3, 0, 88),
  [16621] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 3, 0, 58),
  [16623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3698),
  [16625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2491),
  [16627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7084),
  [16629] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__block_repeat1, 2, 0, 0), SHIFT_REPEAT(510),
  [16632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17052),
  [16634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(861),
  [16636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2448),
  [16638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7495),
  [16640] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_given_definition, 3, 0, 60),
  [16642] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__type_parameter_repeat2, 2, 0, 0), SHIFT_REPEAT(3621),
  [16645] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__type_parameter_repeat2, 2, 0, 0),
  [16647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2531),
  [16649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9594),
  [16651] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trait_definition, 3, 0, 27),
  [16653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2478),
  [16655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6250),
  [16657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17037),
  [16659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(912),
  [16661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2476),
  [16663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7402),
  [16665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7980),
  [16667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4095),
  [16669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4087),
  [16671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8102),
  [16673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15618),
  [16675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5814),
  [16677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12553),
  [16679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14172),
  [16681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15257),
  [16683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7858),
  [16685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3514),
  [16687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2570),
  [16689] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_parameter, 4, 0, 165),
  [16691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2339),
  [16693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10419),
  [16695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13322),
  [16697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6327),
  [16699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14064),
  [16701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15287),
  [16703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12385),
  [16705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8334),
  [16707] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 3, 0, 102),
  [16709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2241),
  [16711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3771),
  [16713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7489),
  [16715] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_view_bound, 2, 0, 50),
  [16717] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_tuple_type_repeat1, 2, 0, 0), SHIFT_REPEAT(3208),
  [16720] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_tuple_type_repeat1, 2, 0, 0),
  [16722] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_compilation_unit_repeat1, 2, 0, 0),
  [16724] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_compilation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(153),
  [16727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11143),
  [16729] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerators, 5, 0, 0),
  [16731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15735),
  [16733] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__block_repeat1, 2, 0, 0), SHIFT_REPEAT(512),
  [16736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15601),
  [16738] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__block_repeat1, 2, 0, 0), SHIFT_REPEAT(515),
  [16741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3243),
  [16743] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_derives_clause_repeat1, 2, 0, 151), SHIFT_REPEAT(11138),
  [16746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15569),
  [16748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11246),
  [16750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6513),
  [16752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4048),
  [16754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4031),
  [16756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15640),
  [16758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6466),
  [16760] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 5, 0, 172),
  [16762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2345),
  [16764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12015),
  [16766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14071),
  [16768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15429),
  [16770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9383),
  [16772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9573),
  [16774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10499),
  [16776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13050),
  [16778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14166),
  [16780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15294),
  [16782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11800),
  [16784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13233),
  [16786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11586),
  [16788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2572),
  [16790] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_parameter, 3, 0, 147),
  [16792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2271),
  [16794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11590),
  [16796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6883),
  [16798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14264),
  [16800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15371),
  [16802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5324),
  [16804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11594),
  [16806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8169),
  [16808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11138),
  [16810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14261),
  [16812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14449),
  [16814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11717),
  [16816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15720),
  [16818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15587),
  [16820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11455),
  [16822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13062),
  [16824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14156),
  [16826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15208),
  [16828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(518),
  [16830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13283),
  [16832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5388),
  [16834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15606),
  [16836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12533),
  [16838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(127),
  [16840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5398),
  [16842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12821),
  [16844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12749),
  [16846] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_parameter, 4, 0, 105),
  [16848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2338),
  [16850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2563),
  [16852] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_parameter, 2, 0, 3),
  [16854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2184),
  [16856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13167),
  [16858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6938),
  [16860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13572),
  [16862] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_parameter, 6, 0, 184),
  [16864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2342),
  [16866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8330),
  [16868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14168),
  [16870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15206),
  [16872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12040),
  [16874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12803),
  [16876] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerators, 4, 0, 0),
  [16878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14218),
  [16880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15462),
  [16882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9040),
  [16884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5533),
  [16886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5387),
  [16888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6672),
  [16890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7205),
  [16892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14153),
  [16894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15443),
  [16896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10365),
  [16898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(513),
  [16900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15664),
  [16902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8697),
  [16904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14195),
  [16906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15203),
  [16908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11577),
  [16910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12196),
  [16912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15489),
  [16914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10610),
  [16916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8383),
  [16918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11688),
  [16920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8011),
  [16922] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_parameter, 3, 0, 102),
  [16924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2266),
  [16926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2436),
  [16928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13018),
  [16930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6558),
  [16932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12819),
  [16934] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_identifiers_repeat1, 2, 0, 0),
  [16936] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_identifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(12763),
  [16939] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_parameter, 5, 0, 172),
  [16941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2344),
  [16943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13380),
  [16945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16867),
  [16947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15688),
  [16949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13015),
  [16951] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_enum_case, 2, 0, 31),
  [16953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14222),
  [16955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15054),
  [16957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [16959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6217),
  [16961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2528),
  [16963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13408),
  [16965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14254),
  [16967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15328),
  [16969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9230),
  [16971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8608),
  [16973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14118),
  [16975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15396),
  [16977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3087),
  [16979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4026),
  [16981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14075),
  [16983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10908),
  [16985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11174),
  [16987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15555),
  [16989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8095),
  [16991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15773),
  [16993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6848),
  [16995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8145),
  [16997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6930),
  [16999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [17001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13175),
  [17003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(460),
  [17005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10847),
  [17007] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_indented_cases_repeat1, 2, 0, 0),
  [17009] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_indented_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(4095),
  [17012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13113),
  [17014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13602),
  [17016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15747),
  [17018] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enumerators_repeat1, 2, 0, 0), SHIFT_REPEAT(4048),
  [17021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12683),
  [17023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14259),
  [17025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15147),
  [17027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9467),
  [17029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16659),
  [17031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10414),
  [17033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15699),
  [17035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8852),
  [17037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12261),
  [17039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9211),
  [17041] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_val_declaration_repeat1, 2, 0, 3), REDUCE(sym_identifiers, 3, 0, 0),
  [17044] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_val_declaration_repeat1, 2, 0, 3), SHIFT(12763),
  [17047] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_identifiers, 3, 0, 0),
  [17049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6663),
  [17051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6294),
  [17053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15534),
  [17055] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_indented_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(4087),
  [17058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(425),
  [17060] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__indented_type_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(5814),
  [17063] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__indented_type_cases_repeat1, 2, 0, 0),
  [17065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11402),
  [17067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11623),
  [17069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15508),
  [17071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11628),
  [17073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6874),
  [17075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8270),
  [17077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8919),
  [17079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14327),
  [17081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15362),
  [17083] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 4, 0, 105),
  [17085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2327),
  [17087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7234),
  [17089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5350),
  [17091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10985),
  [17093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11643),
  [17095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12382),
  [17097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11228),
  [17099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5488),
  [17101] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_namespace_selectors_repeat1, 2, 0, 0),
  [17103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11568),
  [17105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9494),
  [17107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6050),
  [17109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2552),
  [17111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10335),
  [17113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5677),
  [17115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15520),
  [17117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2565),
  [17119] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_parameter, 1, 0, 2),
  [17121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2082),
  [17123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14323),
  [17125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15021),
  [17127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11608),
  [17129] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__enum_block_repeat1, 2, 0, 0), SHIFT_REPEAT(520),
  [17132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14347),
  [17134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15121),
  [17136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15706),
  [17138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12707),
  [17140] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_identifiers, 4, 0, 0),
  [17142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12763),
  [17144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7856),
  [17146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17093),
  [17148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7519),
  [17150] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__type_parameter_repeat1, 1, 0, 0),
  [17152] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__enum_block_repeat1, 2, 0, 0), SHIFT_REPEAT(519),
  [17155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3246),
  [17157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15235),
  [17159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10538),
  [17161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6416),
  [17163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2779),
  [17165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10957),
  [17167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3048),
  [17169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4257),
  [17171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3040),
  [17173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12645),
  [17175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3157),
  [17177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3010),
  [17179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6256),
  [17181] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__full_enum_def, 3, 0, 178),
  [17183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3039),
  [17185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7476),
  [17187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3009),
  [17189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6263),
  [17191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2777),
  [17193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8533),
  [17195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15229),
  [17197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6324),
  [17199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3007),
  [17201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3006),
  [17203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2775),
  [17205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2747),
  [17207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11049),
  [17209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3038),
  [17211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3055),
  [17213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3036),
  [17215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3063),
  [17217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6233),
  [17219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2770),
  [17221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2999),
  [17223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10929),
  [17225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3081),
  [17227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6028),
  [17229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2987),
  [17231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4424),
  [17233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2796),
  [17235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2980),
  [17237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2801),
  [17239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2979),
  [17241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9401),
  [17243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3080),
  [17245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3079),
  [17247] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_namespace_selectors_repeat1, 2, 0, 0), SHIFT_REPEAT(10287),
  [17250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3077),
  [17252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8674),
  [17254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7920),
  [17256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2978),
  [17258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6853),
  [17260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3076),
  [17262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11769),
  [17264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2977),
  [17266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5048),
  [17268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4193),
  [17270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16733),
  [17272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7338),
  [17274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10339),
  [17276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2976),
  [17278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10533),
  [17280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2971),
  [17282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2600),
  [17284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8779),
  [17286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3565),
  [17288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3075),
  [17290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3018),
  [17292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1905),
  [17294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7837),
  [17296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3072),
  [17298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6087),
  [17300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11036),
  [17302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15782),
  [17304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2967),
  [17306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8460),
  [17308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3071),
  [17310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6102),
  [17312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11032),
  [17314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16646),
  [17316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2966),
  [17318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4907),
  [17320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7380),
  [17322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11027),
  [17324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16638),
  [17326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11026),
  [17328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16636),
  [17330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2963),
  [17332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3641),
  [17334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2957),
  [17336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10999),
  [17338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16627),
  [17340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3639),
  [17342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3070),
  [17344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3066),
  [17346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11024),
  [17348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16625),
  [17350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3638),
  [17352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3064),
  [17354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9319),
  [17356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11022),
  [17358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16616),
  [17360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2955),
  [17362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4498),
  [17364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3047),
  [17366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2603),
  [17368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7813),
  [17370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2951),
  [17372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7703),
  [17374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11015),
  [17376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16614),
  [17378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11030),
  [17380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16605),
  [17382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2944),
  [17384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3642),
  [17386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2943),
  [17388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11028),
  [17390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16603),
  [17392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7900),
  [17394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3062),
  [17396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3061),
  [17398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11023),
  [17400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16594),
  [17402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3060),
  [17404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13093),
  [17406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11021),
  [17408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16592),
  [17410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2940),
  [17412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5080),
  [17414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3059),
  [17416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6311),
  [17418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2939),
  [17420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4892),
  [17422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11020),
  [17424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16583),
  [17426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11019),
  [17428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16581),
  [17430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4224),
  [17432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2938),
  [17434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11018),
  [17436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16572),
  [17438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3074),
  [17440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11017),
  [17442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16570),
  [17444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3058),
  [17446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3057),
  [17448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11016),
  [17450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16561),
  [17452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11014),
  [17454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16559),
  [17456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3056),
  [17458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6381),
  [17460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11013),
  [17462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16549),
  [17464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2936),
  [17466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11864),
  [17468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3054),
  [17470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4966),
  [17472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11011),
  [17474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16547),
  [17476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2935),
  [17478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6473),
  [17480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7323),
  [17482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10351),
  [17484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11010),
  [17486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16537),
  [17488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10441),
  [17490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2931),
  [17492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11009),
  [17494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16535),
  [17496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2929),
  [17498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10487),
  [17500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11007),
  [17502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16525),
  [17504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3053),
  [17506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3052),
  [17508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11003),
  [17510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16523),
  [17512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3051),
  [17514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6814),
  [17516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15721),
  [17518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14497),
  [17520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17514),
  [17522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2928),
  [17524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5097),
  [17526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3050),
  [17528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4962),
  [17530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2927),
  [17532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12496),
  [17534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11001),
  [17536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16507),
  [17538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2608),
  [17540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10920),
  [17542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16505),
  [17544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2926),
  [17546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2804),
  [17548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10650),
  [17550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2924),
  [17552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10997),
  [17554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16489),
  [17556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10994),
  [17558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16487),
  [17560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3046),
  [17562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10837),
  [17564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10990),
  [17566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16471),
  [17568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3042),
  [17570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6668),
  [17572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10982),
  [17574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16469),
  [17576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2923),
  [17578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7198),
  [17580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3035),
  [17582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4970),
  [17584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2756),
  [17586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7370),
  [17588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2917),
  [17590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6182),
  [17592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3272),
  [17594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10978),
  [17596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16453),
  [17598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2609),
  [17600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2916),
  [17602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10976),
  [17604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16451),
  [17606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2914),
  [17608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10970),
  [17610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16435),
  [17612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3034),
  [17614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3033),
  [17616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10967),
  [17618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16433),
  [17620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3032),
  [17622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5768),
  [17624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4233),
  [17626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2912),
  [17628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5106),
  [17630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3031),
  [17632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4407),
  [17634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4234),
  [17636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2906),
  [17638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5965),
  [17640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10962),
  [17642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16417),
  [17644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10961),
  [17646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16415),
  [17648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2905),
  [17650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2903),
  [17652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10955),
  [17654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16399),
  [17656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10952),
  [17658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16397),
  [17660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3029),
  [17662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3027),
  [17664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10468),
  [17666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10951),
  [17668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16381),
  [17670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3026),
  [17672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9015),
  [17674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10467),
  [17676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2899),
  [17678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7352),
  [17680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3025),
  [17682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7767),
  [17684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10948),
  [17686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16379),
  [17688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2898),
  [17690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6033),
  [17692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2551),
  [17694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10944),
  [17696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16362),
  [17698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4115),
  [17700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2896),
  [17702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10941),
  [17704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16360),
  [17706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2894),
  [17708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10935),
  [17710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16343),
  [17712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3024),
  [17714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3023),
  [17716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4237),
  [17718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10934),
  [17720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16341),
  [17722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3022),
  [17724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7122),
  [17726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2893),
  [17728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6124),
  [17730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3021),
  [17732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8305),
  [17734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4243),
  [17736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2889),
  [17738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7212),
  [17740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10925),
  [17742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16324),
  [17744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10112),
  [17746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10923),
  [17748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16322),
  [17750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2887),
  [17752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10921),
  [17754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16305),
  [17756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2886),
  [17758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10872),
  [17760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16303),
  [17762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4252),
  [17764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3017),
  [17766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3013),
  [17768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4245),
  [17770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10916),
  [17772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16286),
  [17774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3005),
  [17776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7829),
  [17778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10915),
  [17780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16284),
  [17782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2885),
  [17784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7121),
  [17786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3004),
  [17788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6083),
  [17790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4248),
  [17792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2884),
  [17794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6304),
  [17796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10910),
  [17798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16266),
  [17800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10804),
  [17802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16264),
  [17804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2882),
  [17806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10794),
  [17808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16246),
  [17810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2937),
  [17812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1900),
  [17814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8302),
  [17816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10793),
  [17818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16244),
  [17820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3003),
  [17822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3002),
  [17824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3339),
  [17826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2808),
  [17828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8368),
  [17830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3001),
  [17832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11528),
  [17834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10790),
  [17836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16226),
  [17838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2873),
  [17840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4564),
  [17842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3000),
  [17844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6015),
  [17846] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__full_enum_def, 2, 0, 167),
  [17848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2870),
  [17850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12429),
  [17852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10784),
  [17854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16224),
  [17856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9274),
  [17858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2867),
  [17860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10770),
  [17862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16206),
  [17864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2865),
  [17866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10768),
  [17868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16204),
  [17870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7156),
  [17872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11475),
  [17874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2998),
  [17876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2997),
  [17878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10420),
  [17880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10765),
  [17882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16186),
  [17884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2996),
  [17886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11476),
  [17888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2621),
  [17890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4304),
  [17892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2860),
  [17894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9340),
  [17896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2995),
  [17898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7283),
  [17900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2964),
  [17902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6369),
  [17904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2858),
  [17906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7996),
  [17908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10764),
  [17910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16184),
  [17912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3490),
  [17914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10763),
  [17916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16166),
  [17918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2857),
  [17920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9475),
  [17922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2856),
  [17924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10753),
  [17926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16164),
  [17928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10750),
  [17930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16146),
  [17932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2994),
  [17934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2993),
  [17936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1949),
  [17938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9518),
  [17940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10737),
  [17942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16144),
  [17944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2992),
  [17946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12456),
  [17948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10736),
  [17950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16125),
  [17952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2855),
  [17954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5138),
  [17956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2991),
  [17958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7129),
  [17960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10735),
  [17962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16123),
  [17964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2854),
  [17966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6886),
  [17968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14646),
  [17970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17513),
  [17972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17100),
  [17974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10734),
  [17976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16104),
  [17978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2753),
  [17980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6012),
  [17982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2853),
  [17984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10733),
  [17986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16102),
  [17988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2852),
  [17990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2628),
  [17992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11165),
  [17994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10726),
  [17996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16083),
  [17998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2989),
  [18000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2986),
  [18002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9419),
  [18004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10728),
  [18006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16081),
  [18008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2982),
  [18010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6203),
  [18012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2850),
  [18014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12404),
  [18016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2975),
  [18018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5899),
  [18020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4229),
  [18022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2849),
  [18024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10684),
  [18026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10738),
  [18028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16062),
  [18030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10745),
  [18032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16060),
  [18034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10749),
  [18036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16041),
  [18038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2848),
  [18040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7135),
  [18042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11708),
  [18044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2847),
  [18046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10752),
  [18048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16039),
  [18050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10458),
  [18052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2974),
  [18054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2973),
  [18056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10461),
  [18058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10755),
  [18060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16020),
  [18062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2846),
  [18064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5808),
  [18066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2972),
  [18068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7098),
  [18070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2970),
  [18072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12877),
  [18074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2844),
  [18076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8183),
  [18078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10758),
  [18080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16018),
  [18082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2835),
  [18084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7400),
  [18086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2833),
  [18088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10759),
  [18090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15999),
  [18092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2631),
  [18094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10760),
  [18096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15997),
  [18098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2969),
  [18100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2968),
  [18102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10762),
  [18104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15978),
  [18106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11042),
  [18108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2832),
  [18110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6794),
  [18112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10774),
  [18114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15976),
  [18116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2965),
  [18118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5857),
  [18120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2827),
  [18122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11338),
  [18124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10786),
  [18126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15955),
  [18128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2632),
  [18130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10798),
  [18132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15953),
  [18134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2825),
  [18136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10822),
  [18138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15932),
  [18140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2824),
  [18142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10823),
  [18144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15929),
  [18146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4244),
  [18148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2962),
  [18150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2961),
  [18152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10830),
  [18154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15908),
  [18156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2823),
  [18158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7889),
  [18160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10844),
  [18162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15905),
  [18164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10481),
  [18166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2822),
  [18168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4813),
  [18170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10856),
  [18172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15881),
  [18174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10482),
  [18176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2960),
  [18178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5074),
  [18180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2819),
  [18182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2959),
  [18184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12921),
  [18186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2818),
  [18188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10857),
  [18190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15878),
  [18192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2521),
  [18194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4098),
  [18196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10862),
  [18198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15851),
  [18200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10867),
  [18202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15848),
  [18204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2956),
  [18206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2872),
  [18208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2816),
  [18210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4806),
  [18212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10880),
  [18214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15821),
  [18216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10887),
  [18218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15818),
  [18220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2815),
  [18222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4625),
  [18224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4271),
  [18226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2948),
  [18228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4823),
  [18230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2813),
  [18232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2941),
  [18234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5815),
  [18236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2802),
  [18238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10889),
  [18240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15791),
  [18242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10930),
  [18244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15788),
  [18246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4256),
  [18248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11012),
  [18250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15806),
  [18252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10969),
  [18254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15809),
  [18256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2934),
  [18258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2933),
  [18260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2800),
  [18262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5720),
  [18264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10959),
  [18266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15844),
  [18268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2798),
  [18270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5179),
  [18272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10953),
  [18274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15793),
  [18276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2932),
  [18278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5126),
  [18280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2797),
  [18282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2930),
  [18284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11387),
  [18286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2795),
  [18288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10946),
  [18290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15895),
  [18292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1936),
  [18294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7908),
  [18296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10943),
  [18298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15897),
  [18300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2751),
  [18302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10659),
  [18304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2919),
  [18306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2915),
  [18308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2794),
  [18310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5690),
  [18312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10911),
  [18314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15934),
  [18316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2793),
  [18318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5683),
  [18320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10909),
  [18322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15939),
  [18324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2749),
  [18326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10901),
  [18328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15981),
  [18330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2792),
  [18332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2911),
  [18334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4842),
  [18336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2791),
  [18338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2635),
  [18340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5519),
  [18342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10898),
  [18344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15985),
  [18346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2909),
  [18348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5751),
  [18350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4300),
  [18352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3443),
  [18354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10896),
  [18356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16029),
  [18358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2902),
  [18360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10893),
  [18362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16032),
  [18364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2874),
  [18366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6594),
  [18368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2790),
  [18370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5198),
  [18372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17515),
  [18374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10883),
  [18376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16080),
  [18378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2901),
  [18380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2789),
  [18382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1967),
  [18384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9499),
  [18386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2788),
  [18388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10882),
  [18390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16094),
  [18392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10871),
  [18394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16131),
  [18396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10868),
  [18398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16136),
  [18400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2900),
  [18402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4585),
  [18404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2897),
  [18406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4830),
  [18408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2636),
  [18410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9551),
  [18412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2787),
  [18414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11444),
  [18416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10859),
  [18418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16192),
  [18420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10631),
  [18422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10858),
  [18424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16198),
  [18426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2786),
  [18428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4312),
  [18430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10855),
  [18432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16236),
  [18434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2881),
  [18436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2880),
  [18438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10849),
  [18440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16240),
  [18442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2785),
  [18444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6774),
  [18446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2826),
  [18448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7049),
  [18450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13769),
  [18452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2638),
  [18454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2780),
  [18456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10841),
  [18458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16296),
  [18460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8611),
  [18462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10832),
  [18464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16298),
  [18466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2879),
  [18468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9922),
  [18470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2875),
  [18472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4821),
  [18474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10826),
  [18476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16339),
  [18478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2774),
  [18480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12848),
  [18482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2644),
  [18484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10824),
  [18486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16349),
  [18488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2768),
  [18490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4289),
  [18492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10808),
  [18494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16396),
  [18496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10803),
  [18498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16404),
  [18500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2869),
  [18502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4287),
  [18504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2766),
  [18506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8403),
  [18508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10782),
  [18510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16450),
  [18512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2868),
  [18514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2765),
  [18516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10778),
  [18518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16456),
  [18520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4284),
  [18522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10739),
  [18524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16496),
  [18526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2864),
  [18528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10869),
  [18530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2764),
  [18532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5208),
  [18534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10740),
  [18536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16498),
  [18538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2828),
  [18540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2851),
  [18542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4814),
  [18544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2763),
  [18546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2733),
  [18548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8609),
  [18550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10746),
  [18552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16553),
  [18554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7057),
  [18556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13745),
  [18558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10748),
  [18560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16568),
  [18562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3178),
  [18564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9474),
  [18566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2762),
  [18568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6830),
  [18570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10767),
  [18572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16653),
  [18574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2843),
  [18576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2761),
  [18578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7025),
  [18580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12198),
  [18582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10769),
  [18584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16657),
  [18586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2842),
  [18588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2651),
  [18590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7690),
  [18592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2760),
  [18594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12814),
  [18596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3371),
  [18598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2759),
  [18600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10772),
  [18602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16711),
  [18604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2841),
  [18606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7709),
  [18608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2838),
  [18610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7700),
  [18612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2758),
  [18614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6486),
  [18616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10776),
  [18618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16714),
  [18620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1983),
  [18622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6632),
  [18624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2755),
  [18626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8796),
  [18628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2653),
  [18630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9420),
  [18632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2748),
  [18634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6856),
  [18636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9413),
  [18638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2581),
  [18640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2580),
  [18642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2697),
  [18644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10796),
  [18646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16833),
  [18648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2740),
  [18650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4677),
  [18652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7022),
  [18654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12225),
  [18656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10797),
  [18658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16839),
  [18660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2738),
  [18662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2656),
  [18664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2821),
  [18666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8462),
  [18668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2737),
  [18670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9597),
  [18672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2817),
  [18674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11261),
  [18676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2732),
  [18678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2830),
  [18680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11259),
  [18682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2726),
  [18684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5218),
  [18686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2725),
  [18688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2657),
  [18690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2724),
  [18692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6401),
  [18694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2812),
  [18696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2723),
  [18698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2811),
  [18700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2722),
  [18702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5569),
  [18704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2720),
  [18706] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_full_enum_case, 2, 0, 149),
  [18708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2719),
  [18710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12094),
  [18712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2718),
  [18714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2717),
  [18716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7039),
  [18718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2810),
  [18720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7624),
  [18722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2712),
  [18724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2805),
  [18726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7615),
  [18728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2702),
  [18730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12791),
  [18732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2701),
  [18734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3355),
  [18736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2698),
  [18738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7567),
  [18740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2696),
  [18742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2784),
  [18744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2695),
  [18746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10922),
  [18748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2783),
  [18750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2694),
  [18752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2836),
  [18754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7287),
  [18756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2693),
  [18758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4791),
  [18760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10995),
  [18762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2690),
  [18764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2781),
  [18766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7048),
  [18768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2684),
  [18770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5541),
  [18772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2772),
  [18774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10620),
  [18776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2683),
  [18778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2682),
  [18780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12104),
  [18782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6975),
  [18784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12754),
  [18786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2681),
  [18788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2658),
  [18790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7819),
  [18792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2678),
  [18794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5516),
  [18796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2757),
  [18798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2677),
  [18800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2754),
  [18802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2676),
  [18804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6226),
  [18806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2673),
  [18808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3342),
  [18810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2672),
  [18812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12336),
  [18814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2659),
  [18816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2744),
  [18818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7127),
  [18820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2742),
  [18822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7521),
  [18824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2660),
  [18826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8687),
  [18828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10890),
  [18830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2736),
  [18832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2735),
  [18834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2728),
  [18836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6184),
  [18838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6970),
  [18840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12796),
  [18842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2671),
  [18844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2721),
  [18846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7217),
  [18848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8855),
  [18850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2674),
  [18852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2731),
  [18854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13547),
  [18856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2716),
  [18858] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__using_parameters_clause_repeat1, 2, 0, 0),
  [18860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2714),
  [18862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8598),
  [18864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10863),
  [18866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15608),
  [18868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11230),
  [18870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2707),
  [18872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9009),
  [18874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2699),
  [18876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11225),
  [18878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2700),
  [18880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12312),
  [18882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3791),
  [18884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2729),
  [18886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2012),
  [18888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9437),
  [18890] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__using_parameters_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(2571),
  [18893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14224),
  [18895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2703),
  [18897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4288),
  [18899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2727),
  [18901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2692),
  [18903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11091),
  [18905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2680),
  [18907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14258),
  [18909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2706),
  [18911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2584),
  [18913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5393),
  [18915] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__using_parameters_clause_repeat1, 2, 0, 0), REDUCE(aux_sym_tuple_type_repeat1, 2, 0, 0),
  [18918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2675),
  [18920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7358),
  [18922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2715),
  [18924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3709),
  [18926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2713),
  [18928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9643),
  [18930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2859),
  [18932] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_lambda_repeat1, 2, 0, 127), SHIFT_REPEAT(11309),
  [18935] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_lambda_repeat1, 2, 0, 127),
  [18937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14150),
  [18939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2002),
  [18941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8264),
  [18943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2670),
  [18945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3704),
  [18947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2669),
  [18949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3703),
  [18951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3701),
  [18953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2711),
  [18955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8524),
  [18957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3699),
  [18959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10017),
  [18961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2662),
  [18963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8830),
  [18965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2861),
  [18967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2655),
  [18969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5431),
  [18971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6272),
  [18973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8049),
  [18975] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_comment_repeat1, 2, 0, 0), SHIFT_REPEAT(15721),
  [18978] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_block_comment_repeat1, 2, 0, 0),
  [18980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4195),
  [18982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16598),
  [18984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2739),
  [18986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13096),
  [18988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10902),
  [18990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17294),
  [18992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3212),
  [18994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2021),
  [18996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9678),
  [18998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2650),
  [19000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2649),
  [19002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2708),
  [19004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2741),
  [19006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6295),
  [19008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2647),
  [19010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6147),
  [19012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6300),
  [19014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2745),
  [19016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10899),
  [19018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17269),
  [19020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2640),
  [19022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5465),
  [19024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10034),
  [19026] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_object, 3, 0, 26),
  [19028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2863),
  [19030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5177),
  [19032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2746),
  [19034] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_clause, 3, 0, 28),
  [19036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2705),
  [19038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3510),
  [19040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1984),
  [19042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6345),
  [19044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2627),
  [19046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14350),
  [19048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2626),
  [19050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8174),
  [19052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2623),
  [19054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7180),
  [19056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2767),
  [19058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4692),
  [19060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2611),
  [19062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12317),
  [19064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3654),
  [19066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3274),
  [19068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2691),
  [19070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4547),
  [19072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2866),
  [19074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6956),
  [19076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8007),
  [19078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6796),
  [19080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12334),
  [19082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2689),
  [19084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6542),
  [19086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2687),
  [19088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3404),
  [19090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2606),
  [19092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2604),
  [19094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3182),
  [19096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3148),
  [19098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3384),
  [19100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3480),
  [19102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3325),
  [19104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3308),
  [19106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3546),
  [19108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3374),
  [19110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3217),
  [19112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3476),
  [19114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3435),
  [19116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3367),
  [19118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3259),
  [19120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3241),
  [19122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3305),
  [19124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3188),
  [19126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3159),
  [19128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10464),
  [19130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2610),
  [19132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11195),
  [19134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2601),
  [19136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8563),
  [19138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2769),
  [19140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5800),
  [19142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8196),
  [19144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2599),
  [19146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8560),
  [19148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3591),
  [19150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2685),
  [19152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2773),
  [19154] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(4359),
  [19157] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_parameters_repeat1, 2, 0, 0),
  [19159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2778),
  [19161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2888),
  [19163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2582),
  [19165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2831),
  [19167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2589),
  [19169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8751),
  [19171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2890),
  [19173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2667),
  [19175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5235),
  [19177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2587),
  [19179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8756),
  [19181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14193),
  [19183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4305),
  [19185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9373),
  [19187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8915),
  [19189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14339),
  [19191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2799),
  [19193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11099),
  [19195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3110),
  [19197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2595),
  [19199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2003),
  [19201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8306),
  [19203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2597),
  [19205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2031),
  [19207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6811),
  [19209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2665),
  [19211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11640),
  [19213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2602),
  [19215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6368),
  [19217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2806),
  [19219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5688),
  [19221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9266),
  [19223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2605),
  [19225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6379),
  [19227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2892),
  [19229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4835),
  [19231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2809),
  [19233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2663),
  [19235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2814),
  [19237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2661),
  [19239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10732),
  [19241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17150),
  [19243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2019),
  [19245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9469),
  [19247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2615),
  [19249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9901),
  [19251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10727),
  [19253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17125),
  [19255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2834),
  [19257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10719),
  [19259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2619),
  [19261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3123),
  [19263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1969),
  [19265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8412),
  [19267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1972),
  [19269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9946),
  [19271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3461),
  [19273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2624),
  [19275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6915),
  [19277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11006),
  [19279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3309),
  [19281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3135),
  [19283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3303),
  [19285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3567),
  [19287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3482),
  [19289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3604),
  [19291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3749),
  [19293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3219),
  [19295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2895),
  [19297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6637),
  [19299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2634),
  [19301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6904),
  [19303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8825),
  [19305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2837),
  [19307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8426),
  [19309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9726),
  [19311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3528),
  [19313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2840),
  [19315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2652),
  [19317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3526),
  [19319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2654),
  [19321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3522),
  [19323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3519),
  [19325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2666),
  [19327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5342),
  [19329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14266),
  [19331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2645),
  [19333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5202),
  [19335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2845),
  [19337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2668),
  [19339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5326),
  [19341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2918),
  [19343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2637),
  [19345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9994),
  [19347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2643),
  [19349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8377),
  [19351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14070),
  [19353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6917),
  [19355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2710),
  [19357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2871),
  [19359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8493),
  [19361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3218),
  [19363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1933),
  [19365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8888),
  [19367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4122),
  [19369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2730),
  [19371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2641),
  [19373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3275),
  [19375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3165),
  [19377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3348),
  [19379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3717),
  [19381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3436),
  [19383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3714),
  [19385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3605),
  [19387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3209),
  [19389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13673),
  [19391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2743),
  [19393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4520),
  [19395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2876),
  [19397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9446),
  [19399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9942),
  [19401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2750),
  [19403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4499),
  [19405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2920),
  [19407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13642),
  [19409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2639),
  [19411] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_class_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(4169),
  [19414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6944),
  [19416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9214),
  [19418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2878),
  [19420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2922),
  [19422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6838),
  [19424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2803),
  [19426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2883),
  [19428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2807),
  [19430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14171),
  [19432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2022),
  [19434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9185),
  [19436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2820),
  [19438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6712),
  [19440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4313),
  [19442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2704),
  [19444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6701),
  [19446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3412),
  [19448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2925),
  [19450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6461),
  [19452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2622),
  [19454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6365),
  [19456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9096),
  [19458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8548),
  [19460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2904),
  [19462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13576),
  [19464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1899),
  [19466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9638),
  [19468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2907),
  [19470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7543),
  [19472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8567),
  [19474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2583),
  [19476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3245),
  [19478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3190),
  [19480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3762),
  [19482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2953),
  [19484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2910),
  [19486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2913),
  [19488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3078),
  [19490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5164),
  [19492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3068),
  [19494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7843),
  [19496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2620),
  [19498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7778),
  [19500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2947),
  [19502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14069),
  [19504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8644),
  [19506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3044),
  [19508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2942),
  [19510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6055),
  [19512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3019),
  [19514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2618),
  [19516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10907),
  [19518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16153),
  [19520] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(10701),
  [19523] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_parameters_repeat1, 2, 0, 0),
  [19525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2616),
  [19527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3273),
  [19529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14273),
  [19531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1866),
  [19533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10472),
  [19535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3015),
  [19537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5778),
  [19539] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__type_parameter_repeat2, 1, 0, 0),
  [19541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3114),
  [19543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6710),
  [19545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12394),
  [19547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2949),
  [19549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2442),
  [19551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2990),
  [19553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8221),
  [19555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2945),
  [19557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9861),
  [19559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2598),
  [19561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5134),
  [19563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10340),
  [19565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10547),
  [19567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7064),
  [19569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8651),
  [19571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2497),
  [19573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15544),
  [19575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2829),
  [19577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14162),
  [19579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2946),
  [19581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10557),
  [19583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2921),
  [19585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10410),
  [19587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2950),
  [19589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2439),
  [19591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2734),
  [19593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2908),
  [19595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6842),
  [19597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2596),
  [19599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8730),
  [19601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2952),
  [19603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10352),
  [19605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2954),
  [19607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13106),
  [19609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3088),
  [19611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2592),
  [19613] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_parameters_repeat1, 2, 0, 127), SHIFT_REPEAT(7935),
  [19616] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_parameters_repeat1, 2, 0, 127),
  [19618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9026),
  [19620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1995),
  [19622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7553),
  [19624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3008),
  [19626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11560),
  [19628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3366),
  [19630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1840),
  [19632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5586),
  [19634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2891),
  [19636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2877),
  [19638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3293),
  [19640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2862),
  [19642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11407),
  [19644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3011),
  [19646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6807),
  [19648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14253),
  [19650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9084),
  [19652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2839),
  [19654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11330),
  [19656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3028),
  [19658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2958),
  [19660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5514),
  [19662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2590),
  [19664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7125),
  [19666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3037),
  [19668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10712),
  [19670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2633),
  [19672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3096),
  [19674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14185),
  [19676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2782),
  [19678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9651),
  [19680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3073),
  [19682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7864),
  [19684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2776),
  [19686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3401),
  [19688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1872),
  [19690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7137),
  [19692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2771),
  [19694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6986),
  [19696] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_context_bound, 2, 0, 50),
  [19698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2591),
  [19700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7361),
  [19702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3069),
  [19704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7760),
  [19706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9796),
  [19708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2752),
  [19710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12991),
  [19712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14325),
  [19714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10754),
  [19716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15926),
  [19718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2586),
  [19720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8222),
  [19722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3067),
  [19724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3065),
  [19726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2588),
  [19728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2981),
  [19730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2983),
  [19732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2585),
  [19734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10446),
  [19736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2709),
  [19738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2614),
  [19740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3049),
  [19742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8599),
  [19744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3592),
  [19746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1903),
  [19748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7038),
  [19750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2688),
  [19752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8061),
  [19754] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binding, 3, 10, 102),
  [19756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7377),
  [19758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3045),
  [19760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6758),
  [19762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2679),
  [19764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7097),
  [19766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2985),
  [19768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11121),
  [19770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1966),
  [19772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8975),
  [19774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14237),
  [19776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2568),
  [19778] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binding, 1, 10, 2),
  [19780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2664),
  [19782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2567),
  [19784] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binding, 1, 10, 0),
  [19786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2648),
  [19788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3043),
  [19790] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_bindings_repeat1, 2, 0, 0), SHIFT_REPEAT(11198),
  [19793] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_bindings_repeat1, 2, 0, 0),
  [19795] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binding, 3, 10, 103),
  [19797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3447),
  [19799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4255),
  [19801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3041),
  [19803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2646),
  [19805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8108),
  [19807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2988),
  [19809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5246),
  [19811] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_val_declaration_repeat1, 2, 0, 107),
  [19813] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_val_declaration_repeat1, 2, 0, 107), SHIFT_REPEAT(12500),
  [19816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2642),
  [19818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11699),
  [19820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2607),
  [19822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12497),
  [19824] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_tuple_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(2298),
  [19827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7307),
  [19829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5816),
  [19831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14199),
  [19833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3020),
  [19835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11415),
  [19837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3542),
  [19839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1931),
  [19841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9224),
  [19843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2984),
  [19845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14187),
  [19847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2630),
  [19849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1994),
  [19851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4247),
  [19853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2629),
  [19855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7239),
  [19857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3016),
  [19859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8217),
  [19861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2612),
  [19863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9842),
  [19865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5774),
  [19867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2625),
  [19869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11730),
  [19871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2613),
  [19873] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_interpolated_string_repeat2, 2, 0, 0), SHIFT_REPEAT(15229),
  [19876] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_interpolated_string_repeat2, 2, 0, 0),
  [19878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2594),
  [19880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3014),
  [19882] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_interpolated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(15235),
  [19885] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_interpolated_string_repeat1, 2, 0, 0),
  [19887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3012),
  [19889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1228),
  [19891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1207),
  [19893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1201),
  [19895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1239),
  [19897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14952),
  [19899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1234),
  [19901] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bindings, 2, 0, 0),
  [19903] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_types, 2, 1, 0),
  [19905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2095),
  [19907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1166),
  [19909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1156),
  [19911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1152),
  [19913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1268),
  [19915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1272),
  [19917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1281),
  [19919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1251),
  [19921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1220),
  [19923] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_val_declaration_repeat1, 2, 0, 3),
  [19925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15027),
  [19927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1269),
  [19929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1038),
  [19931] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bindings, 4, 0, 0),
  [19933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1114),
  [19935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1108),
  [19937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2109),
  [19939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1301),
  [19941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1305),
  [19943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14709),
  [19945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1312),
  [19947] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 3, 0, 74),
  [19949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15111),
  [19951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1067),
  [19953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1053),
  [19955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1106),
  [19957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1002),
  [19959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2131),
  [19961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1314),
  [19963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1327),
  [19965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1334),
  [19967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1331),
  [19969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1343),
  [19971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1078),
  [19973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1337),
  [19975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1069),
  [19977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1013),
  [19979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15183),
  [19981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(999),
  [19983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(985),
  [19985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2142),
  [19987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(962),
  [19989] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_parameters_repeat1, 2, 0, 16),
  [19991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1358),
  [19993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1363),
  [19995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(944),
  [19997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1376),
  [19999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15281),
  [20001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15273),
  [20003] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_types, 3, 1, 0),
  [20005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(906),
  [20007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(892),
  [20009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(884),
  [20011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1247),
  [20013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1379),
  [20015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1382),
  [20017] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variant_type_parameter, 2, 0, 16),
  [20019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1393),
  [20021] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variant_type_parameter, 2, 0, 0),
  [20023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2152),
  [20025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1434),
  [20027] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_contravariant_type_parameter, 2, 0, 16),
  [20029] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_covariant_type_parameter, 2, 0, 16),
  [20031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(949),
  [20033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14395),
  [20035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1443),
  [20037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(851),
  [20039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(813),
  [20041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1458),
  [20043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15351),
  [20045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2163),
  [20047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(937),
  [20049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(933),
  [20051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(809),
  [20053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1526),
  [20055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(823),
  [20057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(827),
  [20059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1530),
  [20061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1550),
  [20063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1431),
  [20065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1442),
  [20067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15427),
  [20069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1476),
  [20071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11882),
  [20073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11712),
  [20075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(849),
  [20077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(855),
  [20079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(859),
  [20081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1335),
  [20083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2170),
  [20085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(826),
  [20087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1636),
  [20089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15425),
  [20091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1650),
  [20093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(886),
  [20095] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bindings, 5, 0, 0),
  [20097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1625),
  [20099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(905),
  [20101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15469),
  [20103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(841),
  [20105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(929),
  [20107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1395),
  [20109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(814),
  [20111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2178),
  [20113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(850),
  [20115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(940),
  [20117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(943),
  [20119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1546),
  [20121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2197),
  [20123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1561),
  [20125] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bindings, 3, 0, 0),
  [20127] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__dollar_escape, 2, 0, 0),
  [20129] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__aliased_interpolation_identifier, 1, 0, 0),
  [20131] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolation, 2, 0, 0),
  [20133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1388),
  [20135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1375),
  [20137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15436),
  [20139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(970),
  [20141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(978),
  [20143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(982),
  [20145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2190),
  [20147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1004),
  [20149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1010),
  [20151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1014),
  [20153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1046),
  [20155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1007),
  [20157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(901),
  [20159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1514),
  [20161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1623),
  [20163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1642),
  [20165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(966),
  [20167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(195),
  [20169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(938),
  [20171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14422),
  [20173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1037),
  [20175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15403),
  [20177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1048),
  [20179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(956),
  [20181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1052),
  [20183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2205),
  [20185] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 35),
  [20187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(993),
  [20189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1003),
  [20191] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 0),
  [20193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1071),
  [20195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1611),
  [20197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1083),
  [20199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1087),
  [20201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1506),
  [20203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1468),
  [20205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(995),
  [20207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1457),
  [20209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1065),
  [20211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1140),
  [20213] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__namespace_given_by_type, 2, 0, 0),
  [20215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1110),
  [20217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1117),
  [20219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1122),
  [20221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15369),
  [20223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2215),
  [20225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1143),
  [20227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1151),
  [20229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1155),
  [20231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1580),
  [20233] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_lambda_repeat1, 2, 0, 16),
  [20235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1632),
  [20237] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__interpolated_string_start, 1, 0, 0),
  [20239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1176),
  [20241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14755),
  [20243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1186),
  [20245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1170),
  [20247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1189),
  [20249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15335),
  [20251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1261),
  [20253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1248),
  [20255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3727),
  [20257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1319),
  [20259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1425),
  [20261] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_types, 4, 1, 0),
  [20263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3735),
  [20265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1332),
  [20267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2224),
  [20269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1211),
  [20271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1217),
  [20273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1224),
  [20275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1221),
  [20277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1149),
  [20279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1139),
  [20281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1230),
  [20283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1364),
  [20285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1068),
  [20287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15301),
  [20289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2229),
  [20291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1400),
  [20293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1090),
  [20295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1119),
  [20297] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__indented_type_cases_repeat1, 1, 0, 0),
  [20299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1213),
  [20301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15264),
  [20303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2242),
  [20305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3653),
  [20307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1430),
  [20309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3670),
  [20311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1432),
  [20313] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_indented_cases_repeat1, 1, 0, 0),
  [20315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1508),
  [20317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1452),
  [20319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1289),
  [20321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15214),
  [20323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1035),
  [20325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1023),
  [20327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14910),
  [20329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(960),
  [20331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2251),
  [20333] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_block_comment_repeat1, 1, 0, 0),
  [20335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1051),
  [20337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1402),
  [20339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3610),
  [20341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(947),
  [20343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3608),
  [20345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(948),
  [20347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(959),
  [20349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(971),
  [20351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1478),
  [20353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2361),
  [20355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15161),
  [20357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1462),
  [20359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1470),
  [20361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2263),
  [20363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1616),
  [20365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3556),
  [20367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1512),
  [20369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3547),
  [20371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1515),
  [20373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1532),
  [20375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1547),
  [20377] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_renamed_identifier, 3, 0, 152),
  [20379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15045),
  [20381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12078),
  [20383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11755),
  [20385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2277),
  [20387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1340),
  [20389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1398),
  [20391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [20393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1123),
  [20395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3450),
  [20397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1297),
  [20399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3448),
  [20401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1296),
  [20403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1293),
  [20405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1275),
  [20407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14991),
  [20409] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_types, 5, 1, 0),
  [20411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1203),
  [20413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1549),
  [20415] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_case_clause, 3, 0, 183),
  [20417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15023),
  [20419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1641),
  [20421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1396),
  [20423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(955),
  [20425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3155),
  [20427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6074),
  [20429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1846),
  [20431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15202),
  [20433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17486),
  [20435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3167),
  [20437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7594),
  [20439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3168),
  [20441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3175),
  [20443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3176),
  [20445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3125),
  [20447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17485),
  [20449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1451),
  [20451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2362),
  [20453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7655),
  [20455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2355),
  [20457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1212),
  [20459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1619),
  [20461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9163),
  [20463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3150),
  [20465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5721),
  [20467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3147),
  [20469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3146),
  [20471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1577),
  [20473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3145),
  [20475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7087),
  [20477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9209),
  [20479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17484),
  [20481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15277),
  [20483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3314),
  [20485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15108),
  [20487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5759),
  [20489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1148),
  [20491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3195),
  [20493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8655),
  [20495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3196),
  [20497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3198),
  [20499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3205),
  [20501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1563),
  [20503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9391),
  [20505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9810),
  [20507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2367),
  [20509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8394),
  [20511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10998),
  [20513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1919),
  [20515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1971),
  [20517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12634),
  [20519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7398),
  [20521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9246),
  [20523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2363),
  [20525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6017),
  [20527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3129),
  [20529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3128),
  [20531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15001),
  [20533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1456),
  [20535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3126),
  [20537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3220),
  [20539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8354),
  [20541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3222),
  [20543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3224),
  [20545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3226),
  [20547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6288),
  [20549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15395),
  [20551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1345),
  [20553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2390),
  [20555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1349),
  [20557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10406),
  [20559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6036),
  [20561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10395),
  [20563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9797),
  [20565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1316),
  [20567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3279),
  [20569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1609),
  [20571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1005),
  [20573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10564),
  [20575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8648),
  [20577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2380),
  [20579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10384),
  [20581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8605),
  [20583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8804),
  [20585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14798),
  [20587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7904),
  [20589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3251),
  [20591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1929),
  [20593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3254),
  [20595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3257),
  [20597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3258),
  [20599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6573),
  [20601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2398),
  [20603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1849),
  [20605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13889),
  [20607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11907),
  [20609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8600),
  [20611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3117),
  [20613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10428),
  [20615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3115),
  [20617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3113),
  [20619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3112),
  [20621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15479),
  [20623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7181),
  [20625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8675),
  [20627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14392),
  [20629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1091),
  [20631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7141),
  [20633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3282),
  [20635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8653),
  [20637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3284),
  [20639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3285),
  [20641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3288),
  [20643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9803),
  [20645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1132),
  [20647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2395),
  [20649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1227),
  [20651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9472),
  [20653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12736),
  [20655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1103),
  [20657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6728),
  [20659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9576),
  [20661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9574),
  [20663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1075),
  [20665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2384),
  [20667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1932),
  [20669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3281),
  [20671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6816),
  [20673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9055),
  [20675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3307),
  [20677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3106),
  [20679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3311),
  [20681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3313),
  [20683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3315),
  [20685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3105),
  [20687] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__braced_template_body2, 4, 0, 0),
  [20689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2391),
  [20691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3098),
  [20693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3097),
  [20695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9464),
  [20697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12797),
  [20699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15439),
  [20701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8046),
  [20703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1346),
  [20705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6344),
  [20707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9047),
  [20709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12853),
  [20711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1944),
  [20713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8033),
  [20715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3326),
  [20717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3335),
  [20719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3337),
  [20721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3338),
  [20723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1386),
  [20725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1467),
  [20727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2388),
  [20729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8451),
  [20731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7374),
  [20733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10234),
  [20735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1989),
  [20737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8959),
  [20739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3090),
  [20741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(991),
  [20743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9251),
  [20745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2393),
  [20747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1593),
  [20749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(887),
  [20751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10567),
  [20753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8943),
  [20755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3349),
  [20757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3350),
  [20759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3353),
  [20761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3354),
  [20763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11556),
  [20765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3092),
  [20767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2385),
  [20769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3511),
  [20771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3084),
  [20773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(871),
  [20775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8400),
  [20777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1606),
  [20779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15399),
  [20781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1649),
  [20783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12505),
  [20785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5231),
  [20787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10549),
  [20789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2009),
  [20791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6610),
  [20793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3368),
  [20795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3369),
  [20797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3370),
  [20799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3372),
  [20801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8388),
  [20803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8906),
  [20805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2351),
  [20807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9473),
  [20809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12387),
  [20811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1586),
  [20813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8392),
  [20815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12367),
  [20817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2014),
  [20819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6620),
  [20821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3385),
  [20823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3386),
  [20825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3387),
  [20827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3388),
  [20829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1027),
  [20831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1121),
  [20833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10336),
  [20835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1548),
  [20837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3100),
  [20839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3102),
  [20841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3103),
  [20843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(817),
  [20845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3104),
  [20847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7873),
  [20849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1569),
  [20851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(883),
  [20853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10586),
  [20855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15368),
  [20857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6559),
  [20859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3403),
  [20861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3405),
  [20863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3431),
  [20865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3434),
  [20867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5296),
  [20869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1957),
  [20871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2378),
  [20873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(891),
  [20875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8404),
  [20877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4973),
  [20879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10601),
  [20881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1504),
  [20883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8408),
  [20885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4984),
  [20887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5322),
  [20889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1486),
  [20891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9199),
  [20893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9122),
  [20895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3491),
  [20897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3398),
  [20899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3551),
  [20901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3552),
  [20903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1455),
  [20905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2371),
  [20907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1999),
  [20909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9430),
  [20911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2370),
  [20913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10625),
  [20915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14005),
  [20917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11505),
  [20919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12114),
  [20921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1912),
  [20923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3137),
  [20925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(939),
  [20927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3138),
  [20929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3613),
  [20931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3646),
  [20933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3539),
  [20935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3673),
  [20937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15771),
  [20939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2573),
  [20941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2365),
  [20943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10136),
  [20945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1008),
  [20947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10159),
  [20949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3139),
  [20951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8538),
  [20953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3140),
  [20955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15337),
  [20957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1019),
  [20959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8425),
  [20961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11428),
  [20963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1419),
  [20965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8418),
  [20967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3773),
  [20969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3672),
  [20971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3828),
  [20973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3826),
  [20975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1835),
  [20977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1411),
  [20979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2358),
  [20981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1257),
  [20983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6483),
  [20985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6106),
  [20987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1878),
  [20989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8549),
  [20991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2394),
  [20993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8411),
  [20995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7079),
  [20997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6593),
  [20999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7555),
  [21001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3656),
  [21003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3634),
  [21005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3626),
  [21007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3618),
  [21009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3171),
  [21011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2357),
  [21013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3172),
  [21015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1948),
  [21017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8729),
  [21019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3173),
  [21021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3174),
  [21023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10099),
  [21025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1368),
  [21027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15280),
  [21029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5023),
  [21031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6639),
  [21033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1079),
  [21035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1355),
  [21037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3583),
  [21039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3574),
  [21041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3568),
  [21043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3559),
  [21045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1338),
  [21047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10006),
  [21049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2353),
  [21051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15763),
  [21053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3154),
  [21055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8227),
  [21057] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__self_type_ascription, 2, 0, 0),
  [21059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15935),
  [21061] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__braced_template_body2, 3, 0, 0),
  [21063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15665),
  [21065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1167),
  [21067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11158),
  [21069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1209),
  [21071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8808),
  [21073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3538),
  [21075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3536),
  [21077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3527),
  [21079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3512),
  [21081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8658),
  [21083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9947),
  [21085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2372),
  [21087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1180),
  [21089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1308),
  [21091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11039),
  [21093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2389),
  [21095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8803),
  [21097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9969),
  [21099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8671),
  [21101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1298),
  [21103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7366),
  [21105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3201),
  [21107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3478),
  [21109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3477),
  [21111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3475),
  [21113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3469),
  [21115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8972),
  [21117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2368),
  [21119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3202),
  [21121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14001),
  [21123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1880),
  [21125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13240),
  [21127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3203),
  [21129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3204),
  [21131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1263),
  [21133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15247),
  [21135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11152),
  [21137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10224),
  [21139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8188),
  [21141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3445),
  [21143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3499),
  [21145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3418),
  [21147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3417),
  [21149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1864),
  [21151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2366),
  [21153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5166),
  [21155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10293),
  [21157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1241),
  [21159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1246),
  [21161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9041),
  [21163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5161),
  [21165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1255),
  [21167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10077),
  [21169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10222),
  [21171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1238),
  [21173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12043),
  [21175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3365),
  [21177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3336),
  [21179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3329),
  [21181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3316),
  [21183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2387),
  [21185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2374),
  [21187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1262),
  [21189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10381),
  [21191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8078),
  [21193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3233),
  [21195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3234),
  [21197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7024),
  [21199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10028),
  [21201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3235),
  [21203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3236),
  [21205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12554),
  [21207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12009),
  [21209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15201),
  [21211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3278),
  [21213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3260),
  [21215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3256),
  [21217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3255),
  [21219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1884),
  [21221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2354),
  [21223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5794),
  [21225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9223),
  [21227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5943),
  [21229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6533),
  [21231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10374),
  [21233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1187),
  [21235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1856),
  [21237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12871),
  [21239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10493),
  [21241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3194),
  [21243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3192),
  [21245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3186),
  [21247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3183),
  [21249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5954),
  [21251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9993),
  [21253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2392),
  [21255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10531),
  [21257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1179),
  [21259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1160),
  [21261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(900),
  [21263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9973),
  [21265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1273),
  [21267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(895),
  [21269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9207),
  [21271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2352),
  [21273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1288),
  [21275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7169),
  [21277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3127),
  [21279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3122),
  [21281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3119),
  [21283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3091),
  [21285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6382),
  [21287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1902),
  [21289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2396),
  [21291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10761),
  [21293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3264),
  [21295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1294),
  [21297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3265),
  [21299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3266),
  [21301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3267),
  [21303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6832),
  [21305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10079),
  [21307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6400),
  [21309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15152),
  [21311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3223),
  [21313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3280),
  [21315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3286),
  [21317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3300),
  [21319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1144),
  [21321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6836),
  [21323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2377),
  [21325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10097),
  [21327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1137),
  [21329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1118),
  [21331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10986),
  [21333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13987),
  [21335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8092),
  [21337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1923),
  [21339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10435),
  [21341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3373),
  [21343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3375),
  [21345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3389),
  [21347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3406),
  [21349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11871),
  [21351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13900),
  [21353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2360),
  [21355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1842),
  [21357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7511),
  [21359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2386),
  [21361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6419),
  [21363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14044),
  [21365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1098),
  [21367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3297),
  [21369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3298),
  [21371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1307),
  [21373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3451),
  [21375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3453),
  [21377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3454),
  [21379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3459),
  [21381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3299),
  [21383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7232),
  [21385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2383),
  [21387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3301),
  [21389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1317),
  [21391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9176),
  [21393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13896),
  [21395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11840),
  [21397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15113),
  [21399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1322),
  [21401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13998),
  [21403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1072),
  [21405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9228),
  [21407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1060),
  [21409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3483),
  [21411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3485),
  [21413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3579),
  [21415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3507),
  [21417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9172),
  [21419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1347),
  [21421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2381),
  [21423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2008),
  [21425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1950),
  [21427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9703),
  [21429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7130),
  [21431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1834),
  [21433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12844),
  [21435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7351),
  [21437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3668),
  [21439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3586),
  [21441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3590),
  [21443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3593),
  [21445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10375),
  [21447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9158),
  [21449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1032),
  [21451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2379),
  [21453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7345),
  [21455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1333),
  [21457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10425),
  [21459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6880),
  [21461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3331),
  [21463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1913),
  [21465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8333),
  [21467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3332),
  [21469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3661),
  [21471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3083),
  [21473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3700),
  [21475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3729),
  [21477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3333),
  [21479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12860),
  [21481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3334),
  [21483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1354),
  [21485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(875),
  [21487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(870),
  [21489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15053),
  [21491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8315),
  [21493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5704),
  [21495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5834),
  [21497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12806),
  [21499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1962),
  [21501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3793),
  [21503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3797),
  [21505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3752),
  [21507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3751),
  [21509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12946),
  [21511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9072),
  [21513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5560),
  [21515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5719),
  [21517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(976),
  [21519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1862),
  [21521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11529),
  [21523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12965),
  [21525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5730),
  [21527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8293),
  [21529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3686),
  [21531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3685),
  [21533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3684),
  [21535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3680),
  [21537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(968),
  [21539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2376),
  [21541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(951),
  [21543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1365),
  [21545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1022),
  [21547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5392),
  [21549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6747),
  [21551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1406),
  [21553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9145),
  [21555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3360),
  [21557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7331),
  [21559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3361),
  [21561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3563),
  [21563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3560),
  [21565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3554),
  [21567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3548),
  [21569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3362),
  [21571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3363),
  [21573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1417),
  [21575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6837),
  [21577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15004),
  [21579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1985),
  [21581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2566),
  [21583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9146),
  [21585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12564),
  [21587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6773),
  [21589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(932),
  [21591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12573),
  [21593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3452),
  [21595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3444),
  [21597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3440),
  [21599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3439),
  [21601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6826),
  [21603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(922),
  [21605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7321),
  [21607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(896),
  [21609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7770),
  [21611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2375),
  [21613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7888),
  [21615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8650),
  [21617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10473),
  [21619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3400),
  [21621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3399),
  [21623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3396),
  [21625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3397),
  [21627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14904),
  [21629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3392),
  [21631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5423),
  [21633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3393),
  [21635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3394),
  [21637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3395),
  [21639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12612),
  [21641] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__braced_template_body1, 2, 0, 0),
  [21643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7780),
  [21645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14964),
  [21647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2401),
  [21649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3383),
  [21651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3380),
  [21653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3377),
  [21655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3390),
  [21657] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__braced_template_body2, 2, 0, 0),
  [21659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15517),
  [21661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9152),
  [21663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(868),
  [21665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12622),
  [21667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7785),
  [21669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(863),
  [21671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1445),
  [21673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(834),
  [21675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10358),
  [21677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8284),
  [21679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1491),
  [21681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11410),
  [21683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3364),
  [21685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3358),
  [21687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3357),
  [21689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3356),
  [21691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2032),
  [21693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13632),
  [21695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1495),
  [21697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12560),
  [21699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11406),
  [21701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3347),
  [21703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3345),
  [21705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3343),
  [21707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3341),
  [21709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8268),
  [21711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2403),
  [21713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(821),
  [21715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13607),
  [21717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12540),
  [21719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3426),
  [21721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3323),
  [21723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3322),
  [21725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3321),
  [21727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3317),
  [21729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3427),
  [21731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8550),
  [21733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9644),
  [21735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3428),
  [21737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3292),
  [21739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3291),
  [21741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3289),
  [21743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3276),
  [21745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13974),
  [21747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1963),
  [21749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8692),
  [21751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3430),
  [21753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11405),
  [21755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3270),
  [21757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3269),
  [21759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3160),
  [21761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3261),
  [21763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8260),
  [21765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9988),
  [21767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(842),
  [21769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(854),
  [21771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(822),
  [21773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1531),
  [21775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3249),
  [21777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3248),
  [21779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3247),
  [21781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3244),
  [21783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10247),
  [21785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2028),
  [21787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9707),
  [21789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1590),
  [21791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12325),
  [21793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3240),
  [21795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3239),
  [21797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3230),
  [21799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3228),
  [21801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8030),
  [21803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4201),
  [21805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17516),
  [21807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14002),
  [21809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11684),
  [21811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10314),
  [21813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3216),
  [21815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3250),
  [21817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3213),
  [21819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3211),
  [21821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1600),
  [21823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(833),
  [21825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8024),
  [21827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12274),
  [21829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10272),
  [21831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(840),
  [21833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3207),
  [21835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3193),
  [21837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3191),
  [21839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3189),
  [21841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13949),
  [21843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8885),
  [21845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9834),
  [21847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2369),
  [21849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2013),
  [21851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3185),
  [21853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3184),
  [21855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3181),
  [21857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3179),
  [21859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9235),
  [21861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6941),
  [21863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15468),
  [21865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8887),
  [21867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3166),
  [21869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3164),
  [21871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3161),
  [21873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3141),
  [21875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9846),
  [21877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2020),
  [21879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11045),
  [21881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3158),
  [21883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3156),
  [21885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7028),
  [21887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3153),
  [21889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3466),
  [21891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6659),
  [21893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3467),
  [21895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12252),
  [21897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3468),
  [21899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3470),
  [21901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9245),
  [21903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4206),
  [21905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14825),
  [21907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9854),
  [21909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1648),
  [21911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(876),
  [21913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9011),
  [21915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(899),
  [21917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1516),
  [21919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6340),
  [21921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(869),
  [21923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11915),
  [21925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12815),
  [21927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1480),
  [21929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1992),
  [21931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8179),
  [21933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12779),
  [21935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(916),
  [21937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8187),
  [21939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6301),
  [21941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12768),
  [21943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(920),
  [21945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12020),
  [21947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(934),
  [21949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9900),
  [21951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2364),
  [21953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10640),
  [21955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10010),
  [21957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8414),
  [21959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1981),
  [21961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5777),
  [21963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10636),
  [21965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6626),
  [21967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1920),
  [21969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9249),
  [21971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3532),
  [21973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3533),
  [21975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6275),
  [21977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3534),
  [21979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3540),
  [21981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(950),
  [21983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5762),
  [21985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2564),
  [21987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13850),
  [21989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1369),
  [21991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13855),
  [21993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10633),
  [21995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8379),
  [21997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8308),
  [21999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1218),
  [22001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11353),
  [22003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6601),
  [22005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1938),
  [22007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4190),
  [22009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1191),
  [22011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8439),
  [22013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14706),
  [22015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11360),
  [22017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(974),
  [22019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10426),
  [22021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6628),
  [22023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1961),
  [22025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9290),
  [22027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(992),
  [22029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10343),
  [22031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1916),
  [22033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13042),
  [22035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10588),
  [22037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(987),
  [22039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8809),
  [22041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11348),
  [22043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10491),
  [22045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6367),
  [22047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1009),
  [22049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7183),
  [22051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(997),
  [22053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1952),
  [22055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7783),
  [22057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7159),
  [22059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1025),
  [22061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8267),
  [22063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4125),
  [22065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(846),
  [22067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13675),
  [22069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7774),
  [22071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9066),
  [22073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7136),
  [22075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(844),
  [22077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1030),
  [22079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13686),
  [22081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1047),
  [22083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2359),
  [22085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12719),
  [22087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9123),
  [22089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1941),
  [22091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8997),
  [22093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8203),
  [22095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6809),
  [22097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1057),
  [22099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9028),
  [22101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12831),
  [22103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1063),
  [22105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1993),
  [22107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12240),
  [22109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1081),
  [22111] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__braced_template_body1, 1, 0, 0),
  [22113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15560),
  [22115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9162),
  [22117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1928),
  [22119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13720),
  [22121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9178),
  [22123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9175),
  [22125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1093),
  [22127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1070),
  [22129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9126),
  [22131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6877),
  [22133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9182),
  [22135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1283),
  [22137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10779),
  [22139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1099),
  [22141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1115),
  [22143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8097),
  [22145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3660),
  [22147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3664),
  [22149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1348),
  [22151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3665),
  [22153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9334),
  [22155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10885),
  [22157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3674),
  [22159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1909),
  [22161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8087),
  [22163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8491),
  [22165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6292),
  [22167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9325),
  [22169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9636),
  [22171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1128),
  [22173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(517),
  [22175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1830),
  [22177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12592),
  [22179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12801),
  [22181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9302),
  [22183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1133),
  [22185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1147),
  [22187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16599),
  [22189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10993),
  [22191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4211),
  [22193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14526),
  [22195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12639),
  [22197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1895),
  [22199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1168),
  [22201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1637),
  [22203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12655),
  [22205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9847),
  [22207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1161),
  [22209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6358),
  [22211] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_opaque_modifier, 1, 0, 0),
  [22213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1497),
  [22215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10836),
  [22217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12666),
  [22219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6141),
  [22221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11383),
  [22223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1185),
  [22225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1466),
  [22227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9021),
  [22229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1886),
  [22231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10834),
  [22233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5547),
  [22235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8954),
  [22237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6118),
  [22239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1193),
  [22241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5543),
  [22243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8920),
  [22245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11149),
  [22247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9439),
  [22249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1198),
  [22251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1850),
  [22253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7267),
  [22255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1215),
  [22257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12925),
  [22259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10833),
  [22261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1870),
  [22263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4739),
  [22265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12901),
  [22267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4112),
  [22269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1138),
  [22271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1229),
  [22273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9380),
  [22275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4740),
  [22277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12903),
  [22279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1206),
  [22281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5840),
  [22283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7334),
  [22285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15750),
  [22287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(917),
  [22289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1235),
  [22291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10554),
  [22293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2356),
  [22295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5743),
  [22297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8496),
  [22299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5487),
  [22301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7313),
  [22303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5482),
  [22305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10390),
  [22307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10960),
  [22309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(288),
  [22311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8261),
  [22313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9945),
  [22315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11609),
  [22317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1979),
  [22319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9617),
  [22321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4120),
  [22323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8614),
  [22325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10052),
  [22327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1447),
  [22329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8618),
  [22331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5696),
  [22333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4180),
  [22335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10050),
  [22337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10843),
  [22339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7430),
  [22341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10853),
  [22343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7425),
  [22345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1125),
  [22347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10891),
  [22349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8335),
  [22351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10253),
  [22353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1489),
  [22355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10671),
  [22357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9625),
  [22359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5763),
  [22361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10275),
  [22363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9627),
  [22365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1439),
  [22367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(323),
  [22369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1438),
  [22371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1560),
  [22373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(514),
  [22375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10303),
  [22377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11520),
  [22379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11512),
  [22381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6782),
  [22383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9592),
  [22385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6775),
  [22387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10673),
  [22389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11493),
  [22391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6564),
  [22393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5734),
  [22395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6568),
  [22397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9596),
  [22399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9421),
  [22401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6631),
  [22403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15631),
  [22405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6583),
  [22407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(290),
  [22409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9082),
  [22411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1904),
  [22413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10460),
  [22415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6585),
  [22417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5194),
  [22419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7392),
  [22421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5193),
  [22423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10192),
  [22425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9716),
  [22427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8291),
  [22429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10674),
  [22431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9714),
  [22433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8282),
  [22435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9696),
  [22437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(291),
  [22439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7397),
  [22441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10269),
  [22443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13782),
  [22445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9299),
  [22447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7850),
  [22449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1418),
  [22451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(318),
  [22453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9295),
  [22455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7851),
  [22457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9286),
  [22459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6548),
  [22461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7305),
  [22463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13749),
  [22465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(285),
  [22467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9273),
  [22469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6590),
  [22471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9270),
  [22473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6582),
  [22475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(981),
  [22477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8525),
  [22479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [22481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9265),
  [22483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7280),
  [22485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10282),
  [22487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8136),
  [22489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6768),
  [22491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4318),
  [22493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [22495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8583),
  [22497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8130),
  [22499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6769),
  [22501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(908),
  [22503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(898),
  [22505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(894),
  [22507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [22509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8118),
  [22511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6186),
  [22513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10204),
  [22515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5804),
  [22517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8646),
  [22519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10196),
  [22521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [22523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5805),
  [22525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8540),
  [22527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10256),
  [22529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6197),
  [22531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10098),
  [22533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9481),
  [22535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [22537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10049),
  [22539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8591),
  [22541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10091),
  [22543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4367),
  [22545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10042),
  [22547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10057),
  [22549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [22551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8606),
  [22553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10649),
  [22555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7124),
  [22557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9503),
  [22559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [22561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9460),
  [22563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4837),
  [22565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8615),
  [22567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2017),
  [22569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9468),
  [22571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [22573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4840),
  [22575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11311),
  [22577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9504),
  [22579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7105),
  [22581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8619),
  [22583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(200),
  [22585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12195),
  [22587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12862),
  [22589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7989),
  [22591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7578),
  [22593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16863),
  [22595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [22597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12859),
  [22599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8578),
  [22601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7994),
  [22603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12227),
  [22605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12857),
  [22607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7586),
  [22609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(223),
  [22611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12230),
  [22613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9477),
  [22615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9095),
  [22617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6990),
  [22619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2382),
  [22621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [22623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9091),
  [22625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6978),
  [22627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13701),
  [22629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(972),
  [22631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9500),
  [22633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [22635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7816),
  [22637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9331),
  [22639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7630),
  [22641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3649),
  [22643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9508),
  [22645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [22647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13258),
  [22649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3648),
  [22651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9700),
  [22653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8051),
  [22655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7815),
  [22657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [22659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8057),
  [22661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1911),
  [22663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8459),
  [22665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3650),
  [22667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13249),
  [22669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [22671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7808),
  [22673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1214),
  [22675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8455),
  [22677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13241),
  [22679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9729),
  [22681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [22683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10003),
  [22685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5907),
  [22687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9948),
  [22689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5911),
  [22691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3652),
  [22693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [22695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9107),
  [22697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7396),
  [22699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9725),
  [22701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9961),
  [22703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9111),
  [22705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [22707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9720),
  [22709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9777),
  [22711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7911),
  [22713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6005),
  [22715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [22717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7520),
  [22719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7625),
  [22721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9779),
  [22723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1276),
  [22725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1280),
  [22727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [22729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7906),
  [22731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8361),
  [22733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9669),
  [22735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1295),
  [22737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7532),
  [22739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [22741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8358),
  [22743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7540),
  [22745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10154),
  [22747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5973),
  [22749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13193),
  [22751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(295),
  [22753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9931),
  [22755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5966),
  [22757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10105),
  [22759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9995),
  [22761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13180),
  [22763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(296),
  [22765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8945),
  [22767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6159),
  [22769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10009),
  [22771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2399),
  [22773] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [22775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(301),
  [22777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13179),
  [22779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7410),
  [22781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8941),
  [22783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6175),
  [22785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9070),
  [22787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [22789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8931),
  [22791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4822),
  [22793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9073),
  [22795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6047),
  [22797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8452),
  [22799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [22801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5876),
  [22803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4756),
  [22805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9075),
  [22807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9501),
  [22809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8457),
  [22811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [22813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5867),
  [22815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9611),
  [22817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9513),
  [22819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [22821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8461),
  [22823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5152),
  [22825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9601),
  [22827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13217),
  [22829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(314),
  [22831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9938),
  [22833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4873),
  [22835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5151),
  [22837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12439),
  [22839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9600),
  [22841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [22843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10066),
  [22845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4874),
  [22847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10082),
  [22849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5767),
  [22851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8940),
  [22853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [22855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8840),
  [22857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7471),
  [22859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5084),
  [22861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5769),
  [22863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9731),
  [22865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(307),
  [22867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8836),
  [22869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5082),
  [22871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10199),
  [22873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8824),
  [22875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5120),
  [22877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(298),
  [22879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10194),
  [22881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12582),
  [22883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8944),
  [22885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1553),
  [22887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5117),
  [22889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(289),
  [22891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10254),
  [22893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9495),
  [22895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12584),
  [22897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3351),
  [22899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13715),
  [22901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(278),
  [22903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9829),
  [22905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7810),
  [22907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12589),
  [22909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5820),
  [22911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9910),
  [22913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(275),
  [22915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11069),
  [22917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14197),
  [22919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7673),
  [22921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3379),
  [22923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3381),
  [22925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(273),
  [22927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5821),
  [22929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9658),
  [22931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11064),
  [22933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7667),
  [22935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5708),
  [22937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [22939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11063),
  [22941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6413),
  [22943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5723),
  [22945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8720),
  [22947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1583),
  [22949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [22951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8475),
  [22953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6411),
  [22955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5726),
  [22957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14209),
  [22959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8718),
  [22961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [22963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8476),
  [22965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9805),
  [22967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8712),
  [22969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8035),
  [22971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3422),
  [22973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [22975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9799),
  [22977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6653),
  [22979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7385),
  [22981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6923),
  [22983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14260),
  [22985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [22987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8039),
  [22989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9798),
  [22991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7388),
  [22993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6973),
  [22995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10376),
  [22997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [22999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7403),
  [23001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7099),
  [23003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10338),
  [23005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10444),
  [23007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7379),
  [23009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [23011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7537),
  [23013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7104),
  [23015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10361),
  [23017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10502),
  [23019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7534),
  [23021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(234),
  [23023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10231),
  [23025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1520),
  [23027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10488),
  [23029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1517),
  [23031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8115),
  [23033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [23035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10268),
  [23037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1505),
  [23039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9905),
  [23041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10175),
  [23043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7143),
  [23045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [23047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8119),
  [23049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10306),
  [23051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10113),
  [23053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7173),
  [23055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13722),
  [23057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(212),
  [23059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9972),
  [23061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7964),
  [23063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9912),
  [23065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11101),
  [23067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [23069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6011),
  [23071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7962),
  [23073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13714),
  [23075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11109),
  [23077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(202),
  [23079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6080),
  [23081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2411),
  [23083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6374),
  [23085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6392),
  [23087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(198),
  [23089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11122),
  [23091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2402),
  [23093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6057),
  [23095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6355),
  [23097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(196),
  [23099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9836),
  [23101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14194),
  [23103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7371),
  [23105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6048),
  [23107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(197),
  [23109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6351),
  [23111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11682),
  [23113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9837),
  [23115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7367),
  [23117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [23119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7073),
  [23121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9839),
  [23123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7871),
  [23125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7102),
  [23127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(214),
  [23129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13166),
  [23131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7292),
  [23133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7867),
  [23135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7108),
  [23137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [23139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13176),
  [23141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7281),
  [23143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9161),
  [23145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13243),
  [23147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [23149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8275),
  [23151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9156),
  [23153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9646),
  [23155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4994),
  [23157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(225),
  [23159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8279),
  [23161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8016),
  [23163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9153),
  [23165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9911),
  [23167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [23169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4991),
  [23171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7832),
  [23173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8144),
  [23175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [23177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [23179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [23181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [23183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [23185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [23187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [23189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [23191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [23193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [23195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [23197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(281),
  [23199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(306),
  [23201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(321),
  [23203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(322),
  [23205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(302),
  [23207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [23209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(297),
  [23211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [23213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(315),
  [23215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(303),
  [23217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [23219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [23221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [23223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(310),
  [23225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(305),
  [23227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(300),
  [23229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(292),
  [23231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(287),
  [23233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(282),
  [23235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [23237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [23239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [23241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [23243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [23245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [23247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [23249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [23251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(224),
  [23253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [23255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(211),
  [23257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(206),
  [23259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(199),
  [23261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(201),
  [23263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [23265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [23267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [23269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(222),
  [23271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [23273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(194),
  [23275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [23277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7836),
  [23279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9906),
  [23281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12761),
  [23283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14293),
  [23285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14289),
  [23287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1889),
  [23289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10747),
  [23291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7800),
  [23293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8156),
  [23295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12544),
  [23297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4983),
  [23299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7794),
  [23301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6025),
  [23303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8160),
  [23305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12552),
  [23307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4981),
  [23309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7927),
  [23311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12534),
  [23313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6902),
  [23315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7914),
  [23317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13187),
  [23319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5570),
  [23321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1270),
  [23323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6868),
  [23325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7910),
  [23327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13170),
  [23329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5575),
  [23331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8224),
  [23333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13133),
  [23335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9705),
  [23337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4628),
  [23339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9645),
  [23341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8435),
  [23343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9702),
  [23345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4632),
  [23347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8236),
  [23349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8240),
  [23351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9687),
  [23353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8948),
  [23355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9629),
  [23357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8953),
  [23359] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_comment, 2, 0, 0),
  [23361] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block_comment, 2, 0, 0),
  [23363] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block_comment, 3, 0, 0),
  [23365] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_using_directive, 4, 0, 0),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token__automatic_semicolon = 0,
  ts_external_token__indent = 1,
  ts_external_token__interpolated_string_middle = 2,
  ts_external_token__interpolated_string_end = 3,
  ts_external_token__interpolated_multiline_string_middle = 4,
  ts_external_token__interpolated_multiline_string_end = 5,
  ts_external_token__outdent = 6,
  ts_external_token__simple_multiline_string = 7,
  ts_external_token__simple_string = 8,
  ts_external_token_else = 9,
  ts_external_token_catch = 10,
  ts_external_token_finally = 11,
  ts_external_token_extends = 12,
  ts_external_token_derives = 13,
  ts_external_token_with = 14,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__automatic_semicolon] = sym__automatic_semicolon,
  [ts_external_token__indent] = sym__indent,
  [ts_external_token__interpolated_string_middle] = sym__interpolated_string_middle,
  [ts_external_token__interpolated_string_end] = sym__interpolated_string_end,
  [ts_external_token__interpolated_multiline_string_middle] = sym__interpolated_multiline_string_middle,
  [ts_external_token__interpolated_multiline_string_end] = sym__interpolated_multiline_string_end,
  [ts_external_token__outdent] = sym__outdent,
  [ts_external_token__simple_multiline_string] = sym__simple_multiline_string,
  [ts_external_token__simple_string] = sym__simple_string,
  [ts_external_token_else] = anon_sym_else,
  [ts_external_token_catch] = anon_sym_catch,
  [ts_external_token_finally] = anon_sym_finally,
  [ts_external_token_extends] = anon_sym_extends,
  [ts_external_token_derives] = anon_sym_derives,
  [ts_external_token_with] = anon_sym_with,
};

static const bool ts_external_scanner_states[74][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__indent] = true,
    [ts_external_token__interpolated_string_middle] = true,
    [ts_external_token__interpolated_string_end] = true,
    [ts_external_token__interpolated_multiline_string_middle] = true,
    [ts_external_token__interpolated_multiline_string_end] = true,
    [ts_external_token__outdent] = true,
    [ts_external_token__simple_multiline_string] = true,
    [ts_external_token__simple_string] = true,
    [ts_external_token_else] = true,
    [ts_external_token_catch] = true,
    [ts_external_token_finally] = true,
    [ts_external_token_extends] = true,
    [ts_external_token_derives] = true,
    [ts_external_token_with] = true,
  },
  [2] = {
    [ts_external_token__simple_multiline_string] = true,
    [ts_external_token__simple_string] = true,
  },
  [3] = {
    [ts_external_token__indent] = true,
    [ts_external_token__simple_multiline_string] = true,
    [ts_external_token__simple_string] = true,
  },
  [4] = {
    [ts_external_token__outdent] = true,
    [ts_external_token__simple_multiline_string] = true,
    [ts_external_token__simple_string] = true,
  },
  [5] = {
    [ts_external_token__indent] = true,
    [ts_external_token__outdent] = true,
    [ts_external_token__simple_multiline_string] = true,
    [ts_external_token__simple_string] = true,
  },
  [6] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__simple_multiline_string] = true,
    [ts_external_token__simple_string] = true,
    [ts_external_token_else] = true,
    [ts_external_token_catch] = true,
    [ts_external_token_finally] = true,
  },
  [7] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__simple_multiline_string] = true,
    [ts_external_token__simple_string] = true,
    [ts_external_token_else] = true,
    [ts_external_token_finally] = true,
  },
  [8] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__simple_multiline_string] = true,
    [ts_external_token__simple_string] = true,
    [ts_external_token_catch] = true,
    [ts_external_token_finally] = true,
  },
  [9] = {
    [ts_external_token__simple_multiline_string] = true,
    [ts_external_token__simple_string] = true,
    [ts_external_token_else] = true,
    [ts_external_token_catch] = true,
    [ts_external_token_finally] = true,
  },
  [10] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__simple_multiline_string] = true,
    [ts_external_token__simple_string] = true,
    [ts_external_token_finally] = true,
  },
  [11] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__simple_multiline_string] = true,
    [ts_external_token__simple_string] = true,
    [ts_external_token_else] = true,
  },
  [12] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__outdent] = true,
    [ts_external_token__simple_multiline_string] = true,
    [ts_external_token__simple_string] = true,
    [ts_external_token_else] = true,
    [ts_external_token_catch] = true,
    [ts_external_token_finally] = true,
  },
  [13] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__outdent] = true,
    [ts_external_token__simple_multiline_string] = true,
    [ts_external_token__simple_string] = true,
    [ts_external_token_catch] = true,
    [ts_external_token_finally] = true,
  },
  [14] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__outdent] = true,
    [ts_external_token__simple_multiline_string] = true,
    [ts_external_token__simple_string] = true,
    [ts_external_token_else] = true,
    [ts_external_token_finally] = true,
  },
  [15] = {
    [ts_external_token__simple_multiline_string] = true,
    [ts_external_token__simple_string] = true,
    [ts_external_token_else] = true,
    [ts_external_token_finally] = true,
  },
  [16] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__simple_multiline_string] = true,
    [ts_external_token__simple_string] = true,
  },
  [17] = {
    [ts_external_token__simple_multiline_string] = true,
    [ts_external_token__simple_string] = true,
    [ts_external_token_else] = true,
  },
  [18] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__outdent] = true,
    [ts_external_token__simple_multiline_string] = true,
    [ts_external_token__simple_string] = true,
    [ts_external_token_else] = true,
  },
  [19] = {
    [ts_external_token__simple_multiline_string] = true,
    [ts_external_token__simple_string] = true,
    [ts_external_token_catch] = true,
    [ts_external_token_finally] = true,
  },
  [20] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__outdent] = true,
    [ts_external_token__simple_multiline_string] = true,
    [ts_external_token__simple_string] = true,
    [ts_external_token_finally] = true,
  },
  [21] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__outdent] = true,
    [ts_external_token__simple_multiline_string] = true,
    [ts_external_token__simple_string] = true,
  },
  [22] = {
    [ts_external_token__simple_multiline_string] = true,
    [ts_external_token__simple_string] = true,
    [ts_external_token_finally] = true,
  },
  [23] = {
    [ts_external_token__automatic_semicolon] = true,
  },
  [24] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__outdent] = true,
  },
  [25] = {
    [ts_external_token__indent] = true,
  },
  [26] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_else] = true,
    [ts_external_token_catch] = true,
    [ts_external_token_finally] = true,
    [ts_external_token_with] = true,
  },
  [27] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_catch] = true,
    [ts_external_token_finally] = true,
    [ts_external_token_with] = true,
  },
  [28] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_else] = true,
    [ts_external_token_catch] = true,
    [ts_external_token_finally] = true,
  },
  [29] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_else] = true,
    [ts_external_token_finally] = true,
    [ts_external_token_with] = true,
  },
  [30] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_finally] = true,
    [ts_external_token_with] = true,
  },
  [31] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_else] = true,
    [ts_external_token_with] = true,
  },
  [32] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_catch] = true,
    [ts_external_token_finally] = true,
  },
  [33] = {
    [ts_external_token_else] = true,
    [ts_external_token_catch] = true,
    [ts_external_token_finally] = true,
    [ts_external_token_with] = true,
  },
  [34] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_else] = true,
    [ts_external_token_finally] = true,
  },
  [35] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_with] = true,
  },
  [36] = {
    [ts_external_token_else] = true,
    [ts_external_token_finally] = true,
    [ts_external_token_with] = true,
  },
  [37] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__outdent] = true,
    [ts_external_token_else] = true,
    [ts_external_token_catch] = true,
    [ts_external_token_finally] = true,
    [ts_external_token_with] = true,
  },
  [38] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_finally] = true,
  },
  [39] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_else] = true,
  },
  [40] = {
    [ts_external_token_else] = true,
    [ts_external_token_catch] = true,
    [ts_external_token_finally] = true,
  },
  [41] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__outdent] = true,
    [ts_external_token_catch] = true,
    [ts_external_token_finally] = true,
    [ts_external_token_with] = true,
  },
  [42] = {
    [ts_external_token_catch] = true,
    [ts_external_token_finally] = true,
    [ts_external_token_with] = true,
  },
  [43] = {
    [ts_external_token_else] = true,
    [ts_external_token_with] = true,
  },
  [44] = {
    [ts_external_token_with] = true,
  },
  [45] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__outdent] = true,
    [ts_external_token_else] = true,
    [ts_external_token_finally] = true,
    [ts_external_token_with] = true,
  },
  [46] = {
    [ts_external_token_else] = true,
    [ts_external_token_finally] = true,
  },
  [47] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__outdent] = true,
    [ts_external_token_else] = true,
    [ts_external_token_catch] = true,
    [ts_external_token_finally] = true,
  },
  [48] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__outdent] = true,
    [ts_external_token_finally] = true,
    [ts_external_token_with] = true,
  },
  [49] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__outdent] = true,
    [ts_external_token_catch] = true,
    [ts_external_token_finally] = true,
  },
  [50] = {
    [ts_external_token_catch] = true,
    [ts_external_token_finally] = true,
  },
  [51] = {
    [ts_external_token_finally] = true,
    [ts_external_token_with] = true,
  },
  [52] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__outdent] = true,
    [ts_external_token_else] = true,
    [ts_external_token_finally] = true,
  },
  [53] = {
    [ts_external_token_else] = true,
  },
  [54] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__outdent] = true,
    [ts_external_token_with] = true,
  },
  [55] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__outdent] = true,
    [ts_external_token_else] = true,
    [ts_external_token_with] = true,
  },
  [56] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__outdent] = true,
    [ts_external_token_finally] = true,
  },
  [57] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__outdent] = true,
    [ts_external_token_else] = true,
  },
  [58] = {
    [ts_external_token_finally] = true,
  },
  [59] = {
    [ts_external_token__outdent] = true,
    [ts_external_token_with] = true,
  },
  [60] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_extends] = true,
    [ts_external_token_derives] = true,
  },
  [61] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_derives] = true,
    [ts_external_token_with] = true,
  },
  [62] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__outdent] = true,
    [ts_external_token_extends] = true,
    [ts_external_token_derives] = true,
  },
  [63] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__outdent] = true,
    [ts_external_token_derives] = true,
    [ts_external_token_with] = true,
  },
  [64] = {
    [ts_external_token__outdent] = true,
  },
  [65] = {
    [ts_external_token_derives] = true,
    [ts_external_token_with] = true,
  },
  [66] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_derives] = true,
  },
  [67] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__outdent] = true,
    [ts_external_token_derives] = true,
  },
  [68] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_extends] = true,
  },
  [69] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__outdent] = true,
    [ts_external_token_extends] = true,
  },
  [70] = {
    [ts_external_token_extends] = true,
    [ts_external_token_derives] = true,
  },
  [71] = {
    [ts_external_token_derives] = true,
  },
  [72] = {
    [ts_external_token__interpolated_string_middle] = true,
    [ts_external_token__interpolated_string_end] = true,
  },
  [73] = {
    [ts_external_token__interpolated_multiline_string_middle] = true,
    [ts_external_token__interpolated_multiline_string_end] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_scala_external_scanner_create(void);
void tree_sitter_scala_external_scanner_destroy(void *);
bool tree_sitter_scala_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_scala_external_scanner_serialize(void *, char *);
void tree_sitter_scala_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_scala(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym__alpha_identifier,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_scala_external_scanner_create,
      tree_sitter_scala_external_scanner_destroy,
      tree_sitter_scala_external_scanner_scan,
      tree_sitter_scala_external_scanner_serialize,
      tree_sitter_scala_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
